import json


__all__ = [
	"Licenses",
	"GPL10only",
	"libpng20",
	"AdobeUtopia",
	"Pixar",
	"GCRdocs",
	"OLDAP28",
	"CCBYNC30",
	"SSHshort",
	"LOOP",
	"GPL10plus",
	"pythonldap",
	"xzoom",
	"BSD4ClauseShortened",
	"APAFML",
	"OSL21",
	"RSCPL",
	"NetSNMP",
	"BSD3ClauseNoNuclearLicense",
	"EUPL10",
	"LGPL20",
	"ZPL21",
	"MITCMU",
	"MirOS",
	"Unicode30",
	"HPNDdoc",
	"OGDLTaiwan10",
	"CPOL102",
	"Baekmuk",
	"CECILL11",
	"BUSL11",
	"psfrag",
	"Watcom10",
	"IBMpibs",
	"SCEA",
	"Condor11",
	"AGPL30",
	"Vim",
	"URTRLE",
	"LiLiQP11",
	"GFDL11invariantsonly",
	"BSD3ClauseAttribution",
	"BoehmGC",
	"TCPwrappers",
	"SGIOpenGL",
	"SL",
	"MPL10",
	"dtoa",
	"TOSL",
	"OAR",
	"LPPL11",
	"Apache11",
	"HPNDFennebergLivingston",
	"QPL10INRIA2004",
	"Libpng",
	"OLDAP24",
	"ECL10",
	"BSDProtection",
	"HTMLTIDY",
	"PADL",
	"CNRIJython",
	"SugarCRM113",
	"BSD3ClauseLBNL",
	"ulem",
	"RPL15",
	"Spencer94",
	"SunPPP",
	"Artistic10cl8",
	"Imlib2",
	"Unlicense",
	"EPICS",
	"BSD3ClauseClear",
	"BSDAdvertisingAcknowledgement",
	"BSD3ClauseModification",
	"curl",
	"Multics",
	"SPL10",
	"GFDL12only",
	"BitstreamVera",
	"GPL20orlater",
	"DRL10",
	"OLDAP11",
	"Artistic20",
	"OGC10",
	"HPNDsellregexpr",
	"OLFL13",
	"WidgetWorkshop",
	"iMatix",
	"pnmstitch",
	"DRL11",
	"bzip2106",
	"OUDA10",
	"Cube",
	"TPDL",
	"W3C",
	"BitstreamCharter",
	"CornellLosslessJPEG",
	"Frameworx10",
	"X11",
	"Zimbra14",
	"Crossword",
	"FSFAPnowarrantydisclaimer",
	"CERNOHL12",
	"Xfig",
	"HPNDPbmplus",
	"MartinBirgmeier",
	"checkmk",
	"BSD3Clause",
	"GPL30withGCCexception",
	"CCBYNCND30DE",
	"Latex2etranslatednotice",
	"OLDAP25",
	"CCBYSA20UK",
	"Calderanopreamble",
	"Parity700",
	"UnicodeDFS2015",
	"LGPL21only",
	"Apache10",
	"Parity600",
	"GFDL12noinvariantsorlater",
	"EUDatagrid",
	"AdobeDisplayPostScript",
	"CCBY25AU",
	"LPPL10",
	"GFDL13noinvariantsonly",
	"MPL11",
	"OGLUK20",
	"OFFIS",
	"HPNDKevlinHenney",
	"AMDnewlib",
	"CCBYNC10",
	"HaskellReport",
	"EPL10",
	"BSD3ClauseOpenMPI",
	"GD",
	"MPL20nocopyleftexception",
	"NAIST2003",
	"CERNOHLW20",
	"CECILL10",
	"ZPL20",
	"Glide",
	"Spencer99",
	"EUPL11",
	"LPPL13c",
	"LGPL21",
	"CCBY40",
	"MITopengroup",
	"ICU",
	"OSL20",
	"CCBY30NL",
	"AGPL10",
	"psutils",
	"GPL20withbisonexception",
	"SGIB20",
	"zeroBSD",
	"NRL",
	"SHL05",
	"FreeBSDDOC",
	"HPNDsellMITdisclaimerxserver",
	"OPLUK30",
	"DLDEZERO20",
	"BSDAttributionHPNDdisclaimer",
	"LGPLLR",
	"CCBYNC25",
	"Zeeff",
	"GFDL11invariantsorlater",
	"PHP301",
	"Motosoto",
	"BSD43RENO",
	"OPUBL10",
	"APSL11",
	"TUBerlin20",
	"BSD2ClauseDarwin",
	"OLDAP22",
	"CAL10",
	"CCBYNCSA30",
	"InnerNet20",
	"threeparttable",
	"MSPL",
	"Zed",
	"HPNDsellvariant",
	"GraphicsGems",
	"pkgconf",
	"HPNDsellvariantMITdisclaimer",
	"YPL11",
	"NLPL",
	"CDLAPermissive10",
	"CCBYSA30",
	"CFITSIO",
	"Zimbra13",
	"ISC",
	"Kastrup",
	"PolyFormNoncommercial100",
	"MITenna",
	"GPL30",
	"mpich2",
	"AGPL30orlater",
	"gSOAP13b",
	"ClArtistic",
	"NISTPD",
	"CCBYND10",
	"ODbL10",
	"XFree8611",
	"SAXPD",
	"Linuxmanpages1para",
	"Ruby",
	"IECCodeComponentsEULA",
	"RPSL10",
	"CCBY30DE",
	"GPL20plus",
	"OpenSSLstandalone",
	"MIT0",
	"copyleftnext030",
	"OpenSSL",
	"AAL",
	"AFL30",
	"KnuthCTAN",
	"PolyFormSmallBusiness100",
	"Xdebug103",
	"gnuplot",
	"QPL10",
	"GFDL12",
	"PHP30",
	"OGTSL",
	"Bahyph",
	"blessing",
	"NBPL10",
	"Barr",
	"CCBYNCND25",
	"CERNOHLP20",
	"Borceux",
	"GFDL13only",
	"MSRL",
	"OPL10",
	"CCBYNC30DE",
	"EFL20",
	"AFL11",
	"CCBYNCND10",
	"OLDAP221",
	"Cronyx",
	"Mup",
	"zlibacknowledgement",
	"SGP4",
	"CCBYND25",
	"DLDEBY20",
	"CDDL10",
	"Adobe2006",
	"AGPL30only",
	"AMPAS",
	"GPL30plus",
	"MTLL",
	"TPL10",
	"CDDL11",
	"HP1989",
	"LiLiQRplus11",
	"CCBY20",
	"OFL11noRFN",
	"CC010",
	"SISSL12",
	"CommunitySpec10",
	"Catharon",
	"HPND",
	"CCBYND30",
	"CMUMachnodoc",
	"Elastic20",
	"LGPL20only",
	"JPNIC",
	"GPL20withfontexception",
	"GFDL13",
	"TGPPL10",
	"NPOSL30",
	"CDLASharing10",
	"OLDAP201",
	"CCBYNCND30",
	"W3C19980720",
	"CAL10CombinedWorkException",
	"SNIA",
	"copyleftnext031",
	"MakeIndex",
	"LPDdocument",
	"LucidaBitmapFonts",
	"BSD2ClausePatent",
	"fwlw",
	"libselinux10",
	"CCBYSA30DE",
	"CUDA10",
	"GFDL13orlater",
	"FTL",
	"Linuxmanpagescopyleft",
	"TORQUE11",
	"CCBYSA25",
	"InfoZIP",
	"PDDL10",
	"MulanPSL20",
	"Qhull",
	"CCBYNCSA10",
	"Arphic1999",
	"CNRIPythonGPLCompatible",
	"checkcvs",
	"TAPROHL10",
	"LGPL21orlater",
	"CCBYNCSA20FR",
	"YPL10",
	"CCBY30US",
	"CCBYNCSA25",
	"BSDInfernoNettverk",
	"sshkeyscan",
	"GPL30orlater",
	"BSD2ClauseViews",
	"ANTLRPD",
	"GPL10",
	"GFDL13noinvariantsorlater",
	"APSL10",
	"OLDAP23",
	"Abstyles",
	"GPL20only",
	"BrianGladman2Clause",
	"LZMASDK911to920",
	"NLOD10",
	"metamail",
	"CCBYSA10",
	"mailprio",
	"HP1986",
	"XSkat",
	"COIL10",
	"bcryptSolarDesigner",
	"Nunit",
	"Apache20",
	"Spencer86",
	"LGPL21plus",
	"IPL10",
	"OGLUK10",
	"Linuxmanpagescopyleftvar",
	"CCBYNCSA40",
	"AMLglslang",
	"GLWTPL",
	"BSL10",
	"ASWFDigitalAssets11",
	"ANTLRPDfallback",
	"xinetd",
	"Latex2e",
	"JPLimage",
	"MSLPL",
	"CCBYNCND30IGO",
	"NCSA",
	"AGPL10orlater",
	"gtkbook",
	"BSD3ClauseNoNuclearWarranty",
	"RPL11",
	"PSF20",
	"swrule",
	"CNRIPython",
	"GPL20withclasspathexception",
	"AMDPLPA",
	"CCBYSA40",
	"ImageMagick",
	"OpenVision",
	"TTWL",
	"Intel",
	"Newsletr",
	"FergusonTwofish",
	"GPL30withautoconfexception",
	"OLDAP20",
	"SchemeReport",
	"Sendmail",
	"CCPDDC",
	"NGPL",
	"GFDL12noinvariantsonly",
	"Rdisc",
	"CCBYSA30AT",
	"MITKhronosold",
	"BSD2Clause",
	"SSLeaystandalone",
	"HPNDMITdisclaimer",
	"eGenix",
	"CCBY30AU",
	"NetCDF",
	"Symlinks",
	"LGPL30",
	"hdparm",
	"Python201",
	"RSAMD",
	"GL2PS",
	"OSL10",
	"SISSL",
	"SGIB10",
	"Minpack",
	"BSD4ClauseUC",
	"Eurosym",
	"CECILL20",
	"OCLC20",
	"Linuxmanpagescopyleft2para",
	"W3C20150513",
	"UnicodeTOU",
	"lsof",
	"LGPL20orlater",
	"UnixCrypt",
	"Naumen",
	"TermReadKey",
	"LZMASDK922",
	"GFDL13invariantsorlater",
	"Glulxe",
	"Leptonica",
	"DFSL10",
	"EPL20",
	"StandardMLNJ",
	"CCBYNC20",
	"Fair",
	"OML",
	"OFL10",
	"OSETPL21",
	"GFDL12orlater",
	"GFDL13invariantsonly",
	"HPNDUC",
	"OFL11",
	"VOSTROM",
	"xpp",
	"BSD2clausefirstlines",
	"APL10",
	"FSFULLR",
	"NISTPDfallback",
	"Soundex",
	"OSL30",
	"CDL10",
	"ZPL11",
	"libtiff",
	"GFDL11",
	"DOC",
	"AGPL10only",
	"libutilDavidNugent",
	"CCBYND40",
	"Mackerras3Clauseacknowledgment",
	"CECILL21",
	"HPNDINRIAIMAG",
	"NTP",
	"HPNDMarkusKuhn",
	"SAXPD20",
	"Noweb",
	"CCBYND30DE",
	"CCBYNCSA20DE",
	"CCBY30IGO",
	"SGIB11",
	"Jam",
	"OSL11",
	"SWL",
	"AFL12",
	"OLDAP222",
	"Entessa",
	"X11distributemodificationsvariant",
	"CCBY30AT",
	"GFDL11orlater",
	"CCBYNCND40",
	"MITadvertising",
	"Clips",
	"TTYP0",
	"NTP0",
	"TMate",
	"CCBYNCSA20UK",
	"NOSL",
	"AML",
	"HPNDdocsell",
	"MIT",
	"Kazlib",
	"IntelACPI",
	"BlueOak100",
	"FSFUL",
	"Artistic10",
	"OLDAP21",
	"GPL10orlater",
	"APSL12",
	"Xerox",
	"OGLUK30",
	"LPL10",
	"JasPer20",
	"diffmark",
	"RHeCos11",
	"CrystalStacker",
	"ISCVeillard",
	"BSD2ClauseFreeBSD",
	"LinuxOpenIB",
	"BSDSystemicsW3Works",
	"CUAOPL10",
	"HPNDexportUS",
	"NICTA10",
	"SMPPL",
	"AdobeGlyph",
	"JSON",
	"MITFestival",
	"MITfeh",
	"FSFAP",
	"ASWFDigitalAssets10",
	"xkeyboardconfigZinoviev",
	"softSurfer",
	"HPNDUCexportUS",
	"Aladdin",
	"MPL20",
	"WTFPL",
	"SHL051",
	"BSD43TAHOE",
	"ECL20",
	"OLDAP14",
	"Zlib",
	"LiLiQR11",
	"Plexus",
	"GPL20withautoconfexception",
	"OFL10RFN",
	"OFL11RFN",
	"CCBY25",
	"NPL11",
	"BSD3ClauseNoMilitaryLicense",
	"wxWindows",
	"CCBYNC40",
	"MITNFA",
	"UPL10",
	"UCAR",
	"Nokia",
	"BSD2ClauseNetBSD",
	"GPL30only",
	"BrianGladman3Clause",
	"eCos20",
	"SimPL20",
	"EUPL12",
	"MITWu",
	"SunPPP2000",
	"AFL20",
	"BSD3ClauseNoNuclearLicense2014",
	"CATOSL11",
	"IJG",
	"SSPL10",
	"etalab20",
	"MITtestregex",
	"CECILLB",
	"OGLCanada20",
	"dvipdfm",
	"LPL102",
	"Zend20",
	"CCBY10",
	"Beerware",
	"IPA",
	"DEC3Clause",
	"DSDP",
	"Hippocratic21",
	"GFDL11only",
	"bzip2105",
	"OLDAP13",
	"APSL20",
	"Sendmail823",
	"LGPL30only",
	"CCBYSA20",
	"LAL12",
	"NLOD20",
	"ADSL",
	"AdaCoredoc",
	"GPL20withGCCexception",
	"HPNDDEC",
	"ErlPL11",
	"NISTSoftware",
	"HPNDexportUSmodify",
	"BitTorrent10",
	"CERNOHL11",
	"GPL20",
	"FreeImage",
	"LGPL20plus",
	"Afmparse",
	"ODCBy10",
	"Dotseqn",
	"CCBYNCSA20",
	"FDKAAC",
	"MulanPSL10",
	"BSD4Clause",
	"BSD3Clauseflex",
	"OLDAP26",
	"UnicodeDFS2016",
	"MITModernVariant",
	"TCL",
	"CPAL10",
	"CCBYNCSA30IGO",
	"GFDL11noinvariantsorlater",
	"OFL10noRFN",
	"CCBYSA30IGO",
	"BSDSourceCode",
	"LPPL12",
	"mplus",
	"UMichMerit",
	"OLDAP27",
	"GFDL11noinvariantsonly",
	"VSL10",
	"Giftware",
	"CDLAPermissive20",
	"UCL10",
	"NCL",
	"LGPL30plus",
	"SMLNJ",
	"CERNOHLS20",
	"FBM",
	"Wsuipa",
	"Sleepycat",
	"BSDSourcebeginningfile",
	"OpenPBS23",
	"Caldera",
	"BitTorrent11",
	"snprintf",
	"IJGshort",
	"CPL10",
	"CMUMach",
	"Xnet",
	"BSD1Clause",
	"CCBYNCSA30DE",
	"SSHOpenSSH",
	"LAL13",
	"OLDAP12",
	"TUBerlin10",
	"Artistic10Perl",
	"magaz",
	"NASA13",
	"Interbase10",
	"GFDL12invariantsorlater",
	"PostgreSQL",
	"CECILLC",
	"mpipermissive",
	"Mackerras3Clause",
	"BSD3Clauseacpica",
	"CCBYSA21JP",
	"Python20",
	"EFL10",
	"MMIXware",
	"radvd",
	"FSFULLRWD",
	"Apps2p",
	"GFDL12invariantsonly",
	"AFL21",
	"CCBYNCND20",
	"LPPL13a",
	"BSDSystemics",
	"OCCTPL",
	"CCBY30",
	"McPheeslideshow",
	"Furuseth",
	"xlock",
	"BSD3ClauseSun",
	"NPL10",
	"CCBYND20",
	"NCGLUK20",
	"Saxpath",
	"LGPL30orlater",
	"w3m",
	"BSD3ClauseHP",
	"MPEGSSG",
	"SunPro",
]

class NoLicenseFound:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = ""
		self.standardLicenseHeaderTemplate = ""
		self.standardLicenseTemplate = ""
		self.name = "No License Found"
		self.licenseComments = ""
		self.licenseId = "NoLicenseFound"
		self.standardLicenseHeader = ""
		self.crossRef = []
		self.seeAlso = []
		self.isOsiApproved = False
		self.licenseTextHtml = ""
		self.standardLicenseHeaderHtml = ""
		self.python_name = ""

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL10only:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU GENERAL PUBLIC LICENSE\nVersion 1, February 1989\n\nCopyright (C) 1989 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe license agreements of most software companies try to keep users at the mercy of those companies. By contrast, our General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. The General Public License applies to the Free Software Foundation's software and to any other program whose authors commit to using it. You can use it for your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Specifically, the General Public License is designed to make sure that you have the freedom to give away or sell copies of free software, that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of a such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must tell them their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nGNU GENERAL PUBLIC LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any work containing the Program or a portion of it, either verbatim or with modifications. Each licensee is addressed as \"you\".\n\n1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this General Public License and to the absence of any warranty; and give any other recipients of the Program a copy of this General Public License along with the Program. You may charge a fee for the physical act of transferring a copy.\n\n2. You may modify your copy or copies of the Program or any portion of it, and copy and distribute such modifications under the terms of Paragraph 1 above, provided that you also do the following:\n\n	 a) cause the modified files to carry prominent notices stating that you changed the files and the date of any change; and\n\n	 b) cause the whole of any work that you distribute or publish, that in whole or in part contains the Program or any part thereof, either with or without modifications, to be licensed at no charge to all third parties under the terms of this General Public License (except that you may choose to grant warranty protection to some or all third parties, at your option).\n\n	 c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the simplest and most usual way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this General Public License.\n\n	 d) You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\nMere aggregation of another independent work with the Program (or its derivative) on a volume of a storage or distribution medium does not bring the other work under the scope of these terms.\n\n3. You may copy and distribute the Program (or a portion or derivative of it, under Paragraph 2) in object code or executable form under the terms of Paragraphs 1 and 2 above provided that you also do one of the following:\n\n	 a) accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	 b) accompany it with a written offer, valid for at least three years, to give any third party free (except for a nominal charge for the cost of distribution) a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	 c) accompany it with the information you received as to where the corresponding source code may be obtained. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form alone.)\n\nSource code for a work means the preferred form of the work for making modifications to it. For an executable file, complete source code means all the source code for all modules it contains; but, as a special exception, it need not include source code for modules which are standard libraries that accompany the operating system on which the executable file runs, or for standard header files or definitions files that accompany that operating system.\n\n4. You may not copy, modify, sublicense, distribute or transfer the Program except as expressly provided under this General Public License. Any attempt otherwise to copy, modify, sublicense, distribute or transfer the Program is void, and will automatically terminate your rights to use the Program under this License. However, parties who have received copies, or rights to use copies, from you under this General Public License will not have their licenses terminated so long as such parties remain in full compliance.\n\n5. By copying, distributing or modifying the Program (or any work based on the Program) you indicate your acceptance of this license to do so, and all its terms and conditions.\n\n6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein.\n\n7. The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies a version number of the license which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the license, you may choose any version ever published by the Free Software Foundation.\n\n8. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n9. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n10. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nEND OF TERMS AND CONDITIONS\n\nAppendix: How to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to humanity, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 <one line to give the program's name and a brief idea of what it does.> Copyright (C) 19yy <name of author>\n\n	 This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 1, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\n	 You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\n	 Gnomovision version 69, Copyright (C) 19xx name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here a sample; alter the names:\n\n	 Yoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (a program to direct compilers to make passes at assemblers) written by James Hacker.\n\n	 <signature of Ty Coon>, 1 April 1989 Ty Coon, President of Vice\n\nThat's all there is to it!\n"
		self.standardLicenseHeaderTemplate = "Copyright (C) <<var;name=\"copyright\";original=\"19xx name of author\";match=\".+\">>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 1.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 1, February 1989\n\n<<endOptional>>\n\nCopyright (C) 1989 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe license agreements of most software companies try to keep users at the mercy of those companies. By contrast, our General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. The General Public License applies to the Free Software Foundation's software and to any other program whose authors commit to using it. You can use it for your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Specifically, the General Public License is designed to make sure that you have the freedom to give away or sell copies of free software, that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of a such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must tell them their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nGNU GENERAL PUBLIC LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License Agreement applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any work containing the Program or a portion of it, either verbatim or with modifications. Each licensee is addressed as \"you\".\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this General Public License and to the absence of any warranty; and give any other recipients of the Program a copy of this General Public License along with the Program. You may charge a fee for the physical act of transferring a copy.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Program or any portion of it, and copy and distribute such modifications under the terms of Paragraph 1 above, provided that you also do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> cause the modified files to carry prominent notices stating that you changed the files and the date of any change; and\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> cause the whole of any work that you distribute or publish, that in whole or in part contains the Program or any part thereof, either with or without modifications, to be licensed at no charge to all third parties under the terms of this General Public License (except that you may choose to grant warranty protection to some or all third parties, at your option).\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the simplest and most usual way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this General Public License.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   Mere aggregation of another independent work with the Program (or its derivative) on a volume of a storage or distribution medium does not bring the other work under the scope of these terms.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may copy and distribute the Program (or a portion or derivative of it, under Paragraph 2) in object code or executable form under the terms of Paragraphs 1 and 2 above provided that you also do one of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany it with a written offer, valid for at least three years, to give any third party free (except for a nominal charge for the cost of distribution) a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> accompany it with the information you received as to where the corresponding source code may be obtained. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form alone.)\n\n   Source code for a work means the preferred form of the work for making modifications to it. For an executable file, complete source code means all the source code for all modules it contains; but, as a special exception, it need not include source code for modules which are standard libraries that accompany the operating system on which the executable file runs, or for standard header files or definitions files that accompany that operating system.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may not copy, modify, sublicense, distribute or transfer the Program except as expressly provided under this General Public License. Any attempt otherwise to copy, modify, sublicense, distribute or transfer the Program is void, and will automatically terminate your rights to use the Program under this License. However, parties who have received copies, or rights to use copies, from you under this General Public License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> By copying, distributing or modifying the Program (or any work based on the Program) you indicate your acceptance of this license to do so, and all its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies a version number of the license which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the license, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<beginOptional>>END OF TERMS AND CONDITIONS\n\nAppendix: How to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to humanity, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the program's name and a brief idea of what it does.> Copyright (C) 19yy <name of author>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 1, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\nGnomovision version 69, Copyright (C) 19xx name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (a program to direct compilers to make passes at assemblers) written by James Hacker.\n\n<signature of Ty Coon>, 1 April 1989 Ty Coon, President of Vice\n\nThat's all there is to it!\n\n<<endOptional>>"
		self.name = "GNU General Public License v1.0 only"
		self.licenseComments = "This license was released: February 1989. This license identifier refers to the choice to use the code under GPL-1.0-only, as distinguished from the use of code under GPL-1.0-or-later (i.e., GPL-1.0 or some later version). The license notice (as seen in the Standard License Header field below) states which of these applies to the code in the file. The example in the How to Apply These Terms appendix of the license shows the \"or later\" approach."
		self.licenseId = "GPL-1.0-only"
		self.standardLicenseHeader = "Copyright (C) 19xx name of author\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 1.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/gpl-1.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:49Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/gpl-1.0-standalone.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU GENERAL PUBLIC LICENSE<br />\n\n		Version 1, February 1989\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 1989 Free Software Foundation, Inc. 51\n	  Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The license agreements of most software companies try to keep\n	  users at the mercy of those companies. By contrast, our General\n	  Public License is intended to guarantee your freedom to share\n	  and change free software--to make sure the software is free for\n	  all its users. The General Public License applies to the Free\n	  Software Foundation&apos;s software and to any other program whose\n	  authors commit to using it. You can use it for your programs, too.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not\n	  price. Specifically, the General Public License is designed to\n	  make sure that you have the freedom to give away or sell copies\n	  of free software, that you receive source code or can get it if\n	  you want it, that you can change the software or use pieces of it\n	  in new free programs; and that you know you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to make restrictions that forbid\n	  anyone to deny you these rights or to ask you to surrender the\n	  rights. These restrictions translate to certain responsibilities for\n	  you if you distribute copies of the software, or if you modify it.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of a such a program, whether\n	  gratis or for a fee, you must give the recipients all the rights\n	  that you have. You must make sure that they, too, receive or\n	  can get the source code. And you must tell them their rights.\n	</p>\n\n	<p>\n	  We protect your rights with two steps: (1) copyright the\n	  software, and (2) offer you this license which gives you legal\n	  permission to copy, distribute and/or modify the software.\n	</p>\n\n	<p>\n	  Also, for each author&apos;s protection and ours, we want to make\n	  certain that everyone understands that there is no warranty for\n	  this free software. If the software is modified by someone else\n	  and passed on, we want its recipients to know that what they\n	  have is not the original, so that any problems introduced by\n	  others will not reflect on the original authors&apos; reputations.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying,\n	  distribution and modification follow.\n	</p>\n\n	<p>\n	  GNU GENERAL PUBLIC LICENSE TERMS AND CONDITIONS\n	  FOR COPYING, DISTRIBUTION AND MODIFICATION\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<p><var class=\"replaceable-license-text\"> 0.</var>\n		This License Agreement applies to any program or other work which\n		contains a notice placed by the copyright holder saying it may\n		be distributed under the terms of this General Public License.\n		The &quot;Program&quot;, below, refers to any such program or work, and\n		a &quot;work based on the Program&quot; means either the Program or any\n		work containing the Program or a portion of it, either verbatim\n		  or with modifications. Each licensee is addressed as &quot;you&quot;.</p>\n\n	  </li>\n	  \n<li>\n		<p><var class=\"replaceable-license-text\"> 1.</var>\n		You may copy and distribute verbatim copies of the Program&apos;s\n		source code as you receive it, in any medium, provided that you\n		conspicuously and appropriately publish on each copy an appropriate\n		copyright notice and disclaimer of warranty; keep intact all the\n		notices that refer to this General Public License and to the absence\n		of any warranty; and give any other recipients of the Program a\n		copy of this General Public License along with the Program. You\n		  may charge a fee for the physical act of transferring a copy.</p>\n\n	  </li>\n	  \n<li>\n		<p><var class=\"replaceable-license-text\"> 2.</var>\n		You may modify your copy or copies of the Program or any portion\n		of it, and copy and distribute such modifications under the terms\n		  of Paragraph 1 above, provided that you also do the following:</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			cause the modified files to carry prominent notices stating\n			that you changed the files and the date of any change; and\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			cause the whole of any work that you distribute or publish, that\n			in whole or in part contains the Program or any part thereof,\n			either with or without modifications, to be licensed at no\n			charge to all third parties under the terms of this General\n			Public License (except that you may choose to grant warranty\n			protection to some or all third parties, at your option).\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			If the modified program normally reads commands interactively\n			when run, you must cause it, when started running for such\n			interactive use in the simplest and most usual way, to\n			print or display an announcement including an appropriate\n			copyright notice and a notice that there is no warranty (or\n			else, saying that you provide a warranty) and that users may\n			redistribute the program under these conditions, and telling\n			the user how to view a copy of this General Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			You may charge a fee for the physical act of\n			transferring a copy, and you may at your option\n			offer warranty protection in exchange for a fee.\n		  </li>\n		\n</ul>\n		<p>\n		  Mere aggregation of another independent work with the Program (or\n		  its derivative) on a volume of a storage or distribution medium\n		  does not bring the other work under the scope of these terms.\n		</p>\n\n	  </li>\n	  \n<li>\n		<p><var class=\"replaceable-license-text\"> 3.</var>\n		You may copy and distribute the Program (or a portion\n		or derivative of it, under Paragraph 2) in object code\n		or executable form under the terms of Paragraphs 1 and\n		  2 above provided that you also do one of the following:</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			accompany it with the complete corresponding\n			machine-readable source code, which must be distributed\n			under the terms of Paragraphs 1 and 2 above; or,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			accompany it with a written offer, valid for at least\n			three years, to give any third party free (except for a\n			nominal charge for the cost of distribution) a complete\n			machine-readable copy of the corresponding source code, to be\n			distributed under the terms of Paragraphs 1 and 2 above; or,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			accompany it with the information you received as to where the\n			corresponding source code may be obtained. (This alternative\n			is allowed only for noncommercial distribution and only if you\n			received the program in object code or executable form alone.)\n		  </li>\n		\n</ul>\n		<p>\n		  Source code for a work means the preferred form of the work for\n		  making modifications to it. For an executable file, complete\n		  source code means all the source code for all modules it contains;\n		  but, as a special exception, it need not include source code for\n		  modules which are standard libraries that accompany the operating\n		  system on which the executable file runs, or for standard header\n		  files or definitions files that accompany that operating system.\n		</p>\n\n	  </li>\n	  \n<li>\n		<p><var class=\"replaceable-license-text\"> 4.</var>\n		You may not copy, modify, sublicense, distribute or transfer the\n		Program except as expressly provided under this General Public\n		License. Any attempt otherwise to copy, modify, sublicense,\n		distribute or transfer the Program is void, and will automatically\n		terminate your rights to use the Program under this License. However,\n		parties who have received copies, or rights to use copies, from\n		you under this General Public License will not have their licenses\n		  terminated so long as such parties remain in full compliance.</p>\n\n	  </li>\n	  \n<li>\n		<p><var class=\"replaceable-license-text\"> 5.</var>\n		By copying, distributing or modifying the Program (or any\n		work based on the Program) you indicate your acceptance of\n		  this license to do so, and all its terms and conditions.</p>\n\n	  </li>\n	  \n<li>\n		<p><var class=\"replaceable-license-text\"> 6.</var>\n		Each time you redistribute the Program (or any work based on the\n		Program), the recipient automatically receives a license from the\n		original licensor to copy, distribute or modify the Program subject\n		to these terms and conditions. You may not impose any further\n		  restrictions on the recipients&apos; exercise of the rights granted herein.</p>\n\n	  </li>\n	  \n<li>\n		<p><var class=\"replaceable-license-text\"> 7.</var>\n		The Free Software Foundation may publish revised and/or new\n		versions of the General Public License from time to time. Such\n		new versions will be similar in spirit to the present version,\n		  but may differ in detail to address new problems or concerns.</p>\n\n		<p>\n		  Each version is given a distinguishing version number. If the\n		  Program specifies a version number of the license which applies\n		  to it and &quot;any later version&quot;, you have the option of following\n		  the terms and conditions either of that version or of any later\n		  version published by the Free Software Foundation. If the Program\n		  does not specify a version number of the license, you may choose\n		  any version ever published by the Free Software Foundation.\n		</p>\n\n	  </li>\n	  \n<li>\n		<p><var class=\"replaceable-license-text\"> 8.</var>\n		If you wish to incorporate parts of the Program into other free\n		programs whose distribution conditions are different, write to the\n		author to ask for permission. For software which is copyrighted by the\n		Free Software Foundation, write to the Free Software Foundation; we\n		sometimes make exceptions for this. Our decision will be guided by the\n		two goals of preserving the free status of all derivatives of our free\n		  software and of promoting the sharing and reuse of software generally.</p>\n\n	  </li>\n	  \n<li>\n		<p>\n		  NO WARRANTY\n		</p>\n\n		<p><var class=\"replaceable-license-text\"> 9.</var>\n		  BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\n		  FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT\n		  WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER\n		  PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND,\n		  EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\n		  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		  PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\n		  THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU\n		  ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n		</p>\n\n	  </li>\n	  \n<li>\n		<p><var class=\"replaceable-license-text\"> 10.</var>\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n		REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR\n		DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL\n		DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM\n		(INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\n		INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF\n		THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		  OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		Appendix: How to Apply These Terms to Your New Programs\n	  </p>\n\n	  <p>\n		If you develop a new program, and you want it to be\n		of the greatest possible use to humanity, the best\n		way to achieve this is to make it free software which\n		everyone can redistribute and change under these terms.\n	  </p>\n\n	  <p>\n		To do so, attach the following notices to the program. It is safest\n		to attach them to the start of each source file to most effectively\n		convey the exclusion of warranty; and each file should have at least\n		the &quot;copyright&quot; line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		&lt;one line to give the program&apos;s name and a brief idea\n		of what it does.&gt; Copyright (C) 19yy &lt;name of author&gt;\n	  </p>\n\n	  <p>\n		This program is free software; you can redistribute it\n		and/or modify it under the terms of the GNU General Public\n		License as published by the Free Software Foundation;\n		either version 1, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General Public License\n		along with this program; if not, write to the Free Software\n		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n	  </p>\n\n	  <p>\n		Also add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		If the program is interactive, make it output a short\n		notice like this when it starts in an interactive mode:\n	  </p>\n\n	  <p>\n		Gnomovision version 69, Copyright (C) 19xx name of author\n		Gnomovision comes with ABSOLUTELY NO WARRANTY; for details\n		type `show w&apos;. This is free software, and you are welcome to\n		redistribute it under certain conditions; type `show c&apos; for details.\n	  </p>\n\n	  <p>\n		The hypothetical commands `show w&apos; and `show c&apos; should show the\n		appropriate parts of the General Public License. Of course, the commands\n		you use may be called something other than `show w&apos; and `show c&apos;; they\n		could even be mouse-clicks or menu items--whatever suits your program.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or your school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the program, if necessary. Here a sample; alter the names:\n	  </p>\n\n	  <p>\n		Yoyodyne, Inc., hereby disclaims all copyright interest in\n		the program `Gnomovision&apos; (a program to direct compilers\n		to make passes at assemblers) written by James Hacker.\n	  </p>\n\n	  <p>\n		&lt;signature of Ty Coon&gt;, 1 April 1989 Ty Coon, President of Vice\n	  </p>\n\n	  <p>\n		That&apos;s all there is to it!\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (C) <var class=\"replaceable-license-text\"> 19xx name of author</var>\n	  <p>\n		This program is free software; you can redistribute it and/or\n		modify it under the terms of the GNU General Public License\n		as published by the Free Software Foundation; version 1.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General Public License\n		along with this program; if not, write to the Free Software\n		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n	  </p>\n\n	"
		self.python_name = "GPL10only"

	def __str__(self):
		return json.dumps(self.__dict__)


class libpng20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "PNG Reference Library License version 2\n---------------------------------------\n\n * Copyright (c) 1995-2018 The PNG Reference Library Authors.\n * Copyright (c) 2018 Cosmin Truta.\n * Copyright (c) 2000-2002, 2004, 2006-2018 Glenn Randers-Pehrson.\n * Copyright (c) 1996-1997 Andreas Dilger.\n * Copyright (c) 1995-1996 Guy Eric Schalnat, Group 42, Inc.\n\nThe software is supplied \"as is\", without warranty of any kind,\nexpress or implied, including, without limitation, the warranties\nof merchantability, fitness for a particular purpose, title, and\nnon-infringement.  In no event shall the Copyright owners, or\nanyone distributing the software, be liable for any damages or\nother liability, whether in contract, tort or otherwise, arising\nfrom, out of, or in connection with the software, or the use or\nother dealings in the software, even if advised of the possibility\nof such damage.\n\nPermission is hereby granted to use, copy, modify, and distribute\nthis software, or portions hereof, for any purpose, without fee,\nsubject to the following restrictions:\n\n 1. The origin of this software must not be misrepresented; you\n	must not claim that you wrote the original software.  If you\n	use this software in a product, an acknowledgment in the product\n	documentation would be appreciated, but is not required.\n\n 2. Altered source versions must be plainly marked as such, and must\n	not be misrepresented as being the original software.\n\n 3. This Copyright notice may not be removed or altered from any\n	source or altered source distribution.\n"
		self.standardLicenseTemplate = "<<beginOptional>>PNG Reference Library License version 2\n\n<<endOptional>><<beginOptional>> <<var;name=\"dashed-line\";original=\"---------------------------------------\";match=\"^[-]*$\">><<endOptional>> <<var;name=\"copyright\";original=\"	 * Copyright (c) 1995-2018 The PNG Reference Library Authors.	 * Copyright (c) 2018 Cosmin Truta.	 * Copyright (c) 2000-2002, 2004, 2006-2018 Glenn Randers-Pehrson.	 * Copyright (c) 1996-1997 Andreas Dilger.	 * Copyright (c) 1995-1996 Guy Eric Schalnat, Group 42, Inc.\";match=\".{0,5000}\">>\n\nThe software is supplied \"as is\", without warranty of any kind, express or implied, including, without limitation, the warranties of merchantability, fitness for a particular purpose, title, and non-infringement. In no event shall the Copyright owners, or anyone distributing the software, be liable for any damages or other liability, whether in contract, tort or otherwise, arising from, out of, or in connection with the software, or the use or other dealings in the software, even if advised of the possibility of such damage.\n\nPermission is hereby granted to use, copy, modify, and distribute this software, or portions hereof, for any purpose, without fee, subject to the following restrictions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated, but is not required.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> This Copyright notice may not be removed or altered from any source or altered source distribution.\n\n"
		self.name = "PNG Reference Library version 2"
		self.licenseId = "libpng-2.0"
		self.crossRef = [{"match": "False", "url": "http://www.libpng.org/pub/png/src/libpng-LICENSE.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:56Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.libpng.org/pub/png/src/libpng-LICENSE.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> <p>PNG Reference Library License version 2</p>\n</div>\n	  <var class=\"optional-license-text\"> <var class=\"replaceable-license-text\"> ---------------------------------------</var>\n	  </var>\n	  <div class=\"replaceable-license-text\"> \n		\n<ul style=\"list-style:none\">\n		  \n<li>* Copyright (c) 1995-2018 The PNG Reference\n		  Library Authors.</li>\n		  \n<li>* Copyright (c) 2018 Cosmin Truta.</li>\n		  \n<li>* Copyright (c) 2000-2002, 2004, 2006-2018\n		  Glenn Randers-Pehrson.</li>\n		  \n<li>* Copyright (c) 1996-1997 Andreas Dilger.\n			</li>\n		  \n<li>* Copyright (c) 1995-1996 Guy Eric Schalnat,\n		  Group 42, Inc.</li>\n		\n</ul>\n	  </div>\n	  <p>The software is supplied &quot;as is&quot;, without warranty of any kind,\n	  express or implied, including, without limitation, the warranties\n	  of merchantability, fitness for a particular purpose, title, and\n	  non-infringement.  In no event shall the Copyright owners, or\n	  anyone distributing the software, be liable for any damages or\n	  other liability, whether in contract, tort or otherwise, arising\n	  from, out of, or in connection with the software, or the use or\n	  other dealings in the software, even if advised of the possibility\n	  of such damage.</p>\n\n	  <p>Permission is hereby granted to use, copy, modify, and distribute\n	  this software, or portions hereof, for any purpose, without fee,\n	  subject to the following restrictions:\n		\n<ul style=\"list-style:none\">\n		  \n<li><var class=\"replaceable-license-text\"> 1.</var> The origin of this software must not be\n		  misrepresented; you must not claim that you wrote the original\n		  software. If you use this software in a product, an acknowledgment in\n		  the product documentation would be appreciated, but is not required.\n		  </li>\n\n<li><var class=\"replaceable-license-text\"> 2.</var>Altered source versions must be plainly\n		  marked as such, and must not be misrepresented as being the original\n		  software.</li>\n\n<li><var class=\"replaceable-license-text\"> 3.</var>This Copyright notice may not be removed or\n		  altered from any source or altered source distribution.</li>\n		\n</ul>\n	  </p>\n\n	"
		self.python_name = "libpng20"

	def __str__(self):
		return json.dumps(self.__dict__)


class AdobeUtopia:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Permission to use, reproduce, display and distribute the listed typefaces\nis hereby granted, provided that the Adobe Copyright notice appears in all\nwhole and partial copies of the software and that the following trademark\nsymbol and attribution appear in all unmodified copies of the software:\n\nThe Adobe typefaces (Type 1 font program, bitmaps and Adobe Font Metric\nfiles) donated are:\n\n		Utopia Regular\n		Utopia Italic\n		Utopia Bold\n		Utopia Bold Italic\n"
		self.standardLicenseTemplate = "Permission to use, reproduce, display and distribute the listed typefaces is hereby granted, provided that the Adobe Copyright notice appears in all whole and partial copies of the software and that the following trademark symbol and attribution appear in all unmodified copies of the software:\n\nThe Adobe typefaces (Type 1 font program, bitmaps and Adobe Font Metric files) donated are:\n\nUtopia Regular\n\nUtopia Italic\n\nUtopia Bold\n\nUtopia Bold Italic\n\n"
		self.name = "Adobe Utopia Font License"
		self.licenseId = "Adobe-Utopia"
		self.crossRef = [{"match": "False", "url": "https://gitlab.freedesktop.org/xorg/font/adobe-utopia-100dpi/-/blob/master/COPYING?ref_type=heads", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:18Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gitlab.freedesktop.org/xorg/font/adobe-utopia-100dpi/-/blob/master/COPYING?ref_type=heads"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			Permission to use, reproduce, display and distribute the\n			listed typefaces is hereby granted, provided that the Adobe\n			Copyright notice appears in all whole and partial copies\n			of the software and that the following trademark symbol and\n			attribution appear in all unmodified copies of the software:\n		 </p>\n\n		 <p>\n			The Adobe typefaces (Type 1 font program, bitmaps and Adobe Font Metric\n			files) donated are:<br />\n\n			<br />\n\n			Utopia Regular<br />\n\n			Utopia Italic<br />\n\n			Utopia Bold<br />\n\n			Utopia Bold Italic<br />\n\n		 </p>\n\n	  "
		self.python_name = "AdobeUtopia"

	def __str__(self):
		return json.dumps(self.__dict__)


class Pixar:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "\n							   Modified Apache 2.0 License\n\n\n   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n   1. Definitions.\n\n	  \"License\" shall mean the terms and conditions for use, reproduction,\n	  and distribution as defined by Sections 1 through 9 of this document.\n\n	  \"Licensor\" shall mean the copyright owner or entity authorized by\n	  the copyright owner that is granting the License.\n\n	  \"Legal Entity\" shall mean the union of the acting entity and all\n	  other entities that control, are controlled by, or are under common\n	  control with that entity. For the purposes of this definition,\n	  \"control\" means (i) the power, direct or indirect, to cause the\n	  direction or management of such entity, whether by contract or\n	  otherwise, or (ii) ownership of fifty percent (50%) or more of the\n	  outstanding shares, or (iii) beneficial ownership of such entity.\n\n	  \"You\" (or \"Your\") shall mean an individual or Legal Entity\n	  exercising permissions granted by this License.\n\n	  \"Source\" form shall mean the preferred form for making modifications,\n	  including but not limited to software source code, documentation\n	  source, and configuration files.\n\n	  \"Object\" form shall mean any form resulting from mechanical\n	  transformation or translation of a Source form, including but\n	  not limited to compiled object code, generated documentation,\n	  and conversions to other media types.\n\n	  \"Work\" shall mean the work of authorship, whether in Source or\n	  Object form, made available under the License, as indicated by a\n	  copyright notice that is included in or attached to the work\n	  (an example is provided in the Appendix below).\n\n	  \"Derivative Works\" shall mean any work, whether in Source or Object\n	  form, that is based on (or derived from) the Work and for which the\n	  editorial revisions, annotations, elaborations, or other modifications\n	  represent, as a whole, an original work of authorship. For the purposes\n	  of this License, Derivative Works shall not include works that remain\n	  separable from, or merely link (or bind by name) to the interfaces of,\n	  the Work and Derivative Works thereof.\n\n	  \"Contribution\" shall mean any work of authorship, including\n	  the original version of the Work and any modifications or additions\n	  to that Work or Derivative Works thereof, that is intentionally\n	  submitted to Licensor for inclusion in the Work by the copyright owner\n	  or by an individual or Legal Entity authorized to submit on behalf of\n	  the copyright owner. For the purposes of this definition, \"submitted\"\n	  means any form of electronic, verbal, or written communication sent\n	  to the Licensor or its representatives, including but not limited to\n	  communication on electronic mailing lists, source code control systems,\n	  and issue tracking systems that are managed by, or on behalf of, the\n	  Licensor for the purpose of discussing and improving the Work, but\n	  excluding communication that is conspicuously marked or otherwise\n	  designated in writing by the copyright owner as \"Not a Contribution.\"\n\n	  \"Contributor\" shall mean Licensor and any individual or Legal Entity\n	  on behalf of whom a Contribution has been received by Licensor and\n	  subsequently incorporated within the Work.\n\n   2. Grant of Copyright License. Subject to the terms and conditions of\n	  this License, each Contributor hereby grants to You a perpetual,\n	  worldwide, non-exclusive, no-charge, royalty-free, irrevocable\n	  copyright license to reproduce, prepare Derivative Works of,\n	  publicly display, publicly perform, sublicense, and distribute the\n	  Work and such Derivative Works in Source or Object form.\n\n   3. Grant of Patent License. Subject to the terms and conditions of\n	  this License, each Contributor hereby grants to You a perpetual,\n	  worldwide, non-exclusive, no-charge, royalty-free, irrevocable\n	  (except as stated in this section) patent license to make, have made,\n	  use, offer to sell, sell, import, and otherwise transfer the Work,\n	  where such license applies only to those patent claims licensable\n	  by such Contributor that are necessarily infringed by their\n	  Contribution(s) alone or by combination of their Contribution(s)\n	  with the Work to which such Contribution(s) was submitted. If You\n	  institute patent litigation against any entity (including a\n	  cross-claim or counterclaim in a lawsuit) alleging that the Work\n	  or a Contribution incorporated within the Work constitutes direct\n	  or contributory patent infringement, then any patent licenses\n	  granted to You under this License for that Work shall terminate\n	  as of the date such litigation is filed.\n\n   4. Redistribution. You may reproduce and distribute copies of the\n	  Work or Derivative Works thereof in any medium, with or without\n	  modifications, and in Source or Object form, provided that You\n	  meet the following conditions:\n\n	  (a) You must give any other recipients of the Work or\n		  Derivative Works a copy of this License; and\n\n	  (b) You must cause any modified files to carry prominent notices\n		  stating that You changed the files; and\n\n	  (c) You must retain, in the Source form of any Derivative Works\n		  that You distribute, all copyright, patent, trademark, and\n		  attribution notices from the Source form of the Work,\n		  excluding those notices that do not pertain to any part of\n		  the Derivative Works; and\n\n	  (d) If the Work includes a \"NOTICE\" text file as part of its\n		  distribution, then any Derivative Works that You distribute must\n		  include a readable copy of the attribution notices contained\n		  within such NOTICE file, excluding those notices that do not\n		  pertain to any part of the Derivative Works, in at least one\n		  of the following places: within a NOTICE text file distributed\n		  as part of the Derivative Works; within the Source form or\n		  documentation, if provided along with the Derivative Works; or,\n		  within a display generated by the Derivative Works, if and\n		  wherever such third-party notices normally appear. The contents\n		  of the NOTICE file are for informational purposes only and\n		  do not modify the License. You may add Your own attribution\n		  notices within Derivative Works that You distribute, alongside\n		  or as an addendum to the NOTICE text from the Work, provided\n		  that such additional attribution notices cannot be consTrued\n		  as modifying the License.\n\n	  You may add Your own copyright statement to Your modifications and\n	  may provide additional or different license terms and conditions\n	  for use, reproduction, or distribution of Your modifications, or\n	  for any such Derivative Works as a whole, provided Your use,\n	  reproduction, and distribution of the Work otherwise complies with\n	  the conditions stated in this License.\n\n   5. Submission of Contributions. Unless You explicitly state otherwise,\n	  any Contribution intentionally submitted for inclusion in the Work\n	  by You to the Licensor shall be under the terms and conditions of\n	  this License, without any additional terms or conditions.\n	  Notwithstanding the above, nothing herein shall supersede or modify\n	  the terms of any separate license agreement you may have executed\n	  with Licensor regarding such Contributions.\n\n   6. Trademarks. This License does not grant permission to use the trade\n	  names, trademarks, service marks, or product names of the Licensor\n	  and its affiliates, except as required to comply with Section 4(c) of\n	  the License and to reproduce the content of the NOTICE file.\n\n   7. Disclaimer of Warranty. Unless required by applicable law or\n	  agreed to in writing, Licensor provides the Work (and each\n	  Contributor provides its Contributions) on an \"AS IS\" BASIS,\n	  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or\n	  implied, including, without limitation, any warranties or conditions\n	  of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A\n	  PARTICULAR PURPOSE. You are solely responsible for determining the\n	  appropriateness of using or redistributing the Work and assume any\n	  risks associated with Your exercise of permissions under this License.\n\n   8. Limitation of Liability. In no event and under no legal theory,\n	  whether in tort (including negligence), contract, or otherwise,\n	  unless required by applicable law (such as deliberate and grossly\n	  negligent acts) or agreed to in writing, shall any Contributor be\n	  liable to You for damages, including any direct, indirect, special,\n	  incidental, or consequential damages of any character arising as a\n	  result of this License or out of the use or inability to use the\n	  Work (including but not limited to damages for loss of goodwill,\n	  work stoppage, computer failure or malfunction, or any and all\n	  other commercial damages or losses), even if such Contributor\n	  has been advised of the possibility of such damages.\n\n   9. Accepting Warranty or Additional Liability. While redistributing\n	  the Work or Derivative Works thereof, You may choose to offer,\n	  and charge a fee for, acceptance of support, warranty, indemnity,\n	  or other liability obligations and/or rights consistent with this\n	  License. However, in accepting such obligations, You may act only\n	  on Your own behalf and on Your sole responsibility, not on behalf\n	  of any other Contributor, and only if You agree to indemnify,\n	  defend, and hold each Contributor harmless for any liability\n	  incurred by, or claims asserted against, such Contributor by reason\n	  of your accepting any such warranty or additional liability.\n\n"
		self.standardLicenseHeaderTemplate = "Copyright <<var;name=\"copyright\";original=\"<year> <name of author>\";match=\".+\">>\n\nLicensed under the Apache License, Version 2.0 (the \"Apache License\") with the following modification; you may not use this file except in compliance with the Apache License and the following modification to it: Section 6. Trademarks. is deleted and replaced with:\n\n6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor and its affiliates, except as required to comply with Section 4(c) of the License and to reproduce the content of the NOTICE file.\n\nYou may obtain a copy of the Apache License at\n\nhttp://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software distributed under the Apache License with the above modification is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the Apache License for the specific language governing permissions and limitations under the Apache License.\n\n"
		self.standardLicenseTemplate = "Modified Apache 2.0 License\n\nTERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">>\n\n   Definitions.\n\n   \"License\" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.\n\n   \"Licensor\" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.\n\n   \"Legal Entity\" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n   \"You\" (or \"Your\") shall mean an individual or Legal Entity exercising permissions granted by this License.\n\n   \"Source\" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.\n\n   \"Object\" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.\n\n   \"Work\" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).\n\n   \"Derivative Works\" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.\n\n   \"Contribution\" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, \"submitted\" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as \"Not a Contribution.\"\n\n   \"Contributor\" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">>\n\n   Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">>\n\n   Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">>\n\n   Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">>\n\n	  You must give any other recipients of the Work or Derivative Works a copy of this License; and\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">>\n\n	  You must cause any modified files to carry prominent notices stating that You changed the files; and\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">>\n\n	  You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and\n\n	  <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">>\n\n	  If the Work includes a \"NOTICE\" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be consTrued as modifying the License.\n\n	  You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">>\n\n   Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">>\n\n   Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor and its affiliates, except as required to comply with Section 4(c) of the License and to reproduce the content of the NOTICE file.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">>\n\n   Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">>\n\n   Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">>\n\n   Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.\n\n   "
		self.name = "Pixar License"
		self.licenseComments = "This license is essentially Apache-2.0 with modifications to section 6.\n\n"
		self.licenseId = "Pixar"
		self.standardLicenseHeader = "Copyright <year> <name of author>\n\nLicensed under the Apache License, Version 2.0 (the \"Apache License\") with the following modification; you may not use this file except in compliance with the Apache License and the following modification to it: Section 6. Trademarks. is deleted and replaced with:\n\n6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor and its affiliates, except as required to comply with Section 4(c) of the License and to reproduce the content of the NOTICE file.\n\nYou may obtain a copy of the Apache License at\n\nhttp://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software distributed under the Apache License with the above modification is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the Apache License for the specific language governing permissions and limitations under the Apache License.\n\n"
		self.crossRef = [{"match": "False", "url": "https://github.com/PixarAnimationStudios/OpenSubdiv/blob/v3_5_0/opensubdiv/version.cpp#L2-L22", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:46Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://graphics.pixar.com/opensubdiv/docs/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:46Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/PixarAnimationStudios/OpenSubdiv/raw/v3_5_0/LICENSE.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:46Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/PixarAnimationStudios/OpenSubdiv/raw/v3_5_0/LICENSE.txt", "https://graphics.pixar.com/opensubdiv/docs/license.html", "https://github.com/PixarAnimationStudios/OpenSubdiv/blob/v3_5_0/opensubdiv/version.cpp#L2-L22"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			Modified Apache 2.0 License\n		 </p>\n\n		 <p>\n			TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   <p>\n				  Definitions.\n			   </p>\n\n			   <p>\n				  &quot;License&quot; shall mean the terms and conditions\n				  for use, reproduction, and distribution as\n				  defined by Sections 1 through 9 of this document.\n			   </p>\n\n			<p>\n			   &quot;Licensor&quot; shall mean the copyright owner or entity authorized\n			   by the copyright owner that is granting the License.\n			</p>\n\n			<p>\n			   &quot;Legal Entity&quot; shall mean the union of the acting entity\n			   and all other entities that control, are controlled by,\n			   or are under common control with that entity. For the\n			   purposes of this definition, &quot;control&quot; means (i) the power,\n			   direct or indirect, to cause the direction or management\n			   of such entity, whether by contract or otherwise, or (ii)\n			   ownership of fifty percent (50%) or more of the outstanding\n			   shares, or (iii) beneficial ownership of such entity.\n			</p>\n\n			<p>\n			   &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal\n			   Entity exercising permissions granted by this License.\n			</p>\n\n			<p>\n			   &quot;Source&quot; form shall mean the preferred form for making\n			   modifications, including but not limited to software\n			   source code, documentation source, and configuration files.\n			</p>\n\n			<p>\n			   &quot;Object&quot; form shall mean any form resulting from mechanical\n			   transformation or translation of a Source form, including\n			   but not limited to compiled object code, generated\n			   documentation, and conversions to other media types.\n			</p>\n\n			<p>\n			   &quot;Work&quot; shall mean the work of authorship, whether in Source\n			   or Object form, made available under the License, as indicated\n			   by a copyright notice that is included in or attached to\n			   the work (an example is provided in the Appendix below).\n			</p>\n\n			<p>\n			   &quot;Derivative Works&quot; shall mean any work, whether in Source\n			   or Object form, that is based on (or derived from) the\n			   Work and for which the editorial revisions, annotations,\n			   elaborations, or other modifications represent, as a whole,\n			   an original work of authorship. For the purposes of this\n			   License, Derivative Works shall not include works that\n			   remain separable from, or merely link (or bind by name) to\n			   the interfaces of, the Work and Derivative Works thereof.\n			</p>\n\n			<p>\n			   &quot;Contribution&quot; shall mean any work of authorship, including\n			   the original version of the Work and any modifications or\n			   additions to that Work or Derivative Works thereof, that\n			   is intentionally submitted to Licensor for inclusion in the\n			   Work by the copyright owner or by an individual or Legal\n			   Entity authorized to submit on behalf of the copyright owner.\n			   For the purposes of this definition, &quot;submitted&quot; means any\n			   form of electronic, verbal, or written communication sent\n			   to the Licensor or its representatives, including but not\n			   limited to communication on electronic mailing lists, source\n			   code control systems, and issue tracking systems that are\n			   managed by, or on behalf of, the Licensor for the purpose of\n			   discussing and improving the Work, but excluding communication\n			   that is conspicuously marked or otherwise designated in\n			   writing by the copyright owner as &quot;Not a Contribution.&quot;\n			</p>\n\n			<p>\n			   &quot;Contributor&quot; shall mean Licensor and any individual or Legal\n			   Entity on behalf of whom a Contribution has been received\n			   by Licensor and subsequently incorporated within the Work.\n			</p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   <p>\n				  Grant of Copyright License. Subject to the terms and\n				  conditions of this License, each Contributor hereby\n				  grants to You a perpetual, worldwide, non-exclusive,\n				  no-charge, royalty-free, irrevocable copyright license\n				  to reproduce, prepare Derivative Works of, publicly\n				  display, publicly perform, sublicense, and distribute the\n				  Work and such Derivative Works in Source or Object form.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   <p>\n				  Grant of Patent License. Subject to the terms and conditions\n				  of this License, each Contributor hereby grants to You a\n				  perpetual, worldwide, non-exclusive, no-charge, royalty-free,\n				  irrevocable (except as stated in this section) patent license\n				  to make, have made, use, offer to sell, sell, import, and\n				  otherwise transfer the Work, where such license applies only\n				  to those patent claims licensable by such Contributor that\n				  are necessarily infringed by their Contribution(s) alone\n				  or by combination of their Contribution(s) with the Work to\n				  which such Contribution(s) was submitted. If You institute\n				  patent litigation against any entity (including a cross-claim\n				  or counterclaim in a lawsuit) alleging that the Work or\n				  a Contribution incorporated within the Work constitutes\n				  direct or contributory patent infringement, then any patent\n				  licenses granted to You under this License for that Work\n				  shall terminate as of the date such litigation is filed.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   <p>\n				  Redistribution. You may reproduce and distribute copies\n				  of the Work or Derivative Works thereof in any medium,\n				  with or without modifications, and in Source or Object\n				  form, provided that You meet the following conditions:\n			   </p>\n\n<ul style=\"list-style:none\">\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> (a)</var>\n					 <p>\n						You must give any other recipients of the Work\n						or Derivative Works a copy of this License; and\n					 </p>\n\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> (b)</var>\n					 <p>\n						You must cause any modified files to carry prominent\n						notices stating that You changed the files; and\n					 </p>\n\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> (c)</var>\n					 <p>\n						You must retain, in the Source form of any Derivative\n						Works that You distribute, all copyright, patent,\n						trademark, and attribution notices from the Source\n						form of the Work, excluding those notices that do\n						not pertain to any part of the Derivative Works; and\n					 </p>\n\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> (d)</var>\n					 <p>\n						If the Work includes a &quot;NOTICE&quot; text file as part\n						of its distribution, then any Derivative Works that\n						You distribute must include a readable copy of the\n						attribution notices contained within such NOTICE file,\n						excluding those notices that do not pertain to any\n						part of the Derivative Works, in at least one of the\n						following places: within a NOTICE text file distributed\n						as part of the Derivative Works; within the Source\n						form or documentation, if provided along with the\n						Derivative Works; or, within a display generated by\n						the Derivative Works, if and wherever such third-party\n						notices normally appear. The contents of the NOTICE\n						file are for informational purposes only and do not\n						modify the License. You may add Your own attribution\n						notices within Derivative Works that You distribute,\n						alongside or as an addendum to the NOTICE text from\n						the Work, provided that such additional attribution\n						notices cannot be consTrued as modifying the License.\n					 </p>\n\n					 <p>\n						You may add Your own copyright statement to Your\n						modifications and may provide additional or different\n						license terms and conditions for use, reproduction,\n						or distribution of Your modifications, or for any\n						such Derivative Works as a whole, provided Your use,\n						reproduction, and distribution of the Work otherwise\n						complies with the conditions stated in this License.\n					 </p>\n\n				  </li>\n			   \n</ul>\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   <p>\n				  Submission of Contributions. Unless You explicitly state\n				  otherwise, any Contribution intentionally submitted for\n				  inclusion in the Work by You to the Licensor shall be\n				  under the terms and conditions of this License, without\n				  any additional terms or conditions. Notwithstanding\n				  the above, nothing herein shall supersede or modify the\n				  terms of any separate license agreement you may have\n				  executed with Licensor regarding such Contributions.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 6.</var>\n			   <p>\n				  Trademarks. This License does not grant permission\n				  to use the trade names, trademarks, service marks,\n				  or product names of the Licensor and its affiliates,\n				  except as required to comply with Section 4(c) of the\n				  License and to reproduce the content of the NOTICE file.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 7.</var>\n			   <p>\n				  Disclaimer of Warranty. Unless required by applicable law or\n				  agreed to in writing, Licensor provides the Work (and each\n				  Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,\n				  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express\n				  or implied, including, without limitation, any warranties\n				  or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY,\n				  or FITNESS FOR A PARTICULAR PURPOSE. You are solely\n				  responsible for determining the appropriateness of using\n				  or redistributing the Work and assume any risks associated\n				  with Your exercise of permissions under this License.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 8.</var>\n			   <p>\n				  Limitation of Liability. In no event and under no legal\n				  theory, whether in tort (including negligence), contract,\n				  or otherwise, unless required by applicable law (such as\n				  deliberate and grossly negligent acts) or agreed to in\n				  writing, shall any Contributor be liable to You for damages,\n				  including any direct, indirect, special, incidental, or\n				  consequential damages of any character arising as a result of\n				  this License or out of the use or inability to use the Work\n				  (including but not limited to damages for loss of goodwill,\n				  work stoppage, computer failure or malfunction, or any and all\n				  other commercial damages or losses), even if such Contributor\n				  has been advised of the possibility of such damages.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 9.</var>\n			   <p>\n				  Accepting Warranty or Additional Liability. While\n				  redistributing the Work or Derivative Works thereof, You may\n				  choose to offer, and charge a fee for, acceptance of support,\n				  warranty, indemnity, or other liability obligations and/or\n				  rights consistent with this License. However, in accepting\n				  such obligations, You may act only on Your own behalf and\n				  on Your sole responsibility, not on behalf of any other\n				  Contributor, and only if You agree to indemnify, defend, and\n				  hold each Contributor harmless for any liability incurred\n				  by, or claims asserted against, such Contributor by reason\n				  of your accepting any such warranty or additional liability.\n			   </p>\n\n			</li>\n		 \n</ul>\n	  "
		self.standardLicenseHeaderHtml = "\n	  Copyright <var class=\"replaceable-license-text\"> &lt;year&gt; &lt;name of author&gt;</var>\n	  <p>\n		Licensed under the Apache License, Version 2.0 (the &quot;Apache License&quot;)\n		with the following modification; you may not use this file except in\n		compliance with the Apache License and the following modification to it:\n		Section 6. Trademarks. is deleted and replaced with:\n	  </p>\n\n	  <p>\n		6. Trademarks. This License does not grant permission to use the trade\n		   names, trademarks, service marks, or product names of the Licensor\n		   and its affiliates, except as required to comply with Section 4(c) of\n		   the License and to reproduce the content of the NOTICE file.\n	  </p>\n\n	  <p>\n		You may obtain a copy of the Apache License at\n	  </p>\n\n	  <p>\n		 http://www.apache.org/licenses/LICENSE-2.0\n	  </p>\n\n	  <p>\n		Unless required by applicable law or agreed to in writing, software\n		distributed under the Apache License with the above modification is\n		distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\n		KIND, either express or implied. See the Apache License for the specific\n		language governing permissions and limitations under the Apache License.\n	  </p>\n\n	"
		self.python_name = "Pixar"

	def __str__(self):
		return json.dumps(self.__dict__)


class GCRdocs:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This work may be reproduced and distributed in whole or in part, in\nany medium, physical or electronic, so as long as this copyright\nnotice remains intact and unchanged on all copies.  Commercial\nredistribution is permitted and encouraged, but you may not\nredistribute, in whole or in part, under terms more restrictive than\nthose under which you received it. If you redistribute a modified or\ntranslated version of this work, you must also make the source code to\nthe modified or translated version available in electronic form\nwithout charge.  However, mere aggregation as part of a larger work\nshall not count as a modification for this purpose.\n\nAll code examples in this work are placed into the public domain,\nand may be used, modified and redistributed without restriction.\n\nBECAUSE THIS WORK IS LICENSED FREE OF CHARGE, THERE IS NO\nWARRANTY FOR THE WORK, TO THE EXTENT PERMITTED BY APPLICABLE LAW.\nEXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR\nOTHER PARTIES PROVIDE THE WORK \"AS IS\" WITHOUT WARRANTY OF ANY\nKIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\nPURPOSE.  SHOULD THE WORK PROVE DEFECTIVE, YOU ASSUME\nTHE COST OF ALL NECESSARY REPAIR OR CORRECTION.\n\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN\nWRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY\nAND/OR REDISTRIBUTE THE WORK AS PERMITTED ABOVE, BE LIABLE TO YOU\nFOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR\nCONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE\nWORK, EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE\nPOSSIBILITY OF SUCH DAMAGES.\n"
		self.standardLicenseTemplate = "This work may be reproduced and distributed in whole or in part, in any medium, physical or electronic, so as long as this copyright notice remains intact and unchanged on all copies. Commercial redistribution is permitted and encouraged, but you may not redistribute, in whole or in part, under terms more restrictive than those under which you received it. If you redistribute a modified or translated version of this work, you must also make the source code to the modified or translated version available in electronic form without charge. However, mere aggregation as part of a larger work shall not count as a modification for this purpose.\n\nAll code examples in this work are placed into the public domain, and may be used, modified and redistributed without restriction.\n\nBECAUSE THIS WORK IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE WORK, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE WORK \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. SHOULD THE WORK PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY REPAIR OR CORRECTION.\n\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE WORK AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE WORK, EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n"
		self.name = "Gnome GCR Documentation License"
		self.licenseId = "GCR-docs"
		self.crossRef = [{"match": "False", "url": "https://github.com/GNOME/gcr/blob/master/docs/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:28Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/GNOME/gcr/blob/master/docs/COPYING"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<p>\n				This work may be reproduced and distributed in whole or in part,\n				in any medium, physical or electronic, so as long as this\n				copyright notice remains intact and unchanged on all\n				copies. Commercial redistribution is permitted and\n				encouraged, but you may not redistribute, in whole\n				or in part, under terms more restrictive than those\n				under which you received it. If you redistribute a modified\n				or translated version of this work, you must also make the\n				source code to the modified or translated version\n				available in electronic form without charge.\n				However, mere aggregation as part of a larger work\n				shall not count as a modification for this purpose.\n		</p>\n\n		<p>\n				All code examples in this work are placed into the\n				public domain, and may be used, modified and\n				redistributed without restriction.\n		</p>\n\n		<p>\n				BECAUSE THIS WORK IS LICENSED FREE OF CHARGE, THERE\n				IS NO WARRANTY FOR THE WORK, TO THE EXTENT PERMITTED\n				BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN\n				WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES\n				PROVIDE THE WORK &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND,\n				EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\n				IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n				PARTICULAR PURPOSE. SHOULD THE WORK PROVE DEFECTIVE,\n				YOU ASSUME THE COST OF ALL NECESSARY REPAIR OR\n				CORRECTION.\n		</p>\n\n		<p>\n				IN NO EVENT UNLESS REQUIRED BY\n				APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT\n				HOLDER,\n				OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE WORK\n				AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY\n				GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING\n				OUT\n				OF THE USE OR INABILITY TO USE THE WORK, EVEN IF SUCH HOLDER OR\n				OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		 </p>\n\n	  "
		self.python_name = "GCRdocs"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP28:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The OpenLDAP Public License\nVersion 2.8, 17 August 2003\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions in source form must retain copyright statements and notices,\n\n2. Redistributions in binary form must reproduce applicable copyright statements and notices, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution, and\n\n3. Redistributions must contain a verbatim copy of this document.\n\nThe OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use this Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND ITS CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION, ITS CONTRIBUTORS, OR THE AUTHOR(S) OR OWNER(S) OF THE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe names of the authors and copyright holders must not be used in advertising or otherwise to promote the sale, use or other dealing in this Software without specific, written prior permission. Title to copyright in this Software shall at all times remain with copyright holders.\n\nOpenLDAP is a registered trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2003 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved. Permission to copy and distribute verbatim copies of this document is granted.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 2.8, 17 August 2003\n\n<<endOptional>>\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions in source form must retain copyright statements and notices,\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce applicable copyright statements and notices, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution, and\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions must contain a verbatim copy of this document.\n\nThe OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use this Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND ITS CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION, ITS CONTRIBUTORS, OR THE AUTHOR(S) OR OWNER(S) OF THE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe names of the authors and copyright holders must not be used in advertising or otherwise to promote the sale, use or other dealing in this Software without specific, written prior permission. Title to copyright in this Software shall at all times remain with copyright holders.\n\nOpenLDAP is a registered trademark of the OpenLDAP Foundation.\n\n<<var;name=\"copyright\";original=\"Copyright 1999-2003 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.\";match=\".{0,5000}\">> Permission to copy and distribute verbatim copies of this document is granted.\n\n"
		self.name = "Open LDAP Public License v2.8"
		self.licenseId = "OLDAP-2.8"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/software/release/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:01Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/software/release/license.html"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 2.8, 17 August 2003\n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use of this software and associated documentation (&quot;Software&quot;), with or without\n		 modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions in source form must retain copyright statements and notices,\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce applicable copyright statements and notices, this\n			 list of conditions, and the following disclaimer in the documentation and/or other materials\n			 provided with the distribution, and\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Redistributions must contain a verbatim copy of this document.\n		</li>\n	  \n</ul>\n	  <p>The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a\n		 version number. You may use this Software under terms of this license revision or under the terms of\n		 any subsequent revision of the license.</p>\n\n	  <p>THIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND ITS CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESSED OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION, ITS\n		 CONTRIBUTORS, OR THE AUTHOR(S) OR OWNER(S) OF THE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT,\n		 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\n		 OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\n		 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\n		 POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>The names of the authors and copyright holders must not be used in advertising or otherwise to promote\n		 the sale, use or other dealing in this Software without specific, written prior permission. Title to\n		 copyright in this Software shall at all times remain with copyright holders.</p>\n\n	  <p>OpenLDAP is a registered trademark of the OpenLDAP Foundation.</p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> Copyright 1999-2003 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.</var>\n		Permission to copy and distribute verbatim copies of this document is granted.\n	  </p>\n\n	"
		self.python_name = "OLDAP28"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNC30:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "Creative Commons Attribution-NonCommercial 3.0 Unported\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Adaptation\" means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered an Adaptation for the purpose of this License.\n\n	 b. \"Collection\" means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(f) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined above) for the purposes of this License.\n\n	 c. \"Distribute\" means to make available to the public the original and copies of the Work or Adaptation, as appropriate, through sale or other transfer of ownership.\n\n	 d. \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License.\n\n	 e. \"Original Author\" means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast.\n\n	 f. \"Work\" means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work.\n\n	 g. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	 h. \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	 i. \"Reproduce\" means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.\n\n2. Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections;\n\n	 b. to create and Reproduce Adaptations provided that any such Adaptation, including any translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise identify that changes were made to the original Work. For example, a translation could be marked \"The original work was translated from English to Spanish,\" or a modification could indicate \"The original work has been modified.\";\n\n	 c. to Distribute and Publicly Perform the Work including as incorporated in Collections; and,\n\n	 d. to Distribute and Publicly Perform Adaptations.\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. Subject to Section 8(f), all rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Section 4(d).\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(c), as requested. If You create an Adaptation, upon notice from any Licensor You must, to the extent practicable, remove from the Adaptation any credit as required by Section 4(c), as requested.\n\n	 b. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	 c. If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution (\"Attribution Parties\") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). The credit required by this Section 4(c) may be implemented in any reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributing authors of the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.\n\n	 d. For the avoidance of doubt:\n\n		  i. Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		  ii. Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License if Your exercise of such rights is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(b) and otherwise waives the right to collect royalties through any statutory or compulsory licensing scheme; and,\n\n		  iii. Voluntary License Schemes. The Licensor reserves the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License that is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(c).\n\n	 e. Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author's honor or reputation. Licensor agrees that in those jurisdictions (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License (the right to make Adaptations) would be deemed to be a distortion, mutilation, modification or other derogatory action prejudicial to the Original Author's honor and reputation, the Licensor will waive or not assert, as appropriate, this Section, to the fullest extent permitted by the applicable national law, to enable You to reasonably exercise Your right under Section 3(b) of this License (right to make Adaptations) but not otherwise.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	 f. The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of the License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NonCommercial 3.0 Unported\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Adaptation\" means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered an Adaptation for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Collection\" means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(f) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined above) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Distribute\" means to make available to the public the original and copies of the Work or Adaptation, as appropriate, through sale or other transfer of ownership.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Original Author\" means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Work\" means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"Reproduce\" means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and Reproduce Adaptations provided that any such Adaptation, including any translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise identify that changes were made to the original Work. For example, a translation could be marked \"The original work was translated from English to Spanish,\" or a modification could indicate \"The original work has been modified.\";\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to Distribute and Publicly Perform the Work including as incorporated in Collections; and,\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to Distribute and Publicly Perform Adaptations.\n\n	  The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. Subject to Section 8(f), all rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Section 4(d).\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(c), as requested. If You create an Adaptation, upon notice from any Licensor You must, to the extent practicable, remove from the Adaptation any credit as required by Section 4(c), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution (\"Attribution Parties\") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). The credit required by this Section 4(c) may be implemented in any reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributing authors of the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> For the avoidance of doubt:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License if Your exercise of such rights is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(b) and otherwise waives the right to collect royalties through any statutory or compulsory licensing scheme; and,\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Voluntary License Schemes. The Licensor reserves the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License that is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(c).\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author's honor or reputation. Licensor agrees that in those jurisdictions (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License (the right to make Adaptations) would be deemed to be a distortion, mutilation, modification or other derogatory action prejudicial to the Original Author's honor and reputation, the Licensor will waive or not assert, as appropriate, this Section, to the fullest extent permitted by the applicable national law, to enable You to reasonably exercise Your right under Section 3(b) of this License (right to make Adaptations) but not otherwise.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of the License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial 3.0 Unported"
		self.licenseId = "CC-BY-NC-3.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc/3.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc/3.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NonCommercial 3.0 Unported</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE\n		 RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Adaptation&quot; means a work based upon the Work, or upon the Work and other\n			   pre-existing works, such as a translation, adaptation, derivative work, arrangement of\n			   music or other alterations of a literary or artistic work, or phonogram or performance and\n			   includes cinematographic adaptations or any other form in which the Work may be recast,\n			   transformed, or adapted including in any form recognizably derived from the original,\n			   except that a work that constitutes a Collection will not be considered an Adaptation for\n			   the purpose of this License. For the avoidance of doubt, where the Work is a musical work,\n			   performance or phonogram, the synchronization of the Work in timed-relation with a moving\n			   image (&quot;synching&quot;) will be considered an Adaptation for the purpose of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Collection&quot; means a collection of literary or artistic works, such as\n			   encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works\n			   or subject matter other than works listed in Section 1(f) below, which, by reason of the\n			   selection and arrangement of their contents, constitute intellectual creations, in which\n			   the Work is included in its entirety in unmodified form along with one or more other\n			   contributions, each constituting separate and independent works in themselves, which\n			   together are assembled into a collective whole. A work that constitutes a Collection will\n			   not be considered an Adaptation (as defined above) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Distribute&quot; means to make available to the public the original and copies of the\n			   Work or Adaptation, as appropriate, through sale or other transfer of ownership.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Licensor&quot; means the individual, individuals, entity or entities that offer(s) the\n			   Work under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Original Author&quot; means, in the case of a literary or artistic work, the\n			   individual, individuals, entity or entities who created the Work or if no individual or\n			   entity can be identified, the publisher; and in addition (i) in the case of a performance\n			   the actors, singers, musicians, dancers, and other persons who act, sing, deliver,\n			   declaim, play in, interpret or otherwise perform literary or artistic works or expressions\n			   of folklore; (ii) in the case of a phonogram the producer being the person or legal entity\n			   who first fixes the sounds of a performance or other sounds; and, (iii) in the case of\n			   broadcasts, the organization that transmits the broadcast.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;Work&quot; means the literary and/or artistic work offered under the terms of this\n			   License including without limitation any production in the literary, scientific and\n			   artistic domain, whatever may be the mode or form of its expression including digital\n			   form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work\n			   of the same nature; a dramatic or dramatico-musical work; a choreographic work or\n			   entertainment in dumb show; a musical composition with or without words; a cinematographic\n			   work to which are assimilated works expressed by a process analogous to cinematography; a\n			   work of drawing, painting, architecture, sculpture, engraving or lithography; a\n			   photographic work to which are assimilated works expressed by a process analogous to\n			   photography; a work of applied art; an illustration, map, plan, sketch or\n			   three-dimensional work relative to geography, topography, architecture or science; a\n			   performance; a broadcast; a phonogram; a compilation of data to the extent it is protected\n			   as a copyrightable work; or a work performed by a variety or circus performer to the\n			   extent it is not otherwise considered a literary or artistic work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> g.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> h.</var>\n			&quot;Publicly Perform&quot; means to perform public recitations of the Work and to\n			   communicate to the public those public recitations, by any means or process, including by\n			   wire or wireless means or public digital performances; to make available to the public\n			   Works in such a way that members of the public may access these Works from a place and at\n			   a place individually chosen by them; to perform the Work to the public by any means or\n			   process and the communication to the public of the performances of the Work, including by\n			   public digital performance; to broadcast and rebroadcast the Work by any means including\n			   signs, sounds or images.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> i.</var>\n			&quot;Reproduce&quot; means to make copies of the Work by any means including without\n			   limitation by sound or visual recordings and the right of fixation and reproducing\n			   fixations of the Work, including storage of a protected performance or phonogram in\n			   digital form or other electronic medium.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses\n			 free from copyright or rights arising from limitations or exceptions that are provided for in\n			 connection with the copyright protection under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce\n			   the Work as incorporated in the Collections;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to create and Reproduce Adaptations provided that any such Adaptation, including any\n			   translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise\n			   identify that changes were made to the original Work. For example, a translation could be\n			   marked &quot;The original work was translated from English to Spanish,&quot; or a\n			   modification could indicate &quot;The original work has been modified.&quot;;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			to Distribute and Publicly Perform the Work including as incorporated in Collections; and,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			to Distribute and Publicly Perform Adaptations.\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats. Subject to Section 8(f), all\n			   rights not expressly granted by Licensor are hereby reserved, including but not limited to\n			   the rights set forth in Section 4(d).</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may Distribute or Publicly Perform the Work only under the terms of this License. You\n			   must include a copy of, or the Uniform Resource Identifier (URI) for, this License with\n			   every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any\n			   terms on the Work that restrict the terms of this License or the ability of the recipient\n			   of the Work to exercise the rights granted to that recipient under the terms of the\n			   License. You may not sublicense the Work. You must keep intact all notices that refer to\n			   this License and to the disclaimer of warranties with every copy of the Work You\n			   Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may\n			   not impose any effective technological measures on the Work that restrict the ability of a\n			   recipient of the Work from You to exercise the rights granted to that recipient under the\n			   terms of the License. This Section 4(a) applies to the Work as incorporated in a\n			   Collection, but this does not require the Collection apart from the Work itself to be made\n			   subject to the terms of this License. If You create a Collection, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Collection any credit as\n			   required by Section 4(c), as requested. If You create an Adaptation, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Adaptation any credit as\n			   required by Section 4(c), as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may not exercise any of the rights granted to You in Section 3 above in any manner that\n			   is primarily intended for or directed toward commercial advantage or private monetary\n			   compensation. The exchange of the Work for other copyrighted works by means of digital\n			   file-sharing or otherwise shall not be considered to be intended for or directed toward\n			   commercial advantage or private monetary compensation, provided there is no payment of any\n			   monetary compensation in connection with the exchange of copyrighted works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must,\n			   unless a request has been made pursuant to Section 4(a), keep intact all copyright notices\n			   for the Work and provide, reasonable to the medium or means You are utilizing: (i) the\n			   name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the\n			   Original Author and/or Licensor designate another party or parties (e.g., a sponsor\n			   institute, publishing entity, journal) for attribution (&quot;Attribution Parties&quot;)\n			   in Licensor&apos;s copyright notice, terms of service or by other reasonable means, the\n			   name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent\n			   reasonably practicable, the URI, if any, that Licensor specifies to be associated with the\n			   Work, unless such URI does not refer to the copyright notice or licensing information for\n			   the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit\n			   identifying the use of the Work in the Adaptation (e.g., &quot;French translation of the\n			   Work by Original Author,&quot; or &quot;Screenplay based on original Work by Original\n			   Author&quot;). The credit required by this Section 4(c) may be implemented in any\n			   reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a\n			   minimum such credit will appear, if a credit for all contributing authors of the\n			   Adaptation or Collection appears, then as part of these credits and in a manner at least\n			   as prominent as the credits for the other contributing authors. For the avoidance of\n			   doubt, You may only use the credit required by this Section for the purpose of attribution\n			   in the manner set out above and, by exercising Your rights under this License, You may not\n			   implicitly or explicitly assert or imply any connection with, sponsorship or endorsement\n			   by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or\n			   Your use of the Work, without the separate, express prior written permission of the\n			   Original Author, Licensor and/or Attribution Parties.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			For the avoidance of doubt:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to\n				 collect royalties through any statutory or compulsory licensing scheme cannot be\n				 waived, the Licensor reserves the exclusive right to collect such royalties for any\n				 exercise by You of the rights granted under this License;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect\n				 royalties through any statutory or compulsory licensing scheme can be waived, the\n				 Licensor reserves the exclusive right to collect such royalties for any exercise by\n				 You of the rights granted under this License if Your exercise of such rights is for a\n				 purpose or use which is otherwise than noncommercial as permitted under Section 4(b)\n				 and otherwise waives the right to collect royalties through any statutory or\n				 compulsory licensing scheme; and,\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> iii.</var>\n			  Voluntary License Schemes. The Licensor reserves the right to collect royalties, whether\n				 individually or, in the event that the Licensor is a member of a collecting society\n				 that administers voluntary licensing schemes, via that society, from any exercise by\n				 You of the rights granted under this License that is for a purpose or use which is\n				 otherwise than noncommercial as permitted under Section 4(c).\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by\n			   applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself\n			   or as part of any Adaptations or Collections, You must not distort, mutilate, modify or\n			   take other derogatory action in relation to the Work which would be prejudicial to the\n			   Original Author&apos;s honor or reputation. Licensor agrees that in those jurisdictions\n			   (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License\n			   (the right to make Adaptations) would be deemed to be a distortion, mutilation,\n			   modification or other derogatory action prejudicial to the Original Author&apos;s honor\n			   and reputation, the Licensor will waive or not assert, as appropriate, this Section, to\n			   the fullest extent permitted by the applicable national law, to enable You to reasonably\n			   exercise Your right under Section 3(b) of this License (right to make Adaptations) but not\n			   otherwise.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Adaptations or\n			   Collections from You under this License, however, will not have their licenses terminated\n			   provided such individuals or entities remain in full compliance with those licenses.\n			   Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to\n			   the recipient a license to the Work on the same terms and conditions as the license\n			   granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient\n			   a license to the original Work on the same terms and conditions as the license granted to\n			   You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			The rights granted under, and the subject matter referenced, in this License were drafted\n			   utilizing the terminology of the Berne Convention for the Protection of Literary and\n			   Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO\n			   Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the\n			   Universal Copyright Convention (as revised on July 24, 1971). These rights and subject\n			   matter take effect in the relevant jurisdiction in which the License terms are sought to\n			   be enforced according to the corresponding provisions of the implementation of those\n			   treaty provisions in the applicable national law. If the standard suite of rights granted\n			   under applicable copyright law includes additional rights not granted under this License,\n			   such additional rights are deemed to be included in the License; this License is not\n			   intended to restrict the license of any rights under applicable law.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons Notice</p>\n\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 Creative Commons does not authorize the use by either party of the trademark &quot;Creative\n		 Commons&quot; or any related trademark or logo of Creative Commons without the prior written consent\n		 of Creative Commons. Any permitted use will be in compliance with Creative Commons&apos; then-current\n		 trademark usage guidelines, as may be published on its website or otherwise made available upon\n		 request from time to time. For the avoidance of doubt, this trademark restriction does not form part\n		 of the License.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYNC30"

	def __str__(self):
		return json.dumps(self.__dict__)


class SSHshort:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "As far as I am concerned, the code I have written for this software\ncan be used freely for any purpose.  Any derived versions of this\nsoftware must be clearly marked as such, and if the derived work is\nincompatible with the protocol description in the RFC file, it must be\ncalled by a name other than \"ssh\" or \"Secure Shell\".\n"
		self.standardLicenseTemplate = "As far as I am concerned, the code I have written for this software can be used freely for any purpose. Any derived versions of this software must be clearly marked as such, and if the derived work is incompatible with the protocol description in the RFC file, it must be called by a name other than \"ssh\" or \"Secure Shell\".\n\n"
		self.name = "SSH short notice"
		self.licenseComments = "This is short version of SSH-OpenSSH that appears in some files associated with the original SSH implementation."
		self.licenseId = "SSH-short"
		self.crossRef = [{"match": "N/A", "url": "https://joinup.ec.europa.eu/svn/lesoll/trunk/italc/lib/src/dsa_key.cpp", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:21:01Z", "isWayBackLink": False, "order": 2}, {"match": "N/A", "url": "http://web.mit.edu/kolya/.f/root/athena.mit.edu/sipb.mit.edu/project/openssh/OldFiles/src/openssh-2.9.9p2/ssh-add.1", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:21:01Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/openssh/openssh-portable/blob/1b11ea7c58cd5c59838b5fa574cd456d6047b2d4/pathnames.h", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:02Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/openssh/openssh-portable/blob/1b11ea7c58cd5c59838b5fa574cd456d6047b2d4/pathnames.h", "http://web.mit.edu/kolya/.f/root/athena.mit.edu/sipb.mit.edu/project/openssh/OldFiles/src/openssh-2.9.9p2/ssh-add.1", "https://joinup.ec.europa.eu/svn/lesoll/trunk/italc/lib/src/dsa_key.cpp"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<p>As far as I am concerned, the code I have written for this software\n		can be used freely for any purpose.  Any derived versions of this\n		software must be clearly marked as such, and if the derived work is\n		incompatible with the protocol description in the RFC file, it must be\n		called by a name other than &quot;ssh&quot; or &quot;Secure Shell&quot;.\n		</p>\n\n	"
		self.python_name = "SSHshort"

	def __str__(self):
		return json.dumps(self.__dict__)


class LOOP:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Portions of LOOP are Copyright (c) 1986 by the Massachusetts Institute of Technology.\nAll Rights Reserved.\n\nPermission to use, copy, modify and distribute this software and its\ndocumentation for any purpose and without fee is hereby granted,\nprovided that the M.I.T. copyright notice appear in all copies and that\nboth that copyright notice and this permission notice appear in\nsupporting documentation.  The names \"M.I.T.\" and \"Massachusetts\nInstitute of Technology\" may not be used in advertising or publicity\npertaining to distribution of the software without specific, written\nprior permission.  Notice must be given in supporting documentation that\ncopying distribution is by permission of M.I.T.  M.I.T. makes no\nrepresentations about the suitability of this software for any purpose.\nIt is provided \"as is\" without express or implied warranty.\n\nMassachusetts Institute of Technology\n77 Massachusetts Avenue\nCambridge, Massachusetts  02139\nUnited States of America\n+1-617-253-1000\n\nPortions of LOOP are Copyright (c) 1989, 1990, 1991, 1992 by Symbolics, Inc.\nAll Rights Reserved.\n\nPermission to use, copy, modify and distribute this software and its\ndocumentation for any purpose and without fee is hereby granted,\nprovided that the Symbolics copyright notice appear in all copies and\nthat both that copyright notice and this permission notice appear in\nsupporting documentation.  The name \"Symbolics\" may not be used in\nadvertising or publicity pertaining to distribution of the software\nwithout specific, written prior permission.  Notice must be given in\nsupporting documentation that copying distribution is by permission of\nSymbolics.  Symbolics makes no representations about the suitability of\nthis software for any purpose.  It is provided \"as is\" without express\nor implied warranty.\n\nSymbolics, CLOE Runtime, and Minima are trademarks, and CLOE, Genera,\nand Zetalisp are registered trademarks of Symbolics, Inc.\n\nSymbolics, Inc.\n8 New England Executive Park, East\nBurlington, Massachusetts  01803\nUnited States of America\n+1-617-221-1000\n"
		self.standardLicenseTemplate = "Portions of LOOP are Copyright (c) 1986 by the Massachusetts Institute of Technology. All Rights Reserved.\n\nPermission to use, copy, modify and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the M.I.T. copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. The names \"M.I.T.\" and \"Massachusetts Institute of Technology\" may not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. Notice must be given in supporting documentation that copying distribution is by permission of M.I.T. M.I.T. makes no representations about the suitability of this software for any purpose. It is provided \"as is\" without express or implied warranty.\n\nMassachusetts Institute of Technology\n\n77 Massachusetts Avenue\n\nCambridge, Massachusetts 02139\n\nUnited States of America\n\n+1-617-253-1000\n\nPortions of LOOP are Copyright (c) 1989, 1990, 1991, 1992 by Symbolics, Inc. All Rights Reserved.\n\nPermission to use, copy, modify and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the Symbolics copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. The name \"Symbolics\" may not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. Notice must be given in supporting documentation that copying distribution is by permission of Symbolics. Symbolics makes no representations about the suitability of this software for any purpose. It is provided \"as is\" without express or implied warranty.\n\nSymbolics, CLOE Runtime, and Minima are trademarks, and CLOE, Genera, and Zetalisp are registered trademarks of Symbolics, Inc.\n\nSymbolics, Inc.\n\n8 New England Executive Park, East\n\nBurlington, Massachusetts 01803\n\nUnited States of America\n\n+1-617-221-1000\n\n"
		self.name = "Common Lisp LOOP License"
		self.licenseId = "LOOP"
		self.crossRef = [{"match": "False", "url": "https://github.com/blakemcbride/eclipse-lisp/blob/master/lisp/loop.lisp", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:36Z", "isWayBackLink": False, "order": 4}, {"match": "False", "url": "https://github.com/cl-adams/adams/blob/master/LICENSE.md", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:37Z", "isWayBackLink": False, "order": 3}, {"match": "False", "url": "https://gitlab.common-lisp.net/cmucl/cmucl/-/blob/master/src/code/loop.lisp", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:37Z", "isWayBackLink": False, "order": 5}, {"match": "False", "url": "https://sourceforge.net/p/sbcl/sbcl/ci/master/tree/src/code/loop.lisp", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:39Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "http://git.savannah.gnu.org/cgit/gcl.git/tree/gcl/lsp/gcl_loop.lsp?h=Version_2_6_13pre", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:40Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://gitlab.com/embeddable-common-lisp/ecl/-/blob/develop/src/lsp/loop.lsp", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:42Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gitlab.com/embeddable-common-lisp/ecl/-/blob/develop/src/lsp/loop.lsp", "http://git.savannah.gnu.org/cgit/gcl.git/tree/gcl/lsp/gcl_loop.lsp?h=Version_2_6_13pre", "https://sourceforge.net/p/sbcl/sbcl/ci/master/tree/src/code/loop.lisp", "https://github.com/cl-adams/adams/blob/master/LICENSE.md", "https://github.com/blakemcbride/eclipse-lisp/blob/master/lisp/loop.lisp", "https://gitlab.common-lisp.net/cmucl/cmucl/-/blob/master/src/code/loop.lisp"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>\n		Portions of LOOP are Copyright (c) 1986 by the Massachusetts Institute of Technology.\n\tAll Rights Reserved.\n	  </p>\n\n	  <p>\n		Permission to use, copy, modify and distribute this software and its\n		documentation for any purpose and without fee is hereby granted,\n		provided that the M.I.T. copyright notice appear in all copies and that\n		both that copyright notice and this permission notice appear in\n		supporting documentation.  The names &quot;M.I.T.&quot; and &quot;Massachusetts\n		Institute of Technology&quot; may not be used in advertising or publicity\n		pertaining to distribution of the software without specific, written\n		prior permission.  Notice must be given in supporting documentation that\n		copying distribution is by permission of M.I.T.  M.I.T. makes no\n		representations about the suitability of this software for any purpose.\n		It is provided &quot;as is&quot; without express or implied warranty.\n	  </p>\n\n	  <p>\n		Massachusetts Institute of Technology<br />\n\n		77 Massachusetts Avenue<br />\n\n		Cambridge, Massachusetts  02139<br />\n\n		United States of America<br />\n\n		+1-617-253-1000\n	  </p>\n\n	  <p>\n		Portions of LOOP are Copyright (c) 1989, 1990, 1991, 1992 by Symbolics, Inc.\n		All Rights Reserved.\n	  </p>\n\n	  <p>\n		Permission to use, copy, modify and distribute this software and its\n		documentation for any purpose and without fee is hereby granted,\n		provided that the Symbolics copyright notice appear in all copies and\n		that both that copyright notice and this permission notice appear in\n		supporting documentation.  The name &quot;Symbolics&quot; may not be used in\n		advertising or publicity pertaining to distribution of the software\n		without specific, written prior permission.  Notice must be given in\n		supporting documentation that copying distribution is by permission of\n		Symbolics.  Symbolics makes no representations about the suitability of\n		this software for any purpose.  It is provided &quot;as is&quot; without express\n		or implied warranty.\n	  </p>\n\n	  <p>\n		Symbolics, CLOE Runtime, and Minima are trademarks, and CLOE, Genera,\n		and Zetalisp are registered trademarks of Symbolics, Inc.\n	  </p>\n\n	  <p>\n		Symbolics, Inc.<br />\n\n		8 New England Executive Park, East<br />\n\n		Burlington, Massachusetts  01803<br />\n\n		United States of America<br />\n\n		+1-617-221-1000\n	  </p>\n\n	"
		self.python_name = "LOOP"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL10plus:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.licenseText = "GNU GENERAL PUBLIC LICENSE\n\nVersion 1, February 1989\n\nCopyright (C) 1989 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe license agreements of most software companies try to keep users at the mercy of those companies. By contrast, our General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. The General Public License applies to the Free Software Foundation's software and to any other program whose authors commit to using it. You can use it for your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Specifically, the General Public License is designed to make sure that you have the freedom to give away or sell copies of free software, that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of a such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must tell them their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nGNU GENERAL PUBLIC LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   0. This License Agreement applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any work containing the Program or a portion of it, either verbatim or with modifications. Each licensee is addressed as \"you\".\n\n   1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this General Public License and to the absence of any warranty; and give any other recipients of the Program a copy of this General Public License along with the Program. You may charge a fee for the physical act of transferring a copy.\n\n   2. You may modify your copy or copies of the Program or any portion of it, and copy and distribute such modifications under the terms of Paragraph 1 above, provided that you also do the following:\n\n	  a) cause the modified files to carry prominent notices stating that you changed the files and the date of any change; and\n\n	  b) cause the whole of any work that you distribute or publish, that in whole or in part contains the Program or any part thereof, either with or without modifications, to be licensed at no charge to all third parties under the terms of this General Public License (except that you may choose to grant warranty protection to some or all third parties, at your option).\n\n	  c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the simplest and most usual way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this General Public License.\n\n	  d) You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   Mere aggregation of another independent work with the Program (or its derivative) on a volume of a storage or distribution medium does not bring the other work under the scope of these terms.\n\n   3. You may copy and distribute the Program (or a portion or derivative of it, under Paragraph 2) in object code or executable form under the terms of Paragraphs 1 and 2 above provided that you also do one of the following:\n\n	  a) accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	  b) accompany it with a written offer, valid for at least three years, to give any third party free (except for a nominal charge for the cost of distribution) a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	  c) accompany it with the information you received as to where the corresponding source code may be obtained. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form alone.)\n\n   Source code for a work means the preferred form of the work for making modifications to it. For an executable file, complete source code means all the source code for all modules it contains; but, as a special exception, it need not include source code for modules which are standard libraries that accompany the operating system on which the executable file runs, or for standard header files or definitions files that accompany that operating system.\n\n   4. You may not copy, modify, sublicense, distribute or transfer the Program except as expressly provided under this General Public License. Any attempt otherwise to copy, modify, sublicense, distribute or transfer the Program is void, and will automatically terminate your rights to use the Program under this License. However, parties who have received copies, or rights to use copies, from you under this General Public License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   5. By copying, distributing or modifying the Program (or any work based on the Program) you indicate your acceptance of this license to do so, and all its terms and conditions.\n\n   6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein.\n\n   7. The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies a version number of the license which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the license, you may choose any version ever published by the Free Software Foundation.\n\n   8. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   9.\n\n   BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   10. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. END OF TERMS AND CONDITIONS\n\nAppendix: How to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to humanity, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) 19yy <name of author>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 1, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\nGnomovision version 69, Copyright (C) 19xx name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (a program to direct compilers to make passes at assemblers) written by James Hacker.\n\n<signature of Ty Coon>, 1 April 1989 Ty Coon, President of Vice\n\nThat's all there is to it!\n\n"
		self.standardLicenseHeaderTemplate = "<<var;name=\"description\";original=\"<one line to give the program's name and a brief idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"19yy <name of author>\";match=\".+\">>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 1, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 1, February 1989\n\n<<endOptional>>\n\nCopyright (C) 1989 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe license agreements of most software companies try to keep users at the mercy of those companies. By contrast, our General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. The General Public License applies to the Free Software Foundation's software and to any other program whose authors commit to using it. You can use it for your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Specifically, the General Public License is designed to make sure that you have the freedom to give away or sell copies of free software, that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of a such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must tell them their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nGNU GENERAL PUBLIC LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License Agreement applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any work containing the Program or a portion of it, either verbatim or with modifications. Each licensee is addressed as \"you\".\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this General Public License and to the absence of any warranty; and give any other recipients of the Program a copy of this General Public License along with the Program. You may charge a fee for the physical act of transferring a copy.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Program or any portion of it, and copy and distribute such modifications under the terms of Paragraph 1 above, provided that you also do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> cause the modified files to carry prominent notices stating that you changed the files and the date of any change; and\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> cause the whole of any work that you distribute or publish, that in whole or in part contains the Program or any part thereof, either with or without modifications, to be licensed at no charge to all third parties under the terms of this General Public License (except that you may choose to grant warranty protection to some or all third parties, at your option).\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the simplest and most usual way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this General Public License.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   Mere aggregation of another independent work with the Program (or its derivative) on a volume of a storage or distribution medium does not bring the other work under the scope of these terms.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may copy and distribute the Program (or a portion or derivative of it, under Paragraph 2) in object code or executable form under the terms of Paragraphs 1 and 2 above provided that you also do one of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany it with a written offer, valid for at least three years, to give any third party free (except for a nominal charge for the cost of distribution) a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> accompany it with the information you received as to where the corresponding source code may be obtained. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form alone.)\n\n   Source code for a work means the preferred form of the work for making modifications to it. For an executable file, complete source code means all the source code for all modules it contains; but, as a special exception, it need not include source code for modules which are standard libraries that accompany the operating system on which the executable file runs, or for standard header files or definitions files that accompany that operating system.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may not copy, modify, sublicense, distribute or transfer the Program except as expressly provided under this General Public License. Any attempt otherwise to copy, modify, sublicense, distribute or transfer the Program is void, and will automatically terminate your rights to use the Program under this License. However, parties who have received copies, or rights to use copies, from you under this General Public License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> By copying, distributing or modifying the Program (or any work based on the Program) you indicate your acceptance of this license to do so, and all its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies a version number of the license which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the license, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">>\n\n   BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nAppendix: How to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to humanity, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<var;name=\"description\";original=\"<one line to give the program's name and a brief idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"19yy <name of author>\";match=\".+\">>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 1, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\nGnomovision version 69, Copyright (C) 19xx name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (a program to direct compilers to make passes at assemblers) written by James Hacker.\n\n<signature of Ty Coon>, 1 April 1989 Ty Coon, President of Vice\n\nThat's all there is to it!\n\n<<endOptional>>"
		self.name = "GNU General Public License v1.0 or later"
		self.licenseId = "GPL-1.0+"
		self.standardLicenseHeader = "<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) 19yy <name of author>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 1, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/gpl-1.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/gpl-1.0-standalone.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>GNU GENERAL PUBLIC LICENSE\n		<br />\n\nVersion 1, February 1989\n	  </p>\n\n	  </div>\n	  <p>Copyright (C) 1989 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA</p>\n\n	  <p>Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is\n	   not allowed.</p>\n\n	  <p>Preamble</p>\n\n	  <p>The license agreements of most software companies try to keep users at the mercy of those companies. By\n	   contrast, our General Public License is intended to guarantee your freedom to share and change free\n	   software--to make sure the software is free for all its users. The General Public License applies to\n	   the Free Software Foundation&apos;s software and to any other program whose authors commit to using\n	   it. You can use it for your programs, too.</p>\n\n	  <p>When we speak of free software, we are referring to freedom, not price. Specifically, the General Public\n	   License is designed to make sure that you have the freedom to give away or sell copies of free\n	   software, that you receive source code or can get it if you want it, that you can change the software\n	   or use pieces of it in new free programs; and that you know you can do these things.</p>\n\n	  <p>To protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to\n	   ask you to surrender the rights. These restrictions translate to certain responsibilities for you if\n	   you distribute copies of the software, or if you modify it.</p>\n\n	  <p>For example, if you distribute copies of a such a program, whether gratis or for a fee, you must give the\n	   recipients all the rights that you have. You must make sure that they, too, receive or can get the\n	   source code. And you must tell them their rights.</p>\n\n	  <p>We protect your rights with two steps: (1) copyright the software, and (2) offer you this license which\n	   gives you legal permission to copy, distribute and/or modify the software.</p>\n\n	  <p>Also, for each author&apos;s protection and ours, we want to make certain that everyone understands that\n	   there is no warranty for this free software. If the software is modified by someone else and passed\n	   on, we want its recipients to know that what they have is not the original, so that any problems\n	   introduced by others will not reflect on the original authors&apos; reputations.</p>\n\n	  <p>The precise terms and conditions for copying, distribution and modification follow.</p>\n\n	  <p>GNU GENERAL PUBLIC LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION</p>\n\n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		This License Agreement applies to any program or other work which contains a notice placed by the\n		   copyright holder saying it may be distributed under the terms of this General Public License.\n		   The &quot;Program&quot;, below, refers to any such program or work, and a &quot;work based on\n		   the Program&quot; means either the Program or any work containing the Program or a portion of\n		   it, either verbatim or with modifications. Each licensee is addressed as &quot;you&quot;.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		You may copy and distribute verbatim copies of the Program&apos;s source code as you receive it,\n		   in any medium, provided that you conspicuously and appropriately publish on each copy an\n		   appropriate copyright notice and disclaimer of warranty; keep intact all the notices that\n		   refer to this General Public License and to the absence of any warranty; and give any other\n		   recipients of the Program a copy of this General Public License along with the Program. You\n		   may charge a fee for the physical act of transferring a copy.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		You may modify your copy or copies of the Program or any portion of it, and copy and distribute\n		   such modifications under the terms of Paragraph 1 above, provided that you also do the\n		   following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			cause the modified files to carry prominent notices stating that you changed the files and\n			   the date of any change; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			cause the whole of any work that you distribute or publish, that in whole or in part contains\n			   the Program or any part thereof, either with or without modifications, to be licensed at\n			   no charge to all third parties under the terms of this General Public License (except that\n			   you may choose to grant warranty protection to some or all third parties, at your\n			   option).\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			If the modified program normally reads commands interactively when run, you must cause it,\n			   when started running for such interactive use in the simplest and most usual way, to print\n			   or display an announcement including an appropriate copyright notice and a notice that\n			   there is no warranty (or else, saying that you provide a warranty) and that users may\n			   redistribute the program under these conditions, and telling the user how to view a copy\n			   of this General Public License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			You may charge a fee for the physical act of transferring a copy, and you may at your option\n			   offer warranty protection in exchange for a fee.\n		  </li>\n			\n</ul>\n			<p>Mere aggregation of another independent work with the Program (or its derivative) on a volume\n		   of a storage or distribution medium does not bring the other work under the scope of these\n		   terms.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		You may copy and distribute the Program (or a portion or derivative of it, under Paragraph 2) in\n		   object code or executable form under the terms of Paragraphs 1 and 2 above provided that you\n		   also do one of the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			accompany it with the complete corresponding machine-readable source code, which must be\n			   distributed under the terms of Paragraphs 1 and 2 above; or,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			accompany it with a written offer, valid for at least three years, to give any third party\n			   free (except for a nominal charge for the cost of distribution) a complete\n			   machine-readable copy of the corresponding source code, to be distributed under the terms\n			   of Paragraphs 1 and 2 above; or,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			accompany it with the information you received as to where the corresponding source code may\n			   be obtained. (This alternative is allowed only for noncommercial distribution and only if\n			   you received the program in object code or executable form alone.)\n		  </li>\n			\n</ul>\n			<p>Source code for a work means the preferred form of the work for making modifications to it.\n		   For an executable file, complete source code means all the source code for all modules it\n		   contains; but, as a special exception, it need not include source code for modules which\n		   are standard libraries that accompany the operating system on which the executable file\n		   runs, or for standard header files or definitions files that accompany that operating\n		   system.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		You may not copy, modify, sublicense, distribute or transfer the Program except as expressly\n		   provided under this General Public License. Any attempt otherwise to copy, modify, sublicense,\n		   distribute or transfer the Program is void, and will automatically terminate your rights to\n		   use the Program under this License. However, parties who have received copies, or rights to\n		   use copies, from you under this General Public License will not have their licenses terminated\n		   so long as such parties remain in full compliance.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		By copying, distributing or modifying the Program (or any work based on the Program) you indicate\n		   your acceptance of this license to do so, and all its terms and conditions.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		Each time you redistribute the Program (or any work based on the Program), the recipient\n		   automatically receives a license from the original licensor to copy, distribute or modify the\n		   Program subject to these terms and conditions. You may not impose any further restrictions on\n		   the recipients&apos; exercise of the rights granted herein.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		The Free Software Foundation may publish revised and/or new versions of the General Public\n		   License from time to time. Such new versions will be similar in spirit to the present version,\n		   but may differ in detail to address new problems or concerns.\n		<p>Each version is given a distinguishing version number. If the Program specifies a version number\n		   of the license which applies to it and &quot;any later version&quot;, you have the option of\n		   following the terms and conditions either of that version or of any later version published by\n		   the Free Software Foundation. If the Program does not specify a version number of the license,\n		   you may choose any version ever published by the Free Software Foundation.</p>\n\n		 </li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  If you wish to incorporate parts of the Program into other free programs whose distribution\n			 conditions are different, write to the author to ask for permission. For software which is\n			 copyrighted by the Free Software Foundation, write to the Free Software Foundation; we\n			 sometimes make exceptions for this. Our decision will be guided by the two goals of preserving\n			 the free status of all derivatives of our free software and of promoting the sharing and reuse\n			 of software generally.\n		</li>\n		\n<li>\n			<p>NO WARRANTY</p>\n\n			<var class=\"replaceable-license-text\"> 9.</var>\n			<p>BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE\n			 EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT\n			 HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT WARRANTY OF ANY\n			 KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n			 MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND\n			 PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE\n			 COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER,\n			 OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE\n			 LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n			 ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF\n			 DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A\n			 FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY\n			 HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>END OF TERMS AND CONDITIONS</p>\n\n		 <p>Appendix: How to Apply These Terms to Your New Programs</p>\n\n		 <p>If you develop a new program, and you want it to be of the greatest possible use to humanity, the best\n		 way to achieve this is to make it free software which everyone can redistribute and change under these\n		 terms.</p>\n\n		 <p>To do so, attach the following notices to the program. It is safest to attach them to the start of each\n		 source file to most effectively convey the exclusion of warranty; and each file should have at least\n		 the &quot;copyright&quot; line and a pointer to where the full notice is found.</p>\n\n		 <p><var class=\"replaceable-license-text\"> &lt;one line to give the program&apos;s name and a brief idea of what it does.&gt;</var><br />\n\n		 Copyright (C) <var class=\"replaceable-license-text\"> 19yy &lt;name of author&gt;</var></p>\n\n		 <p>This program is free software; you can redistribute it and/or modify it under the terms of the GNU\n		 General Public License as published by the Free Software Foundation; either version 1, or (at your\n		 option) any later version.</p>\n\n		 <p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even\n		 the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General\n		 Public License for more details.</p>\n\n		 <p>You should have received a copy of the GNU General Public License along with this program; if not, write\n		 to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</p>\n\n		 <p>Also add information on how to contact you by electronic and paper mail.</p>\n\n		 <p>If the program is interactive, make it output a short notice like this when it starts in an interactive\n		 mode:</p>\n\n		 <p>Gnomovision version 69, Copyright (C) 19xx name of author Gnomovision comes with ABSOLUTELY NO WARRANTY;\n		 for details type `show w&apos;. This is free software, and you are welcome to redistribute it under\n		 certain conditions; type `show c&apos; for details.</p>\n\n		 <p>The hypothetical commands `show w&apos; and `show c&apos; should show the appropriate parts of the\n		 General Public License. Of course, the commands you use may be called something other than `show\n		 w&apos; and `show c&apos;; they could even be mouse-clicks or menu items--whatever suits your\n		 program.</p>\n\n		 <p>You should also get your employer (if you work as a programmer) or your school, if any, to sign a\n		 &quot;copyright disclaimer&quot; for the program, if necessary. Here a sample; alter the names:</p>\n\n		 <p>Yoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision&apos; (a program to\n		 direct compilers to make passes at assemblers) written by James Hacker.</p>\n\n		 <p>&lt;signature of Ty Coon&gt;, 1 April 1989 Ty Coon, President of Vice</p>\n\n		 <p>That&apos;s all there is to it!</p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p><var class=\"replaceable-license-text\"> &lt;one line to give the program&apos;s name and a brief idea of what it does.&gt;</var><br />\n\n		 Copyright (C) <var class=\"replaceable-license-text\"> 19yy &lt;name of author&gt;</var></p>\n\n		 <p>This program is free software; you can redistribute it and/or modify it under the terms of the GNU\n		 General Public License as published by the Free Software Foundation; either version 1, or (at your\n		 option) any later version.</p>\n\n		 <p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even\n		 the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General\n		 Public License for more details.</p>\n\n		 <p>You should have received a copy of the GNU General Public License along with this program; if not, write\n		 to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</p>\n\n		 "
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "GPL10plus"

	def __str__(self):
		return json.dumps(self.__dict__)


class pythonldap:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The python-ldap package is distributed under Python-style license.\n\nStandard disclaimer:\n   This software is made available by the author(s) to the public for free\n   and \"as is\".  All users of this free software are solely and entirely\n   responsible for their own choice and use of this software for their\n   own purposes.  By using this software, each user agrees that the\n   author(s) shall not be liable for damages of any kind in relation to\n   its use or performance. The author(s) do not warrant that this software\n   is fit for any purpose.\n"
		self.standardLicenseTemplate = "The python-ldap package is distributed under Python-style license.\n\nStandard disclaimer:\n\nThis software is made available by the author(s) to the public for free and \"as is\". All users of this free software are solely and entirely responsible for their own choice and use of this software for their own purposes. By using this software, each user agrees that the author(s) shall not be liable for damages of any kind in relation to its use or performance. The author(s) do not warrant that this software is fit for any purpose.\n\n"
		self.name = "Python ldap License"
		self.licenseId = "python-ldap"
		self.crossRef = [{"match": "False", "url": "https://github.com/python-ldap/python-ldap/blob/main/LICENCE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:54Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/python-ldap/python-ldap/blob/main/LICENCE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			The python-ldap package is distributed under Python-style license.\n		 </p>\n\n		 <p>\n			Standard disclaimer:\n		</p>\n\n		<p>\n			This software is made available by the\n			author(s) to the public for free and &quot;as is&quot;. All users of this free\n			software are solely and entirely responsible for their own choice\n			and use of this software for their own purposes. By using this\n			software, each user agrees that the author(s) shall not be liable\n			for damages of any kind in relation to its use or performance. The\n			author(s) do not warrant that this software is fit for any purpose.\n		 </p>\n\n	  "
		self.python_name = "pythonldap"

	def __str__(self):
		return json.dumps(self.__dict__)


class xzoom:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright Itai Nahshon 1995, 1996.\nThis program is distributed with no warranty.\n\nSource files for this program may be distributed freely.\nModifications to this file are okay as long as:\n a. This copyright notice and comment are preserved and\n	left at the top of the file.\n b. The man page is fixed to reflect the change.\n c. The author of this change adds his name and change\n	description to the list of changes below.\nExecutable files may be distributed with sources, or with\nexact location where the source code can be obtained.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright: <year> <owner>  \";match=\".{0,5000}\">>\n\nThis program is distributed with no warranty.\n\nSource files for this program may be distributed freely. Modifications to this file are okay as long as:\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This copyright notice and comment are preserved and left at the top of the file.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> The man page is fixed to reflect the change.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> The author of this change adds his name and change description to the list of changes below.\n\nExecutable files may be distributed with sources, or with exact location where the source code can be obtained.\n\n"
		self.name = "xzoom License"
		self.licenseId = "xzoom"
		self.crossRef = [{"match": "N/A", "url": "https://metadata.ftp-master.debian.org/changelogs//main/x/xzoom/xzoom_0.3-27_copyright", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:11:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://metadata.ftp-master.debian.org/changelogs//main/x/xzoom/xzoom_0.3-27_copyright"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n			<p>\n			   Copyright: &lt;year&gt; &lt;owner&gt;\n			</p>\n\n		 </div>\n		 <p>\n			This program is distributed with no warranty.\n		 </p>\n\n		 <p>\n			Source files for this program may be distributed\n			freely. Modifications to this file are okay as long as:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a.</var>\n			   This copyright notice and comment are\n			   preserved and left at the top of the file.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b.</var>\n			   The man page is fixed to reflect the change.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c.</var>\n			   The author of this change adds his name and\n			   change description to the list of changes below.\n			</li>\n		 \n</ul>\n		 <p>\n			Executable files may be distributed with sources, or with\n			exact location where the source code can be obtained.\n		 </p>\n\n	  "
		self.python_name = "xzoom"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD4ClauseShortened:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "License: BSD-4-Clause-Shortened\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that:\n\n(1) source code distributions retain the above copyright notice and this paragraph in its entirety,\n(2) distributions including binary code include the above copyright notice and this paragraph in its entirety in the documentation or other materials provided with the distribution, and\n(3) all advertising materials mentioning features or use of this software display the following acknowledgement:\n\n\"This product includes software developed by the University of California, Lawrence Berkeley Laboratory and its contributors.''\n\nNeither the name of the University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>License: BSD-4-Clause-Shortened\n\n<<endOptional>>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that:\n\n   <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> source code distributions retain the above copyright notice and this paragraph in its entirety,\n\n   <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> distributions including binary code include the above copyright notice and this paragraph in its entirety in the documentation or other materials provided with the distribution, and\n\n   <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> all advertising materials mentioning features or use of this software display the following acknowledgement:\n\n\"This product includes software developed by the University of California, Lawrence Berkeley Laboratory and its contributors.''\n\nNeither the name of the University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\n"
		self.name = "BSD 4 Clause Shortened"
		self.licenseId = "BSD-4-Clause-Shortened"
		self.crossRef = [{"match": "N/A", "url": "https://metadata.ftp-master.debian.org/changelogs//main/a/arpwatch/arpwatch_2.1a15-7_copyright", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:10:41Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://metadata.ftp-master.debian.org/changelogs//main/a/arpwatch/arpwatch_2.1a15-7_copyright"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>License: BSD-4-Clause-Shortened</p>\n\n	  </div>\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (1)</var>\n			source code distributions retain the above copyright notice and this paragraph in its entirety,\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (2)</var>\n			distributions including binary code include the above copyright notice and this paragraph in its entirety in the documentation or other materials provided with the distribution, and\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (3)</var>\n			all advertising materials mentioning features or use of this software display the following acknowledgement:\n		</li>\n	  \n</ul>\n	  <p>&quot;This product includes software developed by the University of California, Lawrence Berkeley Laboratory and its contributors.&apos;&apos;</p>\n\n	  <p>Neither the name of the University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>\n\n	  <p>THIS SOFTWARE IS PROVIDED &quot;AS IS&quot; AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.</p>\n\n	"
		self.python_name = "BSD4ClauseShortened"

	def __str__(self):
		return json.dumps(self.__dict__)


class APAFML:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1985, 1987, 1989, 1990, 1991, 1992, 1993, 1997 Adobe Systems Incorporated. All Rights Reserved.\n\nThis file and the 14 PostScript(R) AFM files it accompanies may be used, copied, and distributed for any purpose and without charge, with or without modification, provided that all copyright notices are retained; that the AFM files are not distributed without this file; that all modifications to this file or any of the AFM files are prominently noted in the modified file(s); and that this paragraph is not modified. Adobe Systems has no responsibility or obligation to support the use of the AFM files.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1985, 1987, 1989, 1990, 1991, 1992, 1993, 1997 Adobe Systems Incorporated. All Rights Reserved.  \";match=\".{0,5000}\">>\n\nThis file and the 14 PostScript(R) AFM files it accompanies may be used, copied, and distributed for any purpose and without charge, with or without modification, provided that all copyright notices are retained; that the AFM files are not distributed without this file; that all modifications to this file or any of the AFM files are prominently noted in the modified file(s); and that this paragraph is not modified. Adobe Systems has no responsibility or obligation to support the use of the AFM files.\n\n"
		self.name = "Adobe Postscript AFM License"
		self.licenseId = "APAFML"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/AdobePostscriptAFM", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:41Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/AdobePostscriptAFM"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1985, 1987, 1989, 1990, 1991, 1992, 1993, 1997 Adobe Systems Incorporated. All Rights\n		 Reserved.</p>\n\n	  </div>\n\n	  <p>This file and the 14 PostScript(R) AFM files it accompanies may be used, copied, and distributed for any\n		 purpose and without charge, with or without modification, provided that all copyright notices are\n		 retained; that the AFM files are not distributed without this file; that all modifications to this\n		 file or any of the AFM files are prominently noted in the modified file(s); and that this paragraph is\n		 not modified. Adobe Systems has no responsibility or obligation to support the use of the AFM\n		 files.</p>\n\n	"
		self.python_name = "APAFML"

	def __str__(self):
		return json.dumps(self.__dict__)


class OSL21:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The Open Software Licensev. 2.1\n\nThis Open Software License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\n	 Licensed under the Open Software License version 2.1\n\n1) Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license to do the following:\n\n	 a) to reproduce the Original Work in copies;\n\n	 b) to prepare derivative works (\"Derivative Works\") based upon the Original Work;\n\n	 c) to distribute copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work or Derivative Works that You distribute shall be licensed under the Open Software License;\n\n	 d) to perform the Original Work publicly; and\n\n	 e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and offer for sale the Original Work and Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\n4) Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior written permission of the Licensor. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor except as expressly stated herein. No patent license is granted to make, use, sell or offer to sell embodiments of any patent claims other than the licensed claims defined in Section 2. No right is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any Original Work that Licensor otherwise would have a right to license.\n\n5) External Deployment. The term \"External Deployment\" means the use or distribution of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether the Original Work or Derivative Works are distributed to those persons or made available as an application intended for use over a computer network. As an express condition for the grants of license hereunder, You agree that any External Deployment by You of a Derivative Work shall be deemed a distribution and shall be licensed to all under the terms of this License, as prescribed in section 1(c) herein.\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights. Except as expressly stated in the immediately proceeding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to Original Work is granted hereunder except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to any person for any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to liability for death or personal injury resulting from Licensor's negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\n9) Acceptance and Termination. If You distribute copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. Nothing else but this License (or another written agreement between Licensor and You) grants You permission to create Derivative Works based upon the Original Work or to exercise any of the rights granted in Section 1 herein, and any attempt to do so except under the terms of this License (or another written agreement between Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other countries, and by international treaty. Therefore, by exercising any of the rights granted to You in Section 1 herein, You indicate Your acceptance of this License and all of its terms and conditions. This License shall terminate immediately and you may no longer exercise any of the rights granted to You by this License upon Your failure to honor the proviso in Section 1(c) herein.\n\n10) Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, against Licensor or any licensee alleging that the Original Work infringes a patent. This termination provision shall not apply for an action alleging patent infringement by combinations of the Original Work with other software or hardware.\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of the U.S. Copyright Act, 17 U.S.C. \u00a7 101 et seq., the equivalent laws of other countries, and international treaty. This section shall survive the termination of this License.\n\n12) Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n13) Miscellaneous. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2003-2004 Lawrence E. Rosen. All rights reserved. Permission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n"
		self.standardLicenseHeaderTemplate = "Licensed under the Open Software License version 2.1\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Open Software Licensev. 2.1\n\n<<endOptional>>\n\nThis Open Software License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\nLicensed under the Open Software License version 2.1\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license to do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> to reproduce the Original Work in copies;\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> to prepare derivative works (\"Derivative Works\") based upon the Original Work;\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> to distribute copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work or Derivative Works that You distribute shall be licensed under the Open Software License;\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> to perform the Original Work publicly; and\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> to display the Original Work publicly.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and offer for sale the Original Work and Derivative Works.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior written permission of the Licensor. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor except as expressly stated herein. No patent license is granted to make, use, sell or offer to sell embodiments of any patent claims other than the licensed claims defined in Section 2. No right is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any Original Work that Licensor otherwise would have a right to license.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> External Deployment. The term \"External Deployment\" means the use or distribution of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether the Original Work or Derivative Works are distributed to those persons or made available as an application intended for use over a computer network. As an express condition for the grants of license hereunder, You agree that any External Deployment by You of a Derivative Work shall be deemed a distribution and shall be licensed to all under the terms of this License, as prescribed in section 1(c) herein.\n\n   <<var;name=\"bullet\";original=\"6)\";match=\".{0,20}\">> Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n   <<var;name=\"bullet\";original=\"7)\";match=\".{0,20}\">> Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights. Except as expressly stated in the immediately proceeding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to Original Work is granted hereunder except under this disclaimer.\n\n   <<var;name=\"bullet\";original=\"8)\";match=\".{0,20}\">> Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to any person for any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to liability for death or personal injury resulting from Licensor's negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\n   <<var;name=\"bullet\";original=\"9)\";match=\".{0,20}\">> Acceptance and Termination. If You distribute copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. Nothing else but this License (or another written agreement between Licensor and You) grants You permission to create Derivative Works based upon the Original Work or to exercise any of the rights granted in Section 1 herein, and any attempt to do so except under the terms of this License (or another written agreement between Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other countries, and by international treaty. Therefore, by exercising any of the rights granted to You in Section 1 herein, You indicate Your acceptance of this License and all of its terms and conditions. This License shall terminate immediately and you may no longer exercise any of the rights granted to You by this License upon Your failure to honor the proviso in Section 1(c) herein.\n\n   <<var;name=\"bullet\";original=\"10)\";match=\".{0,20}\">> Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, against Licensor or any licensee alleging that the Original Work infringes a patent. This termination provision shall not apply for an action alleging patent infringement by combinations of the Original Work with other software or hardware.\n\n   <<var;name=\"bullet\";original=\"11)\";match=\".{0,20}\">> Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of the U.S. Copyright Act, 17 U.S.C. \u00a7 101 et seq., the equivalent laws of other countries, and international treaty. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"12)\";match=\".{0,20}\">> Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"13)\";match=\".{0,20}\">> Miscellaneous. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n   <<var;name=\"bullet\";original=\"14)\";match=\".{0,20}\">> Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"15)\";match=\".{0,20}\">> Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2003-2004 Lawrence E. Rosen. All rights reserved. Permission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n\n"
		self.name = "Open Software License 2.1"
		self.licenseComments = "Same as version 2.0 of this license except with changes to section 10"
		self.licenseId = "OSL-2.1"
		self.standardLicenseHeader = "Licensed under the Open Software License version 2.1\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/OSL-2.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:57Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "http://web.archive.org/web/20050212003940/http://www.rosenlaw.com/osl21.htm", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:12:57Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://web.archive.org/web/20050212003940/http://www.rosenlaw.com/osl21.htm", "https://opensource.org/licenses/OSL-2.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Open Software Licensev. 2.1</p>\n\n	  </div>\n\n	  <p>This Open Software License (the &quot;License&quot;) applies to any original work of authorship (the\n		 &quot;Original Work&quot;) whose owner (the &quot;Licensor&quot;) has placed the following notice\n		 immediately following the copyright notice for the Original Work:</p>\n\n	  <p>Licensed under the Open Software License version 2.1</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive,\n			 perpetual, sublicenseable license to do the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			to reproduce the Original Work in copies;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			to prepare derivative works (&quot;Derivative Works&quot;) based upon the Original Work;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			to distribute copies of the Original Work and Derivative Works to the public, with the\n			   proviso that copies of Original Work or Derivative Works that You distribute shall be\n			   licensed under the Open Software License;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			to perform the Original Work publicly; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			to display the Original Work publicly.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive,\n			 perpetual, sublicenseable license, under patent claims owned or controlled by the Licensor\n			 that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and\n			 offer for sale the Original Work and Derivative Works.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  Grant of Source Code License. The term &quot;Source Code&quot; means the preferred form of the\n			 Original Work for making modifications to it and all available documentation describing how to\n			 modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the\n			 Source Code of the Original Work along with each copy of the Original Work that Licensor\n			 distributes. Licensor reserves the right to satisfy this obligation by placing a\n			 machine-readable copy of the Source Code in an information repository reasonably calculated to\n			 permit inexpensive and convenient access by You for as long as Licensor continues to\n			 distribute the Original Work, and by publishing the address of that information repository in\n			 a notice immediately following the copyright notice that applies to the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors\n			 to the Original Work, nor any of their trademarks or service marks, may be used to endorse or\n			 promote products derived from this Original Work without express prior written permission of\n			 the Licensor. Nothing in this License shall be deemed to grant any rights to trademarks,\n			 copyrights, patents, trade secrets or any other intellectual property of Licensor except as\n			 expressly stated herein. No patent license is granted to make, use, sell or offer to sell\n			 embodiments of any patent claims other than the licensed claims defined in Section 2. No right\n			 is granted to the trademarks of Licensor even if such marks are included in the Original Work.\n			 Nothing in this License shall be interpreted to prohibit Licensor from licensing under\n			 different terms from this License any Original Work that Licensor otherwise would have a right\n			 to license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  External Deployment. The term &quot;External Deployment&quot; means the use or distribution of\n			 the Original Work or Derivative Works in any way such that the Original Work or Derivative\n			 Works may be used by anyone other than You, whether the Original Work or Derivative Works are\n			 distributed to those persons or made available as an application intended for use over a\n			 computer network. As an express condition for the grants of license hereunder, You agree that\n			 any External Deployment by You of a Derivative Work shall be deemed a distribution and shall\n			 be licensed to all under the terms of this License, as prescribed in section 1(c) herein.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6)</var>\n		  Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create,\n			 all copyright, patent or trademark notices from the Source Code of the Original Work, as well\n			 as any notices of licensing and any descriptive text identified therein as an\n			 &quot;Attribution Notice.&quot; You must cause the Source Code for any Derivative Works that\n			 You create to carry a prominent Attribution Notice reasonably calculated to inform recipients\n			 that You have modified the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7)</var>\n		  Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to\n			 the Original Work and the patent rights granted herein by Licensor are owned by the Licensor\n			 or are sublicensed to You under the terms of this License with the permission of the\n			 contributor(s) of those copyrights and patent rights. Except as expressly stated in the\n			 immediately proceeding sentence, the Original Work is provided under this License on an\n			 &quot;AS IS&quot; BASIS and WITHOUT WARRANTY, either express or implied, including, without\n			 limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR\n			 PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER\n			 OF WARRANTY constitutes an essential part of this License. No license to Original Work is\n			 granted hereunder except under this disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8)</var>\n		  Limitation of Liability. Under no circumstances and under no legal theory, whether in tort\n			 (including negligence), contract, or otherwise, shall the Licensor be liable to any person for\n			 any direct, indirect, special, incidental, or consequential damages of any character arising\n			 as a result of this License or the use of the Original Work including, without limitation,\n			 damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all\n			 other commercial damages or losses. This limitation of liability shall not apply to liability\n			 for death or personal injury resulting from Licensor&apos;s negligence to the extent\n			 applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or\n			 limitation of incidental or consequential damages, so this exclusion and limitation may not\n			 apply to You.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9)</var>\n		  Acceptance and Termination. If You distribute copies of the Original Work or a Derivative Work,\n			 You must make a reasonable effort under the circumstances to obtain the express assent of\n			 recipients to the terms of this License. Nothing else but this License (or another written\n			 agreement between Licensor and You) grants You permission to create Derivative Works based\n			 upon the Original Work or to exercise any of the rights granted in Section 1 herein, and any\n			 attempt to do so except under the terms of this License (or another written agreement between\n			 Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other\n			 countries, and by international treaty. Therefore, by exercising any of the rights granted to\n			 You in Section 1 herein, You indicate Your acceptance of this License and all of its terms and\n			 conditions. This License shall terminate immediately and you may no longer exercise any of the\n			 rights granted to You by this License upon Your failure to honor the proviso in Section 1(c)\n			 herein.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10)</var>\n		  Termination for Patent Action. This License shall terminate automatically and You may no longer\n			 exercise any of the rights granted to You by this License as of the date You commence an\n			 action, including a cross-claim or counterclaim, against Licensor or any licensee alleging\n			 that the Original Work infringes a patent. This termination provision shall not apply for an\n			 action alleging patent infringement by combinations of the Original Work with other software\n			 or hardware.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11)</var>\n		  Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought\n			 only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor\n			 conducts its primary business, and under the laws of that jurisdiction excluding its\n			 conflict-of-law provisions. The application of the United Nations Convention on Contracts for\n			 the International Sale of Goods is expressly excluded. Any use of the Original Work outside\n			 the scope of this License or after its termination shall be subject to the requirements and\n			 penalties of the U.S. Copyright Act, 17 U.S.C. \u00a7 101 et seq., the equivalent laws of\n			 other countries, and international treaty. This section shall survive the termination of this\n			 License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12)</var>\n		  Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating\n			 thereto, the prevailing party shall be entitled to recover its costs and expenses, including,\n			 without limitation, reasonable attorneys&apos; fees and costs incurred in connection with such\n			 action, including any appeal of such action. This section shall survive the termination of\n			 this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13)</var>\n		  Miscellaneous. This License represents the complete agreement concerning the subject matter\n			 hereof. If any provision of this License is held to be unenforceable, such provision shall be\n			 reformed only to the extent necessary to make it enforceable.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14)</var>\n		  Definition of &quot;You&quot; in This License. &quot;You&quot; throughout this License, whether\n			 in upper or lower case, means an individual or a legal entity exercising rights under, and\n			 complying with all of the terms of, this License. For legal entities, &quot;You&quot; includes\n			 any entity that controls, is controlled by, or is under common control with you. For purposes\n			 of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the\n			 direction or management of such entity, whether by contract or otherwise, or (ii) ownership of\n			 fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such\n			 entity.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15)</var>\n		  Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned\n			 by this License or by law, and Licensor promises not to interfere with or be responsible for\n			 such uses by You.\n		</li>\n	  \n</ul>\n	  <p>This license is Copyright (C) 2003-2004 Lawrence E. Rosen. All rights reserved. Permission is hereby\n		 granted to copy and distribute this license without modification. This license may not be modified\n		 without the express written permission of its copyright owner.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n	  <p>Licensed under the Open Software License version 2.1</p>\n\n	  "
		self.python_name = "OSL21"

	def __str__(self):
		return json.dumps(self.__dict__)


class RSCPL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Ricoh Source Code Public License\nVersion 1.0\n\n1. Definitions.\n\n	 1.1. \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	 1.2. \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	 1.3. \"Electronic Distribution Mechanism\" means a website or any other mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	 1.4. \"Executable Code\" means Governed Code in any form other than Source Code.\n\n	 1.5. \"Governed Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	 1.6. \"Larger Work\" means a work which combines Governed Code or portions thereof with code not governed by the terms of this License.\n\n	 1.7. \"Licensable\" means the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	 1.8. \"License\" means this document.\n\n	 1.9. \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Governed Code is released as a series of files, a Modification is:\n\n		  (a) Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		  (b) Any new file that contains any part of the Original Code or previous Modifications.\n\n	 1.10. \"Original Code\" means the \"Platform for Information Applications\" Source Code as released under this License by RSV.\n\n	 1.11 \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by the grantor of a license thereto.\n\n	 1.12. \"RSV\" means Ricoh Silicon Valley, Inc., a California corporation with offices at 2882 Sand Hill Road, Suite 115, Menlo Park, CA 94025-7022.\n\n	 1.13. \"Source Code\" means the preferred form of the Governed Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of Executable Code, or a list of source code differential comparisons against either the Original Code or another well known, available Governed Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	 1.14. \"You\" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n2. Source Code License.\n\n	 2.1. Grant from RSV. RSV hereby grants You a worldwide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		  (a) to use, reproduce, modify, create derivative works of, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and\n\n		  (b) under Patent Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n	 2.2. Contributor Grant. Each Contributor hereby grants You a worldwide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		  (a) to use, reproduce, modify, create derivative works of, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Governed Code or as part of a Larger Work; and\n\n		  (b) under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: (i) Modifications made by that Contributor (or portions thereof); and (ii) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n3. Distribution Obligations.\n\n	 3.1. Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Governed Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	 3.2. Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable Code version or via an Electronic Distribution Mechanism to anyone to whom you made an Executable Code version available; and if made available via an Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	 3.3. Description of Modifications. You must cause all Governed Code to which you contribute to contain a file documenting the changes You made to create that Governed Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by RSV and including the name of RSV in (a) the Source Code, and (b) in any notice in an Executable Code version or related documentation in which You describe the origin or ownership of the Governed Code.\n\n	 3.4. Intellectual Property Matters.\n\n		  3.4.1. Third Party Claims. If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying RSV and appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Governed Code that new knowledge has been obtained. In the event that You are a Contributor, You represent that, except as disclosed in the LEGAL file, your Modifications are your original creations and, to the best of your knowledge, no third party has any claim (including but not limited to intellectual property claims) relating to your Modifications. You represent that the LEGAL file includes complete details of any license or other restriction associated with any part of your Modifications.\n\n		  3.4.2. Contributor APIs. If Your Modification is an application programming interface and You own or control patents which are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n	 3.5. Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Governed Code. If You created one or more Modification(s), You may add your name as a Contributor to the notice described in Exhibit A. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Governed Code. However, You may do so only on Your own behalf, and not on behalf of RSV or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify RSV and every Contributor for any liability incurred by RSV or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	 3.6. Distribution of Executable Code Versions. You may distribute Governed Code in Executable Code form only if the requirements of Section 3.1-3.5 have been met for that Governed Code, and if You include a prominent notice stating that the Source Code version of the Governed Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable Code version, related documentation or collateral in which You describe recipients' rights relating to the Governed Code. You may distribute the Executable Code version of Governed Code under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable Code version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable Code version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by RSV or any Contributor. You hereby agree to indemnify RSV and every Contributor for any liability incurred by RSV or such Contributor as a result of any such terms You offer.\n\n	 3.7. Larger Works. You may create a Larger Work by combining Governed Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Governed Code.\n\n4. Inability to Comply Due to Statute or Regulation.\nIf it is impossible for You to comply with any of theterms of this License with respect to some or all of the Governed Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Trademark Usage.\n\n	 5.1. Advertising Materials. All advertising materials mentioning features or use of the Governed Code must display the following acknowledgement: \"This product includes software developed by Ricoh Silicon Valley, Inc.\"\n\n	 5.2. Endorsements. The names \"Ricoh,\" \"Ricoh Silicon Valley,\" and \"RSV\" must not be used to endorse or promote Contributor Versions or Larger Works without the prior written permission of RSV.\n\n	 5.3. Product Names. Contributor Versions and Larger Works may not be called \"Ricoh\" nor may the word \"Ricoh\" appear in their names without the prior written permission of RSV.\n\n6. Versions of the License.\n\n	 6.1. New Versions. RSV may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	 6.2. Effect of New Versions. Once Governed Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Governed Code under the terms of any subsequent version of the License published by RSV. No one other than RSV has the right to modify the terms applicable to Governed Code created under this License.\n\n7. Disclaimer of Warranty.\nGOVERNED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE GOVERNED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE GOVERNED CODE IS WITH YOU. SHOULD ANY GOVERNED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT RSV OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY GOVERNED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. Termination.\n\n	 8.1. This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Governed Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	 8.2. If You initiate patent infringement litigation against RSV or a Contributor (RSV or the Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		  (a) such Participant's Original Code or Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of the Original Code or the Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Original Code or the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		  (b) any software, hardware, or device provided to You by the Participant, other than such Participant's Original Code or Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Original Code or the Modifications made by that Participant.\n\n	 8.3. If You assert a patent infringement claim against Participant alleging that such Participant's Original Code or Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	 8.4. In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n9. Limitation of Liability.\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL RSV, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF GOVERNED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU. TO THE EXTENT THAT ANY EXCLUSION OF DAMAGES ABOVE IS NOT VALID, YOU AGREE THAT IN NO EVENT WILL RSVS LIABILITY UNDER OR RELATED TO THIS AGREEMENT EXCEED FIVE THOUSAND DOLLARS ($5,000). THE GOVERNED CODE IS NOT INTENDED FOR USE IN CONNECTION WITH ANY NUCLER, AVIATION, MASS TRANSIT OR MEDICAL APPLICATION OR ANY OTHER INHERENTLY DANGEROUS APPLICATION THAT COULD RESULT IN DEATH, PERSONAL INJURY, CATASTROPHIC DAMAGE OR MASS DESTRUCTION, AND YOU AGREE THAT NEITHER RSV NOR ANY CONTRIBUTOR SHALL HAVE ANY LIABILITY OF ANY NATURE AS A RESULT OF ANY SUCH USE OF THE GOVERNED CODE.\n\n\n10. U.S. Government End Users.\nThe Governed Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Governed Code with only those rights set forth herein.\n\n11. Miscellaneous.\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. The parties submit to personal jurisdiction in California and further agree that any cause of action arising under or related to this Agreement shall be brought in the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California. The losing party shall be responsible for costs, including without limitation, court costs and reasonable attorneys fees and expenses. Notwithstanding anything to the contrary herein, RSV may seek injunctive relief related to a breach of this Agreement in any court of competent jurisdiction. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n12. Responsibility for Claims.\nExcept in cases where another Contributor has failed to comply with Section 3.4, You are responsible for damages arising, directly or indirectly, out of Your utilization of rights under this License, based on the number of copies of Governed Code you made available, the revenues you received from utilizing such rights, and other relevant factors. You agree to work with affected parties to distribute responsibility on an equitable basis.\n\n\nEXHIBIT A\n\n\"The contents of this file are subject to the Ricoh Source Code Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.risource.org/RPL\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThis code was initially developed by Ricoh Silicon Valley, Inc. Portions created by Ricoh Silicon Valley, Inc. are Copyright (C) 1995-1999. All Rights Reserved.\n\nContributor(s): ______________________________________.\"\n"
		self.standardLicenseTemplate = "<<beginOptional>>Ricoh Source Code Public License\n\nVersion 1.0\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a website or any other mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Executable Code\" means Governed Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Governed Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Governed Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"Licensable\" means the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Governed Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Original Code\" means the \"Platform for Information Applications\" Source Code as released under this License by RSV.\n\n	  <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by the grantor of a license thereto.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"RSV\" means Ricoh Silicon Valley, Inc., a California corporation with offices at 2882 Sand Hill Road, Suite 115, Menlo Park, CA 94025-7022.\n\n	  <<var;name=\"bullet\";original=\"1.13.\";match=\".{0,20}\">> \"Source Code\" means the preferred form of the Governed Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of Executable Code, or a list of source code differential comparisons against either the Original Code or another well known, available Governed Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.14.\";match=\".{0,20}\">> \"You\" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> Grant from RSV. RSV hereby grants You a worldwide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> to use, reproduce, modify, create derivative works of, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant. Each Contributor hereby grants You a worldwide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> to use, reproduce, modify, create derivative works of, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Governed Code or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: (i) Modifications made by that Contributor (or portions thereof); and (ii) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Governed Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable Code version or via an Electronic Distribution Mechanism to anyone to whom you made an Executable Code version available; and if made available via an Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications. You must cause all Governed Code to which you contribute to contain a file documenting the changes You made to create that Governed Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by RSV and including the name of RSV in (a) the Source Code, and (b) in any notice in an Executable Code version or related documentation in which You describe the origin or ownership of the Governed Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters.\n\n		 <<var;name=\"bullet\";original=\"3.4.1.\";match=\".{0,20}\">> Third Party Claims. If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying RSV and appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Governed Code that new knowledge has been obtained. In the event that You are a Contributor, You represent that, except as disclosed in the LEGAL file, your Modifications are your original creations and, to the best of your knowledge, no third party has any claim (including but not limited to intellectual property claims) relating to your Modifications. You represent that the LEGAL file includes complete details of any license or other restriction associated with any part of your Modifications.\n\n		 <<var;name=\"bullet\";original=\"3.4.2.\";match=\".{0,20}\">> Contributor APIs. If Your Modification is an application programming interface and You own or control patents which are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Governed Code. If You created one or more Modification(s), You may add your name as a Contributor to the notice described in Exhibit A. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Governed Code. However, You may do so only on Your own behalf, and not on behalf of RSV or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify RSV and every Contributor for any liability incurred by RSV or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Code Versions. You may distribute Governed Code in Executable Code form only if the requirements of Section 3.1-3.5 have been met for that Governed Code, and if You include a prominent notice stating that the Source Code version of the Governed Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable Code version, related documentation or collateral in which You describe recipients' rights relating to the Governed Code. You may distribute the Executable Code version of Governed Code under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable Code version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable Code version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by RSV or any Contributor. You hereby agree to indemnify RSV and every Contributor for any liability incurred by RSV or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Governed Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Governed Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for You to comply with any of theterms of this License with respect to some or all of the Governed Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Trademark Usage.\n\n	  <<var;name=\"bullet\";original=\"5.1.\";match=\".{0,20}\">> Advertising Materials. All advertising materials mentioning features or use of the Governed Code must display the following acknowledgement: \"This product includes software developed by Ricoh Silicon Valley, Inc.\"\n\n	  <<var;name=\"bullet\";original=\"5.2.\";match=\".{0,20}\">> Endorsements. The names \"Ricoh,\" \"Ricoh Silicon Valley,\" and \"RSV\" must not be used to endorse or promote Contributor Versions or Larger Works without the prior written permission of RSV.\n\n	  <<var;name=\"bullet\";original=\"5.3.\";match=\".{0,20}\">> Product Names. Contributor Versions and Larger Works may not be called \"Ricoh\" nor may the word \"Ricoh\" appear in their names without the prior written permission of RSV.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> New Versions. RSV may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> Effect of New Versions. Once Governed Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Governed Code under the terms of any subsequent version of the License published by RSV. No one other than RSV has the right to modify the terms applicable to Governed Code created under this License.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   GOVERNED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE GOVERNED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE GOVERNED CODE IS WITH YOU. SHOULD ANY GOVERNED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT RSV OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY GOVERNED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination.\n\n	  <<var;name=\"bullet\";original=\"8.1.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Governed Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	  <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">> If You initiate patent infringement litigation against RSV or a Contributor (RSV or the Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> such Participant's Original Code or Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of the Original Code or the Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Original Code or the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> any software, hardware, or device provided to You by the Participant, other than such Participant's Original Code or Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Original Code or the Modifications made by that Participant.\n\n	  <<var;name=\"bullet\";original=\"8.3.\";match=\".{0,20}\">> If You assert a patent infringement claim against Participant alleging that such Participant's Original Code or Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"8.4.\";match=\".{0,20}\">> In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Limitation of Liability.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL RSV, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF GOVERNED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU. TO THE EXTENT THAT ANY EXCLUSION OF DAMAGES ABOVE IS NOT VALID, YOU AGREE THAT IN NO EVENT WILL RSV<<beginOptional>>'<<endOptional>>S LIABILITY UNDER OR RELATED TO THIS AGREEMENT EXCEED FIVE THOUSAND DOLLARS ($5,000). THE GOVERNED CODE IS NOT INTENDED FOR USE IN CONNECTION WITH ANY NUCLER, AVIATION, MASS TRANSIT OR MEDICAL APPLICATION OR ANY OTHER INHERENTLY DANGEROUS APPLICATION THAT COULD RESULT IN DEATH, PERSONAL INJURY, CATASTROPHIC DAMAGE OR MASS DESTRUCTION, AND YOU AGREE THAT NEITHER RSV NOR ANY CONTRIBUTOR SHALL HAVE ANY LIABILITY OF ANY NATURE AS A RESULT OF ANY SUCH USE OF THE GOVERNED CODE.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. Government End Users.\n\n   The Governed Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Governed Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Miscellaneous.\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. The parties submit to personal jurisdiction in California and further agree that any cause of action arising under or related to this Agreement shall be brought in the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California. The losing party shall be responsible for costs, including without limitation, court costs and reasonable attorney<<beginOptional>>'<<endOptional>>s fees and expenses. Notwithstanding anything to the contrary herein, RSV may seek injunctive relief related to a breach of this Agreement in any court of competent jurisdiction. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Responsibility for Claims.\n\n   Except in cases where another Contributor has failed to comply with Section 3.4, You are responsible for damages arising, directly or indirectly, out of Your utilization of rights under this License, based on the number of copies of Governed Code you made available, the revenues you received from utilizing such rights, and other relevant factors. You agree to work with affected parties to distribute responsibility on an equitable basis.\n\n   <<beginOptional>>EXHIBIT A\n\n\"The contents of this file are subject to the Ricoh Source Code Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.risource.org/RPL\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThis code was initially developed by Ricoh Silicon Valley, Inc. Portions created by Ricoh Silicon Valley, Inc. are Copyright (C) 1995-1999. All Rights Reserved.\n\nContributor(s): ______________________________________.\"\n\n<<endOptional>>"
		self.name = "Ricoh Source Code Public License"
		self.licenseId = "RSCPL"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/RSCPL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:23Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "http://wayback.archive.org/web/20060715140826/http://www.risource.org/RPL/RPL-1.0A.shtml", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:09:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://wayback.archive.org/web/20060715140826/http://www.risource.org/RPL/RPL-1.0A.shtml", "https://opensource.org/licenses/RSCPL"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Ricoh Source Code Public License\n		<br />\n\nVersion 1.0\n	  </p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			  &quot;Contributor&quot; means each entity that creates or contributes to the creation of Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			  &quot;Contributor Version&quot; means the combination of the Original Code, prior Modifications used by a\n				 Contributor, and the Modifications made by that particular Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			  &quot;Electronic Distribution Mechanism&quot; means a website or any other mechanism generally accepted in\n				 the software development community for the electronic transfer of data.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			  &quot;Executable Code&quot; means Governed Code in any form other than Source Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			  &quot;Governed Code&quot; means the Original Code or Modifications or the combination of the Original Code\n				 and Modifications, in each case including portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			  &quot;Larger Work&quot; means a work which combines Governed Code or portions thereof with code not\n				 governed by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			  &quot;Licensable&quot; means the right to grant, to the maximum extent possible, whether at the time of the\n				 initial grant or subsequently acquired, any and all of the rights conveyed herein.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			  &quot;License&quot; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			  &quot;Modifications&quot; means any addition to or deletion from the substance or structure of either the\n				 Original Code or any previous Modifications. When Governed Code is released as a series of\n				 files, a Modification is:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n			  Any addition to or deletion from the contents of a file containing Original Code or previous\n				 Modifications.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n			  Any new file that contains any part of the Original Code or previous Modifications.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			  &quot;Original Code&quot; means the &quot;Platform for Information Applications&quot; Source Code as released under\n				 this License by RSV.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11</var>\n			  &quot;Patent Claims&quot; means any patent claim(s), now owned or hereafter acquired, including without\n				 limitation, method, process, and apparatus claims, in any patent Licensable by the grantor of\n				 a license thereto.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			  &quot;RSV&quot; means Ricoh Silicon Valley, Inc., a California corporation with offices at 2882 Sand Hill\n				 Road, Suite 115, Menlo Park, CA 94025-7022.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13.</var>\n			  &quot;Source Code&quot; means the preferred form of the Governed Code for making modifications to it,\n				 including all modules it contains, plus any associated interface definition files, scripts\n				 used to control compilation and installation of Executable Code, or a list of source code\n				 differential comparisons against either the Original Code or another well known, available\n				 Governed Code of the Contributor&apos;s choice. The Source Code can be in a compressed or archival\n				 form, provided the appropriate decompression or de-archiving software is widely available for\n				 no charge.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.14.</var>\n			  &quot;You&quot; means an individual or a legal entity exercising rights under, and complying with all of\n				 the terms of, this License or a future version of this License issued under Section 6.1. For\n				 legal entities, &quot;You&quot; includes any entity which controls, is controlled by, or is under common\n				 control with You. For purposes of this definition, &quot;control&quot; means (a) the power, direct or\n				 indirect, to cause the direction or management of such entity, whether by contract or\n				 otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or\n				 beneficial ownership of such entity.\n			</li>\n			\n</ul>\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n			Source Code License.\n			\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.1.</var>\n					Grant from RSV. RSV hereby grants You a worldwide, royalty-free, non-exclusive license, subject\n					 to third party intellectual property claims:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> (a)</var>\n							to use, reproduce, modify, create derivative works of, display, perform, sublicense and\n							 distribute the Original Code (or portions thereof) with or without Modifications, or as part\n							 of a Larger Work; and\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> (b)</var>\n							under Patent Claims infringed by the making, using or selling of Original Code, to make, have\n							 made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code\n							 (or portions thereof).\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.2.</var>\n					Contributor Grant. Each Contributor hereby grants You a worldwide, royalty-free, non-exclusive\n					 license, subject to third party intellectual property claims:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> (a)</var>\n							to use, reproduce, modify, create derivative works of, display, perform, sublicense and\n							 distribute the Modifications created by such Contributor (or portions thereof) either on an\n							 unmodified basis, with other Modifications, as Governed Code or as part of a Larger Work;\n							 and\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> (b)</var>\n							under Patent Claims infringed by the making, using, or selling of Modifications made by that\n							 Contributor either alone and/or in combination with its Contributor Version (or portions of\n							 such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of:\n							 (i) Modifications made by that Contributor (or portions thereof); and (ii) the combination of\n							 Modifications made by that Contributor with its Contributor Version (or portions of such\n							 combination).\n						</li>\n					\n</ul>\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Distribution Obligations.\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n		  Application of License. The Modifications which You create or to which You contribute are\n			 governed by the terms of this License, including without limitation Section 2.2. The Source\n			 Code version of Governed Code may be distributed only under the terms of this License or a\n			 future version of this License released under Section 6.1, and You must include a copy of this\n			 License with every copy of the Source Code You distribute. You may not offer or impose any\n			 terms on any Source Code version that alters or restricts the applicable version of this\n			 License or the recipients&apos; rights hereunder. However, You may include an additional document\n			 offering the additional rights described in Section 3.5.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n		  Availability of Source Code. Any Modification which You create or to which You contribute must be\n			 made available in Source Code form under the terms of this License either on the same media as\n			 an Executable Code version or via an Electronic Distribution Mechanism to anyone to whom you\n			 made an Executable Code version available; and if made available via an Electronic\n			 Distribution Mechanism, must remain available for at least twelve (12) months after the date\n			 it initially became available, or at least six (6) months after a subsequent version of that\n			 particular Modification has been made available to such recipients. You are responsible for\n			 ensuring that the Source Code version remains available even if the Electronic Distribution\n			 Mechanism is maintained by a third party.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n		  Description of Modifications. You must cause all Governed Code to which you contribute to contain\n			 a file documenting the changes You made to create that Governed Code and the date of any\n			 change. You must include a prominent statement that the Modification is derived, directly or\n			 indirectly, from Original Code provided by RSV and including the name of RSV in (a) the Source\n			 Code, and (b) in any notice in an Executable Code version or related documentation in which\n			 You describe the origin or ownership of the Governed Code.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n		  Intellectual Property Matters.\n		\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.4.1.</var>\n		  Third Party Claims. If You have knowledge that a party claims an intellectual property\n			 right in particular functionality or code (or its utilization under this License), you must\n			 include a text file with the source code distribution titled &quot;LEGAL&quot; which describes the claim\n			 and the party making the claim in sufficient detail that a recipient will know whom to\n			 contact. If you obtain such knowledge after You make Your Modification available as described\n			 in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available\n			 thereafter and shall take other steps (such as notifying RSV and appropriate mailing lists or\n			 newsgroups) reasonably calculated to inform those who received the Governed Code that new\n			 knowledge has been obtained. In the event that You are a Contributor, You represent that,\n			 except as disclosed in the LEGAL file, your Modifications are your original creations and, to\n			 the best of your knowledge, no third party has any claim (including but not limited to\n			 intellectual property claims) relating to your Modifications. You represent that the LEGAL\n			 file includes complete details of any license or other restriction associated with any part of\n			 your Modifications.\n			 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.4.2.</var>\n		  Contributor APIs. If Your Modification is an application programming interface and You own\n			 or control patents which are reasonably necessary to implement that API, you must also include\n			 this information in the LEGAL file.\n		</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n		  Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code, and\n			 this License in any documentation for the Source Code, where You describe recipients&apos; rights\n			 relating to Governed Code. If You created one or more Modification(s), You may add your name\n			 as a Contributor to the notice described in Exhibit A. If it is not possible to put such\n			 notice in a particular Source Code file due to its structure, then you must include such\n			 notice in a location (such as a relevant directory file) where a user would be likely to look\n			 for such a notice. You may choose to offer, and to charge a fee for, warranty, support,\n			 indemnity or liability obligations to one or more recipients of Governed Code. However, You\n			 may do so only on Your own behalf, and not on behalf of RSV or any Contributor. You must make\n			 it absolutely clear than any such warranty, support, indemnity or liability obligation is\n			 offered by You alone, and You hereby agree to indemnify RSV and every Contributor for any\n			 liability incurred by RSV or such Contributor as a result of warranty, support, indemnity or\n			 liability terms You offer.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n		  Distribution of Executable Code Versions. You may distribute Governed Code in Executable Code\n			 form only if the requirements of Section 3.1-3.5 have been met for that Governed Code, and if\n			 You include a prominent notice stating that the Source Code version of the Governed Code is\n			 available under the terms of this License, including a description of how and where You have\n			 fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any\n			 notice in an Executable Code version, related documentation or collateral in which You\n			 describe recipients&apos; rights relating to the Governed Code. You may distribute the Executable\n			 Code version of Governed Code under a license of Your choice, which may contain terms\n			 different from this License, provided that You are in compliance with the terms of this\n			 License and that the license for the Executable Code version does not attempt to limit or\n			 alter the recipient&apos;s rights in the Source Code version from the rights set forth in this\n			 License. If You distribute the Executable Code version under a different license You must make\n			 it absolutely clear that any terms which differ from this License are offered by You alone,\n			 not by RSV or any Contributor. You hereby agree to indemnify RSV and every Contributor for any\n			 liability incurred by RSV or such Contributor as a result of any such terms You offer.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7.</var>\n		  Larger Works. You may create a Larger Work by combining Governed Code with other code not\n			 governed by the terms of this License and distribute the Larger Work as a single product. In\n			 such a case, You must make sure the requirements of this License are fulfilled for the\n			 Governed Code.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Inability to Comply Due to Statute or Regulation.\n			<br />\n\n   If it is impossible for You to comply with any of theterms of this License with respect to\n				 some or all of the Governed Code due to statute or regulation then You must: (a)\n				 comply with the terms of this License to the maximum extent possible; and (b) describe\n				 the limitations and the code they affect. Such description must be included in the\n				 LEGAL file described in Section 3.4 and must be included with all distributions of the\n				 Source Code. Except to the extent prohibited by statute or regulation, such\n				 description must be sufficiently detailed for a recipient of ordinary skill to be able\n				 to understand it.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Trademark Usage.\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.1.</var>\n		  Advertising Materials. All advertising materials mentioning features or use of the Governed Code\n			 must display the following acknowledgement: &quot;This product includes software developed by Ricoh\n			 Silicon Valley, Inc.&quot;\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.2.</var>\n		  Endorsements. The names &quot;Ricoh,&quot; &quot;Ricoh Silicon Valley,&quot; and &quot;RSV&quot; must not be used to endorse or\n			 promote Contributor Versions or Larger Works without the prior written permission of RSV.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.3.</var>\n		  Product Names. Contributor Versions and Larger Works may not be called &quot;Ricoh&quot; nor may the word\n			 &quot;Ricoh&quot; appear in their names without the prior written permission of RSV.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Versions of the License.\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n		  New Versions. RSV may publish revised and/or new versions of the License from time to time. Each\n			 version will be given a distinguishing version number.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n		  Effect of New Versions. Once Governed Code has been published under a particular version of the\n			 License, You may always continue to use it under the terms of that version. You may also\n			 choose to use such Governed Code under the terms of any subsequent version of the License\n			 published by RSV. No one other than RSV has the right to modify the terms applicable to\n			 Governed Code created under this License.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Disclaimer of Warranty.\n			<br />\n\n   GOVERNED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTY OF ANY\n				 KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE\n				 GOVERNED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR\n				 NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE GOVERNED CODE\n				 IS WITH YOU. SHOULD ANY GOVERNED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT RSV OR\n				 ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR\n				 CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE.\n				 NO USE OF ANY GOVERNED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Termination.\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1.</var>\n		  This License and the rights granted hereunder will terminate automatically if You fail to comply\n			 with terms herein and fail to cure such breach within 30 days of becoming aware of the breach.\n			 All sublicenses to the Governed Code which are properly granted shall survive any termination\n			 of this License. Provisions which, by their nature, must remain in effect beyond the\n			 termination of this License shall survive.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2.</var>\n		  If You initiate patent infringement litigation against RSV or a Contributor (RSV or the\n			 Contributor against whom You file such action is referred to as &quot;Participant&quot;) alleging\n			 that:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n		  such Participant&apos;s Original Code or Contributor Version directly or indirectly infringes any\n			 patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or\n			 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively,\n			 unless if within 60 days after receipt of notice You either: (i) agree in writing to pay\n			 Participant a mutually agreeable reasonable royalty for Your past and future use of the\n			 Original Code or the Modifications made by such Participant, or (ii) withdraw Your litigation\n			 claim with respect to the Original Code or the Contributor Version against such Participant.\n			 If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually\n			 agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights\n			 granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the\n			 expiration of the 60 day notice period specified above.\n		</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n		  any software, hardware, or device provided to You by the Participant, other than such\n			 Participant&apos;s Original Code or Contributor Version, directly or indirectly infringes any\n			 patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b)\n			 are revoked effective as of the date You first made, used, sold, distributed, or had made,\n			 Original Code or the Modifications made by that Participant.\n		</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.3.</var>\n		  If You assert a patent infringement claim against Participant alleging that such Participant&apos;s\n			 Original Code or Contributor Version directly or indirectly infringes any patent where such\n			 claim is resolved (such as by license or settlement) prior to the initiation of patent\n			 infringement litigation, then the reasonable value of the licenses granted by such Participant\n			 under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of\n			 any payment or license.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.4.</var>\n		  In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements\n			 (excluding distributors and resellers) which have been validly granted by You or any\n			 distributor hereunder prior to termination shall survive termination.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Limitation of Liability.\n			<br />\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE),\n				 CONTRACT, OR OTHERWISE, SHALL RSV, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF GOVERNED\n				 CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR\n				 ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER\n				 INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER\n				 FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF\n				 SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS\n				 LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY\n				 RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH\n				 LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\n				 OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU. TO\n				 THE EXTENT THAT ANY EXCLUSION OF DAMAGES ABOVE IS NOT VALID, YOU AGREE THAT IN NO\n				 EVENT WILL RSV<var class=\"optional-license-text\">&apos;</var>S LIABILITY UNDER OR RELATED TO THIS AGREEMENT EXCEED FIVE THOUSAND\n				 DOLLARS ($5,000). THE GOVERNED CODE IS NOT INTENDED FOR USE IN CONNECTION WITH ANY\n				 NUCLER, AVIATION, MASS TRANSIT OR MEDICAL APPLICATION OR ANY OTHER INHERENTLY\n				 DANGEROUS APPLICATION THAT COULD RESULT IN DEATH, PERSONAL INJURY, CATASTROPHIC DAMAGE\n				 OR MASS DESTRUCTION, AND YOU AGREE THAT NEITHER RSV NOR ANY CONTRIBUTOR SHALL HAVE ANY\n				 LIABILITY OF ANY NATURE AS A RESULT OF ANY SUCH USE OF THE GOVERNED CODE.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  U.S. Government End Users.\n			<br />\n\n   The Governed Code is a &quot;commercial item,&quot; as that term is defined in 48 C.F.R. 2.101 (Oct.\n				 1995), consisting of &quot;commercial computer software&quot; and &quot;commercial computer software\n				 documentation,&quot; as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent\n				 with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all\n				 U.S. Government End Users acquire Governed Code with only those rights set forth\n				 herein.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Miscellaneous.\n			<br />\n\n   This License represents the complete agreement concerning subject matter hereof. If any\n				 provision of this License is held to be unenforceable, such provision shall be\n				 reformed only to the extent necessary to make it enforceable. This License shall be\n				 governed by California law provisions (except to the extent applicable law, if any,\n				 provides otherwise), excluding its conflict-of-law provisions. The parties submit to\n				 personal jurisdiction in California and further agree that any cause of action arising\n				 under or related to this Agreement shall be brought in the Federal Courts of the\n				 Northern District of California, with venue lying in Santa Clara County, California.\n				 The losing party shall be responsible for costs, including without limitation, court\n				 costs and reasonable attorney<var class=\"optional-license-text\">&apos;</var>s fees and expenses. Notwithstanding anything to the\n				 contrary herein, RSV may seek injunctive relief related to a breach of this Agreement\n				 in any court of competent jurisdiction. The application of the United Nations\n				 Convention on Contracts for the International Sale of Goods is expressly excluded. Any\n				 law or regulation which provides that the language of a contract shall be consTrued\n				 against the drafter shall not apply to this License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  Responsibility for Claims.\n\n	  <p>Except in cases where another Contributor has failed to comply with Section 3.4, You are responsible for\n		 damages arising, directly or indirectly, out of Your utilization of rights under this License, based\n		 on the number of copies of Governed Code you made available, the revenues you received from utilizing\n		 such rights, and other relevant factors. You agree to work with affected parties to distribute\n		 responsibility on an equitable basis.</p>\n\n		 </li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A</p>\n\n		 <p>&quot;The contents of this file are subject to the Ricoh Source Code Public License Version 1.0 (the\n		 &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of\n		 the License at http://www.risource.org/RPL</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF ANY KIND,\n		 either express or implied. See the License for the specific language governing rights and limitations\n		 under the License.</p>\n\n		 <p>This code was initially developed by Ricoh Silicon Valley, Inc. Portions created by Ricoh Silicon Valley,\n		 Inc. are Copyright (C) 1995-1999. All Rights Reserved.</p>\n\n		 <p>Contributor(s): ______________________________________.&quot;</p>\n\n	  </div>\n	"
		self.python_name = "RSCPL"

	def __str__(self):
		return json.dumps(self.__dict__)


class NetSNMP:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = " ---- Part 1: CMU/UCD copyright notice: (BSD like) -----\n\n Copyright 1989, 1991, 1992 by Carnegie Mellon University\n\n Derivative Work - 1996, 1998-2000 Copyright 1996, 1998-2000 The Regents of the University of California\n\n All Rights Reserved\n\nPermission to use, copy, modify and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appears in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of CMU and The Regents of the University of California not be used in advertising or publicity pertaining to distribution of the software without specific written permission.\n\nCMU AND THE REGENTS OF THE UNIVERSITY OF CALIFORNIA DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL CMU OR THE REGENTS OF THE UNIVERSITY OF CALIFORNIA BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM THE LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n---- Part 2: Networks Associates Technology, Inc copyright notice (BSD) -----\n\nCopyright (c) 2001-2003, Networks Associates Technology, Inc All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n	 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n	 * Neither the name of the Networks Associates Technology, Inc nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n---- Part 3: Cambridge Broadband Ltd. copyright notice (BSD) -----\n\nPortions of this code are copyright (c) 2001-2003, Cambridge Broadband Ltd. All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n	 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n	 * The name of Cambridge Broadband Ltd. may not be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n---- Part 4: Sun Microsystems, Inc. copyright notice (BSD) -----\n\nCopyright \u00a9 2003 Sun Microsystems, Inc., 4150 Network Circle, Santa Clara, California 95054, U.S.A. All rights reserved.\n\nUse is subject to license terms below.\n\nThis distribution may include materials developed by third parties.\n\nSun, Sun Microsystems, the Sun logo and Solaris are trademarks or registered trademarks of Sun Microsystems, Inc. in the U.S. and other countries.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 * Neither the name of the Sun Microsystems, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n---- Part 5: Sparta, Inc copyright notice (BSD) -----\n\nCopyright (c) 2003-2009, Sparta, Inc All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n	 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n	 * Neither the name of Sparta, Inc nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n---- Part 6: Cisco/BUPTNIC copyright notice (BSD) -----\n\nCopyright (c) 2004, Cisco, Inc and Information Network Center of Beijing University of Posts and Telecommunications. All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n	 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n	 * Neither the name of Cisco, Inc, Beijing University of Posts and Telecommunications, nor the names of their contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n---- Part 7: Fabasoft R&D Software GmbH & Co KG copyright notice (BSD) -----\n\nCopyright (c) Fabasoft R&D Software GmbH & Co KG, 2003 oss@fabasoft.com Author: Bernhard Penz\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 * The name of Fabasoft R&D Software GmbH & Co KG or any of its subsidiaries, brand or product names may not be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n---- Part 8: Apple Inc. copyright notice (BSD) -----\n\nCopyright (c) 2007 Apple Inc. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n	 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n	 3. Neither the name of Apple Inc. (\"Apple\") nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY APPLE AND ITS CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL APPLE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n---- Part 9: ScienceLogic, LLC copyright notice (BSD) -----\n\nCopyright (c) 2009, ScienceLogic, LLC All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n	 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n	 * Neither the name of ScienceLogic, LLC nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "---- Part 1: CMU/UCD copyright notice: (BSD like) -----\n\n<<var;name=\"copyright\";original=\"Copyright 1989, 1991, 1992 by Carnegie Mellon University	Derivative Work - 1996, 1998-2000 Copyright 1996, 1998-2000 The Regents of the University of California	All Rights Reserved  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appears in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of CMU and The Regents of the University of California not be used in advertising or publicity pertaining to distribution of the software without specific written permission.\n\nCMU AND THE REGENTS OF THE UNIVERSITY OF CALIFORNIA DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL CMU OR THE REGENTS OF THE UNIVERSITY OF CALIFORNIA BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM THE LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n---- Part 2: Networks Associates Technology, Inc copyright notice (BSD) -----\n\nCopyright (c) 2001-2003, Networks Associates Technology, Inc All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Neither the name of the Networks Associates Technology, Inc nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\n   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n   ---- Part 3: Cambridge Broadband Ltd. copyright notice (BSD) -----\n\n   Portions of this code are copyright (c) 2001-2003, Cambridge Broadband Ltd. All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> The name of Cambridge Broadband Ltd. may not be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n---- Part 4: Sun Microsystems, Inc. copyright notice (BSD) -----\n\n<<var;name=\"copyright\";original=\"Copyright \u00a9 2003 Sun Microsystems, Inc., 4150 Network Circle, Santa Clara, California 95054, U.S.A. All rights reserved.  \";match=\".{0,5000}\">>\n\nUse is subject to license terms below.\n\nThis distribution may include materials developed by third parties.\n\nSun, Sun Microsystems, the Sun logo and Solaris are trademarks or registered trademarks of Sun Microsystems, Inc. in the U.S. and other countries.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Neither the name of the Sun Microsystems, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\n   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n   ---- Part 5: Sparta, Inc copyright notice (BSD) -----\n\n   Copyright (c) 2003-2009, Sparta, Inc All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Neither the name of Sparta, Inc nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\n   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n   ---- Part 6: Cisco/BUPTNIC copyright notice (BSD) -----\n\n   Copyright (c) 2004, Cisco, Inc and Information Network Center of Beijing University of Posts and Telecommunications. All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Neither the name of Cisco, Inc, Beijing University of Posts and Telecommunications, nor the names of their contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n---- Part 7: Fabasoft R&D Software GmbH & Co KG copyright notice (BSD) -----\n\n<<var;name=\"copyright\";original=\"Copyright (c) Fabasoft R&D Software GmbH & Co KG, 2003 oss@fabasoft.com Author: Bernhard Penz  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> The name of Fabasoft R&D Software GmbH & Co KG or any of its subsidiaries, brand or product names may not be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n---- Part 8: Apple Inc. copyright notice (BSD) -----\n\n<<var;name=\"copyright\";original=\"Copyright (c) 2007 Apple Inc. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Neither the name of Apple Inc. (\"Apple\") nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\n   THIS SOFTWARE IS PROVIDED BY APPLE AND ITS CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL APPLE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n   ---- Part 9: ScienceLogic, LLC copyright notice (BSD) -----\n\n   Copyright (c) 2009, ScienceLogic, LLC All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Neither the name of ScienceLogic, LLC nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Net-SNMP License"
		self.licenseComments = "This is the overall Net-SNMP license, which is comprised of several licenses which are referred to in totality by the notices in the source files."
		self.licenseId = "Net-SNMP"
		self.crossRef = [{"match": "False", "url": "http://net-snmp.sourceforge.net/about/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:25Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://net-snmp.sourceforge.net/about/license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>---- Part 1: CMU/UCD copyright notice: (BSD like) -----</p>\n\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1989, 1991, 1992 by Carnegie Mellon University</p>\n\n		 <p>Derivative Work - 1996, 1998-2000 Copyright 1996, 1998-2000 The\n		 Regents of the University of California</p>\n\n		 <p>All Rights Reserved</p>\n\n	  </div>\n\n	  <p>Permission to use, copy, modify and distribute this software and\n		 its documentation for any purpose and without fee is hereby\n		 granted, provided that the above copyright notice appears in\n		 all copies and that both that copyright notice and this\n		 permission notice appear in supporting documentation, and that\n		 the name of CMU and The Regents of the University of\n		 California not be used in advertising or publicity pertaining\n		 to distribution of the software without specific written\n		 permission.</p>\n\n	  <p>CMU AND THE REGENTS OF THE UNIVERSITY OF CALIFORNIA DISCLAIM ALL\n		 WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED\n		 WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL\n		 CMU OR THE REGENTS OF THE UNIVERSITY OF CALIFORNIA BE LIABLE\n		 FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY\n		 DAMAGES WHATSOEVER RESULTING FROM THE LOSS OF USE, DATA OR\n		 PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER\n		 TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE\n		 OR PERFORMANCE OF THIS SOFTWARE.</p>\n\n	  <p>---- Part 2: Networks Associates Technology, Inc copyright notice\n		 (BSD) -----</p>\n\n	  <p>Copyright (c) 2001-2003, Networks Associates Technology, Inc All\n		 rights reserved. Redistribution and use in source and binary\n		 forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions of source code must retain the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in binary form must reproduce the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer in the documentation and/or other\n			 materials provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Neither the name of the Networks Associates Technology,\n			 Inc nor the names of its contributors may be used to\n			 endorse or promote products derived from this software\n			 without specific prior written permission.\n		  <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND\n			 CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED\n			 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\n			 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n			 PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL\n			 THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR\n			 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\n			 OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED\n			 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS\n			 OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n			 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER\n			 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\n			 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\n			 POSSIBILITY OF SUCH DAMAGE.</p>\n\n			<p>---- Part 3: Cambridge Broadband Ltd. copyright notice\n			 (BSD) -----</p>\n\n			<p>Portions of this code are copyright (c) 2001-2003,\n			 Cambridge Broadband Ltd. All rights reserved.\n			 Redistribution and use in source and binary forms,\n			 with or without modification, are permitted provided\n			 that the following conditions are met:</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions of source code must retain the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in binary form must reproduce the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer in the documentation and/or other\n			 materials provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  The name of Cambridge Broadband Ltd. may not be used to\n			 endorse or promote products derived from this software\n			 without specific prior written permission.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ``AS IS&apos;&apos; AND\n		 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\n		 TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n		 A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE\n		 COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT,\n		 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n		 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\n		 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n		 WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n		 THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\n		 DAMAGE.</p>\n\n	  <p>---- Part 4: Sun Microsystems, Inc. copyright notice (BSD) -----</p>\n\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright \u00a9 2003 Sun Microsystems, Inc., 4150 Network Circle,\n		 Santa Clara, California 95054, U.S.A. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Use is subject to license terms below.</p>\n\n	  <p>This distribution may include materials developed by third parties.</p>\n\n	  <p>Sun, Sun Microsystems, the Sun logo and Solaris are trademarks or\n		 registered trademarks of Sun Microsystems, Inc. in the U.S.\n		 and other countries.</p>\n\n	  <p>Redistribution and use in source and binary forms, with or\n		 without modification, are permitted provided that the\n		 following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions of source code must retain the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in binary form must reproduce the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer in the documentation and/or other\n			 materials provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Neither the name of the Sun Microsystems, Inc. nor the\n			 names of its contributors may be used to endorse or\n			 promote products derived from this software without\n			 specific prior written permission.\n		  <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND\n			 CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED\n			 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\n			 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n			 PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL\n			 THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR\n			 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\n			 OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED\n			 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS\n			 OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n			 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER\n			 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\n			 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\n			 POSSIBILITY OF SUCH DAMAGE.</p>\n\n			<p>---- Part 5: Sparta, Inc copyright notice (BSD) -----</p>\n\n			<p>Copyright (c) 2003-2009, Sparta, Inc All rights reserved.\n			 Redistribution and use in source and binary forms,\n			 with or without modification, are permitted provided\n			 that the following conditions are met:</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions of source code must retain the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in binary form must reproduce the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer in the documentation and/or other\n			 materials provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Neither the name of Sparta, Inc nor the names of its\n			 contributors may be used to endorse or promote\n			 products derived from this software without specific\n			 prior written permission.\n		  <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND\n			 CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED\n			 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\n			 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n			 PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL\n			 THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR\n			 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\n			 OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED\n			 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS\n			 OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n			 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER\n			 IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\n			 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\n			 POSSIBILITY OF SUCH DAMAGE.</p>\n\n			<p>---- Part 6: Cisco/BUPTNIC copyright notice (BSD) -----</p>\n\n			<p>Copyright (c) 2004, Cisco, Inc and Information Network\n			 Center of Beijing University of Posts and\n			 Telecommunications. All rights reserved.\n			 Redistribution and use in source and binary forms,\n			 with or without modification, are permitted provided\n			 that the following conditions are met:</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions of source code must retain the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in binary form must reproduce the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer in the documentation and/or other\n			 materials provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Neither the name of Cisco, Inc, Beijing University of\n			 Posts and Telecommunications, nor the names of their\n			 contributors may be used to endorse or promote\n			 products derived from this software without specific\n			 prior written permission.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND\n		 CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n		 MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE\n		 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR\n		 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n		 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\n		 NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n		 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n		 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n		 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR\n		 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,\n		 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>---- Part 7: Fabasoft R&amp;D Software GmbH &amp; Co KG copyright\n		 notice (BSD) -----</p>\n\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) Fabasoft R&amp;D Software GmbH &amp; Co KG, 2003\n		 oss@fabasoft.com Author: Bernhard Penz</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or\n		 without modification, are permitted provided that the\n		 following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions of source code must retain the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in binary form must reproduce the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer in the documentation and/or other\n			 materials provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  The name of Fabasoft R&amp;D Software GmbH &amp; Co KG or\n			 any of its subsidiaries, brand or product names may\n			 not be used to endorse or promote products derived\n			 from this software without specific prior written\n			 permission.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ``AS IS&apos;&apos; AND\n		 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\n		 TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n		 A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE\n		 COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT,\n		 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n		 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\n		 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n		 WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n		 THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\n		 DAMAGE.</p>\n\n	  <p>---- Part 8: Apple Inc. copyright notice (BSD) -----</p>\n\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2007 Apple Inc. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or\n		 without modification, are permitted provided that the\n		 following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer in the documentation and/or other\n			 materials provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Neither the name of Apple Inc. (&quot;Apple&quot;) nor the names of\n			 its contributors may be used to endorse or promote\n			 products derived from this software without specific\n			 prior written permission.\n		  <p>THIS SOFTWARE IS PROVIDED BY APPLE AND ITS CONTRIBUTORS\n			 &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES,\n			 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\n			 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n			 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL APPLE OR ITS\n			 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,\n			 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n			 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF\n			 SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR\n			 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND\n			 ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\n			 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR\n			 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\n			 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\n			 DAMAGE.</p>\n\n			<p>---- Part 9: ScienceLogic, LLC copyright notice (BSD) -----</p>\n\n			<p>Copyright (c) 2009, ScienceLogic, LLC All rights\n			 reserved. Redistribution and use in source and binary\n			 forms, with or without modification, are permitted\n			 provided that the following conditions are met:</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions of source code must retain the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in binary form must reproduce the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer in the documentation and/or other\n			 materials provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Neither the name of ScienceLogic, LLC nor the names of\n			 its contributors may be used to endorse or promote\n			 products derived from this software without specific\n			 prior written permission.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND\n		 CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n		 MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE\n		 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR\n		 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n		 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\n		 NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n		 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n		 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n		 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR\n		 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,\n		 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "NetSNMP"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD3ClauseNoNuclearLicense:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "\nCopyright 1994-2009 Sun Microsystems, Inc. All Rights Reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n * Redistribution of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n * Redistribution in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n * Neither the name of Sun Microsystems, Inc. or the names of contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nThis software is provided \"AS IS,\" without a warranty of any kind. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN MICROSYSTEMS, INC. (\"SUN\") AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE THIS SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nYou acknowledge that this software is not designed, licensed or intended for use in the design, construction, operation or maintenance of any nuclear facility.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1994-2009 Sun Microsystems, Inc. All Rights Reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistribution of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistribution in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Neither the name of Sun Microsystems, Inc. or the names of contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nThis software is provided \"AS IS,\" without a warranty of any kind. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN MICROSYSTEMS, INC. (\"SUN\") AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE THIS SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nYou acknowledge that this software is not designed, licensed or intended for use in the design, construction, operation or maintenance of any nuclear facility.\n\n"
		self.name = "BSD 3-Clause No Nuclear License"
		self.licenseComments = "This license has an older Sun copyright notice and is the same license as BSD-3-Clause-No-Nuclear-Warranty, except it specifies that that software is \"not licensed\" for use in a nuclear facility, as opposed to a disclaimer for such use."
		self.licenseId = "BSD-3-Clause-No-Nuclear-License"
		self.crossRef = [{"match": "False", "url": "http://download.oracle.com/otn-pub/java/licenses/bsd.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:22Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://download.oracle.com/otn-pub/java/licenses/bsd.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1994-2009 Sun Microsystems, Inc. All Rights Reserved.</p>\n\n	  </div>\n	  <p>Redistribution and use in source and binary forms, with or\n		 without modification, are permitted provided that the\n		 following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistribution of source code must retain the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistribution in binary form must reproduce the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer in the documentation and/or other\n			 materials provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Neither the name of Sun Microsystems, Inc. or the names\n			 of contributors may be used to endorse or promote\n			 products derived from this software without specific\n			 prior written permission.\n		</li>\n	  \n</ul>\n	  <p>This software is provided &quot;AS IS,&quot; without a warranty of any\n		 kind. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND\n		 WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY,\n		 FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE\n		 HEREBY EXCLUDED. SUN MICROSYSTEMS, INC. (&quot;SUN&quot;) AND ITS\n		 LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY\n		 LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS\n		 SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS\n		 LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR\n		 FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR\n		 PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY\n		 OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE\n		 THIS SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY\n		 OF SUCH DAMAGES.</p>\n\n	  <p>You acknowledge that this software is not designed, licensed or\n		 intended for use in the design, construction, operation or\n		 maintenance of any nuclear facility.</p>\n\n	"
		self.python_name = "BSD3ClauseNoNuclearLicense"

	def __str__(self):
		return json.dumps(self.__dict__)


class EUPL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "European Union Public Licence V.1.0\n\nEUPL (c) the European Community 2007\n\nThis European Union Public Licence (the \u201cEUPL\u201d) applies to the Work or Software (as defined below) which is provided under the terms of this Licence. Any use of the Work, other than as authorised under this Licence is prohibited (to the extent such use is covered by a right of the copyright holder of the Work).\n\nThe Original Work is provided under the terms of this Licence when the Licensor (as defined below) has placed the following notice immediately following the copyright notice for the Original Work:\n\n	 Licensed under the EUPL V.1.0\n\nor has expressed by any other mean his willingness to license under the EUPL.\n\n1. Definitions\n\nIn this Licence, the following terms have the following meaning:\n\n	 \u2212 The Licence: this Licence.\n\n	 \u2212 The Original Work or the Software: the software distributed and/or communicated by the Licensor under this Licence, available as Source Code and also as Executable Code as the case may be.\n\n	 \u2212 Derivative Works: the works or software that could be created by the Licensee, based upon the Original Work or modifications thereof. This Licence does not define the extent of modification or dependence on the Original Work required in order to classify a work as a Derivative Work; this extent is determined by copyright law applicable in the country mentioned in Article 15.\n\n	 \u2212 The Work: the Original Work and/or its Derivative Works.\n\n	 \u2212 The Source Code: the human-readable form of the Work which is the most convenient for people to study and modify.\n\n	 \u2212 The Executable Code: any code which has generally been compiled and which is meant to be interpreted by a computer as a program.\n\n	 \u2212 The Licensor: the natural or legal person that distributes and/or communicates the Work under the Licence.\n\n	 \u2212 Contributor(s): any natural or legal person who modifies the Work under the Licence, or otherwise contributes to the creation of a Derivative Work.\n\n	 \u2212 The Licensee or \u201cYou\u201d: any natural or legal person who makes any usage of the Software under the terms of the Licence. \u2212 Distribution and/or Communication: any act of selling, giving, lending, renting, distributing, communicating, transmitting, or otherwise making available, on-line or off-line, copies of the Work at the disposal of any other natural or legal person.\n\n2. Scope of the rights granted by the Licence\n\nThe Licensor hereby grants You a world-wide, royalty-free, non-exclusive, sub-licensable licence to do the following, for the duration of copyright vested in the Original Work:\n\n	 \u2212 use the Work in any circumstance and for all usage,\n\n	 \u2212 reproduce the Work,\n\n	 \u2212 modify the Original Work, and make Derivative Works based upon the Work,\n\n	 \u2212 communicate to the public, including the right to make available or display the Work or copies thereof to the public and perform publicly, as the case may be, the Work,\n\n	 \u2212 distribute the Work or copies thereof,\n\n	 \u2212 lend and rent the Work or copies thereof,\n\n	 \u2212 sub-license rights in the Work or copies thereof.\n\nThose rights can be exercised on any media, supports and formats, whether now known or later invented, as far as the applicable law permits so.\n\nIn the countries where moral rights apply, the Licensor waives his right to exercise his moral right to the extent allowed by law in order to make effective the licence of the economic rights here above listed.\n\nThe Licensor grants to the Licensee royalty-free, non exclusive usage rights to any patents held by the Licensor, to the extent necessary to make use of the rights granted on the Work under this Licence.\n\n3. Communication of the Source Code\n\nThe Licensor may provide the Work either in its Source Code form, or as Executable Code. If the Work is provided as Executable Code, the Licensor provides in addition a machinereadable copy of the Source Code of the Work along with each copy of the Work that the Licensor distributes or indicates, in a notice following the copyright notice attached to the Work, a repository where the Source Code is easily and freely accessible for as long as the Licensor continues to distribute and/or communicate the Work.\n\n4. Limitations on copyright\n\nNothing in this Licence is intended to deprive the Licensee of the benefits from any exception or limitation to the exclusive rights of the rights owners in the Original Work or Software, of the exhaustion of those rights or of other applicable limitations thereto.\n\n5. Obligations of the Licensee\n\nThe grant of the rights mentioned above is subject to some restrictions and obligations imposed on the Licensee. Those obligations are the following:\n\nAttribution right: the Licensee shall keep intact all copyright, patent or trademarks notices and all notices that refer to the Licence and to the disclaimer of warranties. The Licensee must include a copy of such notices and a copy of the Licence with every copy of the Work he/she distributes and/or communicates. The Licensee must cause any Derivative Work to carry prominent notices stating that the Work has been modified and the date of modification.\n\nCopyleft clause: If the Licensee distributes and/or communicates copies of the Original Works or Derivative Works based upon the Original Work, this Distribution and/or Communication will be done under the terms of this Licence. The Licensee (becoming Licensor) cannot offer or impose any additional terms or conditions on the Work or Derivative Work that alter or restrict the terms of the Licence.\n\nCompatibility clause: If the Licensee Distributes and/or Communicates Derivative Works or copies thereof based upon both the Original Work and another work licensed under a Compatible Licence, this Distribution and/or Communication can be done under the terms of this Compatible Licence. For the sake of this clause, \u201cCompatible Licence\u201d refers to the licences listed in the appendix attached to this Licence. Should the Licensee\u2019s obligations under the Compatible Licence conflict with his/her obligations under this Licence, the obligations of the Compatible Licence shall prevail.\n\nProvision of Source Code: When distributing and/or communicating copies of the Work, the Licensee will provide a machine-readable copy of the Source Code or indicate a repository where this Source will be easily and freely available for as long as the Licensee continues to distribute and/or communicate the Work.\n\nLegal Protection: This Licence does not grant permission to use the trade names, trademarks, service marks, or names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the copyright notice.\n\n6. Chain of Authorship\n\nThe original Licensor warrants that the copyright in the Original Work granted hereunder is owned by him/her or licensed to him/her and that he/she has the power and authority to grant the Licence.\n\nEach Contributor warrants that the copyright in the modifications he/she brings to the Work are owned by him/her or licensed to him/her and that he/she has the power and authority to grant the Licence.\n\nEach time You, as a Licensee, receive the Work, the original Licensor and subsequent Contributors grant You a licence to their contributions to the Work, under the terms of this Licence.\n\n7. Disclaimer of Warranty\n\nThe Work is a work in progress, which is continuously improved by numerous contributors. It is not a finished work and may therefore contain defects or \u201cbugs\u201d inherent to this type of software development.\n\nFor the above reason, the Work is provided under the Licence on an \u201cas is\u201d basis and without warranties of any kind concerning the Work, including without limitation merchantability, fitness for a particular purpose, absence of defects or errors, accuracy, non-infringement of intellectual property rights other than copyright as stated in Article 6 of this Licence.\n\nThis disclaimer of warranty is an essential part of the Licence and a condition for the grant of any rights to the Work.\n\n8. Disclaimer of Liability\n\nExcept in the cases of wilful misconduct or damages directly caused to natural persons, the Licensor will in no event be liable for any direct or indirect, material or moral, damages of any kind, arising out of the Licence or of the use of the Work, including without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, loss of data or any commercial damage, even if the Licensor has been advised of the possibility of such damage. However, the Licensor will be liable under statutory product liability laws as far such laws apply to the Work.\n\n9. Additional agreements\n\nWhile distributing the Original Work or Derivative Works, You may choose to conclude an additional agreement to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or services consistent with this Licence. However, in accepting such obligations, You may act only on your own behalf and on your sole responsibility, not on behalf of the original Licensor or any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against such Contributor by the fact You have accepted any such warranty or additional liability.\n\n10. Acceptance of the Licence\n\nThe provisions of this Licence can be accepted by clicking on an icon \u201cI agree\u201d placed under the bottom of a window displaying the text of this Licence or by affirming consent in any other similar way, in accordance with the rules of applicable law. Clicking on that icon indicates your clear and irrevocable acceptance of this Licence and all of its terms and conditions.\n\nSimilarly, you irrevocably accept this Licence and all of its terms and conditions by exercising any rights granted to You by Article 2 of this Licence, such as the use of the Work, the creation by You of a Derivative Work or the Distribution and/or Communication by You of the Work or copies thereof.\n\n11. Information to the public\n\nIn case of any Distribution and/or Communication of the Work by means of electronic communication by You (for example, by offering to download the Work from a remote location) the distribution channel or media (for example, a website) must at least provide to the public the information requested by the applicable law regarding the identification and address of the Licensor, the Licence and the way it may be accessible, concluded, stored and reproduced by the Licensee.\n\n12. Termination of the Licence\n\nThe Licence and the rights granted hereunder will terminate automatically upon any breach by the Licensee of the terms of the Licence.\n\nSuch a termination will not terminate the licences of any person who has received the Work from the Licensee under the Licence, provided such persons remain in full compliance with the Licence.\n\n13. Miscellaneous\n\nWithout prejudice of Article 9 above, the Licence represents the complete agreement between the Parties as to the Work licensed hereunder.\n\nIf any provision of the Licence is invalid or unenforceable under applicable law, this will not affect the validity or enforceability of the Licence as a whole. Such provision will be consTrued and/or reformed so as necessary to make it valid and enforceable.\n\nThe European Commission may put into force translations and/or binding new versions of this Licence, so far this is required and reasonable. New versions of the Licence will be published with a unique version number. The new version of the Licence becomes binding for You as soon as You become aware of its publication.\n\n14. Jurisdiction\n\nAny litigation resulting from the interpretation of this License, arising between the European Commission, as a Licensor, and any Licensee, will be subject to the jurisdiction of the Court of Justice of the European Communities, as laid down in article 238 of the Treaty establishing the European Community.\n\nAny litigation arising between Parties, other than the European Commission, and resulting from the interpretation of this License, will be subject to the exclusive jurisdiction of the competent court where the Licensor resides or conducts its primary business.\n\n15. Applicable Law\n\nThis Licence shall be governed by the law of the European Union country where the Licensor resides or has his registered office.\n\nThis licence shall be governed by the Belgian law if:\n\n	 \u2212 a litigation arises between the European Commission, as a Licensor, and any Licensee;\n\n	 \u2212 the Licensor, other than the European Commission, has no residence or registered office inside a European Union country.\n\n\nAppendix\n\n\u201cCompatible Licences\u201d according to article 5 EUPL are:\n\n\u2212 General Public License (GPL) v. 2\n\u2212 Open Software License (OSL) v. 2.1, v. 3.0\n\u2212 Common Public License v. 1.0\n\u2212 Eclipse Public License v. 1.0\n\u2212 Cecill v. 2.0\n"
		self.standardLicenseTemplate = "<<beginOptional>>European Union Public Licence V.1.0\n\n<<endOptional>> <<var;name=\"copyright\";original=\"EUPL (c) the European Community 2007  \";match=\".{0,5000}\">><<beginOptional>> This European Union Public Licence (the \"EUPL\") applies to the Work or Software (as defined below) which is provided under the terms of this Licence. Any use of the Work, other than as authorised under this Licence is prohibited (to the extent such use is covered by a right of the copyright holder of the Work).\n\nThe Original Work is provided under the terms of this Licence when the Licensor (as defined below) has placed the following notice immediately following the copyright notice for the Original Work:\n\nLicensed under the EUPL V.1.0\n\nor has expressed by any other mean his willingness to license under the EUPL.\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n   In this Licence, the following terms have the following meaning:\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> The Licence: this Licence.\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> The Original Work or the Software: the software distributed and/or communicated by the Licensor under this Licence, available as Source Code and also as Executable Code as the case may be.\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> Derivative Works: the works or software that could be created by the Licensee, based upon the Original Work or modifications thereof. This Licence does not define the extent of modification or dependence on the Original Work required in order to classify a work as a Derivative Work; this extent is determined by copyright law applicable in the country mentioned in Article 15.\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> The Work: the Original Work and/or its Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> The Source Code: the human-readable form of the Work which is the most convenient for people to study and modify.\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> The Executable Code: any code which has generally been compiled and which is meant to be interpreted by a computer as a program.\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> The Licensor: the natural or legal person that distributes and/or communicates the Work under the Licence.\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> Contributor(s): any natural or legal person who modifies the Work under the Licence, or otherwise contributes to the creation of a Derivative Work.\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> The Licensee or \"You\": any natural or legal person who makes any usage of the Software under the terms of the Licence.\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> Distribution and/or Communication: any act of selling, giving, lending, renting, distributing, communicating, transmitting, or otherwise making available, on-line or off-line, copies of the Work at the disposal of any other natural or legal person.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Scope of the rights granted by the Licence\n\n   The Licensor hereby grants You a world-wide, royalty-free, non-exclusive, sub-licensable licence to do the following, for the duration of copyright vested in the Original Work:\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> use the Work in any circumstance and for all usage,\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> reproduce the Work,\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> modify the Original Work, and make Derivative Works based upon the Work,\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> communicate to the public, including the right to make available or display the Work or copies thereof to the public and perform publicly, as the case may be, the Work,\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> distribute the Work or copies thereof,\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> lend and rent the Work or copies thereof,\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> sub-license rights in the Work or copies thereof.\n\n   Those rights can be exercised on any media, supports and formats, whether now known or later invented, as far as the applicable law permits so.\n\n   In the countries where moral rights apply, the Licensor waives his right to exercise his moral right to the extent allowed by law in order to make effective the licence of the economic rights here above listed.\n\n   The Licensor grants to the Licensee royalty-free, non exclusive usage rights to any patents held by the Licensor, to the extent necessary to make use of the rights granted on the Work under this Licence.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Communication of the Source Code\n\n   The Licensor may provide the Work either in its Source Code form, or as Executable Code. If the Work is provided as Executable Code, the Licensor provides in addition a machinereadable copy of the Source Code of the Work along with each copy of the Work that the Licensor distributes or indicates, in a notice following the copyright notice attached to the Work, a repository where the Source Code is easily and freely accessible for as long as the Licensor continues to distribute and/or communicate the Work.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Limitations on copyright\n\n   Nothing in this Licence is intended to deprive the Licensee of the benefits from any exception or limitation to the exclusive rights of the rights owners in the Original Work or Software, of the exhaustion of those rights or of other applicable limitations thereto.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Obligations of the Licensee\n\n   The grant of the rights mentioned above is subject to some restrictions and obligations imposed on the Licensee. Those obligations are the following:\n\n   Attribution right: the Licensee shall keep intact all copyright, patent or trademarks notices and all notices that refer to the Licence and to the disclaimer of warranties. The Licensee must include a copy of such notices and a copy of the Licence with every copy of the Work he/she distributes and/or communicates. The Licensee must cause any Derivative Work to carry prominent notices stating that the Work has been modified and the date of modification.\n\n   Copyleft clause: If the Licensee distributes and/or communicates copies of the Original Works or Derivative Works based upon the Original Work, this Distribution and/or Communication will be done under the terms of this Licence. The Licensee (becoming Licensor) cannot offer or impose any additional terms or conditions on the Work or Derivative Work that alter or restrict the terms of the Licence.\n\n   Compatibility clause: If the Licensee Distributes and/or Communicates Derivative Works or copies thereof based upon both the Original Work and another work licensed under a Compatible Licence, this Distribution and/or Communication can be done under the terms of this Compatible Licence. For the sake of this clause, \"Compatible Licence\" refers to the licences listed in the appendix attached to this Licence. Should the Licensee's obligations under the Compatible Licence conflict with his/her obligations under this Licence, the obligations of the Compatible Licence shall prevail.\n\n   Provision of Source Code: When distributing and/or communicating copies of the Work, the Licensee will provide a machine-readable copy of the Source Code or indicate a repository where this Source will be easily and freely available for as long as the Licensee continues to distribute and/or communicate the Work.\n\n   Legal Protection: This Licence does not grant permission to use the trade names, trademarks, service marks, or names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the copyright notice.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Chain of Authorship\n\n   The original Licensor warrants that the copyright in the Original Work granted hereunder is owned by him/her or licensed to him/her and that he/she has the power and authority to grant the Licence.\n\n   Each Contributor warrants that the copyright in the modifications he/she brings to the Work are owned by him/her or licensed to him/her and that he/she has the power and authority to grant the Licence.\n\n   Each time You, as a Licensee, receive the Work, the original Licensor and subsequent Contributors grant You a licence to their contributions to the Work, under the terms of this Licence.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Disclaimer of Warranty\n\n   The Work is a work in progress, which is continuously improved by numerous contributors. It is not a finished work and may therefore contain defects or \"bugs\" inherent to this type of software development.\n\n   For the above reason, the Work is provided under the Licence on an \"as is\" basis and without warranties of any kind concerning the Work, including without limitation merchantability, fitness for a particular purpose, absence of defects or errors, accuracy, non-infringement of intellectual property rights other than copyright as stated in Article 6 of this Licence.\n\n   This disclaimer of warranty is an essential part of the Licence and a condition for the grant of any rights to the Work.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Disclaimer of Liability\n\n   Except in the cases of wilful misconduct or damages directly caused to natural persons, the Licensor will in no event be liable for any direct or indirect, material or moral, damages of any kind, arising out of the Licence or of the use of the Work, including without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, loss of data or any commercial damage, even if the Licensor has been advised of the possibility of such damage. However, the Licensor will be liable under statutory product liability laws as far such laws apply to the Work.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Additional agreements\n\n   While distributing the Original Work or Derivative Works, You may choose to conclude an additional agreement to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or services consistent with this Licence. However, in accepting such obligations, You may act only on your own behalf and on your sole responsibility, not on behalf of the original Licensor or any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against such Contributor by the fact You have accepted any such warranty or additional liability.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Acceptance of the Licence\n\n   The provisions of this Licence can be accepted by clicking on an icon \"I agree\" placed under the bottom of a window displaying the text of this Licence or by affirming consent in any other similar way, in accordance with the rules of applicable law. Clicking on that icon indicates your clear and irrevocable acceptance of this Licence and all of its terms and conditions.\n\n   Similarly, you irrevocably accept this Licence and all of its terms and conditions by exercising any rights granted to You by Article 2 of this Licence, such as the use of the Work, the creation by You of a Derivative Work or the Distribution and/or Communication by You of the Work or copies thereof.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Information to the public\n\n   In case of any Distribution and/or Communication of the Work by means of electronic communication by You (for example, by offering to download the Work from a remote location) the distribution channel or media (for example, a website) must at least provide to the public the information requested by the applicable law regarding the identification and address of the Licensor, the Licence and the way it may be accessible, concluded, stored and reproduced by the Licensee.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Termination of the Licence\n\n   The Licence and the rights granted hereunder will terminate automatically upon any breach by the Licensee of the terms of the Licence.\n\n   Such a termination will not terminate the licences of any person who has received the Work from the Licensee under the Licence, provided such persons remain in full compliance with the Licence.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Miscellaneous\n\n   Without prejudice of Article 9 above, the Licence represents the complete agreement between the Parties as to the Work licensed hereunder.\n\n   If any provision of the Licence is invalid or unenforceable under applicable law, this will not affect the validity or enforceability of the Licence as a whole. Such provision will be consTrued and/or reformed so as necessary to make it valid and enforceable.\n\n   The European Commission may put into force translations and/or binding new versions of this Licence, so far this is required and reasonable. New versions of the Licence will be published with a unique version number. The new version of the Licence becomes binding for You as soon as You become aware of its publication.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Jurisdiction\n\n   Any litigation resulting from the interpretation of this License, arising between the European Commission, as a Licensor, and any Licensee, will be subject to the jurisdiction of the Court of Justice of the European Communities, as laid down in article 238 of the Treaty establishing the European Community.\n\n   Any litigation arising between Parties, other than the European Commission, and resulting from the interpretation of this License, will be subject to the exclusive jurisdiction of the competent court where the Licensor resides or conducts its primary business.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Applicable Law\n\n   This Licence shall be governed by the law of the European Union country where the Licensor resides or has his registered office.\n\n   This licence shall be governed by the Belgian law if:\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> a litigation arises between the European Commission, as a Licensor, and any Licensee;\n\n	  <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> the Licensor, other than the European Commission, has no residence or registered office inside a European Union country.\n\nAppendix\n\n\"Compatible Licences\" according to article 5 EUPL are:\n\n   <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> General Public License (GPL) v. 2\n\n   <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> Open Software License (OSL) v. 2.1, v. 3.0\n\n   <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> Common Public License v. 1.0\n\n   <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> Eclipse Public License v. 1.0\n\n   <<var;name=\"bullet\";original=\"\u2212\";match=\".{0,20}\">> Cecill v. 2.0"
		self.name = "European Union Public License 1.0"
		self.licenseComments = "The European Commission has approved the EUPL on 9 January 2007."
		self.licenseId = "EUPL-1.0"
		self.crossRef = [{"match": "False", "url": "http://ec.europa.eu/idabc/en/document/7330.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:50Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "http://ec.europa.eu/idabc/servlets/Doc027f.pdf?id=31096", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:52Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["http://ec.europa.eu/idabc/en/document/7330.html", "http://ec.europa.eu/idabc/servlets/Doc027f.pdf?id=31096"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>European Union Public Licence V.1.0</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>EUPL (c) the European Community 2007</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>This European Union Public Licence (the &quot;EUPL&quot;) applies to the Work or Software (as defined below) which\n		 is provided under the terms of this Licence. Any use of the Work, other than as authorised under this\n		 Licence is prohibited (to the extent such use is covered by a right of the copyright holder of the\n		 Work).</p>\n\n		 <p>The Original Work is provided under the terms of this Licence when the Licensor (as defined below) has\n		 placed the following notice immediately following the copyright notice for the Original Work:</p>\n\n		 <p>Licensed under the EUPL V.1.0</p>\n\n		 <p>or has expressed by any other mean his willingness to license under the EUPL.</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		  <p>In this Licence, the following terms have the following meaning:</p>\n\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  The Licence: this Licence.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  The Original Work or the Software: the software distributed and/or communicated by the Licensor\n					 under this Licence, available as Source Code and also as Executable Code as the case may\n					 be.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  Derivative Works: the works or software that could be created by the Licensee, based upon the\n					 Original Work or modifications thereof. This Licence does not define the extent of\n					 modification or dependence on the Original Work required in order to classify a work as a\n					 Derivative Work; this extent is determined by copyright law applicable in the country\n					 mentioned in Article 15.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  The Work: the Original Work and/or its Derivative Works.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  The Source Code: the human-readable form of the Work which is the most convenient for people to\n					study and modify.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  The Executable Code: any code which has generally been compiled and which is meant to be\n					interpreted by a computer as a program.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  The Licensor: the natural or legal person that distributes and/or communicates the Work under\n					the Licence.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  Contributor(s): any natural or legal person who modifies the Work under the Licence, or\n					otherwise contributes to the creation of a Derivative Work.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  The Licensee or &quot;You&quot;: any natural or legal person who makes any usage of the Software under\n					 the terms of the Licence.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  Distribution and/or Communication: any act of selling, giving, lending, renting, distributing,\n					 communicating, transmitting, or otherwise making available, on-line or off-line, copies of \n					 the Work at the disposal of any other natural or legal person.\n			  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Scope of the rights granted by the Licence\n		  <p>The Licensor hereby grants You a world-wide, royalty-free, non-exclusive, sub-licensable licence\n			 to do the following, for the duration of copyright vested in the Original Work:</p>\n\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  use the Work in any circumstance and for all usage,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  reproduce the Work,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  modify the Original Work, and make Derivative Works based upon the Work,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  communicate to the public, including the right to make available or display the Work or copies\n					thereof to the public and perform publicly, as the case may be, the Work,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  distribute the Work or copies thereof,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  lend and rent the Work or copies thereof,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  sub-license rights in the Work or copies thereof.\n			  </li>\n			\n</ul>\n			<p>Those rights can be exercised on any media, supports and formats, whether now known or later\n					invented, as far as the applicable law permits so.</p>\n\n			<p>In the countries where moral rights apply, the Licensor waives his right to exercise his moral\n			 right to the extent allowed by law in order to make effective the licence of the economic\n			 rights here above listed.</p>\n\n			<p>The Licensor grants to the Licensee royalty-free, non exclusive usage rights to any patents held\n			 by the Licensor, to the extent necessary to make use of the rights granted on the Work under\n			 this Licence.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Communication of the Source Code\n		  <p>The Licensor may provide the Work either in its Source Code form, or as Executable Code. If the\n			 Work is provided as Executable Code, the Licensor provides in addition a machinereadable copy\n			 of the Source Code of the Work along with each copy of the Work that the Licensor distributes\n			 or indicates, in a notice following the copyright notice attached to the Work, a repository\n			 where the Source Code is easily and freely accessible for as long as the Licensor continues to\n			 distribute and/or communicate the Work.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Limitations on copyright\n		  <p>Nothing in this Licence is intended to deprive the Licensee of the benefits from any exception or\n			 limitation to the exclusive rights of the rights owners in the Original Work or Software, of\n			 the exhaustion of those rights or of other applicable limitations thereto.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Obligations of the Licensee\n		  <p>The grant of the rights mentioned above is subject to some restrictions and obligations imposed\n			 on the Licensee. Those obligations are the following:</p>\n\n			<p>Attribution right: the Licensee shall keep intact all copyright, patent or trademarks notices and\n			 all notices that refer to the Licence and to the disclaimer of warranties. The Licensee must\n			 include a copy of such notices and a copy of the Licence with every copy of the Work he/she\n			 distributes and/or communicates. The Licensee must cause any Derivative Work to carry\n			 prominent notices stating that the Work has been modified and the date of modification.</p>\n\n			<p>Copyleft clause: If the Licensee distributes and/or communicates copies of the Original Works or\n			 Derivative Works based upon the Original Work, this Distribution and/or Communication will be\n			 done under the terms of this Licence. The Licensee (becoming Licensor) cannot offer or impose\n			 any additional terms or conditions on the Work or Derivative Work that alter or restrict the\n			 terms of the Licence.</p>\n\n			<p>Compatibility clause: If the Licensee Distributes and/or Communicates Derivative Works or copies\n			 thereof based upon both the Original Work and another work licensed under a Compatible\n			 Licence, this Distribution and/or Communication can be done under the terms of this Compatible\n			 Licence. For the sake of this clause, &quot;Compatible Licence&quot; refers to the licences listed in\n			 the appendix attached to this Licence. Should the Licensee&apos;s obligations under the Compatible\n			 Licence conflict with his/her obligations under this Licence, the obligations of the\n			 Compatible Licence shall prevail.</p>\n\n			<p>Provision of Source Code: When distributing and/or communicating copies of the Work, the Licensee\n			 will provide a machine-readable copy of the Source Code or indicate a repository where this\n			 Source will be easily and freely available for as long as the Licensee continues to distribute\n			 and/or communicate the Work.</p>\n\n			<p>Legal Protection: This Licence does not grant permission to use the trade names, trademarks,\n			 service marks, or names of the Licensor, except as required for reasonable and customary use\n			 in describing the origin of the Work and reproducing the content of the copyright notice.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Chain of Authorship\n		  <p>The original Licensor warrants that the copyright in the Original Work granted hereunder is owned\n			 by him/her or licensed to him/her and that he/she has the power and authority to grant the\n			 Licence.</p>\n\n			<p>Each Contributor warrants that the copyright in the modifications he/she brings to the Work are\n			 owned by him/her or licensed to him/her and that he/she has the power and authority to grant\n			 the Licence.</p>\n\n			<p>Each time You, as a Licensee, receive the Work, the original Licensor and subsequent Contributors\n			 grant You a licence to their contributions to the Work, under the terms of this Licence.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Disclaimer of Warranty\n		  <p>The Work is a work in progress, which is continuously improved by numerous contributors. It is\n			 not a finished work and may therefore contain defects or &quot;bugs&quot; inherent to this type of\n			 software development.</p>\n\n			<p>For the above reason, the Work is provided under the Licence on an &quot;as is&quot; basis and without\n			 warranties of any kind concerning the Work, including without limitation merchantability,\n			 fitness for a particular purpose, absence of defects or errors, accuracy, non-infringement of\n			 intellectual property rights other than copyright as stated in Article 6 of this Licence.</p>\n\n			<p>This disclaimer of warranty is an essential part of the Licence and a condition for the grant of\n			 any rights to the Work.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Disclaimer of Liability\n		  <p>Except in the cases of wilful misconduct or damages directly caused to natural persons, the\n			 Licensor will in no event be liable for any direct or indirect, material or moral, damages of\n			 any kind, arising out of the Licence or of the use of the Work, including without limitation,\n			 damages for loss of goodwill, work stoppage, computer failure or malfunction, loss of data or\n			 any commercial damage, even if the Licensor has been advised of the possibility of such\n			 damage. However, the Licensor will be liable under statutory product liability laws as far\n			 such laws apply to the Work.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Additional agreements\n		  <p>While distributing the Original Work or Derivative Works, You may choose to conclude an\n			 additional agreement to offer, and charge a fee for, acceptance of support, warranty,\n			 indemnity, or other liability obligations and/or services consistent with this Licence.\n			 However, in accepting such obligations, You may act only on your own behalf and on your sole\n			 responsibility, not on behalf of the original Licensor or any other Contributor, and only if\n			 You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred\n			 by, or claims asserted against such Contributor by the fact You have accepted any such\n			 warranty or additional liability.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Acceptance of the Licence\n		  <p>The provisions of this Licence can be accepted by clicking on an icon &quot;I agree&quot; placed under the\n			 bottom of a window displaying the text of this Licence or by affirming consent in any other\n			 similar way, in accordance with the rules of applicable law. Clicking on that icon indicates\n			 your clear and irrevocable acceptance of this Licence and all of its terms and conditions.</p>\n\n			<p>Similarly, you irrevocably accept this Licence and all of its terms and conditions by exercising\n			 any rights granted to You by Article 2 of this Licence, such as the use of the Work, the\n			 creation by You of a Derivative Work or the Distribution and/or Communication by You of the\n			 Work or copies thereof.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Information to the public\n		  <p>In case of any Distribution and/or Communication of the Work by means of electronic communication\n			 by You (for example, by offering to download the Work from a remote location) the distribution\n			 channel or media (for example, a website) must at least provide to the public the information\n			 requested by the applicable law regarding the identification and address of the Licensor, the\n			 Licence and the way it may be accessible, concluded, stored and reproduced by the\n			 Licensee.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  Termination of the Licence\n		  <p>The Licence and the rights granted hereunder will terminate automatically upon any breach by the\n			 Licensee of the terms of the Licence.</p>\n\n			<p>Such a termination will not terminate the licences of any person who has received the Work from\n			 the Licensee under the Licence, provided such persons remain in full compliance with the\n			 Licence.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  Miscellaneous\n		  <p>Without prejudice of Article 9 above, the Licence represents the complete agreement between the\n			 Parties as to the Work licensed hereunder.</p>\n\n			<p>If any provision of the Licence is invalid or unenforceable under applicable law, this will not\n			 affect the validity or enforceability of the Licence as a whole. Such provision will be\n			 consTrued and/or reformed so as necessary to make it valid and enforceable.</p>\n\n			<p>The European Commission may put into force translations and/or binding new versions of this\n			 Licence, so far this is required and reasonable. New versions of the Licence will be published\n			 with a unique version number. The new version of the Licence becomes binding for You as soon\n			 as You become aware of its publication.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14.</var>\n		  Jurisdiction\n		  <p>Any litigation resulting from the interpretation of this License, arising between the European\n			 Commission, as a Licensor, and any Licensee, will be subject to the jurisdiction of the Court\n			 of Justice of the European Communities, as laid down in article 238 of the Treaty establishing\n			 the European Community.</p>\n\n			<p>Any litigation arising between Parties, other than the European Commission, and resulting from\n			 the interpretation of this License, will be subject to the exclusive jurisdiction of the\n			 competent court where the Licensor resides or conducts its primary business.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15.</var>\n		  Applicable Law\n		  <p>This Licence shall be governed by the law of the European Union country where the Licensor resides or has\n			 his registered office.</p>\n\n			<p>This licence shall be governed by the Belgian law if:</p>\n\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  a litigation arises between the European Commission, as a Licensor, and any Licensee;\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> \u2212</var>\n				  the Licensor, other than the European Commission, has no residence or registered office inside a\n					European Union country.\n			  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Appendix</p>\n\n	  <p>&quot;Compatible Licences&quot; according to article 5 EUPL are:</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			  <var class=\"replaceable-license-text\"> \u2212</var>\n			  General Public License (GPL) v. 2\n		  </li>\n		  \n<li>\n			  <var class=\"replaceable-license-text\"> \u2212</var>\n			  Open Software License (OSL) v. 2.1, v. 3.0\n		  </li>\n		  \n<li>\n			  <var class=\"replaceable-license-text\"> \u2212</var>\n			  Common Public License v. 1.0\n		  </li>\n		  \n<li>\n			  <var class=\"replaceable-license-text\"> \u2212</var>\n			  Eclipse Public License v. 1.0\n		  </li>\n		  \n<li>\n			  <var class=\"replaceable-license-text\"> \u2212</var>\n			  Cecill v. 2.0\n		  </li>\n	  \n</ul>\n	"
		self.python_name = "EUPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class LGPL20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.licenseText = "GNU LIBRARY GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\nCopyright (C) 1991 Free Software Foundation, Inc.\n51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the library GPL.  It is numbered 2 because it goes with version 2 of the ordinary GPL.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Library General Public License, applies to some specially designated Free Software Foundation software, and to any other libraries whose authors decide to use it. You can use it for your libraries, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library, or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link a program with the library, you must provide complete object files to the recipients so that they can relink them with the library, after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nOur method of protecting your rights has two steps: (1) copyright the library, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the library.\n\nAlso, for each distributor's protection, we want to make certain that everyone understands that there is no warranty for this free library. If the library is modified by someone else and passed on, we want its recipients to know that what they have is not the original version, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that companies distributing free software will individually obtain patent licenses, thus in effect transforming the program into proprietary software. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License, which was designed for utility programs. This license, the GNU Library General Public License, applies to certain designated libraries. This license is quite different from the ordinary one; be sure to read it in full, and don't assume that anything in it is the same as in the ordinary license.\n\nThe reason we have a separate public license for some libraries is that they blur the distinction we usually make between modifying or adding to a program and simply using it. Linking a program with a library, without changing the library, is in some sense simply using the library, and is analogous to running a utility program or application program. However, in a textual and legal sense, the linked executable is a combined work, a derivative of the original library, and the ordinary General Public License treats it as such.\n\nBecause of this blurred distinction, using the ordinary General Public License for libraries did not effectively promote software sharing, because most developers did not use the libraries. We concluded that weaker conditions might promote sharing better.\n\nHowever, unrestricted linking of non-free programs would deprive the users of those programs of all benefit from the free status of the libraries themselves. This Library General Public License is intended to permit developers of non-free programs to use free libraries, while preserving your freedom as a user of such programs to change the free libraries that are incorporated in them. (We have not seen how to achieve this as regards changes in header files, but we have achieved it as regards changes in the actual functions of the Library.) The hope is that this will lead to faster development of free libraries.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, while the latter only works together with the library.\n\nNote that it is possible for a library to be covered by the ordinary General Public License rather than by this special one.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any software library which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Library General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\nA \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\nThe \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n\"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\nActivities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n1. You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\nYou may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	 a) The modified work must itself be a software library.\n\n	 b) You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	 c) You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	 d) If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n(For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\nThese requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\nThus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\nIn addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n3. You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\nOnce this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\nThis option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n4. You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\nIf distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n5. A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\nHowever, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\nWhen a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\nIf such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\nOtherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n6. As an exception to the Sections above, you may also compile or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\nYou must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	 a) Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	 b) Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	 c) If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	 d) Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\nFor an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\nIt may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n7. You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	 a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	 b) Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n8. You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n9. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n10. Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n11. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\nIf any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\nThis section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n12. If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n13. The Free Software Foundation may publish revised and/or new versions of the Library General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n14. If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 one line to give the library's name and an idea of what it does.\n	 Copyright (C) year  name of author\n\n	 This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\n	 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public License for more details.\n\n	 You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\nthe library `Frob' (a library for tweaking knobs) written\nby James Random Hacker.\n\nsignature of Ty Coon, 1 April 1990\nTy Coon, President of Vice\n\nThat's all there is to it!\n"
		self.standardLicenseHeaderTemplate = "Copyright (C) <<var;name=\"copyright\";original=\"year name of author\";match=\".+\">> This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; version 2. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA."
		self.standardLicenseTemplate = "<<beginOptional>>GNU LIBRARY GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 1991 Free Software Foundation, Inc.  51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the library GPL. It is numbered 2 because it goes with version 2 of the ordinary GPL.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Library General Public License, applies to some specially designated Free Software Foundation software, and to any other libraries whose authors decide to use it. You can use it for your libraries, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library, or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link a program with the library, you must provide complete object files to the recipients so that they can relink them with the library, after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nOur method of protecting your rights has two steps: (1) copyright the library, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the library.\n\nAlso, for each distributor's protection, we want to make certain that everyone understands that there is no warranty for this free library. If the library is modified by someone else and passed on, we want its recipients to know that what they have is not the original version, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that companies distributing free software will individually obtain patent licenses, thus in effect transforming the program into proprietary software. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License, which was designed for utility programs. This license, the GNU Library General Public License, applies to certain designated libraries. This license is quite different from the ordinary one; be sure to read it in full, and don't assume that anything in it is the same as in the ordinary license.\n\nThe reason we have a separate public license for some libraries is that they blur the distinction we usually make between modifying or adding to a program and simply using it. Linking a program with a library, without changing the library, is in some sense simply using the library, and is analogous to running a utility program or application program. However, in a textual and legal sense, the linked executable is a combined work, a derivative of the original library, and the ordinary General Public License treats it as such.\n\nBecause of this blurred distinction, using the ordinary General Public License for libraries did not effectively promote software sharing, because most developers did not use the libraries. We concluded that weaker conditions might promote sharing better.\n\nHowever, unrestricted linking of non-free programs would deprive the users of those programs of all benefit from the free status of the libraries themselves. This Library General Public License is intended to permit developers of non-free programs to use free libraries, while preserving your freedom as a user of such programs to change the free libraries that are incorporated in them. (We have not seen how to achieve this as regards changes in header files, but we have achieved it as regards changes in the actual functions of the Library.) The hope is that this will lead to faster development of free libraries.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, while the latter only works together with the library.\n\nNote that it is possible for a library to be covered by the ordinary General Public License rather than by this special one.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License Agreement applies to any software library which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Library General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\n   A \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\n   The \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n   \"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The modified work must itself be a software library.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n	  (For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\n   In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\n   Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\n   This option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\n   If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\n   However, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\n   When a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\n   If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\n   Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> As an exception to the Sections above, you may also compile or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\n   You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\n   For an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the Library General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\none line to give the library's name and an idea of what it does.\n\nCopyright (C) year name of author\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.\n\nYou should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\n\nthe library `Frob' (a library for tweaking knobs) written\n\nby James Random Hacker.\n\nsignature of Ty Coon, 1 April 1990\n\nTy Coon, President of Vice\n\nThat's all there is to it!\n\n<<endOptional>>"
		self.name = "GNU Library General Public License v2 only"
		self.licenseId = "LGPL-2.0"
		self.standardLicenseHeader = "Copyright (C) year name of author This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; version 2. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/lgpl-2.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:10Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/lgpl-2.0-standalone.html"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU LIBRARY GENERAL PUBLIC LICENSE\n	  </p>\n\n	  <p>\n		Version 2, June 1991\n	  </p>\n\n	</div>\n	<div class=\"replaceable-license-text\"> \n	  <p>\n		Copyright (C) 1991 Free Software Foundation, Inc.<br />\n\n		51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA\n	  </p>\n\n	</div>\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  [This is the first released version of the library GPL. It is\n	  numbered 2 because it goes with version 2 of the ordinary GPL.]\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The licenses for most software are designed to take away your\n	  freedom to share and change it. By contrast, the GNU General Public\n	  Licenses are intended to guarantee your freedom to share and change\n	  free software--to make sure the software is free for all its users.\n	</p>\n\n	<p>\n	  This license, the Library General Public License, applies\n	  to some specially designated Free Software Foundation\n	  software, and to any other libraries whose authors\n	  decide to use it. You can use it for your libraries, too.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not price.\n	  Our General Public Licenses are designed to make sure that you have\n	  the freedom to distribute copies of free software (and charge for\n	  this service if you wish), that you receive source code or can get\n	  it if you want it, that you can change the software or use pieces of\n	  it in new free programs; and that you know you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to make restrictions that forbid\n	  anyone to deny you these rights or to ask you to surrender the\n	  rights. These restrictions translate to certain responsibilities for\n	  you if you distribute copies of the library, or if you modify it.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of the library, whether gratis\n	  or for a fee, you must give the recipients all the rights that we\n	  gave you. You must make sure that they, too, receive or can get the\n	  source code. If you link a program with the library, you must provide\n	  complete object files to the recipients so that they can relink them\n	  with the library, after making changes to the library and recompiling\n	  it. And you must show them these terms so they know their rights.\n	</p>\n\n	<p>\n	  Our method of protecting your rights has two steps: (1) copyright\n	  the library, and (2) offer you this license which gives you\n	  legal permission to copy, distribute and/or modify the library.\n	</p>\n\n	<p>\n	  Also, for each distributor&apos;s protection, we want to make certain\n	  that everyone understands that there is no warranty for this\n	  free library. If the library is modified by someone else and\n	  passed on, we want its recipients to know that what they have\n	  is not the original version, so that any problems introduced by\n	  others will not reflect on the original authors&apos; reputations.\n	</p>\n\n	<p>\n	  Finally, any free program is threatened constantly by software\n	  patents. We wish to avoid the danger that companies distributing\n	  free software will individually obtain patent licenses, thus\n	  in effect transforming the program into proprietary software.\n	  To prevent this, we have made it clear that any patent must\n	  be licensed for everyone&apos;s free use or not licensed at all.\n	</p>\n\n	<p>\n	  Most GNU software, including some libraries, is covered by the\n	  ordinary GNU General Public License, which was designed for utility\n	  programs. This license, the GNU Library General Public License,\n	  applies to certain designated libraries. This license is quite\n	  different from the ordinary one; be sure to read it in full, and don&apos;t\n	  assume that anything in it is the same as in the ordinary license.\n	</p>\n\n	<p>\n	  The reason we have a separate public license for some libraries is\n	  that they blur the distinction we usually make between modifying\n	  or adding to a program and simply using it. Linking a program with\n	  a library, without changing the library, is in some sense simply\n	  using the library, and is analogous to running a utility program\n	  or application program. However, in a textual and legal sense, the\n	  linked executable is a combined work, a derivative of the original\n	  library, and the ordinary General Public License treats it as such.\n	</p>\n\n	<p>\n	  Because of this blurred distinction, using the ordinary General\n	  Public License for libraries did not effectively promote software\n	  sharing, because most developers did not use the libraries. We\n	  concluded that weaker conditions might promote sharing better.\n	</p>\n\n	<p>\n	  However, unrestricted linking of non-free programs would deprive the\n	  users of those programs of all benefit from the free status of the\n	  libraries themselves. This Library General Public License is intended\n	  to permit developers of non-free programs to use free libraries, while\n	  preserving your freedom as a user of such programs to change the free\n	  libraries that are incorporated in them. (We have not seen how to\n	  achieve this as regards changes in header files, but we have achieved\n	  it as regards changes in the actual functions of the Library.) The\n	  hope is that this will lead to faster development of free libraries.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying, distribution\n	  and modification follow. Pay close attention to the difference\n	  between a &quot;work based on the library&quot; and a &quot;work that uses\n	  the library&quot;. The former contains code derived from the\n	  library, while the latter only works together with the library.\n	</p>\n\n	<p>\n	  Note that it is possible for a library to be covered by the\n	  ordinary General Public License rather than by this special one.\n	</p>\n\n	<p>\n	  TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		This License Agreement applies to any software library\n		which contains a notice placed by the copyright holder or\n		other authorized party saying it may be distributed under\n		the terms of this Library General Public License (also\n		called &quot;this License&quot;). Each licensee is addressed as &quot;you&quot;.\n		<p>\n		  A &quot;library&quot; means a collection of software functions and/or data\n		  prepared so as to be conveniently linked with application programs\n		  (which use some of those functions and data) to form executables.\n		</p>\n\n		<p>\n		  The &quot;Library&quot;, below, refers to any such software library or work\n		  which has been distributed under these terms. A &quot;work based on\n		  the Library&quot; means either the Library or any derivative work under\n		  copyright law: that is to say, a work containing the Library or a\n		  portion of it, either verbatim or with modifications and/or translated\n		  straightforwardly into another language. (Hereinafter, translation\n		  is included without limitation in the term &quot;modification&quot;.)\n		</p>\n\n		<p>\n		  &quot;Source code&quot; for a work means the preferred form of the work\n		  for making modifications to it. For a library, complete source\n		  code means all the source code for all modules it contains,\n		  plus any associated interface definition files, plus the scripts\n		  used to control compilation and installation of the library.\n		</p>\n\n		<p>\n		  Activities other than copying, distribution and modification are\n		  not covered by this License; they are outside its scope. The act of\n		  running a program using the Library is not restricted, and output\n		  from such a program is covered only if its contents constitute a\n		  work based on the Library (independent of the use of the Library\n		  in a tool for writing it). Whether that is True depends on what\n		  the Library does and what the program that uses the Library does.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		You may copy and distribute verbatim copies of the Library&apos;s complete\n		source code as you receive it, in any medium, provided that you\n		conspicuously and appropriately publish on each copy an appropriate\n		copyright notice and disclaimer of warranty; keep intact all the\n		notices that refer to this License and to the absence of any warranty;\n		and distribute a copy of this License along with the Library.\n		<p>\n		  You may charge a fee for the physical act of\n		  transferring a copy, and you may at your option\n		  offer warranty protection in exchange for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		You may modify your copy or copies of the Library or any portion\n		of it, thus forming a work based on the Library, and copy and\n		distribute such modifications or work under the terms of Section\n		1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			The modified work must itself be a software library.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			You must cause the files modified to carry prominent notices\n			stating that you changed the files and the date of any change.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			You must cause the whole of the work to be licensed at no\n			charge to all third parties under the terms of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If a facility in the modified Library refers to a function\n			or a table of data to be supplied by an application program\n			that uses the facility, other than as an argument passed\n			when the facility is invoked, then you must make a good faith\n			effort to ensure that, in the event an application does not\n			supply such function or table, the facility still operates,\n			and performs whatever part of its purpose remains meaningful.\n			<p>\n			  (For example, a function in a library to compute square roots\n			  has a purpose that is entirely well-defined independent of\n			  the application. Therefore, Subsection 2d requires that any\n			  application-supplied function or table used by this function\n			  must be optional: if the application does not supply it,\n			  the square root function must still compute square roots.)\n			</p>\n\n		  </li>\n		\n</ul>\n		<p>\n		  These requirements apply to the modified work as a whole. If\n		  identifiable sections of that work are not derived from the\n		  Library, and can be reasonably considered independent and separate\n		  works in themselves, then this License, and its terms, do not\n		  apply to those sections when you distribute them as separate\n		  works. But when you distribute the same sections as part of a\n		  whole which is a work based on the Library, the distribution\n		  of the whole must be on the terms of this License, whose\n		  permissions for other licensees extend to the entire whole,\n		  and thus to each and every part regardless of who wrote it.\n		</p>\n\n		<p>\n		  Thus, it is not the intent of this section to claim rights or\n		  contest your rights to work written entirely by you; rather,\n		  the intent is to exercise the right to control the distribution\n		  of derivative or collective works based on the Library.\n		</p>\n\n		<p>\n		  In addition, mere aggregation of another work not based on\n		  the Library with the Library (or with a work based on the\n		  Library) on a volume of a storage or distribution medium does\n		  not bring the other work under the scope of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		You may opt to apply the terms of the ordinary GNU General\n		Public License instead of this License to a given copy of the\n		Library. To do this, you must alter all the notices that refer\n		to this License, so that they refer to the ordinary GNU General\n		Public License, version 2, instead of to this License. (If a\n		newer version than version 2 of the ordinary GNU General Public\n		License has appeared, then you can specify that version instead\n		if you wish.) Do not make any other change in these notices.\n		<p>\n		  Once this change is made in a given copy, it is irreversible for\n		  that copy, so the ordinary GNU General Public License applies to\n		  all subsequent copies and derivative works made from that copy.\n		</p>\n\n		<p>\n		  This option is useful when you wish to copy part of the\n		  code of the Library into a program that is not a library.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		You may copy and distribute the Library (or a portion or derivative\n		of it, under Section 2) in object code or executable form under\n		the terms of Sections 1 and 2 above provided that you accompany\n		it with the complete corresponding machine-readable source code,\n		which must be distributed under the terms of Sections 1 and 2\n		above on a medium customarily used for software interchange.\n		<p>\n		  If distribution of object code is made by offering access to copy\n		  from a designated place, then offering equivalent access to copy\n		  the source code from the same place satisfies the requirement\n		  to distribute the source code, even though third parties are\n		  not compelled to copy the source along with the object code.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		A program that contains no derivative of any portion of the\n		Library, but is designed to work with the Library by being compiled\n		or linked with it, is called a &quot;work that uses the Library&quot;.\n		Such a work, in isolation, is not a derivative work of the\n		Library, and therefore falls outside the scope of this License.\n		<p>\n		  However, linking a &quot;work that uses the Library&quot; with the Library\n		  creates an executable that is a derivative of the Library (because\n		  it contains portions of the Library), rather than a &quot;work that uses\n		  the library&quot;. The executable is therefore covered by this License.\n		  Section 6 states terms for distribution of such executables.\n		</p>\n\n		<p>\n		  When a &quot;work that uses the Library&quot; uses material from a header\n		  file that is part of the Library, the object code for the work may\n		  be a derivative work of the Library even though the source code is\n		  not. Whether this is True is especially significant if the work can\n		  be linked without the Library, or if the work is itself a library.\n		  The threshold for this to be True is not precisely defined by law.\n		</p>\n\n		<p>\n		  If such an object file uses only numerical parameters, data\n		  structure layouts and accessors, and small macros and small inline\n		  functions (ten lines or less in length), then the use of the\n		  object file is unrestricted, regardless of whether it is legally\n		  a derivative work. (Executables containing this object code\n		  plus portions of the Library will still fall under Section 6.)\n		</p>\n\n		<p>\n		  Otherwise, if the work is a derivative of the Library, you may\n		  distribute the object code for the work under the terms of Section\n		  6. Any executables containing that work also fall under Section 6,\n		  whether or not they are linked directly with the Library itself.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		As an exception to the Sections above, you may also compile or\n		link a &quot;work that uses the Library&quot; with the Library to produce\n		a work containing portions of the Library, and distribute\n		that work under terms of your choice, provided that the terms\n		permit modification of the work for the customer&apos;s own use\n		and reverse engineering for debugging such modifications.\n		<p>\n		  You must give prominent notice with each copy of the work\n		  that the Library is used in it and that the Library and its\n		  use are covered by this License. You must supply a copy of\n		  this License. If the work during execution displays copyright\n		  notices, you must include the copyright notice for the Library\n		  among them, as well as a reference directing the user to the\n		  copy of this License. Also, you must do one of these things:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany the work with the complete corresponding machine-readable\n			source code for the Library including whatever changes were used in\n			the work (which must be distributed under Sections 1 and 2 above);\n			and, if the work is an executable linked with the Library, with the\n			complete machine-readable &quot;work that uses the Library&quot;, as object\n			code and/or source code, so that the user can modify the Library\n			and then relink to produce a modified executable containing the\n			modified Library. (It is understood that the user who changes the\n			contents of definitions files in the Library will not necessarily be\n			able to recompile the application to use the modified definitions.)\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Accompany the work with a written offer, valid for at\n			least three years, to give the same user the materials\n			specified in Subsection 6a, above, for a charge no\n			more than the cost of performing this distribution.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			If distribution of the work is made by offering access to\n			copy from a designated place, offer equivalent access to\n			copy the above specified materials from the same place.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Verify that the user has already received a copy of these\n			materials or that you have already sent this user a copy.\n		  </li>\n		\n</ul>\n		<p>\n		  For an executable, the required form of the &quot;work that uses\n		  the Library&quot; must include any data and utility programs needed\n		  for reproducing the executable from it. However, as a special\n		  exception, the source code distributed need not include\n		  anything that is normally distributed (in either source or\n		  binary form) with the major components (compiler, kernel,\n		  and so on) of the operating system on which the executable\n		  runs, unless that component itself accompanies the executable.\n		</p>\n\n		<p>\n		  It may happen that this requirement contradicts the\n		  license restrictions of other proprietary libraries that\n		  do not normally accompany the operating system. Such\n		  a contradiction means you cannot use both them and the\n		  Library together in an executable that you distribute.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		You may place library facilities that are a work based on the\n		Library side-by-side in a single library together with other library\n		facilities not covered by this License, and distribute such a\n		combined library, provided that the separate distribution of the\n		work based on the Library and of the other library facilities is\n		otherwise permitted, and provided that you do these two things:\n	  </li>\n	  \n<li>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n		  <var class=\"replaceable-license-text\"> a)</var>\n		  Accompany the combined library with a copy of the same work based\n		  on the Library, uncombined with any other library facilities.\n		  This must be distributed under the terms of the Sections above.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> b)</var>\n		  Give prominent notice with the combined library of the fact\n		  that part of it is a work based on the Library, and explaining\n		  where to find the accompanying uncombined form of the same work.\n		</li>\n	  \n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		You may not copy, modify, sublicense, link with, or distribute the\n		Library except as expressly provided under this License. Any attempt\n		otherwise to copy, modify, sublicense, link with, or distribute\n		the Library is void, and will automatically terminate your rights\n		under this License. However, parties who have received copies, or\n		rights, from you under this License will not have their licenses\n		terminated so long as such parties remain in full compliance.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		You are not required to accept this License, since you have\n		not signed it. However, nothing else grants you permission to\n		modify or distribute the Library or its derivative works. These\n		actions are prohibited by law if you do not accept this License.\n		Therefore, by modifying or distributing the Library (or any\n		work based on the Library), you indicate your acceptance of this\n		License to do so, and all its terms and conditions for copying,\n		distributing or modifying the Library or works based on it.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		Each time you redistribute the Library (or any work based on\n		the Library), the recipient automatically receives a license\n		from the original licensor to copy, distribute, link with or\n		modify the Library subject to these terms and conditions. You\n		may not impose any further restrictions on the recipients&apos;\n		exercise of the rights granted herein. You are not responsible\n		for enforcing compliance by third parties to this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		If, as a consequence of a court judgment or allegation of patent\n		infringement or for any other reason (not limited to patent issues),\n		conditions are imposed on you (whether by court order, agreement\n		or otherwise) that contradict the conditions of this License,\n		they do not excuse you from the conditions of this License. If you\n		cannot distribute so as to satisfy simultaneously your obligations\n		under this License and any other pertinent obligations, then as a\n		consequence you may not distribute the Library at all. For example,\n		if a patent license would not permit royalty-free redistribution of\n		the Library by all those who receive copies directly or indirectly\n		through you, then the only way you could satisfy both it and this\n		License would be to refrain entirely from distribution of the Library.\n		<p>\n		  If any portion of this section is held invalid or\n		  unenforceable under any particular circumstance, the\n		  balance of the section is intended to apply, and the section\n		  as a whole is intended to apply in other circumstances.\n		</p>\n\n		<p>\n		  It is not the purpose of this section to induce you to infringe\n		  any patents or other property right claims or to contest\n		  validity of any such claims; this section has the sole purpose\n		  of protecting the integrity of the free software distribution\n		  system which is implemented by public license practices. Many\n		  people have made generous contributions to the wide range of\n		  software distributed through that system in reliance on consistent\n		  application of that system; it is up to the author/donor to\n		  decide if he or she is willing to distribute software through\n		  any other system and a licensee cannot impose that choice.\n		</p>\n\n		<p>\n		  This section is intended to make thoroughly clear what is\n		  believed to be a consequence of the rest of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		If the distribution and/or use of the Library is restricted in\n		certain countries either by patents or by copyrighted interfaces,\n		the original copyright holder who places the Library under this\n		License may add an explicit geographical distribution limitation\n		excluding those countries, so that distribution is permitted only\n		in or among countries not thus excluded. In such case, this License\n		incorporates the limitation as if written in the body of this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 13.</var>\n		The Free Software Foundation may publish revised and/or new versions\n		of the Library General Public License from time to time. Such\n		new versions will be similar in spirit to the present version,\n		but may differ in detail to address new problems or concerns.\n		<p>\n		  Each version is given a distinguishing version number. If\n		  the Library specifies a version number of this License which\n		  applies to it and &quot;any later version&quot;, you have the option of\n		  following the terms and conditions either of that version or of\n		  any later version published by the Free Software Foundation. If\n		  the Library does not specify a license version number, you may\n		  choose any version ever published by the Free Software Foundation.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 14.</var>\n		If you wish to incorporate parts of the Library into other free programs\n		whose distribution conditions are incompatible with these, write to\n		the author to ask for permission. For software which is copyrighted by\n		the Free Software Foundation, write to the Free Software Foundation; we\n		sometimes make exceptions for this. Our decision will be guided by the\n		two goals of preserving the free status of all derivatives of our free\n		software and of promoting the sharing and reuse of software generally.\n		<p>\n		  NO WARRANTY\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 15.</var>\n		BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\n		FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT\n		WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER\n		PARTIES PROVIDE THE LIBRARY &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND,\n		EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\n		IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\n		THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU\n		ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 16.</var>\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n		REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR\n		DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL\n		DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY\n		(INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\n		INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF\n		THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER\n		OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Libraries\n	  </p>\n\n	  <p>\n		If you develop a new library, and you want it to be of the greatest\n		possible use to the public, we recommend making it free software\n		that everyone can redistribute and change. You can do so by\n		permitting redistribution under these terms (or, alternatively,\n		under the terms of the ordinary General Public License).\n	  </p>\n\n	  <p>\n		To apply these terms, attach the following notices to the\n		library. It is safest to attach them to the start of each\n		source file to most effectively convey the exclusion of\n		warranty; and each file should have at least the &quot;copyright&quot;\n		line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		one line to give the library&apos;s name\n		and an idea of what it does.<br />\n\n		Copyright (C) year name of author\n	  </p>\n\n	  <p>\n		This library is free software; you can redistribute it and/or\n		modify it under the terms of the GNU Library General Public\n		License as published by the Free Software Foundation; either\n		version 2 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This library is distributed in the hope that it will be useful,\n		but WITHOUT ANY WARRANTY; without even the implied warranty\n		of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See\n		the GNU Library General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU Library\n		General Public License along with this library; if\n		not, write to the Free Software Foundation, Inc., 51\n		Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n	  </p>\n\n	  <p>\n		Also add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or your school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the library, if necessary. Here is a sample; alter the names:\n	  </p>\n\n	  <p>\n		Yoyodyne, Inc., hereby disclaims all copyright interest in<br />\n\n		the library `Frob&apos; (a library for tweaking knobs) written<br />\n\n		by James Random Hacker.\n	  </p>\n\n	  <p>\n		signature of Ty Coon, 1 April 1990<br />\n\n		Ty Coon, President of Vice\n	  </p>\n\n	  <p>\n		That&apos;s all there is to it!\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (C) <var class=\"replaceable-license-text\"> year name of author</var>\n	  This library is free software; you can redistribute it and/or modify it\n	  under the terms of the GNU Library General Public License as published\n	  by the Free Software Foundation; version 2. This library is distributed\n	  in the hope that it will be useful, but WITHOUT ANY WARRANTY; without\n	  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n	  PURPOSE. See the GNU Library General Public License for more details.\n	  You should have received a copy of the GNU Library General Public\n	  License along with this library; if not, write to the Free Software\n	  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n	"
		self.deprecatedVersion = "3.0"
		self.python_name = "LGPL20"

	def __str__(self):
		return json.dumps(self.__dict__)


class ZPL21:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Zope Public License (ZPL) Version 2.1\n\nA copyright notice accompanies this license document that identifies the copyright holders.\n\nThis license has been certified as open source. It has also been designated as GPL compatible by the Free Software Foundation (FSF).\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 1.  Redistributions in source code must retain the accompanying copyright notice, this list of conditions, and the following disclaimer.\n\n	 2.  Redistributions in binary form must reproduce the accompanying copyright notice, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 3.  Names of the copyright holders must not be used to endorse or promote products derived from this software without prior written permission from the copyright holders.\n\n	 4.  The right to distribute this software or to use it for any purpose does not give you the right to use Servicemarks (sm) or Trademarks (tm) of the copyright holders. Use of them is covered by separate agreement with the copyright holders.\n\n	 5.  If any files are modified, you must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\nDisclaimer\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Zope Public License (ZPL) Version 2.1\n\n<<endOptional>><<beginOptional>> A copyright notice accompanies this license document that identifies the copyright holders.\n\nThis license has been certified as open source. It has also been designated as GPL compatible by the Free Software Foundation (FSF).\n\n<<endOptional>>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions in source code must retain the accompanying copyright notice, this list of conditions, and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the accompanying copyright notice, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Names of the copyright holders must not be used to endorse or promote products derived from this software without prior written permission from the copyright holders.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The right to distribute this software or to use it for any purpose does not give you the right to use Servicemarks (sm) or Trademarks (tm) of the copyright holders. Use of them is covered by separate agreement with the copyright holders.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> If any files are modified, you must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\nDisclaimer\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Zope Public License 2.1"
		self.licenseComments = "This is a generic version of the ZPL 2.0 license"
		self.licenseId = "ZPL-2.1"
		self.crossRef = [{"match": "False", "url": "http://old.zope.org/Resources/ZPL/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:47Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://old.zope.org/Resources/ZPL/"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Zope Public License (ZPL) Version 2.1</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>A copyright notice accompanies this license document that identifies the copyright holders.</p>\n\n		 <p>This license has been certified as open source. It has also been designated as GPL compatible by the Free\n		 Software Foundation (FSF).</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions in source code must retain the accompanying copyright notice, this list of\n			 conditions, and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the accompanying copyright notice, this list of\n			 conditions, and the following disclaimer in the documentation and/or other materials provided\n			 with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Names of the copyright holders must not be used to endorse or promote products derived from this\n			 software without prior written permission from the copyright holders.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  The right to distribute this software or to use it for any purpose does not give you the right to\n			 use Servicemarks (sm) or Trademarks (tm) of the copyright holders. Use of them is covered by\n			 separate agreement with the copyright holders.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  If any files are modified, you must cause the modified files to carry prominent notices stating\n			 that you changed the files and the date of any change.\n		</li>\n	  \n</ul>\n	  <p>Disclaimer</p>\n\n	  <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS&apos;&apos; AND ANY EXPRESSED OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY DIRECT, INDIRECT,\n		 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\n		 OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\n		 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\n		 POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "ZPL21"

	def __str__(self):
		return json.dumps(self.__dict__)


class MITCMU:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "<copyright notice>\n\nBy obtaining, using, and/or copying this software and/or its associated documentation, you agree that you have read, understood, and will comply with the following terms and conditions:\n\nPermission to use, copy, modify, and distribute this software and its associated documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appears in all copies, and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of the copyright holder not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.\n\nTHE COPYRIGHT HOLDER DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM THE LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"<copyright notice>  \";match=\".{0,5000}\">><<beginOptional>> By obtaining, using, and/or copying this software and/or its associated documentation, you agree that you have read, understood, and will comply with the following terms and conditions:<<endOptional>>\n\nPermission to use, copy, modify<<beginOptional>>, <<endOptional>> and distribute this software and its<<beginOptional>> associated<<endOptional>> documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appears in all copies<<beginOptional>>, <<endOptional>> and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of <<var;name=\"copyrightHolder1\";original=\"the copyright holder\";match=\".+\">> not be used in advertising or publicity pertaining to distribution of the software without specific<<beginOptional>>, <<endOptional>> written<<beginOptional>> prior<<endOptional>> permission.\n\n<<var;name=\"copyrightHolder2\";original=\"THE COPYRIGHT HOLDER\";match=\".+\">> <<var;name=\"disclaim\";original=\"DISCLAIM\";match=\"DISCLAIM(S)?\">> ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL <<var;name=\"copyrightHolder3\";original=\"THE COPYRIGHT HOLDER\";match=\".+\">> BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM<<beginOptional>> THE<<endOptional>> LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n"
		self.name = "CMU License"
		self.licenseId = "MIT-CMU"
		self.crossRef = [{"match": "False", "url": "https://github.com/python-pillow/Pillow/blob/fffb426092c8db24a5f4b6df243a8a3c01fb63cd/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:18Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://fedoraproject.org/wiki/Licensing:MIT?rd=Licensing/MIT#CMU_Style", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:18Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing:MIT?rd=Licensing/MIT#CMU_Style", "https://github.com/python-pillow/Pillow/blob/fffb426092c8db24a5f4b6df243a8a3c01fb63cd/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>&lt;copyright notice&gt;</p>\n\n	  </div>\n\n	  <var class=\"optional-license-text\"> By obtaining, using, and/or copying this software and/or its associated documentation, you agree that\n	  you have read, understood, and will comply with the following terms and conditions:</var>\n\n	  <p>Permission to use, copy, modify<var class=\"optional-license-text\">, </var> and distribute this software and its <var class=\"optional-license-text\"> associated</var> documentation for any purpose and\n		 without fee is hereby granted, provided that the above copyright notice appears in all copies<var class=\"optional-license-text\">, </var> and that\n		 both that copyright notice and this permission notice appear in supporting documentation, and that the\n		 name of <var class=\"replaceable-license-text\"> the copyright holder</var> not be used in advertising or publicity\n		 pertaining to distribution of the software without specific<var class=\"optional-license-text\">, </var> written <var class=\"optional-license-text\"> prior</var> permission.</p>\n\n	  <p><var class=\"replaceable-license-text\"> THE COPYRIGHT HOLDER</var> <var class=\"replaceable-license-text\"> DISCLAIM</var> ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,\n		 INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL <var class=\"replaceable-license-text\"> THE COPYRIGHT HOLDER</var> BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY\n		 DAMAGES WHATSOEVER RESULTING FROM <var class=\"optional-license-text\"> THE</var> LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,\n		 NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF\n		 THIS SOFTWARE.</p>\n\n	"
		self.python_name = "MITCMU"

	def __str__(self):
		return json.dumps(self.__dict__)


class MirOS:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The MirOS Licence\n\nCopyright [YEAR] [NAME] [EMAIL]\n\nProvided that these terms and disclaimer and all copyright notices are retained or reproduced in an accompanying document, permission is granted to deal in this work without restriction, including unlimited rights to use, publicly perform, distribute, sell, modify, merge, give away, or sublicence.\n\nThis work is provided \"AS IS\" and WITHOUT WARRANTY of any kind, to the utmost extent permitted by applicable law, neither express nor implied; without malicious intent or gross negligence. In no event may a licensor, author or contributor be held liable for indirect, direct, other damage, loss, or other issues arising in any way out of dealing in the work, even if advised of the possibility of such damage or existence of a defect, except proven that it results out of said person's immediate fault when using the work as intended.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>The MirOS Licence\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright [YEAR] [NAME] [EMAIL]  \";match=\".{0,5000}\">>\n\nProvided that these terms and disclaimer and all copyright notices are retained or reproduced in an accompanying document, permission is granted to deal in this work without restriction, including unlimited rights to use, publicly perform, distribute, sell, modify, merge, give away, or sublicence.\n\nThis work is provided \"AS IS\" and WITHOUT WARRANTY of any kind, to the utmost extent permitted by applicable law, neither express nor implied; without malicious intent or gross negligence. In no event may a licensor, author or contributor be held liable for indirect, direct, other damage, loss, or other issues arising in any way out of dealing in the work, even if advised of the possibility of such damage or existence of a defect, except proven that it results out of said person's immediate fault when using the work as intended.\n\n"
		self.name = "The MirOS Licence"
		self.licenseId = "MirOS"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/MirOS", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:49Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/MirOS"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The MirOS Licence</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright [YEAR] [NAME] [EMAIL]\n	  </p>\n\n	  </div>\n\n	  <p>Provided that these terms and disclaimer and all copyright notices are retained or reproduced in an\n		 accompanying document, permission is granted to deal in this work without restriction, including\n		 unlimited rights to use, publicly perform, distribute, sell, modify, merge, give away, or\n		 sublicence.</p>\n\n	  <p>This work is provided &quot;AS IS&quot; and WITHOUT WARRANTY of any kind, to the utmost extent permitted by\n		 applicable law, neither express nor implied; without malicious intent or gross negligence. In no event\n		 may a licensor, author or contributor be held liable for indirect, direct, other damage, loss, or\n		 other issues arising in any way out of dealing in the work, even if advised of the possibility of such\n		 damage or existence of a defect, except proven that it results out of said person&apos;s immediate fault\n		 when using the work as intended.</p>\n\n	"
		self.python_name = "MirOS"

	def __str__(self):
		return json.dumps(self.__dict__)


class Unicode30:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "UNICODE LICENSE V3\n\nCOPYRIGHT AND PERMISSION NOTICE\n\nCopyright \u00a9 1991-2023 Unicode, Inc.\n\nNOTICE TO USER: Carefully read the following legal agreement. BY\nDOWNLOADING, INSTALLING, COPYING OR OTHERWISE USING DATA FILES, AND/OR\nSOFTWARE, YOU UNEQUIVOCALLY ACCEPT, AND AGREE TO BE BOUND BY, ALL OF THE\nTERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE, DO NOT\nDOWNLOAD, INSTALL, COPY, DISTRIBUTE OR USE THE DATA FILES OR SOFTWARE.\n\nPermission is hereby granted, free of charge, to any person obtaining a\ncopy of data files and any associated documentation (the \"Data Files\") or\nsoftware and any associated documentation (the \"Software\") to deal in the\nData Files or Software without restriction, including without limitation\nthe rights to use, copy, modify, merge, publish, distribute, and/or sell\ncopies of the Data Files or Software, and to permit persons to whom the\nData Files or Software are furnished to do so, provided that either (a)\nthis copyright and permission notice appear with all copies of the Data\nFiles or Software, or (b) this copyright and permission notice appear in\nassociated Documentation.\n\nTHE DATA FILES AND SOFTWARE ARE PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY\nKIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF\nTHIRD PARTY RIGHTS.\n\nIN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE\nBE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES,\nOR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,\nWHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,\nARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA\nFILES OR SOFTWARE.\n\nExcept as contained in this notice, the name of a copyright holder shall\nnot be used in advertising or otherwise to promote the sale, use or other\ndealings in these Data Files or Software without prior written\nauthorization of the copyright holder.\n"
		self.standardLicenseTemplate = "<<beginOptional>>UNICODE LICENSE V3\n\nCOPYRIGHT AND PERMISSION NOTICE\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright \u00a9 1991-2023 Unicode, Inc.\";match=\".{0,5000}\">>\n\nNOTICE TO USER: Carefully read the following legal agreement. BY DOWNLOADING, INSTALLING, COPYING OR OTHERWISE USING DATA FILES, AND/OR SOFTWARE, YOU UNEQUIVOCALLY ACCEPT, AND AGREE TO BE BOUND BY, ALL OF THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE, DO NOT DOWNLOAD, INSTALL, COPY, DISTRIBUTE OR USE THE DATA FILES OR SOFTWARE.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of data files and any associated documentation (the \"Data Files\") or software and any associated documentation (the \"Software\") to deal in the Data Files or Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Data Files or Software, and to permit persons to whom the Data Files or Software are furnished to do so, provided that either (a) this copyright and permission notice appear with all copies of the Data Files or Software, or (b) this copyright and permission notice appear in associated Documentation.\n\nTHE DATA FILES AND SOFTWARE ARE PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.\n\nIN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA FILES OR SOFTWARE.\n\nExcept as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other dealings in these Data Files or Software without prior written authorization of the copyright holder.\n\n"
		self.name = "Unicode License v3"
		self.licenseComments = "Note, this url has been used for prior versions of this license as well."
		self.licenseId = "Unicode-3.0"
		self.crossRef = [{"match": "False", "url": "https://www.unicode.org/license.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:10Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.unicode.org/license.txt"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n		 <div class=\"optional-license-text\"> \n			UNICODE LICENSE V3\n			<p>\n			   COPYRIGHT AND PERMISSION NOTICE\n			</p>\n\n		 </div>\n		 <var class=\"replaceable-license-text\"> \n			Copyright \u00a9 1991-2023 Unicode, Inc.\n		 </var>\n		 <p>\n			NOTICE TO USER: Carefully read the following legal agreement.\n			BY DOWNLOADING, INSTALLING, COPYING OR OTHERWISE USING\n			DATA FILES, AND/OR SOFTWARE, YOU UNEQUIVOCALLY ACCEPT,\n			AND AGREE TO BE BOUND BY, ALL OF THE TERMS AND CONDITIONS\n			OF THIS AGREEMENT. IF YOU DO NOT AGREE, DO NOT DOWNLOAD,\n			INSTALL, COPY, DISTRIBUTE OR USE THE DATA FILES OR SOFTWARE.\n		 </p>\n\n		 <p>\n			Permission is hereby granted, free of charge, to any person\n			obtaining a copy of data files and any associated documentation\n			(the &quot;Data Files&quot;) or software and any associated documentation\n			(the &quot;Software&quot;) to deal in the Data Files or Software without\n			restriction, including without limitation the rights to use,\n			copy, modify, merge, publish, distribute, and/or sell copies of\n			the Data Files or Software, and to permit persons to whom the\n			Data Files or Software are furnished to do so, provided that\n			either (a) this copyright and permission notice appear with\n			all copies of the Data Files or Software, or (b) this copyright\n			and permission notice appear in associated Documentation.\n		 </p>\n\n		 <p>\n			THE DATA FILES AND SOFTWARE ARE PROVIDED &quot;AS IS&quot;, WITHOUT\n			WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n			LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A\n			PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.\n		 </p>\n\n		 <p>\n			IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN\n			THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR\n			CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM\n			LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,\n			NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION\n			WITH THE USE OR PERFORMANCE OF THE DATA FILES OR SOFTWARE.\n		 </p>\n\n		 <p>\n			Except as contained in this notice, the name of a copyright\n			holder shall not be used in advertising or otherwise to promote\n			the sale, use or other dealings in these Data Files or Software\n			without prior written authorization of the copyright holder.\n		 </p>\n\n	  "
		self.python_name = "Unicode30"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDdoc:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright <year> <copyright holder>\n\nPermission to use, copy, modify, and distribute this documentation for\nany purpose and without fee is hereby granted, provided that the above\ncopyright notice and this permission notice appear in all copies.\n<copyright holder> makes no representations about the suitability for\nany purpose of the information in this document.  This documentation is\nprovided ``as is'' without express or implied warranty.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright <year> <copyright holder>  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this documentation for any purpose and without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies. <<var;name=\"copyrightHolder1\";original=\"<copyright holder>\";match=\".*\">> makes no representations about the suitability for any purpose of the information in this document. This documentation is provided \"as is\" without express or implied warranty.\n\n"
		self.name = "Historical Permission Notice and Disclaimer - documentation variant"
		self.licenseComments = "This is very similar to HPND but is for documentation and alters the notice obligation."
		self.licenseId = "HPND-doc"
		self.crossRef = [{"match": "False", "url": "https://gitlab.freedesktop.org/xorg/lib/libxtst/-/blob/master/COPYING?ref_type=heads#L70-77", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:07Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://gitlab.freedesktop.org/xorg/lib/libxext/-/blob/master/COPYING?ref_type=heads#L185-197", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:12Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gitlab.freedesktop.org/xorg/lib/libxext/-/blob/master/COPYING?ref_type=heads#L185-197", "https://gitlab.freedesktop.org/xorg/lib/libxtst/-/blob/master/COPYING?ref_type=heads#L70-77"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n			<p>\n			   Copyright &lt;year&gt; &lt;copyright holder&gt;\n			</p>\n\n		 </div>\n		  <p>\n			Permission to use, copy, modify, and distribute this documentation\n			for any purpose and without fee is hereby granted, provided that\n			the above copyright notice and this permission notice appear in all\n			copies.\n			<var class=\"replaceable-license-text\"> &lt;copyright holder&gt;</var>\n			makes no representations about the suitability for\n			any purpose of the information in this document. This documentation\n			is provided &quot;as is&quot; without express or implied warranty.\n		 </p>\n\n	  "
		self.python_name = "HPNDdoc"

	def __str__(self):
		return json.dumps(self.__dict__)


class OGDLTaiwan10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "\u653f\u5e9c\u8cc7\u6599\u958b\u653e\u6388\u6b0a\u689d\u6b3e\uff0d\u7b2c1\u7248\n\n\u4e2d\u83ef\u6c11\u570b104\u5e747\u670827\u65e5\u8a02\u5b9a\n\n\u70ba\u4fbf\u5229\u6c11\u773e\u5171\u4eab\u53ca\u61c9\u7528\u653f\u5e9c\u8cc7\u6599\u3001\u4fc3\u9032\u53ca\u6d3b\u5316\u653f\u5e9c\u8cc7\u6599\u61c9\u7528\u3001\u7d50\u5408\u6c11\u9593\u5275\u610f\u63d0\u5347\u653f\u5e9c\u8cc7\u6599\u54c1\u8cea\u53ca\u50f9\u503c\u3001\u512a\u5316\u653f\u5e9c\u670d\u52d9\u54c1\u8cea\uff0c\u8a02\u5b9a\u672c\u689d\u6b3e\u3002\n\n\u4e00\u3001\u5b9a\u7fa9\n\n(\u4e00)\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\uff1a\u6307\u5c07\u8077\u6b0a\u7bc4\u570d\u5167\u53d6\u5f97\u6216\u4f5c\u6210\u4e4b\u5404\u985e\u96fb\u5b50\u8cc7\u6599\uff0c\u900f\u904e\u672c\u689d\u6b3e\u91cb\u51fa\u4e88\u516c\u773e\u4e4b\u653f\u5e9c\u6a5f\u95dc\uff08\u69cb\uff09\u3001\u516c\u71df\u4e8b\u696d\u6a5f\u69cb\u3001\u516c\u7acb\u5b78\u6821\u53ca\u884c\u653f\u6cd5\u4eba\u3002\n\n(\u4e8c)\u4f7f\u7528\u8005\uff1a\u6307\u4f9d\u672c\u689d\u6b3e\u898f\u5b9a\u53d6\u5f97\u958b\u653e\u8cc7\u6599\uff0c\u4e26\u5c0d\u5176\u5229\u7528\u4e4b\u81ea\u7136\u4eba\u3001\u6cd5\u4eba\u6216\u5718\u9ad4\uff0c\u5305\u62ec\u4f9d\u672c\u689d\u6b3e\u6388\u6b0a\u4f7f\u7528\u8005\u518d\u8f49\u6388\u6b0a\u5229\u7528\u4e4b\u4eba\u6216\u5718\u9ad4\u3002\n\n(\u4e09)\u958b\u653e\u8cc7\u6599\uff1a\u6307\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u64c1\u6709\u5b8c\u6574\u8457\u4f5c\u8ca1\u7522\u6b0a\uff0c\u6216\u7d93\u6388\u6b0a\u5f97\u518d\u8f49\u6388\u6b0a\u7b2c\u4e09\u4eba\u5229\u7528\u4e4b\u8cc7\u6599\uff0c\u4e26\u4ee5\u516c\u958b\u3001\u53ef\u4fee\u6539\uff0c\u4e14\u7121\u4e0d\u5fc5\u8981\u6280\u8853\u9650\u5236\u4e4b\u683c\u5f0f\u63d0\u4f9b\u8005\uff0c\u5305\u62ec\u4f46\u4e0d\u9650\u65bc\u4e0b\u5217\u8457\u4f5c\uff1a\n\n	1. \u7de8\u8f2f\u8457\u4f5c\uff1a\u9078\u64c7\u3001\u7de8\u6392\u5177\u6709\u5275\u4f5c\u6027\uff0c\u800c\u53ef\u53d7\u8457\u4f5c\u6b0a\u6cd5\u4fdd\u8b77\u4e4b\u8cc7\u6599\u5eab\u6216\u5176\u4ed6\u7d50\u69cb\u5316\u8cc7\u6599\u7d44\u5408\u3002\n\n	2. \u7d20\u6750\uff1a\u6307\u958b\u653e\u8cc7\u6599\u96c6\u5408\u7269\u4e2d\uff0c\u5176\u4ed6\u53ef\u53d7\u8457\u4f5c\u6b0a\u6cd5\u4fdd\u8b77\u4e4b\u7368\u7acb\u8457\u4f5c\u3002\n\n(\u56db)\u884d\u751f\u7269\uff1a\u6307\u4f9d\u672c\u689d\u6b3e\u6240\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u9032\u884c\u5f8c\u7e8c\u91cd\u88fd\u3001\u6539\u4f5c\u3001\u7de8\u8f2f\u6216\u70ba\u5176\u4ed6\u65b9\u5f0f\u5229\u7528\u4e4b\u4fee\u6539\u7269\u3002\n\n(\u4e94)\u8cc7\u8a0a\uff1a\u6307\u4e0d\u53d7\u8457\u4f5c\u6b0a\u6cd5\u4fdd\u8b77\u4e4b\u7d14\u7cb9\u7d00\u9304\uff0c\u4e26\u96a8\u540c\u958b\u653e\u8cc7\u6599\u4e00\u4f75\u63d0\u4f9b\u8005\u3002\u524d\u63ed\u8cc7\u8a0a\u9664\u672c\u689d\u6b3e\u6388\u8207\u6b0a\u5229\u4e4b\u898f\u5b9a\u5916\uff0c\u6bd4\u7167\u6709\u95dc\u958b\u653e\u8cc7\u6599\u4e4b\u898f\u5b9a\u8fa6\u7406\u3002\n\n\u4e8c\u3001\u6388\u8207\u6b0a\u5229\n\n(\u4e00)\u5404\u6a5f\u95dc\u6240\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u6388\u6b0a\u4f7f\u7528\u8005\u4e0d\u9650\u76ee\u7684\u3001\u6642\u9593\u53ca\u5730\u57df\u3001\u975e\u5c08\u5c6c\u3001\u4e0d\u53ef\u64a4\u56de\u3001\u514d\u6388\u6b0a\u91d1\u9032\u884c\u5229\u7528\uff0c\u5229\u7528\u4e4b\u65b9\u5f0f\u5305\u62ec\u91cd\u88fd\u3001\u6563\u5e03\u3001\u516c\u958b\u50b3\u8f38\u3001\u516c\u958b\u64ad\u9001\u3001\u516c\u958b\u53e3\u8ff0\u3001\u516c\u958b\u4e0a\u6620\u3001\u516c\u958b\u6f14\u51fa\u3001\u7de8\u8f2f\u3001\u6539\u4f5c\uff0c\u5305\u62ec\u4f46\u4e0d\u9650\u65bc\u958b\u767c\u5404\u7a2e\u7522\u54c1\u6216\u670d\u52d9\u578b\u614b\u4e4b\u884d\u751f\u7269\u3002\n\n(\u4e8c)\u4f7f\u7528\u8005\u5f97\u518d\u8f49\u6388\u6b0a\u4ed6\u4eba\u70ba\u524d\u9805\u4e4b\u5229\u7528\u3002\n\n(\u4e09)\u4f7f\u7528\u8005\u4f9d\u672c\u689d\u6b3e\u898f\u5b9a\u5229\u7528\u958b\u653e\u8cc7\u6599\uff0c\u7121\u9808\u53e6\u884c\u53d6\u5f97\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u4e4b\u66f8\u9762\u6216\u5176\u4ed6\u65b9\u5f0f\u6388\u6b0a\u3002\n\n(\u56db)\u672c\u689d\u6b3e\u4e4b\u6388\u6b0a\u7bc4\u570d\u4e0d\u5305\u62ec\u5c08\u5229\u6b0a\u53ca\u5546\u6a19\u6b0a\u3002\n\n\u4e09\u3001\u8ab2\u4e88\u7fa9\u52d9\n\n(\u4e00)\u4f7f\u7528\u8005\u5229\u7528\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u8996\u70ba\u540c\u610f\u9075\u5b88\u672c\u689d\u6b3e\u4e4b\u5404\u9805\u898f\u5b9a\uff0c\u4e26\u61c9\u4ee5\u5c0a\u91cd\u7b2c\u4e09\u4eba\u8457\u4f5c\u4eba\u683c\u6b0a\u4e4b\u65b9\u5f0f\u5229\u7528\u4e4b\u3002\n\n(\u4e8c)\u4f7f\u7528\u8005\u5229\u7528\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u53ca\u5f8c\u7e8c\u4e4b\u884d\u751f\u7269\uff0c\u61c9\u4ee5\u7b26\u5408\u9644\u4ef6\u6240\u793a\u300c\u986f\u540d\u8072\u660e\u300d\u8981\u6c42\u4e4b\u65b9\u5f0f\uff0c\u660e\u78ba\u6a19\u793a\u539f\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u4e4b\u76f8\u95dc\u8072\u660e\uff1b\u672a\u76e1\u986f\u540d\u6a19\u793a\u7fa9\u52d9\u8005\uff0c\u8996\u70ba\u81ea\u59cb\u672a\u53d6\u5f97\u958b\u653e\u8cc7\u6599\u4e4b\u6388\u6b0a\u3002\n\n\u56db\u3001\u7248\u672c\u66f4\u65b0\u53ca\u6388\u6b0a\u8f49\u63db\n\n(\u4e00)\u672c\u689d\u6b3e\u5982\u6709\u4fee\u6b63\uff0c\u4f9d\u820a\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u65bc\u65b0\u689d\u6b3e\u516c\u544a\u6642\uff0c\u4f7f\u7528\u8005\u5f97\u9078\u64c7\u63a1\u7528\u65b0\u689d\u6b3e\u5229\u7528\u3002\u4f46\u539f\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\uff0c\u65bc\u63d0\u4f9b\u958b\u653e\u8cc7\u6599\u6642\uff0c\u5df2\u8a02\u660e\u5176\u4f7f\u7528\u4e4b\u7279\u5b9a\u7248\u672c\u689d\u6b3e\u8005\uff0c\u4e0d\u5728\u6b64\u9650\u3002\n\n(\u4e8c)\u672c\u689d\u6b3e\u8207\u300c\u5275\u7528CC\u6388\u6b0a \u59d3\u540d\u6a19\u793a 4.0 \u570b\u969b\u7248\u672c\u300d\u76f8\u5bb9\uff0c\u4f7f\u7528\u8005\u4f9d\u672c\u689d\u6b3e\u5229\u7528\u958b\u653e\u8cc7\u6599\uff0c\u5982\u5f8c\u7e8c\u4ee5\u300c\u5275\u7528CC\u6388\u6b0a \u59d3\u540d\u6a19\u793a 4.0 \u570b\u969b\u7248\u672c\u300d\u898f\u5b9a\u4e4b\u65b9\u5f0f\u5229\u7528\uff0c\u8996\u70ba\u7b26\u5408\u672c\u689d\u6b3e\u4e4b\u898f\u5b9a\u3002\n\n\u4e94\u3001\u505c\u6b62\u63d0\u4f9b\n\n\u6709\u4e0b\u5217\u60c5\u5f62\u4e4b\u4e00\u8005\uff0c\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u5f97\u505c\u6b62\u5168\u90e8\u6216\u4e00\u90e8\u958b\u653e\u8cc7\u6599\u4e4b\u63d0\u4f9b\uff0c\u4f7f\u7528\u8005\u4e0d\u5f97\u5411\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u8acb\u6c42\u4efb\u4f55\u8ce0\u511f\u6216\u88dc\u511f\uff1a\n\n	1. \u56e0\u60c5\u4e8b\u8b8a\u66f4\u6216\u5176\u4ed6\u6b63\u7576\u4e8b\u7531\uff0c\u81f4\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u8a55\u4f30\u7e7c\u7e8c\u63d0\u4f9b\u8a72\u958b\u653e\u8cc7\u6599\u4f9b\u516c\u773e\u4f7f\u7528\uff0c\u5df2\u4e0d\u7b26\u5408\u516c\u5171\u5229\u76ca\u4e4b\u8981\u6c42\u3002\n\n	2. \u6240\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u6709\u4fb5\u5bb3\u7b2c\u4e09\u4eba\u667a\u6167\u8ca1\u7522\u6b0a\u3001\u96b1\u79c1\u6b0a\u6216\u5176\u4ed6\u6cd5\u5f8b\u4e0a\u5229\u76ca\u4e4b\u865e\u3002\n\n\u516d\u3001\u514d\u8cac\u8072\u660e\n\n(\u4e00)\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u4e0d\u69cb\u6210\u4efb\u4f55\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u7533\u8ff0\u3001\u4fdd\u8b49\u6216\u6697\u793a\u5176\u63a8\u85a6\u3001\u540c\u610f\u3001\u8a31\u53ef\u6216\u6838\u51c6\u4e4b\u610f\u601d\u8868\u793a\uff1b\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u50c5\u65bc\u77e5\u6089\u5176\u6240\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\u6709\u932f\u8aa4\u6216\u907a\u6f0f\u6642\uff0c\u8ca0\u4fee\u6b63\u53ca\u88dc\u5145\u4e4b\u8cac\u3002\n\n(\u4e8c)\u4f7f\u7528\u8005\u5229\u7528\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u53d7\u6709\u640d\u5bb3\u6216\u640d\u5931\uff0c\u6216\u81f4\u7b2c\u4e09\u4eba\u53d7\u6709\u640d\u5bb3\u6216\u640d\u5931\uff0c\u800c\u906d\u6c42\u511f\u8005\uff0c\u9664\u6cd5\u4ee4\u53e6\u6709\u898f\u5b9a\u5916\uff0c\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u4e0d\u8ca0\u4efb\u4f55\u8ce0\u511f\u6216\u88dc\u511f\u4e4b\u8cac\u3002\n\n(\u4e09)\u4f7f\u7528\u8005\u5229\u7528\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u56e0\u6545\u610f\u6216\u904e\u5931\uff0c\u81f4\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u906d\u53d7\u640d\u5bb3\uff0c\u6216\u7b2c\u4e09\u4eba\u56e0\u6b64\u5411\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u8acb\u6c42\u8ce0\u511f\u640d\u5bb3\uff0c\u4f7f\u7528\u8005\u61c9\u5c0d\u5404\u6a5f\u95dc\u8ca0\u8ce0\u511f\u8cac\u4efb\u3002\n\n\u4e03\u3001\u6e96\u64da\u6cd5\n\n\u672c\u689d\u6b3e\u4e4b\u89e3\u91cb\u3001\u6548\u529b\u3001\u5c65\u884c\u53ca\u5176\u4ed6\u672a\u76e1\u4e8b\u5b9c\uff0c\u4ee5\u4e2d\u83ef\u6c11\u570b\u6cd5\u5f8b\u70ba\u6e96\u64da\u6cd5\u3002\n\n\u9644\u4ef6\uff1a\u986f\u540d\u8072\u660e\n\n	1. \u63d0\u4f9b\u6a5f\u95dc\uff0f\u55ae\u4f4d [\u5e74\u4efd] [\u958b\u653e\u8cc7\u6599\u91cb\u51fa\u540d\u7a31\u8207\u7248\u672c\u865f]\n\n	2. \u6b64\u958b\u653e\u8cc7\u6599\u4f9d\u653f\u5e9c\u8cc7\u6599\u958b\u653e\u6388\u6b0a\u689d\u6b3e (Open Government Data License) \u9032\u884c\u516c\u773e\u91cb\u51fa\uff0c\u4f7f\u7528\u8005\u65bc\u9075\u5b88\u672c\u689d\u6b3e\u5404\u9805\u898f\u5b9a\u4e4b\u524d\u63d0\u4e0b\uff0c\u5f97\u5229\u7528\u4e4b\u3002\n\n	3. \u653f\u5e9c\u8cc7\u6599\u958b\u653e\u6388\u6b0a\u689d\u6b3e\uff1ahttps://data.gov.tw/license\n\nOpen Government Data License, version 1.0\n\nThe Open Government Data License (the License) is intended to facilitate government data sharing and application among the public in outreaching and promotion method, and to advance government service efficacy and government data value and quality in collaboration with the creative private sector.\n\n1. Definition\n\n1.1. \"Data Providing Organization\" refers to government agency, government-owned business, public school and administrative legal entity that has various types of electronic data released to the public under the License when it is obtained or made in the scope of performance for public duties.\n\n1.2. \"User\" refers to individual, legal entity or group that receives and uses Open Data under the License, including individual, legal entity or group who is receiving and using Open Data as the recipient of the former Users under the sublicensing scenario.\n\n1.3. \"Open Data\" means data that the Data Providing Organization owns its copyright in whole or has full authority to provide it to third parties in sublicensing way, and provides it in an open and modifiable form such that there are no unnecessary technological obstacles to the performance of the licensed rights, including but not limited to the following creation protected by copyright:\n\n	a. \"Compilation Work\" means a work formed by the creative selection and arrangement of data, and can be protected by copyright law, such as database or other qualified structured data combination.\n\n	b. \"Material\" means a separate work, that is collected into the Open Data aggregation and can be protected by copyright law independently.\n\n1.4. \"Derivative Work\" means any adaptation based upon the Open Data provided under the License and in which the original data is reproduced, adapted, compiled, or otherwise modified.\n\n1.5. \"Information\" means the pure record that is not subject to copyright law and providing along with the Open Data. Accordingly, the granting of copyright license hereunder does not apply to such Information, however, other provisions of the License shall be applied to it as well as to the Open Data.\n\n2. Grant of Copyright License\n\n2.1. The Data Providing Organization grants User a perpetual, worldwide, non-exclusive, irrevocable, royalty-free copyright license to reproduce, distribute, publicly transmit, publicly broadcast, publicly recite, publicly present, publicly perform, compile, adapt to the Open Data provided for any purpose, including but not limited to making all kinds of Derivative Works either as products or services.\n\n2.2. User can sublicense the copyrights which he/she is granted through 2.1. to others.\n\n2.3. Any additional written offer or other formality for copyright license from the Data Providing Organization is not required, if User makes use of Open Data in compliance with the License.\n\n2.4. The License does not grant any rights in the patents and trademarks.\n\n3. Condition and Obligation\n\n3.1. By utilizing the Open Data provided under the License, User indicates his/her acceptance of this License and all its terms and conditions overall to do so, and shall make the reasonable efforts with respect to moral right protection of the third parties involved.\n\n3.2. When User makes use of the Open Data and its Derivative Work, he/she must make an explicit notice of statement as attribution requested in the Exhibit below by the Data Providing Organization. If User fails to comply with the attribution requirement, the rights granted under this License shall be deemed to have been void ab initio.\n\n4. License Version and Compatibility\n\n4.1. When a new version of the License has been updated and declared, if not the Data Providing Organization has already appointed a specific version of the License for the Open Data it provided, User may make use of the Open Data under the terms of the version of the License under which he/she originally received, or under the terms of any subsequent version published thereafter.\n\n4.2. The License is compatible with the Creative Commons Attribution License 4.0 International. This means that when the Open Data is provided under the License, User automatically satisfies the conditions of this License when he/she makes use of the Open Data in compliance with the Creative Commons Attribution License 4.0 International thereafter.\n\n5. Cessation of Data Providing\n\n5.1. Under the circumstances described hereunder, the Data Providing Organization may cease to provide all or part of a specific Open Data, and User shall not claim any damages or compensations on account of that to the provider:\n\n	a. It has been evaluated by the Data Providing Organization that continuously providing of a specific Open Data as not being met the requirement of public interest due to the change of circumstances unpredictable or for a legitimate cause.\n\n	b. A provided Open Data might jeopardize third parties' intellectual property rights, privacy rights, or other interests protected at law.\n\n6. Disclaimer\n\n6.1. The providing of Open Data under the License shall not be consTrued as any statement, warranty, or implication to the recommendation, permission, approval, or sanction of all kinds of authoritative declaration of intention made by the Data Providing Organization. And the Data Providing Organization shall only be liable to make the correcting and updating when the errors or omissions of Open Data provided by it has been acknowledged.\n\n6.2. The Data Providing Organization shall not be liable for damage or loss User encounters when he/she makes use of the Open Data provided under the License. This disclaimer applies as well when User has third parties encountered damage or loss and thus has been claimed for remedies. Unless otherwise specified according to law, the Data Providing Organization shall not be held responsible for any damages or compensations herein.\n\n6.3. User shall be liable for the damages to the Data Providing Organization, if he/she has used the Open Data provided wrongfully due to an intentional or negligent misconduct and caused damages to the Data Providing Organization. The same reimbursement rule for wrongful misconducting shall be applied to the User when the damaged one is a third party and the compensations have already been disbursed by the Data Providing Organization to the third party due to a legal claim.\n\n7. Governing Law\n\n7.1. The interpretation, validity, enforcement and matters not mentioned herein for the License is governed by the Laws of Republic of China (Taiwan).\n\nExhibit - Attribution\n\n	a. Data Providing Organization/Agency [year] [distinguishing full name of the released Open Data and its version number]\n\n	b. The Open Data is made available to the public under the Open Government Data License, User can make use of it when complying to the condition and obligation of its terms.\n\n	c. Open Government Data License:https://data.gov.tw/license\n"
		self.standardLicenseTemplate = "<<beginOptional>>\u653f\u5e9c\u8cc7\u6599\u958b\u653e\u6388\u6b0a\u689d\u6b3e\uff0d\u7b2c1\u7248\n\n<<endOptional>><<beginOptional>> \u4e2d\u83ef\u6c11\u570b104\u5e747\u670827\u65e5\u8a02\u5b9a\n\n<<endOptional>>\n\n\u70ba\u4fbf\u5229\u6c11\u773e\u5171\u4eab\u53ca\u61c9\u7528\u653f\u5e9c\u8cc7\u6599\u3001\u4fc3\u9032\u53ca\u6d3b\u5316\u653f\u5e9c\u8cc7\u6599\u61c9\u7528\u3001\u7d50\u5408\u6c11\u9593\u5275\u610f\u63d0\u5347\u653f\u5e9c\u8cc7\u6599\u54c1\u8cea\u53ca\u50f9\u503c\u3001\u512a\u5316\u653f\u5e9c\u670d\u52d9\u54c1\u8cea\uff0c\u8a02\u5b9a\u672c\u689d\u6b3e\u3002\n\n   \u4e00\u3001\u5b9a\u7fa9\n\n	  (\u4e00)\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\uff1a\u6307\u5c07\u8077\u6b0a\u7bc4\u570d\u5167\u53d6\u5f97\u6216\u4f5c\u6210\u4e4b\u5404\u985e\u96fb\u5b50\u8cc7\u6599\uff0c\u900f\u904e\u672c\u689d\u6b3e\u91cb\u51fa\u4e88\u516c\u773e\u4e4b\u653f\u5e9c\u6a5f\u95dc\uff08\u69cb\uff09\u3001\u516c\u71df\u4e8b\u696d\u6a5f\u69cb\u3001\u516c\u7acb\u5b78\u6821\u53ca\u884c\u653f\u6cd5\u4eba\u3002\n\n	  (\u4e8c)\u4f7f\u7528\u8005\uff1a\u6307\u4f9d\u672c\u689d\u6b3e\u898f\u5b9a\u53d6\u5f97\u958b\u653e\u8cc7\u6599\uff0c\u4e26\u5c0d\u5176\u5229\u7528\u4e4b\u81ea\u7136\u4eba\u3001\u6cd5\u4eba\u6216\u5718\u9ad4\uff0c\u5305\u62ec\u4f9d\u672c\u689d\u6b3e\u6388\u6b0a\u4f7f\u7528\u8005\u518d\u8f49\u6388\u6b0a\u5229\u7528\u4e4b\u4eba\u6216\u5718\u9ad4\u3002\n\n	  (\u4e09)\u958b\u653e\u8cc7\u6599\uff1a\u6307\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u64c1\u6709\u5b8c\u6574\u8457\u4f5c\u8ca1\u7522\u6b0a\uff0c\u6216\u7d93\u6388\u6b0a\u5f97\u518d\u8f49\u6388\u6b0a\u7b2c\u4e09\u4eba\u5229\u7528\u4e4b\u8cc7\u6599\uff0c\u4e26\u4ee5\u516c\u958b\u3001\u53ef\u4fee\u6539\uff0c\u4e14\u7121\u4e0d\u5fc5\u8981\u6280\u8853\u9650\u5236\u4e4b\u683c\u5f0f\u63d0\u4f9b\u8005\uff0c\u5305\u62ec\u4f46\u4e0d\u9650\u65bc\u4e0b\u5217\u8457\u4f5c\uff1a\n\n		 1. \u7de8\u8f2f\u8457\u4f5c\uff1a\u9078\u64c7\u3001\u7de8\u6392\u5177\u6709\u5275\u4f5c\u6027\uff0c\u800c\u53ef\u53d7\u8457\u4f5c\u6b0a\u6cd5\u4fdd\u8b77\u4e4b\u8cc7\u6599\u5eab\u6216\u5176\u4ed6\u7d50\u69cb\u5316\u8cc7\u6599\u7d44\u5408\u3002\n\n		 2. \u7d20\u6750\uff1a\u6307\u958b\u653e\u8cc7\u6599\u96c6\u5408\u7269\u4e2d\uff0c\u5176\u4ed6\u53ef\u53d7\u8457\u4f5c\u6b0a\u6cd5\u4fdd\u8b77\u4e4b\u7368\u7acb\u8457\u4f5c\u3002\n\n	  (\u56db)\u884d\u751f\u7269\uff1a\u6307\u4f9d\u672c\u689d\u6b3e\u6240\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u9032\u884c\u5f8c\u7e8c\u91cd\u88fd\u3001\u6539\u4f5c\u3001\u7de8\u8f2f\u6216\u70ba\u5176\u4ed6\u65b9\u5f0f\u5229\u7528\u4e4b\u4fee\u6539\u7269\u3002\n\n	  (\u4e94)\u8cc7\u8a0a\uff1a\u6307\u4e0d\u53d7\u8457\u4f5c\u6b0a\u6cd5\u4fdd\u8b77\u4e4b\u7d14\u7cb9\u7d00\u9304\uff0c\u4e26\u96a8\u540c\u958b\u653e\u8cc7\u6599\u4e00\u4f75\u63d0\u4f9b\u8005\u3002\u524d\u63ed\u8cc7\u8a0a\u9664\u672c\u689d\u6b3e\u6388\u8207\u6b0a\u5229\u4e4b\u898f\u5b9a\u5916\uff0c\u6bd4\u7167\u6709\u95dc\u958b\u653e\u8cc7\u6599\u4e4b\u898f\u5b9a\u8fa6\u7406\u3002\n\n   \u4e8c\u3001\u6388\u8207\u6b0a\u5229\n\n	  (\u4e00)\u5404\u6a5f\u95dc\u6240\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u6388\u6b0a\u4f7f\u7528\u8005\u4e0d\u9650\u76ee\u7684\u3001\u6642\u9593\u53ca\u5730\u57df\u3001\u975e\u5c08\u5c6c\u3001\u4e0d\u53ef\u64a4\u56de\u3001\u514d\u6388\u6b0a\u91d1\u9032\u884c\u5229\u7528\uff0c\u5229\u7528\u4e4b\u65b9\u5f0f\u5305\u62ec\u91cd\u88fd\u3001\u6563\u5e03\u3001\u516c\u958b\u50b3\u8f38\u3001\u516c\u958b\u64ad\u9001\u3001\u516c\u958b\u53e3\u8ff0\u3001\u516c\u958b\u4e0a\u6620\u3001\u516c\u958b\u6f14\u51fa\u3001\u7de8\u8f2f\u3001\u6539\u4f5c\uff0c\u5305\u62ec\u4f46\u4e0d\u9650\u65bc\u958b\u767c\u5404\u7a2e\u7522\u54c1\u6216\u670d\u52d9\u578b\u614b\u4e4b\u884d\u751f\u7269\u3002\n\n	  (\u4e8c)\u4f7f\u7528\u8005\u5f97\u518d\u8f49\u6388\u6b0a\u4ed6\u4eba\u70ba\u524d\u9805\u4e4b\u5229\u7528\u3002\n\n	  (\u4e09)\u4f7f\u7528\u8005\u4f9d\u672c\u689d\u6b3e\u898f\u5b9a\u5229\u7528\u958b\u653e\u8cc7\u6599\uff0c\u7121\u9808\u53e6\u884c\u53d6\u5f97\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u4e4b\u66f8\u9762\u6216\u5176\u4ed6\u65b9\u5f0f\u6388\u6b0a\u3002\n\n	  (\u56db)\u672c\u689d\u6b3e\u4e4b\u6388\u6b0a\u7bc4\u570d\u4e0d\u5305\u62ec\u5c08\u5229\u6b0a\u53ca\u5546\u6a19\u6b0a\u3002\n\n   \u4e09\u3001\u8ab2\u4e88\u7fa9\u52d9\n\n	  (\u4e00)\u4f7f\u7528\u8005\u5229\u7528\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u8996\u70ba\u540c\u610f\u9075\u5b88\u672c\u689d\u6b3e\u4e4b\u5404\u9805\u898f\u5b9a\uff0c\u4e26\u61c9\u4ee5\u5c0a\u91cd\u7b2c\u4e09\u4eba\u8457\u4f5c\u4eba\u683c\u6b0a\u4e4b\u65b9\u5f0f\u5229\u7528\u4e4b\u3002\n\n	  (\u4e8c)\u4f7f\u7528\u8005\u5229\u7528\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u53ca\u5f8c\u7e8c\u4e4b\u884d\u751f\u7269\uff0c\u61c9\u4ee5\u7b26\u5408\u9644\u4ef6\u6240\u793a\u300c\u986f\u540d\u8072\u660e\u300d\u8981\u6c42\u4e4b\u65b9\u5f0f\uff0c\u660e\u78ba\u6a19\u793a\u539f\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u4e4b\u76f8\u95dc\u8072\u660e\uff1b\u672a\u76e1\u986f\u540d\u6a19\u793a\u7fa9\u52d9\u8005\uff0c\u8996\u70ba\u81ea\u59cb\u672a\u53d6\u5f97\u958b\u653e\u8cc7\u6599\u4e4b\u6388\u6b0a\u3002\n\n   \u56db\u3001\u7248\u672c\u66f4\u65b0\u53ca\u6388\u6b0a\u8f49\u63db\n\n	  (\u4e00)\u672c\u689d\u6b3e\u5982\u6709\u4fee\u6b63\uff0c\u4f9d\u820a\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u65bc\u65b0\u689d\u6b3e\u516c\u544a\u6642\uff0c\u4f7f\u7528\u8005\u5f97\u9078\u64c7\u63a1\u7528\u65b0\u689d\u6b3e\u5229\u7528\u3002\u4f46\u539f\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\uff0c\u65bc\u63d0\u4f9b\u958b\u653e\u8cc7\u6599\u6642\uff0c\u5df2\u8a02\u660e\u5176\u4f7f\u7528\u4e4b\u7279\u5b9a\u7248\u672c\u689d\u6b3e\u8005\uff0c\u4e0d\u5728\u6b64\u9650\u3002\n\n	  (\u4e8c)\u672c\u689d\u6b3e\u8207\u300c\u5275\u7528CC\u6388\u6b0a \u59d3\u540d\u6a19\u793a 4.0 \u570b\u969b\u7248\u672c\u300d\u76f8\u5bb9\uff0c\u4f7f\u7528\u8005\u4f9d\u672c\u689d\u6b3e\u5229\u7528\u958b\u653e\u8cc7\u6599\uff0c\u5982\u5f8c\u7e8c\u4ee5\u300c\u5275\u7528CC\u6388\u6b0a \u59d3\u540d\u6a19\u793a 4.0 \u570b\u969b\u7248\u672c\u300d\u898f\u5b9a\u4e4b\u65b9\u5f0f\u5229\u7528\uff0c\u8996\u70ba\u7b26\u5408\u672c\u689d\u6b3e\u4e4b\u898f\u5b9a\u3002\n\n   \u4e94\u3001\u505c\u6b62\u63d0\u4f9b\n\n   \u6709\u4e0b\u5217\u60c5\u5f62\u4e4b\u4e00\u8005\uff0c\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u5f97\u505c\u6b62\u5168\u90e8\u6216\u4e00\u90e8\u958b\u653e\u8cc7\u6599\u4e4b\u63d0\u4f9b\uff0c\u4f7f\u7528\u8005\u4e0d\u5f97\u5411\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u8acb\u6c42\u4efb\u4f55\u8ce0\u511f\u6216\u88dc\u511f\uff1a\n\n	  1. \u56e0\u60c5\u4e8b\u8b8a\u66f4\u6216\u5176\u4ed6\u6b63\u7576\u4e8b\u7531\uff0c\u81f4\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u8a55\u4f30\u7e7c\u7e8c\u63d0\u4f9b\u8a72\u958b\u653e\u8cc7\u6599\u4f9b\u516c\u773e\u4f7f\u7528\uff0c\u5df2\u4e0d\u7b26\u5408\u516c\u5171\u5229\u76ca\u4e4b\u8981\u6c42\u3002\n\n	  2. \u6240\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u6709\u4fb5\u5bb3\u7b2c\u4e09\u4eba\u667a\u6167\u8ca1\u7522\u6b0a\u3001\u96b1\u79c1\u6b0a\u6216\u5176\u4ed6\u6cd5\u5f8b\u4e0a\u5229\u76ca\u4e4b\u865e\u3002\n\n   \u516d\u3001\u514d\u8cac\u8072\u660e\n\n	  (\u4e00)\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u4e0d\u69cb\u6210\u4efb\u4f55\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u7533\u8ff0\u3001\u4fdd\u8b49\u6216\u6697\u793a\u5176\u63a8\u85a6\u3001\u540c\u610f\u3001\u8a31\u53ef\u6216\u6838\u51c6\u4e4b\u610f\u601d\u8868\u793a\uff1b\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u50c5\u65bc\u77e5\u6089\u5176\u6240\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\u6709\u932f\u8aa4\u6216\u907a\u6f0f\u6642\uff0c\u8ca0\u4fee\u6b63\u53ca\u88dc\u5145\u4e4b\u8cac\u3002\n\n	  (\u4e8c)\u4f7f\u7528\u8005\u5229\u7528\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u53d7\u6709\u640d\u5bb3\u6216\u640d\u5931\uff0c\u6216\u81f4\u7b2c\u4e09\u4eba\u53d7\u6709\u640d\u5bb3\u6216\u640d\u5931\uff0c\u800c\u906d\u6c42\u511f\u8005\uff0c\u9664\u6cd5\u4ee4\u53e6\u6709\u898f\u5b9a\u5916\uff0c\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u4e0d\u8ca0\u4efb\u4f55\u8ce0\u511f\u6216\u88dc\u511f\u4e4b\u8cac\u3002\n\n	  (\u4e09)\u4f7f\u7528\u8005\u5229\u7528\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u56e0\u6545\u610f\u6216\u904e\u5931\uff0c\u81f4\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u906d\u53d7\u640d\u5bb3\uff0c\u6216\u7b2c\u4e09\u4eba\u56e0\u6b64\u5411\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u8acb\u6c42\u8ce0\u511f\u640d\u5bb3\uff0c\u4f7f\u7528\u8005\u61c9\u5c0d\u5404\u6a5f\u95dc\u8ca0\u8ce0\u511f\u8cac\u4efb\u3002\n\n   \u4e03\u3001\u6e96\u64da\u6cd5\n\n   \u672c\u689d\u6b3e\u4e4b\u89e3\u91cb\u3001\u6548\u529b\u3001\u5c65\u884c\u53ca\u5176\u4ed6\u672a\u76e1\u4e8b\u5b9c\uff0c\u4ee5\u4e2d\u83ef\u6c11\u570b\u6cd5\u5f8b\u70ba\u6e96\u64da\u6cd5\u3002\n\n\u9644\u4ef6\uff1a\u986f\u540d\u8072\u660e\n\n   1. \u63d0\u4f9b\u6a5f\u95dc\uff0f\u55ae\u4f4d [\u5e74\u4efd] [\u958b\u653e\u8cc7\u6599\u91cb\u51fa\u540d\u7a31\u8207\u7248\u672c\u865f]\n\n   2. \u6b64\u958b\u653e\u8cc7\u6599\u4f9d\u653f\u5e9c\u8cc7\u6599\u958b\u653e\u6388\u6b0a\u689d\u6b3e (Open Government Data License) \u9032\u884c\u516c\u773e\u91cb\u51fa\uff0c\u4f7f\u7528\u8005\u65bc\u9075\u5b88\u672c\u689d\u6b3e\u5404\u9805\u898f\u5b9a\u4e4b\u524d\u63d0\u4e0b\uff0c\u5f97\u5229\u7528\u4e4b\u3002\n\n   3. \u653f\u5e9c\u8cc7\u6599\u958b\u653e\u6388\u6b0a\u689d\u6b3e\uff1ahttps://data.gov.tw/license<<beginOptional>> Open Government Data License, version 1.0<<endOptional>>\n\nThe Open Government Data License (the License) is intended to facilitate government data sharing and application among the public in outreaching and promotion method, and to advance government service efficacy and government data value and quality in collaboration with the creative private sector.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definition\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Data Providing Organization\" refers to government agency, government-owned business, public school and administrative legal entity that has various types of electronic data released to the public under the License when it is obtained or made in the scope of performance for public duties.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"User\" refers to individual, legal entity or group that receives and uses Open Data under the License, including individual, legal entity or group who is receiving and using Open Data as the recipient of the former Users under the sublicensing scenario.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Open Data\" means data that the Data Providing Organization owns its copyright in whole or has full authority to provide it to third parties in sublicensing way, and provides it in an open and modifiable form such that there are no unnecessary technological obstacles to the performance of the licensed rights, including but not limited to the following creation protected by copyright:\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Compilation Work\" means a work formed by the creative selection and arrangement of data, and can be protected by copyright law, such as database or other qualified structured data combination.\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Material\" means a separate work, that is collected into the Open Data aggregation and can be protected by copyright law independently.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Derivative Work\" means any adaptation based upon the Open Data provided under the License and in which the original data is reproduced, adapted, compiled, or otherwise modified.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Information\" means the pure record that is not subject to copyright law and providing along with the Open Data. Accordingly, the granting of copyright license hereunder does not apply to such Information, however, other provisions of the License shall be applied to it as well as to the Open Data.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Grant of Copyright License\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Data Providing Organization grants User a perpetual, worldwide, non-exclusive, irrevocable, royalty-free copyright license to reproduce, distribute, publicly transmit, publicly broadcast, publicly recite, publicly present, publicly perform, compile, adapt to the Open Data provided for any purpose, including but not limited to making all kinds of Derivative Works either as products or services.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> User can sublicense the copyrights which he/she is granted through 2.1. to others.\n\n	  <<var;name=\"bullet\";original=\"2.3.\";match=\".{0,20}\">> Any additional written offer or other formality for copyright license from the Data Providing Organization is not required, if User makes use of Open Data in compliance with the License.\n\n	  <<var;name=\"bullet\";original=\"2.4.\";match=\".{0,20}\">> The License does not grant any rights in the patents and trademarks.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Condition and Obligation\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> By utilizing the Open Data provided under the License, User indicates his/her acceptance of this License and all its terms and conditions overall to do so, and shall make the reasonable efforts with respect to moral right protection of the third parties involved.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> When User makes use of the Open Data and its Derivative Work, he/she must make an explicit notice of statement as attribution requested in the Exhibit below by the Data Providing Organization. If User fails to comply with the attribution requirement, the rights granted under this License shall be deemed to have been void ab initio.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> License Version and Compatibility\n\n	  <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> When a new version of the License has been updated and declared, if not the Data Providing Organization has already appointed a specific version of the License for the Open Data it provided, User may make use of the Open Data under the terms of the version of the License under which he/she originally received, or under the terms of any subsequent version published thereafter.\n\n	  <<var;name=\"bullet\";original=\"4.2.\";match=\".{0,20}\">> The License is compatible with the Creative Commons Attribution License 4.0 International. This means that when the Open Data is provided under the License, User automatically satisfies the conditions of this License when he/she makes use of the Open Data in compliance with the Creative Commons Attribution License 4.0 International thereafter.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Cessation of Data Providing\n\n	  <<var;name=\"bullet\";original=\"5.1.\";match=\".{0,20}\">> Under the circumstances described hereunder, the Data Providing Organization may cease to provide all or part of a specific Open Data, and User shall not claim any damages or compensations on account of that to the provider:\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> It has been evaluated by the Data Providing Organization that continuously providing of a specific Open Data as not being met the requirement of public interest due to the change of circumstances unpredictable or for a legitimate cause.\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> A provided Open Data might jeopardize third parties' intellectual property rights, privacy rights, or other interests protected at law.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Disclaimer\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> The providing of Open Data under the License shall not be consTrued as any statement, warranty, or implication to the recommendation, permission, approval, or sanction of all kinds of authoritative declaration of intention made by the Data Providing Organization. And the Data Providing Organization shall only be liable to make the correcting and updating when the errors or omissions of Open Data provided by it has been acknowledged.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> The Data Providing Organization shall not be liable for damage or loss User encounters when he/she makes use of the Open Data provided under the License. This disclaimer applies as well when User has third parties encountered damage or loss and thus has been claimed for remedies. Unless otherwise specified according to law, the Data Providing Organization shall not be held responsible for any damages or compensations herein.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> User shall be liable for the damages to the Data Providing Organization, if he/she has used the Open Data provided wrongfully due to an intentional or negligent misconduct and caused damages to the Data Providing Organization. The same reimbursement rule for wrongful misconducting shall be applied to the User when the damaged one is a third party and the compensations have already been disbursed by the Data Providing Organization to the third party due to a legal claim.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Governing Law\n\n	  <<var;name=\"bullet\";original=\"7.1.\";match=\".{0,20}\">> The interpretation, validity, enforcement and matters not mentioned herein for the License is governed by the Laws of Republic of China (Taiwan).\n\nExhibit - Attribution\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Data Providing Organization/Agency [year] [distinguishing full name of the released Open Data and its version number]\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> The Open Data is made available to the public under the Open Government Data License, User can make use of it when complying to the condition and obligation of its terms.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Open Government Data License:https://data.gov.tw/license"
		self.name = "Taiwan Open Government Data License, version 1.0"
		self.licenseComments = "Both the Chinese and English translations of this license have been included in the markup."
		self.licenseId = "OGDL-Taiwan-1.0"
		self.crossRef = [{"match": "False", "url": "https://data.gov.tw/license", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:58Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://data.gov.tw/license"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> <p>\u653f\u5e9c\u8cc7\u6599\u958b\u653e\u6388\u6b0a\u689d\u6b3e\uff0d\u7b2c1\u7248</p>\n</div>\n\n			<div class=\"optional-license-text\"> <p>\u4e2d\u83ef\u6c11\u570b104\u5e747\u670827\u65e5\u8a02\u5b9a</p>\n</div>\n\n			<p>\u70ba\u4fbf\u5229\u6c11\u773e\u5171\u4eab\u53ca\u61c9\u7528\u653f\u5e9c\u8cc7\u6599\u3001\u4fc3\u9032\u53ca\u6d3b\u5316\u653f\u5e9c\u8cc7\u6599\u61c9\u7528\u3001\u7d50\u5408\u6c11\u9593\u5275\u610f\u63d0\u5347\u653f\u5e9c\u8cc7\u6599\u54c1\u8cea\u53ca\u50f9\u503c\u3001\u512a\u5316\u653f\u5e9c\u670d\u52d9\u54c1\u8cea\uff0c\u8a02\u5b9a\u672c\u689d\u6b3e\u3002</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					\u4e00\u3001\u5b9a\u7fa9\n\n<ul style=\"list-style:none\">\n						\n<li>(\u4e00)\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\uff1a\u6307\u5c07\u8077\u6b0a\u7bc4\u570d\u5167\u53d6\u5f97\u6216\u4f5c\u6210\u4e4b\u5404\u985e\u96fb\u5b50\u8cc7\u6599\uff0c\u900f\u904e\u672c\u689d\u6b3e\u91cb\u51fa\u4e88\u516c\u773e\u4e4b\u653f\u5e9c\u6a5f\u95dc\uff08\u69cb\uff09\u3001\u516c\u71df\u4e8b\u696d\u6a5f\u69cb\u3001\u516c\u7acb\u5b78\u6821\u53ca\u884c\u653f\u6cd5\u4eba\u3002</li>\n\n<li>(\u4e8c)\u4f7f\u7528\u8005\uff1a\u6307\u4f9d\u672c\u689d\u6b3e\u898f\u5b9a\u53d6\u5f97\u958b\u653e\u8cc7\u6599\uff0c\u4e26\u5c0d\u5176\u5229\u7528\u4e4b\u81ea\u7136\u4eba\u3001\u6cd5\u4eba\u6216\u5718\u9ad4\uff0c\u5305\u62ec\u4f9d\u672c\u689d\u6b3e\u6388\u6b0a\u4f7f\u7528\u8005\u518d\u8f49\u6388\u6b0a\u5229\u7528\u4e4b\u4eba\u6216\u5718\u9ad4\u3002</li>\n\n<li>(\u4e09)\u958b\u653e\u8cc7\u6599\uff1a\u6307\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u64c1\u6709\u5b8c\u6574\u8457\u4f5c\u8ca1\u7522\u6b0a\uff0c\u6216\u7d93\u6388\u6b0a\u5f97\u518d\u8f49\u6388\u6b0a\u7b2c\u4e09\u4eba\u5229\u7528\u4e4b\u8cc7\u6599\uff0c\u4e26\u4ee5\u516c\u958b\u3001\u53ef\u4fee\u6539\uff0c\u4e14\u7121\u4e0d\u5fc5\u8981\u6280\u8853\u9650\u5236\u4e4b\u683c\u5f0f\u63d0\u4f9b\u8005\uff0c\u5305\u62ec\u4f46\u4e0d\u9650\u65bc\u4e0b\u5217\u8457\u4f5c\uff1a\n\n<ul style=\"list-style:none\">\n								\n<li>1. \u7de8\u8f2f\u8457\u4f5c\uff1a\u9078\u64c7\u3001\u7de8\u6392\u5177\u6709\u5275\u4f5c\u6027\uff0c\u800c\u53ef\u53d7\u8457\u4f5c\u6b0a\u6cd5\u4fdd\u8b77\u4e4b\u8cc7\u6599\u5eab\u6216\u5176\u4ed6\u7d50\u69cb\u5316\u8cc7\u6599\u7d44\u5408\u3002</li>\n\n<li>2. \u7d20\u6750\uff1a\u6307\u958b\u653e\u8cc7\u6599\u96c6\u5408\u7269\u4e2d\uff0c\u5176\u4ed6\u53ef\u53d7\u8457\u4f5c\u6b0a\u6cd5\u4fdd\u8b77\u4e4b\u7368\u7acb\u8457\u4f5c\u3002</li>\n							\n</ul>\n						</li>\n\n<li>(\u56db)\u884d\u751f\u7269\uff1a\u6307\u4f9d\u672c\u689d\u6b3e\u6240\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u9032\u884c\u5f8c\u7e8c\u91cd\u88fd\u3001\u6539\u4f5c\u3001\u7de8\u8f2f\u6216\u70ba\u5176\u4ed6\u65b9\u5f0f\u5229\u7528\u4e4b\u4fee\u6539\u7269\u3002</li>\n\n<li>(\u4e94)\u8cc7\u8a0a\uff1a\u6307\u4e0d\u53d7\u8457\u4f5c\u6b0a\u6cd5\u4fdd\u8b77\u4e4b\u7d14\u7cb9\u7d00\u9304\uff0c\u4e26\u96a8\u540c\u958b\u653e\u8cc7\u6599\u4e00\u4f75\u63d0\u4f9b\u8005\u3002\u524d\u63ed\u8cc7\u8a0a\u9664\u672c\u689d\u6b3e\u6388\u8207\u6b0a\u5229\u4e4b\u898f\u5b9a\u5916\uff0c\u6bd4\u7167\u6709\u95dc\u958b\u653e\u8cc7\u6599\u4e4b\u898f\u5b9a\u8fa6\u7406\u3002</li>\n					\n</ul>\n				</li>\n\n<li>\n					\u4e8c\u3001\u6388\u8207\u6b0a\u5229\n\n<ul style=\"list-style:none\">\n						\n<li>(\u4e00)\u5404\u6a5f\u95dc\u6240\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u6388\u6b0a\u4f7f\u7528\u8005\u4e0d\u9650\u76ee\u7684\u3001\u6642\u9593\u53ca\u5730\u57df\u3001\u975e\u5c08\u5c6c\u3001\u4e0d\u53ef\u64a4\u56de\u3001\u514d\u6388\u6b0a\u91d1\u9032\u884c\u5229\u7528\uff0c\u5229\u7528\u4e4b\u65b9\u5f0f\u5305\u62ec\u91cd\u88fd\u3001\u6563\u5e03\u3001\u516c\u958b\u50b3\u8f38\u3001\u516c\u958b\u64ad\u9001\u3001\u516c\u958b\u53e3\u8ff0\u3001\u516c\u958b\u4e0a\u6620\u3001\u516c\u958b\u6f14\u51fa\u3001\u7de8\u8f2f\u3001\u6539\u4f5c\uff0c\u5305\u62ec\u4f46\u4e0d\u9650\u65bc\u958b\u767c\u5404\u7a2e\u7522\u54c1\u6216\u670d\u52d9\u578b\u614b\u4e4b\u884d\u751f\u7269\u3002</li>\n\n<li>(\u4e8c)\u4f7f\u7528\u8005\u5f97\u518d\u8f49\u6388\u6b0a\u4ed6\u4eba\u70ba\u524d\u9805\u4e4b\u5229\u7528\u3002</li>\n\n<li>(\u4e09)\u4f7f\u7528\u8005\u4f9d\u672c\u689d\u6b3e\u898f\u5b9a\u5229\u7528\u958b\u653e\u8cc7\u6599\uff0c\u7121\u9808\u53e6\u884c\u53d6\u5f97\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u4e4b\u66f8\u9762\u6216\u5176\u4ed6\u65b9\u5f0f\u6388\u6b0a\u3002</li>\n\n<li>(\u56db)\u672c\u689d\u6b3e\u4e4b\u6388\u6b0a\u7bc4\u570d\u4e0d\u5305\u62ec\u5c08\u5229\u6b0a\u53ca\u5546\u6a19\u6b0a\u3002</li>\n					\n</ul>\n				</li>\n\n<li>\n					\u4e09\u3001\u8ab2\u4e88\u7fa9\u52d9\n\n<ul style=\"list-style:none\">\n						\n<li>(\u4e00)\u4f7f\u7528\u8005\u5229\u7528\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u8996\u70ba\u540c\u610f\u9075\u5b88\u672c\u689d\u6b3e\u4e4b\u5404\u9805\u898f\u5b9a\uff0c\u4e26\u61c9\u4ee5\u5c0a\u91cd\u7b2c\u4e09\u4eba\u8457\u4f5c\u4eba\u683c\u6b0a\u4e4b\u65b9\u5f0f\u5229\u7528\u4e4b\u3002</li>\n\n<li>(\u4e8c)\u4f7f\u7528\u8005\u5229\u7528\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u53ca\u5f8c\u7e8c\u4e4b\u884d\u751f\u7269\uff0c\u61c9\u4ee5\u7b26\u5408\u9644\u4ef6\u6240\u793a\u300c\u986f\u540d\u8072\u660e\u300d\u8981\u6c42\u4e4b\u65b9\u5f0f\uff0c\u660e\u78ba\u6a19\u793a\u539f\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u4e4b\u76f8\u95dc\u8072\u660e\uff1b\u672a\u76e1\u986f\u540d\u6a19\u793a\u7fa9\u52d9\u8005\uff0c\u8996\u70ba\u81ea\u59cb\u672a\u53d6\u5f97\u958b\u653e\u8cc7\u6599\u4e4b\u6388\u6b0a\u3002</li>\n					\n</ul>\n				</li>\n\n<li>\n					\u56db\u3001\u7248\u672c\u66f4\u65b0\u53ca\u6388\u6b0a\u8f49\u63db\n\n<ul style=\"list-style:none\">\n						\n<li>(\u4e00)\u672c\u689d\u6b3e\u5982\u6709\u4fee\u6b63\uff0c\u4f9d\u820a\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u65bc\u65b0\u689d\u6b3e\u516c\u544a\u6642\uff0c\u4f7f\u7528\u8005\u5f97\u9078\u64c7\u63a1\u7528\u65b0\u689d\u6b3e\u5229\u7528\u3002\u4f46\u539f\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\uff0c\u65bc\u63d0\u4f9b\u958b\u653e\u8cc7\u6599\u6642\uff0c\u5df2\u8a02\u660e\u5176\u4f7f\u7528\u4e4b\u7279\u5b9a\u7248\u672c\u689d\u6b3e\u8005\uff0c\u4e0d\u5728\u6b64\u9650\u3002</li>\n\n<li>(\u4e8c)\u672c\u689d\u6b3e\u8207\u300c\u5275\u7528CC\u6388\u6b0a \u59d3\u540d\u6a19\u793a 4.0 \u570b\u969b\u7248\u672c\u300d\u76f8\u5bb9\uff0c\u4f7f\u7528\u8005\u4f9d\u672c\u689d\u6b3e\u5229\u7528\u958b\u653e\u8cc7\u6599\uff0c\u5982\u5f8c\u7e8c\u4ee5\u300c\u5275\u7528CC\u6388\u6b0a \u59d3\u540d\u6a19\u793a 4.0 \u570b\u969b\u7248\u672c\u300d\u898f\u5b9a\u4e4b\u65b9\u5f0f\u5229\u7528\uff0c\u8996\u70ba\u7b26\u5408\u672c\u689d\u6b3e\u4e4b\u898f\u5b9a\u3002</li>\n					\n</ul>\n				</li>\n\n<li>\n					\u4e94\u3001\u505c\u6b62\u63d0\u4f9b\n\n					<p>\u6709\u4e0b\u5217\u60c5\u5f62\u4e4b\u4e00\u8005\uff0c\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u5f97\u505c\u6b62\u5168\u90e8\u6216\u4e00\u90e8\u958b\u653e\u8cc7\u6599\u4e4b\u63d0\u4f9b\uff0c\u4f7f\u7528\u8005\u4e0d\u5f97\u5411\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u8acb\u6c42\u4efb\u4f55\u8ce0\u511f\u6216\u88dc\u511f\uff1a</p>\n\n<ul style=\"list-style:none\">\n						\n<li>1. \u56e0\u60c5\u4e8b\u8b8a\u66f4\u6216\u5176\u4ed6\u6b63\u7576\u4e8b\u7531\uff0c\u81f4\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u8a55\u4f30\u7e7c\u7e8c\u63d0\u4f9b\u8a72\u958b\u653e\u8cc7\u6599\u4f9b\u516c\u773e\u4f7f\u7528\uff0c\u5df2\u4e0d\u7b26\u5408\u516c\u5171\u5229\u76ca\u4e4b\u8981\u6c42\u3002</li>\n\n<li>2. \u6240\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u6709\u4fb5\u5bb3\u7b2c\u4e09\u4eba\u667a\u6167\u8ca1\u7522\u6b0a\u3001\u96b1\u79c1\u6b0a\u6216\u5176\u4ed6\u6cd5\u5f8b\u4e0a\u5229\u76ca\u4e4b\u865e\u3002</li>\n					\n</ul>\n				</li>\n\n<li>\n					\u516d\u3001\u514d\u8cac\u8072\u660e\n\n<ul style=\"list-style:none\">\n						\n<li>(\u4e00)\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u4e0d\u69cb\u6210\u4efb\u4f55\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u7533\u8ff0\u3001\u4fdd\u8b49\u6216\u6697\u793a\u5176\u63a8\u85a6\u3001\u540c\u610f\u3001\u8a31\u53ef\u6216\u6838\u51c6\u4e4b\u610f\u601d\u8868\u793a\uff1b\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u50c5\u65bc\u77e5\u6089\u5176\u6240\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\u6709\u932f\u8aa4\u6216\u907a\u6f0f\u6642\uff0c\u8ca0\u4fee\u6b63\u53ca\u88dc\u5145\u4e4b\u8cac\u3002</li>\n\n<li>(\u4e8c)\u4f7f\u7528\u8005\u5229\u7528\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u53d7\u6709\u640d\u5bb3\u6216\u640d\u5931\uff0c\u6216\u81f4\u7b2c\u4e09\u4eba\u53d7\u6709\u640d\u5bb3\u6216\u640d\u5931\uff0c\u800c\u906d\u6c42\u511f\u8005\uff0c\u9664\u6cd5\u4ee4\u53e6\u6709\u898f\u5b9a\u5916\uff0c\u5404\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u4e0d\u8ca0\u4efb\u4f55\u8ce0\u511f\u6216\u88dc\u511f\u4e4b\u8cac\u3002</li>\n\n<li>(\u4e09)\u4f7f\u7528\u8005\u5229\u7528\u4f9d\u672c\u689d\u6b3e\u63d0\u4f9b\u4e4b\u958b\u653e\u8cc7\u6599\uff0c\u56e0\u6545\u610f\u6216\u904e\u5931\uff0c\u81f4\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u906d\u53d7\u640d\u5bb3\uff0c\u6216\u7b2c\u4e09\u4eba\u56e0\u6b64\u5411\u8cc7\u6599\u63d0\u4f9b\u6a5f\u95dc\u8acb\u6c42\u8ce0\u511f\u640d\u5bb3\uff0c\u4f7f\u7528\u8005\u61c9\u5c0d\u5404\u6a5f\u95dc\u8ca0\u8ce0\u511f\u8cac\u4efb\u3002</li>\n					\n</ul>\n				</li>\n\n<li>\n					\u4e03\u3001\u6e96\u64da\u6cd5\n\n					<p>\u672c\u689d\u6b3e\u4e4b\u89e3\u91cb\u3001\u6548\u529b\u3001\u5c65\u884c\u53ca\u5176\u4ed6\u672a\u76e1\u4e8b\u5b9c\uff0c\u4ee5\u4e2d\u83ef\u6c11\u570b\u6cd5\u5f8b\u70ba\u6e96\u64da\u6cd5\u3002</p>\n\n				</li>\n			\n</ul>\n\n			<p>\u9644\u4ef6\uff1a\u986f\u540d\u8072\u660e</p>\n\n<ul style=\"list-style:none\">\n\n<li>1. \u63d0\u4f9b\u6a5f\u95dc\uff0f\u55ae\u4f4d [\u5e74\u4efd] [\u958b\u653e\u8cc7\u6599\u91cb\u51fa\u540d\u7a31\u8207\u7248\u672c\u865f]</li>\n\n<li>2. \u6b64\u958b\u653e\u8cc7\u6599\u4f9d\u653f\u5e9c\u8cc7\u6599\u958b\u653e\u6388\u6b0a\u689d\u6b3e (Open Government Data License) \u9032\u884c\u516c\u773e\u91cb\u51fa\uff0c\u4f7f\u7528\u8005\u65bc\u9075\u5b88\u672c\u689d\u6b3e\u5404\u9805\u898f\u5b9a\u4e4b\u524d\u63d0\u4e0b\uff0c\u5f97\u5229\u7528\u4e4b\u3002</li>\n\n<li>3. \u653f\u5e9c\u8cc7\u6599\u958b\u653e\u6388\u6b0a\u689d\u6b3e\uff1ahttps://data.gov.tw/license</li>\n			\n</ul>\n\n			<var class=\"optional-license-text\"> Open Government Data License, version 1.0</var>\n\n			<p>The Open Government Data License (the License) is intended to facilitate government data sharing and application among the public in outreaching and promotion method, and to advance government service efficacy and government data value and quality in collaboration with the creative private sector.</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.</var> Definition\n\n<ul style=\"list-style:none\">\n\n<li><var class=\"replaceable-license-text\"> 1.1.</var> &quot;Data Providing Organization&quot; refers to government agency, government-owned business, public school and administrative legal entity that has various types of electronic data released to the public under the License when it is obtained or made in the scope of performance for public duties.</li>\n\n<li><var class=\"replaceable-license-text\"> 1.2.</var> &quot;User&quot; refers to individual, legal entity or group that receives and uses Open Data under the License, including individual, legal entity or group who is receiving and using Open Data as the recipient of the former Users under the sublicensing scenario.</li>\n\n<li><var class=\"replaceable-license-text\"> 1.3.</var> &quot;Open Data&quot; means data that the Data Providing Organization owns its copyright in whole or has full authority to provide it to third parties in sublicensing way, and provides it in an open and modifiable form such that there are no unnecessary technological obstacles to the performance of the licensed rights, including but not limited to the following creation protected by copyright:\n\n<ul style=\"list-style:none\">\n								\n<li><var class=\"replaceable-license-text\"> a.</var> &quot;Compilation Work&quot; means a work formed by the creative selection and arrangement of data, and can be protected by copyright law, such as database or other qualified structured data combination.</li>\n\n<li><var class=\"replaceable-license-text\"> b.</var> &quot;Material&quot; means a separate work, that is collected into the Open Data aggregation and can be protected by copyright law independently.</li>\n							\n</ul>\n\n						</li>\n\n<li><var class=\"replaceable-license-text\"> 1.4.</var> &quot;Derivative Work&quot; means any adaptation based upon the Open Data provided under the License and in which the original data is reproduced, adapted, compiled, or otherwise modified.</li>\n\n<li><var class=\"replaceable-license-text\"> 1.5.</var> &quot;Information&quot; means the pure record that is not subject to copyright law and providing along with the Open Data. Accordingly, the granting of copyright license hereunder does not apply to such Information, however, other provisions of the License shall be applied to it as well as to the Open Data.</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 2.</var> Grant of Copyright License\n\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> 2.1.</var> The Data Providing Organization grants User a perpetual, worldwide, non-exclusive, irrevocable, royalty-free copyright license to reproduce, distribute, publicly transmit, publicly broadcast, publicly recite, publicly present, publicly perform, compile, adapt to the Open Data provided for any purpose, including but not limited to making all kinds of Derivative Works either as products or services.</li>\n\n<li><var class=\"replaceable-license-text\"> 2.2.</var> User can sublicense the copyrights which he/she is granted through 2.1. to others.</li>\n\n<li><var class=\"replaceable-license-text\"> 2.3.</var> Any additional written offer or other formality for copyright license from the Data Providing Organization is not required, if User makes use of Open Data in compliance with the License.</li>\n\n<li><var class=\"replaceable-license-text\"> 2.4.</var> The License does not grant any rights in the patents and trademarks.</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 3.</var> Condition and Obligation\n\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> 3.1.</var> By utilizing the Open Data provided under the License, User indicates his/her acceptance of this License and all its terms and conditions overall to do so, and shall make the reasonable efforts with respect to moral right protection of the third parties involved.</li>\n\n<li><var class=\"replaceable-license-text\"> 3.2.</var> When User makes use of the Open Data and its Derivative Work, he/she must make an explicit notice of statement as attribution requested in the Exhibit below by the Data Providing Organization. If User fails to comply with the attribution requirement, the rights granted under this License shall be deemed to have been void ab initio.</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 4.</var> License Version and Compatibility\n\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> 4.1.</var> When a new version of the License has been updated and declared, if not the Data Providing Organization has already appointed a specific version of the License for the Open Data it provided, User may make use of the Open Data under the terms of the version of the License under which he/she originally received, or under the terms of any subsequent version published thereafter.</li>\n\n<li><var class=\"replaceable-license-text\"> 4.2.</var> The License is compatible with the Creative Commons Attribution License 4.0 International. This means that when the Open Data is provided under the License, User automatically satisfies the conditions of this License when he/she makes use of the Open Data in compliance with the Creative Commons Attribution License 4.0 International thereafter.</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 5.</var> Cessation of Data Providing\n\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> 5.1.</var> Under the circumstances described hereunder, the Data Providing Organization may cease to provide all or part of a specific Open Data, and User shall not claim any damages or compensations on account of that to the provider:\n							\n<ul style=\"list-style:none\">\n								\n<li><var class=\"replaceable-license-text\"> a.</var> It has been evaluated by the Data Providing Organization that continuously providing of a specific Open Data as not being met the requirement of public interest due to the change of circumstances unpredictable or for a legitimate cause.</li>\n\n<li><var class=\"replaceable-license-text\"> b.</var> A provided Open Data might jeopardize third parties&apos; intellectual property rights, privacy rights, or other interests protected at law.</li>\n							\n</ul>\n						</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 6.</var> Disclaimer\n\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> 6.1.</var> The providing of Open Data under the License shall not be consTrued as any statement, warranty, or implication to the recommendation, permission, approval, or sanction of all kinds of authoritative declaration of intention made by the Data Providing Organization. And the Data Providing Organization shall only be liable to make the correcting and updating when the errors or omissions of Open Data provided by it has been acknowledged.</li>\n\n<li><var class=\"replaceable-license-text\"> 6.2.</var> The Data Providing Organization shall not be liable for damage or loss User encounters when he/she makes use of the Open Data provided under the License. This disclaimer applies as well when User has third parties encountered damage or loss and thus has been claimed for remedies. Unless otherwise specified according to law, the Data Providing Organization shall not be held responsible for any damages or compensations herein.</li>\n\n<li><var class=\"replaceable-license-text\"> 6.3.</var> User shall be liable for the damages to the Data Providing Organization, if he/she has used the Open Data provided wrongfully due to an intentional or negligent misconduct and caused damages to the Data Providing Organization. The same reimbursement rule for wrongful misconducting shall be applied to the User when the damaged one is a third party and the compensations have already been disbursed by the Data Providing Organization to the third party due to a legal claim.</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 7.</var> Governing Law\n\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> 7.1.</var> The interpretation, validity, enforcement and matters not mentioned herein for the License is governed by the Laws of Republic of China (Taiwan).</li>\n					\n</ul>\n				</li>\n			\n</ul>\n\n			<p>Exhibit - Attribution</p>\n\n<ul style=\"list-style:none\">\n				\n<li><var class=\"replaceable-license-text\"> a.</var> Data Providing Organization/Agency [year] [distinguishing full name of the released Open Data and its version number]</li>\n\n<li><var class=\"replaceable-license-text\"> b.</var> The Open Data is made available to the public under the Open Government Data License, User can make use of it when complying to the condition and obligation of its terms.</li>\n\n<li><var class=\"replaceable-license-text\"> c.</var> Open Government Data License:https://data.gov.tw/license</li>\n			\n</ul>\n		"
		self.python_name = "OGDLTaiwan10"

	def __str__(self):
		return json.dumps(self.__dict__)


class CPOL102:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "The Code Project Open License (CPOL) 1.02\n\nPreamble\n\nThis License governs Your use of the Work. This License is intended to allow developers to use the Source Code and Executable Files provided as part of the Work in any application in any form.\n\nThe main points subject to the terms of the License are:\n- Source Code and Executable Files can be used in commercial applications;\n- Source Code and Executable Files can be redistributed; and\n- Source Code can be modified to create derivative works.\n- No claim of suitability, guarantee, or any warranty whatsoever is provided. The software is provided \"as-is\".\n- The Article accompanying the Work may not be distributed or republished without the Author's consent\n\nThis License is entered between You, the individual or other entity reading or otherwise making use of the Work licensed pursuant to this License and the individual or other entity which offers the Work under the terms of this License (\"Author\").\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CODE PROJECT OPEN LICENSE (\"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HEREIN, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE AUTHOR GRANTS YOU THE RIGHTS CONTAINED HEREIN IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS. IF YOU DO NOT AGREE TO ACCEPT AND BE BOUND BY THE TERMS OF THIS LICENSE, YOU CANNOT MAKE ANY USE OF THE WORK.\n\n1. Definitions.\n\n	 a. \"Articles\" means, collectively, all articles written by Author which describes how the Source Code and Executable Files for the Work may be used by a user.\n\n	 b. \"Author\" means the individual or entity that offers the Work under the terms of this License.\n\n	 c. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works.\n\n	 d. \"Executable Files\" refer to the executables, binary files, configuration and any required data files included in the Work.\n\n	 e. \"Publisher\" means the provider of the website, magazine, CD-ROM, DVD or other medium from or by which the Work is obtained by You.\n\n	 f. \"Source Code\" refers to the collection of source code and configuration files used to create the Executable Files.\n\n	 g. \"Standard Version\" refers to such a Work if it has not been modified, or has been modified in accordance with the consent of the Author, such consent being in the full discretion of the Author.\n\n	 h. \"Work\" refers to the collection of files distributed by the Publisher, including the Source Code, Executable Files, binaries, data files, documentation, whitepapers and the Articles.\n\n	 i. \"You\" is you, an individual or entity wishing to use the Work and exercise your rights under this License.\n\n2. Fair Use/Fair Use Rights. Nothing in this License is intended to reduce, limit, or restrict any rights arising from fair use, fair dealing, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, the Author hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. You may use the standard version of the Source Code or Executable Files in Your own applications.\n\n	 b. You may apply bug fixes, portability fixes and other modifications obtained from the Public Domain or from the Author. A Work modified in such a way shall still be considered the standard version and will be subject to this License.\n\n	 c. You may otherwise modify Your copy of this Work (excluding the Articles) in any way to create a Derivative Work, provided that You insert a prominent notice in each changed file stating how, when and where You changed that file.\n\n	 d. You may distribute the standard version of the Executable Files and Source Code or Derivative Work in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution.\n\n	 e. The Articles discussing the Work published in any form by the author may not be distributed or republished without the Author's consent. The author retains copyright to any such Articles. You may use the Executable Files and Source Code pursuant to this License but you may not repost or republish or otherwise distribute or make available the Articles, without the prior written consent of the Author.\n\nAny subroutines or modules supplied by You and linked into the Source Code or Executable Files of this Work shall not be considered part of this Work and will not be subject to the terms of this License.\n\n4. Patent License. Subject to the terms and conditions of this License, each Author hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, import, and otherwise transfer the Work.\n\n5. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You agree not to remove any of the original copyright, patent, trademark, and attribution notices and associated disclaimers that may appear in the Source Code or Executable Files.\n\n	 b. You agree not to advertise or in any way imply that this Work is a product of Your own.\n\n	 c. The name of the Author may not be used to endorse or promote products derived from the Work without the prior written consent of the Author.\n\n	 d. You agree not to sell, lease, or rent any part of the Work. This does not restrict you from including the Work or any part of the Work inside a larger software distribution that itself is being sold. The Work by itself, though, cannot be sold, leased or rented.\n\n	 e. You may distribute the Executable Files and Source Code only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy of the Executable Files or Source Code You distribute and ensure that anyone receiving such Executable Files and Source Code agrees that the terms of this License apply to such Executable Files and/or Source Code. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute the Executable Files or Source Code with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License.\n\n	 f. You agree not to use the Work for illegal, immoral or improper purposes, or on pages containing illegal, immoral or improper material. The Work is subject to applicable export laws. You agree to comply with all such laws and regulations that may apply to the Work after Your receipt of the Work.\n\n6. Representations, Warranties and Disclaimer. THIS WORK IS PROVIDED \"AS IS\", \"WHERE IS\" AND \"AS AVAILABLE\", WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES OR CONDITIONS OR GUARANTEES. YOU, THE USER, ASSUME ALL RISK IN ITS USE, INCLUDING COPYRIGHT INFRINGEMENT, PATENT INFRINGEMENT, SUITABILITY, ETC. AUTHOR EXPRESSLY DISCLAIMS ALL EXPRESS, IMPLIED OR STATUTORY WARRANTIES OR CONDITIONS, INCLUDING WITHOUT LIMITATION, WARRANTIES OR CONDITIONS OF MERCHANTABILITY, MERCHANTABLE QUALITY OR FITNESS FOR A PARTICULAR PURPOSE, OR ANY WARRANTY OF TITLE OR NON-INFRINGEMENT, OR THAT THE WORK (OR ANY PORTION THEREOF) IS CORRECT, USEFUL, BUG-FREE OR FREE OF VIRUSES. YOU MUST PASS THIS DISCLAIMER ON WHENEVER YOU DISTRIBUTE THE WORK OR DERIVATIVE WORKS.\n\n7. Indemnity. You agree to defend, indemnify and hold harmless the Author and the Publisher from and against any claims, suits, losses, damages, liabilities, costs, and expenses (including reasonable legal or attorneys' fees) resulting from or relating to any use of the Work by You.\n\n8. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL THE AUTHOR OR THE PUBLISHER BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK OR OTHERWISE, EVEN IF THE AUTHOR OR THE PUBLISHER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n9. Termination.\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of any term of this License. Individuals or entities who have received Derivative Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 6, 7, 8, 9, 10 and 11 will survive any termination of this License.\n\n	 b. If You bring a copyright, trademark, patent or any other infringement claim against any contributor over infringements You claim are made by the Work, your License from such contributor to the Work ends automatically.\n\n	 c. Subject to the above terms and conditions, this License is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, the Author reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n10. Publisher. The parties hereby confirm that the Publisher shall not, under any circumstances, be responsible for and shall not have any liability in respect of the subject matter of this License. The Publisher makes no warranty whatsoever in connection with the Work and shall not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. The Publisher reserves the right to cease making the Work available to You at any time without notice\n\n11. Miscellaneous\n\n	 a. This License shall be governed by the laws of the location of the head office of the Author or if the Author is an individual, the laws of location of the principal place of residence of the Author.\n\n	 b. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this License, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 c. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 d. This License constitutes the entire agreement between the parties with respect to the Work licensed herein. There are no understandings, agreements or representations with respect to the Work not specified herein. The Author shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Author and You.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Code Project Open License (CPOL) 1.02\n\n<<endOptional>>\n\nPreamble\n\nThis License governs Your use of the Work. This License is intended to allow developers to use the Source Code and Executable Files provided as part of the Work in any application in any form.\n\nThe main points subject to the terms of the License are:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Source Code and Executable Files can be used in commercial applications;\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Source Code and Executable Files can be redistributed; and\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Source Code can be modified to create derivative works.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> No claim of suitability, guarantee, or any warranty whatsoever is provided. The software is provided \"as-is\".\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> The Article accompanying the Work may not be distributed or republished without the Author's consent\n\nThis License is entered between You, the individual or other entity reading or otherwise making use of the Work licensed pursuant to this License and the individual or other entity which offers the Work under the terms of this License (\"Author\").\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CODE PROJECT OPEN LICENSE (\"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HEREIN, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE AUTHOR GRANTS YOU THE RIGHTS CONTAINED HEREIN IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS. IF YOU DO NOT AGREE TO ACCEPT AND BE BOUND BY THE TERMS OF THIS LICENSE, YOU CANNOT MAKE ANY USE OF THE WORK.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Articles\" means, collectively, all articles written by Author which describes how the Source Code and Executable Files for the Work may be used by a user.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Author\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Executable Files\" refer to the executables, binary files, configuration and any required data files included in the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Publisher\" means the provider of the website, magazine, CD-ROM, DVD or other medium from or by which the Work is obtained by You.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Source Code\" refers to the collection of source code and configuration files used to create the Executable Files.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"Standard Version\" refers to such a Work if it has not been modified, or has been modified in accordance with the consent of the Author, such consent being in the full discretion of the Author.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \"Work\" refers to the collection of files distributed by the Publisher, including the Source Code, Executable Files, binaries, data files, documentation, whitepapers and the Articles.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"You\" is you, an individual or entity wishing to use the Work and exercise your rights under this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use/Fair Use Rights. Nothing in this License is intended to reduce, limit, or restrict any rights arising from fair use, fair dealing, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, the Author hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may use the standard version of the Source Code or Executable Files in Your own applications.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may apply bug fixes, portability fixes and other modifications obtained from the Public Domain or from the Author. A Work modified in such a way shall still be considered the standard version and will be subject to this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You may otherwise modify Your copy of this Work (excluding the Articles) in any way to create a Derivative Work, provided that You insert a prominent notice in each changed file stating how, when and where You changed that file.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> You may distribute the standard version of the Executable Files and Source Code or Derivative Work in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> The Articles discussing the Work published in any form by the author may not be distributed or republished without the Author's consent. The author retains copyright to any such Articles. You may use the Executable Files and Source Code pursuant to this License but you may not repost or republish or otherwise distribute or make available the Articles, without the prior written consent of the Author.\n\n   Any subroutines or modules supplied by You and linked into the Source Code or Executable Files of this Work shall not be considered part of this Work and will not be subject to the terms of this License.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Patent License. Subject to the terms and conditions of this License, each Author hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, import, and otherwise transfer the Work.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You agree not to remove any of the original copyright, patent, trademark, and attribution notices and associated disclaimers that may appear in the Source Code or Executable Files.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You agree not to advertise or in any way imply that this Work is a product of Your own.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> The name of the Author may not be used to endorse or promote products derived from the Work without the prior written consent of the Author.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> You agree not to sell, lease, or rent any part of the Work. This does not restrict you from including the Work or any part of the Work inside a larger software distribution that itself is being sold. The Work by itself, though, cannot be sold, leased or rented.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> You may distribute the Executable Files and Source Code only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy of the Executable Files or Source Code You distribute and ensure that anyone receiving such Executable Files and Source Code agrees that the terms of this License apply to such Executable Files and/or Source Code. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute the Executable Files or Source Code with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> You agree not to use the Work for illegal, immoral or improper purposes, or on pages containing illegal, immoral or improper material. The Work is subject to applicable export laws. You agree to comply with all such laws and regulations that may apply to the Work after Your receipt of the Work.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer. THIS WORK IS PROVIDED \"AS IS\", \"WHERE IS\" AND \"AS AVAILABLE\", WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES OR CONDITIONS OR GUARANTEES. YOU, THE USER, ASSUME ALL RISK IN ITS USE, INCLUDING COPYRIGHT INFRINGEMENT, PATENT INFRINGEMENT, SUITABILITY, ETC. AUTHOR EXPRESSLY DISCLAIMS ALL EXPRESS, IMPLIED OR STATUTORY WARRANTIES OR CONDITIONS, INCLUDING WITHOUT LIMITATION, WARRANTIES OR CONDITIONS OF MERCHANTABILITY, MERCHANTABLE QUALITY OR FITNESS FOR A PARTICULAR PURPOSE, OR ANY WARRANTY OF TITLE OR NON-INFRINGEMENT, OR THAT THE WORK (OR ANY PORTION THEREOF) IS CORRECT, USEFUL, BUG-FREE OR FREE OF VIRUSES. YOU MUST PASS THIS DISCLAIMER ON WHENEVER YOU DISTRIBUTE THE WORK OR DERIVATIVE WORKS.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Indemnity. You agree to defend, indemnify and hold harmless the Author and the Publisher from and against any claims, suits, losses, damages, liabilities, costs, and expenses (including reasonable legal or attorneys' fees) resulting from or relating to any use of the Work by You.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL THE AUTHOR OR THE PUBLISHER BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK OR OTHERWISE, EVEN IF THE AUTHOR OR THE PUBLISHER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Termination.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of any term of this License. Individuals or entities who have received Derivative Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 6, 7, 8, 9, 10 and 11 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If You bring a copyright, trademark, patent or any other infringement claim against any contributor over infringements You claim are made by the Work, your License from such contributor to the Work ends automatically.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Subject to the above terms and conditions, this License is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, the Author reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Publisher. The parties hereby confirm that the Publisher shall not, under any circumstances, be responsible for and shall not have any liability in respect of the subject matter of this License. The Publisher makes no warranty whatsoever in connection with the Work and shall not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. The Publisher reserves the right to cease making the Work available to You at any time without notice\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License shall be governed by the laws of the location of the head office of the Author or if the Author is an individual, the laws of location of the principal place of residence of the Author.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this License, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed herein. There are no understandings, agreements or representations with respect to the Work not specified herein. The Author shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Author and You."
		self.name = "Code Project Open License 1.02"
		self.licenseId = "CPOL-1.02"
		self.crossRef = [{"match": "False", "url": "http://www.codeproject.com/info/cpol10.aspx", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:31Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.codeproject.com/info/cpol10.aspx"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Code Project Open License (CPOL) 1.02</p>\n\n	  </div>\n\n	  <p>Preamble</p>\n\n	  <p>This License governs Your use of the Work. This License is intended to allow developers to use the Source\n		 Code and Executable Files provided as part of the Work in any application in any form.\n		<br />\n\nThe main points subject to the terms of the License are:\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Source Code and Executable Files can be used in commercial applications;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Source Code and Executable Files can be redistributed; and\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Source Code can be modified to create derivative works.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  No claim of suitability, guarantee, or any warranty whatsoever is provided. The software is\n			 provided &quot;as-is&quot;.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  The Article accompanying the Work may not be distributed or republished without the Author&apos;s\n			 consent\n		</li>\n	  \n</ul>\n	  <p>This License is entered between You, the individual or other entity reading or otherwise making use of\n		 the Work licensed pursuant to this License and the individual or other entity which offers the Work\n		 under the terms of this License (&quot;Author&quot;).</p>\n\n	  <p>License</p>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CODE PROJECT OPEN LICENSE\n		 (&quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE\n		 WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HEREIN, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF\n		 THIS LICENSE. THE AUTHOR GRANTS YOU THE RIGHTS CONTAINED HEREIN IN CONSIDERATION OF YOUR ACCEPTANCE OF\n		 SUCH TERMS AND CONDITIONS. IF YOU DO NOT AGREE TO ACCEPT AND BE BOUND BY THE TERMS OF THIS LICENSE,\n		 YOU CANNOT MAKE ANY USE OF THE WORK.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Articles&quot; means, collectively, all articles written by Author which describes how\n			   the Source Code and Executable Files for the Work may be used by a user.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Author&quot; means the individual or entity that offers the Work under the terms of\n			   this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Executable Files&quot; refer to the executables, binary files, configuration and any\n			   required data files included in the Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Publisher&quot; means the provider of the website, magazine, CD-ROM, DVD or other\n			   medium from or by which the Work is obtained by You.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;Source Code&quot; refers to the collection of source code and configuration files used\n			   to create the Executable Files.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> g.</var>\n			&quot;Standard Version&quot; refers to such a Work if it has not been modified, or has been\n			   modified in accordance with the consent of the Author, such consent being in the full\n			   discretion of the Author.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> h.</var>\n			&quot;Work&quot; refers to the collection of files distributed by the Publisher, including\n			   the Source Code, Executable Files, binaries, data files, documentation, whitepapers and\n			   the Articles.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> i.</var>\n			&quot;You&quot; is you, an individual or entity wishing to use the Work and exercise your\n			   rights under this License.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use/Fair Use Rights. Nothing in this License is intended to reduce, limit, or restrict any\n			 rights arising from fair use, fair dealing, first sale or other limitations on the exclusive\n			 rights of the copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, the Author hereby grants You\n			 a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may use the standard version of the Source Code or Executable Files in Your own applications.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may apply bug fixes, portability fixes and other modifications obtained from the Public\n			   Domain or from the Author. A Work modified in such a way shall still be considered the\n			   standard version and will be subject to this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			You may otherwise modify Your copy of this Work (excluding the Articles) in any way to create\n			   a Derivative Work, provided that You insert a prominent notice in each changed file\n			   stating how, when and where You changed that file.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			You may distribute the standard version of the Executable Files and Source Code or Derivative\n			   Work in aggregate with other (possibly commercial) programs as part of a larger (possibly\n			   commercial) software distribution.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			The Articles discussing the Work published in any form by the author may not be distributed\n			   or republished without the Author&apos;s consent. The author retains copyright to any such\n			   Articles. You may use the Executable Files and Source Code pursuant to this License but\n			   you may not repost or republish or otherwise distribute or make available the Articles,\n			   without the prior written consent of the Author.\n		  </li>\n			\n</ul>\n			<p>Any subroutines or modules supplied by You and linked into the Source Code or Executable\n			   Files of this Work shall not be considered part of this Work and will not be subject to\n			   the terms of this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Patent License. Subject to the terms and conditions of this License, each Author hereby grants to\n			 You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as\n			 stated in this section) patent license to make, have made, use, import, and otherwise transfer\n			 the Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You agree not to remove any of the original copyright, patent, trademark, and attribution\n			   notices and associated disclaimers that may appear in the Source Code or Executable\n			   Files.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You agree not to advertise or in any way imply that this Work is a product of Your own.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			The name of the Author may not be used to endorse or promote products derived from the Work\n			   without the prior written consent of the Author.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			You agree not to sell, lease, or rent any part of the Work. This does not restrict you from\n			   including the Work or any part of the Work inside a larger software distribution that\n			   itself is being sold. The Work by itself, though, cannot be sold, leased or rented.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			You may distribute the Executable Files and Source Code only under the terms of this License,\n			   and You must include a copy of, or the Uniform Resource Identifier for, this License with\n			   every copy of the Executable Files or Source Code You distribute and ensure that anyone\n			   receiving such Executable Files and Source Code agrees that the terms of this License\n			   apply to such Executable Files and/or Source Code. You may not offer or impose any terms\n			   on the Work that alter or restrict the terms of this License or the recipients&apos;\n			   exercise of the rights granted hereunder. You may not sublicense the Work. You must keep\n			   intact all notices that refer to this License and to the disclaimer of warranties. You may\n			   not distribute the Executable Files or Source Code with any technological measures that\n			   control access or use of the Work in a manner inconsistent with the terms of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			You agree not to use the Work for illegal, immoral or improper purposes, or on pages\n			   containing illegal, immoral or improper material. The Work is subject to applicable export\n			   laws. You agree to comply with all such laws and regulations that may apply to the Work\n			   after Your receipt of the Work.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Representations, Warranties and Disclaimer. THIS WORK IS PROVIDED &quot;AS IS&quot;, &quot;WHERE\n			 IS&quot; AND &quot;AS AVAILABLE&quot;, WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES OR CONDITIONS\n			 OR GUARANTEES. YOU, THE USER, ASSUME ALL RISK IN ITS USE, INCLUDING COPYRIGHT INFRINGEMENT,\n			 PATENT INFRINGEMENT, SUITABILITY, ETC. AUTHOR EXPRESSLY DISCLAIMS ALL EXPRESS, IMPLIED OR\n			 STATUTORY WARRANTIES OR CONDITIONS, INCLUDING WITHOUT LIMITATION, WARRANTIES OR CONDITIONS OF\n			 MERCHANTABILITY, MERCHANTABLE QUALITY OR FITNESS FOR A PARTICULAR PURPOSE, OR ANY WARRANTY OF\n			 TITLE OR NON-INFRINGEMENT, OR THAT THE WORK (OR ANY PORTION THEREOF) IS CORRECT, USEFUL,\n			 BUG-FREE OR FREE OF VIRUSES. YOU MUST PASS THIS DISCLAIMER ON WHENEVER YOU DISTRIBUTE THE WORK\n			 OR DERIVATIVE WORKS.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Indemnity. You agree to defend, indemnify and hold harmless the Author and the Publisher from and\n			 against any claims, suits, losses, damages, liabilities, costs, and expenses (including\n			 reasonable legal or attorneys&apos; fees) resulting from or relating to any use of the Work by\n			 You.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL THE\n			 AUTHOR OR THE PUBLISHER BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL,\n			 CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE\n			 WORK OR OTHERWISE, EVEN IF THE AUTHOR OR THE PUBLISHER HAS BEEN ADVISED OF THE POSSIBILITY OF\n			 SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Termination.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of any term of this License. Individuals or entities who have received Derivative\n			   Works from You under this License, however, will not have their licenses terminated\n			   provided such individuals or entities remain in full compliance with those licenses.\n			   Sections 1, 2, 6, 7, 8, 9, 10 and 11 will survive any termination of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If You bring a copyright, trademark, patent or any other infringement claim against any\n			   contributor over infringements You claim are made by the Work, your License from such\n			   contributor to the Work ends automatically.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Subject to the above terms and conditions, this License is perpetual (for the duration of the\n			   applicable copyright in the Work). Notwithstanding the above, the Author reserves the\n			   right to release the Work under different license terms or to stop distributing the Work\n			   at any time; provided, however that any such election will not serve to withdraw this\n			   License (or any other license that has been, or is required to be, granted under the terms\n			   of this License), and this License will continue in full force and effect unless\n			   terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Publisher. The parties hereby confirm that the Publisher shall not, under any circumstances, be\n			 responsible for and shall not have any liability in respect of the subject matter of this\n			 License. The Publisher makes no warranty whatsoever in connection with the Work and shall not\n			 be liable to You or any party on any legal theory for any damages whatsoever, including\n			 without limitation any general, special, incidental or consequential damages arising in\n			 connection to this license. The Publisher reserves the right to cease making the Work\n			 available to You at any time without notice\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License shall be governed by the laws of the location of the head office of the Author\n			   or if the Author is an individual, the laws of location of the principal place of\n			   residence of the Author.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this License, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed herein. There are no understandings, agreements or representations with respect\n			   to the Work not specified herein. The Author shall not be bound by any additional\n			   provisions that may appear in any communication from You. This License may not be modified\n			   without the mutual written agreement of the Author and You.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	"
		self.python_name = "CPOL102"

	def __str__(self):
		return json.dumps(self.__dict__)


class Baekmuk:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1986-2002 Kim Jeong-Hwan All rights reserved.\n		 \nPermission to use, copy, modify and distribute this font\nis hereby granted, provided that both the copyright notice\nand this permission notice appear in all copies of the\nfont, derivative works or modified versions, and that the\nfollowing acknowledgement appear in supporting documentation:\nBaekmuk Batang, Baekmuk Dotum, Baekmuk Gulim, and Baekmuk\nHeadline are registered trademarks owned by Kim Jeong-Hwan.\n"
		self.standardLicenseTemplate = "Copyright (c) 1986-2002 Kim Jeong-Hwan All rights reserved.\n\nPermission to use, copy, modify and distribute this font is hereby granted, provided that both the copyright notice and this permission notice appear in all copies of the font, derivative works or modified versions, and that the following acknowledgement appear in supporting documentation: Baekmuk Batang, Baekmuk Dotum, Baekmuk Gulim, and Baekmuk Headline are registered trademarks owned by Kim Jeong-Hwan.\n\n"
		self.name = "Baekmuk License"
		self.licenseId = "Baekmuk"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing:Baekmuk?rd=Licensing/Baekmuk", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:08Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing:Baekmuk?rd=Licensing/Baekmuk"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			Copyright (c) 1986-2002 Kim Jeong-Hwan All rights reserved.\n		 </p>\n\n		 <p>\n			Permission to use, copy, modify and distribute this font\n			is hereby granted, provided that both the copyright notice\n			and this permission notice appear in all copies of the\n			font, derivative works or modified versions, and that the\n			following acknowledgement appear in supporting documentation:\n			Baekmuk Batang, Baekmuk Dotum, Baekmuk Gulim, and Baekmuk\n			Headline are registered trademarks owned by Kim Jeong-Hwan.\n		 </p>\n\n	  "
		self.python_name = "Baekmuk"

	def __str__(self):
		return json.dumps(self.__dict__)


class CECILL11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = " FREE SOFTWARE LICENSING AGREEMENT CeCILL\n\nNotice\n\nThis Agreement is a free software license that is the result of discussions between its authors in order to ensure compliance with the two main principles guiding its drafting:\n - firstly, its conformity with French law, both as regards the law of torts and intellectual property law, and the protection that it offers to authors and the holders of economic rights over software.\n - secondly, compliance with the principles for the distribution of free software: access to source codes, extended user-rights.\n\nThe following bodies are the authors of this license CeCILL (Ce : CEA, C : CNRS, I : INRIA, LL : Logiciel Libre):\n\nCommissariat \u00e0 l'Energie Atomique - CEA, a public scientific, technical and industrial establishment, having its principal place of business at 31-33 rue de la F\u00e9d\u00e9ration, 75752 PARIS cedex 15, France.\n\nCentre National de la Recherche Scientifique - CNRS, a public scientific and technological establishment, having its principal place of business at 3 rue Michel-Ange 75794 Paris cedex 16, France.\n\nInstitut National de Recherche en Informatique et en Automatique - INRIA, a public scientific and technological establishment, having its principal place of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay cedex.\n\nPREAMBLE\n\nThe purpose of this Free Software Licensing Agreement is to grant users the right to modify and redistribute the software governed by this license within the framework of an \"open source\" distribution model.\n\nThe exercising of these rights is conditional upon certain obligations for users so as to ensure that this status is retained for subsequent redistribution operations.\n\nAs a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors only have limited liability.\n\nIn this respect, it is brought to the user's attention that the risks associated with loading, using, modifying and/or developing or reproducing the software by the user given its nature of Free Software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the Software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions of security. This Agreement may be freely reproduced and published, provided it is not altered, and that no Articles are either added or removed herefrom.\n\nThis Agreement may apply to any or all software for which the holder of the economic rights decides to submit the operation thereof to its provisions.\n\nArticle 1 - DEFINITIONS\n\nFor the purposes of this Agreement, when the following expressions commence with a capital letter, they shall have the following meaning:\n\nAgreement: means this Licensing Agreement, and any or all of its subsequent versions.\n\nSoftware: means the software in its Object Code and/or Source Code form and, where applicable, its documentation, \"as is\" at the time when the Licensee accepts the Agreement.\n\nInitial Software: means the Software in its Source Code and/or Object Code form and, where applicable, its documentation, \"as is\" at the time when it is distributed for the first time under the terms and conditions of the Agreement.\n\nModified Software: means the Software modified by at least one Contribution.\n\nSource Code: means all the Software's instructions and program lines to which access is required so as to modify the Software.\n\nObject Code: means the binary files originating from the compilation of the Source Code.\n\nHolder: means the holder of the economic rights over the Initial Software.\n\nLicensee(s): mean(s) the Software user(s) having accepted the Agreement.\n\nContributor: means a Licensee having made at least one Contribution.\n\nLicensor: means the Holder, or any or all other individual or legal entity, that distributes the Software under the Agreement.\n\nContributions: mean any or all modifications, corrections, translations, adaptations and/or new functionalities integrated into the Software by any or all Contributor, and the Static Modules.\n\nModule: means a set of sources files including their documentation that, once compiled in executable form, enables supplementary functionalities or services to be developed in addition to those offered by the Software.\n\nDynamic Module: means any or all module, created by the Contributor, that is independent of the Software, so that this module and the Software are in two different executable forms that are run in separate address spaces, with one calling the other when they are run.\n\nStatic Module: means any or all module, created by the Contributor and connected to the Software by a static link that makes their object codes interdependent. This module and the Software to which it is connected, are combined in a single executable.\n\nParties: mean both the Licensee and the Licensor.\n\nThese expressions may be used both in singular and plural form.\n\nArticle 2 - PURPOSE\n\nThe purpose of the Agreement is to enable the Licensor to grant the Licensee a free, non-exclusive, transferable and worldwide License for the Software as set forth in Article 5 hereinafter for the whole term of protection of the rights over said Software.\n\nArticle 3 - ACCEPTANCE\n\n3.1. The Licensee shall be deemed as having accepted the terms and conditions of this Agreement by the occurrence of the first of the following events:\n	 (i) loading the Software by any or all means, notably, by downloading from a remote server, or by loading from a physical medium;\n	 (ii) the first time the Licensee exercises any of the rights granted hereunder.\n\n3.2. One copy of the Agreement, containing a notice relating to the specific nature of the Software, to the limited warranty, and to the limitation to use by experienced users has been provided to the Licensee prior to its acceptance as set forth in Article 3.1 hereinabove, and the Licensee hereby acknowledges that it is aware thereof.\n\nArticle 4 - EFFECTIVE DATE AND TERM\n\n4.1. EFFECTIVE DATE\n\nThe Agreement shall become effective on the date when it is accepted by the Licensee as set forth in Article 3.1.\n\n4.2. TERM\n\nThe Agreement shall remain in force during the whole legal term of protection of the economic rights over the Software.\n\nArticle 5 - SCOPE OF THE RIGHTS GRANTED ---------------------------------------\n\nThe Licensor hereby grants to the Licensee, that accepts such, the following rights as regards the Software for any or all use, and for the term of the Agreement, on the basis of the terms and conditions set forth hereinafter.\n\nOtherwise, the Licensor grants to the Licensee free of charge exploitation rights on the patents he holds on whole or part of the inventions implemented in the Software.\n\n5.1. RIGHTS OF USE\n\nThe Licensee is authorized to use the Software, unrestrictedly, as regards the fields of application, with it being hereinafter specified that this relates to:\n	 1. permanent or temporary reproduction of all or part of the Software by any or all means and in any or all form.\n	 2. loading, displaying, running, or storing the Software on any or all medium.\n	 3. entitlement to observe, study or test the operation thereof so as to establish the ideas and principles that form the basis for any or all constituent elements of said Software. This shall apply when the Licensee carries out any or all loading, displaying, running, transmission or storage operation as regards the Software, that it is entitled to carry out hereunder.\n\n5.2. entitlement to make CONTRIBUTIONS\n\nThe right to make Contributions includes the right to translate, adapt, arrange, or make any or all modification to the Software, and the right to reproduce the resulting Software.\n\nThe Licensee is authorized to make any or all Contribution to the Software provided that it explicitly mentions its name as the author of said Contribution and the date of the development thereof.\n\n5.3. DISTRIBUTION AND PUBLICATION RIGHTS\n\nIn particular, the right of distribution and publication includes the right to transmit and communicate the Software to the general public on any or all medium, and by any or all means, and the right to market, either in consideration of a fee, or free of charge, a copy or copies of the Software by means of any or all process. The Licensee is further authorized to redistribute copies of the modified or unmodified Software to third parties according to the terms and conditions set forth hereinafter.\n\n5.3.1. REDISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\nThe Licensee is authorized to redistribute True copies of the Software in Source Code or Object Code form, provided that said redistribution complies with all the provisions of the Agreement and is accompanied by:\n\n	 1. a copy of the Agreement,\n	 2. a notice relating to the limitation of both the Licensor's warranty and liability as set forth in Articles 8 and 9,\n\nand that, in the event that only the Software's Object Code is redistributed, the Licensee allows future Licensees unhindered access to the Software's full Source Code by providing them with the terms and conditions for access thereto, it being understood that the additional cost of acquiring the Source Code shall not exceed the cost of transferring the data.\n\n5.3.2. REDISTRIBUTION OF MODIFIED SOFTWARE\n\nWhen the Licensee makes a Contribution to the Software, the terms and conditions for the redistribution of the Modified Software shall then be subject to all the provisions hereof.\n\nThe Licensee is authorized to redistribute the Modified Software, in Source Code or Object Code form, provided that said redistribution complies with all the provisions of the Agreement and is accompanied by:\n\n	 1. a copy of the Agreement,\n	 2. a notice relating to the limitation of both the Licensor's warranty and liability as set forth in Articles 8 and 9,\n\nand that, in the event that only the Modified Software's Object Code is redistributed, the Licensee allows future Licensees unhindered access to the Modified Software's full Source Code by providing them with the terms and conditions for access thereto, it being understood that the additional cost of acquiring the Source Code shall not exceed the cost of transferring the data.\n\n5.3.3. redistribution OF DYNAMIC MODULES\n\nWhen the Licensee has developed a Dynamic Module, the terms and conditions hereof do not apply to said Dynamic Module, that may be distributed under a separate Licensing Agreement.\n\n5.3.4. COMPATIBILITY WITH THE GPL LICENSE\n\nIn the event that the Modified or unmodified Software is included in a code that is subject to the provisions of the GPL License, the Licensee is authorized to redistribute the whole under the GPL License.\n\nIn the event that the Modified Software includes a code that is subject to the provisions of the GPL License, the Licensee is authorized to redistribute the Modified Software under the GPL License.\n\nArticle 6 - INTELLECTUAL PROPERTY\n\n6.1. OVER THE INITIAL SOFTWARE\n\nThe Holder owns the economic rights over the Initial Software. Any or all use of the Initial Software is subject to compliance with the terms and conditions under which the Holder has elected to distribute its work and no one shall be entitled to and it shall have sole entitlement to modify the terms and conditions for the distribution of said Initial Software.\n\nThe Holder undertakes to maintain the distribution of the Initial Software under the conditions of the Agreement, for the duration set forth in article 4.2..\n\n6.2. OVER THE CONTRIBUTIONS\n\nThe intellectual property rights over the Contributions belong to the holder of the economic rights as designated by effective legislation.\n\n6.3. OVER THE DYNAMIC MODULES\n\nThe Licensee having developed a Dynamic Module is the holder of the intellectual property rights over said Dynamic Module and is free to choose the agreement that shall govern its distribution.\n\n6.4. JOINT PROVISIONS\n\n6.4.1. The Licensee expressly undertakes:\n\n	 1. not to remove, or modify, in any or all manner, the intellectual property notices affixed to the Software;\n	 2. to reproduce said notices, in an identical manner, in the copies of the Software.\n\n6.4.2. The Licensee undertakes not to directly or indirectly infringe the intellectual property rights of the Holder and/or Contributors and to take, where applicable, vis-\u00e0-vis its staff, any or all measures required to ensure respect for said intellectual property rights of the Holder and/or Contributors.\n\nArticle 7 - RELATED SERVICES\n\n7.1. Under no circumstances shall the Agreement oblige the Licensor to provide technical assistance or maintenance services for the Software.\n\nHowever, the Licensor is entitled to offer this type of service. The terms and conditions of such technical assistance, and/or such maintenance, shall then be set forth in a separate instrument. Only the Licensor offering said maintenance and/or technical assistance services shall incur liability therefor.\n\n7.2. Similarly, any or all Licensor shall be entitled to offer to its Licensees, under its own responsibility, a warranty, that shall only be binding upon itself, for the redistribution of the Software and/or the Modified Software, under terms and conditions that it shall decide upon itself. Said warranty, and the financial terms and conditions of its application, shall be subject to a separate instrument executed between the Licensor and the Licensee.\n\nArticle 8 - LIABILITY\n\n8.1. Subject to the provisions of Article 8.2, should the Licensor fail to fulfill all or part of its obligations hereunder, the Licensee shall be entitled to claim compensation for the direct loss suffered as a result of a fault on the part of the Licensor, subject to providing evidence of it.\n\n8.2. The Licensor's liability is limited to the commitments made under this Licensing Agreement and shall not be incurred as a result , in particular: (i) of loss due the Licensee's total or partial failure to fulfill its obligations, (ii) direct or consequential loss due to the Software's use or performance that is suffered by the Licensee, when the latter is a professional using said Software for professional purposes and (iii) consequential loss due to the Software's use or performance. The Parties expressly agree that any or all pecuniary or business loss (i.e. loss of data, loss of profits, operating loss, loss of customers or orders, opportunity cost, any disturbance to business activities) or any or all legal proceedings instituted against the Licensee by a third party, shall constitute consequential loss and shall not provide entitlement to any or all compensation from the Licensor.\n\nArticle 9 - WARRANTY\n\n9.1. The Licensee acknowledges that the current situation as regards scientific and technical know-how at the time when the Software was distributed did not enable all possible uses to be tested and verified, nor for the presence of any or all faults to be detected. In this respect, the Licensee's attention has been drawn to the risks associated with loading, using, modifying and/or developing and reproducing the Software that are reserved for experienced users.\n\nThe Licensee shall be responsible for verifying, by any or all means, the product's suitability for its requirements, its due and proper functioning, and for ensuring that it shall not cause damage to either persons or property.\n\n9.2. The Licensor hereby represents, in good faith, that it is entitled to grant all the rights on the Software (including in particular the rights set forth in Article 5 hereof over the Software).\n\n9.3. The Licensee acknowledges that the Software is supplied \"as is\" by the Licensor without any or all other express or tacit warranty, other than that provided for in Article 9.2 and, in particular, without any or all warranty as to its market value, its secured, innovative or relevant nature.\n\nSpecifically, the Licensor does not warrant that the Software is free from any or all error, that it shall operate continuously, that it shall be compatible with the Licensee's own equipment and its software configuration, nor that it shall meet the Licensee's requirements.\n\n9.4. The Licensor does not either expressly or tacitly warrant that the Software does not infringe any or all third party intellectual right relating to a patent, software or to any or all other property right. Moreover, the Licensor shall not hold the Licensee harmless against any or all proceedings for infringement that may be instituted in respect of the use, modification and redistribution of the Software. Nevertheless, should such proceedings be instituted against the Licensee, the Licensor shall provide it with technical and legal assistance for its defense. Such technical and legal assistance shall be decided upon on a case-by-case basis between the relevant Licensor and the Licensee pursuant to a memorandum of understanding. The Licensor disclaims any or all liability as regards the Licensee's use of the Software's name. No warranty shall be provided as regards the existence of prior rights over the name of the Software and as regards the existence of a trademark.\n\nArticle 10 - TERMINATION\n\n10.1. In the event of a breach by the Licensee of its obligations hereunder, the Licensor may automatically terminate this Agreement thirty (30) days after notice has been sent to the Licensee and has remained ineffective.\n\n10.2. The Licensee whose Agreement is terminated shall no longer be authorized to use, modify or distribute the Software. However, any or all licenses that it may have granted prior to termination of the Agreement shall remain valid subject to their having been granted in compliance with the terms and conditions hereof.\n\nArticle 11 - MISCELLANEOUS PROVISIONS\n\n11.1. EXCUSABLE EVENTS\n\nNeither Party shall be liable for any or all delay, or failure to perform the Agreement, that may be attributable to an event of force majeure, an act of God or an outside cause, such as, notably, defective functioning, or interruptions affecting the electricity or telecommunications networks, blocking of the network following a virus attack, the intervention of the government authorities, natural disasters, water damage, earthquakes, fire, explosions, strikes and labor unrest, war, etc.\n\n11.2. The fact that either Party may fail, on one or several occasions, to invoke one or several of the provisions hereof, shall under no circumstances be interpreted as being a waiver by the interested Party of its entitlement to invoke said provision(s) subsequently.\n\n11.3. The Agreement cancels and replaces any or all previous agreement, whether written or oral, between the Parties and having the same purpose, and constitutes the entirety of the agreement between said Parties concerning said purpose. No supplement or modification to the terms and conditions hereof shall be effective as regards the Parties unless it is made in writing and signed by their duly authorized representatives.\n\n11.4. In the event that one or several of the provisions hereof were to conflict with a current or future applicable act or legislative text, said act or legislative text shall take precedence, and the Parties shall make the necessary amendments so as to be in compliance with said act or legislative text. All the other provisions shall remain effective. Similarly, the fact that a provision of the Agreement may be null and void, for any reason whatsoever, shall not cause the Agreement as a whole to be null and void.\n\n11.5. LANGUAGE\n\nThe Agreement is drafted in both French and English. In the event of a conflict as regards construction, the French version shall be deemed authentic.\n\nArticle 12 - NEW VERSIONS OF THE AGREEMENT\n\n12.1. Any or all person is authorized to duplicate and distribute copies of this Agreement.\n\n12.2. So as to ensure coherence, the wording of this Agreement is protected and may only be modified by the authors of the License, that reserve the right to periodically publish updates or new versions of the Agreement, each with a separate number. These subsequent versions may address new issues encountered by Free Software.\n\n12.3. Any or all Software distributed under a given version of the Agreement may only be subsequently distributed under the same version of the Agreement, or a subsequent version, subject to the provisions of article 5.3.4.\n\nArticle 13 - GOVERNING LAW AND JURISDICTION\n\n13.1. The Agreement is governed by French law. The Parties agree to endeavor to settle the disagreements or disputes that may arise during the performance of the Agreement out-of-court.\n\n13.2. In the absence of an out-of-court settlement within two (2) months as from their occurrence, and unless emergency proceedings are necessary, the disagreements or disputes shall be referred to the Paris Courts having jurisdiction, by the first Party to take action.\n\n Version 1.1 of 10/26/2004\n"
		self.standardLicenseTemplate = "<<beginOptional>>FREE SOFTWARE LICENSING AGREEMENT CeCILL\n\n<<endOptional>><<beginOptional>> Notice\n\nThis Agreement is a free software license that is the result of discussions between its authors in order to ensure compliance with the two main principles guiding its drafting:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> firstly, its conformity with French law, both as regards the law of torts and intellectual property law, and the protection that it offers to authors and the holders of economic rights over software.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> secondly, compliance with the principles for the distribution of free software: access to source codes, extended user-rights.\n\nThe following bodies are the authors of this license CeCILL (Ce : CEA, C : CNRS, I : INRIA, LL : Logiciel Libre):\n\n   Commissariat \u00e0 l'Energie Atomique - CEA, a public scientific, technical and industrial establishment, having its principal place of business at 31-33 rue de la F\u00e9d\u00e9ration, 75752 PARIS cedex 15, France.\n\n   Centre National de la Recherche Scientifique - CNRS, a public scientific and technological establishment, having its principal place of business at 3 rue Michel-Ange 75794 Paris cedex 16, France.\n\n   Institut National de Recherche en Informatique et en Automatique - INRIA, a public scientific and technological establishment, having its principal place of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay cedex.\n\n<<endOptional>>\n\n   PREAMBLE\n\n   The purpose of this Free Software Licensing Agreement is to grant users the right to modify and redistribute the software governed by this license within the framework of an \"open source\" distribution model.\n\n   The exercising of these rights is conditional upon certain obligations for users so as to ensure that this status is retained for subsequent redistribution operations.\n\n   As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors only have limited liability.\n\n   In this respect, it is brought to the user's attention that the risks associated with loading, using, modifying and/or developing or reproducing the software by the user given its nature of Free Software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the Software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions of security. This Agreement may be freely reproduced and published, provided it is not altered, and that no Articles are either added or removed herefrom.\n\n   This Agreement may apply to any or all software for which the holder of the economic rights decides to submit the operation thereof to its provisions.\n\n   <<var;name=\"bullet\";original=\"Article 1 -\";match=\".{0,20}\">> DEFINITIONS\n\n   For the purposes of this Agreement, when the following expressions commence with a capital letter, they shall have the following meaning:\n\n	  Agreement: means this Licensing Agreement, and any or all of its subsequent versions.\n\n	  Software: means the software in its Object Code and/or Source Code form and, where applicable, its documentation, \"as is\" at the time when the Licensee accepts the Agreement.\n\n	  Initial Software: means the Software in its Source Code and/or Object Code form and, where applicable, its documentation, \"as is\" at the time when it is distributed for the first time under the terms and conditions of the Agreement.\n\n	  Modified Software: means the Software modified by at least one Contribution.\n\n	  Source Code: means all the Software's instructions and program lines to which access is required so as to modify the Software.\n\n	  Object Code: means the binary files originating from the compilation of the Source Code.\n\n	  Holder: means the holder of the economic rights over the Initial Software.\n\n	  Licensee(s): mean(s) the Software user(s) having accepted the Agreement.\n\n	  Contributor: means a Licensee having made at least one Contribution.\n\n	  Licensor: means the Holder, or any or all other individual or legal entity, that distributes the Software under the Agreement.\n\n	  Contributions: mean any or all modifications, corrections, translations, adaptations and/or new functionalities integrated into the Software by any or all Contributor, and the Static Modules.\n\n	  Module: means a set of sources files including their documentation that, once compiled in executable form, enables supplementary functionalities or services to be developed in addition to those offered by the Software.\n\n	  Dynamic Module: means any or all module, created by the Contributor, that is independent of the Software, so that this module and the Software are in two different executable forms that are run in separate address spaces, with one calling the other when they are run.\n\n	  Static Module: means any or all module, created by the Contributor and connected to the Software by a static link that makes their object codes interdependent. This module and the Software to which it is connected, are combined in a single executable.\n\n	  Parties: mean both the Licensee and the Licensor.\n\n   These expressions may be used both in singular and plural form.\n\n   <<var;name=\"bullet\";original=\"Article 2 -\";match=\".{0,20}\">> PURPOSE\n\n   The purpose of the Agreement is to enable the Licensor to grant the Licensee a free, non-exclusive, transferable and worldwide License for the Software as set forth in Article 5 hereinafter for the whole term of protection of the rights over said Software.\n\n   <<var;name=\"bullet\";original=\"Article 3 -\";match=\".{0,20}\">> ACCEPTANCE\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> The Licensee shall be deemed as having accepted the terms and conditions of this Agreement by the occurrence of the first of the following events:\n\n		 <<var;name=\"bullet\";original=\"(i)\";match=\".{0,20}\">> loading the Software by any or all means, notably, by downloading from a remote server, or by loading from a physical medium;\n\n		 <<var;name=\"bullet\";original=\"(ii)\";match=\".{0,20}\">> the first time the Licensee exercises any of the rights granted hereunder.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> One copy of the Agreement, containing a notice relating to the specific nature of the Software, to the limited warranty, and to the limitation to use by experienced users has been provided to the Licensee prior to its acceptance as set forth in Article 3.1 hereinabove, and the Licensee hereby acknowledges that it is aware thereof.\n\n   <<var;name=\"bullet\";original=\"Article 4 -\";match=\".{0,20}\">> EFFECTIVE DATE AND TERM\n\n	  <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> EFFECTIVE DATE\n\n	  The Agreement shall become effective on the date when it is accepted by the Licensee as set forth in Article 3.1.\n\n	  <<var;name=\"bullet\";original=\"4.2.\";match=\".{0,20}\">> TERM\n\n	  The Agreement shall remain in force during the whole legal term of protection of the economic rights over the Software.\n\n   <<var;name=\"bullet\";original=\"Article 5 -\";match=\".{0,20}\">> SCOPE OF THE RIGHTS GRANTED<<beginOptional>> ---------------------------------------<<endOptional>>\n\n   The Licensor hereby grants to the Licensee, that accepts such, the following rights as regards the Software for any or all use, and for the term of the Agreement, on the basis of the terms and conditions set forth hereinafter.\n\n   Otherwise, the Licensor grants to the Licensee free of charge exploitation rights on the patents he holds on whole or part of the inventions implemented in the Software.\n\n	  <<var;name=\"bullet\";original=\"5.1.\";match=\".{0,20}\">> RIGHTS OF USE\n\n	  The Licensee is authorized to use the Software, unrestrictedly, as regards the fields of application, with it being hereinafter specified that this relates to:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> permanent or temporary reproduction of all or part of the Software by any or all means and in any or all form.\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> loading, displaying, running, or storing the Software on any or all medium.\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> entitlement to observe, study or test the operation thereof so as to establish the ideas and principles that form the basis for any or all constituent elements of said Software. This shall apply when the Licensee carries out any or all loading, displaying, running, transmission or storage operation as regards the Software, that it is entitled to carry out hereunder.\n\n	  <<var;name=\"bullet\";original=\"5.2.\";match=\".{0,20}\">> ENTITLEMENT TO MAKE CONTRIBUTIONS\n\n	  The right to make Contributions includes the right to translate, adapt, arrange, or make any or all modification to the Software, and the right to reproduce the resulting Software.\n\n	  The Licensee is authorized to make any or all Contribution to the Software provided that it explicitly mentions its name as the author of said Contribution and the date of the development thereof.\n\n	  <<var;name=\"bullet\";original=\"5.3.\";match=\".{0,20}\">> DISTRIBUTION AND PUBLICATION RIGHTS\n\n	  In particular, the right of distribution and publication includes the right to transmit and communicate the Software to the general public on any or all medium, and by any or all means, and the right to market, either in consideration of a fee, or free of charge, a copy or copies of the Software by means of any or all process. The Licensee is further authorized to redistribute copies of the modified or unmodified Software to third parties according to the terms and conditions set forth hereinafter.\n\n		 <<var;name=\"bullet\";original=\"5.3.1.\";match=\".{0,20}\">> REDISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\n		 The Licensee is authorized to redistribute True copies of the Software in Source Code or Object Code form, provided that said redistribution complies with all the provisions of the Agreement and is accompanied by:\n\n			<<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> a copy of the Agreement,\n\n			<<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> a notice relating to the limitation of both the Licensor's warranty and liability as set forth in Articles 8 and 9,\n\n		 and that, in the event that only the Software's Object Code is redistributed, the Licensee allows future Licensees unhindered access to the Software's full Source Code by providing them with the terms and conditions for access thereto, it being understood that the additional cost of acquiring the Source Code shall not exceed the cost of transferring the data.\n\n		 <<var;name=\"bullet\";original=\"5.3.2.\";match=\".{0,20}\">> REDISTRIBUTION OF MODIFIED SOFTWARE\n\n		 When the Licensee makes a Contribution to the Software, the terms and conditions for the redistribution of the Modified Software shall then be subject to all the provisions hereof.\n\n		 The Licensee is authorized to redistribute the Modified Software, in Source Code or Object Code form, provided that said redistribution complies with all the provisions of the Agreement and is accompanied by:\n\n			<<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> a copy of the Agreement,\n\n			<<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> a notice relating to the limitation of both the Licensor's warranty and liability as set forth in Articles 8 and 9,\n\n		 and that, in the event that only the Modified Software's Object Code is redistributed, the Licensee allows future Licensees unhindered access to the Modified Software's full Source Code by providing them with the terms and conditions for access thereto, it being understood that the additional cost of acquiring the Source Code shall not exceed the cost of transferring the data.\n\n		 <<var;name=\"bullet\";original=\"5.3.3.\";match=\".{0,20}\">> REDISTRIBUTION OF DYNAMIC MODULES\n\n		 When the Licensee has developed a Dynamic Module, the terms and conditions hereof do not apply to said Dynamic Module, that may be distributed under a separate Licensing Agreement.\n\n		 <<var;name=\"bullet\";original=\"5.3.4.\";match=\".{0,20}\">> COMPATIBILITY WITH THE GPL LICENSE\n\n		 In the event that the Modified or unmodified Software is included in a code that is subject to the provisions of the GPL License, the Licensee is authorized to redistribute the whole under the GPL License.\n\n		 In the event that the Modified Software includes a code that is subject to the provisions of the GPL License, the Licensee is authorized to redistribute the Modified Software under the GPL License.\n\n   <<var;name=\"bullet\";original=\"Article 6 -\";match=\".{0,20}\">> INTELLECTUAL PROPERTY\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> OVER THE INITIAL SOFTWARE\n\n	  The Holder owns the economic rights over the Initial Software. Any or all use of the Initial Software is subject to compliance with the terms and conditions under which the Holder has elected to distribute its work and no one shall be entitled to and it shall have sole entitlement to modify the terms and conditions for the distribution of said Initial Software.\n\n	  The Holder undertakes to maintain the distribution of the Initial Software under the conditions of the Agreement, for the duration set forth in article 4.2..\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> OVER THE CONTRIBUTIONS\n\n	  The intellectual property rights over the Contributions belong to the holder of the economic rights as designated by effective legislation.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> OVER THE DYNAMIC MODULES\n\n	  The Licensee having developed a Dynamic Module is the holder of the intellectual property rights over said Dynamic Module and is free to choose the agreement that shall govern its distribution.\n\n	  <<var;name=\"bullet\";original=\"6.4.\";match=\".{0,20}\">> JOINT PROVISIONS\n\n		 6.4.1. The Licensee expressly undertakes:\n\n			<<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> not to remove, or modify, in any or all manner, the intellectual property notices affixed to the Software;\n\n			<<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> to reproduce said notices, in an identical manner, in the copies of the Software.\n\n		 6.4.2. The Licensee undertakes not to directly or indirectly infringe the intellectual property rights of the Holder and/or Contributors and to take, where applicable, vis-\u00e0-vis its staff, any or all measures required to ensure respect for said intellectual property rights of the Holder and/or Contributors.\n\n   <<var;name=\"bullet\";original=\"Article 7 -\";match=\".{0,20}\">> RELATED SERVICES\n\n	  <<var;name=\"bullet\";original=\"7.1.\";match=\".{0,20}\">> Under no circumstances shall the Agreement oblige the Licensor to provide technical assistance or maintenance services for the Software.\n\n	  However, the Licensor is entitled to offer this type of service. The terms and conditions of such technical assistance, and/or such maintenance, shall then be set forth in a separate instrument. Only the Licensor offering said maintenance and/or technical assistance services shall incur liability therefor.\n\n	  <<var;name=\"bullet\";original=\"7.2.\";match=\".{0,20}\">> Similarly, any or all Licensor shall be entitled to offer to its Licensees, under its own responsibility, a warranty, that shall only be binding upon itself, for the redistribution of the Software and/or the Modified Software, under terms and conditions that it shall decide upon itself. Said warranty, and the financial terms and conditions of its application, shall be subject to a separate instrument executed between the Licensor and the Licensee.\n\n   <<var;name=\"bullet\";original=\"Article 8 -\";match=\".{0,20}\">> LIABILITY\n\n	  <<var;name=\"bullet\";original=\"8.1.\";match=\".{0,20}\">> Subject to the provisions of Article 8.2, should the Licensor fail to fulfill all or part of its obligations hereunder, the Licensee shall be entitled to claim compensation for the direct loss suffered as a result of a fault on the part of the Licensor, subject to providing evidence of it.\n\n	  <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">> The Licensor's liability is limited to the commitments made under this Licensing Agreement and shall not be incurred as a result , in particular: (i) of loss due the Licensee's total or partial failure to fulfill its obligations, (ii) direct or consequential loss due to the Software's use or performance that is suffered by the Licensee, when the latter is a professional using said Software for professional purposes and (iii) consequential loss due to the Software's use or performance. The Parties expressly agree that any or all pecuniary or business loss (i.e. loss of data, loss of profits, operating loss, loss of customers or orders, opportunity cost, any disturbance to business activities) or any or all legal proceedings instituted against the Licensee by a third party, shall constitute consequential loss and shall not provide entitlement to any or all compensation from the Licensor.\n\n   <<var;name=\"bullet\";original=\"Article 9 -\";match=\".{0,20}\">> WARRANTY\n\n	  <<var;name=\"bullet\";original=\"9.1.\";match=\".{0,20}\">> The Licensee acknowledges that the current situation as regards scientific and technical know-how at the time when the Software was distributed did not enable all possible uses to be tested and verified, nor for the presence of any or all faults to be detected. In this respect, the Licensee's attention has been drawn to the risks associated with loading, using, modifying and/or developing and reproducing the Software that are reserved for experienced users.\n\n	  The Licensee shall be responsible for verifying, by any or all means, the product's suitability for its requirements, its due and proper functioning, and for ensuring that it shall not cause damage to either persons or property.\n\n	  <<var;name=\"bullet\";original=\"9.2.\";match=\".{0,20}\">> The Licensor hereby represents, in good faith, that it is entitled to grant all the rights on the Software (including in particular the rights set forth in Article 5 hereof over the Software).\n\n	  <<var;name=\"bullet\";original=\"9.3.\";match=\".{0,20}\">> The Licensee acknowledges that the Software is supplied \"as is\" by the Licensor without any or all other express or tacit warranty, other than that provided for in Article 9.2 and, in particular, without any or all warranty as to its market value, its secured, innovative or relevant nature.\n\n	  Specifically, the Licensor does not warrant that the Software is free from any or all error, that it shall operate continuously, that it shall be compatible with the Licensee's own equipment and its software configuration, nor that it shall meet the Licensee's requirements.\n\n	  <<var;name=\"bullet\";original=\"9.4.\";match=\".{0,20}\">> The Licensor does not either expressly or tacitly warrant that the Software does not infringe any or all third party intellectual right relating to a patent, software or to any or all other property right. Moreover, the Licensor shall not hold the Licensee harmless against any or all proceedings for infringement that may be instituted in respect of the use, modification and redistribution of the Software. Nevertheless, should such proceedings be instituted against the Licensee, the Licensor shall provide it with technical and legal assistance for its defense. Such technical and legal assistance shall be decided upon on a case-by-case basis between the relevant Licensor and the Licensee pursuant to a memorandum of understanding. The Licensor disclaims any or all liability as regards the Licensee's use of the Software's name. No warranty shall be provided as regards the existence of prior rights over the name of the Software and as regards the existence of a trademark.\n\n   <<var;name=\"bullet\";original=\"Article 10 -\";match=\".{0,20}\">> TERMINATION\n\n	  <<var;name=\"bullet\";original=\"10.1.\";match=\".{0,20}\">> In the event of a breach by the Licensee of its obligations hereunder, the Licensor may automatically terminate this Agreement thirty (30) days after notice has been sent to the Licensee and has remained ineffective.\n\n	  <<var;name=\"bullet\";original=\"10.2.\";match=\".{0,20}\">> The Licensee whose Agreement is terminated shall no longer be authorized to use, modify or distribute the Software. However, any or all licenses that it may have granted prior to termination of the Agreement shall remain valid subject to their having been granted in compliance with the terms and conditions hereof.\n\n   <<var;name=\"bullet\";original=\"Article 11 -\";match=\".{0,20}\">> MISCELLANEOUS PROVISIONS\n\n	  <<var;name=\"bullet\";original=\"11.1.\";match=\".{0,20}\">> EXCUSABLE EVENTS\n\n	  Neither Party shall be liable for any or all delay, or failure to perform the Agreement, that may be attributable to an event of force majeure, an act of God or an outside cause, such as, notably, defective functioning, or interruptions affecting the electricity or telecommunications networks, blocking of the network following a virus attack, the intervention of the government authorities, natural disasters, water damage, earthquakes, fire, explosions, strikes and labor unrest, war, etc.\n\n	  <<var;name=\"bullet\";original=\"11.2.\";match=\".{0,20}\">> The fact that either Party may fail, on one or several occasions, to invoke one or several of the provisions hereof, shall under no circumstances be interpreted as being a waiver by the interested Party of its entitlement to invoke said provision(s) subsequently.\n\n	  <<var;name=\"bullet\";original=\"11.3.\";match=\".{0,20}\">> The Agreement cancels and replaces any or all previous agreement, whether written or oral, between the Parties and having the same purpose, and constitutes the entirety of the agreement between said Parties concerning said purpose. No supplement or modification to the terms and conditions hereof shall be effective as regards the Parties unless it is made in writing and signed by their duly authorized representatives.\n\n	  <<var;name=\"bullet\";original=\"11.4.\";match=\".{0,20}\">> In the event that one or several of the provisions hereof were to conflict with a current or future applicable act or legislative text, said act or legislative text shall take precedence, and the Parties shall make the necessary amendments so as to be in compliance with said act or legislative text. All the other provisions shall remain effective. Similarly, the fact that a provision of the Agreement may be null and void, for any reason whatsoever, shall not cause the Agreement as a whole to be null and void.\n\n	  <<var;name=\"bullet\";original=\"11.5.\";match=\".{0,20}\">> LANGUAGE\n\n	  The Agreement is drafted in both French and English. In the event of a conflict as regards construction, the French version shall be deemed authentic.\n\n   <<var;name=\"bullet\";original=\"Article 12 -\";match=\".{0,20}\">> NEW VERSIONS OF THE AGREEMENT\n\n	  <<var;name=\"bullet\";original=\"12.1.\";match=\".{0,20}\">> Any or all person is authorized to duplicate and distribute copies of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"12.2.\";match=\".{0,20}\">> So as to ensure coherence, the wording of this Agreement is protected and may only be modified by the authors of the License, that reserve the right to periodically publish updates or new versions of the Agreement, each with a separate number. These subsequent versions may address new issues encountered by Free Software.\n\n	  <<var;name=\"bullet\";original=\"12.3.\";match=\".{0,20}\">> Any or all Software distributed under a given version of the Agreement may only be subsequently distributed under the same version of the Agreement, or a subsequent version, subject to the provisions of article 5.3.4.\n\n   <<var;name=\"bullet\";original=\"Article 13 -\";match=\".{0,20}\">> GOVERNING LAW AND JURISDICTION\n\n	  <<var;name=\"bullet\";original=\"13.1.\";match=\".{0,20}\">> The Agreement is governed by French law. The Parties agree to endeavor to settle the disagreements or disputes that may arise during the performance of the Agreement out-of-court.\n\n	  <<var;name=\"bullet\";original=\"13.2.\";match=\".{0,20}\">> In the absence of an out-of-court settlement within two (2) months as from their occurrence, and unless emergency proceedings are necessary, the disagreements or disputes shall be referred to the Paris Courts having jurisdiction, by the first Party to take action.\n\nVersion 1.1 of 10/26/2004\n\n"
		self.name = "CeCILL Free Software License Agreement v1.1"
		self.licenseComments = "There is only an English version for 1.1, which includes some wording changes from v1.0"
		self.licenseId = "CECILL-1.1"
		self.crossRef = [{"match": "False", "url": "http://www.cecill.info/licences/Licence_CeCILL_V1.1-US.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:11Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.cecill.info/licences/Licence_CeCILL_V1.1-US.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>FREE SOFTWARE LICENSING AGREEMENT CeCILL</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Notice\n		<br />\n\nThis Agreement is a free software license that is the result of discussions between its authors in\n			 order to ensure compliance with the two main principles guiding its drafting:\n			\n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				  firstly, its conformity with French law, both as regards the law of torts and intellectual\n					 property law, and the protection that it offers to authors and the holders of economic rights\n					 over software.\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				  secondly, compliance with the principles for the distribution of free software: access to source\n					 codes, extended user-rights.\n				</li>\n			\n</ul>\n		 </p>\n\n		<p>The following bodies are the authors of this license CeCILL (Ce : CEA, C : CNRS, I : INRIA, LL : Logiciel\n		 Libre):\n			\n<ul style=\"list-style:none\">\n				\n<li>\n					<p>Commissariat \u00e0 l&apos;Energie Atomique - CEA, a public scientific, technical and industrial\n					 establishment, having its principal place of business at 31-33 rue de la F\u00e9d\u00e9ration, 75752\n					 PARIS cedex 15, France.</p>\n\n				</li>\n				\n<li>\n					<p>Centre National de la Recherche Scientifique - CNRS, a public scientific and technological establishment,\n					 having its principal place of business at 3 rue Michel-Ange 75794 Paris cedex 16, France.</p>\n\n				</li>\n				\n<li>\n					<p>Institut National de Recherche en Informatique et en Automatique - INRIA, a public scientific and\n					 technological establishment, having its principal place of business at Domaine de Voluceau,\n					 Rocquencourt, BP 105, 78153 Le Chesnay cedex.</p>\n\n				</li>\n			\n</ul>\n		</p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<p>PREAMBLE</p>\n\n			  <p>The purpose of this Free Software Licensing Agreement is to grant users the right to modify and\n				 redistribute the software governed by this license within the framework of an &quot;open source&quot;\n				 distribution model.</p>\n\n			  <p>The exercising of these rights is conditional upon certain obligations for users so as to ensure that\n				 this status is retained for subsequent redistribution operations.</p>\n\n			  <p>As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by\n				 the license, users are provided only with a limited warranty and the software&apos;s author, the\n				 holder of the economic rights, and the successive licensors only have limited liability.</p>\n\n			  <p>In this respect, it is brought to the user&apos;s attention that the risks associated with loading,\n				 using, modifying and/or developing or reproducing the software by the user given its nature of Free\n				 Software, that may mean that it is complicated to manipulate, and that also therefore means that it is\n				 reserved for developers and experienced professionals having in-depth computer knowledge. Users are\n				 therefore encouraged to load and test the Software&apos;s suitability as regards their requirements in\n				 conditions enabling the security of their systems and/or data to be ensured and, more generally, to\n				 use and operate it in the same conditions of security. This Agreement may be freely reproduced and\n				 published, provided it is not altered, and that no Articles are either added or removed herefrom.</p>\n\n			  <p>This Agreement may apply to any or all software for which the holder of the economic rights decides to\n				 submit the operation thereof to its provisions.</p>\n\n\t		</li>\n		\n<li>\n\t		   <var class=\"replaceable-license-text\"> Article 1 - </var>\n\t  DEFINITIONS\n			<p>For the purposes of this Agreement, when the following expressions commence with a capital letter, they\n			 shall have the following meaning:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<p>Agreement: means this Licensing Agreement, and any or all of its subsequent versions.</p>\n\n				</li>\n				\n<li>\n					<p>Software: means the software in its Object Code and/or Source Code form and, where applicable, its\n					 documentation, &quot;as is&quot; at the time when the Licensee accepts the Agreement.</p>\n\n				</li>\n				\n<li>\n					<p>Initial Software: means the Software in its Source Code and/or Object Code form and, where applicable,\n					 its documentation, &quot;as is&quot; at the time when it is distributed for the first time under the\n					 terms and conditions of the Agreement.</p>\n\n				</li>\n				\n<li>\n					<p>Modified Software: means the Software modified by at least one Contribution.</p>\n\n				</li>\n				\n<li>\n					<p>Source Code: means all the Software&apos;s instructions and program lines to which access is required so\n					 as to modify the Software.</p>\n\n				</li>\n				\n<li>\n					<p>Object Code: means the binary files originating from the compilation of the Source Code.</p>\n\n				</li>\n				\n<li>\n					<p>Holder: means the holder of the economic rights over the Initial Software.</p>\n\n				</li>\n				\n<li>\n					<p>Licensee(s): mean(s) the Software user(s) having accepted the Agreement.</p>\n\n				</li>\n				\n<li>\n					<p>Contributor: means a Licensee having made at least one Contribution.</p>\n\n				</li>\n				\n<li>\n					<p>Licensor: means the Holder, or any or all other individual or legal entity, that distributes the Software\n					 under the Agreement.</p>\n\n				</li>\n				\n<li>\n					<p>Contributions: mean any or all modifications, corrections, translations, adaptations and/or new\n					 functionalities integrated into the Software by any or all Contributor, and the Static Modules.</p>\n\n				</li>\n				\n<li>\n					<p>Module: means a set of sources files including their documentation that, once compiled in executable\n					 form, enables supplementary functionalities or services to be developed in addition to those offered\n					 by the Software.</p>\n\n				</li>\n				\n<li>\n					<p>Dynamic Module: means any or all module, created by the Contributor, that is independent of the Software,\n					 so that this module and the Software are in two different executable forms that are run in separate\n					 address spaces, with one calling the other when they are run.</p>\n\n				</li>\n				\n<li>\n					<p>Static Module: means any or all module, created by the Contributor and connected to the Software by a\n					 static link that makes their object codes interdependent. This module and the Software to which it is\n					 connected, are combined in a single executable.</p>\n\n				</li>\n				\n<li>\n					<p>Parties: mean both the Licensee and the Licensor.</p>\n\n				</li>\n			\n</ul>\n			<p>These expressions may be used both in singular and plural form.</p>\n\n		</li>\n		\n<li>\n\t		   <var class=\"replaceable-license-text\"> Article 2 - </var>\n\t  PURPOSE\n			<p>The purpose of the Agreement is to enable the Licensor to grant the Licensee a free, non-exclusive,\n			 transferable and worldwide License for the Software as set forth in Article 5 hereinafter for the\n			 whole term of protection of the rights over said Software.</p>\n\n		</li>\n		\n<li>\n\t		   <var class=\"replaceable-license-text\"> Article 3 - </var>\n\t  ACCEPTANCE\n			\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.1.</var>\n					The Licensee shall be deemed as having accepted the terms and conditions of this Agreement by the\n					 occurrence of the first of the following events:\n					 \n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> (i)</var>\n							loading the Software by any or all means, notably, by downloading from a remote server, or by\n							 loading from a physical medium;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> (ii)</var>\n							the first time the Licensee exercises any of the rights granted hereunder.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.2.</var>\n					One copy of the Agreement, containing a notice relating to the specific nature of the Software,\n					 to the limited warranty, and to the limitation to use by experienced users has been provided\n					 to the Licensee prior to its acceptance as set forth in Article 3.1 hereinabove, and the\n					 Licensee hereby acknowledges that it is aware thereof.\n\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n\t		   <var class=\"replaceable-license-text\"> Article 4 - </var>\n\t  EFFECTIVE DATE AND TERM\n			\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.1.</var>\n					EFFECTIVE DATE\n					<p>The Agreement shall become effective on the date when it is accepted by the Licensee as set forth\n					 in Article 3.1.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.2.</var>\n					TERM\n					<p>The Agreement shall remain in force during the whole legal term of protection of the economic\n						 rights over the Software.</p>\n\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n\t		   <var class=\"replaceable-license-text\"> Article 5 - </var>\n\t  SCOPE OF THE RIGHTS GRANTED <var class=\"optional-license-text\"> ---------------------------------------</var>\n			<p>The Licensor hereby grants to the Licensee, that accepts such, the following rights as regards\n			 the Software for any or all use, and for the term of the Agreement, on the basis of the terms\n			 and conditions set forth hereinafter.</p>\n\n			<p>Otherwise, the Licensor grants to the Licensee free of charge exploitation rights on the patents\n			 he holds on whole or part of the inventions implemented in the Software.</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.1.</var>\n\t  RIGHTS OF USE\n			<p>The Licensee is authorized to use the Software, unrestrictedly, as regards the fields of\n				 application, with it being hereinafter specified that this relates to:\n		  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n			permanent or temporary reproduction of all or part of the Software by any or all means and in\n			   any or all form.\n		  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n			loading, displaying, running, or storing the Software on any or all medium.\n		  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.</var>\n			entitlement to observe, study or test the operation thereof so as to establish the ideas and\n			   principles that form the basis for any or all constituent elements of said Software. This\n			   shall apply when the Licensee carries out any or all loading, displaying, running,\n			   transmission or storage operation as regards the Software, that it is entitled to carry\n			   out hereunder.\n		  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.2.</var>\n		  ENTITLEMENT TO MAKE CONTRIBUTIONS\n		  <p>The right to make Contributions includes the right to translate, adapt, arrange, or make any or\n			 all modification to the Software, and the right to reproduce the resulting Software.</p>\n\n				  <p>The Licensee is authorized to make any or all Contribution to the Software provided that it\n			 explicitly mentions its name as the author of said Contribution and the date of the\n			 development thereof.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.3.</var>\n		  DISTRIBUTION AND PUBLICATION RIGHTS\n		  <p>In particular, the right of distribution and publication includes the right to transmit and\n			 communicate the Software to the general public on any or all medium, and by any or all means,\n			 and the right to market, either in consideration of a fee, or free of charge, a copy or copies\n			 of the Software by means of any or all process. The Licensee is further authorized to\n			 redistribute copies of the modified or unmodified Software to third parties according to the\n			 terms and conditions set forth hereinafter.</p>\n\n<ul style=\"list-style:none\">\n\t					\n<li>\n\t\t					  <var class=\"replaceable-license-text\"> 5.3.1.</var>\n\t\t	 REDISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n		  <p>The Licensee is authorized to redistribute True copies of the Software in Source Code or Object\n			 Code form, provided that said redistribution complies with all the provisions of the Agreement\n			 and is accompanied by:</p>\n\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 1.</var>\n			a copy of the Agreement,\n		  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 2.</var>\n			a notice relating to the limitation of both the Licensor&apos;s warranty and liability as set\n			   forth in Articles 8 and 9,\n\t   </li>\n\t					   \n</ul>\n						<p>and that, in the event that only the Software&apos;s Object Code is redistributed, the\n			   Licensee allows future Licensees unhindered access to the Software&apos;s full Source Code\n			   by providing them with the terms and conditions for access thereto, it being understood\n			   that the additional cost of acquiring the Source Code shall not exceed the cost of\n			   transferring the data.</p>\n\n\t					</li>\n\t					\n<li>\n\t					   <var class=\"replaceable-license-text\"> 5.3.2.</var>\n\t   REDISTRIBUTION OF MODIFIED SOFTWARE\n			<p>When the Licensee makes a Contribution to the Software, the terms and conditions for the\n			   redistribution of the Modified Software shall then be subject to all the provisions\n			   hereof.</p>\n\n						<p>The Licensee is authorized to redistribute the Modified Software, in Source Code or Object\n			   Code form, provided that said redistribution complies with all the provisions of the\n			   Agreement and is accompanied by:</p>\n\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 1.</var>\n			a copy of the Agreement,\n		  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 2.</var>\n			a notice relating to the limitation of both the Licensor&apos;s warranty and liability as set\n			   forth in Articles 8 and 9,\n		  </li>\n\t					   \n</ul>\n						<p>and that, in the event that only the Modified Software&apos;s Object Code is redistributed,\n			   the Licensee allows future Licensees unhindered access to the Modified Software&apos;s\n			   full Source Code by providing them with the terms and conditions for access thereto, it\n			   being understood that the additional cost of acquiring the Source Code shall not exceed\n			   the cost of transferring the data.</p>\n\n					 </li>\n					 \n<li>\n\t					   <var class=\"replaceable-license-text\"> 5.3.3.</var>\n\t	REDISTRIBUTION OF DYNAMIC MODULES\n			<p>When the Licensee has developed a Dynamic Module, the terms and conditions hereof do not\n			   apply to said Dynamic Module, that may be distributed under a separate Licensing\n			   Agreement.</p>\n\n					 </li>\n					 \n<li>\n\t					   <var class=\"replaceable-license-text\"> 5.3.4.</var>\n			COMPATIBILITY WITH THE GPL LICENSE\n			<p>In the event that the Modified or unmodified Software is included in a code that is subject\n			   to the provisions of the GPL License, the Licensee is authorized to redistribute the whole\n			   under the GPL License.</p>\n\n						<p>In the event that the Modified Software includes a code that is subject to the provisions of\n			   the GPL License, the Licensee is authorized to redistribute the Modified Software under\n			   the GPL License.</p>\n\n					 </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n\n<li>\n\t		   <var class=\"replaceable-license-text\"> Article 6 - </var>\n\t  INTELLECTUAL PROPERTY\n\t	\n<ul style=\"list-style:none\">\n\t			  \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n			OVER THE INITIAL SOFTWARE\n			<p>The Holder owns the economic rights over the Initial Software. Any or all use of the Initial\n			 Software is subject to compliance with the terms and conditions under which the Holder has\n			 elected to distribute its work and no one shall be entitled to and it shall have sole\n			 entitlement to modify the terms and conditions for the distribution of said Initial\n			 Software.</p>\n\n				  <p>The Holder undertakes to maintain the distribution of the Initial Software under the conditions\n			 of the Agreement, for the duration set forth in article 4.2..</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n		  OVER THE CONTRIBUTIONS\n		  <p>The intellectual property rights over the Contributions belong to the holder of the economic\n			 rights as designated by effective legislation.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3.</var>\n		  OVER THE DYNAMIC MODULES\n		  <p>The Licensee having developed a Dynamic Module is the holder of the intellectual property rights\n			 over said Dynamic Module and is free to choose the agreement that shall govern its\n			 distribution.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.4.</var>\n		  JOINT PROVISIONS\n\t	\n<ul style=\"list-style:none\">\n\t					\n<li>\n						<p>6.4.1. The Licensee expressly undertakes:</p>\n\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 1.</var>\n			not to remove, or modify, in any or all manner, the intellectual property notices affixed to\n			   the Software;\n		  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 2.</var>\n			to reproduce said notices, in an identical manner, in the copies of the Software.\n\t  </li>\n\t					   \n</ul>\n					 </li>\n\t					\n<li>\n						<p>6.4.2. The Licensee undertakes not to directly or indirectly infringe the intellectual\n			   property rights of the Holder and/or Contributors and to take, where applicable,\n			   vis-\u00e0-vis its staff, any or all measures required to ensure respect for said\n			   intellectual property rights of the Holder and/or Contributors.</p>\n\n\t					</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		  \n<li>\n\t		   <var class=\"replaceable-license-text\"> Article 7 - </var>\n\t	RELATED SERVICES\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.1.</var>\n		  Under no circumstances shall the Agreement oblige the Licensor to provide technical assistance or\n			 maintenance services for the Software.\n		  <p>However, the Licensor is entitled to offer this type of service. The terms and conditions of such\n			 technical assistance, and/or such maintenance, shall then be set forth in a separate\n			 instrument. Only the Licensor offering said maintenance and/or technical assistance services\n			 shall incur liability therefor.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.2.</var>\n		  Similarly, any or all Licensor shall be entitled to offer to its Licensees, under its own\n			 responsibility, a warranty, that shall only be binding upon itself, for the redistribution of\n			 the Software and/or the Modified Software, under terms and conditions that it shall decide\n			 upon itself. Said warranty, and the financial terms and conditions of its application, shall\n			 be subject to a separate instrument executed between the Licensor and the Licensee.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n\t		   <var class=\"replaceable-license-text\"> Article 8 - </var>\n\t  LIABILITY\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1.</var>\n		  Subject to the provisions of Article 8.2, should the Licensor fail to fulfill all or part of its\n			 obligations hereunder, the Licensee shall be entitled to claim compensation for the direct\n			 loss suffered as a result of a fault on the part of the Licensor, subject to providing\n			 evidence of it.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2.</var>\n		  The Licensor&apos;s liability is limited to the commitments made under this Licensing Agreement\n			 and shall not be incurred as a result , in particular: (i) of loss due the Licensee&apos;s\n			 total or partial failure to fulfill its obligations, (ii) direct or consequential loss due to\n			 the Software&apos;s use or performance that is suffered by the Licensee, when the latter is a\n			 professional using said Software for professional purposes and (iii) consequential loss due to\n			 the Software&apos;s use or performance. The Parties expressly agree that any or all pecuniary\n			 or business loss (i.e. loss of data, loss of profits, operating loss, loss of customers or\n			 orders, opportunity cost, any disturbance to business activities) or any or all legal\n			 proceedings instituted against the Licensee by a third party, shall constitute consequential\n			 loss and shall not provide entitlement to any or all compensation from the Licensor.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n\t		   <var class=\"replaceable-license-text\"> Article 9 - </var>\n\t  WARRANTY\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.1.</var>\n		  The Licensee acknowledges that the current situation as regards scientific and technical know-how\n			 at the time when the Software was distributed did not enable all possible uses to be tested\n			 and verified, nor for the presence of any or all faults to be detected. In this respect, the\n			 Licensee&apos;s attention has been drawn to the risks associated with loading, using,\n			 modifying and/or developing and reproducing the Software that are reserved for experienced\n			 users.\n		  <p>The Licensee shall be responsible for verifying, by any or all means, the product&apos;s\n			 suitability for its requirements, its due and proper functioning, and for ensuring that it\n			 shall not cause damage to either persons or property.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.2.</var>\n		  The Licensor hereby represents, in good faith, that it is entitled to grant all the rights on the\n			 Software (including in particular the rights set forth in Article 5 hereof over the\n			 Software).\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.3.</var>\n		  The Licensee acknowledges that the Software is supplied &quot;as is&quot; by the Licensor without\n			 any or all other express or tacit warranty, other than that provided for in Article 9.2 and,\n			 in particular, without any or all warranty as to its market value, its secured, innovative or\n			 relevant nature.\n		  <p>Specifically, the Licensor does not warrant that the Software is free from any or all error, that\n			 it shall operate continuously, that it shall be compatible with the Licensee&apos;s own\n			 equipment and its software configuration, nor that it shall meet the Licensee&apos;s\n			 requirements.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.4.</var>\n		  The Licensor does not either expressly or tacitly warrant that the Software does not infringe any\n			 or all third party intellectual right relating to a patent, software or to any or all other\n			 property right. Moreover, the Licensor shall not hold the Licensee harmless against any or all\n			 proceedings for infringement that may be instituted in respect of the use, modification and\n			 redistribution of the Software. Nevertheless, should such proceedings be instituted against\n			 the Licensee, the Licensor shall provide it with technical and legal assistance for its\n			 defense. Such technical and legal assistance shall be decided upon on a case-by-case basis\n			 between the relevant Licensor and the Licensee pursuant to a memorandum of understanding. The\n			 Licensor disclaims any or all liability as regards the Licensee&apos;s use of the\n			 Software&apos;s name. No warranty shall be provided as regards the existence of prior rights\n			 over the name of the Software and as regards the existence of a trademark.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n\t		   <var class=\"replaceable-license-text\"> Article 10 - </var>\n\t  TERMINATION\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.1.</var>\n		  In the event of a breach by the Licensee of its obligations hereunder, the Licensor may\n			 automatically terminate this Agreement thirty (30) days after notice has been sent to the\n			 Licensee and has remained ineffective.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.2.</var>\n		  The Licensee whose Agreement is terminated shall no longer be authorized to use, modify or\n			 distribute the Software. However, any or all licenses that it may have granted prior to\n			 termination of the Agreement shall remain valid subject to their having been granted in\n			 compliance with the terms and conditions hereof.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n\t		   <var class=\"replaceable-license-text\"> Article 11 - </var>\n\t  MISCELLANEOUS PROVISIONS\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.1.</var>\n		  EXCUSABLE EVENTS\n		  <p>Neither Party shall be liable for any or all delay, or failure to perform the Agreement, that may\n			 be attributable to an event of force majeure, an act of God or an outside cause, such as,\n			 notably, defective functioning, or interruptions affecting the electricity or\n			 telecommunications networks, blocking of the network following a virus attack, the\n			 intervention of the government authorities, natural disasters, water damage, earthquakes,\n			 fire, explosions, strikes and labor unrest, war, etc.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.2.</var>\n		  The fact that either Party may fail, on one or several occasions, to invoke one or several of the\n			 provisions hereof, shall under no circumstances be interpreted as being a waiver by the\n			 interested Party of its entitlement to invoke said provision(s) subsequently.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.3.</var>\n		  The Agreement cancels and replaces any or all previous agreement, whether written or oral,\n			 between the Parties and having the same purpose, and constitutes the entirety of the agreement\n			 between said Parties concerning said purpose. No supplement or modification to the terms and\n			 conditions hereof shall be effective as regards the Parties unless it is made in writing and\n			 signed by their duly authorized representatives.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.4.</var>\n		  In the event that one or several of the provisions hereof were to conflict with a current or\n			 future applicable act or legislative text, said act or legislative text shall take precedence,\n			 and the Parties shall make the necessary amendments so as to be in compliance with said act or\n			 legislative text. All the other provisions shall remain effective. Similarly, the fact that a\n			 provision of the Agreement may be null and void, for any reason whatsoever, shall not cause\n			 the Agreement as a whole to be null and void.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.5.</var>\n		  LANGUAGE\n		  <p>The Agreement is drafted in both French and English. In the event of a conflict as regards\n			 construction, the French version shall be deemed authentic.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n\t		   <var class=\"replaceable-license-text\"> Article 12 - </var>\n\t  NEW VERSIONS OF THE AGREEMENT\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.1.</var>\n		  Any or all person is authorized to duplicate and distribute copies of this Agreement.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.2.</var>\n		  So as to ensure coherence, the wording of this Agreement is protected and may only be modified by\n			 the authors of the License, that reserve the right to periodically publish updates or new\n			 versions of the Agreement, each with a separate number. These subsequent versions may address\n			 new issues encountered by Free Software.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.3.</var>\n		  Any or all Software distributed under a given version of the Agreement may only be subsequently\n			 distributed under the same version of the Agreement, or a subsequent version, subject to the\n			 provisions of article 5.3.4.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n\t		   <var class=\"replaceable-license-text\"> Article 13 - </var>\n\t  GOVERNING LAW AND JURISDICTION\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.1.</var>\n		  The Agreement is governed by French law. The Parties agree to endeavor to settle the\n			 disagreements or disputes that may arise during the performance of the Agreement\n			 out-of-court.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.2.</var>\n		  In the absence of an out-of-court settlement within two (2) months as from their occurrence, and\n			 unless emergency proceedings are necessary, the disagreements or disputes shall be referred to\n			 the Paris Courts having jurisdiction, by the first Party to take action.\n		</li>\n			\n</ul>\n		</li>\n	  \n</ul>\n\n	  <p>Version 1.1 of 10/26/2004</p>\n\n	"
		self.python_name = "CECILL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class BUSL11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Business Source License 1.1\n\nLicense text copyright \u00a9 2017 MariaDB Corporation Ab, All Rights Reserved.\n\"Business Source License\" is a trademark of MariaDB Corporation Ab.\n\nTerms\n\nThe Licensor hereby grants you the right to copy, modify, create derivative\nworks, redistribute, and make non-production use of the Licensed Work. The\nLicensor may make an Additional Use Grant, above, permitting limited\nproduction use.\n\nEffective on the Change Date, or the fourth anniversary of the first publicly\navailable distribution of a specific version of the Licensed Work under this\nLicense, whichever comes first, the Licensor hereby grants you rights under\nthe terms of the Change License, and the rights granted in the paragraph\nabove terminate.\n\nIf your use of the Licensed Work does not comply with the requirements\ncurrently in effect as described in this License, you must purchase a\ncommercial license from the Licensor, its affiliated entities, or authorized\nresellers, or you must refrain from using the Licensed Work.\n\nAll copies of the original and modified Licensed Work, and derivative works\nof the Licensed Work, are subject to this License. This License applies\nseparately for each version of the Licensed Work and the Change Date may vary\nfor each version of the Licensed Work released by Licensor.\n\nYou must conspicuously display this License on each original or modified copy\nof the Licensed Work. If you receive the Licensed Work in original or\nmodified form from a third party, the terms and conditions set forth in this\nLicense apply to your use of that work.\n\nAny use of the Licensed Work in violation of this License will automatically\nterminate your rights under this License for the current and all other\nversions of the Licensed Work.\n\nThis License does not grant you any right in any trademark or logo of\nLicensor or its affiliates (provided that you may use a trademark or logo of\nLicensor as expressly required by this License).\n\nTO THE EXTENT PERMITTED BY APPLICABLE LAW, THE LICENSED WORK IS PROVIDED ON\nAN \u201cAS IS\u201d BASIS. LICENSOR HEREBY DISCLAIMS ALL WARRANTIES AND CONDITIONS,\nEXPRESS OR IMPLIED, INCLUDING (WITHOUT LIMITATION) WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT, AND\nTITLE.\n\nMariaDB hereby grants you permission to use this License\u2019s text to license\nyour works, and to refer to it using the trademark \u201cBusiness Source License\u201d,\nas long as you comply with the Covenants of Licensor below.\n\nCovenants of Licensor\n\nIn consideration of the right to use this License\u2019s text and the \u201cBusiness\nSource License\u201d name and trademark, Licensor covenants to MariaDB, and to all\nother recipients of the licensed work to be provided by Licensor:\n\n1. To specify as the Change License the GPL Version 2.0 or any later version,\n   or a license that is compatible with GPL Version 2.0 or a later version,\n   where \u201ccompatible\u201d means that software provided under the Change License can\n   be included in a program with software provided under GPL Version 2.0 or a\n   later version. Licensor may specify additional Change Licenses without\n   limitation.\n\n2. To either: (a) specify an additional grant of rights to use that does not\n   impose any additional restriction on the right granted in this License, as\n   the Additional Use Grant; or (b) insert the text \u201cNone\u201d.\n\n3. To specify a Change Date.\n\n4. Not to modify this License in any other way.\n\n"
		self.standardLicenseHeaderTemplate = "Copyright (C) <<var;name=\"copyright\";original=\"yyyy name of author\";match=\".+\">>\n\nUse of this software is govered by the Business Source License included in the LICENSE.TXT file and at www.mariadb.com/bsl11.\n\nChange Date:\n\nOn the date above, in accordance with the Business Source License, use of this software will be governed by the open source license specified in the LICENSE.TXT file.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Business Source License 1.1<<endOptional>>\n\nLicense text copyright \u00a9 2017 MariaDB Corporation Ab, All Rights Reserved. \"Business Source License\" is a trademark of MariaDB Corporation Ab.\n\nTerms\n\nThe Licensor hereby grants you the right to copy, modify, create derivative works, redistribute, and make non-production use of the Licensed Work. The Licensor may make an Additional Use Grant, above, permitting limited production use.\n\nEffective on the Change Date, or the fourth anniversary of the first publicly available distribution of a specific version of the Licensed Work under this License, whichever comes first, the Licensor hereby grants you rights under the terms of the Change License, and the rights granted in the paragraph above terminate.\n\nIf your use of the Licensed Work does not comply with the requirements currently in effect as described in this License, you must purchase a commercial license from the Licensor, its affiliated entities, or authorized resellers, or you must refrain from using the Licensed Work.\n\nAll copies of the original and modified Licensed Work, and derivative works of the Licensed Work, are subject to this License. This License applies separately for each version of the Licensed Work and the Change Date may vary for each version of the Licensed Work released by Licensor.\n\nYou must conspicuously display this License on each original or modified copy of the Licensed Work. If you receive the Licensed Work in original or modified form from a third party, the terms and conditions set forth in this License apply to your use of that work.\n\nAny use of the Licensed Work in violation of this License will automatically terminate your rights under this License for the current and all other versions of the Licensed Work.\n\nThis License does not grant you any right in any trademark or logo of Licensor or its affiliates (provided that you may use a trademark or logo of Licensor as expressly required by this License).\n\nTO THE EXTENT PERMITTED BY APPLICABLE LAW, THE LICENSED WORK IS PROVIDED ON AN \"AS IS\" BASIS. LICENSOR HEREBY DISCLAIMS ALL WARRANTIES AND CONDITIONS, EXPRESS OR IMPLIED, INCLUDING (WITHOUT LIMITATION) WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT, AND TITLE.\n\nMariaDB hereby grants you permission to use this License's text to license your works, and to refer to it using the trademark \"Business Source License\", as long as you comply with the Covenants of Licensor below.\n\nCovenants of Licensor\n\nIn consideration of the right to use this License's text and the \"Business Source License\" name and trademark, Licensor covenants to MariaDB, and to all other recipients of the licensed work to be provided by Licensor:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> To specify as the Change License the GPL Version 2.0 or any later version, or a license that is compatible with GPL Version 2.0 or a later version, where \"compatible\" means that software provided under the Change License can be included in a program with software provided under GPL Version 2.0 or a later version. Licensor may specify additional Change Licenses without limitation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> To either: (a) specify an additional grant of rights to use that does not impose any additional restriction on the right granted in this License, as the Additional Use Grant; or (b) insert the text \"None\".\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> To specify a Change Date.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Not to modify this License in any other way."
		self.name = "Business Source License 1.1"
		self.licenseComments = "The Business Source License (this document, or the \u201cLicense\u201d) is not an Open Source license. However, the Licensed Work will eventually be made available under an Open Source License, as stated in this License. This is a paramaterized license. The license parameters are: restrictions on usage, a change date, and the open source license that will govern usage of the software after the change date."
		self.licenseId = "BUSL-1.1"
		self.standardLicenseHeader = "Copyright (C) yyyy name of author\n\nUse of this software is govered by the Business Source License included in the LICENSE.TXT file and at www.mariadb.com/bsl11.\n\nChange Date:\n\nOn the date above, in accordance with the Business Source License, use of this software will be governed by the open source license specified in the LICENSE.TXT file.\n\n"
		self.crossRef = [{"match": "False", "url": "https://mariadb.com/bsl11/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:45Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://mariadb.com/bsl11/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <var class=\"optional-license-text\"> \n		Business Source License 1.1\n	  </var>\n	  <p>\n		License text copyright \u00a9 2017 MariaDB Corporation Ab, All Rights Reserved.\n		&quot;Business Source License&quot; is a trademark of MariaDB Corporation Ab.\n	  </p>\n\n	  <p>\n		Terms\n	  </p>\n\n	  <p>\n		The Licensor hereby grants you the right to copy, modify, create derivative\n		works, redistribute, and make non-production use of the Licensed Work. The\n		Licensor may make an Additional Use Grant, above, permitting limited\n		production use.\n	  </p>\n\n	  <p>\n		Effective on the Change Date, or the fourth anniversary of the first publicly\n		available distribution of a specific version of the Licensed Work under this\n		License, whichever comes first, the Licensor hereby grants you rights under\n		the terms of the Change License, and the rights granted in the paragraph\n		above terminate.\n	  </p>\n\n	  <p>\n		If your use of the Licensed Work does not comply with the requirements\n		currently in effect as described in this License, you must purchase a\n		commercial license from the Licensor, its affiliated entities, or authorized\n		resellers, or you must refrain from using the Licensed Work.\n	  </p>\n\n	  <p>\n		All copies of the original and modified Licensed Work, and derivative works\n		of the Licensed Work, are subject to this License. This License applies\n		separately for each version of the Licensed Work and the Change Date may vary\n		for each version of the Licensed Work released by Licensor.\n	  </p>\n\n	  <p>\n		You must conspicuously display this License on each original or modified copy\n		of the Licensed Work. If you receive the Licensed Work in original or\n		modified form from a third party, the terms and conditions set forth in this\n		License apply to your use of that work.\n	  </p>\n\n	  <p>\n		Any use of the Licensed Work in violation of this License will automatically\n		terminate your rights under this License for the current and all other\n		versions of the Licensed Work.\n	  </p>\n\n	  <p>\n		This License does not grant you any right in any trademark or logo of\n		Licensor or its affiliates (provided that you may use a trademark or logo of\n		Licensor as expressly required by this License).\n	  </p>\n\n	  <p>\n		TO THE EXTENT PERMITTED BY APPLICABLE LAW, THE LICENSED WORK IS PROVIDED ON\n		AN &quot;AS IS&quot; BASIS. LICENSOR HEREBY DISCLAIMS ALL WARRANTIES AND CONDITIONS,\n		EXPRESS OR IMPLIED, INCLUDING (WITHOUT LIMITATION) WARRANTIES OF\n		MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT, AND\n		TITLE.\n	  </p>\n\n	  <p>\n		MariaDB hereby grants you permission to use this License&apos;s text to license\n		your works, and to refer to it using the trademark &quot;Business Source License&quot;,\n		as long as you comply with the Covenants of Licensor below.\n	  </p>\n\n	  <p>\n		Covenants of Licensor\n	  </p>\n\n	  <p>\n		In consideration of the right to use this License&apos;s text and the &quot;Business\n		Source License&quot; name and trademark, Licensor covenants to MariaDB, and to all\n		other recipients of the licensed work to be provided by Licensor:\n	  </p>\n\n<ul style=\"list-style:none\">\n	   \n<li>\n		 <var class=\"replaceable-license-text\"> 1.</var> To specify as the Change License the GPL Version 2.0 or\n		 any later version, or a license that is compatible with GPL Version 2.0 or\n		 a later version, where &quot;compatible&quot; means that software provided under the\n		 Change License can be included in a program with software provided under GPL\n		 Version 2.0 or a later version. Licensor may specify additional Change\n		 Licenses without limitation.\n	   </li>\n	   \n<li>\n		 <var class=\"replaceable-license-text\"> 2.</var> To either: (a) specify an additional grant of rights to\n		 use that does not impose any additional restriction on the right granted in\n		 this License, as the Additional Use Grant; or (b) insert the text &quot;None&quot;.\n	   </li>\n	   \n<li>\n		 <var class=\"replaceable-license-text\"> 3.</var> To specify a Change Date.\n	   </li>\n	   \n<li>\n		 <var class=\"replaceable-license-text\"> 4.</var> Not to modify this License in any other way.\n	   </li>\n	  \n</ul>\n   "
		self.standardLicenseHeaderHtml = "\n	  Copyright (C) <var class=\"replaceable-license-text\"> yyyy name of author</var>\n	  <p>\n		Use of this software is govered by the Business Source License included\n		in the LICENSE.TXT file and at www.mariadb.com/bsl11.\n	  </p>\n\n	  <p>\n		Change Date:\n	  </p>\n\n	  <p>\n		On the date above, in accordance with the Business Source License,\n		use of this software will be governed by the open source license specified\n		in the LICENSE.TXT file.\n	  </p>\n\n	"
		self.python_name = "BUSL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class psfrag:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "psfrag.dtx\nCopyright (C) 1996 Craig Barratt, Michael C. Grant, and David Carlisle.\nAll rights are reserved.\n\nThis system is distributed in the hope that it will be  useful, but WITHOUT ANY WARRANTY; without even the  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. Don't come complaining to us if you modify this file and it doesn't work! If this file is modified by anyone but the authors, those changes and their authors must be explicitly stated HERE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>psfrag.dtx\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 1996 Craig Barratt, Michael C. Grant, and David Carlisle.	All rights are reserved.  \";match=\".{0,5000}\">>\n\nThis system is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. Don't come complaining to us if you modify this file and it doesn't work! If this file is modified by anyone but the authors, those changes and their authors must be explicitly stated HERE.\n\n"
		self.name = "psfrag License"
		self.licenseId = "psfrag"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/psfrag", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:02Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/psfrag"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>psfrag.dtx</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 1996 Craig Barratt, Michael C. Grant, and David Carlisle.</p>\n\n		 <p>All rights are reserved.</p>\n\n	  </div>\n\n	  <p>This system is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the\n		 implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. Don&apos;t come complaining to us if\n		 you modify this file and it doesn&apos;t work! If this file is modified by anyone but the authors, those\n		 changes and their authors must be explicitly stated HERE.</p>\n\n	"
		self.python_name = "psfrag"

	def __str__(self):
		return json.dumps(self.__dict__)


class Watcom10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "Sybase Open Watcom Public License version 1.0\n\nUSE OF THE SYBASE OPEN WATCOM SOFTWARE DESCRIBED BELOW (\"SOFTWARE\") IS SUBJECT TO THE TERMS AND CONDITIONS SET FORTH IN THE SYBASE OPEN WATCOM PUBLIC LICENSE SET FORTH BELOW (\"LICENSE\"). YOU MAY NOT USE THE SOFTWARE IN ANY MANNER UNLESS YOU ACCEPT THE TERMS AND CONDITIONS OF THE LICENSE. YOU INDICATE YOUR ACCEPTANCE BY IN ANY MANNER USING (INCLUDING WITHOUT LIMITATION BY REPRODUCING, MODIFYING OR DISTRIBUTING) THE SOFTWARE. IF YOU DO NOT ACCEPT ALL OF THE TERMS AND CONDITIONS OF THE LICENSE, DO NOT USE THE SOFTWARE IN ANY MANNER.\n\nSybase Open Watcom Public License version 1.0\n\n1. General; Definitions. This License applies only to the following software programs: the open source versions of Sybase's Watcom C/C++ and Fortran compiler products (\"Software\"), which are modified versions of, with significant changes from, the last versions made commercially available by Sybase. As used in this License:\n\n	 1.1 \"Applicable Patent Rights\" mean: (a) in the case where Sybase is the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to Sybase and (ii) that cover subject matter contained in the Original Code, but only to the extent necessary to use, reproduce and/or distribute the Original Code without infringement; and (b) in the case where You are the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to You and (ii) that cover subject matter in Your Modifications, taken alone or in combination with Original Code.\n\n	 1.2 \"Contributor\" means any person or entity that creates or contributes to the creation of Modifications.\n\n	 1.3 \"Covered Code\" means the Original Code, Modifications, the combination of Original Code and any Modifications, and/or any respective portions thereof.\n\n	 1.4 \"Deploy\" means to use, sublicense or distribute Covered Code other than for Your internal research and development (R&D) and/or Personal Use, and includes without limitation, any and all internal use or distribution of Covered Code within Your business or organization except for R&D use and/or Personal Use, as well as direct or indirect sublicensing or distribution of Covered Code by You to any third party in any form or manner.\n\n	 1.5 \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.6 \"Modifications\" mean any addition to, deletion from, and/or change to, the substance and/or structure of the Original Code, any previous Modifications, the combination of Original Code and any previous Modifications, and/or any respective portions thereof. When code is released as a series of files, a Modification is: (a) any addition to or deletion from the contents of a file containing Covered Code; and/or (b) any new file or other representation of computer program statements that contains any part of Covered Code.\n\n	 1.7 \"Original Code\" means (a) the Source Code of a program or other work as originally made available by Sybase under this License, including the Source Code of any updates or upgrades to such programs or works made available by Sybase under this License, and that has been expressly identified by Sybase as such in the header file(s) of such work; and (b) the object code compiled from such Source Code and originally made available by Sybase under this License.\n\n	 1.8 \"Personal Use\" means use of Covered Code by an individual solely for his or her personal, private and non-commercial purposes. An individual's use of Covered Code in his or her capacity as an officer, employee, member, independent contractor or agent of a corporation, business or organization (commercial or non-commercial) does not qualify as Personal Use.\n\n	 1.9 \"Source Code\" means the human readable form of a program or other work that is suitable for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an executable (object code).\n\n	 1.10 \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n2. Permitted Uses; Conditions & Restrictions.Subject to the terms and conditions of this License, Sybase hereby grants You, effective on the date You accept this License and download the Original Code, a world-wide, royalty-free, non-exclusive license, to the extent of Sybase's Applicable Patent Rights and copyrights covering the Original Code, to do the following:\n\n	 2.1 You may use, reproduce, display, perform, modify and distribute Original Code, with or without Modifications, solely for Your internal research and development and/or Personal Use, provided that in each instance:\n\n		  (a) You must retain and reproduce in all copies of Original Code the copyright and other proprietary notices and disclaimers of Sybase as they appear in the Original Code, and keep intact all notices in the Original Code that refer to this License; and\n\n		  (b) You must retain and reproduce a copy of this License with every copy of Source Code of Covered Code and documentation You distribute, and You may not offer or impose any terms on such Source Code that alter or restrict this License or the recipients' rights hereunder, except as permitted under Section 6.\n\n		  (c) Whenever reasonably feasible you should include the copy of this License in a click-wrap format, which requires affirmative acceptance by clicking on an \"I accept\" button or similar mechanism. If a click-wrap format is not included, you must include a statement that any use (including without limitation reproduction, modification or distribution) of the Software, and any other affirmative act that you define, constitutes acceptance of the License, and instructing the user not to use the Covered Code in any manner if the user does not accept all of the terms and conditions of the License.\n\n	 2.2 You may use, reproduce, display, perform, modify and Deploy Covered Code, provided that in each instance:\n\n		  (a) You must satisfy all the conditions of Section 2.1 with respect to the Source Code of the Covered Code;\n\n		  (b) You must duplicate, to the extent it does not already exist, the notice in Exhibit A in each file of the Source Code of all Your Modifications, and cause the modified files to carry prominent notices stating that You changed the files and the date of any change;\n\n		  (c) You must make Source Code of all Your Deployed Modifications publicly available under the terms of this License, including the license grants set forth in Section 3 below, for as long as you Deploy the Covered Code or twelve (12) months from the date of initial Deployment, whichever is longer. You should preferably distribute the Source Code of Your Deployed Modifications electronically (e.g. download from a web site);\n\n		  (d) if You Deploy Covered Code in object code, executable form only, You must include a prominent notice, in the code itself as well as in related documentation, stating that Source Code of the Covered Code is available under the terms of this License with information on how and where to obtain such Source Code; and\n\n		  (e) the object code form of the Covered Code may be distributed under Your own license agreement, provided that such license agreement contains terms no less protective of Sybase and each Contributor than the terms of this License, and stating that any provisions which differ from this License are offered by You alone and not by any other party.\n\n	 2.3 You expressly acknowledge and agree that although Sybase and each Contributor grants the licenses to their respective portions of the Covered Code set forth herein, no assurances are provided by Sybase or any Contributor that the Covered Code does not infringe the patent or other intellectual property rights of any other entity. Sybase and each Contributor disclaim any liability to You for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, You hereby assume sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow You to distribute the Covered Code, it is Your responsibility to acquire that license before distributing the Covered Code.\n\n3. Your Grants. In consideration of, and as a condition to, the licenses granted to You under this License, You hereby grant to Sybase and all third parties a non-exclusive, royalty-free license, under Your Applicable Patent Rights and other intellectual property rights (other than patent) owned or controlled by You, to use, reproduce, display, perform, modify, distribute and Deploy Your Modifications of the same scope and extent as Sybase's licenses under Sections 2.1 and 2.2.\n\n4. Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof.\n\n5. Limitations on Patent License. Except as expressly stated in Section 2, no other patent rights, express or implied, are granted by Sybase herein. Modifications and/or Larger Works may require additional patent licenses from Sybase which Sybase may grant in its sole discretion.\n\n6. Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations and/or other rights consistent with this License (\"Additional Terms\") to one or more recipients of Covered Code. However, You may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Sybase or any Contributor. You must obtain the recipient's agreement that any such Additional Terms are offered by You alone, and You hereby agree to indemnify, defend and hold Sybase and every Contributor harmless for any liability incurred by or claims asserted against Sybase or such Contributor by reason of any such Additional Terms.\n\n7. Versions of the License. Sybase may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Once Original Code has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of this License published by Sybase. No one other than Sybase has the right to modify the terms applicable to Covered Code created under this License.\n\n8. NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part pre-release, untested, or not fully tested works. The Covered Code may contain errors that could cause failures or loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and agree that use of the Covered Code, or any portion thereof, is at Your sole and entire risk. THE COVERED CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF ANY KIND AND SYBASE AND SYBASE'S LICENSOR(S) (COLLECTIVELY REFERRED TO AS \"SYBASE\" FOR THE PURPOSES OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY, OF QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SYBASE AND EACH CONTRIBUTOR DOES NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE COVERED CODE, THAT THE FUNCTIONS CONTAINED IN THE COVERED CODE WILL MEET YOUR REQUIREMENTS, THAT THE OPERATION OF THE COVERED CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE COVERED CODE WILL BE CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY SYBASE, A SYBASE AUTHORIZED REPRESENTATIVE OR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You acknowledge that the Covered Code is not intended for use in the operation of nuclear facilities, aircraft navigation, communication systems, or air traffic control machines in which case the failure of the Covered Code could lead to death, personal injury, or severe physical or environmental damage.\n\n9. LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT SHALL SYBASE OR ANY CONTRIBUTOR BE LIABLE FOR ANY DIRECT, INCIDENTAL, SPECIAL, INDIRECT, CONSEQUENTIAL OR OTHER DAMAGES OF ANY KIND ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE COVERED CODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF SYBASE OR SUCH CONTRIBUTOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY OF INCIDENTAL OR CONSEQUENTIAL OR OTHER DAMAGES OF ANY KIND, SO THIS LIMITATION MAY NOT APPLY TO YOU. In no event shall Sybase's or any Contributor's total liability to You for all damages (other than as may be required by applicable law) under this License exceed the amount of five hundred dollars ($500.00).\n\n10. Trademarks. This License does not grant any rights to use the trademarks or trade names \"Sybase\" or any other trademarks or trade names belonging to Sybase (collectively \"Sybase Marks\") or to any trademark or trade name belonging to any Contributor(\"Contributor Marks\"). No Sybase Marks or Contributor Marks may be used to endorse or promote products derived from the Original Code or Covered Code other than with the prior written consent of Sybase or the Contributor, as applicable.\n\n11. Ownership. Subject to the licenses granted under this License, each Contributor retains all rights, title and interest in and to any Modifications made by such Contributor. Sybase retains all rights, title and interest in and to the Original Code and any Modifications made by or on behalf of Sybase (\"Sybase Modifications\"), and such Sybase Modifications will not be automatically subject to this License. Sybase may, at its sole discretion, choose to license such Sybase Modifications under this License, or on different terms from those contained in this License or may choose not to license them at all.\n\n12. Termination.\n\n	 12.1 Termination. This License and the rights granted hereunder will terminate:\n\n		  (a) automatically without notice if You fail to comply with any term(s) of this License and fail to cure such breach within 30 days of becoming aware of such breach;\n\n		  (b) immediately in the event of the circumstances described in Section 13.5(b); or\n\n		  (c) automatically without notice if You, at any time during the term of this License, commence an action for patent infringement (including as a cross claim or counterclaim) against Sybase or any Contributor.\n\n	 12.2 Effect of Termination. Upon termination, You agree to immediately stop any further use, reproduction, modification, sublicensing and distribution of the Covered Code and to destroy all copies of the Covered Code that are in your possession or control. All sublicenses to the Covered Code that have been properly granted prior to termination shall survive any termination of this License. Provisions which, by their nature, should remain in effect beyond the termination of this License shall survive, including but not limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13. No party will be liable to any other for compensation, indemnity or damages of any sort solely as a result of terminating this License in accordance with its terms, and termination of this License will be without prejudice to any other right or remedy of any party.\n\n13. Miscellaneous.\n\n	 13.1 Government End Users. The Covered Code is a \"commercial item\" as defined in FAR 2.101. Government software and technical data rights in the Covered Code include only those rights customarily provided to the public as defined in this License. This customary commercial license in technical data and software is provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation). Accordingly, all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n	 13.2 Relationship of Parties. This License will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between or among you, Sybase or any Contributor, and You will not represent to the contrary, whether expressly, by implication, appearance or otherwise.\n\n	 13.3 Independent Development. Nothing in this License will impair Sybase's or any Contributor's right to acquire, license, develop, have others develop for it, market and/or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Modifications, Larger Works, technology or products that You may develop, produce, market or distribute.\n\n	 13.4 Waiver; Construction. Failure by Sybase or any Contributor to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter will not apply to this License.\n\n	 13.5 Severability. (a) If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You from fully and/or specifically complying with Sections 2 and/or 3 or prevents the enforceability of either of those Sections, this License will immediately terminate and You must immediately discontinue any use of the Covered Code and destroy all copies of it that are in your possession or control.\n\n	 13.6 Dispute Resolution. Any litigation or other dispute resolution between You and Sybase relating to this License shall take place in the Northern District of California, and You and Sybase hereby consent to the personal jurisdiction of, and venue in, the state and federal courts within that District with respect to this License. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n	 13.7 Entire Agreement; Governing Law. This License constitutes the entire agreement between the parties with respect to the subject matter hereof. This License shall be governed by the laws of the United States and the State of California, except that body of California law concerning conflicts of law.\nWhere You are located in the province of Quebec, Canada, the following clause applies: The parties hereby confirm that they have requested that this License and all related documents be drafted in English. Les parties ont exig\u00e8 que le pr\u00e8sent contrat et tous les documents connexes soient r\u00e8di\u00e8s en anglais.\n\n\nEXHIBIT A.\n\n\"Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.\nThis file contains Original Code and/or Modifications of Original Code as defined in and that are subject to the Sybase Open Watcom Public License version 1.0 (the 'License'). You may not use this file except in compliance with the License. BY USING THIS FILE YOU AGREE TO ALL TERMS AND CONDITIONS OF THE LICENSE. A copy of the License is provided with the Original Code and Modifications, and is also available at www.sybase.com/developer/opensource.\n\nThe Original Code and all software distributed under the License are distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND SYBASE AND ALL CONTRIBUTORS HEREBY DISCLAIM ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. Please see the License for the specific language governing rights and limitations under the License.\"\n"
		self.standardLicenseTemplate = "<<beginOptional>>Sybase Open Watcom Public License version 1.0\n\n<<endOptional>>\n\nUSE OF THE SYBASE OPEN WATCOM SOFTWARE DESCRIBED BELOW (\"SOFTWARE\") IS SUBJECT TO THE TERMS AND CONDITIONS SET FORTH IN THE SYBASE OPEN WATCOM PUBLIC LICENSE SET FORTH BELOW (\"LICENSE\"). YOU MAY NOT USE THE SOFTWARE IN ANY MANNER UNLESS YOU ACCEPT THE TERMS AND CONDITIONS OF THE LICENSE. YOU INDICATE YOUR ACCEPTANCE BY IN ANY MANNER USING (INCLUDING WITHOUT LIMITATION BY REPRODUCING, MODIFYING OR DISTRIBUTING) THE SOFTWARE. IF YOU DO NOT ACCEPT ALL OF THE TERMS AND CONDITIONS OF THE LICENSE, DO NOT USE THE SOFTWARE IN ANY MANNER.\n\nSybase Open Watcom Public License version 1.0\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> General; Definitions. This License applies only to the following software programs: the open source versions of Sybase's Watcom C/C++ and Fortran compiler products (\"Software\"), which are modified versions of, with significant changes from, the last versions made commercially available by Sybase. As used in this License:\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Applicable Patent Rights\" mean: (a) in the case where Sybase is the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to Sybase and (ii) that cover subject matter contained in the Original Code, but only to the extent necessary to use, reproduce and/or distribute the Original Code without infringement; and (b) in the case where You are the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to You and (ii) that cover subject matter in Your Modifications, taken alone or in combination with Original Code.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Contributor\" means any person or entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Covered Code\" means the Original Code, Modifications, the combination of Original Code and any Modifications, and/or any respective portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Deploy\" means to use, sublicense or distribute Covered Code other than for Your internal research and development (R&D) and/or Personal Use, and includes without limitation, any and all internal use or distribution of Covered Code within Your business or organization except for R&D use and/or Personal Use, as well as direct or indirect sublicensing or distribution of Covered Code by You to any third party in any form or manner.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"Modifications\" mean any addition to, deletion from, and/or change to, the substance and/or structure of the Original Code, any previous Modifications, the combination of Original Code and any previous Modifications, and/or any respective portions thereof. When code is released as a series of files, a Modification is: (a) any addition to or deletion from the contents of a file containing Covered Code; and/or (b) any new file or other representation of computer program statements that contains any part of Covered Code.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"Original Code\" means (a) the Source Code of a program or other work as originally made available by Sybase under this License, including the Source Code of any updates or upgrades to such programs or works made available by Sybase under this License, and that has been expressly identified by Sybase as such in the header file(s) of such work; and (b) the object code compiled from such Source Code and originally made available by Sybase under this License.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"Personal Use\" means use of Covered Code by an individual solely for his or her personal, private and non-commercial purposes. An individual's use of Covered Code in his or her capacity as an officer, employee, member, independent contractor or agent of a corporation, business or organization (commercial or non-commercial) does not qualify as Personal Use.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"Source Code\" means the human readable form of a program or other work that is suitable for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an executable (object code).\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Permitted Uses; Conditions & Restrictions.Subject to the terms and conditions of this License, Sybase hereby grants You, effective on the date You accept this License and download the Original Code, a world-wide, royalty-free, non-exclusive license, to the extent of Sybase's Applicable Patent Rights and copyrights covering the Original Code, to do the following:\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> You may use, reproduce, display, perform, modify and distribute Original Code, with or without Modifications, solely for Your internal research and development and/or Personal Use, provided that in each instance:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> You must retain and reproduce in all copies of Original Code the copyright and other proprietary notices and disclaimers of Sybase as they appear in the Original Code, and keep intact all notices in the Original Code that refer to this License; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You must retain and reproduce a copy of this License with every copy of Source Code of Covered Code and documentation You distribute, and You may not offer or impose any terms on such Source Code that alter or restrict this License or the recipients' rights hereunder, except as permitted under Section 6.\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> Whenever reasonably feasible you should include the copy of this License in a click-wrap format, which requires affirmative acceptance by clicking on an \"I accept\" button or similar mechanism. If a click-wrap format is not included, you must include a statement that any use (including without limitation reproduction, modification or distribution) of the Software, and any other affirmative act that you define, constitutes acceptance of the License, and instructing the user not to use the Covered Code in any manner if the user does not accept all of the terms and conditions of the License.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> You may use, reproduce, display, perform, modify and Deploy Covered Code, provided that in each instance:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> You must satisfy all the conditions of Section 2.1 with respect to the Source Code of the Covered Code;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You must duplicate, to the extent it does not already exist, the notice in Exhibit A in each file of the Source Code of all Your Modifications, and cause the modified files to carry prominent notices stating that You changed the files and the date of any change;\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> You must make Source Code of all Your Deployed Modifications publicly available under the terms of this License, including the license grants set forth in Section 3 below, for as long as you Deploy the Covered Code or twelve (12) months from the date of initial Deployment, whichever is longer. You should preferably distribute the Source Code of Your Deployed Modifications electronically (e.g. download from a web site);\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> if You Deploy Covered Code in object code, executable form only, You must include a prominent notice, in the code itself as well as in related documentation, stating that Source Code of the Covered Code is available under the terms of this License with information on how and where to obtain such Source Code; and\n\n		 <<var;name=\"bullet\";original=\"(e)\";match=\".{0,20}\">> the object code form of the Covered Code may be distributed under Your own license agreement, provided that such license agreement contains terms no less protective of Sybase and each Contributor than the terms of this License, and stating that any provisions which differ from this License are offered by You alone and not by any other party.\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> You expressly acknowledge and agree that although Sybase and each Contributor grants the licenses to their respective portions of the Covered Code set forth herein, no assurances are provided by Sybase or any Contributor that the Covered Code does not infringe the patent or other intellectual property rights of any other entity. Sybase and each Contributor disclaim any liability to You for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, You hereby assume sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow You to distribute the Covered Code, it is Your responsibility to acquire that license before distributing the Covered Code.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Your Grants. In consideration of, and as a condition to, the licenses granted to You under this License, You hereby grant to Sybase and all third parties a non-exclusive, royalty-free license, under Your Applicable Patent Rights and other intellectual property rights (other than patent) owned or controlled by You, to use, reproduce, display, perform, modify, distribute and Deploy Your Modifications of the same scope and extent as Sybase's licenses under Sections 2.1 and 2.2.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Limitations on Patent License. Except as expressly stated in Section 2, no other patent rights, express or implied, are granted by Sybase herein. Modifications and/or Larger Works may require additional patent licenses from Sybase which Sybase may grant in its sole discretion.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations and/or other rights consistent with this License (\"Additional Terms\") to one or more recipients of Covered Code. However, You may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Sybase or any Contributor. You must obtain the recipient's agreement that any such Additional Terms are offered by You alone, and You hereby agree to indemnify, defend and hold Sybase and every Contributor harmless for any liability incurred by or claims asserted against Sybase or such Contributor by reason of any such Additional Terms.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Versions of the License. Sybase may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Once Original Code has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of this License published by Sybase. No one other than Sybase has the right to modify the terms applicable to Covered Code created under this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part pre-release, untested, or not fully tested works. The Covered Code may contain errors that could cause failures or loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and agree that use of the Covered Code, or any portion thereof, is at Your sole and entire risk. THE COVERED CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF ANY KIND AND SYBASE AND SYBASE'S LICENSOR(S) (COLLECTIVELY REFERRED TO AS \"SYBASE\" FOR THE PURPOSES OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY, OF QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SYBASE AND EACH CONTRIBUTOR DOES NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE COVERED CODE, THAT THE FUNCTIONS CONTAINED IN THE COVERED CODE WILL MEET YOUR REQUIREMENTS, THAT THE OPERATION OF THE COVERED CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE COVERED CODE WILL BE CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY SYBASE, A SYBASE AUTHORIZED REPRESENTATIVE OR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You acknowledge that the Covered Code is not intended for use in the operation of nuclear facilities, aircraft navigation, communication systems, or air traffic control machines in which case the failure of the Covered Code could lead to death, personal injury, or severe physical or environmental damage.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT SHALL SYBASE OR ANY CONTRIBUTOR BE LIABLE FOR ANY DIRECT, INCIDENTAL, SPECIAL, INDIRECT, CONSEQUENTIAL OR OTHER DAMAGES OF ANY KIND ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE COVERED CODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF SYBASE OR SUCH CONTRIBUTOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY OF INCIDENTAL OR CONSEQUENTIAL OR OTHER DAMAGES OF ANY KIND, SO THIS LIMITATION MAY NOT APPLY TO YOU. In no event shall Sybase's or any Contributor's total liability to You for all damages (other than as may be required by applicable law) under this License exceed the amount of five hundred dollars ($500.00).\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Trademarks. This License does not grant any rights to use the trademarks or trade names \"Sybase\" or any other trademarks or trade names belonging to Sybase (collectively \"Sybase Marks\") or to any trademark or trade name belonging to any Contributor(\"Contributor Marks\"). No Sybase Marks or Contributor Marks may be used to endorse or promote products derived from the Original Code or Covered Code other than with the prior written consent of Sybase or the Contributor, as applicable.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Ownership. Subject to the licenses granted under this License, each Contributor retains all rights, title and interest in and to any Modifications made by such Contributor. Sybase retains all rights, title and interest in and to the Original Code and any Modifications made by or on behalf of Sybase (\"Sybase Modifications\"), and such Sybase Modifications will not be automatically subject to this License. Sybase may, at its sole discretion, choose to license such Sybase Modifications under this License, or on different terms from those contained in this License or may choose not to license them at all.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Termination.\n\n	  <<var;name=\"bullet\";original=\"12.1\";match=\".{0,20}\">> Termination. This License and the rights granted hereunder will terminate:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> automatically without notice if You fail to comply with any term(s) of this License and fail to cure such breach within 30 days of becoming aware of such breach;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> immediately in the event of the circumstances described in Section 13.5(b); or\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> automatically without notice if You, at any time during the term of this License, commence an action for patent infringement (including as a cross claim or counterclaim) against Sybase or any Contributor.\n\n	  <<var;name=\"bullet\";original=\"12.2\";match=\".{0,20}\">> Effect of Termination. Upon termination, You agree to immediately stop any further use, reproduction, modification, sublicensing and distribution of the Covered Code and to destroy all copies of the Covered Code that are in your possession or control. All sublicenses to the Covered Code that have been properly granted prior to termination shall survive any termination of this License. Provisions which, by their nature, should remain in effect beyond the termination of this License shall survive, including but not limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13. No party will be liable to any other for compensation, indemnity or damages of any sort solely as a result of terminating this License in accordance with its terms, and termination of this License will be without prejudice to any other right or remedy of any party.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Miscellaneous.\n\n	  <<var;name=\"bullet\";original=\"13.1\";match=\".{0,20}\">> Government End Users. The Covered Code is a \"commercial item\" as defined in FAR 2.101. Government software and technical data rights in the Covered Code include only those rights customarily provided to the public as defined in this License. This customary commercial license in technical data and software is provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation). Accordingly, all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n	  <<var;name=\"bullet\";original=\"13.2\";match=\".{0,20}\">> Relationship of Parties. This License will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between or among you, Sybase or any Contributor, and You will not represent to the contrary, whether expressly, by implication, appearance or otherwise.\n\n	  <<var;name=\"bullet\";original=\"13.3\";match=\".{0,20}\">> Independent Development. Nothing in this License will impair Sybase's or any Contributor's right to acquire, license, develop, have others develop for it, market and/or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Modifications, Larger Works, technology or products that You may develop, produce, market or distribute.\n\n	  <<var;name=\"bullet\";original=\"13.4\";match=\".{0,20}\">> Waiver; Construction. Failure by Sybase or any Contributor to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter will not apply to this License.\n\n	  <<var;name=\"bullet\";original=\"13.5\";match=\".{0,20}\">> Severability. (a) If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You from fully and/or specifically complying with Sections 2 and/or 3 or prevents the enforceability of either of those Sections, this License will immediately terminate and You must immediately discontinue any use of the Covered Code and destroy all copies of it that are in your possession or control.\n\n	  <<var;name=\"bullet\";original=\"13.6\";match=\".{0,20}\">> Dispute Resolution. Any litigation or other dispute resolution between You and Sybase relating to this License shall take place in the Northern District of California, and You and Sybase hereby consent to the personal jurisdiction of, and venue in, the state and federal courts within that District with respect to this License. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n	  <<var;name=\"bullet\";original=\"13.7\";match=\".{0,20}\">> Entire Agreement; Governing Law. This License constitutes the entire agreement between the parties with respect to the subject matter hereof. This License shall be governed by the laws of the United States and the State of California, except that body of California law concerning conflicts of law.\n\nWhere You are located in the province of Quebec, Canada, the following clause applies: The parties hereby confirm that they have requested that this License and all related documents be drafted in English. Les parties ont exig\u00e8 que le pr\u00e8sent contrat et tous les documents connexes soient r\u00e8di\u00e8s en anglais.\n\n<<beginOptional>>EXHIBIT A.\n\n\"Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.\n\nThis file contains Original Code and/or Modifications of Original Code as defined in and that are subject to the Sybase Open Watcom Public License version 1.0 (the 'License'). You may not use this file except in compliance with the License. BY USING THIS FILE YOU AGREE TO ALL TERMS AND CONDITIONS OF THE LICENSE. A copy of the License is provided with the Original Code and Modifications, and is also available at www.sybase.com/developer/opensource.\n\nThe Original Code and all software distributed under the License are distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND SYBASE AND ALL CONTRIBUTORS HEREBY DISCLAIM ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. Please see the License for the specific language governing rights and limitations under the License.\"\n\n<<endOptional>>"
		self.name = "Sybase Open Watcom Public License 1.0"
		self.licenseId = "Watcom-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Watcom-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:29Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/Watcom-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Sybase Open Watcom Public License version 1.0</p>\n\n	  </div>\n\n	  <p>USE OF THE SYBASE OPEN WATCOM SOFTWARE DESCRIBED BELOW (&quot;SOFTWARE&quot;) IS SUBJECT TO THE TERMS AND\n		 CONDITIONS SET FORTH IN THE SYBASE OPEN WATCOM PUBLIC LICENSE SET FORTH BELOW (&quot;LICENSE&quot;). YOU MAY NOT\n		 USE THE SOFTWARE IN ANY MANNER UNLESS YOU ACCEPT THE TERMS AND CONDITIONS OF THE LICENSE. YOU INDICATE\n		 YOUR ACCEPTANCE BY IN ANY MANNER USING (INCLUDING WITHOUT LIMITATION BY REPRODUCING, MODIFYING OR\n		 DISTRIBUTING) THE SOFTWARE. IF YOU DO NOT ACCEPT ALL OF THE TERMS AND CONDITIONS OF THE LICENSE, DO\n		 NOT USE THE SOFTWARE IN ANY MANNER.</p>\n\n	  <p>Sybase Open Watcom Public License version 1.0</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  General; Definitions. This License applies only to the following software programs: the open\n			 source versions of Sybase&apos;s Watcom C/C++ and Fortran compiler products (&quot;Software&quot;), which are\n			 modified versions of, with significant changes from, the last versions made commercially\n			 available by Sybase. As used in this License:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1</var>\n			  &quot;Applicable Patent Rights&quot; mean: (a) in the case where Sybase is the grantor of rights, (i)\n				claims of patents that are now or hereafter acquired, owned by or assigned to Sybase and (ii)\n				that cover subject matter contained in the Original Code, but only to the extent necessary to\n				use, reproduce and/or distribute the Original Code without infringement; and (b) in the case\n				where You are the grantor of rights, (i) claims of patents that are now or hereafter acquired,\n				owned by or assigned to You and (ii) that cover subject matter in Your Modifications, taken\n				alone or in combination with Original Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2</var>\n			  &quot;Contributor&quot; means any person or entity that creates or contributes to the creation of Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3</var>\n			  &quot;Covered Code&quot; means the Original Code, Modifications, the combination of Original Code and any\n				Modifications, and/or any respective portions thereof.\n			</li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 1.4</var>\n				 &quot;Deploy&quot; means to use, sublicense or distribute Covered Code other than for Your internal\n					research and development (R&amp;D) and/or Personal Use, and includes without limitation, any\n					and all internal use or distribution of Covered Code within Your business or organization\n					except for R&amp;D use and/or Personal Use, as well as direct or indirect sublicensing or\n					distribution of Covered Code by You to any third party in any form or manner.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 1.5</var>\n				 &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with code not governed\n					by the terms of this License.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 1.6</var>\n				 &quot;Modifications&quot; mean any addition to, deletion from, and/or change to, the substance and/or\n					structure of the Original Code, any previous Modifications, the combination of Original Code\n					and any previous Modifications, and/or any respective portions thereof. When code is released\n					as a series of files, a Modification is: (a) any addition to or deletion from the contents of\n					a file containing Covered Code; and/or (b) any new file or other representation of computer\n					program statements that contains any part of Covered Code.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 1.7</var>\n				 &quot;Original Code&quot; means (a) the Source Code of a program or other work as originally made available\n					by Sybase under this License, including the Source Code of any updates or upgrades to such\n					programs or works made available by Sybase under this License, and that has been expressly\n					identified by Sybase as such in the header file(s) of such work; and (b) the object code\n					compiled from such Source Code and originally made available by Sybase under this License.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 1.8</var>\n				 &quot;Personal Use&quot; means use of Covered Code by an individual solely for his or her personal, private\n					and non-commercial purposes. An individual&apos;s use of Covered Code in his or her capacity as an\n					officer, employee, member, independent contractor or agent of a corporation, business or\n					organization (commercial or non-commercial) does not qualify as Personal Use.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 1.9</var>\n				 &quot;Source Code&quot; means the human readable form of a program or other work that is suitable for\n					making modifications to it, including all modules it contains, plus any associated interface\n					definition files, scripts used to control compilation and installation of an executable\n					(object code).\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 1.10</var>\n				 &quot;You&quot; or &quot;Your&quot; means an individual or a legal entity exercising rights under this License. For\n					legal entities, &quot;You&quot; or &quot;Your&quot; includes any entity which controls, is controlled by, or is\n					under common control with, You, where &quot;control&quot; means (a) the power, direct or indirect, to\n					cause the direction or management of such entity, whether by contract or otherwise, or (b)\n					ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of\n					such entity.\n			   </li>\n			 \n</ul>\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 2.</var>\n			 Permitted Uses; Conditions &amp; Restrictions.Subject to the terms and conditions of this\n				License, Sybase hereby grants You, effective on the date You accept this License and download\n				the Original Code, a world-wide, royalty-free, non-exclusive license, to the extent of\n				Sybase&apos;s Applicable Patent Rights and copyrights covering the Original Code, to do the\n				following:\n			 \n<ul style=\"list-style:none\">\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 2.1</var>\n				 You may use, reproduce, display, perform, modify and distribute Original Code, with or without\n					Modifications, solely for Your internal research and development and/or Personal Use, provided\n					that in each instance:\n				  \n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n					  You must retain and reproduce in all copies of Original Code the copyright and other proprietary\n						 notices and disclaimers of Sybase as they appear in the Original Code, and keep intact all\n						 notices in the Original Code that refer to this License; and\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n					  You must retain and reproduce a copy of this License with every copy of Source Code of Covered\n						 Code and documentation You distribute, and You may not offer or impose any terms on such\n						 Source Code that alter or restrict this License or the recipients&apos; rights hereunder, except as\n						 permitted under Section 6.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n					  Whenever reasonably feasible you should include the copy of this License in a click-wrap format,\n						 which requires affirmative acceptance by clicking on an &quot;I accept&quot; button or similar\n						 mechanism. If a click-wrap format is not included, you must include a statement that any use\n						 (including without limitation reproduction, modification or distribution) of the Software, and\n						 any other affirmative act that you define, constitutes acceptance of the License, and\n						 instructing the user not to use the Covered Code in any manner if the user does not accept all\n						 of the terms and conditions of the License.\n					</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 2.2</var>\n				 You may use, reproduce, display, perform, modify and Deploy Covered Code, provided that in each\n					instance:\n				  \n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n					  You must satisfy all the conditions of Section 2.1 with respect to the Source Code of the Covered Code;\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n					  You must duplicate, to the extent it does not already exist, the notice in Exhibit A in each file\n						 of the Source Code of all Your Modifications, and cause the modified files to carry prominent\n						 notices stating that You changed the files and the date of any change;\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n					  You must make Source Code of all Your Deployed Modifications publicly available under the terms\n						 of this License, including the license grants set forth in Section 3 below, for as long as you\n						 Deploy the Covered Code or twelve (12) months from the date of initial Deployment, whichever\n						 is longer. You should preferably distribute the Source Code of Your Deployed Modifications\n						 electronically (e.g. download from a web site);\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n					  if You Deploy Covered Code in object code, executable form only, You must include a prominent\n						 notice, in the code itself as well as in related documentation, stating that Source Code of\n						 the Covered Code is available under the terms of this License with information on how and\n						 where to obtain such Source Code; and\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> (e)</var>\n					  the object code form of the Covered Code may be distributed under Your own license agreement,\n						 provided that such license agreement contains terms no less protective of Sybase and each\n						 Contributor than the terms of this License, and stating that any provisions which differ from\n						 this License are offered by You alone and not by any other party.\n					</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 2.3</var>\n				 You expressly acknowledge and agree that although Sybase and each Contributor grants the licenses\n					to their respective portions of the Covered Code set forth herein, no assurances are provided\n					by Sybase or any Contributor that the Covered Code does not infringe the patent or other\n					intellectual property rights of any other entity. Sybase and each Contributor disclaim any\n					liability to You for claims brought by any other entity based on infringement of intellectual\n					property rights or otherwise. As a condition to exercising the rights and licenses granted\n					hereunder, You hereby assume sole responsibility to secure any other intellectual property\n					rights needed, if any. For example, if a third party patent license is required to allow You\n					to distribute the Covered Code, it is Your responsibility to acquire that license before\n					distributing the Covered Code.\n			   </li>\n			\n</ul>\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 3.</var>\n			 Your Grants. In consideration of, and as a condition to, the licenses granted to You under this\n				License, You hereby grant to Sybase and all third parties a non-exclusive, royalty-free\n				license, under Your Applicable Patent Rights and other intellectual property rights (other\n				than patent) owned or controlled by You, to use, reproduce, display, perform, modify,\n				distribute and Deploy Your Modifications of the same scope and extent as Sybase&apos;s licenses\n				under Sections 2.1 and 2.2.\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 4.</var>\n			 Larger Works. You may create a Larger Work by combining Covered Code with other code not governed\n				by the terms of this License and distribute the Larger Work as a single product. In each such\n				instance, You must make sure the requirements of this License are fulfilled for the Covered\n				Code or any portion thereof.\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 5.</var>\n			 Limitations on Patent License. Except as expressly stated in Section 2, no other patent rights,\n				express or implied, are granted by Sybase herein. Modifications and/or Larger Works may\n				require additional patent licenses from Sybase which Sybase may grant in its sole\n				discretion.\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 6.</var>\n			 Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity\n				or liability obligations and/or other rights consistent with this License (&quot;Additional Terms&quot;)\n				to one or more recipients of Covered Code. However, You may do so only on Your own behalf and\n				as Your sole responsibility, and not on behalf of Sybase or any Contributor. You must obtain\n				the recipient&apos;s agreement that any such Additional Terms are offered by You alone, and You\n				hereby agree to indemnify, defend and hold Sybase and every Contributor harmless for any\n				liability incurred by or claims asserted against Sybase or such Contributor by reason of any\n				such Additional Terms.\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 7.</var>\n			 Versions of the License. Sybase may publish revised and/or new versions of this License from time\n				to time. Each version will be given a distinguishing version number. Once Original Code has\n				been published under a particular version of this License, You may continue to use it under\n				the terms of that version. You may also choose to use such Original Code under the terms of\n				any subsequent version of this License published by Sybase. No one other than Sybase has the\n				right to modify the terms applicable to Covered Code created under this License.\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 8.</var>\n			 NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part pre-release, untested,\n				or not fully tested works. The Covered Code may contain errors that could cause failures or\n				loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and\n				agree that use of the Covered Code, or any portion thereof, is at Your sole and entire risk.\n				THE COVERED CODE IS PROVIDED &quot;AS IS&quot; AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF ANY KIND AND\n				SYBASE AND SYBASE&apos;S LICENSOR(S) (COLLECTIVELY REFERRED TO AS &quot;SYBASE&quot; FOR THE PURPOSES OF\n				SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS,\n				EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF\n				MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY, OF\n				QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SYBASE AND EACH CONTRIBUTOR DOES\n				NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE COVERED CODE, THAT THE FUNCTIONS\n				CONTAINED IN THE COVERED CODE WILL MEET YOUR REQUIREMENTS, THAT THE OPERATION OF THE COVERED\n				CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE COVERED CODE WILL BE\n				CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY SYBASE, A SYBASE AUTHORIZED\n				REPRESENTATIVE OR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You acknowledge that the Covered\n				Code is not intended for use in the operation of nuclear facilities, aircraft navigation,\n				communication systems, or air traffic control machines in which case the failure of the\n				Covered Code could lead to death, personal injury, or severe physical or environmental\n				damage.\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 9.</var>\n			 LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT SHALL SYBASE OR ANY\n				CONTRIBUTOR BE LIABLE FOR ANY DIRECT, INCIDENTAL, SPECIAL, INDIRECT, CONSEQUENTIAL OR OTHER\n				DAMAGES OF ANY KIND ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE\n				THE COVERED CODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT\n				(INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF SYBASE OR SUCH CONTRIBUTOR\n				HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, AND NOTWITHSTANDING THE FAILURE OF\n				ESSENTIAL PURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY\n				OF INCIDENTAL OR CONSEQUENTIAL OR OTHER DAMAGES OF ANY KIND, SO THIS LIMITATION MAY NOT APPLY\n				TO YOU. In no event shall Sybase&apos;s or any Contributor&apos;s total liability to You for all damages\n				(other than as may be required by applicable law) under this License exceed the amount of five\n				hundred dollars ($500.00).\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 10.</var>\n			 Trademarks. This License does not grant any rights to use the trademarks or trade names &quot;Sybase&quot;\n				or any other trademarks or trade names belonging to Sybase (collectively &quot;Sybase Marks&quot;) or to\n				any trademark or trade name belonging to any Contributor(&quot;Contributor Marks&quot;). No Sybase Marks\n				or Contributor Marks may be used to endorse or promote products derived from the Original Code\n				or Covered Code other than with the prior written consent of Sybase or the Contributor, as\n				applicable.\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 11.</var>\n			 Ownership. Subject to the licenses granted under this License, each Contributor retains all\n				rights, title and interest in and to any Modifications made by such Contributor. Sybase\n				retains all rights, title and interest in and to the Original Code and any Modifications made\n				by or on behalf of Sybase (&quot;Sybase Modifications&quot;), and such Sybase Modifications will not be\n				automatically subject to this License. Sybase may, at its sole discretion, choose to license\n				such Sybase Modifications under this License, or on different terms from those contained in\n				this License or may choose not to license them at all.\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 12.</var>\n			 Termination.\n			 \n<ul style=\"list-style:none\">\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 12.1</var>\n				 Termination. This License and the rights granted hereunder will terminate:\n				 \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n					 automatically without notice if You fail to comply with any term(s) of this License and fail to\n						cure such breach within 30 days of becoming aware of such breach;\n				   </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n					 immediately in the event of the circumstances described in Section 13.5(b); or\n				   </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n					 automatically without notice if You, at any time during the term of this License, commence an\n						action for patent infringement (including as a cross claim or counterclaim) against Sybase or\n						any Contributor.\n				   </li>\n				 \n</ul>\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 12.2</var>\n				 Effect of Termination. Upon termination, You agree to immediately stop any further use,\n					reproduction, modification, sublicensing and distribution of the Covered Code and to destroy\n					all copies of the Covered Code that are in your possession or control. All sublicenses to the\n					Covered Code that have been properly granted prior to termination shall survive any\n					termination of this License. Provisions which, by their nature, should remain in effect beyond\n					the termination of this License shall survive, including but not limited to Sections 3, 5, 8,\n					9, 10, 11, 12.2 and 13. No party will be liable to any other for compensation, indemnity or\n					damages of any sort solely as a result of terminating this License in accordance with its\n					terms, and termination of this License will be without prejudice to any other right or remedy\n					of any party.\n			   </li>\n			 \n</ul>\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 13.</var>\n			 Miscellaneous.\n			 \n<ul style=\"list-style:none\">\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 13.1</var>\n				 Government End Users. The Covered Code is a &quot;commercial item&quot; as defined in FAR 2.101. Government\n					software and technical data rights in the Covered Code include only those rights customarily\n					provided to the public as defined in this License. This customary commercial license in\n					technical data and software is provided in accordance with FAR 12.211 (Technical Data) and\n					12.212 (Computer Software) and, for Department of Defense purchases, DFAR 252.227-7015\n					(Technical Data -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software or\n					Computer Software Documentation). Accordingly, all U.S. Government End Users acquire Covered\n					Code with only those rights set forth herein.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 13.2</var>\n				 Relationship of Parties. This License will not be consTrued as creating an agency, partnership,\n					joint venture or any other form of legal association between or among you, Sybase or any\n					Contributor, and You will not represent to the contrary, whether expressly, by implication,\n					appearance or otherwise.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 13.3</var>\n				 Independent Development. Nothing in this License will impair Sybase&apos;s or any Contributor&apos;s right\n					to acquire, license, develop, have others develop for it, market and/or distribute technology\n					or products that perform the same or similar functions as, or otherwise compete with,\n					Modifications, Larger Works, technology or products that You may develop, produce, market or\n					distribute.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 13.4</var>\n				 Waiver; Construction. Failure by Sybase or any Contributor to enforce any provision of this\n					License will not be deemed a waiver of future enforcement of that or any other provision. Any\n					law or regulation which provides that the language of a contract shall be consTrued against\n					the drafter will not apply to this License.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 13.5</var>\n				 Severability. (a) If for any reason a court of competent jurisdiction finds any provision of this\n					License, or portion thereof, to be unenforceable, that provision of the License will be\n					enforced to the maximum extent permissible so as to effect the economic benefits and intent of\n					the parties, and the remainder of this License will continue in full force and effect. (b)\n					Notwithstanding the foregoing, if applicable law prohibits or restricts You from fully and/or\n					specifically complying with Sections 2 and/or 3 or prevents the enforceability of either of\n					those Sections, this License will immediately terminate and You must immediately discontinue\n					any use of the Covered Code and destroy all copies of it that are in your possession or\n					control.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 13.6</var>\n				 Dispute Resolution. Any litigation or other dispute resolution between You and Sybase relating to\n					this License shall take place in the Northern District of California, and You and Sybase\n					hereby consent to the personal jurisdiction of, and venue in, the state and federal courts\n					within that District with respect to this License. The application of the United Nations\n					Convention on Contracts for the International Sale of Goods is expressly excluded.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 13.7</var>\n				 Entire Agreement; Governing Law. This License constitutes the entire agreement between the\n					parties with respect to the subject matter hereof. This License shall be governed by the laws\n					of the United States and the State of California, except that body of California law\n					concerning conflicts of law.\n			   </li>\n			 \n</ul>\n		   </li>\n	  \n</ul>\n	  <p>Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby\n		 confirm that they have requested that this License and all related documents be drafted in English.\n		 Les parties ont exig\u00e8 que le pr\u00e8sent contrat et tous les documents connexes soient r\u00e8di\u00e8s en\n		 anglais.</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A.</p>\n\n		 <p>&quot;Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.\n		<br />\n\nThis file contains Original Code and/or Modifications of Original Code as defined in and that are\n			 subject to the Sybase Open Watcom Public License version 1.0 (the &apos;License&apos;). You may not use\n			 this file except in compliance with the License. BY USING THIS FILE YOU AGREE TO ALL TERMS AND\n			 CONDITIONS OF THE LICENSE. A copy of the License is provided with the Original Code and\n			 Modifications, and is also available at www.sybase.com/developer/opensource.</p>\n\n		 <p>The Original Code and all software distributed under the License are distributed on an &apos;AS IS&apos; basis,\n		 WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND SYBASE AND ALL CONTRIBUTORS HEREBY\n		 DISCLAIM ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS\n		 FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. Please see the License for the specific\n		 language governing rights and limitations under the License.&quot;</p>\n\n	  </div>\n	"
		self.python_name = "Watcom10"

	def __str__(self):
		return json.dumps(self.__dict__)


class IBMpibs:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This source code has been made available to you by IBM on an AS-IS basis.  Anyone receiving this source is licensed under IBM copyrights to use it in any way he or she deems fit, including copying it, modifying it, compiling it, and redistributing it either with or without modifications.  No license under IBM patents or patent applications is to be implied by the copyright license.\n\nAny user of this software should understand that IBM cannot provide technical support for this software and will not be responsible for any consequences resulting from the use of this software.\n\nAny person who transfers this source code or any derivative work must include the IBM copyright notice, this paragraph, and the preceding two paragraphs in the transferred software.\n\nCOPYRIGHT   I B M   CORPORATION 2002\nLICENSED MATERIAL  -  PROGRAM PROPERTY OF I B M\n"
		self.standardLicenseTemplate = "This source code has been made available to you by IBM on an AS-IS basis. Anyone receiving this source is licensed under IBM copyrights to use it in any way he or she deems fit, including copying it, modifying it, compiling it, and redistributing it either with or without modifications. No license under IBM patents or patent applications is to be implied by the copyright license.\n\nAny user of this software should understand that IBM cannot provide technical support for this software and will not be responsible for any consequences resulting from the use of this software.\n\nAny person who transfers this source code or any derivative work must include the IBM copyright notice, this paragraph, and the preceding two paragraphs in the transferred software.\n\nCOPYRIGHT I B M CORPORATION 2002\n\nLICENSED MATERIAL - PROGRAM PROPERTY OF I B M\n\n"
		self.name = "IBM PowerPC Initialization and Boot Software"
		self.licenseId = "IBM-pibs"
		self.crossRef = [{"match": "False", "url": "http://git.denx.de/?p=u-boot.git;a=blob;f=arch/powerpc/cpu/ppc4xx/miiphy.c;h=297155fdafa064b955e53e9832de93bfb0cfb85b;hb=9fab4bf4cc077c21e43941866f3f2c196f28670d", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:08Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://git.denx.de/?p=u-boot.git;a=blob;f=arch/powerpc/cpu/ppc4xx/miiphy.c;h=297155fdafa064b955e53e9832de93bfb0cfb85b;hb=9fab4bf4cc077c21e43941866f3f2c196f28670d"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>This source code has been made available to you by IBM on an AS-IS basis. Anyone receiving this source is\n		 licensed under IBM copyrights to use it in any way he or she deems fit, including copying it,\n		 modifying it, compiling it, and redistributing it either with or without modifications. No license\n		 under IBM patents or patent applications is to be implied by the copyright license.</p>\n\n	  <p>Any user of this software should understand that IBM cannot provide technical support for this software\n		 and will not be responsible for any consequences resulting from the use of this software.</p>\n\n	  <p>Any person who transfers this source code or any derivative work must include the IBM copyright notice,\n		 this paragraph, and the preceding two paragraphs in the transferred software.</p>\n\n	  <p>COPYRIGHT I B M CORPORATION 2002\n		<br />\n\nLICENSED MATERIAL - PROGRAM PROPERTY OF I B M\n	  </p>\n\n	"
		self.python_name = "IBMpibs"

	def __str__(self):
		return json.dumps(self.__dict__)


class SCEA:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "SCEA Shared Source License 1.0\n\nTerms and Conditions:\n\n1. Definitions:\n\n\"Software\" shall mean the software and related documentation, whether in Source or Object Form, made available under this SCEA Shared Source license (\"License\"), that is indicated by a copyright notice file included in the source files or attached or accompanying the source files.\n\n\"Licensor\" shall mean Sony Computer Entertainment America, Inc. (herein \"SCEA\")\n\n\"Object Code\" or \"Object Form\" shall mean any form that results from translation or transformation of Source Code, including but not limited to compiled object code or conversions to other forms intended for machine execution.\n\"Source Code\" or \"Source Form\" shall have the plain meaning generally accepted in the software industry, including but not limited to software source code, documentation source, header and configuration files.\n\n\"You\" or \"Your\" shall mean you as an individual or as a company, or whichever form under which you are exercising rights under this License.\n\n2. License Grant.\n\nLicensor hereby grants to You, free of charge subject to the terms and conditions of this License, an irrevocable, non-exclusive, worldwide, perpetual, and royalty-free license to use, modify, reproduce, distribute, publicly perform or display the Software in Object or Source Form .\n\n3. No Right to File for Patent.\nIn exchange for the rights that are granted to You free of charge under this License, You agree that You will not file for any patent application, seek copyright protection or take any other action that might otherwise impair the ownership rights in and to the Software that may belong to SCEA or any of the other contributors/authors of the Software.\n\n4. Contributions.\n\nSCEA welcomes contributions in form of modifications, optimizations, tools or documentation designed to improve or expand the performance and scope of the Software (collectively \"Contributions\"). Per the terms of this License You are free to modify the Software and those modifications would belong to You. You may however wish to donate Your Contributions to SCEA for consideration for inclusion into the Software. For the avoidance of doubt, if You elect to send Your Contributions to SCEA, You are doing so voluntarily and are giving the Contributions to SCEA and its parent company Sony Computer Entertainment, Inc., free of charge, to use, modify or distribute in any form or in any manner. SCEA acknowledges that if You make a donation of Your Contributions to SCEA, such Contributions shall not exclusively belong to SCEA or its parent company and such donation shall not be to Your exclusion. SCEA, in its sole discretion, shall determine whether or not to include Your donated Contributions into the Software, in whole, in part, or as modified by SCEA. Should SCEA elect to include any such Contributions into the Software, it shall do so at its own risk and may elect to give credit or special thanks to any such contributors in the attached copyright notice. However, if any of Your contributions are included into the Software, they will become part of the Software and will be distributed under the terms and conditions of this License. Further, if Your donated Contributions are integrated into the Software then Sony Computer Entertainment, Inc. shall become the copyright owner of the Software now containing Your contributions and SCEA would be the Licensor.\n\n5. Redistribution in Source Form\n\nYou may redistribute copies of the Software, modifications or derivatives thereof in Source Code Form, provided that You:\n\n	 a. Include a copy of this License and any copyright notices with source\n\n	 b. Identify modifications if any were made to the Software\n\n	 c. Include a copy of all documentation accompanying the Software and modifications made by You\n\n6. Redistribution in Object Form\n\nIf You redistribute copies of the Software, modifications or derivatives thereof in Object Form only (as incorporated into finished goods, i.e. end user applications) then You will not have a duty to include any copies of the code, this License, copyright notices, other attributions or documentation.\n\n7. No Warranty\n\nTHE SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT ANY REPRESENTATIONS OR WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE. YOU ARE SOLELY RESPONSIBLE FOR DETERMINING THE APPROPRIATENESS OF USING, MODIFYING OR REDISTRIBUTING THE SOFTWARE AND ASSUME ANY RISKS ASSOCIATED WITH YOUR EXERCISE OF PERMISSIONS UNDER THIS LICENSE.\n\n8. Limitation of Liability\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY WILL EITHER PARTY BE LIABLE TO THE OTHER PARTY OR ANY THIRD PARTY FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL, SPECIAL, INCIDENTAL, OR EXEMPLARY DAMAGES WITH RESPECT TO ANY INJURY, LOSS, OR DAMAGE, ARISING UNDER OR IN CONNECTION WITH THIS LETTER AGREEMENT, WHETHER FORESEEABLE OR UNFORESEEABLE, EVEN IF SUCH PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH INJURY, LOSS, OR DAMAGE. THE LIMITATIONS OF LIABILITY SET FORTH IN THIS SECTION SHALL APPLY TO THE FULLEST EXTENT PERMISSIBLE AT LAW OR ANY GOVERMENTAL REGULATIONS.\n\n9. Governing Law and Consent to Jurisdiction\n\nThis Agreement shall be governed by and interpreted in accordance with the laws of the State of California, excluding that body of law related to choice of laws, and of the United States of America. Any action or proceeding brought to enforce the terms of this Agreement or to adjudicate any dispute arising hereunder shall be brought in the Superior Court of the County of San Mateo, State of California or the United States District Court for the Northern District of California. Each of the parties hereby submits itself to the exclusive jurisdiction and venue of such courts for purposes of any such action. In addition, each party hereby waives the right to a jury trial in any action or proceeding related to this Agreement.\n\n10. Copyright Notice for Redistribution of Source Code\n\nCopyright 2005 Sony Computer Entertainment Inc.\n\nLicensed under the SCEA Shared Source License, Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at:\nhttp://research.scea.com/scea_shared_source_license.html\n\nUnless required by applicable law or agreed to in writing, software distributed under the License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.\n"
		self.standardLicenseHeaderTemplate = "Copyright <<var;name=\"copyright\";original=\"2005 Sony Computer Entertainment Inc.\";match=\".+\">>\n\nLicensed under the SCEA Shared Source License, Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at:\n\nhttp://research.scea.com/scea_shared_source_license.html\n\nUnless required by applicable law or agreed to in writing, software distributed under the License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>SCEA Shared Source License 1.0\n\n<<endOptional>>\n\nTerms and Conditions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions:\n\n   \"Software\" shall mean the software and related documentation, whether in Source or Object Form, made available under this SCEA Shared Source license (\"License\"), that is indicated by a copyright notice file included in the source files or attached or accompanying the source files.\n\n   \"Licensor\" shall mean Sony Computer Entertainment America, Inc. (herein \"SCEA\")\n\n   \"Object Code\" or \"Object Form\" shall mean any form that results from translation or transformation of Source Code, including but not limited to compiled object code or conversions to other forms intended for machine execution.\n\n   \"Source Code\" or \"Source Form\" shall have the plain meaning generally accepted in the software industry, including but not limited to software source code, documentation source, header and configuration files.\n\n   \"You\" or \"Your\" shall mean you as an individual or as a company, or whichever form under which you are exercising rights under this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> License Grant.\n\n   Licensor hereby grants to You, free of charge subject to the terms and conditions of this License, an irrevocable, non-exclusive, worldwide, perpetual, and royalty-free license to use, modify, reproduce, distribute, publicly perform or display the Software in Object or Source Form .\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> No Right to File for Patent.\n\n   In exchange for the rights that are granted to You free of charge under this License, You agree that You will not file for any patent application, seek copyright protection or take any other action that might otherwise impair the ownership rights in and to the Software that may belong to SCEA or any of the other contributors/authors of the Software.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Contributions.\n\n   SCEA welcomes contributions in form of modifications, optimizations, tools or documentation designed to improve or expand the performance and scope of the Software (collectively \"Contributions\"). Per the terms of this License You are free to modify the Software and those modifications would belong to You. You may however wish to donate Your Contributions to SCEA for consideration for inclusion into the Software. For the avoidance of doubt, if You elect to send Your Contributions to SCEA, You are doing so voluntarily and are giving the Contributions to SCEA and its parent company Sony Computer Entertainment, Inc., free of charge, to use, modify or distribute in any form or in any manner. SCEA acknowledges that if You make a donation of Your Contributions to SCEA, such Contributions shall not exclusively belong to SCEA or its parent company and such donation shall not be to Your exclusion. SCEA, in its sole discretion, shall determine whether or not to include Your donated Contributions into the Software, in whole, in part, or as modified by SCEA. Should SCEA elect to include any such Contributions into the Software, it shall do so at its own risk and may elect to give credit or special thanks to any such contributors in the attached copyright notice. However, if any of Your contributions are included into the Software, they will become part of the Software and will be distributed under the terms and conditions of this License. Further, if Your donated Contributions are integrated into the Software then Sony Computer Entertainment, Inc. shall become the copyright owner of the Software now containing Your contributions and SCEA would be the Licensor.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Redistribution in Source Form\n\n   You may redistribute copies of the Software, modifications or derivatives thereof in Source Code Form, provided that You:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Include a copy of this License and any copyright notices with source\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Identify modifications if any were made to the Software\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Include a copy of all documentation accompanying the Software and modifications made by You\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Redistribution in Object Form\n\n   If You redistribute copies of the Software, modifications or derivatives thereof in Object Form only (as incorporated into finished goods, i.e. end user applications) then You will not have a duty to include any copies of the code, this License, copyright notices, other attributions or documentation.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> No Warranty\n\n   THE SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT ANY REPRESENTATIONS OR WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE. YOU ARE SOLELY RESPONSIBLE FOR DETERMINING THE APPROPRIATENESS OF USING, MODIFYING OR REDISTRIBUTING THE SOFTWARE AND ASSUME ANY RISKS ASSOCIATED WITH YOUR EXERCISE OF PERMISSIONS UNDER THIS LICENSE.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Limitation of Liability\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY WILL EITHER PARTY BE LIABLE TO THE OTHER PARTY OR ANY THIRD PARTY FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL, SPECIAL, INCIDENTAL, OR EXEMPLARY DAMAGES WITH RESPECT TO ANY INJURY, LOSS, OR DAMAGE, ARISING UNDER OR IN CONNECTION WITH THIS LETTER AGREEMENT, WHETHER FORESEEABLE OR UNFORESEEABLE, EVEN IF SUCH PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH INJURY, LOSS, OR DAMAGE. THE LIMITATIONS OF LIABILITY SET FORTH IN THIS SECTION SHALL APPLY TO THE FULLEST EXTENT PERMISSIBLE AT LAW OR ANY GOVERMENTAL REGULATIONS.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Governing Law and Consent to Jurisdiction\n\n   This Agreement shall be governed by and interpreted in accordance with the laws of the State of California, excluding that body of law related to choice of laws, and of the United States of America. Any action or proceeding brought to enforce the terms of this Agreement or to adjudicate any dispute arising hereunder shall be brought in the Superior Court of the County of San Mateo, State of California or the United States District Court for the Northern District of California. Each of the parties hereby submits itself to the exclusive jurisdiction and venue of such courts for purposes of any such action. In addition, each party hereby waives the right to a jury trial in any action or proceeding related to this Agreement.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Copyright Notice for Redistribution of Source Code\n\nCopyright <<var;name=\"copyright\";original=\"2005 Sony Computer Entertainment Inc.\";match=\".+\">>\n\nLicensed under the SCEA Shared Source License, Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at:\n\nhttp://research.scea.com/scea_shared_source_license.html\n\nUnless required by applicable law or agreed to in writing, software distributed under the License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.\n\n"
		self.name = "SCEA Shared Source License"
		self.licenseId = "SCEA"
		self.standardLicenseHeader = "Copyright 2005 Sony Computer Entertainment Inc.\n\nLicensed under the SCEA Shared Source License, Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at:\n\nhttp://research.scea.com/scea_shared_source_license.html\n\nUnless required by applicable law or agreed to in writing, software distributed under the License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.\n\n"
		self.crossRef = [{"match": "N/A", "url": "http://research.scea.com/scea_shared_source_license.html", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:13:52Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://research.scea.com/scea_shared_source_license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>SCEA Shared Source License 1.0</p>\n\n	  </div>\n	  <p>Terms and Conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions:\n		  <p>&quot;Software&quot; shall mean the software and related documentation, whether in Source or Object Form,\n			 made available under this SCEA Shared Source license (&quot;License&quot;), that is indicated by a\n			 copyright notice file included in the source files or attached or accompanying the source\n			 files.</p>\n\n			<p>&quot;Licensor&quot; shall mean Sony Computer Entertainment America, Inc. (herein &quot;SCEA&quot;)</p>\n\n			<p>&quot;Object Code&quot; or &quot;Object Form&quot; shall mean any form that results from translation or\n			 transformation of Source Code, including but not limited to compiled object code or\n			 conversions to other forms intended for machine execution.\n			<br />\n\n   &quot;Source Code&quot; or &quot;Source Form&quot; shall have the plain meaning generally accepted in the\n				 software industry, including but not limited to software source code, documentation\n				 source, header and configuration files.\n		  </p>\n\n			<p>&quot;You&quot; or &quot;Your&quot; shall mean you as an individual or as a company, or whichever form under which\n			 you are exercising rights under this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  License Grant.\n		  <p>Licensor hereby grants to You, free of charge subject to the terms and conditions of this\n			 License, an irrevocable, non-exclusive, worldwide, perpetual, and royalty-free license to use,\n			 modify, reproduce, distribute, publicly perform or display the Software in Object or Source\n			 Form .</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  No Right to File for Patent.\n			<br />\n\n   In exchange for the rights that are granted to You free of charge under this License, You\n				 agree that You will not file for any patent application, seek copyright protection or\n				 take any other action that might otherwise impair the ownership rights in and to the\n				 Software that may belong to SCEA or any of the other contributors/authors of the\n				 Software.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Contributions.\n		  <p>SCEA welcomes contributions in form of modifications, optimizations, tools or documentation\n			 designed to improve or expand the performance and scope of the Software (collectively\n			 &quot;Contributions&quot;). Per the terms of this License You are free to modify the Software and those\n			 modifications would belong to You. You may however wish to donate Your Contributions to SCEA\n			 for consideration for inclusion into the Software. For the avoidance of doubt, if You elect to\n			 send Your Contributions to SCEA, You are doing so voluntarily and are giving the Contributions\n			 to SCEA and its parent company Sony Computer Entertainment, Inc., free of charge, to use,\n			 modify or distribute in any form or in any manner. SCEA acknowledges that if You make a\n			 donation of Your Contributions to SCEA, such Contributions shall not exclusively belong to\n			 SCEA or its parent company and such donation shall not be to Your exclusion. SCEA, in its sole\n			 discretion, shall determine whether or not to include Your donated Contributions into the\n			 Software, in whole, in part, or as modified by SCEA. Should SCEA elect to include any such\n			 Contributions into the Software, it shall do so at its own risk and may elect to give credit\n			 or special thanks to any such contributors in the attached copyright notice. However, if any\n			 of Your contributions are included into the Software, they will become part of the Software\n			 and will be distributed under the terms and conditions of this License. Further, if Your\n			 donated Contributions are integrated into the Software then Sony Computer Entertainment, Inc.\n			 shall become the copyright owner of the Software now containing Your contributions and SCEA\n			 would be the Licensor.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Redistribution in Source Form\n		  <p>You may redistribute copies of the Software, modifications or derivatives thereof in Source Code\n			 Form, provided that You:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  Include a copy of this License and any copyright notices with source\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  Identify modifications if any were made to the Software\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			  Include a copy of all documentation accompanying the Software and modifications made by You\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Redistribution in Object Form\n		  <p>If You redistribute copies of the Software, modifications or derivatives thereof in Object Form\n			 only (as incorporated into finished goods, i.e. end user applications) then You will not have\n			 a duty to include any copies of the code, this License, copyright notices, other attributions\n			 or documentation.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  No Warranty\n		  <p>THE SOFTWARE IS PROVIDED ON AN &quot;AS IS&quot; BASIS, WITHOUT ANY REPRESENTATIONS OR WARRANTIES OF ANY\n			 KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OF TITLE,\n			 NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE. YOU ARE SOLELY\n			 RESPONSIBLE FOR DETERMINING THE APPROPRIATENESS OF USING, MODIFYING OR REDISTRIBUTING THE\n			 SOFTWARE AND ASSUME ANY RISKS ASSOCIATED WITH YOUR EXERCISE OF PERMISSIONS UNDER THIS\n			 LICENSE.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Limitation of Liability\n		  <p>UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY WILL EITHER PARTY BE LIABLE TO THE OTHER PARTY\n			 OR ANY THIRD PARTY FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL, SPECIAL, INCIDENTAL, OR EXEMPLARY\n			 DAMAGES WITH RESPECT TO ANY INJURY, LOSS, OR DAMAGE, ARISING UNDER OR IN CONNECTION WITH THIS\n			 LETTER AGREEMENT, WHETHER FORESEEABLE OR UNFORESEEABLE, EVEN IF SUCH PARTY HAS BEEN ADVISED OF\n			 THE POSSIBILITY OF SUCH INJURY, LOSS, OR DAMAGE. THE LIMITATIONS OF LIABILITY SET FORTH IN\n			 THIS SECTION SHALL APPLY TO THE FULLEST EXTENT PERMISSIBLE AT LAW OR ANY GOVERMENTAL\n			 REGULATIONS.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Governing Law and Consent to Jurisdiction\n		  <p>This Agreement shall be governed by and interpreted in accordance with the laws of the State of\n			 California, excluding that body of law related to choice of laws, and of the United States of\n			 America. Any action or proceeding brought to enforce the terms of this Agreement or to\n			 adjudicate any dispute arising hereunder shall be brought in the Superior Court of the County\n			 of San Mateo, State of California or the United States District Court for the Northern\n			 District of California. Each of the parties hereby submits itself to the exclusive\n			 jurisdiction and venue of such courts for purposes of any such action. In addition, each party\n			 hereby waives the right to a jury trial in any action or proceeding related to this\n			 Agreement.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Copyright Notice for Redistribution of Source Code\n		</li>\n	  \n</ul>\n	  \n	  <p>Copyright <var class=\"replaceable-license-text\"> 2005 Sony Computer Entertainment Inc.</var></p>\n\n	  <p>Licensed under the SCEA Shared Source License, Version 1.0 (the &quot;License&quot;); you may not use this file\n		 except in compliance with the License. You may obtain a copy of the License at:\n		<br />\n\nhttp://research.scea.com/scea_shared_source_license.html\n	  </p>\n\n	  <p>Unless required by applicable law or agreed to in writing, software distributed under the License is\n		 distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or\n		 implied. See the License for the specific language governing permissions and limitations under the\n		 License.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n	  <p>Copyright <var class=\"replaceable-license-text\"> 2005 Sony Computer Entertainment Inc.</var></p>\n\n	  <p>Licensed under the SCEA Shared Source License, Version 1.0 (the &quot;License&quot;); you may not use this file\n		 except in compliance with the License. You may obtain a copy of the License at:\n		<br />\n\nhttp://research.scea.com/scea_shared_source_license.html\n	  </p>\n\n	  <p>Unless required by applicable law or agreed to in writing, software distributed under the License is\n		 distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or\n		 implied. See the License for the specific language governing permissions and limitations under the\n		 License.</p>\n\n	  "
		self.python_name = "SCEA"

	def __str__(self):
		return json.dumps(self.__dict__)


class Condor11:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Condor Public License\n\nVersion 1.1, October 30, 2003\n\nCopyright \u00a9 1990-2006 Condor Team, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. For more information contact: Condor Team, Attention: Professor Miron Livny, Dept of Computer Sciences, 1210 W. Dayton St., Madison, WI 53706-1685, (608) 262-0856 or miron@cs.wisc.edu.\n\nThis software referred to as the Condor\u00ae Version 6.x software (\"Software\") was developed by the Condor Project, Condor Team, Computer Sciences Department, University of Wisconsin-Madison, under the authority of the Board of Regents of the University of Wisconsin System and includes voluntary contributions made to the Condor Project (\"Copyright Holders and Contributors and the University\"). For more information on the Condor Project, please see http://www.condorproject.org/.\n\nInstallation, use, reproduction, display, modification and redistribution of this Software, with or without modification, in source and binary forms, are permitted. Any exercise of rights under this license including sublicenses by you is subject to the following conditions:\n\n1.\tRedistributions of this Software, with or without modification, must reproduce this Condor Public License in: (1) the Software, and (2) any user documentation or other similar material which is provided with the Software.\n\n2.\tAny user documentation included with a redistribution must include the following notice:\n``This product includes software from the Condor\u00ae Project (http://www.condorproject.org/)\"\nAlternatively, if that is where third-party acknowledgments normally appear, this acknowledgment must be reproduced in the Software itself.\n3.\tAny academic report, publication, or other academic disclosure of results obtained with this Software will acknowledge this Software's use by an appropriate citation.\n\n4.\tThe name Condor\u00ae is a registered trademark of the University of Wisconsin-Madison. The trademark may not be used to endorse or promote software, or products derived therefrom, and, other than as required by section 2 and 3 above, it may not be affixed to modified redistributions of this Software without the prior written approval, obtainable via email to condor-admin@cs.wisc.edu.\n\n5.\tTo the extent that patent claims licensable by the University of Wisconsin-Madison are necessarily infringed by the use or sale of the Software, you are granted a non-exclusive, worldwide, royalty- free perpetual license under such patent claims, with the rights for you to make, use, sell, offer to sell, import and otherwise transfer the Software in source code and object code form and derivative works. This patent license shall apply to the combination of the Software with other software if, at the time the Software is added by you, such addition of the Software causes such combination to be covered by such patent claims. This patent license shall not apply to any other combinations which include the Software. No hardware per se is licensed hereunder.If you or any subsequent sub-licensee (a ``Recipient\") institutes patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Software infringes such Recipient's patent(s), then such Recipient's rights granted (directly or indirectly) under the patent license above shall terminate as of the date such litigation is filed. All sublicenses to the Software which have been properly granted prior to termination shall survive any termination of said patent license, if not otherwise terminated pursuant to this section.\n\n6.\tDISCLAIMER\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AND THE UNIVERSITY \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, OF SATISFACTORY QUALITY, AND FITNESS FOR A PARTICULAR PURPOSE OR USE ARE DISCLAIMED. THE COPYRIGHT HOLDERS AND CONTRIBUTORS AND THE UNIVERSITY MAKE NO REPRESENTATION THAT THE SOFTWARE, MODIFICATIONS, ENHANCEMENTS OR DERIVATIVE WORKS THEREOF, WILL NOT INFRINGE ANY PATENT, COPYRIGHT, TRADEMARK, TRADE SECRET OR OTHER PROPRIETARY RIGHT.\n7.\tLIMITATION OF LIABILITY\nTHE COPYRIGHT HOLDERS AND CONTRIBUTORS AND ANY OTHER OFFICER, AGENT, OR EMPLOYEE OF THE UNIVERSITY SHALL HAVE NO LIABILITY TO LICENSEE OR OTHER PERSONS FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL, EXEMPLARY, OR PUNITIVE DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, LOSS OF USE, DATA OR PROFITS, OR BUSINESS INTERRUPTION, HOWEVER CAUSED AND ON ANY THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCT LIABILITY OR OTHERWISE, ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n8.\tCertain uses and transfers of the Software or documentation, and/or items or software incorporating the Condor Software or documentation, may require a license under U.S. Export Control laws. Licensee represents and warrants that all uses and transfers of the Condor Software or documentation and/or any items or software incorporating Condor shall be in compliance with U.S. Export Control laws, and Licensee further understands that failure to comply with such export control laws may result in criminal liability to Licensee under U.S. laws.\n\n9.\tThe Condor Team may publish revised and/or new versions of this Condor Public License (``this License\") from time to time. Each version will be given a distinguishing version number. Once Software has been published under a particular version of this License, you may always continue to use it under the terms of that version. You may also choose to use such Software under the terms of any subsequent version of this License published by the Condor Team. No one other than the Condor Team has the right to modify the terms of this License.\n\nFor more information:\n\nCondor Team\nAttention: Professor Miron Livny\n7367 Computer Sciences\n1210 W. Dayton St.\nMadison, WI 53706-1685\nmiron@cs.wisc.edu\nhttp://pages.cs.wisc.edu/~miron/miron.html\n\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Condor Public License\n\nVersion 1.1, October 30, 2003\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright \u00a9 1990-2006 Condor Team, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. For more information contact: Condor Team, Attention: Professor Miron Livny, Dept of Computer Sciences, 1210 W. Dayton St., Madison, WI 53706-1685, (608) 262-0856 or miron@cs.wisc.edu.  \";match=\".{0,5000}\">>\n\nThis software referred to as the Condor\u00ae Version 6.x software (\"Software\") was developed by the Condor Project, Condor Team, Computer Sciences Department, University of Wisconsin-Madison, under the authority of the Board of Regents of the University of Wisconsin System and includes voluntary contributions made to the Condor Project (\"Copyright Holders and Contributors and the University\"). For more information on the Condor Project, please see http://www.condorproject.org/.\n\nInstallation, use, reproduction, display, modification and redistribution of this Software, with or without modification, in source and binary forms, are permitted. Any exercise of rights under this license including sublicenses by you is subject to the following conditions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of this Software, with or without modification, must reproduce this Condor Public License in: (1) the Software, and (2) any user documentation or other similar material which is provided with the Software.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Any user documentation included with a redistribution must include the following notice:\n\n   \"This product includes software from the Condor\u00ae Project (http://www.condorproject.org/)\"\n\n   Alternatively, if that is where third-party acknowledgments normally appear, this acknowledgment must be reproduced in the Software itself.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Any academic report, publication, or other academic disclosure of results obtained with this Software will acknowledge this Software's use by an appropriate citation.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The name Condor\u00ae is a registered trademark of the University of Wisconsin-Madison. The trademark may not be used to endorse or promote software, or products derived therefrom, and, other than as required by section 2 and 3 above, it may not be affixed to modified redistributions of this Software without the prior written approval, obtainable via email to condor-admin@cs.wisc.edu.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> To the extent that patent claims licensable by the University of Wisconsin-Madison are necessarily infringed by the use or sale of the Software, you are granted a non-exclusive, worldwide, royalty- <<var;name=\"extraSpace\";original=\"\";match=\" ?\">> free perpetual license under such patent claims, with the rights for you to make, use, sell, offer to sell, import and otherwise transfer the Software in source code and object code form and derivative works. This patent license shall apply to the combination of the Software with other software if, at the time the Software is added by you, such addition of the Software causes such combination to be covered by such patent claims. This patent license shall not apply to any other combinations which include the Software. No hardware per se is licensed hereunder.If you or any subsequent sub-licensee (a ``Recipient\") institutes patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Software infringes such Recipient's patent(s), then such Recipient's rights granted (directly or indirectly) under the patent license above shall terminate as of the date such litigation is filed. All sublicenses to the Software which have been properly granted prior to termination shall survive any termination of said patent license, if not otherwise terminated pursuant to this section.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> DISCLAIMER\n\n   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AND THE UNIVERSITY \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, OF SATISFACTORY QUALITY, AND FITNESS FOR A PARTICULAR PURPOSE OR USE ARE DISCLAIMED. THE COPYRIGHT HOLDERS AND CONTRIBUTORS AND THE UNIVERSITY MAKE NO REPRESENTATION THAT THE SOFTWARE, MODIFICATIONS, ENHANCEMENTS OR DERIVATIVE WORKS THEREOF, WILL NOT INFRINGE ANY PATENT, COPYRIGHT, TRADEMARK, TRADE SECRET OR OTHER PROPRIETARY RIGHT.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> LIMITATION OF LIABILITY\n\n   THE COPYRIGHT HOLDERS AND CONTRIBUTORS AND ANY OTHER OFFICER, AGENT, OR EMPLOYEE OF THE UNIVERSITY SHALL HAVE NO LIABILITY TO LICENSEE OR OTHER PERSONS FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL, EXEMPLARY, OR PUNITIVE DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, LOSS OF USE, DATA OR PROFITS, OR BUSINESS INTERRUPTION, HOWEVER CAUSED AND ON ANY THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCT LIABILITY OR OTHERWISE, ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Certain uses and transfers of the Software or documentation, and/or items or software incorporating the Condor Software or documentation, may require a license under U.S. Export Control laws. Licensee represents and warrants that all uses and transfers of the Condor Software or documentation and/or any items or software incorporating Condor shall be in compliance with U.S. Export Control laws, and Licensee further understands that failure to comply with such export control laws may result in criminal liability to Licensee under U.S. laws.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> The Condor Team may publish revised and/or new versions of this Condor Public License (``this License\") from time to time. Each version will be given a distinguishing version number. Once Software has been published under a particular version of this License, you may always continue to use it under the terms of that version. You may also choose to use such Software under the terms of any subsequent version of this License published by the Condor Team. No one other than the Condor Team has the right to modify the terms of this License.<<beginOptional>> For more information:\n\nCondor Team\n\nAttention: Professor Miron Livny\n\n7367 Computer Sciences\n\n1210 W. Dayton St.\n\nMadison, WI 53706-1685\n\nmiron@cs.wisc.edu\n\nhttp://pages.cs.wisc.edu/~miron/miron.html\n\n<<endOptional>>"
		self.name = "Condor Public License v1.1"
		self.licenseComments = "This license was released 30 October 2003"
		self.licenseId = "Condor-1.1"
		self.crossRef = [{"match": "N/A", "url": "http://web.archive.org/web/20111123062036/http://research.cs.wisc.edu/condor/license.html#condor", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:20:19Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://research.cs.wisc.edu/condor/license.html#condor", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:19Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://research.cs.wisc.edu/condor/license.html#condor", "http://web.archive.org/web/20111123062036/http://research.cs.wisc.edu/condor/license.html#condor"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Condor Public License</p>\n\n		 <p>Version 1.1, October 30, 2003</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright \u00a9 1990-2006 Condor Team, Computer Sciences Department, University of Wisconsin-Madison,\n		 Madison, WI. All Rights Reserved. For more information contact: Condor Team, Attention: Professor\n		 Miron Livny, Dept of Computer Sciences, 1210 W. Dayton St., Madison, WI 53706-1685, (608) 262-0856 or\n		 miron@cs.wisc.edu.</p>\n\n	  </div>\n\n	  <p>This software referred to as the Condor\u00ae Version 6.x software (&quot;Software&quot;) was developed by the Condor\n		 Project, Condor Team, Computer Sciences Department, University of Wisconsin-Madison, under the\n		 authority of the Board of Regents of the University of Wisconsin System and includes voluntary\n		 contributions made to the Condor Project (&quot;Copyright Holders and Contributors and the University&quot;).\n		 For more information on the Condor Project, please see http://www.condorproject.org/.</p>\n\n	  <p>Installation, use, reproduction, display, modification and redistribution of this Software, with or\n		 without modification, in source and binary forms, are permitted. Any exercise of rights under this\n		 license including sublicenses by you is subject to the following conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of this Software, with or without modification, must reproduce this Condor Public\n			 License in: (1) the Software, and (2) any user documentation or other similar material which\n			 is provided with the Software.\n		</li>\n		\n<li>\n			<p>\n			   <var class=\"replaceable-license-text\"> 2.</var> Any user documentation included with a redistribution must include the following notice:\n			<br />\n\n   &quot;This product includes software from the Condor\u00ae Project (http://www.condorproject.org/)&quot;\n			<br />\n\n   Alternatively, if that is where third-party acknowledgments normally appear, this\n				 acknowledgment must be reproduced in the Software itself.\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Any academic report, publication, or other academic disclosure of results obtained with this\n			 Software will acknowledge this Software&apos;s use by an appropriate citation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  The name Condor\u00ae is a registered trademark of the University of Wisconsin-Madison. The trademark\n			 may not be used to endorse or promote software, or products derived therefrom, and, other than\n			 as required by section 2 and 3 above, it may not be affixed to modified redistributions of\n			 this Software without the prior written approval, obtainable via email to\n			 condor-admin@cs.wisc.edu.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  To the extent that patent claims licensable by the University of Wisconsin-Madison are\n			 necessarily infringed by the use or sale of the Software, you are granted a non-exclusive,\n			 worldwide, royalty-<var class=\"replaceable-license-text\"> </var>free perpetual license under such patent claims, with the rights for you\n			 to make, use, sell, offer to sell, import and otherwise transfer the Software in source code\n			 and object code form and derivative works. This patent license shall apply to the combination\n			 of the Software with other software if, at the time the Software is added by you, such\n			 addition of the Software causes such combination to be covered by such patent claims. This\n			 patent license shall not apply to any other combinations which include the Software. No\n			 hardware per se is licensed hereunder.If you or any subsequent sub-licensee (a ``Recipient&quot;)\n			 institutes patent litigation against any entity (including a cross-claim or counterclaim in a\n			 lawsuit) alleging that the Software infringes such Recipient&apos;s patent(s), then such\n			 Recipient&apos;s rights granted (directly or indirectly) under the patent license above shall\n			 terminate as of the date such litigation is filed. All sublicenses to the Software which have\n			 been properly granted prior to termination shall survive any termination of said patent\n			 license, if not otherwise terminated pursuant to this section.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  DISCLAIMER\n			<br />\n\n   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AND THE UNIVERSITY &quot;AS\n				 IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\n				 WARRANTIES OF MERCHANTABILITY, OF SATISFACTORY QUALITY, AND FITNESS FOR A PARTICULAR\n				 PURPOSE OR USE ARE DISCLAIMED. THE COPYRIGHT HOLDERS AND CONTRIBUTORS AND THE\n				 UNIVERSITY MAKE NO REPRESENTATION THAT THE SOFTWARE, MODIFICATIONS, ENHANCEMENTS OR\n				 DERIVATIVE WORKS THEREOF, WILL NOT INFRINGE ANY PATENT, COPYRIGHT, TRADEMARK, TRADE\n				 SECRET OR OTHER PROPRIETARY RIGHT.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  LIMITATION OF LIABILITY\n			<br />\n\n   THE COPYRIGHT HOLDERS AND CONTRIBUTORS AND ANY OTHER OFFICER, AGENT, OR EMPLOYEE OF THE\n				 UNIVERSITY SHALL HAVE NO LIABILITY TO LICENSEE OR OTHER PERSONS FOR DIRECT, INDIRECT,\n				 SPECIAL, INCIDENTAL, CONSEQUENTIAL, EXEMPLARY, OR PUNITIVE DAMAGES OF ANY CHARACTER\n				 INCLUDING, WITHOUT LIMITATION, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, LOSS OF\n				 USE, DATA OR PROFITS, OR BUSINESS INTERRUPTION, HOWEVER CAUSED AND ON ANY THEORY OF\n				 CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCT LIABILITY OR OTHERWISE,\n				 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY\n				 OF SUCH DAMAGES.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Certain uses and transfers of the Software or documentation, and/or items or software\n			 incorporating the Condor Software or documentation, may require a license under U.S. Export\n			 Control laws. Licensee represents and warrants that all uses and transfers of the Condor\n			 Software or documentation and/or any items or software incorporating Condor shall be in\n			 compliance with U.S. Export Control laws, and Licensee further understands that failure to\n			 comply with such export control laws may result in criminal liability to Licensee under U.S.\n			 laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  The Condor Team may publish revised and/or new versions of this Condor Public License (``this\n			 License&quot;) from time to time. Each version will be given a distinguishing version number. Once\n			 Software has been published under a particular version of this License, you may always\n			 continue to use it under the terms of that version. You may also choose to use such Software\n			 under the terms of any subsequent version of this License published by the Condor Team. No one\n			 other than the Condor Team has the right to modify the terms of this License.\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>For more information:</p>\n\n		<p>Condor Team\n		  <br />\n\nAttention: Professor Miron Livny\n		  <br />\n\n7367 Computer Sciences\n		  <br />\n\n1210 W. Dayton St.\n		  <br />\n\nMadison, WI 53706-1685\n		  <br />\n\nmiron@cs.wisc.edu\n		  <br />\n\nhttp://pages.cs.wisc.edu/~miron/miron.html\n		</p>\n\n	  </div>\n	"
		self.python_name = "Condor11"

	def __str__(self):
		return json.dumps(self.__dict__)


class AGPL30:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "GNU AFFERO GENERAL PUBLIC LICENSE\nVersion 3, 19 November 2007\n\nCopyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n							Preamble\n\nThe GNU Affero General Public License is a free, copyleft license for software and other kinds of works, specifically designed to ensure cooperation with the community in the case of network server software.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works.  By contrast, our General Public Licenses are intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users.\n\nWhen we speak of free software, we are referring to freedom, not price.  Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nDevelopers that use our General Public Licenses protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License which gives you legal permission to copy, distribute and/or modify the software.\n\nA secondary benefit of defending all users' freedom is that improvements made in alternate versions of the program, if they receive widespread use, become available for other developers to incorporate.  Many developers of free software are heartened and encouraged by the resulting cooperation.  However, in the case of software used on network servers, this result may fail to come about. The GNU General Public License permits making a modified version and letting the public access it on a server without ever releasing its source code to the public.\n\nThe GNU Affero General Public License is designed specifically to ensure that, in such cases, the modified source code becomes available to the community.  It requires the operator of a network server to provide the source code of the modified version running there to the users of that server.  Therefore, public use of a modified version, on a publicly accessible server, gives the public access to the source code of the modified version.\n\nAn older license, called the Affero General Public License and published by Affero, was designed to accomplish similar goals.  This is a different license, not a version of the Affero GPL, but Affero has released a new version of the Affero GPL which permits relicensing under this license.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\n					   TERMS AND CONDITIONS\n\n0. Definitions.\n\n\"This License\" refers to version 3 of the GNU Affero General Public License.\n\n\"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n\"The Program\" refers to any copyrightable work licensed under this License.  Each licensee is addressed as \"you\".  \"Licensees\" and \"recipients\" may be individuals or organizations.\n\nTo \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy.  The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\nA \"covered work\" means either the unmodified Program or a work based on the Program.\n\nTo \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy.  Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\nTo \"convey\" a work means any kind of propagation that enables other parties to make or receive copies.  Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\nAn interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License.  If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n1. Source Code.\nThe \"source code\" for a work means the preferred form of the work for making modifications to it.  \"Object code\" means any non-source form of a work.\n\nA \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\nThe \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form.  A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\nThe \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities.  However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work.  For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those\nsubprograms and other parts of the work.\n\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\nThe Corresponding Source for a work in source code form is that same work.\n\n2. Basic Permissions.\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met.  This License explicitly affirms your unlimited permission to run the unmodified Program.  The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work.  This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force.  You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright.  Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\nConveying under any other circumstances is permitted solely under the conditions stated below.  Sublicensing is not allowed; section 10 makes it unnecessary.\n\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n4. Conveying Verbatim Copies.\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n5. Conveying Modified Source Versions.\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	a) The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7.  This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy.  This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged.  This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit.  Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n6. Conveying Non-Source Forms.\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source.  This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge.  You need not require recipients to copy the Corresponding Source along with the object code.  If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source.  Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	e) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\nA \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling.  In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage.  For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product.  A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n\"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source.  The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information.  But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed.  Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n7. Additional Terms.\n\"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law.  If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it.  (Additional permissions may be written to require their own removal in certain cases when you modify the work.)  You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	d) Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\nAll other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10.  If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term.  If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n8. Termination.\n\nYou may not propagate or modify a covered work except as expressly provided under this License.  Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License.  If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n9. Acceptance Not Required for Having Copies.\n\nYou are not required to accept this License in order to receive or run a copy of the Program.  Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance.  However, nothing other than this License grants you permission to propagate or modify any covered work.  These actions infringe copyright if you do not accept this License.  Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n10. Automatic Licensing of Downstream Recipients.\n\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License.  You are not responsible for enforcing compliance by third parties with this License.\n\nAn \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations.  If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License.  For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n11. Patents.\n\nA \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based.  The work thus licensed is called the contributor's \"contributor version\".\n\nA contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version.  For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\nIn the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement).  To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent\nlicense to downstream recipients.  \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\nA patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License.  You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\nNothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n12. No Surrender of Others' Freedom.\n\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License.  If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may\nnot convey it at all.  For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n13. Remote Network Interaction; Use with the GNU General Public License.\n\nNotwithstanding any other provision of this License, if you modify the Program, your modified version must prominently offer all users interacting with it remotely through a computer network (if your version supports such interaction) an opportunity to receive the Corresponding Source of your version by providing access to the Corresponding Source from a network server at no charge, through some standard or customary means of facilitating copying of software.  This Corresponding Source shall include the Corresponding Source for any work covered by version 3 of the GNU General Public License that is incorporated pursuant to the following paragraph.\n\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU General Public License into a single combined work, and to convey the resulting work.  The terms of this License will continue to apply to the part which is the covered work, but the work with which it is combined will remain governed by version 3 of the GNU General Public License.\n\n14. Revised Versions of this License.\n\nThe Free Software Foundation may publish revised and/or new versions of the GNU Affero General Public License from time to time.  Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number.  If the Program specifies that a certain numbered version of the GNU Affero General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation.  If the Program does not specify a version number of the GNU Affero General Public License, you may choose any version ever published by the Free Software Foundation.\n\nIf the Program specifies that a proxy can decide which future versions of the GNU Affero General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\nLater license versions may give you additional or different permissions.  However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n15. Disclaimer of Warranty.\n\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. Limitation of Liability.\n\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n17. Interpretation of Sections 15 and 16.\n\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\nEND OF TERMS AND CONDITIONS\n\n			How to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program.  It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 <one line to give the program's name and a brief idea of what it does.>\n	 Copyright (C) <year>  <name of author>\n\n	 This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more details.\n\n	 You should have received a copy of the GNU Affero General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf your software can interact with users remotely through a computer network, you should also make sure that it provides a way for users to get its source.  For example, if your program is a web application, its interface could display a \"Source\" link that leads users to an archive of the code.  There are many ways you could offer source, and different solutions will be better for different programs; see section 13 for the specific requirements.\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU AGPL, see <http://www.gnu.org/licenses/>.\n"
		self.standardLicenseHeaderTemplate = "Copyright (C) <<var;name=\"copyright\";original=\"[year] [name of author]\";match=\".+\">> This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, version 3. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details. You should have received a copy of the GNU Affero General Public License along with this program. If not, see <https://www.gnu.org/licenses/>."
		self.standardLicenseTemplate = "<<beginOptional>>GNU AFFERO GENERAL PUBLIC LICENSE\n\nVersion 3, 19 November 2007\n\n<<endOptional>>\n\nCopyright (C) 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU Affero General Public License is a free, copyleft license for software and other kinds of works, specifically designed to ensure cooperation with the community in the case of network server software.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, our General Public Licenses are intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nDevelopers that use our General Public Licenses protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License which gives you legal permission to copy, distribute and/or modify the software.\n\nA secondary benefit of defending all users' freedom is that improvements made in alternate versions of the program, if they receive widespread use, become available for other developers to incorporate. Many developers of free software are heartened and encouraged by the resulting cooperation. However, in the case of software used on network servers, this result may fail to come about. The GNU General Public License permits making a modified version and letting the public access it on a server without ever releasing its source code to the public.\n\nThe GNU Affero General Public License is designed specifically to ensure that, in such cases, the modified source code becomes available to the community. It requires the operator of a network server to provide the source code of the modified version running there to the users of that server. Therefore, public use of a modified version, on a publicly accessible server, gives the public access to the source code of the modified version.\n\nAn older license, called the Affero General Public License and published by Affero, was designed to accomplish similar goals. This is a different license, not a version of the Affero GPL, but Affero has released a new version of the Affero GPL which permits relicensing under this license.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n   \"This License\" refers to version 3 of the GNU Affero General Public License.\n\n   \"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n   \"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\n   To \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\n   A \"covered work\" means either the unmodified Program or a work based on the Program.\n\n   To \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\n   To \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\n   An interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Source Code.\n\n   The \"source code\" for a work means the preferred form of the work for making modifications to it. \"Object code\" means any non-source form of a work.\n\n   A \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\n   The \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\n   The \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those\n\n   subprograms and other parts of the work.\n\n   The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Basic Permissions.\n\n   All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\n   You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\n   Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n   No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\n   When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Conveying Verbatim Copies.\n\n   You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\n   You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Conveying Modified Source Versions.\n\n   You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\n   A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Conveying Non-Source Forms.\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\n   A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\n   A \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n   \"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\n   If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\n   The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\n   Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Additional Terms.\n\n   \"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\n   When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\n   Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	  <<var;name=\"bullet\";original=\"f)\";match=\".{0,20}\">> Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\n   All other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\n   If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\n   Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination.\n\n   You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Acceptance Not Required for Having Copies.\n\n   You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Automatic Licensing of Downstream Recipients.\n\n   Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\n   An \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\n   You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Patents.\n\n   A \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \"contributor version\".\n\n   A contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\n   Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\n   In the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\n   If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent\n\n   license to downstream recipients. \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\n   If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\n   A patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\n   Nothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> No Surrender of Others' Freedom.\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may\n\n   not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Remote Network Interaction; Use with the GNU General Public License.\n\n   Notwithstanding any other provision of this License, if you modify the Program, your modified version must prominently offer all users interacting with it remotely through a computer network (if your version supports such interaction) an opportunity to receive the Corresponding Source of your version by providing access to the Corresponding Source from a network server at no charge, through some standard or customary means of facilitating copying of software. This Corresponding Source shall include the Corresponding Source for any work covered by version 3 of the GNU General Public License that is incorporated pursuant to the following paragraph.\n\n   Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the work with which it is combined will remain governed by version 3 of the GNU General Public License.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Revised Versions of this License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU Affero General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU Affero General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU Affero General Public License, you may choose any version ever published by the Free Software Foundation.\n\n   If the Program specifies that a proxy can decide which future versions of the GNU Affero General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\n   Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> Limitation of Liability.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"17.\";match=\".{0,20}\">> Interpretation of Sections 15 and 16.\n\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\n<<beginOptional>>END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.\n\nYou should have received a copy of the GNU Affero General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf your software can interact with users remotely through a computer network, you should also make sure that it provides a way for users to get its source. For example, if your program is a web application, its interface could display a \"Source\" link that leads users to an archive of the code. There are many ways you could offer source, and different solutions will be better for different programs; see section 13 for the specific requirements.\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU AGPL, see <https://www.gnu.org/licenses/>.\n\n<<endOptional>>"
		self.name = "GNU Affero General Public License v3.0"
		self.licenseId = "AGPL-3.0"
		self.standardLicenseHeader = "Copyright (C) [year] [name of author] This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, version 3. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details. You should have received a copy of the GNU Affero General Public License along with this program. If not, see <https://www.gnu.org/licenses/>."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/agpl.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:29Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/AGPL-3.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:30Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://www.gnu.org/licenses/agpl.txt", "https://opensource.org/licenses/AGPL-3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU AFFERO GENERAL PUBLIC LICENSE<br />\n\n		Version 3, 19 November 2007\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2007 Free Software Foundation, Inc.\n	  &lt;https://fsf.org/&gt;\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The GNU Affero General Public License is a free, copyleft license for\n	  software and other kinds of works, specifically designed to ensure\n	  cooperation with the community in the case of network server software.\n	</p>\n\n	<p>\n	  The licenses for most software and other practical works are\n	  designed to take away your freedom to share and change the\n	  works. By contrast, our General Public Licenses are intended\n	  to guarantee your freedom to share and change all versions of a\n	  program--to make sure it remains free software for all its users.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not\n	  price. Our General Public Licenses are designed to make sure that you\n	  have the freedom to distribute copies of free software (and charge\n	  for them if you wish), that you receive source code or can get it\n	  if you want it, that you can change the software or use pieces of\n	  it in new free programs, and that you know you can do these things.\n	</p>\n\n	<p>\n	  Developers that use our General Public Licenses protect\n	  your rights with two steps: (1) assert copyright on the\n	  software, and (2) offer you this License which gives you legal\n	  permission to copy, distribute and/or modify the software.\n	</p>\n\n	<p>\n	  A secondary benefit of defending all users&apos; freedom is that improvements\n	  made in alternate versions of the program, if they receive widespread\n	  use, become available for other developers to incorporate. Many\n	  developers of free software are heartened and encouraged by the\n	  resulting cooperation. However, in the case of software used on network\n	  servers, this result may fail to come about. The GNU General Public\n	  License permits making a modified version and letting the public access\n	  it on a server without ever releasing its source code to the public.\n	</p>\n\n	<p>\n	  The GNU Affero General Public License is designed specifically\n	  to ensure that, in such cases, the modified source code becomes\n	  available to the community. It requires the operator of a\n	  network server to provide the source code of the modified version\n	  running there to the users of that server. Therefore, public use\n	  of a modified version, on a publicly accessible server, gives\n	  the public access to the source code of the modified version.\n	</p>\n\n	<p>\n	  An older license, called the Affero General Public License and published\n	  by Affero, was designed to accomplish similar goals. This is a different\n	  license, not a version of the Affero GPL, but Affero has released a new\n	  version of the Affero GPL which permits relicensing under this license.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying,\n	  distribution and modification follow.\n	</p>\n\n	<p>\n	  TERMS AND CONDITIONS\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		Definitions.\n		<p>\n		  &quot;This License&quot; refers to version 3 of\n		  the GNU Affero General Public License.\n		</p>\n\n		<p>\n		  &quot;Copyright&quot; also means copyright-like laws that apply\n		  to other kinds of works, such as semiconductor masks.\n		</p>\n\n		<p>\n		  &quot;The Program&quot; refers to any copyrightable work licensed under\n		  this License. Each licensee is addressed as &quot;you&quot;. &quot;Licensees&quot;\n		  and &quot;recipients&quot; may be individuals or organizations.\n		</p>\n\n		<p>\n		  To &quot;modify&quot; a work means to copy from or adapt all or part of the\n		  work in a fashion requiring copyright permission, other than the\n		  making of an exact copy. The resulting work is called a &quot;modified\n		  version&quot; of the earlier work or a work &quot;based on&quot; the earlier work.\n		</p>\n\n		<p>\n		  A &quot;covered work&quot; means either the unmodified\n		  Program or a work based on the Program.\n		</p>\n\n		<p>\n		  To &quot;propagate&quot; a work means to do anything with it that, without\n		  permission, would make you directly or secondarily liable for\n		  infringement under applicable copyright law, except executing it\n		  on a computer or modifying a private copy. Propagation includes\n		  copying, distribution (with or without modification), making available\n		  to the public, and in some countries other activities as well.\n		</p>\n\n		<p>\n		  To &quot;convey&quot; a work means any kind of propagation\n		  that enables other parties to make or receive copies.\n		  Mere interaction with a user through a computer\n		  network, with no transfer of a copy, is not conveying.\n		</p>\n\n		<p>\n		  An interactive user interface displays &quot;Appropriate Legal Notices&quot;\n		  to the extent that it includes a convenient and prominently visible\n		  feature that (1) displays an appropriate copyright notice, and (2)\n		  tells the user that there is no warranty for the work (except to\n		  the extent that warranties are provided), that licensees may convey\n		  the work under this License, and how to view a copy of this License.\n		  If the interface presents a list of user commands or options,\n		  such as a menu, a prominent item in the list meets this criterion.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		Source Code.<br />\n\n		The &quot;source code&quot; for a work means the preferred\n		form of the work for making modifications to it.\n		&quot;Object code&quot; means any non-source form of a work.\n		<p>\n		  A &quot;Standard Interface&quot; means an interface that either is an official\n		  standard defined by a recognized standards body, or, in the case\n		  of interfaces specified for a particular programming language,\n		  one that is widely used among developers working in that language.\n		</p>\n\n		<p>\n		  The &quot;System Libraries&quot; of an executable work include anything, other\n		  than the work as a whole, that (a) is included in the normal form\n		  of packaging a Major Component, but which is not part of that Major\n		  Component, and (b) serves only to enable use of the work with that\n		  Major Component, or to implement a Standard Interface for which an\n		  implementation is available to the public in source code form. A\n		  &quot;Major Component&quot;, in this context, means a major essential component\n		  (kernel, window system, and so on) of the specific operating system\n		  (if any) on which the executable work runs, or a compiler used to\n		  produce the work, or an object code interpreter used to run it.\n		</p>\n\n		<p>\n		  The &quot;Corresponding Source&quot; for a work in object code form means\n		  all the source code needed to generate, install, and (for an\n		  executable work) run the object code and to modify the work,\n		  including scripts to control those activities. However, it does\n		  not include the work&apos;s System Libraries, or general-purpose tools\n		  or generally available free programs which are used unmodified in\n		  performing those activities but which are not part of the work.\n		  For example, Corresponding Source includes interface definition\n		  files associated with source files for the work, and the source\n		  code for shared libraries and dynamically linked subprograms\n		  that the work is specifically designed to require, such as by\n		  intimate data communication or control flow between those<br />\n\n		  subprograms and other parts of the work.\n		</p>\n\n		<p>\n		  The Corresponding Source need not include anything that users can\n		  regenerate automatically from other parts of the Corresponding Source.\n		</p>\n\n		<p>\n		  The Corresponding Source for a work\n		  in source code form is that same work.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		Basic Permissions.<br />\n\n		All rights granted under this License are granted for the term of\n		copyright on the Program, and are irrevocable provided the stated\n		conditions are met. This License explicitly affirms your unlimited\n		permission to run the unmodified Program. The output from running a\n		covered work is covered by this License only if the output, given its\n		content, constitutes a covered work. This License acknowledges your\n		rights of fair use or other equivalent, as provided by copyright law.\n		<p>\n		  You may make, run and propagate covered works that you do not convey,\n		  without conditions so long as your license otherwise remains in force.\n		  You may convey covered works to others for the sole purpose of having\n		  them make modifications exclusively for you, or provide you with\n		  facilities for running those works, provided that you comply with\n		  the terms of this License in conveying all material for which you do\n		  not control copyright. Those thus making or running the covered works\n		  for you must do so exclusively on your behalf, under your direction\n		  and control, on terms that prohibit them from making any copies\n		  of your copyrighted material outside their relationship with you.\n		</p>\n\n		<p>\n		  Conveying under any other circumstances is permitted\n		  solely under the conditions stated below. Sublicensing\n		  is not allowed; section 10 makes it unnecessary.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		Protecting Users&apos; Legal Rights From Anti-Circumvention Law.<br />\n\n		No covered work shall be deemed part of an effective technological\n		measure under any applicable law fulfilling obligations under article\n		11 of the WIPO copyright treaty adopted on 20 December 1996, or\n		similar laws prohibiting or restricting circumvention of such measures.\n		<p>\n		  When you convey a covered work, you waive any legal power to\n		  forbid circumvention of technological measures to the extent\n		  such circumvention is effected by exercising rights under this\n		  License with respect to the covered work, and you disclaim any\n		  intention to limit operation or modification of the work as a means\n		  of enforcing, against the work&apos;s users, your or third parties&apos;\n		  legal rights to forbid circumvention of technological measures.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		Conveying Verbatim Copies.<br />\n\n		You may convey verbatim copies of the Program&apos;s source code as\n		you receive it, in any medium, provided that you conspicuously\n		and appropriately publish on each copy an appropriate copyright\n		notice; keep intact all notices stating that this License and any\n		non-permissive terms added in accord with section 7 apply to the\n		code; keep intact all notices of the absence of any warranty; and\n		give all recipients a copy of this License along with the Program.\n		<p>\n		  You may charge any price or no price for each copy that you\n		  convey, and you may offer support or warranty protection for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		Conveying Modified Source Versions.<br />\n\n		You may convey a work based on the Program, or the modifications to\n		produce it from the Program, in the form of source code under the terms\n		of section 4, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			The work must carry prominent notices stating\n			that you modified it, and giving a relevant date.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			The work must carry prominent notices stating that\n			it is released under this License and any conditions\n			added under section 7. This requirement modifies the\n			requirement in section 4 to &quot;keep intact all notices&quot;.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			You must license the entire work, as a whole, under this License\n			to anyone who comes into possession of a copy. This License\n			will therefore apply, along with any applicable section 7\n			additional terms, to the whole of the work, and all its parts,\n			regardless of how they are packaged. This License gives no\n			permission to license the work in any other way, but it does not\n			invalidate such permission if you have separately received it.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If the work has interactive user interfaces, each must\n			display Appropriate Legal Notices; however, if the Program\n			has interactive interfaces that do not display Appropriate\n			Legal Notices, your work need not make them do so.\n		  </li>\n		\n</ul>\n		<p>\n		  A compilation of a covered work with other separate and independent\n		  works, which are not by their nature extensions of the covered\n		  work, and which are not combined with it such as to form a larger\n		  program, in or on a volume of a storage or distribution medium,\n		  is called an &quot;aggregate&quot; if the compilation and its resulting\n		  copyright are not used to limit the access or legal rights\n		  of the compilation&apos;s users beyond what the individual works\n		  permit. Inclusion of a covered work in an aggregate does not\n		  cause this License to apply to the other parts of the aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Conveying Non-Source Forms.<br />\n\n		You may convey a covered work in object code form\n		under the terms of sections 4 and 5, provided that you\n		also convey the machine-readable Corresponding Source\n		under the terms of this License, in one of these ways:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Convey the object code in, or embodied in, a physical\n			product (including a physical distribution medium),\n			accompanied by the Corresponding Source fixed on a durable\n			physical medium customarily used for software interchange.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Convey the object code in, or embodied in, a physical product\n			(including a physical distribution medium), accompanied by a\n			written offer, valid for at least three years and valid for\n			as long as you offer spare parts or customer support for that\n			product model, to give anyone who possesses the object code\n			either (1) a copy of the Corresponding Source for all the software\n			in the product that is covered by this License, on a durable\n			physical medium customarily used for software interchange,\n			for a price no more than your reasonable cost of physically\n			performing this conveying of source, or (2) access to copy\n			the Corresponding Source from a network server at no charge.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Convey individual copies of the object code with a\n			copy of the written offer to provide the Corresponding\n			Source. This alternative is allowed only occasionally\n			and noncommercially, and only if you received the object\n			code with such an offer, in accord with subsection 6b.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Convey the object code by offering access from a designated place\n			(gratis or for a charge), and offer equivalent access to the\n			Corresponding Source in the same way through the same place at\n			no further charge. You need not require recipients to copy the\n			Corresponding Source along with the object code. If the place\n			to copy the object code is a network server, the Corresponding\n			Source may be on a different server (operated by you or a third\n			party) that supports equivalent copying facilities, provided you\n			maintain clear directions next to the object code saying where\n			to find the Corresponding Source. Regardless of what server hosts\n			the Corresponding Source, you remain obligated to ensure that it\n			is available for as long as needed to satisfy these requirements.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Convey the object code using peer-to-peer transmission,\n			provided you inform other peers where the object code\n			and Corresponding Source of the work are being offered\n			to the general public at no charge under subsection 6d.\n		  </li>\n		\n</ul>\n		<p>\n		  A separable portion of the object code, whose source code is\n		  excluded from the Corresponding Source as a System Library,\n		  need not be included in conveying the object code work.\n		</p>\n\n		<p>\n		  A &quot;User Product&quot; is either (1) a &quot;consumer product&quot;, which means\n		  any tangible personal property which is normally used for personal,\n		  family, or household purposes, or (2) anything designed or sold\n		  for incorporation into a dwelling. In determining whether a product\n		  is a consumer product, doubtful cases shall be resolved in favor\n		  of coverage. For a particular product received by a particular\n		  user, &quot;normally used&quot; refers to a typical or common use of that\n		  class of product, regardless of the status of the particular\n		  user or of the way in which the particular user actually uses,\n		  or expects or is expected to use, the product. A product is a\n		  consumer product regardless of whether the product has substantial\n		  commercial, industrial or non-consumer uses, unless such uses\n		  represent the only significant mode of use of the product.\n		</p>\n\n		<p>\n		  &quot;Installation Information&quot; for a User Product means any methods,\n		  procedures, authorization keys, or other information required\n		  to install and execute modified versions of a covered work in\n		  that User Product from a modified version of its Corresponding\n		  Source. The information must suffice to ensure that the continued\n		  functioning of the modified object code is in no case prevented\n		  or interfered with solely because modification has been made.\n		</p>\n\n		<p>\n		  If you convey an object code work under this section in, or with,\n		  or specifically for use in, a User Product, and the conveying\n		  occurs as part of a transaction in which the right of possession\n		  and use of the User Product is transferred to the recipient in\n		  perpetuity or for a fixed term (regardless of how the transaction\n		  is characterized), the Corresponding Source conveyed under this\n		  section must be accompanied by the Installation Information.\n		  But this requirement does not apply if neither you nor any third\n		  party retains the ability to install modified object code on the\n		  User Product (for example, the work has been installed in ROM).\n		</p>\n\n		<p>\n		  The requirement to provide Installation Information does not\n		  include a requirement to continue to provide support service,\n		  warranty, or updates for a work that has been modified\n		  or installed by the recipient, or for the User Product in\n		  which it has been modified or installed. Access to a network\n		  may be denied when the modification itself materially and\n		  adversely affects the operation of the network or violates\n		  the rules and protocols for communication across the network.\n		</p>\n\n		<p>\n		  Corresponding Source conveyed, and Installation Information\n		  provided, in accord with this section must be in a format that\n		  is publicly documented (and with an implementation available\n		  to the public in source code form), and must require no\n		  special password or key for unpacking, reading or copying.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		Additional Terms.<br />\n\n		&quot;Additional permissions&quot; are terms that supplement the terms of this\n		License by making exceptions from one or more of its conditions.\n		Additional permissions that are applicable to the entire Program\n		shall be treated as though they were included in this License, to\n		the extent that they are valid under applicable law. If additional\n		permissions apply only to part of the Program, that part may be used\n		separately under those permissions, but the entire Program remains\n		governed by this License without regard to the additional permissions.\n		<p>\n		  When you convey a copy of a covered work, you may at your option\n		  remove any additional permissions from that copy, or from any part\n		  of it. (Additional permissions may be written to require their own\n		  removal in certain cases when you modify the work.) You may place\n		  additional permissions on material, added by you to a covered work,\n		  for which you have or can give appropriate copyright permission.\n		</p>\n\n		<p>\n		  Notwithstanding any other provision of this License, for material you\n		  add to a covered work, you may (if authorized by the copyright holders\n		  of that material) supplement the terms of this License with terms:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Disclaiming warranty or limiting liability differently\n			from the terms of sections 15 and 16 of this License; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Requiring preservation of specified reasonable legal\n			notices or author attributions in that material or in the\n			Appropriate Legal Notices displayed by works containing it; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Prohibiting misrepresentation of the origin of that material,\n			or requiring that modified versions of such material be marked\n			in reasonable ways as different from the original version; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Limiting the use for publicity purposes of names\n			of licensors or authors of the material; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Declining to grant rights under trademark law for use\n			of some trade names, trademarks, or service marks; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> f)</var>\n			Requiring indemnification of licensors and authors of that\n			material by anyone who conveys the material (or modified\n			versions of it) with contractual assumptions of liability\n			to the recipient, for any liability that these contractual\n			assumptions directly impose on those licensors and authors.\n		  </li>\n		\n</ul>\n		<p>\n		  All other non-permissive additional terms are considered &quot;further\n		  restrictions&quot; within the meaning of section 10. If the Program\n		  as you received it, or any part of it, contains a notice stating\n		  that it is governed by this License along with a term that is\n		  a further restriction, you may remove that term. If a license\n		  document contains a further restriction but permits relicensing or\n		  conveying under this License, you may add to a covered work material\n		  governed by the terms of that license document, provided that the\n		  further restriction does not survive such relicensing or conveying.\n		</p>\n\n		<p>\n		  If you add terms to a covered work in accord with this\n		  section, you must place, in the relevant source files, a\n		  statement of the additional terms that apply to those files,\n		  or a notice indicating where to find the applicable terms.\n		</p>\n\n		<p>\n		  Additional terms, permissive or non-permissive, may be\n		  stated in the form of a separately written license, or stated\n		  as exceptions; the above requirements apply either way.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		Termination.\n		<p>\n		  You may not propagate or modify a covered work except as\n		  expressly provided under this License. Any attempt otherwise\n		  to propagate or modify it is void, and will automatically\n		  terminate your rights under this License (including any patent\n		  licenses granted under the third paragraph of section 11).\n		</p>\n\n		<p>\n		  However, if you cease all violation of this License, then your\n		  license from a particular copyright holder is reinstated (a)\n		  provisionally, unless and until the copyright holder explicitly\n		  and finally terminates your license, and (b) permanently, if\n		  the copyright holder fails to notify you of the violation by\n		  some reasonable means prior to 60 days after the cessation.\n		</p>\n\n		<p>\n		  Moreover, your license from a particular copyright holder is\n		  reinstated permanently if the copyright holder notifies you\n		  of the violation by some reasonable means, this is the first\n		  time you have received notice of violation of this License\n		  (for any work) from that copyright holder, and you cure the\n		  violation prior to 30 days after your receipt of the notice.\n		</p>\n\n		<p>\n		  Termination of your rights under this section does not\n		  terminate the licenses of parties who have received copies or\n		  rights from you under this License. If your rights have been\n		  terminated and not permanently reinstated, you do not qualify\n		  to receive new licenses for the same material under section 10.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		Acceptance Not Required for Having Copies.\n		<p>\n		  You are not required to accept this License in order to receive or\n		  run a copy of the Program. Ancillary propagation of a covered work\n		  occurring solely as a consequence of using peer-to-peer transmission\n		  to receive a copy likewise does not require acceptance. However,\n		  nothing other than this License grants you permission to propagate\n		  or modify any covered work. These actions infringe copyright if you\n		  do not accept this License. Therefore, by modifying or propagating a\n		  covered work, you indicate your acceptance of this License to do so.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		Automatic Licensing of Downstream Recipients.\n		<p>\n		  Each time you convey a covered work, the recipient automatically\n		  receives a license from the original licensors, to run, modify and\n		  propagate that work, subject to this License. You are not responsible\n		  for enforcing compliance by third parties with this License.\n		</p>\n\n		<p>\n		  An &quot;entity transaction&quot; is a transaction transferring control of\n		  an organization, or substantially all assets of one, or subdividing\n		  an organization, or merging organizations. If propagation of a\n		  covered work results from an entity transaction, each party to that\n		  transaction who receives a copy of the work also receives whatever\n		  licenses to the work the party&apos;s predecessor in interest had or could\n		  give under the previous paragraph, plus a right to possession of the\n		  Corresponding Source of the work from the predecessor in interest,\n		  if the predecessor has it or can get it with reasonable efforts.\n		</p>\n\n		<p>\n		  You may not impose any further restrictions on the exercise of the\n		  rights granted or affirmed under this License. For example, you\n		  may not impose a license fee, royalty, or other charge for exercise\n		  of rights granted under this License, and you may not initiate\n		  litigation (including a cross-claim or counterclaim in a lawsuit)\n		  alleging that any patent claim is infringed by making, using, selling,\n		  offering for sale, or importing the Program or any portion of it.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		Patents.\n		<p>\n		  A &quot;contributor&quot; is a copyright holder who authorizes use under this\n		  License of the Program or a work on which the Program is based. The\n		  work thus licensed is called the contributor&apos;s &quot;contributor version&quot;.\n		</p>\n\n		<p>\n		  A contributor&apos;s &quot;essential patent claims&quot; are all patent\n		  claims owned or controlled by the contributor, whether already\n		  acquired or hereafter acquired, that would be infringed by some\n		  manner, permitted by this License, of making, using, or selling\n		  its contributor version, but do not include claims that would\n		  be infringed only as a consequence of further modification\n		  of the contributor version. For purposes of this definition,\n		  &quot;control&quot; includes the right to grant patent sublicenses in\n		  a manner consistent with the requirements of this License.\n		</p>\n\n		<p>\n		  Each contributor grants you a non-exclusive, worldwide, royalty-free\n		  patent license under the contributor&apos;s essential patent claims,\n		  to make, use, sell, offer for sale, import and otherwise run,\n		  modify and propagate the contents of its contributor version.\n		</p>\n\n		<p>\n		  In the following three paragraphs, a &quot;patent license&quot; is any\n		  express agreement or commitment, however denominated, not to\n		  enforce a patent (such as an express permission to practice\n		  a patent or covenant not to sue for patent infringement). To\n		  &quot;grant&quot; such a patent license to a party means to make such an\n		  agreement or commitment not to enforce a patent against the party.\n		</p>\n\n		<p>\n		  If you convey a covered work, knowingly relying on a patent\n		  license, and the Corresponding Source of the work is not available\n		  for anyone to copy, free of charge and under the terms of this\n		  License, through a publicly available network server or other\n		  readily accessible means, then you must either (1) cause the\n		  Corresponding Source to be so available, or (2) arrange to\n		  deprive yourself of the benefit of the patent license for this\n		  particular work, or (3) arrange, in a manner consistent with\n		  the requirements of this License, to extend the patent<br />\n\n		  license to downstream recipients. &quot;Knowingly relying&quot; means you have\n		  actual knowledge that, but for the patent license, your conveying\n		  the covered work in a country, or your recipient&apos;s use of the\n		  covered work in a country, would infringe one or more identifiable\n		  patents in that country that you have reason to believe are valid.\n		</p>\n\n		<p>\n		  If, pursuant to or in connection with a single transaction or\n		  arrangement, you convey, or propagate by procuring conveyance\n		  of, a covered work, and grant a patent license to some of the\n		  parties receiving the covered work authorizing them to use,\n		  propagate, modify or convey a specific copy of the covered work,\n		  then the patent license you grant is automatically extended\n		  to all recipients of the covered work and works based on it.\n		</p>\n\n		<p>\n		  A patent license is &quot;discriminatory&quot; if it does not include within the\n		  scope of its coverage, prohibits the exercise of, or is conditioned\n		  on the non-exercise of one or more of the rights that are specifically\n		  granted under this License. You may not convey a covered work if\n		  you are a party to an arrangement with a third party that is in the\n		  business of distributing software, under which you make payment to\n		  the third party based on the extent of your activity of conveying\n		  the work, and under which the third party grants, to any of the\n		  parties who would receive the covered work from you, a discriminatory\n		  patent license (a) in connection with copies of the covered work\n		  conveyed by you (or copies made from those copies), or (b) primarily\n		  for and in connection with specific products or compilations that\n		  contain the covered work, unless you entered into that arrangement,\n		  or that patent license was granted, prior to 28 March 2007.\n		</p>\n\n		<p>\n		  Nothing in this License shall be consTrued as excluding or\n		  limiting any implied license or other defenses to infringement\n		  that may otherwise be available to you under applicable patent law.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		No Surrender of Others&apos; Freedom.\n		<p>\n		  If conditions are imposed on you (whether by court order,\n		  agreement or otherwise) that contradict the conditions of this\n		  License, they do not excuse you from the conditions of this\n		  License. If you cannot convey a covered work so as to satisfy\n		  simultaneously your obligations under this License and any other\n		  pertinent obligations, then as a consequence you may<br />\n\n		  not convey it at all. For example, if you agree to terms\n		  that obligate you to collect a royalty for further conveying\n		  from those to whom you convey the Program, the only\n		  way you could satisfy both those terms and this License\n		  would be to refrain entirely from conveying the Program.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 13.</var>\n		Remote Network Interaction; Use with the GNU General Public License.\n		<p>\n		  Notwithstanding any other provision of this License, if you modify\n		  the Program, your modified version must prominently offer all users\n		  interacting with it remotely through a computer network (if your\n		  version supports such interaction) an opportunity to receive the\n		  Corresponding Source of your version by providing access to the\n		  Corresponding Source from a network server at no charge, through\n		  some standard or customary means of facilitating copying of\n		  software. This Corresponding Source shall include the Corresponding\n		  Source for any work covered by version 3 of the GNU General Public\n		  License that is incorporated pursuant to the following paragraph.\n		</p>\n\n		<p>\n		  Notwithstanding any other provision of this License, you have\n		  permission to link or combine any covered work with a work\n		  licensed under version 3 of the GNU General Public License into\n		  a single combined work, and to convey the resulting work. The\n		  terms of this License will continue to apply to the part which\n		  is the covered work, but the work with which it is combined will\n		  remain governed by version 3 of the GNU General Public License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 14.</var>\n		Revised Versions of this License.\n		<p>\n		  The Free Software Foundation may publish revised and/or new versions\n		  of the GNU Affero General Public License from time to time. Such\n		  new versions will be similar in spirit to the present version,\n		  but may differ in detail to address new problems or concerns.\n		</p>\n\n		<p>\n		  Each version is given a distinguishing version number. If the\n		  Program specifies that a certain numbered version of the GNU\n		  Affero General Public License &quot;or any later version&quot; applies to\n		  it, you have the option of following the terms and conditions\n		  either of that numbered version or of any later version published\n		  by the Free Software Foundation. If the Program does not specify\n		  a version number of the GNU Affero General Public License, you may\n		  choose any version ever published by the Free Software Foundation.\n		</p>\n\n		<p>\n		  If the Program specifies that a proxy can decide which future\n		  versions of the GNU Affero General Public License can be\n		  used, that proxy&apos;s public statement of acceptance of a version\n		  permanently authorizes you to choose that version for the Program.\n		</p>\n\n		<p>\n		  Later license versions may give you additional or\n		  different permissions. However, no additional obligations\n		  are imposed on any author or copyright holder as a\n		  result of your choosing to follow a later version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 15.</var>\n		Disclaimer of Warranty.\n		<p>\n		  THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED\n		  BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING\n		  THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM\n		  &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR\n		  IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\n		  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE\n		  ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM\n		  IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME\n		  THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 16.</var>\n		Limitation of Liability.\n		<p>\n		  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		  WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR\n		  CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\n		  INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n		  ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING\n		  BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE\n		  OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\n		  PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		  OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 17.</var>\n		Interpretation of Sections 15 and 16.\n	  </li>\n	\n</ul>\n	<p>\n	  If the disclaimer of warranty and limitation of liability\n	  provided above cannot be given local legal effect according to\n	  their terms, reviewing courts shall apply local law that most\n	  closely approximates an absolute waiver of all civil liability in\n	  connection with the Program, unless a warranty or assumption of\n	  liability accompanies a copy of the Program in return for a fee.\n	</p>\n\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Programs\n	  </p>\n\n	  <p>\n		If you develop a new program, and you want it to be\n		of the greatest possible use to the public, the best\n		way to achieve this is to make it free software which\n		everyone can redistribute and change under these terms.\n	  </p>\n\n	  <p>\n		To do so, attach the following notices to the program. It is safest\n		to attach them to the start of each source file to most effectively\n		state the exclusion of warranty; and each file should have at least\n		the &quot;copyright&quot; line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		&lt;one line to give the program&apos;s name and\n		a brief idea of what it does.&gt;<br />\n\n		Copyright (C) &lt;year&gt; &lt;name of author&gt;\n	  </p>\n\n	  <p>\n		This program is free software: you can redistribute it and/or\n		modify it under the terms of the GNU Affero General Public\n		License as published by the Free Software Foundation, either\n		version 3 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be useful,\n		but WITHOUT ANY WARRANTY; without even the implied warranty\n		of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n		See the GNU Affero General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU Affero General\n\tPublic License along with this program. If not, see\n\t&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	  <p>\n		Also add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		If your software can interact with users remotely through a\n		computer network, you should also make sure that it provides a\n		way for users to get its source. For example, if your program is\n		a web application, its interface could display a &quot;Source&quot; link\n		that leads users to an archive of the code. There are many ways\n		you could offer source, and different solutions will be better for\n		different programs; see section 13 for the specific requirements.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the program, if necessary. For more information on this,\n\tand how to apply and follow the GNU AGPL, see\n\t&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (C) <var class=\"replaceable-license-text\"> [year] [name of author]</var>\n	  This program is free software: you can redistribute it and/or modify it\n	  under the terms of the GNU Affero General Public License as published\n	  by the Free Software Foundation, version 3. This program is distributed\n	  in the hope that it will be useful, but WITHOUT ANY WARRANTY; without\n	  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n	  PURPOSE. See the GNU Affero General Public License for more details.\n	  You should have received a copy of the GNU Affero General Public License\n	  along with this program. If not, see\n	  &lt;https://www.gnu.org/licenses/&gt;.\n	"
		self.deprecatedVersion = "3.0"
		self.python_name = "AGPL30"

	def __str__(self):
		return json.dumps(self.__dict__)


class Vim:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "VIM LICENSE\n\nI) There are no restrictions on distributing unmodified copies of Vim except that they must include this license text. You can also distribute unmodified parts of Vim, likewise unrestricted except that they must include this license text. You are also allowed to include executables that you made from the unmodified Vim sources, plus your own usage examples and Vim scripts.\n\nII) It is allowed to distribute a modified (or extended) version of Vim, including executables and/or source code, when the following four conditions are met:\n\n	 1) This license text must be included unmodified.\n\n	 2) The modified Vim must be distributed in one of the following five ways:\n\n		  a) If you make changes to Vim yourself, you must clearly describe in the distribution how to contact you. When the maintainer asks you (in any way) for a copy of the modified Vim you distributed, you must make your changes, including source code, available to the maintainer without fee. The maintainer reserves the right to include your changes in the official version of Vim. What the maintainer will do with your changes and under what license they will be distributed is negotiable. If there has been no negotiation then this license, or a later version, also applies to your changes. The current maintainer is Bram Moolenaar <Bram@vim.org>. If this changes it will be announced in appropriate places (most likely vim.sf.net, www.vim.org and/or comp.editors). When it is completely impossible to contact the maintainer, the obligation to send him your changes ceases. Once the maintainer has confirmed that he has received your changes they will not have to be sent again.\n\n		  b) If you have received a modified Vim that was distributed as mentioned under a) you are allowed to further distribute it unmodified, as mentioned at I). If you make additional changes the text under a) applies to those changes.\n\n		  c) Provide all the changes, including source code, with every copy of the modified Vim you distribute. This may be done in the form of a context diff. You can choose what license to use for new code you add. The changes and their license must not restrict others from making their own changes to the official version of Vim.\n\n		  d) When you have a modified Vim which includes changes as mentioned under c), you can distribute it without the source code for the changes if the following three conditions are met:\n		  - The license that applies to the changes permits you to distribute the changes to the Vim maintainer without fee or restriction, and permits the Vim maintainer to include the changes in the official version of Vim without fee or restriction.\n		  - You keep the changes for at least three years after last distributing the corresponding modified Vim. When the maintainer or someone who you distributed the modified Vim to asks you (in any way) for the changes within this period, you must make them available to him.\n		  - You clearly describe in the distribution how to contact you. This contact information must remain valid for at least three years after last distributing the corresponding modified Vim, or as long as possible.\n\n		  e) When the GNU General Public License (GPL) applies to the changes, you can distribute the modified Vim under the GNU GPL version 2 or any later version.\n\n	 3) A message must be added, at least in the output of the \":version\" command and in the intro screen, such that the user of the modified Vim is able to see that it was modified. When distributing as mentioned under 2)e) adding the message is only required for as far as this does not conflict with the license used for the changes.\n\n	 4) The contact information as required under 2)a) and 2)d) must not be removed or changed, except that the person himself can make corrections.\n\nIII) If you distribute a modified version of Vim, you are encouraged to use the Vim license for your changes and make them available to the maintainer, including the source code. The preferred way to do this is by e-mail or by uploading the files to a server and e-mailing the URL. If the number of changes is small (e.g., a modified Makefile) e-mailing a context diff will do. The e-mail address to be used is <maintainer@vim.org>\n\nIV) It is not allowed to remove this license from the distribution of the Vim sources, parts of it or from a modified version. You may use this license for previous Vim releases instead of the license that they came with, at your option.\n"
		self.standardLicenseTemplate = "<<beginOptional>>VIM LICENSE\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"I)\";match=\".{0,20}\">> There are no restrictions on distributing unmodified copies of <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> except that they must include this license text. You can also distribute unmodified parts of <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> , likewise unrestricted except that they must include this license text. You are also allowed to include executables that you made from the unmodified <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> sources, plus your own usage examples and Vim scripts.\n\n   <<var;name=\"bullet\";original=\"II)\";match=\".{0,20}\">> It is allowed to distribute a modified (or extended) version of <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> , including executables and/or source code, when the following four conditions are met:\n\n	  <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> This license text must be included unmodified.\n\n	  <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> The modified <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> must be distributed in one of the following five ways:\n\n		 <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> If you make changes to <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> yourself, you must clearly describe in the distribution how to contact you. When the maintainer asks you (in any way) for a copy of the modified <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> you distributed, you must make your changes, including source code, available to the maintainer without fee. The maintainer reserves the right to include your changes in the official version of <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> . What the maintainer will do with your changes and under what license they will be distributed is negotiable. If there has been no negotiation then this license, or a later version, also applies to your changes. The current maintainer is Bram Moolenaar <Bram@vim.org>. If this changes it will be announced in appropriate places (most likely vim.sf.net, www.vim.org and/or comp.editors). When it is completely impossible to contact the maintainer, the obligation to send him your changes ceases. Once the maintainer has confirmed that he has received your changes they will not have to be sent again.\n\n		 <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> If you have received a modified <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> that was distributed as mentioned under a) you are allowed to further distribute it unmodified, as mentioned at I). If you make additional changes the text under a) applies to those changes.\n\n		 <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Provide all the changes, including source code, with every copy of the modified <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> you distribute. This may be done in the form of a context diff. You can choose what license to use for new code you add. The changes and their license must not restrict others from making their own changes to the official version of <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> .\n\n		 <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> When you have a modified <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> which includes changes as mentioned under c), you can distribute it without the source code for the changes if the following three conditions are met:\n\n			<<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> The license that applies to the changes permits you to distribute the changes to the Vim maintainer without fee or restriction, and permits the Vim maintainer to include the changes in the official version of <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> without fee or restriction.\n\n			<<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> You keep the changes for at least three years after last distributing the corresponding modified <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> . When the maintainer or someone who you distributed the modified <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> to asks you (in any way) for the changes within this period, you must make them available to him.\n\n			<<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> You clearly describe in the distribution how to contact you. This contact information must remain valid for at least three years after last distributing the corresponding modified <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> , or as long as possible.\n\n		 <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> When the GNU General Public License (GPL) applies to the changes, you can distribute the modified <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> under the GNU GPL version 2 or any later version.\n\n	  <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> A message must be added, at least in the output of the \":version\" command and in the intro screen, such that the user of the modified <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> is able to see that it was modified. When distributing as mentioned under 2)e) adding the message is only required for as far as this does not conflict with the license used for the changes.\n\n	  <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> The contact information as required under 2)a) and 2)d) must not be removed or changed, except that the person himself can make corrections.\n\n   <<var;name=\"bullet\";original=\"III)\";match=\".{0,20}\">> If you distribute a modified version of <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> , you are encouraged to use the Vim license for your changes and make them available to the maintainer, including the source code. The preferred way to do this is by e-mail or by uploading the files to a server and e-mailing the URL. If the number of changes is small (e.g., a modified Makefile) e-mailing a context diff will do. The e-mail address to be used is <maintainer@vim.org>\n\n   <<var;name=\"bullet\";original=\"IV)\";match=\".{0,20}\">> It is not allowed to remove this license from the distribution of the <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> sources, parts of it or from a modified version. You may use this license for previous <<var;name=\"softwareName\";original=\"Vim\";match=\".+\">> releases instead of the license that they came with, at your option."
		self.name = "Vim License"
		self.licenseId = "Vim"
		self.crossRef = [{"match": "True", "url": "http://vimdoc.sourceforge.net/htmldoc/uganda.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:59Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://vimdoc.sourceforge.net/htmldoc/uganda.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>VIM LICENSE</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> I)</var>\n		  There are no restrictions on distributing unmodified copies of <var class=\"replaceable-license-text\"> Vim</var> except that they must include\n			 this license text. You can also distribute unmodified parts of <var class=\"replaceable-license-text\"> Vim</var>, likewise unrestricted\n			 except that they must include this license text. You are also allowed to include executables\n			 that you made from the unmodified <var class=\"replaceable-license-text\"> Vim</var> sources, plus your own usage examples and Vim\n			 scripts.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> II)</var>\n		  It is allowed to distribute a modified (or extended) version of <var class=\"replaceable-license-text\"> Vim</var>, including executables and/or\n			 source code, when the following four conditions are met:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1)</var>\n			  This license text must be included unmodified.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2)</var>\n			  The modified <var class=\"replaceable-license-text\"> Vim</var> must be distributed in one of the following five ways:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a)</var>\n				  If you make changes to <var class=\"replaceable-license-text\"> Vim</var> yourself, you must clearly describe in the distribution how to contact\n					you. When the maintainer asks you (in any way) for a copy of the modified <var class=\"replaceable-license-text\"> Vim</var> you distributed,\n					you must make your changes, including source code, available to the maintainer without fee.\n					The maintainer reserves the right to include your changes in the official version of <var class=\"replaceable-license-text\"> Vim</var>. What\n					the maintainer will do with your changes and under what license they will be distributed is\n					negotiable. If there has been no negotiation then this license, or a later version, also\n					applies to your changes. The current maintainer is Bram Moolenaar &lt;Bram@vim.org&gt;. If\n					this changes it will be announced in appropriate places (most likely vim.sf.net, www.vim.org\n					and/or comp.editors). When it is completely impossible to contact the maintainer, the\n					obligation to send him your changes ceases. Once the maintainer has confirmed that he has\n					received your changes they will not have to be sent again.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b)</var>\n				  If you have received a modified <var class=\"replaceable-license-text\"> Vim</var> that was distributed as mentioned under a) you are allowed to\n					further distribute it unmodified, as mentioned at I). If you make additional changes the text\n					under a) applies to those changes.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> c)</var>\n				  Provide all the changes, including source code, with every copy of the modified <var class=\"replaceable-license-text\"> Vim</var> you\n					distribute. This may be done in the form of a context diff. You can choose what license to use\n					for new code you add. The changes and their license must not restrict others from making their\n					own changes to the official version of <var class=\"replaceable-license-text\"> Vim</var>.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> d)</var>\n				  When you have a modified <var class=\"replaceable-license-text\"> Vim</var> which includes changes as mentioned under c), you can distribute it\n					without the source code for the changes if the following three conditions are met:\n				  \n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> -</var>\n					  The license that applies to the changes permits you to distribute the changes to the Vim\n						maintainer without fee or restriction, and permits the Vim maintainer to include the changes\n						in the official version of <var class=\"replaceable-license-text\"> Vim</var> without fee or restriction.\n					</li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> -</var>\n					  You keep the changes for at least three years after last distributing the corresponding modified\n						<var class=\"replaceable-license-text\"> Vim</var>. When the maintainer or someone who you distributed the modified <var class=\"replaceable-license-text\"> Vim</var> to asks you (in any\n						way) for the changes within this period, you must make them available to him.\n					</li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> -</var>\n					  You clearly describe in the distribution how to contact you. This contact information must remain\n						valid for at least three years after last distributing the corresponding modified <var class=\"replaceable-license-text\"> Vim</var>, or as\n						long as possible.\n					</li>\n						\n</ul>\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> e)</var>\n				  When the GNU General Public License (GPL) applies to the changes, you can distribute the modified\n					<var class=\"replaceable-license-text\"> Vim</var> under the GNU GPL version 2 or any later version.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3)</var>\n			  A message must be added, at least in the output of the &quot;:version&quot; command and in the intro\n				screen, such that the user of the modified <var class=\"replaceable-license-text\"> Vim</var> is able to see that it was modified. When\n				distributing as mentioned under 2)e) adding the message is only required for as far as this\n				does not conflict with the license used for the changes.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4)</var>\n			  The contact information as required under 2)a) and 2)d) must not be removed or changed, except\n				that the person himself can make corrections.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> III)</var>\n		  If you distribute a modified version of <var class=\"replaceable-license-text\"> Vim</var>, you are encouraged to use the Vim license for your\n			 changes and make them available to the maintainer, including the source code. The preferred\n			 way to do this is by e-mail or by uploading the files to a server and e-mailing the URL. If\n			 the number of changes is small (e.g., a modified Makefile) e-mailing a context diff will do.\n			 The e-mail address to be used is &lt;maintainer@vim.org&gt;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> IV)</var>\n		  It is not allowed to remove this license from the distribution of the <var class=\"replaceable-license-text\"> Vim</var> sources, parts of it or\n			 from a modified version. You may use this license for previous <var class=\"replaceable-license-text\"> Vim</var> releases instead of the\n			 license that they came with, at your option.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "Vim"

	def __str__(self):
		return json.dumps(self.__dict__)


class URTRLE:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = " * This software is copyrighted as noted below.  It may be freely copied,\n * modified, and redistributed, provided that the copyright notice is\n * preserved on all copies.\n *\n * There is no warranty or other guarantee of fitness for this software,\n * it is provided solely \"as is\".  Bug reports or fixes may be sent\n * to the author, who may or may not act on them as he desires.\n *\n * You may not include this software in a program or other software product\n * without supplying the source, or without informing the end-user that the\n * source is available for no extra charge.\n *\n * If you modify this software, you should include a notice giving the\n * name of the person performing the modification, the date of modification,\n * and the reason for such modification.\n"
		self.standardLicenseTemplate = "This software is copyrighted as noted below. It may be freely copied, modified, and redistributed, provided that the copyright notice is preserved on all copies.\n\nThere is no warranty or other guarantee of fitness for this software, it is provided solely \"as is\". Bug reports or fixes may be sent to the author, who may or may not act on them as he desires.\n\nYou may not include this software in a program or other software product without supplying the source, or without informing the end-user that the source is available for no extra charge.\n\nIf you modify this software, you should include a notice giving the name of the person performing the modification, the date of modification, and the reason for such modification.\n\n"
		self.name = "Utah Raster Toolkit Run Length Encoded License"
		self.licenseId = "URT-RLE"
		self.crossRef = [{"match": "False", "url": "https://sourceforge.net/p/netpbm/code/HEAD/tree/super_stable/converter/other/pnmtorle.c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:48Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://sourceforge.net/p/netpbm/code/HEAD/tree/super_stable/converter/other/rletopnm.c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:49Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://sourceforge.net/p/netpbm/code/HEAD/tree/super_stable/converter/other/pnmtorle.c", "https://sourceforge.net/p/netpbm/code/HEAD/tree/super_stable/converter/other/rletopnm.c"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			   <p>\n				  This software is copyrighted as noted below. It may be\n				  freely copied, modified, and redistributed, provided that\n				  the copyright notice is preserved on all copies. </p>\n\n				  <p>There is no warranty or other guarantee of fitness for this\n				  software, it is provided solely &quot;as is&quot;. Bug reports or\n				  fixes may be sent to the author, who may or may not act\n				  on them as he desires. </p>\n\n				  <p>You may not include this software\n				  in a program or other software product without supplying\n				  the source, or without informing the end-user that the\n				  source is available for no extra charge. </p>\n\n				  <p>If you modify this software, you should include a notice giving the\n				  name of the person performing the modification, the date\n				  of modification, and the reason for such modification.\n			   </p>\n\n	  "
		self.python_name = "URTRLE"

	def __str__(self):
		return json.dumps(self.__dict__)


class LiLiQP11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Licence Libre du Qu\u00e9bec \u2013 Permissive (LiLiQ-P)\n\nVersion 1.1\n\n1. Pr\u00e9ambule\nCette licence s'applique \u00e0 tout logiciel distribu\u00e9 dont le titulaire du droit d'auteur pr\u00e9cise qu'il est sujet aux termes de la Licence Libre du Qu\u00e9bec \u2013 Permissive (LiLiQ-P) (ci-apr\u00e8s appel\u00e9e la \u00ab\u00a0licence\u00a0\u00bb).\n\n2. D\u00e9finitions\nDans la pr\u00e9sente licence, \u00e0 moins que le contexte n'indique un sens diff\u00e9rent, on entend par:\n\n	 \u00ab\u00a0conc\u00e9dant\u00a0\u00bb\u00a0: le titulaire du droit d'auteur sur le logiciel, ou toute personne d\u00fbment autoris\u00e9e par ce dernier \u00e0 accorder la pr\u00e9sente licence;\n	 \u00ab\u00a0contributeur\u00a0\u00bb\u00a0: le titulaire du droit d'auteur ou toute personne autoris\u00e9e par ce dernier \u00e0 soumettre au conc\u00e9dant une contribution. Un contributeur dont sa contribution est incorpor\u00e9e au logiciel est consid\u00e9r\u00e9 comme un conc\u00e9dant en regard de sa contribution;\n	 \u00ab\u00a0contribution\u00a0\u00bb\u00a0: tout logiciel original, ou partie de logiciel original soumis et destin\u00e9 \u00e0 \u00eatre incorpor\u00e9 dans le logiciel;\n	 \u00ab\u00a0distribution\u00a0\u00bb\u00a0: le fait de d\u00e9livrer une copie du logiciel;\n	 \u00ab\u00a0licenci\u00e9\u00a0\u00bb\u00a0: toute personne qui poss\u00e8de une copie du logiciel et qui exerce les droits conc\u00e9d\u00e9s par la licence;\n	 \u00ab\u00a0logiciel\u00a0\u00bb\u00a0: une \u0153uvre prot\u00e9g\u00e9e par le droit d'auteur, telle qu'un programme d'ordinateur et sa documentation, pour laquelle le titulaire du droit d'auteur a pr\u00e9cis\u00e9 qu'elle est sujette aux termes de la pr\u00e9sente licence;\n	 \u00ab\u00a0logiciel d\u00e9riv\u00e9\u00a0\u00bb\u00a0: tout logiciel original r\u00e9alis\u00e9 par un licenci\u00e9, autre que le logiciel ou un logiciel modifi\u00e9, qui produit ou reproduit la totalit\u00e9 ou une partie importante du logiciel;\n	 \u00ab\u00a0logiciel modifi\u00e9\u00a0\u00bb\u00a0: toute modification par un licenci\u00e9 de l'un des fichiers source du logiciel ou encore tout nouveau fichier source qui incorpore le logiciel ou une partie importante de ce dernier.\n\n3. Licence de droit d'auteur\nSous r\u00e9serve des termes de la licence, le conc\u00e9dant accorde au licenci\u00e9 une licence non exclusive et libre de redevances lui permettant d\u2019exercer les droits suivants sur le logiciel\u00a0:\n\n	 1\u00a0Produire ou reproduire la totalit\u00e9 ou une partie importante;\n	 2\u00a0Ex\u00e9cuter ou repr\u00e9senter la totalit\u00e9 ou une partie importante en public;\n	 3\u00a0Publier la totalit\u00e9 ou une partie importante;\n	 4\u00a0Sous-licencier sous une autre licence libre, approuv\u00e9e ou certifi\u00e9e par la Free Software Foundation ou l'Open Source Initiative.\n\nCette licence est accord\u00e9e sans limite territoriale et sans limite de temps.\n\nL'exercice complet de ces droits est sujet \u00e0 la distribution par le conc\u00e9dant du code source du logiciel, lequel doit \u00eatre sous une forme permettant d'y apporter des modifications. Le conc\u00e9dant peut aussi distribuer le logiciel accompagn\u00e9 d'une offre de distribuer le code source du logiciel, sans frais suppl\u00e9mentaires, autres que ceux raisonnables afin de permettre la livraison du code source. Cette offre doit \u00eatre valide pendant une dur\u00e9e raisonnable.\n\n4. Distribution\nLe licenci\u00e9 peut distribuer des copies du logiciel, d'un logiciel modifi\u00e9 ou d\u00e9riv\u00e9, sous r\u00e9serve de respecter les conditions suivantes :\n\n	 1\u00a0Le logiciel doit \u00eatre accompagn\u00e9 d'un exemplaire de cette licence;\n	 2\u00a0Si le logiciel a \u00e9t\u00e9 modifi\u00e9, le licenci\u00e9 doit en faire la mention, de pr\u00e9f\u00e9rence dans chacun des fichiers modifi\u00e9s dont la nature permet une telle mention;\n	 3\u00a0Les \u00e9tiquettes ou mentions faisant \u00e9tat des droits d'auteur, des marques de commerce, des garanties ou de la paternit\u00e9 concernant le logiciel ne doivent pas \u00eatre modifi\u00e9es ou supprim\u00e9es, \u00e0 moins que ces \u00e9tiquettes ou mentions ne soient inapplicables \u00e0 un logiciel modifi\u00e9 ou d\u00e9riv\u00e9 donn\u00e9.\n\n5. Contributions\nSous r\u00e9serve d'une entente distincte, toute contribution soumise par un contributeur au conc\u00e9dant pour inclusion dans le logiciel sera soumise aux termes de cette licence.\n\n6. Marques de commerce\nLa licence n'accorde aucune permission particuli\u00e8re qui permettrait d'utiliser les marques de commerce du conc\u00e9dant, autre que celle requise permettant d'identifier la provenance du logiciel.\n\n7. Garanties\nSauf mention contraire, le conc\u00e9dant distribue le logiciel sans aucune garantie, aux risques et p\u00e9rils de l'acqu\u00e9reur de la copie du logiciel, et ce, sans assurer que le logiciel puisse r\u00e9pondre \u00e0 un besoin particulier ou puisse donner un r\u00e9sultat quelconque.\n\nSans lier le conc\u00e9dant d'une quelconque mani\u00e8re, rien n'emp\u00eache un licenci\u00e9 d'offrir ou d'exclure des garanties ou du support.\n\n8. Responsabilit\u00e9\nLe licenci\u00e9 est responsable de tout pr\u00e9judice r\u00e9sultant de l'exercice des droits accord\u00e9s par la licence.\n\nLe conc\u00e9dant ne saurait \u00eatre tenu responsable de dommages subis par le licenci\u00e9 ou par des tiers, pour quelque cause que ce soit en lien avec la licence et les droits qui y sont accord\u00e9s.\n\n9. R\u00e9siliation\nLa pr\u00e9sente licence est automatiquement r\u00e9sili\u00e9e d\u00e8s que les droits qui y sont accord\u00e9s ne sont pas exerc\u00e9s conform\u00e9ment aux termes qui y sont stipul\u00e9s.\n\nToutefois, si le d\u00e9faut est corrig\u00e9 dans un d\u00e9lai de 30 jours de sa prise de connaissance par la personne en d\u00e9faut, et qu'il s'agit du premier d\u00e9faut, la licence est accord\u00e9e de nouveau.\n\nPour tout d\u00e9faut subs\u00e9quent, le consentement expr\u00e8s du conc\u00e9dant est n\u00e9cessaire afin que la licence soit accord\u00e9e de nouveau.\n\n10. Version de la licence\nLe Centre de services partag\u00e9s du Qu\u00e9bec, ses ayants cause ou toute personne qu'il d\u00e9signe, peuvent diffuser des versions r\u00e9vis\u00e9es ou modifi\u00e9es de cette licence. Chaque version recevra un num\u00e9ro unique. Si un logiciel est d\u00e9j\u00e0 soumis aux termes d'une version sp\u00e9cifique, c'est seulement cette version qui liera les parties \u00e0 la licence.\n\nLe conc\u00e9dant peut aussi choisir de conc\u00e9der la licence sous la version actuelle ou toute version ult\u00e9rieure, auquel cas le licenci\u00e9 peut choisir sous quelle version la licence lui est accord\u00e9e.\n\n11. Divers\nDans la mesure o\u00f9 le conc\u00e9dant est un minist\u00e8re, un organisme public ou une personne morale de droit public, cr\u00e9\u00e9s en vertu d'une loi de l'Assembl\u00e9e nationale du Qu\u00e9bec, la licence est r\u00e9gie par le droit applicable au Qu\u00e9bec et en cas de contestation, les tribunaux du Qu\u00e9bec seront seuls comp\u00e9tents.\n\nLa pr\u00e9sente licence peut \u00eatre distribu\u00e9e sans conditions particuli\u00e8res. Toutefois, une version modifi\u00e9e doit \u00eatre distribu\u00e9e sous un nom diff\u00e9rent. Toute r\u00e9f\u00e9rence au Centre de services partag\u00e9s du Qu\u00e9bec, et, le cas \u00e9ch\u00e9ant, ses ayant cause, doit \u00eatre retir\u00e9e, autre que celle permettant d'identifier la provenance de la licence.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Licence Libre du Qu\u00e9bec \u2013 Permissive (LiLiQ-P)\n\nVersion 1.1\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Pr\u00e9ambule\n\n   Cette licence s'applique \u00e0 tout logiciel distribu\u00e9 dont le titulaire du droit d'auteur pr\u00e9cise qu'il est sujet aux termes de la Licence Libre du Qu\u00e9bec \u2013 Permissive (LiLiQ-P) (ci-apr\u00e8s appel\u00e9e la \u00ab\u00a0licence\u00a0\u00bb).\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> D\u00e9finitions\n\n   Dans la pr\u00e9sente licence, \u00e0 moins que le contexte n'indique un sens diff\u00e9rent, on entend par:\n\n   \u00ab\u00a0conc\u00e9dant\u00a0\u00bb\u00a0: le titulaire du droit d'auteur sur le logiciel, ou toute personne d\u00fbment autoris\u00e9e par ce dernier \u00e0 accorder la pr\u00e9sente licence;\n\n   \u00ab\u00a0contributeur\u00a0\u00bb\u00a0: le titulaire du droit d'auteur ou toute personne autoris\u00e9e par ce dernier \u00e0 soumettre au conc\u00e9dant une contribution. Un contributeur dont sa contribution est incorpor\u00e9e au logiciel est consid\u00e9r\u00e9 comme un conc\u00e9dant en regard de sa contribution;\n\n   \u00ab\u00a0contribution\u00a0\u00bb\u00a0: tout logiciel original, ou partie de logiciel original soumis et destin\u00e9 \u00e0 \u00eatre incorpor\u00e9 dans le logiciel;\n\n   \u00ab\u00a0distribution\u00a0\u00bb\u00a0: le fait de d\u00e9livrer une copie du logiciel;\n\n   \u00ab\u00a0licenci\u00e9\u00a0\u00bb\u00a0: toute personne qui poss\u00e8de une copie du logiciel et qui exerce les droits conc\u00e9d\u00e9s par la licence;\n\n   \u00ab\u00a0logiciel\u00a0\u00bb\u00a0: une \u0153uvre prot\u00e9g\u00e9e par le droit d'auteur, telle qu'un programme d'ordinateur et sa documentation, pour laquelle le titulaire du droit d'auteur a pr\u00e9cis\u00e9 qu'elle est sujette aux termes de la pr\u00e9sente licence;\n\n   \u00ab\u00a0logiciel d\u00e9riv\u00e9\u00a0\u00bb\u00a0: tout logiciel original r\u00e9alis\u00e9 par un licenci\u00e9, autre que le logiciel ou un logiciel modifi\u00e9, qui produit ou reproduit la totalit\u00e9 ou une partie importante du logiciel;\n\n   \u00ab\u00a0logiciel modifi\u00e9\u00a0\u00bb\u00a0: toute modification par un licenci\u00e9 de l'un des fichiers source du logiciel ou encore tout nouveau fichier source qui incorpore le logiciel ou une partie importante de ce dernier.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Licence de droit d'auteur\n\n   Sous r\u00e9serve des termes de la licence, le conc\u00e9dant accorde au licenci\u00e9 une licence non exclusive et libre de redevances lui permettant d'exercer les droits suivants sur le logiciel\u00a0:\n\n	  <<var;name=\"bullet\";original=\"1\u00a0\";match=\".{0,20}\">> Produire ou reproduire la totalit\u00e9 ou une partie importante;\n\n	  <<var;name=\"bullet\";original=\"2\u00a0\";match=\".{0,20}\">> Ex\u00e9cuter ou repr\u00e9senter la totalit\u00e9 ou une partie importante en public;\n\n	  <<var;name=\"bullet\";original=\"3\u00a0\";match=\".{0,20}\">> Publier la totalit\u00e9 ou une partie importante;\n\n	  <<var;name=\"bullet\";original=\"4\u00a0\";match=\".{0,20}\">> Sous-licencier sous une autre licence libre, approuv\u00e9e ou certifi\u00e9e par la Free Software Foundation ou l'Open Source Initiative.\n\n   Cette licence est accord\u00e9e sans limite territoriale et sans limite de temps.\n\n   L'exercice complet de ces droits est sujet \u00e0 la distribution par le conc\u00e9dant du code source du logiciel, lequel doit \u00eatre sous une forme permettant d'y apporter des modifications. Le conc\u00e9dant peut aussi distribuer le logiciel accompagn\u00e9 d'une offre de distribuer le code source du logiciel, sans frais suppl\u00e9mentaires, autres que ceux raisonnables afin de permettre la livraison du code source. Cette offre doit \u00eatre valide pendant une dur\u00e9e raisonnable.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Distribution\n\n   Le licenci\u00e9 peut distribuer des copies du logiciel, d'un logiciel modifi\u00e9 ou d\u00e9riv\u00e9, sous r\u00e9serve de respecter les conditions suivantes :\n\n	  <<var;name=\"bullet\";original=\"1\u00a0\";match=\".{0,20}\">> Le logiciel doit \u00eatre accompagn\u00e9 d'un exemplaire de cette licence;\n\n	  <<var;name=\"bullet\";original=\"2\u00a0\";match=\".{0,20}\">> Si le logiciel a \u00e9t\u00e9 modifi\u00e9, le licenci\u00e9 doit en faire la mention, de pr\u00e9f\u00e9rence dans chacun des fichiers modifi\u00e9s dont la nature permet une telle mention;\n\n	  <<var;name=\"bullet\";original=\"3\u00a0\";match=\".{0,20}\">> Les \u00e9tiquettes ou mentions faisant \u00e9tat des droits d'auteur, des marques de commerce, des garanties ou de la paternit\u00e9 concernant le logiciel ne doivent pas \u00eatre modifi\u00e9es ou supprim\u00e9es, \u00e0 moins que ces \u00e9tiquettes ou mentions ne soient inapplicables \u00e0 un logiciel modifi\u00e9 ou d\u00e9riv\u00e9 donn\u00e9.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">>\n\n   Contributions\n\n   Sous r\u00e9serve d'une entente distincte, toute contribution soumise par un contributeur au conc\u00e9dant pour inclusion dans le logiciel sera soumise aux termes de cette licence.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Marques de commerce\n\n   La licence n'accorde aucune permission particuli\u00e8re qui permettrait d'utiliser les marques de commerce du conc\u00e9dant, autre que celle requise permettant d'identifier la provenance du logiciel.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Garanties\n\n   Sauf mention contraire, le conc\u00e9dant distribue le logiciel sans aucune garantie, aux risques et p\u00e9rils de l'acqu\u00e9reur de la copie du logiciel, et ce, sans assurer que le logiciel puisse r\u00e9pondre \u00e0 un besoin particulier ou puisse donner un r\u00e9sultat quelconque.\n\n   Sans lier le conc\u00e9dant d'une quelconque mani\u00e8re, rien n'emp\u00eache un licenci\u00e9 d'offrir ou d'exclure des garanties ou du support.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Responsabilit\u00e9\n\n   Le licenci\u00e9 est responsable de tout pr\u00e9judice r\u00e9sultant de l'exercice des droits accord\u00e9s par la licence.\n\n   Le conc\u00e9dant ne saurait \u00eatre tenu responsable de dommages subis par le licenci\u00e9 ou par des tiers, pour quelque cause que ce soit en lien avec la licence et les droits qui y sont accord\u00e9s.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> R\u00e9siliation\n\n   La pr\u00e9sente licence est automatiquement r\u00e9sili\u00e9e d\u00e8s que les droits qui y sont accord\u00e9s ne sont pas exerc\u00e9s conform\u00e9ment aux termes qui y sont stipul\u00e9s.\n\n   Toutefois, si le d\u00e9faut est corrig\u00e9 dans un d\u00e9lai de 30 jours de sa prise de connaissance par la personne en d\u00e9faut, et qu'il s'agit du premier d\u00e9faut, la licence est accord\u00e9e de nouveau.\n\n   Pour tout d\u00e9faut subs\u00e9quent, le consentement expr\u00e8s du conc\u00e9dant est n\u00e9cessaire afin que la licence soit accord\u00e9e de nouveau.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Version de la licence\n\n   Le Centre de services partag\u00e9s du Qu\u00e9bec, ses ayants cause ou toute personne qu'il d\u00e9signe, peuvent diffuser des versions r\u00e9vis\u00e9es ou modifi\u00e9es de cette licence. Chaque version recevra un num\u00e9ro unique. Si un logiciel est d\u00e9j\u00e0 soumis aux termes d'une version sp\u00e9cifique, c'est seulement cette version qui liera les parties \u00e0 la licence.\n\n   Le conc\u00e9dant peut aussi choisir de conc\u00e9der la licence sous la version actuelle ou toute version ult\u00e9rieure, auquel cas le licenci\u00e9 peut choisir sous quelle version la licence lui est accord\u00e9e.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Divers\n\n   Dans la mesure o\u00f9 le conc\u00e9dant est un minist\u00e8re, un organisme public ou une personne morale de droit public, cr\u00e9\u00e9s en vertu d'une loi de l'Assembl\u00e9e nationale du Qu\u00e9bec, la licence est r\u00e9gie par le droit applicable au Qu\u00e9bec et en cas de contestation, les tribunaux du Qu\u00e9bec seront seuls comp\u00e9tents.\n\n   La pr\u00e9sente licence peut \u00eatre distribu\u00e9e sans conditions particuli\u00e8res. Toutefois, une version modifi\u00e9e doit \u00eatre distribu\u00e9e sous un nom diff\u00e9rent. Toute r\u00e9f\u00e9rence au Centre de services partag\u00e9s du Qu\u00e9bec, et, le cas \u00e9ch\u00e9ant, ses ayant cause, doit \u00eatre retir\u00e9e, autre que celle permettant d'identifier la provenance de la licence.\n\n   "
		self.name = "Licence Libre du Qu\u00e9bec \u2013 Permissive version 1.1"
		self.licenseComments = "French is the canonical language for this license. An English translation is provided here: https://forge.gouv.qc.ca/licence/en/liliq-v1-1/#permissive-liliq-p"
		self.licenseId = "LiLiQ-P-1.1"
		self.crossRef = [{"match": "False", "url": "http://opensource.org/licenses/LiLiQ-P-1.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:21Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "https://forge.gouv.qc.ca/licence/fr/liliq-v1-1/", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:17:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://forge.gouv.qc.ca/licence/fr/liliq-v1-1/", "http://opensource.org/licenses/LiLiQ-P-1.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Licence Libre du Qu\u00e9bec \u2013 Permissive (LiLiQ-P)</p>\n\n		 <p>Version 1.1</p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Pr\u00e9ambule\n			<br />\n\n   Cette licence s&apos;applique \u00e0 tout logiciel distribu\u00e9\n				 dont le titulaire du droit d&apos;auteur pr\u00e9cise\n				 qu&apos;il est sujet aux termes de la Licence Libre\n				 du Qu\u00e9bec \u2013 Permissive (LiLiQ-P) (ci-apr\u00e8s\n				 appel\u00e9e la \u00ab\u00a0licence\u00a0\u00bb).\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  D\u00e9finitions\n			<br />\n\n   Dans la pr\u00e9sente licence, \u00e0 moins que le contexte\n				 n&apos;indique un sens diff\u00e9rent, on entend par:\n\n		  <p>\u00ab\u00a0conc\u00e9dant\u00a0\u00bb\u00a0: le titulaire du droit d&apos;auteur sur le\n			 logiciel, ou toute personne d\u00fbment autoris\u00e9e par ce\n			 dernier \u00e0 accorder la pr\u00e9sente licence;</p>\n\n			<p>\u00ab\u00a0contributeur\u00a0\u00bb\u00a0: le titulaire du droit d&apos;auteur\n				 ou toute personne autoris\u00e9e par ce dernier \u00e0\n				 soumettre au conc\u00e9dant une contribution. Un\n				 contributeur dont sa contribution est\n				 incorpor\u00e9e au logiciel est consid\u00e9r\u00e9 comme un\n				 conc\u00e9dant en regard de sa contribution;</p>\n\n			<p>\u00ab\u00a0contribution\u00a0\u00bb\u00a0: tout logiciel original, ou\n				 partie de logiciel original soumis et destin\u00e9\n				 \u00e0 \u00eatre incorpor\u00e9 dans le logiciel;</p>\n\n			<p>\u00ab\u00a0distribution\u00a0\u00bb\u00a0: le fait de d\u00e9livrer une copie du logiciel;\n			</p>\n\n			<p>\u00ab\u00a0licenci\u00e9\u00a0\u00bb\u00a0: toute personne qui poss\u00e8de une copie\n				 du logiciel et qui exerce les droits conc\u00e9d\u00e9s\n				 par la licence;</p>\n\n			<p>\u00ab\u00a0logiciel\u00a0\u00bb\u00a0: une \u0153uvre prot\u00e9g\u00e9e par le droit\n				 d&apos;auteur, telle qu&apos;un programme d&apos;ordinateur\n				 et sa documentation, pour laquelle le\n				 titulaire du droit d&apos;auteur a pr\u00e9cis\u00e9 qu&apos;elle\n				 est sujette aux termes de la pr\u00e9sente licence;</p>\n\n			<p>\u00ab\u00a0logiciel d\u00e9riv\u00e9\u00a0\u00bb\u00a0: tout logiciel original\n				 r\u00e9alis\u00e9 par un licenci\u00e9, autre que le logiciel\n				 ou un logiciel modifi\u00e9, qui produit ou\n				 reproduit la totalit\u00e9 ou une partie importante\n				 du logiciel;</p>\n\n			<p>\u00ab\u00a0logiciel modifi\u00e9\u00a0\u00bb\u00a0: toute modification par un\n				 licenci\u00e9 de l&apos;un des fichiers source du\n				 logiciel ou encore tout nouveau fichier source\n				 qui incorpore le logiciel ou une partie\n				 importante de ce dernier.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Licence de droit d&apos;auteur\n			<br />\n\n   Sous r\u00e9serve des termes de la licence, le conc\u00e9dant\n				 accorde au licenci\u00e9 une licence non exclusive\n				 et libre de redevances lui permettant\n				 d&apos;exercer les droits suivants sur le\n				 logiciel\u00a0:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1\u00a0</var> Produire ou reproduire la totalit\u00e9 ou une partie importante;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2\u00a0</var> Ex\u00e9cuter ou repr\u00e9senter la totalit\u00e9 ou une partie\n				 importante en public;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3\u00a0</var> Publier la totalit\u00e9 ou une partie importante;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4\u00a0</var> Sous-licencier sous une autre licence libre,\n				 approuv\u00e9e ou certifi\u00e9e par la Free Software\n				 Foundation ou l&apos;Open Source Initiative.\n		  </li>\n			\n</ul>\n			<br />\n\n			<p>Cette licence est accord\u00e9e sans limite territoriale et\n			 sans limite de temps.</p>\n\n			<p>L&apos;exercice complet de ces droits est sujet \u00e0 la\n			 distribution par le conc\u00e9dant du code source du\n			 logiciel, lequel doit \u00eatre sous une forme permettant\n			 d&apos;y apporter des modifications. Le conc\u00e9dant peut\n			 aussi distribuer le logiciel accompagn\u00e9 d&apos;une offre de\n			 distribuer le code source du logiciel, sans frais\n			 suppl\u00e9mentaires, autres que ceux raisonnables afin de\n			 permettre la livraison du code source. Cette offre\n			 doit \u00eatre valide pendant une dur\u00e9e raisonnable.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Distribution\n			<br />\n\n   Le licenci\u00e9 peut distribuer des copies du logiciel,\n				 d&apos;un logiciel modifi\u00e9 ou d\u00e9riv\u00e9, sous r\u00e9serve\n				 de respecter les conditions suivantes :\n\t\t </li>\n		 \n<li>\n			   \n<ul style=\"list-style:none\">\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> 1\u00a0</var> Le logiciel doit \u00eatre accompagn\u00e9 d&apos;un exemplaire de\n			 cette licence;\n			 </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> 2\u00a0</var> Si le logiciel a \u00e9t\u00e9 modifi\u00e9, le licenci\u00e9 doit en\n				 faire la mention, de pr\u00e9f\u00e9rence dans chacun\n				 des fichiers modifi\u00e9s dont la nature permet\n				 une telle mention;\n			</li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> 3\u00a0</var> Les \u00e9tiquettes ou mentions faisant \u00e9tat des\n				 droits d&apos;auteur, des marques de commerce, des\n				 garanties ou de la paternit\u00e9 concernant le\n				 logiciel ne doivent pas \u00eatre modifi\u00e9es ou\n				 supprim\u00e9es, \u00e0 moins que ces \u00e9tiquettes ou\n				 mentions ne soient inapplicables \u00e0 un logiciel\n				 modifi\u00e9 ou d\u00e9riv\u00e9 donn\u00e9.\n			</li>\n			   \n</ul>\n			</li>\n			\n<li>\n			   <br />\n\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   <p>Contributions\n			<br />\n\n   Sous r\u00e9serve d&apos;une entente distincte, toute\n				 contribution soumise par un contributeur au\n				 conc\u00e9dant pour inclusion dans le logiciel sera\n				 soumise aux termes de cette licence.\n		  </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 6.</var>\n		  Marques de commerce\n			<br />\n\n   La licence n&apos;accorde aucune permission particuli\u00e8re\n				 qui permettrait d&apos;utiliser les marques de\n				 commerce du conc\u00e9dant, autre que celle requise\n				 permettant d&apos;identifier la provenance du\n				 logiciel.\n\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 7.</var>\n		  Garanties\n			<br />\n\n   Sauf mention contraire, le conc\u00e9dant distribue le\n				 logiciel sans aucune garantie, aux risques et\n				 p\u00e9rils de l&apos;acqu\u00e9reur de la copie du logiciel,\n				 et ce, sans assurer que le logiciel puisse\n				 r\u00e9pondre \u00e0 un besoin particulier ou puisse\n				 donner un r\u00e9sultat quelconque.\n		  <p>Sans lier le conc\u00e9dant d&apos;une quelconque mani\u00e8re, rien\n			 n&apos;emp\u00eache un licenci\u00e9 d&apos;offrir ou d&apos;exclure des\n			 garanties ou du support.</p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 8.</var>\n		  Responsabilit\u00e9\n			<br />\n\n   Le licenci\u00e9 est responsable de tout pr\u00e9judice\n				 r\u00e9sultant de l&apos;exercice des droits accord\u00e9s\n				 par la licence.\n		  <p>Le conc\u00e9dant ne saurait \u00eatre tenu responsable de dommages\n			 subis par le licenci\u00e9 ou par des tiers, pour quelque\n			 cause que ce soit en lien avec la licence et les\n			 droits qui y sont accord\u00e9s.</p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 9.</var>\n		  R\u00e9siliation\n			<br />\n\n   La pr\u00e9sente licence est automatiquement r\u00e9sili\u00e9e\n				 d\u00e8s que les droits qui y sont accord\u00e9s ne sont\n				 pas exerc\u00e9s conform\u00e9ment aux termes qui y sont\n				 stipul\u00e9s.\n\n		  <p>Toutefois, si le d\u00e9faut est corrig\u00e9 dans un d\u00e9lai de 30\n			 jours de sa prise de connaissance par la personne en\n			 d\u00e9faut, et qu&apos;il s&apos;agit du premier d\u00e9faut, la licence\n			 est accord\u00e9e de nouveau.</p>\n\n			   <p>Pour tout d\u00e9faut subs\u00e9quent, le consentement expr\u00e8s du\n			 conc\u00e9dant est n\u00e9cessaire afin que la licence soit\n			 accord\u00e9e de nouveau.</p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 10.</var>\n		  Version de la licence\n			<br />\n\n   Le Centre de services partag\u00e9s du Qu\u00e9bec, ses\n				 ayants cause ou toute personne qu&apos;il d\u00e9signe,\n				 peuvent diffuser des versions r\u00e9vis\u00e9es ou\n				 modifi\u00e9es de cette licence. Chaque version\n				 recevra un num\u00e9ro unique. Si un logiciel est\n				 d\u00e9j\u00e0 soumis aux termes d&apos;une version\n				 sp\u00e9cifique, c&apos;est seulement cette version qui\n				 liera les parties \u00e0 la licence.\n\n		  <p>Le conc\u00e9dant peut aussi choisir de conc\u00e9der la licence\n			 sous la version actuelle ou toute version ult\u00e9rieure,\n			 auquel cas le licenci\u00e9 peut choisir sous quelle\n			 version la licence lui est accord\u00e9e.</p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 11.</var>\n		  Divers\n	  <br />\n\n   Dans la mesure o\u00f9 le conc\u00e9dant est un minist\u00e8re, un organisme\n		 public ou une personne morale de droit public, cr\u00e9\u00e9s en vertu\n		 d&apos;une loi de l&apos;Assembl\u00e9e nationale du Qu\u00e9bec, la licence est\n		 r\u00e9gie par le droit applicable au Qu\u00e9bec et en cas de\n		 contestation, les tribunaux du Qu\u00e9bec seront seuls\n		 comp\u00e9tents.\n	  <p>La pr\u00e9sente licence peut \u00eatre distribu\u00e9e sans conditions\n		 particuli\u00e8res. Toutefois, une version modifi\u00e9e doit \u00eatre\n		 distribu\u00e9e sous un nom diff\u00e9rent. Toute r\u00e9f\u00e9rence au Centre de\n		 services partag\u00e9s du Qu\u00e9bec, et, le cas \u00e9ch\u00e9ant, ses ayant\n		 cause, doit \u00eatre retir\u00e9e, autre que celle permettant\n		 d&apos;identifier la provenance de la licence.\n		 </p>\n\n		</li>\n	  \n</ul>\n	"
		self.python_name = "LiLiQP11"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL11invariantsonly:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU Free Documentation License\nVersion 1.1, March 2000\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other written document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\".\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (For example, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, whose contents can be viewed and edited directly and straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup has been designed to thwart or discourage subsequent modification by readers is not Transparent. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML designed for human modification. Opaque formats include PostScript, PDF, proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies of the Document numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a publicly-accessible computer-network location containing a complete Transparent copy of the Document, free of added material, which the general network-using public has access to download anonymously at no charge using public-standard network protocols. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has less than five).\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n	 H. Include an unaltered copy of this License.\n	 I. Preserve the section entitled \"History\", and its title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the section's title, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section as \"Endorsements\" or to conflict in title with any Invariant Section.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections entitled \"History\" in the various original documents, forming one section entitled \"History\"; likewise combine any sections entitled \"Acknowledgements\", and any sections entitled \"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, does not as a whole count as a Modified Version of the Document, provided no compilation copyright is claimed for the compilation. Such a compilation is called an \"aggregate\", and this License does not apply to the other self-contained works thus compiled with the Document, on account of their being thus compiled, if they are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one quarter of the entire aggregate, the Document's Cover Texts may be placed on covers that surround only the Document within the aggregate. Otherwise they must appear on covers around the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License provided that you also include the original English version of this License. In case of a disagreement between the translation and the original English version of this License, the original English version will prevail.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead of saying which ones are invariant. If you have no Front-Cover Texts, write \"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise for Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1; with <<var;name=\"invariantSections\";original=\"the Invariant Sections being LIST THEIR TITLES\";match=\"the Invariant Sections	   being .+|no Invariant Sections\">> , with <<var;name=\"frontCoverTexts\";original=\"the Front-Cover Texts being LIST\";match=\"the Front-Cover Texts being .+|no Front-Cover Texts\">> , and with <<var;name=\"backCoverTexts\";original=\"the Back-Cover Texts being LIST\";match=\"the Back-Cover Texts being .+|no Back-Cover Texts\">> . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.1, March 2000\n\n<<endOptional>>\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other written document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\".\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (For example, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, whose contents can be viewed and edited directly and straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup has been designed to thwart or discourage subsequent modification by readers is not Transparent. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML designed for human modification. Opaque formats include PostScript, PDF, proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies of the Document numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a publicly-accessible computer-network location containing a complete Transparent copy of the Document, free of added material, which the general network-using public has access to download anonymously at no charge using public-standard network protocols. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has less than five).\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section entitled \"History\", and its title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the section's title, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section as \"Endorsements\" or to conflict in title with any Invariant Section.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections entitled \"History\" in the various original documents, forming one section entitled \"History\"; likewise combine any sections entitled \"Acknowledgements\", and any sections entitled \"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, does not as a whole count as a Modified Version of the Document, provided no compilation copyright is claimed for the compilation. Such a compilation is called an \"aggregate\", and this License does not apply to the other self-contained works thus compiled with the Document, on account of their being thus compiled, if they are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one quarter of the entire aggregate, the Document's Cover Texts may be placed on covers that surround only the Document within the aggregate. Otherwise they must appear on covers around the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License provided that you also include the original English version of this License. In case of a disagreement between the translation and the original English version of this License, the original English version will prevail.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead of saying which ones are invariant. If you have no Front-Cover Texts, write \"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise for Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.1 only - invariants"
		self.licenseComments = "This license was released March 2000. The identifier GFDL-1.1-only-invariants should only be used when there are Invariant Sections, Front-Cover Texts or Back-Cover Texts. See GFDL-1.1-only and GFDL-1.1-only-no-invariants for alternatives."
		self.licenseId = "GFDL-1.1-invariants-only"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1; with the Invariant Sections being LIST THEIR TITLES , with the Front-Cover Texts being LIST , and with the Back-Cover Texts being LIST . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/fdl-1.1.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:07Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/fdl-1.1.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.1, March 2000\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2000 Free Software Foundation, Inc. 51\n	  Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook,\n		  or other written document &quot;free&quot; in the sense of freedom: to\n		  assure everyone the effective freedom to copy and redistribute\n		  it, with or without modifying it, either commercially or\n		  noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work that\n		  contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. The\n		  &quot;Document&quot;, below, refers to any such manual or work. Any\n		  member of the public is a licensee, and is addressed as &quot;you&quot;.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter section\n		  of the Document that deals exclusively with the relationship\n		  of the publishers or authors of the Document to the Document&apos;s\n		  overall subject (or to related matters) and contains nothing\n		  that could fall directly within that overall subject. (For\n		  example, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections, in the\n		  notice that says that the Document is released under this License.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are\n		  listed, as Front-Cover Texts or Back-Cover Texts, in the notice\n		  that says that the Document is released under this License.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable copy,\n		  represented in a format whose specification is available to the\n		  general public, whose contents can be viewed and edited directly\n		  and straightforwardly with generic text editors or (for images\n		  composed of pixels) generic paint programs or (for drawings) some\n		  widely available drawing editor, and that is suitable for input\n		  to text formatters or for automatic translation to a variety of\n		  formats suitable for input to text formatters. A copy made in an\n		  otherwise Transparent file format whose markup has been designed\n		  to thwart or discourage subsequent modification by readers is not\n		  Transparent. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include\n		  plain ASCII without markup, Texinfo input format, LaTeX\n		  input format, SGML or XML using a publicly available DTD, and\n		  standard-conforming simple HTML designed for human modification.\n		  Opaque formats include PostScript, PDF, proprietary formats\n		  that can be read and edited only by proprietary word processors,\n		  SGML or XML for which the DTD and/or processing tools are\n		  not generally available, and the machine-generated HTML\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies of the Document numbering more than\n		  100, and the Document&apos;s license notice requires Cover Texts, you\n		  must enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a publicly-accessible computer-network location\n		  containing a complete Transparent copy of the Document, free\n		  of added material, which the general network-using public has\n		  access to download anonymously at no charge using public-standard\n		  network protocols. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or entities\n			responsible for authorship of the modifications in the Modified\n			Version, together with at least five of the principal authors of the\n			Document (all of its principal authors, if it has less than five).\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant Sections\n			and required Cover Texts given in the Document&apos;s license notice.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> H.</var>\n			Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section entitled &quot;History&quot;, and its title, and add\n			to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			In any section entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			preserve the section&apos;s title, and preserve in the section\n			all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section as &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released\n		  under this License, under the terms defined in section 4\n		  above for modified versions, provided that you include in\n		  the combination all of the Invariant Sections of all of\n		  the original documents, unmodified, and list them all as\n		  Invariant Sections of your combined work in its license notice.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  entitled &quot;History&quot;; likewise combine any sections entitled\n		  &quot;Acknowledgements&quot;, and any sections entitled &quot;Dedications&quot;.\n		  You must delete all sections entitled &quot;Endorsements.&quot;\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other separate\n		  and independent documents or works, in or on a volume of a storage\n		  or distribution medium, does not as a whole count as a Modified\n		  Version of the Document, provided no compilation copyright is claimed\n		  for the compilation. Such a compilation is called an &quot;aggregate&quot;,\n		  and this License does not apply to the other self-contained works\n		  thus compiled with the Document, on account of their being thus\n		  compiled, if they are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to these\n		  copies of the Document, then if the Document is less than one quarter\n		  of the entire aggregate, the Document&apos;s Cover Texts may be placed\n		  on covers that surround only the Document within the aggregate.\n		  Otherwise they must appear on covers around the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of\n		  section 4. Replacing Invariant Sections with translations requires\n		  special permission from their copyright holders, but you may\n		  include translations of some or all Invariant Sections in addition\n		  to the original versions of these Invariant Sections. You may\n		  include a translation of this License provided that you also\n		  include the original English version of this License. In case of\n		  a disagreement between the translation and the original English\n		  version of this License, the original English version will prevail.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided for under this License. Any other\n		  attempt to copy, modify, sublicense or distribute the Document\n		  is void, and will automatically terminate your rights under\n		  this License. However, parties who have received copies, or\n		  rights, from you under this License will not have their licenses\n		  terminated so long as such parties remain in full compliance.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option\n		  of following the terms and conditions either of that specified\n		  version or of any later version that has been published (not as a\n		  draft) by the Free Software Foundation. If the Document does not\n		  specify a version number of this License, you may choose any version\n		  ever published (not as a draft) by the Free Software Foundation.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the\n		GNU Free Documentation License, Version 1.1 or any later version\n		published by the Free Software Foundation; with the Invariant Sections\n		being LIST THEIR TITLES, with the Front-Cover Texts being LIST,\n		and with the Back-Cover Texts being LIST. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have no Invariant Sections, write &quot;with no Invariant\n		Sections&quot; instead of saying which ones are invariant. If you have\n		no Front-Cover Texts, write &quot;no Front-Cover Texts&quot; instead of\n		&quot;Front-Cover Texts being LIST&quot;; likewise for Back-Cover Texts.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>\n	  Permission is granted to copy, distribute and/or modify this\n	  document under the terms of the GNU Free Documentation License,\n	  Version 1.1; with <var class=\"replaceable-license-text\"> the Invariant Sections being LIST THEIR\n	  TITLES</var>, with <var class=\"replaceable-license-text\"> the Front-Cover Texts being LIST</var>, and with <var class=\"replaceable-license-text\"> the\n	  Back-Cover Texts being LIST</var>. A copy of the license is included\n	  in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL11invariantsonly"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD3ClauseAttribution:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\n	 4. Redistributions of any form whatsoever must retain the following acknowledgment: 'This product includes software developed by the \"Universidad de Palermo, Argentina\" (http://www.palermo.edu/).'\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Redistributions of any form whatsoever must retain the following acknowledgment: 'This product includes software developed by the <<var;name=\"organization\";original=\"\"Universidad de Palermo, Argentina\" (http://www.palermo.edu/).'\";match=\".+\">>\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD with attribution"
		self.licenseId = "BSD-3-Clause-Attribution"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/BSD_with_Attribution", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/BSD_with_Attribution"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of\n			 conditions and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of\n			 conditions and the following disclaimer in the documentation and/or other materials\n			 provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Neither the name of the copyright holder nor the names of its contributors may be used to\n			 endorse or promote products derived from this software without specific prior written\n			 permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Redistributions of any form whatsoever must retain the following acknowledgment: &apos;This\n			 product includes software developed by the\n			<var class=\"replaceable-license-text\"> &quot;Universidad de Palermo, Argentina&quot;\n			(http://www.palermo.edu/).&apos;</var>\n\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR\n		 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n		 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n		 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n		 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\n		 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "BSD3ClauseAttribution"

	def __str__(self):
		return json.dumps(self.__dict__)


class BoehmGC:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) ...\n\nTHIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED\nOR IMPLIED.  ANY USE IS AT YOUR OWN RISK.\n\nPermission is hereby granted to use or copy this program\nfor any purpose,  provided the above notices are retained on all copies.\nPermission to modify the code and to distribute modified code is granted,\nprovided the above notices are retained, and a notice that the code was\nmodified is included with the above copyright notice.\n\nA few files have other copyright holders.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) ...\";match=\".{0,5000}\">>\n\nTHIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED OR IMPLIED. ANY USE IS AT YOUR OWN RISK.\n\nPermission is hereby granted to use or copy this program for any purpose, provided the above notices are retained on all copies. Permission to modify the code and to distribute modified code is granted, provided the above notices are retained, and a notice that the code was modified is included with the above copyright notice.\n\n<<beginOptional>>A few files have other copyright holders.\n\n<<endOptional>>"
		self.name = "Boehm-Demers-Weiser GC License"
		self.licenseId = "Boehm-GC"
		self.crossRef = [{"match": "False", "url": "https://github.com/ivmai/libatomic_ops/blob/master/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:27Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://github.com/uim/libgcroots/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:27Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://fedoraproject.org/wiki/Licensing:MIT#Another_Minimal_variant_(found_in_libatomic_ops)", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:27Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing:MIT#Another_Minimal_variant_(found_in_libatomic_ops)", "https://github.com/uim/libgcroots/blob/master/COPYING", "https://github.com/ivmai/libatomic_ops/blob/master/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> Copyright (c) ...</var>\n		 <p>\n			THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO\n			WARRANTY EXPRESSED OR IMPLIED. ANY USE IS AT YOUR OWN RISK.\n		 </p>\n\n		 <p>\n			Permission is hereby granted to use or copy this program for any\n			purpose, provided the above notices are retained on all copies.\n			Permission to modify the code and to distribute modified code is\n			granted, provided the above notices are retained, and a notice that\n			the code was modified is included with the above copyright notice.\n		 </p>\n\n		 <div class=\"optional-license-text\"> \n		 <p>\n			A few files have other copyright holders.\n		 </p>\n\n		 </div>\n	  "
		self.python_name = "BoehmGC"

	def __str__(self):
		return json.dumps(self.__dict__)


class TCPwrappers:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1995 by Wietse Venema. All rights reserved. Some individual files may be covered by other copyrights.\n\nThis material was originally written and compiled by Wietse Venema at Eindhoven University of Technology, The Netherlands, in 1990, 1991, 1992, 1993, 1994 and 1995.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that this entire copyright notice is duplicated in all such copies.\n\nThis software is provided \"as is\" and without any expressed or implied warranties, including, without limitation, the implied warranties of merchantibility and fitness for any particular purpose.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1995 by Wietse Venema. All rights reserved. Some individual files may be covered by other copyrights.  \";match=\".{0,5000}\">>\n\nThis material was originally written and compiled by Wietse Venema at Eindhoven University of Technology, The Netherlands, in 1990, 1991, 1992, 1993, 1994 and 1995.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that this entire copyright notice is duplicated in all such copies.\n\nThis software is provided \"as is\" and without any expressed or implied warranties, including, without limitation, the implied warranties of merchantibility and fitness for any particular purpose.\n\n"
		self.name = "TCP Wrappers License"
		self.licenseId = "TCP-wrappers"
		self.crossRef = [{"match": "False", "url": "http://rc.quest.com/topics/openssh/license.php#tcpwrappers", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:25Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://rc.quest.com/topics/openssh/license.php#tcpwrappers"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1995 by Wietse Venema. All rights reserved. Some\n		 individual files may be covered by other copyrights.</p>\n\n	  </div>\n	  <p>This material was originally written and compiled by Wietse\n		 Venema at Eindhoven University of Technology, The Netherlands,\n		 in 1990, 1991, 1992, 1993, 1994 and 1995.</p>\n\n	  <p>Redistribution and use in source and binary forms, with or\n		 without modification, are permitted provided that this entire\n		 copyright notice is duplicated in all such copies.</p>\n\n	  <p>This software is provided &quot;as is&quot; and without any expressed or\n		 implied warranties, including, without limitation, the implied\n		 warranties of merchantibility and fitness for any particular\n		 purpose.</p>\n\n	"
		self.python_name = "TCPwrappers"

	def __str__(self):
		return json.dumps(self.__dict__)


class SGIOpenGL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "(c) Copyright 1993, Silicon Graphics, Inc.\nALL RIGHTS RESERVED\nPermission to use, copy, modify, and distribute this software for\nany purpose and without fee is hereby granted, provided that the above\ncopyright notice appear in all copies and that both the copyright notice\nand this permission notice appear in supporting documentation, and that\nthe name of Silicon Graphics, Inc. not be used in advertising\nor publicity pertaining to distribution of the software without specific,\nwritten prior permission.\n\nTHE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU \"AS-IS\"\nAND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,\nINCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR\nFITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL SILICON\nGRAPHICS, INC.  BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,\nSPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY\nKIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,\nLOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF\nTHIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC.  HAS BEEN\nADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON\nANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE\nPOSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.\n\nUS Government Users Restricted Rights\nUse, duplication, or disclosure by the Government is subject to\nrestrictions set forth in FAR 52.227.19(c)(2) or subparagraph\n(c)(1)(ii) of the Rights in Technical Data and Computer Software\nclause at DFARS 252.227-7013 and/or in similar or successor\nclauses in the FAR or the DOD or NASA FAR Supplement.\nUnpublished-- rights reserved under the copyright laws of the\nUnited States.  Contractor/manufacturer is Silicon Graphics,\nInc., 2011 N.  Shoreline Blvd., Mountain View, CA 94039-7311.\n\nOpenGL(TM) is a trademark of Silicon Graphics, Inc.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"(c) Copyright 1993, Silicon Graphics, Inc.  ALL RIGHTS RESERVED  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both the copyright notice and this permission notice appear in supporting documentation, and that the name of Silicon Graphics, Inc. not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.\n\nTHE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU \"AS-IS\" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL SILICON GRAPHICS, INC. BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT, SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION, LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC. HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.\n\nUS Government Users Restricted Rights\n\nUse, duplication, or disclosure by the Government is subject to restrictions set forth in FAR 52.227.19(c)(2) or subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 and/or in similar or successor clauses in the FAR or the DOD or NASA FAR Supplement. Unpublished-- rights reserved under the copyright laws of the United States. Contractor/manufacturer is Silicon Graphics, Inc., 2011 N. Shoreline Blvd., Mountain View, CA 94039-7311.\n\nOpenGL(TM) is a trademark of Silicon Graphics, Inc.\n\n"
		self.name = "SGI OpenGL License"
		self.licenseId = "SGI-OpenGL"
		self.crossRef = [{"match": "False", "url": "https://gitlab.freedesktop.org/mesa/glw/-/blob/master/README?ref_type=heads", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:43Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gitlab.freedesktop.org/mesa/glw/-/blob/master/README?ref_type=heads"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		<p>(c) Copyright 1993, Silicon Graphics, Inc.<br />\n\n		   ALL RIGHTS RESERVED</p>\n\n	  </div>\n\n	  <p>Permission to use, copy, modify, and distribute this software for\n		any purpose and without fee is hereby granted, provided that the above\n		copyright notice appear in all copies and that both the copyright notice\n		and this permission notice appear in supporting documentation, and that\n		the name of Silicon Graphics, Inc. not be used in advertising\n		or publicity pertaining to distribution of the software without specific,\n		written prior permission.</p>\n\n	  <p>THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU &quot;AS-IS&quot;\n		AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,\n		INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR\n		FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL SILICON\n		GRAPHICS, INC.  BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,\n		SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY\n		KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,\n		LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF\n		THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC.  HAS BEEN\n		ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON\n		ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE\n		POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.</p>\n\n	  <p>US Government Users Restricted Rights<br />\n\n		Use, duplication, or disclosure by the Government is subject to\n		restrictions set forth in FAR 52.227.19(c)(2) or subparagraph\n		(c)(1)(ii) of the Rights in Technical Data and Computer Software\n		clause at DFARS 252.227-7013 and/or in similar or successor\n		clauses in the FAR or the DOD or NASA FAR Supplement.\n		Unpublished-- rights reserved under the copyright laws of the\n		United States.  Contractor/manufacturer is Silicon Graphics,\n		Inc., 2011 N.  Shoreline Blvd., Mountain View, CA 94039-7311.</p>\n\n		<p>OpenGL(TM) is a trademark of Silicon Graphics, Inc.</p>\n\n	"
		self.python_name = "SGIOpenGL"

	def __str__(self):
		return json.dumps(self.__dict__)


class SL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Everyone is permitted to do anything on this program including copying,\nmodifying, and improving, unless you try to pretend that you wrote it.\ni.e., the above copyright notice has to appear in all copies.\nTHE AUTHOR DISCLAIMS ANY RESPONSIBILITY WITH REGARD TO THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>SL License<<endOptional>>\n\nEveryone is permitted to do anything on this program including copying, modifying, and improving, unless you try to pretend that you wrote it. i.e., the above copyright notice has to appear in all copies. THE AUTHOR DISCLAIMS ANY RESPONSIBILITY WITH REGARD TO THIS SOFTWARE.\n\n"
		self.name = "SL License"
		self.licenseId = "SL"
		self.crossRef = [{"match": "False", "url": "https://github.com/mtoyoda/sl/blob/master/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:18Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/mtoyoda/sl/blob/master/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"optional-license-text\"> \n			SL License\n		 </var>\n		 <p>\n			Everyone is permitted to do anything on this program including copying,\n			modifying, and improving, unless you try to pretend that you wrote it.\n			i.e., the above copyright notice has to appear in all copies.\n			THE AUTHOR DISCLAIMS ANY RESPONSIBILITY WITH REGARD TO THIS SOFTWARE.\n		 </p>\n\n	  "
		self.python_name = "SL"

	def __str__(self):
		return json.dumps(self.__dict__)


class MPL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "MOZILLA PUBLIC LICENSE\nVersion 1.0\n\n1. Definitions.\n\n	 1.1. ``Contributor'' means each entity that creates or contributes to the creation of Modifications.\n\n	 1.2. ``Contributor Version'' means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	 1.3. ``Covered Code'' means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	 1.4. ``Electronic Distribution Mechanism'' means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	 1.5. ``Executable'' means Covered Code in any form other than Source Code.\n\n	 1.6. ``Initial Developer'' means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	 1.7. ``Larger Work'' means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.8. ``License'' means this document.\n\n	 1.9. ``Modifications'' means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		  A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		  B. Any new file that contains any part of the Original Code or previous Modifications.\n\n	 1.10. ``Original Code'' means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	 1.11. ``Source Code'' means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or a list of source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	 1.12. ``You'' means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, ``You'' includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, ``control'' means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n2. Source Code License.\n\n	 2.1. The Initial Developer Grant.\nThe Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		  (a) to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and\n\n		  (b) under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell (``Utilize'') the Original Code (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize \tthe Original Code (or portions thereof) and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n	 2.2. Contributor Grant.\nEach Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		  (a) to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code or as part of a Larger Work; and\n\n		  (b) under patents now or hereafter owned or controlled by Contributor, to Utilize the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Contributor Version (or portions \tthereof), and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n3. Distribution Obligations.\n\n	 3.1. Application of License.\n	 The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	 3.2. Availability of Source Code.\n	 Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	 3.3. Description of Modifications.\n	 You must cause all Covered Code to which you contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	 3.4. Intellectual Property Matters\n\n		  (a) Third Party Claims.\n		  If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled ``LEGAL'' which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		  (b) Contributor APIs.\n		  If Your Modification is an application programming interface and You own or control patents which are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n	 3.5. Required Notices.\n	 You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Covered Code. If You created one or more Modification(s), You may add your name as a Contributor to the notice described in Exhibit A. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	 3.6. Distribution of Executable Versions.\n	 You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	 3.7. Larger Works.\n	 You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation.\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License.\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A, and to related Covered Code.\n\n6. Versions of the License.\n\n	 6.1. New Versions.\n	 Netscape Communications Corporation (``Netscape'') may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	 6.2. Effect of New Versions.\n	 Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Netscape. No one other than Netscape has the right to modify the terms applicable to Covered Code created under this License.\n\n	 6.3. Derivative Works.\n	 If you create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), you must (a) rename Your license so that the phrases ``Mozilla'', ``MOZILLAPL'', ``MOZPL'', ``Netscape'', ``NPL'' or any confusingly similar phrase do not appear anywhere in your license and (b) otherwise make it clear that your version of the license contains terms which differ from the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n7. DISCLAIMER OF WARRANTY.\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN ``AS IS'' BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. TERMINATION.\nThis License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n9. LIMITATION OF LIABILITY.\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. GOVERNMENT END USERS.\nThe Covered Code is a ``commercial item,'' as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of ``commercial computer software'' and ``commercial computer software documentation,'' as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n11. MISCELLANEOUS.\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in, the United States of America: (a) unless otherwise agreed in writing, all disputes relating to this License (excepting any dispute relating to intellectual property rights) shall be subject to final and binding arbitration, with the losing party paying all costs of arbitration; (b) any arbitration relating to this Agreement shall be held in Santa Clara County, California, under the auspices of JAMS/EndDispute; and (c) any litigation relating to this Agreement shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n12. RESPONSIBILITY FOR CLAIMS.\nExcept in cases where another Contributor has failed to comply with Section 3.4, You are responsible for damages arising, directly or indirectly, out of Your utilization of rights under this License, based on the number of copies of Covered Code you made available, the revenues you received from utilizing such rights, and other relevant factors. You agree to work with affected parties to distribute responsibility on an equitable basis.\n\nEXHIBIT A.\n\n``The contents of this file are subject to the Mozilla Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________________________.\n\nThe Initial Developer of the Original Code is ________________________. Portions created by ______________________ are Copyright (C) ______ _______________________. All Rights Reserved.\n\nContributor(s): ______________________________________.''\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>\"<<endOptional>>The contents of this file are subject to the Mozilla Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is <<var;name=\"code\";original=\"_____\";match=\".+\">> . The Initial Developer of the Original Code is <<var;name=\"InitialDeveloper\";original=\"_____\";match=\".+\">> . Portions created by <<var;name=\"createdby\";original=\"_____\";match=\".+\">> are Copyright (C) <<var;name=\"copyright\";original=\"_____\";match=\".+\">> . All Rights Reserved. Contributor(s): <<var;name=\"contributor\";original=\"_____\";match=\".+\">> .<<beginOptional>>\"<<endOptional>>\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>MOZILLA PUBLIC LICENSE\n\nVersion 1.0\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Executable\" means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or a list of source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"You\" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Initial Developer Grant.\n\n	  The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell (\"Utilize\") the Original Code (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Original Code (or portions thereof) and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant.\n\n	  Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under patents now or hereafter owned or controlled by Contributor, to Utilize the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Contributor Version (or portions thereof), and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Application of License.\n\n	  The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code.\n\n	  Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications.\n\n	  You must cause all Covered Code to which you contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims.\n\n		 If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs.\n\n		 If Your Modification is an application programming interface and You own or control patents which are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices.\n\n	  You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Covered Code. If You created one or more Modification(s), You may add your name as a Contributor to the notice described in Exhibit A. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Versions.\n\n	  You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works.\n\n	  You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Application of this License.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A, and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> New Versions.\n\n	  Netscape Communications Corporation (\"Netscape\") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> Effect of New Versions.\n\n	  Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Netscape. No one other than Netscape has the right to modify the terms applicable to Covered Code created under this License.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> Derivative Works.\n\n	  If you create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), you must (a) rename Your license so that the phrases \"Mozilla\", \"MOZILLAPL\", \"MOZPL\", \"Netscape\", \"NPL\" or any confusingly similar phrase do not appear anywhere in your license and (b) otherwise make it clear that your version of the license contains terms which differ from the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TERMINATION.\n\n   This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS.\n\n   The Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> MISCELLANEOUS.\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in, the United States of America: (a) unless otherwise agreed in writing, all disputes relating to this License (excepting any dispute relating to intellectual property rights) shall be subject to final and binding arbitration, with the losing party paying all costs of arbitration; (b) any arbitration relating to this Agreement shall be held in Santa Clara County, California, under the auspices of JAMS/EndDispute; and (c) any litigation relating to this Agreement shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS.\n\n   Except in cases where another Contributor has failed to comply with Section 3.4, You are responsible for damages arising, directly or indirectly, out of Your utilization of rights under this License, based on the number of copies of Covered Code you made available, the revenues you received from utilizing such rights, and other relevant factors. You agree to work with affected parties to distribute responsibility on an equitable basis.<<beginOptional>> EXHIBIT A.\n\n<<beginOptional>>\"<<endOptional>>The contents of this file are subject to the Mozilla Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is <<var;name=\"code\";original=\"_____\";match=\".+\">> . The Initial Developer of the Original Code is <<var;name=\"InitialDeveloper\";original=\"_____\";match=\".+\">> . Portions created by <<var;name=\"createdby\";original=\"_____\";match=\".+\">> are Copyright (C) <<var;name=\"copyright\";original=\"_____\";match=\".+\">> . All Rights Reserved. Contributor(s): <<var;name=\"contributor\";original=\"_____\";match=\".+\">> .<<beginOptional>>\"<<endOptional>>\n\n<<endOptional>>"
		self.name = "Mozilla Public License 1.0"
		self.licenseComments = "This license has been superseded by v1.1"
		self.licenseId = "MPL-1.0"
		self.standardLicenseHeader = "\"The contents of this file are subject to the Mozilla Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is _____ . The Initial Developer of the Original Code is _____ . Portions created by _____ are Copyright (C) _____ . All Rights Reserved. Contributor(s): _____ .\"\n\n"
		self.crossRef = [{"match": "True", "url": "http://www.mozilla.org/MPL/MPL-1.0.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:23Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/MPL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:24Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["http://www.mozilla.org/MPL/MPL-1.0.html", "https://opensource.org/licenses/MPL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>MOZILLA PUBLIC LICENSE\n		<br />\n\nVersion 1.0\n	  </p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			  &quot;Contributor&quot; means each entity that creates or contributes to the creation of\n				 Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			  &quot;Contributor Version&quot; means the combination of the Original Code, prior\n				 Modifications used by a Contributor, and the Modifications made by that particular\n				 Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			  &quot;Covered Code&quot; means the Original Code or Modifications or the combination of the\n				 Original Code and Modifications, in each case including portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			  &quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the\n				 software development community for the electronic transfer of data.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			  &quot;Executable&quot; means Covered Code in any form other than Source Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			  &quot;Initial Developer&quot; means the individual or entity identified as the Initial\n				 Developer in the Source Code notice required by Exhibit A.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			  &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with\n				 code not governed by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			  &quot;License&quot; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			  &quot;Modifications&quot; means any addition to or deletion from the substance or structure\n				 of either the Original Code or any previous Modifications. When Covered Code is released\n				 as a series of files, a Modification is:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				  Any addition to or deletion from the contents of a file containing Original Code or\n					 previous Modifications.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				  Any new file that contains any part of the Original Code or previous Modifications.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			  &quot;Original Code&quot; means Source Code of computer software code which is described in\n				 the Source Code notice required by Exhibit A as Original Code, and which, at the time of\n				 its release under this License is not already Covered Code governed by this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			  &quot;Source Code&quot; means the preferred form of the Covered Code for making\n				 modifications to it, including all modules it contains, plus any associated interface\n				 definition files, scripts used to control compilation and installation of an Executable,\n				 or a list of source code differential comparisons against either the Original Code or\n				 another well known, available Covered Code of the Contributor&apos;s choice. The Source\n				 Code can be in a compressed or archival form, provided the appropriate decompression or\n				 de-archiving software is widely available for no charge.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			  &quot;You&quot; means an individual or a legal entity exercising rights under, and\n				 complying with all of the terms of, this License or a future version of this License\n				 issued under Section 6.1. For legal entities, &quot;You&quot; includes any entity which\n				 controls, is controlled by, or is under common control with You. For purposes of this\n				 definition, &quot;control&quot; means (a) the power, direct or indirect, to cause the\n				 direction or management of such entity, whether by contract or otherwise, or (b) ownership\n				 of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such\n				 entity.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Source Code License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			  The Initial Developer Grant.\n				<br />\n\n	  The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive\n					 license, subject to third party intellectual property claims:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  to use, reproduce, modify, display, perform, sublicense and distribute the Original Code\n					 (or portions thereof) with or without Modifications, or as part of a Larger Work;\n					 and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  under patents now or hereafter owned or controlled by Initial Developer, to make, have\n					 made, use and sell (&quot;Utilize&quot;) the Original Code (or portions thereof),\n					 but solely to the extent that any such patent is reasonably necessary to enable You to\n					 Utilize the Original Code (or portions thereof) and not to any greater extent that may\n					 be necessary to Utilize further Modifications or combinations.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			  Contributor Grant.\n				<br />\n\n	  Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license,\n					 subject to third party intellectual property claims:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  to use, reproduce, modify, display, perform, sublicense and distribute the Modifications\n					 created by such Contributor (or portions thereof) either on an unmodified basis, with\n					 other Modifications, as Covered Code or as part of a Larger Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  under patents now or hereafter owned or controlled by Contributor, to Utilize the\n					 Contributor Version (or portions thereof), but solely to the extent that any such\n					 patent is reasonably necessary to enable You to Utilize the Contributor Version (or\n					 portions thereof), and not to any greater extent that may be necessary to Utilize\n					 further Modifications or combinations.\n				</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Distribution Obligations.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			  Application of License.\n				<br />\n\n	  The Modifications which You create or to which You contribute are governed by the terms\n					 of this License, including without limitation Section 2.2. The Source Code version\n					 of Covered Code may be distributed only under the terms of this License or a\n					 future version of this License released under Section 6.1, and You must include a\n					 copy of this License with every copy of the Source Code You distribute. You may\n					 not offer or impose any terms on any Source Code version that alters or restricts\n					 the applicable version of this License or the recipients&apos; rights hereunder.\n					 However, You may include an additional document offering the additional rights\n					 described in Section 3.5.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			  Availability of Source Code.\n				<br />\n\n	  Any Modification which You create or to which You contribute must be made available in\n					 Source Code form under the terms of this License either on the same media as an\n					 Executable version or via an accepted Electronic Distribution Mechanism to anyone\n					 to whom you made an Executable version available; and if made available via\n					 Electronic Distribution Mechanism, must remain available for at least twelve (12)\n					 months after the date it initially became available, or at least six (6) months\n					 after a subsequent version of that particular Modification has been made available\n					 to such recipients. You are responsible for ensuring that the Source Code version\n					 remains available even if the Electronic Distribution Mechanism is maintained by a\n					 third party.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			  Description of Modifications.\n				<br />\n\n	  You must cause all Covered Code to which you contribute to contain a file documenting\n					 the changes You made to create that Covered Code and the date of any change. You\n					 must include a prominent statement that the Modification is derived, directly or\n					 indirectly, from Original Code provided by the Initial Developer and including the\n					 name of the Initial Developer in (a) the Source Code, and (b) in any notice in an\n					 Executable version or related documentation in which You describe the origin or\n					 ownership of the Covered Code.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			  Intellectual Property Matters\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  Third Party Claims.\n					<br />\n\n		 If You have knowledge that a party claims an intellectual property right in\n						 particular functionality or code (or its utilization under this License), you\n						 must include a text file with the source code distribution titled\n						 &quot;LEGAL&quot; which describes the claim and the party making the claim\n						 in sufficient detail that a recipient will know whom to contact. If you obtain\n						 such knowledge after You make Your Modification available as described in\n						 Section 3.2, You shall promptly modify the LEGAL file in all copies You make\n						 available thereafter and shall take other steps (such as notifying appropriate\n						 mailing lists or newsgroups) reasonably calculated to inform those who\n						 received the Covered Code that new knowledge has been obtained.\n\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  Contributor APIs.\n					<br />\n\n		 If Your Modification is an application programming interface and You own or control\n						 patents which are reasonably necessary to implement that API, you must also\n						 include this information in the LEGAL file.\n\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			  Required Notices.\n				<br />\n\n	  You must duplicate the notice in Exhibit A in each file of the Source Code, and this\n					 License in any documentation for the Source Code, where You describe\n					 recipients&apos; rights relating to Covered Code. If You created one or more\n					 Modification(s), You may add your name as a Contributor to the notice described in\n					 Exhibit A. If it is not possible to put such notice in a particular Source Code\n					 file due to its structure, then you must include such notice in a location (such\n					 as a relevant directory file) where a user would be likely to look for such a\n					 notice. You may choose to offer, and to charge a fee for, warranty, support,\n					 indemnity or liability obligations to one or more recipients of Covered Code.\n					 However, You may do so only on Your own behalf, and not on behalf of the Initial\n					 Developer or any Contributor. You must make it absolutely clear than any such\n					 warranty, support, indemnity or liability obligation is offered by You alone, and\n					 You hereby agree to indemnify the Initial Developer and every Contributor for any\n					 liability incurred by the Initial Developer or such Contributor as a result of\n					 warranty, support, indemnity or liability terms You offer.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n			  Distribution of Executable Versions.\n				<br />\n\n	  You may distribute Covered Code in Executable form only if the requirements of Section\n					 3.1-3.5 have been met for that Covered Code, and if You include a notice stating\n					 that the Source Code version of the Covered Code is available under the terms of\n					 this License, including a description of how and where You have fulfilled the\n					 obligations of Section 3.2. The notice must be conspicuously included in any\n					 notice in an Executable version, related documentation or collateral in which You\n					 describe recipients&apos; rights relating to the Covered Code. You may distribute\n					 the Executable version of Covered Code under a license of Your choice, which may\n					 contain terms different from this License, provided that You are in compliance\n					 with the terms of this License and that the license for the Executable version\n					 does not attempt to limit or alter the recipient&apos;s rights in the Source Code\n					 version from the rights set forth in this License. If You distribute the\n					 Executable version under a different license You must make it absolutely clear\n					 that any terms which differ from this License are offered by You alone, not by the\n					 Initial Developer or any Contributor. You hereby agree to indemnify the Initial\n					 Developer and every Contributor for any liability incurred by the Initial\n					 Developer or such Contributor as a result of any such terms You offer.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7.</var>\n			  Larger Works.\n				<br />\n\n	  You may create a Larger Work by combining Covered Code with other code not governed by\n					 the terms of this License and distribute the Larger Work as a single product. In\n					 such a case, You must make sure the requirements of this License are fulfilled for\n					 the Covered Code.\n\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Inability to Comply Due to Statute or Regulation.\n			<br />\n\n   If it is impossible for You to comply with any of the terms of this License with respect to\n				 some or all of the Covered Code due to statute or regulation then You must: (a) comply\n				 with the terms of this License to the maximum extent possible; and (b) describe the\n				 limitations and the code they affect. Such description must be included in the LEGAL\n				 file described in Section 3.4 and must be included with all distributions of the\n				 Source Code. Except to the extent prohibited by statute or regulation, such\n				 description must be sufficiently detailed for a recipient of ordinary skill to be able\n				 to understand it.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Application of this License.\n			<br />\n\n   This License applies to code to which the Initial Developer has attached the notice in\n				 Exhibit A, and to related Covered Code.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Versions of the License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n			  New Versions.\n				<br />\n\n	  Netscape Communications Corporation (&quot;Netscape&quot;) may publish revised and/or\n					 new versions of the License from time to time. Each version will be given a\n					 distinguishing version number.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n			  Effect of New Versions.\n				<br />\n\n	  Once Covered Code has been published under a particular version of the License, You may\n					 always continue to use it under the terms of that version. You may also choose to\n					 use such Covered Code under the terms of any subsequent version of the License\n					 published by Netscape. No one other than Netscape has the right to modify the\n					 terms applicable to Covered Code created under this License.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3.</var>\n			  Derivative Works.\n				<br />\n\n	  If you create or use a modified version of this License (which you may only do in order\n					 to apply it to code which is not already Covered Code governed by this License),\n					 you must (a) rename Your license so that the phrases &quot;Mozilla&quot;,\n					 &quot;MOZILLAPL&quot;, &quot;MOZPL&quot;, &quot;Netscape&quot;,\n					 &quot;NPL&quot; or any confusingly similar phrase do not appear anywhere in your\n					 license and (b) otherwise make it clear that your version of the license contains\n					 terms which differ from the Mozilla Public License and Netscape Public License.\n					 (Filling in the name of the Initial Developer, Original Code or Contributor in the\n					 notice described in Exhibit A shall not of themselves be deemed to be\n					 modifications of this License.)\n\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  DISCLAIMER OF WARRANTY.\n			<br />\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT\n				 WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\n				 WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A\n				 PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND\n				 PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE\n				 IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE\n				 COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY\n				 CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS\n				 AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  TERMINATION.\n			<br />\n\n   This License and the rights granted hereunder will terminate automatically if You fail to\n				 comply with terms herein and fail to cure such breach within 30 days of becoming aware\n				 of the breach. All sublicenses to the Covered Code which are properly granted shall\n				 survive any termination of this License. Provisions which, by their nature, must\n				 remain in effect beyond the termination of this License shall survive.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY.\n			<br />\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE),\n				 CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY\n				 DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU\n				 OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF\n				 ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK\n				 STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR\n				 LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH\n				 DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR\n				 PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE\n				 LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR\n				 LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION\n				 MAY NOT APPLY TO YOU.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  U.S. GOVERNMENT END USERS.\n			<br />\n\n   The Covered Code is a &quot;commercial item,&quot; as that term is defined in 48 C.F.R.\n				 2.101 (Oct. 1995), consisting of &quot;commercial computer software&quot; and\n				 &quot;commercial computer software documentation,&quot; as such terms are used in 48\n				 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1\n				 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\n				 with only those rights set forth herein.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  MISCELLANEOUS.\n			<br />\n\n   This License represents the complete agreement concerning subject matter hereof. If any\n				 provision of this License is held to be unenforceable, such provision shall be\n				 reformed only to the extent necessary to make it enforceable. This License shall be\n				 governed by California law provisions (except to the extent applicable law, if any,\n				 provides otherwise), excluding its conflict-of-law provisions. With respect to\n				 disputes in which at least one party is a citizen of, or an entity chartered or\n				 registered to do business in, the United States of America: (a) unless otherwise\n				 agreed in writing, all disputes relating to this License (excepting any dispute\n				 relating to intellectual property rights) shall be subject to final and binding\n				 arbitration, with the losing party paying all costs of arbitration; (b) any\n				 arbitration relating to this Agreement shall be held in Santa Clara County,\n				 California, under the auspices of JAMS/EndDispute; and (c) any litigation relating to\n				 this Agreement shall be subject to the jurisdiction of the Federal Courts of the\n				 Northern District of California, with venue lying in Santa Clara County, California,\n				 with the losing party responsible for costs, including without limitation, court costs\n				 and reasonable attorneys fees and expenses. The application of the United Nations\n				 Convention on Contracts for the International Sale of Goods is expressly excluded. Any\n				 law or regulation which provides that the language of a contract shall be consTrued\n				 against the drafter shall not apply to this License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  RESPONSIBILITY FOR CLAIMS.\n			<br />\n\n   Except in cases where another Contributor has failed to comply with Section 3.4, You are responsible for\n				 damages arising, directly or indirectly, out of Your utilization of rights under this License, based\n				 on the number of copies of Covered Code you made available, the revenues you received from utilizing\n				 such rights, and other relevant factors. You agree to work with affected parties to distribute\n				 responsibility on an equitable basis.\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A.</p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>The contents of this file are subject to the Mozilla Public License Version 1.0 (the\n		 &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain\n		 a copy of the License at http://www.mozilla.org/MPL/</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF\n		 ANY KIND, either express or implied. See the License for the specific language governing rights and\n		 limitations under the License.</p>\n\n		 <p>The Original Code is\n		<var class=\"replaceable-license-text\"> _____</var>. The Initial Developer of the Original Code is\n		<var class=\"replaceable-license-text\"> _____</var>. Portions created by\n		<var class=\"replaceable-license-text\"> _____</var> are Copyright (C)\n		<var class=\"replaceable-license-text\"> _____</var>. All Rights Reserved. Contributor(s):\n		<var class=\"replaceable-license-text\"> _____</var>.<var class=\"optional-license-text\">&quot;</var>\n	  </p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p><var class=\"optional-license-text\">&quot;</var>The contents of this file are subject to the Mozilla Public License Version 1.0 (the\n		 &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain\n		 a copy of the License at http://www.mozilla.org/MPL/</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF\n		 ANY KIND, either express or implied. See the License for the specific language governing rights and\n		 limitations under the License.</p>\n\n		 <p>The Original Code is\n		<var class=\"replaceable-license-text\"> _____</var>. The Initial Developer of the Original Code is\n		<var class=\"replaceable-license-text\"> _____</var>. Portions created by\n		<var class=\"replaceable-license-text\"> _____</var> are Copyright (C)\n		<var class=\"replaceable-license-text\"> _____</var>. All Rights Reserved. Contributor(s):\n		<var class=\"replaceable-license-text\"> _____</var>.<var class=\"optional-license-text\">&quot;</var>\n	  </p>\n\n		"
		self.python_name = "MPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class dtoa:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The author of this software is David M. Gay.\n\nCopyright (c) 1991, 2000, 2001 by Lucent Technologies.\n\nPermission to use, copy, modify, and distribute this software for any\npurpose without fee is hereby granted, provided that this entire notice\nis included in all copies of any software which is or includes a copy\nor modification of this software and in all copies of the supporting\ndocumentation for such software.\n\nTHIS SOFTWARE IS BEING PROVIDED \"AS IS\", WITHOUT ANY EXPRESS OR IMPLIED\nWARRANTY.  IN PARTICULAR, NEITHER THE AUTHOR NOR LUCENT MAKES ANY\nREPRESENTATION OR WARRANTY OF ANY KIND CONCERNING THE MERCHANTABILITY\nOF THIS SOFTWARE OR ITS FITNESS FOR ANY PARTICULAR PURPOSE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"The author of this software is David M. Gay.  Copyright (c) 1991, 2000, 2001 by Lucent Technologies.\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software for any purpose without fee is hereby granted, provided that this entire notice is included in all copies of any software which is or includes a copy or modification of this software and in all copies of the supporting documentation for such software. THIS SOFTWARE IS BEING PROVIDED \"AS IS\", WITHOUT ANY EXPRESS OR IMPLIED WARRANTY. IN PARTICULAR, NEITHER THE AUTHOR NOR <<var;name=\"company\";original=\"LUCENT\";match=\".+\">> MAKES ANY REPRESENTATION OR WARRANTY OF ANY KIND CONCERNING THE MERCHANTABILITY OF THIS SOFTWARE OR ITS FITNESS FOR ANY PARTICULAR PURPOSE.\n\n"
		self.name = "David M. Gay dtoa License"
		self.licenseId = "dtoa"
		self.crossRef = [{"match": "False", "url": "https://sourceware.org/git/?p=newlib-cygwin.git;a=blob;f=newlib/libc/stdlib/mprec.h;hb=HEAD", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:20Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/SWI-Prolog/swipl-devel/blob/master/src/os/dtoa.c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:21Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/SWI-Prolog/swipl-devel/blob/master/src/os/dtoa.c", "https://sourceware.org/git/?p=newlib-cygwin.git;a=blob;f=newlib/libc/stdlib/mprec.h;hb=HEAD"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			The author of this software is David M. Gay.<br />\n\n			Copyright (c) 1991, 2000, 2001 by Lucent Technologies.\n		 </var>\n		 <p>\n			Permission to use, copy, modify, and distribute this software\n			for any purpose without fee is hereby granted, provided that this\n			entire notice is included in all copies of any software which is or\n			includes a copy or modification of this software and in all copies\n			of the supporting documentation for such software. THIS SOFTWARE IS\n			BEING PROVIDED &quot;AS IS&quot;, WITHOUT ANY EXPRESS OR IMPLIED WARRANTY. IN\n			PARTICULAR, NEITHER THE AUTHOR NOR <var class=\"replaceable-license-text\"> LUCENT</var> MAKES ANY REPRESENTATION\n			OR WARRANTY OF ANY KIND CONCERNING THE MERCHANTABILITY OF\n			THIS SOFTWARE OR ITS FITNESS FOR ANY PARTICULAR PURPOSE.\n		 </p>\n\n	  "
		self.python_name = "dtoa"

	def __str__(self):
		return json.dumps(self.__dict__)


class TOSL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Trusster Open Source License version 1.0a (TRUST) copyright (c) 2006 Mike Mintz and Robert Ekendahl. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n	 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n	 * Redistributions in any form must be accompanied by information on how to obtain complete source code for this software and any accompanying software that uses this software. The source code must either be included in the distribution or be available in a timely fashion for no more than the cost of distribution plus a nominal fee, and must be freely redistributable under reasonable and no more restrictive conditions. For an executable file, complete source code means the source code for all modules it contains. It does not include source code for modules or files that typically accompany the major components of the operating system on which the executable file runs.\n\nTHIS SOFTWARE IS PROVIDED BY MIKE MINTZ AND ROBERT EKENDAHL ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED. IN NO EVENT SHALL MIKE MINTZ AND ROBERT EKENDAHL OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Trusster Open Source License version 1.0a (TRUST) copyright (c) 2006 Mike Mintz and Robert Ekendahl. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in any form must be accompanied by information on how to obtain complete source code for this software and any accompanying software that uses this software. The source code must either be included in the distribution or be available in a timely fashion for no more than the cost of distribution plus a nominal fee, and must be freely redistributable under reasonable and no more restrictive conditions. For an executable file, complete source code means the source code for all modules it contains. It does not include source code for modules or files that typically accompany the major components of the operating system on which the executable file runs.\n\nTHIS SOFTWARE IS PROVIDED BY MIKE MINTZ AND ROBERT EKENDAHL ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED. IN NO EVENT SHALL MIKE MINTZ AND ROBERT EKENDAHL OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Trusster Open Source License"
		self.licenseId = "TOSL"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/TOSL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:24Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/TOSL"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Trusster Open Source License version 1.0a (TRUST) copyright (c) 2006 Mike Mintz and Robert Ekendahl. All\n		 rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in any form must be accompanied by information on how to obtain complete source\n			 code for this software and any accompanying software that uses this software. The source code\n			 must either be included in the distribution or be available in a timely fashion for no more\n			 than the cost of distribution plus a nominal fee, and must be freely redistributable under\n			 reasonable and no more restrictive conditions. For an executable file, complete source code\n			 means the source code for all modules it contains. It does not include source code for modules\n			 or files that typically accompany the major components of the operating system on which the\n			 executable file runs.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY MIKE MINTZ AND ROBERT EKENDAHL ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED\n		 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A\n		 PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED. IN NO EVENT SHALL MIKE MINTZ AND ROBERT\n		 EKENDAHL OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR\n		 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n		 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\n		 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING\n		 IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "TOSL"

	def __str__(self):
		return json.dumps(self.__dict__)


class OAR:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "COPYRIGHT (c) 1989-2013, 2015.\nOn-Line Applications Research Corporation (OAR).\n\nPermission to use, copy, modify, and distribute this software for any\npurpose without fee is hereby granted, provided that this entire notice\nis included in all copies of any software which is or includes a copy\nor modification of this software.\n\nTHIS SOFTWARE IS BEING PROVIDED \"AS IS\", WITHOUT ANY EXPRESS OR IMPLIED\nWARRANTY.  IN PARTICULAR,  THE AUTHOR MAKES NO REPRESENTATION\nOR WARRANTY OF ANY KIND CONCERNING THE MERCHANTABILITY OF THIS\nSOFTWARE OR ITS FITNESS FOR ANY PARTICULAR PURPOSE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Written by Joel Sherrill <joel.sherrill@OARcorp.com>.	COPYRIGHT (c) 2010, 2017.  On-Line Applications Research Corporation (OAR).\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software for any purpose without fee is hereby granted, provided that this entire notice is included in all copies of any software which is or includes a copy or modification of this software.\n\nTHIS SOFTWARE IS BEING PROVIDED \"AS IS\", WITHOUT ANY EXPRESS OR IMPLIED WARRANTY. IN PARTICULAR, THE AUTHOR MAKES NO REPRESENTATION OR WARRANTY OF ANY KIND CONCERNING THE MERCHANTABILITY OF THIS SOFTWARE OR ITS FITNESS FOR ANY PARTICULAR PURPOSE.\n\n"
		self.name = "OAR License"
		self.licenseId = "OAR"
		self.crossRef = [{"match": "False", "url": "https://sourceware.org/git/?p=newlib-cygwin.git;a=blob;f=newlib/libc/string/strsignal.c;hb=HEAD#l35", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:31Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://sourceware.org/git/?p=newlib-cygwin.git;a=blob;f=newlib/libc/string/strsignal.c;hb=HEAD#l35"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Written by Joel Sherrill &lt;joel.sherrill@OARcorp.com&gt;.<br />\n\n			<br />\n\n			COPYRIGHT (c) 2010, 2017. <br />\n\n			On-Line Applications Research Corporation (OAR).\n		 </var>\n		 <p>\n			Permission to use, copy, modify, and distribute this software for any\n			purpose without fee is hereby granted, provided that this entire notice\n			is included in all copies of any software which is or includes a copy\n			or modification of this software.\n		 </p>\n\n		 <p>\n			THIS SOFTWARE IS BEING PROVIDED &quot;AS IS&quot;, WITHOUT ANY EXPRESS OR IMPLIED\n			WARRANTY.  IN PARTICULAR,  THE AUTHOR MAKES NO REPRESENTATION\n			OR WARRANTY OF ANY KIND CONCERNING THE MERCHANTABILITY OF THIS\n			SOFTWARE OR ITS FITNESS FOR ANY PARTICULAR PURPOSE.\n		 </p>\n\n	  "
		self.python_name = "OAR"

	def __str__(self):
		return json.dumps(self.__dict__)


class LPPL11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The LaTeX Project Public License\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n\nLPPL Version 1.1 1999-07-10\n\nCopyright 1999 LaTeX3 Project\n\nEveryone is allowed to distribute verbatim copies of this license document, but modification of it is not allowed.\n\nPREAMBLE\n========\n\nThe LaTeX Project Public License (LPPL) is the license under which the base LaTeX distribution is distributed.\n\nYou may use this license for any program that you have written and wish to distribute. This license may be particularly suitable if your program is TeX-related (such as a LaTeX package), but you may use it even if your program is unrelated to TeX. The section `WHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER THIS LICENSE', below, gives instructions, examples, and recommendations for authors who are considering distributing their programs under this license.\n\nIn this license document, `The Program' refers to any program distributed under this license.\n\nThis license gives conditions under which The Program may be distributed and conditions under which modified versions of The Program may be distributed. Individual files of The Program may bear supplementary and/or superseding conditions on modification of themselves and on the distribution of modified versions of themselves, but *no* file of The Program may bear supplementary or superseding conditions on the distribution of an unmodified copy of the file. A distributor wishing to distribute a complete, unmodified copy of The Program therefore needs to check the conditions only in this license and nowhere else.\n\nActivities other than distribution and/or modification of The Program are not covered by this license; they are outside its scope. In particular, the act of running The Program is not restricted.\n\nWe, the LaTeX3 Project, believe that the conditions below give you the freedom to make and distribute modified versions of The Program that conform with whatever technical specifications you wish while maintaining the availability, integrity, and reliability of The Program. If you do not see how to achieve your goal while meeting these conditions, then read the document `cfgguide.tex' in the base LaTeX distribution for suggestions.\n\nCONDITIONS ON DISTRIBUTION AND MODIFICATION\n===========================================\n\nYou may distribute a complete, unmodified copy of The Program. Distribution of only part of The Program is not allowed.\n\nYou may not modify in any way a file of The Program that bears a legal notice forbidding modification of that file.\n\nYou may distribute a modified file of The Program if, and only if, the following eight conditions are met:\n\n	 1. You must meet any additional conditions borne by the file on the distribution of a modified version of the file as described below in the subsection `Additional Conditions on Individual Files of The Program'.\n\n	 2. If the file is a LaTeX software file, then you must meet any applicable additional conditions on the distribution of a modified version of the file that are described below in the subsection `Additional Conditions on LaTeX Software Files'.\n\n	 3. You must not distribute the modified file with the filename of the original file.\n\n	 4. In the modified file, you must acknowledge the authorship and name of the original file, and the name (if any) of the program which contains it.\n\n	 5. You must change any identification string in the file to indicate clearly that the modified file is not part of The Program.\n\n	 6. You must change any addresses in the modified file for the reporting of errors in the file or in The Program generally to ensure that reports for files no longer maintained by the original maintainers will be directed to the maintainers of the modified files.\n\n	 7. You must distribute the modified file under a license that forbids distribution both of the modified file and of any files derived from the modified file with the filename of the original file.\n\n	 8. You must do either (A) or (B):\n\n		  (A) distribute a copy of The Program (that is, a complete, unmodified copy of The Program) together with the modified file; if your distribution of the modified file is made by offering access to copy the modified file from a designated place, then offering equivalent access to copy The Program from the same place meets this condition, even though third parties are not compelled to copy The Program along with the modified file;\n\n		  (B) provide to those who receive the modified file information that is sufficient for them to obtain a copy of The Program; for example, you may provide a Uniform Resource Locator (URL) for a site that you expect will provide them with a copy of The Program free of charge (either the version from which your modification is derived, or perhaps a later version).\n\nNote that in the above, `distribution' of a file means making the file available to others by any means. This includes, for instance, installing the file on any machine in such a way that the file is accessible by users other than yourself. `Modification' of a file means any procedure that produces a derivative file under any applicable law -- that is, a file containing the original file or a significant portion of it, either verbatim or with modifications and/or translated into another language.\n\nChanging the name of a file is considered to be a modification of the file.\n\nThe distribution conditions in this license do not have to be applied to files that have been modified in accordance with the above conditions. Note, however, that Condition 7. does apply to any such modified file.\n\nThe conditions above are not intended to prohibit, and hence do not apply to, the updating, by any method, of a file so that it becomes identical to the latest version of that file of The Program.\n\nA Recommendation on Modification Without Distribution\n-----------------------------------------------------\n\nIt is wise never to modify a file of The Program, even for your own personal use, without also meeting the above eight conditions for distributing the modified file. While you might intend that such modified files will never be distributed, often this will happen by accident -- you may forget that you have modified the file; or it may not occur to you when allowing others to access the modified file that you are thus distributing it and violating the conditions of this license. It is usually in your best interest to keep your copy of The Program identical with the public one. Many programs provide ways to control the behavior of that program without altering its licensed files.\n\nAdditional Conditions on Individual Files of The Program\n--------------------------------------------------------\n\nAn individual file of The Program may bear additional conditions that supplement and/or supersede the conditions in this license if, and only if, such additional conditions exclusively concern modification of the file or distribution of a modified version of the file. The conditions on individual files of The Program therefore may differ only with respect to the kind and extent of modification of those files that is allowed, and with respect to the distribution of modified versions of those files.\n\nAdditional Conditions on LaTeX Software Files\n---------------------------------------------\n\nIf a file of The Program is intended to be used with LaTeX (that is, if it is a LaTeX software file), then the following additional conditions, which supplement and/or supersede the conditions above, apply to the file according to its filename extension:\n\n	 - You may not modify any file with filename extension `.ins' since these are installation files containing the legal notices that are placed in the files they generate.\n\n	 - You may distribute modified versions of files with filename extension `.fd' (LaTeX font definition files) under the standard conditions of the LPPL as described above. You may also distribute such modified LaTeX font definition files with their original names provided that:\n		  (1) the only changes to the original files either enable use of available fonts or prevent attempts to access unavailable fonts;\n		  (2) you also distribute the original, unmodified files (TeX input paths can be used to control which set of LaTeX font definition files is actually used by TeX).\n\n	 - You may distribute modified versions of files with filename extension `.cfg' (configuration files) with their original names. The Program may (and usually will) specify the range of commands that are allowed in a particular configuration file.\n\nBecause of portability and exchangeability issues in LaTeX software, The LaTeX3 Project deprecates the distribution of modified versions of components of LaTeX or of generally available contributed code for them, but such distribution can meet the conditions of this license.\n\nNO WARRANTY\n===========\n\nThere is no warranty for The Program. Except when otherwise stated in writing, The Copyright Holder provides The Program `as is', without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of The Program is with you. Should The Program prove defective, you assume the cost of all necessary servicing, repair, or correction.\n\nIn no event unless agreed to in writing will The Copyright Holder, or any author named in the files of The Program, or any other party who may distribute and/or modify The Program as permitted below, be liable to you for damages, including any general, special, incidental or consequential damages arising out of any use of The Program or out of inability to use The Program (including, but not limited to, loss of data, data being rendered inaccurate, or losses sustained by anyone as a result of any failure of The Program to operate with any other programs), even if The Copyright Holder or said author or said other party has been advised of the possibility of such damages.\n\nWHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER THIS LICENSE\n=========================================================\n\nThis section contains important instructions, examples, and recommendations for authors who are considering distributing their programs under this license. These authors are addressed as `you' in this section.\n\nChoosing This License or Another License\n----------------------------------------\n\nIf for any part of your program you want or need to use *distribution* conditions that differ from those in this license, then do not refer to this license anywhere in your program but instead distribute your program under a different license. You may use the text of this license as a model for your own license, but your license should not refer to the LPPL or otherwise give the impression that your program is distributed under the LPPL.\n\nThe document `modguide.tex' in the base LaTeX distribution explains the motivation behind the conditions of this license. It explains, for example, why distributing LaTeX under the GNU General Public License (GPL) was considered inappropriate. Even if your program is unrelated to LaTeX, the discussion in `modguide.tex' may still be relevant, and authors intending to distribute their programs under any license are encouraged to read it.\n\nHow to Use This License\n-----------------------\n\nTo use this license, place in each of the files of your program both an explicit copyright notice including your name and the year and also a statement that the distribution and/or modification of the file is constrained by the conditions in this license.\n\nHere is an example of such a notice and statement:\n\n	 %% pig.dtx\n	 %% Copyright 2001 M. Y. Name\n	 %\n	 % This program may be distributed and/or modified under the\n	 % conditions of the LaTeX Project Public License, either version 1.1\n	 % of this license or (at your option) any later version.\n	 % The latest version of this license is in % http://www.latex-project.org/lppl.txt\n	 % and version 1.1 or later is part of all distributions of LaTeX % version 1999/06/01 or later.\n	 %\n	 % This program consists of the files pig.dtx and pig.ins\n\nGiven such a notice and statement in a file, the conditions given in this license document would apply, with `The Program' referring to the two files `pig.dtx' and `pig.ins', and `The Copyright Holder' referring to the person `M. Y. Name'.\n\nImportant Recommendations\n-------------------------\n\nDefining What Constitutes The Program\n\nThe LPPL requires that distributions of The Program contain all the files of The Program. It is therefore important that you provide a way for the licensee to determine which files constitute The Program. This could, for example, be achieved by explicitly listing all the files of The Program near the copyright notice of each file or by using a line like\n\n	  % This program consists of all files listed in manifest.txt.\n\nin that place. In the absence of an unequivocal list it might be impossible for the licensee to determine what is considered by you to comprise The Program.\n\nNoting Exceptional Files\n\nIf The Program contains any files bearing additional conditions on modification, or on distribution of modified versions, of those files (other than those listed in `Additional Conditions on LaTeX Software Files'), then it is recommended that The Program contain a prominent file that defines the exceptional conditions, and either lists the exceptional files or defines one or more categories of exceptional files.\n\nFiles containing the text of a license (such as this file) are often examples of files bearing more restrictive conditions on modification. LaTeX configuration files (with filename extension `.cfg') are examples of files bearing less restrictive conditions on the distribution of a modified version of the file. The additional conditions on LaTeX software given above are examples of declaring a category of files bearing exceptional additional conditions.\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>%%<<endOptional>> <<var;name=\"filename\";original=\"pig.dtx\";match=\".+\">>\n\n<<beginOptional>>%%<<endOptional>> Copyright <<var;name=\"copyright\";original=\"2001 M. Y. Name\";match=\".+\">>\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This program may be distributed and/or modified under the\n\n<<beginOptional>>%<<endOptional>> conditions of the LaTeX Project Public License, either version 1.1\n\n<<beginOptional>>%<<endOptional>> of this license or (at your option) any later version.\n\n<<beginOptional>>%<<endOptional>> The latest version of this license is in\n\n<<beginOptional>>%<<endOptional>> http://www.latex-project.org/lppl.txt\n\n<<beginOptional>>%<<endOptional>> and version 1.1 or later is part of all distributions of LaTeX\n\n<<beginOptional>>%<<endOptional>> version 1999/06/01 or later.\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This program consists of the <<var;name=\"filenames\";original=\"files pig.dtx and pig.ins\";match=\".+\">>\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>The LaTeX Project Public License\n\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n\nLPPL Version 1.1 1999-07-10\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 1999 LaTeX3 Project  \";match=\".{0,5000}\">>\n\nEveryone is allowed to distribute verbatim copies of this license document, but modification of it is not allowed.\n\nPREAMBLE\n\n========\n\nThe LaTeX Project Public License (LPPL) is the license under which the base LaTeX distribution is distributed.\n\nYou may use this license for any program that you have written and wish to distribute. This license may be particularly suitable if your program is TeX-related (such as a LaTeX package), but you may use it even if your program is unrelated to TeX. The section `WHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER THIS LICENSE', below, gives instructions, examples, and recommendations for authors who are considering distributing their programs under this license.\n\nIn this license document, `The Program' refers to any program distributed under this license.\n\nThis license gives conditions under which The Program may be distributed and conditions under which modified versions of The Program may be distributed. Individual files of The Program may bear supplementary and/or superseding conditions on modification of themselves and on the distribution of modified versions of themselves, but *no* file of The Program may bear supplementary or superseding conditions on the distribution of an unmodified copy of the file. A distributor wishing to distribute a complete, unmodified copy of The Program therefore needs to check the conditions only in this license and nowhere else.\n\nActivities other than distribution and/or modification of The Program are not covered by this license; they are outside its scope. In particular, the act of running The Program is not restricted.\n\nWe, the LaTeX3 Project, believe that the conditions below give you the freedom to make and distribute modified versions of The Program that conform with whatever technical specifications you wish while maintaining the availability, integrity, and reliability of The Program. If you do not see how to achieve your goal while meeting these conditions, then read the document `cfgguide.tex' in the base LaTeX distribution for suggestions.\n\nCONDITIONS ON DISTRIBUTION AND MODIFICATION\n\n===========================================\n\nYou may distribute a complete, unmodified copy of The Program. Distribution of only part of The Program is not allowed.\n\nYou may not modify in any way a file of The Program that bears a legal notice forbidding modification of that file.\n\nYou may distribute a modified file of The Program if, and only if, the following eight conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You must meet any additional conditions borne by the file on the distribution of a modified version of the file as described below in the subsection `Additional Conditions on Individual Files of The Program'.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> If the file is a LaTeX software file, then you must meet any applicable additional conditions on the distribution of a modified version of the file that are described below in the subsection `Additional Conditions on LaTeX Software Files'.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You must not distribute the modified file with the filename of the original file.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> In the modified file, you must acknowledge the authorship and name of the original file, and the name (if any) of the program which contains it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You must change any identification string in the file to indicate clearly that the modified file is not part of The Program.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> You must change any addresses in the modified file for the reporting of errors in the file or in The Program generally to ensure that reports for files no longer maintained by the original maintainers will be directed to the maintainers of the modified files.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> You must distribute the modified file under a license that forbids distribution both of the modified file and of any files derived from the modified file with the filename of the original file.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> You must do either (A) or (B):\n\n	  <<var;name=\"bullet\";original=\"(A)\";match=\".{0,20}\">> distribute a copy of The Program (that is, a complete, unmodified copy of The Program) together with the modified file; if your distribution of the modified file is made by offering access to copy the modified file from a designated place, then offering equivalent access to copy The Program from the same place meets this condition, even though third parties are not compelled to copy The Program along with the modified file;\n\n	  <<var;name=\"bullet\";original=\"(B)\";match=\".{0,20}\">> provide to those who receive the modified file information that is sufficient for them to obtain a copy of The Program; for example, you may provide a Uniform Resource Locator (URL) for a site that you expect will provide them with a copy of The Program free of charge (either the version from which your modification is derived, or perhaps a later version).\n\nNote that in the above, `distribution' of a file means making the file available to others by any means. This includes, for instance, installing the file on any machine in such a way that the file is accessible by users other than yourself. `Modification' of a file means any procedure that produces a derivative file under any applicable law -- that is, a file containing the original file or a significant portion of it, either verbatim or with modifications and/or translated into another language.\n\nChanging the name of a file is considered to be a modification of the file.\n\nThe distribution conditions in this license do not have to be applied to files that have been modified in accordance with the above conditions. Note, however, that Condition 7. does apply to any such modified file.\n\nThe conditions above are not intended to prohibit, and hence do not apply to, the updating, by any method, of a file so that it becomes identical to the latest version of that file of The Program.\n\nA Recommendation on Modification Without Distribution\n\n-----------------------------------------------------\n\nIt is wise never to modify a file of The Program, even for your own personal use, without also meeting the above eight conditions for distributing the modified file. While you might intend that such modified files will never be distributed, often this will happen by accident -- you may forget that you have modified the file; or it may not occur to you when allowing others to access the modified file that you are thus distributing it and violating the conditions of this license. It is usually in your best interest to keep your copy of The Program identical with the public one. Many programs provide ways to control the behavior of that program without altering its licensed files.\n\nAdditional Conditions on Individual Files of The Program\n\n--------------------------------------------------------\n\nAn individual file of The Program may bear additional conditions that supplement and/or supersede the conditions in this license if, and only if, such additional conditions exclusively concern modification of the file or distribution of a modified version of the file. The conditions on individual files of The Program therefore may differ only with respect to the kind and extent of modification of those files that is allowed, and with respect to the distribution of modified versions of those files.\n\nAdditional Conditions on LaTeX Software Files\n\n---------------------------------------------\n\nIf a file of The Program is intended to be used with LaTeX (that is, if it is a LaTeX software file), then the following additional conditions, which supplement and/or supersede the conditions above, apply to the file according to its filename extension:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> You may not modify any file with filename extension `.ins' since these are installation files containing the legal notices that are placed in the files they generate.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> You may distribute modified versions of files with filename extension `.fd' (LaTeX font definition files) under the standard conditions of the LPPL as described above. You may also distribute such modified LaTeX font definition files with their original names provided that:\n\n	  <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> the only changes to the original files either enable use of available fonts or prevent attempts to access unavailable fonts;\n\n	  <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> you also distribute the original, unmodified files (TeX input paths can be used to control which set of LaTeX font definition files is actually used by TeX).\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> You may distribute modified versions of files with filename extension `.cfg' (configuration files) with their original names. The Program may (and usually will) specify the range of commands that are allowed in a particular configuration file.\n\nBecause of portability and exchangeability issues in LaTeX software, The LaTeX3 Project deprecates the distribution of modified versions of components of LaTeX or of generally available contributed code for them, but such distribution can meet the conditions of this license.\n\nNO WARRANTY\n\n===========\n\nThere is no warranty for The Program. Except when otherwise stated in writing, The Copyright Holder provides The Program `as is', without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of The Program is with you. Should The Program prove defective, you assume the cost of all necessary servicing, repair, or correction.\n\nIn no event unless agreed to in writing will The Copyright Holder, or any author named in the files of The Program, or any other party who may distribute and/or modify The Program as permitted below, be liable to you for damages, including any general, special, incidental or consequential damages arising out of any use of The Program or out of inability to use The Program (including, but not limited to, loss of data, data being rendered inaccurate, or losses sustained by anyone as a result of any failure of The Program to operate with any other programs), even if The Copyright Holder or said author or said other party has been advised of the possibility of such damages.\n\nWHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER THIS LICENSE\n\n=========================================================\n\nThis section contains important instructions, examples, and recommendations for authors who are considering distributing their programs under this license. These authors are addressed as `you' in this section.\n\nChoosing This License or Another License\n\n----------------------------------------\n\nIf for any part of your program you want or need to use *distribution* conditions that differ from those in this license, then do not refer to this license anywhere in your program but instead distribute your program under a different license. You may use the text of this license as a model for your own license, but your license should not refer to the LPPL or otherwise give the impression that your program is distributed under the LPPL.\n\nThe document `modguide.tex' in the base LaTeX distribution explains the motivation behind the conditions of this license. It explains, for example, why distributing LaTeX under the GNU General Public License (GPL) was considered inappropriate. Even if your program is unrelated to LaTeX, the discussion in `modguide.tex' may still be relevant, and authors intending to distribute their programs under any license are encouraged to read it.\n\nHow to Use This License\n\n-----------------------\n\nTo use this license, place in each of the files of your program both an explicit copyright notice including your name and the year and also a statement that the distribution and/or modification of the file is constrained by the conditions in this license.\n\nHere is an example of such a notice and statement:\n\n<<beginOptional>>%%<<endOptional>> <<var;name=\"filename\";original=\"pig.dtx\";match=\".+\">>\n\n<<beginOptional>>%%<<endOptional>> Copyright <<var;name=\"copyright\";original=\"2001 M. Y. Name\";match=\".+\">>\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This program may be distributed and/or modified under the\n\n<<beginOptional>>%<<endOptional>> conditions of the LaTeX Project Public License, either version 1.1\n\n<<beginOptional>>%<<endOptional>> of this license or (at your option) any later version.\n\n<<beginOptional>>%<<endOptional>> The latest version of this license is in\n\n<<beginOptional>>%<<endOptional>> http://www.latex-project.org/lppl.txt\n\n<<beginOptional>>%<<endOptional>> and version 1.1 or later is part of all distributions of LaTeX\n\n<<beginOptional>>%<<endOptional>> version 1999/06/01 or later.\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This program consists of the <<var;name=\"filenames\";original=\"files pig.dtx and pig.ins\";match=\".+\">>\n\nGiven such a notice and statement in a file, the conditions given in this license document would apply, with `The Program' referring to the two files `pig.dtx' and `pig.ins', and `The Copyright Holder' referring to the person `M. Y. Name'.\n\nImportant Recommendations\n\n-------------------------\n\nDefining What Constitutes The Program\n\nThe LPPL requires that distributions of The Program contain all the files of The Program. It is therefore important that you provide a way for the licensee to determine which files constitute The Program. This could, for example, be achieved by explicitly listing all the files of The Program near the copyright notice of each file or by using a line like\n\n% This program consists of all files listed in manifest.txt.\n\nin that place. In the absence of an unequivocal list it might be impossible for the licensee to determine what is considered by you to comprise The Program.\n\nNoting Exceptional Files\n\nIf The Program contains any files bearing additional conditions on modification, or on distribution of modified versions, of those files (other than those listed in `Additional Conditions on LaTeX Software Files'), then it is recommended that The Program contain a prominent file that defines the exceptional conditions, and either lists the exceptional files or defines one or more categories of exceptional files.\n\nFiles containing the text of a license (such as this file) are often examples of files bearing more restrictive conditions on modification. LaTeX configuration files (with filename extension `.cfg') are examples of files bearing less restrictive conditions on the distribution of a modified version of the file. The additional conditions on LaTeX software given above are examples of declaring a category of files bearing exceptional additional conditions.\n\n"
		self.name = "LaTeX Project Public License v1.1"
		self.licenseComments = "This license was released 10 July 1999."
		self.licenseId = "LPPL-1.1"
		self.standardLicenseHeader = "%% pig.dtx\n\n%% Copyright 2001 M. Y. Name\n\n%\n\n% This program may be distributed and/or modified under the\n\n% conditions of the LaTeX Project Public License, either version 1.1\n\n% of this license or (at your option) any later version.\n\n% The latest version of this license is in\n\n% http://www.latex-project.org/lppl.txt\n\n% and version 1.1 or later is part of all distributions of LaTeX\n\n% version 1999/06/01 or later.\n\n%\n\n% This program consists of the files pig.dtx and pig.ins\n\n"
		self.crossRef = [{"match": "False", "url": "http://www.latex-project.org/lppl/lppl-1-1.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:58Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.latex-project.org/lppl/lppl-1-1.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The LaTeX Project Public License\n		<br />\n\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n	  </p>\n\n		 <p>LPPL Version 1.1 1999-07-10</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1999 LaTeX3 Project</p>\n\n	  </div>\n	  <p>Everyone is allowed to distribute verbatim copies of this license document, but modification of it is not\n		 allowed.</p>\n\n	  <p>PREAMBLE\n		<br />\n\n========\n	  </p>\n\n	  <p>The LaTeX Project Public License (LPPL) is the license under which the base LaTeX distribution is\n		 distributed.</p>\n\n	  <p>You may use this license for any program that you have written and wish to distribute. This license may\n		 be particularly suitable if your program is TeX-related (such as a LaTeX package), but you may use it\n		 even if your program is unrelated to TeX. The section `WHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER\n		 THIS LICENSE&apos;, below, gives instructions, examples, and recommendations for authors who are\n		 considering distributing their programs under this license.</p>\n\n	  <p>In this license document, `The Program&apos; refers to any program distributed under this license.</p>\n\n	  <p>This license gives conditions under which The Program may be distributed and conditions under which\n		 modified versions of The Program may be distributed. Individual files of The Program may bear\n		 supplementary and/or superseding conditions on modification of themselves and on the distribution of\n		 modified versions of themselves, but *no* file of The Program may bear supplementary or superseding\n		 conditions on the distribution of an unmodified copy of the file. A distributor wishing to distribute\n		 a complete, unmodified copy of The Program therefore needs to check the conditions only in this\n		 license and nowhere else.</p>\n\n	  <p>Activities other than distribution and/or modification of The Program are not covered by this license;\n		 they are outside its scope. In particular, the act of running The Program is not restricted.</p>\n\n	  <p>We, the LaTeX3 Project, believe that the conditions below give you the freedom to make and distribute\n		 modified versions of The Program that conform with whatever technical specifications you wish while\n		 maintaining the availability, integrity, and reliability of The Program. If you do not see how to\n		 achieve your goal while meeting these conditions, then read the document `cfgguide.tex&apos; in the\n		 base LaTeX distribution for suggestions.</p>\n\n	  <p>CONDITIONS ON DISTRIBUTION AND MODIFICATION\n		<br />\n\n===========================================\n	  </p>\n\n	  <p>You may distribute a complete, unmodified copy of The Program. Distribution of only part of The Program\n		 is not allowed.</p>\n\n	  <p>You may not modify in any way a file of The Program that bears a legal notice forbidding modification of\n		 that file.</p>\n\n	  <p>You may distribute a modified file of The Program if, and only if, the following eight conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n			You must meet any additional conditions borne by the file on the distribution of a modified\n			   version of the file as described below in the subsection `Additional Conditions on\n			   Individual Files of The Program&apos;.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n			If the file is a LaTeX software file, then you must meet any applicable additional conditions\n			   on the distribution of a modified version of the file that are described below in the\n			   subsection `Additional Conditions on LaTeX Software Files&apos;.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n			You must not distribute the modified file with the filename of the original file.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n			In the modified file, you must acknowledge the authorship and name of the original file, and\n			   the name (if any) of the program which contains it.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n			You must change any identification string in the file to indicate clearly that the modified\n			   file is not part of The Program.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n			You must change any addresses in the modified file for the reporting of errors in the file or\n			   in The Program generally to ensure that reports for files no longer maintained by the\n			   original maintainers will be directed to the maintainers of the modified files.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n			You must distribute the modified file under a license that forbids distribution both of the\n			   modified file and of any files derived from the modified file with the filename of the\n			   original file.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n			You must do either (A) or (B):\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (A)</var>\n			  distribute a copy of The Program (that is, a complete, unmodified copy of The Program)\n				 together with the modified file; if your distribution of the modified file is made by\n				 offering access to copy the modified file from a designated place, then offering\n				 equivalent access to copy The Program from the same place meets this condition, even\n				 though third parties are not compelled to copy The Program along with the modified\n				 file;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (B)</var>\n			  provide to those who receive the modified file information that is sufficient for them to\n				 obtain a copy of The Program; for example, you may provide a Uniform Resource Locator\n				 (URL) for a site that you expect will provide them with a copy of The Program free of\n				 charge (either the version from which your modification is derived, or perhaps a later\n				 version).\n			</li>\n			\n</ul>\n		  </li>\n		\n</ul>\n	  <p>Note that in the above, `distribution&apos; of a file means making the file available to\n		 others by any means. This includes, for instance, installing the file on any machine\n		 in such a way that the file is accessible by users other than yourself.\n		 `Modification&apos; of a file means any procedure that produces a derivative file\n		 under any applicable law -- that is, a file containing the original file or a\n		 significant portion of it, either verbatim or with modifications and/or translated\n		 into another language.</p>\n\n	  <p>Changing the name of a file is considered to be a modification of the file.</p>\n\n	  <p>The distribution conditions in this license do not have to be applied to files that have\n		 been modified in accordance with the above conditions. Note, however, that Condition\n		 7. does apply to any such modified file.</p>\n\n	  <p>The conditions above are not intended to prohibit, and hence do not apply to, the\n		 updating, by any method, of a file so that it becomes identical to the latest version\n		 of that file of The Program.</p>\n\n	  <p>A Recommendation on Modification Without Distribution\n		<br />\n\n-----------------------------------------------------\n	  </p>\n\n	  <p>It is wise never to modify a file of The Program, even for your own personal use, without\n		 also meeting the above eight conditions for distributing the modified file. While you\n		 might intend that such modified files will never be distributed, often this will\n		 happen by accident -- you may forget that you have modified the file; or it may not\n		 occur to you when allowing others to access the modified file that you are thus\n		 distributing it and violating the conditions of this license. It is usually in your\n		 best interest to keep your copy of The Program identical with the public one. Many\n		 programs provide ways to control the behavior of that program without altering its\n		 licensed files.</p>\n\n	  <p>Additional Conditions on Individual Files of The Program\n		<br />\n\n--------------------------------------------------------\n	  </p>\n\n	  <p>An individual file of The Program may bear additional conditions that supplement and/or\n		 supersede the conditions in this license if, and only if, such additional conditions\n		 exclusively concern modification of the file or distribution of a modified version of\n		 the file. The conditions on individual files of The Program therefore may differ only\n		 with respect to the kind and extent of modification of those files that is allowed,\n		 and with respect to the distribution of modified versions of those files.</p>\n\n	  <p>Additional Conditions on LaTeX Software Files\n		<br />\n\n---------------------------------------------\n	  </p>\n\n	  <p>If a file of The Program is intended to be used with LaTeX (that is, if it is a LaTeX\n		 software file), then the following additional conditions, which supplement and/or\n		 supersede the conditions above, apply to the file according to its filename\n		 extension:</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n			You may not modify any file with filename extension `.ins&apos; since these are installation\n			   files containing the legal notices that are placed in the files they generate.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n			You may distribute modified versions of files with filename extension `.fd&apos; (LaTeX font\n			   definition files) under the standard conditions of the LPPL as described above. You may\n			   also distribute such modified LaTeX font definition files with their original names\n			   provided that:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (1)</var>\n			  the only changes to the original files either enable use of available fonts or prevent\n				 attempts to access unavailable fonts;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (2)</var>\n			  you also distribute the original, unmodified files (TeX input paths can be used to\n				 control which set of LaTeX font definition files is actually used by TeX).\n			</li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n			You may distribute modified versions of files with filename extension `.cfg&apos;\n			   (configuration files) with their original names. The Program may (and usually will)\n			   specify the range of commands that are allowed in a particular configuration file.\n		  </li>\n		\n</ul>\n\n	  <p>Because of portability and exchangeability issues in LaTeX software, The LaTeX3 Project deprecates the\n		 distribution of modified versions of components of LaTeX or of generally available contributed code\n		 for them, but such distribution can meet the conditions of this license.</p>\n\n	  <p>NO WARRANTY\n		<br />\n\n===========\n	  </p>\n\n	  <p>There is no warranty for The Program. Except when otherwise stated in writing, The Copyright Holder\n		 provides The Program `as is&apos;, without warranty of any kind, either expressed or implied,\n		 including, but not limited to, the implied warranties of merchantability and fitness for a particular\n		 purpose. The entire risk as to the quality and performance of The Program is with you. Should The\n		 Program prove defective, you assume the cost of all necessary servicing, repair, or correction.</p>\n\n	  <p>In no event unless agreed to in writing will The Copyright Holder, or any author named in the files of\n		 The Program, or any other party who may distribute and/or modify The Program as permitted below, be\n		 liable to you for damages, including any general, special, incidental or consequential damages arising\n		 out of any use of The Program or out of inability to use The Program (including, but not limited to,\n		 loss of data, data being rendered inaccurate, or losses sustained by anyone as a result of any failure\n		 of The Program to operate with any other programs), even if The Copyright Holder or said author or\n		 said other party has been advised of the possibility of such damages.</p>\n\n	  <p>WHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER THIS LICENSE\n		<br />\n\n=========================================================\n	  </p>\n\n	  <p>This section contains important instructions, examples, and recommendations for authors who are\n		 considering distributing their programs under this license. These authors are addressed as `you&apos;\n		 in this section.</p>\n\n	  <p>Choosing This License or Another License\n		<br />\n\n----------------------------------------\n	  </p>\n\n	  <p>If for any part of your program you want or need to use *distribution* conditions that differ from those\n		 in this license, then do not refer to this license anywhere in your program but instead distribute\n		 your program under a different license. You may use the text of this license as a model for your own\n		 license, but your license should not refer to the LPPL or otherwise give the impression that your\n		 program is distributed under the LPPL.</p>\n\n	  <p>The document `modguide.tex&apos; in the base LaTeX distribution explains the motivation behind the\n		 conditions of this license. It explains, for example, why distributing LaTeX under the GNU General\n		 Public License (GPL) was considered inappropriate. Even if your program is unrelated to LaTeX, the\n		 discussion in `modguide.tex&apos; may still be relevant, and authors intending to distribute their\n		 programs under any license are encouraged to read it.</p>\n\n	  <p>How to Use This License\n		<br />\n\n-----------------------\n	  </p>\n\n	  <p>To use this license, place in each of the files of your program both an explicit copyright notice\n		 including your name and the year and also a statement that the distribution and/or modification of the\n		 file is constrained by the conditions in this license.</p>\n\n	  <p>Here is an example of such a notice and statement:</p>\n\n	  <p><var class=\"optional-license-text\"> %%</var> <var class=\"replaceable-license-text\"> pig.dtx</var>\n		<br />\n\n<var class=\"optional-license-text\"> %%</var> Copyright <var class=\"replaceable-license-text\"> 2001 M. Y. Name</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This program may be distributed and/or modified under the\n		<br />\n\n<var class=\"optional-license-text\"> %</var> conditions of the LaTeX Project Public License, either version 1.1\n		<br />\n\n<var class=\"optional-license-text\"> %</var> of this license or (at your option) any later version.\n		<br />\n\n<var class=\"optional-license-text\"> %</var> The latest version of this license is in\n		<br />\n\n<var class=\"optional-license-text\"> %</var> http://www.latex-project.org/lppl.txt\n		<br />\n\n<var class=\"optional-license-text\"> %</var> and version 1.1 or later is part of all distributions of LaTeX\n		<br />\n\n<var class=\"optional-license-text\"> %</var> version 1999/06/01 or later.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This program consists of the <var class=\"replaceable-license-text\"> files pig.dtx and pig.ins</var>\n	  </p>\n\n	  <p>Given such a notice and statement in a file, the conditions given in this license document would apply,\n		 with `The Program&apos; referring to the two files `pig.dtx&apos; and `pig.ins&apos;, and `The\n		 Copyright Holder&apos; referring to the person `M. Y. Name&apos;.</p>\n\n	  <p>Important Recommendations\n		<br />\n\n-------------------------\n	  </p>\n\n	  <p>Defining What Constitutes The Program</p>\n\n	  <p>The LPPL requires that distributions of The Program contain all the files of The Program. It is therefore\n		 important that you provide a way for the licensee to determine which files constitute The Program.\n		 This could, for example, be achieved by explicitly listing all the files of The Program near the\n		 copyright notice of each file or by using a line like</p>\n\n	  <p>% This program consists of all files listed in manifest.txt.</p>\n\n	  <p>in that place. In the absence of an unequivocal list it might be impossible for the licensee to determine\n		 what is considered by you to comprise The Program.</p>\n\n	  <p>Noting Exceptional Files</p>\n\n	  <p>If The Program contains any files bearing additional conditions on modification, or on distribution of\n		 modified versions, of those files (other than those listed in `Additional Conditions on LaTeX Software\n		 Files&apos;), then it is recommended that The Program contain a prominent file that defines the\n		 exceptional conditions, and either lists the exceptional files or defines one or more categories of\n		 exceptional files.</p>\n\n	  <p>Files containing the text of a license (such as this file) are often examples of files bearing more\n		 restrictive conditions on modification. LaTeX configuration files (with filename extension\n		 `.cfg&apos;) are examples of files bearing less restrictive conditions on the distribution of a\n		 modified version of the file. The additional conditions on LaTeX software given above are examples of\n		 declaring a category of files bearing exceptional additional conditions.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n	  <p><var class=\"optional-license-text\"> %%</var> <var class=\"replaceable-license-text\"> pig.dtx</var>\n		<br />\n\n<var class=\"optional-license-text\"> %%</var> Copyright <var class=\"replaceable-license-text\"> 2001 M. Y. Name</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This program may be distributed and/or modified under the\n		<br />\n\n<var class=\"optional-license-text\"> %</var> conditions of the LaTeX Project Public License, either version 1.1\n		<br />\n\n<var class=\"optional-license-text\"> %</var> of this license or (at your option) any later version.\n		<br />\n\n<var class=\"optional-license-text\"> %</var> The latest version of this license is in\n		<br />\n\n<var class=\"optional-license-text\"> %</var> http://www.latex-project.org/lppl.txt\n		<br />\n\n<var class=\"optional-license-text\"> %</var> and version 1.1 or later is part of all distributions of LaTeX\n		<br />\n\n<var class=\"optional-license-text\"> %</var> version 1999/06/01 or later.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This program consists of the <var class=\"replaceable-license-text\"> files pig.dtx and pig.ins</var>\n	  </p>\n\n	  "
		self.python_name = "LPPL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class Apache11:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The Apache Software License, Version 1.1\n\nCopyright (c) 2000 The Apache Software Foundation.  All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. The end-user documentation included with the redistribution, if any, must include the following acknowledgment:\n\"This product includes software developed by the Apache Software Foundation (http://www.apache.org/).\"\nAlternately, this acknowledgment may appear in the software itself, if and wherever such third-party acknowledgments normally appear.\n\n4. The names \"Apache\" and \"Apache Software Foundation\" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact apache@apache.org.\n\n5. Products derived from this software may not be called \"Apache\" nor may \"Apache\" appear in their name, without prior written permission of the Apache Software Foundation.\n\nTHIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n This software consists of voluntary contributions made by many individuals on behalf of the Apache Software Foundation. For more information on the Apache Software Foundation, please see <http://www.apache.org/>. Portions of this software are based upon public domain software originally written at the National Center for Supercomputing Applications, University of Illinois, Urbana-Champaign.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Apache Software License, Version 1.1\n\n<<endOptional>>\n\nCopyright (c) 2000 The Apache Software Foundation. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The end-user documentation included with the redistribution, if any, must include the following acknowledgment:\n\n   \"This product includes software developed by <<var;name=\"organizationClause3\";original=\"the Apache Software Foundation (http://www.apache.org/)\";match=\".+\">> .\"\n\n   Alternately, this acknowledgment may appear in the software itself, if and wherever such third-party acknowledgments normally appear.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The <<var;name=\"nameClause4\";original=\"name\";match=\"name\\(s\\)|name|name\">> <<var;name=\"organizationClause4\";original=\"\"Apache\" and \"Apache Software Foundation\"\";match=\".+\">> must not be used to endorse or promote products derived from this software without prior written permission.<<beginOptional>> For written permission, please contact apache@apache.org<<endOptional>> .\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> <<var;name=\"Clause5\";original=\"Products derived from this software may not be called \"Apache\" nor may \"Apache\" [ex. the names] appear in their name, without prior written permission of the Apache Software Foundation.\";match=\"(Products derived from this software may not be called\\s.+nor may\\s.+appear in their name, without prior written permission of\\s.+.|Products may not include\\s.+in their name, without prior written permission of\\s.+.)\">>\n\nTHIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <<var;name=\"copyrightHolderLiability\";original=\"THE APACHE SOFTWARE FOUNDATION OR ITS CONTRIBUTORS\";match=\".+\">> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n<<beginOptional>>This software consists of voluntary contributions made by many individuals on behalf of the Apache Software Foundation. For more information on the Apache Software Foundation, please see <http://www.apache.org/>. Portions of this software are based upon public domain software originally written at the National Center for Supercomputing Applications, University of Illinois, Urbana-Champaign.<<endOptional>>\n\n"
		self.name = "Apache License 1.1"
		self.licenseComments = "This license has been superseded by Apache License 2.0"
		self.licenseId = "Apache-1.1"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Apache-1.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:24Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://apache.org/licenses/LICENSE-1.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:24Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://apache.org/licenses/LICENSE-1.1", "https://opensource.org/licenses/Apache-1.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Apache Software License, Version 1.1</p>\n\n	  </div>\n		 <p>Copyright (c) 2000 The Apache Software Foundation. All rights reserved.</p>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n	   that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		Redistributions of source code must retain the above copyright notice, this list of conditions\n		   and the following disclaimer.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n		   and the following disclaimer in the documentation and/or other materials provided with the\n		   distribution.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		The end-user documentation included with the redistribution, if any, must include the following\n		   acknowledgment:\n		  <br />\n\n   &quot;This product includes software developed by\n		  <var class=\"replaceable-license-text\"> the Apache Software Foundation (http://www.apache.org/)</var>.&quot;\n		  <br />\n\n   Alternately, this acknowledgment may appear in the software itself, if and wherever such\n			   third-party acknowledgments normally appear.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		The\n		  <var class=\"replaceable-license-text\"> name</var>\n			<var class=\"replaceable-license-text\"> &quot;Apache&quot; and &quot;Apache Software Foundation&quot;</var> must\n		  not be used to endorse or promote products derived from this software without prior written\n		  permission. <var class=\"optional-license-text\"> For written permission, please contact apache@apache.org</var>.\n\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		<var class=\"replaceable-license-text\"> Products derived from this software may not be called &quot;Apache&quot; \n\t\tnor may &quot;Apache&quot; [ex. the names] appear in their name, \n\t\twithout prior written permission of the Apache Software Foundation.</var>\n	  </li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED ``AS IS&apos;&apos; AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\n	   TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\n	   NO EVENT SHALL\n	  <var class=\"replaceable-license-text\"> THE APACHE SOFTWARE FOUNDATION OR ITS CONTRIBUTORS</var>\n	  BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\n	  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR\n	  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\n	  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\n	  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n	</p>\n\n	  <p>\n		 <var class=\"optional-license-text\"> This software consists of voluntary contributions made by many individuals on behalf of the Apache\n	   Software Foundation. For more information on the Apache Software Foundation, please see\n	   &lt;http://www.apache.org/&gt;. Portions of this software are based upon public domain software originally\n	   written at the National Center for Supercomputing Applications, University of Illinois,\n	  Urbana-Champaign.</var>\n	  </p>\n\n	"
		self.python_name = "Apache11"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDFennebergLivingston:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1995,1996,1997,1998 Lars Fenneberg <lf@elemental.net>\n\nPermission to use, copy, modify, and distribute this software for any\npurpose and without fee is hereby granted, provided that this copyright and\npermission notice appear on all copies and supporting documentation, the\nname of Lars Fenneberg not be used in advertising or publicity pertaining to\ndistribution of the program without specific prior permission, and notice be\ngiven in supporting documentation that copying and distribution is by\npermission of Lars Fenneberg.\n\nLars Fenneberg makes no representations about the suitability of this\nsoftware for any purpose.  It is provided \"as is\" without express or implied\nwarranty.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright <year> <copyright holder>  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software for any purpose and without fee is hereby granted, provided that this copyright and permission notice appear on all copies and supporting documentation, the name of <<var;name=\"copyrightHolder0\";original=\"<copyright holder>\";match=\".*\">> not be used in advertising or publicity pertaining to distribution of the program without specific prior permission, and notice be given in supporting documentation that copying and distribution is by permission of <<var;name=\"copyrightHolder1\";original=\"<copyright holder>\";match=\".*\">> . <<var;name=\"copyrightHolder2\";original=\"<copyright holder>\";match=\".*\">> makes no representations about the suitability of this software for any purpose. It is provided \"as is\" without express or implied warranty.\n\n"
		self.name = "Historical Permission Notice and Disclaimer - Fenneberg-Livingston variant"
		self.licenseComments = "This is similar to HPND but adds an obligation relating notice in supporting documentation."
		self.licenseId = "HPND-Fenneberg-Livingston"
		self.crossRef = [{"match": "False", "url": "https://github.com/radcli/radcli/blob/master/COPYRIGHT#L34", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:24Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/FreeRADIUS/freeradius-client/blob/master/COPYRIGHT#L32", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:24Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/FreeRADIUS/freeradius-client/blob/master/COPYRIGHT#L32", "https://github.com/radcli/radcli/blob/master/COPYRIGHT#L34"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright &lt;year&gt; &lt;copyright holder&gt;</p>\n\n	  </div>\n\n	  <p>\n		Permission to use, copy, modify, and distribute this software for any\n		purpose and without fee is hereby granted, provided that this copyright\n		and permission notice appear on all copies and supporting documentation,\n		the name of <var class=\"replaceable-license-text\"> &lt;copyright holder&gt;</var> not be used in advertising or\n		publicity pertaining to distribution of the program without specific\n		prior permission, and notice be given in supporting documentation that\n		copying and distribution is by permission of <var class=\"replaceable-license-text\"> &lt;copyright holder&gt;</var>.\n\n		<var class=\"replaceable-license-text\"> &lt;copyright holder&gt;</var> makes no representations about the suitability\n		of this software for any purpose. It is provided &quot;as is&quot; without express\n		or implied warranty.\n	  </p>\n\n	"
		self.python_name = "HPNDFennebergLivingston"

	def __str__(self):
		return json.dumps(self.__dict__)


class QPL10INRIA2004:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "				   THE Q PUBLIC LICENSE version 1.0\n\n			  Copyright (C) 1999 Troll Tech AS, Norway.\n				  Everyone is permitted to copy and\n				  distribute this license document.\n\nThe intent of this license is to establish freedom to share and change\nthe software regulated by this license under the open source model.\n\nThis license applies to any software containing a notice placed by the\ncopyright holder saying that it may be distributed under the terms of\nthe Q Public License version 1.0. Such software is herein referred to\nas the Software. This license covers modification and distribution of\nthe Software, use of third-party application programs based on the\nSoftware, and development of free software which uses the Software.\n\n							Granted Rights\n\n1. You are granted the non-exclusive rights set forth in this license\nprovided you agree to and comply with any and all conditions in this\nlicense. Whole or partial distribution of the Software, or software\nitems that link with the Software, in any form signifies acceptance of\nthis license.\n\n2. You may copy and distribute the Software in unmodified form\nprovided that the entire package, including - but not restricted to -\ncopyright, trademark notices and disclaimers, as released by the\ninitial developer of the Software, is distributed.\n\n3. You may make modifications to the Software and distribute your\nmodifications, in a form that is separate from the Software, such as\npatches. The following restrictions apply to modifications:\n\n	  a. Modifications must not alter or remove any copyright notices\n	  in the Software.\n\n	  b. When modifications to the Software are released under this\n	  license, a non-exclusive royalty-free right is granted to the\n	  initial developer of the Software to distribute your\n	  modification in future versions of the Software provided such\n	  versions remain available under these terms in addition to any\n	  other license(s) of the initial developer.\n\n4. You may distribute machine-executable forms of the Software or\nmachine-executable forms of modified versions of the Software,\nprovided that you meet these restrictions:\n\n	  a. You must include this license document in the distribution.\n\n	  b. You must ensure that all recipients of the machine-executable\n	  forms are also able to receive the complete machine-readable\n	  source code to the distributed Software, including all\n	  modifications, without any charge beyond the costs of data\n	  transfer, and place prominent notices in the distribution\n	  explaining this.\n\n	  c. You must ensure that all modifications included in the\n	  machine-executable forms are available under the terms of this\n	  license.\n\n5. You may use the original or modified versions of the Software to\ncompile, link and run application programs legally developed by you or\nby others.\n\n6. You may develop application programs, reusable components and other\nsoftware items that link with the original or modified versions of the\nSoftware. These items, when distributed, are subject to the following\nrequirements:\n\n	  a. You must ensure that all recipients of machine-executable\n	  forms of these items are also able to receive and use the\n	  complete machine-readable source code to the items without any\n	  charge beyond the costs of data transfer.\n\n	  b. You must explicitly license all recipients of your items to\n	  use and re-distribute original and modified versions of the\n	  items in both machine-executable and source code forms. The\n	  recipients must be able to do so without any charges whatsoever,\n	  and they must be able to re-distribute to anyone they choose.\n\n	  c. If the items are not available to the general public, and the\n	  initial developer of the Software requests a copy of the items,\n	  then you must supply one.\n\n					   Limitations of Liability\n\nIn no event shall the initial developers or copyright holders be\nliable for any damages whatsoever, including - but not restricted to -\nlost revenue or profits or other direct, indirect, special, incidental\nor consequential damages, even if they have been advised of the\npossibility of such damages, except to the extent invariable law, if\nany, provides otherwise.\n\n							 No Warranty\n\nThe Software and this license document are provided AS IS with NO\nWARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN,\nMERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\n							Choice of Law\n\nThis license is governed by the Laws of France.\n"
		self.standardLicenseTemplate = "<<beginOptional>>THE Q PUBLIC LICENSE version 1.0\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 1999 Troll Tech AS, Norway.  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy and distribute this license document.\n\nThe intent of this license is to establish freedom to share and change the software regulated by this license under the open source model.\n\nThis license applies to any software containing a notice placed by the copyright holder saying that it may be distributed under the terms of the Q Public License version 1.0. Such software is herein referred to as the Software. This license covers modification and distribution of the Software, use of third-party application programs based on the Software, and development of free software which uses the Software.\n\nGranted Rights\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You are granted the non-exclusive rights set forth in this license provided you agree to and comply with any and all conditions in this license. Whole or partial distribution of the Software, or software items that link with the Software, in any form signifies acceptance of this license.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may copy and distribute the Software in unmodified form provided that the entire package, including - but not restricted to - copyright, trademark notices and disclaimers, as released by the initial developer of the Software, is distributed.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may make modifications to the Software and distribute your modifications, in a form that is separate from the Software, such as patches. The following restrictions apply to modifications:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Modifications must not alter or remove any copyright notices in the Software.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> When modifications to the Software are released under this license, a non-exclusive royalty-free right is granted to the initial developer of the Software to distribute your modification in future versions of the Software provided such versions remain available under these terms in addition to any other license(s) of the initial developer.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may distribute machine-executable forms of the Software or machine-executable forms of modified versions of the Software, provided that you meet these restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You must include this license document in the distribution.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You must ensure that all recipients of the machine-executable forms are also able to receive the complete machine-readable source code to the distributed Software, including all modifications, without any charge beyond the costs of data transfer, and place prominent notices in the distribution explaining this.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You must ensure that all modifications included in the machine-executable forms are available under the terms of this license.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may use the original or modified versions of the Software to compile, link and run application programs legally developed by you or by others.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> You may develop application programs, reusable components and other software items that link with the original or modified versions of the Software. These items, when distributed, are subject to the following requirements:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You must ensure that all recipients of machine-executable forms of these items are also able to receive and use the complete machine-readable source code to the items without any charge beyond the costs of data transfer.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You must explicitly license all recipients of your items to use and re-distribute original and modified versions of the items in both machine-executable and source code forms. The recipients must be able to do so without any charges whatsoever, and they must be able to re-distribute to anyone they choose.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If the items are not available to the general public, and the initial developer of the Software requests a copy of the items, then you must supply one.\n\nLimitations of Liability\n\nIn no event shall the initial developers or copyright holders be liable for any damages whatsoever, including - but not restricted to - lost revenue or profits or other direct, indirect, special, incidental or consequential damages, even if they have been advised of the possibility of such damages, except to the extent invariable law, if any, provides otherwise.\n\nNo Warranty\n\nThe Software and this license document are provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\nChoice of Law\n\nThis license is governed by the Laws of France.\n\n"
		self.name = "Q Public License 1.0 - INRIA 2004 variant"
		self.licenseComments = "This license is a variant of QPL-1.0 with the choice of law changed to France. This variant appears to be generally used together with QPL-1.0-INRIA-2004-exception."
		self.licenseId = "QPL-1.0-INRIA-2004"
		self.crossRef = [{"match": "False", "url": "https://github.com/maranget/hevea/blob/master/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:05Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/maranget/hevea/blob/master/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>THE Q PUBLIC LICENSE version 1.0</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 1999 Troll Tech AS, Norway.</p>\n\n	  </div>\n\n	  <p>Everyone is permitted to copy and distribute this license document.</p>\n\n	  <p>The intent of this license is to establish freedom to share and change the software regulated by this\n		 license under the open source model.</p>\n\n	  <p>This license applies to any software containing a notice placed by the copyright holder saying that it\n		 may be distributed under the terms of the Q Public License version 1.0. Such software is herein\n		 referred to as the Software. This license covers modification and distribution of the Software, use of\n		 third-party application programs based on the Software, and development of free software which uses\n		 the Software.</p>\n\n	  <p>Granted Rights</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You are granted the non-exclusive rights set forth in this license provided you agree to and\n			 comply with any and all conditions in this license. Whole or partial distribution of the\n			 Software, or software items that link with the Software, in any form signifies acceptance of\n			 this license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may copy and distribute the Software in unmodified form provided that the entire package,\n			 including - but not restricted to - copyright, trademark notices and disclaimers, as released\n			 by the initial developer of the Software, is distributed.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may make modifications to the Software and distribute your modifications, in a form that is\n			 separate from the Software, such as patches. The following restrictions apply to\n			 modifications:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				Modifications must not alter or remove any copyright notices in the Software.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				When modifications to the Software are released under this license, a non-exclusive royalty-free\n				  right is granted to the initial developer of the Software to distribute your modification in\n				  future versions of the Software provided such versions remain available under these terms in\n				  addition to any other license(s) of the initial developer.\n			  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may distribute machine-executable forms of the Software or machine-executable forms of\n			 modified versions of the Software, provided that you meet these restrictions:\n		   \n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				You must include this license document in the distribution.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				You must ensure that all recipients of the machine-executable forms are also able to receive the\n				 complete machine-readable source code to the distributed Software, including all\n				 modifications, without any charge beyond the costs of data transfer, and place prominent\n				 notices in the distribution explaining this.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n				You must ensure that all modifications included in the machine-executable forms are available\n				   under the terms of this license.\n			  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may use the original or modified versions of the Software to compile, link and run\n			 application programs legally developed by you or by others.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  You may develop application programs, reusable components and other software items that link with\n			 the original or modified versions of the Software. These items, when distributed, are subject\n			 to the following requirements:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				You must ensure that all recipients of machine-executable forms of these items are also able to\n				   receive and use the complete machine-readable source code to the items without any charge\n				   beyond the costs of data transfer.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				You must explicitly license all recipients of your items to use and re-distribute original and\n				   modified versions of the items in both machine-executable and source code forms. The\n				   recipients must be able to do so without any charges whatsoever, and they must be able to\n				   re-distribute to anyone they choose.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n				If the items are not available to the general public, and the initial developer of the Software\n				   requests a copy of the items, then you must supply one.\n			  </li>\n			\n</ul>\n		 </li>\n		\n</ul>\n	  <p>Limitations of Liability</p>\n\n	  <p>In no event shall the initial developers or copyright holders be liable for any damages whatsoever,\n		 including - but not restricted to - lost revenue or profits or other direct, indirect, special,\n		 incidental or consequential damages, even if they have been advised of the possibility of such\n		 damages, except to the extent invariable law, if any, provides otherwise.</p>\n\n	  <p>No Warranty</p>\n\n	  <p>The Software and this license document are provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE\n		 WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.</p>\n\n	  <p>Choice of Law</p>\n\n	  <p>This license is governed by the Laws of France.</p>\n\n	"
		self.python_name = "QPL10INRIA2004"

	def __str__(self):
		return json.dumps(self.__dict__)


class Libpng:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This copy of the libpng notices is provided for your convenience.  In case of any discrepancy between this copy and the notices in the file png.h that is included in the libpng distribution, the latter shall prevail.\n\nCOPYRIGHT NOTICE, DISCLAIMER, and LICENSE:\n\nIf you modify libpng you may insert additional notices immediately following this sentence.\n\nThis code is released under the libpng license.\n\nlibpng versions 1.2.6, August 15, 2004, through 1.4.5, December 9, 2010, are Copyright (c) 2004, 2006-2010 Glenn Randers-Pehrson, and are distributed according to the same disclaimer and license as libpng-1.2.5 with the following individual added to the list of Contributing Authors\n\n	 Cosmin Truta\n\nlibpng versions 1.0.7, July 1, 2000, through 1.2.5 - October 3, 2002, are\nCopyright (c) 2000-2002 Glenn Randers-Pehrson, and are distributed according to the same disclaimer and license as libpng-1.0.6 with the following individuals added to the list of Contributing Authors\n\n	 Simon-Pierre Cadieux\n	 Eric S. Raymond\n	 Gilles Vollant\n\nand with the following additions to the disclaimer:\n\n	 There is no warranty against interference with your enjoyment of the library or against infringement.  There is no warranty that our efforts or the library will fulfill any of your particular purposes or needs.  This library is provided with all faults, and the entire risk of satisfactory quality, performance, accuracy, and effort is with the user.\n\nlibpng versions 0.97, January 1998, through 1.0.6, March 20, 2000, are\nCopyright (c) 1998, 1999 Glenn Randers-Pehrson, and are distributed according to the same disclaimer and license as libpng-0.96, with the following individuals added to the list of Contributing Authors:\n\n	 Tom Lane\n	 Glenn Randers-Pehrson\n	 Willem van Schaik\n\nlibpng versions 0.89, June 1996, through 0.96, May 1997, are\nCopyright (c) 1996, 1997 Andreas Digger\nDistributed according to the same disclaimer and license as libpng-0.88, with the following individuals added to the list of Contributing Authors:\n\n	 John Bowler\n	 Kevin Bracey\n	 Sam Bushell\n	 Magnus Holmgren\n	 Greg Roelofs\n	 Tom Tanner\n\nlibpng versions 0.5, May 1995, through 0.88, January 1996, are\nCopyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.\n\nFor the purposes of this copyright and license, \"Contributing Authors\" is defined as the following set of individuals:\n\n	 Andreas Dilger\n	 Dave Martindale\n	 Guy Eric Schalnat\n	 Paul Schmidt\n	 Tim Wegner\n\nThe PNG Reference Library is supplied \"AS IS\".  The Contributing Authors and Group 42, Inc. disclaim all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose.  The Contributing Authors and Group 42, Inc. assume no liability for direct, indirect, incidental, special, exemplary, or consequential damages, which may result from the use of the PNG Reference Library, even if advised of the possibility of such damage.\n\nPermission is hereby granted to use, copy, modify, and distribute this source code, or portions hereof, for any purpose, without fee, subject to the following restrictions:\n\n1. The origin of this source code must not be misrepresented.\n\n2. Altered versions must be plainly marked as such and must not be misrepresented as being the original source.\n\n3. This Copyright notice may not be removed or altered from any source or altered source distribution.\n\nThe Contributing Authors and Group 42, Inc. specifically permit, without fee, and encourage the use of this source code as a component to supporting the PNG file format in commercial products.  If you use this source code in a product, acknowledgment is not required but would be appreciated.\n\n\nA \"png_get_copyright\" function is available, for convenient use in \"about\" boxes and the like:\n\n	 printf(\"%s\",png_get_copyright(NULL));\n\nAlso, the PNG logo (in PNG format, of course) is supplied in the files \"pngbar.png\" and \"pngbar.jpg (88x31) and \"pngnow.png\" (98x31).\n\nLibpng is OSI Certified Open Source Software.  OSI Certified Open Source is a certification mark of the Open Source Initiative.\n\nGlenn Randers-Pehrson\nglennrp at users.sourceforge.net\nDecember 9, 2010\n"
		self.standardLicenseTemplate = "This copy of the libpng notices is provided for your convenience. In case of any discrepancy between this copy and the notices in the file png.h that is included in the libpng distribution, the latter shall prevail.\n\nCOPYRIGHT NOTICE, DISCLAIMER, and LICENSE:\n\nIf you modify libpng you may insert additional notices immediately following this sentence.\n\nThis code is released under the libpng license.\n\nlibpng versions 1.2.6, August 15, 2004, through 1.4.5, December 9, 2010, are Copyright (c) 2004, 2006-2010 Glenn Randers-Pehrson, and are distributed according to the same disclaimer and license as libpng-1.2.5 with the following individual added to the list of Contributing Authors\n\nCosmin Truta\n\nlibpng versions 1.0.7, July 1, 2000, through 1.2.5 - October 3, 2002, are\n\nCopyright (c) 2000-2002 Glenn Randers-Pehrson, and are distributed according to the same disclaimer and license as libpng-1.0.6 with the following individuals added to the list of Contributing Authors\n\nSimon-Pierre Cadieux\n\nEric S. Raymond\n\nGilles Vollant\n\nand with the following additions to the disclaimer:\n\nThere is no warranty against interference with your enjoyment of the library or against infringement. There is no warranty that our efforts or the library will fulfill any of your particular purposes or needs. This library is provided with all faults, and the entire risk of satisfactory quality, performance, accuracy, and effort is with the user.\n\nlibpng versions 0.97, January 1998, through 1.0.6, March 20, 2000, are\n\nCopyright (c) 1998, 1999 Glenn Randers-Pehrson, and are distributed according to the same disclaimer and license as libpng-0.96, with the following individuals added to the list of Contributing Authors:\n\nTom Lane\n\nGlenn Randers-Pehrson\n\nWillem van Schaik\n\nlibpng versions 0.89, June 1996, through 0.96, May 1997, are\n\nCopyright (c) 1996, 1997 Andreas Digger\n\nDistributed according to the same disclaimer and license as libpng-0.88, with the following individuals added to the list of Contributing Authors:\n\nJohn Bowler\n\nKevin Bracey\n\nSam Bushell\n\nMagnus Holmgren\n\nGreg Roelofs\n\nTom Tanner\n\nlibpng versions 0.5, May 1995, through 0.88, January 1996, are\n\nCopyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.\n\nFor the purposes of this copyright and license, \"Contributing Authors\" is defined as the following set of individuals:\n\nAndreas Dilger\n\nDave Martindale\n\nGuy Eric Schalnat\n\nPaul Schmidt\n\nTim Wegner\n\nThe PNG Reference Library is supplied \"AS IS\". The Contributing Authors and Group 42, Inc. disclaim all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The Contributing Authors and Group 42, Inc. assume no liability for direct, indirect, incidental, special, exemplary, or consequential damages, which may result from the use of the PNG Reference Library, even if advised of the possibility of such damage.\n\nPermission is hereby granted to use, copy, modify, and distribute this source code, or portions hereof, for any purpose, without fee, subject to the following restrictions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The origin of this source code must not be misrepresented.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Altered versions must be plainly marked as such and must not be misrepresented as being the original source.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> This Copyright notice may not be removed or altered from any source or altered source distribution.\n\nThe Contributing Authors and Group 42, Inc. specifically permit, without fee, and encourage the use of this source code as a component to supporting the PNG file format in commercial products. If you use this source code in a product, acknowledgment is not required but would be appreciated.\n\nA \"png_get_copyright\" function is available, for convenient use in \"about\" boxes and the like:\n\nprintf(\"%s\",png_get_copyright(NULL));\n\nAlso, the PNG logo (in PNG format, of course) is supplied in the files \"pngbar.png\" and \"pngbar.jpg (88x31) and \"pngnow.png\" (98x31).\n\nLibpng is OSI Certified Open Source Software. OSI Certified Open Source is a certification mark of the Open Source Initiative.\n\nGlenn Randers-Pehrson\n\nglennrp at users.sourceforge.net\n\nDecember 9, 2010\n\n"
		self.name = "libpng License"
		self.licenseId = "Libpng"
		self.crossRef = [{"match": "False", "url": "http://www.libpng.org/pub/png/src/libpng-LICENSE.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:00Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.libpng.org/pub/png/src/libpng-LICENSE.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>This copy of the libpng notices is provided for your convenience. In case of any discrepancy between this\n		 copy and the notices in the file png.h that is included in the libpng distribution, the latter shall\n		 prevail.</p>\n\n	  <p>COPYRIGHT NOTICE, DISCLAIMER, and LICENSE:</p>\n\n	  <p>If you modify libpng you may insert additional notices immediately following this sentence.</p>\n\n	  <p>This code is released under the libpng license.</p>\n\n	  <p>libpng versions 1.2.6, August 15, 2004, through 1.4.5, December 9, 2010, are Copyright (c) 2004,\n		 2006-2010 Glenn Randers-Pehrson, and are distributed according to the same disclaimer and license as\n		 libpng-1.2.5 with the following individual added to the list of Contributing Authors</p>\n\n	  <p>Cosmin Truta</p>\n\n	  <p>libpng versions 1.0.7, July 1, 2000, through 1.2.5 - October 3, 2002, are\n		<br />\n\nCopyright (c) 2000-2002 Glenn Randers-Pehrson, and are distributed according to the same disclaimer\n			 and license as libpng-1.0.6 with the following individuals added to the list of Contributing\n			 Authors\n	  </p>\n\n	  <p>Simon-Pierre Cadieux\n		<br />\n\nEric S. Raymond\n		<br />\n\nGilles Vollant\n	  </p>\n\n	  <p>and with the following additions to the disclaimer:</p>\n\n	  <p>There is no warranty against interference with your enjoyment of the library or against infringement.\n		 There is no warranty that our efforts or the library will fulfill any of your particular purposes or\n		 needs. This library is provided with all faults, and the entire risk of satisfactory quality,\n		 performance, accuracy, and effort is with the user.</p>\n\n	  <p>libpng versions 0.97, January 1998, through 1.0.6, March 20, 2000, are\n		<br />\n\nCopyright (c) 1998, 1999 Glenn Randers-Pehrson, and are distributed according to the same\n			 disclaimer and license as libpng-0.96, with the following individuals added to the list of\n			 Contributing Authors:\n	  </p>\n\n	  <p>Tom Lane\n		<br />\n\nGlenn Randers-Pehrson\n		<br />\n\nWillem van Schaik\n	  </p>\n\n	  <p>libpng versions 0.89, June 1996, through 0.96, May 1997, are\n		<br />\n\nCopyright (c) 1996, 1997 Andreas Digger\n		<br />\n\nDistributed according to the same disclaimer and license as libpng-0.88, with the following\n			 individuals added to the list of Contributing Authors:\n	  </p>\n\n	  <p>John Bowler\n		<br />\n\nKevin Bracey\n		<br />\n\nSam Bushell\n		<br />\n\nMagnus Holmgren\n		<br />\n\nGreg Roelofs\n		<br />\n\nTom Tanner\n	  </p>\n\n	  <p>libpng versions 0.5, May 1995, through 0.88, January 1996, are\n		<br />\n\nCopyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.\n	  </p>\n\n	  <p>For the purposes of this copyright and license, &quot;Contributing Authors&quot; is defined as the following set of\n		 individuals:</p>\n\n	  <p>Andreas Dilger\n		<br />\n\nDave Martindale\n		<br />\n\nGuy Eric Schalnat\n		<br />\n\nPaul Schmidt\n		<br />\n\nTim Wegner\n	  </p>\n\n	  <p>The PNG Reference Library is supplied &quot;AS IS&quot;. The Contributing Authors and Group 42, Inc. disclaim all\n		 warranties, expressed or implied, including, without limitation, the warranties of merchantability and\n		 of fitness for any purpose. The Contributing Authors and Group 42, Inc. assume no liability for\n		 direct, indirect, incidental, special, exemplary, or consequential damages, which may result from the\n		 use of the PNG Reference Library, even if advised of the possibility of such damage.</p>\n\n	  <p>Permission is hereby granted to use, copy, modify, and distribute this source code, or portions hereof,\n		 for any purpose, without fee, subject to the following restrictions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  The origin of this source code must not be misrepresented.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Altered versions must be plainly marked as such and must not be misrepresented as being the\n			 original source.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  This Copyright notice may not be removed or altered from any source or altered source distribution.\n		</li>\n	  \n</ul>\n	  <p>The Contributing Authors and Group 42, Inc. specifically permit, without fee, and encourage the use of\n		 this source code as a component to supporting the PNG file format in commercial products. If you use\n		 this source code in a product, acknowledgment is not required but would be appreciated.</p>\n\n	  <p>A &quot;png_get_copyright&quot; function is available, for convenient use in &quot;about&quot; boxes and the like:</p>\n\n	  <p>printf(&quot;%s&quot;,png_get_copyright(NULL));</p>\n\n	  <p>Also, the PNG logo (in PNG format, of course) is supplied in the files &quot;pngbar.png&quot; and &quot;pngbar.jpg\n		 (88x31) and &quot;pngnow.png&quot; (98x31).</p>\n\n	  <p>Libpng is OSI Certified Open Source Software. OSI Certified Open Source is a certification mark of the\n		 Open Source Initiative.</p>\n\n	  <p>Glenn Randers-Pehrson\n		<br />\n\nglennrp at users.sourceforge.net\n		<br />\n\nDecember 9, 2010\n	  </p>\n\n	"
		self.python_name = "Libpng"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP24:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The OpenLDAP Public License\nVersion 2.4, 8 December 2000\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain copyright statements and notices.\n\n2. Redistributions in binary form must reproduce applicable copyright statements and notices, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. Redistributions must contain a verbatim copy of this document.\n\n4. The names and trademarks of the authors and copyright holders must not be used in advertising or otherwise to promote the sale, use or other dealing in this Software without specific, written prior permission.\n\n5. Due credit should be given to the OpenLDAP Project.\n\n6. The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved. Permission to copy and distributed verbatim copies of this document is granted.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 2.4, 8 December 2000\n\n<<endOptional>>\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain copyright statements and notices.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce applicable copyright statements and notices, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions must contain a verbatim copy of this document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The names and trademarks of the authors and copyright holders must not be used in advertising or otherwise to promote the sale, use or other dealing in this Software without specific, written prior permission.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Due credit should be given to the OpenLDAP Project.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\n<<var;name=\"copyright\";original=\"Copyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.\";match=\".{0,5000}\">> Permission to copy and distributed verbatim copies of this document is granted.\n\n"
		self.name = "Open LDAP Public License v2.4"
		self.licenseComments = "This license was released 8 December 2000."
		self.licenseId = "OLDAP-2.4"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=cd1284c4a91a8a380d904eee68d1583f989ed386", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:31Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=cd1284c4a91a8a380d904eee68d1583f989ed386"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 2.4, 8 December 2000\n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use of this software and associated documentation (&quot;Software&quot;), with or without\n		 modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain copyright statements and notices.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce applicable copyright statements and notices, this\n			 list of conditions, and the following disclaimer in the documentation and/or other materials\n			 provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Redistributions must contain a verbatim copy of this document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  The names and trademarks of the authors and copyright holders must not be used in advertising or\n			 otherwise to promote the sale, use or other dealing in this Software without specific, written\n			 prior permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Due credit should be given to the OpenLDAP Project.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished\n			 by a version number. You may use the Software under terms of this license revision or under\n			 the terms of any subsequent revision of the license.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESSED OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS\n		 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n		 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n		 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n		 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\n		 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>OpenLDAP is a trademark of the OpenLDAP Foundation.</p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> Copyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.</var>\n		Permission to copy and distributed verbatim copies of this document is granted.\n	  </p>\n\n	"
		self.python_name = "OLDAP24"

	def __str__(self):
		return json.dumps(self.__dict__)


class ECL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The Educational Community License\n\nThis Educational Community License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\n	 Copyright (c) <year> <copyright holders>\n\n	 Licensed under the Educational Community License version 1.0\n\nThis Original Work, including software, source code, documents, or other related items, is being provided by the copyright holder(s) subject to the terms of the Educational Community License. By obtaining, using and/or copying this Original Work, you agree that you have read, understand, and will comply with the following terms and conditions of the Educational Community License:\n\nPermission to use, copy, modify, merge, publish, distribute, and sublicense this Original Work and its documentation, with or without modification, for any purpose, and without fee or royalty to the copyright holder(s) is hereby granted, provided that you include the following on ALL copies of the Original Work or portions thereof, including modifications or derivatives, that you make:\n\n	 The full text of the Educational Community License in a location viewable to users of the redistributed or derivative work.\n\n	 Any pre-existing intellectual property disclaimers, notices, or terms and conditions.\n\n	 Notice of any changes or modifications to the Original Work, including the date the changes were made.\n\n	 Any modifications of the Original Work must be distributed in such a manner as to avoid any confusion with the Original Work of the copyright holders.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nThe name and trademarks of copyright holder(s) may NOT be used in advertising or publicity pertaining to the Original or Derivative Works without specific, written prior permission. Title to copyright in the Original Work and any associated documentation will at all times remain with the copyright holders.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"<year> <copyright holders>\";match=\".+\">>\n\nLicensed under the Educational Community License version 1.0\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Educational Community License\n\n<<endOptional>>\n\nThis Educational Community License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\nCopyright (c) <<var;name=\"copyright\";original=\"<year> <copyright holders>\";match=\".+\">>\n\nLicensed under the Educational Community License version 1.0\n\nThis Original Work, including software, source code, documents, or other related items, is being provided by the copyright holder(s) subject to the terms of the Educational Community License. By obtaining, using and/or copying this Original Work, you agree that you have read, understand, and will comply with the following terms and conditions of the Educational Community License:\n\nPermission to use, copy, modify, merge, publish, distribute, and sublicense this Original Work and its documentation, with or without modification, for any purpose, and without fee or royalty to the copyright holder(s) is hereby granted, provided that you include the following on ALL copies of the Original Work or portions thereof, including modifications or derivatives, that you make:\n\nThe full text of the Educational Community License in a location viewable to users of the redistributed or derivative work.\n\nAny pre-existing intellectual property disclaimers, notices, or terms and conditions.\n\nNotice of any changes or modifications to the Original Work, including the date the changes were made.\n\nAny modifications of the Original Work must be distributed in such a manner as to avoid any confusion with the Original Work of the copyright holders.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nThe name and trademarks of copyright holder(s) may NOT be used in advertising or publicity pertaining to the Original or Derivative Works without specific, written prior permission. Title to copyright in the Original Work and any associated documentation will at all times remain with the copyright holders.\n\n"
		self.name = "Educational Community License v1.0"
		self.licenseId = "ECL-1.0"
		self.standardLicenseHeader = "Copyright (c) <year> <copyright holders>\n\nLicensed under the Educational Community License version 1.0\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/ECL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:33Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/ECL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Educational Community License</p>\n\n	  </div>\n	  <p>This Educational Community License (the &quot;License&quot;) applies to any original work of authorship (the\n		 &quot;Original Work&quot;) whose owner (the &quot;Licensor&quot;) has placed the following notice immediately following\n		 the copyright notice for the Original Work:</p>\n\n	  <p>Copyright (c)\n		<var class=\"replaceable-license-text\"> &lt;year&gt; &lt;copyright holders&gt;</var>\n	  </p>\n\n	  <p>Licensed under the Educational Community License version 1.0</p>\n\n	  <p>This Original Work, including software, source code, documents, or other related items, is being provided\n		 by the copyright holder(s) subject to the terms of the Educational Community License. By obtaining,\n		 using and/or copying this Original Work, you agree that you have read, understand, and will comply\n		 with the following terms and conditions of the Educational Community License:</p>\n\n	  <p>Permission to use, copy, modify, merge, publish, distribute, and sublicense this Original Work and its\n		 documentation, with or without modification, for any purpose, and without fee or royalty to the\n		 copyright holder(s) is hereby granted, provided that you include the following on ALL copies of the\n		 Original Work or portions thereof, including modifications or derivatives, that you make:</p>\n\n	  <p>The full text of the Educational Community License in a location viewable to users of the redistributed\n		 or derivative work.</p>\n\n	  <p>Any pre-existing intellectual property disclaimers, notices, or terms and conditions.</p>\n\n	  <p>Notice of any changes or modifications to the Original Work, including the date the changes were made.</p>\n\n	  <p>Any modifications of the Original Work must be distributed in such a manner as to avoid any confusion\n		 with the Original Work of the copyright holders.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\n		 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n		 SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	  <p>The name and trademarks of copyright holder(s) may NOT be used in advertising or publicity pertaining to\n		 the Original or Derivative Works without specific, written prior permission. Title to copyright in the\n		 Original Work and any associated documentation will at all times remain with the copyright\n		 holders.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n	  <p>Copyright (c)\n		<var class=\"replaceable-license-text\"> &lt;year&gt; &lt;copyright holders&gt;</var>\n	  </p>\n\n	  <p>Licensed under the Educational Community License version 1.0</p>\n\n	  "
		self.python_name = "ECL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSDProtection:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "BSD Protection License\nFebruary 2002\n\nPreamble\n--------\n\nThe Berkeley Software Distribution (\"BSD\") license has proven very effective over the years at allowing for a wide spread of work throughout both commercial and non-commercial products. For programmers whose primary intention is to improve the general quality of available software, it is arguable that there is no better license than the BSD license, as it permits improvements to be used wherever they will help, without idealogical or metallic constraint.\n\nThis is of particular value to those who produce reference implementations of proposed standards: The case of TCP/IP clearly illustrates that freely and universally available implementations leads the rapid acceptance of standards -- often even being used instead of a de jure standard (eg, OSI network models).\n\nWith the rapid proliferation of software licensed under the GNU General Public License, however, the continued success of this role is called into question. Given that the inclusion of a few lines of \"GPL-tainted\" work into a larger body of work will result in restricted distribution -- and given that further work will likely build upon the \"tainted\" portions, making them difficult to remove at a future date -- there are inevitable circumstances where authors would, in order to protect their goal of providing for the widespread usage of their work, wish to guard against such \"GPL-taint\".\n\nIn addition, one can imagine that companies which operate by producing and selling (possibly closed-source) code would wish to protect themselves against the rise of a GPL-licensed competitor. While under existing licenses this would mean not releasing their code under any form of open license, if a license existed under which they could incorporate any improvements back into their own (commercial) products then they might be far more willing to provide for non-closed distribution.\n\nFor the above reasons, we put forth this \"BSD Protection License\": A license designed to retain the freedom granted by the BSD license to use licensed works in a wide variety of settings, both non-commercial and commercial, while protecting the work from having future contributors restrict that freedom.\n\nThe precise terms and conditions for copying, distribution, and modification follow.\n\nBSD PROTECTION LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION, AND MODIFICATION\n----------------------------------------------------------------\n\n0. Definitions.\n\n	 a) \"Program\", below, refers to any program or work distributed under the terms of this license.\n	 b) A \"work based on the Program\", below, refers to either the Program or any derivative work under copyright law.\n	 c) \"Modification\", below, refers to the act of creating derivative works.\n	 d) \"You\", below, refers to each licensee.\n\n1. Scope.\nThis license governs the copying, distribution, and modification of the Program. Other activities are outside the scope of this license; The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program.\n\n2. Verbatim copies.\nYou may copy and distribute verbatim copies of the Program as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\n3. Modification and redistribution under closed license.\nYou may modify your copy or copies of the Program, and distribute the resulting derivative works, provided that you meet the following conditions:\n\n	 a) The copyright notice and disclaimer on the Program must be reproduced and included in the source code, documentation, and/or other materials provided in a manner in which such notices are normally distributed.\n	 b) The derivative work must be clearly identified as such, in order that it may not be confused with the original work.\n	 c) The license under which the derivative work is distributed must expressly prohibit the distribution of further derivative works.\n\n4. Modification and redistribution under open license.\nYou may modify your copy or copies of the Program, and distribute the resulting derivative works, provided that you meet the following conditions:\n\n	 a) The copyright notice and disclaimer on the Program must be reproduced and included in the source code, documentation, and/or other materials provided in a manner in which such notices are normally distributed.\n	 b) You must clearly indicate the nature and date of any changes made to the Program. The full details need not necessarily be included in the individual modified files, provided that each modified file is clearly marked as such and instructions are included on where the full details of the modifications may be found.\n	 c) You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n\n5. Implied acceptance.\nYou may not copy or distribute the Program or any derivative works except as expressly provided under this license. Consequently, any such action will be taken as implied acceptance of the terms of this license.\n\n6. NO WARRANTY.\nTHIS SOFTWARE IS PROVIDED \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT, EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n"
		self.standardLicenseTemplate = "<<beginOptional>>BSD Protection License\n\nFebruary 2002\n\n<<endOptional>><<beginOptional>> Preamble\n\n--------\n\nThe Berkeley Software Distribution (\"BSD\") license has proven very effective over the years at allowing for a wide spread of work throughout both commercial and non-commercial products. For programmers whose primary intention is to improve the general quality of available software, it is arguable that there is no better license than the BSD license, as it permits improvements to be used wherever they will help, without idealogical or metallic constraint.\n\nThis is of particular value to those who produce reference implementations of proposed standards: The case of TCP/IP clearly illustrates that freely and universally available implementations leads the rapid acceptance of standards -- often even being used instead of a de jure standard (eg, OSI network models).\n\nWith the rapid proliferation of software licensed under the GNU General Public License, however, the continued success of this role is called into question. Given that the inclusion of a few lines of \"GPL-tainted\" work into a larger body of work will result in restricted distribution -- and given that further work will likely build upon the \"tainted\" portions, making them difficult to remove at a future date -- there are inevitable circumstances where authors would, in order to protect their goal of providing for the widespread usage of their work, wish to guard against such \"GPL-taint\".\n\nIn addition, one can imagine that companies which operate by producing and selling (possibly closed-source) code would wish to protect themselves against the rise of a GPL-licensed competitor. While under existing licenses this would mean not releasing their code under any form of open license, if a license existed under which they could incorporate any improvements back into their own (commercial) products then they might be far more willing to provide for non-closed distribution.\n\nFor the above reasons, we put forth this \"BSD Protection License\": A license designed to retain the freedom granted by the BSD license to use licensed works in a wide variety of settings, both non-commercial and commercial, while protecting the work from having future contributors restrict that freedom.\n\nThe precise terms and conditions for copying, distribution, and modification follow.\n\n<<endOptional>>\n\nBSD PROTECTION LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION, AND MODIFICATION\n\n<<beginOptional>>----------------------------------------------------------------<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> \"Program\", below, refers to any program or work distributed under the terms of this license.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> A \"work based on the Program\", below, refers to either the Program or any derivative work under copyright law.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> \"Modification\", below, refers to the act of creating derivative works.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> \"You\", below, refers to each licensee.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Scope.\n\n   This license governs the copying, distribution, and modification of the Program. Other activities are outside the scope of this license; The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Verbatim copies.\n\n   You may copy and distribute verbatim copies of the Program as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Modification and redistribution under closed license.\n\n   You may modify your copy or copies of the Program, and distribute the resulting derivative works, provided that you meet the following conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The copyright notice and disclaimer on the Program must be reproduced and included in the source code, documentation, and/or other materials provided in a manner in which such notices are normally distributed.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> The derivative work must be clearly identified as such, in order that it may not be confused with the original work.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> The license under which the derivative work is distributed must expressly prohibit the distribution of further derivative works.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Modification and redistribution under open license.\n\n   You may modify your copy or copies of the Program, and distribute the resulting derivative works, provided that you meet the following conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The copyright notice and disclaimer on the Program must be reproduced and included in the source code, documentation, and/or other materials provided in a manner in which such notices are normally distributed.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must clearly indicate the nature and date of any changes made to the Program. The full details need not necessarily be included in the individual modified files, provided that each modified file is clearly marked as such and instructions are included on where the full details of the modifications may be found.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Implied acceptance.\n\n   You may not copy or distribute the Program or any derivative works except as expressly provided under this license. Consequently, any such action will be taken as implied acceptance of the terms of this license.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> NO WARRANTY.\n\nTHIS SOFTWARE IS PROVIDED \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT, EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n"
		self.name = "BSD Protection License"
		self.licenseId = "BSD-Protection"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/BSD_Protection_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:49Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/BSD_Protection_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>BSD Protection License\n		<br />\n\nFebruary 2002\n	  </p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Preamble\n		<br />\n\n--------\n	  </p>\n\n		 <p>The Berkeley Software Distribution (&quot;BSD&quot;) license has proven very effective over the years at\n		 allowing for a wide spread of work throughout both commercial and non-commercial products. For\n		 programmers whose primary intention is to improve the general quality of available software, it is\n		 arguable that there is no better license than the BSD license, as it permits improvements to be used\n		 wherever they will help, without idealogical or metallic constraint.</p>\n\n		 <p>This is of particular value to those who produce reference implementations of proposed standards: The\n		 case of TCP/IP clearly illustrates that freely and universally available implementations leads the\n		 rapid acceptance of standards -- often even being used instead of a de jure standard (eg, OSI network\n		 models).</p>\n\n		 <p>With the rapid proliferation of software licensed under the GNU General Public License, however, the\n		 continued success of this role is called into question. Given that the inclusion of a few lines of\n		 &quot;GPL-tainted&quot; work into a larger body of work will result in restricted distribution -- and\n		 given that further work will likely build upon the &quot;tainted&quot; portions, making them difficult\n		 to remove at a future date -- there are inevitable circumstances where authors would, in order to\n		 protect their goal of providing for the widespread usage of their work, wish to guard against such\n		 &quot;GPL-taint&quot;.</p>\n\n		 <p>In addition, one can imagine that companies which operate by producing and selling (possibly\n		 closed-source) code would wish to protect themselves against the rise of a GPL-licensed competitor.\n		 While under existing licenses this would mean not releasing their code under any form of open license,\n		 if a license existed under which they could incorporate any improvements back into their own\n		 (commercial) products then they might be far more willing to provide for non-closed distribution.</p>\n\n		 <p>For the above reasons, we put forth this &quot;BSD Protection License&quot;: A license designed to retain\n		 the freedom granted by the BSD license to use licensed works in a wide variety of settings, both\n		 non-commercial and commercial, while protecting the work from having future contributors restrict that\n		 freedom.</p>\n\n		 <p>The precise terms and conditions for copying, distribution, and modification follow.</p>\n\n	  </div>\n\n	  <p>BSD PROTECTION LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION, AND MODIFICATION</p>\n\n	  <var class=\"optional-license-text\"> ----------------------------------------------------------------</var>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  Definitions.\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			&quot;Program&quot;, below, refers to any program or work distributed under the terms of this\n			   license.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			A &quot;work based on the Program&quot;, below, refers to either the Program or any\n			   derivative work under copyright law.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c)</var>\n			&quot;Modification&quot;, below, refers to the act of creating derivative works.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d)</var>\n			&quot;You&quot;, below, refers to each licensee.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Scope.\n			<br />\n\n   This license governs the copying, distribution, and modification of the Program. Other\n				 activities are outside the scope of this license; The act of running the Program is\n				 not restricted, and the output from the Program is covered only if its contents\n				 constitute a work based on the Program.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Verbatim copies.\n			<br />\n\n   You may copy and distribute verbatim copies of the Program as you receive it, in any\n				 medium, provided that you conspicuously and appropriately publish on each copy an\n				 appropriate copyright notice; keep intact all the notices that refer to this License\n				 and to the absence of any warranty; and give any other recipients of the Program a\n				 copy of this License along with the Program.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Modification and redistribution under closed license.\n			<br />\n\n   You may modify your copy or copies of the Program, and distribute the resulting derivative\n				 works, provided that you meet the following conditions:\n\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			The copyright notice and disclaimer on the Program must be reproduced and included in the\n			   source code, documentation, and/or other materials provided in a manner in which such\n			   notices are normally distributed.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			The derivative work must be clearly identified as such, in order that it may not be confused\n			   with the original work.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c)</var>\n			The license under which the derivative work is distributed must expressly prohibit the\n			   distribution of further derivative works.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Modification and redistribution under open license.\n			<br />\n\n   You may modify your copy or copies of the Program, and distribute the resulting derivative\n				 works, provided that you meet the following conditions:\n\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			The copyright notice and disclaimer on the Program must be reproduced and included in the\n			   source code, documentation, and/or other materials provided in a manner in which such\n			   notices are normally distributed.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			You must clearly indicate the nature and date of any changes made to the Program. The full\n			   details need not necessarily be included in the individual modified files, provided that\n			   each modified file is clearly marked as such and instructions are included on where the\n			   full details of the modifications may be found.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c)</var>\n			You must cause any work that you distribute or publish, that in whole or in part contains or\n			   is derived from the Program or any part thereof, to be licensed as a whole at no charge to\n			   all third parties under the terms of this License.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Implied acceptance.\n			<br />\n\n   You may not copy or distribute the Program or any derivative works except as expressly\n				 provided under this license. Consequently, any such action will be taken as implied\n				 acceptance of the terms of this license.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  NO WARRANTY.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\n		 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE\n		 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n		 REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\n		 EXEMPLARY, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING,\n		 BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR\n		 BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\n		 LIABILITY, OR TORT, EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH\n		 DAMAGES.</p>\n\n	"
		self.python_name = "BSDProtection"

	def __str__(self):
		return json.dumps(self.__dict__)


class HTMLTIDY:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "HTML Tidy License\n\nThis software and documentation is provided \"as is,\" and the copyright holders and contributing author(s) make no representations or warranties, express or implied, including but not limited to, warranties of merchantability or fitness for any particular purpose or that the use of the software or documentation will not infringe any third party patents, copyrights, trademarks or other rights.\n\nThe copyright holders and contributing author(s) will not be held liable for any direct, indirect, special or consequential damages arising out of any use of the software or documentation, even if advised of the possibility of such damage.\n\nPermission is hereby granted to use, copy, modify, and distribute this source code, or portions hereof, documentation and executables, for any purpose, without fee, subject to the following restrictions:\n\n	1. The origin of this source code must not be misrepresented.\n	2. Altered versions must be plainly marked as such and must not be misrepresented as being the original source.\n	3. This Copyright notice may not be removed or altered from any source or altered source distribution.\n\nThe copyright holders and contributing author(s) specifically permit, without fee, and encourage the use of this source code as a component for supporting the Hypertext Markup Language in commercial products. If you use this source code in a product, acknowledgement is not required but would be appreciated.\n"
		self.standardLicenseTemplate = "<<beginOptional>>HTML Tidy License\n\n<<endOptional>>\n\nThis software and documentation is provided \"as is,\" and the copyright holders and contributing author(s) make no representations or warranties, express or implied, including but not limited to, warranties of merchantability or fitness for any particular purpose or that the use of the software or documentation will not infringe any third party patents, copyrights, trademarks or other rights.\n\nThe copyright holders and contributing author(s) will not be held liable for any direct, indirect, special or consequential damages arising out of any use of the software or documentation, even if advised of the possibility of such damage.\n\nPermission is hereby granted to use, copy, modify, and distribute this source code, or portions hereof, documentation and executables, for any purpose, without fee, subject to the following restrictions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The origin of this source code must not be misrepresented.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Altered versions must be plainly marked as such and must not be misrepresented as being the original source.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> This Copyright notice may not be removed or altered from any source or altered source distribution.\n\nThe copyright holders and contributing author(s) specifically permit, without fee, and encourage the use of this source code as a component for supporting the Hypertext Markup Language in commercial products. If you use this source code in a product, acknowledgement is not required but would be appreciated.\n\n"
		self.name = "HTML Tidy License"
		self.licenseId = "HTMLTIDY"
		self.crossRef = [{"match": "False", "url": "https://github.com/htacg/tidy-html5/blob/next/README/LICENSE.md", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:25Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/htacg/tidy-html5/blob/next/README/LICENSE.md"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>HTML Tidy License</p>\n\n	  </div>\n	  <p>This software and documentation is provided &quot;as is,&quot; and the copyright holders and\n	  contributing author(s) make no representations or warranties, express or implied, including\n	  but not limited to, warranties of merchantability or fitness for any particular purpose or that\n	  the use of the software or documentation will not infringe any third party patents, copyrights,\n	  trademarks or other rights.</p>\n\n	  <p>The copyright holders and contributing author(s) will not be held liable for any direct,\n	  indirect, special or consequential damages arising out of any use of the software or\n	  documentation, even if advised of the possibility of such damage.</p>\n\n	  <p>Permission is hereby granted to use, copy, modify, and distribute this source code, or\n	  portions hereof, documentation and executables, for any purpose, without fee, subject to the\n	  following restrictions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n			The origin of this source code must not be misrepresented.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n			Altered versions must be plainly marked as such and must not be misrepresented as\n			being the original source.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n			This Copyright notice may not be removed or altered from any source or altered source\n			distribution.\n		</li>\n	  \n</ul>\n	  <p>The copyright holders and contributing author(s) specifically permit, without fee, and\n	  encourage the use of this source code as a component for supporting the Hypertext Markup\n	  Language in commercial products. If you use this source code in a product, acknowledgement\n	  is not required but would be appreciated.</p>\n\n	"
		self.python_name = "HTMLTIDY"

	def __str__(self):
		return json.dumps(self.__dict__)


class PADL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Portions (C) Copyright PADL Software Pty Ltd. 1999\n\nRedistribution and use in source and binary forms, with or without\nmodification, are permitted provided that this notice is preserved\nand that due credit is given to PADL Software Pty Ltd. This software\nis provided ``as is'' without express or implied warranty.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Portions (C) Copyright PADL Software Pty Ltd. 1999\";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that this notice is preserved and that due credit is given to PADL Software Pty Ltd. This software is provided ``as is'' without express or implied warranty.\n\n"
		self.name = "PADL License"
		self.licenseComments = "This is similar to BSD-4.3RENO and Furuseth"
		self.licenseId = "PADL"
		self.crossRef = [{"match": "False", "url": "https://git.openldap.org/openldap/openldap/-/blob/master/libraries/libldap/os-local.c?ref_type=heads#L19-23", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:08Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://git.openldap.org/openldap/openldap/-/blob/master/libraries/libldap/os-local.c?ref_type=heads#L19-23"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<var class=\"replaceable-license-text\"> \n				Portions (C) Copyright PADL Software Pty Ltd. 1999\n		</var>\n		<p>\n				Redistribution and use in source and binary forms,\n				with or without modification, are permitted provided\n				that this notice is preserved and that due credit\n				is given to PADL Software Pty Ltd. This software is\n				provided ``as is&apos;&apos; without express or implied warranty.\n		</p>\n\n	  "
		self.python_name = "PADL"

	def __str__(self):
		return json.dumps(self.__dict__)


class CNRIJython:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "\n1. This LICENSE AGREEMENT is between the Corporation for National Research Initiatives, having an office at 1895 Preston White Drive, Reston, VA 20191 (\"CNRI\"), and the Individual or Organization (\"Licensee\") accessing and using JPython version 1.1.x in source or binary form and its associated documentation as provided herein (\"Software\").\n\n2.  Subject to the terms and conditions of this License Agreement, CNRI hereby grants Licensee a non-exclusive, non-transferable, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use the Software alone or in any derivative version, provided, however, that CNRI's License Agreement and CNRI's notice of copyright, i.e., \u201cCopyright (c) 1996-1999 Corporation for National Research Initiatives; All Rights Reserved\u201d are both retained in the Software, alone or in any derivative version prepared by Licensee.\nAlternatively, in lieu of CNRI's License Agreement, Licensee may substitute the following text (omitting the quotes), provided, however, that such text is displayed prominently in the Software alone or in any derivative version prepared by Licensee: \u201cJPython (Version 1.1.x) is made available subject to the terms and conditions in CNRI's License Agreement. This Agreement may be located on the Internet using the following unique, persistent identifier (known as a handle): 1895.22/1006. The License may also be obtained from a proxy server on the Web using the following URL: http://hdl.handle.net/1895.22/1006.\u201d\n3.  In the event Licensee prepares a derivative work that is based on or incorporates the Software or any part thereof, and wants to make the derivative work available to the public as provided herein, then Licensee hereby agrees to indicate in any such work, in a prominently visible way, the nature of the modifications made to CNRI's Software.\n4. Licensee may not use CNRI trademarks or trade name, including JPython or CNRI, in a trademark sense to endorse or promote products or services of Licensee, or any third party. Licensee may use the mark JPython in connection with Licensee's derivative versions that are based on or incorporate the Software, but only in the form \u201cJPython-based ___________________,\u201d or equivalent.\n5. CNRI is making the Software available to Licensee on an \u201cAS IS\u201d basis. CNRI MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, CNRI MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n6. CNRI SHALL NOT BE LIABLE TO LICENSEE OR OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THE SOFTWARE, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF. SOME STATES DO NOT ALLOW THE LIMITATION OR EXCLUSION OF LIABILITY SO THE ABOVE DISCLAIMER MAY NOT APPLY TO LICENSEE.\n7. This License Agreement may be terminated by CNRI (i) immediately upon written notice from CNRI of any material breach by the Licensee, if the nature of the breach is such that it cannot be promptly remedied; or (ii) sixty (60) days following notice from CNRI to Licensee of a material remediable breach, if Licensee has not remedied such breach within that sixty-day period.\n8. This License Agreement shall be governed by and interpreted in all respects by the law of the State of Virginia, excluding conflict of law provisions. Nothing in this Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between CNRI and Licensee.\n9. By clicking on the \"ACCEPT\" button where indicated, or by installing, copying or otherwise using the Software, Licensee agrees to be bound by the terms and conditions of this License Agreement.\n"
		self.standardLicenseTemplate = "\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> This LICENSE AGREEMENT is between the Corporation for National Research Initiatives, having an office at 1895 Preston White Drive, Reston, VA 20191 (\"CNRI\"), and the Individual or Organization (\"Licensee\") accessing and using JPython version 1.1.x in source or binary form and its associated documentation as provided herein (\"Software\").\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Subject to the terms and conditions of this License Agreement, CNRI hereby grants Licensee a non-exclusive, non-transferable, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use the Software alone or in any derivative version, provided, however, that CNRI's License Agreement and CNRI's notice of copyright, i.e., \"Copyright (c) 1996-1999 Corporation for National Research Initiatives; All Rights Reserved\" are both retained in the Software, alone or in any derivative version prepared by Licensee.\n\n   Alternatively, in lieu of CNRI's License Agreement, Licensee may substitute the following text (omitting the quotes), provided, however, that such text is displayed prominently in the Software alone or in any derivative version prepared by Licensee: \"JPython (Version 1.1.x) is made available subject to the terms and conditions in CNRI's License Agreement. This Agreement may be located on the Internet using the following unique, persistent identifier (known as a handle): 1895.22/1006. The License may also be obtained from a proxy server on the Web using the following URL: http://hdl.handle.net/1895.22/1006.\"\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> In the event Licensee prepares a derivative work that is based on or incorporates the Software or any part thereof, and wants to make the derivative work available to the public as provided herein, then Licensee hereby agrees to indicate in any such work, in a prominently visible way, the nature of the modifications made to CNRI's Software.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Licensee may not use CNRI trademarks or trade name, including JPython or CNRI, in a trademark sense to endorse or promote products or services of Licensee, or any third party. Licensee may use the mark JPython in connection with Licensee's derivative versions that are based on or incorporate the Software, but only in the form \"JPython-based ___________________,\" or equivalent.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> CNRI is making the Software available to Licensee on an \"AS IS\" basis. CNRI MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, CNRI MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> CNRI SHALL NOT BE LIABLE TO LICENSEE OR OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THE SOFTWARE, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF. SOME STATES DO NOT ALLOW THE LIMITATION OR EXCLUSION OF LIABILITY SO THE ABOVE DISCLAIMER MAY NOT APPLY TO LICENSEE.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> This License Agreement may be terminated by CNRI (i) immediately upon written notice from CNRI of any material breach by the Licensee, if the nature of the breach is such that it cannot be promptly remedied; or (ii) sixty (60) days following notice from CNRI to Licensee of a material remediable breach, if Licensee has not remedied such breach within that sixty-day period.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> This License Agreement shall be governed by and interpreted in all respects by the law of the State of Virginia, excluding conflict of law provisions. Nothing in this Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between CNRI and Licensee.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> By clicking on the \"ACCEPT\" button where indicated, or by installing, copying or otherwise using the Software, Licensee agrees to be bound by the terms and conditions of this License Agreement."
		self.name = "CNRI Jython License"
		self.licenseComments = "This is very similar to CNRI-Python (also on this list), but for an extra clause covering restrictions on trademark and use of the name."
		self.licenseId = "CNRI-Jython"
		self.crossRef = [{"match": "False", "url": "http://www.jython.org/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:19Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.jython.org/license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  This LICENSE AGREEMENT is between the Corporation for National Research Initiatives, having an\n			 office at 1895 Preston White Drive, Reston, VA 20191 (&quot;CNRI&quot;), and the Individual or\n			 Organization (&quot;Licensee&quot;) accessing and using JPython version 1.1.x in source or binary form\n			 and its associated documentation as provided herein (&quot;Software&quot;).\n		</li>\n		\n<li>\n			<p>\n			   <var class=\"replaceable-license-text\"> 2.</var> Subject to the terms and conditions of this License Agreement, CNRI hereby grants\n			   Licensee a non-exclusive, non-transferable, royalty-free, world-wide license to reproduce,\n			   analyze, test, perform and/or display publicly, prepare derivative works, distribute, and\n			   otherwise use the Software alone or in any derivative version, provided, however, that\n			   CNRI&apos;s License Agreement and CNRI&apos;s notice of copyright, i.e., &quot;Copyright (c) 1996-1999\n			   Corporation for National Research Initiatives; All Rights Reserved&quot; are both retained in\n			   the Software, alone or in any derivative version prepared by Licensee. </p>\n\n			<p>Alternatively, in lieu of CNRI&apos;s License Agreement, Licensee may substitute the following\n				 text (omitting the quotes), provided, however, that such text is displayed prominently\n				 in the Software alone or in any derivative version prepared by Licensee: &quot;JPython\n				 (Version 1.1.x) is made available subject to the terms and conditions in CNRI&apos;s\n				 License Agreement. This Agreement may be located on the Internet using the following\n				 unique, persistent identifier (known as a handle): 1895.22/1006. The License may also\n				 be obtained from a proxy server on the Web using the following URL:\n				 http://hdl.handle.net/1895.22/1006.&quot;\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  In the event Licensee prepares a derivative work that is based on or incorporates the Software or\n			 any part thereof, and wants to make the derivative work available to the public as provided\n			 herein, then Licensee hereby agrees to indicate in any such work, in a prominently visible\n			 way, the nature of the modifications made to CNRI&apos;s Software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Licensee may not use CNRI trademarks or trade name, including JPython or CNRI, in a trademark\n			 sense to endorse or promote products or services of Licensee, or any third party. Licensee may\n			 use the mark JPython in connection with Licensee&apos;s derivative versions that are based on or\n			 incorporate the Software, but only in the form &quot;JPython-based ___________________,&quot; or\n			 equivalent.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  CNRI is making the Software available to Licensee on an &quot;AS IS&quot; basis. CNRI MAKES NO\n			 REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, CNRI\n			 MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY\n			 PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE WILL NOT INFRINGE ANY THIRD PARTY\n			 RIGHTS.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  CNRI SHALL NOT BE LIABLE TO LICENSEE OR OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL, SPECIAL\n			 OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THE SOFTWARE,\n			 OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF. SOME STATES DO NOT\n			 ALLOW THE LIMITATION OR EXCLUSION OF LIABILITY SO THE ABOVE DISCLAIMER MAY NOT APPLY TO\n			 LICENSEE.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  This License Agreement may be terminated by CNRI (i) immediately upon written notice from CNRI of\n			 any material breach by the Licensee, if the nature of the breach is such that it cannot be\n			 promptly remedied; or (ii) sixty (60) days following notice from CNRI to Licensee of a\n			 material remediable breach, if Licensee has not remedied such breach within that sixty-day\n			 period.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  This License Agreement shall be governed by and interpreted in all respects by the law of the\n			 State of Virginia, excluding conflict of law provisions. Nothing in this Agreement shall be\n			 deemed to create any relationship of agency, partnership, or joint venture between CNRI and\n			 Licensee.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  By clicking on the &quot;ACCEPT&quot; button where indicated, or by installing, copying or otherwise using\n			 the Software, Licensee agrees to be bound by the terms and conditions of this License\n			 Agreement.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "CNRIJython"

	def __str__(self):
		return json.dumps(self.__dict__)


class SugarCRM113:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "SUGARCRM PUBLIC LICENSE\n\nApplies to Sugar Open Source Edition v1 through v4. Please note that these releases are no longer supported or distributed.\n\nVersion 1.1.3\n\nThe SugarCRM Public License Version (\"SPL\") consists of the Mozilla Public License Version 1.1, modified to be specific to SugarCRM, with the Additional Terms in Exhibit B. The original Mozilla Public License 1.1 can be found at: http://www.mozilla.org/MPL/MPL-1.1.html\n\n1. Definitions.\n\n	 1.1. \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	 1.2. \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	 1.3. \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	 1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	 1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n	 1.6. \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	 1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.8. \"License\" means this document.\n\n	 1.8.1. \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	 1.9. \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		  B. Any new file that contains any part of the Original Code or previous Modifications.\n\n		  A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n	 1.10. \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	 1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	 1.11. \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	 1.12. \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n2. Source Code License.\n\n	 2.2. Contributor Grant.\nSubject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n		  (b) under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n		  (c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n		  (d) Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n		  (a) under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n3. Distribution Obligations.\n\n	 3.2. Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	 3.3. Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	 3.4. Intellectual Property Matters\n\n		  (b) Contributor APIs. If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n		  (a) Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		  (c) Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	 3.5. Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	 3.6. Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	 3.7. Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n6. Versions of the License.\n\n	 6.2. Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by SugarCRM. No one other than SugarCRM has the right to modify the terms applicable to Covered Code created under this License.\n\n	 6.3. Derivative Works. If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \"SugarCRM\", \"SPL\" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the SugarCRM Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. TERMINATION.\n\n	 8.2. If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		  (a) such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		  (b) any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	 8.3. If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	 8.4. In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n12. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n13. MULTIPLE-LICENSED CODE.\n\nInitial Developer may designate portions of the Covered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the SPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\nSugarCRM Public License 1.1.3 - Exhibit A\n\nThe contents of this file are subject to the SugarCRM Public License Version 1.1.3 (\"License\"); You may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL Software distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is: SugarCRM Open Source\n\nThe Initial Developer of the Original Code is SugarCRM, Inc.\nPortions created by SugarCRM are Copyright (C) 2004 SugarCRM, Inc.;\nAll Rights Reserved.\nContributor(s): ______________________________________.\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n\nSugarCRM Public License 1.1.3 - Exhibit B\n\nAdditional Terms applicable to the SugarCRM Public License.\n\nI. Effect.\nThese additional terms described in this SugarCRM Public License - Additional Terms shall apply to the Covered Code under this License.\n\nII. SugarCRM and logo.\nThis License does not grant any rights to use the trademarks \"SugarCRM\" and the \"SugarCRM\" logos even if such marks are included in the Original Code or Modifications.\n\nHowever, in addition to the other notice obligations, all copies of the Covered Code in Executable and Source Code form distributed must, as a form of attribution of the original author, include on each user interface screen (i) the \"Powered by SugarCRM\" logo and (ii) the copyright notice in the same form as the latest version of the Covered Code distributed by SugarCRM, Inc. at the time of distribution of such copy. In addition, the \"Powered by SugarCRM\" logo must be visible to all users and be located at the very bottom center of each user interface screen. Notwithstanding the above, the dimensions of the \"Powered By SugarCRM\" logo must be at least 106 x 23 pixels. When users click on the \"Powered by SugarCRM\" logo it must direct them back to http://www.sugarforge.org. In addition, the copyright notice must remain visible to all users at all times at the bottom of the user interface screen. When users click on the copyright notice, it must direct them back to http://www.sugarcrm.com\n"
		self.standardLicenseTemplate = "<<beginOptional>>SUGARCRM PUBLIC LICENSE\n\n<<endOptional>><<beginOptional>> Applies to Sugar Open Source Edition v1 through v4. Please note that these releases are no longer supported or distributed.\n\nVersion 1.1.3\n\nThe SugarCRM Public License Version (\"SPL\") consists of the Mozilla Public License Version 1.1, modified to be specific to SugarCRM, with the Additional Terms in Exhibit B. The original Mozilla Public License 1.1 can be found at: http://www.mozilla.org/MPL/MPL-1.1.html\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Executable\" means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.8.1.\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant.\n\n	  Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs. If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Application of this License.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by SugarCRM. No one other than SugarCRM has the right to modify the terms applicable to Covered Code created under this License.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> Derivative Works. If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \"SugarCRM\", \"SPL\" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the SugarCRM Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TERMINATION.\n\n	  <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">> If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	  <<var;name=\"bullet\";original=\"8.3.\";match=\".{0,20}\">> If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"8.4.\";match=\".{0,20}\">> In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS.\n\n   The Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> MISCELLANEOUS.\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS.\n\n   As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> MULTIPLE-LICENSED CODE.\n\n   Initial Developer may designate portions of the Covered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the SPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\n   <<beginOptional>>SugarCRM Public License 1.1.3 - Exhibit A\n\nThe contents of this file are subject to the SugarCRM Public License Version 1.1.3 (\"License\"); You may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL Software distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is: SugarCRM Open Source\n\nThe Initial Developer of the Original Code is SugarCRM, Inc.\n\nPortions created by SugarCRM are Copyright (C) 2004 SugarCRM, Inc.;\n\nAll Rights Reserved.\n\nContributor(s): ______________________________________.\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n\nSugarCRM Public License 1.1.3 - Exhibit B\n\nAdditional Terms applicable to the SugarCRM Public License.\n\n   <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Effect.\n\n   These additional terms described in this SugarCRM Public License - Additional Terms shall apply to the Covered Code under this License.\n\n   <<var;name=\"bullet\";original=\"II.\";match=\".{0,20}\">> SugarCRM and logo.\n\n   This License does not grant any rights to use the trademarks \"SugarCRM\" and the \"SugarCRM\" logos even if such marks are included in the Original Code or Modifications.\n\n   However, in addition to the other notice obligations, all copies of the Covered Code in Executable and Source Code form distributed must, as a form of attribution of the original author, include on each user interface screen (i) the \"Powered by SugarCRM\" logo and (ii) the copyright notice in the same form as the latest version of the Covered Code distributed by SugarCRM, Inc. at the time of distribution of such copy. In addition, the \"Powered by SugarCRM\" logo must be visible to all users and be located at the very bottom center of each user interface screen. Notwithstanding the above, the dimensions of the \"Powered By SugarCRM\" logo must be at least 106 x 23 pixels. When users click on the \"Powered by SugarCRM\" logo it must direct them back to http://www.sugarforge.org. In addition, the copyright notice must remain visible to all users at all times at the bottom of the user interface screen. When users click on the copyright notice, it must direct them back to http://www.sugarcrm.com\n\n   <<endOptional>>"
		self.name = "SugarCRM Public License v1.1.3"
		self.licenseId = "SugarCRM-1.1.3"
		self.crossRef = [{"match": "False", "url": "http://www.sugarcrm.com/crm/SPL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:13Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.sugarcrm.com/crm/SPL"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>SUGARCRM PUBLIC LICENSE</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Applies to Sugar Open Source Edition v1 through v4. Please note that these releases are no longer\n		 supported or distributed.</p>\n\n		 <p>Version 1.1.3</p>\n\n		 <p>The SugarCRM Public License Version (&quot;SPL&quot;) consists of the Mozilla Public License Version 1.1, modified\n		 to be specific to SugarCRM, with the Additional Terms in Exhibit B. The original Mozilla Public\n		 License 1.1 can be found at: http://www.mozilla.org/MPL/MPL-1.1.html</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> 1.</var>\n				Definitions.\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.1.</var>\n						&quot;Contributor&quot; means each entity that creates or contributes to the creation of Modifications.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.2.</var>\n						&quot;Contributor Version&quot; means the combination of the Original Code, prior Modifications used by a\n						 Contributor, and the Modifications made by that particular Contributor.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.3.</var>\n						&quot;Covered Code&quot; means the Original Code or Modifications or the combination of the Original Code\n						 and Modifications, in each case including portions thereof.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.4.</var>\n						&quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the software\n						 development community for the electronic transfer of data.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.5.</var>\n						&quot;Executable&quot; means Covered Code in any form other than Source Code.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.6.</var>\n						&quot;Initial Developer&quot; means the individual or entity identified as the Initial Developer in the\n						 Source Code notice required by Exhibit A.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.7.</var>\n						&quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with code not governed\n						 by the terms of this License.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.8.</var>\n						&quot;License&quot; means this document.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.8.1.</var>\n						&quot;Licensable&quot; means having the right to grant, to the maximum extent possible, whether at\n						 the time of the initial grant or subsequently acquired, any and all of the rights conveyed\n						 herein.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.9.</var>\n						&quot;Modifications&quot; means any addition to or deletion from the substance or structure of either the\n						 Original Code or any previous Modifications. When Covered Code is released as a series of\n						 files, a Modification is:\n						\n<ul style=\"list-style:none\">\n							\n<li>\n								<var class=\"replaceable-license-text\"> B.</var>\n								Any new file that contains any part of the Original Code or previous Modifications.\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> A.</var>\n								Any addition to or deletion from the contents of a file containing Original Code or previous\n								 Modifications.\n							</li>\n						\n</ul>\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.10.</var>\n						&quot;Original Code&quot; means Source Code of computer software code which is described in the Source Code\n						 notice required by Exhibit A as Original Code, and which, at the time of its release under\n						 this License is not already Covered Code governed by this License.\n						<p>1.10.1. &quot;Patent Claims&quot; means any patent claim(s), now owned or hereafter acquired, including\n						 without limitation, method, process, and apparatus claims, in any patent Licensable by\n						 grantor.</p>\n\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.11.</var>\n						&quot;Source Code&quot; means the preferred form of the Covered Code for making modifications to it,\n						 including all modules it contains, plus any associated interface definition files, scripts\n						 used to control compilation and installation of an Executable, or source code differential\n						 comparisons against either the Original Code or another well known, available Covered Code of\n						 the Contributor&apos;s choice. The Source Code can be in a compressed or archival form, provided\n						 the appropriate decompression or de-archiving software is widely available for no charge.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.12.</var>\n						&quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity exercising rights under, and complying\n						 with all of the terms of, this License or a future version of this License issued under\n						 Section 6.1. For legal entities, &quot;You&quot; includes any entity which controls, is controlled by,\n						 or is under common control with You. For purposes of this definition, &quot;control&quot; means (a) the\n						 power, direct or indirect, to cause the direction or management of such entity, whether by\n						 contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding\n						 shares or beneficial ownership of such entity.\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 2.</var>\n				Source Code License.\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 2.2.</var>\n						Contributor Grant.\n						<p>Subject to third party intellectual property claims, each Contributor hereby grants You a\n						 world-wide, royalty-free, non-exclusive license</p>\n\n<ul style=\"list-style:none\">\n							\n<li>\n								<var class=\"replaceable-license-text\"> (b)</var>\n								under Patent Claims infringed by the making, using, or selling of Modifications made by that\n								 Contributor either alone and/or in combination with its Contributor Version (or portions of\n								 such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of:\n								 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of\n								 Modifications made by that Contributor with its Contributor Version (or portions of such\n								 combination).\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> (c)</var>\n								the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first\n								 makes Commercial Use of the Covered Code.\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> (d)</var>\n								Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that\n								 Contributor has deleted from the Contributor Version; 2) separate from the Contributor\n								 Version; 3) for infringements caused by: i) third party modifications of Contributor Version\n								 or ii) the combination of Modifications made by that Contributor with other software (except\n								 as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by\n								 Covered Code in the absence of Modifications made by that Contributor.\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> (a)</var>\n								under intellectual property rights (other than patent or trademark) Licensable by Contributor, to\n								 use, reproduce, modify, display, perform, sublicense and distribute the Modifications created\n								 by such Contributor (or portions thereof) either on an unmodified basis, with other\n								 Modifications, as Covered Code and/or as part of a Larger Work; and\n							</li>\n						\n</ul>\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 3.</var>\n				Distribution Obligations.\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.2.</var>\n						Availability of Source Code. Any Modification which You create or to which You contribute must be\n						 made available in Source Code form under the terms of this License either on the same media as\n						 an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom\n						 you made an Executable version available; and if made available via Electronic Distribution\n						 Mechanism, must remain available for at least twelve (12) months after the date it initially\n						 became available, or at least six (6) months after a subsequent version of that particular\n						 Modification has been made available to such recipients. You are responsible for ensuring that\n						 the Source Code version remains available even if the Electronic Distribution Mechanism is\n						 maintained by a third party.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.3.</var>\n						Description of Modifications. You must cause all Covered Code to which You contribute to contain\n						 a file documenting the changes You made to create that Covered Code and the date of any\n						 change. You must include a prominent statement that the Modification is derived, directly or\n						 indirectly, from Original Code provided by the Initial Developer and including the name of the\n						 Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or\n						 related documentation in which You describe the origin or ownership of the Covered Code.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.4.</var>\n						Intellectual Property Matters\n						\n<ul style=\"list-style:none\">\n							\n<li>\n								<var class=\"replaceable-license-text\"> (b)</var>\n								Contributor APIs. If Contributor&apos;s Modifications include an application programming interface and\n								 Contributor has knowledge of patent licenses which are reasonably necessary to implement that\n								 API, Contributor must also include this information in the LEGAL file.\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> (a)</var>\n								Third Party Claims. If Contributor has knowledge that a license under a third party&apos;s\n								 intellectual property rights is required to exercise the rights granted by such Contributor\n								 under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code\n								 distribution titled &quot;LEGAL&quot; which describes the claim and the party making the claim in\n								 sufficient detail that a recipient will know whom to contact. If Contributor obtains such\n								 knowledge after the Modification is made available as described in Section 3.2, Contributor\n								 shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and\n								 shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably\n								 calculated to inform those who received the Covered Code that new knowledge has been\n								 obtained.\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> (c)</var>\n								Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a)\n								 above, Contributor believes that Contributor&apos;s Modifications are Contributor&apos;s original\n								 creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this\n								 License.\n							</li>\n						\n</ul>\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.5.</var>\n						Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If\n						 it is not possible to put such notice in a particular Source Code file due to its structure,\n						 then You must include such notice in a location (such as a relevant directory) where a user\n						 would be likely to look for such a notice. If You created one or more Modification(s) You may\n						 add your name as a Contributor to the notice described in Exhibit A. You must also duplicate\n						 this License in any documentation for the Source Code where You describe recipients&apos; rights or\n						 ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for,\n						 warranty, support, indemnity or liability obligations to one or more recipients of Covered\n						 Code. However, You may do so only on Your own behalf, and not on behalf of the Initial\n						 Developer or any Contributor. You must make it absolutely clear than any such warranty,\n						 support, indemnity or liability obligation is offered by You alone, and You hereby agree to\n						 indemnify the Initial Developer and every Contributor for any liability incurred by the\n						 Initial Developer or such Contributor as a result of warranty, support, indemnity or liability\n						 terms You offer.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.6.</var>\n						Distribution of Executable Versions. You may distribute Covered Code in Executable form only if\n						 the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a\n						 notice stating that the Source Code version of the Covered Code is available under the terms\n						 of this License, including a description of how and where You have fulfilled the obligations\n						 of Section 3.2. The notice must be conspicuously included in any notice in an Executable\n						 version, related documentation or collateral in which You describe recipients&apos; rights relating\n						 to the Covered Code. You may distribute the Executable version of Covered Code or ownership\n						 rights under a license of Your choice, which may contain terms different from this License,\n						 provided that You are in compliance with the terms of this License and that the license for\n						 the Executable version does not attempt to limit or alter the recipient&apos;s rights in the Source\n						 Code version from the rights set forth in this License. If You distribute the Executable\n						 version under a different license You must make it absolutely clear that any terms which\n						 differ from this License are offered by You alone, not by the Initial Developer or any\n						 Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any\n						 liability incurred by the Initial Developer or such Contributor as a result of any such terms\n						 You offer.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.7.</var>\n						Larger Works. You may create a Larger Work by combining Covered Code with other code not governed\n						 by the terms of this License and distribute the Larger Work as a single product. In such a\n						 case, You must make sure the requirements of this License are fulfilled for the Covered\n						 Code.\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 4.</var>\n				Inability to Comply Due to Statute or Regulation.\n				<p>If it is impossible for You to comply with any of the terms of this License with respect to some\n				 or all of the Covered Code due to statute, judicial order, or regulation then You must: (a)\n				 comply with the terms of this License to the maximum extent possible; and (b) describe the\n				 limitations and the code they affect. Such description must be included in the LEGAL file\n				 described in Section 3.4 and must be included with all distributions of the Source Code.\n				 Except to the extent prohibited by statute or regulation, such description must be\n				 sufficiently detailed for a recipient of ordinary skill to be able to understand it.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 5.</var>\n				Application of this License.\n				<p>This License applies to code to which the Initial Developer has attached the notice in Exhibit A\n				 and to related Covered Code.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 6.</var>\n				Versions of the License.\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 6.2.</var>\n						Effect of New Versions. Once Covered Code has been published under a particular version of the\n						 License, You may always continue to use it under the terms of that version. You may also\n						 choose to use such Covered Code under the terms of any subsequent version of the License\n						 published by SugarCRM. No one other than SugarCRM has the right to modify the terms applicable\n						 to Covered Code created under this License.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 6.3.</var>\n						Derivative Works. If You create or use a modified version of this License (which you may only do\n						 in order to apply it to code which is not already Covered Code governed by this License), You\n						 must (a) rename Your license so that the phrases &quot;SugarCRM&quot;, &quot;SPL&quot; or any confusingly similar\n						 phrase do not appear in your license (except to note that your license differs from this\n						 License) and (b) otherwise make it clear that Your version of the license contains terms which\n						 differ from the SugarCRM Public License. (Filling in the name of the Initial Developer,\n						 Original Code or Contributor in the notice described in Exhibit A shall not of themselves be\n						 deemed to be modifications of this License.)\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 7.</var>\n				DISCLAIMER OF WARRANTY.\n				<p>COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTY OF ANY KIND,\n				 EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE\n				 IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE\n				 RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED\n				 CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR)\n				 ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY\n				 CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED\n				 HEREUNDER EXCEPT UNDER THIS DISCLAIMER.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 8.</var>\n				TERMINATION.\n				\n<ul style=\"list-style:none\">\n					\n<li>\n					  <var class=\"replaceable-license-text\"> 8.2.</var>\n					  If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment\n						 actions) against Initial Developer or a Contributor (the Initial Developer or Contributor\n						 against whom You file such action is referred to as &quot;Participant&quot;) alleging that:\n						\n<ul style=\"list-style:none\">\n							\n<li>\n								<var class=\"replaceable-license-text\"> (a)</var>\n								such Participant&apos;s Contributor Version directly or indirectly infringes any patent, then any and\n								 all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License\n								 shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days\n								 after receipt of notice You either: (i) agree in writing to pay Participant a mutually\n								 agreeable reasonable royalty for Your past and future use of Modifications made by such\n								 Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version\n								 against such Participant. If within 60 days of notice, a reasonable royalty and payment\n								 arrangement are not mutually agreed upon in writing by the parties or the litigation claim is\n								 not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2\n								 automatically terminate at the expiration of the 60 day notice period specified above.\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> (b)</var>\n								any software, hardware, or device, other than such Participant&apos;s Contributor Version, directly or\n								 indirectly infringes any patent, then any rights granted to You by such Participant under\n								 Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold,\n								 distributed, or had made, Modifications made by that Participant.\n							</li>\n						\n</ul>\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 8.3.</var>\n						If You assert a patent infringement claim against Participant alleging that such Participant&apos;s\n						 Contributor Version directly or indirectly infringes any patent where such claim is resolved\n						 (such as by license or settlement) prior to the initiation of patent infringement litigation,\n						 then the reasonable value of the licenses granted by such Participant under Sections 2.1 or\n						 2.2 shall be taken into account in determining the amount or value of any payment or\n						 license.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 8.4.</var>\n						In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements\n						 (excluding distributors and resellers) which have been validly granted by You or any\n						 distributor hereunder prior to termination shall survive termination.\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 9.</var>\n				LIMITATION OF LIABILITY.\n				<p>UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT,\n				 OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF\n				 COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY\n				 INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT\n				 LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR\n				 ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF\n				 THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR\n				 DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE LAW\n				 PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF\n				 INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\n				 YOU.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 10.</var>\n				U.S. GOVERNMENT END USERS.\n				<p>The Covered Code is a &quot;commercial item,&quot; as that term is defined in 48 C.F.R. 2.101 (Oct. 1995),\n				 consisting of &quot;commercial computer software&quot; and &quot;commercial computer software documentation,&quot;\n				 as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and\n				 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire\n				 Covered Code with only those rights set forth herein.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 11.</var>\n				MISCELLANEOUS.\n				<p>This License represents the complete agreement concerning subject matter hereof. If any provision\n				 of this License is held to be unenforceable, such provision shall be reformed only to the\n				 extent necessary to make it enforceable. This License shall be governed by California law\n				 provisions (except to the extent applicable law, if any, provides otherwise), excluding its\n				 conflict-of-law provisions. With respect to disputes in which at least one party is a citizen\n				 of, or an entity chartered or registered to do business in the United States of America, any\n				 litigation relating to this License shall be subject to the jurisdiction of the Federal Courts\n				 of the Northern District of California, with venue lying in Santa Clara County, California,\n				 with the losing party responsible for costs, including without limitation, court costs and\n				 reasonable attorneys&apos; fees and expenses. The application of the United Nations Convention on\n				 Contracts for the International Sale of Goods is expressly excluded. Any law or regulation\n				 which provides that the language of a contract shall be consTrued against the drafter shall\n				 not apply to this License.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 12.</var>\n				RESPONSIBILITY FOR CLAIMS.\n				<p>As between Initial Developer and the Contributors, each party is responsible for claims and\n				 damages arising, directly or indirectly, out of its utilization of rights under this License\n				 and You agree to work with Initial Developer and Contributors to distribute such\n				 responsibility on an equitable basis. Nothing herein is intended or shall be deemed to\n				 constitute any admission of liability.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 13.</var>\n				MULTIPLE-LICENSED CODE.\n				<p>Initial Developer may designate portions of the Covered Code as &quot;Multiple-Licensed&quot;. &quot;Multiple-Licensed&quot;\n				 means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice\n				 of the SPL or the alternative licenses, if any, specified by the Initial Developer in the file\n				 described in Exhibit A.</p>\n\n			</li>\n		\n</ul>\n\n	  <div class=\"optional-license-text\"> \n		<p>SugarCRM Public License 1.1.3 - Exhibit A</p>\n\n		<p>The contents of this file are subject to the SugarCRM Public License Version 1.1.3 (&quot;License&quot;); You may\n		 not use this file except in compliance with the License. You may obtain a copy of the License at\n		 http://www.sugarcrm.com/SPL Software distributed under the License is distributed on an &quot;AS IS&quot; basis,\n		 WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language\n		 governing rights and limitations under the License.</p>\n\n		<p>The Original Code is: SugarCRM Open Source</p>\n\n		<p>The Initial Developer of the Original Code is SugarCRM, Inc.</p>\n\n		<p>Portions created by SugarCRM are Copyright (C) 2004 SugarCRM, Inc.;</p>\n\n		<p>All Rights Reserved.</p>\n\n		<p>Contributor(s): ______________________________________.</p>\n\n		<p>[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code\n		 files of the Original Code. You should use the text of this Exhibit A rather than the text found in\n		 the Original Code Source Code for Your Modifications.]</p>\n\n		<p>SugarCRM Public License 1.1.3 - Exhibit B</p>\n\n		<p>Additional Terms applicable to the SugarCRM Public License.</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> I.</var>\n				Effect.\n				<p>These additional terms described in this SugarCRM Public License - Additional Terms shall\n				 apply to the Covered Code under this License.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> II.</var>\n				SugarCRM and logo.\n				<p>This License does not grant any rights to use the trademarks &quot;SugarCRM&quot; and the &quot;SugarCRM&quot; logos even if\n				 such marks are included in the Original Code or Modifications.</p>\n\n				<p>However, in addition to the other notice obligations, all copies of the Covered Code in Executable and\n				 Source Code form distributed must, as a form of attribution of the original author, include on each\n				 user interface screen (i) the &quot;Powered by SugarCRM&quot; logo and (ii) the copyright notice in the same\n				 form as the latest version of the Covered Code distributed by SugarCRM, Inc. at the time of\n				 distribution of such copy. In addition, the &quot;Powered by SugarCRM&quot; logo must be visible to all users\n				 and be located at the very bottom center of each user interface screen. Notwithstanding the above, the\n				 dimensions of the &quot;Powered By SugarCRM&quot; logo must be at least 106 x 23 pixels. When users click on the\n				 &quot;Powered by SugarCRM&quot; logo it must direct them back to http://www.sugarforge.org. In addition, the\n				 copyright notice must remain visible to all users at all times at the bottom of the user interface\n				 screen. When users click on the copyright notice, it must direct them back to\n				 http://www.sugarcrm.com</p>\n\n			</li>\n		 \n</ul>\n	  </div>\n	"
		self.python_name = "SugarCRM113"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD3ClauseLBNL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from the U.S. Dept. of Energy). All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n(1) Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n(2) Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n(3) Neither the name of the University of California, Lawrence Berkeley National Laboratory, U.S. Dept. of Energy nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\nLIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nYou are under no obligation whatsoever to provide any bug fixes, patches, or upgrades to the features, functionality or performance of the source code (\"Enhancements\") to anyone; however, if you choose to make your Enhancements available either publicly, or directly to Lawrence Berkeley National Laboratory, without imposing a separate written license agreement for such Enhancements, then you hereby grant the following license: a non-exclusive, royalty-free perpetual license to install, use, modify, prepare derivative works, incorporate into other computer software, distribute, and sublicense such Enhancements or derivative works thereof, in binary and source code form.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from the U.S. Dept. of Energy). All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> <<var;name=\"organizationClause3\";original=\"Neither the name of the University of California, Lawrence Berkeley National Laboratory, U.S. Dept. of Energy nor the names of its contributors may\";match=\"(The name of.+may not)|(Neither the name of.+nor the names of its contributors may)\">> be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER<<beginOptional>> , THE UNITED STATES GOVERNMENT,<<endOptional>> OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nYou are under no obligation whatsoever to provide any bug fixes, patches, or upgrades to the features, functionality or performance of the source code (\"Enhancements\") to anyone; however, if you choose to make your Enhancements available either publicly, or directly to <<var;name=\"copyrightHolderEnhancements\";original=\"Lawrence Berkeley National Laboratory\";match=\".+\">> , without imposing a separate written license agreement for such Enhancements, then you hereby grant the following license: a non-exclusive, royalty-free perpetual license to install, use, modify, prepare derivative works, incorporate into other computer software, distribute, and sublicense such Enhancements or derivative works thereof, in binary and source code form.\n\n"
		self.name = "Lawrence Berkeley National Labs BSD variant license"
		self.licenseComments = "This license is the same as BSD-3-Clause, but with an additional default contribution licensing clause"
		self.licenseId = "BSD-3-Clause-LBNL"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/LBNLBSD", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:43Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/LBNLBSD"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National\n		 Laboratory (subject to receipt of any required approvals from the U.S. Dept. of Energy). All rights\n		 reserved.</p>\n\n	  </div>\n	  \n	  <p>Redistribution and use in source and binary forms, with or without modification, are\n		 permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (1)</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (2)</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (3)</var>\n			<var class=\"replaceable-license-text\"> \n			Neither the name of the University of California, Lawrence Berkeley National Laboratory, U.S.\n			 Dept. of Energy nor the names of its contributors may</var> be used to endorse or promote products\n			 derived from this software without specific prior written permission.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED\n		 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n		 PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER<var class=\"optional-license-text\"> , THE UNITED STATES GOVERNMENT,</var> OR CONTRIBUTORS BE LIABLE FOR\n		 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n		 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\n		 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\n		 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n	  </p>\n\n	  <p>You are under no obligation whatsoever to provide any bug fixes, patches, or upgrades to the features,\n		 functionality or performance of the source code (&quot;Enhancements&quot;) to anyone; however, if you choose to\n		 make your Enhancements available either publicly, or directly to \n		 <var class=\"replaceable-license-text\"> Lawrence Berkeley National\n		 Laboratory</var>,\n		 without imposing a separate written license agreement for such Enhancements, then you\n		 hereby grant the following license: a non-exclusive, royalty-free perpetual license to install, use,\n		 modify, prepare derivative works, incorporate into other computer software, distribute, and sublicense\n		 such Enhancements or derivative works thereof, in binary and source code form.</p>\n\n	"
		self.python_name = "BSD3ClauseLBNL"

	def __str__(self):
		return json.dumps(self.__dict__)


class ulem:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1989-2019 by Donald Arseneau (Vancouver, Canada, asnd@triumf.ca)\n\nThis software may be freely transmitted, reproduced, or modified\nfor any purpose provided that this copyright notice is left intact.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1989-2019 by Donald Arseneau (Vancouver, Canada, asnd@triumf.ca)\";match=\".{0,5000}\">>\n\nThis software may be freely transmitted, reproduced, or modified for any purpose provided that this copyright notice is left intact.\n\n"
		self.name = "ulem License"
		self.licenseComments = "This license is a very similar to fwlw and magaz, but has slightly different obligations."
		self.licenseId = "ulem"
		self.crossRef = [{"match": "False", "url": "https://mirrors.ctan.org/macros/latex/contrib/ulem/README", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:08Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://mirrors.ctan.org/macros/latex/contrib/ulem/README"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright 1989-2019 by Donald Arseneau (Vancouver, Canada, asnd@triumf.ca)\n		 </var>\n		 <p>\n			This software may be freely transmitted, reproduced, or modified\n			for any purpose provided that this copyright notice is left intact.\n		 </p>\n\n	  "
		self.python_name = "ulem"

	def __str__(self):
		return json.dumps(self.__dict__)


class RPL15:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Reciprocal Public License 1.5 (RPL1.5)\n\nVersion 1.5, July 15, 2007\n\nCopyright (C) 2001-2007 Technical Pursuit Inc., All Rights Reserved.\n\nPREAMBLE\n\nThe Reciprocal Public License (RPL) is based on the concept of reciprocity or, if you prefer, fairness.\n\nIn short, this license grew out of a desire to close loopholes in previous open source licenses, loopholes that allowed parties to acquire open source software and derive financial benefit from it without having to release their improvements or derivatives to the community which enabled them. This occurred any time an entity did not release their application to a \"third party\".\n\nWhile there is a certain freedom in this model of licensing, it struck the authors of the RPL as being unfair to the open source community at large and to the original authors of the works in particular. After all, bug fixes, extensions, and meaningful and valuable derivatives were not consistently finding their way back into the community where they could fuel further, and faster, growth and expansion of the overall open source software base.\n\nWhile you should clearly read and understand the entire license, the essence of the RPL is found in two definitions: \"Deploy\" and \"Required Components\".\n\nRegarding deployment, under the RPL your changes, bug fixes, extensions, etc. must be made available to the open source community at large when you Deploy in any form -- either internally or to an outside party. Once you start running the software you have to start sharing the software.\n\nFurther, under the RPL all components you author including schemas, scripts, source code, etc. -- regardless of whether they're compiled into a single binary or used as two halves of client/server application -- must be shared. You have to share the whole pie, not an isolated slice of it.\n\nIn addition to these goals, the RPL was authored to meet the requirements of the Open Source Definition as maintained by the Open Source Initiative (OSI).\n\nThe specific terms and conditions of the license are defined in the remainder of this document.\n\nLICENSE TERMS\n\n1.0 General; Applicability & Definitions. This Reciprocal Public License Version 1.5 (\"License\") applies to any programs or other works as well as any and all updates or maintenance releases of said programs or works (\"Software\") not already covered by this License which the Software copyright holder (\"Licensor\") makes available containing a License Notice (hereinafter defined) from the Licensor specifying or allowing use or distribution under the terms of this License. As used in this License:\n\n	 1.1 \"Contributor\" means any person or entity who created or contributed to the creation of an Extension.\n\n	 1.2 \"Deploy\" means to use, Serve, sublicense or distribute Licensed Software other than for Your internal Research and/or Personal Use, and includes without limitation, any and all internal use or distribution of Licensed Software within Your business or organization other than for Research and/or Personal Use, as well as direct or indirect sublicensing or distribution of Licensed Software by You to any third party in any form or manner.\n\n	 1.3 \"Derivative Works\" as used in this License is defined under U.S. copyright law.\n\n	 1.4 \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data such as download from an FTP server or web site, where such mechanism is publicly accessible.\n\n	 1.5 \"Extensions\" means any Modifications, Derivative Works, or Required Components as those terms are defined in this License.\n\n	 1.6 \"License\" means this Reciprocal Public License.\n\n	 1.7 \"License Notice\" means any notice contained in EXHIBIT A.\n\n	 1.8 \"Licensed Software\" means any Software licensed pursuant to this License. Licensed Software also includes all previous Extensions from any Contributor that You receive.\n\n	 1.9 \"Licensor\" means the copyright holder of any Software previously not covered by this License who releases the Software under the terms of this License.\n\n	 1.10 \"Modifications\" means any additions to or deletions from the substance or structure of (i) a file or other storage containing Licensed Software, or (ii) any new file or storage that contains any part of Licensed Software, or (iii) any file or storage which replaces or otherwise alters the original functionality of Licensed Software at runtime.\n\n	 1.11 \"Personal Use\" means use of Licensed Software by an individual solely for his or her personal, private and non-commercial purposes. An individual's use of Licensed Software in his or her capacity as an officer, employee, member, independent contractor or agent of a corporation, business or organization (commercial or non-commercial) does not qualify as Personal Use.\n\n	 1.12 \"Required Components\" means any text, programs, scripts, schema, interface definitions, control files, or other works created by You which are required by a third party of average skill to successfully install and run Licensed Software containing Your Modifications, or to install and run Your Derivative Works.\n\n	 1.13 \"Research\" means investigation or experimentation for the purpose of understanding the nature and limits of the Licensed Software and its potential uses.\n\n	 1.14 \"Serve\" means to deliver Licensed Software and/or Your Extensions by means of a computer network to one or more computers for purposes of execution of Licensed Software and/or Your Extensions.\n\n	 1.15 \"Software\" means any computer programs or other works as well as any updates or maintenance releases of those programs or works which are distributed publicly by Licensor.\n\n	 1.16 \"Source Code\" means the preferred form for making modifications to the Licensed Software and/or Your Extensions, including all modules contained therein, plus any associated text, interface definition files, scripts used to control compilation and installation of an executable program or other components required by a third party of average skill to build a running version of the Licensed Software or Your Extensions.\n\n	 1.17 \"User-Visible Attribution Notice\" means any notice contained in EXHIBIT B.\n\n	 1.18 \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n2.0 Acceptance Of License. You are not required to accept this License since you have not signed it, however nothing else grants you permission to use, copy, distribute, modify, or create derivatives of either the Software or any Extensions created by a Contributor. These actions are prohibited by law if you do not accept this License. Therefore, by performing any of these actions You indicate Your acceptance of this License and Your agreement to be bound by all its terms and conditions. IF YOU DO NOT AGREE WITH ALL THE TERMS AND CONDITIONS OF THIS LICENSE DO NOT USE, MODIFY, CREATE DERIVATIVES, OR DISTRIBUTE THE SOFTWARE. IF IT IS IMPOSSIBLE FOR YOU TO COMPLY WITH ALL THE TERMS AND CONDITIONS OF THIS LICENSE THEN YOU CAN NOT USE, MODIFY, CREATE DERIVATIVES, OR DISTRIBUTE THE SOFTWARE.\n\n3.0 Grant of License From Licensor. Subject to the terms and conditions of this License, Licensor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to Licensor's intellectual property rights, and any third party intellectual property claims derived from the Licensed Software under this License, to do the following:\n\n	 3.1 Use, reproduce, modify, display, perform, sublicense and distribute Licensed Software and Your Extensions in both Source Code form or as an executable program.\n\n	 3.2 Create Derivative Works (as that term is defined under U.S. copyright law) of Licensed Software by adding to or deleting from the substance or structure of said Licensed Software.\n\n	 3.3 Under claims of patents now or hereafter owned or controlled by Licensor, to make, use, have made, and/or otherwise dispose of Licensed Software or portions thereof, but solely to the extent that any such claim is necessary to enable You to make, use, have made, and/or otherwise dispose of Licensed Software or portions thereof.\n\n	 3.4 Licensor reserves the right to release new versions of the Software with different features, specifications, capabilities, functions, licensing terms, general availability or other characteristics. Title, ownership rights, and intellectual property rights in and to the Licensed Software shall remain in Licensor and/or its Contributors.\n\n4.0 Grant of License From Contributor. By application of the provisions in Section 6 below, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to said Contributor's intellectual property rights, and any third party intellectual property claims derived from the Licensed Software under this License, to do the following:\n\n	 4.1 Use, reproduce, modify, display, perform, sublicense and distribute any Extensions Deployed by such Contributor or portions thereof, in both Source Code form or as an executable program, either on an unmodified basis or as part of Derivative Works.\n\n	 4.2 Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, have made, and/or otherwise dispose of Extensions or portions thereof, but solely to the extent that any such claim is necessary to enable You to make, use, have made, and/or otherwise dispose of Licensed Software or portions thereof.\n\n5.0 Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor or any Contributor except as expressly stated herein. Except as expressly stated in Sections 3 and 4, no other patent rights, express or implied, are granted herein. Your Extensions may require additional patent licenses from Licensor or Contributors which each may grant in its sole discretion. No right is granted to the trademarks of Licensor or any Contributor even if such marks are included in the Licensed Software. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any code that Licensor otherwise would have a right to license.\n\n	 5.1 You expressly acknowledge and agree that although Licensor and each Contributor grants the licenses to their respective portions of the Licensed Software set forth herein, no assurances are provided by Licensor or any Contributor that the Licensed Software does not infringe the patent or other intellectual property rights of any other entity. Licensor and each Contributor disclaim any liability to You for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, You hereby assume sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow You to distribute the Licensed Software, it is Your responsibility to acquire that license before distributing the Licensed Software.\n\n6.0 Your Obligations And Grants. In consideration of, and as an express condition to, the licenses granted to You under this License You hereby agree that any Modifications, Derivative Works, or Required Components (collectively Extensions) that You create or to which You contribute are governed by the terms of this License including, without limitation, Section 4. Any Extensions that You create or to which You contribute must be Deployed under the terms of this License or a future version of this License released under Section 7. You hereby grant to Licensor and all third parties a world-wide, non-exclusive, royalty-free license under those intellectual property rights You own or control to use, reproduce, display, perform, modify, create derivatives, sublicense, and distribute Licensed Software, in any form. Any Extensions You make and Deploy must have a distinct title so as to readily tell any subsequent user or Contributor that the Extensions are by You. You must include a copy of this License or directions on how to obtain a copy with every copy of the Extensions You distribute. You agree not to offer or impose any terms on any Source Code or executable version of the Licensed Software, or its Extensions that alter or restrict the applicable version of this License or the recipients' rights hereunder.\n\n	 6.1 Availability of Source Code. You must make available, under the terms of this License, the Source Code of any Extensions that You Deploy, via an Electronic Distribution Mechanism. The Source Code for any version that You Deploy must be made available within one (1) month of when you Deploy and must remain available for no less than twelve (12) months after the date You cease to Deploy. You are responsible for ensuring that the Source Code to each version You Deploy remains available even if the Electronic Distribution Mechanism is maintained by a third party. You may not charge a fee for any copy of the Source Code distributed under this Section in excess of Your actual cost of duplication and distribution of said copy.\n\n	 6.2 Description of Modifications. You must cause any Modifications that You create or to which You contribute to be documented in the Source Code, clearly describing the additions, changes or deletions You made. You must include a prominent statement that the Modifications are derived, directly or indirectly, from the Licensed Software and include the names of the Licensor and any Contributor to the Licensed Software in (i) the Source Code and (ii) in any notice displayed by the Licensed Software You distribute or in related documentation in which You describe the origin or ownership of the Licensed Software. You may not modify or delete any pre-existing copyright notices, change notices or License text in the Licensed Software without written permission of the respective Licensor or Contributor.\n\n	 6.3 Intellectual Property Matters.\n\n		  a. Third Party Claims. If You have knowledge that a license to a third party's intellectual property right is required to exercise the rights granted by this License, You must include a human-readable file with Your distribution that describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact.\n\n		  b. Contributor APIs. If Your Extensions include an application programming interface (\"API\") and You have knowledge of patent licenses that are reasonably necessary to implement that API, You must also include this information in a human-readable file supplied with Your distribution.\n\n		  c. Representations. You represent that, except as disclosed pursuant to 6.3(a) above, You believe that any Extensions You distribute are Your original creations and that You have sufficient rights to grant the rights conveyed by this License.\n\n	 6.4 Required Notices.\n\n		  a. License Text. You must duplicate this License or instructions on how to acquire a copy in any documentation You provide along with the Source Code of any Extensions You create or to which You contribute, wherever You describe recipients' rights relating to Licensed Software.\n\n		  b. License Notice. You must duplicate any notice contained in EXHIBIT A (the \"License Notice\") in each file of the Source Code of any copy You distribute of the Licensed Software and Your Extensions. If You create an Extension, You may add Your name as a Contributor to the Source Code and accompanying documentation along with a description of the contribution. If it is not possible to put the License Notice in a particular Source Code file due to its structure, then You must include such License Notice in a location where a user would be likely to look for such a notice.\n\n		  c. Source Code Availability. You must notify the software community of the availability of Source Code to Your Extensions within one (1) month of the date You initially Deploy and include in such notification a description of the Extensions, and instructions on how to acquire the Source Code. Should such instructions change you must notify the software community of revised instructions within one (1) month of the date of change. You must provide notification by posting to appropriate news groups, mailing lists, weblogs, or other sites where a publicly accessible search engine would reasonably be expected to index your post in relationship to queries regarding the Licensed Software and/or Your Extensions.\n\n		  d. User-Visible Attribution. You must duplicate any notice contained in EXHIBIT B (the \"User-Visible Attribution Notice\") in each user-visible display of the Licensed Software and Your Extensions which delineates copyright, ownership, or similar attribution information. If You create an Extension, You may add Your name as a Contributor, and add Your attribution notice, as an equally visible and functional element of any User-Visible Attribution Notice content. To ensure proper attribution, You must also include such User-Visible Attribution Notice in at least one location in the Software documentation where a user would be likely to look for such notice.\n\n	 6.5 Additional Terms. You may choose to offer, and charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Licensed Software. However, You may do so only on Your own behalf, and not on behalf of the Licensor or any Contributor except as permitted under other agreements between you and Licensor or Contributor. You must make it clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Licensor and every Contributor for any liability plus attorney fees, costs, and related expenses due to any such action or claim incurred by the Licensor or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	 6.6 Conflicts With Other Licenses. Where any portion of Your Extensions, by virtue of being Derivative Works of another product or similar circumstance, fall under the terms of another license, the terms of that license should be honored however You must also make Your Extensions available under this License. If the terms of this License continue to conflict with the terms of the other license you may write the Licensor for permission to resolve the conflict in a fashion that remains consistent with the intent of this License. Such permission will be granted at the sole discretion of the Licensor.\n\n7.0 Versions of This License. Licensor may publish from time to time revised versions of the License. Once Licensed Software has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Licensed Software under the terms of any subsequent version of the License published by Licensor. No one other than Licensor has the right to modify the terms applicable to Licensed Software created under this License.\n\n	 7.1 If You create or use a modified version of this License, which You may do only in order to apply it to software that is not already Licensed Software under this License, You must rename Your license so that it is not confusingly similar to this License, and must make it clear that Your license contains terms that differ from this License. In so naming Your license, You may not use any trademark of Licensor or of any Contributor. Should Your modifications to this License be limited to alteration of a) Section 13.8 solely to modify the legal Jurisdiction or Venue for disputes, b) EXHIBIT A solely to define License Notice text, or c) to EXHIBIT B solely to define a User-Visible Attribution Notice, You may continue to refer to Your License as the Reciprocal Public License or simply the RPL.\n\n8.0 Disclaimer of Warranty. LICENSED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE LICENSED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. FURTHER THERE IS NO WARRANTY MADE AND ALL IMPLIED WARRANTIES ARE DISCLAIMED THAT THE LICENSED SOFTWARE MEETS OR COMPLIES WITH ANY DESCRIPTION OF PERFORMANCE OR OPERATION, SAID COMPATIBILITY AND SUITABILITY BEING YOUR RESPONSIBILITY. LICENSOR DISCLAIMS ANY WARRANTY, IMPLIED OR EXPRESSED, THAT ANY CONTRIBUTOR'S EXTENSIONS MEET ANY STANDARD OF COMPATIBILITY OR DESCRIPTION OF PERFORMANCE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED SOFTWARE IS WITH YOU. SHOULD LICENSED SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, YOU (AND NOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. UNDER THE TERMS OF THIS LICENSOR WILL NOT SUPPORT THIS SOFTWARE AND IS UNDER NO OBLIGATION TO ISSUE UPDATES TO THIS SOFTWARE. LICENSOR HAS NO KNOWLEDGE OF ERRANT CODE OR VIRUS IN THIS SOFTWARE, BUT DOES NOT WARRANT THAT THE SOFTWARE IS FREE FROM SUCH ERRORS OR VIRUSES. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF LICENSED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n9.0 Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF LICENSED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10.0 High Risk Activities. THE LICENSED SOFTWARE IS NOT FAULT-TOLERANT AND IS NOT DESIGNED, MANUFACTURED, OR INTENDED FOR USE OR DISTRIBUTION AS ON-LINE CONTROL EQUIPMENT IN HAZARDOUS ENVIRONMENTS REQUIRING FAIL-SAFE PERFORMANCE, SUCH AS IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATIONS SYSTEMS, AIR TRAFFIC CONTROL, DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE LICENSED SOFTWARE COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE (\"HIGH RISK ACTIVITIES\"). LICENSOR AND CONTRIBUTORS SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.\n\n11.0 Responsibility for Claims. As between Licensor and Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License which specifically disclaims warranties and limits any liability of the Licensor. This paragraph is to be used in conjunction with and controlled by the Disclaimer Of Warranties of Section 8, the Limitation Of Damages in Section 9, and the disclaimer against use for High Risk Activities in Section 10. The Licensor has thereby disclaimed all warranties and limited any damages that it is or may be liable for. You agree to work with Licensor and Contributors to distribute such responsibility on an equitable basis consistent with the terms of this License including Sections 8, 9, and 10. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n12.0 Termination. This License and all rights granted hereunder will terminate immediately in the event of the circumstances described in Section 13.6 or if applicable law prohibits or restricts You from fully and or specifically complying with Sections 3, 4 and/or 6, or prevents the enforceability of any of those Sections, and You must immediately discontinue any use of Licensed Software.\n\n	 12.1 Automatic Termination Upon Breach. This License and the rights granted hereunder will terminate automatically if You fail to comply with the terms herein and fail to cure such breach within thirty (30) days of becoming aware of the breach. All sublicenses to the Licensed Software that are properly granted shall survive any termination of this License. Provisions that, by their nature, must remain in effect beyond the termination of this License, shall survive.\n\n	 12.2 Termination Upon Assertion of Patent Infringement. If You initiate litigation by asserting a patent infringement claim (excluding declaratory judgment actions) against Licensor or a Contributor (Licensor or Contributor against whom You file such an action is referred to herein as \"Respondent\") alleging that Licensed Software directly or indirectly infringes any patent, then any and all rights granted by such Respondent to You under Sections 3 or 4 of this License shall terminate prospectively upon sixty (60) days notice from Respondent (the \"Notice Period\") unless within that Notice Period You either agree in writing (i) to pay Respondent a mutually agreeable reasonably royalty for Your past or future use of Licensed Software made by such Respondent, or (ii) withdraw Your litigation claim with respect to Licensed Software against such Respondent. If within said Notice Period a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Licensor to You under Sections 3 and 4 automatically terminate at the expiration of said Notice Period.\n\n	 12.3 Reasonable Value of This License. If You assert a patent infringement claim against Respondent alleging that Licensed Software directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by said Respondent under Sections 3 and 4 shall be taken into account in determining the amount or value of any payment or license.\n\n	 12.4 No Retroactive Effect of Termination. In the event of termination under this Section all end user license agreements (excluding licenses to distributors and resellers) that have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n13.0 Miscellaneous.\n\n	 13.1 U.S. Government End Users. The Licensed Software is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Licensed Software with only those rights set forth herein.\n\n	 13.2 Relationship of Parties. This License will not be consTrued as creating an agency, partnership, joint venture, or any other form of legal association between or among You, Licensor, or any Contributor, and You will not represent to the contrary, whether expressly, by implication, appearance, or otherwise.\n\n	 13.3 Independent Development. Nothing in this License will impair Licensor's right to acquire, license, develop, subcontract, market, or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Extensions that You may develop, produce, market, or distribute.\n\n	 13.4 Consent To Breach Not Waiver. Failure by Licensor or Contributor to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision.\n\n	 13.5 Severability. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n	 13.6 Inability to Comply Due to Statute or Regulation. If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Licensed Software due to statute, judicial order, or regulation, then You cannot use, modify, or distribute the software.\n\n	 13.7 Export Restrictions. You may be restricted with respect to downloading or otherwise acquiring, exporting, or reexporting the Licensed Software or any underlying information or technology by United States and other applicable laws and regulations. By downloading or by otherwise obtaining the Licensed Software, You are agreeing to be responsible for compliance with all applicable laws and regulations.\n\n	 13.8 Arbitration, Jurisdiction & Venue. This License shall be governed by Colorado law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. You expressly agree that any dispute relating to this License shall be submitted to binding arbitration under the rules then prevailing of the American Arbitration Association. You further agree that Adams County, Colorado USA is proper venue and grant such arbitration proceeding jurisdiction as may be appropriate for purposes of resolving any dispute under this License. Judgement upon any award made in arbitration may be entered and enforced in any court of competent jurisdiction. The arbitrator shall award attorney's fees and costs of arbitration to the prevailing party. Should either party find it necessary to enforce its arbitration award or seek specific performance of such award in a civil court of competent jurisdiction, the prevailing party shall be entitled to reasonable attorney's fees and costs. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. You and Licensor expressly waive any rights to a jury trial in any litigation concerning Licensed Software or this License. Any law or regulation that provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n	 13.9 Entire Agreement. This License constitutes the entire agreement between the parties with respect to the subject matter hereof.\n\nEXHIBIT A\n\nThe License Notice below must appear in each file of the Source Code of any copy You distribute of the Licensed Software or any Extensions thereto:\n\nUnless explicitly acquired and licensed from Licensor under another license, the contents of this file are subject to the Reciprocal Public License (\"RPL\") Version 1.5, or subsequent versions as allowed by the RPL, and You may not copy or use this file in either source code or executable form, except in compliance with the terms and conditions of the RPL.\n\nAll software distributed under the RPL is provided strictly on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND LICENSOR HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT, OR NON-INFRINGEMENT. See the RPL for specific language governing rights and limitations under the RPL.\n\nEXHIBIT B\n\nThe User-Visible Attribution Notice below, when provided, must appear in each user-visible display as defined in Section 6.4 (d):\n"
		self.standardLicenseTemplate = "<<beginOptional>>Reciprocal Public License 1.5 (RPL1.5)\n\nVersion 1.5, July 15, 2007\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 2001-2007 Technical Pursuit Inc., All Rights Reserved.  \";match=\".{0,5000}\">>\n\nPREAMBLE\n\nThe Reciprocal Public License (RPL) is based on the concept of reciprocity or, if you prefer, fairness.\n\nIn short, this license grew out of a desire to close loopholes in previous open source licenses, loopholes that allowed parties to acquire open source software and derive financial benefit from it without having to release their improvements or derivatives to the community which enabled them. This occurred any time an entity did not release their application to a \"third party\".\n\nWhile there is a certain freedom in this model of licensing, it struck the authors of the RPL as being unfair to the open source community at large and to the original authors of the works in particular. After all, bug fixes, extensions, and meaningful and valuable derivatives were not consistently finding their way back into the community where they could fuel further, and faster, growth and expansion of the overall open source software base.\n\nWhile you should clearly read and understand the entire license, the essence of the RPL is found in two definitions: \"Deploy\" and \"Required Components\".\n\nRegarding deployment, under the RPL your changes, bug fixes, extensions, etc. must be made available to the open source community at large when you Deploy in any form -- either internally or to an outside party. Once you start running the software you have to start sharing the software.\n\nFurther, under the RPL all components you author including schemas, scripts, source code, etc. -- regardless of whether they're compiled into a single binary or used as two halves of client/server application -- must be shared. You have to share the whole pie, not an isolated slice of it.\n\nIn addition to these goals, the RPL was authored to meet the requirements of the Open Source Definition as maintained by the Open Source Initiative (OSI).\n\nThe specific terms and conditions of the license are defined in the remainder of this document.\n\nLICENSE TERMS\n\n   <<var;name=\"bullet\";original=\"1.0\";match=\".{0,20}\">> General; Applicability & Definitions. This Reciprocal Public License Version 1.5 (\"License\") applies to any programs or other works as well as any and all updates or maintenance releases of said programs or works (\"Software\") not already covered by this License which the Software copyright holder (\"Licensor\") makes available containing a License Notice (hereinafter defined) from the Licensor specifying or allowing use or distribution under the terms of this License. As used in this License:\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Contributor\" means any person or entity who created or contributed to the creation of an Extension.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Deploy\" means to use, Serve, sublicense or distribute Licensed Software other than for Your internal Research and/or Personal Use, and includes without limitation, any and all internal use or distribution of Licensed Software within Your business or organization other than for Research and/or Personal Use, as well as direct or indirect sublicensing or distribution of Licensed Software by You to any third party in any form or manner.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Derivative Works\" as used in this License is defined under U.S. copyright law.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data such as download from an FTP server or web site, where such mechanism is publicly accessible.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Extensions\" means any Modifications, Derivative Works, or Required Components as those terms are defined in this License.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"License\" means this Reciprocal Public License.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"License Notice\" means any notice contained in EXHIBIT A.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"Licensed Software\" means any Software licensed pursuant to this License. Licensed Software also includes all previous Extensions from any Contributor that You receive.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"Licensor\" means the copyright holder of any Software previously not covered by this License who releases the Software under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> \"Modifications\" means any additions to or deletions from the substance or structure of (i) a file or other storage containing Licensed Software, or (ii) any new file or storage that contains any part of Licensed Software, or (iii) any file or storage which replaces or otherwise alters the original functionality of Licensed Software at runtime.\n\n	  <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> \"Personal Use\" means use of Licensed Software by an individual solely for his or her personal, private and non-commercial purposes. An individual's use of Licensed Software in his or her capacity as an officer, employee, member, independent contractor or agent of a corporation, business or organization (commercial or non-commercial) does not qualify as Personal Use.\n\n	  <<var;name=\"bullet\";original=\"1.12\";match=\".{0,20}\">> \"Required Components\" means any text, programs, scripts, schema, interface definitions, control files, or other works created by You which are required by a third party of average skill to successfully install and run Licensed Software containing Your Modifications, or to install and run Your Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"1.13\";match=\".{0,20}\">> \"Research\" means investigation or experimentation for the purpose of understanding the nature and limits of the Licensed Software and its potential uses.\n\n	  <<var;name=\"bullet\";original=\"1.14\";match=\".{0,20}\">> \"Serve\" means to deliver Licensed Software and/or Your Extensions by means of a computer network to one or more computers for purposes of execution of Licensed Software and/or Your Extensions.\n\n	  <<var;name=\"bullet\";original=\"1.15\";match=\".{0,20}\">> \"Software\" means any computer programs or other works as well as any updates or maintenance releases of those programs or works which are distributed publicly by Licensor.\n\n	  <<var;name=\"bullet\";original=\"1.16\";match=\".{0,20}\">> \"Source Code\" means the preferred form for making modifications to the Licensed Software and/or Your Extensions, including all modules contained therein, plus any associated text, interface definition files, scripts used to control compilation and installation of an executable program or other components required by a third party of average skill to build a running version of the Licensed Software or Your Extensions.\n\n	  <<var;name=\"bullet\";original=\"1.17\";match=\".{0,20}\">> \"User-Visible Attribution Notice\" means any notice contained in EXHIBIT B.\n\n	  <<var;name=\"bullet\";original=\"1.18\";match=\".{0,20}\">> \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.0\";match=\".{0,20}\">> Acceptance Of License. You are not required to accept this License since you have not signed it, however nothing else grants you permission to use, copy, distribute, modify, or create derivatives of either the Software or any Extensions created by a Contributor. These actions are prohibited by law if you do not accept this License. Therefore, by performing any of these actions You indicate Your acceptance of this License and Your agreement to be bound by all its terms and conditions. IF YOU DO NOT AGREE WITH ALL THE TERMS AND CONDITIONS OF THIS LICENSE DO NOT USE, MODIFY, CREATE DERIVATIVES, OR DISTRIBUTE THE SOFTWARE. IF IT IS IMPOSSIBLE FOR YOU TO COMPLY WITH ALL THE TERMS AND CONDITIONS OF THIS LICENSE THEN YOU CAN NOT USE, MODIFY, CREATE DERIVATIVES, OR DISTRIBUTE THE SOFTWARE.\n\n   <<var;name=\"bullet\";original=\"3.0\";match=\".{0,20}\">> Grant of License From Licensor. Subject to the terms and conditions of this License, Licensor hereby grants You a world-wide, royalty-free, <<var;name=\"anotherExtraSpace\";original=\"non-exclusive\";match=\"non- ?exclusive\">> license, subject to Licensor's intellectual property rights, and any third party intellectual property claims derived from the Licensed Software under this License, to do the following:\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> Use, reproduce, modify, display, perform, sublicense and distribute Licensed Software and Your Extensions in both Source Code form or as an executable program.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> Create Derivative Works (as that term is defined under U.S. copyright law) of Licensed Software by adding to or deleting from the substance or structure of said Licensed Software.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> Under claims of patents now or hereafter owned or controlled by Licensor, to make, use, have made, and/or otherwise dispose of Licensed Software or portions thereof, but solely to the extent that any such claim is necessary to enable You to make, use, have made, and/or otherwise dispose of Licensed Software or portions thereof.\n\n	  <<var;name=\"bullet\";original=\"3.4\";match=\".{0,20}\">> Licensor reserves the right to release new versions of the Software with different features, specifications, capabilities, functions, licensing terms, general availability or other characteristics. Title, ownership rights, and intellectual property rights in and to the Licensed Software shall remain in Licensor and/or its Contributors.\n\n   <<var;name=\"bullet\";original=\"4.0\";match=\".{0,20}\">> Grant of License From Contributor. By application of the provisions in Section 6 below, each Contributor hereby grants You a world-wide, <<var;name=\"extraSpace\";original=\"royalty-free\";match=\"royalty- ?free\">> , non-exclusive license, subject to said Contributor's intellectual property rights, and any third party intellectual property claims derived from the Licensed Software under this License, to do the following:\n\n	  <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> Use, reproduce, modify, display, perform, sublicense and distribute any Extensions Deployed by such Contributor or portions thereof, in both Source Code form or as an executable program, either on an unmodified basis or as part of Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"4.2\";match=\".{0,20}\">> Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, have made, and/or otherwise dispose of Extensions or portions thereof, but solely to the extent that any such claim is necessary to enable You to make, use, have made, and/or otherwise dispose of Licensed Software or portions thereof.\n\n   <<var;name=\"bullet\";original=\"5.0\";match=\".{0,20}\">> Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor or any Contributor except as expressly stated herein. Except as expressly stated in Sections 3 and 4, no other patent rights, express or implied, are granted herein. Your Extensions may require additional patent licenses from Licensor or Contributors which each may grant in its sole discretion. No right is granted to the trademarks of Licensor or any Contributor even if such marks are included in the Licensed Software. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any code that Licensor otherwise would have a right to license.\n\n	  <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> You expressly acknowledge and agree that although Licensor and each Contributor grants the licenses to their respective portions of the Licensed Software set forth herein, no assurances are provided by Licensor or any Contributor that the Licensed Software does not infringe the patent or other intellectual property rights of any other entity. Licensor and each Contributor disclaim any liability to You for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, You hereby assume sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow You to distribute the Licensed Software, it is Your responsibility to acquire that license before distributing the Licensed Software.\n\n   <<var;name=\"bullet\";original=\"6.0\";match=\".{0,20}\">> Your Obligations And Grants. In consideration of, and as an express condition to, the licenses granted to You under this License You hereby agree that any Modifications, Derivative Works, or Required Components (collectively Extensions) that You create or to which You contribute are governed by the terms of this License including, without limitation, Section 4. Any Extensions that You create or to which You contribute must be Deployed under the terms of this License or a future version of this License released under Section 7. You hereby grant to Licensor and all third parties a world-wide, non-exclusive, royalty-free license under those intellectual property rights You own or control to use, reproduce, display, perform, modify, create derivatives, sublicense, and distribute Licensed Software, in any form. Any Extensions You make and Deploy must have a distinct title so as to readily tell any subsequent user or Contributor that the Extensions are by You. You must include a copy of this License or directions on how to obtain a copy with every copy of the Extensions You distribute. You agree not to offer or impose any terms on any Source Code or executable version of the Licensed Software, or its Extensions that alter or restrict the applicable version of this License or the recipients' rights hereunder.\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> Availability of Source Code. You must make available, under the terms of this License, the Source Code of any Extensions that You Deploy, via an Electronic Distribution Mechanism. The Source Code for any version that You Deploy must be made available within one (1) month of when you Deploy and must remain available for no less than twelve (12) months after the date You cease to Deploy. You are responsible for ensuring that the Source Code to each version You Deploy remains available even if the Electronic Distribution Mechanism is maintained by a third party. You may not charge a fee for any copy of the Source Code distributed under this Section in excess of Your actual cost of duplication and distribution of said copy.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> Description of Modifications. You must cause any Modifications that You create or to which You contribute to be documented in the Source Code, clearly describing the additions, changes or deletions You made. You must include a prominent statement that the Modifications are derived, directly or indirectly, from the Licensed Software and include the names of the Licensor and any Contributor to the Licensed Software in (i) the Source Code and (ii) in any notice displayed by the Licensed Software You distribute or in related documentation in which You describe the origin or ownership of the Licensed Software. You may not modify or delete any pre-existing copyright notices, change notices or License text in the Licensed Software without written permission of the respective Licensor or Contributor.\n\n	  <<var;name=\"bullet\";original=\"6.3\";match=\".{0,20}\">> Intellectual Property Matters.\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Third Party Claims. If You have knowledge that a license to a third party's intellectual property right is required to exercise the rights granted by this License, You must include a human-readable file with Your distribution that describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact.\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Contributor APIs. If Your Extensions include an application programming interface (\"API\") and You have knowledge of patent licenses that are reasonably necessary to implement that API, You must also include this information in a human-readable file supplied with Your distribution.\n\n		 <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Representations. You represent that, except as disclosed pursuant to 6.3(a) above, You believe that any Extensions You distribute are Your original creations and that You have sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"6.4\";match=\".{0,20}\">> Required Notices.\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> License Text. You must duplicate this License or instructions on how to acquire a copy in any documentation You provide along with the Source Code of any Extensions You create or to which You contribute, wherever You describe recipients' rights relating to Licensed Software.\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> License Notice. You must duplicate any notice contained in EXHIBIT A (the \"License Notice\") in each file of the Source Code of any copy You distribute of the Licensed Software and Your Extensions. If You create an Extension, You may add Your name as a Contributor to the Source Code and accompanying documentation along with a description of the contribution. If it is not possible to put the License Notice in a particular Source Code file due to its structure, then You must include such License Notice in a location where a user would be likely to look for such a notice.\n\n		 <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Source Code Availability. You must notify the software community of the availability of Source Code to Your Extensions within one (1) month of the date You initially Deploy and include in such notification a description of the Extensions, and instructions on how to acquire the Source Code. Should such instructions change you must notify the software community of revised instructions within one (1) month of the date of change. You must provide notification by posting to appropriate news groups, mailing lists, weblogs, or other sites where a publicly accessible search engine would reasonably be expected to index your post in relationship to queries regarding the Licensed Software and/or Your Extensions.\n\n		 <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> User-Visible Attribution. You must duplicate any notice contained in EXHIBIT B (the \"User-Visible Attribution Notice\") in each user-visible display of the Licensed Software and Your Extensions which delineates copyright, ownership, or similar attribution information. If You create an Extension, You may add Your name as a Contributor, and add Your attribution notice, as an equally visible and functional element of any User-Visible Attribution Notice content. To ensure proper attribution, You must also include such User-Visible Attribution Notice in at least one location in the Software documentation where a user would be likely to look for such notice.\n\n	  <<var;name=\"bullet\";original=\"6.5\";match=\".{0,20}\">> Additional Terms. You may choose to offer, and charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Licensed Software. However, You may do so only on Your own behalf, and not on behalf of the Licensor or any Contributor except as permitted under other agreements between you and Licensor or Contributor. You must make it clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Licensor and every Contributor for any liability plus attorney fees, costs, and related expenses due to any such action or claim incurred by the Licensor or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"6.6\";match=\".{0,20}\">> Conflicts With Other Licenses. Where any portion of Your Extensions, by virtue of being Derivative Works of another product or similar circumstance, fall under the terms of another license, the terms of that license should be honored however You must also make Your Extensions available under this License. If the terms of this License continue to conflict with the terms of the other license you may write the Licensor for permission to resolve the conflict in a fashion that remains consistent with the intent of this License. Such permission will be granted at the sole discretion of the Licensor.\n\n   <<var;name=\"bullet\";original=\"7.0\";match=\".{0,20}\">> Versions of This License. Licensor may publish from time to time revised versions of the License. Once Licensed Software has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Licensed Software under the terms of any subsequent version of the License published by Licensor. No one other than Licensor has the right to modify the terms applicable to Licensed Software created under this License.\n\n	  <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> If You create or use a modified version of this License, which You may do only in order to apply it to software that is not already Licensed Software under this License, You must rename Your license so that it is not confusingly similar to this License, and must make it clear that Your license contains terms that differ from this License. In so naming Your license, You may not use any trademark of Licensor or of any Contributor. Should Your modifications to this License be limited to alteration of a) Section 13.8 solely to modify the legal Jurisdiction or Venue for disputes, b) EXHIBIT A solely to define License Notice text, or c) to EXHIBIT B solely to define a User-Visible Attribution Notice, You may continue to refer to Your License as the Reciprocal Public License or simply the RPL.\n\n   <<var;name=\"bullet\";original=\"8.0\";match=\".{0,20}\">> Disclaimer of Warranty. LICENSED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE LICENSED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. FURTHER THERE IS NO WARRANTY MADE AND ALL IMPLIED WARRANTIES ARE DISCLAIMED THAT THE LICENSED SOFTWARE MEETS OR COMPLIES WITH ANY DESCRIPTION OF PERFORMANCE OR OPERATION, SAID COMPATIBILITY AND SUITABILITY BEING YOUR RESPONSIBILITY. LICENSOR DISCLAIMS ANY WARRANTY, IMPLIED OR EXPRESSED, THAT ANY CONTRIBUTOR'S EXTENSIONS MEET ANY STANDARD OF COMPATIBILITY OR DESCRIPTION OF PERFORMANCE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED SOFTWARE IS WITH YOU. SHOULD LICENSED SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, YOU (AND NOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. UNDER THE TERMS OF THIS LICENSOR WILL NOT SUPPORT THIS SOFTWARE AND IS UNDER NO OBLIGATION TO ISSUE UPDATES TO THIS SOFTWARE. LICENSOR HAS NO KNOWLEDGE OF ERRANT CODE OR VIRUS IN THIS SOFTWARE, BUT DOES NOT WARRANT THAT THE SOFTWARE IS FREE FROM SUCH ERRORS OR VIRUSES. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF LICENSED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"9.0\";match=\".{0,20}\">> Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF LICENSED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.0\";match=\".{0,20}\">> High Risk Activities. THE LICENSED SOFTWARE IS NOT FAULT-TOLERANT AND IS NOT DESIGNED, MANUFACTURED, OR INTENDED FOR USE OR DISTRIBUTION AS ON-LINE CONTROL EQUIPMENT IN HAZARDOUS ENVIRONMENTS REQUIRING FAIL-SAFE PERFORMANCE, SUCH AS IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATIONS SYSTEMS, AIR TRAFFIC CONTROL, DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE LICENSED SOFTWARE COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE (\"HIGH RISK ACTIVITIES\"). LICENSOR AND CONTRIBUTORS SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.\n\n   <<var;name=\"bullet\";original=\"11.0\";match=\".{0,20}\">> Responsibility for Claims. As between Licensor and Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License which specifically disclaims warranties and limits any liability of the Licensor. This paragraph is to be used in conjunction with and controlled by the Disclaimer Of Warranties of Section 8, the Limitation Of Damages in Section 9, and the disclaimer against use for High Risk Activities in Section 10. The Licensor has thereby disclaimed all warranties and limited any damages that it is or may be liable for. You agree to work with Licensor and Contributors to distribute such responsibility on an equitable basis consistent with the terms of this License including Sections 8, 9, and 10. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   <<var;name=\"bullet\";original=\"12.0\";match=\".{0,20}\">> Termination. This License and all rights granted hereunder will terminate immediately in the event of the circumstances described in Section 13.6 or if applicable law prohibits or restricts You from fully and or specifically complying with Sections 3, 4 and/or 6, or prevents the enforceability of any of those Sections, and You must immediately discontinue any use of Licensed Software.\n\n	  <<var;name=\"bullet\";original=\"12.1\";match=\".{0,20}\">> Automatic Termination Upon Breach. This License and the rights granted hereunder will terminate automatically if You fail to comply with the terms herein and fail to cure such breach within thirty (30) days of becoming aware of the breach. All sublicenses to the Licensed Software that are properly granted shall survive any termination of this License. Provisions that, by their nature, must remain in effect beyond the termination of this License, shall survive.\n\n	  <<var;name=\"bullet\";original=\"12.2\";match=\".{0,20}\">> Termination Upon Assertion of Patent Infringement. If You initiate litigation by asserting a patent infringement claim (excluding declaratory judgment actions) against Licensor or a Contributor (Licensor or Contributor against whom You file such an action is referred to herein as \"Respondent\") alleging that Licensed Software directly or indirectly infringes any patent, then any and all rights granted by such Respondent to You under Sections 3 or 4 of this License shall terminate prospectively upon sixty (60) days notice from Respondent (the \"Notice Period\") unless within that Notice Period You either agree in writing (i) to pay Respondent a mutually agreeable reasonably royalty for Your past or future use of Licensed Software made by such Respondent, or (ii) withdraw Your litigation claim with respect to Licensed Software against such Respondent. If within said Notice Period a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Licensor to You under Sections 3 and 4 automatically terminate at the expiration of said Notice Period.\n\n	  <<var;name=\"bullet\";original=\"12.3\";match=\".{0,20}\">> Reasonable Value of This License. If You assert a patent infringement claim against Respondent alleging that Licensed Software directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by said Respondent under Sections 3 and 4 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"12.4\";match=\".{0,20}\">> No Retroactive Effect of Termination. In the event of termination under this Section all end user license agreements (excluding licenses to distributors and resellers) that have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"13.0\";match=\".{0,20}\">> Miscellaneous.\n\n	  <<var;name=\"bullet\";original=\"13.1\";match=\".{0,20}\">> U.S. Government End Users. The Licensed Software is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Licensed Software with only those rights set forth herein.\n\n	  <<var;name=\"bullet\";original=\"13.2\";match=\".{0,20}\">> Relationship of Parties. This License will not be consTrued as creating an agency, partnership, joint venture, or any other form of legal association between or among You, Licensor, or any Contributor, and You will not represent to the contrary, whether expressly, by implication, appearance, or otherwise.\n\n	  <<var;name=\"bullet\";original=\"13.3\";match=\".{0,20}\">> Independent Development. Nothing in this License will impair Licensor's right to acquire, license, develop, subcontract, market, or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Extensions that You may develop, produce, market, or distribute.\n\n	  <<var;name=\"bullet\";original=\"13.4\";match=\".{0,20}\">> Consent To Breach Not Waiver. Failure by Licensor or Contributor to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision.\n\n	  <<var;name=\"bullet\";original=\"13.5\";match=\".{0,20}\">> Severability. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n	  <<var;name=\"bullet\";original=\"13.6\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation. If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Licensed Software due to statute, judicial order, or regulation, then You cannot use, modify, or distribute the software.\n\n	  <<var;name=\"bullet\";original=\"13.7\";match=\".{0,20}\">> Export Restrictions. You may be restricted with respect to downloading or otherwise acquiring, exporting, or reexporting the Licensed Software or any underlying information or technology by United States and other applicable laws and regulations. By downloading or by otherwise obtaining the Licensed Software, You are agreeing to be responsible for compliance with all applicable laws and regulations.\n\n	  <<var;name=\"bullet\";original=\"13.8\";match=\".{0,20}\">> Arbitration, Jurisdiction & Venue. This License shall be governed by Colorado law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. You expressly agree that any dispute relating to this License shall be submitted to binding arbitration under the rules then prevailing of the American Arbitration Association. You further agree that Adams County, Colorado USA is proper venue and grant such arbitration proceeding jurisdiction as may be appropriate for purposes of resolving any dispute under this License. Judgement upon any award made in arbitration may be entered and enforced in any court of competent jurisdiction. The arbitrator shall award attorney's fees and costs of arbitration to the prevailing party. Should either party find it necessary to enforce its arbitration award or seek specific performance of such award in a civil court of competent jurisdiction, the prevailing party shall be entitled to reasonable attorney's fees and costs. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. You and Licensor expressly waive any rights to a jury trial in any litigation concerning Licensed Software or this License. Any law or regulation that provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n	  <<var;name=\"bullet\";original=\"13.9\";match=\".{0,20}\">> Entire Agreement. This License constitutes the entire agreement between the parties with respect to the subject matter hereof.<<beginOptional>> EXHIBIT A\n\nThe License Notice below must appear in each file of the Source Code of any copy You distribute of the Licensed Software or any Extensions thereto:\n\nUnless explicitly acquired and licensed from Licensor under another license, the contents of this file are subject to the Reciprocal Public License (\"RPL\") Version 1.5, or subsequent versions as allowed by the RPL, and You may not copy or use this file in either source code or executable form, except in compliance with the terms and conditions of the RPL.\n\nAll software distributed under the RPL is provided strictly on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND LICENSOR HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT, OR NON-INFRINGEMENT. See the RPL for specific language governing rights and limitations under the RPL.\n\nEXHIBIT B\n\nThe User-Visible Attribution Notice below, when provided, must appear in each user-visible display as defined in Section 6.4 (d):\n\n<<endOptional>>"
		self.name = "Reciprocal Public License 1.5"
		self.licenseComments = "This license was released: 15 July 2007"
		self.licenseId = "RPL-1.5"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/RPL-1.5", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:51Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/RPL-1.5"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Reciprocal Public License 1.5 (RPL1.5)</p>\n\n		 <p>Version 1.5, July 15, 2007</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 2001-2007 Technical Pursuit Inc., All Rights Reserved.</p>\n\n	  </div>\n\n	  <p>PREAMBLE</p>\n\n	  <p>The Reciprocal Public License (RPL) is based on the concept of reciprocity or, if you prefer, fairness.</p>\n\n	  <p>In short, this license grew out of a desire to close loopholes in previous open source licenses,\n		 loopholes that allowed parties to acquire open source software and derive financial benefit from it\n		 without having to release their improvements or derivatives to the community which enabled them. This\n		 occurred any time an entity did not release their application to a &quot;third party&quot;.</p>\n\n	  <p>While there is a certain freedom in this model of licensing, it struck the authors of the RPL as being\n		 unfair to the open source community at large and to the original authors of the works in particular.\n		 After all, bug fixes, extensions, and meaningful and valuable derivatives were not consistently\n		 finding their way back into the community where they could fuel further, and faster, growth and\n		 expansion of the overall open source software base.</p>\n\n	  <p>While you should clearly read and understand the entire license, the essence of the RPL is found in two\n		 definitions: &quot;Deploy&quot; and &quot;Required Components&quot;.</p>\n\n	  <p>Regarding deployment, under the RPL your changes, bug fixes, extensions, etc. must be made available to\n		 the open source community at large when you Deploy in any form -- either internally or to an outside\n		 party. Once you start running the software you have to start sharing the software.</p>\n\n	  <p>Further, under the RPL all components you author including schemas, scripts, source code, etc. --\n		 regardless of whether they&apos;re compiled into a single binary or used as two halves of client/server\n		 application -- must be shared. You have to share the whole pie, not an isolated slice of it.</p>\n\n	  <p>In addition to these goals, the RPL was authored to meet the requirements of the Open Source Definition\n		 as maintained by the Open Source Initiative (OSI).</p>\n\n	  <p>The specific terms and conditions of the license are defined in the remainder of this document.</p>\n\n	  <p>LICENSE TERMS</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.0</var>\n		  General; Applicability &amp; Definitions. This Reciprocal Public License Version 1.5 (&quot;License&quot;)\n			 applies to any programs or other works as well as any and all updates or maintenance releases\n			 of said programs or works (&quot;Software&quot;) not already covered by this License which the Software\n			 copyright holder (&quot;Licensor&quot;) makes available containing a License Notice (hereinafter\n			 defined) from the Licensor specifying or allowing use or distribution under the terms of this\n			 License. As used in this License:\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1</var>\n		  &quot;Contributor&quot; means any person or entity who created or contributed to the creation of an Extension.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2</var>\n		  &quot;Deploy&quot; means to use, Serve, sublicense or distribute Licensed Software other than for Your\n			 internal Research and/or Personal Use, and includes without limitation, any and all internal\n			 use or distribution of Licensed Software within Your business or organization other than for\n			 Research and/or Personal Use, as well as direct or indirect sublicensing or distribution of\n			 Licensed Software by You to any third party in any form or manner.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3</var>\n		  &quot;Derivative Works&quot; as used in this License is defined under U.S. copyright law.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4</var>\n		  &quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the software\n			 development community for the electronic transfer of data such as download from an FTP server\n			 or web site, where such mechanism is publicly accessible.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5</var>\n		  &quot;Extensions&quot; means any Modifications, Derivative Works, or Required Components as those terms are\n			 defined in this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6</var>\n		  &quot;License&quot; means this Reciprocal Public License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7</var>\n		  &quot;License Notice&quot; means any notice contained in EXHIBIT A.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8</var>\n		  &quot;Licensed Software&quot; means any Software licensed pursuant to this License. Licensed Software also\n			 includes all previous Extensions from any Contributor that You receive.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9</var>\n		  &quot;Licensor&quot; means the copyright holder of any Software previously not covered by this License who\n			 releases the Software under the terms of this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10</var>\n		  &quot;Modifications&quot; means any additions to or deletions from the substance or structure of (i) a file\n			 or other storage containing Licensed Software, or (ii) any new file or storage that contains\n			 any part of Licensed Software, or (iii) any file or storage which replaces or otherwise alters\n			 the original functionality of Licensed Software at runtime.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11</var>\n		  &quot;Personal Use&quot; means use of Licensed Software by an individual solely for his or her personal,\n			 private and non-commercial purposes. An individual&apos;s use of Licensed Software in his or her\n			 capacity as an officer, employee, member, independent contractor or agent of a corporation,\n			 business or organization (commercial or non-commercial) does not qualify as Personal Use.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12</var>\n		  &quot;Required Components&quot; means any text, programs, scripts, schema, interface definitions, control\n			 files, or other works created by You which are required by a third party of average skill to\n			 successfully install and run Licensed Software containing Your Modifications, or to install\n			 and run Your Derivative Works.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13</var>\n		  &quot;Research&quot; means investigation or experimentation for the purpose of understanding the nature and\n			 limits of the Licensed Software and its potential uses.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.14</var>\n		  &quot;Serve&quot; means to deliver Licensed Software and/or Your Extensions by means of a computer network\n			 to one or more computers for purposes of execution of Licensed Software and/or Your\n			 Extensions.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.15</var>\n		  &quot;Software&quot; means any computer programs or other works as well as any updates or maintenance\n			 releases of those programs or works which are distributed publicly by Licensor.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.16</var>\n		  &quot;Source Code&quot; means the preferred form for making modifications to the Licensed Software and/or\n			 Your Extensions, including all modules contained therein, plus any associated text, interface\n			 definition files, scripts used to control compilation and installation of an executable\n			 program or other components required by a third party of average skill to build a running\n			 version of the Licensed Software or Your Extensions.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.17</var>\n		  &quot;User-Visible Attribution Notice&quot; means any notice contained in EXHIBIT B.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.18</var>\n		  &quot;You&quot; or &quot;Your&quot; means an individual or a legal entity exercising rights under this License. For\n			 legal entities, &quot;You&quot; or &quot;Your&quot; includes any entity which controls, is controlled by, or is\n			 under common control with, You, where &quot;control&quot; means (a) the power, direct or indirect, to\n			 cause the direction or management of such entity, whether by contract or otherwise, or (b)\n			 ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of\n			 such entity.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.0</var>\n		  Acceptance Of License. You are not required to accept this License since you have not signed it,\n			 however nothing else grants you permission to use, copy, distribute, modify, or create\n			 derivatives of either the Software or any Extensions created by a Contributor. These actions\n			 are prohibited by law if you do not accept this License. Therefore, by performing any of these\n			 actions You indicate Your acceptance of this License and Your agreement to be bound by all its\n			 terms and conditions. IF YOU DO NOT AGREE WITH ALL THE TERMS AND CONDITIONS OF THIS LICENSE DO\n			 NOT USE, MODIFY, CREATE DERIVATIVES, OR DISTRIBUTE THE SOFTWARE. IF IT IS IMPOSSIBLE FOR YOU\n			 TO COMPLY WITH ALL THE TERMS AND CONDITIONS OF THIS LICENSE THEN YOU CAN NOT USE, MODIFY,\n			 CREATE DERIVATIVES, OR DISTRIBUTE THE SOFTWARE.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.0</var>\n		  Grant of License From Licensor. Subject to the terms and conditions of this License, Licensor\n			 hereby grants You a world-wide, royalty-free, <var class=\"replaceable-license-text\"> non-exclusive</var> license, subject to Licensor&apos;s\n			 intellectual property rights, and any third party intellectual property claims derived from\n			 the Licensed Software under this License, to do the following:\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n		  Use, reproduce, modify, display, perform, sublicense and distribute Licensed Software and Your\n			 Extensions in both Source Code form or as an executable program.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n		  Create Derivative Works (as that term is defined under U.S. copyright law) of Licensed Software\n			 by adding to or deleting from the substance or structure of said Licensed Software.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3</var>\n		  Under claims of patents now or hereafter owned or controlled by Licensor, to make, use, have\n			 made, and/or otherwise dispose of Licensed Software or portions thereof, but solely to the\n			 extent that any such claim is necessary to enable You to make, use, have made, and/or\n			 otherwise dispose of Licensed Software or portions thereof.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4</var>\n		  Licensor reserves the right to release new versions of the Software with different features,\n			 specifications, capabilities, functions, licensing terms, general availability or other\n			 characteristics. Title, ownership rights, and intellectual property rights in and to the\n			 Licensed Software shall remain in Licensor and/or its Contributors.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.0</var>\n		  Grant of License From Contributor. By application of the provisions in Section 6 below, each\n			 Contributor hereby grants You a world-wide, <var class=\"replaceable-license-text\"> royalty-free</var>, non-exclusive license, subject to\n			 said Contributor&apos;s intellectual property rights, and any third party intellectual property\n			 claims derived from the Licensed Software under this License, to do the following:\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.1</var>\n		  Use, reproduce, modify, display, perform, sublicense and distribute any Extensions Deployed by\n			 such Contributor or portions thereof, in both Source Code form or as an executable program,\n			 either on an unmodified basis or as part of Derivative Works.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.2</var>\n		  Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, have\n			 made, and/or otherwise dispose of Extensions or portions thereof, but solely to the extent\n			 that any such claim is necessary to enable You to make, use, have made, and/or otherwise\n			 dispose of Licensed Software or portions thereof.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.0</var>\n		  Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to\n			 trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor\n			 or any Contributor except as expressly stated herein. Except as expressly stated in Sections 3\n			 and 4, no other patent rights, express or implied, are granted herein. Your Extensions may\n			 require additional patent licenses from Licensor or Contributors which each may grant in its\n			 sole discretion. No right is granted to the trademarks of Licensor or any Contributor even if\n			 such marks are included in the Licensed Software. Nothing in this License shall be interpreted\n			 to prohibit Licensor from licensing under different terms from this License any code that\n			 Licensor otherwise would have a right to license.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.1</var>\n		  You expressly acknowledge and agree that although Licensor and each Contributor grants the\n			 licenses to their respective portions of the Licensed Software set forth herein, no assurances\n			 are provided by Licensor or any Contributor that the Licensed Software does not infringe the\n			 patent or other intellectual property rights of any other entity. Licensor and each\n			 Contributor disclaim any liability to You for claims brought by any other entity based on\n			 infringement of intellectual property rights or otherwise. As a condition to exercising the\n			 rights and licenses granted hereunder, You hereby assume sole responsibility to secure any\n			 other intellectual property rights needed, if any. For example, if a third party patent\n			 license is required to allow You to distribute the Licensed Software, it is Your\n			 responsibility to acquire that license before distributing the Licensed Software.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.0</var>\n		  Your Obligations And Grants. In consideration of, and as an express condition to, the licenses\n			 granted to You under this License You hereby agree that any Modifications, Derivative Works,\n			 or Required Components (collectively Extensions) that You create or to which You contribute\n			 are governed by the terms of this License including, without limitation, Section 4. Any\n			 Extensions that You create or to which You contribute must be Deployed under the terms of this\n			 License or a future version of this License released under Section 7. You hereby grant to\n			 Licensor and all third parties a world-wide, non-exclusive, royalty-free license under those\n			 intellectual property rights You own or control to use, reproduce, display, perform, modify,\n			 create derivatives, sublicense, and distribute Licensed Software, in any form. Any Extensions\n			 You make and Deploy must have a distinct title so as to readily tell any subsequent user or\n			 Contributor that the Extensions are by You. You must include a copy of this License or\n			 directions on how to obtain a copy with every copy of the Extensions You distribute. You agree\n			 not to offer or impose any terms on any Source Code or executable version of the Licensed\n			 Software, or its Extensions that alter or restrict the applicable version of this License or\n			 the recipients&apos; rights hereunder.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1</var>\n		  Availability of Source Code. You must make available, under the terms of this License, the Source\n			 Code of any Extensions that You Deploy, via an Electronic Distribution Mechanism. The Source\n			 Code for any version that You Deploy must be made available within one (1) month of when you\n			 Deploy and must remain available for no less than twelve (12) months after the date You cease\n			 to Deploy. You are responsible for ensuring that the Source Code to each version You Deploy\n			 remains available even if the Electronic Distribution Mechanism is maintained by a third\n			 party. You may not charge a fee for any copy of the Source Code distributed under this Section\n			 in excess of Your actual cost of duplication and distribution of said copy.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2</var>\n		  Description of Modifications. You must cause any Modifications that You create or to which You\n			 contribute to be documented in the Source Code, clearly describing the additions, changes or\n			 deletions You made. You must include a prominent statement that the Modifications are derived,\n			 directly or indirectly, from the Licensed Software and include the names of the Licensor and\n			 any Contributor to the Licensed Software in (i) the Source Code and (ii) in any notice\n			 displayed by the Licensed Software You distribute or in related documentation in which You\n			 describe the origin or ownership of the Licensed Software. You may not modify or delete any\n			 pre-existing copyright notices, change notices or License text in the Licensed Software\n			 without written permission of the respective Licensor or Contributor.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3</var>\n		  Intellectual Property Matters.\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n			  Third Party Claims. If You have knowledge that a license to a third party&apos;s intellectual property\n				 right is required to exercise the rights granted by this License, You must include a\n				 human-readable file with Your distribution that describes the claim and the party making the\n				 claim in sufficient detail that a recipient will know whom to contact.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n			  Contributor APIs. If Your Extensions include an application programming interface (&quot;API&quot;) and You\n				 have knowledge of patent licenses that are reasonably necessary to implement that API, You\n				 must also include this information in a human-readable file supplied with Your\n				 distribution.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> c.</var>\n			  Representations. You represent that, except as disclosed pursuant to 6.3(a) above, You believe\n				 that any Extensions You distribute are Your original creations and that You have sufficient\n				 rights to grant the rights conveyed by this License.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.4</var>\n		  Required Notices.\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n			  License Text. You must duplicate this License or instructions on how to acquire a copy in any\n				 documentation You provide along with the Source Code of any Extensions You create or to which\n				 You contribute, wherever You describe recipients&apos; rights relating to Licensed Software.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n			  License Notice. You must duplicate any notice contained in EXHIBIT A (the &quot;License Notice&quot;) in\n				 each file of the Source Code of any copy You distribute of the Licensed Software and Your\n				 Extensions. If You create an Extension, You may add Your name as a Contributor to the Source\n				 Code and accompanying documentation along with a description of the contribution. If it is not\n				 possible to put the License Notice in a particular Source Code file due to its structure, then\n				 You must include such License Notice in a location where a user would be likely to look for\n				 such a notice.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> c.</var>\n			  Source Code Availability. You must notify the software community of the availability of Source\n				 Code to Your Extensions within one (1) month of the date You initially Deploy and include in\n				 such notification a description of the Extensions, and instructions on how to acquire the\n				 Source Code. Should such instructions change you must notify the software community of revised\n				 instructions within one (1) month of the date of change. You must provide notification by\n				 posting to appropriate news groups, mailing lists, weblogs, or other sites where a publicly\n				 accessible search engine would reasonably be expected to index your post in relationship to\n				 queries regarding the Licensed Software and/or Your Extensions.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> d.</var>\n			  User-Visible Attribution. You must duplicate any notice contained in EXHIBIT B (the &quot;User-Visible\n				 Attribution Notice&quot;) in each user-visible display of the Licensed Software and Your Extensions\n				 which delineates copyright, ownership, or similar attribution information. If You create an\n				 Extension, You may add Your name as a Contributor, and add Your attribution notice, as an\n				 equally visible and functional element of any User-Visible Attribution Notice content. To\n				 ensure proper attribution, You must also include such User-Visible Attribution Notice in at\n				 least one location in the Software documentation where a user would be likely to look for such\n				 notice.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.5</var>\n		  Additional Terms. You may choose to offer, and charge a fee for, warranty, support, indemnity or\n			 liability obligations to one or more recipients of Licensed Software. However, You may do so\n			 only on Your own behalf, and not on behalf of the Licensor or any Contributor except as\n			 permitted under other agreements between you and Licensor or Contributor. You must make it\n			 clear that any such warranty, support, indemnity or liability obligation is offered by You\n			 alone, and You hereby agree to indemnify the Licensor and every Contributor for any liability\n			 plus attorney fees, costs, and related expenses due to any such action or claim incurred by\n			 the Licensor or such Contributor as a result of warranty, support, indemnity or liability\n			 terms You offer.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.6</var>\n		  Conflicts With Other Licenses. Where any portion of Your Extensions, by virtue of being\n			 Derivative Works of another product or similar circumstance, fall under the terms of another\n			 license, the terms of that license should be honored however You must also make Your\n			 Extensions available under this License. If the terms of this License continue to conflict\n			 with the terms of the other license you may write the Licensor for permission to resolve the\n			 conflict in a fashion that remains consistent with the intent of this License. Such permission\n			 will be granted at the sole discretion of the Licensor.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.0</var>\n		  Versions of This License. Licensor may publish from time to time revised versions of the License.\n			 Once Licensed Software has been published under a particular version of the License, You may\n			 always continue to use it under the terms of that version. You may also choose to use such\n			 Licensed Software under the terms of any subsequent version of the License published by\n			 Licensor. No one other than Licensor has the right to modify the terms applicable to Licensed\n			 Software created under this License.\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.1</var>\n		  If You create or use a modified version of this License, which You may do only in order to apply\n			 it to software that is not already Licensed Software under this License, You must rename Your\n			 license so that it is not confusingly similar to this License, and must make it clear that\n			 Your license contains terms that differ from this License. In so naming Your license, You may\n			 not use any trademark of Licensor or of any Contributor. Should Your modifications to this\n			 License be limited to alteration of a) Section 13.8 solely to modify the legal Jurisdiction or\n			 Venue for disputes, b) EXHIBIT A solely to define License Notice text, or c) to EXHIBIT B\n			 solely to define a User-Visible Attribution Notice, You may continue to refer to Your License\n			 as the Reciprocal Public License or simply the RPL.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.0</var>\n		  Disclaimer of Warranty. LICENSED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS,\n			 WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\n			 WARRANTIES THAT THE LICENSED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\n			 PURPOSE OR NON-INFRINGING. FURTHER THERE IS NO WARRANTY MADE AND ALL IMPLIED WARRANTIES ARE\n			 DISCLAIMED THAT THE LICENSED SOFTWARE MEETS OR COMPLIES WITH ANY DESCRIPTION OF PERFORMANCE OR\n			 OPERATION, SAID COMPATIBILITY AND SUITABILITY BEING YOUR RESPONSIBILITY. LICENSOR DISCLAIMS\n			 ANY WARRANTY, IMPLIED OR EXPRESSED, THAT ANY CONTRIBUTOR&apos;S EXTENSIONS MEET ANY STANDARD OF\n			 COMPATIBILITY OR DESCRIPTION OF PERFORMANCE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\n			 OF THE LICENSED SOFTWARE IS WITH YOU. SHOULD LICENSED SOFTWARE PROVE DEFECTIVE IN ANY RESPECT,\n			 YOU (AND NOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY\n			 SERVICING, REPAIR OR CORRECTION. UNDER THE TERMS OF THIS LICENSOR WILL NOT SUPPORT THIS\n			 SOFTWARE AND IS UNDER NO OBLIGATION TO ISSUE UPDATES TO THIS SOFTWARE. LICENSOR HAS NO\n			 KNOWLEDGE OF ERRANT CODE OR VIRUS IN THIS SOFTWARE, BUT DOES NOT WARRANT THAT THE SOFTWARE IS\n			 FREE FROM SUCH ERRORS OR VIRUSES. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF\n			 THIS LICENSE. NO USE OF LICENSED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS\n			 DISCLAIMER.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.0</var>\n		  Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT\n			 (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY\n			 DISTRIBUTOR OF LICENSED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY\n			 PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER\n			 INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE\n			 OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL\n			 HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT\n			 APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE\n			 EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION\n			 OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT\n			 APPLY TO YOU.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.0</var>\n		  High Risk Activities. THE LICENSED SOFTWARE IS NOT FAULT-TOLERANT AND IS NOT DESIGNED,\n			 MANUFACTURED, OR INTENDED FOR USE OR DISTRIBUTION AS ON-LINE CONTROL EQUIPMENT IN HAZARDOUS\n			 ENVIRONMENTS REQUIRING FAIL-SAFE PERFORMANCE, SUCH AS IN THE OPERATION OF NUCLEAR FACILITIES,\n			 AIRCRAFT NAVIGATION OR COMMUNICATIONS SYSTEMS, AIR TRAFFIC CONTROL, DIRECT LIFE SUPPORT\n			 MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE LICENSED SOFTWARE COULD LEAD\n			 DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE (&quot;HIGH RISK\n			 ACTIVITIES&quot;). LICENSOR AND CONTRIBUTORS SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED WARRANTY\n			 OF FITNESS FOR HIGH RISK ACTIVITIES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.0</var>\n		  Responsibility for Claims. As between Licensor and Contributors, each party is responsible for\n			 claims and damages arising, directly or indirectly, out of its utilization of rights under\n			 this License which specifically disclaims warranties and limits any liability of the Licensor.\n			 This paragraph is to be used in conjunction with and controlled by the Disclaimer Of\n			 Warranties of Section 8, the Limitation Of Damages in Section 9, and the disclaimer against\n			 use for High Risk Activities in Section 10. The Licensor has thereby disclaimed all warranties\n			 and limited any damages that it is or may be liable for. You agree to work with Licensor and\n			 Contributors to distribute such responsibility on an equitable basis consistent with the terms\n			 of this License including Sections 8, 9, and 10. Nothing herein is intended or shall be deemed\n			 to constitute any admission of liability.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.0</var>\n		  Termination. This License and all rights granted hereunder will terminate immediately in the\n			 event of the circumstances described in Section 13.6 or if applicable law prohibits or\n			 restricts You from fully and or specifically complying with Sections 3, 4 and/or 6, or\n			 prevents the enforceability of any of those Sections, and You must immediately discontinue any\n			 use of Licensed Software.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.1</var>\n		  Automatic Termination Upon Breach. This License and the rights granted hereunder will terminate\n			 automatically if You fail to comply with the terms herein and fail to cure such breach within\n			 thirty (30) days of becoming aware of the breach. All sublicenses to the Licensed Software\n			 that are properly granted shall survive any termination of this License. Provisions that, by\n			 their nature, must remain in effect beyond the termination of this License, shall survive.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.2</var>\n		  Termination Upon Assertion of Patent Infringement. If You initiate litigation by asserting a\n			 patent infringement claim (excluding declaratory judgment actions) against Licensor or a\n			 Contributor (Licensor or Contributor against whom You file such an action is referred to\n			 herein as &quot;Respondent&quot;) alleging that Licensed Software directly or indirectly infringes any\n			 patent, then any and all rights granted by such Respondent to You under Sections 3 or 4 of\n			 this License shall terminate prospectively upon sixty (60) days notice from Respondent (the\n			 &quot;Notice Period&quot;) unless within that Notice Period You either agree in writing (i) to pay\n			 Respondent a mutually agreeable reasonably royalty for Your past or future use of Licensed\n			 Software made by such Respondent, or (ii) withdraw Your litigation claim with respect to\n			 Licensed Software against such Respondent. If within said Notice Period a reasonable royalty\n			 and payment arrangement are not mutually agreed upon in writing by the parties or the\n			 litigation claim is not withdrawn, the rights granted by Licensor to You under Sections 3 and\n			 4 automatically terminate at the expiration of said Notice Period.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.3</var>\n		  Reasonable Value of This License. If You assert a patent infringement claim against Respondent\n			 alleging that Licensed Software directly or indirectly infringes any patent where such claim\n			 is resolved (such as by license or settlement) prior to the initiation of patent infringement\n			 litigation, then the reasonable value of the licenses granted by said Respondent under\n			 Sections 3 and 4 shall be taken into account in determining the amount or value of any payment\n			 or license.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.4</var>\n		  No Retroactive Effect of Termination. In the event of termination under this Section all end user\n			 license agreements (excluding licenses to distributors and resellers) that have been validly\n			 granted by You or any distributor hereunder prior to termination shall survive\n			 termination.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.0</var>\n		  Miscellaneous.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.1</var>\n		  U.S. Government End Users. The Licensed Software is a &quot;commercial item,&quot; as that term is defined\n			 in 48 C.F.R. 2.101 (Oct. 1995), consisting of &quot;commercial computer software&quot; and &quot;commercial\n			 computer software documentation,&quot; as such terms are used in 48 C.F.R. 12.212 (Sept. 1995).\n			 Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all\n			 U.S. Government End Users acquire Licensed Software with only those rights set forth\n			 herein.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.2</var>\n		  Relationship of Parties. This License will not be consTrued as creating an agency, partnership,\n			 joint venture, or any other form of legal association between or among You, Licensor, or any\n			 Contributor, and You will not represent to the contrary, whether expressly, by implication,\n			 appearance, or otherwise.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.3</var>\n		  Independent Development. Nothing in this License will impair Licensor&apos;s right to acquire,\n			 license, develop, subcontract, market, or distribute technology or products that perform the\n			 same or similar functions as, or otherwise compete with, Extensions that You may develop,\n			 produce, market, or distribute.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.4</var>\n		  Consent To Breach Not Waiver. Failure by Licensor or Contributor to enforce any provision of this\n			 License will not be deemed a waiver of future enforcement of that or any other provision.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.5</var>\n		  Severability. This License represents the complete agreement concerning the subject matter\n			 hereof. If any provision of this License is held to be unenforceable, such provision shall be\n			 reformed only to the extent necessary to make it enforceable.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.6</var>\n		  Inability to Comply Due to Statute or Regulation. If it is impossible for You to comply with any\n			 of the terms of this License with respect to some or all of the Licensed Software due to\n			 statute, judicial order, or regulation, then You cannot use, modify, or distribute the\n			 software.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.7</var>\n		  Export Restrictions. You may be restricted with respect to downloading or otherwise acquiring,\n			 exporting, or reexporting the Licensed Software or any underlying information or technology by\n			 United States and other applicable laws and regulations. By downloading or by otherwise\n			 obtaining the Licensed Software, You are agreeing to be responsible for compliance with all\n			 applicable laws and regulations.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.8</var>\n		  Arbitration, Jurisdiction &amp; Venue. This License shall be governed by Colorado law provisions\n			 (except to the extent applicable law, if any, provides otherwise), excluding its\n			 conflict-of-law provisions. You expressly agree that any dispute relating to this License\n			 shall be submitted to binding arbitration under the rules then prevailing of the American\n			 Arbitration Association. You further agree that Adams County, Colorado USA is proper venue and\n			 grant such arbitration proceeding jurisdiction as may be appropriate for purposes of resolving\n			 any dispute under this License. Judgement upon any award made in arbitration may be entered\n			 and enforced in any court of competent jurisdiction. The arbitrator shall award attorney&apos;s\n			 fees and costs of arbitration to the prevailing party. Should either party find it necessary\n			 to enforce its arbitration award or seek specific performance of such award in a civil court\n			 of competent jurisdiction, the prevailing party shall be entitled to reasonable attorney&apos;s\n			 fees and costs. The application of the United Nations Convention on Contracts for the\n			 International Sale of Goods is expressly excluded. You and Licensor expressly waive any rights\n			 to a jury trial in any litigation concerning Licensed Software or this License. Any law or\n			 regulation that provides that the language of a contract shall be consTrued against the\n			 drafter shall not apply to this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.9</var>\n		  Entire Agreement. This License constitutes the entire agreement between the parties with respect\n			 to the subject matter hereof.\n		</li>\n			\n</ul>\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A</p>\n\n		 <p>The License Notice below must appear in each file of the Source Code of any copy You distribute of the\n		 Licensed Software or any Extensions thereto:</p>\n\n		 <p>Unless explicitly acquired and licensed from Licensor under another license, the contents of this file\n		 are subject to the Reciprocal Public License (&quot;RPL&quot;) Version 1.5, or subsequent versions as allowed by\n		 the RPL, and You may not copy or use this file in either source code or executable form, except in\n		 compliance with the terms and conditions of the RPL.</p>\n\n		 <p>All software distributed under the RPL is provided strictly on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF ANY\n		 KIND, EITHER EXPRESS OR IMPLIED, AND LICENSOR HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT\n		 LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT, OR\n		 NON-INFRINGEMENT. See the RPL for specific language governing rights and limitations under the\n		 RPL.</p>\n\n		 <p>EXHIBIT B</p>\n\n		 <p>The User-Visible Attribution Notice below, when provided, must appear in each user-visible display as\n		 defined in Section 6.4 (d):</p>\n\n	  </div>\n	"
		self.python_name = "RPL15"

	def __str__(self):
		return json.dumps(self.__dict__)


class Spencer94:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1992, 1993, 1994 Henry Spencer.  All rights reserved.\nThis software is not subject to any license of the American Telephone and Telegraph Company or of the Regents of the University of California.\n\nPermission is granted to anyone to use this software for any purpose on any computer system, and to alter it and redistribute it, subject to the following restrictions:\n\n1. The author is not responsible for the consequences of use of this software, no matter how awful, even if they arise from flaws in it.\n\n2. The origin of this software must not be misrepresented, either by explicit claim or by omission.  Since few users ever read sources, credits must appear in the documentation.\n\n3. Altered versions must be plainly marked as such, and must not be misrepresented as being the original software.  Since few users ever read sources, credits must appear in the documentation.\n\n4. This notice may not be removed or altered.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright YEAR NAME. All rights reserved.  Written by NAME  \";match=\".{0,5000}\">>\n\nThis software is not subject to any license of the American Telephone and Telegraph Company or of the Regents of the University of California.\n\nPermission is granted to anyone to use this software for any purpose on any computer system, and to alter it and redistribute it<<beginOptional>> freely<<endOptional>> , subject to the following restrictions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The author is not responsible for the consequences of use of this software, no matter how awful, even if they arise from flaws in it.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> The origin of this software must not be misrepresented, either by explicit claim or by omission. Since few users ever read sources, credits must appear in the documentation.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Altered versions must be plainly marked as such, and must not be misrepresented as being the original software. Since few users ever read sources, credits must appear in the documentation.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> This notice may not be removed or altered."
		self.name = "Spencer License 94"
		self.licenseId = "Spencer-94"
		self.crossRef = [{"match": "False", "url": "https://metacpan.org/release/KNOK/File-MMagic-1.30/source/COPYING#L28", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:39Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Henry_Spencer_Reg-Ex_Library_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:39Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Henry_Spencer_Reg-Ex_Library_License", "https://metacpan.org/release/KNOK/File-MMagic-1.30/source/COPYING#L28"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright YEAR NAME. All rights reserved.\n		 <br />\n\nWritten by NAME</p>\n\n	  </div>\n\n	  <p>This software is not subject to any license of the American Telephone and Telegraph Company or of the\n		 Regents of the University of California.\n	  <br />\n\nPermission is granted to anyone to use this software for any purpose on any computer system, and to alter it\n		 and redistribute it <var class=\"optional-license-text\"> freely</var>, subject to the following restrictions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  The author is not responsible for the consequences of use of this software, no matter how awful, even\n			 if they arise from flaws in it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  The origin of this software must not be misrepresented, either by explicit claim or by omission.\n			 Since few users ever read sources, credits must appear in the documentation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Altered versions must be plainly marked as such, and must not be misrepresented as being the original\n			 software. Since few users ever read sources, credits must appear in the documentation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  This notice may not be removed or altered.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "Spencer94"

	def __str__(self):
		return json.dumps(self.__dict__)


class SunPPP:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2001 by Sun Microsystems, Inc.\nAll rights reserved.\n\nNon-exclusive rights to redistribute, modify, translate, and use\nthis software in source and binary forms, in whole or in part, is\nhereby granted, provided that the above copyright notice is\nduplicated in any source form, and that neither the name of the\ncopyright holder nor the author is used to endorse or promote\nproducts derived from this software.\n\nTHIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR\nIMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED\nWARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2001 by Sun Microsystems, Inc.  All rights reserved.\";match=\".{0,5000}\">>\n\nNon-exclusive rights to redistribute, modify, translate, and use this software in source and binary forms, in whole or in part, is hereby granted, provided that the above copyright notice is duplicated in any source form, and that neither the name of the copyright holder nor the author is used to endorse or promote products derived from this software.\n\nTHIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\n"
		self.name = "Sun PPP License"
		self.licenseId = "Sun-PPP"
		self.crossRef = [{"match": "False", "url": "https://github.com/ppp-project/ppp/blob/master/pppd/eap.c#L7-L16", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:48Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/ppp-project/ppp/blob/master/pppd/eap.c#L7-L16"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n		   Copyright (c) 2001 by Sun Microsystems, Inc.<br />\n\n		   All rights reserved.\n		 </var>\n		 <p>\n		   Non-exclusive rights to redistribute, modify, translate, and use\n		   this software in source and binary forms, in whole or in part, is\n		   hereby granted, provided that the above copyright notice is\n		   duplicated in any source form, and that neither the name of the\n		   copyright holder nor the author is used to endorse or promote\n		   products derived from this software.\n		 </p>\n\n		 <p>\n		   THIS SOFTWARE IS PROVIDED ``AS IS&apos;&apos; AND WITHOUT ANY EXPRESS OR\n		   IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED\n		   WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n		 </p>\n\n	  "
		self.python_name = "SunPPP"

	def __str__(self):
		return json.dumps(self.__dict__)


class Artistic10cl8:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The Artistic License\n\nPreamble\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n	 \"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n	 \"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n	 \"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n	 \"You\" is you, if you're thinking about copying or distributing this Package.\n\n	 \"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n	 \"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	 a) place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as ftp.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n	 b) use the modified Package only within your corporation or organization.\n	 c) rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n	 d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	 a) distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n	 b) accompany the distribution with the machine-readable source of the Package with your modifications.\n	 c) accompany any non-standard executables with their corresponding Standard Version executables, giving the non-standard executables non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n	 d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n7. C or perl subroutines supplied by you and linked into this Package shall not be considered part of this Package.\n\n8.Aggregation of this Package with a commercial distribution is always permitted provided that the use of this Package is embedded; that is, when no overt attempt is made to make this Package's interfaces visible to the end user of the commercial distribution. Such use shall not be consTrued as a distribution of this Package.\n\n9. The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n10. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\nThe End\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Artistic License\n\n<<endOptional>>\n\nPreamble\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n\"You\" is you, if you're thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as ftp.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> use the modified Package only within your corporation or organization.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> accompany any non-standard executables with their corresponding Standard Version executables, giving the non-standard executables non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> C or perl subroutines supplied by you and linked into this Package shall not be considered part of this Package.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Aggregation of this Package with a commercial distribution is always permitted provided that the use of this Package is embedded; that is, when no overt attempt is made to make this Package's interfaces visible to the end user of the commercial distribution. Such use shall not be consTrued as a distribution of this Package.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.<<beginOptional>> The End\n\n<<endOptional>>"
		self.name = "Artistic License 1.0 w/clause 8"
		self.licenseComments = "This license was superseded by v2.0. This is Artistic License 1.0 as found on OSI site, including clause 8."
		self.licenseId = "Artistic-1.0-cl8"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Artistic-1.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:41Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/Artistic-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Artistic License</p>\n\n	  </div>\n\n	  <p>Preamble</p>\n\n	  <p>The intent of this document is to state the conditions under which a Package may be copied, such that the\n		 Copyright Holder maintains some semblance of artistic control over the development of the package,\n		 while giving the users of the package the right to use and distribute the Package in a more-or-less\n		 customary fashion, plus the right to make reasonable modifications.</p>\n\n	  <p>Definitions:</p>\n\n	  <p>&quot;Package&quot; refers to the collection of files distributed by the Copyright Holder, and\n		 derivatives of that collection of files created through textual modification.</p>\n\n	  <p>&quot;Standard Version&quot; refers to such a Package if it has not been modified, or has been modified\n		 in accordance with the wishes of the Copyright Holder.</p>\n\n	  <p>&quot;Copyright Holder&quot; is whoever is named in the copyright or copyrights for the package.</p>\n\n	  <p>&quot;You&quot; is you, if you&apos;re thinking about copying or distributing this Package.</p>\n\n	  <p>&quot;Reasonable copying fee&quot; is whatever you can justify on the basis of media cost, duplication\n		 charges, time of people involved, and so on. (You will not be required to justify it to the Copyright\n		 Holder, but only to the computing community at large as a market that must bear the fee.)</p>\n\n	  <p>&quot;Freely Available&quot; means that no fee is charged for the item itself, though there may be fees\n		 involved in handling the item. It also means that recipients of the item may redistribute it under the\n		 same conditions they received it.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may make and give away verbatim copies of the source form of the Standard Version of this\n			 Package without restriction, provided that you duplicate all of the original copyright notices\n			 and associated disclaimers.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may apply bug fixes, portability fixes and other modifications derived from the Public Domain\n			 or from the Copyright Holder. A Package modified in such a way shall still be considered the\n			 Standard Version.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may otherwise modify your copy of this Package in any way, provided that you insert a\n			 prominent notice in each changed file stating how and when you changed that file, and provided\n			 that you do at least ONE of the following:\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			  place your modifications in the Public Domain or otherwise make them Freely Available, such\n				 as by posting said modifications to Usenet or an equivalent medium, or placing the\n				 modifications on a major archive site such as ftp.uu.net, or by allowing the Copyright\n				 Holder to include your modifications in the Standard Version of the Package.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			  use the modified Package only within your corporation or organization.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			  rename any non-standard executables so the names do not conflict with standard executables,\n				 which must also be provided, and provide a separate manual page for each non-standard\n				 executable that clearly documents how it differs from the Standard Version.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			  make other distribution arrangements with the Copyright Holder.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may distribute the programs of this Package in object code or executable form, provided that\n			 you do at least ONE of the following:\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			  distribute a Standard Version of the executables and library files, together with\n				 instructions (in the manual page or equivalent) on where to get the Standard Version.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			  accompany the distribution with the machine-readable source of the Package with your modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			  accompany any non-standard executables with their corresponding Standard Version executables,\n				 giving the non-standard executables non-standard names, and clearly documenting the\n				 differences in manual pages (or equivalent), together with instructions on where to get\n				 the Standard Version.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			  make other distribution arrangements with the Copyright Holder.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may charge a reasonable copying fee for any distribution of this Package. You may charge any\n			 fee you choose for support of this Package. You may not charge a fee for this Package itself.\n			 However, you may distribute this Package in aggregate with other (possibly commercial)\n			 programs as part of a larger (possibly commercial) software distribution provided that you do\n			 not advertise this Package as a product of your own.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The scripts and library files supplied as input to or produced as output from the programs of\n			 this Package do not automatically fall under the copyright of this Package, but belong to\n			 whomever generated them, and may be sold commercially, and may be aggregated with this\n			 Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  C or perl subroutines supplied by you and linked into this Package shall not be considered part\n			 of this Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Aggregation of this Package with a commercial distribution is always permitted provided that\n			 the use of this Package is embedded; that is, when no overt attempt is made to make this\n			 Package&apos;s interfaces visible to the end user of the commercial distribution. Such use\n			 shall not be consTrued as a distribution of this Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  The name of the Copyright Holder may not be used to endorse or promote products derived from this\n			 software without specific prior written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  THIS PACKAGE IS PROVIDED &quot;AS IS&quot; AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\n			 INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A\n			 PARTICULAR PURPOSE.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>The End</p>\n\n	  </div>\n	"
		self.python_name = "Artistic10cl8"

	def __str__(self):
		return json.dumps(self.__dict__)


class Imlib2:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Imlib2 License\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies of the Software and its Copyright notices. In addition publicly documented acknowledgment must be given that this software has been used if no source code of this software is made available publicly. Making the source available publicly means including the source for this software with the distribution, or a method to get this software via some reasonable mechanism (electronic transfer via a network or media) as well as making an offer to supply the source on request. This Copyright notice serves as an offer to supply the source on on request as well. Instead of this, supplying acknowledgments of use of this software in either Copyright notices, Manuals, Publicity and Marketing documents or any documentation provided with any product containing this software. This License does not apply to any software that links to the libraries provided by this software (statically or dynamically), but only to the software provided.\n\nPlease see the COPYING-PLAIN for a plain-english explanation of this notice and its intent.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Imlib2 License\n\n<<endOptional>>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies of the Software and its Copyright notices. In addition publicly documented acknowledgment must be given that this software has been used if no source code of this software is made available publicly. Making the source available publicly means including the source for this software with the distribution, or a method to get this software via some reasonable mechanism (electronic transfer via a network or media) as well as making an offer to supply the source on request. This Copyright notice serves as an offer to supply the source on on request as well. Instead of this, supplying acknowledgments of use of this software in either Copyright notices, Manuals, Publicity and Marketing documents or any documentation provided with any product containing this software. This License does not apply to any software that links to the libraries provided by this software (statically or dynamically), but only to the software provided.\n\nPlease see the COPYING-PLAIN for a plain-english explanation of this notice and its intent.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.name = "Imlib2 License"
		self.licenseId = "Imlib2"
		self.crossRef = [{"match": "N/A", "url": "http://trac.enlightenment.org/e/browser/trunk/imlib2/COPYING", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:17:28Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://git.enlightenment.org/legacy/imlib2.git/tree/COPYING", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:17:28Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["http://trac.enlightenment.org/e/browser/trunk/imlib2/COPYING", "https://git.enlightenment.org/legacy/imlib2.git/tree/COPYING"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Imlib2 License</p>\n\n	  </div>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and\n		 associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,\n		 including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,\n		 and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,\n		 subject to the following conditions:</p>\n\n	  <p>The above copyright notice and this permission notice shall be included in all copies of the Software and\n		 its Copyright notices. In addition publicly documented acknowledgment must be given that this software\n		 has been used if no source code of this software is made available publicly. Making the source\n		 available publicly means including the source for this software with the distribution, or a method to\n		 get this software via some reasonable mechanism (electronic transfer via a network or media) as well\n		 as making an offer to supply the source on request. This Copyright notice serves as an offer to supply\n		 the source on on request as well. Instead of this, supplying acknowledgments of use of this software\n		 in either Copyright notices, Manuals, Publicity and Marketing documents or any documentation provided\n		 with any product containing this software. This License does not apply to any software that links to\n		 the libraries provided by this software (statically or dynamically), but only to the software\n		 provided.</p>\n\n	  <p>Please see the COPYING-PLAIN for a plain-english explanation of this notice and its intent.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\n		 OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR\n		 OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	"
		self.python_name = "Imlib2"

	def __str__(self):
		return json.dumps(self.__dict__)


class Unlicense:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "This is free and unencumbered software released into the public domain.\n\nAnyone is free to copy, modify, publish, use, compile, sell, or distribute this software, either in source code form or as a compiled binary, for any purpose, commercial or non-commercial, and by any means.\n\nIn jurisdictions that recognize copyright laws, the author or authors of this software dedicate any and all copyright interest in the software to the public domain. We make this dedication for the benefit of the public at large and to the detriment of our heirs and\nsuccessors. We intend this dedication to be an overt act of relinquishment in perpetuity of all present and future rights to this software under copyright law.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nFor more information, please refer to <http://unlicense.org/>\n"
		self.standardLicenseTemplate = "This is free and unencumbered software released into the public domain.\n\nAnyone is free to copy, modify, publish, use, compile, sell, or distribute this software, either in source code form or as a compiled binary, for any purpose, commercial or non-commercial, and by any means.\n\nIn jurisdictions that recognize copyright laws, the author or authors of this software dedicate any and all copyright interest in the software to the public domain. We make this dedication for the benefit of the public at large and to the detriment of our heirs and successors. We intend this dedication to be an overt act of relinquishment in perpetuity of all present and future rights to this software under copyright law.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n<<beginOptional>>For more information, please refer to <https://unlicense.org/>\n\n<<endOptional>>"
		self.name = "The Unlicense"
		self.licenseComments = "This is a public domain dedication"
		self.licenseId = "Unlicense"
		self.crossRef = [{"match": "False", "url": "https://unlicense.org/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:48Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://unlicense.org/"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <p>This is free and unencumbered software released into the public domain.</p>\n\n	  <p>Anyone is free to copy, modify, publish, use, compile, sell, or distribute this software, either in\n		 source code form or as a compiled binary, for any purpose, commercial or non-commercial, and by any\n		 means.</p>\n\n	  <p>In jurisdictions that recognize copyright laws, the author or authors of this software dedicate any and\n		 all copyright interest in the software to the public domain. We make this dedication for the benefit\n		 of the public at large and to the detriment of our heirs and\n		successors. We intend this dedication to be an overt act of relinquishment in perpetuity of all\n			 present and future rights to this software under copyright law.\n	  </p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\n		 OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR\n		 OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	  <div class=\"optional-license-text\"> <p>For more information, please refer to &lt;https://unlicense.org/&gt;</p>\n</div>\n	"
		self.python_name = "Unlicense"

	def __str__(self):
		return json.dumps(self.__dict__)


class EPICS:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "EPICS Open License Terms\n\nThe following is the text of the EPICS Open software license agreement which now applies to EPICS Base and many of the unbundled EPICS extensions and support modules.\n\nCopyright \u00a9 <YEAR> <HOLDERS>. All rights reserved.\n\n<PRODUCT> is distributed subject to the following license conditions:\n\nSOFTWARE LICENSE AGREEMENT\n\nSoftware: <PRODUCT>\n\n1. The \"Software\", below, refers to <PRODUCT> (in either source code, or binary form and accompanying documentation). Each licensee is addressed as \"you\" or \"Licensee.\"\n\n2. The copyright holders shown above and their third-party licensors hereby grant Licensee a royalty-free nonexclusive license, subject to the limitations stated herein and U.S. Government license rights.\n\n3. You may modify and make a copy or copies of the Software for use within your organization, if you meet the following conditions:\n\na. Copies in source code must include the copyright notice and this Software License Agreement.\nb. Copies in binary form must include the copyright notice and this Software License Agreement in the documentation and/or other materials provided with the copy.\n\n4. You may modify a copy or copies of the Software or any portion of it, thus forming a work based on the Software, and distribute copies of such work outside your organization, if you meet all of the following conditions:\n\na. Copies in source code must include the copyright notice and this Software License Agreement;\nb. Copies in binary form must include the copyright notice and this Software License Agreement in the documentation and/or other materials provided with the copy;\nc. Modified copies and works based on the Software must carry prominent notices stating that you changed specified portions of the Software.\n\n5. Portions of the Software resulted from work developed under a U.S. Government contract and are subject to the following license: the Government is granted for itself and others acting on its behalf a paid-up, nonexclusive, irrevocable worldwide license in this computer software to reproduce, prepare derivative works, and perform publicly and display publicly.\n\n6. WARRANTY DISCLAIMER. THE SOFTWARE IS SUPPLIED \"AS IS\" WITHOUT WARRANTY OF ANY KIND. THE COPYRIGHT HOLDERS, THEIR THIRD PARTY LICENSORS, THE UNITED STATES, THE UNITED STATES DEPARTMENT OF ENERGY, AND THEIR EMPLOYEES: (1) DISCLAIM ANY WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE OR NON-INFRINGEMENT, (2) DO NOT ASSUME ANY LEGAL LIABILITY OR RESPONSIBILITY FOR THE ACCURACY, COMPLETENESS, OR USEFULNESS OF THE SOFTWARE, (3) DO NOT REPTHAT USE OF THE SOFTWARE WOULD NOT INFRINGE PRIVATELY OWNED RIGHTS, (4) DO NOT WARRANT THAT THE SOFTWARE WILL FUNCTION UNINTERRUPTED, THAT IT IS ERROR-FREE OR THAT ANY ERRORS WILL BE CORRECTED.\n\n7. LIMITATION OF LIABILITY. IN NO EVENT WILL THE COPYRIGHT HOLDERS, THEIR THIRD PARTY LICENSORS, THE UNITED STATES, THE UNITED STATES DEPARTMENT OF ENERGY, OR THEIR EMPLOYEES: BE LIABLE FOR ANY INDIRECT, INCIDENTAL, CONSEQUENTIAL, SPECIAL OR PUNITIVE DAMAGES OF ANY KIND OR NATURE, INCLUDING BUT NOT LIMITED TO LOSS OF PROFITS OR LOSS OF DATA, FOR ANY REASON WHATSOEVER, WHETHER SUCH LIABILITY IS ASSERTED ON THE BASIS OF CONTRACT, TORT (INCLUDING NEGLIGENCE OR STRICT LIABILITY), OR OTHERWISE, EVEN IF ANY OF SAID PARTIES HAS BEEN WARNED OF THE POSSIBILITY OF SUCH LOSS OR DAMAGES.\n"
		self.standardLicenseTemplate = "EPICS Open License Terms\n\nThe following is the text of the EPICS Open software license agreement which now applies to EPICS Base and many of the unbundled EPICS extensions and support modules.\n\n<<var;name=\"copyright\";original=\"Copyright \u00a9 <YEAR> <HOLDERS>. All rights reserved.  \";match=\".{0,5000}\">>\n\n<PRODUCT> is distributed subject to the following license conditions:\n\nSOFTWARE LICENSE AGREEMENT\n\nSoftware: <PRODUCT>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The \"Software\", below, refers to <PRODUCT> (in either source code, or binary form and accompanying documentation). Each licensee is addressed as \"you\" or \"Licensee.\"\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> The copyright holders shown above and their third-party licensors hereby grant Licensee a royalty-free nonexclusive license, subject to the limitations stated herein and U.S. Government license rights.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may modify and make a copy or copies of the Software for use within your organization, if you meet the following conditions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Copies in source code must include the copyright notice and this Software License Agreement.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Copies in binary form must include the copyright notice and this Software License Agreement in the documentation and/or other materials provided with the copy.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may modify a copy or copies of the Software or any portion of it, thus forming a work based on the Software, and distribute copies of such work outside your organization, if you meet all of the following conditions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Copies in source code must include the copyright notice and this Software License Agreement;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Copies in binary form must include the copyright notice and this Software License Agreement in the documentation and/or other materials provided with the copy;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Modified copies and works based on the Software must carry prominent notices stating that you changed specified portions of the Software.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Portions of the Software resulted from work developed under a U.S. Government contract and are subject to the following license: the Government is granted for itself and others acting on its behalf a paid-up, nonexclusive, irrevocable worldwide license in this computer software to reproduce, prepare derivative works, and perform publicly and display publicly.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> WARRANTY DISCLAIMER. THE SOFTWARE IS SUPPLIED \"AS IS\" WITHOUT WARRANTY OF ANY KIND. THE COPYRIGHT HOLDERS, THEIR THIRD PARTY LICENSORS, THE UNITED STATES, THE UNITED STATES DEPARTMENT OF ENERGY, AND THEIR EMPLOYEES: (1) DISCLAIM ANY WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE OR NON-INFRINGEMENT, (2) DO NOT ASSUME ANY LEGAL LIABILITY OR RESPONSIBILITY FOR THE ACCURACY, COMPLETENESS, OR USEFULNESS OF THE SOFTWARE, (3) DO NOT REPTHAT USE OF THE SOFTWARE WOULD NOT INFRINGE PRIVATELY OWNED RIGHTS, (4) DO NOT WARRANT THAT THE SOFTWARE WILL FUNCTION UNINTERRUPTED, THAT IT IS ERROR-FREE OR THAT ANY ERRORS WILL BE CORRECTED.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> LIMITATION OF LIABILITY. IN NO EVENT WILL THE COPYRIGHT HOLDERS, THEIR THIRD PARTY LICENSORS, THE UNITED STATES, THE UNITED STATES DEPARTMENT OF ENERGY, OR THEIR EMPLOYEES: BE LIABLE FOR ANY INDIRECT, INCIDENTAL, CONSEQUENTIAL, SPECIAL OR PUNITIVE DAMAGES OF ANY KIND OR NATURE, INCLUDING BUT NOT LIMITED TO LOSS OF PROFITS OR LOSS OF DATA, FOR ANY REASON WHATSOEVER, WHETHER SUCH LIABILITY IS ASSERTED ON THE BASIS OF CONTRACT, TORT (INCLUDING NEGLIGENCE OR STRICT LIABILITY), OR OTHERWISE, EVEN IF ANY OF SAID PARTIES HAS BEEN WARNED OF THE POSSIBILITY OF SUCH LOSS OR DAMAGES."
		self.name = "EPICS Open License"
		self.licenseId = "EPICS"
		self.crossRef = [{"match": "False", "url": "https://epics.anl.gov/license/open.php", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:38Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://epics.anl.gov/license/open.php"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>EPICS Open License Terms</p>\n\n	  <p>The following is the text of the EPICS Open software license agreement which now\n	  applies to EPICS Base and many of the unbundled EPICS extensions and support modules.</p>\n\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright \u00a9 &lt;YEAR&gt; &lt;HOLDERS&gt;. All rights reserved.</p>\n\n	  </div>\n	  <p>&lt;PRODUCT&gt; is distributed subject to the following license conditions:</p>\n\n	  <p>SOFTWARE LICENSE AGREEMENT</p>\n\n	  <p>Software: &lt;PRODUCT&gt;</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 1.</var>\n		  The &quot;Software&quot;, below, refers to &lt;PRODUCT&gt; (in either source code, or binary form\n		  and accompanying documentation). Each licensee is addressed as &quot;you&quot; or &quot;Licensee.&quot;\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 2.</var>\n		  The copyright holders shown above and their third-party licensors hereby grant Licensee a\n		  royalty-free nonexclusive license, subject to the limitations stated herein and U.S.\n		  Government license rights.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 3.</var>\n		  You may modify and make a copy or copies of the Software for use within your\n		  organization, if you meet the following conditions:\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> a.</var>\n				Copies in source code must include the copyright notice and this Software License\n				Agreement.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> b.</var>\n				Copies in binary form must include the copyright notice and this Software License\n				Agreement in the documentation and/or other materials provided with the copy.\n			</li>\n		  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 4.</var>\n		  You may modify a copy or copies of the Software or any portion of it, thus forming a work\n		  based on the Software, and distribute copies of such work outside your organization, if you\n		  meet all of the following conditions:\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> a.</var>\n				Copies in source code must include the copyright notice and this Software License\n				Agreement;\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> b.</var>\n				Copies in binary form must include the copyright notice and this Software License\n				Agreement in the documentation and/or other materials provided with the copy;\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> c.</var>\n				Modified copies and works based on the Software must carry prominent notices stating\n				that you changed specified portions of the Software.\n			</li>\n		  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 5.</var>\n		  Portions of the Software resulted from work developed under a U.S. Government contract\n		  and are subject to the following license: the Government is granted for itself and others\n		  acting on its behalf a paid-up, nonexclusive, irrevocable worldwide license in this computer\n		  software to reproduce, prepare derivative works, and perform publicly and display publicly.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 6.</var>\n		  WARRANTY DISCLAIMER. THE SOFTWARE IS SUPPLIED &quot;AS IS&quot; WITHOUT WARRANTY OF\n		  ANY KIND. THE COPYRIGHT HOLDERS, THEIR THIRD PARTY LICENSORS, THE UNITED\n		  STATES, THE UNITED STATES DEPARTMENT OF ENERGY, AND THEIR EMPLOYEES:\n		  (1) DISCLAIM ANY WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO\n		  ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,\n		  TITLE OR NON-INFRINGEMENT, (2) DO NOT ASSUME ANY LEGAL LIABILITY OR\n		  RESPONSIBILITY FOR THE ACCURACY, COMPLETENESS, OR USEFULNESS OF THE\n		  SOFTWARE, (3) DO NOT REPTHAT USE OF THE SOFTWARE WOULD NOT INFRINGE\n		  PRIVATELY OWNED RIGHTS, (4) DO NOT WARRANT THAT THE SOFTWARE WILL FUNCTION\n		  UNINTERRUPTED, THAT IT IS ERROR-FREE OR THAT ANY ERRORS WILL BE CORRECTED.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 7.</var>\n		  LIMITATION OF LIABILITY. IN NO EVENT WILL THE COPYRIGHT HOLDERS, THEIR THIRD\n		  PARTY LICENSORS, THE UNITED STATES, THE UNITED STATES DEPARTMENT OF ENERGY,\n		  OR THEIR EMPLOYEES: BE LIABLE FOR ANY INDIRECT, INCIDENTAL, CONSEQUENTIAL,\n		  SPECIAL OR PUNITIVE DAMAGES OF ANY KIND OR NATURE, INCLUDING BUT NOT LIMITED\n		  TO LOSS OF PROFITS OR LOSS OF DATA, FOR ANY REASON WHATSOEVER, WHETHER\n		  SUCH LIABILITY IS ASSERTED ON THE BASIS OF CONTRACT, TORT (INCLUDING\n		  NEGLIGENCE OR STRICT LIABILITY), OR OTHERWISE, EVEN IF ANY OF SAID PARTIES HAS\n		  BEEN WARNED OF THE POSSIBILITY OF SUCH LOSS OR DAMAGES.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "EPICS"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD3ClauseClear:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The Clear BSD License\n\nCopyright (c) [xxxx]-[xxxx] [Owner Organization]\nAll rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted (subject to the limitations in the disclaimer below) provided that the following conditions are met:\n\n	 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 * Neither the name of [Owner Organization] nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nNO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED BY THIS LICENSE. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Clear BSD License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) [xxxx]-[xxxx] [Owner Organization]  All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted (subject to the limitations in the disclaimer below) provided that the following conditions are met:\n\n	  <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	  <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	  <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Neither the name of <<var;name=\"organizationClause3\";original=\"[Owner Organization]\";match=\".+\">> nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nNO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED BY THIS LICENSE. THIS SOFTWARE IS PROVIDED BY <<var;name=\"copyrightHolderAsIs\";original=\"THE COPYRIGHT HOLDERS AND CONTRIBUTORS\";match=\".+\">> \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <<var;name=\"copyrightHolderLiability\";original=\"THE COPYRIGHT HOLDER OR CONTRIBUTORS\";match=\".+\">> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD 3-Clause Clear License"
		self.licenseComments = "This is same as BSD-3-Clause but with explicit statement as to no patent rights granted in last paragraph."
		self.licenseId = "BSD-3-Clause-Clear"
		self.crossRef = [{"match": "N/A", "url": "http://labs.metacarta.com/license-explanation.html#license", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:32Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://labs.metacarta.com/license-explanation.html#license"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Clear BSD License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) [xxxx]-[xxxx] [Owner Organization]\n			<br />\n\nAll rights reserved. \n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted (subject\n		 to the limitations in the disclaimer below) provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n\t\n<li>	  \n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			Redistributions of source code must retain the above copyright notice, this list of\n			   conditions and the following disclaimer.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			Redistributions in binary form must reproduce the above copyright notice, this list of\n			   conditions and the following disclaimer in the documentation and/or other materials\n			   provided with the distribution.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			Neither the name of\n			  <var class=\"replaceable-license-text\"> [Owner Organization]</var> nor the names of its\n			  contributors may be used to endorse or promote products derived from this software without\n			  specific prior written permission.\n\n		  </li>\n		\n</ul>\n\t</li>\n	  \n</ul>\n	  <p>NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY&apos;S PATENT RIGHTS ARE GRANTED BY THIS LICENSE. THIS\n		 SOFTWARE IS PROVIDED BY\n		<var class=\"replaceable-license-text\"> THE COPYRIGHT HOLDERS AND CONTRIBUTORS</var> &quot;AS\n		IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n		MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL\n		<var class=\"replaceable-license-text\"> THE COPYRIGHT HOLDER OR CONTRIBUTORS</var> BE LIABLE FOR\n		ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n		LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n	  </p>\n\n	"
		self.python_name = "BSD3ClauseClear"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSDAdvertisingAcknowledgement:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2001 David Giffin.\nAll rights reserved.\n\nRedistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions\nare met:\n\n1. Redistributions of source code must retain the above copyright\nnotice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright\nnotice, this list of conditions and the following disclaimer in\nthe documentation and/or other materials provided with the\ndistribution.\n\n3. All advertising materials mentioning features or use of this\nsoftware must display the following acknowledgment:\n\"This product includes software developed by\nDavid Giffin <david@giffin.org>.\"\n\n4. Redistributions of any form whatsoever must retain the following\nacknowledgment:\n\"This product includes software developed by\nDavid Giffin <david@giffin.org>.\"\n\nTHIS SOFTWARE IS PROVIDED BY DAVID GIFFIN ``AS IS'' AND ANY\nEXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\nPURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL DAVID GIFFIN OR\nITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\nNOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\nLOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\nHOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\nSTRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED\nOF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2001 David Giffin. All rights reserved.\";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> All advertising materials mentioning features or use of this software must display the following acknowledgment: \"This product includes software developed by <<var;name=\"nameClause3\";original=\"David Giffin <david@giffin.org>\";match=\".+\">> .\"\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Redistributions of any form whatsoever must retain the following acknowledgment: \"This product includes software developed by <<var;name=\"nameClause4\";original=\"David Giffin <david@giffin.org>\";match=\".+\">> .\"\n\nTHIS SOFTWARE IS PROVIDED BY <<var;name=\"nameDisclaimer\";original=\"DAVID GIFFIN\";match=\".+\">> ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <<var;name=\"nameDisclaimer2\";original=\"DAVID GIFFIN\";match=\".+\">> OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD Advertising Acknowledgement License"
		self.licenseComments = "This appears to be similar BSD-4-Clause, but replaces the \"no endorsement\" 4th clause with an attribution clause."
		self.licenseId = "BSD-Advertising-Acknowledgement"
		self.crossRef = [{"match": "False", "url": "https://github.com/python-excel/xlrd/blob/master/LICENSE#L33", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:48Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/python-excel/xlrd/blob/master/LICENSE#L33"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (c) 2001 David Giffin. All rights reserved.\n		 </var>\n		 <p>\n			Redistribution and use in source and binary\n			forms, with or without modification, are permitted\n			provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   Redistributions of source code must retain the above copyright\n			   notice, this list of conditions and the following disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Redistributions in binary form must reproduce the\n			   above copyright notice, this list of conditions and\n			   the following disclaimer in the documentation and/or\n			   other materials provided with the distribution.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   All advertising materials mentioning features or use of this\n			   software must display the following acknowledgment: &quot;This\n			   product includes software developed by<var class=\"replaceable-license-text\"> David Giffin &lt;david@giffin.org&gt;</var>\n			   .&quot;\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   Redistributions of any form whatsoever must retain\n			   the following acknowledgment: &quot;This product includes\n			   software developed by<var class=\"replaceable-license-text\"> David Giffin &lt;david@giffin.org&gt;</var>\n			   .&quot;\n			</li>\n		 \n</ul>\n		 <p>\n			THIS SOFTWARE IS PROVIDED BY<var class=\"replaceable-license-text\"> DAVID GIFFIN</var>\n			``AS IS&apos;&apos; AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING,\n			BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY\n			AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT\n			SHALL<var class=\"replaceable-license-text\"> DAVID GIFFIN</var>\n			OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,\n			INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n			(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\n			GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n			INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n			WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n			THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		 </p>\n\n	  "
		self.python_name = "BSDAdvertisingAcknowledgement"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD3ClauseModification:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Redistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions are\nmet:\n\n1.  Redistributions in source code must retain the accompanying\n	copyright notice, this list of conditions, and the following\n	disclaimer.\n\n2.  Redistributions in binary form must reproduce the accompanying\n	copyright notice, this list of conditions, and the following\n	disclaimer in the documentation and/or other materials provided\n	with the distribution.\n\n3.  Names of the copyright holders must not be used to endorse or\n	promote products derived from this software without prior\n	written permission from the copyright holders.\n\n4.  If any files are modified, you must cause the modified files to\n	carry prominent notices stating that you changed the files and\n	the date of any change.\n\nDisclaimer\n\n  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS \"AS IS\" AND\n  ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\n  TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n  PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\n  HOLDERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\n  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED\n  TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON\n  ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n  TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF\n  THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\n  SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions in source code must retain the accompanying copyright notice, this list of conditions, and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the accompanying copyright notice, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Names of the copyright holders must not be used to endorse or promote products derived from this software without prior written permission from the copyright holders.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> If any files are modified, you must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\nDisclaimer\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS \"AS IS\" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD 3-Clause Modification"
		self.licenseId = "BSD-3-Clause-Modification"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing:BSD#Modification_Variant", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:00Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing:BSD#Modification_Variant"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n			Redistributions in source code must retain the accompanying copyright notice, this list of conditions, and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n			Redistributions in binary form must reproduce the accompanying copyright notice, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n			Names of the copyright holders must not be used to endorse or promote products derived from this software without prior written permission from the copyright holders.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n			If any files are modified, you must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n		</li>\n	  \n</ul>\n	  <p>Disclaimer</p>\n\n	  <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS &quot;AS IS&quot; AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "BSD3ClauseModification"

	def __str__(self):
		return json.dumps(self.__dict__)


class curl:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "COPYRIGHT AND PERMISSION NOTICE\n\nCopyright (c) 1996 - 2015, Daniel Stenberg, <daniel@haxx.se>.\nAll rights reserved.\n\nPermission to use, copy, modify, and distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nExcept as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization of the copyright holder.\n"
		self.standardLicenseTemplate = "<<beginOptional>>COPYRIGHT AND PERMISSION NOTICE\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 1996 - 2015, Daniel Stenberg, <daniel@haxx.se>.  All rights reserved.  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nExcept as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization of the copyright holder.\n\n"
		self.name = "curl License"
		self.licenseId = "curl"
		self.crossRef = [{"match": "False", "url": "https://github.com/bagder/curl/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:25Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/bagder/curl/blob/master/COPYING"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>COPYRIGHT AND PERMISSION NOTICE</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1996 - 2015, Daniel Stenberg, &lt;daniel@haxx.se&gt;.\n		<br />\n\nAll rights reserved.\n	  </p>\n\n	  </div>\n\n	  <p>Permission to use, copy, modify, and distribute this software for any purpose with or without fee is\n		 hereby granted, provided that the above copyright notice and this permission notice appear in all\n		 copies.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF\n		 THIRD PARTY RIGHTS. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,\n		 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF\n		 OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	  <p>Except as contained in this notice, the name of a copyright holder shall not be used in advertising or\n		 otherwise to promote the sale, use or other dealings in this Software without prior written\n		 authorization of the copyright holder.</p>\n\n	"
		self.python_name = "curl"

	def __str__(self):
		return json.dumps(self.__dict__)


class Multics:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Multics License\n\nHistorical Background\n\nThis edition of the Multics software materials and documentation is provided and donated to Massachusetts Institute of Technology by Group BULL including BULL HN Information Systems Inc. as a contribution to computer science knowledge. This donation is made also to give evidence of the common contributions of Massachusetts Institute of Technology, Bell Laboratories, General Electric, Honeywell Information Systems Inc., Honeywell BULL Inc., Groupe BULL and BULL HN Information Systems Inc. to the development of this operating system. Multics development was initiated by Massachusetts Institute of Technology Project MAC (1963-1970), renamed the MIT Laboratory for Computer Science and Artificial Intelligence in the mid 1970s, under the leadership of Professor Fernando Jose Corbato. Users consider that Multics provided the best software architecture for managing computer hardware properly and for executing programs. Many subsequent operating systems incorporated Multics principles. Multics was distributed in 1975 to 2000 by Group Bull in Europe , and in the U.S. by Bull HN Information Systems Inc., as successor in interest by change in name only to Honeywell Bull Inc. and Honeywell Information Systems Inc.\n\n-----------------------------------------------------------\n\nPermission to use, copy, modify, and distribute these programs and their documentation for any purpose and without fee is hereby granted,provided that the below copyright notice and historical background appear in all copies and that both the copyright notice and historical background and this permission notice appear in supporting documentation, and that the names of MIT, HIS, BULL or BULL HN not be used in advertising or publicity pertaining to distribution of the programs without specific prior written permission.\n\nCopyright 1972 by Massachusetts Institute of Technology and Honeywell Information Systems Inc.\nCopyright 2006 by BULL HN Information Systems Inc.\nCopyright 2006 by Bull SAS All Rights Reserved\n"
		self.standardLicenseTemplate = "<<beginOptional>>Multics License\n\n<<endOptional>><<beginOptional>> Historical Background\n\nThis edition of the Multics software materials and documentation is provided and donated to Massachusetts Institute of Technology by Group BULL including BULL HN Information Systems Inc. as a contribution to computer science knowledge. This donation is made also to give evidence of the common contributions of Massachusetts Institute of Technology, Bell Laboratories, General Electric, Honeywell Information Systems Inc., Honeywell BULL Inc., Groupe BULL and BULL HN Information Systems Inc. to the development of this operating system. Multics development was initiated by Massachusetts Institute of Technology Project MAC (1963-1970), renamed the MIT Laboratory for Computer Science and Artificial Intelligence in the mid 1970s, under the leadership of Professor Fernando Jose Corbato. Users consider that Multics provided the best software architecture for managing computer hardware properly and for executing programs. Many subsequent operating systems incorporated Multics principles. Multics was distributed in 1975 to 2000 by Group Bull in Europe, and in the U.S. by Bull HN Information Systems Inc., as successor in interest by change in name only to Honeywell Bull Inc. and Honeywell Information Systems Inc.\n\n<<endOptional>><<beginOptional>> .<<endOptional>> <<var;name=\"divider\";original=\"-----------------------------------------------------------\";match=\"-*\">>\n\nPermission to use, copy, modify, and distribute these programs and their documentation for any purpose and without fee is hereby granted, provided that the below copyright notice and historical background appear in all copies and that both the copyright notice and historical background and this permission notice appear in supporting documentation, and that the names of MIT, HIS, BULL or BULL HN not be used in advertising or publicity pertaining to distribution of the programs without specific prior written permission.\n\n<<var;name=\"copyright\";original=\"Copyright 1972 by Massachusetts Institute of Technology and Honeywell Information Systems Inc.  Copyright 2006 by BULL HN Information Systems Inc.  Copyright 2006 by Bull SAS All Rights Reserved  \";match=\".{0,5000}\">>"
		self.name = "Multics License"
		self.licenseId = "Multics"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Multics", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:32Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/Multics"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Multics License</p>\n\n	  </div>\n\n	  <div class=\"optional-license-text\"> \n		 <p>Historical Background</p>\n\n		 <p>This edition of the Multics software materials and documentation is provided and donated to Massachusetts\n		 Institute of Technology by Group BULL including BULL HN Information Systems Inc. as a contribution to\n		 computer science knowledge. This donation is made also to give evidence of the common contributions of\n		 Massachusetts Institute of Technology, Bell Laboratories, General Electric, Honeywell Information\n		 Systems Inc., Honeywell BULL Inc., Groupe BULL and BULL HN Information Systems Inc. to the development\n		 of this operating system. Multics development was initiated by Massachusetts Institute of Technology\n		 Project MAC (1963-1970), renamed the MIT Laboratory for Computer Science and Artificial Intelligence\n		 in the mid 1970s, under the leadership of Professor Fernando Jose Corbato. Users consider that Multics\n		 provided the best software architecture for managing computer hardware properly and for executing\n		 programs. Many subsequent operating systems incorporated Multics principles. Multics was distributed\n		 in 1975 to 2000 by Group Bull in Europe, and in the U.S. by Bull HN Information Systems Inc., as\n		 successor in interest by change in name only to Honeywell Bull Inc. and Honeywell Information Systems\n		 Inc.</p>\n\n	  </div>\n\t  <var class=\"optional-license-text\"> \n\t  .\n\t  </var>\n\t  <var class=\"replaceable-license-text\"> \n\t  -----------------------------------------------------------\n\t  </var>\n	  <p>Permission to use, copy, modify, and distribute these programs and their documentation for any purpose\n		 and without fee is hereby granted, provided that the below copyright notice and historical background\n		 appear in all copies and that both the copyright notice and historical background and this permission\n		 notice appear in supporting documentation, and that the names of MIT, HIS, BULL or BULL HN not be used\n		 in advertising or publicity pertaining to distribution of the programs without specific prior written\n		 permission.</p>\n\n	  <div class=\"replaceable-license-text\"> \n		<p>Copyright 1972 by Massachusetts Institute of Technology and Honeywell Information Systems Inc.\n		  <br />\n\nCopyright 2006 by BULL HN Information Systems Inc.\n		  <br />\n\nCopyright 2006 by Bull SAS All Rights Reserved\n		</p>\n\n	  </div>\n	"
		self.python_name = "Multics"

	def __str__(self):
		return json.dumps(self.__dict__)


class SPL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "SUN PUBLIC LICENSE Version 1.0\n\n1. Definitions.\n\n	 1.0.1. \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n	 1.1. \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	 1.2. \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	 1.3. \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof and corresponding documentation released with the source code.\n\n	 1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	 1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n	 1.6. \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	 1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.8. \"License\" means this document.\n\n	 1.8.1. \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	 1.9. \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		  A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		  B. Any new file that contains any part of the Original Code or previous Modifications.\n\n	 1.10. \"Original Code\"../ means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	 1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	 1.11. \"Source Code\"../ means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated documentation, interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	 1.12. \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\"../ means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n2. Source Code License.\n\n	 2.1 The Initial Developer Grant.  The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		  (a) under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n		  (b) under Patent Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n		  (c) the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n		  (d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by:\n\n			   i) the modification of the Original Code or\n\n			   ii) the combination of the Original Code with other software or devices.\n\n	 2.2. Contributor Grant.  Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n		  (a) under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n		  b) under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n		  (c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n		  (d) notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n3. Distribution Obligations.\n\n	 3.1. Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	 3.2. Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	 3.3. Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	 3.4. Intellectual Property Matters.\n\n		  (a) Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"../LEGAL'' which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		  (b) Contributor APIs. If Contributor's Modifications include an application programming interface (\"API\"../) and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n		  (c) Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	 3.5. Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	 3.6. Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	 3.7. Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n6. Versions of the License.\n\n	 6.1. New Versions. Sun Microsystems, Inc. (\"Sun\") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	 6.2. Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Sun. No one other than Sun has the right to modify the terms applicable to Covered Code created under this License.\n\n	 6.3. Derivative Works. If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must: (a) rename Your license so that the phrases \"Sun,\" \"Sun Public License,\" or \"SPL\"../ or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the Sun Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"../AS IS'' BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. TERMINATION.\n\n	 8.1. This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	 8.2. If You initiate litigation by asserting a patent infringement claim (excluding declaratory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		  (a) such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		  (b) any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	 8.3. If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	 8.4. In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\"../ as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n12. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n13. MULTIPLE-LICENSED CODE.\n\nInitial Developer may designate portions of the Covered Code as ?Multiple-Licensed?. ?Multiple-Licensed? means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\nExhibit A -Sun Public License Notice.\n\nThe contents of this file are subject to the Sun Public License Version 1.0 (the License); you may not use this file except in compliance with the License. A copy of the License is available at http://www.sun.com/\n\nThe Original Code is _________________. The Initial Developer of the  Original Code is ___________. Portions created by ______ are Copyright (C)_________. All Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAlternatively, the contents of this file may be used under the terms of the _____ license (the ?[___] License?), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the SPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the SPL or the [___] License. [NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n"
		self.standardLicenseHeaderTemplate = "The contents of this file are subject to the Sun Public License Version 1.0 (the License); you may not use this file except in compliance with the License. A copy of the License is available at http://www.sun.com/\n\nThe Original Code is <<var;name=\"code\";original=\"_________________\";match=\".+\">> . The Initial Developer of the Original Code is <<var;name=\"initialDeveloper\";original=\"___________\";match=\".+\">> . Portions created by <<var;name=\"createdBy\";original=\"______\";match=\".+\">> are Copyright <<var;name=\"copyright\";original=\"(C)_________\";match=\".+\">> . All Rights Reserved.\n\nContributor(s): <<var;name=\"contributor\";original=\"______________________________________\";match=\".+\">> .\n\nAlternatively, the contents of this file may be used under the terms of the <<var;name=\"altLicense\";original=\"_____ license\";match=\".+\">> (the <<var;name=\"altLicenseShort1\";original=\"?[___] License?\";match=\".+\">> ), in which case the provisions of <<var;name=\"altLicenseShort2\";original=\"[______]\";match=\".+\">> License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the <<var;name=\"altLicenseShort3\";original=\"[____]\";match=\".+\">> License and not to allow others to use your version of this file under the SPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the <<var;name=\"altLicenseShort4\";original=\"[___]\";match=\".+\">> License. If you do not delete the provisions above, a recipient may use your version of this file under either the SPL or the <<var;name=\"altLicenseShort5\";original=\"[___]\";match=\".+\">> License.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>SUN PUBLIC LICENSE Version 1.0\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.0.1.\";match=\".{0,20}\">> \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof and corresponding documentation released with the source code.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Executable\" means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.8.1.\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Original Code\"../ means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.10.1.\";match=\".{0,20}\">> \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Source Code\"../ means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated documentation, interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\"../ means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by:\n\n			<<var;name=\"bullet\";original=\"i)\";match=\".{0,20}\">> the modification of the Original Code or\n\n			<<var;name=\"bullet\";original=\"ii)\";match=\".{0,20}\">> the combination of the Original Code with other software or devices.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant. Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters.\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"../LEGAL'' which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs. If Contributor's Modifications include an application programming interface (\"API\"../) and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Application of this License.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> New Versions. Sun Microsystems, Inc. (\"Sun\") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Sun. No one other than Sun has the right to modify the terms applicable to Covered Code created under this License.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> Derivative Works. If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must: (a) rename Your license so that the phrases \"Sun,\" \"Sun Public License,\" or \"SPL\"../ or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the Sun Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"../AS IS'' BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TERMINATION.\n\n	  <<var;name=\"bullet\";original=\"8.1.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	  <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">> If You initiate litigation by asserting a patent infringement claim (excluding declaratory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	  <<var;name=\"bullet\";original=\"8.3.\";match=\".{0,20}\">> If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"8.4.\";match=\".{0,20}\">> In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS.\n\n   The Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\"../ as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> MISCELLANEOUS.\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS.\n\n   As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> MULTIPLE-LICENSED CODE.\n\n   Initial Developer may designate portions of the Covered Code as ?Multiple-Licensed?. ?Multiple-Licensed? means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\n   <<beginOptional>>Exhibit A -Sun Public License Notice.\n\nThe contents of this file are subject to the Sun Public License Version 1.0 (the License); you may not use this file except in compliance with the License. A copy of the License is available at http://www.sun.com/\n\nThe Original Code is <<var;name=\"code\";original=\"_________________\";match=\".+\">> . The Initial Developer of the Original Code is <<var;name=\"initialDeveloper\";original=\"___________\";match=\".+\">> . Portions created by <<var;name=\"createdBy\";original=\"______\";match=\".+\">> are Copyright <<var;name=\"copyright\";original=\"(C)_________\";match=\".+\">> . All Rights Reserved.\n\nContributor(s): <<var;name=\"contributor\";original=\"______________________________________\";match=\".+\">> .\n\nAlternatively, the contents of this file may be used under the terms of the <<var;name=\"altLicense\";original=\"_____ license\";match=\".+\">> (the <<var;name=\"altLicenseShort1\";original=\"?[___] License?\";match=\".+\">> ), in which case the provisions of <<var;name=\"altLicenseShort2\";original=\"[______]\";match=\".+\">> License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the <<var;name=\"altLicenseShort3\";original=\"[____]\";match=\".+\">> License and not to allow others to use your version of this file under the SPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the <<var;name=\"altLicenseShort4\";original=\"[___]\";match=\".+\">> License. If you do not delete the provisions above, a recipient may use your version of this file under either the SPL or the <<var;name=\"altLicenseShort5\";original=\"[___]\";match=\".+\">> License.\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n\n<<endOptional>>"
		self.name = "Sun Public License v1.0"
		self.licenseComments = "This license is essentially a rebranded version of MPL-1.1, but with some important changes. In \u00a71.3 it expands the definition of \"Covered Code\" to also include documentation."
		self.licenseId = "SPL-1.0"
		self.standardLicenseHeader = "The contents of this file are subject to the Sun Public License Version 1.0 (the License); you may not use this file except in compliance with the License. A copy of the License is available at http://www.sun.com/\n\nThe Original Code is _________________ . The Initial Developer of the Original Code is ___________ . Portions created by ______ are Copyright (C)_________ . All Rights Reserved.\n\nContributor(s): ______________________________________ .\n\nAlternatively, the contents of this file may be used under the terms of the _____ license (the ?[___] License? ), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the SPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the SPL or the [___] License.\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/SPL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:41Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/SPL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>SUN PUBLIC LICENSE Version 1.0</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.0.1.</var>\n			  &quot;Commercial Use&quot; means distribution or otherwise making the Covered Code available to a\n			   third party.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			  &quot;Contributor&quot; means each entity that creates or contributes to the creation of Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			  &quot;Contributor Version&quot; means the combination of the Original Code, prior Modifications used by a\n				 Contributor, and the Modifications made by that particular Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			  &quot;Covered Code&quot; means the Original Code or Modifications or the combination of the Original Code\n				 and Modifications, in each case including portions thereof and corresponding documentation\n				 released with the source code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			  &quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the software\n				 development community for the electronic transfer of data.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			  &quot;Executable&quot; means Covered Code in any form other than Source Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			  &quot;Initial Developer&quot; means the individual or entity identified as the Initial Developer in the\n				 Source Code notice required by Exhibit A.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			  &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with code not governed\n				 by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			  &quot;License&quot; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.1.</var>\n			  &quot;Licensable&quot; means having the right to grant, to the maximum extent possible, whether at\n				 the time of the initial grant or subsequently acquired, any and all of the rights conveyed\n				 herein.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			  &quot;Modifications&quot; means any addition to or deletion from the substance or structure of either the\n				 Original Code or any previous Modifications. When Covered Code is released as a series of\n				 files, a Modification is:\n				 \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n					 Any addition to or deletion from the contents of a file containing Original Code or previous\n						Modifications.\n				   </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n					 Any new file that contains any part of the Original Code or previous Modifications.\n				   </li>\n				 \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			  &quot;Original Code&quot;../ means Source Code of computer software code which is described in the Source\n				 Code notice required by Exhibit A as Original Code, and which, at the time of its release\n				 under this License is not already Covered Code governed by this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.1.</var>\n			  &quot;Patent Claims&quot; means any patent claim(s), now owned or hereafter acquired, including\n				 without limitation, method, process, and apparatus claims, in any patent Licensable by\n				 grantor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			  &quot;Source Code&quot;../ means the preferred form of the Covered Code for making modifications to it,\n				 including all modules it contains, plus any associated documentation, interface definition\n				 files, scripts used to control compilation and installation of an Executable, or source code\n				 differential comparisons against either the Original Code or another well known, available\n				 Covered Code of the Contributor&apos;s choice. The Source Code can be in a compressed or archival\n				 form, provided the appropriate decompression or de-archiving software is widely available for\n				 no charge.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			  &quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity exercising rights under, and complying\n				 with all of the terms of, this License or a future version of this License issued under\n				 Section 6.1. For legal entities, &quot;You&quot; includes any entity which controls, is controlled by,\n				 or is under common control with You. For purposes of this definition, &quot;control&quot;../ means (a)\n				 the power, direct or indirect, to cause the direction or management of such entity, whether by\n				 contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding\n				 shares or beneficial ownership of such entity.\n			</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		Source Code License.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1</var>\n			The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free,\n			   non-exclusive license, subject to third party intellectual property claims:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				under intellectual property rights (other than patent or trademark) Licensable by Initial\n				   Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original\n				   Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work;\n				   and\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				under Patent Claims infringed by the making, using or selling of Original Code, to make, have\n				   made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code\n				   (or portions thereof).\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer\n				   first distributes Original Code under the terms of this License.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete\n				   from the Original Code; 2) separate from the Original Code; or 3) for infringements caused\n				   by:\n				   \n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> i)</var>\n					   the modification of the Original Code or\n					 </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> ii)</var>\n					   the combination of the Original Code with other software or devices.\n					 </li>\n						\n</ul>\n					 </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n		  Contributor Grant. Subject to third party intellectual property claims, each Contributor hereby\n			 grants You a world-wide, royalty-free, non-exclusive license\n			 \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				 under intellectual property rights (other than patent or trademark) Licensable by Contributor, to\n					use, reproduce, modify, display, perform, sublicense and distribute the Modifications created\n					by such Contributor (or portions thereof) either on an unmodified basis, with other\n					Modifications, as Covered Code and/or as part of a Larger Work; and\n			   </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b)</var>\n				 under Patent Claims infringed by the making, using, or selling of Modifications made by that\n					Contributor either alone and/or in combination with its Contributor Version (or portions of\n					such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of:\n					1) Modifications made by that Contributor (or portions thereof); and 2) the combination of\n					Modifications made by that Contributor with its Contributor Version (or portions of such\n					combination).\n			   </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				 the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first\n					makes Commercial Use of the Covered Code.\n			   </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				 notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that\n					Contributor has deleted from the Contributor Version; 2) separate from the Contributor\n					Version; 3) for infringements caused by: i) third party modifications of Contributor Version\n					or ii) the combination of Modifications made by that Contributor with other software (except\n					as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by\n					Covered Code in the absence of Modifications made by that Contributor.\n			   </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		Distribution Obligations.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			Application of License. The Modifications which You create or to which You contribute are\n			   governed by the terms of this License, including without limitation Section 2.2. The Source\n			   Code version of Covered Code may be distributed only under the terms of this License or a\n			   future version of this License released under Section 6.1, and You must include a copy of this\n			   License with every copy of the Source Code You distribute. You may not offer or impose any\n			   terms on any Source Code version that alters or restricts the applicable version of this\n			   License or the recipients&apos; rights hereunder. However, You may include an additional document\n			   offering the additional rights described in Section 3.5.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			Availability of Source Code. Any Modification which You create or to which You contribute must be\n			   made available in Source Code form under the terms of this License either on the same media as\n			   an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom\n			   you made an Executable version available; and if made available via Electronic Distribution\n			   Mechanism, must remain available for at least twelve (12) months after the date it initially\n			   became available, or at least six (6) months after a subsequent version of that particular\n			   Modification has been made available to such recipients. You are responsible for ensuring that\n			   the Source Code version remains available even if the Electronic Distribution Mechanism is\n			   maintained by a third party.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			Description of Modifications. You must cause all Covered Code to which You contribute to contain\n			   a file documenting the changes You made to create that Covered Code and the date of any\n			   change. You must include a prominent statement that the Modification is derived, directly or\n			   indirectly, from Original Code provided by the Initial Developer and including the name of the\n			   Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or\n			   related documentation in which You describe the origin or ownership of the Covered Code.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			Intellectual Property Matters.\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				Third Party Claims. If Contributor has knowledge that a license under a third party&apos;s\n				   intellectual property rights is required to exercise the rights granted by such Contributor\n				   under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code\n				   distribution titled &quot;../LEGAL&apos;&apos; which describes the claim and the party making the claim in\n				   sufficient detail that a recipient will know whom to contact. If Contributor obtains such\n				   knowledge after the Modification is made available as described in Section 3.2, Contributor\n				   shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and\n				   shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably\n				   calculated to inform those who received the Covered Code that new knowledge has been\n				   obtained.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				Contributor APIs. If Contributor&apos;s Modifications include an application programming interface\n				   (&quot;API&quot;../) and Contributor has knowledge of patent licenses which are reasonably necessary to\n				   implement that API, Contributor must also include this information in the LEGAL file.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a)\n				   above, Contributor believes that Contributor&apos;s Modifications are Contributor&apos;s original\n				   creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this\n				   License.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If\n			   it is not possible to put such notice in a particular Source Code file due to its structure,\n			   then You must include such notice in a location (such as a relevant directory) where a user\n			   would be likely to look for such a notice. If You created one or more Modification(s) You may\n			   add your name as a Contributor to the notice described in Exhibit A. You must also duplicate\n			   this License in any documentation for the Source Code where You describe recipients&apos; rights or\n			   ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for,\n			   warranty, support, indemnity or liability obligations to one or more recipients of Covered\n			   Code. However, You may do so only on Your own behalf, and not on behalf of the Initial\n			   Developer or any Contributor. You must make it absolutely clear than any such warranty,\n			   support, indemnity or liability obligation is offered by You alone, and You hereby agree to\n			   indemnify the Initial Developer and every Contributor for any liability incurred by the\n			   Initial Developer or such Contributor as a result of warranty, support, indemnity or liability\n			   terms You offer.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n			Distribution of Executable Versions. You may distribute Covered Code in Executable form only if\n			   the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a\n			   notice stating that the Source Code version of the Covered Code is available under the terms\n			   of this License, including a description of how and where You have fulfilled the obligations\n			   of Section 3.2. The notice must be conspicuously included in any notice in an Executable\n			   version, related documentation or collateral in which You describe recipients&apos; rights relating\n			   to the Covered Code. You may distribute the Executable version of Covered Code or ownership\n			   rights under a license of Your choice, which may contain terms different from this License,\n			   provided that You are in compliance with the terms of this License and that the license for\n			   the Executable version does not attempt to limit or alter the recipient&apos;s rights in the Source\n			   Code version from the rights set forth in this License. If You distribute the Executable\n			   version under a different license You must make it absolutely clear that any terms which\n			   differ from this License are offered by You alone, not by the Initial Developer or any\n			   Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any\n			   liability incurred by the Initial Developer or such Contributor as a result of any such terms\n			   You offer.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7.</var>\n			Larger Works. You may create a Larger Work by combining Covered Code with other code not governed\n			   by the terms of this License and distribute the Larger Work as a single product. In such a\n			   case, You must make sure the requirements of this License are fulfilled for the Covered\n			   Code.\n		  </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		Inability to Comply Due to Statute or Regulation.\n		<p>If it is impossible for You to comply with any of the terms of this License with respect to some\n		   or all of the Covered Code due to statute, judicial order, or regulation then You must: (a)\n		   comply with the terms of this License to the maximum extent possible; and (b) describe the\n		   limitations and the code they affect. Such description must be included in the LEGAL file\n		   described in Section 3.4 and must be included with all distributions of the Source Code.\n		   Except to the extent prohibited by statute or regulation, such description must be\n		   sufficiently detailed for a recipient of ordinary skill to be able to understand it.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		Application of this License.\n		<p>This License applies to code to which the Initial Developer has attached the notice in Exhibit A\n		   and to related Covered Code.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		Versions of the License.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n			New Versions. Sun Microsystems, Inc. (&quot;Sun&quot;) may publish revised and/or new versions of the\n			   License from time to time. Each version will be given a distinguishing version number.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n			Effect of New Versions. Once Covered Code has been published under a particular version of the\n			   License, You may always continue to use it under the terms of that version. You may also\n			   choose to use such Covered Code under the terms of any subsequent version of the License\n			   published by Sun. No one other than Sun has the right to modify the terms applicable to\n			   Covered Code created under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3.</var>\n			Derivative Works. If You create or use a modified version of this License (which you may only do\n			   in order to apply it to code which is not already Covered Code governed by this License), You\n			   must: (a) rename Your license so that the phrases &quot;Sun,&quot; &quot;Sun Public License,&quot; or &quot;SPL&quot;../ or\n			   any confusingly similar phrase do not appear in your license (except to note that your license\n			   differs from this License) and (b) otherwise make it clear that Your version of the license\n			   contains terms which differ from the Sun Public License. (Filling in the name of the Initial\n			   Developer, Original Code or Contributor in the notice described in Exhibit A shall not of\n			   themselves be deemed to be modifications of this License.)\n		  </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		DISCLAIMER OF WARRANTY.\n		<p>COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;../AS IS&apos;&apos; BASIS, WITHOUT WARRANTY OF ANY\n		   KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED\n		   CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE\n		   ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY\n		   COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER\n		   CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\n		   OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS\n		   AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		TERMINATION.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1.</var>\n			This License and the rights granted hereunder will terminate automatically if You fail to comply\n			   with terms herein and fail to cure such breach within 30 days of becoming aware of the breach.\n			   All sublicenses to the Covered Code which are properly granted shall survive any termination\n			   of this License. Provisions which, by their nature, must remain in effect beyond the\n			   termination of this License shall survive.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2.</var>\n			If You initiate litigation by asserting a patent infringement claim (excluding declaratory\n			   judgment actions) against Initial Developer or a Contributor (the Initial Developer or\n			   Contributor against whom You file such action is referred to as &quot;Participant&quot;) alleging\n			   that:\n			   \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				   such Participant&apos;s Contributor Version directly or indirectly infringes any patent, then any and\n					  all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License\n					  shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days\n					  after receipt of notice You either: (i) agree in writing to pay Participant a mutually\n					  agreeable reasonable royalty for Your past and future use of Modifications made by such\n					  Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version\n					  against such Participant. If within 60 days of notice, a reasonable royalty and payment\n					  arrangement are not mutually agreed upon in writing by the parties or the litigation claim is\n					  not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2\n					  automatically terminate at the expiration of the 60 day notice period specified above.\n				 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				   any software, hardware, or device, other than such Participant&apos;s Contributor Version, directly or\n					  indirectly infringes any patent, then any rights granted to You by such Participant under\n					  Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold,\n					  distributed, or had made, Modifications made by that Participant.\n				 </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.3.</var>\n			If You assert a patent infringement claim against Participant alleging that such Participant&apos;s\n			   Contributor Version directly or indirectly infringes any patent where such claim is resolved\n			   (such as by license or settlement) prior to the initiation of patent infringement litigation,\n			   then the reasonable value of the licenses granted by such Participant under Sections 2.1 or\n			   2.2 shall be taken into account in determining the amount or value of any payment or\n			   license.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.4.</var>\n			In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements\n			   (excluding distributors and resellers) which have been validly granted by You or any\n			   distributor hereunder prior to termination shall survive termination.\n		  </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		LIMITATION OF LIABILITY.\n		<p>UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT,\n		   OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF\n		   COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY\n		   INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT\n		   LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR\n		   ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF\n		   THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR\n		   DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE LAW\n		   PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF\n		   INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\n		   YOU.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		U.S. GOVERNMENT END USERS.\n		<p>The Covered Code is a &quot;commercial item,&quot; as that term is defined in 48 C.F.R. 2.101 (Oct. 1995),\n		   consisting of &quot;commercial computer software&quot; and &quot;commercial computer software\n		   documentation,&quot;../ as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48\n		   C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End\n		   Users acquire Covered Code with only those rights set forth herein.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		MISCELLANEOUS.\n		<p>This License represents the complete agreement concerning subject matter hereof. If any provision\n		   of this License is held to be unenforceable, such provision shall be reformed only to the\n		   extent necessary to make it enforceable. This License shall be governed by California law\n		   provisions (except to the extent applicable law, if any, provides otherwise), excluding its\n		   conflict-of-law provisions. With respect to disputes in which at least one party is a citizen\n		   of, or an entity chartered or registered to do business in the United States of America, any\n		   litigation relating to this License shall be subject to the jurisdiction of the Federal Courts\n		   of the Northern District of California, with venue lying in Santa Clara County, California,\n		   with the losing party responsible for costs, including without limitation, court costs and\n		   reasonable attorneys&apos; fees and expenses. The application of the United Nations Convention on\n		   Contracts for the International Sale of Goods is expressly excluded. Any law or regulation\n		   which provides that the language of a contract shall be consTrued against the drafter shall\n		   not apply to this License.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		RESPONSIBILITY FOR CLAIMS.\n		<p>As between Initial Developer and the Contributors, each party is responsible for claims and\n		   damages arising, directly or indirectly, out of its utilization of rights under this License\n		   and You agree to work with Initial Developer and Contributors to distribute such\n		   responsibility on an equitable basis. Nothing herein is intended or shall be deemed to\n		   constitute any admission of liability.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		MULTIPLE-LICENSED CODE.\n		<p>Initial Developer may designate portions of the Covered Code as ?Multiple-Licensed?. ?Multiple-Licensed?\n		   means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice\n		   of the alternative licenses, if any, specified by the Initial Developer in the file described in\n		   Exhibit A.</p>\n\n		 </li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>Exhibit A -Sun Public License Notice.</p>\n\n		 <p>The contents of this file are subject to the Sun Public License Version 1.0 (the License); you may not\n		 use this file except in compliance with the License. A copy of the License is available at\n		 http://www.sun.com/</p>\n\n		 <p>The Original Code is <var class=\"replaceable-license-text\"> _________________</var>.\n		 The Initial Developer of the Original Code is <var class=\"replaceable-license-text\"> ___________</var>.\n		 Portions created by <var class=\"replaceable-license-text\"> ______</var> are Copyright <var class=\"replaceable-license-text\"> (C)_________</var>.\n		 All Rights Reserved.</p>\n\n		 <p>Contributor(s): <var class=\"replaceable-license-text\"> ______________________________________</var>.</p>\n\n		 <p>Alternatively, the contents of this file may be used under the terms of the <var class=\"replaceable-license-text\"> _____ license</var> (the <var class=\"replaceable-license-text\"> ?[___] License?</var>), in which case the provisions of <var class=\"replaceable-license-text\"> [______]</var> License are applicable instead of those above. If\n		 you wish to allow use of your version of this file only under the terms of the <var class=\"replaceable-license-text\"> [____]</var> License and not\n		 to allow others to use your version of this file under the SPL, indicate your decision by deleting the\n		 provisions above and replace them with the notice and other provisions required by the <var class=\"replaceable-license-text\"> [___]</var> License.\n		 If you do not delete the provisions above, a recipient may use your version of this file under either\n		 the SPL or the <var class=\"replaceable-license-text\"> [___]</var> License.</p>\n\n		 <p>[NOTE: The text of this Exhibit A may differ slightly from the text of\n		 the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A\n		 rather than the text found in the Original Code Source Code for Your Modifications.]</p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p>The contents of this file are subject to the Sun Public License Version 1.0 (the License); you may not\n		 use this file except in compliance with the License. A copy of the License is available at\n		 http://www.sun.com/</p>\n\n		 <p>The Original Code is <var class=\"replaceable-license-text\"> _________________</var>.\n		 The Initial Developer of the Original Code is <var class=\"replaceable-license-text\"> ___________</var>.\n		 Portions created by <var class=\"replaceable-license-text\"> ______</var> are Copyright <var class=\"replaceable-license-text\"> (C)_________</var>.\n		 All Rights Reserved.</p>\n\n		 <p>Contributor(s): <var class=\"replaceable-license-text\"> ______________________________________</var>.</p>\n\n		 <p>Alternatively, the contents of this file may be used under the terms of the <var class=\"replaceable-license-text\"> _____ license</var> (the <var class=\"replaceable-license-text\"> ?[___] License?</var>), in which case the provisions of <var class=\"replaceable-license-text\"> [______]</var> License are applicable instead of those above. If\n		 you wish to allow use of your version of this file only under the terms of the <var class=\"replaceable-license-text\"> [____]</var> License and not\n		 to allow others to use your version of this file under the SPL, indicate your decision by deleting the\n		 provisions above and replace them with the notice and other provisions required by the <var class=\"replaceable-license-text\"> [___]</var> License.\n		 If you do not delete the provisions above, a recipient may use your version of this file under either\n		 the SPL or the <var class=\"replaceable-license-text\"> [___]</var> License.</p>\n\n		"
		self.python_name = "SPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL12only:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU Free Documentation License\nVersion 1.2, November 2002\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\nThe Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n	 H. Include an unaltered copy of this License.\n	 I. Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n	 O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\n with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2; with <<var;name=\"invariantSections\";original=\"the Invariant Sections being LIST THEIR TITLES\";match=\"the Invariant Sections	   being .+|no Invariant Sections\">> , with <<var;name=\"frontCoverTexts\";original=\"the Front-Cover Texts being LIST\";match=\"the Front-Cover Texts being .+|no Front-Cover Texts\">> , and with <<var;name=\"backCoverTexts\";original=\"the Back-Cover Texts being LIST\";match=\"the Back-Cover Texts being .+|no Back-Cover Texts\">> . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.2, November 2002\n\n<<endOptional>>\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   A section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\n   The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n\n	  <<var;name=\"bullet\";original=\"O.\";match=\".{0,20}\">> Preserve any Warranty Disclaimers.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\n   If a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.2 only"
		self.licenseComments = "This license was released November 2002. The identifier GFDL-1.2-only can be used to indicate that this license applies, without asserting whether or not any Invariant Sections, Front-Cover Texts or Back-Cover Texts are present. See GFDL-1.2-only-invariants and GFDL-1.2-only-no-invariants for alternative identifiers that can be used to express explicitly that these sections or cover texts are present or are not present, respectively."
		self.licenseId = "GFDL-1.2-only"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2; with the Invariant Sections being LIST THEIR TITLES , with the Front-Cover Texts being LIST , and with the Back-Cover Texts being LIST . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/fdl-1.2.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:32Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/fdl-1.2.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.2, November 2002\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2000,2001,2002 Free Software Foundation,\n	  Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook, or\n		  other functional and useful document &quot;free&quot; in the sense of\n		  freedom: to assure everyone the effective freedom to copy and\n		  redistribute it, with or without modifying it, either commercially\n		  or noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work, in any medium,\n		  that contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. Such a\n		  notice grants a world-wide, royalty-free license, unlimited in\n		  duration, to use that work under the conditions stated herein.\n		  The &quot;Document&quot;, below, refers to any such manual or work.\n		  Any member of the public is a licensee, and is addressed as\n		  &quot;you&quot;. You accept the license if you copy, modify or distribute\n		  the work in a way requiring permission under copyright law.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter\n		  section of the Document that deals exclusively with the\n		  relationship of the publishers or authors of the Document to the\n		  Document&apos;s overall subject (or to related matters) and contains\n		  nothing that could fall directly within that overall subject.\n		  (Thus, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections,\n		  in the notice that says that the Document is released under\n		  this License. If a section does not fit the above definition of\n		  Secondary then it is not allowed to be designated as Invariant.\n		  The Document may contain zero Invariant Sections. If the Document\n		  does not identify any Invariant Sections then there are none.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are listed,\n		  as Front-Cover Texts or Back-Cover Texts, in the notice that says that\n		  the Document is released under this License. A Front-Cover Text may\n		  be at most 5 words, and a Back-Cover Text may be at most 25 words.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable\n		  copy, represented in a format whose specification is available\n		  to the general public, that is suitable for revising the document\n		  straightforwardly with generic text editors or (for images composed of\n		  pixels) generic paint programs or (for drawings) some widely available\n		  drawing editor, and that is suitable for input to text formatters or\n		  for automatic translation to a variety of formats suitable for input\n		  to text formatters. A copy made in an otherwise Transparent file\n		  format whose markup, or absence of markup, has been arranged to thwart\n		  or discourage subsequent modification by readers is not Transparent.\n		  An image format is not Transparent if used for any substantial\n		  amount of text. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include plain\n		  ASCII without markup, Texinfo input format, LaTeX input format,\n		  SGML or XML using a publicly available DTD, and standard-conforming\n		  simple HTML, PostScript or PDF designed for human modification.\n		  Examples of transparent image formats include PNG, XCF and JPG.\n		  Opaque formats include proprietary formats that can be read\n		  and edited only by proprietary word processors, SGML or XML\n		  for which the DTD and/or processing tools are not generally\n		  available, and the machine-generated HTML, PostScript or PDF\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n		<p>\n		  A section &quot;Entitled XYZ&quot; means a named subunit of the Document whose\n		  title either is precisely XYZ or contains XYZ in parentheses following\n		  text that translates XYZ in another language. (Here XYZ stands for\n		  a specific section name mentioned below, such as &quot;Acknowledgements&quot;,\n		  &quot;Dedications&quot;, &quot;Endorsements&quot;, or &quot;History&quot;.) To &quot;Preserve the\n		  Title&quot; of such a section when you modify the Document means that\n		  it remains a section &quot;Entitled XYZ&quot; according to this definition.\n		</p>\n\n		<p>\n		  The Document may include Warranty Disclaimers next to the notice\n		  which states that this License applies to the Document. These\n		  Warranty Disclaimers are considered to be included by reference\n		  in this License, but only as regards disclaiming warranties:\n		  any other implication that these Warranty Disclaimers may\n		  have is void and has no effect on the meaning of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies (or copies in media that commonly\n		  have printed covers) of the Document, numbering more than 100,\n		  and the Document&apos;s license notice requires Cover Texts, you must\n		  enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a computer-network location from which the general\n		  network-using public has access to download using public-standard\n		  network protocols a complete Transparent copy of the Document,\n		  free of added material. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or\n			entities responsible for authorship of the modifications in the\n			Modified Version, together with at least five of the principal\n			authors of the Document (all of its principal authors, if it has\n			fewer than five), unless they release you from this requirement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant Sections\n			and required Cover Texts given in the Document&apos;s license notice.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> H.</var>\n			Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section Entitled &quot;History&quot;, Preserve its Title, and\n			add to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section Entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			For any section Entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			Preserve the Title of the section, and preserve in the\n			section all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section Entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section to be Entitled &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> O.</var>\n			Preserve any Warranty Disclaimers.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section Entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released under\n		  this License, under the terms defined in section 4 above for modified\n		  versions, provided that you include in the combination all of the\n		  Invariant Sections of all of the original documents, unmodified,\n		  and list them all as Invariant Sections of your combined work in its\n		  license notice, and that you preserve all their Warranty Disclaimers.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections Entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  Entitled &quot;History&quot;; likewise combine any sections Entitled\n		  &quot;Acknowledgements&quot;, and any sections Entitled &quot;Dedications&quot;.\n		  You must delete all sections Entitled &quot;Endorsements&quot;.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other\n		  separate and independent documents or works, in or on a volume\n		  of a storage or distribution medium, is called an &quot;aggregate&quot;\n		  if the copyright resulting from the compilation is not used to\n		  limit the legal rights of the compilation&apos;s users beyond what\n		  the individual works permit. When the Document is included in an\n		  aggregate, this License does not apply to the other works in the\n		  aggregate which are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to\n		  these copies of the Document, then if the Document is less\n		  than one half of the entire aggregate, the Document&apos;s Cover\n		  Texts may be placed on covers that bracket the Document\n		  within the aggregate, or the electronic equivalent of covers\n		  if the Document is in electronic form. Otherwise they must\n		  appear on printed covers that bracket the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of section\n		  4. Replacing Invariant Sections with translations requires special\n		  permission from their copyright holders, but you may include\n		  translations of some or all Invariant Sections in addition to the\n		  original versions of these Invariant Sections. You may include a\n		  translation of this License, and all the license notices in the\n		  Document, and any Warranty Disclaimers, provided that you also\n		  include the original English version of this License and the original\n		  versions of those notices and disclaimers. In case of a disagreement\n		  between the translation and the original version of this License\n		  or a notice or disclaimer, the original version will prevail.\n		</p>\n\n		<p>\n		  If a section in the Document is Entitled\n		  &quot;Acknowledgements&quot;, &quot;Dedications&quot;, or &quot;History&quot;, the\n		  requirement (section 4) to Preserve its Title (section\n		  1) will typically require changing the actual title.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided for under this License. Any other\n		  attempt to copy, modify, sublicense or distribute the Document\n		  is void, and will automatically terminate your rights under\n		  this License. However, parties who have received copies, or\n		  rights, from you under this License will not have their licenses\n		  terminated so long as such parties remain in full compliance.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option\n		  of following the terms and conditions either of that specified\n		  version or of any later version that has been published (not as a\n		  draft) by the Free Software Foundation. If the Document does not\n		  specify a version number of this License, you may choose any version\n		  ever published (not as a draft) by the Free Software Foundation.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the GNU\n		Free Documentation License, Version 1.2 or any later version published\n		by the Free Software Foundation; with no Invariant Sections, no\n		Front-Cover Texts, and no Back-Cover Texts. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections, Front-Cover Texts and\n		Back-Cover Texts, replace the &quot;with...Texts.&quot; line with this:\n	  </p>\n\n	  <p>\n		with the Invariant Sections being LIST THEIR TITLES, with the\n		Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections without Cover Texts,\n		or some other combination of the three, merge\n		those two alternatives to suit the situation.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>.\n	  Permission is granted to copy, distribute and/or modify this\n	  document under the terms of the GNU Free Documentation License,\n	  Version 1.2; with <var class=\"replaceable-license-text\"> the Invariant Sections being LIST THEIR\n	  TITLES</var>, with <var class=\"replaceable-license-text\"> the Front-Cover Texts being LIST</var>, and with <var class=\"replaceable-license-text\"> the\n	  Back-Cover Texts being LIST</var>. A copy of the license is included\n	  in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL12only"

	def __str__(self):
		return json.dumps(self.__dict__)


class BitstreamVera:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright Copyright (c) 2003 by Bitstream, Inc. All Rights Reserved. Bitstream Vera is a trademark of Bitstream, Inc.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the fonts accompanying this license (\"Fonts\") and associated documentation files (the \"Font Software\"), to reproduce and distribute the Font Software, including without limitation the rights to use, copy, merge, publish, distribute, and/or sell copies of the Font Software, and to permit persons to whom the Font Software is furnished to do so, subject to the following conditions:\n\nThe above copyright and trademark notices and this permission notice shall be included in all copies of one or more of the Font Software typefaces.\n\nThe Font Software may be modified, altered, or added to, and in particular the designs of glyphs or characters in the Fonts may be modified and additional glyphs or characters may be added to the Fonts, only if the fonts are renamed to names not containing either the words \"Bitstream\" or the word \"Vera\".\n\nThis License becomes null and void to the extent applicable to Fonts or Font Software that has been modified and is distributed under the \"Bitstream Vera\" names.\n\nThe Font Software may be sold as part of a larger software package but no copy of one or more of the Font Software typefaces may be sold by itself.\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL BITSTREAM OR THE GNOME FOUNDATION BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n\nExcept as contained in this notice, the names of Gnome, the Gnome Foundation, and Bitstream Inc., shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Font Software without prior written authorization from the Gnome Foundation or Bitstream Inc., respectively. For further information, contact: fonts at gnome dot org.\n"
		self.standardLicenseTemplate = "Copyright Copyright (c) 2003 by Bitstream, Inc. All Rights Reserved. Bitstream Vera is a trademark of Bitstream, Inc.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the fonts accompanying this license (\"Fonts\") and associated documentation files (the \"Font Software\"), to reproduce and distribute the Font Software, including without limitation the rights to use, copy, merge, publish, distribute, and/or sell copies of the Font Software, and to permit persons to whom the Font Software is furnished to do so, subject to the following conditions:\n\nThe above copyright and trademark notices and this permission notice shall be included in all copies of one or more of the Font Software typefaces.\n\nThe Font Software may be modified, altered, or added to, and in particular the designs of glyphs or characters in the Fonts may be modified and additional glyphs or characters may be added to the Fonts, only if the fonts are renamed to names not containing either the words \"Bitstream\" or the word \"Vera\".\n\nThis License becomes null and void to the extent applicable to Fonts or Font Software that has been modified and is distributed under the \"Bitstream Vera\" names.\n\nThe Font Software may be sold as part of a larger software package but no copy of one or more of the Font Software typefaces may be sold by itself.\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL BITSTREAM OR THE GNOME FOUNDATION BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n\nExcept as contained in this notice, the names of Gnome, the Gnome Foundation, and Bitstream Inc., shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Font Software without prior written authorization from the Gnome Foundation or Bitstream Inc., respectively. For further information, contact: fonts at gnome dot org.\n\n"
		self.name = "Bitstream Vera Font License"
		self.licenseId = "Bitstream-Vera"
		self.crossRef = [{"match": "False", "url": "https://docubrain.com/sites/default/files/licenses/bitstream-vera.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:04Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "https://web.archive.org/web/20080207013128/http://www.gnome.org/fonts/", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:10:04Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://web.archive.org/web/20080207013128/http://www.gnome.org/fonts/", "https://docubrain.com/sites/default/files/licenses/bitstream-vera.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "<p>Copyright\nCopyright (c) 2003 by Bitstream, Inc. All Rights Reserved. Bitstream Vera is a trademark of Bitstream, Inc.</p>\n\n		<p>Permission is hereby granted, free of charge, to any person obtaining a copy of the fonts accompanying this license (&quot;Fonts&quot;) and associated documentation files (the &quot;Font Software&quot;), to reproduce and distribute the Font Software, including without limitation the rights to use, copy, merge, publish, distribute, and/or sell copies of the Font Software, and to permit persons to whom the Font Software is furnished to do so, subject to the following conditions:</p>\n\n		<p>The above copyright and trademark notices and this permission notice shall be included in all copies of one or more of the Font Software typefaces.</p>\n\n		<p>The Font Software may be modified, altered, or added to, and in particular the designs of glyphs or characters in the Fonts may be modified and additional glyphs or characters may be added to the Fonts, only if the fonts are renamed to names not containing either the words &quot;Bitstream&quot; or the word &quot;Vera&quot;.</p>\n\n		<p>This License becomes null and void to the extent applicable to Fonts or Font Software that has been modified and is distributed under the &quot;Bitstream Vera&quot; names.</p>\n\n		<p>The Font Software may be sold as part of a larger software package but no copy of one or more of the Font Software typefaces may be sold by itself.</p>\n\n		<p>THE FONT SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL BITSTREAM OR THE GNOME FOUNDATION BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.</p>\n\n		<p>Except as contained in this notice, the names of Gnome, the Gnome Foundation, and Bitstream Inc., shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Font Software without prior written authorization from the Gnome Foundation or Bitstream Inc., respectively. For further information, contact: fonts at gnome dot org.</p>\n\n	"
		self.python_name = "BitstreamVera"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL20orlater:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU GENERAL PUBLIC LICENSE\nVersion 2, June 1991\n\nCopyright (C) 1989, 1991 Free Software Foundation, Inc.\n51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This General Public License applies to most of the Free Software Foundation's software and to any other program whose authors commit to using it. (Some other Free Software Foundation software is covered by the GNU Lesser General Public License instead.) You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n\nActivities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is True depends on what the Program does.\n\n1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\nYou may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	 a) You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\n	 b) You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n\n	 c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n\nThese requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\nThus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n\nIn addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n3. You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n\n	 a) Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	 b) Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	 c) Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n\nThe source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\nIf distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n4. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n5. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n\n6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n7. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n\nIf any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\nThis section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n8. If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n9. The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation.\n\n10. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 one line to give the program's name and an idea of what it does. Copyright (C) yyyy name of author\n\n	 This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\n	 You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA. Also add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\n	 Gnomovision version 69, Copyright (C) year name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here is a sample; alter the names:\n\n	 Yoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (which makes passes at compilers) written by James Hacker.\n\nsignature of Ty Coon, 1 April 1989 Ty Coon, President of Vice\n"
		self.standardLicenseHeaderTemplate = "<<var;name=\"description\";original=\"<one line to give the program's name and an idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"<yyyy> <name of author>\";match=\".+\">>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, <<var;name=\"freeSoftwareFoundationAddress\";original=\"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA\";match=\".{54,64}\">> .\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\n<<endOptional>>\n\nCopyright (C) 1989, 1991 Free Software Foundation, Inc. <<var;name=\"incComma\";original=\"\";match=\",|\">>\n\n<<var;name=\"freeSoftwareFoundationAddress\";original=\"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA\";match=\".{54,64}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This General Public License applies to most of the Free Software Foundation's software and to any other program whose authors commit to using it. (Some other Free Software Foundation software is covered by the GNU Lesser General Public License instead.) You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\n<<var;name=\"termsTitle\";original=\"\";match=\"GNU GENERAL PUBLIC LICENSE|\">> TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is True depends on what the Program does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n\n   In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n\n   The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   If distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<var;name=\"description\";original=\"<one line to give the program's name and an idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"<yyyy> <name of author>\";match=\".+\">>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, <<var;name=\"freeSoftwareFoundationAddress\";original=\"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA\";match=\".{54,64}\">> .\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\nGnomovision version 69, Copyright (C) year name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (which makes passes at compilers) written by James Hacker.\n\n<<beginOptional>><<<endOptional>>signature of Ty Coon<<beginOptional>>><<endOptional>>, 1 April 1989 Ty Coon, President of Vice\n\n<<endOptional>><<beginOptional>> This General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License.\n\n<<endOptional>>"
		self.name = "GNU General Public License v2.0 or later"
		self.licenseComments = "This license was released: June 1991. This license identifier refers to the choice to use code under GPL-2.0-or-later (i.e., GPL-2.0 or some later version), as distinguished from the use of code under GPL-2.0-only. The license notice (as seen in the Standard License Header field below) states which of these applies to the code in the file. The example in the How to Apply These Terms appendix of the license shows the \"or later\" approach."
		self.licenseId = "GPL-2.0-or-later"
		self.standardLicenseHeader = "<one line to give the program's name and an idea of what it does.>\n\nCopyright (C) <yyyy> <name of author>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA .\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/GPL-2.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:23Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html", "https://opensource.org/licenses/GPL-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU GENERAL PUBLIC LICENSE<br />\n\n		Version 2, June 1991\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 1989, 1991 Free Software Foundation, Inc.<var class=\"replaceable-license-text\"> </var><br />\n\n	  <var class=\"replaceable-license-text\"> 51 Franklin\n	  Street, Fifth Floor, Boston, MA 02110-1301, USA</var>\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The licenses for most software are designed to take away your freedom\n	  to share and change it. By contrast, the GNU General Public License is\n	  intended to guarantee your freedom to share and change free software--to\n	  make sure the software is free for all its users. This General Public\n	  License applies to most of the Free Software Foundation&apos;s software\n	  and to any other program whose authors commit to using it. (Some other\n	  Free Software Foundation software is covered by the GNU Lesser General\n	  Public License instead.) You can apply it to your programs, too.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not price.\n	  Our General Public Licenses are designed to make sure that you have\n	  the freedom to distribute copies of free software (and charge for\n	  this service if you wish), that you receive source code or can get\n	  it if you want it, that you can change the software or use pieces of\n	  it in new free programs; and that you know you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to make restrictions that forbid\n	  anyone to deny you these rights or to ask you to surrender the\n	  rights. These restrictions translate to certain responsibilities for\n	  you if you distribute copies of the software, or if you modify it.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of such a program, whether gratis\n	  or for a fee, you must give the recipients all the rights that you\n	  have. You must make sure that they, too, receive or can get the source\n	  code. And you must show them these terms so they know their rights.\n	</p>\n\n	<p>\n	  We protect your rights with two steps: (1) copyright the\n	  software, and (2) offer you this license which gives you legal\n	  permission to copy, distribute and/or modify the software.\n	</p>\n\n	<p>\n	  Also, for each author&apos;s protection and ours, we want to make\n	  certain that everyone understands that there is no warranty for\n	  this free software. If the software is modified by someone else\n	  and passed on, we want its recipients to know that what they\n	  have is not the original, so that any problems introduced by\n	  others will not reflect on the original authors&apos; reputations.\n	</p>\n\n	<p>\n	  Finally, any free program is threatened constantly by software patents.\n	  We wish to avoid the danger that redistributors of a free program\n	  will individually obtain patent licenses, in effect making the program\n	  proprietary. To prevent this, we have made it clear that any patent\n	  must be licensed for everyone&apos;s free use or not licensed at all.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying,\n	  distribution and modification follow.\n	</p>\n\n	<p>\n	  <var class=\"replaceable-license-text\"> </var>\n	  TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		This License applies to any program or other work which contains a\n		notice placed by the copyright holder saying it may be distributed\n		under the terms of this General Public License. The &quot;Program&quot;, below,\n		refers to any such program or work, and a &quot;work based on the Program&quot;\n		means either the Program or any derivative work under copyright law:\n		that is to say, a work containing the Program or a portion of it,\n		either verbatim or with modifications and/or translated into another\n		language. (Hereinafter, translation is included without limitation\n		in the term &quot;modification&quot;.) Each licensee is addressed as &quot;you&quot;.\n		<p>\n		  Activities other than copying, distribution and modification are\n		  not covered by this License; they are outside its scope. The act\n		  of running the Program is not restricted, and the output from the\n		  Program is covered only if its contents constitute a work based\n		  on the Program (independent of having been made by running the\n		  Program). Whether that is True depends on what the Program does.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		You may copy and distribute verbatim copies of the Program&apos;s source\n		code as you receive it, in any medium, provided that you conspicuously\n		and appropriately publish on each copy an appropriate copyright notice\n		and disclaimer of warranty; keep intact all the notices that refer to\n		this License and to the absence of any warranty; and give any other\n		recipients of the Program a copy of this License along with the Program.\n		<p>\n		  You may charge a fee for the physical act of\n		  transferring a copy, and you may at your option\n		  offer warranty protection in exchange for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		You may modify your copy or copies of the Program or any portion\n		of it, thus forming a work based on the Program, and copy and\n		distribute such modifications or work under the terms of Section\n		1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			You must cause the modified files to carry prominent notices\n			stating that you changed the files and the date of any change.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			You must cause any work that you distribute or publish,\n			that in whole or in part contains or is derived from the\n			Program or any part thereof, to be licensed as a whole at no\n			charge to all third parties under the terms of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			If the modified program normally reads commands interactively\n			when run, you must cause it, when started running for such\n			interactive use in the most ordinary way, to print or display\n			an announcement including an appropriate copyright notice and\n			a notice that there is no warranty (or else, saying that you\n			provide a warranty) and that users may redistribute the program\n			under these conditions, and telling the user how to view a copy\n			of this License. (Exception: if the Program itself is interactive\n			but does not normally print such an announcement, your work\n			based on the Program is not required to print an announcement.)\n		  </li>\n		\n</ul>\n		<p>\n		  These requirements apply to the modified work as a whole. If\n		  identifiable sections of that work are not derived from the\n		  Program, and can be reasonably considered independent and separate\n		  works in themselves, then this License, and its terms, do not\n		  apply to those sections when you distribute them as separate\n		  works. But when you distribute the same sections as part of a\n		  whole which is a work based on the Program, the distribution\n		  of the whole must be on the terms of this License, whose\n		  permissions for other licensees extend to the entire whole,\n		  and thus to each and every part regardless of who wrote it.\n		</p>\n\n		<p>\n		  Thus, it is not the intent of this section to claim rights or\n		  contest your rights to work written entirely by you; rather,\n		  the intent is to exercise the right to control the distribution\n		  of derivative or collective works based on the Program.\n		</p>\n\n		<p>\n		  In addition, mere aggregation of another work not based on\n		  the Program with the Program (or with a work based on the\n		  Program) on a volume of a storage or distribution medium does\n		  not bring the other work under the scope of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		You may copy and distribute the Program (or a work based on it,\n		under Section 2) in object code or executable form under the terms of\n		Sections 1 and 2 above provided that you also do one of the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany it with the complete corresponding machine-readable source\n			code, which must be distributed under the terms of Sections 1 and\n			2 above on a medium customarily used for software interchange; or,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Accompany it with a written offer, valid for at least three\n			years, to give any third party, for a charge no more than your\n			cost of physically performing source distribution, a complete\n			machine-readable copy of the corresponding source code, to\n			be distributed under the terms of Sections 1 and 2 above\n			on a medium customarily used for software interchange; or,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Accompany it with the information you received as to the offer\n			to distribute corresponding source code. (This alternative\n			is allowed only for noncommercial distribution and only if\n			you received the program in object code or executable form\n			with such an offer, in accord with Subsection b above.)\n		  </li>\n		\n</ul>\n		<p>\n		  The source code for a work means the preferred form of the work\n		  for making modifications to it. For an executable work, complete\n		  source code means all the source code for all modules it contains,\n		  plus any associated interface definition files, plus the scripts\n		  used to control compilation and installation of the executable.\n		  However, as a special exception, the source code distributed\n		  need not include anything that is normally distributed (in either\n		  source or binary form) with the major components (compiler,\n		  kernel, and so on) of the operating system on which the executable\n		  runs, unless that component itself accompanies the executable.\n		</p>\n\n		<p>\n		  If distribution of executable or object code is made by offering\n		  access to copy from a designated place, then offering equivalent\n		  access to copy the source code from the same place counts as\n		  distribution of the source code, even though third parties are\n		  not compelled to copy the source along with the object code.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		You may not copy, modify, sublicense, or distribute the Program\n		except as expressly provided under this License. Any attempt\n		otherwise to copy, modify, sublicense or distribute the Program\n		is void, and will automatically terminate your rights under\n		this License. However, parties who have received copies, or\n		rights, from you under this License will not have their licenses\n		terminated so long as such parties remain in full compliance.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		You are not required to accept this License, since you have\n		not signed it. However, nothing else grants you permission to\n		modify or distribute the Program or its derivative works. These\n		actions are prohibited by law if you do not accept this License.\n		Therefore, by modifying or distributing the Program (or any\n		work based on the Program), you indicate your acceptance of this\n		License to do so, and all its terms and conditions for copying,\n		distributing or modifying the Program or works based on it.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Each time you redistribute the Program (or any work based on the\n		Program), the recipient automatically receives a license from the\n		original licensor to copy, distribute or modify the Program subject to\n		these terms and conditions. You may not impose any further restrictions\n		on the recipients&apos; exercise of the rights granted herein. You are not\n		responsible for enforcing compliance by third parties to this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		If, as a consequence of a court judgment or allegation of patent\n		infringement or for any other reason (not limited to patent issues),\n		conditions are imposed on you (whether by court order, agreement\n		or otherwise) that contradict the conditions of this License,\n		they do not excuse you from the conditions of this License. If you\n		cannot distribute so as to satisfy simultaneously your obligations\n		under this License and any other pertinent obligations, then as a\n		consequence you may not distribute the Program at all. For example,\n		if a patent license would not permit royalty-free redistribution of\n		the Program by all those who receive copies directly or indirectly\n		through you, then the only way you could satisfy both it and this\n		License would be to refrain entirely from distribution of the Program.\n		<p>\n		  If any portion of this section is held invalid or\n		  unenforceable under any particular circumstance, the\n		  balance of the section is intended to apply and the section\n		  as a whole is intended to apply in other circumstances.\n		</p>\n\n		<p>\n		  It is not the purpose of this section to induce you to infringe\n		  any patents or other property right claims or to contest\n		  validity of any such claims; this section has the sole purpose\n		  of protecting the integrity of the free software distribution\n		  system, which is implemented by public license practices. Many\n		  people have made generous contributions to the wide range of\n		  software distributed through that system in reliance on consistent\n		  application of that system; it is up to the author/donor to\n		  decide if he or she is willing to distribute software through\n		  any other system and a licensee cannot impose that choice.\n		</p>\n\n		<p>\n		  This section is intended to make thoroughly clear what is\n		  believed to be a consequence of the rest of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		If the distribution and/or use of the Program is restricted in\n		certain countries either by patents or by copyrighted interfaces,\n		the original copyright holder who places the Program under this\n		License may add an explicit geographical distribution limitation\n		excluding those countries, so that distribution is permitted only\n		in or among countries not thus excluded. In such case, this License\n		incorporates the limitation as if written in the body of this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		The Free Software Foundation may publish revised and/or new\n		versions of the General Public License from time to time. Such\n		new versions will be similar in spirit to the present version,\n		but may differ in detail to address new problems or concerns.\n		<p>\n		  Each version is given a distinguishing version number. If the\n		  Program specifies a version number of this License which applies\n		  to it and &quot;any later version&quot;, you have the option of following\n		  the terms and conditions either of that version or of any later\n		  version published by the Free Software Foundation. If the Program\n		  does not specify a version number of this License, you may choose\n		  any version ever published by the Free Software Foundation.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		If you wish to incorporate parts of the Program into other free\n		programs whose distribution conditions are different, write to the\n		author to ask for permission. For software which is copyrighted by the\n		Free Software Foundation, write to the Free Software Foundation; we\n		sometimes make exceptions for this. Our decision will be guided by the\n		two goals of preserving the free status of all derivatives of our free\n		software and of promoting the sharing and reuse of software generally.\n		<p>\n		  NO WARRANTY\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\n		FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT\n		WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER\n		PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND,\n		EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\n		IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\n		THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU\n		ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n		REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR\n		DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL\n		DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM\n		(INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\n		INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF\n		THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Programs\n	  </p>\n\n	  <p>\n		If you develop a new program, and you want it to be\n		of the greatest possible use to the public, the best\n		way to achieve this is to make it free software which\n		everyone can redistribute and change under these terms.\n	  </p>\n\n	  <p>\n		To do so, attach the following notices to the program. It is safest\n		to attach them to the start of each source file to most effectively\n		convey the exclusion of warranty; and each file should have at least\n		the &quot;copyright&quot; line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> &lt;one line to give the program&apos;s name and an idea of what it does.&gt;</var><br />\n\n		Copyright (C) <var class=\"replaceable-license-text\"> &lt;yyyy&gt; &lt;name of author&gt;</var>\n	  </p>\n\n	  <p>\n		This program is free software; you can redistribute it and/or\n		modify it under the terms of the GNU General Public License\n		as published by the Free Software Foundation; either version\n		2 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General Public License\n		along with this program; if not, write to the Free Software Foundation,\n		<var class=\"replaceable-license-text\"> 51 Franklin\n		  Street, Fifth Floor, Boston, MA 02110-1301, USA</var>.\n	  </p>\n\n	  <p>\n		Also add information on how to\n		contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		If the program is interactive, make it output a short\n		notice like this when it starts in an interactive mode:\n	  </p>\n\n	  <p>\n		Gnomovision version 69, Copyright (C) year name of author\n		Gnomovision comes with ABSOLUTELY NO WARRANTY; for details\n		type `show w&apos;. This is free software, and you are welcome to\n		redistribute it under certain conditions; type `show c&apos; for details.\n	  </p>\n\n	  <p>\n		The hypothetical commands `show w&apos; and `show c&apos; should show the\n		appropriate parts of the General Public License. Of course, the commands\n		you use may be called something other than `show w&apos; and `show c&apos;; they\n		could even be mouse-clicks or menu items--whatever suits your program.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or your school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the program, if necessary. Here is a sample; alter the names:\n	  </p>\n\n	  <p>\n		Yoyodyne, Inc., hereby disclaims all copyright interest in the program\n		`Gnomovision&apos; (which makes passes at compilers) written by James Hacker.\n	  </p>\n\n	  <p>\n\t<var class=\"optional-license-text\">&lt;</var>signature of Ty Coon<var class=\"optional-license-text\">&gt;</var>,\n\t1 April 1989 Ty Coon, President of Vice\n	  </p>\n\n	</div>\n	<div class=\"optional-license-text\"> \n	  <p>\n		This General Public License does not permit incorporating your program into\n		proprietary programs.  If your program is a subroutine library, you may\n		consider it more useful to permit linking proprietary applications with the\n		library.  If this is what you want to do, use the GNU Lesser General\n		Public License instead of this License.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  <p>\n		<var class=\"replaceable-license-text\"> &lt;one line to give the program&apos;s name and an idea of what it does.&gt;</var><br />\n\n		Copyright (C) <var class=\"replaceable-license-text\"> &lt;yyyy&gt; &lt;name of author&gt;</var>\n	  </p>\n\n	  <p>\n		This program is free software; you can redistribute it and/or\n		modify it under the terms of the GNU General Public License\n		as published by the Free Software Foundation; either version\n		2 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General Public License\n		along with this program; if not, write to the Free Software Foundation,\n		<var class=\"replaceable-license-text\"> 51 Franklin\n		  Street, Fifth Floor, Boston, MA 02110-1301, USA</var>.\n	  </p>\n\n	  "
		self.python_name = "GPL20orlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class DRL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Detection Rule License (DRL) 1.0\nPermission is hereby granted, free of charge, to any person obtaining a copy of this rule set and associated documentation files (the \"Rules\"), to deal in the Rules without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Rules, and to permit persons to whom the Rules are furnished to do so, subject to the following conditions:\n\nIf you share the Rules (including in modified form), you must retain the following if it is supplied within the Rules:\n\nidentification of the authors(s) (\"author\" field) of the Rule and any others designated to receive attribution, in any reasonable manner requested by the Rule author (including by pseudonym if designated).\n\na URI or hyperlink to the Rule set or explicit Rule to the extent reasonably practicable\n\nindicate the Rules are licensed under this Detection Rule License, and include the text of, or the URI or hyperlink to, this Detection Rule License to the extent reasonably practicable\n\nTHE RULES ARE PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE RULES OR THE USE OR OTHER DEALINGS IN THE RULES.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Detection Rule License (DRL) 1.0<<endOptional>>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this rule set and associated documentation files (the \"Rules\"), to deal in the Rules without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Rules, and to permit persons to whom the Rules are furnished to do so, subject to the following conditions:\n\nIf you share the Rules (including in modified form), you must retain the following if it is supplied within the Rules:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> identification of the authors(s) (\"author\" field) of the Rule and any others designated to receive attribution, in any reasonable manner requested by the Rule author (including by pseudonym if designated).\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> a URI or hyperlink to the Rule set or explicit Rule to the extent reasonably practicable\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> indicate the Rules are licensed under this Detection Rule License, and include the text of, or the URI or hyperlink to, this Detection Rule License to the extent reasonably practicable\n\nTHE RULES ARE PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE RULES OR THE USE OR OTHER DEALINGS IN THE RULES.\n\n"
		self.name = "Detection Rule License 1.0"
		self.licenseId = "DRL-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://github.com/Neo23x0/sigma/blob/master/LICENSE.Detection.Rules.md", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:10:40Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/Neo23x0/sigma/blob/master/LICENSE.Detection.Rules.md"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<var class=\"optional-license-text\"> Detection Rule License (DRL) 1.0</var>\n\n<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this rule set and associated documentation files (the &quot;Rules&quot;), to deal in the Rules without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Rules, and to permit persons to whom the Rules are furnished to do so, subject to the following conditions:</p>\n\n<p>If you share the Rules (including in modified form), you must retain the following if it is supplied within the Rules:</p>\n\n<ul style=\"list-style:none\">\n\t\n<li><var class=\"replaceable-license-text\"> 1.</var>\n	identification of the authors(s) (&quot;author&quot; field) of the Rule and any others designated to receive attribution, in any reasonable manner requested by the Rule author (including by pseudonym if designated).</li>\n	\n<li><var class=\"replaceable-license-text\"> 2.</var>\n	a URI or hyperlink to the Rule set or explicit Rule to the extent reasonably practicable</li>\n	\n<li><var class=\"replaceable-license-text\"> 3.</var>indicate the Rules are licensed under this Detection Rule License, and include the text of, or the URI or hyperlink to, this Detection Rule License to the extent reasonably practicable</li>\n\n</ul>\n<p>THE RULES ARE PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE RULES OR THE USE OR OTHER DEALINGS IN THE RULES.</p>\n\n"
		self.python_name = "DRL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The OpenLDAP Public License\nVersion 1.1, 25 August 1998\n\nCopyright 1998, The OpenLDAP Foundation. All Rights Reserved.\n\nNote: This license is derived from the \"Artistic License\" as distributed with the Perl Programming Language. Its terms are different from those of the \"Artistic License.\"\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n	 \"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n	 \"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n	 \"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n	 \"You\" is you, if you're thinking about copying or distributing this Package.\n\n	 \"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n	 \"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	 a) place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	 b) use the modified Package only within your corporation or organization.\n\n	 c) rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	 d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	 a) distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	 b) accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	 c) accompany any non-standard executables with their corresponding Standard Version executables, giving the non-standard executables non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	 d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n7. C subroutines supplied by you and linked into this Package in order to emulate subroutines and variables of the language defined by this Package shall not be considered part of this Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not change the language in any way that would cause it to fail the regression tests for the language.\n\n8. The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n9. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\nThe End\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 1.1, 25 August 1998\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 1998, The OpenLDAP Foundation. All Rights Reserved.  \";match=\".{0,5000}\">><<beginOptional>> Note: This license is derived from the \"Artistic License\" as distributed with the Perl Programming Language. Its terms are different from those of the \"Artistic License.\"\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\n<<endOptional>>\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n\"You\" is you, if you're thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> use the modified Package only within your corporation or organization.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> accompany any non-standard executables with their corresponding Standard Version executables, giving the non-standard executables non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> C subroutines supplied by you and linked into this Package in order to emulate subroutines and variables of the language defined by this Package shall not be considered part of this Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not change the language in any way that would cause it to fail the regression tests for the language.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.<<beginOptional>> The End\n\n<<endOptional>>"
		self.name = "Open LDAP Public License v1.1"
		self.licenseComments = "This license was released 25 August 1998."
		self.licenseId = "OLDAP-1.1"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=806557a5ad59804ef3a44d5abfbe91d706b0791f", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:27Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=806557a5ad59804ef3a44d5abfbe91d706b0791f"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 1.1, 25 August 1998\n	  </p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1998, The OpenLDAP Foundation. All Rights Reserved.</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Note: This license is derived from the &quot;Artistic License&quot; as distributed with the Perl\n		 Programming Language. Its terms are different from those of the &quot;Artistic License.&quot;</p>\n\n		 <p>PREAMBLE</p>\n\n		 <p>The intent of this document is to state the conditions under which a Package may be copied, such that the\n		 Copyright Holder maintains some semblance of artistic control over the development of the package,\n		 while giving the users of the package the right to use and distribute the Package in a more-or-less\n		 customary fashion, plus the right to make reasonable modifications.</p>\n\n	  </div>\n\n	  <p>Definitions:</p>\n\n	  <p>&quot;Package&quot; refers to the collection of files distributed by the Copyright Holder, and\n		 derivatives of that collection of files created through textual modification.</p>\n\n	  <p>&quot;Standard Version&quot; refers to such a Package if it has not been modified, or has been modified\n		 in accordance with the wishes of the Copyright Holder.</p>\n\n	  <p>&quot;Copyright Holder&quot; is whoever is named in the copyright or copyrights for the package.</p>\n\n	  <p>&quot;You&quot; is you, if you&apos;re thinking about copying or distributing this Package.</p>\n\n	  <p>&quot;Reasonable copying fee&quot; is whatever you can justify on the basis of media cost, duplication\n		 charges, time of people involved, and so on. (You will not be required to justify it to the Copyright\n		 Holder, but only to the computing community at large as a market that must bear the fee.)</p>\n\n	  <p>&quot;Freely Available&quot; means that no fee is charged for the item itself, though there may be fees\n		 involved in handling the item. It also means that recipients of the item may redistribute it under the\n		 same conditions they received it.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may make and give away verbatim copies of the source form of the Standard Version of this\n			 Package without restriction, provided that you duplicate all of the original copyright notices\n			 and associated disclaimers.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may apply bug fixes, portability fixes and other modifications derived from the Public Domain\n			 or from the Copyright Holder. A Package modified in such a way shall still be considered the\n			 Standard Version.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may otherwise modify your copy of this Package in any way, provided that you insert a\n			 prominent notice in each changed file stating how and when you changed that file, and provided\n			 that you do at least ONE of the following:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			place your modifications in the Public Domain or otherwise make them Freely Available, such\n			   as by posting said modifications to Usenet or an equivalent medium, or placing the\n			   modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright\n			   Holder to include your modifications in the Standard Version of the Package.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			use the modified Package only within your corporation or organization.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c)</var>\n			rename any non-standard executables so the names do not conflict with standard executables,\n			   which must also be provided, and provide a separate manual page for each non-standard\n			   executable that clearly documents how it differs from the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d)</var>\n			make other distribution arrangements with the Copyright Holder.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may distribute the programs of this Package in object code or executable form, provided that\n			 you do at least ONE of the following:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			distribute a Standard Version of the executables and library files, together with\n			   instructions (in the manual page or equivalent) on where to get the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			accompany the distribution with the machine-readable source of the Package with your modifications.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c)</var>\n			accompany any non-standard executables with their corresponding Standard Version executables,\n			   giving the non-standard executables non-standard names, and clearly documenting the\n			   differences in manual pages (or equivalent), together with instructions on where to get\n			   the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d)</var>\n			make other distribution arrangements with the Copyright Holder.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may charge a reasonable copying fee for any distribution of this Package. You may charge any\n			 fee you choose for support of this Package. You may not charge a fee for this Package itself.\n			 However, you may distribute this Package in aggregate with other (possibly commercial)\n			 programs as part of a larger (possibly commercial) software distribution provided that you do\n			 not advertise this Package as a product of your own.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The scripts and library files supplied as input to or produced as output from the programs of\n			 this Package do not automatically fall under the copyright of this Package, but belong to\n			 whomever generated them, and may be sold commercially, and may be aggregated with this\n			 Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  C subroutines supplied by you and linked into this Package in order to emulate subroutines and\n			 variables of the language defined by this Package shall not be considered part of this\n			 Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not\n			 change the language in any way that would cause it to fail the regression tests for the\n			 language.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  The name of the Copyright Holder may not be used to endorse or promote products derived from this\n			 software without specific prior written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  THIS PACKAGE IS PROVIDED &quot;AS IS&quot; AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\n			 INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A\n			 PARTICULAR PURPOSE.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>The End</p>\n\n	  </div>\n	"
		self.python_name = "OLDAP11"

	def __str__(self):
		return json.dumps(self.__dict__)


class Artistic20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The Artistic License 2.0\n\nCopyright (c) 2000-2006, The Perl Foundation.\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThis license establishes the terms under which a given free software Package may be copied, modified, distributed, and/or redistributed. The intent is that the Copyright Holder maintains some artistic control over the development of that Package while still keeping the Package available as open source and free software.\n\nYou are always permitted to make arrangements wholly outside of this license directly with the Copyright Holder of a given Package.  If the terms of this license do not permit the full use that you propose to make of the Package, you should contact the Copyright Holder and seek a different licensing arrangement.\n\nDefinitions\n\n	 \"Copyright Holder\" means the individual(s) or organization(s) named in the copyright notice for the entire Package.\n\n	 \"Contributor\" means any party that has contributed code or other material to the Package, in accordance with the Copyright Holder's procedures.\n\n	 \"You\" and \"your\" means any person who would like to copy, distribute, or modify the Package.\n\n	 \"Package\" means the collection of files distributed by the Copyright Holder, and derivatives of that collection and/or of those files. A given Package may consist of either the Standard Version, or a Modified Version.\n\n	 \"Distribute\" means providing a copy of the Package or making it accessible to anyone else, or in the case of a company or organization, to others outside of your company or organization.\n\n	 \"Distributor Fee\" means any fee that you charge for Distributing this Package or providing support for this Package to another party.  It does not mean licensing fees.\n\n	 \"Standard Version\" refers to the Package if it has not been modified, or has been modified only in ways explicitly requested by the Copyright Holder.\n\n	 \"Modified Version\" means the Package, if it has been changed, and such changes were not explicitly requested by the Copyright Holder.\n\n	 \"Original License\" means this Artistic License as Distributed with the Standard Version of the Package, in its current version or as it may be modified by The Perl Foundation in the future.\n\n	 \"Source\" form means the source code, documentation source, and configuration files for the Package.\n\n	 \"Compiled\" form means the compiled bytecode, object code, binary, or any other form resulting from mechanical transformation or translation of the Source form.\n\nPermission for Use and Modification Without Distribution\n\n(1) You are permitted to use the Standard Version and create and use Modified Versions for any purpose without restriction, provided that you do not Distribute the Modified Version.\n\nPermissions for Redistribution of the Standard Version\n\n(2) You may Distribute verbatim copies of the Source form of the Standard Version of this Package in any medium without restriction, either gratis or for a Distributor Fee, provided that you duplicate all of the original copyright notices and associated disclaimers.  At your discretion, such verbatim copies may or may not include a Compiled form of the Package.\n\n(3) You may apply any bug fixes, portability changes, and other modifications made available from the Copyright Holder.  The resulting Package will still be considered the Standard Version, and as such will be subject to the Original License.\n\nDistribution of Modified Versions of the Package as Source\n\n(4) You may Distribute your Modified Version as Source (either gratis or for a Distributor Fee, and with or without a Compiled form of the Modified Version) provided that you clearly document how it differs from the Standard Version, including, but not limited to, documenting any non-standard features, executables, or modules, and provided that you do at least ONE of the following:\n\n	 (a) make the Modified Version available to the Copyright Holder of the Standard Version, under the Original License, so that the Copyright Holder may include your modifications in the Standard Version.\n	 (b) ensure that installation of your Modified Version does not prevent the user installing or running the Standard Version. In addition, the Modified Version must bear a name that is different from the name of the Standard Version.\n	 (c) allow anyone who receives a copy of the Modified Version to make the Source form of the Modified Version available to others under\n\n		  (i) the Original License or\n		  (ii) a license that permits the licensee to freely copy, modify and redistribute the Modified Version using the same licensing terms that apply to the copy that the licensee received, and requires that the Source form of the Modified Version, and of any works derived from it, be made freely available in that license fees are prohibited but Distributor Fees are allowed.\n\nDistribution of Compiled Forms of the Standard Version or Modified Versions without the Source\n\n(5)  You may Distribute Compiled forms of the Standard Version without the Source, provided that you include complete instructions on how to get the Source of the Standard Version.  Such instructions must be valid at the time of your distribution.  If these instructions, at any time while you are carrying out such distribution, become invalid, you must provide new instructions on demand or cease further distribution. If you provide valid instructions or cease distribution within thirty days after you become aware that the instructions are invalid, then you do not forfeit any of your rights under this license.\n\n(6)  You may Distribute a Modified Version in Compiled form without the Source, provided that you comply with Section 4 with respect to the Source of the Modified Version.\n\nAggregating or Linking the Package\n\n(7)  You may aggregate the Package (either the Standard Version or Modified Version) with other packages and Distribute the resulting aggregation provided that you do not charge a licensing fee for the Package.  Distributor Fees are permitted, and licensing fees for other components in the aggregation are permitted. The terms of this license apply to the use and Distribution of the Standard or Modified Versions as included in the aggregation.\n\n(8) You are permitted to link Modified and Standard Versions with other works, to embed the Package in a larger work of your own, or to build stand-alone binary or bytecode versions of applications that include the Package, and Distribute the result without restriction, provided the result does not expose a direct interface to the Package.\n\nItems That are Not Considered Part of a Modified Version\n\n(9) Works (including, but not limited to, modules and scripts) that merely extend or make use of the Package, do not, by themselves, cause the Package to be a Modified Version.  In addition, such works are not considered parts of the Package itself, and are not subject to the terms of this license.\n\nGeneral Provisions\n\n(10)  Any use, modification, and distribution of the Standard or Modified Versions is governed by this Artistic License. By using, modifying or distributing the Package, you accept this license. Do not use, modify, or distribute the Package, if you do not accept this license.\n\n(11)  If your Modified Version has been derived from a Modified Version made by someone other than you, you are nevertheless required to ensure that your Modified Version complies with the requirements of this license.\n\n(12)  This license does not grant you the right to use any trademark, service mark, tradename, or logo of the Copyright Holder.\n\n(13)  This license includes the non-exclusive, worldwide, free-of-charge patent license to make, have made, use, offer to sell, sell, import and otherwise transfer the Package with respect to any patent claims licensable by the Copyright Holder that are necessarily infringed by the Package. If you institute patent litigation (including a cross-claim or counterclaim) against any party alleging that the Package constitutes direct or contributory patent infringement, then this Artistic License to you shall terminate on the date that such litigation is filed.\n\n(14)  Disclaimer of Warranty:\nTHE PACKAGE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES. THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT ARE DISCLAIMED TO THE EXTENT PERMITTED BY YOUR LOCAL LAW. UNLESS REQUIRED BY LAW, NO COPYRIGHT HOLDER OR CONTRIBUTOR WILL BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING IN ANY WAY OUT OF THE USE OF THE PACKAGE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Artistic License 2.0\n\n<<endOptional>>\n\nCopyright (c) 2000-2006, The Perl Foundation.\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThis license establishes the terms under which a given free software Package may be copied, modified, distributed, and/or redistributed. The intent is that the Copyright Holder maintains some artistic control over the development of that Package while still keeping the Package available as open source and free software.\n\nYou are always permitted to make arrangements wholly outside of this license directly with the Copyright Holder of a given Package. If the terms of this license do not permit the full use that you propose to make of the Package, you should contact the Copyright Holder and seek a different licensing arrangement.\n\nDefinitions\n\n   \"Copyright Holder\" means the individual(s) or organization(s) named in the copyright notice for the entire Package.\n\n   \"Contributor\" means any party that has contributed code or other material to the Package, in accordance with the Copyright Holder's procedures.\n\n   \"You\" and \"your\" means any person who would like to copy, distribute, or modify the Package.\n\n   \"Package\" means the collection of files distributed by the Copyright Holder, and derivatives of that collection and/or of those files. A given Package may consist of either the Standard Version, or a Modified Version.\n\n   \"Distribute\" means providing a copy of the Package or making it accessible to anyone else, or in the case of a company or organization, to others outside of your company or organization.\n\n   \"Distributor Fee\" means any fee that you charge for Distributing this Package or providing support for this Package to another party. It does not mean licensing fees.\n\n   \"Standard Version\" refers to the Package if it has not been modified, or has been modified only in ways explicitly requested by the Copyright Holder.\n\n   \"Modified Version\" means the Package, if it has been changed, and such changes were not explicitly requested by the Copyright Holder.\n\n   \"Original License\" means this Artistic License as Distributed with the Standard Version of the Package, in its current version or as it may be modified by The Perl Foundation in the future.\n\n   \"Source\" form means the source code, documentation source, and configuration files for the Package.\n\n   \"Compiled\" form means the compiled bytecode, object code, binary, or any other form resulting from mechanical transformation or translation of the Source form.\n\nPermission for Use and Modification Without Distribution\n\n   <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> You are permitted to use the Standard Version and create and use Modified Versions for any purpose without restriction, provided that you do not Distribute the Modified Version.\n\nPermissions for Redistribution of the Standard Version\n\n   <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> You may Distribute verbatim copies of the Source form of the Standard Version of this Package in any medium without restriction, either gratis or for a Distributor Fee, provided that you duplicate all of the original copyright notices and associated disclaimers. At your discretion, such verbatim copies may or may not include a Compiled form of the Package.\n\n   <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> You may apply any bug fixes, portability changes, and other modifications made available from the Copyright Holder. The resulting Package will still be considered the Standard Version, and as such will be subject to the Original License.\n\nDistribution of Modified Versions of the Package as Source\n\n   <<var;name=\"bullet\";original=\"(4)\";match=\".{0,20}\">> You may Distribute your Modified Version as Source (either gratis or for a Distributor Fee, and with or without a Compiled form of the Modified Version) provided that you clearly document how it differs from the Standard Version, including, but not limited to, documenting any non-standard features, executables, or modules, and provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> make the Modified Version available to the Copyright Holder of the Standard Version, under the Original License, so that the Copyright Holder may include your modifications in the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> ensure that installation of your Modified Version does not prevent the user installing or running the Standard Version. In addition, the Modified Version must bear a name that is different from the name of the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> allow anyone who receives a copy of the Modified Version to make the Source form of the Modified Version available to others under\n\n		 <<var;name=\"bullet\";original=\"(i)\";match=\".{0,20}\">> the Original License or\n\n		 <<var;name=\"bullet\";original=\"(ii)\";match=\".{0,20}\">> a license that permits the licensee to freely copy, modify and redistribute the Modified Version using the same licensing terms that apply to the copy that the licensee received, and requires that the Source form of the Modified Version, and of any works derived from it, be made freely available in that license fees are prohibited but Distributor Fees are allowed.\n\nDistribution of Compiled Forms of the Standard Version or Modified Versions without the Source\n\n   <<var;name=\"bullet\";original=\"(5)\";match=\".{0,20}\">> You may Distribute Compiled forms of the Standard Version without the Source, provided that you include complete instructions on how to get the Source of the Standard Version. Such instructions must be valid at the time of your distribution. If these instructions, at any time while you are carrying out such distribution, become invalid, you must provide new instructions on demand or cease further distribution. If you provide valid instructions or cease distribution within thirty days after you become aware that the instructions are invalid, then you do not forfeit any of your rights under this license.\n\n   <<var;name=\"bullet\";original=\"(6)\";match=\".{0,20}\">> You may Distribute a Modified Version in Compiled form without the Source, provided that you comply with Section 4 with respect to the Source of the Modified Version.\n\nAggregating or Linking the Package\n\n   <<var;name=\"bullet\";original=\"(7)\";match=\".{0,20}\">> You may aggregate the Package (either the Standard Version or Modified Version) with other packages and Distribute the resulting aggregation provided that you do not charge a licensing fee for the Package. Distributor Fees are permitted, and licensing fees for other components in the aggregation are permitted. The terms of this license apply to the use and Distribution of the Standard or Modified Versions as included in the aggregation.\n\n   <<var;name=\"bullet\";original=\"(8)\";match=\".{0,20}\">> You are permitted to link Modified and Standard Versions with other works, to embed the Package in a larger work of your own, or to build stand-alone binary or bytecode versions of applications that include the Package, and Distribute the result without restriction, provided the result does not expose a direct interface to the Package.\n\nItems That are Not Considered Part of a Modified Version\n\n   <<var;name=\"bullet\";original=\"(9)\";match=\".{0,20}\">> Works (including, but not limited to, modules and scripts) that merely extend or make use of the Package, do not, by themselves, cause the Package to be a Modified Version. In addition, such works are not considered parts of the Package itself, and are not subject to the terms of this license.\n\nGeneral Provisions\n\n   <<var;name=\"bullet\";original=\"(10)\";match=\".{0,20}\">> Any use, modification, and distribution of the Standard or Modified Versions is governed by this Artistic License. By using, modifying or distributing the Package, you accept this license. Do not use, modify, or distribute the Package, if you do not accept this license.\n\n   <<var;name=\"bullet\";original=\"(11)\";match=\".{0,20}\">> If your Modified Version has been derived from a Modified Version made by someone other than you, you are nevertheless required to ensure that your Modified Version complies with the requirements of this license.\n\n   <<var;name=\"bullet\";original=\"(12)\";match=\".{0,20}\">> This license does not grant you the right to use any trademark, service mark, tradename, or logo of the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"(13)\";match=\".{0,20}\">> This license includes the non-exclusive, worldwide, free-of-charge patent license to make, have made, use, offer to sell, sell, import and otherwise transfer the Package with respect to any patent claims licensable by the Copyright Holder that are necessarily infringed by the Package. If you institute patent litigation (including a cross-claim or counterclaim) against any party alleging that the Package constitutes direct or contributory patent infringement, then this Artistic License to you shall terminate on the date that such litigation is filed.\n\n   <<var;name=\"bullet\";original=\"(14)\";match=\".{0,20}\">> Disclaimer of Warranty:\n\n   THE PACKAGE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES. THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT ARE DISCLAIMED TO THE EXTENT PERMITTED BY YOUR LOCAL LAW. UNLESS REQUIRED BY LAW, NO COPYRIGHT HOLDER OR CONTRIBUTOR WILL BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING IN ANY WAY OUT OF THE USE OF THE PACKAGE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n   "
		self.name = "Artistic License 2.0"
		self.licenseComments = "This license was released: 2006"
		self.licenseId = "Artistic-2.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/artistic-license-2.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:47Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://www.perlfoundation.org/artistic-license-20.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:47Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://www.perlfoundation.org/artistic_license_2_0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:47Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.perlfoundation.org/artistic_license_2_0", "https://www.perlfoundation.org/artistic-license-20.html", "https://opensource.org/licenses/artistic-license-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Artistic License 2.0</p>\n\n	  </div>\n	  <p>Copyright (c) 2000-2006, The Perl Foundation.</p>\n\n	  <p>Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is\n		 not allowed.</p>\n\n	  <p>Preamble</p>\n\n	  <p>This license establishes the terms under which a given free software Package may be copied, modified,\n		 distributed, and/or redistributed. The intent is that the Copyright Holder maintains some artistic\n		 control over the development of that Package while still keeping the Package available as open source\n		 and free software.</p>\n\n	  <p>You are always permitted to make arrangements wholly outside of this license directly with the Copyright\n		 Holder of a given Package. If the terms of this license do not permit the full use that you propose to\n		 make of the Package, you should contact the Copyright Holder and seek a different licensing\n		 arrangement.</p>\n\n	  <p>Definitions</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<p>&quot;Copyright Holder&quot; means the individual(s) or organization(s) named in the copyright notice for\n		 the entire Package.</p>\n\n		 </li>\n		\n<li>\n			<p>&quot;Contributor&quot; means any party that has contributed code or other material to the Package, in\n		 accordance with the Copyright Holder&apos;s procedures.</p>\n\n		</li>\n		\n<li>\n			<p>&quot;You&quot; and &quot;your&quot; means any person who would like to copy, distribute, or modify the Package.</p>\n\n		</li>\n		\n<li>\n			<p>&quot;Package&quot; means the collection of files distributed by the Copyright Holder, and derivatives of\n		 that collection and/or of those files. A given Package may consist of either the Standard Version, or\n		 a Modified Version.</p>\n\n		</li>\n		\n<li>\n			<p>&quot;Distribute&quot; means providing a copy of the Package or making it accessible to anyone else, or\n		 in the case of a company or organization, to others outside of your company or organization.</p>\n\n		</li>\n		\n<li>\n			<p>&quot;Distributor Fee&quot; means any fee that you charge for Distributing this Package or providing\n		 support for this Package to another party. It does not mean licensing fees.</p>\n\n		</li>\n		\n<li>\n			<p>&quot;Standard Version&quot; refers to the Package if it has not been modified, or has been modified only\n		 in ways explicitly requested by the Copyright Holder.</p>\n\n		</li>\n		\n<li>\n			<p>&quot;Modified Version&quot; means the Package, if it has been changed, and such changes were not\n		 explicitly requested by the Copyright Holder.</p>\n\n		</li>\n		\n<li>\n			<p>&quot;Original License&quot; means this Artistic License as Distributed with the Standard Version of the\n		 Package, in its current version or as it may be modified by The Perl Foundation in the future.</p>\n\n		</li>\n		\n<li>\n			<p>&quot;Source&quot; form means the source code, documentation source, and configuration files for the\n		 Package.</p>\n\n		</li>\n		\n<li>\n			<p>&quot;Compiled&quot; form means the compiled bytecode, object code, binary, or any other form resulting\n		 from mechanical transformation or translation of the Source form.</p>\n\n		</li>\n	  \n</ul>\n\n	  <p>Permission for Use and Modification Without Distribution</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (1)</var>\n		  You are permitted to use the Standard Version and create and use Modified Versions for any\n			 purpose without restriction, provided that you do not Distribute the Modified Version.\n		</li>\n	  \n</ul>\n\n	  <p>Permissions for Redistribution of the Standard Version</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (2)</var>\n		  You may Distribute verbatim copies of the Source form of the Standard Version of this Package in\n			 any medium without restriction, either gratis or for a Distributor Fee, provided that you\n			 duplicate all of the original copyright notices and associated disclaimers. At your\n			 discretion, such verbatim copies may or may not include a Compiled form of the Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (3)</var>\n		  You may apply any bug fixes, portability changes, and other modifications made available from the\n			 Copyright Holder. The resulting Package will still be considered the Standard Version, and as\n			 such will be subject to the Original License.\n		</li>\n	  \n</ul>\n\n	  <p>Distribution of Modified Versions of the Package as Source</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (4)</var>\n		  You may Distribute your Modified Version as Source (either gratis or for a Distributor Fee, and\n			 with or without a Compiled form of the Modified Version) provided that you clearly document\n			 how it differs from the Standard Version, including, but not limited to, documenting any\n			 non-standard features, executables, or modules, and provided that you do at least ONE of the\n			 following:\n\t  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  make the Modified Version available to the Copyright Holder of the Standard Version, under\n				 the Original License, so that the Copyright Holder may include your modifications in the\n				 Standard Version.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  ensure that installation of your Modified Version does not prevent the user installing or\n				 running the Standard Version. In addition, the Modified Version must bear a name that is\n				 different from the name of the Standard Version.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			  allow anyone who receives a copy of the Modified Version to make the Source form of the\n				 Modified Version available to others under\n			</li>\n\t	   \n<li>\n\t	   \n<ul style=\"list-style:none\">\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> (i)</var>\n				the Original License or\n			  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> (ii)</var>\n				a license that permits the licensee to freely copy, modify and redistribute the Modified\n				   Version using the same licensing terms that apply to the copy that the licensee\n				   received, and requires that the Source form of the Modified Version, and of any works\n				   derived from it, be made freely available in that license fees are prohibited but\n				   Distributor Fees are allowed.\n			  </li>\n			   \n</ul>\n	   \t	   </li>\n		  \n</ul>\n  \t</li>\n	  \n</ul>\n\n	  <p>Distribution of Compiled Forms of the Standard Version or Modified Versions without the Source</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (5)</var>\n		  You may Distribute Compiled forms of the Standard Version without the Source, provided that you\n			 include complete instructions on how to get the Source of the Standard Version. Such\n			 instructions must be valid at the time of your distribution. If these instructions, at any\n			 time while you are carrying out such distribution, become invalid, you must provide new\n			 instructions on demand or cease further distribution. If you provide valid instructions or\n			 cease distribution within thirty days after you become aware that the instructions are\n			 invalid, then you do not forfeit any of your rights under this license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (6)</var>\n		  You may Distribute a Modified Version in Compiled form without the Source, provided that you\n			 comply with Section 4 with respect to the Source of the Modified Version.\n		</li>\n	  \n</ul>\n\n	  <p>Aggregating or Linking the Package</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (7)</var>\n		  You may aggregate the Package (either the Standard Version or Modified Version) with other\n			 packages and Distribute the resulting aggregation provided that you do not charge a licensing\n			 fee for the Package. Distributor Fees are permitted, and licensing fees for other components\n			 in the aggregation are permitted. The terms of this license apply to the use and Distribution\n			 of the Standard or Modified Versions as included in the aggregation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (8)</var>\n		  You are permitted to link Modified and Standard Versions with other works, to embed the Package\n			 in a larger work of your own, or to build stand-alone binary or bytecode versions of\n			 applications that include the Package, and Distribute the result without restriction, provided\n			 the result does not expose a direct interface to the Package.\n		</li>\n	  \n</ul>\n\n	  <p>Items That are Not Considered Part of a Modified Version</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (9)</var>\n		  Works (including, but not limited to, modules and scripts) that merely extend or make use of the\n			 Package, do not, by themselves, cause the Package to be a Modified Version. In addition, such\n			 works are not considered parts of the Package itself, and are not subject to the terms of this\n			 license.\n		</li>\n	  \n</ul>\n\n	  <p>General Provisions</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (10)</var>\n		  Any use, modification, and distribution of the Standard or Modified Versions is governed by this\n			 Artistic License. By using, modifying or distributing the Package, you accept this license. Do\n			 not use, modify, or distribute the Package, if you do not accept this license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (11)</var>\n		  If your Modified Version has been derived from a Modified Version made by someone other than you,\n			 you are nevertheless required to ensure that your Modified Version complies with the\n			 requirements of this license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (12)</var>\n		  This license does not grant you the right to use any trademark, service mark, tradename, or logo\n			 of the Copyright Holder.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (13)</var>\n		  This license includes the non-exclusive, worldwide, free-of-charge patent license to make, have\n			 made, use, offer to sell, sell, import and otherwise transfer the Package with respect to any\n			 patent claims licensable by the Copyright Holder that are necessarily infringed by the\n			 Package. If you institute patent litigation (including a cross-claim or counterclaim) against\n			 any party alleging that the Package constitutes direct or contributory patent infringement,\n			 then this Artistic License to you shall terminate on the date that such litigation is\n			 filed.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (14)</var>\n		  Disclaimer of Warranty:\n		  <p>THE PACKAGE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS &quot;AS IS&quot; AND WITHOUT ANY\n		 EXPRESS OR IMPLIED WARRANTIES. THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\n		 PURPOSE, OR NON-INFRINGEMENT ARE DISCLAIMED TO THE EXTENT PERMITTED BY YOUR LOCAL LAW. UNLESS REQUIRED\n		 BY LAW, NO COPYRIGHT HOLDER OR CONTRIBUTOR WILL BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, OR\n		 CONSEQUENTIAL DAMAGES ARISING IN ANY WAY OUT OF THE USE OF THE PACKAGE, EVEN IF ADVISED OF THE\n		 POSSIBILITY OF SUCH DAMAGE.</p>\n\n		</li>\n	  \n</ul>\n	"
		self.python_name = "Artistic20"

	def __str__(self):
		return json.dumps(self.__dict__)


class OGC10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "OGC Software License, Version 1.0\n\nThis OGC work (including software, documents, or other related items) is being provided by the copyright holders under the following license. By obtaining, using and/or copying this work, you (the licensee) agree that you have read, understood, and will comply with the following terms and conditions:\n\nPermission to use, copy, and modify this software and its documentation, with or without modification, for any purpose and without fee or royalty is hereby granted, provided that you include the following on ALL copies of the software and documentation or portions thereof, including modifications, that you make:\n\n1. The full text of this NOTICE in a location viewable to users of the redistributed or derivative work.\n\n2. Any pre-existing intellectual property disclaimers, notices, or terms and conditions. If none exist, a short notice of the following form (hypertext is preferred, text is permitted) should be used within the body of any redistributed or derivative code: \"Copyright \u00a9 [$date-of-document] Open Geospatial Consortium, Inc. All Rights Reserved. http://www.ogc.org/ogc/legal (Hypertext is preferred, but a textual representation is permitted.)\n\n3. Notice of any changes or modifications to the OGC files, including the date changes were made. (We recommend you provide URIs to the location from which the code is derived.)\n\nTHIS SOFTWARE AND DOCUMENTATION IS PROVIDED \"AS IS,\" AND COPYRIGHT HOLDERS MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.\n\nCOPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENTATION.\n\nThe name and trademarks of copyright holders may NOT be used in advertising or publicity pertaining to the software without specific, written prior permission. Title to copyright in this software and any associated documentation will at all times remain with copyright holders.\n"
		self.standardLicenseTemplate = "<<beginOptional>>OGC Software License, Version 1.0<<endOptional>>\n\nThis OGC work (including software, documents, or other related items) is being provided by the copyright holders under the following license. By obtaining, using and/or copying this work, you (the licensee) agree that you have read, understood, and will comply with the following terms and conditions:\n\nPermission to use, copy, and modify this software and its documentation, with or without modification, for any purpose and without fee or royalty is hereby granted, provided that you include the following on ALL copies of the software and documentation or portions thereof, including modifications, that you make:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The full text of this NOTICE in a location viewable to users of the redistributed or derivative work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Any pre-existing intellectual property disclaimers, notices, or terms and conditions. If none exist, a short notice of the following form (hypertext is preferred, text is permitted) should be used within the body of any redistributed or derivative code: \"Copyright \u00a9 [$date-of-document] Open Geospatial Consortium, Inc. All Rights Reserved. http://www. <<var;name=\"url1\";original=\"ogc\";match=\"ogc|opengeospatial\">> .org/ogc/legal (Hypertext is preferred, but a textual representation is permitted.)\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Notice of any changes or modifications to the OGC files, including the date changes were made. (We recommend you provide URIs to the location from which the code is derived.)\n\nTHIS SOFTWARE AND DOCUMENTATION IS PROVIDED \"AS IS,\" AND COPYRIGHT HOLDERS MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.\n\nCOPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENTATION.\n\nThe name and trademarks of copyright holders may NOT be used in advertising or publicity pertaining to the software without specific, written prior permission. Title to copyright in this software and any associated documentation will at all times remain with copyright holders.\n\n"
		self.name = "OGC Software License, Version 1.0"
		self.licenseId = "OGC-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://www.ogc.org/ogc/software/1.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:18:50Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.ogc.org/ogc/software/1.0"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<var class=\"optional-license-text\"> \n				OGC Software License, Version 1.0\n			</var>\n\n			<p>This OGC work (including software, documents, or other related items) is being provided by the copyright holders under the following license. By obtaining, using and/or copying this work, you (the licensee) agree that you have read, understood, and will comply with the following terms and conditions:</p>\n\n			<p>Permission to use, copy, and modify this software and its documentation, with or without modification, for any purpose and without fee or royalty is hereby granted, provided that you include the following on ALL copies of the software and documentation or portions thereof, including modifications, that you make:</p>\n\n<ul style=\"list-style:none\">\n				\n<li><var class=\"replaceable-license-text\"> 1.</var> The full text of this NOTICE in a location viewable to users of the redistributed or derivative work.</li>\n\n<li><var class=\"replaceable-license-text\"> 2.</var> Any pre-existing intellectual property disclaimers, notices, or terms and conditions. If none exist, a short notice of the following form (hypertext is preferred, text is permitted) should be used within the body of any redistributed or derivative code: &quot;Copyright \u00a9 [$date-of-document] Open Geospatial Consortium, Inc. All Rights Reserved. http://www.<var class=\"replaceable-license-text\"> ogc</var>.org/ogc/legal (Hypertext is preferred, but a textual representation is permitted.)</li>\n\n<li><var class=\"replaceable-license-text\"> 3.</var> Notice of any changes or modifications to the OGC files, including the date changes were made. (We recommend you provide URIs to the location from which the code is derived.)</li>\n			\n</ul>\n\n			<p>THIS SOFTWARE AND DOCUMENTATION IS PROVIDED &quot;AS IS,&quot; AND COPYRIGHT HOLDERS MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.</p>\n\n			<p>COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENTATION.</p>\n\n			<p>The name and trademarks of copyright holders may NOT be used in advertising or publicity pertaining to the software without specific, written prior permission. Title to copyright in this software and any associated documentation will at all times remain with copyright holders.</p>\n\n		"
		self.python_name = "OGC10"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDsellregexpr:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Author: Tatu Ylonen <ylo@ngs.fi>\n\nCopyright (c) 1991 Tatu Ylonen, Espoo, Finland\n\nPermission to use, copy, modify, distribute, and sell this software\nand its documentation for any purpose is hereby granted without\nfee, provided that the above copyright notice appear in all copies.\nThis software is provided \"as is\" without express or implied\nwarranty.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Author: Tatu Ylonen <ylo@ngs.fi>  Copyright (c) 1991 Tatu Ylonen, Espoo, Finland\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies. This software is provided \"as is\" without express or implied warranty.\n\n"
		self.name = "Historical Permission Notice and Disclaimer - sell regexpr variant"
		self.licenseComments = "This is an even shorter variant of HPND-sell than that template allows for."
		self.licenseId = "HPND-sell-regexpr"
		self.crossRef = [{"match": "False", "url": "https://gitlab.com/bacula-org/bacula/-/blob/Branch-11.0/bacula/LICENSE-FOSS?ref_type=heads#L245", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gitlab.com/bacula-org/bacula/-/blob/Branch-11.0/bacula/LICENSE-FOSS?ref_type=heads#L245"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<var class=\"replaceable-license-text\"> \n				Author: Tatu Ylonen &lt;ylo@ngs.fi&gt;<br />\n\n				Copyright (c) 1991 Tatu Ylonen, Espoo, Finland\n		</var>\n		<p>\n				  Permission to use, copy, modify,\n				  distribute, and sell this software and its documentation for\n				  any purpose is hereby granted without fee, provided that the\n				  above copyright notice appear in all copies. This software\n				  is provided &quot;as is&quot; without express or implied warranty.\n		</p>\n\n	  "
		self.python_name = "HPNDsellregexpr"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLFL13:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Open Logistics Foundation License\nVersion 1.3, January 2023\nhttps://www.openlogisticsfoundation.org/licenses/\n\nTERMS AND CONDITIONS FOR USE, REPRODUCTION AND DISTRIBUTION\n\n\u00a71 Definitions\n\n(1) \"Subject Matter of the License\" shall mean the works of software components\nin Source or Object form as well as any other components protected under\ncopyright, design and/or patent law which are made available under this License.\n\n(2) \"License\" shall mean the terms and conditions for the use, reproduction and\ndistribution of the Subject Matter of the License in accordance with the\nprovisions of this document.\n\n(3) \"Licensor(s)\" shall mean the copyright holder(s) or the entity authorized by\nlaw or contract by the copyright holder(s) to grant the License.\n\n(4) \"You\" (or \"Your\") shall mean a natural or legal person exercising the\npermissions granted by this License.\n\n(5) \"Source\" form shall mean the preferred form for making modifications,\nincluding but not limited to software source code, documentation source, and\nconfiguration files.\n\n(6) \"Object\" form shall mean any form resulting from mechanical transformation\nor translation of a Source form, including but not limited to compiled object\ncode, generated documentation, and conversions to other media types.\n\n(7) \"Derivative Works\" shall mean any work, whether in Source or Object form or\nany other form, that is based on (or derived from) the Subject Matter of the\nLicense and for which the editorial revisions, annotations, elaborations, or\nother modifications represent, as a whole, an original work of authorship. For\nthe purposes of this License, Derivative Works shall not include works that\nremain separable from, or merely link (or bind by name) to the interfaces of,\nthe Subject Matter of the License and Derivative Works thereof.\n\n(8) \"Contribution\" shall mean any proprietary work, including the original\nversion of the Subject Matter of the License and any changes or additions to\nsuch work, or Derivative Works of such work, that the rights holder, or a\nnatural or legal person authorized to make submissions, intentionally submits to\na Licensor to be incorporated into the Subject Matter of the License. For the\npurposes of this definition, \"submit\" shall mean any form of electronic or\nwritten communication which is sent to a Licensor or its representatives for the\npurpose of discussing or improving the Subject Matter of the License, including\nbut not limited to communications sent via electronic mailing lists, source code\ncontrol systems and issue tracking systems; however, communications that are\nclearly marked by the copyright holder as \"not a contribution\" or otherwise\nidentified as such in writing are excluded.\n\n(9) \"Contributor\" shall mean the Licensor(s) and/or any natural or legal person\non whose behalf the Licensor(s) receive(s) any Contribution subsequently\nincorporated into the Subject Matter of the License.\n\n\u00a72 Grant of usage rights\n\nSubject to the terms and conditions of this License and compliance with the\nprovisions of this License, You are hereby granted by each Contributor, insofar\nas applicable to the respective Subject Matter of the License the\n\n- royalty-free and non-exclusive,\n- sub-licensable for commercial and non-commercial purposes,\n- worldwide and perpetual,\n- irrevocable and non-terminable\n\nright to reproduce, prepare Derivative Works of, publicly display, publicly\nperform, and distribute the Subject Matter of the License and such Derivative\nWorks in any form. This right of use includes but is not limited to the right\n\n- to use the Subject Matter of the License in any hardware and software\n  environment (with regard to the software and data components), in particular\n  to store or load it permanently or temporarily, to display it and run it,\n  including to the extent reproductions are necessary to that end,\n- to otherwise modify, interpret, edit or redesign it,\n- to store, reproduce, exhibit, publish, distribute it in tangible or intangible\n  form, on any medium or in any other way, for commercial and non-commercial\n  purposes, in particular to communicate it privately or publicly, including via\n  image, audio and other information carriers, irrespective of whether by wire\n  or wireless means,\n- to use it in databases, data networks and online services, including the right\n  to make the software and data components of the Subject Matter of the License\n  available in Source or Object form to users of the aforementioned databases,\n  networks and online services for research and retrieval purposes,\n- to allow third parties to use or operate it,\n- to use it for own purposes but also to provide services to third parties,\n- to distribute it\n\nin its original or modified, interpreted, edited or redesigned form.\n\nThe foregoing right of use relates to the Subject Matter of the License, in\nparticular to its Source and Object form of software components (including\ndesign rights, where applicable).\n\n\u00a73 Grant of patent license\n\nSubject to the terms and conditions of this License and compliance with the\nprovisions of this License, You are hereby granted by each Contributor a \n- royalty-free and non-exclusive,\n- worldwide and perpetual,\n- irrevocable (with the exception of the restrictions set out in this Section 3)\n\npatent license in all rights deriving from the patents, owned and licensable by\nthe Contributor at the time of the submission of the Contribution, to\n\n- produce,\n- have produced,\n- use,\n- offer for sale,\n- sell,\n- import and otherwise transfer\n\nthe Subject Matter of the License.\n\nHowever, said patent license shall cover only those rights deriving from the\npatents of the respective Contributors which are indispensable in order not to\ninfringe that patent and only to the extent that the use of the Contributor\u2019s\nrespective Contributions, whether alone or in combination with other\nContributions of the Contributors or any third parties together with the Subject\nMatter of the License for which these Contributions were submitted, would\notherwise infringe that patent. The grant of license shall not include rights\nderiving from the patents which may in future become necessary for their lawful\nuse due to subsequent modifications to the Subject Matter or Contributions made\nby third parties after the original submission.\n\nIn the event that You institute patent litigation against any entity or person\n(including a counterclaim or countersuit in a legal action), alleging that the\nSubject Matter of the License or a Contribution incorporated or contained\ntherein constitutes patent infringement or indirect infringement, all patent\nlicenses which have been granted to You under this License for the Subject\nMatter of the License as well as this License itself shall be deemed terminated\nas of the date on which the action is filed.\n\n\u00a74 Distribution\n\nYou may reproduce and distribute copies of the Subject Matter of the License or\nDerivative Works on any medium, with or without modifications (with regard to\nsoftware components in Source or Object form), provided that You comply with\nthe following rules:\n\n- You must provide all other recipients of the Subject Matter of the License or\n  of Derivative Works with a copy of this License and inform them that the\n  Subject Matter of the License was originally licensed under this License.\n- You must ensure that modified files contain prominent notices indicating that\n  You have modified the files.\n- You must retain all copyright, patent, trademark and attribution notices in\n  the Subject Matter of the License in the Source form of any Derivative Works\n  You distribute, with the exception of those notices that do not pertain to any\n  part of the Derivative Works.\n\nYou may add Your own copyright notices to Your modifications and state any\nadditional or different license conditions and conditions for the use,\nreproduction or distribution of Your modifications or for those Derivative Works\nas a whole, provided that Your use, reproduction and distribution of the work\ncomplies with the terms and conditions set out in this License in all other\nrespects.\n\n\u00a75 Submission of Contributions\n\nUnless expressly stated otherwise, every Contribution that You have\nintentionally submitted for inclusion in the Subject Matter of the License is\nsubject to this License without any additional terms or conditions applying.\nIrrespective of the above, none of the terms or conditions contained herein may\nbe interpreted to supersede or modify the terms or conditions of any separate\nlicensing agreement that You may have concluded with a Licensor for such\nContributions, such as a so-called \"Contributor License Agreement\" (CLA).\n\n\u00a76 Trademarks\n\nThis License does not grant permission to use the trade names, trademarks,\nservice marks or product names of the Licensor(s) or of a Contributor.\n\n\u00a77 Limited warranty\n\nThis License is granted free of charge and thus constitutes a gift. Accordingly,\nany warranty is excluded. The Subject Matter of the License is a work in\nprogress; it is constantly being improved by countless Contributors. The Subject\nMatter of the License is not complete and may therefore contain errors (\"bugs\")\nor additional patents of Contributors or third parties, as is inherent in this\ntype of development.\n\n\u00a78 Limitation of liability\n\nExcept in cases of intentional and grossly negligent conduct, the Contributors,\ntheir legal representatives, trustees, officers and employees shall not be\nliable for direct or indirect, material or immaterial loss or damage of any kind\narising from the License or the use of the Subject Matter of the License; this\napplies, among other things, but not exclusively, to loss of goodwill, loss of\nproduction, computer failures or errors, loss of data or economic loss or\ndamage, even if the Contributor has been notified of the possibility of such\nloss or damage. Irrespective of the above, the Licensor shall only be liable\nwithin the scope of statutory product liability to the extent that the\nrespective provisions are applicable to the Subject Matter of the License or the\nContribution.\n\nExcept in cases of intentional conduct, the Contributors, their legal\nrepresentatives, trustees, officers and employees shall not be liable for any\ninfringement of third-party patent or intellectual property rights arising from\nthe Contributions nor do they warrant that the Contributions are accurate,\ndevoid of mistakes, complete and/or fit for any particular purpose.\n\n\u00a79 Provision of warranties or assumption of additional liability in the event of\ndistribution of the Subject Matter of the License\n\nIn the event of distribution of the Subject Matter of the License or Derivative\nWorks, You are free to accept support, warranty, indemnity or other liability\nobligations and/or rights consistent with this License and to charge a fee in\nreturn. However, in accepting such obligations, You may act only on Your own\nbehalf and on Your sole responsibility, not on behalf of any other Contributor,\nand You hereby agree to indemnify, defend, and hold each Contributor harmless\nfor any liability incurred by, or claims asserted against, such Contributor by\nreason of Your accepting any such warranty or additional liability.\n\n\u00a710 Applicable law\n\nThis License is governed by German law, excluding its conflict of laws\nprovisions and the provisions of the UN Convention on Contracts for the\nInternational Sale of Goods (CISG).\n\nEND OF TERMS AND CONDITIONS\n"
		self.standardLicenseTemplate = "<<beginOptional>>Open Logistics Foundation License\n\nVersion 1.3, January 2023\n\nhttps://www.openlogisticsfoundation.org/licenses/\n\n<<endOptional>><<beginOptional>> TERMS AND CONDITIONS FOR USE, REPRODUCTION AND DISTRIBUTION\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"\u00a71\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> \"Subject Matter of the License\" shall mean the works of software components in Source or Object form as well as any other components protected under copyright, design and/or patent law which are made available under this License.\n\n	  <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> \"License\" shall mean the terms and conditions for the use, reproduction and distribution of the Subject Matter of the License in accordance with the provisions of this document.\n\n	  <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> \"Licensor(s)\" shall mean the copyright holder(s) or the entity authorized by law or contract by the copyright holder(s) to grant the License.\n\n	  <<var;name=\"bullet\";original=\"(4)\";match=\".{0,20}\">> \"You\" (or \"Your\") shall mean a natural or legal person exercising the permissions granted by this License.\n\n	  <<var;name=\"bullet\";original=\"(5)\";match=\".{0,20}\">> \"Source\" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.\n\n	  <<var;name=\"bullet\";original=\"(6)\";match=\".{0,20}\">> \"Object\" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.\n\n	  <<var;name=\"bullet\";original=\"(7)\";match=\".{0,20}\">> \"Derivative Works\" shall mean any work, whether in Source or Object form or any other form, that is based on (or derived from) the Subject Matter of the License and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Subject Matter of the License and Derivative Works thereof.\n\n	  <<var;name=\"bullet\";original=\"(8)\";match=\".{0,20}\">> \"Contribution\" shall mean any proprietary work, including the original version of the Subject Matter of the License and any changes or additions to such work, or Derivative Works of such work, that the rights holder, or a natural or legal person authorized to make submissions, intentionally submits to a Licensor to be incorporated into the Subject Matter of the License. For the purposes of this definition, \"submit\" shall mean any form of electronic or written communication which is sent to a Licensor or its representatives for the purpose of discussing or improving the Subject Matter of the License, including but not limited to communications sent via electronic mailing lists, source code control systems and issue tracking systems; however, communications that are clearly marked by the copyright holder as \"not a contribution\" or otherwise identified as such in writing are excluded.\n\n	  <<var;name=\"bullet\";original=\"(9)\";match=\".{0,20}\">> \"Contributor\" shall mean the Licensor(s) and/or any natural or legal person on whose behalf the Licensor(s) receive(s) any Contribution subsequently incorporated into the Subject Matter of the License.\n\n   <<var;name=\"bullet\";original=\"\u00a72\";match=\".{0,20}\">> Grant of usage rights\n\n   Subject to the terms and conditions of this License and compliance with the provisions of this License, You are hereby granted by each Contributor, insofar as applicable to the respective Subject Matter of the License the\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> royalty-free and non-exclusive,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> sub-licensable for commercial and non-commercial purposes,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> worldwide and perpetual,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> irrevocable and non-terminable\n\n   right to reproduce, prepare Derivative Works of, publicly display, publicly perform, and distribute the Subject Matter of the License and such Derivative Works in any form. This right of use includes but is not limited to the right\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> to use the Subject Matter of the License in any hardware and software environment (with regard to the software and data components), in particular to store or load it permanently or temporarily, to display it and run it, including to the extent reproductions are necessary to that end,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> to otherwise modify, interpret, edit or redesign it,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> to store, reproduce, exhibit, publish, distribute it in tangible or intangible form, on any medium or in any other way, for commercial and non-commercial purposes, in particular to communicate it privately or publicly, including via image, audio and other information carriers, irrespective of whether by wire or wireless means,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> to use it in databases, data networks and online services, including the right to make the software and data components of the Subject Matter of the License available in Source or Object form to users of the aforementioned databases, networks and online services for research and retrieval purposes,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> to allow third parties to use or operate it,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> to use it for own purposes but also to provide services to third parties,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> to distribute it\n\n   in its original or modified, interpreted, edited or redesigned form.\n\n   The foregoing right of use relates to the Subject Matter of the License, in particular to its Source and Object form of software components (including design rights, where applicable).\n\n   <<var;name=\"bullet\";original=\"\u00a73\";match=\".{0,20}\">> Grant of patent license\n\n   Subject to the terms and conditions of this License and compliance with the provisions of this License, You are hereby granted by each Contributor a\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> royalty-free and non-exclusive,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> worldwide and perpetual,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> irrevocable (with the exception of the restrictions set out in this Section 3)\n\n   patent license in all rights deriving from the patents, owned and licensable by the Contributor at the time of the submission of the Contribution, to\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> produce,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> have produced,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> use,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> offer for sale,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> sell,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> import and otherwise transfer\n\n   the Subject Matter of the License.\n\n   However, said patent license shall cover only those rights deriving from the patents of the respective Contributors which are indispensable in order not to infringe that patent and only to the extent that the use of the Contributor's respective Contributions, whether alone or in combination with other Contributions of the Contributors or any third parties together with the Subject Matter of the License for which these Contributions were submitted, would otherwise infringe that patent. The grant of license shall not include rights deriving from the patents which may in future become necessary for their lawful use due to subsequent modifications to the Subject Matter or Contributions made by third parties after the original submission.\n\n   In the event that You institute patent litigation against any entity or person (including a counterclaim or countersuit in a legal action), alleging that the Subject Matter of the License or a Contribution incorporated or contained therein constitutes patent infringement or indirect infringement, all patent licenses which have been granted to You under this License for the Subject Matter of the License as well as this License itself shall be deemed terminated as of the date on which the action is filed.\n\n   <<var;name=\"bullet\";original=\"\u00a74\";match=\".{0,20}\">> Distribution\n\n   You may reproduce and distribute copies of the Subject Matter of the License or Derivative Works on any medium, with or without modifications (with regard to software components in Source or Object form), provided that You comply with the following rules:\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> You must provide all other recipients of the Subject Matter of the License or of Derivative Works with a copy of this License and inform them that the Subject Matter of the License was originally licensed under this License.\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> You must ensure that modified files contain prominent notices indicating that You have modified the files.\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> You must retain all copyright, patent, trademark and attribution notices in the Subject Matter of the License in the Source form of any Derivative Works You distribute, with the exception of those notices that do not pertain to any part of the Derivative Works.\n\n   You may add Your own copyright notices to Your modifications and state any additional or different license conditions and conditions for the use, reproduction or distribution of Your modifications or for those Derivative Works as a whole, provided that Your use, reproduction and distribution of the work complies with the terms and conditions set out in this License in all other respects.\n\n   <<var;name=\"bullet\";original=\"\u00a75\";match=\".{0,20}\">> Submission of Contributions\n\n   Unless expressly stated otherwise, every Contribution that You have intentionally submitted for inclusion in the Subject Matter of the License is subject to this License without any additional terms or conditions applying. Irrespective of the above, none of the terms or conditions contained herein may be interpreted to supersede or modify the terms or conditions of any separate licensing agreement that You may have concluded with a Licensor for such Contributions, such as a so-called \"Contributor License Agreement\" (CLA).\n\n   <<var;name=\"bullet\";original=\"\u00a76\";match=\".{0,20}\">> Trademarks\n\n   This License does not grant permission to use the trade names, trademarks, service marks or product names of the Licensor(s) or of a Contributor.\n\n   <<var;name=\"bullet\";original=\"\u00a77\";match=\".{0,20}\">> Limited warranty\n\n   This License is granted free of charge and thus constitutes a gift. Accordingly, any warranty is excluded. The Subject Matter of the License is a work in progress; it is constantly being improved by countless Contributors. The Subject Matter of the License is not complete and may therefore contain errors (\"bugs\") or additional patents of Contributors or third parties, as is inherent in this type of development.\n\n   <<var;name=\"bullet\";original=\"\u00a78\";match=\".{0,20}\">> Limitation of liability\n\n   Except in cases of intentional and grossly negligent conduct, the Contributors, their legal representatives, trustees, officers and employees shall not be liable for direct or indirect, material or immaterial loss or damage of any kind arising from the License or the use of the Subject Matter of the License; this applies, among other things, but not exclusively, to loss of goodwill, loss of production, computer failures or errors, loss of data or economic loss or damage, even if the Contributor has been notified of the possibility of such loss or damage. Irrespective of the above, the Licensor shall only be liable within the scope of statutory product liability to the extent that the respective provisions are applicable to the Subject Matter of the License or the Contribution.\n\n   Except in cases of intentional conduct, the Contributors, their legal representatives, trustees, officers and employees shall not be liable for any infringement of third-party patent or intellectual property rights arising from the Contributions nor do they warrant that the Contributions are accurate, devoid of mistakes, complete and/or fit for any particular purpose.\n\n   <<var;name=\"bullet\";original=\"\u00a79\";match=\".{0,20}\">> Provision of warranties or assumption of additional liability in the event of distribution of the Subject Matter of the License\n\n   In the event of distribution of the Subject Matter of the License or Derivative Works, You are free to accept support, warranty, indemnity or other liability obligations and/or rights consistent with this License and to charge a fee in return. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and You hereby agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of Your accepting any such warranty or additional liability.\n\n   <<var;name=\"bullet\";original=\"\u00a710\";match=\".{0,20}\">> Applicable law\n\n   This License is governed by German law, excluding its conflict of laws provisions and the provisions of the UN Convention on Contracts for the International Sale of Goods (CISG).\n\n   <<beginOptional>>END OF TERMS AND CONDITIONS\n\n<<endOptional>>"
		self.name = "Open Logistics Foundation License Version 1.3"
		self.licenseComments = "This license was released January 2023"
		self.licenseId = "OLFL-1.3"
		self.crossRef = [{"match": "False", "url": "https://opensource.org/license/olfl-1-3/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:44Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://openlogisticsfoundation.org/licenses/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:44Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://openlogisticsfoundation.org/licenses/", "https://opensource.org/license/olfl-1-3/"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Open Logistics Foundation License\n		<br />\n\nVersion 1.3, January 2023\n		<br />\n\nhttps://www.openlogisticsfoundation.org/licenses/\n	  </p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>TERMS AND CONDITIONS FOR USE, REPRODUCTION AND DISTRIBUTION</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u00a71</var>\n		  Definitions\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> (1)</var>\n			  &quot;Subject Matter of the License&quot; shall mean the works of software components\n				in Source or Object form as well as any other components protected under\n				copyright, design and/or patent law which are made available under this License.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> (2)</var>\n			  &quot;License&quot; shall mean the terms and conditions for the use, reproduction and\n				distribution of the Subject Matter of the License in accordance with the\n				provisions of this document.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> (3)</var>\n			  &quot;Licensor(s)&quot; shall mean the copyright holder(s) or the entity authorized by\n				law or contract by the copyright holder(s) to grant the License.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> (4)</var>\n			  &quot;You&quot; (or &quot;Your&quot;) shall mean a natural or legal person exercising the\n				permissions granted by this License.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> (5)</var>\n			  &quot;Source&quot; form shall mean the preferred form for making modifications,\n				including but not limited to software source code, documentation source, and\n				configuration files.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> (6)</var>\n			  &quot;Object&quot; form shall mean any form resulting from mechanical transformation\n				or translation of a Source form, including but not limited to compiled object\n				code, generated documentation, and conversions to other media types.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> (7)</var>\n			  &quot;Derivative Works&quot; shall mean any work, whether in Source or Object form or\n				any other form, that is based on (or derived from) the Subject Matter of the\n				License and for which the editorial revisions, annotations, elaborations, or\n				other modifications represent, as a whole, an original work of authorship. For\n				the purposes of this License, Derivative Works shall not include works that\n				remain separable from, or merely link (or bind by name) to the interfaces of,\n				the Subject Matter of the License and Derivative Works thereof.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> (8)</var>\n			  &quot;Contribution&quot; shall mean any proprietary work, including the original\n				version of the Subject Matter of the License and any changes or additions to\n				such work, or Derivative Works of such work, that the rights holder, or a\n				natural or legal person authorized to make submissions, intentionally submits to\n				a Licensor to be incorporated into the Subject Matter of the License. For the\n				purposes of this definition, &quot;submit&quot; shall mean any form of electronic or\n				written communication which is sent to a Licensor or its representatives for the\n				purpose of discussing or improving the Subject Matter of the License, including\n				but not limited to communications sent via electronic mailing lists, source code\n				control systems and issue tracking systems; however, communications that are\n				clearly marked by the copyright holder as &quot;not a contribution&quot; or otherwise\n				identified as such in writing are excluded.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> (9)</var>\n			  &quot;Contributor&quot; shall mean the Licensor(s) and/or any natural or legal person\n				on whose behalf the Licensor(s) receive(s) any Contribution subsequently\n				incorporated into the Subject Matter of the License.\n			</li>\n		  \n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u00a72</var>\n		  Grant of usage rights\n			<p>Subject to the terms and conditions of this License and compliance with the\n			provisions of this License, You are hereby granted by each Contributor, insofar\n			as applicable to the respective Subject Matter of the License the</p>\n\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				royalty-free and non-exclusive,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				sub-licensable for commercial and non-commercial purposes,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				worldwide and perpetual,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				irrevocable and non-terminable\n			  </li>\n			\n</ul>\n			<p>right to reproduce, prepare Derivative Works of, publicly display, publicly\n			perform, and distribute the Subject Matter of the License and such Derivative\n			Works in any form. This right of use includes but is not limited to the right</p>\n\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				to use the Subject Matter of the License in any hardware and software\n				environment (with regard to the software and data components), in particular\n				to store or load it permanently or temporarily, to display it and run it,\n				including to the extent reproductions are necessary to that end,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				to otherwise modify, interpret, edit or redesign it,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				to store, reproduce, exhibit, publish, distribute it in tangible or intangible\n				form, on any medium or in any other way, for commercial and non-commercial\n				purposes, in particular to communicate it privately or publicly, including via\n				image, audio and other information carriers, irrespective of whether by wire\n				or wireless means,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				to use it in databases, data networks and online services, including the right\n				to make the software and data components of the Subject Matter of the License\n				available in Source or Object form to users of the aforementioned databases,\n				networks and online services for research and retrieval purposes,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				to allow third parties to use or operate it,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				to use it for own purposes but also to provide services to third parties,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				to distribute it\n			  </li>\n			\n</ul>\n			<p>in its original or modified, interpreted, edited or redesigned form.</p>\n\n			The foregoing right of use relates to the Subject Matter of the License, in\n			particular to its Source and Object form of software components (including\n			design rights, where applicable).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u00a73</var>\n		  Grant of patent license\n			<p>Subject to the terms and conditions of this License and compliance with the\n			provisions of this License, You are hereby granted by each Contributor a\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				royalty-free and non-exclusive,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				worldwide and perpetual,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				irrevocable (with the exception of the restrictions set out in this Section 3)\n			  </li>\n			\n</ul>\n			</p>\npatent license in all rights deriving from the patents, owned and licensable by\n			the Contributor at the time of the submission of the Contribution, to<p>\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				produce,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				have produced,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				use,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				offer for sale,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				sell,\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				import and otherwise transfer\n			  </li>\n			\n</ul>\n			</p>\nthe Subject Matter of the License.<p>\n			However, said patent license shall cover only those rights deriving from the\n			patents of the respective Contributors which are indispensable in order not to\n			infringe that patent and only to the extent that the use of the Contributor&apos;s\n			respective Contributions, whether alone or in combination with other\n			Contributions of the Contributors or any third parties together with the Subject\n			Matter of the License for which these Contributions were submitted, would\n			otherwise infringe that patent. The grant of license shall not include rights\n			deriving from the patents which may in future become necessary for their lawful\n			use due to subsequent modifications to the Subject Matter or Contributions made\n			by third parties after the original submission.</p>\n\n			In the event that You institute patent litigation against any entity or person\n			(including a counterclaim or countersuit in a legal action), alleging that the\n			Subject Matter of the License or a Contribution incorporated or contained\n			therein constitutes patent infringement or indirect infringement, all patent\n			licenses which have been granted to You under this License for the Subject\n			Matter of the License as well as this License itself shall be deemed terminated\n			as of the date on which the action is filed.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u00a74</var>\n		  Distribution\n			<p>You may reproduce and distribute copies of the Subject Matter of the License or\n			Derivative Works on any medium, with or without modifications (with regard to\n			software components in Source or Object form), provided that You comply with\n			the following rules:</p>\n\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				You must provide all other recipients of the Subject Matter of the License or\n				of Derivative Works with a copy of this License and inform them that the\n				Subject Matter of the License was originally licensed under this License.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				You must ensure that modified files contain prominent notices indicating that\n				You have modified the files.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n				You must retain all copyright, patent, trademark and attribution notices in\n				the Subject Matter of the License in the Source form of any Derivative Works\n				You distribute, with the exception of those notices that do not pertain to any\n				part of the Derivative Works.\n			  </li>\n			\n</ul>\n			<p>You may add Your own copyright notices to Your modifications and state any\n			additional or different license conditions and conditions for the use,\n			reproduction or distribution of Your modifications or for those Derivative Works\n			as a whole, provided that Your use, reproduction and distribution of the work\n			complies with the terms and conditions set out in this License in all other\n			respects.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u00a75</var>\n		  Submission of Contributions\n			<p>Unless expressly stated otherwise, every Contribution that You have\n			intentionally submitted for inclusion in the Subject Matter of the License is\n			subject to this License without any additional terms or conditions applying.\n			Irrespective of the above, none of the terms or conditions contained herein may\n			be interpreted to supersede or modify the terms or conditions of any separate\n			licensing agreement that You may have concluded with a Licensor for such\n			Contributions, such as a so-called &quot;Contributor License Agreement&quot; (CLA).</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u00a76</var>\n		  Trademarks\n			<p>This License does not grant permission to use the trade names, trademarks,\n			service marks or product names of the Licensor(s) or of a Contributor.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u00a77</var>\n		  Limited warranty\n			<p>This License is granted free of charge and thus constitutes a gift. Accordingly,\n			any warranty is excluded. The Subject Matter of the License is a work in\n			progress; it is constantly being improved by countless Contributors. The Subject\n			Matter of the License is not complete and may therefore contain errors (&quot;bugs&quot;)\n			or additional patents of Contributors or third parties, as is inherent in this\n			type of development.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u00a78</var>\n		  Limitation of liability\n			<p>Except in cases of intentional and grossly negligent conduct, the Contributors,\n			their legal representatives, trustees, officers and employees shall not be\n			liable for direct or indirect, material or immaterial loss or damage of any kind\n			arising from the License or the use of the Subject Matter of the License; this\n			applies, among other things, but not exclusively, to loss of goodwill, loss of\n			production, computer failures or errors, loss of data or economic loss or\n			damage, even if the Contributor has been notified of the possibility of such\n			loss or damage. Irrespective of the above, the Licensor shall only be liable\n			within the scope of statutory product liability to the extent that the\n			respective provisions are applicable to the Subject Matter of the License or the\n			Contribution.</p>\n\n			<p>Except in cases of intentional conduct, the Contributors, their legal\n			representatives, trustees, officers and employees shall not be liable for any\n			infringement of third-party patent or intellectual property rights arising from\n			the Contributions nor do they warrant that the Contributions are accurate,\n			devoid of mistakes, complete and/or fit for any particular purpose.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u00a79</var>\n		  Provision of warranties or assumption of additional liability in the event of\n			distribution of the Subject Matter of the License\n			<p>In the event of distribution of the Subject Matter of the License or Derivative\n			Works, You are free to accept support, warranty, indemnity or other liability\n			obligations and/or rights consistent with this License and to charge a fee in\n			return. However, in accepting such obligations, You may act only on Your own\n			behalf and on Your sole responsibility, not on behalf of any other Contributor,\n			and You hereby agree to indemnify, defend, and hold each Contributor harmless\n			for any liability incurred by, or claims asserted against, such Contributor by\n			reason of Your accepting any such warranty or additional liability.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u00a710</var>\n		  Applicable law\n			<p>This License is governed by German law, excluding its conflict of laws\n			provisions and the provisions of the UN Convention on Contracts for the\n			International Sale of Goods (CISG).</p>\n\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>END OF TERMS AND CONDITIONS</p>\n\n	  </div>\n	"
		self.python_name = "OLFL13"

	def __str__(self):
		return json.dumps(self.__dict__)


class WidgetWorkshop:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1996 Widget Workshop, Inc. All Rights Reserved. \n\nPermission to use, copy, modify, and distribute this software and \nits documentation for NON-COMMERCIAL or COMMERCIAL purposes and \nwithout fee is hereby granted, provided that this copyright notice \nis kept intact. WIDGET WORKSHOP MAKES NO REPRESENTATIONS OR WARRANTIES \nABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, \nINCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, \nFITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. WIDGET WORKSHOP \nSHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT \nOF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES. \nTHIS SOFTWARE IS NOT DESIGNED OR INTENDED FOR USE OR RESALE AS ON-LINE \nCONTROL EQUIPMENT IN HAZARDOUS ENVIRONMENTS REQUIRING FAIL-SAFE PERFORMANCE, \nSUCH AS IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR \nCOMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL, DIRECT LIFE SUPPORT MACHINES, \nOR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE SOFTWARE COULD LEAD \nDIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL \nDAMAGE (\"HIGH RISK ACTIVITIES\"). WIDGET WORKSHOP SPECIFICALLY DISCLAIMS \nANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1996 Widget Workshop, Inc. All Rights Reserved.\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for NON-COMMERCIAL or COMMERCIAL purposes and without fee is hereby granted, provided that this copyright notice is kept intact. WIDGET WORKSHOP MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. WIDGET WORKSHOP SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES. THIS SOFTWARE IS NOT DESIGNED OR INTENDED FOR USE OR RESALE AS ON-LINE CONTROL EQUIPMENT IN HAZARDOUS ENVIRONMENTS REQUIRING FAIL-SAFE PERFORMANCE, SUCH AS IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL, DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE SOFTWARE COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE (\"HIGH RISK ACTIVITIES\"). WIDGET WORKSHOP SPECIFICALLY DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.\n\n"
		self.name = "Widget Workshop License"
		self.licenseId = "Widget-Workshop"
		self.crossRef = [{"match": "False", "url": "https://github.com/novnc/noVNC/blob/master/core/crypto/des.js#L24", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:47Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/novnc/noVNC/blob/master/core/crypto/des.js#L24"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (c) 1996 Widget Workshop, Inc. All Rights Reserved.\n		 </var>\n		 <p>\n			Permission to use, copy, modify, and distribute this software\n			and its documentation for NON-COMMERCIAL or COMMERCIAL purposes\n			and without fee is hereby granted, provided that this copyright\n			notice is kept intact. WIDGET WORKSHOP MAKES NO REPRESENTATIONS\n			OR WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER\n			EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED\n			WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,\n			OR NON-INFRINGEMENT. WIDGET WORKSHOP SHALL NOT BE LIABLE FOR\n			ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING\n			OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES. THIS SOFTWARE\n			IS NOT DESIGNED OR INTENDED FOR USE OR RESALE AS ON-LINE\n			CONTROL EQUIPMENT IN HAZARDOUS ENVIRONMENTS REQUIRING FAIL-SAFE\n			PERFORMANCE, SUCH AS IN THE OPERATION OF NUCLEAR FACILITIES,\n			AIRCRAFT NAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL,\n			DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE\n			FAILURE OF THE SOFTWARE COULD LEAD DIRECTLY TO DEATH, PERSONAL\n			INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE (&quot;HIGH\n			RISK ACTIVITIES&quot;). WIDGET WORKSHOP SPECIFICALLY DISCLAIMS ANY\n			EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.\n		 </p>\n\n	  "
		self.python_name = "WidgetWorkshop"

	def __str__(self):
		return json.dumps(self.__dict__)


class iMatix:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The SFL License Agreement\n\nThis license agreement covers your use of the iMatix STANDARD FUNCTION LIBRARY (SFL), its source code, documentation, and executable files, hereinafter referred to as \"the Product\".\n\nThe Product is Copyright (c) 1991-2000 iMatix Corporation. You may use it and distribute it according to this following License Agreement. If you do not agree with these terms, please remove the Product from your system. By incorporating the Product in your work or distributing the Product to others you implicitly agree to these license terms.\n\nStatement Of Copyright\n\nThe Product is, and remains, Copyright \u00a9 1991-2000 iMatix Corporation, with exception of specific copyrights as noted in the individual source files.\n\nConditions Of Use\n\nYou do not need to provide the source code for the Product as part of your product. However, you must do one of these things to comply with the Product License Agreement:\n\n	 1.\tProvide the source code for Product modules that you use, or\n	 2.\tMake your product freely available according to a license similar to the GNU General Public License, or the Perl Artistic License, or\n	 3.\tAdd this phrase to the documentation for your product: \"This product uses parts of the iMatix SFL, Copyright \u00a9 1991-2000 iMatix Corporation <http://www.imatix.com>\".\n\nRights Of Usage\n\nYou may freely and at no cost use the Product in any project, commercial, academic, military, or private, so long as you respect the License Agreement. The License Agreement does not affect any software except the Product. In particular, any application that uses the Product does not itself fall under the License Agreement.\n\nYou may modify any part of the Product, including sources and documentation, except this License Agreement, which you may not modify.\n\nYou must clearly indicate any modifications at the start of each source file. The user of any modified Product code must know that the source file is not original.\n\nAt your discretion, you may rewrite or reuse any part of the Product so that your derived code is not obviously part of the Product. This derived code does not fall under the Product License Agreement directly, but you must include a credit at the start of each source file indicating the original authorship and source of the code, and a statement of copyright as follows:\"Parts copyright (c) 1991-2000 iMatix Corporation.\"\n\nRights Of Distribution\n\nYou may freely distribute the Product, or any subset of the Product, by any means. The License, in the form of the file called \"LICENSE.TXT\" must accompany any such distribution.\n\nYou may charge a fee for distributing the Product, for providing a warranty on the Product, for making modifications to the Product, or for any other service provided in relation to the Product. You are not required to ask our permission for any of these activities.\n\nAt no time will iMatix associate itself with any distribution of the Product except that supplied from the Internet site http://www.imatix.com.\n\nDisclaimer Of Warranty\n\nThe Product is provided as free software, in the hope that it will be useful. It is provided \"as-is\", without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of the Product is with you. Should the Product prove defective, the full cost of repair, servicing, or correction lies with you.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The SFL License Agreement\n\n<<endOptional>>\n\nThis license agreement covers your use of the iMatix STANDARD FUNCTION LIBRARY (SFL), its source code, documentation, and executable files, hereinafter referred to as \"the Product\".\n\nThe Product is Copyright (c) 1991-2000 iMatix Corporation. You may use it and distribute it according to this following License Agreement. If you do not agree with these terms, please remove the Product from your system. By incorporating the Product in your work or distributing the Product to others you implicitly agree to these license terms.\n\nStatement Of Copyright\n\nThe Product is, and remains, Copyright \u00a9 1991-2000 iMatix Corporation, with exception of specific copyrights as noted in the individual source files.\n\nConditions Of Use\n\n   You do not need to provide the source code for the Product as part of your product. However, you must do one of these things to comply with the Product License Agreement:\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Provide the source code for Product modules that you use, or\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Make your product freely available according to a license similar to the GNU General Public License, or the Perl Artistic License, or\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Add this phrase to the documentation for your product: \"This product uses parts of the iMatix SFL, Copyright \u00a9 1991-2000 iMatix Corporation <http://www.imatix.com>\".\n\nRights Of Usage\n\n   You may freely and at no cost use the Product in any project, commercial, academic, military, or private, so long as you respect the License Agreement. The License Agreement does not affect any software except the Product. In particular, any application that uses the Product does not itself fall under the License Agreement.\n\n   You may modify any part of the Product, including sources and documentation, except this License Agreement, which you may not modify.\n\n   You must clearly indicate any modifications at the start of each source file. The user of any modified Product code must know that the source file is not original.\n\n   At your discretion, you may rewrite or reuse any part of the Product so that your derived code is not obviously part of the Product. This derived code does not fall under the Product License Agreement directly, but you must include a credit at the start of each source file indicating the original authorship and source of the code, and a statement of copyright as follows:\n\n   \"Parts copyright (c) 1991-2000 iMatix Corporation.\"\n\nRights Of Distribution\n\n   You may freely distribute the Product, or any subset of the Product, by any means. The License, in the form of the file called \"LICENSE.TXT\" must accompany any such distribution.\n\n   You may charge a fee for distributing the Product, for providing a warranty on the Product, for making modifications to the Product, or for any other service provided in relation to the Product. You are not required to ask our permission for any of these activities.\n\n   At no time will iMatix associate itself with any distribution of the Product except that supplied from the Internet site http://www.imatix.com.\n\nDisclaimer Of Warranty\n\n   The Product is provided as free software, in the hope that it will be useful. It is provided \"as-is\", without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of the Product is with you. Should the Product prove defective, the full cost of repair, servicing, or correction lies with you."
		self.name = "iMatix Standard Function Library Agreement"
		self.licenseId = "iMatix"
		self.crossRef = [{"match": "N/A", "url": "http://legacy.imatix.com/html/sfl/sfl4.htm#license", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://legacy.imatix.com/html/sfl/sfl4.htm#license"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The SFL License Agreement</p>\n\n	  </div>\n\n	  <p>This license agreement covers your use of the iMatix STANDARD FUNCTION LIBRARY (SFL), its source code,\n		 documentation, and executable files, hereinafter referred to as &quot;the Product&quot;.</p>\n\n	  <p>The Product is Copyright (c) 1991-2000 iMatix Corporation. You may use it and distribute it according to\n		 this following License Agreement. If you do not agree with these terms, please remove the Product from\n		 your system. By incorporating the Product in your work or distributing the Product to others you\n		 implicitly agree to these license terms.</p>\n\n	  <p>Statement Of Copyright</p>\n\n	  <p>The Product is, and remains, Copyright \u00a9 1991-2000 iMatix Corporation, with exception of specific\n		 copyrights as noted in the individual source files.</p>\n\n	  <p>Conditions Of Use</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>You do not need to provide the source code for the Product as part of your product. However, you must do\n		 one of these things to comply with the Product License Agreement:\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n		  Provide the source code for Product modules that you use, or\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n		  Make your product freely available according to a license similar to the GNU General Public\n			 License, or the Perl Artistic License, or\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n		  Add this phrase to the documentation for your product: &quot;This product uses parts of the iMatix\n			 SFL, Copyright \u00a9 1991-2000 iMatix Corporation &lt;http://www.imatix.com&gt;&quot;.\n		</li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Rights Of Usage</p>\n\n<ul style=\"list-style:none\">\n		\n<li>You may freely and at no cost use the Product in any project, commercial, academic, military, or private,\n		   so long as you respect the License Agreement. The License Agreement does not affect any software\n		   except the Product. In particular, any application that uses the Product does not itself fall under\n		   the License Agreement.</li>\n		\n<li>You may modify any part of the Product, including sources and documentation, except this License\n		   Agreement, which you may not modify.</li>\n		\n<li>You must clearly indicate any modifications at the start of each source file. The user of any modified\n		   Product code must know that the source file is not original.</li>\n		\n<li>\n			<p>At your discretion, you may rewrite or reuse any part of the Product so that your derived code is not\n		   obviously part of the Product. This derived code does not fall under the Product License Agreement\n		   directly, but you must include a credit at the start of each source file indicating the original\n		   authorship and source of the code, and a statement of copyright as follows:</p>\n\n			<p>&quot;Parts copyright (c) 1991-2000 iMatix Corporation.&quot;</p>\n\n		</li>\n		\n</ul>\n		<p>Rights Of Distribution</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>You may freely distribute the Product, or any subset of the Product, by any means. The License, in\n			 the form of the file called &quot;LICENSE.TXT&quot; must accompany any such distribution.</li>\n		  \n<li>You may charge a fee for distributing the Product, for providing a warranty on the Product, for\n			 making modifications to the Product, or for any other service provided in relation to the Product.\n			 You are not required to ask our permission for any of these activities.</li>\n		  \n<li>At no time will iMatix associate itself with any distribution of the Product except that supplied\n			 from the Internet site http://www.imatix.com.</li>\n		\n</ul>\n		<p>Disclaimer Of Warranty</p>\n\n<ul style=\"list-style:none\">\n			\n<li>The Product is provided as free software, in the hope that it will be useful. It is provided &quot;as-is&quot;,\n			 without warranty of any kind, either expressed or implied, including, but not limited to, the\n			 implied warranties of merchantability and fitness for a particular purpose. The entire risk as to\n			 the quality and performance of the Product is with you. Should the Product prove defective, the\n			 full cost of repair, servicing, or correction lies with you.</li>\n		 \n</ul>\n	"
		self.python_name = "iMatix"

	def __str__(self):
		return json.dumps(self.__dict__)


class pnmstitch:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2002 Mark Salyzyn\nAll rights reserved.\n\nTERMS AND CONDITIONS OF USE\n\nRedistribution and use in source form, with or without modification, are\npermitted provided that redistributions of source code must retain the\nabove copyright notice, this list of conditions and the following\ndisclaimer.\n\nThis software is provided `as is' by Mark Salyzyn and any express or implied\nwarranties, including, but not limited to, the implied warranties of\nmerchantability and fitness for a particular purpose, are disclaimed. In no\nevent shall Mark Salyzyn be liable for any direct, indirect, incidental,\nspecial, exemplary or consequential damages (including, but not limited to,\nprocurement of substitute goods or services; loss of use, data, or profits;\nor business interruptions) however caused and on any theory of liability,\nwhether in contract, strict liability, or tort (including negligence or\notherwise) arising in any way out of the use of this software, even if\nadvised of the possibility of such damage.\n\nAny restrictions or encumberances added to this source code or derivitives,\nis prohibited.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2002 Mark Salyzyn  All rights reserved.  \";match=\".{0,5000}\">><<beginOptional>> TERMS AND CONDITIONS OF USE\n\n<<endOptional>>\n\nRedistribution and use in source form, with or without modification, are permitted provided that redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\nThis software is provided `as is' by <<var;name=\"author\";original=\"Mark Salyzyn\";match=\".+\">> and any express or implied warranties, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose, are disclaimed. In no event shall <<var;name=\"author\";original=\"Mark Salyzyn\";match=\".+\">> be liable for any direct, indirect, incidental, special, exemplary or consequential damages (including, but not limited to, procurement of substitute goods or services; loss of use, data, or profits; or business interruptions) however caused and on any theory of liability, whether in contract, strict liability, or tort (including negligence or otherwise) arising in any way out of the use of this software, even if advised of the possibility of such damage.\n\nAny restrictions or encumberances added to this source code or derivitives, is prohibited.\n\n"
		self.name = "pnmstitch License"
		self.licenseId = "pnmstitch"
		self.crossRef = [{"match": "False", "url": "https://sourceforge.net/p/netpbm/code/HEAD/tree/super_stable/editor/pnmstitch.c#l2", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:06Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://sourceforge.net/p/netpbm/code/HEAD/tree/super_stable/editor/pnmstitch.c#l2"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<div class=\"replaceable-license-text\"> \n				<p>\n						Copyright (c) 2002 Mark Salyzyn\n						<br />\n\nAll rights reserved.\n				</p>\n\n		</div>\n		<div class=\"optional-license-text\"> \n				<p>\n						TERMS AND CONDITIONS OF USE\n				</p>\n\n		</div>\n		<p>\n				Redistribution and use in source form, with or\n				without modification, are permitted provided\n				that redistributions of source code must retain the above\n				copyright notice, this list of conditions and the following\n				disclaimer.\n		</p>\n\n		<p>\n				This software is provided `as is&apos; by <var class=\"replaceable-license-text\"> Mark Salyzyn</var>\n				and any express or implied warranties, including, but not\n				limited to, the implied warranties of merchantability and\n				fitness for a particular purpose, are disclaimed. In no event\n				shall <var class=\"replaceable-license-text\"> Mark Salyzyn</var> be liable for any direct, indirect,\n				incidental, special, exemplary or consequential damages\n				(including, but not limited to, procurement of substitute goods\n				or services; loss of use, data, or profits; or business\n				interruptions) however caused and on any theory of liability,\n				whether in contract, strict liability, or tort (including\n				negligence or otherwise) arising in any way out of the use of\n				this software, even if advised of the possibility of such\n				damage.\n		</p>\n\n		<p>\n				Any restrictions or encumberances added to this source code or\n				derivitives, is prohibited.\n		</p>\n\n	  "
		self.python_name = "pnmstitch"

	def __str__(self):
		return json.dumps(self.__dict__)


class DRL11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Detection Rule License (DRL) 1.1\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this rule set and associated documentation files (the \"Rules\"), to deal in the Rules without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Rules, and to permit persons to whom the Rules are furnished to do so, subject to the following conditions:\n\nIf you share the Rules (including in modified form), you must retain the following if it is supplied within the Rules:\n\nidentification of the authors(s) (\"author\" field) of the Rule and any others designated to receive attribution, in any reasonable manner requested by the Rule author (including by pseudonym if designated).\n\na URI or hyperlink to the Rule set or explicit Rule to the extent reasonably practicable\n\nindicate the Rules are licensed under this Detection Rule License, and include the text of, or the URI or hyperlink to, this Detection Rule License to the extent reasonably practicable\n\nIf you use the Rules (including in modified form) on data, messages based on matches with the Rules must retain the following if it is supplied within the Rules:\n\nidentification of the authors(s) (\"author\" field) of the Rule and any others designated to receive attribution, in any reasonable manner requested by the Rule author (including by pseudonym if designated).\n\nTHE RULES ARE PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE RULES OR THE USE OR OTHER DEALINGS IN THE RULES.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Detection Rule License (DRL) 1.1<<endOptional>>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this rule set and associated documentation files (the \"Rules\"), to deal in the Rules without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Rules, and to permit persons to whom the Rules are furnished to do so, subject to the following conditions:\n\nIf you share the Rules (including in modified form), you must retain the following if it is supplied within the Rules:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> identification of the authors(s) (\"author\" field) of the Rule and any others designated to receive attribution, in any reasonable manner requested by the Rule author (including by pseudonym if designated).\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> a URI or hyperlink to the Rule set or explicit Rule to the extent reasonably practicable\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> indicate the Rules are licensed under this Detection Rule License, and include the text of, or the URI or hyperlink to, this Detection Rule License to the extent reasonably practicable\n\nIf you use the Rules (including in modified form) on data, messages based on matches with the Rules must retain the following if it is supplied within the Rules:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> identification of the authors(s) (\"author\" field) of the Rule and any others designated to receive attribution, in any reasonable manner requested by the Rule author (including by pseudonym if designated).\n\nTHE RULES ARE PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE RULES OR THE USE OR OTHER DEALINGS IN THE RULES.\n\n"
		self.name = "Detection Rule License 1.1"
		self.licenseId = "DRL-1.1"
		self.crossRef = [{"match": "False", "url": "https://github.com/SigmaHQ/Detection-Rule-License/blob/6ec7fbde6101d101b5b5d1fcb8f9b69fbc76c04a/LICENSE.Detection.Rules.md", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:03Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/SigmaHQ/Detection-Rule-License/blob/6ec7fbde6101d101b5b5d1fcb8f9b69fbc76c04a/LICENSE.Detection.Rules.md"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<var class=\"optional-license-text\"> Detection Rule License (DRL) 1.1</var>\n\n<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this rule set and associated documentation files (the &quot;Rules&quot;), to deal in the Rules without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Rules, and to permit persons to whom the Rules are furnished to do so, subject to the following conditions:</p>\n\n<p>If you share the Rules (including in modified form), you must retain the following if it is supplied within the Rules:</p>\n\n<ul style=\"list-style:none\">\n\t\n<li><var class=\"replaceable-license-text\"> 1.</var>\n	identification of the authors(s) (&quot;author&quot; field) of the Rule and any others designated to receive attribution, in any reasonable manner requested by the Rule author (including by pseudonym if designated).</li>\n	\n<li><var class=\"replaceable-license-text\"> 2.</var>\n	a URI or hyperlink to the Rule set or explicit Rule to the extent reasonably practicable</li>\n	\n<li><var class=\"replaceable-license-text\"> 3.</var>indicate the Rules are licensed under this Detection Rule License, and include the text of, or the URI or hyperlink to, this Detection Rule License to the extent reasonably practicable</li>\n\n</ul>\n<p>If you use the Rules (including in modified form) on data, messages based on matches with the Rules must retain the following if it is supplied within the Rules:</p>\n\n<ul style=\"list-style:none\">\n\t\n<li><var class=\"replaceable-license-text\"> 1.</var>\n	identification of the authors(s) (&quot;author&quot; field) of the Rule and any others designated to receive attribution, in any reasonable manner requested by the Rule author (including by pseudonym if designated).</li>\n\n</ul>\n<p>THE RULES ARE PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE RULES OR THE USE OR OTHER DEALINGS IN THE RULES.</p>\n\n"
		self.python_name = "DRL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class bzip2106:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This program, \"bzip2\", the associated library \"libbzip2\", and all documentation, are copyright (C) 1996-2010 Julian R Seward. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 2. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.\n\n	 3. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n	 4. The name of the author may not be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nJulian Seward, jseward@bzip.org bzip2/libbzip2 version 1.0.6 of 6 September 2010\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"This program, \"bzip2\", the associated library \"libbzip2\", and all documentation, are copyright (C) 1996-2010 Julian R Seward. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The name of the author may not be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n<<beginOptional>>Julian Seward, jseward@bzip.org bzip2/libbzip2 version <<var;name=\"VersionNumber\";original=\"1.0.6\";match=\".+\">> of <<var;name=\"VersionDate\";original=\"6 September 2010\";match=\".+\">>\n\n<<endOptional>><<beginOptional>> PATENTS: To the best of my knowledge, bzip2 and libbzip2 do not use any patented algorithms. However, I do not have the resources to carry out a patent search. Therefore I cannot give any guarantee of the above statement.\n\n<<endOptional>><<beginOptional>> <<var;name=\"organizationClause\";original=\"Neither the names of the copyright holder nor the names of its contributors may\";match=\"(The\\s+name\\s+of.+may\\s+not)|(Neither\\s+the\\s+names?\\s+of.+nor\\s+the\\s+names\\s+of\\s+its\\s+contributors\\s+may)\">> be used to endorse or promote products derived from this software without prior written permission.\n\n<<endOptional>>"
		self.name = "bzip2 and libbzip2 License v1.0.6"
		self.licenseComments = "The additional \"Neither the names of...\" optional clause at the end of the license occurs in certain uses of this license text, as described at https://github.com/spdx/license-list-XML/issues/2271"
		self.licenseId = "bzip2-1.0.6"
		self.crossRef = [{"match": "False", "url": "https://sourceware.org/cgit/valgrind/tree/mpi/libmpiwrap.c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:33Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "http://bzip.org/1.0.5/bzip2-manual-1.0.5.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:34Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://sourceware.org/git/?p=bzip2.git;a=blob;f=LICENSE;hb=bzip2-1.0.6", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://sourceware.org/git/?p=bzip2.git;a=blob;f=LICENSE;hb=bzip2-1.0.6", "http://bzip.org/1.0.5/bzip2-manual-1.0.5.html", "https://sourceware.org/cgit/valgrind/tree/mpi/libmpiwrap.c"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>This program, &quot;bzip2&quot;, the associated library &quot;libbzip2&quot;, and all documentation, are\n		 copyright (C) 1996-2010 Julian R Seward. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of\n			 conditions and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  The origin of this software must not be misrepresented; you must not claim that you wrote the\n			 original software. If you use this software in a product, an acknowledgment in the product\n			 documentation would be appreciated but is not required.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Altered source versions must be plainly marked as such, and must not be misrepresented as\n			 being the original software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  The name of the author may not be used to endorse or promote products derived from this\n			 software without specific prior written permission.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n		 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\n		 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n		 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR\n		 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\n		 SUCH DAMAGE.</p>\n\n	  <div class=\"optional-license-text\"> <p>Julian Seward, jseward@bzip.org bzip2/libbzip2 version <var class=\"replaceable-license-text\"> 1.0.6</var> of <var class=\"replaceable-license-text\"> 6 September 2010</var></p>\n</div>\n	  <div class=\"optional-license-text\"> <p>PATENTS: To the best of my knowledge, bzip2 and libbzip2 do not use any patented algorithms.\n		 However, I do not have the resources to carry out a patent search. Therefore I cannot give any\n		 guarantee of the above statement.\n\t </p>\n</div>\n\t <div class=\"optional-license-text\"> <p>\n\t\t <var class=\"replaceable-license-text\"> Neither the names of the copyright holder nor the\n\t\t names of its contributors may</var> be used to endorse or promote products derived from this software\n\t\twithout prior written permission.\n \t </p>\n</div>\n	 "
		self.python_name = "bzip2106"

	def __str__(self):
		return json.dumps(self.__dict__)


class OUDA10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Open Use of Data Agreement v1.0\n\nThis is the Open Use of Data Agreement, Version 1.0 (the \"O-UDA\"). Capitalized terms are defined in Section 5. Data Provider and you agree as follows:\n\n1. Provision of the Data\n\n	1.1. You may use, modify, and distribute the Data made available to you by the Data Provider under this O-UDA if you follow the O-UDA's terms.\n\n	1.2. Data Provider will not sue you or any Downstream Recipient for any claim arising out of the use, modification, or distribution of the Data provided you meet the terms of the O-UDA.\n\n	1.3 This O-UDA does not restrict your use, modification, or distribution of any portions of the Data that are in the public domain or that may be used, modified, or distributed under any other legal exception or limitation.\n\n2. No Restrictions on Use or Results\n\n	2.1. The O-UDA does not impose any restriction with respect to:\n\n	  2.1.1. the use or modification of Data; or\n\n	  2.1.2. the use, modification, or distribution of Results.\n\n3. Redistribution of Data\n\n	3.1. You may redistribute the Data under terms of your choice, so long as:\n\n	  3.1.1. You include with any Data you redistribute all credit or attribution information that you received with the Data, and your terms require any Downstream Recipient to do the same; and\n\n	  3.1.2. Your terms include a warranty disclaimer and limitation of liability for Upstream Data Providers at least as broad as those contained in Section 4.2 and 4.3 of the O-UDA.\n\n4. No Warranty, Limitation of Liability\n\n	4.1. Data Provider does not represent or warrant that it has any rights whatsoever in the Data.\n\n	4.2. THE DATA IS PROVIDED ON AN \u201cAS IS\u201d BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n\n	4.3. NEITHER DATA PROVIDER NOR ANY UPSTREAM DATA PROVIDER SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE DATA OR RESULTS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n5. Definitions\n\n	5.1. \"Data\" means the material you receive under the O-UDA in modified or unmodified form, but not including Results.\n\n	5.2. \"Data Provider\" means the source from which you receive the Data and with whom you enter into the O-UDA.\n\n	5.3. \"Downstream Recipient\" means any person or persons who receives the Data directly or indirectly from you in accordance with the O-UDA.\n\n	5.4. \"Result\" means anything that you develop or improve from your use of Data that does not include more than a de minimis portion of the Data on which the use is based.  Results may include de minimis portions of the Data necessary to report on or explain use that has been conducted with the Data, such as figures in scientific papers, but do not include more.  Artificial intelligence models trained on Data (and which do not include more than a de minimis portion of Data) are Results.\n\n	5.5. \"Upstream Data Providers\" means the source or sources from which the Data Provider directly or indirectly received, under the terms of the O-UDA, material that is included in the Data.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Open Use of Data Agreement v1.0\n\n<<endOptional>>\n\nThis is the Open Use of Data Agreement, Version 1.0 (the \"O-UDA\"). Capitalized terms are defined in Section 5. Data Provider and you agree as follows:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Provision of the Data\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> You may use, modify, and distribute the Data made available to you by the Data Provider under this O-UDA if you follow the O-UDA's terms.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> Data Provider will not sue you or any Downstream Recipient for any claim arising out of the use, modification, or distribution of the Data provided you meet the terms of the O-UDA.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> This O-UDA does not restrict your use, modification, or distribution of any portions of the Data that are in the public domain or that may be used, modified, or distributed under any other legal exception or limitation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> No Restrictions on Use or Results\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The O-UDA does not impose any restriction with respect to:\n\n		 <<var;name=\"bullet\";original=\"2.1.1.\";match=\".{0,20}\">> the use or modification of Data; or\n\n		 <<var;name=\"bullet\";original=\"2.1.2.\";match=\".{0,20}\">> the use, modification, or distribution of Results.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistribution of Data\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> You may redistribute the Data under terms of your choice, so long as:\n\n		 <<var;name=\"bullet\";original=\"3.1.1.\";match=\".{0,20}\">> You include with any Data you redistribute all credit or attribution information that you received with the Data, and your terms require any Downstream Recipient to do the same; and\n\n		 <<var;name=\"bullet\";original=\"3.1.2.\";match=\".{0,20}\">> Your terms include a warranty disclaimer and limitation of liability for Upstream Data Providers at least as broad as those contained in Section 4.2 and 4.3 of the O-UDA.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> No Warranty, Limitation of Liability\n\n	  <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> Data Provider does not represent or warrant that it has any rights whatsoever in the Data.\n\n	  <<var;name=\"bullet\";original=\"4.2.\";match=\".{0,20}\">> THE DATA IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n\n	  <<var;name=\"bullet\";original=\"4.3.\";match=\".{0,20}\">> NEITHER DATA PROVIDER NOR ANY UPSTREAM DATA PROVIDER SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE DATA OR RESULTS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"5.1.\";match=\".{0,20}\">> \"Data\" means the material you receive under the O-UDA in modified or unmodified form, but not including Results.\n\n	  <<var;name=\"bullet\";original=\"5.2.\";match=\".{0,20}\">> \"Data Provider\" means the source from which you receive the Data and with whom you enter into the O-UDA.\n\n	  <<var;name=\"bullet\";original=\"5.3.\";match=\".{0,20}\">> \"Downstream Recipient\" means any person or persons who receives the Data directly or indirectly from you in accordance with the O-UDA.\n\n	  <<var;name=\"bullet\";original=\"5.4.\";match=\".{0,20}\">> \"Result\" means anything that you develop or improve from your use of Data that does not include more than a de minimis portion of the Data on which the use is based. Results may include de minimis portions of the Data necessary to report on or explain use that has been conducted with the Data, such as figures in scientific papers, but do not include more. Artificial intelligence models trained on Data (and which do not include more than a de minimis portion of Data) are Results.\n\n	  <<var;name=\"bullet\";original=\"5.5.\";match=\".{0,20}\">> \"Upstream Data Providers\" means the source or sources from which the Data Provider directly or indirectly received, under the terms of the O-UDA, material that is included in the Data."
		self.name = "Open Use of Data Agreement v1.0"
		self.licenseId = "O-UDA-1.0"
		self.crossRef = [{"match": "True", "url": "https://cdla.dev/open-use-of-data-agreement-v1-0/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:05Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/microsoft/Open-Use-of-Data-Agreement/blob/v1.0/O-UDA-1.0.md", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:05Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/microsoft/Open-Use-of-Data-Agreement/blob/v1.0/O-UDA-1.0.md", "https://cdla.dev/open-use-of-data-agreement-v1-0/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	   <p>Open Use of Data Agreement v1.0</p>\n\n	</div>\n\n	<p>This is the Open Use of Data Agreement, Version 1.0 (the &quot;O-UDA&quot;). Capitalized terms are defined in Section 5. Data Provider and you agree as follows:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var> Provision of the Data\n\n<ul style=\"list-style:none\">\n				\n<li><var class=\"replaceable-license-text\"> 1.1.</var> You may use, modify, and distribute the Data made available to you by the Data Provider under this O-UDA if you follow the O-UDA&apos;s terms.</li>\n\n<li><var class=\"replaceable-license-text\"> 1.2.</var> Data Provider will not sue you or any Downstream Recipient for any claim arising out of the use, modification, or distribution of the Data provided you meet the terms of the O-UDA.</li>\n\n<li><var class=\"replaceable-license-text\"> 1.3.</var> This O-UDA does not restrict your use, modification, or distribution of any portions of the Data that are in the public domain or that may be used, modified, or distributed under any other legal exception or limitation.</li>\n			\n</ul>\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var> No Restrictions on Use or Results\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.1.</var> The O-UDA does not impose any restriction with respect to:\n\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> 2.1.1.</var> the use or modification of Data; or</li>\n\n<li><var class=\"replaceable-license-text\"> 2.1.2.</var> the use, modification, or distribution of Results.</li>\n					\n</ul>\n				</li>\n			\n</ul>\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var> Redistribution of Data\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.1.</var> You may redistribute the Data under terms of your choice, so long as:\n\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> 3.1.1.</var> You include with any Data you redistribute all credit or attribution information that you received with the Data, and your terms require any Downstream Recipient to do the same; and</li>\n\n<li><var class=\"replaceable-license-text\"> 3.1.2.</var> Your terms include a warranty disclaimer and limitation of liability for Upstream Data Providers at least as broad as those contained in Section 4.2 and 4.3 of the O-UDA.</li>\n					\n</ul>\n				</li>\n			\n</ul>\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var> No Warranty, Limitation of Liability\n\n<ul style=\"list-style:none\">\n				\n<li><var class=\"replaceable-license-text\"> 4.1.</var> Data Provider does not represent or warrant that it has any rights whatsoever in the Data.</li>\n\n<li><var class=\"replaceable-license-text\"> 4.2.</var> THE DATA IS PROVIDED ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.</li>\n\n<li><var class=\"replaceable-license-text\"> 4.3.</var> NEITHER DATA PROVIDER NOR ANY UPSTREAM DATA PROVIDER SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE DATA OR RESULTS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</li>\n			\n</ul>\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var> Definitions\n\n<ul style=\"list-style:none\">\n				\n<li><var class=\"replaceable-license-text\"> 5.1.</var> &quot;Data&quot; means the material you receive under the O-UDA in modified or unmodified form, but not including Results.</li>\n\n<li><var class=\"replaceable-license-text\"> 5.2.</var> &quot;Data Provider&quot; means the source from which you receive the Data and with whom you enter into the O-UDA.</li>\n\n<li><var class=\"replaceable-license-text\"> 5.3.</var> &quot;Downstream Recipient&quot; means any person or persons who receives the Data directly or indirectly from you in accordance with the O-UDA.</li>\n\n<li><var class=\"replaceable-license-text\"> 5.4.</var> &quot;Result&quot; means anything that you develop or improve from your use of Data that does not include more than a de minimis portion of the Data on which the use is based.  Results may include de minimis portions of the Data necessary to report on or explain use that has been conducted with the Data, such as figures in scientific papers, but do not include more.  Artificial intelligence models trained on Data (and which do not include more than a de minimis portion of Data) are Results.</li>\n\n<li><var class=\"replaceable-license-text\"> 5.5.</var> &quot;Upstream Data Providers&quot; means the source or sources from which the Data Provider directly or indirectly received, under the terms of the O-UDA, material that is included in the Data.</li>\n			\n</ul>\n		</li>\n	\n</ul>\n\n  "
		self.python_name = "OUDA10"

	def __str__(self):
		return json.dumps(self.__dict__)


class Cube:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Cube game engine source code, 20 dec 2003 release.\n\nCopyright (C) 2001-2003 Wouter van Oortmerssen.\n\nThis software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.\n\nPermission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:\n\n	 1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.\n\n	 2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n	 3. This notice may not be removed or altered from any source distribution.\n\nadditional clause specific to Cube:\n\n	 4. Source versions may not be \"relicensed\" under a different license without my explicitly written permission.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Cube game engine source code, 20 dec 2003 release.\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 2001-2003 Wouter van Oortmerssen.  \";match=\".{0,5000}\">>\n\nThis software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.\n\nPermission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> This notice may not be removed or altered from any source distribution.\n\nadditional clause specific to Cube:\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Source versions may not be \"relicensed\" under a different license without my explicitly written permission."
		self.name = "Cube License"
		self.licenseId = "Cube"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Cube", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:39Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Cube"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Cube game engine source code, 20 dec 2003 release.</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 2001-2003 Wouter van Oortmerssen.</p>\n\n	  </div>\n\n	  <p>This software is provided &apos;as-is&apos;, without any express or implied warranty. In no event will\n		 the authors be held liable for any damages arising from the use of this software.</p>\n\n	  <p>Permission is granted to anyone to use this software for any purpose, including commercial applications,\n		 and to alter it and redistribute it freely, subject to the following restrictions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  The origin of this software must not be misrepresented; you must not claim that you wrote the\n			 original software. If you use this software in a product, an acknowledgment in the product\n			 documentation would be appreciated but is not required.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Altered source versions must be plainly marked as such, and must not be misrepresented as\n			 being the original software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  This notice may not be removed or altered from any source distribution.\n		</li>\n	  \n</ul>\n	  <p>additional clause specific to Cube:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Source versions may not be &quot;relicensed&quot; under a different license without my\n			 explicitly written permission.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "Cube"

	def __str__(self):
		return json.dumps(self.__dict__)


class TPDL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1996-2010 David Muir Sharnoff. Copyright (C) 2011 Google, Inc. \nLicense hereby granted for anyone to use, modify or redistribute this module at their own risk. Please feed useful changes back to cpan@dave.sharnoff.org.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1996-2010 David Muir Sharnoff. Copyright (C) 2011 Google, Inc.\";match=\".{0,5000}\">>\n\nLicense hereby granted for anyone to use, modify or redistribute this module at their own risk. Please feed useful changes back to cpan@dave.sharnoff.org.\n\n"
		self.name = "Time::ParseDate License"
		self.licenseId = "TPDL"
		self.crossRef = [{"match": "False", "url": "https://metacpan.org/pod/Time::ParseDate#LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:06Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://metacpan.org/pod/Time::ParseDate#LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<var class=\"replaceable-license-text\"> \n			   Copyright (C) 1996-2010 David Muir\n			   Sharnoff. Copyright (C) 2011 Google, Inc.\n			</var>\n			<p>License hereby granted for anyone to use, modify or redistribute this\n			module at their own risk. Please feed useful changes back to\n		   cpan@dave.sharnoff.org.\n		 </p>\n\n	  "
		self.python_name = "TPDL"

	def __str__(self):
		return json.dumps(self.__dict__)


class W3C:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "W3C SOFTWARE NOTICE AND LICENSE\n\nThis work (and included software, documentation such as READMEs, or other related items) is being provided by the copyright holders under the following license.\n\nLicense\n\nBy obtaining, using and/or copying this work, you (the licensee) agree that you have read, understood, and will comply with the following terms and conditions.\n\nPermission to copy, modify, and distribute this software and its documentation, with or without modification, for any purpose and without fee or royalty is hereby granted, provided that you include the following on ALL copies of the software and documentation or portions thereof, including modifications:\n\n	 The full text of this NOTICE in a location viewable to users of the redistributed or derivative work.\n\n	 Any pre-existing intellectual property disclaimers, notices, or terms and conditions. If none exist, the W3C Software Short Notice should be included (hypertext is preferred, text is permitted) within the body of any redistributed or derivative code.\n\n	 Notice of any changes or modifications to the files, including the date changes were made. (We recommend you provide URIs to the location from which the code is derived.)\n\nDisclaimers\n\nTHIS SOFTWARE AND DOCUMENTATION IS PROVIDED \"AS IS,\" AND COPYRIGHT HOLDERS MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.\n\nCOPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENTATION.\n\nThe name and trademarks of copyright holders may NOT be used in advertising or publicity pertaining to the software without specific, written prior permission. Title to copyright in this software and any associated documentation will at all times remain with copyright holders.\n\nNotes\n\nThis version: http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231\n\nThis formulation of W3C's notice and license became active on December 31 2002. This version removes the copyright ownership notice such that this license can be used with materials other than those owned by the W3C, reflects that ERCIM is now a host of the W3C, includes references to this specific dated version of the license, and removes the ambiguous grant of \"use\". Otherwise, this version is the same as the previous version and is written so as to preserve the Free Software Foundation's assessment of GPL compatibility and OSI's certification under the Open Source Definition.\n"
		self.standardLicenseHeaderTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) <<var;name=\"year\";original=\"[$date-of-software]\";match=\".+\">> World Wide Web Consortium, (Massachusetts Institute of Technology, European Research Consortium for Informatics and Mathematics, Keio University). All Rights Reserved.\";match=\".{0,5000}\">>\n\nThis work is distributed under the W3C\u00ae Software License in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>W3C SOFTWARE NOTICE AND LICENSE\n\n<<endOptional>>\n\nThis work (and included software, documentation such as READMEs, or other related items) is being provided by the copyright holders under the following license.\n\nLicense\n\nBy obtaining, using and/or copying this work, you (the licensee) agree that you have read, understood, and will comply with the following terms and conditions.\n\nPermission to copy, modify, and distribute this software and its documentation, with or without modification, for any purpose and without fee or royalty is hereby granted, provided that you include the following on ALL copies of the software and documentation or portions thereof, including modifications:\n\nThe full text of this NOTICE in a location viewable to users of the redistributed or derivative work.\n\nAny pre-existing intellectual property disclaimers, notices, or terms and conditions. If none exist, the W3C Software Short Notice should be included (hypertext is preferred, text is permitted) within the body of any redistributed or derivative code.\n\nNotice of any changes or modifications to the files, including the date changes were made. (We recommend you provide URIs to the location from which the code is derived.)\n\nDisclaimers\n\nTHIS SOFTWARE AND DOCUMENTATION IS PROVIDED \"AS IS,\" AND COPYRIGHT HOLDERS MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.\n\nCOPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENTATION.\n\nThe name and trademarks of copyright holders may NOT be used in advertising or publicity pertaining to the software without specific, written prior permission. Title to copyright in this software and any associated documentation will at all times remain with copyright holders.\n\n<<beginOptional>>Notes\n\nThis version: http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231\n\nThis formulation of W3C's notice and license became active on December 31 2002. This version removes the copyright ownership notice such that this license can be used with materials other than those owned by the W3C, reflects that ERCIM is now a host of the W3C, includes references to this specific dated version of the license, and removes the ambiguous grant of \"use\". Otherwise, this version is the same as the previous version and is written so as to preserve the Free Software Foundation's assessment of GPL compatibility and OSI's certification under the Open Source Definition.\n\n<<endOptional>>"
		self.name = "W3C Software Notice and License (2002-12-31)"
		self.licenseComments = "This license was released: 13 December 2002. The standard header is provided via a link from the original license page."
		self.licenseId = "W3C"
		self.standardLicenseHeader = "Copyright (C) [$date-of-software] World Wide Web Consortium, (Massachusetts Institute of Technology, European Research Consortium for Informatics and Mathematics, Keio University). All Rights Reserved.\n\nThis work is distributed under the W3C\u00ae Software License in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n\n"
		self.crossRef = [{"match": "False", "url": "http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:04Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/W3C", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:04Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231.html", "https://opensource.org/licenses/W3C"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>W3C SOFTWARE NOTICE AND LICENSE</p>\n\n	  </div>\n\n	  <p>This work (and included software, documentation such as READMEs, or other related items) is being\n		 provided by the copyright holders under the following license.</p>\n\n	  <p>License</p>\n\n	  <p>By obtaining, using and/or copying this work, you (the licensee) agree that you have read, understood,\n		 and will comply with the following terms and conditions.</p>\n\n	  <p>Permission to copy, modify, and distribute this software and its documentation, with or without\n		 modification, for any purpose and without fee or royalty is hereby granted, provided that you include\n		 the following on ALL copies of the software and documentation or portions thereof, including\n		 modifications:</p>\n\n	  <p>The full text of this NOTICE in a location viewable to users of the redistributed or derivative work.</p>\n\n	  <p>Any pre-existing intellectual property disclaimers, notices, or terms and conditions. If none exist, the\n		 W3C Software Short Notice should be included (hypertext is preferred, text is permitted) within the\n		 body of any redistributed or derivative code.</p>\n\n	  <p>Notice of any changes or modifications to the files, including the date changes were made. (We recommend\n		 you provide URIs to the location from which the code is derived.)</p>\n\n	  <p>Disclaimers</p>\n\n	  <p>THIS SOFTWARE AND DOCUMENTATION IS PROVIDED &quot;AS IS,&quot; AND COPYRIGHT HOLDERS MAKE NO REPRESENTATIONS OR\n		 WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS\n		 FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY\n		 THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.</p>\n\n	  <p>COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING\n		 OUT OF ANY USE OF THE SOFTWARE OR DOCUMENTATION.</p>\n\n	  <p>The name and trademarks of copyright holders may NOT be used in advertising or publicity pertaining to\n		 the software without specific, written prior permission. Title to copyright in this software and any\n		 associated documentation will at all times remain with copyright holders.</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>Notes</p>\n\n		 <p>This version: http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231</p>\n\n		 <p>This formulation of W3C&apos;s notice and license became active on December 31 2002. This version removes the\n		 copyright ownership notice such that this license can be used with materials other than those owned by\n		 the W3C, reflects that ERCIM is now a host of the W3C, includes references to this specific dated\n		 version of the license, and removes the ambiguous grant of &quot;use&quot;. Otherwise, this version is the same\n		 as the previous version and is written so as to preserve the Free Software Foundation&apos;s assessment of\n		 GPL compatibility and OSI&apos;s certification under the Open Source Definition.</p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <var class=\"replaceable-license-text\"> Copyright (C) <var class=\"replaceable-license-text\"> [$date-of-software]</var> World Wide Web Consortium,\n	(Massachusetts Institute of Technology, European Research Consortium for Informatics and Mathematics, Keio\n	University). All Rights Reserved.</var>\n		 <p>This work is distributed under the W3C\u00ae Software License in the hope that it will be useful, but WITHOUT ANY\n	WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.</p>\n\n	  "
		self.python_name = "W3C"

	def __str__(self):
		return json.dumps(self.__dict__)


class BitstreamCharter:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "(c) Copyright 1989-1992, Bitstream Inc., Cambridge, MA. \n\nYou are hereby granted permission under all Bitstream propriety rights \nto use, copy, modify, sublicense, sell, and redistribute the 4 Bitstream \nCharter (r) Type 1 outline fonts and the 4 Courier Type 1 outline fonts for \nany purpose and without restriction; provided, that this notice is left \nintact on all copies of such fonts and that Bitstream's trademark is acknowledged \nas shown below on all unmodified copies of the 4 Charter Type 1 fonts. \nBITSTREAM CHARTER is a registered trademark of Bitstream Inc. \n"
		self.standardLicenseTemplate = "\n\n   <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">>\n\n   Copyright 1989-1992, Bitstream Inc., Cambridge, MA. You are hereby granted permission under all Bitstream propriety rights to use, copy, modify, sublicense, sell, and redistribute the 4 Bitstream Charter (r) Type 1 outline fonts<<beginOptional>> and the 4 Courier Type 1 outline fonts<<endOptional>> for any purpose and without restriction; provided, that this notice is left intact on all copies of such fonts and that Bitstream's trademark is acknowledged as shown below on all unmodified copies of the 4 Charter Type 1 fonts. BITSTREAM CHARTER is a registered trademark of Bitstream Inc.\n\n   "
		self.name = "Bitstream Charter Font License"
		self.licenseId = "Bitstream-Charter"
		self.crossRef = [{"match": "False", "url": "https://raw.githubusercontent.com/blackhole89/notekit/master/data/fonts/Charter%20license.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:25Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Charter#License_Text", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Charter#License_Text", "https://raw.githubusercontent.com/blackhole89/notekit/master/data/fonts/Charter%20license.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 \n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (c)</var>\n			   <p>\n				  Copyright 1989-1992, Bitstream Inc., Cambridge, MA.\n				  You are hereby granted permission under all Bitstream\n				  propriety rights to use, copy, modify, sublicense, sell,\n				  and redistribute the 4 Bitstream Charter (r) Type 1\n				  outline fonts <var class=\"optional-license-text\"> and the 4 Courier Type 1 outline fonts</var> for\n				  any purpose and without restriction; provided, that this\n				  notice is left intact on all copies of such fonts and\n				  that Bitstream&apos;s trademark is acknowledged as shown below\n				  on all unmodified copies of the 4 Charter Type 1 fonts.\n				  BITSTREAM CHARTER is a registered trademark of Bitstream Inc.\n			   </p>\n\n			</li>\n		 \n</ul>\n	  "
		self.python_name = "BitstreamCharter"

	def __str__(self):
		return json.dumps(self.__dict__)


class CornellLosslessJPEG:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1993 Cornell University, Kongji Huang\nAll rights reserved.\n\nPermission to use, copy, modify, and distribute this software and its\ndocumentation for any purpose, without fee, and without written\nagreement is hereby granted, provided that the above copyright notice\nand the following two paragraphs appear in all copies of this\nsoftware.\n\nIN NO EVENT SHALL THE CORNELL UNIVERSITY BE LIABLE TO ANY PARTY FOR\nDIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING\nOUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF CORNELL\nUNIVERSITY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nTHE CORNELL UNIVERSITY SPECIFICALLY DISCLAIMS ANY WARRANTIES,\nINCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\nMERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE\nPROVIDED HEREUNDER IS ON AN \"AS IS\" BASIS, AND CORNELL UNIVERSITY HAS\nNO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS,\nOR MODIFICATIONS.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1993 Cornell University, Kongji Huang  All rights reserved.\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose, without fee, and without written agreement is hereby granted, provided that the above copyright notice and the following two paragraphs appear in all copies of this software.\n\nIN NO EVENT SHALL <<var;name=\"disclaimer1\";original=\"THE CORNELL UNIVERSITY\";match=\".+\">> BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF <<var;name=\"disclaimer2\";original=\"CORNELL UNIVERSITY\";match=\".+\">> HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n<<var;name=\"disclaimer3\";original=\"THE CORNELL UNIVERSITY\";match=\".+\">> SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS ON AN \"AS IS\" BASIS, AND <<var;name=\"disclaimer4\";original=\"CORNELL UNIVERSITY\";match=\".+\">> HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.\n\n"
		self.name = "Cornell Lossless JPEG License"
		self.licenseId = "Cornell-Lossless-JPEG"
		self.crossRef = [{"match": "False", "url": "https://android.googlesource.com/platform/external/dng_sdk/+/refs/heads/master/source/dng_lossless_jpeg.cpp#16", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:06Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://gitlab.freedesktop.org/libopenraw/libopenraw/blob/master/lib/ljpegdecompressor.cpp#L32", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:12Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://www.mssl.ucl.ac.uk/~mcrw/src/20050920/proto.h", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:19Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://android.googlesource.com/platform/external/dng_sdk/+/refs/heads/master/source/dng_lossless_jpeg.cpp#16", "https://www.mssl.ucl.ac.uk/~mcrw/src/20050920/proto.h", "https://gitlab.freedesktop.org/libopenraw/libopenraw/blob/master/lib/ljpegdecompressor.cpp#L32"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\t\t<var class=\"replaceable-license-text\"> \n\t\t\tCopyright (c) 1993 Cornell University, Kongji Huang<br />\n\n\t\t\tAll rights reserved.\n\t\t</var>\n\n\t\t<p>Permission to use, copy, modify, and distribute this software and its\n\t\tdocumentation for any purpose, without fee, and without written\n\t\tagreement is hereby granted, provided that the above copyright notice\n\t\tand the following two paragraphs appear in all copies of this\n\t\tsoftware.</p>\n\n\t\t<p>IN NO EVENT SHALL <var class=\"replaceable-license-text\"> THE CORNELL UNIVERSITY</var> BE LIABLE TO ANY PARTY FOR\n\t\tDIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING\n\t\tOUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF <var class=\"replaceable-license-text\"> CORNELL\n\t\tUNIVERSITY</var> HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n\t\t<p><var class=\"replaceable-license-text\"> THE CORNELL UNIVERSITY</var> SPECIFICALLY DISCLAIMS ANY WARRANTIES,\n\t\tINCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n\t\tMERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE\n\t\tPROVIDED HEREUNDER IS ON AN &quot;AS IS&quot; BASIS, AND <var class=\"replaceable-license-text\"> CORNELL UNIVERSITY</var> HAS\n\t\tNO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS,\n\t\tOR MODIFICATIONS.</p>\n\n\t"
		self.python_name = "CornellLosslessJPEG"

	def __str__(self):
		return json.dumps(self.__dict__)


class Frameworx10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "THE FRAMEWORX OPEN LICENSE 1.0\n\nThis License Agreement, The Frameworx Open License 1.0, has been entered into between The Frameworx Company and you, the licensee hereunder, effective as of Your acceptance of the Frameworx Code Base or an Downstream Distribution (each as defined below).\n\nAGREEMENT BACKGROUND\nThe Frameworx Company is committed to the belief that open source software results in better quality, greater technical and product innovation in the market place and a more empowered and productive developer and end-user community. Our objective is to ensure that the Frameworx Code Base, and the source code for improvements and innovations to it, remain free and open to the community.To further these beliefs and objectives, we are distributing the Frameworx Code Base, without royalties and in source code form, to the community pursuant to this License Agreement.\n\nAGREEMENT TERMS\nThe Frameworx Company and You have agreed as follows:\n\n1.Definitions.The following terms have the following respective meanings:\n\n	 (a) Frameworx Code Base means the software developed by The Frameworx Company and made available under this License Agreement\n\n	 (b) Downstream Distribution means any direct or indirect release, distribution or remote availability of software (i) that directly or indirectly contains, or depends for its intended functioning on, the Frameworx Code Base or any portion or element thereof and (ii) in which rights to use and distribute such Frameworx Code Base software depend, directly or indirectly, on the License provided in Section 2 below.\n\n	 (c) \"Source Code\" to any software means the preferred form for making modifications to that software, including any associated documentation, interface definition files and compilation or installation scripts, or any version thereof that has been compressed or archived, and can be reconstituted, using an appropriate and generally available archival or compression technology.\n\n	 (d) Value-Added Services means any commercial or fee-based software-related service, including without limitation: system or application development or consulting; technical or end-user support or training; distribution maintenance, configuration or versioning; or outsourced, hosted or network-based application services.\n\n2. License Grant. Subject to the terms and conditions hereof, The Frameworx Company hereby grants You a non-exclusive license (the License), subject to third party intellectual property claims, and for no fee other than a nominal charge reflecting the costs of physical distribution, to:\n\n	 (a) use the Frameworx Code Base, in either Source Code or machine-readable form;\n\n	 (b) make modifications, additions and deletions to the content or structure of the Frameworx Code Base; or\n\n	 (c) create larger works or derivative works including the Frameworx Code Base or any portion or element thereof; and\n\n	 (d) release, distribute or make available, either generally or to any specific third-party, any of the foregoing in Source Code or binary form.\n\n3. License Conditions. The grant of the License under Section 1 hereof, and your exercise of all rights in connection with this License Agreement, will remain subject to the following terms and conditions, as well as to the other provisions hereof:\n\n	 (a)	 Complete Source Code for any Downstream Distribution directly or indirectly made by You that contains, or depends for its intended functionality on, the Frameworx Code Base, or any portion or element thereof, shall be made freely available to all users thereof on terms and conditions no more restrictive, and no less favorable for any user (including, without limitation, with regard to Source Code availability and royalty-free use) than those terms and conditions provided in this License Agreement.\n\n	 (b)	 Any Value-Added Services that you offer or provide, directly or indirectly, in relation to any Downstream Distribution shall be offered and provided on commercial terms that are reasonably commensurate to the fair market value of such Value-Added Services. In addition, the terms and conditions on which any such Value Added Services are so offered or provided shall be consistent with, and shall fully support, the intent and purpose of this License Agreement.\n\n	 (c)	 All Downstream Distributions shall:\n\n		  (i) include all portions and elements of the Frameworx Code Base required to build the Source Code of such Downstream Distribution into a fully functional machine-executable system, or additional build scripts or comparable software necessary and sufficient for such purposes;\n\n		  (ii) include, in each file containing any portion or element of the Frameworx Code Base, the following identifying legend: This file contains software that has been made available under The Frameworx Open License 1.0. Use and distribution hereof are subject to the restrictions set forth therein.\n\n		  (iii) include all other copyright notices, authorship credits, warranty disclaimers (including that provided in Section 6 below), legends, documentation, annotations and comments contained in the Frameworx Code Base as provided to You hereunder;\n\n		  (iv) contain an unaltered copy of the html file named frameworx_community_invitation.html included within the Frameworx Code Base that acknowledges new users and provides them with information on the Frameworx Code Base community;\n\n		  (v) contain an unaltered copy of the text file named the_frameworx_license.txt included within the Frameworx Code Base that includes a text copy of the form of this License Agreement; and\n\n		  (vi) prominently display to any viewer or user of the Source Code of such Open Downstream Distribution, in the place and manner normally used for such displays, the following legend:\n\nSource code licensed under from The Frameworx Company is contained herein, and such source code has been obtained either under The Frameworx Open License, or another license granted by The Frameworx Company. Use and distribution hereof is subject to the restrictions provided in the relevant such license and to the copyrights of the licensor thereunder. A copy of The Frameworx Open License is provided in a file named the_frameworx_license.txt and included herein, and may also be available for inspection at http://www.frameworx.com.\n\n4. Restrictions on Open Downstream Distributions. Each Downstream Distribution made by You, and by any party directly or indirectly obtaining rights to the Frameworx Code Base through You, shall be made subject to a license grant or agreement to the extent necessary so that each distributee under that Downstream Distribution will be subject to the same restrictions on re-distribution and use as are binding on You hereunder. You may satisfy this licensing requirement either by:\n\n	 (a) requiring as a condition to any Downstream Distribution made by you, or by any direct or indirect distributee of Your Downstream Distribution (or any portion or element thereof), that each distributee under the relevant Downstream Distribution obtain a direct license (on the same terms and conditions as those in this License Agreement) from The Frameworx Company; or\n\n	 (b) sub-licensing all (and not less than all) of Your rights and obligations hereunder to that distributee, including (without limitation) Your obligation to require distributees to be bound by license restrictions as contemplated by this Section 4 above.\n\nThe Frameworx Company hereby grants to you all rights to sub-license your rights hereunder as necessary to fully effect the intent and purpose of this Section 4 above, provided, however, that your rights and obligations hereunder shall be unaffected by any such sublicensing. In addition, The Frameworx Company expressly retains all rights to take all appropriate action (including legal action) against any such direct or indirect sub-licensee to ensure its full compliance with the intent and purposes of this License Agreement.\n\n5. Intellectual Property. Except as expressly provided herein, this License Agreement preserves and respects Your and The Frameworx Companys respective intellectual property rights, including, in the case of The Frameworx Company, its copyrights and patent rights relating to the Frameworx Code Base.\n\n6. Warranty Disclaimer. THE SOFTWARE LICENSED HEREUNDER IS PROVIDED ``AS IS.'' ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT, ARE HEREBY DISCLAIMED. IN NO EVENT SHALL THE LICENSOR OF THIS SOFTWARE, BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES INCLUDING (BUT NOT LIMITED TO) PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n7. License Violation. The License, and all of your rights thereunder, shall be deemed automatically terminated and void as of any Downstream Distribution directly or indirectly made or facilitated by You that violates the provisions of this License Agreement, provided, however, that this License Agreement shall survive any such termination in order to remedy the effects of such violation. This License Agreement shall be binding on the legal successors and assigns of the parties hereto.\n\nYour agreement to the foregoing as of the date hereof has been evidenced by your acceptance of the relevant software distribution hereunder.\n\n(C) THE FRAMEWORX COMPANY 2003\n"
		self.standardLicenseTemplate = "<<beginOptional>>THE FRAMEWORX OPEN LICENSE 1.0\n\n<<endOptional>>\n\nThis License Agreement, The Frameworx Open License 1.0, has been entered into between The Frameworx Company and you, the licensee hereunder, effective as of Your acceptance of the Frameworx Code Base or an Downstream Distribution (each as defined below).\n\nAGREEMENT BACKGROUND\n\nThe Frameworx Company is committed to the belief that open source software results in better quality, greater technical and product innovation in the market place and a more empowered and productive developer and end-user community. Our objective is to ensure that the Frameworx Code Base, and the source code for improvements and innovations to it, remain free and open to the community.To further these beliefs and objectives, we are distributing the Frameworx Code Base, without royalties and in source code form, to the community pursuant to this License Agreement.\n\nAGREEMENT TERMS\n\nThe Frameworx Company and You have agreed as follows:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.The following terms have the following respective meanings:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Frameworx Code Base means the software developed by The Frameworx Company and made available under this License Agreement\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Downstream Distribution means any direct or indirect release, distribution or remote availability of software (i) that directly or indirectly contains, or depends for its intended functioning on, the Frameworx Code Base or any portion or element thereof and (ii) in which rights to use and distribute such Frameworx Code Base software depend, directly or indirectly, on the License provided in Section 2 below.\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> \"Source Code\" to any software means the preferred form for making modifications to that software, including any associated documentation, interface definition files and compilation or installation scripts, or any version thereof that has been compressed or archived, and can be reconstituted, using an appropriate and generally available archival or compression technology.\n\n	  <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Value-Added Services means any commercial or fee-based software-related service, including without limitation: system or application development or consulting; technical or end-user support or training; distribution maintenance, configuration or versioning; or outsourced, hosted or network-based application services.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions hereof, The Frameworx Company hereby grants You a non-exclusive license (the License), subject to third party intellectual property claims, and for no fee other than a nominal charge reflecting the costs of physical distribution, to:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> use the Frameworx Code Base, in either Source Code or machine-readable form;\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> make modifications, additions and deletions to the content or structure of the Frameworx Code Base; or\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> create larger works or derivative works including the Frameworx Code Base or any portion or element thereof; and\n\n	  <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> release, distribute or make available, either generally or to any specific third-party, any of the foregoing in Source Code or binary form.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Conditions. The grant of the License under Section 1 hereof, and your exercise of all rights in connection with this License Agreement, will remain subject to the following terms and conditions, as well as to the other provisions hereof:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Complete Source Code for any Downstream Distribution directly or indirectly made by You that contains, or depends for its intended functionality on, the Frameworx Code Base, or any portion or element thereof, shall be made freely available to all users thereof on terms and conditions no more restrictive, and no less favorable for any user (including, without limitation, with regard to Source Code availability and royalty-free use) than those terms and conditions provided in this License Agreement.\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Any Value-Added Services that you offer or provide, directly or indirectly, in relation to any Downstream Distribution shall be offered and provided on commercial terms that are reasonably commensurate to the fair market value of such Value-Added Services. In addition, the terms and conditions on which any such Value Added Services are so offered or provided shall be consistent with, and shall fully support, the intent and purpose of this License Agreement.\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> All Downstream Distributions shall:\n\n		 <<var;name=\"bullet\";original=\"(i)\";match=\".{0,20}\">> include all portions and elements of the Frameworx Code Base required to build the Source Code of such Downstream Distribution into a fully functional machine-executable system, or additional build scripts or comparable software necessary and sufficient for such purposes;\n\n		 <<var;name=\"bullet\";original=\"(ii)\";match=\".{0,20}\">> include, in each file containing any portion or element of the Frameworx Code Base, the following identifying legend: This file contains software that has been made available under The Frameworx Open License 1.0. Use and distribution hereof are subject to the restrictions set forth therein.\n\n		 <<var;name=\"bullet\";original=\"(iii)\";match=\".{0,20}\">> include all other copyright notices, authorship credits, warranty disclaimers (including that provided in Section 6 below), legends, documentation, annotations and comments contained in the Frameworx Code Base as provided to You hereunder;\n\n		 <<var;name=\"bullet\";original=\"(iv)\";match=\".{0,20}\">> contain an unaltered copy of the html file named frameworx_community_invitation.html included within the Frameworx Code Base that acknowledges new users and provides them with information on the Frameworx Code Base community;\n\n		 <<var;name=\"bullet\";original=\"(v)\";match=\".{0,20}\">> contain an unaltered copy of the text file named the_frameworx_license.txt included within the Frameworx Code Base that includes a text copy of the form of this License Agreement; and\n\n		 <<var;name=\"bullet\";original=\"(vi)\";match=\".{0,20}\">> prominently display to any viewer or user of the Source Code of such Open Downstream Distribution, in the place and manner normally used for such displays, the following legend:\n\n   Source code licensed under from The Frameworx Company is contained herein, and such source code has been obtained either under The Frameworx Open License, or another license granted by The Frameworx Company. Use and distribution hereof is subject to the restrictions provided in the relevant such license and to the copyrights of the licensor thereunder. A copy of The Frameworx Open License is provided in a file named the_frameworx_license.txt and included herein, and may also be available for inspection at http://www.frameworx.com.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions on Open Downstream Distributions. Each Downstream Distribution made by You, and by any party directly or indirectly obtaining rights to the Frameworx Code Base through You, shall be made subject to a license grant or agreement to the extent necessary so that each distributee under that Downstream Distribution will be subject to the same restrictions on re-distribution and use as are binding on You hereunder. You may satisfy this licensing requirement either by:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> requiring as a condition to any Downstream Distribution made by you, or by any direct or indirect distributee of Your Downstream Distribution (or any portion or element thereof), that each distributee under the relevant Downstream Distribution obtain a direct license (on the same terms and conditions as those in this License Agreement) from The Frameworx Company; or\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> sub-licensing all (and not less than all) of Your rights and obligations hereunder to that distributee, including (without limitation) Your obligation to require distributees to be bound by license restrictions as contemplated by this Section 4 above.\n\n   The Frameworx Company hereby grants to you all rights to sub-license your rights hereunder as necessary to fully effect the intent and purpose of this Section 4 above, provided, however, that your rights and obligations hereunder shall be unaffected by any such sublicensing. In addition, The Frameworx Company expressly retains all rights to take all appropriate action (including legal action) against any such direct or indirect sub-licensee to ensure its full compliance with the intent and purposes of this License Agreement.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Intellectual Property. Except as expressly provided herein, this License Agreement preserves and respects Your and The Frameworx Companys respective intellectual property rights, including, in the case of The Frameworx Company, its copyrights and patent rights relating to the Frameworx Code Base.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Warranty Disclaimer. THE SOFTWARE LICENSED HEREUNDER IS PROVIDED ``AS IS.'' ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT, ARE HEREBY DISCLAIMED. IN NO EVENT SHALL THE LICENSOR OF THIS SOFTWARE, BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES INCLUDING (BUT NOT LIMITED TO) PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> License Violation. The License, and all of your rights thereunder, shall be deemed automatically terminated and void as of any Downstream Distribution directly or indirectly made or facilitated by You that violates the provisions of this License Agreement, provided, however, that this License Agreement shall survive any such termination in order to remedy the effects of such violation. This License Agreement shall be binding on the legal successors and assigns of the parties hereto.\n\n   Your agreement to the foregoing as of the date hereof has been evidenced by your acceptance of the relevant software distribution hereunder.\n\n   <<var;name=\"copyright\";original=\"(C) THE FRAMEWORX COMPANY 2003\";match=\".{0,5000}\">>"
		self.name = "Frameworx Open License 1.0"
		self.licenseComments = "The url included in the license does not work. (15/10/10)"
		self.licenseId = "Frameworx-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Frameworx-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:00Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/Frameworx-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>THE FRAMEWORX OPEN LICENSE 1.0</p>\n\n	  </div>\n\n	  <p>This License Agreement, The Frameworx Open License 1.0, has been entered into between The Frameworx\n		 Company and you, the licensee hereunder, effective as of Your acceptance of the Frameworx Code Base or\n		 an Downstream Distribution (each as defined below).</p>\n\n	  <p>AGREEMENT BACKGROUND\n		<br />\n\nThe Frameworx Company is committed to the belief that open source software results in better\n			 quality, greater technical and product innovation in the market place and a more empowered and\n			 productive developer and end-user community. Our objective is to ensure that the Frameworx\n			 Code Base, and the source code for improvements and innovations to it, remain free and open to\n			 the community.To further these beliefs and objectives, we are distributing the Frameworx Code\n			 Base, without royalties and in source code form, to the community pursuant to this License\n			 Agreement.\n	  </p>\n\n	  <p>AGREEMENT TERMS\n		<br />\n\nThe Frameworx Company and You have agreed as follows:\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.The following terms have the following respective meanings:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  Frameworx Code Base means the software developed by The Frameworx Company and made available\n				 under this License Agreement\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  Downstream Distribution means any direct or indirect release, distribution or remote\n				 availability of software (i) that directly or indirectly contains, or depends for its\n				 intended functioning on, the Frameworx Code Base or any portion or element thereof and\n				 (ii) in which rights to use and distribute such Frameworx Code Base software depend,\n				 directly or indirectly, on the License provided in Section 2 below.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			  &quot;Source Code&quot; to any software means the preferred form for making modifications to\n				 that software, including any associated documentation, interface definition files and\n				 compilation or installation scripts, or any version thereof that has been compressed or\n				 archived, and can be reconstituted, using an appropriate and generally available archival\n				 or compression technology.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (d)</var>\n			  Value-Added Services means any commercial or fee-based software-related service, including\n				 without limitation: system or application development or consulting; technical or end-user\n				 support or training; distribution maintenance, configuration or versioning; or outsourced,\n				 hosted or network-based application services.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  License Grant. Subject to the terms and conditions hereof, The Frameworx Company hereby grants\n			 You a non-exclusive license (the License), subject to third party intellectual property\n			 claims, and for no fee other than a nominal charge reflecting the costs of physical\n			 distribution, to:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  use the Frameworx Code Base, in either Source Code or machine-readable form;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  make modifications, additions and deletions to the content or structure of the Frameworx Code\n				 Base; or\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			  create larger works or derivative works including the Frameworx Code Base or any portion or\n				 element thereof; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (d)</var>\n			  release, distribute or make available, either generally or to any specific third-party, any\n				 of the foregoing in Source Code or binary form.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Conditions. The grant of the License under Section 1 hereof, and your exercise of all\n			 rights in connection with this License Agreement, will remain subject to the following terms\n			 and conditions, as well as to the other provisions hereof:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  Complete Source Code for any Downstream Distribution directly or indirectly made by You that\n				 contains, or depends for its intended functionality on, the Frameworx Code Base, or any\n				 portion or element thereof, shall be made freely available to all users thereof on terms\n				 and conditions no more restrictive, and no less favorable for any user (including, without\n				 limitation, with regard to Source Code availability and royalty-free use) than those terms\n				 and conditions provided in this License Agreement.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  Any Value-Added Services that you offer or provide, directly or indirectly, in relation to\n				 any Downstream Distribution shall be offered and provided on commercial terms that are\n				 reasonably commensurate to the fair market value of such Value-Added Services. In\n				 addition, the terms and conditions on which any such Value Added Services are so offered\n				 or provided shall be consistent with, and shall fully support, the intent and purpose of\n				 this License Agreement.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			  All Downstream Distributions shall:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (i)</var>\n				  include all portions and elements of the Frameworx Code Base required to build the Source\n					 Code of such Downstream Distribution into a fully functional machine-executable\n					 system, or additional build scripts or comparable software necessary and sufficient\n					 for such purposes;\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (ii)</var>\n				  include, in each file containing any portion or element of the Frameworx Code Base, the\n					 following identifying legend: This file contains software that has been made available\n					 under The Frameworx Open License 1.0. Use and distribution hereof are subject to the\n					 restrictions set forth therein.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (iii)</var>\n				  include all other copyright notices, authorship credits, warranty disclaimers (including\n					 that provided in Section 6 below), legends, documentation, annotations and comments\n					 contained in the Frameworx Code Base as provided to You hereunder;\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (iv)</var>\n				  contain an unaltered copy of the html file named frameworx_community_invitation.html\n					 included within the Frameworx Code Base that acknowledges new users and provides them\n					 with information on the Frameworx Code Base community;\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (v)</var>\n				  contain an unaltered copy of the text file named the_frameworx_license.txt included\n					 within the Frameworx Code Base that includes a text copy of the form of this License\n					 Agreement; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (vi)</var>\n				  prominently display to any viewer or user of the Source Code of such Open Downstream\n					 Distribution, in the place and manner normally used for such displays, the following\n					 legend:\n				</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n			<p>Source code licensed under from The Frameworx Company is contained herein, and such\n			 source code has been obtained either under The Frameworx Open License, or another\n			 license granted by The Frameworx Company. Use and distribution hereof is subject to\n			 the restrictions provided in the relevant such license and to the copyrights of the\n			 licensor thereunder. A copy of The Frameworx Open License is provided in a file named\n			 the_frameworx_license.txt and included herein, and may also be available for\n			 inspection at http://www.frameworx.com.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions on Open Downstream Distributions. Each Downstream Distribution made by You, and by\n			 any party directly or indirectly obtaining rights to the Frameworx Code Base through You,\n			 shall be made subject to a license grant or agreement to the extent necessary so that each\n			 distributee under that Downstream Distribution will be subject to the same restrictions on\n			 re-distribution and use as are binding on You hereunder. You may satisfy this licensing\n			 requirement either by:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  requiring as a condition to any Downstream Distribution made by you, or by any direct or\n				 indirect distributee of Your Downstream Distribution (or any portion or element thereof),\n				 that each distributee under the relevant Downstream Distribution obtain a direct license\n				 (on the same terms and conditions as those in this License Agreement) from The Frameworx\n				 Company; or\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  sub-licensing all (and not less than all) of Your rights and obligations hereunder to that\n				 distributee, including (without limitation) Your obligation to require distributees to be\n				 bound by license restrictions as contemplated by this Section 4 above.\n			</li>\n			\n</ul>\n			<p>The Frameworx Company hereby grants to you all rights to sub-license your rights hereunder as\n			 necessary to fully effect the intent and purpose of this Section 4 above, provided,\n			 however, that your rights and obligations hereunder shall be unaffected by any such\n			 sublicensing. In addition, The Frameworx Company expressly retains all rights to take all\n			 appropriate action (including legal action) against any such direct or indirect\n			 sub-licensee to ensure its full compliance with the intent and purposes of this License\n			 Agreement.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Intellectual Property. Except as expressly provided herein, this License Agreement preserves and\n			 respects Your and The Frameworx Companys respective intellectual property rights, including,\n			 in the case of The Frameworx Company, its copyrights and patent rights relating to the\n			 Frameworx Code Base.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Warranty Disclaimer. THE SOFTWARE LICENSED HEREUNDER IS PROVIDED ``AS IS.&apos;&apos; ANY EXPRESS\n			 OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n			 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT, ARE HEREBY\n			 DISCLAIMED. IN NO EVENT SHALL THE LICENSOR OF THIS SOFTWARE, BE LIABLE FOR ANY DIRECT,\n			 INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES INCLUDING (BUT NOT LIMITED\n			 TO) PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n			 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\n			 LIABILITY OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n			 THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  License Violation. The License, and all of your rights thereunder, shall be deemed automatically\n			 terminated and void as of any Downstream Distribution directly or indirectly made or\n			 facilitated by You that violates the provisions of this License Agreement, provided, however,\n			 that this License Agreement shall survive any such termination in order to remedy the effects\n			 of such violation. This License Agreement shall be binding on the legal successors and assigns\n			 of the parties hereto.\n		  <p>Your agreement to the foregoing as of the date hereof has been evidenced by your acceptance of\n			 the relevant software distribution hereunder.</p>\n\n		</li>\n	  \n</ul>\n	  <var class=\"replaceable-license-text\"> (C) THE FRAMEWORX COMPANY 2003</var>\n	"
		self.python_name = "Frameworx10"

	def __str__(self):
		return json.dumps(self.__dict__)


class X11:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "X11 License\n\nCopyright (C) 1996 X Consortium\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nExcept as contained in this notice, the name of the X Consortium shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization from the X Consortium.\n\nX Window System is a trademark of X Consortium, Inc.\n"
		self.standardLicenseTemplate = "<<beginOptional>>X11 License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 1996 X Consortium  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL <<var;name=\"nameDisclaimer\";original=\"THE X CONSORTIUM\";match=\".+\">> BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nExcept as contained in this notice, the name of <<var;name=\"name2Disclaimer\";original=\"the X Consortium\";match=\".+\">> shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization from <<var;name=\"name3Disclaimer\";original=\"the X Consortium.\";match=\".+\">>\n\n<<beginOptional>>X Window System is a trademark of X Consortium, Inc.\n\n<<endOptional>>"
		self.name = "X11 License"
		self.licenseComments = "This is same as MIT, but with no advertising clause added."
		self.licenseId = "X11"
		self.crossRef = [{"match": "False", "url": "http://www.xfree86.org/3.3.6/COPYRIGHT2.html#3", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:31Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.xfree86.org/3.3.6/COPYRIGHT2.html#3"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>X11 License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 1996 X Consortium</p>\n\n	  </div>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and\n		 associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,\n		 including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,\n		 and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,\n		 subject to the following conditions:</p>\n\n	  <p>The above copyright notice and this permission notice shall be included in all copies or substantial\n		 portions of the Software.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL <var class=\"replaceable-license-text\"> THE X CONSORTIUM</var> BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN\n		 ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE\n		 USE OR OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	  <p>Except as contained in this notice, the name of <var class=\"replaceable-license-text\"> the X Consortium</var> shall not be used in advertising or\n		 otherwise to promote the sale, use or other dealings in this Software without prior written\n\t	  authorization from <var class=\"replaceable-license-text\"> the X Consortium.</var></p>\n\n	  <div class=\"optional-license-text\"> <p>X Window System is a trademark of X Consortium, Inc.</p>\n</div>\n	"
		self.python_name = "X11"

	def __str__(self):
		return json.dumps(self.__dict__)


class Zimbra14:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Zimbra Public License, Version 1.4 (ZPL)\n\nThis Zimbra Public License (this \u201cAgreement\u201d) is a legal agreement that describes the terms under which Zimbra, Inc., a Texas corporation (\u201cZimbra\u201d) will provide software to you via download or otherwise (\u201cSoftware\u201d). By using the Software, you, an individual or an entity (\u201cYou\u201d) agree to the terms of this Agreement.\n\nIn consideration of the mutual promises and upon the terms and conditions set forth below, the parties agree as follows:\n\n1. Grant of Copyright License\n\n	 1.1 - Subject to the terms and conditions of this Agreement, Zimbra hereby grants to You, under any and all of its copyright interest in and to the Software, a royalty-free, non-exclusive, non-transferable license to copy, modify, compile, execute, and distribute the Software and Modifications. For the purposes of this Agreement, any change to, addition to, or abridgement of the Software made by You is a \u201cModification;\u201d however, any file You add to the Software that does not contain any part of the Software is not a \u201cModification.\u201d\n\n	 1.2 - If You are an individual acting on behalf of a corporation or other entity, Your use of the Software or any Modification is subject to Your having the authority to bind such corporation or entity to this Agreement. Providing copies to persons within such corporation or entity is not considered distribution for purposes of this Agreement.\n\n	 1.3 - For the Software or any Modification You distribute in source code format, You must do so only under the terms of this Agreement, and You must include a complete copy of this Agreement with Your distribution. With respect to any Modification You distribute in source code format, the terms of this Agreement will apply to You in the same way those terms apply to Zimbra with respect to the Software. In other words, when You are distributing Modifications under this Agreement, You \u201cstand in the shoes\u201d of Zimbra in terms of the rights You grant and how the terms and conditions apply to You and the licensees of Your Modifications. Notwithstanding the foregoing, when You \u201cstand in the shoes\u201d of Zimbra, You are not subject to the jurisdiction provision under Section 7, which requires all disputes under this Agreement to be subject to the jurisdiction of federal or state courts of Northern Texas.\n\n	 1.4 - For the Software or any Modification You distribute in compiled or object code format, You must also provide recipients with access to the Software or Modification in source code format along with a complete copy of this Agreement. The distribution of the Software or Modifications in compiled or object code format may be under a license of Your choice, provided that You are in compliance with the terms of this Agreement. In addition, You must make absolutely clear that any license terms applying to such Software or Modification that differ from this Agreement are offered by You alone and not by Zimbra, and that such license does not restrict recipients from exercising rights in the source code to the Software granted by Zimbra under this Agreement or rights in the source code to any Modification granted by You as described in Section 1.3.\n\n	 1.5 - This Agreement does not limit Your right to distribute files that are entirely Your own work (i.e., which do not incorporate any portion of the Software and are not Modifications) under any terms You choose.\n\n2. Support\nZimbra has no obligation to provide technical support or updates to You. Nothing in this Agreement requires Zimbra to enter into any license with You for any other edition of the Software.\n\n3. Intellectual Property Rights\n\n	 3.1 - Except for the license expressly granted under copyright in Section 1.1, no rights, licenses or forbearances are granted or may arise in relation to this Agreement whether expressly, by implication, exhaustion, estoppel or otherwise. All rights, including all intellectual property rights, that are not expressly granted under this Agreement are hereby reserved.\n\n	 3.2 - In any copy of the Software or in any Modification you create, You must retain and reproduce any and all copyright, patent, trademark, and attribution notices that are included in the Software in the same form as they appear in the Software. This includes the preservation of attribution notices in the form of trademarks or logos that exist within a user interface of the Software.\n\n	 3.3 - This license does not grant You rights to use any party\u2019s name, logo, or trademarks, except solely as necessary to comply with Section 3.2.\n\n4. Disclaimer of Warranties\nTHE SOFTWARE IS PROVIDED \u201cAS IS\u201d AND WITHOUT WARRANTY OF ANY KIND. ZIMBRA MAKES NO WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY, REGARDING OR RELATING TO THE SOFTWARE. SPECIFICALLY, ZIMBRA DOES NOT WARRANT THAT THE SOFTWARE WILL BE ERROR FREE OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST EXTENT ALLOWED BY LAW, ZIMBRA SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE (EVEN IF ZIMBRA HAD BEEN INFORMED OF SUCH PURPOSE), AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE, ANY MODIFICATIONS THERETO, AND WITH RESPECT TO THE USE OF THE FOREGOING.\n\n5. Limitation of Liability\nIN NO EVENT WILL ZIMBRA BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION LOSS OF PROFITS, LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, AND COST OF COVER) IN CONNECTION WITH OR ARISING OUT OF OR RELATING TO THE FURNISHING, PERFORMANCE, OR USE OF THE SOFTWARE OR ANY OTHER RIGHTS GRANTED HEREUNDER, WHETHER ALLEGED AS A BREACH OF CONTRACT OR TORTIOUS CONDUCT, INCLUDING NEGLIGENCE, AND EVEN IF ZIMBRA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n6. Term and Termination\n\n	 6.1 - This Agreement will continue in effect unless and until terminated earlier pursuant to this Section 6.\n\n	 6.2 - In the event You violate the terms of this Agreement, Zimbra may terminate this Agreement.\n\n	 6.3 - All licenses granted hereunder shall terminate upon the termination of this Agreement. Termination will be in addition to any rights and remedies available to Zimbra at law or equity or under this Agreement.\n\n	 6.4 - Termination of this Agreement will not affect the provisions regarding reservation of rights (Section 3.1), provisions disclaiming or limiting Zimbra\u2019s liability (Sections 4 and 5), Termination (Section 6), or Miscellaneous (Section 7), which provisions will survive termination of this Agreement.\n\n7. Miscellaneous\nThis Agreement contains the entire agreement of the parties with respect to the subject matter of this Agreement and supersedes all previous communications, representations, understandings, and agreements, either oral or written, between the parties with respect to said subject matter. The relationship of the parties hereunder is that of independent contractors, and this Agreement will not be consTrued as creating an agency, partnership, joint venture, or any other form of legal association between the parties. If any term, condition, or provision in this Agreement is found to be invalid, unlawful, or unenforceable to any extent, this Agreement will be consTrued in a manner that most closely effectuates the intent of this Agreement. Such invalid term, condition or provision will be severed from the remaining terms, conditions, and provisions, which will continue to be valid and enforceable to the fullest extent permitted by law. This Agreement will be interpreted and consTrued in accordance with the laws of the State of Delaware and the United States of America, without regard to conflict of law principles. The U.N. Convention on Contracts for the International Sale of Goods shall not apply to this Agreement. All disputes arising out of this Agreement involving Zimbra or any of its parents or subsidiaries shall be subject to the jurisdiction of the federal or state courts of Northern Texas, with venue lying in Dallas County, Texas. No rights may be assigned, no obligations may be delegated, and this Agreement may not be transferred by You, in whole or in part, whether voluntary or by operation of law, including by way of sale of assets, merger, or consolidation, without the prior written consent of Zimbra, and any purported assignment, delegation, or transfer without such consent shall be void ab initio. Any waiver of the provisions of this Agreement or of a party\u2019s rights or remedies under this Agreement must be in writing to be effective. Failure, neglect, or delay by a party to enforce the provisions of this Agreement or its rights or remedies at any time will not be consTrued or be deemed to be a waiver of such party\u2019s rights under this Agreement and will not in any way affect the validity of the whole or any part of this Agreement or prejudice such party\u2019s right to take subsequent action.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Zimbra Public License, Version 1.4 (ZPL)\n\n<<endOptional>>\n\nThis Zimbra Public License (this \"Agreement\") is a legal agreement that describes the terms under which Zimbra, Inc., a Texas corporation (\"Zimbra\") will provide software to you via download or otherwise (\"Software\"). By using the Software, you, an individual or an entity (\"You\") agree to the terms of this Agreement.\n\nIn consideration of the mutual promises and upon the terms and conditions set forth below, the parties agree as follows:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Grant of Copyright License\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> - Subject to the terms and conditions of this Agreement, Zimbra hereby grants to You, under any and all of its copyright interest in and to the Software, a royalty-free, non-exclusive, non-transferable license to copy, modify, compile, execute, and distribute the Software and Modifications. For the purposes of this Agreement, any change to, addition to, or abridgement of the Software made by You is a \"Modification;\" however, any file You add to the Software that does not contain any part of the Software is not a \"Modification.\"\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> - If You are an individual acting on behalf of a corporation or other entity, Your use of the Software or any Modification is subject to Your having the authority to bind such corporation or entity to this Agreement. Providing copies to persons within such corporation or entity is not considered distribution for purposes of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> - For the Software or any Modification You distribute in source code format, You must do so only under the terms of this Agreement, and You must include a complete copy of this Agreement with Your distribution. With respect to any Modification You distribute in source code format, the terms of this Agreement will apply to You in the same way those terms apply to Zimbra with respect to the Software. In other words, when You are distributing Modifications under this Agreement, You \"stand in the shoes\" of Zimbra in terms of the rights You grant and how the terms and conditions apply to You and the licensees of Your Modifications. Notwithstanding the foregoing, when You \"stand in the shoes\" of Zimbra, You are not subject to the jurisdiction provision under Section 7, which requires all disputes under this Agreement to be subject to the jurisdiction of federal or state courts of Northern Texas.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> - For the Software or any Modification You distribute in compiled or object code format, You must also provide recipients with access to the Software or Modification in source code format along with a complete copy of this Agreement. The distribution of the Software or Modifications in compiled or object code format may be under a license of Your choice, provided that You are in compliance with the terms of this Agreement. In addition, You must make absolutely clear that any license terms applying to such Software or Modification that differ from this Agreement are offered by You alone and not by Zimbra, and that such license does not restrict recipients from exercising rights in the source code to the Software granted by Zimbra under this Agreement or rights in the source code to any Modification granted by You as described in Section 1.3.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> - This Agreement does not limit Your right to distribute files that are entirely Your own work (i.e., which do not incorporate any portion of the Software and are not Modifications) under any terms You choose.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Support\n\n   Zimbra has no obligation to provide technical support or updates to You. Nothing in this Agreement requires Zimbra to enter into any license with You for any other edition of the Software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Intellectual Property Rights\n\n	  <<var;name=\"bullet\";original=\"3.1 -\";match=\".{0,20}\">> Except for the license expressly granted under copyright in Section 1.1, no rights, licenses or forbearances are granted or may arise in relation to this Agreement whether expressly, by implication, exhaustion, estoppel or otherwise. All rights, including all intellectual property rights, that are not expressly granted under this Agreement are hereby reserved.\n\n	  <<var;name=\"bullet\";original=\"3.2 -\";match=\".{0,20}\">> In any copy of the Software or in any Modification you create, You must retain and reproduce any and all copyright, patent, trademark, and attribution notices that are included in the Software in the same form as they appear in the Software. This includes the preservation of attribution notices in the form of trademarks or logos that exist within a user interface of the Software.\n\n	  <<var;name=\"bullet\";original=\"3.3 -\";match=\".{0,20}\">> This license does not grant You rights to use any party's name, logo, or trademarks, except solely as necessary to comply with Section 3.2.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Disclaimer of Warranties\n\n   THE SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY OF ANY KIND. ZIMBRA MAKES NO WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY, REGARDING OR RELATING TO THE SOFTWARE. SPECIFICALLY, ZIMBRA DOES NOT WARRANT THAT THE SOFTWARE WILL BE ERROR FREE OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST EXTENT ALLOWED BY LAW, ZIMBRA SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE (EVEN IF ZIMBRA HAD BEEN INFORMED OF SUCH PURPOSE), AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE, ANY MODIFICATIONS THERETO, AND WITH RESPECT TO THE USE OF THE FOREGOING.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Limitation of Liability\n\n   IN NO EVENT WILL ZIMBRA BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION LOSS OF PROFITS, LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, AND COST OF COVER) IN CONNECTION WITH OR ARISING OUT OF OR RELATING TO THE FURNISHING, PERFORMANCE, OR USE OF THE SOFTWARE OR ANY OTHER RIGHTS GRANTED HEREUNDER, WHETHER ALLEGED AS A BREACH OF CONTRACT OR TORTIOUS CONDUCT, INCLUDING NEGLIGENCE, AND EVEN IF ZIMBRA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Term and Termination\n\n	  <<var;name=\"bullet\";original=\"6.1 -\";match=\".{0,20}\">> This Agreement will continue in effect unless and until terminated earlier pursuant to this Section 6.\n\n	  <<var;name=\"bullet\";original=\"6.2 -\";match=\".{0,20}\">> In the event You violate the terms of this Agreement, Zimbra may terminate this Agreement.\n\n	  <<var;name=\"bullet\";original=\"6.3 -\";match=\".{0,20}\">> All licenses granted hereunder shall terminate upon the termination of this Agreement. Termination will be in addition to any rights and remedies available to Zimbra at law or equity or under this Agreement.\n\n	  <<var;name=\"bullet\";original=\"6.4 -\";match=\".{0,20}\">> Termination of this Agreement will not affect the provisions regarding reservation of rights (Section 3.1), provisions disclaiming or limiting Zimbra's liability (Sections 4 and 5), Termination (Section 6), or Miscellaneous (Section 7), which provisions will survive termination of this Agreement.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Miscellaneous\n\n   This Agreement contains the entire agreement of the parties with respect to the subject matter of this Agreement and supersedes all previous communications, representations, understandings, and agreements, either oral or written, between the parties with respect to said subject matter. The relationship of the parties hereunder is that of independent contractors, and this Agreement will not be consTrued as creating an agency, partnership, joint venture, or any other form of legal association between the parties. If any term, condition, or provision in this Agreement is found to be invalid, unlawful, or unenforceable to any extent, this Agreement will be consTrued in a manner that most closely effectuates the intent of this Agreement. Such invalid term, condition or provision will be severed from the remaining terms, conditions, and provisions, which will continue to be valid and enforceable to the fullest extent permitted by law. This Agreement will be interpreted and consTrued in accordance with the laws of the State of Delaware and the United States of America, without regard to conflict of law principles. The U.N. Convention on Contracts for the International Sale of Goods shall not apply to this Agreement. All disputes arising out of this Agreement involving Zimbra or any of its parents or subsidiaries shall be subject to the jurisdiction of the federal or state courts of Northern Texas, with venue lying in Dallas County, Texas. No rights may be assigned, no obligations may be delegated, and this Agreement may not be transferred by You, in whole or in part, whether voluntary or by operation of law, including by way of sale of assets, merger, or consolidation, without the prior written consent of Zimbra, and any purported assignment, delegation, or transfer without such consent shall be void ab initio. Any waiver of the provisions of this Agreement or of a party's rights or remedies under this Agreement must be in writing to be effective. Failure, neglect, or delay by a party to enforce the provisions of this Agreement or its rights or remedies at any time will not be consTrued or be deemed to be a waiver of such party's rights under this Agreement and will not in any way affect the validity of the whole or any part of this Agreement or prejudice such party's right to take subsequent action.\n\n   "
		self.name = "Zimbra Public License v1.4"
		self.licenseId = "Zimbra-1.4"
		self.crossRef = [{"match": "False", "url": "http://www.zimbra.com/legal/zimbra-public-license-1-4", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.zimbra.com/legal/zimbra-public-license-1-4"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Zimbra Public License, Version 1.4 (ZPL)</p>\n\n	  </div>\n\n		<p>This Zimbra Public License (this &quot;Agreement&quot;) is a legal agreement that describes the terms under which\n		 Zimbra, Inc., a Texas corporation (&quot;Zimbra&quot;) will provide software to you via download or otherwise\n		 (&quot;Software&quot;). By using the Software, you, an individual or an entity (&quot;You&quot;) agree to the terms of\n		 this Agreement.</p>\n\n		<p>In consideration of the mutual promises and upon the terms and conditions set forth below, the parties\n		 agree as follows:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> 1.</var>\n				Grant of Copyright License\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.1</var>\n						- Subject to the terms and conditions of this Agreement, Zimbra hereby grants to You, under any\n						 and all of its copyright interest in and to the Software, a royalty-free, non-exclusive,\n						 non-transferable license to copy, modify, compile, execute, and distribute the Software and\n						 Modifications. For the purposes of this Agreement, any change to, addition to, or abridgement\n						 of the Software made by You is a &quot;Modification;&quot; however, any file You add to the Software\n						that does not contain any part of the Software is not a &quot;Modification.&quot;\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.2</var>\n						- If You are an individual acting on behalf of a corporation or other entity, Your use of the\n						 Software or any Modification is subject to Your having the authority to bind such corporation\n						 or entity to this Agreement. Providing copies to persons within such corporation or entity is\n						 not considered distribution for purposes of this Agreement.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.3</var>\n						- For the Software or any Modification You distribute in source code format, You must do so only\n						 under the terms of this Agreement, and You must include a complete copy of this Agreement with\n						 Your distribution. With respect to any Modification You distribute in source code format, the\n						 terms of this Agreement will apply to You in the same way those terms apply to Zimbra with\n						 respect to the Software. In other words, when You are distributing Modifications under this\n						 Agreement, You &quot;stand in the shoes&quot; of Zimbra in terms of the rights You grant and how the\n						 terms and conditions apply to You and the licensees of Your Modifications. Notwithstanding the\n						 foregoing, when You &quot;stand in the shoes&quot; of Zimbra, You are not subject to the jurisdiction\n						 provision under Section 7, which requires all disputes under this Agreement to be subject to\n						 the jurisdiction of federal or state courts of Northern Texas.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.4</var>\n						- For the Software or any Modification You distribute in compiled or object code format, You must\n						 also provide recipients with access to the Software or Modification in source code format\n						 along with a complete copy of this Agreement. The distribution of the Software or\n						 Modifications in compiled or object code format may be under a license of Your choice,\n						 provided that You are in compliance with the terms of this Agreement. In addition, You must\n						 make absolutely clear that any license terms applying to such Software or Modification that\n						 differ from this Agreement are offered by You alone and not by Zimbra, and that such license\n						 does not restrict recipients from exercising rights in the source code to the Software granted\n						 by Zimbra under this Agreement or rights in the source code to any Modification granted by You\n						 as described in Section 1.3.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.5</var>\n						- This Agreement does not limit Your right to distribute files that are entirely Your own work\n						 (i.e., which do not incorporate any portion of the Software and are not Modifications) under\n						 any terms You choose.\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 2.</var>\n				Support\n				<p>Zimbra has no obligation to provide technical support or updates to You. Nothing in this\n				 Agreement requires Zimbra to enter into any license with You for any other edition of\n				 the Software.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 3.</var>\n				Intellectual Property Rights\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.1 -</var>\n						Except for the license expressly granted under copyright in Section 1.1, no rights, licenses or\n						 forbearances are granted or may arise in relation to this Agreement whether expressly, by\n						 implication, exhaustion, estoppel or otherwise. All rights, including all intellectual\n						 property rights, that are not expressly granted under this Agreement are hereby reserved.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.2 -</var>\n						In any copy of the Software or in any Modification you create, You must retain and reproduce\n						 any and all copyright, patent, trademark, and attribution notices that are included in the\n						 Software in the same form as they appear in the Software. This includes the preservation of\n						 attribution notices in the form of trademarks or logos that exist within a user interface of\n						 the Software.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.3 -</var>\n						This license does not grant You rights to use any party&apos;s name, logo, or trademarks, except\n						 solely as necessary to comply with Section 3.2.\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 4.</var>\n				Disclaimer of Warranties\n				<p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot; AND WITHOUT WARRANTY OF ANY KIND. ZIMBRA MAKES NO\n				 WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY, REGARDING OR RELATING TO THE\n				 SOFTWARE. SPECIFICALLY, ZIMBRA DOES NOT WARRANT THAT THE SOFTWARE WILL BE ERROR FREE\n				 OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST EXTENT ALLOWED BY LAW,\n				 ZIMBRA SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A\n				 PARTICULAR PURPOSE (EVEN IF ZIMBRA HAD BEEN INFORMED OF SUCH PURPOSE), AND\n				 NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE, ANY MODIFICATIONS THERETO, AND WITH\n				 RESPECT TO THE USE OF THE FOREGOING.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 5.</var>\n				Limitation of Liability\n				<p>IN NO EVENT WILL ZIMBRA BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\n				 OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION LOSS OF PROFITS,\n				 LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, AND COST OF COVER) IN CONNECTION\n				 WITH OR ARISING OUT OF OR RELATING TO THE FURNISHING, PERFORMANCE, OR USE OF THE\n				 SOFTWARE OR ANY OTHER RIGHTS GRANTED HEREUNDER, WHETHER ALLEGED AS A BREACH OF\n				 CONTRACT OR TORTIOUS CONDUCT, INCLUDING NEGLIGENCE, AND EVEN IF ZIMBRA HAS BEEN\n				 ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 6.</var>\n				Term and Termination\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 6.1 -</var>\n						This Agreement will continue in effect unless and until terminated earlier pursuant to this\n						 Section 6.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 6.2 -</var>\n						In the event You violate the terms of this Agreement, Zimbra may terminate this Agreement.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 6.3 -</var>\n						All licenses granted hereunder shall terminate upon the termination of this Agreement.\n						 Termination will be in addition to any rights and remedies available to Zimbra at law or\n						 equity or under this Agreement.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 6.4 -</var>\n						Termination of this Agreement will not affect the provisions regarding reservation of rights\n						 (Section 3.1), provisions disclaiming or limiting Zimbra&apos;s liability (Sections 4 and 5),\n						 Termination (Section 6), or Miscellaneous (Section 7), which provisions will survive\n						 termination of this Agreement.\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 7.</var>\n				Miscellaneous\n				<p>This Agreement contains the entire agreement of the parties with respect to the subject matter of this\n				 Agreement and supersedes all previous communications, representations, understandings, and agreements,\n				 either oral or written, between the parties with respect to said subject matter. The relationship of\n				 the parties hereunder is that of independent contractors, and this Agreement will not be consTrued as\n				 creating an agency, partnership, joint venture, or any other form of legal association between the\n				 parties. If any term, condition, or provision in this Agreement is found to be invalid, unlawful, or\n				 unenforceable to any extent, this Agreement will be consTrued in a manner that most closely\n				 effectuates the intent of this Agreement. Such invalid term, condition or provision will be severed\n				 from the remaining terms, conditions, and provisions, which will continue to be valid and enforceable\n				 to the fullest extent permitted by law. This Agreement will be interpreted and consTrued in accordance\n				 with the laws of the State of Delaware and the United States of America, without regard to conflict of\n				 law principles. The U.N. Convention on Contracts for the International Sale of Goods shall not apply\n				 to this Agreement. All disputes arising out of this Agreement involving Zimbra or any of its parents\n				 or subsidiaries shall be subject to the jurisdiction of the federal or state courts of Northern Texas,\n				 with venue lying in Dallas County, Texas. No rights may be assigned, no obligations may be delegated,\n				 and this Agreement may not be transferred by You, in whole or in part, whether voluntary or by\n				 operation of law, including by way of sale of assets, merger, or consolidation, without the prior\n				 written consent of Zimbra, and any purported assignment, delegation, or transfer without such consent\n				 shall be void ab initio. Any waiver of the provisions of this Agreement or of a party&apos;s rights or\n				 remedies under this Agreement must be in writing to be effective. Failure, neglect, or delay by a\n				 party to enforce the provisions of this Agreement or its rights or remedies at any time will not be\n				 consTrued or be deemed to be a waiver of such party&apos;s rights under this Agreement and will not in any\n				 way affect the validity of the whole or any part of this Agreement or prejudice such party&apos;s right to\n				 take subsequent action.</p>\n\n			</li>\n		\n</ul>\n	"
		self.python_name = "Zimbra14"

	def __str__(self):
		return json.dumps(self.__dict__)


class Crossword:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1995-2009 Gerd Neugebauer\n\ncwpuzzle.dtx is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY. No author or distributor  accepts responsibility to anyone for the consequences of using it or for whether it serves any particular purpose  or works at all, unless he says so in writing.\n\nEveryone is granted permission to copy, modify and redistribute cwpuzzle.dtx, provided this copyright notice is preserved and any modifications are indicated.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Copyright (C) 1995-2009 Gerd Neugebauer\n\n<<endOptional>>\n\n<<var;name=\"projectName1\";original=\"cwpuzzle.dtx\";match=\".+\">> is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY. No author or distributor accepts responsibility to anyone for the consequences of using it or for whether it serves any particular purpose or works at all, unless he says so in writing.\n\nEveryone is granted permission to copy, modify and redistribute <<var;name=\"projectName2\";original=\"cwpuzzle.dtx\";match=\".+\">> , provided this copyright notice is preserved and any modifications are indicated.\n\n"
		self.name = "Crossword License"
		self.licenseId = "Crossword"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Crossword", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:21Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Crossword"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Copyright (C) 1995-2009 Gerd Neugebauer</p>\n\n	  </div>\n\n	  <p><var class=\"replaceable-license-text\"> cwpuzzle.dtx</var> is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY. No author or\n		 distributor accepts responsibility to anyone for the consequences of using it or for whether it serves\n		 any particular purpose or works at all, unless he says so in writing.\n	  </p>\n\n		<p>Everyone is granted permission to copy, modify and redistribute <var class=\"replaceable-license-text\"> cwpuzzle.dtx</var>, provided this\n			 copyright notice is preserved and any modifications are indicated.\n	  </p>\n\n	"
		self.python_name = "Crossword"

	def __str__(self):
		return json.dumps(self.__dict__)


class FSFAPnowarrantydisclaimer:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 2008 Micah J. Cowan\n\nCopying and distribution of this file, with or without modification,\nare permitted in any medium without royalty provided the copyright\nnotice and this notice are preserved.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 2008 Micah J. Cowan\";match=\".{0,5000}\">>\n\nCopying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.\n\n"
		self.name = "FSF All Permissive License (without Warranty)"
		self.licenseComments = "This license is identical to FSFAP except it omits the no-warranty sentence at the end."
		self.licenseId = "FSFAP-no-warranty-disclaimer"
		self.crossRef = [{"match": "False", "url": "https://git.savannah.gnu.org/cgit/wget.git/tree/util/trunc.c?h=v1.21.3&id=40747a11e44ced5a8ac628a41f879ced3e2ebce9#n6", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://git.savannah.gnu.org/cgit/wget.git/tree/util/trunc.c?h=v1.21.3&id=40747a11e44ced5a8ac628a41f879ced3e2ebce9#n6"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n						<var class=\"replaceable-license-text\"> \n								Copyright (C) 2008 Micah J. Cowan\n						</var>\n						<p>\n								Copying and distribution of this\n								file, with or without\n								modification, are permitted in\n								any medium without royalty\n								provided the copyright\n								notice and this notice are\n								preserved.\n						</p>\n\n				"
		self.python_name = "FSFAPnowarrantydisclaimer"

	def __str__(self):
		return json.dumps(self.__dict__)


class CERNOHL12:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "CERN OHL v1.2\n2013-09-06 - CERN, Geneva, Switzerland\nCERN Open Hardware Licence v1.2\n\nPreamble\nThrough this CERN Open Hardware Licence (\"CERN OHL\") version 1.2, CERN wishes to provide a tool to foster collaboration and sharing among hardware designers. The CERN OHL is copyright CERN. Anyone is welcome to use the CERN OHL, in unmodified form only, for the distribution of their own Open Hardware designs. Any other right is reserved. Release of hardware designs under the CERN OHL does not constitute an endorsement of the licensor or its designs nor does it imply any involvement by CERN in the development of such designs.\n\n1. Definitions\nIn this Licence, the following terms have the following meanings:\n\u201cLicence\u201d means this CERN OHL.\n\u201cDocumentation\u201d means schematic diagrams, designs, circuit or circuit board layouts, mechanical drawings, flow charts and descriptive text, and other explanatory material that is explicitly stated as being made available under the conditions of this Licence. The Documentation may be in any medium, including but not limited to computer files and representations on paper, film, or any other media.\n\u201cDocumentation Location\u201d means a location where the Licensor has placed Documentation, and which he believes will be publicly accessible for at least three years from the first communication to the public or distribution of Documentation.\n\u201cProduct\u201d means either an entire, or any part of a, device built using the Documentation or the modified Documentation.\n\u201cLicensee\u201d means any natural or legal person exercising rights under this Licence.\n\u201cLicensor\u201d means any natural or legal person that creates or modifies Documentation and subsequently communicates to the public and/ or distributes the resulting Documentation under the terms and conditions of this Licence.\nA Licensee may at the same time be a Licensor, and vice versa.\nUse of the masculine gender includes the feminine and neuter genders and is employed solely to facilitate reading.\n\n2. Applicability\n2.1. This Licence governs the use, copying, modification, communication to the public and distribution of the Documentation, and the manufacture and distribution of Products. By exercising any right granted under this Licence, the Licensee irrevocably accepts these terms and conditions.\n2.2. This Licence is granted by the Licensor directly to the Licensee, and shall apply worldwide and without limitation in time. The Licensee may assign his licence rights or grant sub-licences.\n2.3. This Licence does not extend to software, firmware, or code loaded into programmable devices which may be used in conjunction with the Documentation, the modified Documentation or with Products, unless such software, firmware, or code is explicitly expressed to be subject to this Licence. The use of such software, firmware, or code is otherwise subject to the applicable licence terms and conditions.\n\n3. Copying, modification, communication to the public and distribution of the Documentation\n3.1. The Licensee shall keep intact all copyright and trademarks notices, all notices referring to Documentation Location, and all notices that refer to this Licence and to the disclaimer of warranties that are included in the Documentation. He shall include a copy thereof in every copy of the Documentation or, as the case may be, modified Documentation, that he communicates to the public or distributes.\n3.2. The Licensee may copy, communicate to the public and distribute verbatim copies of the Documentation, in any medium, subject to the requirements specified in section 3.1.\n3.3. The Licensee may modify the Documentation or any portion thereof provided that upon modification of the Documentation, the Licensee shall make the modified Documentation available from a Documentation Location such that it can be easily located by an original Licensor once the Licensee communicates to the public or distributes the modified Documentation under section 3.4, and, where required by section 4.1, by a recipient of a Product. However, the Licensor shall not assert his rights under the foregoing proviso unless or until a Product is distributed.\n3.4. The Licensee may communicate to the public and distribute the modified Documentation (thereby in addition to being a Licensee also becoming a Licensor), always provided that he shall:\na) comply with section 3.1;\nb) cause the modified Documentation to carry prominent notices stating that the Licensee has modified the Documentation, with the date and description of the modifications;\nc) cause the modified Documentation to carry a new Documentation Location notice if the original Documentation provided for one;\nd) make available the modified Documentation at the same level of abstraction as that of the Documentation, in the preferred format for making modifications to it (e.g. the native format of the CAD tool as applicable), and in the event that format is proprietary, in a format viewable with a tool licensed under an OSI-approved license if the proprietary tool can create it; and\ne) license the modified Documentation under the terms and conditions of this Licence or, where applicable, a later version of this Licence as may be issued by CERN.\n3.5. The Licence includes a non-exclusive licence to those patents or registered designs that are held by, under the control of, or sub-licensable by the Licensor, to the extent necessary to make use of the rights granted under this Licence. The scope of this section 3.5 shall be strictly limited to the parts of the Documentation or modified Documentation created by the Licensor.\n\n4. Manufacture and distribution of Products\n4.1. The Licensee may manufacture or distribute Products always provided that, where such manufacture or distribution requires a licence under this Licence the Licensee provides to each recipient of such Products an easy means of accessing a copy of the Documentation or modified Documentation, as applicable, as set out in section 3.\n4.2. The Licensee is invited to inform any Licensor who has indicated his wish to receive this information about the type, quantity and dates of production of Products the Licensee has (had) manufactured\n\n5. Warranty and liability\n5.1. DISCLAIMER \u2013 The Documentation and any modified Documentation are provided \"as is\" and any express or implied warranties, including, but not limited to, implied warranties of merchantability, of satisfactory quality, non-infringement of third party rights, and fitness for a particular purpose or use are disclaimed in respect of the Documentation, the modified Documentation or any Product. The Licensor makes no representation that the Documentation, modified Documentation, or any Product, does or will not infringe any patent, copyright, trade secret or other proprietary right. The entire risk as to the use, quality, and performance of a Product shall be with the Licensee and not the Licensor. This disclaimer of warranty is an essential part of this Licence and a condition for the grant of any rights granted under this Licence. The Licensee warrants that it does not act in a consumer capacity.\n5.2. LIMITATION OF LIABILITY \u2013 The Licensor shall have no liability for direct, indirect, special, incidental, consequential, exemplary, punitive or other damages of any character including, without limitation, procurement of substitute goods or services, loss of use, data or profits, or business interruption, however caused and on any theory of contract, warranty, tort (including negligence), product liability or otherwise, arising in any way in relation to the Documentation, modified Documentation and/or the use, manufacture or distribution of a Product, even if advised of the possibility of such damages, and the Licensee shall hold the Licensor(s) free and harmless from any liability, costs, damages, fees and expenses, including claims by third parties, in relation to such use.\n\n6. General\n6.1. Except for the rights explicitly granted hereunder, this Licence does not imply or represent any transfer or assignment of intellectual property rights to the Licensee.\n6.2. The Licensee shall not use or make reference to any of the names (including acronyms and abbreviations), images, or logos under which the Licensor is known, save in so far as required to comply with section 3. Any such permitted use or reference shall be factual and shall in no event suggest any kind of endorsement by the Licensor or its personnel of the modified Documentation or any Product, or any kind of implication by the Licensor or its personnel in the preparation of the modified Documentation or Product.\n6.3. CERN may publish updated versions of this Licence which retain the same general provisions as this version, but differ in detail so far this is required and reasonable. New versions will be published with a unique version number.\n6.4. This Licence shall terminate with immediate effect, upon written notice and without involvement of a court if the Licensee fails to comply with any of its terms and conditions, or if the Licensee initiates legal action against Licensor in relation to this Licence. Section 5 shall continue to apply.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>CERN OHL v1.2\n\n2013-09-06 - CERN, Geneva, Switzerland\n\nCERN Open Hardware Licence v1.2\n\n<<endOptional>>\n\nPreamble\n\nThrough this CERN Open Hardware Licence (\"CERN OHL\") version 1.2, CERN wishes to provide a tool to foster collaboration and sharing among hardware designers. The CERN OHL is copyright CERN. Anyone is welcome to use the CERN OHL, in unmodified form only, for the distribution of their own Open Hardware designs. Any other right is reserved. Release of hardware designs under the CERN OHL does not constitute an endorsement of the licensor or its designs nor does it imply any involvement by CERN in the development of such designs.\n\n1. Definitions\n\nIn this Licence, the following terms have the following meanings:\n\n\"Licence\" means this CERN OHL.\n\n\"Documentation\" means schematic diagrams, designs, circuit or circuit board layouts, mechanical drawings, flow charts and descriptive text, and other explanatory material that is explicitly stated as being made available under the conditions of this Licence. The Documentation may be in any medium, including but not limited to computer files and representations on paper, film, or any other media.\n\n\"Documentation Location\" means a location where the Licensor has placed Documentation, and which he believes will be publicly accessible for at least three years from the first communication to the public or distribution of Documentation.\n\n\"Product\" means either an entire, or any part of a, device built using the Documentation or the modified Documentation.\n\n\"Licensee\" means any natural or legal person exercising rights under this Licence.\n\n\"Licensor\" means any natural or legal person that creates or modifies Documentation and subsequently communicates to the public and/ or distributes the resulting Documentation under the terms and conditions of this Licence.\n\nA Licensee may at the same time be a Licensor, and vice versa.\n\nUse of the masculine gender includes the feminine and neuter genders and is employed solely to facilitate reading.\n\n2. Applicability\n\n   <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> This Licence governs the use, copying, modification, communication to the public and distribution of the Documentation, and the manufacture and distribution of Products. By exercising any right granted under this Licence, the Licensee irrevocably accepts these terms and conditions.\n\n   <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> This Licence is granted by the Licensor directly to the Licensee, and shall apply worldwide and without limitation in time. The Licensee may assign his licence rights or grant sub-licences.\n\n   <<var;name=\"bullet\";original=\"2.3.\";match=\".{0,20}\">> This Licence does not extend to software, firmware, or code loaded into programmable devices which may be used in conjunction with the Documentation, the modified Documentation or with Products, unless such software, firmware, or code is explicitly expressed to be subject to this Licence. The use of such software, firmware, or code is otherwise subject to the applicable licence terms and conditions.\n\n3. Copying, modification, communication to the public and distribution of the Documentation\n\n   <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> The Licensee shall keep intact all copyright and trademarks notices, all notices referring to Documentation Location, and all notices that refer to this Licence and to the disclaimer of warranties that are included in the Documentation. He shall include a copy thereof in every copy of the Documentation or, as the case may be, modified Documentation, that he communicates to the public or distributes.\n\n   <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> The Licensee may copy, communicate to the public and distribute verbatim copies of the Documentation, in any medium, subject to the requirements specified in section 3.1.\n\n   <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> The Licensee may modify the Documentation or any portion thereof provided that upon modification of the Documentation, the Licensee shall make the modified Documentation available from a Documentation Location such that it can be easily located by an original Licensor once the Licensee communicates to the public or distributes the modified Documentation under section 3.4, and, where required by section 4.1, by a recipient of a Product. However, the Licensor shall not assert his rights under the foregoing proviso unless or until a Product is distributed.\n\n   <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> The Licensee may communicate to the public and distribute the modified Documentation (thereby in addition to being a Licensee also becoming a Licensor), always provided that he shall:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> comply with section 3.1;\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> cause the modified Documentation to carry prominent notices stating that the Licensee has modified the Documentation, with the date and description of the modifications;\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> cause the modified Documentation to carry a new Documentation Location notice if the original Documentation provided for one;\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make available the modified Documentation at the same level of abstraction as that of the Documentation, in the preferred format for making modifications to it (e.g. the native format of the CAD tool as applicable), and in the event that format is proprietary, in a format viewable with a tool licensed under an OSI-approved license if the proprietary tool can create it; and\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> license the modified Documentation under the terms and conditions of this Licence or, where applicable, a later version of this Licence as may be issued by CERN.\n\n   <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> The Licence includes a non-exclusive licence to those patents or registered designs that are held by, under the control of, or sub-licensable by the Licensor, to the extent necessary to make use of the rights granted under this Licence. The scope of this section 3.5 shall be strictly limited to the parts of the Documentation or modified Documentation created by the Licensor.\n\n4. Manufacture and distribution of Products\n\n   <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> The Licensee may manufacture or distribute Products always provided that, where such manufacture or distribution requires a licence under this Licence the Licensee provides to each recipient of such Products an easy means of accessing a copy of the Documentation or modified Documentation, as applicable, as set out in section 3.\n\n   <<var;name=\"bullet\";original=\"4.2.\";match=\".{0,20}\">> The Licensee is invited to inform any Licensor who has indicated his wish to receive this information about the type, quantity and dates of production of Products the Licensee has (had) manufactured\n\n5. Warranty and liability\n\n   <<var;name=\"bullet\";original=\"5.1.\";match=\".{0,20}\">> DISCLAIMER \u2013 The Documentation and any modified Documentation are provided \"as is\" and any express or implied warranties, including, but not limited to, implied warranties of merchantability, of satisfactory quality, non-infringement of third party rights, and fitness for a particular purpose or use are disclaimed in respect of the Documentation, the modified Documentation or any Product. The Licensor makes no representation that the Documentation, modified Documentation, or any Product, does or will not infringe any patent, copyright, trade secret or other proprietary right. The entire risk as to the use, quality, and performance of a Product shall be with the Licensee and not the Licensor. This disclaimer of warranty is an essential part of this Licence and a condition for the grant of any rights granted under this Licence. The Licensee warrants that it does not act in a consumer capacity.\n\n   <<var;name=\"bullet\";original=\"5.2.\";match=\".{0,20}\">> LIMITATION OF LIABILITY \u2013 The Licensor shall have no liability for direct, indirect, special, incidental, consequential, exemplary, punitive or other damages of any character including, without limitation, procurement of substitute goods or services, loss of use, data or profits, or business interruption, however caused and on any theory of contract, warranty, tort (including negligence), product liability or otherwise, arising in any way in relation to the Documentation, modified Documentation and/or the use, manufacture or distribution of a Product, even if advised of the possibility of such damages, and the Licensee shall hold the Licensor(s) free and harmless from any liability, costs, damages, fees and expenses, including claims by third parties, in relation to such use.\n\n6. General\n\n   <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> Except for the rights explicitly granted hereunder, this Licence does not imply or represent any transfer or assignment of intellectual property rights to the Licensee.\n\n   <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> The Licensee shall not use or make reference to any of the names (including acronyms and abbreviations), images, or logos under which the Licensor is known, save in so far as required to comply with section 3. Any such permitted use or reference shall be factual and shall in no event suggest any kind of endorsement by the Licensor or its personnel of the modified Documentation or any Product, or any kind of implication by the Licensor or its personnel in the preparation of the modified Documentation or Product.\n\n   <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> CERN may publish updated versions of this Licence which retain the same general provisions as this version, but differ in detail so far this is required and reasonable. New versions will be published with a unique version number.\n\n   <<var;name=\"bullet\";original=\"6.4.\";match=\".{0,20}\">> This Licence shall terminate with immediate effect, upon written notice and without involvement of a court if the Licensee fails to comply with any of its terms and conditions, or if the Licensee initiates legal action against Licensor in relation to this Licence. Section 5 shall continue to apply."
		self.name = "CERN Open Hardware Licence v1.2"
		self.licenseId = "CERN-OHL-1.2"
		self.crossRef = [{"match": "N/A", "url": "https://www.ohwr.org/project/licenses/wikis/cern-ohl-v1.2", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:27Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.ohwr.org/project/licenses/wikis/cern-ohl-v1.2"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> \nCERN OHL v1.2\n				<p>\n2013-09-06 - CERN, Geneva, Switzerland</p>\n\n				<p>\nCERN Open Hardware Licence v1.2</p>\n\n			</div>\n			<p>\nPreamble</p>\n\n			<p>\nThrough this CERN Open Hardware Licence (&quot;CERN OHL&quot;) version 1.2, CERN wishes to provide a tool to foster collaboration and sharing among hardware designers. The CERN OHL is copyright CERN. Anyone is welcome to use the CERN OHL, in unmodified form only, for the distribution of their own Open Hardware designs. Any other right is reserved. Release of hardware designs under the CERN OHL does not constitute an endorsement of the licensor or its designs nor does it imply any involvement by CERN in the development of such designs.</p>\n\n			<p>\n1. Definitions</p>\n\n			<p>\nIn this Licence, the following terms have the following meanings:</p>\n\n			<p>\n&quot;Licence&quot; means this CERN OHL.</p>\n\n			<p>\n&quot;Documentation&quot; means schematic diagrams, designs, circuit or circuit board layouts, mechanical drawings, flow charts and descriptive text, and other explanatory material that is explicitly stated as being made available under the conditions of this Licence. The Documentation may be in any medium, including but not limited to computer files and representations on paper, film, or any other media.</p>\n\n			<p>\n&quot;Documentation Location&quot; means a location where the Licensor has placed Documentation, and which he believes will be publicly accessible for at least three years from the first communication to the public or distribution of Documentation.</p>\n\n			<p>\n&quot;Product&quot; means either an entire, or any part of a, device built using the Documentation or the modified Documentation.</p>\n\n			<p>\n&quot;Licensee&quot; means any natural or legal person exercising rights under this Licence.</p>\n\n			<p>\n&quot;Licensor&quot; means any natural or legal person that creates or modifies Documentation and subsequently communicates to the public and/ or distributes the resulting Documentation under the terms and conditions of this Licence.</p>\n\n			<p>\nA Licensee may at the same time be a Licensor, and vice versa.</p>\n\n			<p>\nUse of the masculine gender includes the feminine and neuter genders and is employed solely to facilitate reading.</p>\n\n			<p></p>\n\n			<p>\n2. Applicability</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.1.</var> This Licence governs the use, copying, modification, communication to the public and distribution of the Documentation, and the manufacture and distribution of Products. By exercising any right granted under this Licence, the Licensee irrevocably accepts these terms and conditions.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.2.</var> This Licence is granted by the Licensor directly to the Licensee, and shall apply worldwide and without limitation in time. The Licensee may assign his licence rights or grant sub-licences.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.3.</var> This Licence does not extend to software, firmware, or code loaded into programmable devices which may be used in conjunction with the Documentation, the modified Documentation or with Products, unless such software, firmware, or code is explicitly expressed to be subject to this Licence. The use of such software, firmware, or code is otherwise subject to the applicable licence terms and conditions.\n				</li>\n			\n</ul>\n			<p>\n3. Copying, modification, communication to the public and distribution of the Documentation</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.1.</var> The Licensee shall keep intact all copyright and trademarks notices, all notices referring to Documentation Location, and all notices that refer to this Licence and to the disclaimer of warranties that are included in the Documentation. He shall include a copy thereof in every copy of the Documentation or, as the case may be, modified Documentation, that he communicates to the public or distributes.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.2.</var> The Licensee may copy, communicate to the public and distribute verbatim copies of the Documentation, in any medium, subject to the requirements specified in section 3.1.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.3.</var> The Licensee may modify the Documentation or any portion thereof provided that upon modification of the Documentation, the Licensee shall make the modified Documentation available from a Documentation Location such that it can be easily located by an original Licensor once the Licensee communicates to the public or distributes the modified Documentation under section 3.4, and, where required by section 4.1, by a recipient of a Product. However, the Licensor shall not assert his rights under the foregoing proviso unless or until a Product is distributed.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.4.</var> The Licensee may communicate to the public and distribute the modified Documentation (thereby in addition to being a Licensee also becoming a Licensor), always provided that he shall:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a)</var> comply with section 3.1;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b)</var> cause the modified Documentation to carry prominent notices stating that the Licensee has modified the Documentation, with the date and description of the modifications;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c)</var> cause the modified Documentation to carry a new Documentation Location notice if the original Documentation provided for one;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d)</var> make available the modified Documentation at the same level of abstraction as that of the Documentation, in the preferred format for making modifications to it (e.g. the native format of the CAD tool as applicable), and in the event that format is proprietary, in a format viewable with a tool licensed under an OSI-approved license if the proprietary tool can create it; and\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e)</var> license the modified Documentation under the terms and conditions of this Licence or, where applicable, a later version of this Licence as may be issued by CERN.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.5.</var> The Licence includes a non-exclusive licence to those patents or registered designs that are held by, under the control of, or sub-licensable by the Licensor, to the extent necessary to make use of the rights granted under this Licence. The scope of this section 3.5 shall be strictly limited to the parts of the Documentation or modified Documentation created by the Licensor.\n				</li>\n			\n</ul>\n			<p>\n4. Manufacture and distribution of Products</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.1.</var> The Licensee may manufacture or distribute Products always provided that, where such manufacture or distribution requires a licence under this Licence the Licensee provides to each recipient of such Products an easy means of accessing a copy of the Documentation or modified Documentation, as applicable, as set out in section 3.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.2.</var> The Licensee is invited to inform any Licensor who has indicated his wish to receive this information about the type, quantity and dates of production of Products the Licensee has (had) manufactured\n				</li>\n			\n</ul>\n			<p>\n5. Warranty and liability</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 5.1.</var> DISCLAIMER \u2013 The Documentation and any modified Documentation are provided &quot;as is&quot; and any express or implied warranties, including, but not limited to, implied warranties of merchantability, of satisfactory quality, non-infringement of third party rights, and fitness for a particular purpose or use are disclaimed in respect of the Documentation, the modified Documentation or any Product. The Licensor makes no representation that the Documentation, modified Documentation, or any Product, does or will not infringe any patent, copyright, trade secret or other proprietary right. The entire risk as to the use, quality, and performance of a Product shall be with the Licensee and not the Licensor. This disclaimer of warranty is an essential part of this Licence and a condition for the grant of any rights granted under this Licence. The Licensee warrants that it does not act in a consumer capacity.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 5.2.</var> LIMITATION OF LIABILITY \u2013 The Licensor shall have no liability for direct, indirect, special, incidental, consequential, exemplary, punitive or other damages of any character including, without limitation, procurement of substitute goods or services, loss of use, data or profits, or business interruption, however caused and on any theory of contract, warranty, tort (including negligence), product liability or otherwise, arising in any way in relation to the Documentation, modified Documentation and/or the use, manufacture or distribution of a Product, even if advised of the possibility of such damages, and the Licensee shall hold the Licensor(s) free and harmless from any liability, costs, damages, fees and expenses, including claims by third parties, in relation to such use.\n				</li>\n			\n</ul>\n			<p>\n6. General</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 6.1.</var> Except for the rights explicitly granted hereunder, this Licence does not imply or represent any transfer or assignment of intellectual property rights to the Licensee.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 6.2.</var> The Licensee shall not use or make reference to any of the names (including acronyms and abbreviations), images, or logos under which the Licensor is known, save in so far as required to comply with section 3. Any such permitted use or reference shall be factual and shall in no event suggest any kind of endorsement by the Licensor or its personnel of the modified Documentation or any Product, or any kind of implication by the Licensor or its personnel in the preparation of the modified Documentation or Product.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 6.3.</var> CERN may publish updated versions of this Licence which retain the same general provisions as this version, but differ in detail so far this is required and reasonable. New versions will be published with a unique version number.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 6.4.</var> This Licence shall terminate with immediate effect, upon written notice and without involvement of a court if the Licensee fails to comply with any of its terms and conditions, or if the Licensee initiates legal action against Licensor in relation to this Licence. Section 5 shall continue to apply.\n				</li>\n			\n</ul>\n		"
		self.python_name = "CERNOHL12"

	def __str__(self):
		return json.dumps(self.__dict__)


class Xfig:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Any party obtaining a copy of these files is granted, free of charge, \na full and unrestricted irrevocable, world-wide, paid up, royalty-free, \nnonexclusive right and license to deal in this software and documentation \nfiles (the \"Software\"), including without limitation the rights to use, \ncopy, modify, merge, publish and/or distribute copies of the Software, \nand to permit persons who receive copies from any such party to do so, \nwith the only requirement being that this copyright notice remain intact.\n"
		self.standardLicenseTemplate = "Any party obtaining a copy of these files is granted, free of charge, a full and unrestricted irrevocable, world-wide, paid up, royalty-free, nonexclusive right and license to deal in this software and documentation files (the \"Software\"), including without limitation the rights to use, copy, modify, merge, publish and/or distribute copies of the Software, and to permit persons who receive copies from any such party to do so, with the only requirement being that this copyright notice remain intact.\n\n"
		self.name = "Xfig License"
		self.licenseId = "Xfig"
		self.crossRef = [{"match": "False", "url": "https://github.com/Distrotech/transfig/blob/master/transfig/transfig.c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:55Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://sourceforge.net/p/mcj/xfig/ci/master/tree/src/Makefile.am", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:56Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://fedoraproject.org/wiki/Licensing:MIT#Xfig_Variant", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:56Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://github.com/Distrotech/transfig/blob/master/transfig/transfig.c", "https://fedoraproject.org/wiki/Licensing:MIT#Xfig_Variant", "https://sourceforge.net/p/mcj/xfig/ci/master/tree/src/Makefile.am"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			Any party obtaining a copy of these files is granted, free of\n			charge, a full and unrestricted irrevocable, world-wide, paid\n			up, royalty-free, nonexclusive right and license to deal in this\n			software and documentation files (the &quot;Software&quot;), including\n			without limitation the rights to use, copy, modify, merge, publish\n			and/or distribute copies of the Software, and to permit persons\n			who receive copies from any such party to do so, with the only\n			requirement being that this copyright notice remain intact.\n		 </p>\n\n	  "
		self.python_name = "Xfig"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDPbmplus:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1991 by Jef Poskanzer.\n\nPermission to use, copy, modify, and distribute this software and its\ndocumentation for any purpose and without fee is hereby granted, provided\nthat the above copyright notice appear in all copies and that both that\ncopyright notice and this permission notice appear in supporting\ndocumentation.  This software is provided \"as is\" without express or\nimplied warranty.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1991 by Jef Poskanzer.\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. This software is provided \"as is\" without express or implied warranty.\n\n"
		self.name = "Historical Permission Notice and Disclaimer - Pbmplus variant"
		self.licenseComments = "This license is nearly a match for HPND, but omits first sentence of third clause regarding no reps, and only includes the second sentence regarding \"as is\". In the original HPND that entire clause is optional."
		self.licenseId = "HPND-Pbmplus"
		self.crossRef = [{"match": "False", "url": "https://sourceforge.net/p/netpbm/code/HEAD/tree/super_stable/netpbm.c#l8", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:21Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://sourceforge.net/p/netpbm/code/HEAD/tree/super_stable/netpbm.c#l8"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n				Copyright (C) 1991 by Jef Poskanzer.\n		</var>\n\n		 <p>\n				Permission to use, copy, modify, and distribute this software\n				and its documentation for any purpose and without fee is hereby\n				granted, provided that the above copyright notice appear in all copies\n				and that both that copyright notice and this permission\n				notice appear in supporting documentation. This software\n				is provided &quot;as is&quot; without express or implied warranty.\n		 </p>\n\n	  "
		self.python_name = "HPNDPbmplus"

	def __str__(self):
		return json.dumps(self.__dict__)


class MartinBirgmeier:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1993 Martin Birgmeier All rights reserved. \n\nYou may redistribute unmodified or modified versions of this source code provided that the above copyright notice and this and the following conditions are retained. \n\nThis software is provided ``as is'', and comes with no warranties of any kind. I shall in no event be liable for anything that happens to anyone/anything when using this software.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1993 Martin Birgmeier All rights reserved.\";match=\".{0,5000}\">>\n\nYou may redistribute unmodified or modified versions of this source code provided that the above copyright notice and this and the following conditions are retained.\n\nThis software is provided ``as is'', and comes with no warranties of any kind. I shall in no event be liable for anything that happens to anyone/anything when using this software.\n\n"
		self.name = "Martin Birgmeier License"
		self.licenseId = "Martin-Birgmeier"
		self.crossRef = [{"match": "False", "url": "https://github.com/Perl/perl5/blob/blead/util.c#L6136", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:30Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/Perl/perl5/blob/blead/util.c#L6136"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (c) 1993 Martin Birgmeier All rights reserved.\n		 </var>\n		 <p>\n			You may redistribute unmodified or modified versions of\n			this source code provided that the above copyright notice\n			and this and the following conditions are retained.\n		 </p>\n\n		 <p>\n			This software is provided ``as is&apos;&apos;, and comes with no warranties\n			of any kind. I shall in no event be liable for anything\n			that happens to anyone/anything when using this software.\n		 </p>\n\n	  "
		self.python_name = "MartinBirgmeier"

	def __str__(self):
		return json.dumps(self.__dict__)


class checkmk:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "# Copyright (c) 2006, 2010  Micah Cowan\n#\n# Redistribution of this program in any form, with or without\n# modifications, is permitted, provided that the above copyright is\n# retained in distributions of this program in source form.\n#\n# (This is a free, non-copyleft license compatible with pretty much any\n# other free or proprietary license, including the GPL. It's essentially\n# a scaled-down version of the \"modified\" BSD license.)\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2006, 2010 Micah Cowan  \";match=\".{0,5000}\">>\n\nRedistribution of this program in any form, with or without modifications, is permitted, provided that the above copyright is retained in distributions of this program in source form.\n\n(This is a free, non-copyleft license compatible with pretty much any other free or proprietary license, including the GPL. It's essentially a scaled-down version of the \"modified\" BSD license.)\n\n"
		self.name = "Checkmk License"
		self.licenseId = "checkmk"
		self.crossRef = [{"match": "False", "url": "https://github.com/libcheck/check/blob/master/checkmk/checkmk.in", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:39Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/libcheck/check/blob/master/checkmk/checkmk.in"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2006, 2010  Micah Cowan</p>\n\n	  </div>\n\n	  <p>Redistribution of this program in any form, with or without\n modifications, is permitted, provided that the above copyright is\n retained in distributions of this program in source form.</p>\n\n<p> (This is a free, non-copyleft license compatible with pretty much any\nother free or proprietary license, including the GPL. It&apos;s essentially\na scaled-down version of the &quot;modified&quot; BSD license.)\n</p>\n\n	"
		self.python_name = "checkmk"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD3Clause:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Copyright (c) <year> <owner>. \n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) <year> <owner>.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms<<var;name=\"theme\";original=\"\";match=\"()|( of the theme)\">>, with or without modification, <<var;name=\"tobe\";original=\"are\";match=\"are|is\">> permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of <<var;name=\"code\";original=\"source code\";match=\"source code|works\">> must retain the <<var;name=\"above\";original=\"above\";match=\"above|original\">> copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the <<var;name=\"above2\";original=\"above\";match=\"above|original\">> copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> <<var;name=\"organizationClause3\";original=\"Neither the name of the copyright holder nor the names of its contributors may\";match=\"(The\\s+name\\s+of.+may\\s+not)|(Neither\\s+the\\s+names?\\s+of.+nor\\s+the\\s+names\\s+of\\s+its\\s+contributors\\s+may)|(Neither\\s+the\\s+names?\\s+of.+nor\\s+the\\s+names\\s+of\\s+their\\s+contributors\\s+may)|(\\s*Neither\\s+the\\s+name\\s+of.+nor\\s+the\\s+names\\s+of\\s+its\\s+authors\\s+and\\s+contributors\\s+may)|(Neither\\s+the\\s+name\\s+of.+nor\\s+the\\s+names\\s+of\\s+(specific\\s+)?contributors,?\\s+may)|(Neither\\s+the\\s+name.+nor\\s+the\\s+names\\s+of\\s+contributors\\s+may)|(The\\s+names\\s+of\\s+its\\s+contributors\\s+may\\s+not)|(The\\s+names\\s+of\\s+any\\s+contributors\\s+may\\s+not)|(The\\s+names\\s+of\\s+the\\s+contributors\\s+may\\s+not)|(None\\s+of\\s+the\\s+names\\s+of.+and\\s+any\\s+contributors\\s+may)|(Neither\\s+my\\s+name.+nor\\s+the\\s+names\\s+of\\s+contributors\\s+to\\s+this\\s+code\\s+may)\">> be used to endorse or promote products derived from this <<var;name=\"software\";original=\"software\";match=\"software|work\">> without specific prior written permission.\n\nTHIS <<var;name=\"software2\";original=\"SOFTWARE\";match=\"(SOFTWARE)|(THEME)\">> IS PROVIDED <<var;name=\"copyrightHolderAsIs\";original=\"BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\";match=\".*\">> \"AS IS\" AND ANY <<var;name=\"express\";original=\"EXPRESS\";match=\"EXPRESS(ED)?\">> OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <<var;name=\"copyrightHolderLiability\";original=\"THE COPYRIGHT HOLDER OR CONTRIBUTORS\";match=\".+\">> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS <<var;name=\"software3\";original=\"SOFTWARE\";match=\"(SOFTWARE)|(THEME)\">> , EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD 3-Clause \"New\" or \"Revised\" License"
		self.licenseComments = "Note for matching purposes, this license contains a number of equivalent variations, particularly in the third clause. See the XML file for more details. Also note that the Eclipse Distribution License - v 1.0 (EDL 1.0) is a match to BSD-3-Clause, even though it uses a different name."
		self.licenseId = "BSD-3-Clause"
		self.crossRef = [{"match": "False", "url": "https://www.eclipse.org/org/documents/edl-v10.php", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:26Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "https://opensource.org/licenses/BSD-3-Clause", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/BSD-3-Clause", "https://www.eclipse.org/org/documents/edl-v10.php"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		<p>Copyright (c) &lt;year&gt; &lt;owner&gt;. </p>\n\n	  </div>\n		<p>Redistribution and use in source and binary forms<var class=\"replaceable-license-text\"></var>,\n		 with or without modification, <var class=\"replaceable-license-text\"> are</var> permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> 1.</var>\n			   Redistributions of <var class=\"replaceable-license-text\"> source code</var> must retain the <var class=\"replaceable-license-text\"> above</var> copyright notice, this list of conditions\n				 and the following disclaimer.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 2.</var>\n				Redistributions in binary form must reproduce the <var class=\"replaceable-license-text\"> above</var> copyright notice, this list of conditions\n				 and the following disclaimer in the documentation and/or other materials provided with the\n				 distribution.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 3.</var>\n				<var class=\"replaceable-license-text\"> \n				 Neither the name of the copyright holder nor the names of its contributors may</var>\n				 be used to endorse or promote products derived from this\n			   <var class=\"replaceable-license-text\"> software</var> without specific prior written permission.\n			</li>\n		\n</ul>\n		<p>THIS <var class=\"replaceable-license-text\"> SOFTWARE</var> IS PROVIDED <var class=\"replaceable-license-text\"> BY THE COPYRIGHT HOLDERS AND\n		 CONTRIBUTORS</var> &quot;AS IS&quot; AND ANY <var class=\"replaceable-license-text\"> EXPRESS</var> OR IMPLIED\n		 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n		 PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <var class=\"replaceable-license-text\"> THE\n		 COPYRIGHT HOLDER OR CONTRIBUTORS</var> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\n		 OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n		 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n		 WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\n		 OUT OF THE USE OF THIS <var class=\"replaceable-license-text\"> SOFTWARE</var>, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "BSD3Clause"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL30withGCCexception:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.licenseText = "\ufeffinsert GPL v3 text here\n\nGCC RUNTIME LIBRARY EXCEPTION\n\nVersion 3.1, 31 March 2009\n\nGeneral information: http://www.gnu.org/licenses/gcc-exception.html\n\nCopyright (C) 2009 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nThis GCC Runtime Library Exception (\"Exception\") is an additional permission under section 7 of the GNU General Public License, version 3 (\"GPLv3\"). It applies to a given file (the \"Runtime Library\") that bears a notice placed by the copyright holder of the file stating that the file is governed by GPLv3 along with this Exception.\n\nWhen you use GCC to compile a program, GCC may combine portions of certain GCC header files and runtime libraries with the compiled program. The purpose of this Exception is to allow compilation of non-GPL (including proprietary) programs to use, in this way, the header files and runtime libraries covered by this Exception.\n\n   0. Definitions.\n\n   A file is an \"Independent Module\" if it either requires the Runtime Library for execution after a Compilation Process, or makes use of an interface provided by the Runtime Library, but is not otherwise based on the Runtime Library.\n\n   \"GCC\" means a version of the GNU Compiler Collection, with or without modifications, governed by version 3 (or a specified later version) of the GNU General Public License (GPL) with the option of using any subsequent versions published by the FSF.\n\n   \"GPL-compatible Software\" is software whose conditions of propagation, modification and use would permit combination with GCC in accord with the license of GCC.\n\n   \"Target Code\" refers to output from any compiler for a real or virtual target processor architecture, in executable form or suitable for input to an assembler, loader, linker and/or execution phase. Notwithstanding that, Target Code does not include data in any format that is used as a compiler intermediate representation, or used for producing a compiler intermediate representation.\n\n   The \"Compilation Process\" transforms code entirely represented in non-intermediate languages designed for human-written code, and/or in Java Virtual Machine byte code, into Target Code. Thus, for example, use of source code generators and preprocessors need not be considered part of the Compilation Process, since the Compilation Process can be understood as starting with the output of the generators or preprocessors.\n\n   A Compilation Process is \"Eligible\" if it is done using GCC, alone or with other GPL-compatible software, or if it is done without using any work based on GCC. For example, using non-GPL-compatible Software to optimize any GCC intermediate representations would not qualify as an Eligible Compilation Process.\n\n   1. Grant of Additional Permission.\n\n   You have permission to propagate a work of Target Code formed by combining the Runtime Library with Independent Modules, even if such propagation would otherwise violate the terms of GPLv3, provided that all Target Code was generated by Eligible Compilation Processes. You may then convey such a combination under terms of your choice, consistent with the licensing of the Independent Modules.\n\n   2. No Weakening of GCC Copyleft.\n\nThe availability of this Exception does not imply any general presumption that third-party software is unaffected by the copyleft requirements of the license of GCC.\n\n"
		self.standardLicenseTemplate = "\ufeffinsert GPL v3 text here\n\n<<beginOptional>>GCC RUNTIME LIBRARY EXCEPTION\n\nVersion 3.1, 31 March 2009\n\n<<endOptional>>\n\nGeneral information: http://www.gnu.org/licenses/gcc-exception.html\n\nCopyright (C) 2009 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nThis GCC Runtime Library Exception (\"Exception\") is an additional permission under section 7 of the GNU General Public License, version 3 (\"GPLv3\"). It applies to a given file (the \"Runtime Library\") that bears a notice placed by the copyright holder of the file stating that the file is governed by GPLv3 along with this Exception.\n\nWhen you use GCC to compile a program, GCC may combine portions of certain GCC header files and runtime libraries with the compiled program. The purpose of this Exception is to allow compilation of non-GPL (including proprietary) programs to use, in this way, the header files and runtime libraries covered by this Exception.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n   A file is an \"Independent Module\" if it either requires the Runtime Library for execution after a Compilation Process, or makes use of an interface provided by the Runtime Library, but is not otherwise based on the Runtime Library.\n\n   \"GCC\" means a version of the GNU Compiler Collection, with or without modifications, governed by version 3 (or a specified later version) of the GNU General Public License (GPL) with the option of using any subsequent versions published by the FSF.\n\n   \"GPL-compatible Software\" is software whose conditions of propagation, modification and use would permit combination with GCC in accord with the license of GCC.\n\n   \"Target Code\" refers to output from any compiler for a real or virtual target processor architecture, in executable form or suitable for input to an assembler, loader, linker and/or execution phase. Notwithstanding that, Target Code does not include data in any format that is used as a compiler intermediate representation, or used for producing a compiler intermediate representation.\n\n   The \"Compilation Process\" transforms code entirely represented in non-intermediate languages designed for human-written code, and/or in Java Virtual Machine byte code, into Target Code. Thus, for example, use of source code generators and preprocessors need not be considered part of the Compilation Process, since the Compilation Process can be understood as starting with the output of the generators or preprocessors.\n\n   A Compilation Process is \"Eligible\" if it is done using GCC, alone or with other GPL-compatible software, or if it is done without using any work based on GCC. For example, using non-GPL-compatible Software to optimize any GCC intermediate representations would not qualify as an Eligible Compilation Process.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Grant of Additional Permission.\n\n   You have permission to propagate a work of Target Code formed by combining the Runtime Library with Independent Modules, even if such propagation would otherwise violate the terms of GPLv3, provided that all Target Code was generated by Eligible Compilation Processes. You may then convey such a combination under terms of your choice, consistent with the licensing of the Independent Modules.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> No Weakening of GCC Copyleft.\n\nThe availability of this Exception does not imply any general presumption that third-party software is unaffected by the copyleft requirements of the license of GCC.\n\n"
		self.name = "GNU General Public License v3.0 w/GCC Runtime Library exception"
		self.licenseComments = "DEPRECATED: Use license expression including main license, \"WITH\" operator, and identifier: GCC-exception-3.1"
		self.licenseId = "GPL-3.0-with-GCC-exception"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/gcc-exception-3.1.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:53Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/gcc-exception-3.1.html"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n\t  <p>\ufeffinsert GPL v3 text here</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>GCC RUNTIME LIBRARY EXCEPTION</p>\n\n		 <p>Version 3.1, 31 March 2009</p>\n\n	  </div>\n\t		<p>General information: http://www.gnu.org/licenses/gcc-exception.html</p>\n\n	  <br />\n\nCopyright (C) 2009 Free Software Foundation, Inc.\n	  &lt;http://fsf.org/&gt;\n\n	  <p>Everyone is permitted to copy and distribute verbatim copies of\n		 this license document, but changing it is not allowed.\n	  <br />\n\nThis GCC Runtime Library Exception (&quot;Exception&quot;) is an\n		   additional permission under section 7 of the GNU\n		   General Public License, version 3 (&quot;GPLv3&quot;). It\n		   applies to a given file (the &quot;Runtime Library&quot;) that\n		   bears a notice placed by the copyright holder of the\n		   file stating that the file is governed by GPLv3 along\n		   with this Exception.\n	  </p>\n\n	  <p>When you use GCC to compile a program, GCC may combine portions\n		 of certain GCC header files and runtime libraries with the\n		 compiled program. The purpose of this Exception is to allow\n		 compilation of non-GPL (including proprietary) programs to\n		 use, in this way, the header files and runtime libraries\n		 covered by this Exception.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  Definitions.\n		  <p>A file is an &quot;Independent Module&quot; if it either requires\n			 the Runtime Library for execution after a Compilation\n			 Process, or makes use of an interface provided by the\n			 Runtime Library, but is not otherwise based on the\n			 Runtime Library.</p>\n\n			<p>&quot;GCC&quot; means a version of the GNU Compiler Collection,\n			 with or without modifications, governed by version 3\n			 (or a specified later version) of the GNU General\n			 Public License (GPL) with the option of using any\n			 subsequent versions published by the FSF.</p>\n\n			<p>&quot;GPL-compatible Software&quot; is software whose conditions of\n			 propagation, modification and use would permit\n			 combination with GCC in accord with the license of\n			 GCC.</p>\n\n			<p>&quot;Target Code&quot; refers to output from any compiler for a\n			 real or virtual target processor architecture, in\n			 executable form or suitable for input to an assembler,\n			 loader, linker and/or execution phase. Notwithstanding\n			 that, Target Code does not include data in any format\n			 that is used as a compiler intermediate\n			 representation, or used for producing a compiler\n			 intermediate representation.</p>\n\n			<p>The &quot;Compilation Process&quot; transforms code entirely\n			 represented in non-intermediate languages designed for\n			 human-written code, and/or in Java Virtual Machine\n			 byte code, into Target Code. Thus, for example, use of\n			 source code generators and preprocessors need not be\n			 considered part of the Compilation Process, since the\n			 Compilation Process can be understood as starting with\n			 the output of the generators or preprocessors.</p>\n\n			<p>A Compilation Process is &quot;Eligible&quot; if it is done using\n			 GCC, alone or with other GPL-compatible software, or\n			 if it is done without using any work based on GCC. For\n			 example, using non-GPL-compatible Software to optimize\n			 any GCC intermediate representations would not qualify\n			 as an Eligible Compilation Process.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Grant of Additional Permission.\n		  <p>You have permission to propagate a work of Target Code\n			 formed by combining the Runtime Library with\n			 Independent Modules, even if such propagation would\n			 otherwise violate the terms of GPLv3, provided that\n			 all Target Code was generated by Eligible Compilation\n			 Processes. You may then convey such a combination\n			 under terms of your choice, consistent with the\n			 licensing of the Independent Modules.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  No Weakening of GCC Copyleft.\n		</li>\n	  \n</ul>\n	  <p>The availability of this Exception does not imply any general\n		 presumption that third-party software is unaffected by the\n		 copyleft requirements of the license of GCC.</p>\n\n	"
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "GPL30withGCCexception"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCND30DE:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Namensnennung - Keine kommerzielle Nutzung - Keine Bearbeitungen 3.0 Deutschland\n\n  CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\nLizenz\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \"SCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \"LIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n1. Definitionen\n\n	 a. Der Begriff \"Abwandlung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n\n	 b. Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	 c. \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n\n	 d. Der \"Lizenzgeber\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	 e. \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n\n	 f. Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \"Schutzgegenstand\" im Sinne dieser Lizenz.\n\n	 g. Mit \"Sie\" bzw. \"Ihnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	 h. Unter \"\u00d6ffentlich Zeigen\" im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	 i. \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n\n2. Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n3. Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 4.e) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (\"unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann\"):\n\n	 a. den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	 b. den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten.\n\nDas vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Weitergehende \u00c4nderungen oder Abwandlungen sind jedoch untersagt. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n\n4. Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	 a. Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen.\n\n	 b. Die Rechteeinr\u00e4umung gem\u00e4\u00df Abschnitt 3 gilt nur f\u00fcr Handlungen, die nicht vorrangig auf einen gesch\u00e4ftlichen Vorteil oder eine geldwerte Verg\u00fctung gerichtet sind (\"nicht-kommerzielle Nutzung\", \"Non-commercial-Option\"). Wird Ihnen in Zusammenhang mit dem Schutzgegenstand dieser Lizenz ein anderer Schutzgegenstand \u00fcberlassen, ohne dass eine vertragliche Verpflichtung hierzu besteht (etwa im Wege von File-Sharing), so wird dies nicht als auf gesch\u00e4ftlichen Vorteil oder geldwerte Verg\u00fctung gerichtet angesehen, wenn in Verbindung mit dem Austausch der Schutzgegenst\u00e4nde tats\u00e4chlich keine Zahlung oder geldwerte Verg\u00fctung geleistet wird.\n\n	 c. Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n\n		  i. Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\"Zuschreibungsempf\u00e4nger\"), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		  ii. den Titel des Inhaltes;\n\n		  iii. in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand.\n\n		Die nach diesem Abschnitt 4.c) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n\n	 d. Die oben unter 4.a) bis c) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	 e. Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		  i. Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n\n		  ii. Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.b) als nicht-kommerziell definierten Zwecke vornehmen, verzichtet f\u00fcr alle \u00fcbrigen, lizenzgerechten F\u00e4lle von Nutzung jedoch auf jegliche Verg\u00fctung.\n\n		  iii. Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re. Der Lizenzgeber beh\u00e4lt sich jedoch das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung (durch ihn selbst oder eine Verwertungsgesellschaft) f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.b) als nicht-kommerziell definierten Zwecke vornehmen.\n\n	 f. Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n5. Gew\u00e4hrleistung\n\nSOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n\n6. Haftungsbeschr\u00e4nkung\n\nDER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n\n7. Erl\u00f6schen\n\n	 a. Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die den Schutzgegenstand enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	 b. Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n8. Sonstige Bestimmungen\n\n	 a. Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	 b. Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n\n	 c. Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	 d. Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) angeboteten Lizenzen aus.\n\n	 e. Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Namensnennung - Keine kommerzielle Nutzung - Keine Bearbeitungen 3.0 Deutschland\n\n<<endOptional>>\n\nCREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\nLizenz\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \"SCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \"LIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitionen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Der Begriff \"Abwandlung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Der \"Lizenzgeber\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \"Schutzgegenstand\" im Sinne dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Mit \"Sie\" bzw. \"Ihnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Unter \"\u00d6ffentlich Zeigen\" im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 4.e) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (\"unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann\"):\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten. Das vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Weitergehende \u00c4nderungen oder Abwandlungen sind jedoch untersagt. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Die Rechteeinr\u00e4umung gem\u00e4\u00df Abschnitt 3 gilt nur f\u00fcr Handlungen, die nicht vorrangig auf einen gesch\u00e4ftlichen Vorteil oder eine geldwerte Verg\u00fctung gerichtet sind (\"nicht-kommerzielle Nutzung\", \"Non-commercial-Option\"). Wird Ihnen in Zusammenhang mit dem Schutzgegenstand dieser Lizenz ein anderer Schutzgegenstand \u00fcberlassen, ohne dass eine vertragliche Verpflichtung hierzu besteht (etwa im Wege von File-Sharing), so wird dies nicht als auf gesch\u00e4ftlichen Vorteil oder geldwerte Verg\u00fctung gerichtet angesehen, wenn in Verbindung mit dem Austausch der Schutzgegenst\u00e4nde tats\u00e4chlich keine Zahlung oder geldwerte Verg\u00fctung geleistet wird.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\"Zuschreibungsempf\u00e4nger\"), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> den Titel des Inhaltes;\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand. Die nach diesem Abschnitt 4.c) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Die oben unter 4.a) bis c) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.b) als nicht-kommerziell definierten Zwecke vornehmen, verzichtet f\u00fcr alle \u00fcbrigen, lizenzgerechten F\u00e4lle von Nutzung jedoch auf jegliche Verg\u00fctung.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re. Der Lizenzgeber beh\u00e4lt sich jedoch das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung (durch ihn selbst oder eine Verwertungsgesellschaft) f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.b) als nicht-kommerziell definierten Zwecke vornehmen.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Gew\u00e4hrleistung SOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Haftungsbeschr\u00e4nkung DER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Erl\u00f6schen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die den Schutzgegenstand enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Sonstige Bestimmungen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) angeboteten Lizenzen aus.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial No Derivatives 3.0 Germany"
		self.licenseId = "CC-BY-NC-ND-3.0-DE"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-nd/3.0/de/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:28Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-nd/3.0/de/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		  <p>Creative Commons Namensnennung - Keine kommerzielle Nutzung - Keine Bearbeitungen 3.0 Deutschland</p>\n\n	  </div>\n	  <p>CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.</p>\n\n	  <p>Lizenz</p>\n\n	  <p>DER GEGENSTAND DIESER LIZENZ (WIE UNTER &quot;SCHUTZGEGENSTAND&quot; DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (&quot;CCPL&quot;, &quot;LIZENZ&quot; ODER &quot;LIZENZVERTRAG&quot;) ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.</p>\n\n	  <p>DURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			  <var class=\"replaceable-license-text\"> 1.</var> Definitionen\n			  \n<ul style=\"list-style:none\">\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> a.</var> Der Begriff &quot;Abwandlung&quot; im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> b.</var> Der Begriff &quot;Sammelwerk&quot; im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> c.</var> &quot;Verbreiten&quot; im Sinne dieser Lizenz bedeutet, den Schutzgegenstand im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> d.</var> Der &quot;Lizenzgeber&quot; im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> e.</var> &quot;Rechteinhaber&quot; im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> f.</var> Der Begriff &quot;Schutzgegenstand&quot; bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff &quot;Schutzgegenstand&quot; im Sinne dieser Lizenz.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> g.</var> Mit &quot;Sie&quot; bzw. &quot;Ihnen&quot; ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> h.</var> Unter &quot;\u00d6ffentlich Zeigen&quot; im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> i.</var> &quot;Vervielf\u00e4ltigen&quot; im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n				  </li>\n			  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var> Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var> Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 4.e) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (&quot;unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann&quot;):\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten.\n					  </li>\n				  \n</ul>\n\n				  Das vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Weitergehende \u00c4nderungen oder Abwandlungen sind jedoch untersagt. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var> Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Die Rechteeinr\u00e4umung gem\u00e4\u00df Abschnitt 3 gilt nur f\u00fcr Handlungen, die nicht vorrangig auf einen gesch\u00e4ftlichen Vorteil oder eine geldwerte Verg\u00fctung gerichtet sind (&quot;nicht-kommerzielle Nutzung&quot;, &quot;Non-commercial-Option&quot;). Wird Ihnen in Zusammenhang mit dem Schutzgegenstand dieser Lizenz ein anderer Schutzgegenstand \u00fcberlassen, ohne dass eine vertragliche Verpflichtung hierzu besteht (etwa im Wege von File-Sharing), so wird dies nicht als auf gesch\u00e4ftlichen Vorteil oder geldwerte Verg\u00fctung gerichtet angesehen, wenn in Verbindung mit dem Austausch der Schutzgegenst\u00e4nde tats\u00e4chlich keine Zahlung oder geldwerte Verg\u00fctung geleistet wird.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (&quot;Zuschreibungsempf\u00e4nger&quot;), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> den Titel des Inhaltes;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand.\n							  </li>\n						  \n</ul>\n\n						  Die nach diesem Abschnitt 4.c) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Die oben unter 4.a) bis c) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.b) als nicht-kommerziell definierten Zwecke vornehmen, verzichtet f\u00fcr alle \u00fcbrigen, lizenzgerechten F\u00e4lle von Nutzung jedoch auf jegliche Verg\u00fctung.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re. Der Lizenzgeber beh\u00e4lt sich jedoch das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung (durch ihn selbst oder eine Verwertungsgesellschaft) f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.b) als nicht-kommerziell definierten Zwecke vornehmen.\n							  </li>\n						  \n</ul>\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> f.</var> Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 5.</var> Gew\u00e4hrleistung\nSOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 6.</var> Haftungsbeschr\u00e4nkung\nDER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 7.</var> Erl\u00f6schen\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die den Schutzgegenstand enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 8.</var> Sonstige Bestimmungen\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) angeboteten Lizenzen aus.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n					  </li>\n				  \n</ul>\n			  </li>\n		  \n</ul>\n		  <p>Creative Commons Notice</p>\n\n		  <p>Creative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.</p>\n\n		  <p>Creative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke &quot;Creative Commons&quot; zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke &quot;Creative Commons&quot; oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.</p>\n\n		  <p>Creative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.</p>\n\n	  "
		self.python_name = "CCBYNCND30DE"

	def __str__(self):
		return json.dumps(self.__dict__)


class Latex2etranslatednotice:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright @copyright{} 1989, 1992, 1993, 1994, 1995, 1996, 2014 Free Software\nFoundation, Inc.\n\nCopyright @copyright{} 1995, 1996 Joseph Arceneaux.\n\nCopyright @copyright{} 1999, Carlo Wood.\n\nCopyright @copyright{} 2001, David Ingamells.\n\nCopyright @copyright{} 2013, \u0141ukasz Stelmach.\n\nCopyright @copyright{} 2015, Tim Hentenaar.\n\nPermission is granted to make and distribute verbatim copies of\nthis manual provided the copyright notice and this permission notice\nare preserved on all copies.\n\nPermission is granted to copy and distribute modified versions of this\nmanual under the conditions for verbatim copying, provided that the entire\nresulting derived work is distributed under the terms of a permission\nnotice identical to this one.\n\nPermission is granted to copy and distribute translations of this manual\ninto another language, under the above conditions for modified versions,\nexcept that this permission notice may be stated in a translation approved\nby the Foundation.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright @copyright{} 1989, 1992, 1993, 1994, 1995, 1996, 2014 Free Software Foundation, Inc.	Copyright @copyright{} 1995, 1996 Joseph Arceneaux.	Copyright @copyright{} 1999, Carlo Wood.	Copyright @copyright{} 2001, David Ingamells.	Copyright @copyright{} 2013, \u0141ukasz Stelmach.  \";match=\".{0,5000}\">>\n\nPermission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.\n\nPermission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.\n\nPermission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be stated in a translation approved by the Foundation.\n\n"
		self.name = "Latex2e with translated notice permission"
		self.licenseComments = "The last section differs from Latex2e license."
		self.licenseId = "Latex2e-translated-notice"
		self.crossRef = [{"match": "False", "url": "https://git.savannah.gnu.org/cgit/indent.git/tree/doc/indent.texi?id=a74c6b4ee49397cf330b333da1042bffa60ed14f#n74", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:34Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://git.savannah.gnu.org/cgit/indent.git/tree/doc/indent.texi?id=a74c6b4ee49397cf330b333da1042bffa60ed14f#n74"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n			<p>\n			   Copyright @copyright{} 1989, 1992, 1993, 1994, 1995, 1996, 2014 Free Software\n			   Foundation, Inc.\n			</p>\n\n			<p>\n			   Copyright @copyright{} 1995, 1996 Joseph Arceneaux.\n			</p>\n\n			<p>\n			   Copyright @copyright{} 1999, Carlo Wood.\n			</p>\n\n			<p>\n			   Copyright @copyright{} 2001, David Ingamells.\n			</p>\n\n			<p>\n			   Copyright @copyright{} 2013, \u0141ukasz Stelmach.\n			</p>\n\n		 </div>\n		 <p>\n			Permission is granted to make and distribute verbatim copies of\n			this manual provided the copyright notice and this permission notice\n			are preserved on all copies.\n		 </p>\n\n		 <p>\n			Permission is granted to copy and distribute modified versions of this\n			manual under the conditions for verbatim copying, provided that the entire\n			resulting derived work is distributed under the terms of a permission\n			notice identical to this one.\n		 </p>\n\n		 <p>\n			Permission is granted to copy and distribute translations of this manual\n			into another language, under the above conditions for modified versions,\n			except that this permission notice may be stated in a translation approved\n			by the Foundation.\n		 </p>\n\n	  "
		self.python_name = "Latex2etranslatednotice"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP25:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The OpenLDAP Public License\nVersion 2.5, 11 May 2001\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain copyright statements and notices.\n\n2. Redistributions in binary form must reproduce applicable copyright statements and notices, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. Redistributions must contain a verbatim copy of this document.\n\n4. The names and trademarks of the authors and copyright holders must not be used in advertising or otherwise to promote the sale, use or other dealing in this Software without specific, written prior permission.\n\n5. Due credit should be given to the authors of the Software.\n\n6. The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION, ITS CONTRIBUTORS, OR THE AUTHOR(S) OR OWNER(S) OF THE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2001 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved. Permission to copy and distributed verbatim copies of this document is granted.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 2.5, 11 May 2001\n\n<<endOptional>>\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain copyright statements and notices.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce applicable copyright statements and notices, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions must contain a verbatim copy of this document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The names and trademarks of the authors and copyright holders must not be used in advertising or otherwise to promote the sale, use or other dealing in this Software without specific, written prior permission.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Due credit should be given to the authors of the Software.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION, ITS CONTRIBUTORS, OR THE AUTHOR(S) OR OWNER(S) OF THE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\n<<var;name=\"copyright\";original=\"Copyright 1999-2001 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.\";match=\".{0,5000}\">> Permission to copy and distributed verbatim copies of this document is granted.\n\n"
		self.name = "Open LDAP Public License v2.5"
		self.licenseComments = "This license was released 11 May 2001."
		self.licenseId = "OLDAP-2.5"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=6852b9d90022e8593c98205413380536b1b5a7cf", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:06Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=6852b9d90022e8593c98205413380536b1b5a7cf"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 2.5, 11 May 2001\n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use of this software and associated documentation (&quot;Software&quot;), with or without\n		 modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain copyright statements and notices.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce applicable copyright statements and notices, this\n			 list of conditions, and the following disclaimer in the documentation and/or other materials\n			 provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Redistributions must contain a verbatim copy of this document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  The names and trademarks of the authors and copyright holders must not be used in advertising or\n			 otherwise to promote the sale, use or other dealing in this Software without specific, written\n			 prior permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Due credit should be given to the authors of the Software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished\n			 by a version number. You may use the Software under terms of this license revision or under\n			 the terms of any subsequent revision of the license.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESSED OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION, ITS\n		 CONTRIBUTORS, OR THE AUTHOR(S) OR OWNER(S) OF THE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT,\n		 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\n		 OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\n		 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\n		 POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>OpenLDAP is a trademark of the OpenLDAP Foundation.</p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> Copyright 1999-2001 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.</var>\n		Permission to copy and distributed verbatim copies of this document is granted.\n	  </p>\n\n	"
		self.python_name = "OLDAP25"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYSA20UK:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution - Share-Alike 2.0 England and Wales\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENCE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicence\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENCE (\"CCPL\" OR \"LICENCE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENCE OR COPYRIGHT LAW IS PROHIBITED. BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENCE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\nThis Creative Commons England and Wales Public Licence enables You (all capitalised terms defined below) to view, edit, modify, translate and distribute Works worldwide, under the terms of this licence, provided that You credit the Original Author.\n\n'The Licensor' [one or more legally recognised persons or entities offering the Work under the terms and conditions of this Licence]\n\nand\n\n'You'\n\nagree as follows:\n\n1. Definitions\n\n	a. \"Attribution\" means acknowledging all the parties who have contributed to and have rights in the Work or Collective Work under this Licence.\n\n	b. \"Collective Work\" means the Work in its entirety in unmodified form along with a number of other separate and independent works, assembled into a collective whole.\n\n	c. \"Derivative Work\" means any work created by the editing, modification, adaptation or translation of the Work in any media (however a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this Licence). For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this Licence.\n\n	d. \"Licence\" means this Creative Commons England and Wales Public Licence agreement.\n\n	e. \"Licence Elements\" means the following high-level licence attributes indicated in the title of this Licence: Attribution, Share-Alike.\n\n	f. \"Original Author\" means the individual (or entity) who created the Work.\n\n	g. \"Work\" means the work protected by copyright which is offered under the terms of this Licence.\n\n	h. For the purpose of this Licence, when not inconsistent with the context, words in the singular number include the plural number.\n\n2. Licence Terms\n\n2.1 The Licensor hereby grants to You a worldwide, royalty-free, non-exclusive, Licence for use and for the duration of copyright in the Work.\n\nYou may:\n\n	* copy the Work;\n\n	* create one or more derivative Works;\n\n	* incorporate the Work into one or more Collective Works;\n\n	* copy Derivative Works or the Work as incorporated in any Collective Work; and\n\n	* publish, distribute, archive, perform or otherwise disseminate the Work or the Work as incorporated in any Collective Work, to the public in any material form in any media whether now known or hereafter created.\n\nHOWEVER,\n\nYou must not:\n\n	* impose any terms on the use to be made of the Work, the Derivative Work or the Work as incorporated in a Collective Work that alter or restrict the terms of this Licence or any rights granted under it or has the effect or intent of restricting the ability to exercise those rights;\n\n	* impose any digital rights management technology on the Work or the Work as incorporated in a Collective Work that alters or restricts the terms of this Licence or any rights granted under it or has the effect or intent of restricting the ability to exercise those rights;\n\n	* sublicense the Work;\n\n	* subject the Work to any derogatory treatment as defined in the Copyright, Designs and Patents Act 1988.\n\nFINALLY,\n\nYou must:\n\n	* make reference to this Licence (by Uniform Resource Identifier (URI), spoken word or as appropriate to the media used) on all copies of the Work and Collective Works published, distributed, performed or otherwise disseminated or made available to the public by You;\n\n	* recognise the Licensor's / Original Author's right of attribution in any Work and Collective Work that You publish, distribute, perform or otherwise disseminate to the public and ensure that You credit the Licensor / Original Author as appropriate to the media used; and\n\n	* to the extent reasonably practicable, keep intact all notices that refer to this Licence, in particular the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work.\n\nAdditional Provisions for third parties making use of the Work\n\n2.2. Further licence from the Licensor\n\nEach time You publish, distribute, perform or otherwise disseminate\n\n	* the Work; or\n\n	* any Derivative Work; or\n\n	* the Work as incorporated in a Collective Work\n\nthe Licensor agrees to offer to the relevant third party making use of the Work (in any of the alternatives set out above) a licence to use the Work on the same terms and conditions as granted to You hereunder.\n\n2.3. Further licence from You\n\nEach time You publish, distribute, perform or otherwise disseminate\n\n	* a Derivative Work; or\n\n	* a Derivative Work as incorporated in a Collective Work\n\nYou agree to offer to the relevant third party making use of the Work (in either of the alternatives set out above) a licence to use the Derivative Work on any of the following premises:\n\n	* a licence to the Derivative Work on the same terms and conditions as the licence granted to You hereunder; or\n\n	* a later version of the licence granted to You hereunder; or\n\n	* any other Creative Commons licence with the same Licence Elements.\n\n2.4. This Licence does not affect any rights that the User may have under any applicable law, including fair use, fair dealing or any other legally recognised limitation or exception to copyright infringement.\n\n2.5. All rights not expressly granted by the Licensor are hereby reserved, including but not limited to, the exclusive right to collect, whether individually or via a licensing body, such as a collecting society, royalties for any use of the Work which results in commercial advantage or private monetary compensation.\n\n3. Warranties and Disclaimer\n\nExcept as required by law, the Work is licensed by the Licensor on an \"as is\" and \"as available\" basis and without any warranty of any kind, either express or implied.\n\n4. Limit of Liability\n\nSubject to any liability which may not be excluded or limited by law the Licensor shall not be liable and hereby expressly excludes all liability for loss or damage howsoever and whenever caused to You.\n\n5. Termination\n\nThe rights granted to You under this Licence shall terminate automatically upon any breach by You of the terms of this Licence. Individuals or entities who have received Collective Works from You under this Licence, however, will not have their Licences terminated provided such individuals or entities remain in full compliance with those Licences.\n\n6. General\n\n6.1. The validity or enforceability of the remaining terms of this agreement is not affected by the holding of any provision of it to be invalid or unenforceable.\n\n6.2. This Licence constitutes the entire Licence Agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication in any form.\n\n6.3. A person who is not a party to this Licence shall have no rights under the Contracts (Rights of Third Parties) Act 1999 to enforce any of its terms.\n\n6.4. This Licence shall be governed by the law of England and Wales and the parties irrevocably submit to the exclusive jurisdiction of the Courts of England and Wales.\n\n7. On the role of Creative Commons\n\n7.1. Neither the Licensor nor the User may use the Creative Commons logo except to indicate that the Work is licensed under a Creative Commons Licence. Any permitted use has to be in compliance with the Creative Commons trade mark usage guidelines at the time of use of the Creative Commons trade mark. These guidelines may be found on the Creative Commons website or be otherwise available upon request from time to time.\n\n7.2. Creative Commons Corporation does not profit financially from its role in providing this Licence and will not investigate the claims of any Licensor or user of the Licence.\n\n7.3. One of the conditions that Creative Commons Corporation requires of the Licensor and You is an acknowledgement of its limited role and agreement by all who use the Licence that the Corporation is not responsible to anyone for the statements and actions of You or the Licensor or anyone else attempting to use or using this Licence.\n\n7.4. Creative Commons Corporation is not a party to this Licence, and makes no warranty whatsoever in connection to the Work or in connection to the Licence, and in all events is not liable for any loss or damage resulting from the Licensor's or Your reliance on this Licence or on its enforceability.\n\n7.5. USE OF THIS LICENCE MEANS THAT YOU AND THE LICENSOR EACH ACCEPTS THESE CONDITIONS IN SECTION 7.1, 7.2, 7.3, 7.4 AND EACH ACKNOWLEDGES CREATIVE COMMONS CORPORATION'S VERY LIMITED ROLE AS A FACILITATOR OF THE LICENCE FROM THE LICENSOR TO YOU.\n\nCreative Commons is not a party to this Licence, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this licence. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution - Share-Alike 2.0 England and Wales\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENCE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicence\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENCE (\"CCPL\" OR \"LICENCE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENCE OR COPYRIGHT LAW IS PROHIBITED. BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENCE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\nThis Creative Commons England and Wales Public Licence enables You (all capitalised terms defined below) to view, edit, modify, translate and distribute Works worldwide, under the terms of this licence, provided that You credit the Original Author.\n\n'The Licensor' [one or more legally recognised persons or entities offering the Work under the terms and conditions of this Licence]\n\nand\n\n'You'\n\nagree as follows:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Attribution\" means acknowledging all the parties who have contributed to and have rights in the Work or Collective Work under this Licence.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Collective Work\" means the Work in its entirety in unmodified form along with a number of other separate and independent works, assembled into a collective whole.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Derivative Work\" means any work created by the editing, modification, adaptation or translation of the Work in any media (however a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this Licence). For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this Licence.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Licence\" means this Creative Commons England and Wales Public Licence agreement.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Licence Elements\" means the following high-level licence attributes indicated in the title of this Licence: Attribution, Share-Alike.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Original Author\" means the individual (or entity) who created the Work.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"Work\" means the work protected by copyright which is offered under the terms of this Licence.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> For the purpose of this Licence, when not inconsistent with the context, words in the singular number include the plural number.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Licence Terms\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Licensor hereby grants to You a worldwide, royalty-free, non-exclusive, Licence for use and for the duration of copyright in the Work.\n\n	  You may:\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> copy the Work;\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> create one or more derivative Works;\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> incorporate the Work into one or more Collective Works;\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> copy Derivative Works or the Work as incorporated in any Collective Work; and\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> publish, distribute, archive, perform or otherwise disseminate the Work or the Work as incorporated in any Collective Work, to the public in any material form in any media whether now known or hereafter created.\n\n	  HOWEVER,\n\n	  You must not:\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> impose any terms on the use to be made of the Work, the Derivative Work or the Work as incorporated in a Collective Work that alter or restrict the terms of this Licence or any rights granted under it or has the effect or intent of restricting the ability to exercise those rights;\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> impose any digital rights management technology on the Work or the Work as incorporated in a Collective Work that alters or restricts the terms of this Licence or any rights granted under it or has the effect or intent of restricting the ability to exercise those rights;\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> sublicense the Work;\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> subject the Work to any derogatory treatment as defined in the Copyright, Designs and Patents Act 1988.\n\n	  FINALLY,\n\n	  You must:\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> make reference to this Licence (by Uniform Resource Identifier (URI), spoken word or as appropriate to the media used) on all copies of the Work and Collective Works published, distributed, performed or otherwise disseminated or made available to the public by You;\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> recognise the Licensor's / Original Author's right of attribution in any Work and Collective Work that You publish, distribute, perform or otherwise disseminate to the public and ensure that You credit the Licensor / Original Author as appropriate to the media used; and\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> to the extent reasonably practicable, keep intact all notices that refer to this Licence, in particular the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work.\n\n	  Additional Provisions for third parties making use of the Work\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Further licence from the Licensor\n\n	  Each time You publish, distribute, perform or otherwise disseminate\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> the Work; or\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> any Derivative Work; or\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> the Work as incorporated in a Collective Work\n\n	  the Licensor agrees to offer to the relevant third party making use of the Work (in any of the alternatives set out above) a licence to use the Work on the same terms and conditions as granted to You hereunder.\n\n	  <<var;name=\"bullet\";original=\"2.3.\";match=\".{0,20}\">> Further licence from You\n\n	  Each time You publish, distribute, perform or otherwise disseminate\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> a Derivative Work; or\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> a Derivative Work as incorporated in a Collective Work\n\n	  You agree to offer to the relevant third party making use of the Work (in either of the alternatives set out above) a licence to use the Derivative Work on any of the following premises:\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> a licence to the Derivative Work on the same terms and conditions as the licence granted to You hereunder; or\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> a later version of the licence granted to You hereunder; or\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> any other Creative Commons licence with the same Licence Elements.\n\n	  <<var;name=\"bullet\";original=\"2.4.\";match=\".{0,20}\">> This Licence does not affect any rights that the User may have under any applicable law, including fair use, fair dealing or any other legally recognised limitation or exception to copyright infringement.\n\n	  <<var;name=\"bullet\";original=\"2.5.\";match=\".{0,20}\">> All rights not expressly granted by the Licensor are hereby reserved, including but not limited to, the exclusive right to collect, whether individually or via a licensing body, such as a collecting society, royalties for any use of the Work which results in commercial advantage or private monetary compensation.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Warranties and Disclaimer\n\n   Except as required by law, the Work is licensed by the Licensor on an \"as is\" and \"as available\" basis and without any warranty of any kind, either express or implied.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Limit of Liability\n\n   Subject to any liability which may not be excluded or limited by law the Licensor shall not be liable and hereby expressly excludes all liability for loss or damage howsoever and whenever caused to You.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Termination\n\n   The rights granted to You under this Licence shall terminate automatically upon any breach by You of the terms of this Licence. Individuals or entities who have received Collective Works from You under this Licence, however, will not have their Licences terminated provided such individuals or entities remain in full compliance with those Licences.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> General\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> The validity or enforceability of the remaining terms of this agreement is not affected by the holding of any provision of it to be invalid or unenforceable.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> This Licence constitutes the entire Licence Agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication in any form.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> A person who is not a party to this Licence shall have no rights under the Contracts (Rights of Third Parties) Act 1999 to enforce any of its terms.\n\n	  <<var;name=\"bullet\";original=\"6.4.\";match=\".{0,20}\">> This Licence shall be governed by the law of England and Wales and the parties irrevocably submit to the exclusive jurisdiction of the Courts of England and Wales.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> On the role of Creative Commons\n\n	  <<var;name=\"bullet\";original=\"7.1.\";match=\".{0,20}\">> Neither the Licensor nor the User may use the Creative Commons logo except to indicate that the Work is licensed under a Creative Commons Licence. Any permitted use has to be in compliance with the Creative Commons trade mark usage guidelines at the time of use of the Creative Commons trade mark. These guidelines may be found on the Creative Commons website or be otherwise available upon request from time to time.\n\n	  <<var;name=\"bullet\";original=\"7.2.\";match=\".{0,20}\">> Creative Commons Corporation does not profit financially from its role in providing this Licence and will not investigate the claims of any Licensor or user of the Licence.\n\n	  <<var;name=\"bullet\";original=\"7.3.\";match=\".{0,20}\">> One of the conditions that Creative Commons Corporation requires of the Licensor and You is an acknowledgement of its limited role and agreement by all who use the Licence that the Corporation is not responsible to anyone for the statements and actions of You or the Licensor or anyone else attempting to use or using this Licence.\n\n	  <<var;name=\"bullet\";original=\"7.4.\";match=\".{0,20}\">> Creative Commons Corporation is not a party to this Licence, and makes no warranty whatsoever in connection to the Work or in connection to the Licence, and in all events is not liable for any loss or damage resulting from the Licensor's or Your reliance on this Licence or on its enforceability.\n\n	  <<var;name=\"bullet\";original=\"7.5.\";match=\".{0,20}\">> USE OF THIS LICENCE MEANS THAT YOU AND THE LICENSOR EACH ACCEPTS THESE CONDITIONS IN SECTION 7.1, 7.2, 7.3, 7.4 AND EACH ACKNOWLEDGES CREATIVE COMMONS CORPORATION'S VERY LIMITED ROLE AS A FACILITATOR OF THE LICENCE FROM THE LICENSOR TO YOU.\n\nCreative Commons is not a party to this Licence, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this licence. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Share Alike 2.0 England and Wales"
		self.licenseId = "CC-BY-SA-2.0-UK"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-sa/2.0/uk/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:27Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-sa/2.0/uk/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> \n				<p>Creative Commons Attribution - Share-Alike 2.0 England and Wales</p>\n\n			</div>\n			<div class=\"optional-license-text\"> \n				<p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF\n					THIS LICENCE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS\n					INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION\n					PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n				<p>Licence</p>\n\n			</div>\n\n			<p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENCE (&quot;CCPL&quot;\n				OR &quot;LICENCE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER\n				THAN AS AUTHORIZED UNDER THIS LICENCE OR COPYRIGHT LAW IS PROHIBITED. BY EXERCISING ANY RIGHTS TO THE\n				WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENCE. THE LICENSOR GRANTS\n				YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.</p>\n\n				<p>This Creative Commons England and Wales Public Licence enables You (all capitalised terms defined below)\n				to view, edit, modify, translate and distribute Works worldwide, under the terms of this licence,\n				provided that You credit the Original Author.</p>\n\n			<p>&apos;The Licensor&apos; [one or more legally recognised persons or entities offering the Work under the terms and\n				conditions of this Licence]</p>\n\n			<p>and</p>\n\n			<p>&apos;You&apos;</p>\n\n			<p>agree as follows:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.</var> Definitions\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> &quot;Attribution&quot; means acknowledging all the parties who have contributed to and have rights in the Work\n							or Collective Work under this Licence.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> &quot;Collective Work&quot; means the Work in its entirety in unmodified form along with a number of other\n							separate and independent works, assembled into a collective whole.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var> &quot;Derivative Work&quot; means any work created by the editing, modification, adaptation or translation of the\n							Work in any media (however a work that constitutes a Collective Work will not be considered a\n							Derivative Work for the purpose of this Licence). For the avoidance of doubt, where the Work is a\n							musical composition or sound recording, the synchronization of the Work in timed-relation with a\n							moving image (&quot;synching&quot;) will be considered a Derivative Work for the purpose of this Licence.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var> &quot;Licence&quot; means this Creative Commons England and Wales Public Licence agreement.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e.</var> &quot;Licence Elements&quot; means the following high-level licence attributes indicated in the title of this Licence:\n							Attribution, Share-Alike.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> f.</var> &quot;Original Author&quot; means the individual (or entity) who created the Work.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> g.</var> &quot;Work&quot; means the work protected by copyright which is offered under the terms of this Licence.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> h.</var> For the purpose of this Licence, when not inconsistent with the context, words in the singular number\n							include the plural number.\n						</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 2.</var> Licence Terms\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 2.1.</var> The Licensor hereby grants to You a worldwide, royalty-free, non-exclusive, Licence for use and for the\n								duration of copyright in the Work.\n\n							<p>You may:</p>\n\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> copy the Work;\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> create one or more derivative Works;\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> incorporate the Work into one or more Collective Works;\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> copy Derivative Works or the Work as incorporated in any Collective Work; and\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> publish, distribute, archive, perform or otherwise disseminate the Work or the\n									Work as incorporated in any Collective Work, to the public in any material form in any media whether\n									now known or hereafter created.\n								</li>\n							\n</ul>\n\n							<p>HOWEVER,</p>\n\n							<p>You must not:</p>\n\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> impose any terms on the use to be made of the Work, the Derivative Work or the\n									Work as incorporated in a Collective Work that alter or restrict the terms of this Licence or any\n									rights granted under it or has the effect or intent of restricting the ability to exercise those\n									rights;\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> impose any digital rights management technology on the Work or the Work as\n									incorporated in a Collective Work that alters or restricts the terms of this Licence or any rights\n									granted under it or has the effect or intent of restricting the ability to exercise those rights;\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> sublicense the Work;\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> subject the Work to any derogatory treatment as defined in the Copyright,\n									Designs and Patents Act 1988.\n								</li>\n							\n</ul>\n\n							<p>FINALLY,</p>\n\n							<p>You must:</p>\n\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> make reference to this Licence (by Uniform Resource Identifier (URI), spoken\n									word or as appropriate to the media used) on all copies of the Work and Collective Works published,\n									distributed, performed or otherwise disseminated or made available to the public by You;\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> recognise the Licensor&apos;s / Original Author&apos;s right of attribution in any Work and\n									Collective Work that You publish, distribute, perform or otherwise disseminate to the public and\n									ensure that You credit the Licensor / Original Author as appropriate to the media used; and\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> to the extent reasonably practicable, keep intact all notices that refer to this\n									Licence, in particular the URI, if any, that the Licensor specifies to be associated with the Work,\n									unless such URI does not refer to the copyright notice or licensing information for the Work.\n								</li>\n							\n</ul>\n						</li>\n\n<li>\n							<p>Additional Provisions for third parties making use of the Work</p>\n\n							<var class=\"replaceable-license-text\"> 2.2.</var> Further licence from the Licensor\n\n							<p>Each time You publish, distribute, perform or otherwise disseminate</p>\n\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> the Work; or\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> any Derivative Work; or\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> the Work as incorporated in a Collective Work\n								</li>\n							\n</ul>\n\n							<p>the Licensor agrees to offer to the relevant third party making use of the Work (in any of the\n							alternatives set out above) a licence to use the Work on the same terms and conditions as granted to You\n							hereunder.</p>\n\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> 2.3.</var> Further licence from You\n\n							<p>Each time You publish, distribute, perform or otherwise disseminate</p>\n\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> a Derivative Work; or\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> a Derivative Work as incorporated in a Collective Work\n								</li>\n							\n</ul>\n\n							<p>You agree to offer to the relevant third party making use of the Work (in either of the alternatives\n							set out above) a licence to use the Derivative Work on any of the following premises:</p>\n\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> a licence to the Derivative Work on the same terms and conditions as the\n									licence granted to You hereunder; or\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> a later version of the licence granted to You hereunder; or\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> *</var> any other Creative Commons licence with the same Licence Elements.\n								</li>\n							\n</ul>\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> 2.4.</var> This Licence does not affect any rights that the User may have under any applicable\n							law, including fair use, fair dealing or any other legally recognised limitation or exception to\n							copyright infringement.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> 2.5.</var> All rights not expressly granted by the Licensor are hereby reserved, including but\n							not limited to, the exclusive right to collect, whether individually or via a licensing body, such as a\n							collecting society, royalties for any use of the Work which results in commercial advantage or private\n							monetary compensation.\n						</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 3.</var> Warranties and Disclaimer\n\n					<p>Except as required by law, the Work is licensed by the Licensor on an &quot;as is&quot; and &quot;as available&quot; basis and\n						without any warranty of any kind, either express or implied.</p>\n\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 4.</var> Limit of Liability\n\n					<p>Subject to any liability which may not be excluded or limited by law the Licensor shall not be liable and\n						hereby expressly excludes all liability for loss or damage howsoever and whenever caused to You.</p>\n\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 5.</var> Termination\n\n					<p>The rights granted to You under this Licence shall terminate automatically upon any breach by You of the\n						terms of this Licence. Individuals or entities who have received Collective Works from You under this\n						Licence, however, will not have their Licences terminated provided such individuals or entities remain in\n						full compliance with those Licences.</p>\n\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 6.</var> General\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 6.1. </var>The validity or enforceability of the remaining terms of this agreement is not\n							 affected by the holding of any provision of it to be invalid or unenforceable.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 6.2. </var>This Licence constitutes the entire Licence Agreement between the parties with\n							respect to the Work licensed here. There are no understandings, agreements or representations with\n							respect to the Work not specified here. The Licensor shall not be bound by any additional provisions\n							that may appear in any communication in any form.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 6.3. </var>A person who is not a party to this Licence shall have no rights under the\n							Contracts (Rights of Third Parties) Act 1999 to enforce any of its terms.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 6.4. </var>This Licence shall be governed by the law of England and Wales and the parties\n							irrevocably submit to the exclusive jurisdiction of the Courts of England and Wales.\n						</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 7.</var> On the role of Creative Commons\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 7.1. </var>Neither the Licensor nor the User may use the Creative Commons logo except to\n							indicate that the Work is licensed under a Creative Commons Licence. Any permitted use has to be in\n							compliance with the Creative Commons trade mark usage guidelines at the time of use of the Creative\n							Commons trade mark. These guidelines may be found on the Creative Commons website or be otherwise\n							available upon request from time to time.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 7.2. </var>Creative Commons Corporation does not profit financially from its role in\n							providing this Licence and will not investigate the claims of any Licensor or user of the Licence.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 7.3. </var>One of the conditions that Creative Commons Corporation requires of the Licensor\n							and You is an acknowledgement of its limited role and agreement by all who use the Licence that the\n							Corporation is not responsible to anyone for the statements and actions of You or the Licensor or\n							anyone else attempting to use or using this Licence.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 7.4. </var>Creative Commons Corporation is not a party to this Licence, and makes no\n							warranty whatsoever in connection to the Work or in connection to the Licence, and in all events is not\n							liable for any loss or damage resulting from the Licensor&apos;s or Your reliance on this Licence or on its\n							enforceability.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 7.5. </var>USE OF THIS LICENCE MEANS THAT YOU AND THE LICENSOR EACH ACCEPTS THESE CONDITIONS\n							IN SECTION 7.1, 7.2, 7.3, 7.4 AND EACH ACKNOWLEDGES CREATIVE COMMONS CORPORATION&apos;S VERY LIMITED ROLE AS\n							A FACILITATOR OF THE LICENCE FROM THE LICENSOR TO YOU.\n						</li>\n					\n</ul>\n				</li>\n			\n</ul>\n\n			<p>Creative Commons is not a party to this Licence, and makes no warranty whatsoever in connection with the Work.\n				Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including\n				without limitation any general, special, incidental or consequential damages arising in connection to this licence.\n				Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor\n				hereunder, it shall have all rights and obligations of Licensor.</p>\n\n			<p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will\n				use the trademark &quot;Creative Commons&quot; or any related trademark or logo of Creative Commons without the prior written\n				consent of Creative Commons. Any permitted use will be in compliance with Creative Commons&apos; then-current trademark\n				usage guidelines, as may be published on its website or otherwise made available upon request from time to time.</p>\n\n			<p>Creative Commons may be contacted at https://creativecommons.org/.</p>\n\n		"
		self.python_name = "CCBYSA20UK"

	def __str__(self):
		return json.dumps(self.__dict__)


class Calderanopreamble:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright(C) Caldera International Inc.  2001-2002.  All rights reserved.\n  \nRedistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions are\nmet:\n\nRedistributions of source code and documentation must retain the above\ncopyright notice, this list of conditions and the following disclaimer.\n\nRedistributions in binary form must reproduce the above copyright\nnotice, this list of conditions and the following disclaimer in the\ndocumentation and/or other materials provided with the distribution.\n\nAll advertising materials mentioning features or use of this software\nmust display the following acknowledgement:\n\n   This product includes software developed or owned by  Caldera\n   International, Inc.\n\nNeither the name of Caldera International, Inc. nor the names of other\ncontributors may be used to endorse or promote products derived from\nthis software without specific prior written permission.\n\nUSE OF THE SOFTWARE PROVIDED FOR UNDER THIS LICENSE BY CALDERA\nINTERNATIONAL, INC. AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED\nWARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\nMERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN\nNO EVENT SHALL CALDERA INTERNATIONAL, INC. BE LIABLE FOR ANY DIRECT,\nINDIRECT INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\nHOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\nSTRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN\nANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\nPOSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright(C) Caldera International Inc. 2001-2002. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\nRedistributions of source code and documentation must retain the above copyright notice, this list of conditions and the following disclaimer.\n\nRedistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nAll advertising materials mentioning features or use of this software must display the following acknowledgement:\n\n   This product includes software developed or owned by Caldera International, Inc.\n\nNeither the name of Caldera International, Inc. nor the names of other contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nUSE OF THE SOFTWARE PROVIDED FOR UNDER THIS LICENSE BY CALDERA INTERNATIONAL, INC. AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL CALDERA INTERNATIONAL, INC. BE LIABLE FOR ANY DIRECT, INDIRECT INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Caldera License (without preamble)"
		self.licenseComments = "This is identical to Caldera License, but does not include first paragraph."
		self.licenseId = "Caldera-no-preamble"
		self.crossRef = [{"match": "False", "url": "https://github.com/apache/apr/blob/trunk/LICENSE#L298C6-L298C29", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:58Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/apache/apr/blob/trunk/LICENSE#L298C6-L298C29"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		<p>Copyright(C) Caldera International Inc. 2001-2002. All rights reserved.</p>\n\n	  </div>\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n	  <p>Redistributions of source code and documentation must retain the above copyright notice, this list of\n		 conditions and the following disclaimer.</p>\n\n	  <p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the\n		 following disclaimer in the documentation and/or other materials provided with the distribution.</p>\n\n	  <p>All advertising materials mentioning features or use of this software must display the following\n		 acknowledgement:\n		\n<ul style=\"list-style:none\">\n			\n<li>\n				<p>This product includes software developed or owned by Caldera International, Inc.</p>\n\n			</li>\n		\n</ul>\n	  </p>\n\n	  <p>Neither the name of Caldera International, Inc. nor the names of other contributors may be used to\n		 endorse or promote products derived from this software without specific prior written permission.</p>\n\n	  <p>USE OF THE SOFTWARE PROVIDED FOR UNDER THIS LICENSE BY CALDERA INTERNATIONAL, INC. AND CONTRIBUTORS ``AS\n		 IS&apos;&apos; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n		 MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL CALDERA INTERNATIONAL,\n		 INC. BE LIABLE FOR ANY DIRECT, INDIRECT INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\n		 BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED\n		 OF THE POSSIBILITY OF SUCH DAMAGE.\n	  </p>\n\n	"
		self.python_name = "Calderanopreamble"

	def __str__(self):
		return json.dumps(self.__dict__)


class Parity700:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "# The Parity Public License 7.0.0\n\nContributor: Artless Devices, LLC [US-CA]\n\nSource Code: https://github.com/licensezero/licensezero.com\n\n## Purpose\n\nThis license allows you to use and share this software for free, but you have to share software that builds on it alike.\n\n## Agreement\n\nIn order to receive this license, you have to agree to its rules.  Those rules are both obligations under that agreement and conditions to your license.  Don't do anything with this software that triggers a rule you can't or won't follow.\n\n## Notices\n\nMake sure everyone who gets a copy of any part of this software from you, with or without changes, also gets the text of this license and the contributor and source code lines above.\n\n## Copyleft\n\n[Contribute](#contribute) software you develop, operate, or analyze with this software, including changes or additions to this software.  When in doubt, [contribute](#contribute).\n\n## Prototypes\n\nYou don't have to [contribute](#contribute) any change, addition, or other software that meets all these criteria:\n\n1.  You don't use it for more than thirty days.\n\n2.  You don't share it outside the team developing it, other than for non-production user testing.\n\n3.  You don't develop, operate, or analyze other software with it for anyone outside the team developing it.\n\n## Reverse Engineering\n\nYou may use this software to operate and analyze software you can't [contribute](#contribute) in order to develop alternatives you can and do [contribute](#contribute).\n\n## Contribute\n\nTo [contribute](#contribute) software:\n\n1.  Publish all source code for the software in the preferred form for making changes through a freely accessible distribution system widely used for similar source code so the contributor and others can find and copy it.\n\n2.  Make sure every part of the source code is available under this license or another license that allows everything this license does, such as [the Blue Oak Model License 1.0.0](https://blueoakcouncil.org/license/1.0.0), [the Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0.html), [the MIT license](https://spdx.org/licenses/MIT.html), or [the two-clause BSD license](https://spdx.org/licenses/BSD-2-Clause.html).\n\n3.  Take these steps within thirty days.\n\n4.  Note that this license does _not_ allow you to change the license terms for this software.  You must follow [Notices](#notices).\n\n## Excuse\n\nYou're excused for unknowingly breaking [Copyleft](#copyleft) if you [contribute](#contribute) as required, or stop doing anything requiring this license, within thirty days of learning you broke the rule.  You're excused for unknowingly breaking [Notices](#notices) if you take all practical steps to comply within thirty days of learning you broke the rule.\n\n## Defense\n\nDon't make any legal claim against anyone accusing this software, with or without changes, alone or with other technology, of infringing any patent.\n\n## Copyright\n\nThe contributor licenses you to do everything with this software that would otherwise infringe their copyright in it.\n\n## Patent\n\nThe contributor licenses you to do everything with this software that would otherwise infringe any patents they can license or become able to license.\n\n## Reliability\n\nThe contributor can't revoke this license.\n\n## No Liability\n\n***As far as the law allows, this software comes as is, without any warranty or condition, and the contributor won't be liable to anyone for any damages related to this software or this license, under any kind of legal claim.***\n"
		self.standardLicenseTemplate = "<<beginOptional>><<beginOptional>>#<<endOptional>> The Parity Public License 7.0.0\n\n<<endOptional>>\n\nContributor: <<var;name=\"copyright\";original=\"name\";match=\".+\">>\n\nSource Code: <<var;name=\"address\";original=\"address\";match=\".+\">>\n\n<<beginOptional>>##<<endOptional>> Purpose\n\nThis license allows you to use and share this software for free, but you have to share software that builds on it alike.\n\n<<beginOptional>>##<<endOptional>> Agreement\n\nIn order to receive this license, you have to agree to its rules. Those rules are both obligations under that agreement and conditions to your license. Don't do anything with this software that triggers a rule you can't or won't follow.\n\n<<beginOptional>>##<<endOptional>> Notices\n\nMake sure everyone who gets a copy of any part of this software from you, with or without changes, also gets the text of this license and the contributor and source code lines above.\n\n<<beginOptional>>##<<endOptional>> Copyleft\n\n<<var;name=\"contributeRef\";original=\"[Contribute](#contribute)\";match=\"\\[Contribute\\]\\(\\#contribute\\)|Contribute\">> software you develop, operate, or analyze with this software, including changes or additions to this software. When in doubt, <<var;name=\"contributeRef\";original=\"[contribute](#contribute)\";match=\"\\[contribute\\]\\(#contribute\\)|contribute\">> .\n\n<<beginOptional>>##<<endOptional>> Prototypes\n\nYou don't have to <<var;name=\"contributeRef\";original=\"[contribute](#contribute)\";match=\"\\[contribute\\]\\(#contribute\\)|contribute\">> any change, addition, or other software that meets all these criteria:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You don't use it for more than thirty days.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You don't share it outside the team developing it, other than for non-production user testing.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You don't develop, operate, or analyze other software with it for anyone outside the team developing it.\n\n<<beginOptional>>##<<endOptional>> Reverse Engineering\n\nYou may use this software to operate and analyze software you can't <<var;name=\"contributeRef\";original=\"[contribute](#contribute)\";match=\"\\[contribute\\]\\(#contribute\\)|contribute\">> in order to develop alternatives you can and do <<var;name=\"contributeRef\";original=\"[contribute](#contribute)\";match=\"\\[contribute\\]\\(#contribute\\)|contribute\">> .\n\n<<beginOptional>>##<<endOptional>> Contribute\n\nTo <<var;name=\"contributeRef\";original=\"[contribute](#contribute)\";match=\"\\[contribute\\]\\(#contribute\\)|contribute\">> software:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Publish all source code for the software in the preferred form for making changes through a freely accessible distribution system widely used for similar source code so the contributor and others can find and copy it.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Make sure every part of the source code is available under this license or another license that allows everything this license does, such as <<var;name=\"licenseList\";original=\"[the Blue Oak Model License 1.0.0](https://blueoakcouncil.org/license/1.0.0), [the Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0.html), [the MIT license](https://spdx.org/licenses/MIT.html), or [the two-clause BSD license](https://spdx.org/licenses/BSD-2-Clause.html).\";match=\"\\[the Blue Oak Model License 1\\.0\\.0\\]\\(https://blueoakcouncil\\.org/license/1\\.0\\.0\\), \\[the Apache License 2\\.0\\]\\(https://www\\.apache\\.org/licenses/LICENSE-2\\.0\\.html\\), \\[the MIT license\\]\\(https://spdx\\.org/licenses/MIT\\.html\\), or \\[the two-clause BSD license\\]\\(https://spdx\\.org/licenses/BSD-2-Clause\\.html\\)\\.|the Blue Oak Model License 1\\.0\\.0, the Apache License 2\\.0, the MIT License, or the two-clause BSD License\\.\">>\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Take these steps within thirty days.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Note that this license does <<var;name=\"emphasizedNot\";original=\"_not_\";match=\"_not_|not\">> allow you to change the license terms for this software. You must follow <<var;name=\"noticesRef\";original=\"[Notices](#notices)\";match=\"\\[Notices\\]\\(#notices\\)|Notices\">> .\n\n<<beginOptional>>##<<endOptional>> Excuse\n\nYou're excused for unknowingly breaking <<var;name=\"copyleftRef\";original=\"[Copyleft](#copyleft)\";match=\"\\[Copyleft\\]\\(#copyleft\\)|Copyleft\">> if you <<var;name=\"contributeRef\";original=\"[contribute](#contribute)\";match=\"\\[contribute\\]\\(#contribute\\)|contribute\">> as required, or stop doing anything requiring this license, within thirty days of learning you broke the rule. You're excused for unknowingly breaking <<var;name=\"noticesRef\";original=\"[Notices](#notices)\";match=\"\\[Notices\\]\\(#notices\\)|Notices\">> if you take all practical steps to comply within thirty days of learning you broke the rule.\n\n<<beginOptional>>##<<endOptional>> Defense\n\nDon't make any legal claim against anyone accusing this software, with or without changes, alone or with other technology, of infringing any patent.\n\n<<beginOptional>>##<<endOptional>> Copyright\n\nThe contributor licenses you to do everything with this software that would otherwise infringe their copyright in it.\n\n<<beginOptional>>##<<endOptional>> Patent\n\nThe contributor licenses you to do everything with this software that would otherwise infringe any patents they can license or become able to license.\n\n<<beginOptional>>##<<endOptional>> Reliability\n\nThe contributor can't revoke this license.\n\n<<beginOptional>>##<<endOptional>> No Liability\n\n***As far as the law allows, this software comes as is, without any warranty or condition, and the contributor won't be liable to anyone for any damages related to this software or this license, under any kind of legal claim.***\n\n"
		self.name = "The Parity Public License 7.0.0"
		self.licenseComments = "This license was released on November 3, 2019."
		self.licenseId = "Parity-7.0.0"
		self.crossRef = [{"match": "False", "url": "https://paritylicense.com/versions/7.0.0.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:34Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://paritylicense.com/versions/7.0.0.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p><var class=\"optional-license-text\"> # </var>The Parity Public License 7.0.0</p>\n\n	  </div>\n	  <p>Contributor: <var class=\"replaceable-license-text\"> name</var></p>\n\n	  <p>Source Code: <var class=\"replaceable-license-text\"> address</var></p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Purpose</p>\n\n	  <p>This license allows you to use and share this software for free, but you have to share software that builds on it alike.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Agreement</p>\n\n	  <p>In order to receive this license, you have to agree to its rules.  Those rules are both obligations under that agreement and conditions to your license.  Don&apos;t do anything with this software that triggers a rule you can&apos;t or won&apos;t follow.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Notices</p>\n\n	  <p>Make sure everyone who gets a copy of any part of this software from you, with or without changes, also gets the text of this license and the contributor and source code lines above.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Copyleft</p>\n\n	  <p><var class=\"replaceable-license-text\"> [Contribute](#contribute)</var> software you develop, operate, or analyze with this software, including changes or additions to this software.  When in doubt, <var class=\"replaceable-license-text\"> [contribute](#contribute)</var>.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Prototypes</p>\n\n	  <p>You don&apos;t have to <var class=\"replaceable-license-text\"> [contribute](#contribute)</var> any change, addition, or other software that meets all these criteria:</p>\n\n<ul style=\"list-style:none\">\n		\n<li><var class=\"replaceable-license-text\"> 1.  </var>You don&apos;t use it for more than thirty days.</li>\n		\n<li><var class=\"replaceable-license-text\"> 2.  </var>You don&apos;t share it outside the team developing it, other than for non-production user testing.</li>\n		\n<li><var class=\"replaceable-license-text\"> 3.  </var>You don&apos;t develop, operate, or analyze other software with it for anyone outside the team developing it.</li>\n	  \n</ul>\n	  <p><var class=\"optional-license-text\"> ## </var>Reverse Engineering</p>\n\n	  <p>You may use this software to operate and analyze software you can&apos;t <var class=\"replaceable-license-text\"> [contribute](#contribute)</var> in order to develop alternatives you can and do <var class=\"replaceable-license-text\"> [contribute](#contribute)</var>.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Contribute</p>\n\n	  <p>To <var class=\"replaceable-license-text\"> [contribute](#contribute)</var> software:</p>\n\n<ul style=\"list-style:none\">\n		\n<li><var class=\"replaceable-license-text\"> 1.  </var>Publish all source code for the software in the preferred form for making changes through a freely accessible distribution system widely used for similar source code so the contributor and others can find and copy it.</li>\n		\n<li><var class=\"replaceable-license-text\"> 2.  </var>Make sure every part of the source code is available under this license or another license that allows everything this license does, such as <var class=\"replaceable-license-text\"> [the Blue Oak Model License 1.0.0](https://blueoakcouncil.org/license/1.0.0), [the Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0.html), [the MIT license](https://spdx.org/licenses/MIT.html), or [the two-clause BSD license](https://spdx.org/licenses/BSD-2-Clause.html).</var></li>\n		\n<li><var class=\"replaceable-license-text\"> 3.  </var>Take these steps within thirty days.</li>\n		\n<li><var class=\"replaceable-license-text\"> 4.  </var>Note that this license does <var class=\"replaceable-license-text\"> _not_</var> allow you to change the license terms for this software.  You must follow <var class=\"replaceable-license-text\"> [Notices](#notices)</var>.</li>\n	  \n</ul>\n	  <p><var class=\"optional-license-text\"> ## </var>Excuse</p>\n\n	  <p>You&apos;re excused for unknowingly breaking <var class=\"replaceable-license-text\"> [Copyleft](#copyleft)</var> if you <var class=\"replaceable-license-text\"> [contribute](#contribute)</var> as required, or stop doing anything requiring this license, within thirty days of learning you broke the rule.  You&apos;re excused for unknowingly breaking <var class=\"replaceable-license-text\"> [Notices](#notices)</var> if you take all practical steps to comply within thirty days of learning you broke the rule.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Defense</p>\n\n	  <p>Don&apos;t make any legal claim against anyone accusing this software, with or without changes, alone or with other technology, of infringing any patent.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Copyright</p>\n\n	  <p>The contributor licenses you to do everything with this software that would otherwise infringe their copyright in it.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Patent</p>\n\n	  <p>The contributor licenses you to do everything with this software that would otherwise infringe any patents they can license or become able to license.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Reliability</p>\n\n	  <p>The contributor can&apos;t revoke this license.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>No Liability</p>\n\n	  <p>***As far as the law allows, this software comes as is, without any warranty or condition, and the contributor won&apos;t be liable to anyone for any damages related to this software or this license, under any kind of legal claim.***</p>\n\n	"
		self.python_name = "Parity700"

	def __str__(self):
		return json.dumps(self.__dict__)


class UnicodeDFS2015:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "UNICODE, INC. LICENSE AGREEMENT - DATA FILES AND SOFTWARE\n\nUnicode Data Files include all data files under the directories http://www.unicode.org/Public/, http://www.unicode.org/reports/, and http://www.unicode.org/cldr/data/. Unicode Data Files do not include PDF online code charts under the directory http://www.unicode.org/Public/. Software includes any source code published in the Unicode Standard or under the directories http://www.unicode.org/Public/, http://www.unicode.org/reports/, and http://www.unicode.org/cldr/data/.\n\nNOTICE TO USER: Carefully read the following legal agreement. BY DOWNLOADING, INSTALLING, COPYING OR OTHERWISE USING UNICODE INC.'S DATA FILES (\"DATA FILES\"), AND/OR SOFTWARE (\"SOFTWARE\"), YOU UNEQUIVOCALLY ACCEPT, AND AGREE TO BE BOUND BY, ALL OF THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE, DO NOT DOWNLOAD, INSTALL, COPY, DISTRIBUTE OR USE THE DATA FILES OR SOFTWARE.\n\nCOPYRIGHT AND PERMISSION NOTICE\n\nCopyright \u00a9 1991-2015 Unicode, Inc. All rights reserved. Distributed under the Terms of Use in http://www.unicode.org/copyright.html.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Unicode data files and any associated documentation (the \"Data Files\") or Unicode software and any associated documentation (the \"Software\") to deal in the Data Files or Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Data Files or Software, and to permit persons to whom the Data Files or Software are furnished to do so, provided that\n\n	 (a) this copyright and permission notice appear with all copies of the Data Files or Software,\n	 (b) this copyright and permission notice appear in associated documentation, and\n	 (c) there is clear notice in each modified Data File or in the Software as well as in the documentation associated with the Data File(s) or Software that the data or software has been modified.\n\nTHE DATA FILES AND SOFTWARE ARE PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA FILES OR SOFTWARE.\n\nExcept as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other dealings in these Data Files or Software without prior written authorization of the copyright holder.\n"
		self.standardLicenseTemplate = "<<beginOptional>>UNICODE, INC. LICENSE AGREEMENT - DATA FILES AND SOFTWARE\n\n<<endOptional>>\n\nUnicode Data Files include all data files under the directories http://www.unicode.org/Public/, http://www.unicode.org/reports/, and http://www.unicode.org/cldr/data/. Unicode Data Files do not include PDF online code charts under the directory http://www.unicode.org/Public/. Software includes any source code published in the Unicode Standard or under the directories http://www.unicode.org/Public/, http://www.unicode.org/reports/, and http://www.unicode.org/cldr/data/.\n\nNOTICE TO USER: Carefully read the following legal agreement. BY DOWNLOADING, INSTALLING, COPYING OR OTHERWISE USING UNICODE INC.'S DATA FILES (\"DATA FILES\"), AND/OR SOFTWARE (\"SOFTWARE\"), YOU UNEQUIVOCALLY ACCEPT, AND AGREE TO BE BOUND BY, ALL OF THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE, DO NOT DOWNLOAD, INSTALL, COPY, DISTRIBUTE OR USE THE DATA FILES OR SOFTWARE.\n\nCOPYRIGHT AND PERMISSION NOTICE\n\nCopyright \u00a9 1991-2015 Unicode, Inc. All rights reserved. Distributed under the Terms of Use in http://www.unicode.org/copyright.html.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Unicode data files and any associated documentation (the \"Data Files\") or Unicode software and any associated documentation (the \"Software\") to deal in the Data Files or Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Data Files or Software, and to permit persons to whom the Data Files or Software are furnished to do so, provided that\n\n   <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> this copyright and permission notice appear with all copies of the Data Files or Software,\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> this copyright and permission notice appear in associated documentation, and\n\n   <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> there is clear notice in each modified Data File or in the Software as well as in the documentation associated with the Data File(s) or Software that the data or software has been modified.\n\nTHE DATA FILES AND SOFTWARE ARE PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA FILES OR SOFTWARE.\n\nExcept as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other dealings in these Data Files or Software without prior written authorization of the copyright holder.\n\n"
		self.name = "Unicode License Agreement - Data Files and Software (2015)"
		self.licenseId = "Unicode-DFS-2015"
		self.crossRef = [{"match": "N/A", "url": "https://web.archive.org/web/20151224134844/http://unicode.org/copyright.html", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:16:54Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://web.archive.org/web/20151224134844/http://unicode.org/copyright.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>UNICODE, INC. LICENSE AGREEMENT - DATA FILES AND SOFTWARE</p>\n\n	  </div>\n	  <p>Unicode Data Files include all data files under the directories\n		 http://www.unicode.org/Public/,\n		 http://www.unicode.org/reports/, and\n		 http://www.unicode.org/cldr/data/. Unicode Data Files do not\n		 include PDF online code charts under the directory\n		 http://www.unicode.org/Public/. Software includes any source\n		 code published in the Unicode Standard or under the\n		 directories http://www.unicode.org/Public/,\n		 http://www.unicode.org/reports/, and\n		 http://www.unicode.org/cldr/data/.</p>\n\n	  <p>NOTICE TO USER: Carefully read the following legal agreement. BY\n		 DOWNLOADING, INSTALLING, COPYING OR OTHERWISE USING UNICODE\n		 INC.&apos;S DATA FILES (&quot;DATA FILES&quot;), AND/OR SOFTWARE\n		 (&quot;SOFTWARE&quot;), YOU UNEQUIVOCALLY ACCEPT, AND AGREE TO BE BOUND\n		 BY, ALL OF THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU\n		 DO NOT AGREE, DO NOT DOWNLOAD, INSTALL, COPY, DISTRIBUTE OR\n		 USE THE DATA FILES OR SOFTWARE.</p>\n\n	  <p>COPYRIGHT AND PERMISSION NOTICE</p>\n\n	  <p>Copyright \u00a9 1991-2015 Unicode, Inc. All rights reserved.\n		 Distributed under the Terms of Use in\n		 http://www.unicode.org/copyright.html.</p>\n\n	  <p>Permission is hereby granted, free of charge, to any person\n		 obtaining a copy of the Unicode data files and any associated\n		 documentation (the &quot;Data Files&quot;) or Unicode software and any\n		 associated documentation (the &quot;Software&quot;) to deal in the Data\n		 Files or Software without restriction, including without\n		 limitation the rights to use, copy, modify, merge, publish,\n		 distribute, and/or sell copies of the Data Files or Software,\n		 and to permit persons to whom the Data Files or Software are\n		 furnished to do so, provided that</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (a)</var>\n		  this copyright and permission notice appear with all\n			 copies of the Data Files or Software,\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (b)</var>\n		  this copyright and permission notice appear in associated\n			 documentation, and\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (c)</var>\n		  there is clear notice in each modified Data File or in\n			 the Software as well as in the documentation\n			 associated with the Data File(s) or Software that the\n			 data or software has been modified.\n		</li>\n	  \n</ul>\n	  <p>THE DATA FILES AND SOFTWARE ARE PROVIDED &quot;AS IS&quot;, WITHOUT\n		 WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A\n		 PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.\n		 IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN\n		 THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT\n		 OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING\n		 FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF\n		 CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\n		 OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA FILES\n		 OR SOFTWARE.</p>\n\n	  <p>Except as contained in this notice, the name of a copyright\n		 holder shall not be used in advertising or otherwise to\n		 promote the sale, use or other dealings in these Data Files or\n		 Software without prior written authorization of the copyright\n		 holder.</p>\n\n	"
		self.python_name = "UnicodeDFS2015"

	def __str__(self):
		return json.dumps(self.__dict__)


class LGPL21only:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 2.1, February 1999\n\nCopyright (C) 1991, 1999 Free Software Foundation, Inc.\n51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the Lesser GPL.  It also counts as the successor of the GNU Library Public License, version 2, hence the version number 2.1.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Lesser General Public License, applies to some specially designated software packages--typically libraries--of the Free Software Foundation and other authors who decide to use it. You can use it too, but we suggest you first think carefully about whether this license or the ordinary General Public License is the better strategy to use in any particular case, based on the explanations below.\n\nWhen we speak of free software, we are referring to freedom of use, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish); that you receive source code or can get it if you want it; that you can change the software and use pieces of it in new free programs; and that you are informed that you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid distributors to deny you these rights or to ask you to surrender these rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link other code with the library, you must provide complete object files to the recipients, so that they can relink them with the library after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nWe protect your rights with a two-step method: (1) we copyright the library, and (2) we offer you this license, which gives you legal permission to copy, distribute and/or modify the library.\n\nTo protect each distributor, we want to make it very clear that there is no warranty for the free library. Also, if the library is modified by someone else and passed on, the recipients should know that what they have is not the original version, so that the original author's reputation will not be affected by problems that might be introduced by others.\n\nFinally, software patents pose a constant threat to the existence of any free program. We wish to make sure that a company cannot effectively restrict the users of a free program by obtaining a restrictive license from a patent holder. Therefore, we insist that any patent license obtained for a version of the library must be consistent with the full freedom of use specified in this license.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License. This license, the GNU Lesser General Public License, applies to certain designated libraries, and is quite different from the ordinary General Public License. We use this license for certain libraries in order to permit linking those libraries into non-free programs.\n\nWhen a program is linked with a library, whether statically or using a shared library, the combination of the two is legally speaking a combined work, a derivative of the original library. The ordinary General Public License therefore permits such linking only if the entire combination fits its criteria of freedom. The Lesser General Public License permits more lax criteria for linking other code with the library.\n\nWe call this license the \"Lesser\" General Public License because it does Less to protect the user's freedom than the ordinary General Public License. It also provides other free software developers Less of an advantage over competing non-free programs. These disadvantages are the reason we use the ordinary General Public License for many libraries. However, the Lesser license provides advantages in certain special circumstances.\n\nFor example, on rare occasions, there may be a special need to encourage the widest possible use of a certain library, so that it becomes a de-facto standard. To achieve this, non-free programs must be allowed to use the library. A more frequent case is that a free library does the same job as widely used non-free libraries. In this case, there is little to gain by limiting the free library to free software only, so we use the Lesser General Public License.\n\nIn other cases, permission to use a particular library in non-free programs enables a greater number of people to use a large body of free software. For example, permission to use the GNU C Library in non-free programs enables many more people to use the whole GNU operating system, as well as its variant, the GNU/Linux operating system.\n\nAlthough the Lesser General Public License is Less protective of the users' freedom, it does ensure that the user of a program that is linked with the Library has the freedom and the wherewithal to run that program using a modified version of the Library.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, whereas the latter must be combined with the library in order to run.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any software library or other program which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\nA \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\nThe \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n\"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\nActivities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n1. You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\nYou may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	 a) The modified work must itself be a software library.\n\n	 b) You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	 c) You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	 d) If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n(For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\nThese requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\nThus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\nIn addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n3. You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\nOnce this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\nThis option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n4. You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\nIf distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n5. A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\nHowever, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\nWhen a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\nIf such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\nOtherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n6. As an exception to the Sections above, you may also combine or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\nYou must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	 a) Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	 b) Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (1) uses at run time a copy of the library already present on the user's computer system, rather than copying library functions into the executable, and (2) will operate properly with a modified version of the library, if the user installs one, as long as the modified version is interface-compatible with the version that the work was made with.\n\n	 c) Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	 d) If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	 e) Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\nFor an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\nIt may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n7. You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	 a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	 b) Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n8. You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n9. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n10. Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.\n\n11. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\nIf any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\nThis section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n12. If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n13. The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n14. If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 one line to give the library's name and an idea of what it does.\n	 Copyright (C) year  name of author\n\n	 This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.\n\n	 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.\n\n	 You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA Also add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\nthe library `Frob' (a library for tweaking knobs) written\nby James Random Hacker.\n\nsignature of Ty Coon, 1 April 1990\nTy Coon, President of Vice\nThat's all there is to it!\n"
		self.standardLicenseHeaderTemplate = "Copyright (C) <<var;name=\"copyright\";original=\"year name of author\";match=\".+\">>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; version 2.1.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 2.1, February 1999\n\n<<endOptional>>\n\nCopyright (C) 1991, 1999 Free Software Foundation, Inc.\n\n51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the Lesser GPL. It also counts as the successor of the GNU Library Public License, version 2, hence the version number 2.1.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Lesser General Public License, applies to some specially designated software packages--typically libraries--of the Free Software Foundation and other authors who decide to use it. You can use it too, but we suggest you first think carefully about whether this license or the ordinary General Public License is the better strategy to use in any particular case, based on the explanations below.\n\nWhen we speak of free software, we are referring to freedom of use, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish); that you receive source code or can get it if you want it; that you can change the software and use pieces of it in new free programs; and that you are informed that you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid distributors to deny you these rights or to ask you to surrender these rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link other code with the library, you must provide complete object files to the recipients, so that they can relink them with the library after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nWe protect your rights with a two-step method: (1) we copyright the library, and (2) we offer you this license, which gives you legal permission to copy, distribute and/or modify the library.\n\nTo protect each distributor, we want to make it very clear that there is no warranty for the free library. Also, if the library is modified by someone else and passed on, the recipients should know that what they have is not the original version, so that the original author's reputation will not be affected by problems that might be introduced by others.\n\nFinally, software patents pose a constant threat to the existence of any free program. We wish to make sure that a company cannot effectively restrict the users of a free program by obtaining a restrictive license from a patent holder. Therefore, we insist that any patent license obtained for a version of the library must be consistent with the full freedom of use specified in this license.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License. This license, the GNU Lesser General Public License, applies to certain designated libraries, and is quite different from the ordinary General Public License. We use this license for certain libraries in order to permit linking those libraries into non-free programs.\n\nWhen a program is linked with a library, whether statically or using a shared library, the combination of the two is legally speaking a combined work, a derivative of the original library. The ordinary General Public License therefore permits such linking only if the entire combination fits its criteria of freedom. The Lesser General Public License permits more lax criteria for linking other code with the library.\n\nWe call this license the \"Lesser\" General Public License because it does Less to protect the user's freedom than the ordinary General Public License. It also provides other free software developers Less of an advantage over competing non-free programs. These disadvantages are the reason we use the ordinary General Public License for many libraries. However, the Lesser license provides advantages in certain special circumstances.\n\nFor example, on rare occasions, there may be a special need to encourage the widest possible use of a certain library, so that it becomes a de-facto standard. To achieve this, non-free programs must be allowed to use the library. A more frequent case is that a free library does the same job as widely used non-free libraries. In this case, there is little to gain by limiting the free library to free software only, so we use the Lesser General Public License.\n\nIn other cases, permission to use a particular library in non-free programs enables a greater number of people to use a large body of free software. For example, permission to use the GNU C Library in non-free programs enables many more people to use the whole GNU operating system, as well as its variant, the GNU/Linux operating system.\n\nAlthough the Lesser General Public License is Less protective of the users' freedom, it does ensure that the user of a program that is linked with the Library has the freedom and the wherewithal to run that program using a modified version of the Library.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, whereas the latter must be combined with the library in order to run.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License Agreement applies to any software library or other program which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\n   A \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\n   The \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n   \"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The modified work must itself be a software library.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n   (For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\n   In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\n   Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\n   This option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\n   If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\n   However, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\n   When a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\n   If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\n   Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> As an exception to the Sections above, you may also combine or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\n   You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (1) uses at run time a copy of the library already present on the user's computer system, rather than copying library functions into the executable, and (2) will operate properly with a modified version of the library, if the user installs one, as long as the modified version is interface-compatible with the version that the work was made with.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\n   For an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<beginOptional>><<<endOptional>> one line to give the library's name and <<var;name=\"ideaClause\";original=\"an idea\";match=\"an idea|a brief idea\">> of what it does.<<beginOptional>> ><<endOptional>>\n\nCopyright (C)<<beginOptional>> <<<endOptional>> year<<beginOptional>> ><<endOptional>><<beginOptional>> <<<endOptional>> name of author<<beginOptional>> ><<endOptional>>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA Also add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\n\nthe library `Frob' (a library for tweaking knobs) written\n\nby James Random Hacker.\n\n<<beginOptional>><<<endOptional>> signature of Ty Coon<<beginOptional>> ><<endOptional>> , 1 April 1990\n\nTy Coon, President of Vice\n\nThat's all there is to it!\n\n<<endOptional>>"
		self.name = "GNU Lesser General Public License v2.1 only"
		self.licenseComments = "This license was released: February 1999. This license identifier refers to the choice to use the code under LGPL-2.1-only, as distinguished from use of code under LGPL-2.1-or-later (i.e., LGPL-2.1 or some later version). The license notice (as seen in the Standard License Header field below) states which of these applies to the code in the file. The example in the exhibit to the license shows the license notice for the \"or later\" approach."
		self.licenseId = "LGPL-2.1-only"
		self.standardLicenseHeader = "Copyright (C) year name of author\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; version 2.1.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/LGPL-2.1", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:57Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/lgpl-2.1-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:57Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/lgpl-2.1-standalone.html", "https://opensource.org/licenses/LGPL-2.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU LESSER GENERAL PUBLIC LICENSE\n	  </p>\n\n	  <p>\n		Version 2.1, February 1999\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 1991, 1999 Free Software Foundation, Inc.<br />\n\n	  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  [This is the first released version of the Lesser GPL.\n	  It also counts as the successor of the GNU Library\n	  Public License, version 2, hence the version number 2.1.]\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The licenses for most software are designed to take away your\n	  freedom to share and change it. By contrast, the GNU General Public\n	  Licenses are intended to guarantee your freedom to share and change\n	  free software--to make sure the software is free for all its users.\n	</p>\n\n	<p>\n	  This license, the Lesser General Public License, applies to some\n	  specially designated software packages--typically libraries--of the\n	  Free Software Foundation and other authors who decide to use it. You\n	  can use it too, but we suggest you first think carefully about whether\n	  this license or the ordinary General Public License is the better\n	  strategy to use in any particular case, based on the explanations below.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom of use, not\n	  price. Our General Public Licenses are designed to make sure that you\n	  have the freedom to distribute copies of free software (and charge for\n	  this service if you wish); that you receive source code or can get it if\n	  you want it; that you can change the software and use pieces of it in new\n	  free programs; and that you are informed that you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to make restrictions that forbid\n	  distributors to deny you these rights or to ask you to surrender\n	  these rights. These restrictions translate to certain responsibilities\n	  for you if you distribute copies of the library or if you modify it.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of the library, whether gratis\n	  or for a fee, you must give the recipients all the rights that we\n	  gave you. You must make sure that they, too, receive or can get the\n	  source code. If you link other code with the library, you must provide\n	  complete object files to the recipients, so that they can relink them\n	  with the library after making changes to the library and recompiling\n	  it. And you must show them these terms so they know their rights.\n	</p>\n\n	<p>\n	  We protect your rights with a two-step method: (1) we copyright\n	  the library, and (2) we offer you this license, which gives you\n	  legal permission to copy, distribute and/or modify the library.\n	</p>\n\n	<p>\n	  To protect each distributor, we want to make it very clear that there\n	  is no warranty for the free library. Also, if the library is modified\n	  by someone else and passed on, the recipients should know that what they\n	  have is not the original version, so that the original author&apos;s reputation\n	  will not be affected by problems that might be introduced by others.\n	</p>\n\n	<p>\n	  Finally, software patents pose a constant threat to the existence\n	  of any free program. We wish to make sure that a company cannot\n	  effectively restrict the users of a free program by obtaining a\n	  restrictive license from a patent holder. Therefore, we insist that\n	  any patent license obtained for a version of the library must be\n	  consistent with the full freedom of use specified in this license.\n	</p>\n\n	<p>\n	  Most GNU software, including some libraries, is covered by\n	  the ordinary GNU General Public License. This license, the GNU\n	  Lesser General Public License, applies to certain designated\n	  libraries, and is quite different from the ordinary General\n	  Public License. We use this license for certain libraries in\n	  order to permit linking those libraries into non-free programs.\n	</p>\n\n	<p>\n	  When a program is linked with a library, whether statically or using\n	  a shared library, the combination of the two is legally speaking a\n	  combined work, a derivative of the original library. The ordinary\n	  General Public License therefore permits such linking only if the entire\n	  combination fits its criteria of freedom. The Lesser General Public\n	  License permits more lax criteria for linking other code with the library.\n	</p>\n\n	<p>\n	  We call this license the &quot;Lesser&quot; General Public License\n	  because it does Less to protect the user&apos;s freedom than the\n	  ordinary General Public License. It also provides other free\n	  software developers Less of an advantage over competing non-free\n	  programs. These disadvantages are the reason we use the ordinary\n	  General Public License for many libraries. However, the Lesser\n	  license provides advantages in certain special circumstances.\n	</p>\n\n	<p>\n	  For example, on rare occasions, there may be a special need to\n	  encourage the widest possible use of a certain library, so that\n	  it becomes a de-facto standard. To achieve this, non-free programs\n	  must be allowed to use the library. A more frequent case is that a\n	  free library does the same job as widely used non-free libraries.\n	  In this case, there is little to gain by limiting the free library\n	  to free software only, so we use the Lesser General Public License.\n	</p>\n\n	<p>\n	  In other cases, permission to use a particular library in non-free\n	  programs enables a greater number of people to use a large body of free\n	  software. For example, permission to use the GNU C Library in non-free\n	  programs enables many more people to use the whole GNU operating\n	  system, as well as its variant, the GNU/Linux operating system.\n	</p>\n\n	<p>\n	  Although the Lesser General Public License is Less protective of\n	  the users&apos; freedom, it does ensure that the user of a program that\n	  is linked with the Library has the freedom and the wherewithal\n	  to run that program using a modified version of the Library.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying, distribution and\n	  modification follow. Pay close attention to the difference between\n	  a &quot;work based on the library&quot; and a &quot;work that uses the library&quot;.\n	  The former contains code derived from the library, whereas\n	  the latter must be combined with the library in order to run.\n	</p>\n\n	<p>\n	  TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		This License Agreement applies to any software library or\n		other program which contains a notice placed by the copyright\n		holder or other authorized party saying it may be distributed\n		under the terms of this Lesser General Public License (also\n		called &quot;this License&quot;). Each licensee is addressed as &quot;you&quot;.\n		<p>\n		  A &quot;library&quot; means a collection of software functions and/or data\n		  prepared so as to be conveniently linked with application programs\n		  (which use some of those functions and data) to form executables.\n		</p>\n\n		<p>\n		  The &quot;Library&quot;, below, refers to any such software library or work\n		  which has been distributed under these terms. A &quot;work based on\n		  the Library&quot; means either the Library or any derivative work under\n		  copyright law: that is to say, a work containing the Library or a\n		  portion of it, either verbatim or with modifications and/or translated\n		  straightforwardly into another language. (Hereinafter, translation\n		  is included without limitation in the term &quot;modification&quot;.)\n		</p>\n\n		<p>\n		  &quot;Source code&quot; for a work means the preferred form of the work\n		  for making modifications to it. For a library, complete source\n		  code means all the source code for all modules it contains,\n		  plus any associated interface definition files, plus the scripts\n		  used to control compilation and installation of the library.\n		</p>\n\n		<p>\n		  Activities other than copying, distribution and modification are\n		  not covered by this License; they are outside its scope. The act of\n		  running a program using the Library is not restricted, and output\n		  from such a program is covered only if its contents constitute a\n		  work based on the Library (independent of the use of the Library\n		  in a tool for writing it). Whether that is True depends on what\n		  the Library does and what the program that uses the Library does.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		You may copy and distribute verbatim copies of the Library&apos;s complete\n		source code as you receive it, in any medium, provided that you\n		conspicuously and appropriately publish on each copy an appropriate\n		copyright notice and disclaimer of warranty; keep intact all the\n		notices that refer to this License and to the absence of any warranty;\n		and distribute a copy of this License along with the Library.\n		<p>\n		  You may charge a fee for the physical act of\n		  transferring a copy, and you may at your option\n		  offer warranty protection in exchange for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		You may modify your copy or copies of the Library or any portion\n		of it, thus forming a work based on the Library, and copy and\n		distribute such modifications or work under the terms of Section\n		1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			The modified work must itself be a software library.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			You must cause the files modified to carry prominent notices\n			stating that you changed the files and the date of any change.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			You must cause the whole of the work to be licensed at no\n			charge to all third parties under the terms of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If a facility in the modified Library refers to a function\n			or a table of data to be supplied by an application program\n			that uses the facility, other than as an argument passed\n			when the facility is invoked, then you must make a good faith\n			effort to ensure that, in the event an application does not\n			supply such function or table, the facility still operates,\n			and performs whatever part of its purpose remains meaningful.\n		  </li>\n		\n</ul>\n		<p>\n		  (For example, a function in a library to compute square roots\n		  has a purpose that is entirely well-defined independent of\n		  the application. Therefore, Subsection 2d requires that any\n		  application-supplied function or table used by this function\n		  must be optional: if the application does not supply it,\n		  the square root function must still compute square roots.)\n		</p>\n\n		<p>\n		  These requirements apply to the modified work as a whole. If\n		  identifiable sections of that work are not derived from the\n		  Library, and can be reasonably considered independent and separate\n		  works in themselves, then this License, and its terms, do not\n		  apply to those sections when you distribute them as separate\n		  works. But when you distribute the same sections as part of a\n		  whole which is a work based on the Library, the distribution\n		  of the whole must be on the terms of this License, whose\n		  permissions for other licensees extend to the entire whole,\n		  and thus to each and every part regardless of who wrote it.\n		</p>\n\n		<p>\n		  Thus, it is not the intent of this section to claim rights or\n		  contest your rights to work written entirely by you; rather,\n		  the intent is to exercise the right to control the distribution\n		  of derivative or collective works based on the Library.\n		</p>\n\n		<p>\n		  In addition, mere aggregation of another work not based on\n		  the Library with the Library (or with a work based on the\n		  Library) on a volume of a storage or distribution medium does\n		  not bring the other work under the scope of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		You may opt to apply the terms of the ordinary GNU General\n		Public License instead of this License to a given copy of the\n		Library. To do this, you must alter all the notices that refer\n		to this License, so that they refer to the ordinary GNU General\n		Public License, version 2, instead of to this License. (If a\n		newer version than version 2 of the ordinary GNU General Public\n		License has appeared, then you can specify that version instead\n		if you wish.) Do not make any other change in these notices.\n		<p>\n		  Once this change is made in a given copy, it is irreversible for\n		  that copy, so the ordinary GNU General Public License applies to\n		  all subsequent copies and derivative works made from that copy.\n		</p>\n\n		<p>\n		  This option is useful when you wish to copy part of the\n		  code of the Library into a program that is not a library.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		You may copy and distribute the Library (or a portion or derivative\n		of it, under Section 2) in object code or executable form under\n		the terms of Sections 1 and 2 above provided that you accompany\n		it with the complete corresponding machine-readable source code,\n		which must be distributed under the terms of Sections 1 and 2\n		above on a medium customarily used for software interchange.\n		<p>\n		  If distribution of object code is made by offering access to copy\n		  from a designated place, then offering equivalent access to copy\n		  the source code from the same place satisfies the requirement\n		  to distribute the source code, even though third parties are\n		  not compelled to copy the source along with the object code.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		A program that contains no derivative of any portion of the\n		Library, but is designed to work with the Library by being compiled\n		or linked with it, is called a &quot;work that uses the Library&quot;.\n		Such a work, in isolation, is not a derivative work of the\n		Library, and therefore falls outside the scope of this License.\n		<p>\n		  However, linking a &quot;work that uses the Library&quot; with the Library\n		  creates an executable that is a derivative of the Library (because\n		  it contains portions of the Library), rather than a &quot;work that uses\n		  the library&quot;. The executable is therefore covered by this License.\n		  Section 6 states terms for distribution of such executables.\n		</p>\n\n		<p>\n		  When a &quot;work that uses the Library&quot; uses material from a header\n		  file that is part of the Library, the object code for the work may\n		  be a derivative work of the Library even though the source code is\n		  not. Whether this is True is especially significant if the work can\n		  be linked without the Library, or if the work is itself a library.\n		  The threshold for this to be True is not precisely defined by law.\n		</p>\n\n		<p>\n		  If such an object file uses only numerical parameters, data\n		  structure layouts and accessors, and small macros and small inline\n		  functions (ten lines or less in length), then the use of the\n		  object file is unrestricted, regardless of whether it is legally\n		  a derivative work. (Executables containing this object code\n		  plus portions of the Library will still fall under Section 6.)\n		</p>\n\n		<p>\n		  Otherwise, if the work is a derivative of the Library, you may\n		  distribute the object code for the work under the terms of Section\n		  6. Any executables containing that work also fall under Section 6,\n		  whether or not they are linked directly with the Library itself.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		As an exception to the Sections above, you may also combine or\n		link a &quot;work that uses the Library&quot; with the Library to produce\n		a work containing portions of the Library, and distribute\n		that work under terms of your choice, provided that the terms\n		permit modification of the work for the customer&apos;s own use\n		and reverse engineering for debugging such modifications.\n		<p>\n		  You must give prominent notice with each copy of the work\n		  that the Library is used in it and that the Library and its\n		  use are covered by this License. You must supply a copy of\n		  this License. If the work during execution displays copyright\n		  notices, you must include the copyright notice for the Library\n		  among them, as well as a reference directing the user to the\n		  copy of this License. Also, you must do one of these things:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany the work with the complete corresponding machine-readable\n			source code for the Library including whatever changes were used in\n			the work (which must be distributed under Sections 1 and 2 above);\n			and, if the work is an executable linked with the Library, with the\n			complete machine-readable &quot;work that uses the Library&quot;, as object\n			code and/or source code, so that the user can modify the Library\n			and then relink to produce a modified executable containing the\n			modified Library. (It is understood that the user who changes the\n			contents of definitions files in the Library will not necessarily be\n			able to recompile the application to use the modified definitions.)\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Use a suitable shared library mechanism for linking with the\n			Library. A suitable mechanism is one that (1) uses at run time a\n			copy of the library already present on the user&apos;s computer system,\n			rather than copying library functions into the executable, and\n			(2) will operate properly with a modified version of the library,\n			if the user installs one, as long as the modified version is\n			interface-compatible with the version that the work was made with.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Accompany the work with a written offer, valid for at\n			least three years, to give the same user the materials\n			specified in Subsection 6a, above, for a charge no\n			more than the cost of performing this distribution.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If distribution of the work is made by offering access to\n			copy from a designated place, offer equivalent access to\n			copy the above specified materials from the same place.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Verify that the user has already received a copy of these\n			materials or that you have already sent this user a copy.\n		  </li>\n		\n</ul>\n		<p>\n		  For an executable, the required form of the &quot;work that uses\n		  the Library&quot; must include any data and utility programs needed\n		  for reproducing the executable from it. However, as a special\n		  exception, the materials to be distributed need not include\n		  anything that is normally distributed (in either source or\n		  binary form) with the major components (compiler, kernel,\n		  and so on) of the operating system on which the executable\n		  runs, unless that component itself accompanies the executable.\n		</p>\n\n		<p>\n		  It may happen that this requirement contradicts the\n		  license restrictions of other proprietary libraries that\n		  do not normally accompany the operating system. Such\n		  a contradiction means you cannot use both them and the\n		  Library together in an executable that you distribute.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		You may place library facilities that are a work based on the\n		Library side-by-side in a single library together with other library\n		facilities not covered by this License, and distribute such a\n		combined library, provided that the separate distribution of the\n		work based on the Library and of the other library facilities is\n		otherwise permitted, and provided that you do these two things:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany the combined library with a copy of the same work based\n			on the Library, uncombined with any other library facilities.\n			This must be distributed under the terms of the Sections above.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Give prominent notice with the combined library of the fact\n			that part of it is a work based on the Library, and explaining\n			where to find the accompanying uncombined form of the same work.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		You may not copy, modify, sublicense, link with, or distribute the\n		Library except as expressly provided under this License. Any attempt\n		otherwise to copy, modify, sublicense, link with, or distribute\n		the Library is void, and will automatically terminate your rights\n		under this License. However, parties who have received copies, or\n		rights, from you under this License will not have their licenses\n		terminated so long as such parties remain in full compliance.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		You are not required to accept this License, since you have\n		not signed it. However, nothing else grants you permission to\n		modify or distribute the Library or its derivative works. These\n		actions are prohibited by law if you do not accept this License.\n		Therefore, by modifying or distributing the Library (or any\n		work based on the Library), you indicate your acceptance of this\n		License to do so, and all its terms and conditions for copying,\n		distributing or modifying the Library or works based on it.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		Each time you redistribute the Library (or any work based on\n		the Library), the recipient automatically receives a license\n		from the original licensor to copy, distribute, link with or\n		modify the Library subject to these terms and conditions. You\n		may not impose any further restrictions on the recipients&apos;\n		exercise of the rights granted herein. You are not responsible\n		for enforcing compliance by third parties with this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		If, as a consequence of a court judgment or allegation of patent\n		infringement or for any other reason (not limited to patent issues),\n		conditions are imposed on you (whether by court order, agreement\n		or otherwise) that contradict the conditions of this License,\n		they do not excuse you from the conditions of this License. If you\n		cannot distribute so as to satisfy simultaneously your obligations\n		under this License and any other pertinent obligations, then as a\n		consequence you may not distribute the Library at all. For example,\n		if a patent license would not permit royalty-free redistribution of\n		the Library by all those who receive copies directly or indirectly\n		through you, then the only way you could satisfy both it and this\n		License would be to refrain entirely from distribution of the Library.\n		<p>\n		  If any portion of this section is held invalid or\n		  unenforceable under any particular circumstance, the\n		  balance of the section is intended to apply, and the section\n		  as a whole is intended to apply in other circumstances.\n		</p>\n\n		<p>\n		  It is not the purpose of this section to induce you to infringe\n		  any patents or other property right claims or to contest\n		  validity of any such claims; this section has the sole purpose\n		  of protecting the integrity of the free software distribution\n		  system which is implemented by public license practices. Many\n		  people have made generous contributions to the wide range of\n		  software distributed through that system in reliance on consistent\n		  application of that system; it is up to the author/donor to\n		  decide if he or she is willing to distribute software through\n		  any other system and a licensee cannot impose that choice.\n		</p>\n\n		<p>\n		  This section is intended to make thoroughly clear what is\n		  believed to be a consequence of the rest of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		If the distribution and/or use of the Library is restricted in\n		certain countries either by patents or by copyrighted interfaces,\n		the original copyright holder who places the Library under this\n		License may add an explicit geographical distribution limitation\n		excluding those countries, so that distribution is permitted only\n		in or among countries not thus excluded. In such case, this License\n		incorporates the limitation as if written in the body of this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 13.</var>\n		The Free Software Foundation may publish revised and/or new\n		versions of the Lesser General Public License from time to time.\n		Such new versions will be similar in spirit to the present version,\n		but may differ in detail to address new problems or concerns.\n		<p>\n		  Each version is given a distinguishing version number. If\n		  the Library specifies a version number of this License which\n		  applies to it and &quot;any later version&quot;, you have the option of\n		  following the terms and conditions either of that version or of\n		  any later version published by the Free Software Foundation. If\n		  the Library does not specify a license version number, you may\n		  choose any version ever published by the Free Software Foundation.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 14.</var>\n		If you wish to incorporate parts of the Library into other free programs\n		whose distribution conditions are incompatible with these, write to\n		the author to ask for permission. For software which is copyrighted by\n		the Free Software Foundation, write to the Free Software Foundation; we\n		sometimes make exceptions for this. Our decision will be guided by the\n		two goals of preserving the free status of all derivatives of our free\n		software and of promoting the sharing and reuse of software generally.\n		<p>\n		  NO WARRANTY\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 15.</var>\n		BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\n		FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT\n		WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER\n		PARTIES PROVIDE THE LIBRARY &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND,\n		EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\n		IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\n		THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU\n		ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 16.</var>\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n		REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR\n		DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL\n		DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY\n		(INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\n		INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF\n		THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER\n		OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Libraries\n	  </p>\n\n	  <p>\n		If you develop a new library, and you want it to be of the greatest\n		possible use to the public, we recommend making it free software\n		that everyone can redistribute and change. You can do so by\n		permitting redistribution under these terms (or, alternatively,\n		under the terms of the ordinary General Public License).\n	  </p>\n\n	  <p>\n		To apply these terms, attach the following notices to the\n		library. It is safest to attach them to the start of each\n		source file to most effectively convey the exclusion of\n		warranty; and each file should have at least the &quot;copyright&quot;\n		line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n\t<var class=\"optional-license-text\"> &lt;</var>one line to give the library&apos;s name\n\tand <var class=\"replaceable-license-text\"> an idea</var> of what it does.<var class=\"optional-license-text\"> &gt;</var>\n		<br />\n\n		Copyright (C)\n		<var class=\"optional-license-text\"> &lt;</var>year<var class=\"optional-license-text\"> &gt;</var>\n		<var class=\"optional-license-text\"> &lt;</var>name of author<var class=\"optional-license-text\"> &gt;</var>\n	  </p>\n\n	  <p>\n		This library is free software; you can redistribute it and/or\n		modify it under the terms of the GNU Lesser General Public\n		License as published by the Free Software Foundation; either\n		version 2.1 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This library is distributed in the hope that it will be useful,\n		but WITHOUT ANY WARRANTY; without even the implied warranty\n		of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n		See the GNU Lesser General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU Lesser General Public License\n		along with this library; if not, write to the Free Software Foundation,\n		Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA Also\n		add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or your school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the library, if necessary. Here is a sample; alter the names:\n	  </p>\n\n	  <p>\n		Yoyodyne, Inc., hereby disclaims all copyright interest in<br />\n\n		the library `Frob&apos; (a library for tweaking knobs) written<br />\n\n		by James Random Hacker.\n	  </p>\n\n	  <p>\n\t<var class=\"optional-license-text\"> &lt;</var>signature of Ty Coon<var class=\"optional-license-text\"> &gt;</var>,\n\t1 April 1990<br />\n\n		Ty Coon, President of Vice<br />\n\n		That&apos;s all there is to it!\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (C) <var class=\"replaceable-license-text\"> year name of author</var>\n	  <p>\n		This library is free software; you can redistribute it and/or\n		modify it under the terms of the GNU Lesser General Public\n		License as published by the Free Software Foundation; version 2.1.\n	  </p>\n\n	  <p>\n		This library is distributed in the hope that it will be useful,\n		but WITHOUT ANY WARRANTY; without even the implied warranty\n		of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n		See the GNU Lesser General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU Lesser General Public License\n		along with this library; if not, write to the Free Software Foundation,\n		Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n	  </p>\n\n	"
		self.python_name = "LGPL21only"

	def __str__(self):
		return json.dumps(self.__dict__)


class Apache10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Copyright (c) 1995-1999 The Apache Group. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. All advertising materials mentioning features or use of this software must display the following acknowledgment: \"This product includes software developed by the Apache Group for use in the Apache HTTP server project (http://www.apache.org/).\"\n\n4. The names \"Apache\" and \"Apache Software Foundation\" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact apache@apache.org.\n\n5. Products derived from this software may not be called \"Apache\" nor may \"Apache\" appear in their name, without prior written permission of the Apache Group.\n\n6. Redistributions of any form whatsoever must retain the following acknowledgment:\n\"This product includes software developed by the Apache Group for use in the Apache HTTP server project (http://www.apache.org/).\"\n\nTHIS SOFTWARE IS PROVIDED BY THE APACHE GROUP ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE APACHE GROUP OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n This software consists of voluntary contributions made by many individuals on behalf of the Apache Group and was originally based on public domain software written at the National Center for Supercomputing Applications, University of Illinois, Urbana-Champaign. For more information on the Apache Group and the Apache HTTP server project, please see <http://www.apache.org/>.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1995-1999 The Apache Group. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> All advertising materials mentioning features or use of this software must display the following acknowledgment: \"This product includes software developed by the <<var;name=\"organizationClause3\";original=\"Apache Group for use in the Apache HTTP server project (http://www.apache.org/)\";match=\".+\">> .\"\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The <<var;name=\"nameClause4\";original=\"name\";match=\"name\\(s\\)|name|name\">> <<var;name=\"organizationClause4\";original=\"\"Apache Server\" and \"Apache Group\"\";match=\".+\">> must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact <<var;name=\"contactClause4\";original=\"apache@apache.org\";match=\".+\">> .\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Products derived from this software may not be called <<var;name=\"nameClause5\";original=\"\"Apache\"\";match=\".+\">> nor may <<var;name=\"name2clause5\";original=\"\"Apache\"\";match=\".+\">> appear in their <<var;name=\"name3clause5\";original=\"name\";match=\"name|names\">> , without prior written permission of <<var;name=\"name4clause5\";original=\"the Apache Group\";match=\".+\">> .\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Redistributions of any form whatsoever must retain the following acknowledgment:\n\n   \"This product includes software developed by <<var;name=\"nameClause6\";original=\"the Apache Group for use in the Apache HTTP server project (http://www.apache.org/)\";match=\".+\">> .\"\n\nTHIS SOFTWARE IS PROVIDED BY <<var;name=\"copyrightHolderAsIs\";original=\"THE APACHE GROUP\";match=\".+\">> ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <<var;name=\"copyrightHolderLiability\";original=\"THE APACHE GROUP OR ITS CONTRIBUTORS\";match=\".+\">> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n<<beginOptional>>This software consists of voluntary contributions made by many individuals on behalf of the Apache Group and was originally based on public domain software written at the National Center for Supercomputing Applications, University of Illinois, Urbana-Champaign. For more information on the Apache Group and the Apache HTTP server project, please see <http://www.apache.org/>.<<endOptional>>\n\n"
		self.name = "Apache License 1.0"
		self.licenseId = "Apache-1.0"
		self.crossRef = [{"match": "False", "url": "http://www.apache.org/licenses/LICENSE-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:06Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.apache.org/licenses/LICENSE-1.0"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1995-1999 The Apache Group. All rights reserved.</p>\n\n	  </div>\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  All advertising materials mentioning features or use of this software must display the following\n			 acknowledgment: &quot;This product includes software developed by the\n			<var class=\"replaceable-license-text\"> Apache Group for use in the Apache HTTP server project\n			(http://www.apache.org/)</var>.&quot;\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  The\n			<var class=\"replaceable-license-text\"> name</var>\n			<var class=\"replaceable-license-text\"> &quot;Apache Server&quot; and &quot;Apache Group&quot;</var> must\n			not be used to endorse or promote products derived from this software without prior written\n			permission. For written permission, please contact\n			<var class=\"replaceable-license-text\"> apache@apache.org</var>.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Products derived from this software may not be called\n			<var class=\"replaceable-license-text\"> &quot;Apache&quot;</var> nor may\n			<var class=\"replaceable-license-text\"> &quot;Apache&quot;</var> appear in their\n			<var class=\"replaceable-license-text\"> name</var>, without prior written permission of\n			<var class=\"replaceable-license-text\"> the Apache Group</var>.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Redistributions of any form whatsoever must retain the following acknowledgment:\n		  <p>&quot;This product includes software developed by <var class=\"replaceable-license-text\"> the\n		  Apache Group for use in the Apache HTTP server project (http://www.apache.org/)</var>.&quot;</p>\n\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY\n		<var class=\"replaceable-license-text\"> THE APACHE GROUP</var> ``AS IS&apos;&apos; AND ANY EXPRESSED OR IMPLIED\n		WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n		PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL\n		<var class=\"replaceable-license-text\"> THE APACHE GROUP OR ITS CONTRIBUTORS</var> BE LIABLE FOR\n		ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n		LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n	  </p>\n\n	  <p>\n		 <var class=\"optional-license-text\"> This software consists of voluntary contributions made by many individuals on behalf of the Apache Group\n		 and was originally based on public domain software written at the National Center for Supercomputing\n		 Applications, University of Illinois, Urbana-Champaign. For more information on the Apache Group and\n		 the Apache HTTP server project, please see &lt;http://www.apache.org/&gt;.</var>\n	  </p>\n\n	"
		self.python_name = "Apache10"

	def __str__(self):
		return json.dumps(self.__dict__)


class Parity600:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The Parity Public License 6.0.0\n\nContributor: Example, Inc.\n\nSource Code: https://example.com/sourcecode\n\nThis license lets you use and share this software for free, as\nlong as you contribute software you make with it. Specifically:\n\nIf you follow the rules below, you may do everything with this\nsoftware that would otherwise infringe either the contributor's\ncopyright in it, any patent claim the contributor can license,\nor both.\n\n1. Contribute changes and additions you make to this software.\n\n2. If you combine this software with other software, contribute\n   that other software.\n\n3. Contribute software you develop, deploy, monitor, or run with\n   this software.\n\n4. Ensure everyone who gets a copy of this software from you, in\n   source code or any other form, gets the text of this license\n   and the contributor and source code lines above.\n\n5. Do not make any legal claim against anyone accusing this\n   software, with or without changes, alone or with other\n   software, of infringing any patent claim.\n\nTo contribute software, publish all its source code, in the\npreferred form for making changes, through a freely accessible\ndistribution system widely used for similar source code, and\nlicense contributions not already licensed to the public on terms\nas permissive as this license accordingly.\n\nYou are excused for unknowingly breaking 1, 2, or 3 if you\ncontribute as required, or stop doing anything requiring this\nlicense, within 30 days of learning you broke the rule.\n\n**As far as the law allows, this software comes as is, without\nany warranty, and the contributor will not be liable to anyone\nfor any damages related to this software or this license, for any\nkind of legal claim.**\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Parity Public License 6.0.0\n\n<<endOptional>>\n\nContributor: <<var;name=\"copyright\";original=\"contributor name\";match=\".+\">>\n\nSource Code: <<var;name=\"source\";original=\"source\";match=\".+\">>\n\nThis license lets you use and share this software for free, as long as you contribute software you make with it. Specifically:\n\nIf you follow the rules below, you may do everything with this software that would otherwise infringe either the contributor's copyright in it, any patent claim the contributor can license, or both.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Contribute changes and additions you make to this software.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> If you combine this software with other software, contribute that other software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Contribute software you develop, deploy, monitor, or run with this software.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Ensure everyone who gets a copy of this software from you, in source code or any other form, gets the text of this license and the contributor and source code lines above.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Do not make any legal claim against anyone accusing this software, with or without changes, alone or with other software, of infringing any patent claim.\n\nTo contribute software, publish all its source code, in the preferred form for making changes, through a freely accessible distribution system widely used for similar source code, and license contributions not already licensed to the public on terms as permissive as this license accordingly.\n\nYou are excused for unknowingly breaking 1, 2, or 3 if you contribute as required, or stop doing anything requiring this license, within 30 days of learning you broke the rule.\n\n**As far as the law allows, this software comes as is, without any warranty, and the contributor will not be liable to anyone for any damages related to this software or this license, for any kind of legal claim.**\n\n"
		self.name = "The Parity Public License 6.0.0"
		self.licenseId = "Parity-6.0.0"
		self.crossRef = [{"match": "False", "url": "https://paritylicense.com/versions/6.0.0.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:47Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://paritylicense.com/versions/6.0.0.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p>The Parity Public License 6.0.0</p>\n\n	  </div>\n	  <p>Contributor: <var class=\"replaceable-license-text\"> contributor name</var></p>\n\n	  <p>Source Code: <var class=\"replaceable-license-text\"> source</var></p>\n\n	  <p>This license lets you use and share this software for free, as long as you contribute software you make with it. Specifically:</p>\n\n	  <p>If you follow the rules below, you may do everything with this software that would otherwise infringe either the contributor&apos;s copyright in it, any patent claim the contributor can license, or both.</p>\n\n<ul style=\"list-style:none\">\n		\n<li><var class=\"replaceable-license-text\"> 1.</var> Contribute changes and additions you make to this software.\n		  </li>\n		\n<li><var class=\"replaceable-license-text\"> 2.</var> If you combine this software with other software, contribute that other software.\n		  </li>\n		\n<li><var class=\"replaceable-license-text\"> 3.</var> Contribute software you develop, deploy, monitor, or run with this software.\n		  </li>\n		\n<li><var class=\"replaceable-license-text\"> 4.</var> Ensure everyone who gets a copy of this software from you, in source code or any other form, gets the text of this license and the contributor and source code lines above.\n		  </li>\n		\n<li><var class=\"replaceable-license-text\"> 5.</var> Do not make any legal claim against anyone accusing this software, with or without changes, alone or with other software, of infringing any patent claim. </li>\n	  \n</ul>\n	  <p>To contribute software, publish all its source code, in the preferred form for making changes, through a freely accessible distribution system widely used for similar source code, and license contributions not already licensed to the public on terms as permissive as this license accordingly.</p>\n\n	  <p>You are excused for unknowingly breaking 1, 2, or 3 if you contribute as required, or stop doing anything requiring this license, within 30 days of learning you broke the rule.</p>\n\n	  <p>**As far as the law allows, this software comes as is, without any warranty, and the contributor will not be liable to anyone for any damages related to this software or this license, for any kind of legal claim.**</p>\n\n	"
		self.python_name = "Parity600"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL12noinvariantsorlater:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU Free Documentation License\nVersion 1.2, November 2002\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\nThe Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n	 H. Include an unaltered copy of this License.\n	 I. Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n	 O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\n with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts,and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.2, November 2002\n\n<<endOptional>>\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   A section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\n   The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n\n	  <<var;name=\"bullet\";original=\"O.\";match=\".{0,20}\">> Preserve any Warranty Disclaimers.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\n   If a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.2 or later - no invariants"
		self.licenseComments = "This license was released November 2002. The identifier GFDL-1.2-or-later-no-invariants should only be used when there are no Invariant Sections, Front-Cover Texts or Back-Cover Texts. See GFDL-1.2-or-later and GFDL-1.2-or-later-invariants for alternatives."
		self.licenseId = "GFDL-1.2-no-invariants-or-later"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts,and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/fdl-1.2.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:37Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/fdl-1.2.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.2, November 2002\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2000,2001,2002 Free Software Foundation,\n	  Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook, or\n		  other functional and useful document &quot;free&quot; in the sense of\n		  freedom: to assure everyone the effective freedom to copy and\n		  redistribute it, with or without modifying it, either commercially\n		  or noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work, in any medium,\n		  that contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. Such a\n		  notice grants a world-wide, royalty-free license, unlimited in\n		  duration, to use that work under the conditions stated herein.\n		  The &quot;Document&quot;, below, refers to any such manual or work.\n		  Any member of the public is a licensee, and is addressed as\n		  &quot;you&quot;. You accept the license if you copy, modify or distribute\n		  the work in a way requiring permission under copyright law.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter\n		  section of the Document that deals exclusively with the\n		  relationship of the publishers or authors of the Document to the\n		  Document&apos;s overall subject (or to related matters) and contains\n		  nothing that could fall directly within that overall subject.\n		  (Thus, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections,\n		  in the notice that says that the Document is released under\n		  this License. If a section does not fit the above definition of\n		  Secondary then it is not allowed to be designated as Invariant.\n		  The Document may contain zero Invariant Sections. If the Document\n		  does not identify any Invariant Sections then there are none.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are listed,\n		  as Front-Cover Texts or Back-Cover Texts, in the notice that says that\n		  the Document is released under this License. A Front-Cover Text may\n		  be at most 5 words, and a Back-Cover Text may be at most 25 words.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable\n		  copy, represented in a format whose specification is available\n		  to the general public, that is suitable for revising the document\n		  straightforwardly with generic text editors or (for images composed of\n		  pixels) generic paint programs or (for drawings) some widely available\n		  drawing editor, and that is suitable for input to text formatters or\n		  for automatic translation to a variety of formats suitable for input\n		  to text formatters. A copy made in an otherwise Transparent file\n		  format whose markup, or absence of markup, has been arranged to thwart\n		  or discourage subsequent modification by readers is not Transparent.\n		  An image format is not Transparent if used for any substantial\n		  amount of text. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include plain\n		  ASCII without markup, Texinfo input format, LaTeX input format,\n		  SGML or XML using a publicly available DTD, and standard-conforming\n		  simple HTML, PostScript or PDF designed for human modification.\n		  Examples of transparent image formats include PNG, XCF and JPG.\n		  Opaque formats include proprietary formats that can be read\n		  and edited only by proprietary word processors, SGML or XML\n		  for which the DTD and/or processing tools are not generally\n		  available, and the machine-generated HTML, PostScript or PDF\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n		<p>\n		  A section &quot;Entitled XYZ&quot; means a named subunit of the Document whose\n		  title either is precisely XYZ or contains XYZ in parentheses following\n		  text that translates XYZ in another language. (Here XYZ stands for\n		  a specific section name mentioned below, such as &quot;Acknowledgements&quot;,\n		  &quot;Dedications&quot;, &quot;Endorsements&quot;, or &quot;History&quot;.) To &quot;Preserve the\n		  Title&quot; of such a section when you modify the Document means that\n		  it remains a section &quot;Entitled XYZ&quot; according to this definition.\n		</p>\n\n		<p>\n		  The Document may include Warranty Disclaimers next to the notice\n		  which states that this License applies to the Document. These\n		  Warranty Disclaimers are considered to be included by reference\n		  in this License, but only as regards disclaiming warranties:\n		  any other implication that these Warranty Disclaimers may\n		  have is void and has no effect on the meaning of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies (or copies in media that commonly\n		  have printed covers) of the Document, numbering more than 100,\n		  and the Document&apos;s license notice requires Cover Texts, you must\n		  enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a computer-network location from which the general\n		  network-using public has access to download using public-standard\n		  network protocols a complete Transparent copy of the Document,\n		  free of added material. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or\n			entities responsible for authorship of the modifications in the\n			Modified Version, together with at least five of the principal\n			authors of the Document (all of its principal authors, if it has\n			fewer than five), unless they release you from this requirement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant Sections\n			and required Cover Texts given in the Document&apos;s license notice.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> H.</var>\n			Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section Entitled &quot;History&quot;, Preserve its Title, and\n			add to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section Entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			For any section Entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			Preserve the Title of the section, and preserve in the\n			section all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section Entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section to be Entitled &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> O.</var>\n			Preserve any Warranty Disclaimers.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section Entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released under\n		  this License, under the terms defined in section 4 above for modified\n		  versions, provided that you include in the combination all of the\n		  Invariant Sections of all of the original documents, unmodified,\n		  and list them all as Invariant Sections of your combined work in its\n		  license notice, and that you preserve all their Warranty Disclaimers.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections Entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  Entitled &quot;History&quot;; likewise combine any sections Entitled\n		  &quot;Acknowledgements&quot;, and any sections Entitled &quot;Dedications&quot;.\n		  You must delete all sections Entitled &quot;Endorsements&quot;.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other\n		  separate and independent documents or works, in or on a volume\n		  of a storage or distribution medium, is called an &quot;aggregate&quot;\n		  if the copyright resulting from the compilation is not used to\n		  limit the legal rights of the compilation&apos;s users beyond what\n		  the individual works permit. When the Document is included in an\n		  aggregate, this License does not apply to the other works in the\n		  aggregate which are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to\n		  these copies of the Document, then if the Document is less\n		  than one half of the entire aggregate, the Document&apos;s Cover\n		  Texts may be placed on covers that bracket the Document\n		  within the aggregate, or the electronic equivalent of covers\n		  if the Document is in electronic form. Otherwise they must\n		  appear on printed covers that bracket the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of section\n		  4. Replacing Invariant Sections with translations requires special\n		  permission from their copyright holders, but you may include\n		  translations of some or all Invariant Sections in addition to the\n		  original versions of these Invariant Sections. You may include a\n		  translation of this License, and all the license notices in the\n		  Document, and any Warranty Disclaimers, provided that you also\n		  include the original English version of this License and the original\n		  versions of those notices and disclaimers. In case of a disagreement\n		  between the translation and the original version of this License\n		  or a notice or disclaimer, the original version will prevail.\n		</p>\n\n		<p>\n		  If a section in the Document is Entitled\n		  &quot;Acknowledgements&quot;, &quot;Dedications&quot;, or &quot;History&quot;, the\n		  requirement (section 4) to Preserve its Title (section\n		  1) will typically require changing the actual title.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided for under this License. Any other\n		  attempt to copy, modify, sublicense or distribute the Document\n		  is void, and will automatically terminate your rights under\n		  this License. However, parties who have received copies, or\n		  rights, from you under this License will not have their licenses\n		  terminated so long as such parties remain in full compliance.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option\n		  of following the terms and conditions either of that specified\n		  version or of any later version that has been published (not as a\n		  draft) by the Free Software Foundation. If the Document does not\n		  specify a version number of this License, you may choose any version\n		  ever published (not as a draft) by the Free Software Foundation.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the GNU\n		Free Documentation License, Version 1.2 or any later version published\n		by the Free Software Foundation; with no Invariant Sections,\n		no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections, Front-Cover Texts and\n		Back-Cover Texts, replace the &quot;with...Texts.&quot; line with this:\n	  </p>\n\n	  <p>\n		with the Invariant Sections being LIST THEIR TITLES, with the\n		Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections without Cover Texts,\n		or some other combination of the three, merge\n		those two alternatives to suit the situation.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU\n	  Free Documentation License, Version 1.2 or any later version published\n	  by the Free Software Foundation; with no Invariant Sections,\n	  no Front-Cover Texts,and no Back-Cover Texts. A copy of the license is\n	  included in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL12noinvariantsorlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class EUDatagrid:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "EU DataGrid Software License\n\nCopyright (c) 2001 EU DataGrid. All rights reserved.\n\nThis software includes voluntary contributions made to the EU DataGrid. For more information on the EU DataGrid, please see http://www.eu-datagrid.org/.\n\nInstallation, use, reproduction, display, modification and redistribution of this software, with or without modification, in source and binary forms, are permitted. Any exercise of rights under this license by you or your sub-licensees is subject to the following conditions:\n\n1. Redistributions of this software, with or without modification, must reproduce the above copyright notice and the above license statement as well as this list of conditions, in the software, the user documentation and any other materials provided with the software.\n\n2. The user documentation, if any, included with a redistribution, must include the following notice:\n   \"This product includes software developed by the EU DataGrid (http://www.eu-datagrid.org/).\"\n\nAlternatively, if that is where third-party acknowledgments normally appear, this acknowledgment must be reproduced in the software itself.\n\n3. The names \"EDG\", \"EDG Toolkit\", \u201cEU DataGrid\u201d and \"EU DataGrid Project\" may not be used to endorse or promote software, or products derived therefrom, except with prior written permission by hep-project-grid-edg-license@cern.ch.\n\n4. You are under no obligation to provide anyone with any bug fixes, patches, upgrades or other modifications, enhancements or derivatives of the features,functionality or performance of this software that you may develop. However, if you publish or distribute your modifications, enhancements or derivative works without contemporaneously requiring users to enter into a separate written license agreement, then you are deemed to have granted participants in the EU DataGrid a worldwide, non-exclusive, royalty-free, perpetual license to install, use, reproduce, display, modify, redistribute and sub-license your modifications, enhancements or derivative works, whether in binary or source code form, under the license conditions stated in this list of conditions.\n\n5. DISCLAIMER\nTHIS SOFTWARE IS PROVIDED BY THE EU DATAGRID AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, OF SATISFACTORY QUALITY, AND FITNESS FOR A PARTICULAR PURPOSE OR USE ARE DISCLAIMED. THE EU DATAGRID AND CONTRIBUTORS MAKE NO REPRESENTATION THAT THE SOFTWARE, MODIFICATIONS, ENHANCEMENTS OR DERIVATIVE WORKS THEREOF, WILL NOT INFRINGE ANY PATENT, COPYRIGHT, TRADE SECRET OR OTHER PROPRIETARY RIGHT.\n\n6. LIMITATION OF LIABILITY\nTHE EU DATAGRID AND CONTRIBUTORS SHALL HAVE NO LIABILITY TO LICENSEE OR OTHER PERSONS FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL, EXEMPLARY, OR PUNITIVE DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, LOSS OF USE, DATA OR PROFITS, OR BUSINESS INTERRUPTION, HOWEVER CAUSED AND ON ANY THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCT LIABILITY OR OTHERWISE, ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n"
		self.standardLicenseTemplate = "<<beginOptional>>EU DataGrid Software License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2001 EU DataGrid. All rights reserved.  \";match=\".{0,5000}\">>\n\nThis software includes voluntary contributions made to the EU DataGrid. For more information on the EU DataGrid, please see http://www.eu-datagrid.org/.\n\nInstallation, use, reproduction, display, modification and redistribution of this software, with or without modification, in source and binary forms, are permitted. Any exercise of rights under this license by you or your sub-licensees is subject to the following conditions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of this software, with or without modification, must reproduce the above copyright notice and the above license statement as well as this list of conditions, in the software, the user documentation and any other materials provided with the software.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> The user documentation, if any, included with a redistribution, must include the following notice:\n\n   \"This product includes software developed by the EU DataGrid (http://www.eu-datagrid.org/).\"\n\n   Alternatively, if that is where third-party acknowledgments normally appear, this acknowledgment must be reproduced in the software itself.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The names \"EDG\", \"EDG Toolkit\", \"EU DataGrid\" and \"EU DataGrid Project\" may not be used to endorse or promote software, or products derived therefrom, except with prior written permission by hep-project-grid-edg-license@cern.ch.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You are under no obligation to provide anyone with any bug fixes, patches, upgrades or other modifications, enhancements or derivatives of the features, functionality or performance of this software that you may develop. However, if you publish or distribute your modifications, enhancements or derivative works without contemporaneously requiring users to enter into a separate written license agreement, then you are deemed to have granted participants in the EU DataGrid a worldwide, non-exclusive, royalty-free, perpetual license to install, use, reproduce, display, modify, redistribute and sub-license your modifications, enhancements or derivative works, whether in binary or source code form, under the license conditions stated in this list of conditions.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> DISCLAIMER\n\n   THIS SOFTWARE IS PROVIDED BY THE EU DATAGRID AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, OF SATISFACTORY QUALITY, AND FITNESS FOR A PARTICULAR PURPOSE OR USE ARE DISCLAIMED. THE EU DATAGRID AND CONTRIBUTORS MAKE NO REPRESENTATION THAT THE SOFTWARE, MODIFICATIONS, ENHANCEMENTS OR DERIVATIVE WORKS THEREOF, WILL NOT INFRINGE ANY PATENT, COPYRIGHT, TRADE SECRET OR OTHER PROPRIETARY RIGHT.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> LIMITATION OF LIABILITY\n\nTHE EU DATAGRID AND CONTRIBUTORS SHALL HAVE NO LIABILITY TO LICENSEE OR OTHER PERSONS FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL, EXEMPLARY, OR PUNITIVE DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, LOSS OF USE, DATA OR PROFITS, OR BUSINESS INTERRUPTION, HOWEVER CAUSED AND ON ANY THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCT LIABILITY OR OTHERWISE, ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n"
		self.name = "EU DataGrid Software License"
		self.licenseId = "EUDatagrid"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/EUDatagrid", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:24:05Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "http://eu-datagrid.web.cern.ch/eu-datagrid/license.html", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:24:05Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://eu-datagrid.web.cern.ch/eu-datagrid/license.html", "https://opensource.org/licenses/EUDatagrid"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>EU DataGrid Software License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2001 EU DataGrid. All rights reserved.</p>\n\n	  </div>\n\n	  <p>This software includes voluntary contributions made to the EU DataGrid. For more information on the EU\n		 DataGrid, please see http://www.eu-datagrid.org/.</p>\n\n	  <p>Installation, use, reproduction, display, modification and redistribution of this software, with or\n		 without modification, in source and binary forms, are permitted. Any exercise of rights under this\n		 license by you or your sub-licensees is subject to the following conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of this software, with or without modification, must reproduce the above\n			 copyright notice and the above license statement as well as this list of conditions, in the\n			 software, the user documentation and any other materials provided with the software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  The user documentation, if any, included with a redistribution, must include the following notice:\n			<br />\n\n   &quot;This product includes software developed by the EU DataGrid (http://www.eu-datagrid.org/).&quot;\n\n		  <p>Alternatively, if that is where third-party acknowledgments normally appear, this acknowledgment\n			 must be reproduced in the software itself.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  The names &quot;EDG&quot;, &quot;EDG Toolkit&quot;, &quot;EU DataGrid&quot; and &quot;EU DataGrid Project&quot; may not be used to\n			 endorse or promote software, or products derived therefrom, except with prior written\n			 permission by hep-project-grid-edg-license@cern.ch.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You are under no obligation to provide anyone with any bug fixes, patches, upgrades or other\n			 modifications, enhancements or derivatives of the features, functionality or performance of\n			 this software that you may develop. However, if you publish or distribute your modifications,\n			 enhancements or derivative works without contemporaneously requiring users to enter into a\n			 separate written license agreement, then you are deemed to have granted participants in the EU\n			 DataGrid a worldwide, non-exclusive, royalty-free, perpetual license to install, use,\n			 reproduce, display, modify, redistribute and sub-license your modifications, enhancements or\n			 derivative works, whether in binary or source code form, under the license conditions stated\n			 in this list of conditions.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  DISCLAIMER\n			<br />\n\n   THIS SOFTWARE IS PROVIDED BY THE EU DATAGRID AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR\n				 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n				 MERCHANTABILITY, OF SATISFACTORY QUALITY, AND FITNESS FOR A PARTICULAR PURPOSE OR USE\n				 ARE DISCLAIMED. THE EU DATAGRID AND CONTRIBUTORS MAKE NO REPRESENTATION THAT THE\n				 SOFTWARE, MODIFICATIONS, ENHANCEMENTS OR DERIVATIVE WORKS THEREOF, WILL NOT INFRINGE\n				 ANY PATENT, COPYRIGHT, TRADE SECRET OR OTHER PROPRIETARY RIGHT.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  LIMITATION OF LIABILITY\n		</li>\n	  \n</ul>\n	  <p>THE EU DATAGRID AND CONTRIBUTORS SHALL HAVE NO LIABILITY TO LICENSEE OR OTHER PERSONS FOR DIRECT,\n		 INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL, EXEMPLARY, OR PUNITIVE DAMAGES OF ANY CHARACTER\n		 INCLUDING, WITHOUT LIMITATION, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, LOSS OF USE, DATA OR\n		 PROFITS, OR BUSINESS INTERRUPTION, HOWEVER CAUSED AND ON ANY THEORY OF CONTRACT, WARRANTY, TORT\n		 (INCLUDING NEGLIGENCE), PRODUCT LIABILITY OR OTHERWISE, ARISING IN ANY WAY OUT OF THE USE OF THIS\n		 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p>\n\n	"
		self.python_name = "EUDatagrid"

	def __str__(self):
		return json.dumps(self.__dict__)


class AdobeDisplayPostScript:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "(c)Copyright 1988,1991 Adobe Systems Incorporated.\nAll rights reserved.\n\nPermission to use, copy, modify, distribute, and sublicense this software and its\ndocumentation for any purpose and without fee is hereby granted, provided that\nthe above copyright notices appear in all copies and that both those copyright\nnotices and this permission notice appear in supporting documentation and that\nthe name of Adobe Systems Incorporated not be used in advertising or publicity\npertaining to distribution of the software without specific, written prior\npermission.  No trademark license to use the Adobe trademarks is hereby\ngranted.  If the Adobe trademark \"Display PostScript\"(tm) is used to describe\nthis software, its functionality or for any other purpose, such use shall be\nlimited to a statement that this software works in conjunction with the Display\nPostScript system.  Proper trademark attribution to reflect Adobe's ownership\nof the trademark shall be given whenever any such reference to the Display\nPostScript system is made.\n\nADOBE MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THE SOFTWARE FOR ANY\nPURPOSE.  IT IS PROVIDED \"AS IS\" WITHOUT EXPRESS OR IMPLIED WARRANTY.  ADOBE\nDISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED\nWARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-\nINFRINGEMENT OF THIRD PARTY RIGHTS.  IN NO EVENT SHALL ADOBE BE LIABLE TO YOU\nOR ANY OTHER PARTY FOR ANY SPECIAL, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY\nDAMAGES WHATSOEVER WHETHER IN AN ACTION OF CONTRACT,NEGLIGENCE, STRICT\nLIABILITY OR ANY OTHER ACTION ARISING OUT OF OR IN CONNECTION WITH THE USE OR\nPERFORMANCE OF THIS SOFTWARE.  ADOBE WILL NOT PROVIDE ANY TRAINING OR OTHER\nSUPPORT FOR THE SOFTWARE.\n\nAdobe, PostScript, and Display PostScript are trademarks of Adobe Systems\nIncorporated which may be registered in certain jurisdictions.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"(c)Copyright 1988,1991 Adobe Systems Incorporated.  All rights reserved.\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, distribute, and sublicense this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notices appear in all copies and that both those copyright notices and this permission notice appear in supporting documentation and that the name of Adobe Systems Incorporated not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. No trademark license to use the Adobe trademarks is hereby granted. If the Adobe trademark \"Display PostScript\"(tm) is used to describe this software, its functionality or for any other purpose, such use shall be limited to a statement that this software works in conjunction with the Display PostScript system. Proper trademark attribution to reflect Adobe's ownership of the trademark shall be given whenever any such reference to the Display PostScript system is made.\n\nADOBE MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THE SOFTWARE FOR ANY PURPOSE. IT IS PROVIDED \"AS IS\" WITHOUT EXPRESS OR IMPLIED WARRANTY. ADOBE DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON- INFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL ADOBE BE LIABLE TO YOU OR ANY OTHER PARTY FOR ANY SPECIAL, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER WHETHER IN AN ACTION OF CONTRACT,NEGLIGENCE, STRICT LIABILITY OR ANY OTHER ACTION ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE. ADOBE WILL NOT PROVIDE ANY TRAINING OR OTHER SUPPORT FOR THE SOFTWARE.\n\nAdobe, PostScript, and Display PostScript are trademarks of Adobe Systems Incorporated which may be registered in certain jurisdictions.\n\n"
		self.name = "Adobe Display PostScript License"
		self.licenseId = "Adobe-Display-PostScript"
		self.crossRef = [{"match": "False", "url": "https://gitlab.freedesktop.org/xorg/xserver/-/blob/master/COPYING?ref_type=heads#L752", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gitlab.freedesktop.org/xorg/xserver/-/blob/master/COPYING?ref_type=heads#L752"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			(c)Copyright 1988,1991 Adobe Systems Incorporated.\n			<br />\n\nAll rights reserved.\n		 </var>\n		 <p>\n			Permission to use, copy, modify, distribute, and sublicense this software and its\n			documentation for any purpose and without fee is hereby granted, provided that\n			the above copyright notices appear in all copies and that both those copyright\n			notices and this permission notice appear in supporting documentation and that\n			the name of Adobe Systems Incorporated not be used in advertising or publicity\n			pertaining to distribution of the software without specific, written prior\n			permission.  No trademark license to use the Adobe trademarks is hereby\n			granted.  If the Adobe trademark &quot;Display PostScript&quot;(tm) is used to describe\n			this software, its functionality or for any other purpose, such use shall be\n			limited to a statement that this software works in conjunction with the Display\n			PostScript system.  Proper trademark attribution to reflect Adobe&apos;s ownership\n			of the trademark shall be given whenever any such reference to the Display\n			PostScript system is made.\n		 </p>\n\n		 <p>\n			ADOBE MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THE SOFTWARE FOR ANY\n			PURPOSE.  IT IS PROVIDED &quot;AS IS&quot; WITHOUT EXPRESS OR IMPLIED WARRANTY.  ADOBE\n			DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED\n			WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-\n			INFRINGEMENT OF THIRD PARTY RIGHTS.  IN NO EVENT SHALL ADOBE BE LIABLE TO YOU\n			OR ANY OTHER PARTY FOR ANY SPECIAL, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY\n			DAMAGES WHATSOEVER WHETHER IN AN ACTION OF CONTRACT,NEGLIGENCE, STRICT\n			LIABILITY OR ANY OTHER ACTION ARISING OUT OF OR IN CONNECTION WITH THE USE OR\n			PERFORMANCE OF THIS SOFTWARE.  ADOBE WILL NOT PROVIDE ANY TRAINING OR OTHER\n			SUPPORT FOR THE SOFTWARE.\n		 </p>\n\n		 <p>\n			Adobe, PostScript, and Display PostScript are trademarks of Adobe Systems\n			Incorporated which may be registered in certain jurisdictions.\n		 </p>\n\n	  "
		self.python_name = "AdobeDisplayPostScript"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBY25AU:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution 2.5 Australia\n\nCREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENCE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicence\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENCE (\"CCPL\" OR \"LICENCE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORISED UNDER THIS LICENCE AND/OR APPLICABLE LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENCE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\n	  a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopaedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this Licence.\n\n	  b. \"Derivative Work\" means a work that reproduces a substantial part of the Work, or of the Work and other pre-existing works protected by copyright, or that is an adaptation of a Work that is a literary, dramatic, musical or artistic work. Derivative Works include a translation, musical arrangement, dramatisation, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which a work may be adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this Licence. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this Licence.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this Licence.\n\n	 d. \"Moral rights law\" means laws under which an individual who creates a work protected by copyright has rights of integrity of authorship of the work, rights of attribution of authorship of the work, rights not to have authorship of the work Falsely attributed, or rights of a similar or analogous nature in the work anywhere in the world.\n\n	 e. \"Original Author\" means the individual or entity who created the Work.\n\n	 f. \"Work\" means the work or other subject-matter protected by copyright that is offered under the terms of this Licence, which may include (without limitation) a literary, dramatic, musical or artistic work, a sound recording or cinematograph film, a published edition of a literary, dramatic, musical or artistic work or a television or sound broadcast.\n\n	 g. \"You\" means an individual or entity exercising rights under this Licence who has not previously violated the terms of this Licence with respect to the Work, or who has received express permission from the Licensor to exercise rights under this Licence despite a previous violation.\n\n	 h. \"Licence Elements\" means the following high-level licence attributes as selected by Licensor and indicated in the title of this Licence: Attribution, NonCommercial, NoDerivatives, ShareAlike.\n\n2. Fair Dealing and Other Rights. Nothing in this Licence excludes or modifies, or is intended to exclude or modify, (including by reducing, limiting, or restricting) the rights of You or others to use the Work arising from fair dealings or other limitations on the rights of the copyright owner or the Original Author under copyright law, moral rights law or other applicable laws.\n\n3. Licence Grant. Subject to the terms and conditions of this Licence, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) licence to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to create and reproduce Derivative Works;\n\n	 c. to publish, communicate to the public, distribute copies or records of, exhibit or display publicly, perform publicly and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	 d. to publish, communicate to the public, distribute copies or records of, exhibit or display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\n	 e. For the avoidance of doubt, where the Work is a musical composition:\n\n		  i. Performance Royalties Under Blanket Licences. Licensor will not collect, whether individually or via a performance rights society, royalties for Your communication to the public, broadcast, public performance or public digital performance (e.g. webcast) of the Work.\n\n		  ii. Mechanical Rights and Statutory Royalties. Licensor will not collect, whether individually or via a music rights agency, designated agent or a music publisher, royalties for any record You create from the Work (\"cover version\") and distribute, subject to the compulsory licence created by 17 USC Section 115 of the US Copyright Act (or an equivalent statutory licence under the Australian Copyright Act or in other jurisdictions).\n\n\n	 f. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor will not collect, whether individually or via a performance-rights society, royalties for Your public digital performance (e.g. webcast) of the Work, subject to the compulsory licence created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor under this Licence are hereby reserved.\n\n4. Restrictions. The licence granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may publish, communicate to the public, distribute, publicly exhibit or display, publicly perform, or publicly digitally perform the Work only under the terms of this Licence, and You must include a copy of, or the Uniform Resource Identifier for, this Licence with every copy or record of the Work You publish, communicate to the public, distribute, publicly exhibit or display, publicly perform or publicly digitally perform. You may not offer or impose any terms on the Work that exclude, alter or restrict the terms of this Licence or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this Licence and to the disclaimer of representations and warranties. You may not publish, communicate to the public, distribute, publicly exhibit or display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this Licence. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this Licence. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by Section 4(b), as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any credit as required by Section 4(b), as requested.\n\n	 b. If you publish, communicate to the public, distribute, publicly exhibit or display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work. You must also give clear and reasonably prominent credit to (i) the Original Author (by name or pseudonym if applicable), if the name or pseudonym is supplied; and (ii) if another party or parties (eg a sponsor institute, publishing entity or journal) is designated for attribution in the copyright notice, terms of service or other reasonable means associated with the Work, such party or parties. If applicable, that credit must be given in the particular way made known by the Original Author and otherwise as reasonable to the medium or means You are utilizing, by conveying the identity of the Original Author and the other designated party or parties (if applicable); the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n	 c. False attribution prohibited. Except as otherwise agreed in writing by the Licensor, if You publish, communicate to the public, distribute, publicly exhibit or display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works in accordance with this Licence, You must not Falsely attribute the Work to someone other than the Original Author.\n\n	 d. Prejudice to honour or reputation prohibited. Except as otherwise agreed in writing by the Licensor, if you publish, communicate to the public, distribute, publicly exhibit or display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must not do anything that results in a material distortion of, the mutilation of, or a material alteration to, the Work that is prejudicial to the Original Author's honour or reputation, and You must not do anything else in relation to the Work that is prejudicial to the Original Author's honour or reputation.\n\n5. Disclaimer.\n\nEXCEPT AS EXPRESSLY STATED IN THIS LICENCE OR OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, AND TO THE FULL EXTENT PERMITTED BY APPLICABLE LAW, LICENSOR OFFERS THE WORK \"AS-IS\" AND MAKES NO REPRESENTATIONS, WARRANTIES OR CONDITIONS OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY REPRESENTATIONS, WARRANTIES OR CONDITIONS REGARDING THE CONTENTS OR ACCURACY OF THE WORK, OR OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, THE ABSENCE OF LATENT OR OTHER DEFECTS, OR THE PRESENCE OR ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.\n\n6. Limitation on Liability.\n\nTO THE FULL EXTENT PERMITTED BY APPLICABLE LAW, AND EXCEPT FOR ANY LIABILITY ARISING FROM CONTRARY MUTUAL AGREEMENT AS REFERRED TO IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY (INCLUDING, WITHOUT LIMITATION, NEGLIGENCE) FOR ANY LOSS OR DAMAGE WHATSOEVER, INCLUDING (WITHOUT LIMITATION) LOSS OF PRODUCTION OR OPERATION TIME, LOSS, DAMAGE OR CORRUPTION OF DATA OR RECORDS; OR LOSS OF ANTICIPATED SAVINGS, OPPORTUNITY, REVENUE, PROFIT OR GOODWILL, OR OTHER ECONOMIC LOSS; OR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF OR IN CONNECTION WITH THIS LICENCE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nIf applicable legislation implies warranties or conditions, or imposes obligations or liability on the Licensor in respect of this Licence that cannot be wholly or partly excluded, restricted or modified, the Licensor's liability is limited, to the full extent permitted by the applicable legislation, at its option, to:\n\n	 a. in the case of goods, any one or more of the following:\n\n		   i. the replacement of the goods or the supply of equivalent goods;\n\n		   ii. the repair of the goods;\n\n		   iii. the payment of the cost of replacing the goods or of acquiring equivalent goods;\n\n		   iv. the payment of the cost of having the goods repaired; or\n\n	 b. in the case of services:\n\n		   i. the supplying of the services again; or\n\n		   ii. the payment of the cost of having the services supplied again.\n\n7. Termination.\n\n	 a. This Licence and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this Licence. Individuals or entities who have received Derivative Works or Collective Works from You under this Licence, however, will not have their licences terminated provided such individuals or entities remain in full compliance with those licences. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this Licence.\n\n	 b. Subject to the above terms and conditions, the licence granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different licence terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this Licence (or any other licence that has been, or is required to be, granted under the terms of this Licence), and this Licence will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous.\n\n	 a. Each time You publish, communicate to the public, distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a licence to the Work on the same terms and conditions as the licence granted to You under this Licence.\n\n	 b. Each time You publish, communicate to the public, distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a licence to the original Work on the same terms and conditions as the licence granted to You under this Licence.\n\n	 c. If any provision of this Licence is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Licence, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this Licence shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This Licence constitutes the entire agreement between the parties with respect to the Work licensed here. To the full extent permitted by applicable law, there are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This Licence may not be modified without the mutual written agreement of the Licensor and You.\n\n	 f. The construction, validity and performance of this Licence shall be governed by the laws in force in New South Wales, Australia.\n\nCreative Commons is not a party to this Licence, and, to the full extent permitted by applicable law, makes no representation or warranty whatsoever in connection with the Work. To the full extent permitted by applicable law, Creative Commons will not be liable to You or any party on any legal theory (including, without limitation, negligence) for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this licence. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<beginOptional>>Creative Commons<<endOptional>> Attribution 2.5 Australia\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENCE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicence\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENCE (\"CCPL\" OR \"LICENCE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORISED UNDER THIS LICENCE AND/OR APPLICABLE LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENCE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopaedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this Licence.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work that reproduces a substantial part of the Work, or of the Work and other pre-existing works protected by copyright, or that is an adaptation of a Work that is a literary, dramatic, musical or artistic work. Derivative Works include a translation, musical arrangement, dramatisation, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which a work may be adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this Licence. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this Licence.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this Licence.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Moral rights law\" means laws under which an individual who creates a work protected by copyright has rights of integrity of authorship of the work, rights of attribution of authorship of the work, rights not to have authorship of the work Falsely attributed, or rights of a similar or analogous nature in the work anywhere in the world.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Work\" means the work or other subject-matter protected by copyright that is offered under the terms of this Licence, which may include (without limitation) a literary, dramatic, musical or artistic work, a sound recording or cinematograph film, a published edition of a literary, dramatic, musical or artistic work or a television or sound broadcast.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this Licence who has not previously violated the terms of this Licence with respect to the Work, or who has received express permission from the Licensor to exercise rights under this Licence despite a previous violation.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \"Licence Elements\" means the following high-level licence attributes as selected by Licensor and indicated in the title of this Licence: Attribution, NonCommercial, NoDerivatives, ShareAlike.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Dealing and Other Rights. Nothing in this Licence excludes or modifies, or is intended to exclude or modify, (including by reducing, limiting, or restricting) the rights of You or others to use the Work arising from fair dealings or other limitations on the rights of the copyright owner or the Original Author under copyright law, moral rights law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Licence Grant. Subject to the terms and conditions of this Licence, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) licence to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and reproduce Derivative Works;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to publish, communicate to the public, distribute copies or records of, exhibit or display publicly, perform publicly and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to publish, communicate to the public, distribute copies or records of, exhibit or display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> For the avoidance of doubt, where the Work is a musical composition:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Performance Royalties Under Blanket Licences. Licensor will not collect, whether individually or via a performance rights society, royalties for Your communication to the public, broadcast, public performance or public digital performance (e.g. webcast) of the Work.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Mechanical Rights and Statutory Royalties. Licensor will not collect, whether individually or via a music rights agency, designated agent or a music publisher, royalties for any record You create from the Work (\"cover version\") and distribute, subject to the compulsory licence created by 17 USC Section 115 of the US Copyright Act (or an equivalent statutory licence under the Australian Copyright Act or in other jurisdictions).\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor will not collect, whether individually or via a performance-rights society, royalties for Your public digital performance (e.g. webcast) of the Work, subject to the compulsory licence created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor under this Licence are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The licence granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may publish, communicate to the public, distribute, publicly exhibit or display, publicly perform, or publicly digitally perform the Work only under the terms of this Licence, and You must include a copy of, or the Uniform Resource Identifier for, this Licence with every copy or record of the Work You publish, communicate to the public, distribute, publicly exhibit or display, publicly perform or publicly digitally perform. You may not offer or impose any terms on the Work that exclude, alter or restrict the terms of this Licence or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this Licence and to the disclaimer of representations and warranties. You may not publish, communicate to the public, distribute, publicly exhibit or display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this Licence. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this Licence. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by Section 4(b), as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any credit as required by Section 4(b), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If you publish, communicate to the public, distribute, publicly exhibit or display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work. You must also give clear and reasonably prominent credit to (i) the Original Author (by name or pseudonym if applicable), if the name or pseudonym is supplied; and (ii) if another party or parties (eg a sponsor institute, publishing entity or journal) is designated for attribution in the copyright notice, terms of service or other reasonable means associated with the Work, such party or parties. If applicable, that credit must be given in the particular way made known by the Original Author and otherwise as reasonable to the medium or means You are utilizing, by conveying the identity of the Original Author and the other designated party or parties (if applicable); the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> False attribution prohibited. Except as otherwise agreed in writing by the Licensor, if You publish, communicate to the public, distribute, publicly exhibit or display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works in accordance with this Licence, You must not Falsely attribute the Work to someone other than the Original Author.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Prejudice to honour or reputation prohibited. Except as otherwise agreed in writing by the Licensor, if you publish, communicate to the public, distribute, publicly exhibit or display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must not do anything that results in a material distortion of, the mutilation of, or a material alteration to, the Work that is prejudicial to the Original Author's honour or reputation, and You must not do anything else in relation to the Work that is prejudicial to the Original Author's honour or reputation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Disclaimer.\n\n   EXCEPT AS EXPRESSLY STATED IN THIS LICENCE OR OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, AND TO THE FULL EXTENT PERMITTED BY APPLICABLE LAW, LICENSOR OFFERS THE WORK \"AS-IS\" AND MAKES NO REPRESENTATIONS, WARRANTIES OR CONDITIONS OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, ANY REPRESENTATIONS, WARRANTIES OR CONDITIONS REGARDING THE CONTENTS OR ACCURACY OF THE WORK, OR OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, THE ABSENCE OF LATENT OR OTHER DEFECTS, OR THE PRESENCE OR ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability.\n\n   TO THE FULL EXTENT PERMITTED BY APPLICABLE LAW, AND EXCEPT FOR ANY LIABILITY ARISING FROM CONTRARY MUTUAL AGREEMENT AS REFERRED TO IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY (INCLUDING, WITHOUT LIMITATION, NEGLIGENCE) FOR ANY LOSS OR DAMAGE WHATSOEVER, INCLUDING (WITHOUT LIMITATION) LOSS OF PRODUCTION OR OPERATION TIME, LOSS, DAMAGE OR CORRUPTION OF DATA OR RECORDS; OR LOSS OF ANTICIPATED SAVINGS, OPPORTUNITY, REVENUE, PROFIT OR GOODWILL, OR OTHER ECONOMIC LOSS; OR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF OR IN CONNECTION WITH THIS LICENCE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   If applicable legislation implies warranties or conditions, or imposes obligations or liability on the Licensor in respect of this Licence that cannot be wholly or partly excluded, restricted or modified, the Licensor's liability is limited, to the full extent permitted by the applicable legislation, at its option, to:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> in the case of goods, any one or more of the following:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> the replacement of the goods or the supply of equivalent goods;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> the repair of the goods;\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> the payment of the cost of replacing the goods or of acquiring equivalent goods;\n\n		 <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> the payment of the cost of having the goods repaired; or\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> in the case of services:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> the supplying of the services again; or\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> the payment of the cost of having the services supplied again.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This Licence and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this Licence. Individuals or entities who have received Derivative Works or Collective Works from You under this Licence, however, will not have their licences terminated provided such individuals or entities remain in full compliance with those licences. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this Licence.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the licence granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different licence terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this Licence (or any other licence that has been, or is required to be, granted under the terms of this Licence), and this Licence will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You publish, communicate to the public, distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a licence to the Work on the same terms and conditions as the licence granted to You under this Licence.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You publish, communicate to the public, distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a licence to the original Work on the same terms and conditions as the licence granted to You under this Licence.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this Licence is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Licence, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this Licence shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This Licence constitutes the entire agreement between the parties with respect to the Work licensed here. To the full extent permitted by applicable law, there are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This Licence may not be modified without the mutual written agreement of the Licensor and You.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> The construction, validity and performance of this Licence shall be governed by the laws in force in New South Wales, Australia.<<beginOptional>> Creative Commons is not a party to this Licence, and, to the full extent permitted by applicable law, makes no representation or warranty whatsoever in connection with the Work. To the full extent permitted by applicable law, Creative Commons will not be liable to You or any party on any legal theory (including, without limitation, negligence) for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this licence. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n\n<<endOptional>>"
		self.name = "Creative Commons Attribution 2.5 Australia"
		self.licenseId = "CC-BY-2.5-AU"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by/2.5/au/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:31Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by/2.5/au/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p><var class=\"optional-license-text\"> Creative Commons </var>Attribution 2.5 Australia</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		<p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL\n		  SERVICES. DISTRIBUTION OF THIS LICENCE DOES NOT CREATE AN ATTORNEY-CLIENT\n		  RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN &quot;AS-IS&quot; BASIS.\n		  CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		  AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		<p>Licence</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE\n		COMMONS PUBLIC LICENCE (&quot;CCPL&quot; OR &quot;LICENCE&quot;). THE WORK IS PROTECTED BY COPYRIGHT\n		AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORISED UNDER\n		THIS LICENCE AND/OR APPLICABLE LAW IS PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE\n		BOUND BY THE TERMS OF THIS LICENCE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED\n		HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n			encyclopaedia, in which the Work in its entirety in unmodified form, along with a\n			number of other contributions, constituting separate and independent works in\n			themselves, are assembled into a collective whole. A work that constitutes a\n			Collective Work will not be considered a Derivative Work (as defined below) for the\n			purposes of this Licence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work that reproduces a substantial part of the Work,\n			or of the Work and other pre-existing works protected by copyright, or that is an\n			adaptation of a Work that is a literary, dramatic, musical or artistic work.\n			Derivative Works include a translation, musical arrangement, dramatisation,\n			motion picture version, sound recording, art reproduction, abridgment, condensation,\n			or any other form in which a work may be adapted, except that a\n			work that constitutes a Collective Work will not be considered a Derivative Work for\n			the purpose of this Licence. For the avoidance of doubt, where the Work is a\n			musical composition or sound recording, the synchronization of the Work in timed-relation\n			with a moving image (&quot;synching&quot;) will be considered a Derivative Work for\n			the purpose of this Licence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n			this Licence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d.</var>\n			&quot;Moral rights law&quot; means laws under which an individual who creates a work\n			protected by copyright has rights of integrity of authorship of the work, rights of\n			attribution of authorship of the work, rights not to have authorship of the work\n			Falsely attributed, or rights of a similar or analogous nature in the work anywhere\n			in the world.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e.</var>\n			&quot;Original Author&quot; means the individual or entity who created the Work.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> f.</var>\n			&quot;Work&quot; means the work or other subject-matter protected by copyright that is\n			offered under the terms of this Licence, which may include (without limitation) a\n			literary, dramatic, musical or artistic work, a sound recording or cinematograph\n			film, a published edition of a literary, dramatic, musical or artistic work or a\n			television or sound broadcast.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> g.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this Licence who has\n			not previously violated the terms of this Licence with respect to the Work, or who\n			has received express permission from the Licensor to exercise rights under this\n			Licence despite a previous violation.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> h.</var>\n			&quot;Licence Elements&quot; means the following high-level licence attributes as selected\n			by Licensor and indicated in the title of this Licence: Attribution, NonCommercial,\n			NoDerivatives, ShareAlike.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n		  <var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Dealing and Other Rights. Nothing in this Licence excludes or modifies, or is intended\n		  to exclude or modify, (including by reducing, limiting, or restricting) the rights of You or others to\n		  use the Work arising from fair dealings or other limitations on the rights of the copyright owner\n		  or the Original Author under copyright law, moral rights law or other applicable laws.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 3.</var>\n		  Licence Grant. Subject to the terms and conditions of this Licence, Licensor hereby grants\n		  You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n		  copyright) licence to exercise the rights in the Work as stated below:\n\t\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works,\n			and to reproduce the Work as incorporated in the Collective Works;\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			to create and reproduce Derivative Works;\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			to publish, communicate to the public, distribute copies or records of, exhibit or\n			display publicly, perform publicly and perform publicly by means of a digital audio\n			transmission the Work including as incorporated in Collective Works;\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d.</var>\n			to publish, communicate to the public, distribute copies or records of, exhibit or\n			display publicly, perform publicly, and perform publicly by means of a digital audio\n			transmission Derivative Works;\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e.</var>\n			For the avoidance of doubt, where the Work is a musical composition:\n		  </li>\n\t  \n<li>\n\t  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> i.</var>\n			  Performance Royalties Under Blanket Licences. Licensor will\n			  not collect, whether individually or via a performance rights society,\n			  royalties for Your communication to the public, broadcast, public\n			  performance or public digital performance (e.g. webcast) of the Work.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> ii.</var>\n			  Mechanical Rights and Statutory Royalties. Licensor will not\n			  collect, whether individually or via a music rights agency, designated\n			  agent or a music publisher, royalties for any record You create from\n			  the Work (&quot;cover version&quot;) and distribute, subject to the compulsory\n			  licence created by 17 USC Section 115 of the US Copyright Act (or\n			  an equivalent statutory licence under the Australian Copyright Act or\n			  in other jurisdictions).\n			</li>\n		  \n</ul>\n\t  </li>\n\t  \n<li>\n			<var class=\"replaceable-license-text\"> f.</var>\n			Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where\n			the Work is a sound recording, Licensor will not collect, whether individually or via\n			a performance-rights society, royalties for Your public digital performance (e.g.\n			webcast) of the Work, subject to the compulsory licence created by 17 USC Section\n			114 of the US Copyright Act (or the equivalent in other jurisdictions).\n		  </li>\n		\n</ul>\n		<p>The above rights may be exercised in all media and formats whether now known or hereafter\n		  devised. The above rights include the right to make such modifications as are technically\n		  necessary to exercise the rights in other media and formats. All rights not expressly granted by\n		  Licensor under this Licence are hereby reserved.\n		</p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The licence granted in Section 3 above is expressly made subject to and limited\n		  by the following restrictions:\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a.</var>\n			  You may publish, communicate to the public, distribute, publicly exhibit or display,\n			  publicly perform, or publicly digitally perform the Work only under the terms of this\n			  Licence, and You must include a copy of, or the Uniform Resource Identifier for, this\n			  Licence with every copy or record of the Work You publish, communicate to the\n			  public, distribute, publicly exhibit or display, publicly perform or publicly digitally\n			  perform. You may not offer or impose any terms on the Work that exclude, alter or\n			  restrict the terms of this Licence or the recipients&apos; exercise of the rights granted\n			  hereunder. You may not sublicense the Work. You must keep intact all notices that\n			  refer to this Licence and to the disclaimer of representations and warranties. You\n			  may not publish, communicate to the public, distribute, publicly exhibit or display,\n			  publicly perform, or publicly digitally perform the Work with any technological\n			  measures that control access or use of the Work in a manner inconsistent with the\n			  terms of this Licence. The above applies to the Work as incorporated in a Collective\n			  Work, but this does not require the Collective Work apart from the Work itself to be\n			  made subject to the terms of this Licence. If You create a Collective Work, upon\n			  notice from any Licensor You must, to the extent practicable, remove from the\n			  Collective Work any credit as required by Section 4(b), as requested. If You create\n			  a Derivative Work, upon notice from any Licensor You must, to the extent\n			  practicable, remove from the Derivative Work any credit as required by Section\n			  4(b), as requested.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> b.</var>\n			  If you publish, communicate to the public, distribute, publicly exhibit or display,\n			  publicly perform, or publicly digitally perform the Work or any Derivative Works or\n			  Collective Works, You must keep intact all copyright notices for the Work. You must\n			  also give clear and reasonably prominent credit to (i) the Original Author (by name\n			  or pseudonym if applicable), if the name or pseudonym is supplied; and (ii) if\n			  another party or parties (eg a sponsor institute, publishing entity or journal) is\n			  designated for attribution in the copyright notice, terms of service or other\n			  reasonable means associated with the Work, such party or parties. If applicable,\n			  that credit must be given in the particular way made known by the Original Author\n			  and otherwise as reasonable to the medium or means You are utilizing, by\n			  conveying the identity of the Original Author and the other designated party or\n			  parties (if applicable); the title of the Work if supplied; to the extent reasonably\n			  practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be\n			  associated with the Work, unless such URI does not refer to the copyright notice or\n			  licensing information for the Work; and in the case of a Derivative Work, a credit\n			  identifying the use of the Work in the Derivative Work (e.g., &quot;French translation of\n			  the Work by Original Author,&quot; or &quot;Screenplay based on original Work by Original\n			  Author&quot;). Such credit may be implemented in any reasonable manner; provided,\n			  however, that in the case of a Derivative Work or Collective Work, at a minimum\n			  such credit will appear where any other comparable authorship credit appears and\n			  in a manner at least as prominent as such other comparable authorship credit.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> c.</var>\n			  False attribution prohibited. Except as otherwise agreed in writing by the\n			  Licensor, if You publish, communicate to the public, distribute, publicly exhibit or\n			  display, publicly perform, or publicly digitally perform the Work or any Derivative\n			  Works or Collective Works in accordance with this Licence, You must not Falsely\n			  attribute the Work to someone other than the Original Author.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> d.</var>\n			  Prejudice to honour or reputation prohibited. Except as otherwise agreed in\n			  writing by the Licensor, if you publish, communicate to the public, distribute,\n			  publicly exhibit or display, publicly perform, or publicly digitally perform the Work\n			  or any Derivative Works or Collective Works, You must not do anything that results\n			  in a material distortion of, the mutilation of, or a material alteration to, the Work\n			  that is prejudicial to the Original Author&apos;s honour or reputation, and You must not\n			  do anything else in relation to the Work that is prejudicial to the Original Author&apos;s\n			  honour or reputation.\n			</li>\n		  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 5.</var>\n		  Disclaimer.\n		  <p>EXCEPT AS EXPRESSLY STATED IN THIS LICENCE OR OTHERWISE MUTUALLY AGREED TO BY THE\n			PARTIES IN WRITING, AND TO THE FULL EXTENT PERMITTED BY APPLICABLE LAW, LICENSOR\n			OFFERS THE WORK &quot;AS-IS&quot; AND MAKES NO REPRESENTATIONS, WARRANTIES OR CONDITIONS\n			OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE,\n			INCLUDING, WITHOUT LIMITATION, ANY REPRESENTATIONS, WARRANTIES OR CONDITIONS\n			REGARDING THE CONTENTS OR ACCURACY OF THE WORK, OR OF TITLE, MERCHANTABILITY,\n			FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, THE ABSENCE OF LATENT OR\n			OTHER DEFECTS, OR THE PRESENCE OR ABSENCE OF ERRORS, WHETHER OR NOT\n			DISCOVERABLE.</p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability.\n		  <p>TO THE FULL EXTENT PERMITTED BY APPLICABLE LAW, AND EXCEPT FOR ANY LIABILITY\n			ARISING FROM CONTRARY MUTUAL AGREEMENT AS REFERRED TO IN SECTION 5, IN NO EVENT\n			WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY (INCLUDING, WITHOUT LIMITATION,\n			NEGLIGENCE) FOR ANY LOSS OR DAMAGE WHATSOEVER, INCLUDING (WITHOUT LIMITATION)\n			LOSS OF PRODUCTION OR OPERATION TIME, LOSS, DAMAGE OR CORRUPTION OF DATA OR\n			RECORDS; OR LOSS OF ANTICIPATED SAVINGS, OPPORTUNITY, REVENUE, PROFIT OR\n			GOODWILL, OR OTHER ECONOMIC LOSS; OR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF OR IN CONNECTION WITH THIS LICENCE\n			OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF\n			SUCH DAMAGES.</p>\n\n		  <p>If applicable legislation implies warranties or conditions, or imposes obligations or liability on the\n			Licensor in respect of this Licence that cannot be wholly or partly excluded, restricted or\n			modified, the Licensor&apos;s liability is limited, to the full extent permitted by the applicable\n			legislation, at its option, to:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a.</var>\n			  in the case of goods, any one or more of the following:\n			</li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			  \n<li>\n				<var class=\"replaceable-license-text\"> i.</var>\n				the replacement of the goods or the supply of equivalent goods;\n			  </li>\n			  \n<li>\n				<var class=\"replaceable-license-text\"> ii.</var>\n				the repair of the goods;\n			  </li>\n			  \n<li>\n				<var class=\"replaceable-license-text\"> iii.</var>\n				the payment of the cost of replacing the goods or of acquiring equivalent goods;\n			  </li>\n			  \n<li>\n				<var class=\"replaceable-license-text\"> iv.</var>\n				the payment of the cost of having the goods repaired; or\n			  </li>\n			\n</ul>\n\t	</li>\n\t	\n<li>\n			  <var class=\"replaceable-license-text\"> b.</var>\n			  in the case of services:\n			</li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			  \n<li>\n				<var class=\"replaceable-license-text\"> i.</var>\n				the supplying of the services again; or\n			  </li>\n			  \n<li>\n				<var class=\"replaceable-license-text\"> ii.</var>\n				the payment of the cost of having the services supplied again.\n			  </li>\n			\n</ul>\n	 \t	</li>\n	\t  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 7.</var>\n		  Termination.\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a.</var>\n			  This Licence and the rights granted hereunder will terminate automatically upon\n			  any breach by You of the terms of this Licence. Individuals or entities who have\n			  received Derivative Works or Collective Works from You under this Licence,\n			  however, will not have their licences terminated provided such individuals or\n			  entities remain in full compliance with those licences. Sections 1, 2, 5, 6, 7, and 8\n			  will survive any termination of this Licence.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> b.</var>\n			  Subject to the above terms and conditions, the licence granted here is perpetual\n			  (for the duration of the applicable copyright in the Work). Notwithstanding the\n			  above, Licensor reserves the right to release the Work under different licence\n			  terms or to stop distributing the Work at any time; provided, however that any\n			  such election will not serve to withdraw this Licence (or any other licence that has\n			  been, or is required to be, granted under the terms of this Licence), and this\n			  Licence will continue in full force and effect unless terminated as stated above.\n			</li>\n		  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous.\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a.</var>\n			  Each time You publish, communicate to the public, distribute or publicly digitally\n			  perform the Work or a Collective Work, the Licensor offers to the recipient a licence\n			  to the Work on the same terms and conditions as the licence granted to You under\n			  this Licence.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> b.</var>\n			  Each time You publish, communicate to the public, distribute or publicly digitally\n			  perform a Derivative Work, Licensor offers to the recipient a licence to the original\n			  Work on the same terms and conditions as the licence granted to You under this\n			  Licence.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> c.</var>\n			  If any provision of this Licence is invalid or unenforceable under applicable law, it\n			  shall not affect the validity or enforceability of the remainder of the terms of this\n			  Licence, and without further action by the parties to this agreement, such provision\n			  shall be reformed to the minimum extent necessary to make such provision valid\n			  and enforceable.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> d.</var>\n			  No term or provision of this Licence shall be deemed waived and no breach\n			  consented to unless such waiver or consent shall be in writing and signed by the\n			  party to be charged with such waiver or consent.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> e.</var>\n			  This Licence constitutes the entire agreement between the parties with respect to\n			  the Work licensed here. To the full extent permitted by applicable law, there are no\n			  understandings, agreements or representations with respect to the Work not\n			  specified here. Licensor shall not be bound by any additional provisions that may\n			  appear in any communication from You. This Licence may not be modified without\n			  the mutual written agreement of the Licensor and You.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> f.</var>\n			  The construction, validity and performance of this Licence shall be governed by the\n			  laws in force in New South Wales, Australia.\n			</li>\n		  \n</ul>\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>Creative Commons is not a party to this Licence, and, to the full extent permitted by\n		  applicable law, makes no representation or warranty whatsoever in connection with the Work.\n		  To the full extent permitted by applicable law, Creative Commons will not be liable to You or\n		  any party on any legal theory (including, without limitation, negligence) for any damages\n		  whatsoever, including without limitation any general, special, incidental or consequential\n		  damages arising in connection to this licence. Notwithstanding the foregoing two (2)\n		  sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it\n		  shall have all rights and obligations of Licensor.</p>\n\n		<p>Except for the limited purpose of indicating to the public that the Work is licensed under the\n		  CCPL, neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or\n		  logo of Creative Commons without the prior written consent of Creative Commons. Any\n		  permitted use will be in compliance with Creative Commons&apos; then-current trademark usage\n		  guidelines, as may be published on its website or otherwise made available upon request from\n		  time to time.</p>\n\n		<p>Creative Commons may be contacted at https://creativecommons.org/.</p>\n\n	  </div>\n	"
		self.python_name = "CCBY25AU"

	def __str__(self):
		return json.dumps(self.__dict__)


class LPPL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "LaTeX Project Public License\n\nLPPL Version 1.0 1999-03-01\n\nCopyright 1999 LaTeX3 Project\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but modification is not allowed.\n\nPreamble\n\nThe LaTeX Project Public License (LPPL) is the license under which the base LaTeX distribution is distributed. As described below you may use this licence for any software that you wish to distribute.\n\nIt may be particularly suitable if your software is TeX related (such as a LaTeX package file) but it may be used for any software, even if it is unrelated to TeX.\n\nTo use this license, the files of your distribution should have an explicit copyright notice giving your name and the year, together with a reference to this license.\n\nA typical example would be\n\n	 %% pig.sty %% Copyright 2001 M. Y. Name\n\n	 % This program can redistributed and/or modified under the terms\n	 % of the LaTeX Project Public License Distributed from CTAN\n	 % archives in directory macros/latex/base/lppl.txt; either\n	 % version 1 of the License, or (at your option) any later version.\n\nGiven such a notice in the file, the conditions of this document would apply, with:\n\n`The Program' referring to the software `pig.sty' and `The Copyright Holder' referring to the person `M. Y. Name'.\n\nTo see a real example, see the file legal.txt which carries the copyright notice for the base latex distribution.\n\nThis license gives terms under which files of The Program may be distributed and modified. Individual files may have specific further constraints on modification, but no file should have restrictions on distribution other than those specified below.\n\nThis is to ensure that a distributor wishing to distribute a complete unmodified copy of The Program need only check the conditions in this file, and does not need to check every file in The Program for extra restrictions. If you do need to modify the distribution terms of some files, do not refer to this license, instead distribute The Program under a different license. You may use the parts of the text of LPPL as a model for your own license, but your license should not directly refer to the LPPL or otherwise give the impression that The Program is distributed under the LPPL.\n\n The LaTeX Project Public License\n================================\nTerms And Conditions For Copying, Distribution And Modification\n===============================================================\n\n\nWARRANTY\n========\n\nThere is no warranty for The Program, to the extent permitted by applicable law. Except when otherwise stated in writing, The Copyright Holder provides The Program `as is' without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of the program is with you. Should The Program prove defective, you assume the cost of all necessary servicing, repair or correction.\n\nIn no event unless required by applicable law or agreed to in writing will The Copyright Holder, or any of the individual authors named in the source for The Program, be liable to you for damages, including any general, special, incidental or consequential damages arising out of any use of The Program or out of inability to use The Program (including but not limited to loss of data or data being rendered inaccurate or losses sustained by you or by third parties as a result of a failure of The Program to operate with any other programs), even if such holder or other party has been advised of the possibility of such damages.\n\n\nDISTRIBUTION\n============\n\nRedistribution of unchanged files is allowed provided that all files that make up the distribution of The Program are distributed. In particular this means that The Program has to be distributed including its documentation if documentation was part of the original distribution.\n\nThe distribution of The Program will contain a prominent file listing all the files covered by this license.\n\nIf you receive only some of these files from someone, complain!\n\nThe distribution of changed versions of certain files included in the The Program, and the reuse of code from The Program, are allowed under the following restrictions:\n\n	 * It is allowed only if the legal notice in the file does not expressly forbid it. See note below, under \"Conditions on individual files\".\n\n	 * You rename the file before you make any changes to it, unless the file explicitly says that renaming is not required. Any such changed files must be distributed under a license that forbids distribution of those files, and any files derived from them, under the names used by the original files in the distribution of The Program.\n\n	 * You change any `identification string' in The Program to clearly indicate that the file is not part of the standard system.\n\n	 * If The Program includes an `error report address' so that errors may be reported to The Copyright Holder, or other specified addresses, this address must be changed in any modified versions of The Program, so that reports for files not maintained by the original program maintainers are directed to the maintainers of the changed files.\n\n	 * You acknowledge the source and authorship of the original version in the modified file.\n\n	 * You also distribute the unmodified version of the file or alternatively provide sufficient information so that the user of your modified file can be reasonably expected to be able to obtain an original, unmodified copy of The Program. For example, you may specify a URL to a site that you expect will freely provide the user with a copy of The Program (either the version on which your modification is based, or perhaps a later version).\n\n	 * If The Program is intended to be used with, or is based on, LaTeX, then files with the following file extensions which have special meaning in LaTeX Software, have special modification rules under the license:\n\n		  - Files with extension `.ins' (installation files): these files may not be modified at all because they contain the legal notices that are placed in the generated files.\n\n		  - Files with extension `.fd' (LaTeX font definitions files): these files are allowed to be modified without changing the name, but only to enable use of all available fonts and to prevent attempts to access unavailable fonts. However, modified files are not allowed to be distributed in place of original files.\n\n		  - Files with extension `.cfg' (configuration files): these files can be created or modified to enable easy configuration of the system. The documentation in cfgguide.tex in the base LaTeX distribution describes when it makes sense to modify or generate such files.\n\nThe above restrictions are not intended to prohibit, and hence do not apply to, the updating, by any method, of a file so that it becomes identical to the latest version of that file in The Program.\n\n========================================================================\n\nNOTES\n=====\n\nWe believe that these requirements give you the freedom you to make modifications that conform with whatever technical specifications you wish, whilst maintaining the availability, integrity and reliability of The Program. If you do not see how to achieve your goal whilst adhering to these requirements then read the document cfgguide.tex in the base LaTeX distribution for suggestions.\n\nBecause of the portability and exchangeability aspects of systems like LaTeX, The LaTeX3 Project deprecates the distribution of non-standard versions of components of LaTeX or of generally available contributed code for them but such distributions are permitted under the above restrictions.\n\nThe document modguide.tex in the base LaTeX distribution details the reasons for the legal requirements detailed above. Even if The Program is unrelated to LaTeX, the argument in modguide.tex may still apply, and should be read before a modified version of The Program is distributed.\n\nConditions on individual files\n==============================\n\nThe individual files may bear additional conditions which supersede the general conditions on distribution and modification contained in this file. If there are any such files, the distribution of The Program will contain a prominent file that lists all the exceptional files.\n\nTypical examples of files with more restrictive modification conditions would be files that contain the text of copyright notices.\n\n	 * The conditions on individual files differ only in the extent of *modification* that is allowed.\n\n	 * The conditions on *distribution* are the same for all the files. Thus a (re)distributor of a complete, unchanged copy of The Program need meet only the conditions in this file; it is not necessary to check the header of every file in the distribution to check that a distribution meets these requirements.\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>%%<<endOptional>> <<var;name=\"filename\";original=\"pig.sty\";match=\".+\">>\n\n<<beginOptional>>%%<<endOptional>> Copyright <<var;name=\"copyright\";original=\"2001 M. Y. Name\";match=\".+\">>\n\n% This program can redistributed and/or modified under the terms\n\n<<beginOptional>>%<<endOptional>> of the LaTeX Project Public License Distributed from CTAN\n\n<<beginOptional>>%<<endOptional>> archives in directory macros/latex/base/lppl.txt; either\n\n<<beginOptional>>%<<endOptional>> version 1 of the License, or (at your option) any later version.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>LaTeX Project Public License\n\nLPPL Version 1.0 1999-03-01\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 1999 LaTeX3 Project  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but modification is not allowed.\n\nPreamble\n\nThe LaTeX Project Public License (LPPL) is the license under which the base LaTeX distribution is distributed. As described below you may use this licence for any software that you wish to distribute.\n\nIt may be particularly suitable if your software is TeX related (such as a LaTeX package file) but it may be used for any software, even if it is unrelated to TeX.\n\nTo use this license, the files of your distribution should have an explicit copyright notice giving your name and the year, together with a reference to this license.\n\nA typical example would be\n\n<<beginOptional>>%%<<endOptional>> <<var;name=\"filename\";original=\"pig.sty\";match=\".+\">>\n\n<<beginOptional>>%%<<endOptional>> Copyright <<var;name=\"copyright\";original=\"2001 M. Y. Name\";match=\".+\">>\n\n% This program can redistributed and/or modified under the terms\n\n<<beginOptional>>%<<endOptional>> of the LaTeX Project Public License Distributed from CTAN\n\n<<beginOptional>>%<<endOptional>> archives in directory macros/latex/base/lppl.txt; either\n\n<<beginOptional>>%<<endOptional>> version 1 of the License, or (at your option) any later version.\n\nGiven such a notice in the file, the conditions of this document would apply, with:\n\n`The Program' referring to the software `pig.sty' and `The Copyright Holder' referring to the person `M. Y. Name'.\n\nTo see a real example, see the file legal.txt which carries the copyright notice for the base latex distribution.\n\nThis license gives terms under which files of The Program may be distributed and modified. Individual files may have specific further constraints on modification, but no file should have restrictions on distribution other than those specified below.\n\nThis is to ensure that a distributor wishing to distribute a complete unmodified copy of The Program need only check the conditions in this file, and does not need to check every file in The Program for extra restrictions. If you do need to modify the distribution terms of some files, do not refer to this license, instead distribute The Program under a different license. You may use the parts of the text of LPPL as a model for your own license, but your license should not directly refer to the LPPL or otherwise give the impression that The Program is distributed under the LPPL.\n\nThe LaTeX Project Public License\n\n================================\n\nTerms And Conditions For Copying, Distribution And Modification\n\n===============================================================\n\nWARRANTY\n\n========\n\nThere is no warranty for The Program, to the extent permitted by applicable law. Except when otherwise stated in writing, The Copyright Holder provides The Program `as is' without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of the program is with you. Should The Program prove defective, you assume the cost of all necessary servicing, repair or correction.\n\nIn no event unless required by applicable law or agreed to in writing will The Copyright Holder, or any of the individual authors named in the source for The Program, be liable to you for damages, including any general, special, incidental or consequential damages arising out of any use of The Program or out of inability to use The Program (including but not limited to loss of data or data being rendered inaccurate or losses sustained by you or by third parties as a result of a failure of The Program to operate with any other programs), even if such holder or other party has been advised of the possibility of such damages.\n\nDISTRIBUTION\n\n============\n\nRedistribution of unchanged files is allowed provided that all files that make up the distribution of The Program are distributed. In particular this means that The Program has to be distributed including its documentation if documentation was part of the original distribution.\n\nThe distribution of The Program will contain a prominent file listing all the files covered by this license.\n\nIf you receive only some of these files from someone, complain!\n\nThe distribution of changed versions of certain files included in the The Program, and the reuse of code from The Program, are allowed under the following restrictions:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> It is allowed only if the legal notice in the file does not expressly forbid it. See note below, under \"Conditions on individual files\".\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> You rename the file before you make any changes to it, unless the file explicitly says that renaming is not required. Any such changed files must be distributed under a license that forbids distribution of those files, and any files derived from them, under the names used by the original files in the distribution of The Program.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> You change any `identification string' in The Program to clearly indicate that the file is not part of the standard system.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> If The Program includes an `error report address' so that errors may be reported to The Copyright Holder, or other specified addresses, this address must be changed in any modified versions of The Program, so that reports for files not maintained by the original program maintainers are directed to the maintainers of the changed files.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> You acknowledge the source and authorship of the original version in the modified file.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> You also distribute the unmodified version of the file or alternatively provide sufficient information so that the user of your modified file can be reasonably expected to be able to obtain an original, unmodified copy of The Program. For example, you may specify a URL to a site that you expect will freely provide the user with a copy of The Program (either the version on which your modification is based, or perhaps a later version).\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> If The Program is intended to be used with, or is based on, LaTeX, then files with the following file extensions which have special meaning in LaTeX Software, have special modification rules under the license:\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Files with extension `.ins' (installation files): these files may not be modified at all because they contain the legal notices that are placed in the generated files.\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Files with extension `.fd' (LaTeX font definitions files): these files are allowed to be modified without changing the name, but only to enable use of all available fonts and to prevent attempts to access unavailable fonts. However, modified files are not allowed to be distributed in place of original files.\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Files with extension `.cfg' (configuration files): these files can be created or modified to enable easy configuration of the system. The documentation in cfgguide.tex in the base LaTeX distribution describes when it makes sense to modify or generate such files.\n\nThe above restrictions are not intended to prohibit, and hence do not apply to, the updating, by any method, of a file so that it becomes identical to the latest version of that file in The Program.\n\n========================================================================\n\nNOTES\n\n=====\n\nWe believe that these requirements give you the freedom you to make modifications that conform with whatever technical specifications you wish, whilst maintaining the availability, integrity and reliability of The Program. If you do not see how to achieve your goal whilst adhering to these requirements then read the document cfgguide.tex in the base LaTeX distribution for suggestions.\n\nBecause of the portability and exchangeability aspects of systems like LaTeX, The LaTeX3 Project deprecates the distribution of non-standard versions of components of LaTeX or of generally available contributed code for them but such distributions are permitted under the above restrictions.\n\nThe document modguide.tex in the base LaTeX distribution details the reasons for the legal requirements detailed above. Even if The Program is unrelated to LaTeX, the argument in modguide.tex may still apply, and should be read before a modified version of The Program is distributed.\n\nConditions on individual files\n\n==============================\n\nThe individual files may bear additional conditions which supersede the general conditions on distribution and modification contained in this file. If there are any such files, the distribution of The Program will contain a prominent file that lists all the exceptional files.\n\nTypical examples of files with more restrictive modification conditions would be files that contain the text of copyright notices.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> The conditions on individual files differ only in the extent of *modification* that is allowed.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> The conditions on *distribution* are the same for all the files. Thus a (re)distributor of a complete, unchanged copy of The Program need meet only the conditions in this file; it is not necessary to check the header of every file in the distribution to check that a distribution meets these requirements."
		self.name = "LaTeX Project Public License v1.0"
		self.licenseComments = "This license was released 1 Mar 1999"
		self.licenseId = "LPPL-1.0"
		self.standardLicenseHeader = "%% pig.sty\n\n%% Copyright 2001 M. Y. Name\n\n% This program can redistributed and/or modified under the terms\n\n% of the LaTeX Project Public License Distributed from CTAN\n\n% archives in directory macros/latex/base/lppl.txt; either\n\n% version 1 of the License, or (at your option) any later version.\n\n"
		self.crossRef = [{"match": "False", "url": "http://www.latex-project.org/lppl/lppl-1-0.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:05Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.latex-project.org/lppl/lppl-1-0.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>LaTeX Project Public License</p>\n\n		 <p>LPPL Version 1.0 1999-03-01</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1999 LaTeX3 Project</p>\n\n	  </div>\n\n	  <p>Everyone is permitted to copy and distribute verbatim copies of this license document, but modification\n		 is not allowed.</p>\n\n	  <p>Preamble</p>\n\n	  <p>The LaTeX Project Public License (LPPL) is the license under which the base LaTeX distribution is\n		 distributed. As described below you may use this licence for any software that you wish to\n		 distribute.</p>\n\n	  <p>It may be particularly suitable if your software is TeX related (such as a LaTeX package file) but it may\n		 be used for any software, even if it is unrelated to TeX.</p>\n\n	  <p>To use this license, the files of your distribution should have an explicit copyright notice giving your\n		 name and the year, together with a reference to this license.</p>\n\n	  <p>A typical example would be</p>\n\n	  <p><var class=\"optional-license-text\"> %%</var> <var class=\"replaceable-license-text\"> pig.sty</var>\n	  <br />\n\n<var class=\"optional-license-text\"> %%</var> Copyright <var class=\"replaceable-license-text\"> 2001 M. Y. Name</var></p>\n\n	  <p>% This program can redistributed and/or modified under the terms\n		<br />\n\n<var class=\"optional-license-text\"> %</var> of the LaTeX Project Public License Distributed from CTAN\n		<br />\n\n<var class=\"optional-license-text\"> %</var> archives in directory macros/latex/base/lppl.txt; either\n		<br />\n\n<var class=\"optional-license-text\"> %</var> version 1 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>Given such a notice in the file, the conditions of this document would apply, with:</p>\n\n	  <p>`The Program&apos; referring to the software `pig.sty&apos; and `The Copyright Holder&apos; referring to the person `M.\n		 Y. Name&apos;.</p>\n\n	  <p>To see a real example, see the file legal.txt which carries the copyright notice for the base latex\n		 distribution.</p>\n\n	  <p>This license gives terms under which files of The Program may be distributed and modified. Individual\n		 files may have specific further constraints on modification, but no file should have restrictions on\n		 distribution other than those specified below.</p>\n\n	  <p>This is to ensure that a distributor wishing to distribute a complete unmodified copy of The Program need\n		 only check the conditions in this file, and does not need to check every file in The Program for extra\n		 restrictions. If you do need to modify the distribution terms of some files, do not refer to this\n		 license, instead distribute The Program under a different license. You may use the parts of the text\n		 of LPPL as a model for your own license, but your license should not directly refer to the LPPL or\n		 otherwise give the impression that The Program is distributed under the LPPL.</p>\n\n	  <p>The LaTeX Project Public License\n		<br />\n\n================================\n		<br />\n\nTerms And Conditions For Copying, Distribution And Modification\n		<br />\n\n===============================================================\n	  </p>\n\n	  <p>WARRANTY\n		<br />\n\n========\n	  </p>\n\n	  <p>There is no warranty for The Program, to the extent permitted by applicable law. Except when otherwise\n		 stated in writing, The Copyright Holder provides The Program `as is&apos; without warranty of any kind,\n		 either expressed or implied, including, but not limited to, the implied warranties of merchantability\n		 and fitness for a particular purpose. The entire risk as to the quality and performance of the program\n		 is with you. Should The Program prove defective, you assume the cost of all necessary servicing,\n		 repair or correction.</p>\n\n	  <p>In no event unless required by applicable law or agreed to in writing will The Copyright Holder, or any\n		 of the individual authors named in the source for The Program, be liable to you for damages, including\n		 any general, special, incidental or consequential damages arising out of any use of The Program or out\n		 of inability to use The Program (including but not limited to loss of data or data being rendered\n		 inaccurate or losses sustained by you or by third parties as a result of a failure of The Program to\n		 operate with any other programs), even if such holder or other party has been advised of the\n		 possibility of such damages.</p>\n\n	  <p>DISTRIBUTION\n		<br />\n\n============\n	  </p>\n\n	  <p>Redistribution of unchanged files is allowed provided that all files that make up the distribution of The\n		 Program are distributed. In particular this means that The Program has to be distributed including its\n		 documentation if documentation was part of the original distribution.</p>\n\n	  <p>The distribution of The Program will contain a prominent file listing all the files covered by this\n		 license.</p>\n\n	  <p>If you receive only some of these files from someone, complain!</p>\n\n	  <p>The distribution of changed versions of certain files included in the The Program, and the reuse of code\n		 from The Program, are allowed under the following restrictions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  It is allowed only if the legal notice in the file does not expressly forbid it. See note\n		   below, under &quot;Conditions on individual files&quot;.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  You rename the file before you make any changes to it, unless the file explicitly says that\n		   renaming is not required. Any such changed files must be distributed under a license that\n		   forbids distribution of those files, and any files derived from them, under the names used\n		   by the original files in the distribution of The Program.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  You change any `identification string&apos; in The Program to clearly indicate that the file is\n		   not part of the standard system.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  If The Program includes an `error report address&apos; so that errors may be reported to The\n		   Copyright Holder, or other specified addresses, this address must be changed in any\n		   modified versions of The Program, so that reports for files not maintained by the original\n		   program maintainers are directed to the maintainers of the changed files.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  You acknowledge the source and authorship of the original version in the modified file.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  You also distribute the unmodified version of the file or alternatively provide sufficient\n			   information so that the user of your modified file can be reasonably expected to be able\n			   to obtain an original, unmodified copy of The Program. For example, you may specify a URL\n			   to a site that you expect will freely provide the user with a copy of The Program (either\n			   the version on which your modification is based, or perhaps a later version).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  If The Program is intended to be used with, or is based on, LaTeX, then files with the\n			   following file extensions which have special meaning in LaTeX Software, have special\n			   modification rules under the license:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n			  Files with extension `.ins&apos; (installation files): these files may not be modified at all\n				 because they contain the legal notices that are placed in the generated files.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n			  Files with extension `.fd&apos; (LaTeX font definitions files): these files are allowed to be\n				 modified without changing the name, but only to enable use of all available fonts and\n				 to prevent attempts to access unavailable fonts. However, modified files are not\n				 allowed to be distributed in place of original files.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n			  Files with extension `.cfg&apos; (configuration files): these files can be created or modified\n				 to enable easy configuration of the system. The documentation in cfgguide.tex in the\n				 base LaTeX distribution describes when it makes sense to modify or generate such\n				 files.\n			</li>\n			\n</ul>\n		  </li>\n		\n</ul>\n	  <p>The above restrictions are not intended to prohibit, and hence do not apply to, the updating, by any\n		 method, of a file so that it becomes identical to the latest version of that file in The Program.</p>\n\n	  <p>========================================================================</p>\n\n	  <p>NOTES\n		<br />\n\n=====\n	  </p>\n\n	  <p>We believe that these requirements give you the freedom you to make modifications that conform with\n		 whatever technical specifications you wish, whilst maintaining the availability, integrity and\n		 reliability of The Program. If you do not see how to achieve your goal whilst adhering to these\n		 requirements then read the document cfgguide.tex in the base LaTeX distribution for suggestions.</p>\n\n	  <p>Because of the portability and exchangeability aspects of systems like LaTeX, The LaTeX3 Project\n		 deprecates the distribution of non-standard versions of components of LaTeX or of generally available\n		 contributed code for them but such distributions are permitted under the above restrictions.</p>\n\n	  <p>The document modguide.tex in the base LaTeX distribution details the reasons for the legal requirements\n		 detailed above. Even if The Program is unrelated to LaTeX, the argument in modguide.tex may still\n		 apply, and should be read before a modified version of The Program is distributed.</p>\n\n	  <p>Conditions on individual files\n		<br />\n\n==============================\n	  </p>\n\n	  <p>The individual files may bear additional conditions which supersede the general conditions on\n		 distribution and modification contained in this file. If there are any such files, the distribution of\n		 The Program will contain a prominent file that lists all the exceptional files.</p>\n\n	  <p>Typical examples of files with more restrictive modification conditions would be files that contain the\n		 text of copyright notices.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  The conditions on individual files differ only in the extent of *modification* that is allowed.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  The conditions on *distribution* are the same for all the files. Thus a (re)distributor of a\n			 complete, unchanged copy of The Program need meet only the conditions in this file; it is not\n			 necessary to check the header of every file in the distribution to check that a distribution\n			 meets these requirements.\n		</li>\n	  \n</ul>\n	"
		self.standardLicenseHeaderHtml = "\n	  <p><var class=\"optional-license-text\"> %%</var> <var class=\"replaceable-license-text\"> pig.sty</var>\n	  <br />\n\n<var class=\"optional-license-text\"> %%</var> Copyright <var class=\"replaceable-license-text\"> 2001 M. Y. Name</var></p>\n\n	  <p>% This program can redistributed and/or modified under the terms\n		<br />\n\n<var class=\"optional-license-text\"> %</var> of the LaTeX Project Public License Distributed from CTAN\n		<br />\n\n<var class=\"optional-license-text\"> %</var> archives in directory macros/latex/base/lppl.txt; either\n		<br />\n\n<var class=\"optional-license-text\"> %</var> version 1 of the License, or (at your option) any later version.\n	  </p>\n\n	  "
		self.python_name = "LPPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL13noinvariantsonly:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU Free Documentation License\nVersion 1.3, 3 November 2008\n\nCopyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\nThe \"publisher\" means any person or entity that distributes copies of the Document to the public.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\nThe Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice. H. Include an unaltered copy of this License.\n	 I. Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n	 O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.\n\n11. RELICENSING\n\n\"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A \"Massive Multiauthor Collaboration\" (or \"MMC\") contained in the site means any set of copyrightable works thus published on the MMC site.\n\n\"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.\n\n\"Incorporate\" means to publish or republish a Document, in whole or in part, as part of another Document.\n\nAn MMC is \"eligible for relicensing\" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.\n\nThe operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\n with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.3, 3 November 2008\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <http://fsf.org/>  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   The \"publisher\" means any person or entity that distributes copies of the Document to the public.\n\n   A section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\n   The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice. H. Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n\n	  <<var;name=\"bullet\";original=\"O.\";match=\".{0,20}\">> Preserve any Warranty Disclaimers.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\n   If a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> RELICENSING\n\n   \"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A \"Massive Multiauthor Collaboration\" (or \"MMC\") contained in the site means any set of copyrightable works thus published on the MMC site.\n\n   \"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.\n\n   \"Incorporate\" means to publish or republish a Document, in whole or in part, as part of another Document.\n\n   An MMC is \"eligible for relicensing\" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.\n\n   The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.3 only - no invariants"
		self.licenseComments = "This license was released 3 November 2008. The identifier GFDL-1.3-only-no-invariants should only be used when there are no Invariant Sections, Front-Cover Texts or Back-Cover Texts. See GFDL-1.3-only and GFDL-1.3-only-invariants for alternatives."
		self.licenseId = "GFDL-1.3-no-invariants-only"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/fdl-1.3.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/fdl-1.3.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.3, 3 November 2008\n	  </p>\n\n	</div>\n	<div class=\"replaceable-license-text\"> \n	  <p>\n		Copyright (C) 2000, 2001, 2002, 2007, 2008 Free\n		Software Foundation, Inc. &lt;http://fsf.org/&gt;\n	  </p>\n\n	</div>\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook, or\n		  other functional and useful document &quot;free&quot; in the sense of\n		  freedom: to assure everyone the effective freedom to copy and\n		  redistribute it, with or without modifying it, either commercially\n		  or noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work, in any medium,\n		  that contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. Such a\n		  notice grants a world-wide, royalty-free license, unlimited in\n		  duration, to use that work under the conditions stated herein.\n		  The &quot;Document&quot;, below, refers to any such manual or work.\n		  Any member of the public is a licensee, and is addressed as\n		  &quot;you&quot;. You accept the license if you copy, modify or distribute\n		  the work in a way requiring permission under copyright law.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter\n		  section of the Document that deals exclusively with the\n		  relationship of the publishers or authors of the Document to the\n		  Document&apos;s overall subject (or to related matters) and contains\n		  nothing that could fall directly within that overall subject.\n		  (Thus, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections,\n		  in the notice that says that the Document is released under\n		  this License. If a section does not fit the above definition of\n		  Secondary then it is not allowed to be designated as Invariant.\n		  The Document may contain zero Invariant Sections. If the Document\n		  does not identify any Invariant Sections then there are none.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are listed,\n		  as Front-Cover Texts or Back-Cover Texts, in the notice that says that\n		  the Document is released under this License. A Front-Cover Text may\n		  be at most 5 words, and a Back-Cover Text may be at most 25 words.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable\n		  copy, represented in a format whose specification is available\n		  to the general public, that is suitable for revising the document\n		  straightforwardly with generic text editors or (for images composed of\n		  pixels) generic paint programs or (for drawings) some widely available\n		  drawing editor, and that is suitable for input to text formatters or\n		  for automatic translation to a variety of formats suitable for input\n		  to text formatters. A copy made in an otherwise Transparent file\n		  format whose markup, or absence of markup, has been arranged to thwart\n		  or discourage subsequent modification by readers is not Transparent.\n		  An image format is not Transparent if used for any substantial\n		  amount of text. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include plain\n		  ASCII without markup, Texinfo input format, LaTeX input format,\n		  SGML or XML using a publicly available DTD, and standard-conforming\n		  simple HTML, PostScript or PDF designed for human modification.\n		  Examples of transparent image formats include PNG, XCF and JPG.\n		  Opaque formats include proprietary formats that can be read\n		  and edited only by proprietary word processors, SGML or XML\n		  for which the DTD and/or processing tools are not generally\n		  available, and the machine-generated HTML, PostScript or PDF\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n		<p>\n		  The &quot;publisher&quot; means any person or entity that\n		  distributes copies of the Document to the public.\n		</p>\n\n		<p>\n		  A section &quot;Entitled XYZ&quot; means a named subunit of the Document whose\n		  title either is precisely XYZ or contains XYZ in parentheses following\n		  text that translates XYZ in another language. (Here XYZ stands for\n		  a specific section name mentioned below, such as &quot;Acknowledgements&quot;,\n		  &quot;Dedications&quot;, &quot;Endorsements&quot;, or &quot;History&quot;.) To &quot;Preserve the\n		  Title&quot; of such a section when you modify the Document means that\n		  it remains a section &quot;Entitled XYZ&quot; according to this definition.\n		</p>\n\n		<p>\n		  The Document may include Warranty Disclaimers next to the notice\n		  which states that this License applies to the Document. These\n		  Warranty Disclaimers are considered to be included by reference\n		  in this License, but only as regards disclaiming warranties:\n		  any other implication that these Warranty Disclaimers may\n		  have is void and has no effect on the meaning of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies (or copies in media that commonly\n		  have printed covers) of the Document, numbering more than 100,\n		  and the Document&apos;s license notice requires Cover Texts, you must\n		  enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a computer-network location from which the general\n		  network-using public has access to download using public-standard\n		  network protocols a complete Transparent copy of the Document,\n		  free of added material. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or\n			entities responsible for authorship of the modifications in the\n			Modified Version, together with at least five of the principal\n			authors of the Document (all of its principal authors, if it has\n			fewer than five), unless they release you from this requirement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant\n			Sections and required Cover Texts given in the Document&apos;s\n			license notice. H. Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section Entitled &quot;History&quot;, Preserve its Title, and\n			add to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section Entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			For any section Entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			Preserve the Title of the section, and preserve in the\n			section all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section Entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section to be Entitled &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> O.</var>\n			Preserve any Warranty Disclaimers.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section Entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released under\n		  this License, under the terms defined in section 4 above for modified\n		  versions, provided that you include in the combination all of the\n		  Invariant Sections of all of the original documents, unmodified,\n		  and list them all as Invariant Sections of your combined work in its\n		  license notice, and that you preserve all their Warranty Disclaimers.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections Entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  Entitled &quot;History&quot;; likewise combine any sections Entitled\n		  &quot;Acknowledgements&quot;, and any sections Entitled &quot;Dedications&quot;.\n		  You must delete all sections Entitled &quot;Endorsements&quot;.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other\n		  separate and independent documents or works, in or on a volume\n		  of a storage or distribution medium, is called an &quot;aggregate&quot;\n		  if the copyright resulting from the compilation is not used to\n		  limit the legal rights of the compilation&apos;s users beyond what\n		  the individual works permit. When the Document is included in an\n		  aggregate, this License does not apply to the other works in the\n		  aggregate which are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to\n		  these copies of the Document, then if the Document is less\n		  than one half of the entire aggregate, the Document&apos;s Cover\n		  Texts may be placed on covers that bracket the Document\n		  within the aggregate, or the electronic equivalent of covers\n		  if the Document is in electronic form. Otherwise they must\n		  appear on printed covers that bracket the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of section\n		  4. Replacing Invariant Sections with translations requires special\n		  permission from their copyright holders, but you may include\n		  translations of some or all Invariant Sections in addition to the\n		  original versions of these Invariant Sections. You may include a\n		  translation of this License, and all the license notices in the\n		  Document, and any Warranty Disclaimers, provided that you also\n		  include the original English version of this License and the original\n		  versions of those notices and disclaimers. In case of a disagreement\n		  between the translation and the original version of this License\n		  or a notice or disclaimer, the original version will prevail.\n		</p>\n\n		<p>\n		  If a section in the Document is Entitled\n		  &quot;Acknowledgements&quot;, &quot;Dedications&quot;, or &quot;History&quot;, the\n		  requirement (section 4) to Preserve its Title (section\n		  1) will typically require changing the actual title.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided under this License. Any attempt\n		  otherwise to copy, modify, sublicense, or distribute it is void,\n		  and will automatically terminate your rights under this License.\n		</p>\n\n		<p>\n		  However, if you cease all violation of this License, then your\n		  license from a particular copyright holder is reinstated (a)\n		  provisionally, unless and until the copyright holder explicitly\n		  and finally terminates your license, and (b) permanently, if\n		  the copyright holder fails to notify you of the violation by\n		  some reasonable means prior to 60 days after the cessation.\n		</p>\n\n		<p>\n		  Moreover, your license from a particular copyright holder is\n		  reinstated permanently if the copyright holder notifies you\n		  of the violation by some reasonable means, this is the first\n		  time you have received notice of violation of this License\n		  (for any work) from that copyright holder, and you cure the\n		  violation prior to 30 days after your receipt of the notice.\n		</p>\n\n		<p>\n		  Termination of your rights under this section does not terminate\n		  the licenses of parties who have received copies or rights from\n		  you under this License. If your rights have been terminated and\n		  not permanently reinstated, receipt of a copy of some or all\n		  of the same material does not give you any rights to use it.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option of\n		  following the terms and conditions either of that specified version or\n		  of any later version that has been published (not as a draft) by the\n		  Free Software Foundation. If the Document does not specify a version\n		  number of this License, you may choose any version ever published (not\n		  as a draft) by the Free Software Foundation. If the Document specifies\n		  that a proxy can decide which future versions of this License can\n		  be used, that proxy&apos;s public statement of acceptance of a version\n		  permanently authorizes you to choose that version for the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		RELICENSING\n		<p>\n		  &quot;Massive Multiauthor Collaboration Site&quot; (or &quot;MMC Site&quot;) means any\n		  World Wide Web server that publishes copyrightable works and also\n		  provides prominent facilities for anybody to edit those works. A\n		  public wiki that anybody can edit is an example of such a server. A\n		  &quot;Massive Multiauthor Collaboration&quot; (or &quot;MMC&quot;) contained in the site\n		  means any set of copyrightable works thus published on the MMC site.\n		</p>\n\n		<p>\n		  &quot;CC-BY-SA&quot; means the Creative Commons Attribution-Share Alike\n		  3.0 license published by Creative Commons Corporation, a\n		  not-for-profit corporation with a principal place of business\n		  in San Francisco, California, as well as future copyleft\n		  versions of that license published by that same organization.\n		</p>\n\n		<p>\n		  &quot;Incorporate&quot; means to publish or republish a Document,\n		  in whole or in part, as part of another Document.\n		</p>\n\n		<p>\n		  An MMC is &quot;eligible for relicensing&quot; if it is licensed under this\n		  License, and if all works that were first published under this License\n		  somewhere other than this MMC, and subsequently incorporated in\n		  whole or in part into the MMC, (1) had no cover texts or invariant\n		  sections, and (2) were thus incorporated prior to November 1, 2008.\n		</p>\n\n		<p>\n		  The operator of an MMC Site may republish an MMC contained in\n		  the site under CC-BY-SA on the same site at any time before\n		  August 1, 2009, provided the MMC is eligible for relicensing.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the GNU\n		Free Documentation License, Version 1.3 or any later version published\n		by the Free Software Foundation; with no Invariant Sections, no\n		Front-Cover Texts, and no Back-Cover Texts. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections, Front-Cover Texts and\n		Back-Cover Texts, replace the &quot;with...Texts.&quot; line with this:\n	  </p>\n\n	  <p>\n		with the Invariant Sections being LIST THEIR TITLES, with the\n		Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections without Cover Texts,\n		or some other combination of the three, merge\n		those two alternatives to suit the situation.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>\n	  Permission is granted to copy, distribute and/or modify this\n	  document under the terms of the GNU Free Documentation License,\n	  Version 1.3; with no Invariant Sections, no Front-Cover Texts,\n	  and no Back-Cover Texts. A copy of the license is included\n	  in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL13noinvariantsonly"

	def __str__(self):
		return json.dumps(self.__dict__)


class MPL11:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Mozilla Public License Version 1.1\n\n1. Definitions.\n\n	 1.0.1. \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n	 1.1. \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	 1.2. \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	 1.3. \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	 1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	 1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n	 1.6. \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	 1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.8. \"License\" means this document.\n\n	 1.8.1. \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	 1.9. \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\nAny addition to or deletion from the contents of a file containing Original Code or previous Modifications.\nAny new file that contains any part of the Original Code or previous Modifications.\n\n	 1.10. \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	 1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	 1.11. \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	 1.12. \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n2. Source Code License.\n\n	 2.1. The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		  a. under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n		  b. under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n		  c. the licenses granted in this Section 2.1 (a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n		  d. Notwithstanding Section 2.1 (b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.\n\n	 2.2. Contributor Grant. Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n		  a. under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n		  b. under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n		  c. the licenses granted in Sections 2.2 (a) and 2.2 (b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n		  d. Notwithstanding Section 2.2 (b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n3. Distribution Obligations.\n\n	 3.1. Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	 3.2. Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	 3.3. Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	 3.4. Intellectual Property Matters\n\n		  (a) Third Party Claims\n		  If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		  (b) Contributor APIs\n		  If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n		  (c) Representations.\n		  Contributor represents that, except as disclosed pursuant to Section 3.4 (a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	 3.5. Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	 3.6. Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Sections 3.1, 3.2, 3.3, 3.4 and 3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	 3.7. Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License.\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n6. Versions of the License.\n\n	 6.1. New Versions\n	 Netscape Communications Corporation (\"Netscape\") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	 6.2. Effect of New Versions\n	 Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Netscape. No one other than Netscape has the right to modify the terms applicable to Covered Code created under this License.\n\n	 6.3. Derivative Works\n	 If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \"Mozilla\", \"MOZILLAPL\", \"MOZPL\", \"Netscape\", \"MPL\", \"NPL\" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n7. DISCLAIMER OF WARRANTY\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. Termination\n\n	 8.1. This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	 8.2. If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		  a. such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n		  b. any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	 8.3. If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	 8.4. In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n9. LIMITATION OF LIABILITY\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. government end users\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n11. Miscellaneous\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n12. Responsibility for claims\nAs between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n13. Multiple-licensed code\nInitial Developer may designate portions of the Covered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the MPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\nExhibit A - Mozilla Public License.\n\n\"The contents of this file are subject to the Mozilla Public License Version 1.1 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________________________.\n\nThe Initial Developer of the Original Code is ________________________.\nPortions created by ______________________ are Copyright (C) ______\n_______________________. All Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAlternatively, the contents of this file may be used under the terms of the _____ license (the  \"[___] License\"), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the MPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the MPL or the [___] License.\"\n\nNOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>\"<<endOptional>>The contents of this file are subject to the Mozilla Public License Version 1.1 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is <<var;name=\"code\";original=\"______________________________________\";match=\".+\">> .\n\nThe Initial Developer of the Original Code is <<var;name=\"initialDeveloper\";original=\"________________________\";match=\".+\">> .\n\nPortions created by <<var;name=\"creator\";original=\"______________________\";match=\".+\">> are Copyright (C) <<var;name=\"copyright\";original=\"______\";match=\".+\">> . All Rights Reserved.\n\nContributor(s): <<var;name=\"contributor\";original=\"______________________________________\";match=\".+\">> .\n\nAlternatively, the contents of this file may be used under the terms of the <<var;name=\"altLicense\";original=\"_____\";match=\".+\">> license (the \" <<var;name=\"altLicenseShort1\";original=\"[___]\";match=\".+\">> License\"), in which case the provisions of <<var;name=\"altLicenseShort2\";original=\"[______]\";match=\".+\">> License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the <<var;name=\"altLicenseShort3\";original=\"[____]\";match=\".+\">> License and not to allow others to use your version of this file under the MPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the <<var;name=\"altLicenseShort4\";original=\"[___]\";match=\".+\">> License. If you do not delete the provisions above, a recipient may use your version of this file under either the MPL or the <<var;name=\"altLicenseShort5\";original=\"[___]\";match=\".+\">> License.<<beginOptional>>\"<<endOptional>>\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Mozilla Public License Version 1.1\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.0.1.\";match=\".{0,20}\">> \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Executable\" means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.8.1.\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n	  Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n	  Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.10.1.\";match=\".{0,20}\">> \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n		 <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> the licenses granted in this Section 2.1 (a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n		 <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Notwithstanding Section 2.1 (b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant. Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n		 <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> the licenses granted in Sections 2.2 (a) and 2.2 (b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n		 <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Notwithstanding Section 2.2 (b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims\n\n		 If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs\n\n		 If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> Representations.\n\n		 Contributor represents that, except as disclosed pursuant to Section 3.4 (a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Sections 3.1, 3.2, 3.3, 3.4 and 3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Application of this License.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> New Versions\n\n	  Netscape Communications Corporation (\"Netscape\") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> Effect of New Versions\n\n	  Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Netscape. No one other than Netscape has the right to modify the terms applicable to Covered Code created under this License.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> Derivative Works\n\n	  If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \"Mozilla\", \"MOZILLAPL\", \"MOZPL\", \"Netscape\", \"MPL\", \"NPL\" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"8.1.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	  <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">> If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	  <<var;name=\"bullet\";original=\"8.3.\";match=\".{0,20}\">> If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"8.4.\";match=\".{0,20}\">> In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. government end users\n\n   The Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Miscellaneous\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Responsibility for claims\n\n   As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Multiple-licensed code\n\n   Initial Developer may designate portions of the Covered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the MPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.<<beginOptional>> Exhibit A - Mozilla Public License.\n\n<<beginOptional>>\"<<endOptional>>The contents of this file are subject to the Mozilla Public License Version 1.1 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is <<var;name=\"code\";original=\"______________________________________\";match=\".+\">> .\n\nThe Initial Developer of the Original Code is <<var;name=\"initialDeveloper\";original=\"________________________\";match=\".+\">> .\n\nPortions created by <<var;name=\"creator\";original=\"______________________\";match=\".+\">> are Copyright (C) <<var;name=\"copyright\";original=\"______\";match=\".+\">> . All Rights Reserved.\n\nContributor(s): <<var;name=\"contributor\";original=\"______________________________________\";match=\".+\">> .\n\nAlternatively, the contents of this file may be used under the terms of the <<var;name=\"altLicense\";original=\"_____\";match=\".+\">> license (the \" <<var;name=\"altLicenseShort1\";original=\"[___]\";match=\".+\">> License\"), in which case the provisions of <<var;name=\"altLicenseShort2\";original=\"[______]\";match=\".+\">> License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the <<var;name=\"altLicenseShort3\";original=\"[____]\";match=\".+\">> License and not to allow others to use your version of this file under the MPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the <<var;name=\"altLicenseShort4\";original=\"[___]\";match=\".+\">> License. If you do not delete the provisions above, a recipient may use your version of this file under either the MPL or the <<var;name=\"altLicenseShort5\";original=\"[___]\";match=\".+\">> License.<<beginOptional>>\"<<endOptional>>\n\nNOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.\n\n<<endOptional>>"
		self.name = "Mozilla Public License 1.1"
		self.licenseComments = "This license has been superseded by v2.0"
		self.licenseId = "MPL-1.1"
		self.standardLicenseHeader = "\"The contents of this file are subject to the Mozilla Public License Version 1.1 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________________________ .\n\nThe Initial Developer of the Original Code is ________________________ .\n\nPortions created by ______________________ are Copyright (C) ______ . All Rights Reserved.\n\nContributor(s): ______________________________________ .\n\nAlternatively, the contents of this file may be used under the terms of the _____ license (the \" [___] License\"), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the MPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the MPL or the [___] License.\"\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/MPL-1.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:16Z", "isWayBackLink": False, "order": 1}, {"match": "True", "url": "http://www.mozilla.org/MPL/MPL-1.1.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:16Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.mozilla.org/MPL/MPL-1.1.html", "https://opensource.org/licenses/MPL-1.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Mozilla Public License Version 1.1</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.0.1.</var>\n			  &quot;Commercial Use&quot; means distribution or otherwise making the Covered Code\n				 available to a third party.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			  &quot;Contributor&quot; means each entity that creates or contributes to the creation of\n				 Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			  &quot;Contributor Version&quot; means the combination of the Original Code, prior\n				 Modifications used by a Contributor, and the Modifications made by that particular\n				 Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			  &quot;Covered Code&quot; means the Original Code or Modifications or the combination of the\n				 Original Code and Modifications, in each case including portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			  &quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the\n				 software development community for the electronic transfer of data.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			  &quot;Executable&quot; means Covered Code in any form other than Source Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			  &quot;Initial Developer&quot; means the individual or entity identified as the Initial\n				 Developer in the Source Code notice required by Exhibit A.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			  &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with\n				 code not governed by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			  &quot;License&quot; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.1.</var>\n			  &quot;Licensable&quot; means having the right to grant, to the maximum extent\n				 possible, whether at the time of the initial grant or subsequently acquired, any and all\n				 of the rights conveyed herein.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			  &quot;Modifications&quot; means any addition to or deletion from the substance or structure\n				 of either the Original Code or any previous Modifications. When Covered Code is released\n				 as a series of files, a Modification is:\n				<br />\n\n	  Any addition to or deletion from the contents of a file containing Original Code or\n					 previous Modifications.\n				<br />\n\n	  Any new file that contains any part of the Original Code or previous Modifications.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			  &quot;Original Code&quot; means Source Code of computer software code which is described in\n				 the Source Code notice required by Exhibit A as Original Code, and which, at the time of\n				 its release under this License is not already Covered Code governed by this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.1.</var>\n			  &quot;Patent Claims&quot; means any patent claim(s), now owned or hereafter acquired,\n				 including without limitation, method, process, and apparatus claims, in any patent\n				 Licensable by grantor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			  &quot;Source Code&quot; means the preferred form of the Covered Code for making modifications\n				 to it, including all modules it contains, plus any associated interface definition files,\n				 scripts used to control compilation and installation of an Executable, or source code\n				 differential comparisons against either the Original Code or another well known, available\n				 Covered Code of the Contributor&apos;s choice. The Source Code can be in a compressed or\n				 archival form, provided the appropriate decompression or de-archiving software is widely\n				 available for no charge.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			  &quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity exercising rights\n				 under, and complying with all of the terms of, this License or a future version of this\n				 License issued under Section 6.1. For legal entities, &quot;You&quot; includes any entity\n				 which controls, is controlled by, or is under common control with You. For purposes of\n				 this definition, &quot;control&quot; means (a) the power, direct or indirect, to cause the\n				 direction or management of such entity, whether by contract or otherwise, or (b) ownership\n				 of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such\n				 entity.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Source Code License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			  The Initial Developer Grant. The Initial Developer hereby grants You a world-wide,\n				 royalty-free, non-exclusive license, subject to third party intellectual property\n				 claims:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n				  under intellectual property rights (other than patent or trademark) Licensable by Initial\n					 Developer to use, reproduce, modify, display, perform, sublicense and distribute the\n					 Original Code (or portions thereof) with or without Modifications, and/or as part of a\n					 Larger Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n				  under Patents Claims infringed by the making, using or selling of Original Code, to make,\n					 have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the\n					 Original Code (or portions thereof).\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> c.</var>\n				  the licenses granted in this Section 2.1 (a) and (b) are effective on the date Initial\n					 Developer first distributes Original Code under the terms of this License.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> d.</var>\n				  Notwithstanding Section 2.1 (b) above, no patent license is granted: 1) for code that You\n					 delete from the Original Code; 2) separate from the Original Code; or 3) for\n					 infringements caused by: i) the modification of the Original Code or ii) the\n					 combination of the Original Code with other software or devices.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			  Contributor Grant. Subject to third party intellectual property claims, each Contributor\n				 hereby grants You a world-wide, royalty-free, non-exclusive license\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n				  under intellectual property rights (other than patent or trademark) Licensable by\n					 Contributor, to use, reproduce, modify, display, perform, sublicense and distribute\n					 the Modifications created by such Contributor (or portions thereof) either on an\n					 unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger\n					 Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n				  under Patent Claims infringed by the making, using, or selling of Modifications made by\n					 that Contributor either alone and/or in combination with its Contributor Version (or\n					 portions of such combination), to make, use, sell, offer for sale, have made, and/or\n					 otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof);\n					 and 2) the combination of Modifications made by that Contributor with its Contributor\n					 Version (or portions of such combination).\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> c.</var>\n				  the licenses granted in Sections 2.2 (a) and 2.2 (b) are effective on the date\n					 Contributor first makes Commercial Use of the Covered Code.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> d.</var>\n				  Notwithstanding Section 2.2 (b) above, no patent license is granted: 1) for any code that\n					 Contributor has deleted from the Contributor Version; 2) separate from the Contributor\n					 Version; 3) for infringements caused by: i) third party modifications of Contributor\n					 Version or ii) the combination of Modifications made by that Contributor with other\n					 software (except as part of the Contributor Version) or other devices; or 4) under\n					 Patent Claims infringed by Covered Code in the absence of Modifications made by that\n					 Contributor.\n				</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Distribution Obligations.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			  Application of License. The Modifications which You create or to which You contribute are\n				 governed by the terms of this License, including without limitation Section 2.2. The\n				 Source Code version of Covered Code may be distributed only under the terms of this\n				 License or a future version of this License released under Section 6.1, and You must\n				 include a copy of this License with every copy of the Source Code You distribute. You may\n				 not offer or impose any terms on any Source Code version that alters or restricts the\n				 applicable version of this License or the recipients&apos; rights hereunder. However, You\n				 may include an additional document offering the additional rights described in Section\n				 3.5.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			  Availability of Source Code. Any Modification which You create or to which You contribute\n				 must be made available in Source Code form under the terms of this License either on the\n				 same media as an Executable version or via an accepted Electronic Distribution Mechanism\n				 to anyone to whom you made an Executable version available; and if made available via\n				 Electronic Distribution Mechanism, must remain available for at least twelve (12) months\n				 after the date it initially became available, or at least six (6) months after a\n				 subsequent version of that particular Modification has been made available to such\n				 recipients. You are responsible for ensuring that the Source Code version remains\n				 available even if the Electronic Distribution Mechanism is maintained by a third\n				 party.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			  Description of Modifications. You must cause all Covered Code to which You contribute to\n				 contain a file documenting the changes You made to create that Covered Code and the date\n				 of any change. You must include a prominent statement that the Modification is derived,\n				 directly or indirectly, from Original Code provided by the Initial Developer and including\n				 the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an\n				 Executable version or related documentation in which You describe the origin or ownership\n				 of the Covered Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			  Intellectual Property Matters\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  Third Party Claims\n					<br />\n\n		 If Contributor has knowledge that a license under a third party&apos;s intellectual\n						 property rights is required to exercise the rights granted by such Contributor\n						 under Sections 2.1 or 2.2, Contributor must include a text file with the\n						 Source Code distribution titled &quot;LEGAL&quot; which describes the claim\n						 and the party making the claim in sufficient detail that a recipient will know\n						 whom to contact. If Contributor obtains such knowledge after the Modification\n						 is made available as described in Section 3.2, Contributor shall promptly\n						 modify the LEGAL file in all copies Contributor makes available thereafter and\n						 shall take other steps (such as notifying appropriate mailing lists or\n						 newsgroups) reasonably calculated to inform those who received the Covered\n						 Code that new knowledge has been obtained.\n\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  Contributor APIs\n					<br />\n\n		 If Contributor&apos;s Modifications include an application programming interface\n						 and Contributor has knowledge of patent licenses which are reasonably\n						 necessary to implement that API, Contributor must also include this\n						 information in the LEGAL file.\n\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				  Representations.\n					<br />\n\n		 Contributor represents that, except as disclosed pursuant to Section 3.4 (a) above,\n						 Contributor believes that Contributor&apos;s Modifications are\n						 Contributor&apos;s original creation(s) and/or Contributor has sufficient\n						 rights to grant the rights conveyed by this License.\n\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			  Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code.\n				 If it is not possible to put such notice in a particular Source Code file due to its\n				 structure, then You must include such notice in a location (such as a relevant directory)\n				 where a user would be likely to look for such a notice. If You created one or more\n				 Modification(s) You may add your name as a Contributor to the notice described in Exhibit\n				 A. You must also duplicate this License in any documentation for the Source Code where You\n				 describe recipients&apos; rights or ownership rights relating to Covered Code. You may\n				 choose to offer, and to charge a fee for, warranty, support, indemnity or liability\n				 obligations to one or more recipients of Covered Code. However, You may do so only on Your\n				 own behalf, and not on behalf of the Initial Developer or any Contributor. You must make\n				 it absolutely clear than any such warranty, support, indemnity or liability obligation is\n				 offered by You alone, and You hereby agree to indemnify the Initial Developer and every\n				 Contributor for any liability incurred by the Initial Developer or such Contributor as a\n				 result of warranty, support, indemnity or liability terms You offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n			  Distribution of Executable Versions. You may distribute Covered Code in Executable form only\n				 if the requirements of Sections 3.1, 3.2, 3.3, 3.4 and 3.5 have been met for that Covered\n				 Code, and if You include a notice stating that the Source Code version of the Covered Code\n				 is available under the terms of this License, including a description of how and where You\n				 have fulfilled the obligations of Section 3.2. The notice must be conspicuously included\n				 in any notice in an Executable version, related documentation or collateral in which You\n				 describe recipients&apos; rights relating to the Covered Code. You may distribute the\n				 Executable version of Covered Code or ownership rights under a license of Your choice,\n				 which may contain terms different from this License, provided that You are in compliance\n				 with the terms of this License and that the license for the Executable version does not\n				 attempt to limit or alter the recipient&apos;s rights in the Source Code version from the\n				 rights set forth in this License. If You distribute the Executable version under a\n				 different license You must make it absolutely clear that any terms which differ from this\n				 License are offered by You alone, not by the Initial Developer or any Contributor. You\n				 hereby agree to indemnify the Initial Developer and every Contributor for any liability\n				 incurred by the Initial Developer or such Contributor as a result of any such terms You\n				 offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7.</var>\n			  Larger Works. You may create a Larger Work by combining Covered Code with other code not\n				 governed by the terms of this License and distribute the Larger Work as a single product.\n				 In such a case, You must make sure the requirements of this License are fulfilled for the\n				 Covered Code.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Inability to Comply Due to Statute or Regulation.\n		  <p>If it is impossible for You to comply with any of the terms of this License with respect to some\n			 or all of the Covered Code due to statute, judicial order, or regulation then You must: (a)\n			 comply with the terms of this License to the maximum extent possible; and (b) describe the\n			 limitations and the code they affect. Such description must be included in the LEGAL file\n			 described in Section 3.4 and must be included with all distributions of the Source Code.\n			 Except to the extent prohibited by statute or regulation, such description must be\n			 sufficiently detailed for a recipient of ordinary skill to be able to understand it.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Application of this License.\n			<br />\n\n   This License applies to code to which the Initial Developer has attached the notice in\n				 Exhibit A and to related Covered Code.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Versions of the License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n			  New Versions\n				<br />\n\n	  Netscape Communications Corporation (&quot;Netscape&quot;) may publish revised and/or\n					 new versions of the License from time to time. Each version will be given a\n					 distinguishing version number.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n			  Effect of New Versions\n				<br />\n\n	  Once Covered Code has been published under a particular version of the License, You may\n					 always continue to use it under the terms of that version. You may also choose to\n					 use such Covered Code under the terms of any subsequent version of the License\n					 published by Netscape. No one other than Netscape has the right to modify the\n					 terms applicable to Covered Code created under this License.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3.</var>\n			  Derivative Works\n				<br />\n\n	  If You create or use a modified version of this License (which you may only do in order\n					 to apply it to code which is not already Covered Code governed by this License),\n					 You must (a) rename Your license so that the phrases &quot;Mozilla&quot;,\n					 &quot;MOZILLAPL&quot;, &quot;MOZPL&quot;, &quot;Netscape&quot;, &quot;MPL&quot;,\n					 &quot;NPL&quot; or any confusingly similar phrase do not appear in your license\n					 (except to note that your license differs from this License) and (b) otherwise\n					 make it clear that Your version of the license contains terms which differ from\n					 the Mozilla Public License and Netscape Public License. (Filling in the name of\n					 the Initial Developer, Original Code or Contributor in the notice described in\n					 Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  DISCLAIMER OF WARRANTY\n			<br />\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTY\n				 OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\n				 THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE\n				 OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED\n				 CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE\n				 INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY\n				 SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL\n				 PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER\n				 THIS DISCLAIMER.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Termination\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1.</var>\n			  This License and the rights granted hereunder will terminate automatically if You fail to\n				 comply with terms herein and fail to cure such breach within 30 days of becoming aware of\n				 the breach. All sublicenses to the Covered Code which are properly granted shall survive\n				 any termination of this License. Provisions which, by their nature, must remain in effect\n				 beyond the termination of this License shall survive.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2.</var>\n			  If You initiate litigation by asserting a patent infringement claim (excluding declatory\n				 judgment actions) against Initial Developer or a Contributor (the Initial Developer or\n				 Contributor against whom You file such action is referred to as &quot;Participant&quot;)\n				 alleging that:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n				  such Participant&apos;s Contributor Version directly or indirectly infringes any patent,\n					 then any and all rights granted by such Participant to You under Sections 2.1 and/or\n					 2.2 of this License shall, upon 60 days notice from Participant terminate\n					 prospectively, unless if within 60 days after receipt of notice You either: (i) agree\n					 in writing to pay Participant a mutually agreeable reasonable royalty for Your past\n					 and future use of Modifications made by such Participant, or (ii) withdraw Your\n					 litigation claim with respect to the Contributor Version against such Participant. If\n					 within 60 days of notice, a reasonable royalty and payment arrangement are not\n					 mutually agreed upon in writing by the parties or the litigation claim is not\n					 withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2\n					 automatically terminate at the expiration of the 60 day notice period specified\n					 above.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n				  any software, hardware, or device, other than such Participant&apos;s Contributor\n					 Version, directly or indirectly infringes any patent, then any rights granted to You\n					 by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the\n					 date You first made, used, sold, distributed, or had made, Modifications made by that\n					 Participant.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.3.</var>\n			  If You assert a patent infringement claim against Participant alleging that such\n				 Participant&apos;s Contributor Version directly or indirectly infringes any patent where\n				 such claim is resolved (such as by license or settlement) prior to the initiation of\n				 patent infringement litigation, then the reasonable value of the licenses granted by such\n				 Participant under Sections 2.1 or 2.2 shall be taken into account in determining the\n				 amount or value of any payment or license.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.4.</var>\n			  In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements\n				 (excluding distributors and resellers) which have been validly granted by You or any\n				 distributor hereunder prior to termination shall survive termination.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY\n			<br />\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE),\n				 CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR\n				 ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO\n				 ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY\n				 CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE,\n				 COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES,\n				 EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS\n				 LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY\n				 RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS\n				 SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF\n				 INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\n				 YOU.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  U.S. government end users\n			<br />\n\n   The Covered Code is a &quot;commercial item,&quot; as that term is defined in 48 C.F.R.\n				 2.101 (Oct. 1995), consisting of &quot;commercial computer software&quot; and\n				 &quot;commercial computer software documentation,&quot; as such terms are used in 48\n				 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1\n				 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\n				 with only those rights set forth herein.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Miscellaneous\n			<br />\n\n   This License represents the complete agreement concerning subject matter hereof. If any\n				 provision of this License is held to be unenforceable, such provision shall be\n				 reformed only to the extent necessary to make it enforceable. This License shall be\n				 governed by California law provisions (except to the extent applicable law, if any,\n				 provides otherwise), excluding its conflict-of-law provisions. With respect to\n				 disputes in which at least one party is a citizen of, or an entity chartered or\n				 registered to do business in the United States of America, any litigation relating to\n				 this License shall be subject to the jurisdiction of the Federal Courts of the\n				 Northern District of California, with venue lying in Santa Clara County, California,\n				 with the losing party responsible for costs, including without limitation, court costs\n				 and reasonable attorneys&apos; fees and expenses. The application of the United\n				 Nations Convention on Contracts for the International Sale of Goods is expressly\n				 excluded. Any law or regulation which provides that the language of a contract shall\n				 be consTrued against the drafter shall not apply to this License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  Responsibility for claims\n			<br />\n\n   As between Initial Developer and the Contributors, each party is responsible for claims and\n				 damages arising, directly or indirectly, out of its utilization of rights under this\n				 License and You agree to work with Initial Developer and Contributors to distribute\n				 such responsibility on an equitable basis. Nothing herein is intended or shall be\n				 deemed to constitute any admission of liability.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  Multiple-licensed code\n		  <br />\n\n   Initial Developer may designate portions of the Covered Code as &quot;Multiple-Licensed&quot;.\n			   &quot;Multiple-Licensed&quot; means that the Initial Developer permits you to utilize portions of the\n			   Covered Code under Your choice of the MPL or the alternative licenses, if any, specified by the\n			   Initial Developer in the file described in Exhibit A.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>Exhibit A - Mozilla Public License.</p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>The contents of this file are subject to the Mozilla Public License Version 1.1 (the\n		 &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain\n		 a copy of the License at http://www.mozilla.org/MPL/</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF\n		 ANY KIND, either express or implied. See the License for the specific language governing rights and\n		 limitations under the License.</p>\n\n		 <p>The Original Code is <var class=\"replaceable-license-text\"> ______________________________________</var>.</p>\n\n		 <p>The Initial Developer of the Original Code is <var class=\"replaceable-license-text\"> ________________________</var>.\n		<br />\n\nPortions created by <var class=\"replaceable-license-text\"> ______________________</var> are Copyright (C) <var class=\"replaceable-license-text\"> ______</var>. All Rights Reserved.\n	  </p>\n\n		 <p>Contributor(s): <var class=\"replaceable-license-text\"> ______________________________________</var>.</p>\n\n		 <p>Alternatively, the contents of this file may be used under the terms of the <var class=\"replaceable-license-text\"> _____</var> license (the\n		 &quot;<var class=\"replaceable-license-text\"> [___]</var> License&quot;), in which case the provisions of <var class=\"replaceable-license-text\"> [______]</var> License are applicable instead of\n		 those above. If you wish to allow use of your version of this file only under the terms of the <var class=\"replaceable-license-text\"> [____]</var>\n		 License and not to allow others to use your version of this file under the MPL, indicate your decision\n		 by deleting the provisions above and replace them with the notice and other provisions required by the\n		 <var class=\"replaceable-license-text\"> [___]</var> License. If you do not delete the provisions above, a recipient may use your version of this\n		 file under either the MPL or the <var class=\"replaceable-license-text\"> [___]</var> License.<var class=\"optional-license-text\">&quot;</var></p>\n\n		 <p>NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code\n		 files of the Original Code. You should use the text of this Exhibit A rather than the text found in\n		 the Original Code Source Code for Your Modifications.</p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p><var class=\"optional-license-text\">&quot;</var>The contents of this file are subject to the Mozilla Public License Version 1.1 (the\n		 &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain\n		 a copy of the License at http://www.mozilla.org/MPL/</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF\n		 ANY KIND, either express or implied. See the License for the specific language governing rights and\n		 limitations under the License.</p>\n\n		 <p>The Original Code is <var class=\"replaceable-license-text\"> ______________________________________</var>.</p>\n\n		 <p>The Initial Developer of the Original Code is <var class=\"replaceable-license-text\"> ________________________</var>.\n		<br />\n\nPortions created by <var class=\"replaceable-license-text\"> ______________________</var> are Copyright (C) <var class=\"replaceable-license-text\"> ______</var>. All Rights Reserved.\n	  </p>\n\n		 <p>Contributor(s): <var class=\"replaceable-license-text\"> ______________________________________</var>.</p>\n\n		 <p>Alternatively, the contents of this file may be used under the terms of the <var class=\"replaceable-license-text\"> _____</var> license (the\n		 &quot;<var class=\"replaceable-license-text\"> [___]</var> License&quot;), in which case the provisions of <var class=\"replaceable-license-text\"> [______]</var> License are applicable instead of\n		 those above. If you wish to allow use of your version of this file only under the terms of the <var class=\"replaceable-license-text\"> [____]</var>\n		 License and not to allow others to use your version of this file under the MPL, indicate your decision\n		 by deleting the provisions above and replace them with the notice and other provisions required by the\n		 <var class=\"replaceable-license-text\"> [___]</var> License. If you do not delete the provisions above, a recipient may use your version of this\n		 file under either the MPL or the <var class=\"replaceable-license-text\"> [___]</var> License.<var class=\"optional-license-text\">&quot;</var></p>\n\n		 "
		self.python_name = "MPL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class OGLUK20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Open Government Licence v2.0\n\nYou are encouraged to use and re-use the Information that is available under this licence freely and flexibly, with only a few conditions.\n\nUsing Information under this licence\nUse of copyright and database right material expressly made available under this licence (the \u2018Information\u2019) indicates your acceptance of the terms and conditions below.\n\nThe Licensor grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information subject to the conditions below.\n\nThis licence does not affect your freedom under fair dealing or fair use or any other copyright or database right exceptions and limitations.\n\nYou are free to:\ncopy, publish, distribute and transmit the Information;\nadapt the Information;\nexploit the Information commercially and non-commercially for example, by combining it with other Information, or by including it in your own product or application.\nYou must, where you do any of the above:\nacknowledge the source of the Information by including any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence;\n If the Information Provider does not provide a specific attribution statement, or if you are using Information from several Information Providers and multiple attributions are not practical in your product or application, you may use the following:\n\n Contains public sector information licensed under the Open Government Licence v2.0.\n\nThese are important conditions of this licence and if you fail to comply with them the rights granted to you under this licence, or any similar licence granted by the Licensor, will end automatically.\n\n Exemptions\nThis licence does not cover:\n\npersonal data in the Information;\ninformation that has neither been published nor disclosed under information access legislation (including the Freedom of Information Acts for the UK and Scotland) by or with the consent of the Information Provider;\ndepartmental or public sector organisation logos, crests and the Royal Arms except where they form an integral part of a document or dataset;\nmilitary insignia;\nthird party rights the Information Provider is not authorised to license;\nother intellectual property rights, including patents, trade marks, and design rights; and\nidentity documents such as the British Passport\nNon-endorsement\nThis licence does not grant you any right to use the Information in a way that suggests any official status or that the Information Provider endorses you or your use of the Information.\n\nNon warranty\nThe Information is licensed \u2018as is\u2019 and the Information Provider excludes all representations, warranties, obligations and liabilities in relation to the Information to the maximum extent permitted by law.\n\nThe Information Provider is not liable for any errors or omissions in the Information and shall not be liable for any loss, injury or damage of any kind caused by its use. The Information Provider does not guarantee the continued supply of the Information.\n\nGoverning Law\nThis licence is governed by the laws of the jurisdiction in which the Information Provider has its principal place of business, unless otherwise specified by the Information Provider.\n\nDefinitions\nIn this licence, the terms below have the following meanings:\n\n\u2018Information\u2019\nmeans information protected by copyright or by database right (for example, literary and artistic works, content, data and source code) offered for use under the terms of this licence.\n\n\u2018Information Provider\u2019\nmeans the person or organisation providing the Information under this licence.\n\n\u2018Licensor\u2019\nmeans any Information Provider who has the authority to offer Information under the terms of this licence. It includes the Controller of Her Majesty\u2019s Stationery Office, who has the authority to offer Information subject to Crown copyright and Crown database rights, and Information subject to copyright and database rights which have been assigned to or acquired by the Crown, under the terms of this licence.\n\n\u2018Use\u2019\nmeans doing any act which is restricted by copyright or database right, whether in the original medium or in any other medium, and includes without limitation distributing, copying, adapting, modifying as may be technically necessary to use it in a different mode or format.\n\n\u2018You\u2019\nmeans the natural or legal person, or body of persons corporate or incorporate, acquiring rights under this licence.\n\nAbout the Open Government Licence\nThe Controller of Her Majesty\u2019s Stationery Office (HMSO) has developed this licence as a tool to enable Information Providers in the public sector to license the use and re-use of their Information under a common open licence. The Controller invites public sector bodies owning their own copyright and database rights to permit the use of their Information under this licence.\n\nThe Controller of HMSO has authority to license Information subject to copyright and database right owned by the Crown. The extent of the Controller\u2019s offer to license this Information under the terms of this licence is set out on The National Archives website.\n\nThis is version 2.0 of the Open Government Licence. The Controller of HMSO may, from time to time, issue new versions of the Open Government Licence. If you are already using Information under a previous version of the Open Government Licence, the terms of that licence will continue to apply.\n\nThese terms are compatible with the Creative Commons Attribution License 4.0 and the Open Data Commons Attribution License, both of which license copyright and database rights. This means that when the Information is adapted and licensed under either of those licences, you automatically satisfy the conditions of the OGL when you comply with the other licence. The OGLv2.0 is Open Definition compliant.\n\nFurther context, best practice and guidance can be found in the UK Government Licensing Framework section on The National Archives website.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Open Government Licence v2.0<<endOptional>>\n\nYou are encouraged to use and re-use the Information that is available under this licence freely and flexibly, with only a few conditions.\n\nUsing Information under this licence\n\nUse of copyright and database right material expressly made available under this licence (the 'Information') indicates your acceptance of the terms and conditions below.\n\nThe Licensor grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information subject to the conditions below.\n\nThis licence does not affect your freedom under fair dealing or fair use or any other copyright or database right exceptions and limitations.\n\nYou are free to:\n\n   copy, publish, distribute and transmit the Information;\n\n   adapt the Information;\n\n   exploit the Information commercially and non-commercially for example, by combining it with other Information, or by including it in your own product or application.\n\nYou must, where you do any of the above:\n\n   acknowledge the source of the Information by including any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence;\n\n   If the Information Provider does not provide a specific attribution statement, or if you are using Information from several Information Providers and multiple attributions are not practical in your product or application, you may use the following:\n\n   Contains public sector information licensed under the Open Government Licence v2.0.\n\n   These are important conditions of this licence and if you fail to comply with them the rights granted to you under this licence, or any similar licence granted by the Licensor, will end automatically.\n\nExemptions\n\nThis licence does not cover:\n\n   personal data in the Information;\n\n   information that has neither been published nor disclosed under information access legislation (including the Freedom of Information Acts for the UK and Scotland) by or with the consent of the Information Provider;\n\n   departmental or public sector organisation logos, crests and the Royal Arms except where they form an integral part of a document or dataset;\n\n   military insignia;\n\n   third party rights the Information Provider is not authorised to license;\n\n   other intellectual property rights, including patents, trade marks, and design rights; and\n\n   identity documents such as the British Passport\n\nNon-endorsement\n\nThis licence does not grant you any right to use the Information in a way that suggests any official status or that the Information Provider endorses you or your use of the Information.\n\nNon warranty\n\nThe Information is licensed 'as is' and the Information Provider excludes all representations, warranties, obligations and liabilities in relation to the Information to the maximum extent permitted by law.\n\nThe Information Provider is not liable for any errors or omissions in the Information and shall not be liable for any loss, injury or damage of any kind caused by its use. The Information Provider does not guarantee the continued supply of the Information.\n\nGoverning Law\n\nThis licence is governed by the laws of the jurisdiction in which the Information Provider has its principal place of business, unless otherwise specified by the Information Provider.\n\nDefinitions\n\nIn this licence, the terms below have the following meanings:\n\n   'Information' means information protected by copyright or by database right (for example, literary and artistic works, content, data and source code) offered for use under the terms of this licence.\n\n   'Information Provider' means the person or organisation providing the Information under this licence.\n\n   'Licensor' means any Information Provider who has the authority to offer Information under the terms of this licence. It includes the Controller of Her Majesty's Stationery Office, who has the authority to offer Information subject to Crown copyright and Crown database rights, and Information subject to copyright and database rights which have been assigned to or acquired by the Crown, under the terms of this licence.\n\n   'Use' means doing any act which is restricted by copyright or database right, whether in the original medium or in any other medium, and includes without limitation distributing, copying, adapting, modifying as may be technically necessary to use it in a different mode or format.\n\n   'You' means the natural or legal person, or body of persons corporate or incorporate, acquiring rights under this licence.\n\nAbout the Open Government Licence\n\nThe Controller of Her Majesty's Stationery Office (HMSO) has developed this licence as a tool to enable Information Providers in the public sector to license the use and re-use of their Information under a common open licence. The Controller invites public sector bodies owning their own copyright and database rights to permit the use of their Information under this licence.\n\nThe Controller of HMSO has authority to license Information subject to copyright and database right owned by the Crown. The extent of the Controller's offer to license this Information under the terms of this licence is set out on The National Archives website.\n\nThis is version 2.0 of the Open Government Licence. The Controller of HMSO may, from time to time, issue new versions of the Open Government Licence. If you are already using Information under a previous version of the Open Government Licence, the terms of that licence will continue to apply.\n\nThese terms are compatible with the Creative Commons Attribution License 4.0 and the Open Data Commons Attribution License, both of which license copyright and database rights. This means that when the Information is adapted and licensed under either of those licences, you automatically satisfy the conditions of the OGL when you comply with the other licence. The OGLv2.0 is Open Definition compliant.\n\nFurther context, best practice and guidance can be found in the UK Government Licensing Framework section on The National Archives website.\n\n"
		self.name = "Open Government Licence v2.0"
		self.licenseId = "OGL-UK-2.0"
		self.crossRef = [{"match": "False", "url": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/2/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:01Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.nationalarchives.gov.uk/doc/open-government-licence/version/2/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<var class=\"optional-license-text\"> Open Government Licence v2.0</var>\n			<p>You are encouraged to use and re-use the Information that is available under this licence freely and flexibly, with only a few conditions.</p>\n\n			<p>Using Information under this licence</p>\n\n			<p>Use of copyright and database right material expressly made available under this licence (the &apos;Information&apos;) indicates your acceptance of the terms and conditions below.</p>\n\n			<p>The Licensor grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information subject to the conditions below.</p>\n\n			<p>This licence does not affect your freedom under fair dealing or fair use or any other copyright or database right exceptions and limitations.</p>\n\n			<p>You are free to:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>copy, publish, distribute and transmit the Information;</li>\n				\n<li>adapt the Information;</li>\n				\n<li>exploit the Information commercially and non-commercially for example, by combining it with other Information, or by including it in your own product or application.</li>\n			\n</ul>\n			<p>You must, where you do any of the above:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>acknowledge the source of the Information by including any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence;\n					<p>  If the Information Provider does not provide a specific attribution statement, or if you are using Information from several Information Providers and multiple attributions are not practical in your product or application, you may use the following:\n						<br />\n\n   Contains public sector information licensed under the Open Government Licence v2.0.\n					</p>\n\n					<p>These are important conditions of this licence and if you fail to comply with them the rights granted to you under this licence, or any similar licence granted by the Licensor, will end automatically.</p>\n\n				</li>\n			\n</ul>\n			<p>Exemptions</p>\n\n			<p>This licence does not cover:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>personal data in the Information;</li>\n				\n<li>information that has neither been published nor disclosed under information access legislation (including the Freedom of Information Acts for the UK and Scotland) by or with the consent of the Information Provider;</li>\n				\n<li>departmental or public sector organisation logos, crests and the Royal Arms except where they form an integral part of a document or dataset;</li>\n				\n<li>military insignia;</li>\n				\n<li>third party rights the Information Provider is not authorised to license;</li>\n				\n<li>other intellectual property rights, including patents, trade marks, and design rights; and</li>\n				\n<li>identity documents such as the British Passport</li>\n			\n</ul>\n			<p>Non-endorsement</p>\n\n			<p>This licence does not grant you any right to use the Information in a way that suggests any official status or that the Information Provider endorses you or your use of the Information.</p>\n\n			<p>Non warranty</p>\n\n			<p>The Information is licensed &apos;as is&apos; and the Information Provider excludes all representations, warranties, obligations and liabilities in relation to the Information to the maximum extent permitted by law.</p>\n\n			<p>The Information Provider is not liable for any errors or omissions in the Information and shall not be liable for any loss, injury or damage of any kind caused by its use. The Information Provider does not guarantee the continued supply of the Information.</p>\n\n			<p>Governing Law</p>\n\n			<p>This licence is governed by the laws of the jurisdiction in which the Information Provider has its principal place of business, unless otherwise specified by the Information Provider.</p>\n\n			<p>Definitions</p>\n\n			<p>In this licence, the terms below have the following meanings:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>&apos;Information&apos; means information protected by copyright or by database right (for example, literary and artistic works, content, data and source code) offered for use under the terms of this licence.</li>\n				\n<li>&apos;Information Provider&apos; means the person or organisation providing the Information under this licence.</li>\n				\n<li>&apos;Licensor&apos; means any Information Provider who has the authority to offer Information under the terms of this licence. It includes the Controller of Her Majesty&apos;s Stationery Office, who has the authority to offer Information subject to Crown copyright and Crown database rights, and Information subject to copyright and database rights which have been assigned to or acquired by the Crown, under the terms of this licence.</li>\n				\n<li>&apos;Use&apos; means doing any act which is restricted by copyright or database right, whether in the original medium or in any other medium, and includes without limitation distributing, copying, adapting, modifying as may be technically necessary to use it in a different mode or format.</li>\n				\n<li>&apos;You&apos; means the natural or legal person, or body of persons corporate or incorporate, acquiring rights under this licence.</li>\n			\n</ul>\n			<p>About the Open Government Licence</p>\n\n			<p>The Controller of Her Majesty&apos;s Stationery Office (HMSO) has developed this licence as a tool to enable Information Providers in the public sector to license the use and re-use of their Information under a common open licence. The Controller invites public sector bodies owning their own copyright and database rights to permit the use of their Information under this licence.</p>\n\n			<p>The Controller of HMSO has authority to license Information subject to copyright and database right owned by the Crown. The extent of the Controller&apos;s offer to license this Information under the terms of this licence is set out on The National Archives website.</p>\n\n			<p>This is version 2.0 of the Open Government Licence. The Controller of HMSO may, from time to time, issue new versions of the Open Government Licence. If you are already using Information under a previous version of the Open Government Licence, the terms of that licence will continue to apply.</p>\n\n			<p>These terms are compatible with the Creative Commons Attribution License 4.0 and the Open Data Commons Attribution License, both of which license copyright and database rights. This means that when the Information is adapted and licensed under either of those licences, you automatically satisfy the conditions of the OGL when you comply with the other licence. The OGLv2.0 is Open Definition compliant.</p>\n\n			<p>Further context, best practice and guidance can be found in the UK Government Licensing Framework section on The National Archives website.</p>\n\n		"
		self.python_name = "OGLUK20"

	def __str__(self):
		return json.dumps(self.__dict__)


class OFFIS:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1994-2001, OFFIS\n\nThis software and supporting documentation were developed by\n \nKuratorium OFFIS e.V.\nHealthcare Information and Communication Systems\nEscherweg 2\nD-26121 Oldenburg, Germany\n \nTHIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND OFFIS MAKES NO  WARRANTY\nREGARDING  THE  SOFTWARE,  ITS  PERFORMANCE,  ITS  MERCHANTABILITY  OR\nFITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES  OR\nITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY AND\nPERFORMANCE OF THE SOFTWARE IS WITH THE USER.\n\nCopyright of the software  and  supporting  documentation  is,  unless\notherwise stated, owned by OFFIS, and free access is hereby granted as\na license to  use  this  software,  copy  this  software  and  prepare\nderivative works based upon this software.  However, any  distribution\nof this software source code or supporting documentation or derivative\nworks  (source code and  supporting documentation)  must  include  the\nthree paragraphs of this copyright notice.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1994-2001, OFFIS\";match=\".{0,5000}\">>\n\nThis software and supporting documentation were developed by\n\nKuratorium OFFIS e.V. Healthcare Information and Communication Systems\n\nEscherweg 2\n\nD-26121 Oldenburg, Germany\n\nTHIS SOFTWARE IS MADE AVAILABLE, AS IS, AND OFFIS MAKES NO WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.\n\nCopyright of the software and supporting documentation is, unless otherwise stated, owned by OFFIS, and free access is hereby granted as a license to use this software, copy this software and prepare derivative works based upon this software. However, any distribution of this software source code or supporting documentation or derivative works (source code and supporting documentation) must include the three paragraphs of this copyright notice.\n\n"
		self.name = "OFFIS License"
		self.licenseId = "OFFIS"
		self.crossRef = [{"match": "False", "url": "https://sourceforge.net/p/xmedcon/code/ci/master/tree/libs/dicom/README", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:47Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://sourceforge.net/p/xmedcon/code/ci/master/tree/libs/dicom/README"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (C) 1994-2001, OFFIS\n		 </var>\n		<p> This software and supporting documentation were developed\n		 by <br />\n\nKuratorium OFFIS e.V. Healthcare Information and\n		   Communication Systems <br />\n\nEscherweg 2 <br />\n\nD-26121 Oldenburg, Germany</p>\n\n		 <p>\n			THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND OFFIS MAKES NO WARRANTY\n			REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY\n			OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER\n			DISEASES OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK\n			AS TO QUALITY AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.\n		 </p>\n\n		 <p>\n			Copyright of the software and supporting documentation is, unless\n			otherwise stated, owned by OFFIS, and free access is hereby granted\n			as a license to use this software, copy this software and prepare\n			derivative works based upon this software. However, any distribution\n			of this software source code or supporting documentation or\n			derivative works (source code and supporting documentation)\n			must include the three paragraphs of this copyright notice.\n		 </p>\n\n	  "
		self.python_name = "OFFIS"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDKevlinHenney:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright Kevlin Henney, 1997, 2003, 2012. All rights reserved.\n\nPermission to use, copy, modify, and distribute this software and its\ndocumentation for any purpose is hereby granted without fee, provided\nthat this copyright and permissions notice appear in all copies and\nderivatives.\n\nThis software is supplied \"as is\" without express or implied warranty.\n\nBut that said, if there are any problems please get in touch.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright Kevlin Henney, 1997, 2003, 2012. All rights reserved.  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose is hereby granted without fee, provided that this copyright and permissions notice appear in all copies and derivatives.\n\nThis software is supplied \"as is\" without express or implied warranty.\n\nBut that said, if there are any problems please get in touch.\n\n"
		self.name = "Historical Permission Notice and Disclaimer - Kevlin Henney variant"
		self.licenseComments = "This license is similar to HPND-Pbmplus but varies the order of hereby granted/without fee and has a different notice clause."
		self.licenseId = "HPND-Kevlin-Henney"
		self.crossRef = [{"match": "False", "url": "https://github.com/mruby/mruby/blob/83d12f8d52522cdb7c8cc46fad34821359f453e6/mrbgems/mruby-dir/src/Win/dirent.c#L127-L140", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:30Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/mruby/mruby/blob/83d12f8d52522cdb7c8cc46fad34821359f453e6/mrbgems/mruby-dir/src/Win/dirent.c#L127-L140"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n			<p>\n			   Copyright Kevlin Henney, 1997, 2003, 2012. All rights reserved.\n			</p>\n\n		 </div>\n		 <p>\n			Permission to use, copy, modify, and distribute this\n			software and its documentation for any purpose is hereby\n			granted without fee, provided that this copyright and\n			permissions notice appear in all copies and derivatives.\n		 </p>\n\n		 <p>\n			This software is supplied &quot;as is&quot;\n			without express or implied warranty.\n		 </p>\n\n		 <p>\n			But that said, if there are any problems please get in touch.\n		 </p>\n\n	  "
		self.python_name = "HPNDKevlinHenney"

	def __str__(self):
		return json.dumps(self.__dict__)


class AMDnewlib:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1989, 1990 Advanced Micro Devices, Inc.\n\nThis software is the property of Advanced Micro Devices, Inc  (AMD)  which\nspecifically  grants the user the right to modify, use and distribute this\nsoftware provided this notice is not removed or altered.  All other rights\nare reserved by AMD.\n\nAMD MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH REGARD TO THIS\nSOFTWARE.  IN NO EVENT SHALL AMD BE LIABLE FOR INCIDENTAL OR CONSEQUENTIAL\nDAMAGES IN CONNECTION WITH OR ARISING FROM THE FURNISHING, PERFORMANCE, OR\nUSE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1990 Advanced Micro Devices, Inc.  \";match=\".{0,5000}\">>\n\nThis software is the property of <<var;name=\"copyrightHolderAsIs\";original=\"Advanced Micro Devices, Inc (AMD)\";match=\".+\">> which specifically grants the user the right to modify, use and distribute this software provided this notice is not removed or altered. All other rights are reserved by <<var;name=\"copyrightHolderAsIs\";original=\"AMD\";match=\".+\">> .\n\n<<var;name=\"copyrightHolderAsIs\";original=\"AMD\";match=\".+\">> MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH REGARD TO THIS SOFTWARE. IN NO EVENT SHALL <<var;name=\"copyrightHolderAsIs\";original=\"AMD\";match=\".+\">> BE LIABLE FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES IN CONNECTION WITH OR ARISING FROM THE FURNISHING, PERFORMANCE, OR USE OF THIS SOFTWARE.\n\n"
		self.name = "AMD newlib License"
		self.licenseId = "AMD-newlib"
		self.crossRef = [{"match": "False", "url": "https://sourceware.org/git/?p=newlib-cygwin.git;a=blob;f=newlib/libc/sys/a29khif/_close.S;h=04f52ae00de1dafbd9055ad8d73c5c697a3aae7f;hb=HEAD", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:27Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://sourceware.org/git/?p=newlib-cygwin.git;a=blob;f=newlib/libc/sys/a29khif/_close.S;h=04f52ae00de1dafbd9055ad8d73c5c697a3aae7f;hb=HEAD"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n			<p>\n			   Copyright 1990 Advanced Micro Devices, Inc.\n			</p>\n\n		 </div>\n		 <p>\n			This software is the property\n			 of <var class=\"replaceable-license-text\"> Advanced Micro Devices, Inc  (AMD)</var> which specifically\n			grants the user the right to modify, use and distribute\n			this software provided this notice is not removed\n			 or altered. All other rights are reserved by <var class=\"replaceable-license-text\"> AMD</var>.\n		 </p>\n\n		 <p>\n			 <var class=\"replaceable-license-text\"> AMD</var> MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH\n			 REGARD TO THIS SOFTWARE. IN NO EVENT SHALL <var class=\"replaceable-license-text\"> AMD</var> BE LIABLE FOR\n			INCIDENTAL OR CONSEQUENTIAL DAMAGES IN CONNECTION WITH OR ARISING\n			FROM THE FURNISHING, PERFORMANCE, OR USE OF THIS SOFTWARE.\n		 </p>\n\n	  "
		self.python_name = "AMDnewlib"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNC10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "Creative Commons Attribution-NonCommercial 1.0\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to create and reproduce Derivative Works;\n\n	 c. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	 d. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	 b. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	 c. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n5. Representations, Warranties and Disclaimer\n\nBy offering the Work for public release under this License, Licensor represents and warrants that, to the best of Licensor's knowledge after reasonable inquiry: Licensor has secured all rights in the Work necessary to grant the license rights hereunder and to permit the lawful exercise of the rights granted hereunder without You having any obligation to pay any royalties, compulsory license fees, residuals or any other payments; The Work does not infringe the copyright, trademark, publicity rights, common law rights or any other right of any third party or constitute defamation, invasion of privacy or other tortious injury to any third party. EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NonCommercial 1.0\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and reproduce Derivative Works;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   By offering the Work for public release under this License, Licensor represents and warrants that, to the best of Licensor's knowledge after reasonable inquiry: Licensor has secured all rights in the Work necessary to grant the license rights hereunder and to permit the lawful exercise of the rights granted hereunder without You having any obligation to pay any royalties, compulsory license fees, residuals or any other payments; The Work does not infringe the copyright, trademark, publicity rights, common law rights or any other right of any third party or constitute defamation, invasion of privacy or other tortious injury to any third party. EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial 1.0 Generic"
		self.licenseId = "CC-BY-NC-1.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc/1.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:11Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc/1.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NonCommercial 1.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS\n		 INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE\n		 INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		  \n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n				   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n				   other contributions, constituting separate and independent works in themselves, are\n				   assembled into a collective whole. A work that constitutes a Collective Work will not be\n				   considered a Derivative Work (as defined below) for the purposes of this License.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n				   pre-existing works, such as a translation, musical arrangement, dramatization,\n				   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n				   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n				   except that a work that constitutes a Collective Work will not be considered a Derivative\n				   Work for the purpose of this License.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n				&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n				   this License.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n				&quot;Original Author&quot; means the individual or entity who created the Work.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n				&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n				&quot;You&quot; means an individual or entity exercising rights under this License who has\n				   not previously violated the terms of this License with respect to the Work, or who has\n				   received express permission from the Licensor to exercise rights under this License\n				   despite a previous violation.\n			  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to create and reproduce Derivative Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission Derivative Works;\n		  </li>\n			\n</ul>\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats. All rights not expressly\n			   granted by Licensor are hereby reserved.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n			   Work. You must keep intact all notices that refer to this License and to the disclaimer of\n			   warranties. You may not distribute, publicly display, publicly perform, or publicly\n			   digitally perform the Work with any technological measures that control access or use of\n			   the Work in a manner inconsistent with the terms of this License Agreement. The above\n			   applies to the Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Work itself to be made subject to the terms of this\n			   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n			   extent practicable, remove from the Collective Work any reference to such Licensor or the\n			   Original Author, as requested. If You create a Derivative Work, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Derivative Work any\n			   reference to such Licensor or the Original Author, as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may not exercise any of the rights granted to You in Section 3 above in any manner that\n			   is primarily intended for or directed toward commercial advantage or private monetary\n			   compensation. The exchange of the Work for other copyrighted works by means of digital\n			   file-sharing or otherwise shall not be considered to be intended for or directed toward\n			   commercial advantage or private monetary compensation, provided there is no payment of any\n			   monetary compensation in connection with the exchange of copyrighted works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n			   or any Derivative Works or Collective Works, You must keep intact all copyright notices\n			   for the Work and give the Original Author credit reasonable to the medium or means You are\n			   utilizing by conveying the name (or pseudonym if applicable) of the Original Author if\n			   supplied; the title of the Work if supplied; in the case of a Derivative Work, a credit\n			   identifying the use of the Work in the Derivative Work (e.g., &quot;French translation of\n			   the Work by Original Author,&quot; or &quot;Screenplay based on original Work by Original\n			   Author&quot;). Such credit may be implemented in any reasonable manner; provided, however,\n			   that in the case of a Derivative Work or Collective Work, at a minimum such credit will\n			   appear where any other comparable authorship credit appears and in a manner at least as\n			   prominent as such other comparable authorship credit.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>By offering the Work for public release under this License, Licensor represents and warrants\n			 that, to the best of Licensor&apos;s knowledge after reasonable inquiry: Licensor has secured\n			 all rights in the Work necessary to grant the license rights hereunder and to permit the\n			 lawful exercise of the rights granted hereunder without You having any obligation to pay any\n			 royalties, compulsory license fees, residuals or any other payments; The Work does not\n			 infringe the copyright, trademark, publicity rights, common law rights or any other right of\n			 any third party or constitute defamation, invasion of privacy or other tortious injury to any\n			 third party. EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR\n			 REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN &quot;AS IS&quot; BASIS, WITHOUT\n			 WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY\n			 WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES\n			 ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5,\n			 IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL,\n			 CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE\n			 WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Derivative\n			   Works or Collective Works from You under this License, however, will not have their\n			   licenses terminated provided such individuals or entities remain in full compliance with\n			   those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n			   Licensor offers to the recipient a license to the Work on the same terms and conditions as\n			   the license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to\n			   the recipient a license to the original Work on the same terms and conditions as the\n			   license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYNC10"

	def __str__(self):
		return json.dumps(self.__dict__)


class HaskellReport:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Code derived from the document \"Report on the Programming Language\nHaskell 2010\", is distributed under the following license:\n\nCopyright (c) 2010 Simon Marlow\n\nThe authors intend this Report to belong to the entire Haskell community, and so we grant permission to copy and distribute it for any purpose, provided that it is reproduced in its entirety, including this Notice.  Modified versions of this Report may also be copied and distributed for any purpose, provided that the modified version is clearly presented as such, and that it does not claim to be a definition of the Haskell 2010 Language.\n"
		self.standardLicenseTemplate = "Code derived from the document \"Report on the Programming Language\n\nHaskell 2010\", is distributed under the following license:\n\n<<var;name=\"copyright\";original=\"Copyright (c) 2010 Simon Marlow\";match=\".{0,5000}\">>\n\nThe authors intend this Report to belong to the entire Haskell community, and so we grant permission to copy and distribute it for any purpose, provided that it is reproduced in its entirety, including this Notice. Modified versions of this Report may also be copied and distributed for any purpose, provided that the modified version is clearly presented as such, and that it does not claim to be a definition of the Haskell 2010 Language.\n\n"
		self.name = "Haskell Language Report License"
		self.licenseId = "HaskellReport"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Haskell_Language_Report_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:40Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Haskell_Language_Report_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>Code derived from the document &quot;Report on the Programming Language\n		<br />\n\nHaskell 2010&quot;, is distributed under the following license:\n	  </p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> Copyright (c) 2010 Simon Marlow</var>\n	  </p>\n\n	  <p>The authors intend this Report to belong to the entire Haskell community, and so we grant permission to\n		 copy and distribute it for any purpose, provided that it is reproduced in its entirety, including this\n		 Notice. Modified versions of this Report may also be copied and distributed for any purpose, provided\n		 that the modified version is clearly presented as such, and that it does not claim to be a definition\n		 of the Haskell 2010 Language.</p>\n\n	"
		self.python_name = "HaskellReport"

	def __str__(self):
		return json.dumps(self.__dict__)


class EPL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Eclipse Public License - v 1.0\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS ECLIPSE PUBLIC LICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.\n\n1. DEFINITIONS\n\n\"Contribution\" means:\n	 a) in the case of the initial Contributor, the initial code and documentation distributed under this Agreement, and\n	 b) in the case of each subsequent Contributor:\n		  i) changes to the Program, and\n		  ii) additions to the Program;\n\nwhere such changes and/or additions to the Program originate from and are distributed by that particular Contributor. A Contribution 'originates' from a Contributor if it was added to the Program by such Contributor itself or anyone acting on such Contributor's behalf. Contributions do not include additions to the Program which: (i) are separate modules of software distributed in conjunction with the Program under their own license agreement, and (ii) are not derivative works of the Program.\n\"Contributor\" means any person or entity that distributes the Program.\n\n\"Licensed Patents\" mean patent claims licensable by a Contributor which are necessarily infringed by the use or sale of its Contribution alone or when combined with the Program.\n\n\"Program\" means the Contributions distributed in accordance with this Agreement.\n\n\"Recipient\" means anyone who receives the Program under this Agreement, including all Contributors.\n\n2. GRANT OF RIGHTS\n\n	 a) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, and such derivative works, in source code and object code form.\n\n	 b) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell, import and otherwise transfer the Contribution of such Contributor, if any, in source code and object code form. This patent license shall apply to the combination of the Contribution and the Program if, at the time the Contribution is added by the Contributor, such addition of the Contribution causes such combination to be covered by the Licensed Patents. The patent license shall not apply to any other combinations which include the Contribution. No hardware per se is licensed hereunder.\n\n	 c) Recipient understands that although each Contributor grants the licenses to its Contributions set forth herein, no assurances are provided by any Contributor that the Program does not infringe the patent or other intellectual property rights of any other entity. Each Contributor disclaims any liability to Recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow Recipient to distribute the Program, it is Recipient's responsibility to acquire that license before distributing the Program.\n\n	 d) Each Contributor represents that to its knowledge it has sufficient copyright rights in its Contribution, if any, to grant the copyright license set forth in this Agreement.\n\n3. REQUIREMENTS\nA Contributor may choose to distribute the Program in object code form under its own license agreement, provided that:\n\n	 a) it complies with the terms and conditions of this Agreement; and\n\n	 b) its license agreement:\n		  i) effectively disclaims on behalf of all Contributors all warranties and conditions, express and implied, including warranties or conditions of title and non-infringement, and implied warranties or conditions of merchantability and fitness for a particular purpose;\n		  ii) effectively excludes on behalf of all Contributors all liability for damages, including direct, indirect, special, incidental and consequential damages, such as lost profits;\n		  iii) states that any provisions which differ from this Agreement are offered by that Contributor alone and not by any other party; and\n		  iv) states that source code for the Program is available from such Contributor, and informs licensees how to obtain it in a reasonable manner on or through a medium customarily used for software exchange.\n\nWhen the Program is made available in source code form:\n\n	 a) it must be made available under this Agreement; and\n\n	 b) a copy of this Agreement must be included with each copy of the Program.\nContributors may not remove or alter any copyright notices contained within the Program.\n\nEach Contributor must identify itself as the originator of its Contribution, if any, in a manner that reasonably allows subsequent Recipients to identify the originator of the Contribution.\n\n4. COMMERCIAL DISTRIBUTION\nCommercial distributors of software may accept certain responsibilities with respect to end users, business partners and the like. While this license is intended to facilitate the commercial use of the Program, the Contributor who includes the Program in a commercial product offering should do so in a manner which does not create potential liability for other Contributors. Therefore, if a Contributor includes the Program in a commercial product offering, such Contributor (\"Commercial Contributor\") hereby agrees to defend and indemnify every other Contributor (\"Indemnified Contributor\") against any losses, damages and costs (collectively \"Losses\") arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Contributor to the extent caused by the acts or omissions of such Commercial Contributor in connection with its distribution of the Program in a commercial product offering. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the Commercial Contributor in writing of such claim, and b) allow the Commercial Contributor to control, and cooperate with the Commercial Contributor in, the defense and any related settlement negotiations. The Indemnified Contributor may participate in any such claim at its own expense.\n\nFor example, a Contributor might include the Program in a commercial product offering, Product X. That Contributor is then a Commercial Contributor. If that Commercial Contributor then makes performance claims, or offers warranties related to Product X, those performance claims and warranties are such Commercial Contributor's responsibility alone. Under this section, the Commercial Contributor would have to defend claims against the other Contributors related to those performance claims and warranties, and if a court requires any other Contributor to pay any damages as a result, the Commercial Contributor must pay those damages.\n\n5. NO WARRANTY\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness of using and distributing the Program and assumes all risks associated with its exercise of rights under this Agreement , including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n6. DISCLAIMER OF LIABILITY\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. GENERAL\n\nIf any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Agreement, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\nIf Recipient institutes patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of the Program with other software or hardware) infringes such Recipient's patent(s), then such Recipient's rights granted under Section 2(b) shall terminate as of the date such litigation is filed.\n\nAll Recipient's rights under this Agreement shall terminate if it fails to comply with any of the material terms or conditions of this Agreement and does not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If all Recipient's rights under this Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as reasonably practicable. However, Recipient's obligations under this Agreement and any licenses granted by Recipient relating to the Program shall continue and survive.\n\nEveryone is permitted to copy and distribute copies of this Agreement, but in order to avoid inconsistency the Agreement is copyrighted and may only be modified in the following manner. The Agreement Steward reserves the right to publish new versions (including revisions) of this Agreement from time to time. No one other than the Agreement Steward has the right to modify this Agreement. The Eclipse Foundation is the initial Agreement Steward. The Eclipse Foundation may assign the responsibility to serve as the Agreement Steward to a suitable separate entity. Each new version of the Agreement will be given a distinguishing version number. The Program (including Contributions) may always be distributed subject to the version of the Agreement under which it was received. In addition, after a new version of the Agreement is published, Contributor may elect to distribute the Program (including its Contributions) under the new version. Except as expressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights or licenses to the intellectual property of any Contributor under this Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not expressly granted under this Agreement are reserved.\n\nThis Agreement is governed by the laws of the State of New York and the intellectual property laws of the United States of America. No party to this Agreement will bring a legal action under this Agreement more than one year after the cause of action arose. Each party waives its rights to a jury trial in any resulting litigation.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Eclipse Public License - v 1.0\n\n<<endOptional>>\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS ECLIPSE PUBLIC LICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> DEFINITIONS\n\n   \"Contribution\" means:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> in the case of the initial Contributor, the initial code and documentation distributed under this Agreement, and\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> in the case of each subsequent Contributor:\n\n		 <<var;name=\"bullet\";original=\"i)\";match=\".{0,20}\">> changes to the Program, and\n\n		 <<var;name=\"bullet\";original=\"ii)\";match=\".{0,20}\">> additions to the Program;\n\n		 where such changes and/or additions to the Program originate from and are distributed by that particular Contributor. A Contribution 'originates' from a Contributor if it was added to the Program by such Contributor itself or anyone acting on such Contributor's behalf. Contributions do not include additions to the Program which: (i) are separate modules of software distributed in conjunction with the Program under their own license agreement, and (ii) are not derivative works of the Program.\n\n   \"Contributor\" means any person or entity that distributes the Program.\n\n   \"Licensed Patents\" mean patent claims licensable by a Contributor which are necessarily infringed by the use or sale of its Contribution alone or when combined with the Program.\n\n   \"Program\" means the Contributions distributed in accordance with this Agreement.\n\n   \"Recipient\" means anyone who receives the Program under this Agreement, including all Contributors.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> GRANT OF RIGHTS\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, and such derivative works, in source code and object code form.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell, import and otherwise transfer the Contribution of such Contributor, if any, in source code and object code form. This patent license shall apply to the combination of the Contribution and the Program if, at the time the Contribution is added by the Contributor, such addition of the Contribution causes such combination to be covered by the Licensed Patents. The patent license shall not apply to any other combinations which include the Contribution. No hardware per se is licensed hereunder.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Recipient understands that although each Contributor grants the licenses to its Contributions set forth herein, no assurances are provided by any Contributor that the Program does not infringe the patent or other intellectual property rights of any other entity. Each Contributor disclaims any liability to Recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow Recipient to distribute the Program, it is Recipient's responsibility to acquire that license before distributing the Program.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Each Contributor represents that to its knowledge it has sufficient copyright rights in its Contribution, if any, to grant the copyright license set forth in this Agreement.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> REQUIREMENTS\n\n   A Contributor may choose to distribute the Program in object code form under its own license agreement, provided that:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> it complies with the terms and conditions of this Agreement; and\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> its license agreement:\n\n		 <<var;name=\"bullet\";original=\"i)\";match=\".{0,20}\">> effectively disclaims on behalf of all Contributors all warranties and conditions, express and implied, including warranties or conditions of title and non-infringement, and implied warranties or conditions of merchantability and fitness for a particular purpose;\n\n		 <<var;name=\"bullet\";original=\"ii)\";match=\".{0,20}\">> effectively excludes on behalf of all Contributors all liability for damages, including direct, indirect, special, incidental and consequential damages, such as lost profits;\n\n		 <<var;name=\"bullet\";original=\"iii)\";match=\".{0,20}\">> states that any provisions which differ from this Agreement are offered by that Contributor alone and not by any other party; and\n\n		 <<var;name=\"bullet\";original=\"iv)\";match=\".{0,20}\">> states that source code for the Program is available from such Contributor, and informs licensees how to obtain it in a reasonable manner on or through a medium customarily used for software exchange.\n\n   When the Program is made available in source code form:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> it must be made available under this Agreement; and\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> a copy of this Agreement must be included with each copy of the Program.\n\n	  Contributors may not remove or alter any copyright notices contained within the Program.\n\n   Each Contributor must identify itself as the originator of its Contribution, if any, in a manner that reasonably allows subsequent Recipients to identify the originator of the Contribution.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> COMMERCIAL DISTRIBUTION\n\n   Commercial distributors of software may accept certain responsibilities with respect to end users, business partners and the like. While this license is intended to facilitate the commercial use of the Program, the Contributor who includes the Program in a commercial product offering should do so in a manner which does not create potential liability for other Contributors. Therefore, if a Contributor includes the Program in a commercial product offering, such Contributor (\"Commercial Contributor\") hereby agrees to defend and indemnify every other Contributor (\"Indemnified Contributor\") against any losses, damages and costs (collectively \"Losses\") arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Contributor to the extent caused by the acts or omissions of such Commercial Contributor in connection with its distribution of the Program in a commercial product offering. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the Commercial Contributor in writing of such claim, and b) allow the Commercial Contributor to control, and cooperate with the Commercial Contributor in, the defense and any related settlement negotiations. The Indemnified Contributor may participate in any such claim at its own expense.\n\n   For example, a Contributor might include the Program in a commercial product offering, Product X. That Contributor is then a Commercial Contributor. If that Commercial Contributor then makes performance claims, or offers warranties related to Product X, those performance claims and warranties are such Commercial Contributor's responsibility alone. Under this section, the Commercial Contributor would have to defend claims against the other Contributors related to those performance claims and warranties, and if a court requires any other Contributor to pay any damages as a result, the Commercial Contributor must pay those damages.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> NO WARRANTY\n\n   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness of using and distributing the Program and assumes all risks associated with its exercise of rights under this Agreement, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> DISCLAIMER OF LIABILITY\n\n   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> GENERAL\n\n   If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Agreement, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n   If Recipient institutes patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of the Program with other software or hardware) infringes such Recipient's patent(s), then such Recipient's rights granted under Section 2(b) shall terminate as of the date such litigation is filed.\n\n   All Recipient's rights under this Agreement shall terminate if it fails to comply with any of the material terms or conditions of this Agreement and does not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If all Recipient's rights under this Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as reasonably practicable. However, Recipient's obligations under this Agreement and any licenses granted by Recipient relating to the Program shall continue and survive.\n\n   Everyone is permitted to copy and distribute copies of this Agreement, but in order to avoid inconsistency the Agreement is copyrighted and may only be modified in the following manner. The Agreement Steward reserves the right to publish new versions (including revisions) of this Agreement from time to time. No one other than the Agreement Steward has the right to modify this Agreement. The Eclipse Foundation is the initial Agreement Steward. The Eclipse Foundation may assign the responsibility to serve as the Agreement Steward to a suitable separate entity. Each new version of the Agreement will be given a distinguishing version number. The Program (including Contributions) may always be distributed subject to the version of the Agreement under which it was received. In addition, after a new version of the Agreement is published, Contributor may elect to distribute the Program (including its Contributions) under the new version. Except as expressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights or licenses to the intellectual property of any Contributor under this Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not expressly granted under this Agreement are reserved.\n\n   This Agreement is governed by the laws of the State of New York and the intellectual property laws of the United States of America. No party to this Agreement will bring a legal action under this Agreement more than one year after the cause of action arose. Each party waives its rights to a jury trial in any resulting litigation.\n\n   "
		self.name = "Eclipse Public License 1.0"
		self.licenseComments = "EPL replaced the CPL on 28 June 2005."
		self.licenseId = "EPL-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/EPL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:27Z", "isWayBackLink": False, "order": 1}, {"match": "True", "url": "http://www.eclipse.org/legal/epl-v10.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:27Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.eclipse.org/legal/epl-v10.html", "https://opensource.org/licenses/EPL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Eclipse Public License - v 1.0</p>\n\n	  </div>\n\n	  <p>THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS ECLIPSE PUBLIC LICENSE\n		 (&quot;AGREEMENT&quot;). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES\n		 RECIPIENT&apos;S ACCEPTANCE OF THIS AGREEMENT.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  DEFINITIONS\n			<br />\n\n   &quot;Contribution&quot; means:\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			in the case of the initial Contributor, the initial code and documentation distributed under\n			   this Agreement, and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			in the case of each subsequent Contributor:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i)</var>\n			  changes to the Program, and\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii)</var>\n			  additions to the Program;\n			  <p>where such changes and/or additions to the Program originate from and are distributed by\n				 that particular Contributor. A Contribution &apos;originates&apos; from a Contributor\n				 if it was added to the Program by such Contributor itself or anyone acting on such\n				 Contributor&apos;s behalf. Contributions do not include additions to the Program\n				 which: (i) are separate modules of software distributed in conjunction with the\n				 Program under their own license agreement, and (ii) are not derivative works of the\n				 Program. </p>\n\n					 </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n			<p>&quot;Contributor&quot; means any person or entity that distributes the Program. </p>\n\n			<p>&quot;Licensed Patents&quot; mean patent claims licensable by a Contributor which are\n			 necessarily infringed by the use or sale of its Contribution alone or when combined\n			 with the Program.</p>\n\n			<p>&quot;Program&quot; means the Contributions distributed in accordance with this Agreement.</p>\n\n			<p>&quot;Recipient&quot; means anyone who receives the Program under this Agreement,\n			 including all Contributors.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  GRANT OF RIGHTS\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			Subject to the terms of this Agreement, each Contributor hereby grants Recipient a\n			   non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare derivative\n			   works of, publicly display, publicly perform, distribute and sublicense the Contribution\n			   of such Contributor, if any, and such derivative works, in source code and object code\n			   form.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			Subject to the terms of this Agreement, each Contributor hereby grants Recipient a\n			   non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use,\n			   sell, offer to sell, import and otherwise transfer the Contribution of such Contributor,\n			   if any, in source code and object code form. This patent license shall apply to the\n			   combination of the Contribution and the Program if, at the time the Contribution is added\n			   by the Contributor, such addition of the Contribution causes such combination to be\n			   covered by the Licensed Patents. The patent license shall not apply to any other\n			   combinations which include the Contribution. No hardware per se is licensed hereunder.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			Recipient understands that although each Contributor grants the licenses to its Contributions\n			   set forth herein, no assurances are provided by any Contributor that the Program does not\n			   infringe the patent or other intellectual property rights of any other entity. Each\n			   Contributor disclaims any liability to Recipient for claims brought by any other entity\n			   based on infringement of intellectual property rights or otherwise. As a condition to\n			   exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole\n			   responsibility to secure any other intellectual property rights needed, if any. For\n			   example, if a third party patent license is required to allow Recipient to distribute the\n			   Program, it is Recipient&apos;s responsibility to acquire that license before distributing\n			   the Program.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			Each Contributor represents that to its knowledge it has sufficient copyright rights in its\n			   Contribution, if any, to grant the copyright license set forth in this Agreement.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  REQUIREMENTS\n			<br />\n\n   A Contributor may choose to distribute the Program in object code form under its own\n				 license agreement, provided that:\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			it complies with the terms and conditions of this Agreement; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			its license agreement:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i)</var>\n			  effectively disclaims on behalf of all Contributors all warranties and conditions,\n				 express and implied, including warranties or conditions of title and non-infringement,\n				 and implied warranties or conditions of merchantability and fitness for a particular\n				 purpose;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii)</var>\n			  effectively excludes on behalf of all Contributors all liability for damages, including\n				 direct, indirect, special, incidental and consequential damages, such as lost\n				 profits;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> iii)</var>\n			  states that any provisions which differ from this Agreement are offered by that\n				 Contributor alone and not by any other party; and\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> iv)</var>\n			  states that source code for the Program is available from such Contributor, and informs\n				 licensees how to obtain it in a reasonable manner on or through a medium customarily\n				 used for software exchange.\n			</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n			<p>When the Program is made available in source code form:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			it must be made available under this Agreement; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			a copy of this Agreement must be included with each copy of the Program.\n			  <br />\n\n	  Contributors may not remove or alter any copyright notices contained within the Program.\n\n		  </li>\n			\n</ul>\n			<p>Each Contributor must identify itself as the originator of its Contribution, if any, in a\n			   manner that reasonably allows subsequent Recipients to identify the originator of the\n			   Contribution.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  COMMERCIAL DISTRIBUTION\n			<br />\n\n   Commercial distributors of software may accept certain responsibilities with respect to end\n				 users, business partners and the like. While this license is intended to facilitate\n				 the commercial use of the Program, the Contributor who includes the Program in a\n				 commercial product offering should do so in a manner which does not create potential\n				 liability for other Contributors. Therefore, if a Contributor includes the Program in\n				 a commercial product offering, such Contributor (&quot;Commercial Contributor&quot;)\n				 hereby agrees to defend and indemnify every other Contributor (&quot;Indemnified\n				 Contributor&quot;) against any losses, damages and costs (collectively\n				 &quot;Losses&quot;) arising from claims, lawsuits and other legal actions brought by a\n				 third party against the Indemnified Contributor to the extent caused by the acts or\n				 omissions of such Commercial Contributor in connection with its distribution of the\n				 Program in a commercial product offering. The obligations in this section do not apply\n				 to any claims or Losses relating to any actual or alleged intellectual property\n				 infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify\n				 the Commercial Contributor in writing of such claim, and b) allow the Commercial\n				 Contributor to control, and cooperate with the Commercial Contributor in, the defense\n				 and any related settlement negotiations. The Indemnified Contributor may participate\n				 in any such claim at its own expense.\n\n		  <p>For example, a Contributor might include the Program in a commercial product offering, Product X.\n			 That Contributor is then a Commercial Contributor. If that Commercial Contributor then makes\n			 performance claims, or offers warranties related to Product X, those performance claims and\n			 warranties are such Commercial Contributor&apos;s responsibility alone. Under this section,\n			 the Commercial Contributor would have to defend claims against the other Contributors related\n			 to those performance claims and warranties, and if a court requires any other Contributor to\n			 pay any damages as a result, the Commercial Contributor must pay those damages.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  NO WARRANTY\n			<br />\n\n   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN &quot;AS\n				 IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR\n				 IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE,\n				 NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient\n				 is solely responsible for determining the appropriateness of using and distributing\n				 the Program and assumes all risks associated with its exercise of rights under this\n				 Agreement, including but not limited to the risks and costs of program errors,\n				 compliance with applicable laws, damage to or loss of data, programs or equipment, and\n				 unavailability or interruption of operations.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  DISCLAIMER OF LIABILITY\n			<br />\n\n   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS\n				 SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR\n				 CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND\n				 ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n				 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE\n				 PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE\n				 POSSIBILITY OF SUCH DAMAGES.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  GENERAL\n	  <p>If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect\n		 the validity or enforceability of the remainder of the terms of this Agreement, and without further\n		 action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make\n		 such provision valid and enforceable.</p>\n\n			<p>If Recipient institutes patent litigation against any entity (including a cross-claim or counterclaim in\n		 a lawsuit) alleging that the Program itself (excluding combinations of the Program with other software\n		 or hardware) infringes such Recipient&apos;s patent(s), then such Recipient&apos;s rights granted\n		 under Section 2(b) shall terminate as of the date such litigation is filed.</p>\n\n			<p>All Recipient&apos;s rights under this Agreement shall terminate if it fails to comply with any of the\n		 material terms or conditions of this Agreement and does not cure such failure in a reasonable period\n		 of time after becoming aware of such noncompliance. If all Recipient&apos;s rights under this\n		 Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as\n		 reasonably practicable. However, Recipient&apos;s obligations under this Agreement and any licenses\n		 granted by Recipient relating to the Program shall continue and survive.</p>\n\n			<p>Everyone is permitted to copy and distribute copies of this Agreement, but in order to avoid\n		 inconsistency the Agreement is copyrighted and may only be modified in the following manner. The\n		 Agreement Steward reserves the right to publish new versions (including revisions) of this Agreement\n		 from time to time. No one other than the Agreement Steward has the right to modify this Agreement. The\n		 Eclipse Foundation is the initial Agreement Steward. The Eclipse Foundation may assign the\n		 responsibility to serve as the Agreement Steward to a suitable separate entity. Each new version of\n		 the Agreement will be given a distinguishing version number. The Program (including Contributions) may\n		 always be distributed subject to the version of the Agreement under which it was received. In\n		 addition, after a new version of the Agreement is published, Contributor may elect to distribute the\n		 Program (including its Contributions) under the new version. Except as expressly stated in Sections\n		 2(a) and 2(b) above, Recipient receives no rights or licenses to the intellectual property of any\n		 Contributor under this Agreement, whether expressly, by implication, estoppel or otherwise. All rights\n		 in the Program not expressly granted under this Agreement are reserved.</p>\n\n			<p>This Agreement is governed by the laws of the State of New York and the intellectual property laws of the\n		 United States of America. No party to this Agreement will bring a legal action under this Agreement\n		 more than one year after the cause of action arose. Each party waives its rights to a jury trial in\n		 any resulting litigation.</p>\n\n		 </li>\n	  \n</ul>\n	"
		self.python_name = "EPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD3ClauseOpenMPI:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Redistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions are\nmet:\n\n- Redistributions of source code must retain the above copyright\n  notice, this list of conditions and the following disclaimer.\n\n- Redistributions in binary form must reproduce the above copyright\n  notice, this list of conditions and the following disclaimer listed\n  in this license in the documentation and/or other materials\n  provided with the distribution.\n\n- Neither the name of the copyright holders nor the names of its\n  contributors may be used to endorse or promote products derived from\n  this software without specific prior written permission.\n\nThe copyright holders provide no reassurances that the source code\nprovided does not infringe any patent, copyright, or any other\nintellectual property rights of third parties.  The copyright holders\ndisclaim any liability to any recipient for claims brought against\nrecipient by any third party for infringement of that parties\nintellectual property rights.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n\"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\nLIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\nA PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\nOWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\nTHEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\nOF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer listed in this license in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nThe copyright holders provide no reassurances that the source code provided does not infringe any patent, copyright, or any other intellectual property rights of third parties. The copyright holders disclaim any liability to any recipient for claims brought against recipient by any third party for infringement of that parties intellectual property rights.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD 3-Clause Open MPI variant"
		self.licenseComments = "This license is largely similar to BSD-3-Clause, but notably includes an additional paragraph between the three main clauses and the all-caps disclaimer text."
		self.licenseId = "BSD-3-Clause-Open-MPI"
		self.crossRef = [{"match": "False", "url": "http://www.netlib.org/lapack/LICENSE.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:14Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.open-mpi.org/community/license.php", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:15Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.open-mpi.org/community/license.php", "http://www.netlib.org/lapack/LICENSE.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<p>Redistribution and use in source and binary forms, with or without\n		modification, are permitted provided that the following conditions are\n		met:</p>\n\n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> -</var> Redistributions of source code must retain the above copyright\n			notice, this list of conditions and the following disclaimer.</li>\n\n<li><var class=\"replaceable-license-text\"> -</var> Redistributions in binary form must reproduce the above copyright\n			notice, this list of conditions and the following disclaimer listed\n			in this license in the documentation and/or other materials\n			provided with the distribution.</li>\n\n<li><var class=\"replaceable-license-text\"> -</var> Neither the name of the copyright holders nor the names of its\n			contributors may be used to endorse or promote products derived from\n			this software without specific prior written permission.</li>\n		\n</ul>\n		\n		<p>The copyright holders provide no reassurances that the source code\n		provided does not infringe any patent, copyright, or any other\n		intellectual property rights of third parties.  The copyright holders\n		disclaim any liability to any recipient for claims brought against\n		recipient by any third party for infringement of that parties\n		intellectual property rights.</p>\n\n		<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n		&quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\n		LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n		A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\n		OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n		SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n		LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n		DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n		THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n		(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\n		OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "BSD3ClauseOpenMPI"

	def __str__(self):
		return json.dumps(self.__dict__)


class GD:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Credits and license terms\n\nIn order to resolve any possible confusion regarding the authorship of gd, the following copyright statement covers all of the authors who have required such a statement.\u00a0 If you are aware of any oversights in this copyright notice, please contact Pierre-A.\u00a0 Joye who will be pleased to correct them.\n\n\t\u2022\tPortions copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 by Cold Spring Harbor Laboratory.\u00a0 Funded under Grant P41-RR02188 by the National Institutes of Health.\n\t\u2022\tPortions copyright 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 by Boutell.Com, Inc.\n\t\u2022\tPortions relating to GD2 format copyright 1999, 2000, 2001, 2002, 2003, 2004 Philip Warner.\n\t\u2022\tPortions relating to PNG copyright 1999, 2000, 2001, 2002, 2003, 2004 Greg Roelofs.\n\t\u2022\tPortions relating to gdttf.c copyright 1999, 2000, 2001, 2002, 2003, 2004 John Ellson (ellson@graphviz.org).\n\t\u2022\tPortions relating to gdft.c copyright 2001, 2002, 2003, 2004 John Ellson (ellson@graphviz.org).\n\t\u2022\tPortions copyright 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007 Pierre-Alain Joye (pierre@libgd.org).\n\t\u2022\tPortions relating to JPEG and to color quantization copyright 2000, 2001, 2002, 2003, 2004, Doug Becker and copyright \u00a9 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 Thomas G.\u00a0 Lane.\u00a0 This software is based in part on the work of the Independent JPEG Group.\u00a0 See the file README-JPEG.TXT for more information.\n\t\u2022\tPortions relating to GIF compression copyright 1989 by Jef Poskanzer and David Rowley, with modifications for thread safety by Thomas Boutell.\n\t\u2022\tPortions relating to GIF decompression copyright 1990, 1991, 1993 by David Koblas, with modifications for thread safety by Thomas Boutell.\n\t\u2022\tPortions relating to WBMP copyright 2000, 2001, 2002, 2003, 2004 Maurice Szmurlo and Johan Van den Brande.\n\t\u2022\tPortions relating to GIF animations copyright 2004 Jaakko Hyv\u00e4tti (jaakko.hyvatti@iki.fi)\n\nPermission has been granted to copy, distribute and modify gd in any context without fee, including a commercial application, provided that this notice is present in user-accessible supporting documentation.\n\nThis does not affect your ownership of the derived work itself, and the intent is to assure proper credit for the authors of gd, not to interfere with your productive use of gd.\u00a0 If you have questions, ask.\u00a0 \u201cDerived works\u201d includes all programs that utilize the library.\u00a0 Credit must be given in user-accessible documentation.\n\nThis software is provided \u201cAS IS.\u201d\u00a0 The copyright holders disclaim all warranties, either express or implied, including but not limited to implied warranties of merchantability and fitness for a particular purpose, with respect to this code and accompanying documentation.\n\nAlthough their code does not appear in the current release, the authors wish to thank David Koblas, David Rowley, and Hutchison Avenue Software Corporation for their prior contributions.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Credits and license terms In order to resolve any possible confusion regarding the authorship of gd, the following copyright statement covers all of the authors who have required such a statement.\u00a0 If you are aware of any oversights in this copyright notice, please contact Pierre-A.\u00a0 Joye who will be pleased to correct them.<<endOptional>> <<var;name=\"copyright\";original=\"\u2022 Portions copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 by Cold Spring Harbor Laboratory.\u00a0 Funded under Grant P41-RR02188 by the National Institutes of Health. \u2022 Portions copyright 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 by Boutell.Com, Inc. \u2022 Portions relating to GD2 format copyright 1999, 2000, 2001, 2002, 2003, 2004 Philip Warner. \u2022 Portions relating to PNG copyright 1999, 2000, 2001, 2002, 2003, 2004 Greg Roelofs. \u2022 Portions relating to gdttf.c copyright 1999, 2000, 2001, 2002, 2003, 2004 John Ellson (ellson@graphviz.org). \u2022 Portions relating to gdft.c copyright 2001, 2002, 2003, 2004 John Ellson (ellson@graphviz.org). \u2022 Portions copyright 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007 Pierre-Alain Joye (pierre@libgd.org). \u2022 Portions relating to JPEG and to color quantization copyright 2000, 2001, 2002, 2003, 2004, Doug Becker and copyright \u00a9 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 Thomas G.\u00a0 Lane.\u00a0 This software is based in part on the work of the Independent JPEG Group.\u00a0 See the file README-JPEG.TXT for more information. \u2022 Portions relating to GIF compression copyright 1989 by Jef Poskanzer and David Rowley, with modifications for thread safety by Thomas Boutell. \u2022 Portions relating to GIF decompression copyright 1990, 1991, 1993 by David Koblas, with modifications for thread safety by Thomas Boutell. \u2022 Portions relating to WBMP copyright 2000, 2001, 2002, 2003, 2004 Maurice Szmurlo and Johan Van den Brande. \u2022 Portions relating to GIF animations copyright 2004 Jaakko Hyv\u00e4tti (jaakko.hyvatti@iki.fi)\";match=\".{0,5000}\">>\n\nPermission has been granted to copy, distribute and modify gd in any context without fee, including a commercial application, provided that this notice is present in user-accessible supporting documentation.\n\nThis does not affect your ownership of the derived work itself, and the intent is to assure proper credit for the authors of gd, not to interfere with your productive use of gd.\u00a0 If you have questions, ask.\u00a0 \"Derived works\" includes all programs that utilize the library.\u00a0 Credit must be given in user-accessible documentation.\n\nThis software is provided \"AS IS.\"\u00a0 The copyright holders disclaim all warranties, either express or implied, including but not limited to implied warranties of merchantability and fitness for a particular purpose, with respect to this code and accompanying documentation.\n\n<<beginOptional>>Although their code does not appear in the current release, the authors wish to thank David Koblas, David Rowley, and Hutchison Avenue Software Corporation for their prior contributions.\n\n<<endOptional>>"
		self.name = "GD License"
		self.licenseId = "GD"
		self.crossRef = [{"match": "False", "url": "https://libgd.github.io/manuals/2.3.0/files/license-txt.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:36Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://libgd.github.io/manuals/2.3.0/files/license-txt.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n<var class=\"optional-license-text\"> Credits and license terms\n\nIn order to resolve any possible confusion regarding the authorship of gd, the following copyright statement covers all of the authors who have required such a statement.\u00a0 If you are aware of any oversights in this copyright notice, please contact Pierre-A.\u00a0 Joye who will be pleased to correct them.</var>\n<var class=\"replaceable-license-text\"> \n\t\u2022\tPortions copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 by Cold Spring Harbor Laboratory.\u00a0 Funded under Grant P41-RR02188 by the National Institutes of Health.\n\t\u2022\tPortions copyright 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 by Boutell.Com, Inc.\n\t\u2022\tPortions relating to GD2 format copyright 1999, 2000, 2001, 2002, 2003, 2004 Philip Warner.\n\t\u2022\tPortions relating to PNG copyright 1999, 2000, 2001, 2002, 2003, 2004 Greg Roelofs.\n\t\u2022\tPortions relating to gdttf.c copyright 1999, 2000, 2001, 2002, 2003, 2004 John Ellson (ellson@graphviz.org).\n\t\u2022\tPortions relating to gdft.c copyright 2001, 2002, 2003, 2004 John Ellson (ellson@graphviz.org).\n\t\u2022\tPortions copyright 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007 Pierre-Alain Joye (pierre@libgd.org).\n\t\u2022\tPortions relating to JPEG and to color quantization copyright 2000, 2001, 2002, 2003, 2004, Doug Becker and copyright \u00a9 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 Thomas G.\u00a0 Lane.\u00a0 This software is based in part on the work of the Independent JPEG Group.\u00a0 See the file README-JPEG.TXT for more information.\n\t\u2022\tPortions relating to GIF compression copyright 1989 by Jef Poskanzer and David Rowley, with modifications for thread safety by Thomas Boutell.\n\t\u2022\tPortions relating to GIF decompression copyright 1990, 1991, 1993 by David Koblas, with modifications for thread safety by Thomas Boutell.\n\t\u2022\tPortions relating to WBMP copyright 2000, 2001, 2002, 2003, 2004 Maurice Szmurlo and Johan Van den Brande.\n\t\u2022\tPortions relating to GIF animations copyright 2004 Jaakko Hyv\u00e4tti (jaakko.hyvatti@iki.fi)\n	</var>\n\n<p>Permission has been granted to copy, distribute and modify gd in any context without fee, including a commercial application, provided that this notice is present in user-accessible supporting documentation.</p>\n\n<p>This does not affect your ownership of the derived work itself, and the intent is to assure proper credit for the authors of gd, not to interfere with your productive use of gd.\u00a0 If you have questions, ask.\u00a0 &quot;Derived works&quot; includes all programs that utilize the library.\u00a0 Credit must be given in user-accessible documentation.</p>\n\n<p>This software is provided &quot;AS IS.&quot;\u00a0 The copyright holders disclaim all warranties, either express or implied, including but not limited to implied warranties of merchantability and fitness for a particular purpose, with respect to this code and accompanying documentation.</p>\n\n<div class=\"optional-license-text\"> <p>Although their code does not appear in the current release, the authors wish to thank David Koblas, David Rowley, and Hutchison Avenue Software Corporation for their prior contributions.</p>\n</div>\n"
		self.python_name = "GD"

	def __str__(self):
		return json.dumps(self.__dict__)


class MPL20nocopyleftexception:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Mozilla Public License Version 2.0\n==================================\n\n1. Definitions\n--------------\n\n1.1. \"Contributor\"\n	means each individual or legal entity that creates, contributes to\n	the creation of, or owns Covered Software.\n\n1.2. \"Contributor Version\"\n	means the combination of the Contributions of others (if any) used\n	by a Contributor and that particular Contributor's Contribution.\n\n1.3. \"Contribution\"\n	means Covered Software of a particular Contributor.\n\n1.4. \"Covered Software\"\n	means Source Code Form to which the initial Contributor has attached\n	the notice in Exhibit A, the Executable Form of such Source Code\n	Form, and Modifications of such Source Code Form, in each case\n	including portions thereof.\n\n1.5. \"Incompatible With Secondary Licenses\"\n	means\n\n	(a) that the initial Contributor has attached the notice described\n		in Exhibit B to the Covered Software; or\n\n	(b) that the Covered Software was made available under the terms of\n		version 1.1 or earlier of the License, but not also under the\n		terms of a Secondary License.\n\n1.6. \"Executable Form\"\n	means any form of the work other than Source Code Form.\n\n1.7. \"Larger Work\"\n	means a work that combines Covered Software with other material, in \n	a separate file or files, that is not Covered Software.\n\n1.8. \"License\"\n	means this document.\n\n1.9. \"Licensable\"\n	means having the right to grant, to the maximum extent possible,\n	whether at the time of the initial grant or subsequently, any and\n	all of the rights conveyed by this License.\n\n1.10. \"Modifications\"\n	means any of the following:\n\n	(a) any file in Source Code Form that results from an addition to,\n		deletion from, or modification of the contents of Covered\n		Software; or\n\n	(b) any new file in Source Code Form that contains any Covered\n		Software.\n\n1.11. \"Patent Claims\" of a Contributor\n	means any patent claim(s), including without limitation, method,\n	process, and apparatus claims, in any patent Licensable by such\n	Contributor that would be infringed, but for the grant of the\n	License, by the making, using, selling, offering for sale, having\n	made, import, or transfer of either its Contributions or its\n	Contributor Version.\n\n1.12. \"Secondary License\"\n	means either the GNU General Public License, Version 2.0, the GNU\n	Lesser General Public License, Version 2.1, the GNU Affero General\n	Public License, Version 3.0, or any later versions of those\n	licenses.\n\n1.13. \"Source Code Form\"\n	means the form of the work preferred for making modifications.\n\n1.14. \"You\" (or \"Your\")\n	means an individual or a legal entity exercising rights under this\n	License. For legal entities, \"You\" includes any entity that\n	controls, is controlled by, or is under common control with You. For\n	purposes of this definition, \"control\" means (a) the power, direct\n	or indirect, to cause the direction or management of such entity,\n	whether by contract or otherwise, or (b) ownership of more than\n	fifty percent (50%) of the outstanding shares or beneficial\n	ownership of such entity.\n\n2. License Grants and Conditions\n--------------------------------\n\n2.1. Grants\n\nEach Contributor hereby grants You a world-wide, royalty-free,\nnon-exclusive license:\n\n(a) under intellectual property rights (other than patent or trademark)\n	Licensable by such Contributor to use, reproduce, make available,\n	modify, display, perform, distribute, and otherwise exploit its\n	Contributions, either on an unmodified basis, with Modifications, or\n	as part of a Larger Work; and\n\n(b) under Patent Claims of such Contributor to make, use, sell, offer\n	for sale, have made, import, and otherwise transfer either its\n	Contributions or its Contributor Version.\n\n2.2. Effective Date\n\nThe licenses granted in Section 2.1 with respect to any Contribution\nbecome effective for each Contribution on the date the Contributor first\ndistributes such Contribution.\n\n2.3. Limitations on Grant Scope\n\nThe licenses granted in this Section 2 are the only rights granted under\nthis License. No additional rights or licenses will be implied from the\ndistribution or licensing of Covered Software under this License.\nNotwithstanding Section 2.1(b) above, no patent license is granted by a\nContributor:\n\n(a) for any code that a Contributor has removed from Covered Software;\n	or\n\n(b) for infringements caused by: (i) Your and any other third party's\n	modifications of Covered Software, or (ii) the combination of its\n	Contributions with other software (except as part of its Contributor\n	Version); or\n\n(c) under Patent Claims infringed by Covered Software in the absence of\n	its Contributions.\n\nThis License does not grant any rights in the trademarks, service marks,\nor logos of any Contributor (except as may be necessary to comply with\nthe notice requirements in Section 3.4).\n\n2.4. Subsequent Licenses\n\nNo Contributor makes additional grants as a result of Your choice to\ndistribute the Covered Software under a subsequent version of this\nLicense (see Section 10.2) or under the terms of a Secondary License (if\npermitted under the terms of Section 3.3).\n\n2.5. Representation\n\nEach Contributor represents that the Contributor believes its\nContributions are its original creation(s) or it has sufficient rights\nto grant the rights to its Contributions conveyed by this License.\n\n2.6. Fair Use\n\nThis License is not intended to limit any rights You have under\napplicable copyright doctrines of fair use, fair dealing, or other\nequivalents.\n\n2.7. Conditions\n\nSections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted\nin Section 2.1.\n\n3. Responsibilities\n-------------------\n\n3.1. Distribution of Source Form\n\nAll distribution of Covered Software in Source Code Form, including any\nModifications that You create or to which You contribute, must be under\nthe terms of this License. You must inform recipients that the Source\nCode Form of the Covered Software is governed by the terms of this\nLicense, and how they can obtain a copy of this License. You may not\nattempt to alter or restrict the recipients' rights in the Source Code\nForm.\n\n3.2. Distribution of Executable Form\n\nIf You distribute Covered Software in Executable Form then:\n\n(a) such Covered Software must also be made available in Source Code\n	Form, as described in Section 3.1, and You must inform recipients of\n	the Executable Form how they can obtain a copy of such Source Code\n	Form by reasonable means in a timely manner, at a charge no more\n	than the cost of distribution to the recipient; and\n\n(b) You may distribute such Executable Form under the terms of this\n	License, or sublicense it under different terms, provided that the\n	license for the Executable Form does not attempt to limit or alter\n	the recipients' rights in the Source Code Form under this License.\n\n3.3. Distribution of a Larger Work\n\nYou may create and distribute a Larger Work under terms of Your choice,\nprovided that You also comply with the requirements of this License for\nthe Covered Software. If the Larger Work is a combination of Covered\nSoftware with a work governed by one or more Secondary Licenses, and the\nCovered Software is not Incompatible With Secondary Licenses, this\nLicense permits You to additionally distribute such Covered Software\nunder the terms of such Secondary License(s), so that the recipient of\nthe Larger Work may, at their option, further distribute the Covered\nSoftware under the terms of either this License or such Secondary\nLicense(s).\n\n3.4. Notices\n\nYou may not remove or alter the substance of any license notices\n(including copyright notices, patent notices, disclaimers of warranty,\nor limitations of liability) contained within the Source Code Form of\nthe Covered Software, except that You may alter any license notices to\nthe extent required to remedy known factual inaccuracies.\n\n3.5. Application of Additional Terms\n\nYou may choose to offer, and to charge a fee for, warranty, support,\nindemnity or liability obligations to one or more recipients of Covered\nSoftware. However, You may do so only on Your own behalf, and not on\nbehalf of any Contributor. You must make it absolutely clear that any\nsuch warranty, support, indemnity, or liability obligation is offered by\nYou alone, and You hereby agree to indemnify every Contributor for any\nliability incurred by such Contributor as a result of warranty, support,\nindemnity or liability terms You offer. You may include additional\ndisclaimers of warranty and limitations of liability specific to any\njurisdiction.\n\n4. Inability to Comply Due to Statute or Regulation\n---------------------------------------------------\n\nIf it is impossible for You to comply with any of the terms of this\nLicense with respect to some or all of the Covered Software due to\nstatute, judicial order, or regulation then You must: (a) comply with\nthe terms of this License to the maximum extent possible; and (b)\ndescribe the limitations and the code they affect. Such description must\nbe placed in a text file included with all distributions of the Covered\nSoftware under this License. Except to the extent prohibited by statute\nor regulation, such description must be sufficiently detailed for a\nrecipient of ordinary skill to be able to understand it.\n\n5. Termination\n--------------\n\n5.1. The rights granted under this License will terminate automatically\nif You fail to comply with any of its terms. However, if You become\ncompliant, then the rights granted under this License from a particular\nContributor are reinstated (a) provisionally, unless and until such\nContributor explicitly and finally terminates Your grants, and (b) on an\nongoing basis, if such Contributor fails to notify You of the\nnon-compliance by some reasonable means prior to 60 days after You have\ncome back into compliance. Moreover, Your grants from a particular\nContributor are reinstated on an ongoing basis if such Contributor\nnotifies You of the non-compliance by some reasonable means, this is the\nfirst time You have received notice of non-compliance with this License\nfrom such Contributor, and You become compliant prior to 30 days after\nYour receipt of the notice.\n\n5.2. If You initiate litigation against any entity by asserting a patent\ninfringement claim (excluding declaratory judgment actions,\ncounter-claims, and cross-claims) alleging that a Contributor Version\ndirectly or indirectly infringes any patent, then the rights granted to\nYou by any and all Contributors for the Covered Software under Section\n2.1 of this License shall terminate.\n\n5.3. In the event of termination under Sections 5.1 or 5.2 above, all\nend user license agreements (excluding distributors and resellers) which\nhave been validly granted by You or Your distributors under this License\nprior to termination shall survive termination.\n\n************************************************************************\n*																	  *\n*  6. Disclaimer of Warranty										   *\n*  -------------------------										   *\n*																	  *\n*  Covered Software is provided under this License on an \"as is\"	   *\n*  basis, without warranty of any kind, either expressed, implied, or  *\n*  statutory, including, without limitation, warranties that the	   *\n*  Covered Software is free of defects, merchantable, fit for a		*\n*  particular purpose or non-infringing. The entire risk as to the	 *\n*  quality and performance of the Covered Software is with You.		*\n*  Should any Covered Software prove defective in any respect, You	 *\n*  (not any Contributor) assume the cost of any necessary servicing,   *\n*  repair, or correction. This disclaimer of warranty constitutes an   *\n*  essential part of this License. No use of any Covered Software is   *\n*  authorized under this License except under this disclaimer.		 *\n*																	  *\n************************************************************************\n\n************************************************************************\n*																	  *\n*  7. Limitation of Liability										  *\n*  --------------------------										  *\n*																	  *\n*  Under no circumstances and under no legal theory, whether tort	  *\n*  (including negligence), contract, or otherwise, shall any		   *\n*  Contributor, or anyone who distributes Covered Software as		  *\n*  permitted above, be liable to You for any direct, indirect,		 *\n*  special, incidental, or consequential damages of any character	  *\n*  including, without limitation, damages for lost profits, loss of	*\n*  goodwill, work stoppage, computer failure or malfunction, or any	*\n*  and all other commercial damages or losses, even if such party	  *\n*  shall have been informed of the possibility of such damages. This   *\n*  limitation of liability shall not apply to liability for death or   *\n*  personal injury resulting from such party's negligence to the	   *\n*  extent applicable law prohibits such limitation. Some			   *\n*  jurisdictions do not allow the exclusion or limitation of		   *\n*  incidental or consequential damages, so this exclusion and		  *\n*  limitation may not apply to You.									*\n*																	  *\n************************************************************************\n\n8. Litigation\n-------------\n\nAny litigation relating to this License may be brought only in the\ncourts of a jurisdiction where the defendant maintains its principal\nplace of business and such litigation shall be governed by laws of that\njurisdiction, without reference to its conflict-of-law provisions.\nNothing in this Section shall prevent a party's ability to bring\ncross-claims or counter-claims.\n\n9. Miscellaneous\n----------------\n\nThis License represents the complete agreement concerning the subject\nmatter hereof. If any provision of this License is held to be\nunenforceable, such provision shall be reformed only to the extent\nnecessary to make it enforceable. Any law or regulation which provides\nthat the language of a contract shall be consTrued against the drafter\nshall not be used to consTrue this License against a Contributor.\n\n10. Versions of the License\n---------------------------\n\n10.1. New Versions\n\nMozilla Foundation is the license steward. Except as provided in Section\n10.3, no one other than the license steward has the right to modify or\npublish new versions of this License. Each version will be given a\ndistinguishing version number.\n\n10.2. Effect of New Versions\n\nYou may distribute the Covered Software under the terms of the version\nof the License under which You originally received the Covered Software,\nor under the terms of any subsequent version published by the license\nsteward.\n\n10.3. Modified Versions\n\nIf you create software not governed by this License, and you want to\ncreate a new license for such software, you may create and use a\nmodified version of this License if you rename the license and remove\nany references to the name of the license steward (except to note that\nsuch modified license differs from this License).\n\n10.4. Distributing Source Code Form that is Incompatible With Secondary\nLicenses\n\nIf You choose to distribute Source Code Form that is Incompatible With\nSecondary Licenses under the terms of this version of the License, the\nnotice described in Exhibit B of this License must be attached.\n\nExhibit A - Source Code Form License Notice\n-------------------------------------------\n\n  This Source Code Form is subject to the terms of the Mozilla Public\n  License, v. 2.0. If a copy of the MPL was not distributed with this\n  file, You can obtain one at https://mozilla.org/MPL/2.0/.\n\nIf it is not possible or desirable to put the notice in a particular\nfile, then You may include the notice in a location (such as a LICENSE\nfile in a relevant directory) where a recipient would be likely to look\nfor such a notice.\n\nYou may add additional accurate notices of copyright ownership.\n\nExhibit B - \"Incompatible With Secondary Licenses\" Notice\n---------------------------------------------------------\n\n  This Source Code Form is \"Incompatible With Secondary Licenses\", as\n  defined by the Mozilla Public License, v. 2.0.\n"
		self.standardLicenseHeaderTemplate = "This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL was not distributed with this file, You can obtain one at http://mozilla.org/MPL/2.0/.\n\n\nThis Source Code Form is \"Incompatible With Secondary Licenses\", as defined by the Mozilla Public License, v. 2.0.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Mozilla Public License Version 2.0\n\n<<beginOptional>>==================================\n\n<<endOptional>><<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n   <<beginOptional>>--------------\n\n   <<endOptional>>\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each individual or legal entity that creates, contributes to the creation of, or owns Covered Software.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Contributions of others (if any) used by a Contributor and that particular Contributor's Contribution.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Contribution\" means Covered Software of a particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Covered Software\" means Source Code Form to which the initial Contributor has attached the notice in Exhibit A, the Executable Form of such Source Code Form, and Modifications of such Source Code Form, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Incompatible With Secondary Licenses\" means\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> that the initial Contributor has attached the notice described in Exhibit B to the Covered Software; or\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> that the Covered Software was made available under the terms of version 1.1 or earlier of the License, but not also under the terms of a Secondary License.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Executable Form\" means any form of the work other than Source Code Form.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"Larger Work\" means a work that combines Covered Software with other material, in a separate file or files, that is not Covered Software.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently, any and all of the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Modifications\" means any of the following:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> any file in Source Code Form that results from an addition to, deletion from, or modification of the contents of Covered Software; or\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> any new file in Source Code Form that contains any Covered Software.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Patent Claims\" of a Contributor means any patent claim(s), including without limitation, method, process, and apparatus claims, in any patent Licensable by such Contributor that would be infringed, but for the grant of the License, by the making, using, selling, offering for sale, having made, import, or transfer of either its Contributions or its Contributor Version.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"Secondary License\" means either the GNU General Public License, Version 2.0, the GNU Lesser General Public License, Version 2.1, the GNU Affero General Public License, Version 3.0, or any later versions of those licenses.\n\n	  <<var;name=\"bullet\";original=\"1.13.\";match=\".{0,20}\">> \"Source Code Form\" means the form of the work preferred for making modifications.\n\n	  <<var;name=\"bullet\";original=\"1.14.\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> License Grants and Conditions\n\n   <<beginOptional>>--------------------------------\n\n   <<endOptional>>\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> Grants\n\n	  Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by such Contributor to use, reproduce, make available, modify, display, perform, distribute, and otherwise exploit its Contributions, either on an unmodified basis, with Modifications, or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims of such Contributor to make, use, sell, offer for sale, have made, import, and otherwise transfer either its Contributions or its Contributor Version.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Effective Date\n\n	  The licenses granted in Section 2.1 with respect to any Contribution become effective for each Contribution on the date the Contributor first distributes such Contribution.\n\n	  <<var;name=\"bullet\";original=\"2.3.\";match=\".{0,20}\">> Limitations on Grant Scope\n\n	  The licenses granted in this Section 2 are the only rights granted under this License. No additional rights or licenses will be implied from the distribution or licensing of Covered Software under this License. Notwithstanding Section 2.1(b) above, no patent license is granted by a Contributor:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> for any code that a Contributor has removed from Covered Software; or\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> for infringements caused by: (i) Your and any other third party's modifications of Covered Software, or (ii) the combination of its Contributions with other software (except as part of its Contributor Version); or\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> under Patent Claims infringed by Covered Software in the absence of its Contributions.\n\n	  This License does not grant any rights in the trademarks, service marks, or logos of any Contributor (except as may be necessary to comply with the notice requirements in Section 3.4).\n\n	  <<var;name=\"bullet\";original=\"2.4.\";match=\".{0,20}\">> Subsequent Licenses\n\n	  No Contributor makes additional grants as a result of Your choice to distribute the Covered Software under a subsequent version of this License (see Section 10.2) or under the terms of a Secondary License (if permitted under the terms of Section 3.3).\n\n	  <<var;name=\"bullet\";original=\"2.5.\";match=\".{0,20}\">> Representation\n\n	  Each Contributor represents that the Contributor believes its Contributions are its original creation(s) or it has sufficient rights to grant the rights to its Contributions conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"2.6.\";match=\".{0,20}\">> Fair Use\n\n	  This License is not intended to limit any rights You have under applicable copyright doctrines of fair use, fair dealing, or other equivalents.\n\n	  <<var;name=\"bullet\";original=\"2.7.\";match=\".{0,20}\">> Conditions\n\n	  Sections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted in Section 2.1.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Responsibilities\n\n   <<beginOptional>>-------------------\n\n   <<endOptional>>\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Distribution of Source Form\n\n	  All distribution of Covered Software in Source Code Form, including any Modifications that You create or to which You contribute, must be under the terms of this License. You must inform recipients that the Source Code Form of the Covered Software is governed by the terms of this License, and how they can obtain a copy of this License. You may not attempt to alter or restrict the recipients' rights in the Source Code Form.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Distribution of Executable Form\n\n	  If You distribute Covered Software in Executable Form then:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> such Covered Software must also be made available in Source Code Form, as described in Section 3.1, and You must inform recipients of the Executable Form how they can obtain a copy of such Source Code Form by reasonable means in a timely manner, at a charge no more than the cost of distribution to the recipient; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You may distribute such Executable Form under the terms of this License, or sublicense it under different terms, provided that the license for the Executable Form does not attempt to limit or alter the recipients' rights in the Source Code Form under this License.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Distribution of a Larger Work\n\n	  You may create and distribute a Larger Work under terms of Your choice, provided that You also comply with the requirements of this License for the Covered Software. If the Larger Work is a combination of Covered Software with a work governed by one or more Secondary Licenses, and the Covered Software is not Incompatible With Secondary Licenses, this License permits You to additionally distribute such Covered Software under the terms of such Secondary License(s), so that the recipient of the Larger Work may, at their option, further distribute the Covered Software under the terms of either this License or such Secondary License(s).\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Notices\n\n	  You may not remove or alter the substance of any license notices (including copyright notices, patent notices, disclaimers of warranty, or limitations of liability) contained within the Source Code Form of the Covered Software, except that You may alter any license notices to the extent required to remedy known factual inaccuracies.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Application of Additional Terms\n\n	  You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Software. However, You may do so only on Your own behalf, and not on behalf of any Contributor. You must make it absolutely clear that any such warranty, support, indemnity, or liability obligation is offered by You alone, and You hereby agree to indemnify every Contributor for any liability incurred by such Contributor as a result of warranty, support, indemnity or liability terms You offer. You may include additional disclaimers of warranty and limitations of liability specific to any jurisdiction.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation\n\n   <<beginOptional>>---------------------------------------------------\n\n   <<endOptional>>\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Software due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be placed in a text file included with all distributions of the Covered Software under this License. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Termination\n\n   <<beginOptional>>--------------\n\n   <<endOptional>>\n\n	  <<var;name=\"bullet\";original=\"5.1.\";match=\".{0,20}\">> The rights granted under this License will terminate automatically if You fail to comply with any of its terms. However, if You become compliant, then the rights granted under this License from a particular Contributor are reinstated (a) provisionally, unless and until such Contributor explicitly and finally terminates Your grants, and (b) on an ongoing basis, if such Contributor fails to notify You of the non-compliance by some reasonable means prior to 60 days after You have come back into compliance. Moreover, Your grants from a particular Contributor are reinstated on an ongoing basis if such Contributor notifies You of the non-compliance by some reasonable means, this is the first time You have received notice of non-compliance with this License from such Contributor, and You become compliant prior to 30 days after Your receipt of the notice.\n\n	  <<var;name=\"bullet\";original=\"5.2.\";match=\".{0,20}\">> If You initiate litigation against any entity by asserting a patent infringement claim (excluding declaratory judgment actions, counter-claims, and cross-claims) alleging that a Contributor Version directly or indirectly infringes any patent, then the rights granted to You by any and all Contributors for the Covered Software under Section 2.1 of this License shall terminate.\n\n	  <<var;name=\"bullet\";original=\"5.3.\";match=\".{0,20}\">> In the event of termination under Sections 5.1 or 5.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or Your distributors under this License prior to termination shall survive termination.\n\n   <<beginOptional>>************************************************************************\n\n   <<endOptional>>\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Disclaimer of Warranty\n\n   <<beginOptional>>* ------------------------- *\n\n   <<endOptional>>\n\n   Covered Software is provided under this License on an \"as is\" basis, without warranty of any kind, either expressed, implied, or statutory, including, without limitation, warranties that the Covered Software is free of defects, merchantable, fit for a particular purpose or non-infringing. The entire risk as to the quality and performance of the Covered Software is with You. Should any Covered Software prove defective in any respect, You (not any Contributor) assume the cost of any necessary servicing, repair, or correction. This disclaimer of warranty constitutes an essential part of this License. No use of any Covered Software is authorized under this License except under this disclaimer.\n\n   <<beginOptional>>************************************************************************\n\n   <<endOptional>>\n\n   <<beginOptional>>************************************************************************\n\n   <<endOptional>>\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Limitation of Liability\n\n   <<beginOptional>>* -------------------------- *\n\n   <<endOptional>>\n\n   Under no circumstances and under no legal theory, whether tort (including negligence), contract, or otherwise, shall any Contributor, or anyone who distributes Covered Software as permitted above, be liable to You for any direct, indirect, special, incidental, or consequential damages of any character including, without limitation, damages for lost profits, loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses, even if such party shall have been informed of the possibility of such damages. This limitation of liability shall not apply to liability for death or personal injury resulting from such party's negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\n   <<beginOptional>>************************************************************************\n\n   <<endOptional>>\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Litigation\n\n   <<beginOptional>>-------------\n\n   <<endOptional>>\n\n   Any litigation relating to this License may be brought only in the courts of a jurisdiction where the defendant maintains its principal place of business and such litigation shall be governed by laws of that jurisdiction, without reference to its conflict-of-law provisions. Nothing in this Section shall prevent a party's ability to bring cross-claims or counter-claims.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Miscellaneous\n\n   <<beginOptional>>----------------\n\n   <<endOptional>>\n\n   This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not be used to consTrue this License against a Contributor.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Versions of the License\n\n   <<beginOptional>>---------------------------\n\n   <<endOptional>>\n\n	  <<var;name=\"bullet\";original=\"10.1.\";match=\".{0,20}\">> New Versions\n\n	  Mozilla Foundation is the license steward. Except as provided in Section 10.3, no one other than the license steward has the right to modify or publish new versions of this License. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"10.2.\";match=\".{0,20}\">> Effect of New Versions\n\n	  You may distribute the Covered Software under the terms of the version of the License under which You originally received the Covered Software, or under the terms of any subsequent version published by the license steward.\n\n	  <<var;name=\"bullet\";original=\"10.3.\";match=\".{0,20}\">> Modified Versions\n\n	  If you create software not governed by this License, and you want to create a new license for such software, you may create and use a modified version of this License if you rename the license and remove any references to the name of the license steward (except to note that such modified license differs from this License).\n\n	  <<var;name=\"bullet\";original=\"10.4.\";match=\".{0,20}\">> Distributing Source Code Form that is Incompatible With Secondary Licenses\n\n	  If You choose to distribute Source Code Form that is Incompatible With Secondary Licenses under the terms of this version of the License, the notice described in Exhibit B of this License must be attached.\n\n	  <<beginOptional>>Exhibit A - Source Code Form License Notice\n\n<<beginOptional>>-------------------------------------------\n\n<<endOptional>>\n\nThis Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL was not distributed with this file, You can obtain one at http://mozilla.org/MPL/2.0/.\n\nIf it is not possible or desirable to put the notice in a particular file, then You may include the notice in a location (such as a LICENSE file in a relevant directory) where a recipient would be likely to look for such a notice.\n\nYou may add additional accurate notices of copyright ownership.\n\nExhibit B - \"Incompatible With Secondary Licenses\" Notice\n\n<<beginOptional>>---------------------------------------------------------\n\n<<endOptional>>\n\nThis Source Code Form is \"Incompatible With Secondary Licenses\", as defined by the Mozilla Public License, v. 2.0.\n\n<<endOptional>>"
		self.name = "Mozilla Public License 2.0 (no copyleft exception)"
		self.licenseComments = "This license was released in January 2012. This license list entry is for use when the MPL's Exhibit B is used, which effectively negates the copyleft compatibility clause in section 3.3."
		self.licenseId = "MPL-2.0-no-copyleft-exception"
		self.standardLicenseHeader = "This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL was not distributed with this file, You can obtain one at http://mozilla.org/MPL/2.0/.\n\n\nThis Source Code Form is \"Incompatible With Secondary Licenses\", as defined by the Mozilla Public License, v. 2.0.\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/MPL-2.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:21:36Z", "isWayBackLink": False, "order": 1}, {"match": "True", "url": "https://www.mozilla.org/MPL/2.0/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:36Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.mozilla.org/MPL/2.0/", "https://opensource.org/licenses/MPL-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Mozilla Public License Version 2.0</p>\n\n\t <div class=\"optional-license-text\"> <p>==================================</p>\n</div>\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n	\t\t<p>\n\t\t\t<var class=\"replaceable-license-text\"> 1.</var>\n\t\t\tDefinitions\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>--------------</p>\n</div>\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			  &quot;Contributor&quot; means each individual or legal entity that creates, contributes to\n				 the creation of, or owns Covered Software.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			  &quot;Contributor Version&quot; means the combination of the Contributions of others (if any)\n				 used by a Contributor and that particular Contributor&apos;s Contribution.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			  &quot;Contribution&quot; means Covered Software of a particular Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			  &quot;Covered Software&quot; means Source Code Form to which the initial Contributor has\n				 attached the notice in Exhibit A, the Executable Form of such Source Code Form, and\n				 Modifications of such Source Code Form, in each case including portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			  &quot;Incompatible With Secondary Licenses&quot; means\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  that the initial Contributor has attached the notice described in Exhibit B to the\n					 Covered Software; or\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  that the Covered Software was made available under the terms of version 1.1 or earlier of\n					 the License, but not also under the terms of a Secondary License.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			  &quot;Executable Form&quot; means any form of the work other than Source Code Form.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			  &quot;Larger Work&quot; means a work that combines Covered Software with other material, in a\n				 separate file or files, that is not Covered Software.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			  &quot;License&quot; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			  &quot;Licensable&quot; means having the right to grant, to the maximum extent possible,\n				 whether at the time of the initial grant or subsequently, any and all of the rights\n				 conveyed by this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			  &quot;Modifications&quot; means any of the following:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  any file in Source Code Form that results from an addition to, deletion from, or\n					 modification of the contents of Covered Software; or\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  any new file in Source Code Form that contains any Covered Software.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			  &quot;Patent Claims&quot; of a Contributor means any patent claim(s), including without\n				 limitation, method, process, and apparatus claims, in any patent Licensable by such\n				 Contributor that would be infringed, but for the grant of the License, by the making,\n				 using, selling, offering for sale, having made, import, or transfer of either its\n				 Contributions or its Contributor Version.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			  &quot;Secondary License&quot; means either the GNU General Public License, Version 2.0, the\n				 GNU Lesser General Public License, Version 2.1, the GNU Affero General Public License,\n				 Version 3.0, or any later versions of those licenses.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13.</var>\n			  &quot;Source Code Form&quot; means the form of the work preferred for making modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.14.</var>\n			  &quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity exercising rights\n				 under this License. For legal entities, &quot;You&quot; includes any entity that controls,\n				 is controlled by, or is under common control with You. For purposes of this definition,\n				 &quot;control&quot; means (a) the power, direct or indirect, to cause the direction or\n				 management of such entity, whether by contract or otherwise, or (b) ownership of more than\n				 fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n			</li>\n			\n</ul>\n		</li>\n\t\n<li>\n\t\t<p>\n			\t\t<var class=\"replaceable-license-text\"> 2.</var>\n\t\t\tLicense Grants and Conditions\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>--------------------------------</p>\n</div>\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			  Grants\n				<p>Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license:\n			  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  under intellectual property rights (other than patent or trademark) Licensable by such\n					 Contributor to use, reproduce, make available, modify, display, perform, distribute,\n					 and otherwise exploit its Contributions, either on an unmodified basis, with\n					 Modifications, or as part of a Larger Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  under Patent Claims of such Contributor to make, use, sell, offer for sale, have made,\n					 import, and otherwise transfer either its Contributions or its Contributor\n					 Version.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			  Effective Date\n				<p>The licenses granted in Section 2.1 with respect to any Contribution become effective\n					 for each Contribution on the date the Contributor first distributes such\n					 Contribution.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.3.</var>\n			  Limitations on Grant Scope\n				<p>The licenses granted in this Section 2 are the only rights granted under this License.\n					 No additional rights or licenses will be implied from the distribution or\n					 licensing of Covered Software under this License. Notwithstanding Section 2.1(b)\n					 above, no patent license is granted by a Contributor:\n			  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  for any code that a Contributor has removed from Covered Software; or\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  for infringements caused by: (i) Your and any other third party&apos;s modifications of\n					 Covered Software, or (ii) the combination of its Contributions with other software\n					 (except as part of its Contributor Version); or\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				  under Patent Claims infringed by Covered Software in the absence of its Contributions.\n				</li>\n				  \n</ul>\n				  <p>This License does not grant any rights in the trademarks, service marks, or logos of any\n				 Contributor (except as may be necessary to comply with the notice requirements in\n				 Section 3.4).</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.4.</var>\n			  Subsequent Licenses\n				<p>No Contributor makes additional grants as a result of Your choice to distribute the\n					 Covered Software under a subsequent version of this License (see Section 10.2) or\n					 under the terms of a Secondary License (if permitted under the terms of Section\n					 3.3).</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.5.</var>\n			  Representation\n				<p>Each Contributor represents that the Contributor believes its Contributions are its\n					 original creation(s) or it has sufficient rights to grant the rights to its\n					 Contributions conveyed by this License.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.6.</var>\n			  Fair Use\n				<p>This License is not intended to limit any rights You have under applicable copyright\n					 doctrines of fair use, fair dealing, or other equivalents.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.7.</var>\n			  Conditions\n				<p>Sections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted in Section 2.1.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n\t\n<li>\n\t\t<p>\n			\t\t<var class=\"replaceable-license-text\"> 3.</var>\n\t\t		Responsibilities\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>-------------------</p>\n</div>\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			  Distribution of Source Form\n				<p>All distribution of Covered Software in Source Code Form, including any Modifications\n					 that You create or to which You contribute, must be under the terms of this\n					 License. You must inform recipients that the Source Code Form of the Covered\n					 Software is governed by the terms of this License, and how they can obtain a copy\n					 of this License. You may not attempt to alter or restrict the recipients&apos;\n					 rights in the Source Code Form.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			  Distribution of Executable Form\n				<p>If You distribute Covered Software in Executable Form then:</p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  such Covered Software must also be made available in Source Code Form, as described in\n					 Section 3.1, and You must inform recipients of the Executable Form how they can obtain\n					 a copy of such Source Code Form by reasonable means in a timely manner, at a charge no\n					 more than the cost of distribution to the recipient; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  You may distribute such Executable Form under the terms of this License, or sublicense it\n					 under different terms, provided that the license for the Executable Form does not\n					 attempt to limit or alter the recipients&apos; rights in the Source Code Form under\n					 this License.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			  Distribution of a Larger Work\n				<p>You may create and distribute a Larger Work under terms of Your choice, provided that\n					 You also comply with the requirements of this License for the Covered Software. If\n					 the Larger Work is a combination of Covered Software with a work governed by one\n					 or more Secondary Licenses, and the Covered Software is not Incompatible With\n					 Secondary Licenses, this License permits You to additionally distribute such\n					 Covered Software under the terms of such Secondary License(s), so that the\n					 recipient of the Larger Work may, at their option, further distribute the Covered\n					 Software under the terms of either this License or such Secondary License(s).\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			  Notices\n				<p>You may not remove or alter the substance of any license notices (including copyright\n					 notices, patent notices, disclaimers of warranty, or limitations of liability)\n					 contained within the Source Code Form of the Covered Software, except that You may\n					 alter any license notices to the extent required to remedy known factual\n					 inaccuracies.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			  Application of Additional Terms\n				<p>You may choose to offer, and to charge a fee for, warranty, support, indemnity or\n					 liability obligations to one or more recipients of Covered Software. However, You\n					 may do so only on Your own behalf, and not on behalf of any Contributor. You must\n					 make it absolutely clear that any such warranty, support, indemnity, or liability\n					 obligation is offered by You alone, and You hereby agree to indemnify every\n					 Contributor for any liability incurred by such Contributor as a result of\n					 warranty, support, indemnity or liability terms You offer. You may include\n					 additional disclaimers of warranty and limitations of liability specific to any\n					 jurisdiction.\n			  </p>\n\n			   </li>\n			\n</ul>\n		</li>\n\t\n<li>\n\t\t<p>\n			\t\t<var class=\"replaceable-license-text\"> 4.</var>\n		  \t\tInability to Comply Due to Statute or Regulation\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>---------------------------------------------------</p>\n</div>\n			<p>If it is impossible for You to comply with any of the terms of this License with respect to\n				 some or all of the Covered Software due to statute, judicial order, or regulation then\n				 You must: (a) comply with the terms of this License to the maximum extent possible;\n				 and (b) describe the limitations and the code they affect. Such description must be\n				 placed in a text file included with all distributions of the Covered Software under\n				 this License. Except to the extent prohibited by statute or regulation, such\n				 description must be sufficiently detailed for a recipient of ordinary skill to be able\n				 to understand it.\n		  </p>\n\n		</li>\n		\n<li>\n\t\t<p>\n\t\t\t<var class=\"replaceable-license-text\"> 5.</var>\n\t\t		Termination\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>--------------</p>\n</div>\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.1.</var>\n			  The rights granted under this License will terminate automatically if You fail to comply with\n				 any of its terms. However, if You become compliant, then the rights granted under this\n				 License from a particular Contributor are reinstated (a) provisionally, unless and until\n				 such Contributor explicitly and finally terminates Your grants, and (b) on an ongoing\n				 basis, if such Contributor fails to notify You of the non-compliance by some reasonable\n				 means prior to 60 days after You have come back into compliance. Moreover, Your grants\n				 from a particular Contributor are reinstated on an ongoing basis if such Contributor\n				 notifies You of the non-compliance by some reasonable means, this is the first time You\n				 have received notice of non-compliance with this License from such Contributor, and You\n				 become compliant prior to 30 days after Your receipt of the notice.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.2.</var>\n			  If You initiate litigation against any entity by asserting a patent infringement claim\n				 (excluding declaratory judgment actions, counter-claims, and cross-claims) alleging that a\n				 Contributor Version directly or indirectly infringes any patent, then the rights granted\n				 to You by any and all Contributors for the Covered Software under Section 2.1 of this\n				 License shall terminate.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.3.</var>\n			  In the event of termination under Sections 5.1 or 5.2 above, all end user license agreements\n				 (excluding distributors and resellers) which have been validly granted by You or Your\n				 distributors under this License prior to termination shall survive termination.\n			</li>\n			\n</ul>\n		</li>\n\t\n<li>\n\t\t<div class=\"optional-license-text\"> <p>************************************************************************</p>\n</div>\n\t\t<p>\n\t		\t<var class=\"replaceable-license-text\"> 6.</var>\n\t		  \tDisclaimer of Warranty\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>*  -------------------------										   *</p>\n</div>\n			<p>Covered Software is provided under this License on an &quot;as is&quot; basis, without\n				 warranty of any kind, either expressed, implied, or statutory, including, without\n				 limitation, warranties that the Covered Software is free of defects, merchantable, fit\n				 for a particular purpose or non-infringing. The entire risk as to the quality and\n				 performance of the Covered Software is with You. Should any Covered Software prove\n				 defective in any respect, You (not any Contributor) assume the cost of any necessary\n				 servicing, repair, or correction. This disclaimer of warranty constitutes an essential\n				 part of this License. No use of any Covered Software is authorized under this License\n				 except under this disclaimer.\n		  </p>\n\n\t\t<div class=\"optional-license-text\"> <p>************************************************************************</p>\n</div>\n		</li>\n		\n<li>\n\t\t<div class=\"optional-license-text\"> <p>************************************************************************</p>\n</div>\n\t\t<p>\n			\t\t<var class=\"replaceable-license-text\"> 7.</var>\n		  \t\tLimitation of Liability\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>*  --------------------------										  *</p>\n</div>\n			<p>Under no circumstances and under no legal theory, whether tort (including negligence),\n				 contract, or otherwise, shall any Contributor, or anyone who distributes Covered\n				 Software as permitted above, be liable to You for any direct, indirect, special,\n				 incidental, or consequential damages of any character including, without limitation,\n				 damages for lost profits, loss of goodwill, work stoppage, computer failure or\n				 malfunction, or any and all other commercial damages or losses, even if such party\n				 shall have been informed of the possibility of such damages. This limitation of\n				 liability shall not apply to liability for death or personal injury resulting from\n				 such party&apos;s negligence to the extent applicable law prohibits such limitation.\n				 Some jurisdictions do not allow the exclusion or limitation of incidental or\n				 consequential damages, so this exclusion and limitation may not apply to You.\n		  </p>\n\n\t\t<div class=\"optional-license-text\"> <p>************************************************************************</p>\n</div>\n		</li>\n\t\n<li>\n\t\t<p>\n			\t\t<var class=\"replaceable-license-text\"> 8.</var>\n		  \t\tLitigation\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>-------------</p>\n</div>\n			<p>Any litigation relating to this License may be brought only in the courts of a jurisdiction\n				 where the defendant maintains its principal place of business and such litigation\n				 shall be governed by laws of that jurisdiction, without reference to its\n				 conflict-of-law provisions. Nothing in this Section shall prevent a party&apos;s\n				 ability to bring cross-claims or counter-claims.\n		  </p>\n\n		</li>\n\t\n<li>\n\t\t<p>\n			\t\t<var class=\"replaceable-license-text\"> 9.</var>\n		  \t\tMiscellaneous\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>----------------</p>\n</div>\n			<p>This License represents the complete agreement concerning the subject matter hereof. If any\n				 provision of this License is held to be unenforceable, such provision shall be\n				 reformed only to the extent necessary to make it enforceable. Any law or regulation\n				 which provides that the language of a contract shall be consTrued against the drafter\n				 shall not be used to consTrue this License against a Contributor.\n		  </p>\n\n		</li>\n\t\n<li>\n\t\t<p>\n			\t\t<var class=\"replaceable-license-text\"> 10.</var>\n		  \t\tVersions of the License\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>---------------------------</p>\n</div>\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.1.</var>\n			  New Versions\n				<p>Mozilla Foundation is the license steward. Except as provided in Section 10.3, no one\n					 other than the license steward has the right to modify or publish new versions of\n					 this License. Each version will be given a distinguishing version number.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.2.</var>\n			  Effect of New Versions\n				<p>You may distribute the Covered Software under the terms of the version of the License\n					 under which You originally received the Covered Software, or under the terms of\n					 any subsequent version published by the license steward.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.3.</var>\n			  Modified Versions\n				<p>If you create software not governed by this License, and you want to create a new\n					 license for such software, you may create and use a modified version of this\n					 License if you rename the license and remove any references to the name of the\n					 license steward (except to note that such modified license differs from this\n					 License).\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.4.</var>\n			  Distributing Source Code Form that is Incompatible With Secondary Licenses\n				<p>If You choose to distribute Source Code Form that is Incompatible With Secondary Licenses under the terms\n					 of this version of the License, the notice described in Exhibit B of this License must be\n					 attached.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>Exhibit A - Source Code Form License Notice</p>\n\n		 <div class=\"optional-license-text\"> <p>-------------------------------------------</p>\n</div>\n\t \n			<p>This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL\n		 was not distributed with this file, You can obtain one at http://mozilla.org/MPL/2.0/.</p>\n\n		 <p>If it is not possible or desirable to put the notice in a particular file, then You may include the\n		 notice in a location (such as a LICENSE file in a relevant directory) where a recipient would be\n		 likely to look for such a notice.</p>\n\n		 <p>You may add additional accurate notices of copyright ownership.</p>\n\n		 <p>Exhibit B - &quot;Incompatible With Secondary Licenses&quot; Notice</p>\n\n		 <div class=\"optional-license-text\"> <p>---------------------------------------------------------</p>\n</div>\n		 \n\t <p>This Source Code Form is &quot;Incompatible With Secondary Licenses&quot;, as defined by the Mozilla\n		 Public License, v. 2.0.</p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n			<p>This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL\n		 was not distributed with this file, You can obtain one at http://mozilla.org/MPL/2.0/.</p>\n\n		 <br />\n\n\t <p>This Source Code Form is &quot;Incompatible With Secondary Licenses&quot;, as defined by the Mozilla\n		 Public License, v. 2.0.</p>\n\n		 "
		self.python_name = "MPL20nocopyleftexception"

	def __str__(self):
		return json.dumps(self.__dict__)


class NAIST2003:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 2000, 2001, 2002, 2003 Nara Institute of Science\nand Technology.  All Rights Reserved.\n\nUse, reproduction, and distribution of this software is permitted.\nAny copy of this software, whether in its original form or modified,\nmust include both the above copyright notice and the following\nparagraphs.\n\nNara Institute of Science and Technology (NAIST),\nthe copyright holders, disclaims all warranties with regard to this\nsoftware, including all implied warranties of merchantability and\nfitness, in no event shall NAIST be liable for\nany special, indirect or consequential damages or any damages\nwhatsoever resulting from loss of use, data or profits, whether in an\naction of contract, negligence or other tortuous action, arising out\nof or in connection with the use or performance of this software.\n\nA large portion of the dictionary entries\noriginate from ICOT Free Software.  The following conditions for ICOT\nFree Software applies to the current dictionary as well.\n\nEach User may also freely distribute the Program, whether in its\noriginal form or modified, to any third party or parties, PROVIDED\nthat the provisions of Section 3 (\"NO WARRANTY\") will ALWAYS appear\non, or be attached to, the Program, which is distributed substantially\nin the same form as set out herein and that such intended\ndistribution, if actually made, will neither violate or otherwise\ncontravene any of the laws and regulations of the countries having\njurisdiction over the User or the intended distribution itself.\n\nNO WARRANTY\n\nThe program was produced on an experimental basis in the course of the\nresearch and development conducted during the project and is provided\nto users as so produced on an experimental basis.  Accordingly, the\nprogram is provided without any warranty whatsoever, whether express,\nimplied, statutory or otherwise.  The term \"warranty\" used herein\nincludes, but is not limited to, any warranty of the quality,\nperformance, merchantability and fitness for a particular purpose of\nthe program and the nonexistence of any infringement or violation of\nany right of any third party.\n\nEach user of the program will agree and understand, and be deemed to\nhave agreed and understood, that there is no warranty whatsoever for\nthe program and, accordingly, the entire risk arising from or\notherwise connected with the program is assumed by the user.\n\nTherefore, neither ICOT, the copyright holder, or any other\norganization that participated in or was otherwise related to the\ndevelopment of the program and their respective officials, directors,\nofficers and other employees shall be held liable for any and all\ndamages, including, without limitation, general, special, incidental\nand consequential damages, arising out of or otherwise in connection\nwith the use or inability to use the program or any product, material\nor result produced or otherwise obtained by using the program,\nregardless of whether they have been advised of, or otherwise had\nknowledge of, the possibility of such damages at any time during the\nproject or thereafter.  Each user will be deemed to have agreed to the\nforegoing by his or her commencement of use of the program.  The term\n\"use\" as used herein includes, but is not limited to, the use,\nmodification, copying and distribution of the program and the\nproduction of secondary products from the program.\n\nIn the case where the program, whether in its original form or\nmodified, was distributed or delivered to or received by a user from\nany person, organization or entity other than ICOT, unless it makes or\ngrants independently of ICOT any specific warranty to the user in\nwriting, such person, organization or entity, will also be exempted\nfrom and not be held liable to the user for any such damages as noted\nabove as far as the program is concerned.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 2000, 2001, 2002, 2003 Nara Institute of Science and Technology. All Rights Reserved.\";match=\".{0,5000}\">>\n\nUse, reproduction, and distribution of this software is permitted. Any copy of this software, whether in its original form or modified, must include both the above copyright notice and the following paragraphs.\n\nNara Institute of Science and Technology (NAIST), the copyright holders, disclaims all warranties with regard to this software, including all implied warranties of merchantability and fitness, in no event shall NAIST be liable for any special, indirect or consequential damages or any damages whatsoever resulting from loss of use, data or profits, whether in an action of contract, negligence or other tortuous action, arising out of or in connection with the use or performance of this software.\n\nA large portion of the dictionary entries originate from ICOT Free Software. The following conditions for ICOT Free Software applies to the current dictionary as well.\n\nEach User may also freely distribute the Program, whether in its original form or modified, to any third party or parties, PROVIDED that the provisions of Section 3 (\"NO WARRANTY\") will ALWAYS appear on, or be attached to, the Program, which is distributed substantially in the same form as set out herein and that such intended distribution, if actually made, will neither violate or otherwise contravene any of the laws and regulations of the countries having jurisdiction over the User or the intended distribution itself.\n\nNO WARRANTY\n\nThe program was produced on an experimental basis in the course of the research and development conducted during the project and is provided to users as so produced on an experimental basis. Accordingly, the program is provided without any warranty whatsoever, whether express, implied, statutory or otherwise. The term \"warranty\" used herein includes, but is not limited to, any warranty of the quality, performance, merchantability and fitness for a particular purpose of the program and the nonexistence of any infringement or violation of any right of any third party.\n\nEach user of the program will agree and understand, and be deemed to have agreed and understood, that there is no warranty whatsoever for the program and, accordingly, the entire risk arising from or otherwise connected with the program is assumed by the user.\n\nTherefore, neither ICOT, the copyright holder, or any other organization that participated in or was otherwise related to the development of the program and their respective officials, directors, officers and other employees shall be held liable for any and all damages, including, without limitation, general, special, incidental and consequential damages, arising out of or otherwise in connection with the use or inability to use the program or any product, material or result produced or otherwise obtained by using the program, regardless of whether they have been advised of, or otherwise had knowledge of, the possibility of such damages at any time during the project or thereafter. Each user will be deemed to have agreed to the foregoing by his or her commencement of use of the program. The term \"use\" as used herein includes, but is not limited to, the use, modification, copying and distribution of the program and the production of secondary products from the program.\n\nIn the case where the program, whether in its original form or modified, was distributed or delivered to or received by a user from any person, organization or entity other than ICOT, unless it makes or grants independently of ICOT any specific warranty to the user in writing, such person, organization or entity, will also be exempted from and not be held liable to the user for any such damages as noted above as far as the program is concerned.\n\n"
		self.name = "Nara Institute of Science and Technology License (2003)"
		self.licenseId = "NAIST-2003"
		self.crossRef = [{"match": "False", "url": "https://github.com/nodejs/node/blob/4a19cc8947b1bba2b2d27816ec3d0edf9b28e503/LICENSE#L343", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:42Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://enterprise.dejacode.com/licenses/public/naist-2003/#license-text", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:43Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://enterprise.dejacode.com/licenses/public/naist-2003/#license-text", "https://github.com/nodejs/node/blob/4a19cc8947b1bba2b2d27816ec3d0edf9b28e503/LICENSE#L343"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<var class=\"replaceable-license-text\"> \n				Copyright 2000, 2001, 2002, 2003 Nara Institute of Science\n				and Technology.  All Rights Reserved.\n			</var>\n\n			<p>Use, reproduction, and distribution of this software is permitted.\n			Any copy of this software, whether in its original form or modified,\n			must include both the above copyright notice and the following\n			paragraphs.</p>\n\n			<p>Nara Institute of Science and Technology (NAIST),\n			the copyright holders, disclaims all warranties with regard to this\n			software, including all implied warranties of merchantability and\n			fitness, in no event shall NAIST be liable for\n			any special, indirect or consequential damages or any damages\n			whatsoever resulting from loss of use, data or profits, whether in an\n			action of contract, negligence or other tortuous action, arising out\n			of or in connection with the use or performance of this software.</p>\n\n			<p>A large portion of the dictionary entries\n			originate from ICOT Free Software.  The following conditions for ICOT\n			Free Software applies to the current dictionary as well.</p>\n\n			<p>Each User may also freely distribute the Program, whether in its\n			original form or modified, to any third party or parties, PROVIDED\n			that the provisions of Section 3 (&quot;NO WARRANTY&quot;) will ALWAYS appear\n			on, or be attached to, the Program, which is distributed substantially\n			in the same form as set out herein and that such intended\n			distribution, if actually made, will neither violate or otherwise\n			contravene any of the laws and regulations of the countries having\n			jurisdiction over the User or the intended distribution itself.</p>\n\n			<p>NO WARRANTY</p>\n\n			<p>The program was produced on an experimental basis in the course of the\n			research and development conducted during the project and is provided\n			to users as so produced on an experimental basis.  Accordingly, the\n			program is provided without any warranty whatsoever, whether express,\n			implied, statutory or otherwise.  The term &quot;warranty&quot; used herein\n			includes, but is not limited to, any warranty of the quality,\n			performance, merchantability and fitness for a particular purpose of\n			the program and the nonexistence of any infringement or violation of\n			any right of any third party.</p>\n\n			<p>Each user of the program will agree and understand, and be deemed to\n			have agreed and understood, that there is no warranty whatsoever for\n			the program and, accordingly, the entire risk arising from or\n			otherwise connected with the program is assumed by the user.</p>\n\n			<p>Therefore, neither ICOT, the copyright holder, or any other\n			organization that participated in or was otherwise related to the\n			development of the program and their respective officials, directors,\n			officers and other employees shall be held liable for any and all\n			damages, including, without limitation, general, special, incidental\n			and consequential damages, arising out of or otherwise in connection\n			with the use or inability to use the program or any product, material\n			or result produced or otherwise obtained by using the program,\n			regardless of whether they have been advised of, or otherwise had\n			knowledge of, the possibility of such damages at any time during the\n			project or thereafter.  Each user will be deemed to have agreed to the\n			foregoing by his or her commencement of use of the program.  The term\n			&quot;use&quot; as used herein includes, but is not limited to, the use,\n			modification, copying and distribution of the program and the\n			production of secondary products from the program.</p>\n\n			<p>In the case where the program, whether in its original form or\n			modified, was distributed or delivered to or received by a user from\n			any person, organization or entity other than ICOT, unless it makes or\n			grants independently of ICOT any specific warranty to the user in\n			writing, such person, organization or entity, will also be exempted\n			from and not be held liable to the user for any such damages as noted\n			above as far as the program is concerned.</p>\n\n		"
		self.python_name = "NAIST2003"

	def __str__(self):
		return json.dumps(self.__dict__)


class CERNOHLW20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "CERN Open Hardware Licence Version 2 - Weakly Reciprocal\n\nPreamble\n\nCERN has developed this licence to promote collaboration among\nhardware designers and to provide a legal tool which supports the\nfreedom to use, study, modify, share and distribute hardware designs\nand products based on those designs. Version 2 of the CERN Open\nHardware Licence comes in three variants: CERN-OHL-P (permissive); and\ntwo reciprocal licences: this licence, CERN- OHL-W (weakly reciprocal)\nand CERN-OHL-S (strongly reciprocal).\n\nThe CERN-OHL-W is copyright CERN 2020. Anyone is welcome to use it, in\nunmodified form only.\n\nUse of this Licence does not imply any endorsement by CERN of any\nLicensor or their designs nor does it imply any involvement by CERN in\ntheir development.\n\n\n1 Definitions\n\n  1.1 'Licence' means this CERN-OHL-W.\n\n  1.2 'Compatible Licence' means\n\n	   a) any earlier version of the CERN Open Hardware licence, or\n\n	   b) any version of the CERN-OHL-S or the CERN-OHL-W, or\n\n	   c) any licence which permits You to treat the Source to which\n		  it applies as licensed under CERN-OHL-S or CERN-OHL-W\n		  provided that on Conveyance of any such Source, or any\n		  associated Product You treat the Source in question as being\n		  licensed under CERN-OHL-S or CERN-OHL-W as appropriate.\n\n  1.3 'Source' means information such as design materials or digital\n	  code which can be applied to Make or test a Product or to\n	  prepare a Product for use, Conveyance or sale, regardless of its\n	  medium or how it is expressed. It may include Notices.\n\n  1.4 'Covered Source' means Source that is explicitly made available\n	  under this Licence.\n\n  1.5 'Product' means any device, component, work or physical object,\n	  whether in finished or intermediate form, arising from the use,\n	  application or processing of Covered Source.\n\n  1.6 'Make' means to create or configure something, whether by\n	  manufacture, assembly, compiling, loading or applying Covered\n	  Source or another Product or otherwise.\n\n  1.7 'Available Component' means any part, sub-assembly, library or\n	  code which:\n\n	  a) is licensed to You as Complete Source under a Compatible\n		 Licence; or\n\n	  b) is available, at the time a Product or the Source containing\n		 it is first Conveyed, to You and any other prospective\n		 licensees\n\n		   i) with sufficient rights and information (including any\n			  configuration and programming files and information\n			  about its characteristics and interfaces) to enable it\n			  either to be Made itself, or to be sourced and used to\n			  Make the Product; or\n		  ii) as part of the normal distribution of a tool used to\n			  design or Make the Product.\n\n  1.8 'External Material' means anything (including Source) which:\n\n	  a) is only combined with Covered Source in such a way that it\n		 interfaces with the Covered Source using a documented\n		 interface which is described in the Covered Source; and\n\n	  b) is not a derivative of or contains Covered Source, or, if it\n		 is, it is solely to the extent necessary to facilitate such\n		 interfacing.\n\n  1.9 'Complete Source' means the set of all Source necessary to Make\n	  a Product, in the preferred form for making modifications,\n	  including necessary installation and interfacing information\n	  both for the Product, and for any included Available Components.\n	  If the format is proprietary, it must also be made available in\n	  a format (if the proprietary tool can create it) which is\n	  viewable with a tool available to potential licensees and\n	  licensed under a licence approved by the Free Software\n	  Foundation or the Open Source Initiative. Complete Source need\n	  not include the Source of any Available Component, provided that\n	  You include in the Complete Source sufficient information to\n	  enable a recipient to Make or source and use the Available\n	  Component to Make the Product.\n\n 1.10 'Source Location' means a location where a Licensor has placed\n	  Covered Source, and which that Licensor reasonably believes will\n	  remain easily accessible for at least three years for anyone to\n	  obtain a digital copy.\n\n 1.11 'Notice' means copyright, acknowledgement and trademark notices,\n	  Source Location references, modification notices (subsection\n	  3.3(b)) and all notices that refer to this Licence and to the\n	  disclaimer of warranties that are included in the Covered\n	  Source.\n\n 1.12 'Licensee' or 'You' means any person exercising rights under\n	  this Licence.\n\n 1.13 'Licensor' means a natural or legal person who creates or\n	  modifies Covered Source. A person may be a Licensee and a\n	  Licensor at the same time.\n\n 1.14 'Convey' means to communicate to the public or distribute.\n\n\n2 Applicability\n\n  2.1 This Licence governs the use, copying, modification, Conveying\n	  of Covered Source and Products, and the Making of Products. By\n	  exercising any right granted under this Licence, You irrevocably\n	  accept these terms and conditions.\n\n  2.2 This Licence is granted by the Licensor directly to You, and\n	  shall apply worldwide and without limitation in time.\n\n  2.3 You shall not attempt to restrict by contract or otherwise the\n	  rights granted under this Licence to other Licensees.\n\n  2.4 This Licence is not intended to restrict fair use, fair dealing,\n	  or any other similar right.\n\n\n3 Copying, modifying and Conveying Covered Source\n\n  3.1 You may copy and Convey verbatim copies of Covered Source, in\n	  any medium, provided You retain all Notices.\n\n  3.2 You may modify Covered Source, other than Notices, provided that\n	  You irrevocably undertake to make that modified Covered Source\n	  available from a Source Location should You Convey a Product in\n	  circumstances where the recipient does not otherwise receive a\n	  copy of the modified Covered Source. In each case subsection 3.3\n	  shall apply.\n\n	  You may only delete Notices if they are no longer applicable to\n	  the corresponding Covered Source as modified by You and You may\n	  add additional Notices applicable to Your modifications.\n\n  3.3 You may Convey modified Covered Source (with the effect that You\n	  shall also become a Licensor) provided that You:\n\n	   a) retain Notices as required in subsection 3.2;\n\n	   b) add a Notice to the modified Covered Source stating that You\n		  have modified it, with the date and brief description of how\n		  You have modified it;\n\n	   c) add a Source Location Notice for the modified Covered Source\n		  if You Convey in circumstances where the recipient does not\n		  otherwise receive a copy of the modified Covered Source; and\n\n	   d) license the modified Covered Source under the terms and\n		  conditions of this Licence (or, as set out in subsection\n		  8.3, a later version, if permitted by the licence of the\n		  original Covered Source). Such modified Covered Source must\n		  be licensed as a whole, but excluding Available Components\n		  contained in it or External Material to which it is\n		  interfaced, which remain licensed under their own applicable\n		  licences.\n\n\n4 Making and Conveying Products\n\n  4.1 You may Make Products, and/or Convey them, provided that You\n	  either provide each recipient with a copy of the Complete Source\n	  or ensure that each recipient is notified of the Source Location\n	  of the Complete Source. That Complete Source includes Covered\n	  Source and You must accordingly satisfy Your obligations set out\n	  in subsection 3.3. If specified in a Notice, the Product must\n	  visibly and securely display the Source Location on it or its\n	  packaging or documentation in the manner specified in that\n	  Notice.\n\n  4.2 Where You Convey a Product which incorporates External Material,\n	  the Complete Source for that Product which You are required to\n	  provide under subsection 4.1 need not include any Source for the\n	  External Material.\n\n  4.3 You may license Products under terms of Your choice, provided\n	  that such terms do not restrict or attempt to restrict any\n	  recipients' rights under this Licence to the Covered Source.\n\n\n5 Research and Development\n\nYou may Convey Covered Source, modified Covered Source or Products to\na legal entity carrying out development, testing or quality assurance\nwork on Your behalf provided that the work is performed on terms which\nprevent the entity from both using the Source or Products for its own\ninternal purposes and Conveying the Source or Products or any\nmodifications to them to any person other than You. Any modifications\nmade by the entity shall be deemed to be made by You pursuant to\nsubsection 3.2.\n\n\n6 DISCLAIMER AND LIABILITY\n\n  6.1 DISCLAIMER OF WARRANTY -- The Covered Source and any Products\n	  are provided 'as is' and any express or implied warranties,\n	  including, but not limited to, implied warranties of\n	  merchantability, of satisfactory quality, non-infringement of\n	  third party rights, and fitness for a particular purpose or use\n	  are disclaimed in respect of any Source or Product to the\n	  maximum extent permitted by law. The Licensor makes no\n	  representation that any Source or Product does not or will not\n	  infringe any patent, copyright, trade secret or other\n	  proprietary right. The entire risk as to the use, quality, and\n	  performance of any Source or Product shall be with You and not\n	  the Licensor. This disclaimer of warranty is an essential part\n	  of this Licence and a condition for the grant of any rights\n	  granted under this Licence.\n\n  6.2 EXCLUSION AND LIMITATION OF LIABILITY -- The Licensor shall, to\n	  the maximum extent permitted by law, have no liability for\n	  direct, indirect, special, incidental, consequential, exemplary,\n	  punitive or other damages of any character including, without\n	  limitation, procurement of substitute goods or services, loss of\n	  use, data or profits, or business interruption, however caused\n	  and on any theory of contract, warranty, tort (including\n	  negligence), product liability or otherwise, arising in any way\n	  in relation to the Covered Source, modified Covered Source\n	  and/or the Making or Conveyance of a Product, even if advised of\n	  the possibility of such damages, and You shall hold the\n	  Licensor(s) free and harmless from any liability, costs,\n	  damages, fees and expenses, including claims by third parties,\n	  in relation to such use.\n\n\n7 Patents\n\n  7.1 Subject to the terms and conditions of this Licence, each\n	  Licensor hereby grants to You a perpetual, worldwide,\n	  non-exclusive, no-charge, royalty-free, irrevocable (except as\n	  stated in subsections 7.2 and 8.4) patent license to Make, have\n	  Made, use, offer to sell, sell, import, and otherwise transfer\n	  the Covered Source and Products, where such licence applies only\n	  to those patent claims licensable by such Licensor that are\n	  necessarily infringed by exercising rights under the Covered\n	  Source as Conveyed by that Licensor.\n\n  7.2 If You institute patent litigation against any entity (including\n	  a cross-claim or counterclaim in a lawsuit) alleging that the\n	  Covered Source or a Product constitutes direct or contributory\n	  patent infringement, or You seek any declaration that a patent\n	  licensed to You under this Licence is invalid or unenforceable\n	  then any rights granted to You under this Licence shall\n	  terminate as of the date such process is initiated.\n\n\n8 General\n\n  8.1 If any provisions of this Licence are or subsequently become\n	  invalid or unenforceable for any reason, the remaining\n	  provisions shall remain effective.\n\n  8.2 You shall not use any of the name (including acronyms and\n	  abbreviations), image, or logo by which the Licensor or CERN is\n	  known, except where needed to comply with section 3, or where\n	  the use is otherwise allowed by law. Any such permitted use\n	  shall be factual and shall not be made so as to suggest any kind\n	  of endorsement or implication of involvement by the Licensor or\n	  its personnel.\n\n  8.3 CERN may publish updated versions and variants of this Licence\n	  which it considers to be in the spirit of this version, but may\n	  differ in detail to address new problems or concerns. New\n	  versions will be published with a unique version number and a\n	  variant identifier specifying the variant. If the Licensor has\n	  specified that a given variant applies to the Covered Source\n	  without specifying a version, You may treat that Covered Source\n	  as being released under any version of the CERN-OHL with that\n	  variant. If no variant is specified, the Covered Source shall be\n	  treated as being released under CERN-OHL-S. The Licensor may\n	  also specify that the Covered Source is subject to a specific\n	  version of the CERN-OHL or any later version in which case You\n	  may apply this or any later version of CERN-OHL with the same\n	  variant identifier published by CERN.\n\n	  You may treat Covered Source licensed under CERN-OHL-W as\n	  licensed under CERN-OHL-S if and only if all Available\n	  Components referenced in the Covered Source comply with the\n	  corresponding definition of Available Component for CERN-OHL-S.\n\n  8.4 This Licence shall terminate with immediate effect if You fail\n	  to comply with any of its terms and conditions.\n\n  8.5 However, if You cease all breaches of this Licence, then Your\n	  Licence from any Licensor is reinstated unless such Licensor has\n	  terminated this Licence by giving You, while You remain in\n	  breach, a notice specifying the breach and requiring You to cure\n	  it within 30 days, and You have failed to come into compliance\n	  in all material respects by the end of the 30 day period. Should\n	  You repeat the breach after receipt of a cure notice and\n	  subsequent reinstatement, this Licence will terminate\n	  immediately and permanently. Section 6 shall continue to apply\n	  after any termination.\n\n  8.6 This Licence shall not be enforceable except by a Licensor\n	  acting as such, and third party beneficiary rights are\n	  specifically excluded.\n"
		self.standardLicenseTemplate = "<<beginOptional>>CERN Open Hardware Licence Version 2 - Weakly Reciprocal<<endOptional>>\n\nPreamble\n\nCERN has developed this licence to promote collaboration among hardware designers and to provide a legal tool which supports the freedom to use, study, modify, share and distribute hardware designs and products based on those designs. Version 2 of the CERN Open Hardware Licence comes in three variants: CERN-OHL-P (permissive); and two reciprocal licences: this licence, CERN- OHL-W (weakly reciprocal) and CERN-OHL-S (strongly reciprocal).\n\nThe CERN-OHL-W is copyright CERN 2020. Anyone is welcome to use it, in unmodified form only.\n\nUse of this Licence does not imply any endorsement by CERN of any Licensor or their designs nor does it imply any involvement by CERN in their development.\n\n   <<var;name=\"bullet\";original=\"1\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> 'Licence' means this CERN-OHL-W.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> 'Compatible Licence' means\n\n		 <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> any earlier version of the CERN Open Hardware licence, or\n\n		 <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> any version of the CERN-OHL-S or the CERN-OHL-W, or\n\n		 <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> any licence which permits You to treat the Source to which it applies as licensed under CERN-OHL-S or CERN-OHL-W provided that on Conveyance of any such Source, or any associated Product You treat the Source in question as being licensed under CERN-OHL-S or CERN-OHL-W as appropriate.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> 'Source' means information such as design materials or digital code which can be applied to Make or test a Product or to prepare a Product for use, Conveyance or sale, regardless of its medium or how it is expressed. It may include Notices.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> 'Covered Source' means Source that is explicitly made available under this Licence.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> 'Product' means any device, component, work or physical object, whether in finished or intermediate form, arising from the use, application or processing of Covered Source.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> 'Make' means to create or configure something, whether by manufacture, assembly, compiling, loading or applying Covered Source or another Product or otherwise.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> 'Available Component' means any part, sub-assembly, library or code which:\n\n		 <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> is licensed to You as Complete Source under a Compatible Licence; or\n\n		 <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> is available, at the time a Product or the Source containing it is first Conveyed, to You and any other prospective licensees\n\n			<<var;name=\"bullet\";original=\"i)\";match=\".{0,20}\">> with sufficient rights and information (including any configuration and programming files and information about its characteristics and interfaces) to enable it either to be Made itself, or to be sourced and used to Make the Product; or\n\n			<<var;name=\"bullet\";original=\"ii)\";match=\".{0,20}\">> as part of the normal distribution of a tool used to design or Make the Product.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> 'External Material' means anything (including Source) which:\n\n		 <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> is only combined with Covered Source in such a way that it interfaces with the Covered Source using a documented interface which is described in the Covered Source; and\n\n		 <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> is not a derivative of or contains Covered Source, or, if it is, it is solely to the extent necessary to facilitate such interfacing.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> 'Complete Source' means the set of all Source necessary to Make a Product, in the preferred form for making modifications, including necessary installation and interfacing information both for the Product, and for any included Available Components. If the format is proprietary, it must also be made available in a format (if the proprietary tool can create it) which is viewable with a tool available to potential licensees and licensed under a licence approved by the Free Software Foundation or the Open Source Initiative. Complete Source need not include the Source of any Available Component, provided that You include in the Complete Source sufficient information to enable a recipient to Make or source and use the Available Component to Make the Product.\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> 'Source Location' means a location where a Licensor has placed Covered Source, and which that Licensor reasonably believes will remain easily accessible for at least three years for anyone to obtain a digital copy.\n\n	  <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> 'Notice' means copyright, acknowledgement and trademark notices, Source Location references, modification notices (subsection 3.3(b)) and all notices that refer to this Licence and to the disclaimer of warranties that are included in the Covered Source.\n\n	  <<var;name=\"bullet\";original=\"1.12\";match=\".{0,20}\">> 'Licensee' or 'You' means any person exercising rights under this Licence.\n\n	  <<var;name=\"bullet\";original=\"1.13\";match=\".{0,20}\">> 'Licensor' means a natural or legal person who creates or modifies Covered Source. A person may be a Licensee and a Licensor at the same time.\n\n	  <<var;name=\"bullet\";original=\"1.14\";match=\".{0,20}\">> 'Convey' means to communicate to the public or distribute.\n\n   <<var;name=\"bullet\";original=\"2\";match=\".{0,20}\">> Applicability\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> This Licence governs the use, copying, modification, Conveying of Covered Source and Products, and the Making of Products. By exercising any right granted under this Licence, You irrevocably accept these terms and conditions.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> This Licence is granted by the Licensor directly to You, and shall apply worldwide and without limitation in time.\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> You shall not attempt to restrict by contract or otherwise the rights granted under this Licence to other Licensees.\n\n	  <<var;name=\"bullet\";original=\"2.4\";match=\".{0,20}\">> This Licence is not intended to restrict fair use, fair dealing, or any other similar right.\n\n   <<var;name=\"bullet\";original=\"3\";match=\".{0,20}\">> Copying, modifying and Conveying Covered Source\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> You may copy and Convey verbatim copies of Covered Source, in any medium, provided You retain all Notices.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> You may modify Covered Source, other than Notices, provided that You irrevocably undertake to make that modified Covered Source available from a Source Location should You Convey a Product in circumstances where the recipient does not otherwise receive a copy of the modified Covered Source. In each case subsection 3.3 shall apply.\n\n	  You may only delete Notices if they are no longer applicable to the corresponding Covered Source as modified by You and You may add additional Notices applicable to Your modifications.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> You may Convey modified Covered Source (with the effect that You shall also become a Licensor) provided that You:\n\n		 <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> retain Notices as required in subsection 3.2;\n\n		 <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> add a Notice to the modified Covered Source stating that You have modified it, with the date and brief description of how You have modified it;\n\n		 <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> add a Source Location Notice for the modified Covered Source if You Convey in circumstances where the recipient does not otherwise receive a copy of the modified Covered Source; and\n\n		 <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> license the modified Covered Source under the terms and conditions of this Licence (or, as set out in subsection 8.3, a later version, if permitted by the licence of the original Covered Source). Such modified Covered Source must be licensed as a whole, but excluding Available Components contained in it or External Material to which it is interfaced, which remain licensed under their own applicable licences.\n\n   <<var;name=\"bullet\";original=\"4\";match=\".{0,20}\">> Making and Conveying Products\n\n	  <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> You may Make Products, and/or Convey them, provided that You either provide each recipient with a copy of the Complete Source or ensure that each recipient is notified of the Source Location of the Complete Source. That Complete Source includes Covered Source and You must accordingly satisfy Your obligations set out in subsection 3.3. If specified in a Notice, the Product must visibly and securely display the Source Location on it or its packaging or documentation in the manner specified in that Notice.\n\n	  <<var;name=\"bullet\";original=\"4.2\";match=\".{0,20}\">> Where You Convey a Product which incorporates External Material, the Complete Source for that Product which You are required to provide under subsection 4.1 need not include any Source for the External Material.\n\n	  <<var;name=\"bullet\";original=\"4.3\";match=\".{0,20}\">> You may license Products under terms of Your choice, provided that such terms do not restrict or attempt to restrict any recipients' rights under this Licence to the Covered Source.\n\n   <<var;name=\"bullet\";original=\"5\";match=\".{0,20}\">> Research and Development\n\n   You may Convey Covered Source, modified Covered Source or Products to a legal entity carrying out development, testing or quality assurance work on Your behalf provided that the work is performed on terms which prevent the entity from both using the Source or Products for its own internal purposes and Conveying the Source or Products or any modifications to them to any person other than You. Any modifications made by the entity shall be deemed to be made by You pursuant to subsection 3.2.\n\n   <<var;name=\"bullet\";original=\"6\";match=\".{0,20}\">> DISCLAIMER AND LIABILITY\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY -- The Covered Source and any Products are provided 'as is' and any express or implied warranties, including, but not limited to, implied warranties of merchantability, of satisfactory quality, non-infringement of third party rights, and fitness for a particular purpose or use are disclaimed in respect of any Source or Product to the maximum extent permitted by law. The Licensor makes no representation that any Source or Product does not or will not infringe any patent, copyright, trade secret or other proprietary right. The entire risk as to the use, quality, and performance of any Source or Product shall be with You and not the Licensor. This disclaimer of warranty is an essential part of this Licence and a condition for the grant of any rights granted under this Licence.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> EXCLUSION AND LIMITATION OF LIABILITY -- The Licensor shall, to the maximum extent permitted by law, have no liability for direct, indirect, special, incidental, consequential, exemplary, punitive or other damages of any character including, without limitation, procurement of substitute goods or services, loss of use, data or profits, or business interruption, however caused and on any theory of contract, warranty, tort (including negligence), product liability or otherwise, arising in any way in relation to the Covered Source, modified Covered Source and/or the Making or Conveyance of a Product, even if advised of the possibility of such damages, and You shall hold the Licensor(s) free and harmless from any liability, costs, damages, fees and expenses, including claims by third parties, in relation to such use.\n\n   <<var;name=\"bullet\";original=\"7\";match=\".{0,20}\">> Patents\n\n	  <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> Subject to the terms and conditions of this Licence, each Licensor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in subsections 7.2 and 8.4) patent license to Make, have Made, use, offer to sell, sell, import, and otherwise transfer the Covered Source and Products, where such licence applies only to those patent claims licensable by such Licensor that are necessarily infringed by exercising rights under the Covered Source as Conveyed by that Licensor.\n\n	  <<var;name=\"bullet\";original=\"7.2\";match=\".{0,20}\">> If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Covered Source or a Product constitutes direct or contributory patent infringement, or You seek any declaration that a patent licensed to You under this Licence is invalid or unenforceable then any rights granted to You under this Licence shall terminate as of the date such process is initiated.\n\n   <<var;name=\"bullet\";original=\"8\";match=\".{0,20}\">> General\n\n	  <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> If any provisions of this Licence are or subsequently become invalid or unenforceable for any reason, the remaining provisions shall remain effective.\n\n	  <<var;name=\"bullet\";original=\"8.2\";match=\".{0,20}\">> You shall not use any of the name (including acronyms and abbreviations), image, or logo by which the Licensor or CERN is known, except where needed to comply with section 3, or where the use is otherwise allowed by law. Any such permitted use shall be factual and shall not be made so as to suggest any kind of endorsement or implication of involvement by the Licensor or its personnel.\n\n	  <<var;name=\"bullet\";original=\"8.3\";match=\".{0,20}\">> CERN may publish updated versions and variants of this Licence which it considers to be in the spirit of this version, but may differ in detail to address new problems or concerns. New versions will be published with a unique version number and a variant identifier specifying the variant. If the Licensor has specified that a given variant applies to the Covered Source without specifying a version, You may treat that Covered Source as being released under any version of the CERN-OHL with that variant. If no variant is specified, the Covered Source shall be treated as being released under CERN-OHL-S. The Licensor may also specify that the Covered Source is subject to a specific version of the CERN-OHL or any later version in which case You may apply this or any later version of CERN-OHL with the same variant identifier published by CERN.\n\n	  You may treat Covered Source licensed under CERN-OHL-W as licensed under CERN-OHL-S if and only if all Available Components referenced in the Covered Source comply with the corresponding definition of Available Component for CERN-OHL-S.\n\n	  <<var;name=\"bullet\";original=\"8.4\";match=\".{0,20}\">> This Licence shall terminate with immediate effect if You fail to comply with any of its terms and conditions.\n\n	  <<var;name=\"bullet\";original=\"8.5\";match=\".{0,20}\">> However, if You cease all breaches of this Licence, then Your Licence from any Licensor is reinstated unless such Licensor has terminated this Licence by giving You, while You remain in breach, a notice specifying the breach and requiring You to cure it within 30 days, and You have failed to come into compliance in all material respects by the end of the 30 day period. Should You repeat the breach after receipt of a cure notice and subsequent reinstatement, this Licence will terminate immediately and permanently. Section 6 shall continue to apply after any termination.\n\n	  <<var;name=\"bullet\";original=\"8.6\";match=\".{0,20}\">> This Licence shall not be enforceable except by a Licensor acting as such, and third party beneficiary rights are specifically excluded."
		self.name = "CERN Open Hardware Licence Version 2 - Weakly Reciprocal"
		self.licenseId = "CERN-OHL-W-2.0"
		self.crossRef = [{"match": "False", "url": "https://www.ohwr.org/project/cernohl/wikis/Documents/CERN-OHL-version-2", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:43Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.ohwr.org/project/cernohl/wikis/Documents/CERN-OHL-version-2"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <var class=\"optional-license-text\"> CERN Open Hardware Licence Version 2 - Weakly Reciprocal</var>\n	  <p>Preamble</p>\n\n	  <p>CERN has developed this licence to promote collaboration among hardware designers and to provide a legal tool which supports the freedom to use, study, modify, share and distribute hardware designs and products based on those designs. Version 2 of the CERN Open Hardware Licence comes in three variants: CERN-OHL-P (permissive); and two reciprocal licences: this licence, CERN- OHL-W (weakly reciprocal) and CERN-OHL-S (strongly reciprocal).</p>\n\n	  <p>The CERN-OHL-W is copyright CERN 2020. Anyone is welcome to use it, in unmodified form only.</p>\n\n	  <p>Use of this Licence does not imply any endorsement by CERN of any Licensor or their designs nor does it imply any involvement by CERN in their development.</p>\n\n<ul style=\"list-style:none\">\n		\n<li><var class=\"replaceable-license-text\"> 1</var> Definitions\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 1.1</var> &apos;Licence&apos; means this CERN-OHL-W.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.2</var> &apos;Compatible Licence&apos; means\n			  \n<ul style=\"list-style:none\">\n				\n<li><var class=\"replaceable-license-text\"> a)</var> any earlier version of the CERN Open Hardware licence, or</li>\n				\n<li><var class=\"replaceable-license-text\"> b)</var> any version of the CERN-OHL-S or the CERN-OHL-W, or</li>\n				\n<li><var class=\"replaceable-license-text\"> c)</var> any licence which permits You to treat the Source to which it applies as licensed under CERN-OHL-S or CERN-OHL-W provided that on Conveyance of any such Source, or any associated Product You treat the Source in question as being licensed under CERN-OHL-S or CERN-OHL-W as appropriate.</li>\n			  \n</ul>\n			</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.3</var> &apos;Source&apos; means information such as design materials or digital code which can be applied to Make or test a Product or to prepare a Product for use, Conveyance or sale, regardless of its medium or how it is expressed. It may include Notices.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.4</var> &apos;Covered Source&apos; means Source that is explicitly made available under this Licence.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.5</var> &apos;Product&apos; means any device, component, work or physical object, whether in finished or intermediate form, arising from the use, application or processing of Covered Source.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.6</var> &apos;Make&apos; means to create or configure something, whether by manufacture, assembly, compiling, loading or applying Covered Source or another Product or otherwise.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.7</var> &apos;Available Component&apos; means any part, sub-assembly, library or code which:\n			  \n<ul style=\"list-style:none\">\n				\n<li><var class=\"replaceable-license-text\"> a)</var> is licensed to You as Complete Source under a Compatible Licence; or</li>\n				\n<li><var class=\"replaceable-license-text\"> b)</var> is available, at the time a Product or the Source containing it is first Conveyed, to You and any other prospective licensees\n				  \n<ul style=\"list-style:none\">\n					\n<li><var class=\"replaceable-license-text\"> i)</var> with sufficient rights and information (including any configuration and programming files and information about its characteristics and interfaces) to enable it either to be Made itself, or to be sourced and used to Make the Product; or</li>\n					\n<li><var class=\"replaceable-license-text\"> ii)</var> as part of the normal distribution of a tool used to design or Make the Product.</li>\n				  \n</ul>\n				</li>\n			  \n</ul>\n			</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.8</var> &apos;External Material&apos; means anything (including Source) which:\n			  \n<ul style=\"list-style:none\">\n				\n<li><var class=\"replaceable-license-text\"> a)</var> is only combined with Covered Source in such a way that it interfaces with the Covered Source using a documented interface which is described in the Covered Source; and</li>\n				\n<li><var class=\"replaceable-license-text\"> b)</var> is not a derivative of or contains Covered Source, or, if it is, it is solely to the extent necessary to facilitate such interfacing.</li>\n			  \n</ul>\n			</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.9</var> &apos;Complete Source&apos; means the set of all Source necessary to Make a Product, in the preferred form for making modifications, including necessary installation and interfacing information both for the Product, and for any included Available Components. If the format is proprietary, it must also be made available in a format (if the proprietary tool can create it) which is viewable with a tool available to potential licensees and licensed under a licence approved by the Free Software Foundation or the Open Source Initiative. Complete Source need not include the Source of any Available Component, provided that You include in the Complete Source sufficient information to enable a recipient to Make or source and use the Available Component to Make the Product.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.10</var> &apos;Source Location&apos; means a location where a Licensor has placed Covered Source, and which that Licensor reasonably believes will remain easily accessible for at least three years for anyone to obtain a digital copy.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.11</var> &apos;Notice&apos; means copyright, acknowledgement and trademark notices, Source Location references, modification notices (subsection 3.3(b)) and all notices that refer to this Licence and to the disclaimer of warranties that are included in the Covered Source.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.12</var> &apos;Licensee&apos; or &apos;You&apos; means any person exercising rights under this Licence.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.13</var> &apos;Licensor&apos; means a natural or legal person who creates or modifies Covered Source. A person may be a Licensee and a Licensor at the same time.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.14</var> &apos;Convey&apos; means to communicate to the public or distribute.</li>\n		  \n</ul>\n		</li>\n		\n<li><var class=\"replaceable-license-text\"> 2</var> Applicability\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 2.1</var> This Licence governs the use, copying, modification, Conveying of Covered Source and Products, and the Making of Products. By exercising any right granted under this Licence, You irrevocably accept these terms and conditions.</li>\n			\n<li><var class=\"replaceable-license-text\"> 2.2</var> This Licence is granted by the Licensor directly to You, and shall apply worldwide and without limitation in time.</li>\n			\n<li><var class=\"replaceable-license-text\"> 2.3</var> You shall not attempt to restrict by contract or otherwise the rights granted under this Licence to other Licensees.</li>\n			\n<li><var class=\"replaceable-license-text\"> 2.4</var> This Licence is not intended to restrict fair use, fair dealing, or any other similar right.</li>\n		  \n</ul>\n		</li>\n		\n<li><var class=\"replaceable-license-text\"> 3</var> Copying, modifying and Conveying Covered Source\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 3.1</var> You may copy and Convey verbatim copies of Covered Source, in any medium, provided You retain all Notices.</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 3.2</var> You may modify Covered Source, other than Notices, provided that You irrevocably undertake to make that modified Covered Source available from a Source Location should You Convey a Product in circumstances where the recipient does not otherwise receive a copy of the modified Covered Source. In each case subsection 3.3 shall apply.\n			  <p>You may only delete Notices if they are no longer applicable to the corresponding Covered Source as modified by You and You may add additional Notices applicable to Your modifications.</p>\n\n			</li>\n			\n<li><var class=\"replaceable-license-text\"> 3.3</var> You may Convey modified Covered Source (with the effect that You shall also become a Licensor) provided that You:\n			  \n<ul style=\"list-style:none\">\n				 \n<li><var class=\"replaceable-license-text\"> a)</var> retain Notices as required in subsection 3.2;</li>\n				 \n<li><var class=\"replaceable-license-text\"> b)</var> add a Notice to the modified Covered Source stating that You have modified it, with the date and brief description of how You have modified it;</li>\n				 \n<li><var class=\"replaceable-license-text\"> c)</var> add a Source Location Notice for the modified Covered Source if You Convey in circumstances where the recipient does not otherwise receive a copy of the modified Covered Source; and</li>\n				 \n<li><var class=\"replaceable-license-text\"> d)</var> license the modified Covered Source under the terms and conditions of this Licence (or, as set out in subsection 8.3, a later version, if permitted by the licence of the original Covered Source). Such modified Covered Source must be licensed as a whole, but excluding Available Components contained in it or External Material to which it is interfaced, which remain licensed under their own applicable licences.</li>\n			  \n</ul>\n			</li>\n		  \n</ul>\n		</li>\n		\n<li><var class=\"replaceable-license-text\"> 4</var> Making and Conveying Products\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 4.1</var> You may Make Products, and/or Convey them, provided that You either provide each recipient with a copy of the Complete Source or ensure that each recipient is notified of the Source Location of the Complete Source. That Complete Source includes Covered Source and You must accordingly satisfy Your obligations set out in subsection 3.3. If specified in a Notice, the Product must visibly and securely display the Source Location on it or its packaging or documentation in the manner specified in that Notice.</li>\n			\n<li><var class=\"replaceable-license-text\"> 4.2</var> Where You Convey a Product which incorporates External Material, the Complete Source for that Product which You are required to provide under subsection 4.1 need not include any Source for the External Material.</li>\n			\n<li><var class=\"replaceable-license-text\"> 4.3</var> You may license Products under terms of Your choice, provided that such terms do not restrict or attempt to restrict any recipients&apos; rights under this Licence to the Covered Source.</li>\n		  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 5</var> Research and Development\n		  <p>You may Convey Covered Source, modified Covered Source or Products to a legal entity carrying out development, testing or quality assurance work on Your behalf provided that the work is performed on terms which prevent the entity from both using the Source or Products for its own internal purposes and Conveying the Source or Products or any modifications to them to any person other than You. Any modifications made by the entity shall be deemed to be made by You pursuant to subsection 3.2.</p>\n\n		</li>\n		\n<li><var class=\"replaceable-license-text\"> 6</var> DISCLAIMER AND LIABILITY\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 6.1</var> DISCLAIMER OF WARRANTY -- The Covered Source and any Products are provided &apos;as is&apos; and any express or implied warranties, including, but not limited to, implied warranties of merchantability, of satisfactory quality, non-infringement of third party rights, and fitness for a particular purpose or use are disclaimed in respect of any Source or Product to the maximum extent permitted by law. The Licensor makes no representation that any Source or Product does not or will not infringe any patent, copyright, trade secret or other proprietary right. The entire risk as to the use, quality, and performance of any Source or Product shall be with You and not the Licensor. This disclaimer of warranty is an essential part of this Licence and a condition for the grant of any rights granted under this Licence.</li>\n			\n<li><var class=\"replaceable-license-text\"> 6.2</var> EXCLUSION AND LIMITATION OF LIABILITY -- The Licensor shall, to the maximum extent permitted by law, have no liability for direct, indirect, special, incidental, consequential, exemplary, punitive or other damages of any character including, without limitation, procurement of substitute goods or services, loss of use, data or profits, or business interruption, however caused and on any theory of contract, warranty, tort (including negligence), product liability or otherwise, arising in any way in relation to the Covered Source, modified Covered Source and/or the Making or Conveyance of a Product, even if advised of the possibility of such damages, and You shall hold the Licensor(s) free and harmless from any liability, costs, damages, fees and expenses, including claims by third parties, in relation to such use.</li>\n		  \n</ul>\n		</li>\n		\n<li><var class=\"replaceable-license-text\"> 7</var> Patents\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 7.1</var> Subject to the terms and conditions of this Licence, each Licensor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in subsections 7.2 and 8.4) patent license to Make, have Made, use, offer to sell, sell, import, and otherwise transfer the Covered Source and Products, where such licence applies only to those patent claims licensable by such Licensor that are necessarily infringed by exercising rights under the Covered Source as Conveyed by that Licensor.</li>\n			\n<li><var class=\"replaceable-license-text\"> 7.2</var> If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Covered Source or a Product constitutes direct or contributory patent infringement, or You seek any declaration that a patent licensed to You under this Licence is invalid or unenforceable then any rights granted to You under this Licence shall terminate as of the date such process is initiated.</li>\n		  \n</ul>\n		</li>\n		\n<li><var class=\"replaceable-license-text\"> 8</var> General\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 8.1</var> If any provisions of this Licence are or subsequently become invalid or unenforceable for any reason, the remaining provisions shall remain effective.</li>\n			\n<li><var class=\"replaceable-license-text\"> 8.2</var> You shall not use any of the name (including acronyms and abbreviations), image, or logo by which the Licensor or CERN is known, except where needed to comply with section 3, or where the use is otherwise allowed by law. Any such permitted use shall be factual and shall not be made so as to suggest any kind of endorsement or implication of involvement by the Licensor or its personnel.</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 8.3</var> CERN may publish updated versions and variants of this Licence which it considers to be in the spirit of this version, but may differ in detail to address new problems or concerns. New versions will be published with a unique version number and a variant identifier specifying the variant. If the Licensor has specified that a given variant applies to the Covered Source without specifying a version, You may treat that Covered Source as being released under any version of the CERN-OHL with that variant. If no variant is specified, the Covered Source shall be treated as being released under CERN-OHL-S. The Licensor may also specify that the Covered Source is subject to a specific version of the CERN-OHL or any later version in which case You may apply this or any later version of CERN-OHL with the same variant identifier published by CERN.\n			  <p>You may treat Covered Source licensed under CERN-OHL-W as licensed under CERN-OHL-S if and only if all Available Components referenced in the Covered Source comply with the corresponding definition of Available Component for CERN-OHL-S.</p>\n\n			</li>\n			\n<li><var class=\"replaceable-license-text\"> 8.4</var> This Licence shall terminate with immediate effect if You fail to comply with any of its terms and conditions.</li>\n			\n<li><var class=\"replaceable-license-text\"> 8.5</var> However, if You cease all breaches of this Licence, then Your Licence from any Licensor is reinstated unless such Licensor has terminated this Licence by giving You, while You remain in breach, a notice specifying the breach and requiring You to cure it within 30 days, and You have failed to come into compliance in all material respects by the end of the 30 day period. Should You repeat the breach after receipt of a cure notice and subsequent reinstatement, this Licence will terminate immediately and permanently. Section 6 shall continue to apply after any termination.</li>\n			\n<li><var class=\"replaceable-license-text\"> 8.6</var> This Licence shall not be enforceable except by a Licensor acting as such, and third party beneficiary rights are specifically excluded.</li>\n		  \n</ul>\n		</li>\n	  \n</ul>\n	"
		self.python_name = "CERNOHLW20"

	def __str__(self):
		return json.dumps(self.__dict__)


class CECILL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL\n\nAvertissement\n\nCe contrat est une licence de logiciel libre issue d\u2019une concertation entre ses auteurs afin que le respect de deux grands principes pr\u00e9side \u00e0 sa r\u00e9daction:\n\t\u2022\td\u2019une part, sa conformit\u00e9 au droit fran\u00e7ais, tant au regard du droit de la responsabilit\u00e9 civile que du droit de la propri\u00e9t\u00e9 intellectuelle et de la protection qu\u2019il offre aux auteurs et titulaires des droits patrimoniaux sur un logiciel.\n\t\u2022\td\u2019autre part, le respect des principes de diffusion des logiciels libres: acc\u00e8s au code source, droits \u00e9tendus conf\u00e9r\u00e9s aux utilisateurs.\n\nLes auteurs de la licence CeCILL1 sont:\n\nCommissariat \u00e0 l\u2019Energie Atomique \u2013 CEA, \u00e9tablissement public de caract\u00e8re scientifique technique et industriel, dont le si\u00e8ge est situ\u00e9 31-33 rue de la F\u00e9d\u00e9ration, 75752 PARIS cedex 15.\n\nCentre National de la Recherche Scientifique \u2013 CNRS, \u00e9tablissement public \u00e0 caract\u00e8re scientifique et technologique, dont le si\u00e8ge est situ\u00e9 3 rue Michel-Ange 75794 Paris cedex 16.\n\nInstitut National de Recherche en Informatique et en Automatique \u2013 INRIA, \u00e9tablissement public \u00e0 caract\u00e8re scientifique et technologique, dont le si\u00e8ge est situ\u00e9 Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay cedex.\n\nPREAMBULE\n\nCe contrat est une licence de logiciel libre dont l'objectif est de conf\u00e9rer aux utilisateurs la libert\u00e9 de modification et de redistribution du logiciel r\u00e9gi par cette licence dans le cadre d'un mod\u00e8le de diffusion \u00abopen source\u00bb.\n\nL'exercice de ces libert\u00e9s est assorti de certains devoirs \u00e0 la charge des utilisateurs afin de pr\u00e9server ce statut au cours des redistributions ult\u00e9rieures.\n\nL\u2019accessibilit\u00e9 au code source et les droits de copie, de modification et de redistribution qui en d\u00e9coulent ont pour contrepartie de n\u2019offrir aux utilisateurs qu\u2019une garantie limit\u00e9e et de ne faire peser sur l\u2019auteur du logiciel, le titulaire des droits patrimoniaux et les conc\u00e9dants successifs qu\u2019une responsabilit\u00e9 restreinte.\n\nA cet \u00e9gard l\u2019attention de l\u2019utilisateur est attir\u00e9e sur les risques associ\u00e9s au chargement, \u00e0 l\u2019utilisation, \u00e0 la modification et/ou au d\u00e9veloppement et \u00e0 la reproduction du logiciel par l\u2019utilisateur \u00e9tant donn\u00e9 sa sp\u00e9cificit\u00e9 de logiciel libre, qui peut le rendre complexe \u00e0 manipuler et qui le r\u00e9serve donc \u00e0 des d\u00e9veloppeurs et des professionnels avertis poss\u00e9dant des connaissances informatiques approfondies. Les utilisateurs sont donc invit\u00e9s \u00e0 charger et tester l\u2019ad\u00e9quation du Logiciel \u00e0 leurs besoins dans des conditions permettant d'assurer la s\u00e9curit\u00e9 de leurs syst\u00e8mes et ou de leurs donn\u00e9es et, plus g\u00e9n\u00e9ralement, \u00e0 l'utiliser et l'exploiter dans les m\u00eame conditions de s\u00e9curit\u00e9. Ce contrat peut \u00eatre reproduit et diffus\u00e9 librement, sous r\u00e9serve de le conserver en l\u2019\u00e9tat, sans ajout ni suppression de clauses.\n\nCe contrat est susceptible de s\u2019appliquer \u00e0 tout logiciel dont le titulaire des droits patrimoniaux d\u00e9cide de soumettre l\u2019exploitation aux dispositions qu\u2019il contient.\n\nArticle 1er - DEFINITIONS\n\nDans ce contrat, les termes suivants, lorsqu\u2019ils seront \u00e9crits avec une lettre capitale, auront la signification suivante:\n\nContrat: d\u00e9signe le pr\u00e9sent contrat de licence, ses \u00e9ventuelles versions post\u00e9rieures et annexes.\n\nLogiciel: d\u00e9signe le logiciel sous sa forme de Code Objet et/ou de Code Source et le cas \u00e9ch\u00e9ant sa documentation, dans leur \u00e9tat au moment de l\u2019acceptation du\nContrat par le Licenci\u00e9.\n\nLogiciel Initial: d\u00e9signe le Logiciel sous sa forme de Code Source et de Code Objet et le cas \u00e9ch\u00e9ant sa documentation, dans leur \u00e9tat au moment de leur premi\u00e8re diffusion sous les termes du Contrat.\n\nLogiciel Modifi\u00e9: d\u00e9signe le Logiciel modifi\u00e9 par au moins une Contribution.\n\nCode Source: d\u00e9signe l\u2019ensemble des instructions et des lignes de programme du Logiciel et auquel l\u2019acc\u00e8s est n\u00e9cessaire en vue de modifier le Logiciel.\n\nCode Objet: d\u00e9signe les fichiers binaires issus de la compilation du Code Source.\n\nTitulaire : d\u00e9signe le d\u00e9tenteur des droits patrimoniaux d\u2019auteur sur le Logiciel Initial.\n\nLicenci\u00e9(s): d\u00e9signe le ou les utilisateur(s) du Logiciel ayant accept\u00e9 le Contrat.\n\nContributeur: d\u00e9signe le Licenci\u00e9 auteur d\u2019au moins une Contribution.\n\nConc\u00e9dant: d\u00e9signe le Titulaire ou toute personne physique ou morale distribuant le Logiciel sous le Contrat.\n\nContributions: d\u00e9signe l\u2019ensemble des modifications, corrections, traductions, adaptations et/ou nouvelles fonctionnalit\u00e9s int\u00e9gr\u00e9es dans le Logiciel par tout\n\nContributeur, ainsi que les Modules Statiques.\n\nModule: d\u00e9signe un ensemble de fichiers sources y compris leur documentation qui, une fois compil\u00e9 sous forme ex\u00e9cutable, permet de r\u00e9aliser des fonctionnalit\u00e9s ou\nservices suppl\u00e9mentaires \u00e0 ceux fournis par le Logiciel.\n\nModule Dynamique: d\u00e9signe tout Module, cr\u00e9\u00e9 par le Contributeur, ind\u00e9pendant du Logiciel, tel que ce Module et le Logiciel sont sous forme de deux ex\u00e9cutables ind\u00e9pendants qui s\u2019ex\u00e9cutent dans un espace d\u2019adressage ind\u00e9pendant, l\u2019un appelant l\u2019autre au moment de leur ex\u00e9cution.\n\nModule Statique: d\u00e9signe tout Module cr\u00e9\u00e9 par le Contributeur et li\u00e9 au Logiciel par un lien statique rendant leur code objet d\u00e9pendant l'un de l'autre. Ce Module et le Logiciel auquel il est li\u00e9, sont regroup\u00e9s en un seul ex\u00e9cutable.\n\nParties: d\u00e9signe collectivement le Licenci\u00e9 et le Conc\u00e9dant.\n\nCes termes s\u2019entendent au singulier comme au pluriel.\n\nArticle 2 - OBJET\n\nLe Contrat a pour objet la concession par le Conc\u00e9dant au Licenci\u00e9 d\u2019une Licence non exclusive, transf\u00e9rable et mondiale du Logiciel telle que d\u00e9finie ci-apr\u00e8s \u00e0 l'article 5 pour toute la dur\u00e9e de protection des droits portant sur ce Logiciel.\n\nArticle 3 - ACCEPTATION\n\n3.1. L\u2019acceptation par le Licenci\u00e9 des termes du Contrat est r\u00e9put\u00e9e acquise du fait du premier des faits suivants:\n\t\u2022\t(i) le chargement du Logiciel par tout moyen notamment par t\u00e9l\u00e9chargement \u00e0 partir d\u2019un serveur distant ou par chargement \u00e0 partir d\u2019un support physique;\n\t\u2022\t(ii) le premier exercice par le Licenci\u00e9 de l\u2019un quelconque des droits conc\u00e9d\u00e9s par le Contrat.\n\n3.2. Un exemplaire du Contrat, contenant notamment un avertissement relatif aux sp\u00e9cificit\u00e9s du Logiciel, \u00e0 la restriction de garantie et \u00e0 la limitation \u00e0 un usage par des utilisateurs exp\u00e9riment\u00e9s a \u00e9t\u00e9 mis \u00e0 disposition du Licenci\u00e9 pr\u00e9alablement \u00e0 son acceptation telle que d\u00e9finie \u00e0 l'article 3.1 ci dessus et le Licenci\u00e9 reconna\u00eet en avoir pris connaissances.\n\nArticle 4 - ENTREE EN VIGUEUR ET DUREE\n\n4.1.ENTREE EN VIGUEUR\n\nLe Contrat entre en vigueur \u00e0 la date de son acceptation par le Licenci\u00e9 telle que d\u00e9finie en 3.1.\n\n4.2. DUREE\n\nLe Contrat produira ses effets pendant toute la dur\u00e9e l\u00e9gale de protection des droits patrimoniaux portant sur le Logiciel.\n\nArticle 5 - ETENDUE DES DROITS CONCEDES\n\nLe Conc\u00e9dant conc\u00e8de au Licenci\u00e9, qui accepte, les droits suivants sur le Logiciel pour toutes destinations et pour la dur\u00e9e du Contrat dans les conditions ci-apr\u00e8s d\u00e9taill\u00e9es.\n\nPar ailleurs, le Conc\u00e9dant conc\u00e8de au Licenci\u00e9 \u00e0 titre gracieux les droits d\u2019exploitation du ou des brevets qu\u2019il d\u00e9tient sur tout ou partie des inventions\nimpl\u00e9ment\u00e9es dans le Logiciel.\n\n5.1. DROITS D\u2019UTILISATION\n\nLe Licenci\u00e9 est autoris\u00e9 \u00e0 utiliser le Logiciel, sans restriction quant aux domaines d\u2019application, \u00e9tant ci-apr\u00e8s pr\u00e9cis\u00e9 que cela comporte:\n\t1.\tla reproduction permanente ou provisoire du Logiciel en tout ou partie par tout moyen et sous toute forme.\n\t2.\tle chargement, l\u2019affichage, l\u2019ex\u00e9cution, ou le stockage du Logiciel sur tout support.\n\t3.\tla possibilit\u00e9 d\u2019en observer, d\u2019en \u00e9tudier, ou d\u2019en tester le fonctionnement afin de d\u00e9terminer les id\u00e9es et principes qui sont \u00e0 la base de n\u2019importe quel \u00e9l\u00e9ment de ce Logiciel; et ceci, lorsque le Licenci\u00e9 effectue toute op\u00e9ration de chargement, d\u2019affichage, d\u2019ex\u00e9cution, de transmission ou de stockage du Logiciel qu\u2019il est en droit d\u2019effectuer en vertu du Contrat.\n\n5.2. DROIT D\u2019APPORTER DES CONTRIBUTIONS\n\nLe droit d\u2019apporter des Contributions comporte le droit de traduire, d\u2019adapter, d\u2019arranger ou d\u2019apporter toute autre modification du Logiciel et le droit de reproduire le Logiciel en r\u00e9sultant.\n\nLe Licenci\u00e9 est autoris\u00e9 \u00e0 apporter toute Contribution au Logiciel sous r\u00e9serve de mentionner, de fa\u00e7on explicite, son nom en tant qu\u2019auteur de cette Contribution et la date de cr\u00e9ation de celle-ci.\n\n5.3. DROITS DE DISTRIBUTION ET DE DIFFUSION\n\nLe droit de distribution et de diffusion comporte notamment le droit de transmettre et de communiquer le Logiciel au public sur tout support et par tout moyen ainsi que le droit de mettre sur le march\u00e9 \u00e0 titre on\u00e9reux ou gratuit, un ou des exemplaires du Logiciel par tout proc\u00e9d\u00e9.\n\nLe Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer des copies du Logiciel, modifi\u00e9 ou non, \u00e0 des tiers dans les conditions ci-apr\u00e8s d\u00e9taill\u00e9es.\n\n5.3.1. REDISTRIBUTION DU LOGICIEL SANS MODIFICATION\nLe Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer des copies conformes du Logiciel, sous forme de Code Source ou de Code Objet, \u00e0 condition que cette redistribution respecte les dispositions du Contrat dans leur totalit\u00e9 et soit accompagn\u00e9e:\n\t1.\td\u2019un exemplaire du Contrat,\n\t2.\td\u2019un avertissement relatif \u00e0 la restriction de garantie et de responsabilit\u00e9 du Conc\u00e9dant telle que pr\u00e9vue aux articles 8 et 9,\net que, dans le cas o\u00f9 seul le Code Objet du Logiciel est redistribu\u00e9, le Licenci\u00e9 permette aux futurs Licenci\u00e9s d\u2019acc\u00e9der facilement au Code Source complet du Logiciel en indiquant les modalit\u00e9s d\u2019acc\u00e8s, \u00e9tant entendu que le co\u00fbt additionnel d\u2019acquisition du Code Source ne devra pas exc\u00e9der le simple co\u00fbt de transfert des donn\u00e9es.\n\n5.3.2. REDISTRIBUTION DU LOGICIEL MODIFIE\nLorsque le Licenci\u00e9 apporte une Contribution au Logiciel, les conditions de redistribution du Logiciel Modifi\u00e9 sont alors soumises \u00e0 l\u2019int\u00e9gralit\u00e9 des dispositions du Contrat.\nLe Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer le Logiciel Modifi\u00e9, sous forme de Code Source ou de Code Objet, \u00e0 condition que cette redistribution respecte les dispositions du Contrat dans leur totalit\u00e9 et soit accompagn\u00e9e:\n\t1.\td\u2019un exemplaire du Contrat,\n\t2.\td\u2019un avertissement relatif \u00e0 la restriction de garantie et de responsabilit\u00e9 du conc\u00e9dant telle que pr\u00e9vue aux articles 8 et 9,\net que, dans le cas o\u00f9 seul le Code Objet du Logiciel Modifi\u00e9 est redistribu\u00e9, le Licenci\u00e9 permette aux futurs Licenci\u00e9s d\u2019acc\u00e9der facilement au Code Source complet du Logiciel Modifi\u00e9 en indiquant les modalit\u00e9s d\u2019acc\u00e8s, \u00e9tant entendu que le co\u00fbt additionnel d\u2019acquisition du Code Source ne devra pas exc\u00e9der le simple co\u00fbt de transfert des donn\u00e9es.\n\n5.3.3. REDISTRIBUTION DES MODULES DYNAMIQUES\nLorsque le Licenci\u00e9 a d\u00e9velopp\u00e9 un Module Dynamique les conditions du Contrat ne s\u2019appliquent pas \u00e0 ce Module Dynamique, qui peut \u00eatre distribu\u00e9 sous un contrat de licence diff\u00e9rent.\n\n5.3.4. COMPATIBILITE AVEC LA LICENCE GPL\nDans le cas o\u00f9 le Logiciel, Modifi\u00e9 ou non, est int\u00e9gr\u00e9 \u00e0 un code soumis aux dispositions de la licence GPL, le Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer l\u2019ensemble sous la licence GPL.\nDans le cas o\u00f9 le Logiciel Modifi\u00e9 int\u00e8gre un code soumis aux dispositions de la licence GPL, le Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer le Logiciel Modifi\u00e9 sous la licence GPL.\n\nArticle 6 - PROPRIETE INTELLECTUELLE\n\n6.1. SUR LE LOGICIEL INITIAL\nLe Titulaire est d\u00e9tenteur des droits patrimoniaux sur le Logiciel Initial. Toute utilisation du Logiciel Initial est soumise au respect des conditions dans lesquelles le Titulaire a choisi de diffuser son \u0153uvre et nul autre n\u2019a la facult\u00e9 de modifier les conditions de diffusion de ce Logiciel Initial.\nLe Titulaire s'engage \u00e0 maintenir la diffusion du Logiciel initial sous les conditions du Contrat et ce, pour la dur\u00e9e vis\u00e9e \u00e0 l'article 4.2.\n\n6.2. SUR LES CONTRIBUTIONS\nLes droits de propri\u00e9t\u00e9 intellectuelle sur les Contributions sont attach\u00e9s au titulaire de droits patrimoniaux d\u00e9sign\u00e9 par la l\u00e9gislation applicable.\n\n6.3. SUR LES MODULES DYNAMIQUES\nLe Licenci\u00e9 ayant d\u00e9velopp\u00e9 un Module Dynamique est titulaire des droits de propri\u00e9t\u00e9 intellectuelle sur ce Module Dynamique et reste libre du choix du contrat r\u00e9gissant sa diffusion.\n\n6.4. DISPOSITIONS COMMUNES\n\n6.4.1. Le Licenci\u00e9 s\u2019engage express\u00e9ment:\n\t1.\t\u00e0 ne pas supprimer ou modifier de quelque mani\u00e8re que ce soit les mentions de propri\u00e9t\u00e9 intellectuelle appos\u00e9es sur le Logiciel;\n\t2.\t\u00e0 reproduire \u00e0 l\u2019identique lesdites mentions de propri\u00e9t\u00e9 intellectuelle sur les copies du Logiciel.\n6.4.2. Le Licenci\u00e9 s\u2019engage \u00e0 ne pas porter atteinte, directement ou indirectement, aux droits de propri\u00e9t\u00e9 intellectuelle du Titulaire et/ou des Contributeurs et \u00e0 prendre, le cas \u00e9ch\u00e9ant, \u00e0 l\u2019\u00e9gard de son personnel toutes les mesures n\u00e9cessaires pour assurer le respect des dits droits de propri\u00e9t\u00e9 intellectuelle du Titulaire et/ou des Contributeurs.\n\nArticle 7 - SERVICES ASSOCIES\n\n7.1. Le Contrat n\u2019oblige en aucun cas le Conc\u00e9dant \u00e0 la r\u00e9alisation de prestations d\u2019assistance technique ou de maintenance du Logiciel.\nCependant le Conc\u00e9dant reste libre de proposer ce type de services. Les termes et conditions d\u2019une telle assistance technique et/ou d\u2019une telle maintenance seront alors d\u00e9termin\u00e9s dans un acte s\u00e9par\u00e9. Ces actes de maintenance et/ou assistance technique n\u2019engageront que la seule responsabilit\u00e9 du Conc\u00e9dant qui les propose.\n\n7.2. De m\u00eame, tout Conc\u00e9dant est libre de proposer, sous sa seule responsabilit\u00e9, \u00e0 ses licenci\u00e9s une garantie, qui n\u2019engagera que lui, lors de la redistribution du Logiciel et/ou du Logiciel Modifi\u00e9 et ce, dans les conditions qu\u2019il souhaite. Cette garantie et les modalit\u00e9s financi\u00e8res de son application feront l\u2019objet d\u2019un acte s\u00e9par\u00e9 entre le Conc\u00e9dant et le Licenci\u00e9.\n\nArticle 8 - RESPONSABILITE\n\n8.1. Sous r\u00e9serve des dispositions de l\u2019article 8.2, si le Conc\u00e9dant n\u2019ex\u00e9cute pas tout ou partie des obligations mises \u00e0 sa charge par le Contrat, le Licenci\u00e9 a la facult\u00e9, sous r\u00e9serve de prouver la faute du Conc\u00e9dant concern\u00e9, de solliciter la r\u00e9paration du pr\u00e9judice direct qu\u2019il subit et dont il apportera la preuve.\n\n8.2. La responsabilit\u00e9 du Conc\u00e9dant est limit\u00e9e aux engagements pris en application du Contrat et ne saurait \u00eatre engag\u00e9e en raison notamment:(i) des dommages dus \u00e0 l\u2019inex\u00e9cution, totale ou partielle, de ses obligations par le Licenci\u00e9, (ii) des dommages directs ou indirects d\u00e9coulant de l\u2019utilisation ou des performances du Logiciel subis par le Licenci\u00e9 lorsqu\u2019il s\u2019agit d\u2019un professionnel utilisant le Logiciel \u00e0 des fins professionnelles et (iii) des dommages indirects d\u00e9coulant de l\u2019utilisation ou des performances du Logiciel. Les Parties conviennent express\u00e9ment que tout pr\u00e9judice financier ou commercial (par exemple perte de donn\u00e9es, perte de b\u00e9n\u00e9fices, perte d\u2019exploitation, perte de client\u00e8le ou de commandes, manque \u00e0 gagner, trouble commercial quelconque) ou toute action dirig\u00e9e contre le Licenci\u00e9 par un tiers, constitue un dommage indirect et n\u2019ouvre pas droit \u00e0 r\u00e9paration par le Conc\u00e9dant.\n\nArticle 9 - GARANTIE\n\n9.1. Le Licenci\u00e9 reconna\u00eet que l\u2019\u00e9tat actuel des connaissances scientifiques et techniques au moment de la mise en circulation du Logiciel ne permet pas d\u2019en tester et d\u2019en v\u00e9rifier toutes les utilisations ni de d\u00e9tecter l\u2019existence d\u2019\u00e9ventuels d\u00e9fauts. L\u2019attention du Licenci\u00e9 a \u00e9t\u00e9 attir\u00e9e sur ce point sur les risques associ\u00e9s au chargement, \u00e0 l\u2019utilisation, la modification et/ou au d\u00e9veloppement et \u00e0 la reproduction du Logiciel qui sont r\u00e9serv\u00e9s \u00e0 des utilisateurs avertis.\nIl rel\u00e8ve de la responsabilit\u00e9 du Licenci\u00e9 de contr\u00f4ler, par tous moyens, l\u2019ad\u00e9quation du produit \u00e0 ses besoins, son bon fonctionnement et de s'assurer qu\u2019il ne causera pas de dommages aux personnes et aux biens.\n\n9.2. Le Conc\u00e9dant d\u00e9clare de bonne foi \u00eatre en droit de conc\u00e9der l'ensemble des droits attach\u00e9s au Logiciel (comprenant notamment les droits vis\u00e9s \u00e0 l'article 5).\n\n9.3. Le Licenci\u00e9 reconna\u00eet que le Logiciel est fourni \u00aben l'\u00e9tat\u00bb par le Conc\u00e9dant sans autre garantie, expresse ou tacite, que celle pr\u00e9vue \u00e0 l\u2019article 9.2 et notamment sans aucune garantie sur sa valeur commerciale, son caract\u00e8re s\u00e9curis\u00e9, innovant ou pertinent.\nEn particulier, le Conc\u00e9dant ne garantit pas que le Logiciel est exempt d'erreur, qu\u2019il fonctionnera sans interruption, qu\u2019il sera compatible avec l\u2019\u00e9quipement du Licenci\u00e9 et sa configuration logicielle ni qu\u2019il remplira les besoins du Licenci\u00e9.\n\n9.4. Le Conc\u00e9dant ne garantit pas, de mani\u00e8re expresse ou tacite, que le Logiciel ne porte pas atteinte \u00e0 un quelconque droit de propri\u00e9t\u00e9 intellectuelle d\u2019un tiers portant sur un brevet, un logiciel ou sur tout autre droit de propri\u00e9t\u00e9. Ainsi, le Conc\u00e9dant exclut toute garantie au profit du Licenci\u00e9 contre les actions en contrefa\u00e7on qui pourraient \u00eatre diligent\u00e9es au titre de l\u2019utilisation, de la modification, et de la redistribution du Logiciel. N\u00e9anmoins, si de telles actions sont exerc\u00e9es contre le Licenci\u00e9, le Conc\u00e9dant lui apportera son aide technique et juridique pour sa d\u00e9fense. Cette aide technique et juridique est d\u00e9termin\u00e9e au cas par cas entre le Conc\u00e9dant concern\u00e9 et le Licenci\u00e9 dans le cadre d\u2019un protocole d\u2019accord. Le Conc\u00e9dant d\u00e9gage toute responsabilit\u00e9 quant \u00e0 l\u2019utilisation de la d\u00e9nomination du Logiciel par le Licenci\u00e9. Aucune garantie n\u2019est apport\u00e9e quant \u00e0 l\u2019existence de droits ant\u00e9rieurs sur le nom du Logiciel et sur l\u2019existence d\u2019une marque.\n\nArticle 10 - RESILIATION\n\n10.1. En cas de manquement par le Licenci\u00e9 aux obligations mises \u00e0 sa charge par le Contrat, le Conc\u00e9dant pourra r\u00e9silier de plein droit le Contrat trente (30) jours apr\u00e8s notification adress\u00e9e au Licenci\u00e9 et rest\u00e9e sans effet.\n10.2. Le Licenci\u00e9 dont le Contrat est r\u00e9sili\u00e9 n\u2019est plus autoris\u00e9 \u00e0 utiliser, modifier ou distribuer le Logiciel. Cependant, toutes les licences qu\u2019il aura conc\u00e9d\u00e9es ant\u00e9rieurement \u00e0 la r\u00e9siliation du Contrat resteront valides sous r\u00e9serve qu\u2019elles aient \u00e9t\u00e9 effectu\u00e9es en conformit\u00e9 avec le Contrat.\n\nArticle 11 - DISPOSITIONS DIVERSES\n\n11.1. CAUSE EXTERIEURE\nAucune des Parties ne sera responsable d\u2019un retard ou d\u2019une d\u00e9faillance d\u2019ex\u00e9cution du Contrat qui serait d\u00fb \u00e0 un cas de force majeure, un cas fortuit ou une cause ext\u00e9rieure, telle que, notamment, le mauvais fonctionnement ou les interruptions du r\u00e9seau \u00e9lectrique ou de t\u00e9l\u00e9communication, la paralysie du r\u00e9seau li\u00e9e \u00e0 une attaque informatique, l\u2019intervention des autorit\u00e9s gouvernementales, les catastrophes naturelles, les d\u00e9g\u00e2ts des eaux, les tremblements de terre, le feu, les explosions, les gr\u00e8ves et les conflits sociaux, l\u2019\u00e9tat de guerre\u2026\n\n11.2. Le fait, par l\u2019une ou l\u2019autre des Parties, d\u2019omettre en une ou plusieurs occasions de se pr\u00e9valoir d\u2019une ou plusieurs dispositions du Contrat, ne pourra en aucun cas impliquer renonciation par la Partie int\u00e9ress\u00e9e \u00e0 s\u2019en pr\u00e9valoir ult\u00e9rieurement.\n\n11.3. Le Contrat annule et remplace toute convention ant\u00e9rieure, \u00e9crite ou orale, entre les Parties sur le m\u00eame objet et constitue l\u2019accord entier entre les Parties sur cet objet. Aucune addition ou modification aux termes du Contrat n\u2019aura d\u2019effet \u00e0 l\u2019\u00e9gard des Parties \u00e0 moins d\u2019\u00eatre faite par \u00e9crit et sign\u00e9e par leurs repr\u00e9sentants d\u00fbment habilit\u00e9s.\n\n11.4. Dans l\u2019hypoth\u00e8se o\u00f9 une ou plusieurs des dispositions du Contrat s\u2019av\u00e8rerait contraire \u00e0 une loi ou \u00e0 un texte applicable, existants ou futurs, cette loi ou ce texte pr\u00e9vaudrait, et les Parties feraient les amendements n\u00e9cessaires pour se conformer \u00e0 cette loi ou \u00e0 ce texte. Toutes les autres dispositions resteront en vigueur. De m\u00eame, la nullit\u00e9, pour quelque raison que ce soit, d\u2019une des dispositions du Contrat ne saurait entra\u00eener la nullit\u00e9 de l\u2019ensemble du Contrat.\n\n11.5. LANGUE\nLe Contrat est r\u00e9dig\u00e9 en langue fran\u00e7aise et en langue anglaise. En cas de divergence d\u2019interpr\u00e9tation, seule la version fran\u00e7aise fait foi.\n\nArticle 12 - NOUVELLES VERSIONS DU CONTRAT\n\n12.1. Toute personne est autoris\u00e9e \u00e0 copier et distribuer des copies de ce Contrat.\n\n12.2. Afin d\u2019en pr\u00e9server la coh\u00e9rence, le texte du Contrat est prot\u00e9g\u00e9 et ne peut \u00eatre modifi\u00e9 que par les auteurs de la licence, lesquels se r\u00e9servent le droit de publier p\u00e9riodiquement des mises \u00e0 jour ou de nouvelles versions du Contrat, qui poss\u00e8deront chacune un num\u00e9ro distinct. Ces versions ult\u00e9rieures seront susceptibles de prendre en compte de nouvelles probl\u00e9matiques rencontr\u00e9es par les logiciels libres.\n\n12.3. Tout Logiciel diffus\u00e9 sous une version donn\u00e9e du Contrat ne pourra faire l'objet d'une diffusion ult\u00e9rieure que sous la m\u00eame version du Contrat ou une version post\u00e9rieure, sous r\u00e9serve des dispositions de l'article 5.3.4.\n\nArticle 13 - LOI APPLICABLE ET COMPETENCE TERRITORIALE\n\n13.1. Le Contrat est r\u00e9gi par la loi fran\u00e7aise. Les Parties conviennent de tenter de r\u00e9gler \u00e0 l\u2019amiable les diff\u00e9rends ou litiges qui viendraient \u00e0 se produire par suite ou \u00e0 l\u2019occasion du Contrat.\n\n13.2. A d\u00e9faut d\u2019accord amiable dans un d\u00e9lai de deux (2) mois \u00e0 compter de leur survenance et sauf situation relevant d\u2019une proc\u00e9dure d\u2019urgence, les diff\u00e9rends ou litiges seront port\u00e9s par la Partie la plus diligente devant les Tribunaux comp\u00e9tents de Paris.\n\n1 Ce: CEA, C: CNRS, I: INRIA, LL: Logiciel Libre\n\nVersion 1 du 21/06/2004\n"
		self.standardLicenseTemplate = "<<beginOptional>>CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL\n\n<<endOptional>><<beginOptional>> Avertissement\n\nCe contrat est une licence de logiciel libre issue d'une concertation entre ses auteurs afin que le respect de deux grands principes pr\u00e9side \u00e0 sa r\u00e9daction:\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> d'une part, sa conformit\u00e9 au droit fran\u00e7ais, tant au regard du droit de la responsabilit\u00e9 civile que du droit de la propri\u00e9t\u00e9 intellectuelle et de la protection qu'il offre aux auteurs et titulaires des droits patrimoniaux sur un logiciel.\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> d'autre part, le respect des principes de diffusion des logiciels libres: acc\u00e8s au code source, droits \u00e9tendus conf\u00e9r\u00e9s aux utilisateurs.\n\nLes auteurs de la licence CeCILL1 sont:\n\nCommissariat \u00e0 l'Energie Atomique \u2013 CEA, \u00e9tablissement public de caract\u00e8re scientifique technique et industriel, dont le si\u00e8ge est situ\u00e9 31-33 rue de la F\u00e9d\u00e9ration, 75752 PARIS cedex 15.\n\nCentre National de la Recherche Scientifique \u2013 CNRS, \u00e9tablissement public \u00e0 caract\u00e8re scientifique et technologique, dont le si\u00e8ge est situ\u00e9 3 rue Michel-Ange 75794 Paris cedex 16.\n\nInstitut National de Recherche en Informatique et en Automatique \u2013 INRIA, \u00e9tablissement public \u00e0 caract\u00e8re scientifique et technologique, dont le si\u00e8ge est situ\u00e9 Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay cedex.\n\n<<endOptional>>\n\nPREAMBULE\n\nCe contrat est une licence de logiciel libre dont l'objectif est de conf\u00e9rer aux utilisateurs la libert\u00e9 de modification et de redistribution du logiciel r\u00e9gi par cette licence dans le cadre d'un mod\u00e8le de diffusion \u00abopen source\u00bb.\n\nL'exercice de ces libert\u00e9s est assorti de certains devoirs \u00e0 la charge des utilisateurs afin de pr\u00e9server ce statut au cours des redistributions ult\u00e9rieures.\n\nL'accessibilit\u00e9 au code source et les droits de copie, de modification et de redistribution qui en d\u00e9coulent ont pour contrepartie de n'offrir aux utilisateurs qu'une garantie limit\u00e9e et de ne faire peser sur l'auteur du logiciel, le titulaire des droits patrimoniaux et les conc\u00e9dants successifs qu'une responsabilit\u00e9 restreinte.\n\nA cet \u00e9gard l'attention de l'utilisateur est attir\u00e9e sur les risques associ\u00e9s au chargement, \u00e0 l'utilisation, \u00e0 la modification et/ou au d\u00e9veloppement et \u00e0 la reproduction du logiciel par l'utilisateur \u00e9tant donn\u00e9 sa sp\u00e9cificit\u00e9 de logiciel libre, qui peut le rendre complexe \u00e0 manipuler et qui le r\u00e9serve donc \u00e0 des d\u00e9veloppeurs et des professionnels avertis poss\u00e9dant des connaissances informatiques approfondies. Les utilisateurs sont donc invit\u00e9s \u00e0 charger et tester l'ad\u00e9quation du Logiciel \u00e0 leurs besoins dans des conditions permettant d'assurer la s\u00e9curit\u00e9 de leurs syst\u00e8mes et ou de leurs donn\u00e9es et, plus g\u00e9n\u00e9ralement, \u00e0 l'utiliser et l'exploiter dans les m\u00eame conditions de s\u00e9curit\u00e9. Ce contrat peut \u00eatre reproduit et diffus\u00e9 librement, sous r\u00e9serve de le conserver en l'\u00e9tat, sans ajout ni suppression de clauses.\n\nCe contrat est susceptible de s'appliquer \u00e0 tout logiciel dont le titulaire des droits patrimoniaux d\u00e9cide de soumettre l'exploitation aux dispositions qu'il contient.\n\nArticle 1er - DEFINITIONS\n\nDans ce contrat, les termes suivants, lorsqu'ils seront \u00e9crits avec une lettre capitale, auront la signification suivante:\n\nContrat: d\u00e9signe le pr\u00e9sent contrat de licence, ses \u00e9ventuelles versions post\u00e9rieures et annexes.\n\nLogiciel: d\u00e9signe le logiciel sous sa forme de Code Objet et/ou de Code Source et le cas \u00e9ch\u00e9ant sa documentation, dans leur \u00e9tat au moment de l'acceptation du\n\nContrat par le Licenci\u00e9.\n\nLogiciel Initial: d\u00e9signe le Logiciel sous sa forme de Code Source et de Code Objet et le cas \u00e9ch\u00e9ant sa documentation, dans leur \u00e9tat au moment de leur premi\u00e8re diffusion sous les termes du Contrat.\n\nLogiciel Modifi\u00e9: d\u00e9signe le Logiciel modifi\u00e9 par au moins une Contribution.\n\nCode Source: d\u00e9signe l'ensemble des instructions et des lignes de programme du Logiciel et auquel l'acc\u00e8s est n\u00e9cessaire en vue de modifier le Logiciel.\n\nCode Objet: d\u00e9signe les fichiers binaires issus de la compilation du Code Source.\n\nTitulaire : d\u00e9signe le d\u00e9tenteur des droits patrimoniaux d'auteur sur le Logiciel Initial.\n\nLicenci\u00e9(s): d\u00e9signe le ou les utilisateur(s) du Logiciel ayant accept\u00e9 le Contrat.\n\nContributeur: d\u00e9signe le Licenci\u00e9 auteur d'au moins une Contribution.\n\nConc\u00e9dant: d\u00e9signe le Titulaire ou toute personne physique ou morale distribuant le Logiciel sous le Contrat.\n\nContributions: d\u00e9signe l'ensemble des modifications, corrections, traductions, adaptations et/ou nouvelles fonctionnalit\u00e9s int\u00e9gr\u00e9es dans le Logiciel par tout\n\nContributeur, ainsi que les Modules Statiques.\n\nModule: d\u00e9signe un ensemble de fichiers sources y compris leur documentation qui, une fois compil\u00e9 sous forme ex\u00e9cutable, permet de r\u00e9aliser des fonctionnalit\u00e9s ou\n\nservices suppl\u00e9mentaires \u00e0 ceux fournis par le Logiciel.\n\nModule Dynamique: d\u00e9signe tout Module, cr\u00e9\u00e9 par le Contributeur, ind\u00e9pendant du Logiciel, tel que ce Module et le Logiciel sont sous forme de deux ex\u00e9cutables ind\u00e9pendants qui s'ex\u00e9cutent dans un espace d'adressage ind\u00e9pendant, l'un appelant l'autre au moment de leur ex\u00e9cution.\n\nModule Statique: d\u00e9signe tout Module cr\u00e9\u00e9 par le Contributeur et li\u00e9 au Logiciel par un lien statique rendant leur code objet d\u00e9pendant l'un de l'autre. Ce Module et le Logiciel auquel il est li\u00e9, sont regroup\u00e9s en un seul ex\u00e9cutable.\n\nParties: d\u00e9signe collectivement le Licenci\u00e9 et le Conc\u00e9dant.\n\nCes termes s'entendent au singulier comme au pluriel.\n\nArticle 2 - OBJET\n\nLe Contrat a pour objet la concession par le Conc\u00e9dant au Licenci\u00e9 d'une Licence non exclusive, transf\u00e9rable et mondiale du Logiciel telle que d\u00e9finie ci-apr\u00e8s \u00e0 l'article 5 pour toute la dur\u00e9e de protection des droits portant sur ce Logiciel.\n\nArticle 3 - ACCEPTATION\n\n   <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> L'acceptation par le Licenci\u00e9 des termes du Contrat est r\u00e9put\u00e9e acquise du fait du premier des faits suivants:\n\n	  <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> (i) le chargement du Logiciel par tout moyen notamment par t\u00e9l\u00e9chargement \u00e0 partir d'un serveur distant ou par chargement \u00e0 partir d'un support physique;\n\n	  <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> (ii) le premier exercice par le Licenci\u00e9 de l'un quelconque des droits conc\u00e9d\u00e9s par le Contrat.\n\n   <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Un exemplaire du Contrat, contenant notamment un avertissement relatif aux sp\u00e9cificit\u00e9s du Logiciel, \u00e0 la restriction de garantie et \u00e0 la limitation \u00e0 un usage par des utilisateurs exp\u00e9riment\u00e9s a \u00e9t\u00e9 mis \u00e0 disposition du Licenci\u00e9 pr\u00e9alablement \u00e0 son acceptation telle que d\u00e9finie \u00e0 l'article 3.1 ci dessus et le Licenci\u00e9 reconna\u00eet en avoir pris connaissances.\n\nArticle 4 - ENTREE EN VIGUEUR ET DUREE\n\n   <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> ENTREE EN VIGUEUR\n\n   Le Contrat entre en vigueur \u00e0 la date de son acceptation par le Licenci\u00e9 telle que d\u00e9finie en 3.1.\n\n   <<var;name=\"bullet\";original=\"4.2.\";match=\".{0,20}\">> DUREE\n\n   Le Contrat produira ses effets pendant toute la dur\u00e9e l\u00e9gale de protection des droits patrimoniaux portant sur le Logiciel.\n\nArticle 5 - ETENDUE DES DROITS CONCEDES\n\nLe Conc\u00e9dant conc\u00e8de au Licenci\u00e9, qui accepte, les droits suivants sur le Logiciel pour toutes destinations et pour la dur\u00e9e du Contrat dans les conditions ci-apr\u00e8s d\u00e9taill\u00e9es.\n\nPar ailleurs, le Conc\u00e9dant conc\u00e8de au Licenci\u00e9 \u00e0 titre gracieux les droits d'exploitation du ou des brevets qu'il d\u00e9tient sur tout ou partie des inventions\n\nimpl\u00e9ment\u00e9es dans le Logiciel.\n\n   <<var;name=\"bullet\";original=\"5.1.\";match=\".{0,20}\">> DROITS D'UTILISATION\n\n   Le Licenci\u00e9 est autoris\u00e9 \u00e0 utiliser le Logiciel, sans restriction quant aux domaines d'application, \u00e9tant ci-apr\u00e8s pr\u00e9cis\u00e9 que cela comporte:\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> la reproduction permanente ou provisoire du Logiciel en tout ou partie par tout moyen et sous toute forme.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> le chargement, l'affichage, l'ex\u00e9cution, ou le stockage du Logiciel sur tout support.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> la possibilit\u00e9 d'en observer, d'en \u00e9tudier, ou d'en tester le fonctionnement afin de d\u00e9terminer les id\u00e9es et principes qui sont \u00e0 la base de n'importe quel \u00e9l\u00e9ment de ce Logiciel; et ceci, lorsque le Licenci\u00e9 effectue toute op\u00e9ration de chargement, d'affichage, d'ex\u00e9cution, de transmission ou de stockage du Logiciel qu'il est en droit d'effectuer en vertu du Contrat.\n\n   <<var;name=\"bullet\";original=\"5.2.\";match=\".{0,20}\">> DROIT D'APPORTER DES CONTRIBUTIONS\n\n   Le droit d'apporter des Contributions comporte le droit de traduire, d'adapter, d'arranger ou d'apporter toute autre modification du Logiciel et le droit de reproduire le Logiciel en r\u00e9sultant.\n\n   Le Licenci\u00e9 est autoris\u00e9 \u00e0 apporter toute Contribution au Logiciel sous r\u00e9serve de mentionner, de fa\u00e7on explicite, son nom en tant qu'auteur de cette Contribution et la date de cr\u00e9ation de celle-ci.\n\n   <<var;name=\"bullet\";original=\"5.3.\";match=\".{0,20}\">> DROITS DE DISTRIBUTION ET DE DIFFUSION\n\n   Le droit de distribution et de diffusion comporte notamment le droit de transmettre et de communiquer le Logiciel au public sur tout support et par tout moyen ainsi que le droit de mettre sur le march\u00e9 \u00e0 titre on\u00e9reux ou gratuit, un ou des exemplaires du Logiciel par tout proc\u00e9d\u00e9.\n\n   Le Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer des copies du Logiciel, modifi\u00e9 ou non, \u00e0 des tiers dans les conditions ci-apr\u00e8s d\u00e9taill\u00e9es.\n\n	  <<var;name=\"bullet\";original=\"5.3.1.\";match=\".{0,20}\">> REDISTRIBUTION DU LOGICIEL SANS MODIFICATION\n\n	  Le Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer des copies conformes du Logiciel, sous forme de Code Source ou de Code Objet, \u00e0 condition que cette redistribution respecte les dispositions du Contrat dans leur totalit\u00e9 et soit accompagn\u00e9e:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> d'un exemplaire du Contrat,\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> d'un avertissement relatif \u00e0 la restriction de garantie et de responsabilit\u00e9 du Conc\u00e9dant telle que pr\u00e9vue aux articles 8 et 9,\n\n		 et que, dans le cas o\u00f9 seul le Code Objet du Logiciel est redistribu\u00e9, le Licenci\u00e9 permette aux futurs Licenci\u00e9s d'acc\u00e9der facilement au Code Source complet du Logiciel en indiquant les modalit\u00e9s d'acc\u00e8s, \u00e9tant entendu que le co\u00fbt additionnel d'acquisition du Code Source ne devra pas exc\u00e9der le simple co\u00fbt de transfert des donn\u00e9es.\n\n	  <<var;name=\"bullet\";original=\"5.3.2.\";match=\".{0,20}\">> REDISTRIBUTION DU LOGICIEL MODIFIE\n\n	  Lorsque le Licenci\u00e9 apporte une Contribution au Logiciel, les conditions de redistribution du Logiciel Modifi\u00e9 sont alors soumises \u00e0 l'int\u00e9gralit\u00e9 des dispositions du Contrat.\n\n	  Le Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer le Logiciel Modifi\u00e9, sous forme de Code Source ou de Code Objet, \u00e0 condition que cette redistribution respecte les dispositions du Contrat dans leur totalit\u00e9 et soit accompagn\u00e9e:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> d'un exemplaire du Contrat,\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> d'un avertissement relatif \u00e0 la restriction de garantie et de responsabilit\u00e9 du conc\u00e9dant telle que pr\u00e9vue aux articles 8 et 9,\n\n		 et que, dans le cas o\u00f9 seul le Code Objet du Logiciel Modifi\u00e9 est redistribu\u00e9, le Licenci\u00e9 permette aux futurs Licenci\u00e9s d'acc\u00e9der facilement au Code Source complet du Logiciel Modifi\u00e9 en indiquant les modalit\u00e9s d'acc\u00e8s, \u00e9tant entendu que le co\u00fbt additionnel d'acquisition du Code Source ne devra pas exc\u00e9der le simple co\u00fbt de transfert des donn\u00e9es.\n\n	  <<var;name=\"bullet\";original=\"5.3.3.\";match=\".{0,20}\">> REDISTRIBUTION DES MODULES DYNAMIQUES\n\n	  Lorsque le Licenci\u00e9 a d\u00e9velopp\u00e9 un Module Dynamique les conditions du Contrat ne s'appliquent pas \u00e0 ce Module Dynamique, qui peut \u00eatre distribu\u00e9 sous un contrat de licence diff\u00e9rent.\n\n	  <<var;name=\"bullet\";original=\"5.3.4.\";match=\".{0,20}\">> COMPATIBILITE AVEC LA LICENCE GPL\n\n	  Dans le cas o\u00f9 le Logiciel, Modifi\u00e9 ou non, est int\u00e9gr\u00e9 \u00e0 un code soumis aux dispositions de la licence GPL, le Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer l'ensemble sous la licence GPL.\n\n	  Dans le cas o\u00f9 le Logiciel Modifi\u00e9 int\u00e8gre un code soumis aux dispositions de la licence GPL, le Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer le Logiciel Modifi\u00e9 sous la licence GPL.\n\nArticle 6 - PROPRIETE INTELLECTUELLE\n\n   <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> SUR LE LOGICIEL INITIAL\n\n   Le Titulaire est d\u00e9tenteur des droits patrimoniaux sur le Logiciel Initial. Toute utilisation du Logiciel Initial est soumise au respect des conditions dans lesquelles le Titulaire a choisi de diffuser son \u0153uvre et nul autre n'a la facult\u00e9 de modifier les conditions de diffusion de ce Logiciel Initial.\n\n   Le Titulaire s'engage \u00e0 maintenir la diffusion du Logiciel initial sous les conditions du Contrat et ce, pour la dur\u00e9e vis\u00e9e \u00e0 l'article 4.2.\n\n   <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> SUR LES CONTRIBUTIONS\n\n   Les droits de propri\u00e9t\u00e9 intellectuelle sur les Contributions sont attach\u00e9s au titulaire de droits patrimoniaux d\u00e9sign\u00e9 par la l\u00e9gislation applicable.\n\n   <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> SUR LES MODULES DYNAMIQUES\n\n   Le Licenci\u00e9 ayant d\u00e9velopp\u00e9 un Module Dynamique est titulaire des droits de propri\u00e9t\u00e9 intellectuelle sur ce Module Dynamique et reste libre du choix du contrat r\u00e9gissant sa diffusion.\n\n   <<var;name=\"bullet\";original=\"6.4.\";match=\".{0,20}\">> DISPOSITIONS COMMUNES\n\n	  <<var;name=\"bullet\";original=\"6.4.1.\";match=\".{0,20}\">> Le Licenci\u00e9 s'engage express\u00e9ment:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> \u00e0 ne pas supprimer ou modifier de quelque mani\u00e8re que ce soit les mentions de propri\u00e9t\u00e9 intellectuelle appos\u00e9es sur le Logiciel;\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> \u00e0 reproduire \u00e0 l'identique lesdites mentions de propri\u00e9t\u00e9 intellectuelle sur les copies du Logiciel.\n\n	  <<var;name=\"bullet\";original=\"6.4.2.\";match=\".{0,20}\">> Le Licenci\u00e9 s'engage \u00e0 ne pas porter atteinte, directement ou indirectement, aux droits de propri\u00e9t\u00e9 intellectuelle du Titulaire et/ou des Contributeurs et \u00e0 prendre, le cas \u00e9ch\u00e9ant, \u00e0 l'\u00e9gard de son personnel toutes les mesures n\u00e9cessaires pour assurer le respect des dits droits de propri\u00e9t\u00e9 intellectuelle du Titulaire et/ou des Contributeurs.\n\nArticle 7 - SERVICES ASSOCIES\n\n   <<var;name=\"bullet\";original=\"7.1.\";match=\".{0,20}\">> Le Contrat n'oblige en aucun cas le Conc\u00e9dant \u00e0 la r\u00e9alisation de prestations d'assistance technique ou de maintenance du Logiciel.\n\n   Cependant le Conc\u00e9dant reste libre de proposer ce type de services. Les termes et conditions d'une telle assistance technique et/ou d'une telle maintenance seront alors d\u00e9termin\u00e9s dans un acte s\u00e9par\u00e9. Ces actes de maintenance et/ou assistance technique n'engageront que la seule responsabilit\u00e9 du Conc\u00e9dant qui les propose.\n\n   <<var;name=\"bullet\";original=\"7.2.\";match=\".{0,20}\">> De m\u00eame, tout Conc\u00e9dant est libre de proposer, sous sa seule responsabilit\u00e9, \u00e0 ses licenci\u00e9s une garantie, qui n'engagera que lui, lors de la redistribution du Logiciel et/ou du Logiciel Modifi\u00e9 et ce, dans les conditions qu'il souhaite. Cette garantie et les modalit\u00e9s financi\u00e8res de son application feront l'objet d'un acte s\u00e9par\u00e9 entre le Conc\u00e9dant et le Licenci\u00e9.\n\nArticle 8 - RESPONSABILITE\n\n   <<var;name=\"bullet\";original=\"8.1.\";match=\".{0,20}\">> Sous r\u00e9serve des dispositions de l'article 8.2, si le Conc\u00e9dant n'ex\u00e9cute pas tout ou partie des obligations mises \u00e0 sa charge par le Contrat, le Licenci\u00e9 a la facult\u00e9, sous r\u00e9serve de prouver la faute du Conc\u00e9dant concern\u00e9, de solliciter la r\u00e9paration du pr\u00e9judice direct qu'il subit et dont il apportera la preuve.\n\n   <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">> La responsabilit\u00e9 du Conc\u00e9dant est limit\u00e9e aux engagements pris en application du Contrat et ne saurait \u00eatre engag\u00e9e en raison notamment:(i) des dommages dus \u00e0 l'inex\u00e9cution, totale ou partielle, de ses obligations par le Licenci\u00e9, (ii) des dommages directs ou indirects d\u00e9coulant de l'utilisation ou des performances du Logiciel subis par le Licenci\u00e9 lorsqu'il s'agit d'un professionnel utilisant le Logiciel \u00e0 des fins professionnelles et (iii) des dommages indirects d\u00e9coulant de l'utilisation ou des performances du Logiciel. Les Parties conviennent express\u00e9ment que tout pr\u00e9judice financier ou commercial (par exemple perte de donn\u00e9es, perte de b\u00e9n\u00e9fices, perte d'exploitation, perte de client\u00e8le ou de commandes, manque \u00e0 gagner, trouble commercial quelconque) ou toute action dirig\u00e9e contre le Licenci\u00e9 par un tiers, constitue un dommage indirect et n'ouvre pas droit \u00e0 r\u00e9paration par le Conc\u00e9dant.\n\nArticle 9 - GARANTIE\n\n   <<var;name=\"bullet\";original=\"9.1.\";match=\".{0,20}\">> Le Licenci\u00e9 reconna\u00eet que l'\u00e9tat actuel des connaissances scientifiques et techniques au moment de la mise en circulation du Logiciel ne permet pas d'en tester et d'en v\u00e9rifier toutes les utilisations ni de d\u00e9tecter l'existence d'\u00e9ventuels d\u00e9fauts. L'attention du Licenci\u00e9 a \u00e9t\u00e9 attir\u00e9e sur ce point sur les risques associ\u00e9s au chargement, \u00e0 l'utilisation, la modification et/ou au d\u00e9veloppement et \u00e0 la reproduction du Logiciel qui sont r\u00e9serv\u00e9s \u00e0 des utilisateurs avertis.\n\n   Il rel\u00e8ve de la responsabilit\u00e9 du Licenci\u00e9 de contr\u00f4ler, par tous moyens, l'ad\u00e9quation du produit \u00e0 ses besoins, son bon fonctionnement et de s'assurer qu'il ne causera pas de dommages aux personnes et aux biens.\n\n   <<var;name=\"bullet\";original=\"9.2.\";match=\".{0,20}\">> Le Conc\u00e9dant d\u00e9clare de bonne foi \u00eatre en droit de conc\u00e9der l'ensemble des droits attach\u00e9s au Logiciel (comprenant notamment les droits vis\u00e9s \u00e0 l'article 5).\n\n   <<var;name=\"bullet\";original=\"9.3.\";match=\".{0,20}\">> Le Licenci\u00e9 reconna\u00eet que le Logiciel est fourni \u00aben l'\u00e9tat\u00bb par le Conc\u00e9dant sans autre garantie, expresse ou tacite, que celle pr\u00e9vue \u00e0 l'article 9.2 et notamment sans aucune garantie sur sa valeur commerciale, son caract\u00e8re s\u00e9curis\u00e9, innovant ou pertinent.\n\n   En particulier, le Conc\u00e9dant ne garantit pas que le Logiciel est exempt d'erreur, qu'il fonctionnera sans interruption, qu'il sera compatible avec l'\u00e9quipement du Licenci\u00e9 et sa configuration logicielle ni qu'il remplira les besoins du Licenci\u00e9.\n\n   <<var;name=\"bullet\";original=\"9.4.\";match=\".{0,20}\">> Le Conc\u00e9dant ne garantit pas, de mani\u00e8re expresse ou tacite, que le Logiciel ne porte pas atteinte \u00e0 un quelconque droit de propri\u00e9t\u00e9 intellectuelle d'un tiers portant sur un brevet, un logiciel ou sur tout autre droit de propri\u00e9t\u00e9. Ainsi, le Conc\u00e9dant exclut toute garantie au profit du Licenci\u00e9 contre les actions en contrefa\u00e7on qui pourraient \u00eatre diligent\u00e9es au titre de l'utilisation, de la modification, et de la redistribution du Logiciel. N\u00e9anmoins, si de telles actions sont exerc\u00e9es contre le Licenci\u00e9, le Conc\u00e9dant lui apportera son aide technique et juridique pour sa d\u00e9fense. Cette aide technique et juridique est d\u00e9termin\u00e9e au cas par cas entre le Conc\u00e9dant concern\u00e9 et le Licenci\u00e9 dans le cadre d'un protocole d'accord. Le Conc\u00e9dant d\u00e9gage toute responsabilit\u00e9 quant \u00e0 l'utilisation de la d\u00e9nomination du Logiciel par le Licenci\u00e9. Aucune garantie n'est apport\u00e9e quant \u00e0 l'existence de droits ant\u00e9rieurs sur le nom du Logiciel et sur l'existence d'une marque.\n\nArticle 10 - RESILIATION\n\n   <<var;name=\"bullet\";original=\"10.1.\";match=\".{0,20}\">> En cas de manquement par le Licenci\u00e9 aux obligations mises \u00e0 sa charge par le Contrat, le Conc\u00e9dant pourra r\u00e9silier de plein droit le Contrat trente (30) jours apr\u00e8s notification adress\u00e9e au Licenci\u00e9 et rest\u00e9e sans effet.\n\n   <<var;name=\"bullet\";original=\"10.2.\";match=\".{0,20}\">> Le Licenci\u00e9 dont le Contrat est r\u00e9sili\u00e9 n'est plus autoris\u00e9 \u00e0 utiliser, modifier ou distribuer le Logiciel. Cependant, toutes les licences qu'il aura conc\u00e9d\u00e9es ant\u00e9rieurement \u00e0 la r\u00e9siliation du Contrat resteront valides sous r\u00e9serve qu'elles aient \u00e9t\u00e9 effectu\u00e9es en conformit\u00e9 avec le Contrat.\n\nArticle 11 - DISPOSITIONS DIVERSES\n\n   <<var;name=\"bullet\";original=\"11.1.\";match=\".{0,20}\">> CAUSE EXTERIEURE\n\n   Aucune des Parties ne sera responsable d'un retard ou d'une d\u00e9faillance d'ex\u00e9cution du Contrat qui serait d\u00fb \u00e0 un cas de force majeure, un cas fortuit ou une cause ext\u00e9rieure, telle que, notamment, le mauvais fonctionnement ou les interruptions du r\u00e9seau \u00e9lectrique ou de t\u00e9l\u00e9communication, la paralysie du r\u00e9seau li\u00e9e \u00e0 une attaque informatique, l'intervention des autorit\u00e9s gouvernementales, les catastrophes naturelles, les d\u00e9g\u00e2ts des eaux, les tremblements de terre, le feu, les explosions, les gr\u00e8ves et les conflits sociaux, l'\u00e9tat de guerre\u2026\n\n   <<var;name=\"bullet\";original=\"11.2.\";match=\".{0,20}\">> Le fait, par l'une ou l'autre des Parties, d'omettre en une ou plusieurs occasions de se pr\u00e9valoir d'une ou plusieurs dispositions du Contrat, ne pourra en aucun cas impliquer renonciation par la Partie int\u00e9ress\u00e9e \u00e0 s'en pr\u00e9valoir ult\u00e9rieurement.\n\n   <<var;name=\"bullet\";original=\"11.3.\";match=\".{0,20}\">> Le Contrat annule et remplace toute convention ant\u00e9rieure, \u00e9crite ou orale, entre les Parties sur le m\u00eame objet et constitue l'accord entier entre les Parties sur cet objet. Aucune addition ou modification aux termes du Contrat n'aura d'effet \u00e0 l'\u00e9gard des Parties \u00e0 moins d'\u00eatre faite par \u00e9crit et sign\u00e9e par leurs repr\u00e9sentants d\u00fbment habilit\u00e9s.\n\n   <<var;name=\"bullet\";original=\"11.4.\";match=\".{0,20}\">> Dans l'hypoth\u00e8se o\u00f9 une ou plusieurs des dispositions du Contrat s'av\u00e8rerait contraire \u00e0 une loi ou \u00e0 un texte applicable, existants ou futurs, cette loi ou ce texte pr\u00e9vaudrait, et les Parties feraient les amendements n\u00e9cessaires pour se conformer \u00e0 cette loi ou \u00e0 ce texte. Toutes les autres dispositions resteront en vigueur. De m\u00eame, la nullit\u00e9, pour quelque raison que ce soit, d'une des dispositions du Contrat ne saurait entra\u00eener la nullit\u00e9 de l'ensemble du Contrat.\n\n   <<var;name=\"bullet\";original=\"11.5.\";match=\".{0,20}\">> LANGUE\n\n   Le Contrat est r\u00e9dig\u00e9 en langue fran\u00e7aise et en langue anglaise. En cas de divergence d'interpr\u00e9tation, seule la version fran\u00e7aise fait foi.\n\nArticle 12 - NOUVELLES VERSIONS DU CONTRAT\n\n   <<var;name=\"bullet\";original=\"12.1.\";match=\".{0,20}\">> Toute personne est autoris\u00e9e \u00e0 copier et distribuer des copies de ce Contrat.\n\n   <<var;name=\"bullet\";original=\"12.2.\";match=\".{0,20}\">> Afin d'en pr\u00e9server la coh\u00e9rence, le texte du Contrat est prot\u00e9g\u00e9 et ne peut \u00eatre modifi\u00e9 que par les auteurs de la licence, lesquels se r\u00e9servent le droit de publier p\u00e9riodiquement des mises \u00e0 jour ou de nouvelles versions du Contrat, qui poss\u00e8deront chacune un num\u00e9ro distinct. Ces versions ult\u00e9rieures seront susceptibles de prendre en compte de nouvelles probl\u00e9matiques rencontr\u00e9es par les logiciels libres.\n\n   <<var;name=\"bullet\";original=\"12.3.\";match=\".{0,20}\">> Tout Logiciel diffus\u00e9 sous une version donn\u00e9e du Contrat ne pourra faire l'objet d'une diffusion ult\u00e9rieure que sous la m\u00eame version du Contrat ou une version post\u00e9rieure, sous r\u00e9serve des dispositions de l'article 5.3.4.\n\nArticle 13 - LOI APPLICABLE ET COMPETENCE TERRITORIALE\n\n   <<var;name=\"bullet\";original=\"13.1.\";match=\".{0,20}\">> Le Contrat est r\u00e9gi par la loi fran\u00e7aise. Les Parties conviennent de tenter de r\u00e9gler \u00e0 l'amiable les diff\u00e9rends ou litiges qui viendraient \u00e0 se produire par suite ou \u00e0 l'occasion du Contrat.\n\n   <<var;name=\"bullet\";original=\"13.2.\";match=\".{0,20}\">> A d\u00e9faut d'accord amiable dans un d\u00e9lai de deux (2) mois \u00e0 compter de leur survenance et sauf situation relevant d'une proc\u00e9dure d'urgence, les diff\u00e9rends ou litiges seront port\u00e9s par la Partie la plus diligente devant les Tribunaux comp\u00e9tents de Paris.\n\n1 Ce: CEA, C: CNRS, I: INRIA, LL: Logiciel Libre\n\n<<beginOptional>>Version 1 du 21/06/2004\n\n<<endOptional>>"
		self.name = "CeCILL Free Software License Agreement v1.0"
		self.licenseComments = "English translation can be found here: http://www.cecill.info/licences/Licence_CeCILL_V1-US.html"
		self.licenseId = "CECILL-1.0"
		self.crossRef = [{"match": "False", "url": "http://www.cecill.info/licences/Licence_CeCILL_V1-fr.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.cecill.info/licences/Licence_CeCILL_V1-fr.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Avertissement\n		<br />\n\nCe contrat est une licence de logiciel libre issue d&apos;une concertation entre ses auteurs afin que le\n			 respect de deux grands principes pr\u00e9side \u00e0 sa r\u00e9daction:\n	  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> \u2022</var>\n		  d&apos;une part, sa conformit\u00e9 au droit fran\u00e7ais, tant au regard du droit de la responsabilit\u00e9 civile\n			 que du droit de la propri\u00e9t\u00e9 intellectuelle et de la protection qu&apos;il offre aux auteurs et\n			 titulaires des droits patrimoniaux sur un logiciel.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> \u2022</var>\n		  d&apos;autre part, le respect des principes de diffusion des logiciels libres: acc\u00e8s au code source,\n			 droits \u00e9tendus conf\u00e9r\u00e9s aux utilisateurs.\n		</li>\n		 \n</ul>\n		 <p>Les auteurs de la licence CeCILL1 sont:</p>\n\n		 <p>Commissariat \u00e0 l&apos;Energie Atomique \u2013 CEA, \u00e9tablissement public de caract\u00e8re scientifique technique et\n		 industriel, dont le si\u00e8ge est situ\u00e9 31-33 rue de la F\u00e9d\u00e9ration, 75752 PARIS cedex 15.</p>\n\n		 <p>Centre National de la Recherche Scientifique \u2013 CNRS, \u00e9tablissement public \u00e0 caract\u00e8re scientifique et\n		 technologique, dont le si\u00e8ge est situ\u00e9 3 rue Michel-Ange 75794 Paris cedex 16.</p>\n\n		 <p>Institut National de Recherche en Informatique et en Automatique \u2013 INRIA, \u00e9tablissement public \u00e0\n		 caract\u00e8re scientifique et technologique, dont le si\u00e8ge est situ\u00e9 Domaine de Voluceau, Rocquencourt, BP\n		 105, 78153 Le Chesnay cedex.</p>\n\n	  </div>\n	  <p>PREAMBULE</p>\n\n	  <p>Ce contrat est une licence de logiciel libre dont l&apos;objectif est de conf\u00e9rer aux utilisateurs la libert\u00e9\n		 de modification et de redistribution du logiciel r\u00e9gi par cette licence dans le cadre d&apos;un mod\u00e8le de\n		 diffusion \u00abopen source\u00bb.</p>\n\n	  <p>L&apos;exercice de ces libert\u00e9s est assorti de certains devoirs \u00e0 la charge des utilisateurs afin de pr\u00e9server\n		 ce statut au cours des redistributions ult\u00e9rieures.</p>\n\n	  <p>L&apos;accessibilit\u00e9 au code source et les droits de copie, de modification et de redistribution qui en\n		 d\u00e9coulent ont pour contrepartie de n&apos;offrir aux utilisateurs qu&apos;une garantie limit\u00e9e et de ne faire\n		 peser sur l&apos;auteur du logiciel, le titulaire des droits patrimoniaux et les conc\u00e9dants successifs\n		 qu&apos;une responsabilit\u00e9 restreinte.</p>\n\n	  <p>A cet \u00e9gard l&apos;attention de l&apos;utilisateur est attir\u00e9e sur les risques associ\u00e9s au chargement, \u00e0\n		 l&apos;utilisation, \u00e0 la modification et/ou au d\u00e9veloppement et \u00e0 la reproduction du logiciel par\n		 l&apos;utilisateur \u00e9tant donn\u00e9 sa sp\u00e9cificit\u00e9 de logiciel libre, qui peut le rendre complexe \u00e0 manipuler et\n		 qui le r\u00e9serve donc \u00e0 des d\u00e9veloppeurs et des professionnels avertis poss\u00e9dant des connaissances\n		 informatiques approfondies. Les utilisateurs sont donc invit\u00e9s \u00e0 charger et tester l&apos;ad\u00e9quation du\n		 Logiciel \u00e0 leurs besoins dans des conditions permettant d&apos;assurer la s\u00e9curit\u00e9 de leurs syst\u00e8mes et ou\n		 de leurs donn\u00e9es et, plus g\u00e9n\u00e9ralement, \u00e0 l&apos;utiliser et l&apos;exploiter dans les m\u00eame conditions de\n		 s\u00e9curit\u00e9. Ce contrat peut \u00eatre reproduit et diffus\u00e9 librement, sous r\u00e9serve de le conserver en l&apos;\u00e9tat,\n		 sans ajout ni suppression de clauses.</p>\n\n	  <p>Ce contrat est susceptible de s&apos;appliquer \u00e0 tout logiciel dont le titulaire des droits patrimoniaux\n		 d\u00e9cide de soumettre l&apos;exploitation aux dispositions qu&apos;il contient.</p>\n\n	  <p>Article 1er - DEFINITIONS</p>\n\n	  <p>Dans ce contrat, les termes suivants, lorsqu&apos;ils seront \u00e9crits avec une lettre capitale, auront la\n		 signification suivante:</p>\n\n	  <p>Contrat: d\u00e9signe le pr\u00e9sent contrat de licence, ses \u00e9ventuelles versions post\u00e9rieures et annexes.</p>\n\n	  <p>Logiciel: d\u00e9signe le logiciel sous sa forme de Code Objet et/ou de Code Source et le cas \u00e9ch\u00e9ant sa\n		 documentation, dans leur \u00e9tat au moment de l&apos;acceptation du\n		<br />\n\nContrat par le Licenci\u00e9.\n	  </p>\n\n	  <p>Logiciel Initial: d\u00e9signe le Logiciel sous sa forme de Code Source et de Code Objet et le cas \u00e9ch\u00e9ant sa\n		 documentation, dans leur \u00e9tat au moment de leur premi\u00e8re diffusion sous les termes du Contrat.</p>\n\n	  <p>Logiciel Modifi\u00e9: d\u00e9signe le Logiciel modifi\u00e9 par au moins une Contribution.</p>\n\n	  <p>Code Source: d\u00e9signe l&apos;ensemble des instructions et des lignes de programme du Logiciel et auquel l&apos;acc\u00e8s\n		 est n\u00e9cessaire en vue de modifier le Logiciel.</p>\n\n	  <p>Code Objet: d\u00e9signe les fichiers binaires issus de la compilation du Code Source.</p>\n\n	  <p>Titulaire : d\u00e9signe le d\u00e9tenteur des droits patrimoniaux d&apos;auteur sur le Logiciel Initial.</p>\n\n	  <p>Licenci\u00e9(s): d\u00e9signe le ou les utilisateur(s) du Logiciel ayant accept\u00e9 le Contrat.</p>\n\n	  <p>Contributeur: d\u00e9signe le Licenci\u00e9 auteur d&apos;au moins une Contribution.</p>\n\n	  <p>Conc\u00e9dant: d\u00e9signe le Titulaire ou toute personne physique ou morale distribuant le Logiciel sous le\n		 Contrat.</p>\n\n	  <p>Contributions: d\u00e9signe l&apos;ensemble des modifications, corrections, traductions, adaptations et/ou\n		 nouvelles fonctionnalit\u00e9s int\u00e9gr\u00e9es dans le Logiciel par tout</p>\n\n	  <p>Contributeur, ainsi que les Modules Statiques.</p>\n\n	  <p>Module: d\u00e9signe un ensemble de fichiers sources y compris leur documentation qui, une fois compil\u00e9 sous\n		 forme ex\u00e9cutable, permet de r\u00e9aliser des fonctionnalit\u00e9s ou\n		<br />\n\nservices suppl\u00e9mentaires \u00e0 ceux fournis par le Logiciel.\n	  </p>\n\n	  <p>Module Dynamique: d\u00e9signe tout Module, cr\u00e9\u00e9 par le Contributeur, ind\u00e9pendant du Logiciel, tel que ce\n		 Module et le Logiciel sont sous forme de deux ex\u00e9cutables ind\u00e9pendants qui s&apos;ex\u00e9cutent dans un espace\n		 d&apos;adressage ind\u00e9pendant, l&apos;un appelant l&apos;autre au moment de leur ex\u00e9cution.</p>\n\n	  <p>Module Statique: d\u00e9signe tout Module cr\u00e9\u00e9 par le Contributeur et li\u00e9 au Logiciel par un lien statique\n		 rendant leur code objet d\u00e9pendant l&apos;un de l&apos;autre. Ce Module et le Logiciel auquel il est li\u00e9, sont\n		 regroup\u00e9s en un seul ex\u00e9cutable.</p>\n\n	  <p>Parties: d\u00e9signe collectivement le Licenci\u00e9 et le Conc\u00e9dant.</p>\n\n	  <p>Ces termes s&apos;entendent au singulier comme au pluriel.</p>\n\n	  <p>Article 2 - OBJET</p>\n\n	  <p>Le Contrat a pour objet la concession par le Conc\u00e9dant au Licenci\u00e9 d&apos;une Licence non exclusive,\n		 transf\u00e9rable et mondiale du Logiciel telle que d\u00e9finie ci-apr\u00e8s \u00e0 l&apos;article 5 pour toute la dur\u00e9e de\n		 protection des droits portant sur ce Logiciel.</p>\n\n	  <p>Article 3 - ACCEPTATION</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.1.</var>\n		  L&apos;acceptation par le Licenci\u00e9 des termes du Contrat est r\u00e9put\u00e9e acquise du fait du premier des\n			 faits suivants:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var>\n			  (i) le chargement du Logiciel par tout moyen notamment par t\u00e9l\u00e9chargement \u00e0 partir d&apos;un\n				 serveur distant ou par chargement \u00e0 partir d&apos;un support physique;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var>\n			  (ii) le premier exercice par le Licenci\u00e9 de l&apos;un quelconque des droits conc\u00e9d\u00e9s par le Contrat.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.2.</var>\n		  Un exemplaire du Contrat, contenant notamment un avertissement relatif aux sp\u00e9cificit\u00e9s du\n			 Logiciel, \u00e0 la restriction de garantie et \u00e0 la limitation \u00e0 un usage par des utilisateurs\n			 exp\u00e9riment\u00e9s a \u00e9t\u00e9 mis \u00e0 disposition du Licenci\u00e9 pr\u00e9alablement \u00e0 son acceptation telle que\n			 d\u00e9finie \u00e0 l&apos;article 3.1 ci dessus et le Licenci\u00e9 reconna\u00eet en avoir pris connaissances.\n		</li>\n	  \n</ul>\n	  <p>Article 4 - ENTREE EN VIGUEUR ET DUREE</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.1.</var>\n		  ENTREE EN VIGUEUR\n		  <p>Le Contrat entre en vigueur \u00e0 la date de son acceptation par le Licenci\u00e9 telle que d\u00e9finie en 3.1.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.2.</var>\n		  DUREE\n		  <p>Le Contrat produira ses effets pendant toute la dur\u00e9e l\u00e9gale de protection des droits\n			 patrimoniaux portant sur le Logiciel.</p>\n\n		</li>\n	  \n</ul>\n	  <p>Article 5 - ETENDUE DES DROITS CONCEDES</p>\n\n	  <p>Le Conc\u00e9dant conc\u00e8de au Licenci\u00e9, qui accepte, les droits suivants sur le Logiciel pour toutes\n		 destinations et pour la dur\u00e9e du Contrat dans les conditions ci-apr\u00e8s d\u00e9taill\u00e9es.</p>\n\n	  <p>Par ailleurs, le Conc\u00e9dant conc\u00e8de au Licenci\u00e9 \u00e0 titre gracieux les droits d&apos;exploitation du ou\n		 des brevets qu&apos;il d\u00e9tient sur tout ou partie des inventions\n		 <br />\n\nimpl\u00e9ment\u00e9es dans le Logiciel.\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.1.</var>\n		  DROITS D&apos;UTILISATION\n		  <p>Le Licenci\u00e9 est autoris\u00e9 \u00e0 utiliser le Logiciel, sans restriction quant aux domaines\n			 d&apos;application, \u00e9tant ci-apr\u00e8s pr\u00e9cis\u00e9 que cela comporte:\n		  </p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n			  la reproduction permanente ou provisoire du Logiciel en tout ou partie par tout moyen et sous\n				 toute forme.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n			  le chargement, l&apos;affichage, l&apos;ex\u00e9cution, ou le stockage du Logiciel sur tout support.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n			  la possibilit\u00e9 d&apos;en observer, d&apos;en \u00e9tudier, ou d&apos;en tester le fonctionnement afin de\n				 d\u00e9terminer les id\u00e9es et principes qui sont \u00e0 la base de n&apos;importe quel \u00e9l\u00e9ment de ce\n				 Logiciel; et ceci, lorsque le Licenci\u00e9 effectue toute op\u00e9ration de chargement,\n				 d&apos;affichage, d&apos;ex\u00e9cution, de transmission ou de stockage du Logiciel qu&apos;il est en droit\n				 d&apos;effectuer en vertu du Contrat.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.2.</var>\n		  DROIT D&apos;APPORTER DES CONTRIBUTIONS\n		  <p>Le droit d&apos;apporter des Contributions comporte le droit de traduire, d&apos;adapter, d&apos;arranger ou\n			 d&apos;apporter toute autre modification du Logiciel et le droit de reproduire le Logiciel en\n			 r\u00e9sultant.</p>\n\n			<p>Le Licenci\u00e9 est autoris\u00e9 \u00e0 apporter toute Contribution au Logiciel sous r\u00e9serve de mentionner, de\n			 fa\u00e7on explicite, son nom en tant qu&apos;auteur de cette Contribution et la date de cr\u00e9ation de\n			 celle-ci.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.3.</var>\n		  DROITS DE DISTRIBUTION ET DE DIFFUSION\n		  <p>Le droit de distribution et de diffusion comporte notamment le droit de transmettre et de\n			 communiquer le Logiciel au public sur tout support et par tout moyen ainsi que le droit de\n			 mettre sur le march\u00e9 \u00e0 titre on\u00e9reux ou gratuit, un ou des exemplaires du Logiciel par tout\n			 proc\u00e9d\u00e9.</p>\n\n			<p>Le Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer des copies du Logiciel, modifi\u00e9 ou non, \u00e0 des tiers dans\n			 les conditions ci-apr\u00e8s d\u00e9taill\u00e9es.</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.3.1.</var>\n			  REDISTRIBUTION DU LOGICIEL SANS MODIFICATION\n			  <p>Le Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer des copies conformes du Logiciel, sous forme de\n				 Code Source ou de Code Objet, \u00e0 condition que cette redistribution respecte les\n				 dispositions du Contrat dans leur totalit\u00e9 et soit accompagn\u00e9e:\n			  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n				  d&apos;un exemplaire du Contrat,\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n				  d&apos;un avertissement relatif \u00e0 la restriction de garantie et de responsabilit\u00e9 du Conc\u00e9dant\n					 telle que pr\u00e9vue aux articles 8 et 9,\n					 <br />\n\n		 et que, dans le cas o\u00f9 seul le Code Objet du Logiciel est redistribu\u00e9, le Licenci\u00e9\n					 permette aux futurs Licenci\u00e9s d&apos;acc\u00e9der facilement au Code Source complet du\n					 Logiciel en indiquant les modalit\u00e9s d&apos;acc\u00e8s, \u00e9tant entendu que le co\u00fbt additionnel\n					 d&apos;acquisition du Code Source ne devra pas exc\u00e9der le simple co\u00fbt de transfert des\n					 donn\u00e9es.\n\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.3.2.</var>\n			  REDISTRIBUTION DU LOGICIEL MODIFIE\n			  <p>Lorsque le Licenci\u00e9 apporte une Contribution au Logiciel, les conditions de\n				redistribution du Logiciel Modifi\u00e9 sont alors soumises \u00e0 l&apos;int\u00e9gralit\u00e9 des\n				dispositions du Contrat.\n				<br />\n\n	  Le Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer le Logiciel Modifi\u00e9, sous forme de Code Source\n				ou de Code Objet, \u00e0 condition que cette redistribution respecte les dispositions\n				du Contrat dans leur totalit\u00e9 et soit accompagn\u00e9e:\n			  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n				  d&apos;un exemplaire du Contrat,\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n				  d&apos;un avertissement relatif \u00e0 la restriction de garantie et de responsabilit\u00e9 du conc\u00e9dant\n					 telle que pr\u00e9vue aux articles 8 et 9,\n					 <br />\n\n		 et que, dans le cas o\u00f9 seul le Code Objet du Logiciel Modifi\u00e9 est redistribu\u00e9, le\n					 Licenci\u00e9 permette aux futurs Licenci\u00e9s d&apos;acc\u00e9der facilement au Code Source complet\n					 du Logiciel Modifi\u00e9 en indiquant les modalit\u00e9s d&apos;acc\u00e8s, \u00e9tant entendu que le co\u00fbt\n					 additionnel d&apos;acquisition du Code Source ne devra pas exc\u00e9der le simple co\u00fbt de\n					 transfert des donn\u00e9es.\n\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.3.3.</var>\n			  REDISTRIBUTION DES MODULES DYNAMIQUES\n			  <p>Lorsque le Licenci\u00e9 a d\u00e9velopp\u00e9 un Module Dynamique les conditions du Contrat ne\n				  s&apos;appliquent pas \u00e0 ce Module Dynamique, qui peut \u00eatre distribu\u00e9 sous un contrat de\n				 licence diff\u00e9rent.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.3.4.</var>\n			  COMPATIBILITE AVEC LA LICENCE GPL\n			  <p>Dans le cas o\u00f9 le Logiciel, Modifi\u00e9 ou non, est int\u00e9gr\u00e9 \u00e0 un code soumis aux\n				 dispositions de la licence GPL, le Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer l&apos;ensemble\n				 sous la licence GPL.</p>\n\n				  <p>Dans le cas o\u00f9 le Logiciel Modifi\u00e9 int\u00e8gre un code soumis aux dispositions de la\n				 licence GPL, le Licenci\u00e9 est autoris\u00e9 \u00e0 redistribuer le Logiciel Modifi\u00e9 sous la\n				 licence GPL.\n			  </p>\n\n			   </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Article 6 - PROPRIETE INTELLECTUELLE</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.1.</var>\n		  SUR LE LOGICIEL INITIAL\n		  <p>Le Titulaire est d\u00e9tenteur des droits patrimoniaux sur le Logiciel Initial. Toute\n			 utilisation du Logiciel Initial est soumise au respect des conditions dans lesquelles\n			 le Titulaire a choisi de diffuser son \u0153uvre et nul autre n&apos;a la facult\u00e9 de modifier\n			 les conditions de diffusion de ce Logiciel Initial.\n			 <br />\n\n   Le Titulaire s&apos;engage \u00e0 maintenir la diffusion du Logiciel initial sous les conditions du\n			 Contrat et ce, pour la dur\u00e9e vis\u00e9e \u00e0 l&apos;article 4.2.\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.2.</var>\n		  SUR LES CONTRIBUTIONS\n		  <p>Les droits de propri\u00e9t\u00e9 intellectuelle sur les Contributions sont attach\u00e9s au titulaire de\n			 droits patrimoniaux d\u00e9sign\u00e9 par la l\u00e9gislation applicable.\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.3.</var>\n		  SUR LES MODULES DYNAMIQUES\n		  <p>Le Licenci\u00e9 ayant d\u00e9velopp\u00e9 un Module Dynamique est titulaire des droits de propri\u00e9t\u00e9\n			 intellectuelle sur ce Module Dynamique et reste libre du choix du contrat r\u00e9gissant sa\n			 diffusion.\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.4.</var>\n		  DISPOSITIONS COMMUNES\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.4.1.</var>\n			  Le Licenci\u00e9 s&apos;engage express\u00e9ment:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n				  \u00e0 ne pas supprimer ou modifier de quelque mani\u00e8re que ce soit les mentions de propri\u00e9t\u00e9\n					 intellectuelle appos\u00e9es sur le Logiciel;\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n				  \u00e0 reproduire \u00e0 l&apos;identique lesdites mentions de propri\u00e9t\u00e9 intellectuelle sur les copies du Logiciel.\n\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.4.2.</var>\n			  Le Licenci\u00e9 s&apos;engage \u00e0 ne pas porter atteinte, directement ou indirectement, aux\n				 droits de propri\u00e9t\u00e9 intellectuelle du Titulaire et/ou des Contributeurs et \u00e0\n				 prendre, le cas \u00e9ch\u00e9ant, \u00e0 l&apos;\u00e9gard de son personnel toutes les mesures n\u00e9cessaires\n				 pour assurer le respect des dits droits de propri\u00e9t\u00e9 intellectuelle du Titulaire\n				 et/ou des Contributeurs.\n\n			</li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Article 7 - SERVICES ASSOCIES</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.1.</var>\n		  Le Contrat n&apos;oblige en aucun cas le Conc\u00e9dant \u00e0 la r\u00e9alisation de prestations d&apos;assistance\n			 technique ou de maintenance du Logiciel.\n			 <br />\n\n   Cependant le Conc\u00e9dant reste libre de proposer ce type de services. Les termes et\n			 conditions d&apos;une telle assistance technique et/ou d&apos;une telle maintenance seront alors\n			 d\u00e9termin\u00e9s dans un acte s\u00e9par\u00e9. Ces actes de maintenance et/ou assistance technique\n			 n&apos;engageront que la seule responsabilit\u00e9 du Conc\u00e9dant qui les propose.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.2.</var>\n		  De m\u00eame, tout Conc\u00e9dant est libre de proposer, sous sa seule responsabilit\u00e9, \u00e0 ses licenci\u00e9s une\n			 garantie, qui n&apos;engagera que lui, lors de la redistribution du Logiciel et/ou du Logiciel\n			 Modifi\u00e9 et ce, dans les conditions qu&apos;il souhaite. Cette garantie et les modalit\u00e9s financi\u00e8res\n			 de son application feront l&apos;objet d&apos;un acte s\u00e9par\u00e9 entre le Conc\u00e9dant et le Licenci\u00e9.\n\n		</li>\n	  \n</ul>\n	  <p>Article 8 - RESPONSABILITE</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.1.</var>\n		  Sous r\u00e9serve des dispositions de l&apos;article 8.2, si le Conc\u00e9dant n&apos;ex\u00e9cute pas tout ou partie des\n			 obligations mises \u00e0 sa charge par le Contrat, le Licenci\u00e9 a la facult\u00e9, sous r\u00e9serve de\n			 prouver la faute du Conc\u00e9dant concern\u00e9, de solliciter la r\u00e9paration du pr\u00e9judice direct qu&apos;il\n			 subit et dont il apportera la preuve.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.2.</var>\n		  La responsabilit\u00e9 du Conc\u00e9dant est limit\u00e9e aux engagements pris en application du Contrat et ne\n			 saurait \u00eatre engag\u00e9e en raison notamment:(i) des dommages dus \u00e0 l&apos;inex\u00e9cution, totale ou\n			 partielle, de ses obligations par le Licenci\u00e9, (ii) des dommages directs ou indirects\n			 d\u00e9coulant de l&apos;utilisation ou des performances du Logiciel subis par le Licenci\u00e9 lorsqu&apos;il\n			 s&apos;agit d&apos;un professionnel utilisant le Logiciel \u00e0 des fins professionnelles et (iii) des\n			 dommages indirects d\u00e9coulant de l&apos;utilisation ou des performances du Logiciel. Les Parties\n			 conviennent express\u00e9ment que tout pr\u00e9judice financier ou commercial (par exemple perte de\n			 donn\u00e9es, perte de b\u00e9n\u00e9fices, perte d&apos;exploitation, perte de client\u00e8le ou de commandes, manque\n			 \u00e0 gagner, trouble commercial quelconque) ou toute action dirig\u00e9e contre le Licenci\u00e9 par un\n			 tiers, constitue un dommage indirect et n&apos;ouvre pas droit \u00e0 r\u00e9paration par le Conc\u00e9dant.\n		</li>\n	  \n</ul>\n	  <p>Article 9 - GARANTIE</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.1.</var>\n		  Le Licenci\u00e9 reconna\u00eet que l&apos;\u00e9tat actuel des connaissances scientifiques et techniques au moment\n			 de la mise en circulation du Logiciel ne permet pas d&apos;en tester et d&apos;en v\u00e9rifier toutes les\n			 utilisations ni de d\u00e9tecter l&apos;existence d&apos;\u00e9ventuels d\u00e9fauts. L&apos;attention du Licenci\u00e9 a \u00e9t\u00e9\n			 attir\u00e9e sur ce point sur les risques associ\u00e9s au chargement, \u00e0 l&apos;utilisation, la modification\n			 et/ou au d\u00e9veloppement et \u00e0 la reproduction du Logiciel qui sont r\u00e9serv\u00e9s \u00e0 des utilisateurs\n			 avertis.\n			 <br />\n\n   Il rel\u00e8ve de la responsabilit\u00e9 du Licenci\u00e9 de contr\u00f4ler, par tous moyens, l&apos;ad\u00e9quation du\n			 produit \u00e0 ses besoins, son bon fonctionnement et de s&apos;assurer qu&apos;il ne causera pas de\n			 dommages aux personnes et aux biens.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.2.</var>\n		  Le Conc\u00e9dant d\u00e9clare de bonne foi \u00eatre en droit de conc\u00e9der l&apos;ensemble des droits attach\u00e9s au\n			 Logiciel (comprenant notamment les droits vis\u00e9s \u00e0 l&apos;article 5).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.3.</var>\n		  Le Licenci\u00e9 reconna\u00eet que le Logiciel est fourni \u00aben l&apos;\u00e9tat\u00bb par le Conc\u00e9dant sans autre\n			 garantie, expresse ou tacite, que celle pr\u00e9vue \u00e0 l&apos;article 9.2 et notamment sans aucune\n			 garantie sur sa valeur commerciale, son caract\u00e8re s\u00e9curis\u00e9, innovant ou pertinent.\n			 <br />\n\n   En particulier, le Conc\u00e9dant ne garantit pas que le Logiciel est exempt d&apos;erreur, qu&apos;il\n			 fonctionnera sans interruption, qu&apos;il sera compatible avec l&apos;\u00e9quipement du Licenci\u00e9 et\n			 sa configuration logicielle ni qu&apos;il remplira les besoins du Licenci\u00e9.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.4.</var>\n		  Le Conc\u00e9dant ne garantit pas, de mani\u00e8re expresse ou tacite, que le Logiciel ne porte pas\n			 atteinte \u00e0 un quelconque droit de propri\u00e9t\u00e9 intellectuelle d&apos;un tiers portant sur un brevet,\n			 un logiciel ou sur tout autre droit de propri\u00e9t\u00e9. Ainsi, le Conc\u00e9dant exclut toute garantie au\n			 profit du Licenci\u00e9 contre les actions en contrefa\u00e7on qui pourraient \u00eatre diligent\u00e9es au titre\n			 de l&apos;utilisation, de la modification, et de la redistribution du Logiciel. N\u00e9anmoins, si de\n			 telles actions sont exerc\u00e9es contre le Licenci\u00e9, le Conc\u00e9dant lui apportera son aide technique\n			 et juridique pour sa d\u00e9fense. Cette aide technique et juridique est d\u00e9termin\u00e9e au cas par cas\n			 entre le Conc\u00e9dant concern\u00e9 et le Licenci\u00e9 dans le cadre d&apos;un protocole d&apos;accord. Le Conc\u00e9dant\n			 d\u00e9gage toute responsabilit\u00e9 quant \u00e0 l&apos;utilisation de la d\u00e9nomination du Logiciel par le\n			 Licenci\u00e9. Aucune garantie n&apos;est apport\u00e9e quant \u00e0 l&apos;existence de droits ant\u00e9rieurs sur le nom\n			 du Logiciel et sur l&apos;existence d&apos;une marque.\n		</li>\n	  \n</ul>\n	  <p>Article 10 - RESILIATION</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.1.</var>\n		  En cas de manquement par le Licenci\u00e9 aux obligations mises \u00e0 sa charge par le Contrat, le\n			 Conc\u00e9dant pourra r\u00e9silier de plein droit le Contrat trente (30) jours apr\u00e8s notification\n			 adress\u00e9e au Licenci\u00e9 et rest\u00e9e sans effet.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.2.</var>\n		  Le Licenci\u00e9 dont le Contrat est r\u00e9sili\u00e9 n&apos;est plus autoris\u00e9 \u00e0 utiliser, modifier ou distribuer le\n			 Logiciel. Cependant, toutes les licences qu&apos;il aura conc\u00e9d\u00e9es ant\u00e9rieurement \u00e0 la r\u00e9siliation\n			 du Contrat resteront valides sous r\u00e9serve qu&apos;elles aient \u00e9t\u00e9 effectu\u00e9es en conformit\u00e9 avec le\n			 Contrat.\n		</li>\n	  \n</ul>\n	  <p>Article 11 - DISPOSITIONS DIVERSES</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.1.</var>\n		  CAUSE EXTERIEURE\n		  <p>Aucune des Parties ne sera responsable d&apos;un retard ou d&apos;une d\u00e9faillance d&apos;ex\u00e9cution du\n			 Contrat qui serait d\u00fb \u00e0 un cas de force majeure, un cas fortuit ou une cause\n			 ext\u00e9rieure, telle que, notamment, le mauvais fonctionnement ou les interruptions du\n			 r\u00e9seau \u00e9lectrique ou de t\u00e9l\u00e9communication, la paralysie du r\u00e9seau li\u00e9e \u00e0 une attaque\n			 informatique, l&apos;intervention des autorit\u00e9s gouvernementales, les catastrophes\n			 naturelles, les d\u00e9g\u00e2ts des eaux, les tremblements de terre, le feu, les explosions,\n			 les gr\u00e8ves et les conflits sociaux, l&apos;\u00e9tat de guerre\u2026\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.2.</var>\n		  Le fait, par l&apos;une ou l&apos;autre des Parties, d&apos;omettre en une ou plusieurs occasions de se\n			 pr\u00e9valoir d&apos;une ou plusieurs dispositions du Contrat, ne pourra en aucun cas impliquer\n			 renonciation par la Partie int\u00e9ress\u00e9e \u00e0 s&apos;en pr\u00e9valoir ult\u00e9rieurement.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.3.</var>\n		  Le Contrat annule et remplace toute convention ant\u00e9rieure, \u00e9crite ou orale, entre les Parties sur\n			 le m\u00eame objet et constitue l&apos;accord entier entre les Parties sur cet objet. Aucune addition ou\n			 modification aux termes du Contrat n&apos;aura d&apos;effet \u00e0 l&apos;\u00e9gard des Parties \u00e0 moins d&apos;\u00eatre faite\n			 par \u00e9crit et sign\u00e9e par leurs repr\u00e9sentants d\u00fbment habilit\u00e9s.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.4.</var>\n		  Dans l&apos;hypoth\u00e8se o\u00f9 une ou plusieurs des dispositions du Contrat s&apos;av\u00e8rerait contraire \u00e0 une loi\n			 ou \u00e0 un texte applicable, existants ou futurs, cette loi ou ce texte pr\u00e9vaudrait, et les\n			 Parties feraient les amendements n\u00e9cessaires pour se conformer \u00e0 cette loi ou \u00e0 ce texte.\n			 Toutes les autres dispositions resteront en vigueur. De m\u00eame, la nullit\u00e9, pour quelque raison\n			 que ce soit, d&apos;une des dispositions du Contrat ne saurait entra\u00eener la nullit\u00e9 de l&apos;ensemble\n			 du Contrat.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.5.</var>\n		  LANGUE\n		  <p>Le Contrat est r\u00e9dig\u00e9 en langue fran\u00e7aise et en langue anglaise. En cas de divergence\n			 d&apos;interpr\u00e9tation, seule la version fran\u00e7aise fait foi.\n		  </p>\n\n		</li>\n	  \n</ul>\n	  <p>Article 12 - NOUVELLES VERSIONS DU CONTRAT</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.1.</var>\n		  Toute personne est autoris\u00e9e \u00e0 copier et distribuer des copies de ce Contrat.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.2.</var>\n		  Afin d&apos;en pr\u00e9server la coh\u00e9rence, le texte du Contrat est prot\u00e9g\u00e9 et ne peut \u00eatre modifi\u00e9 que par\n			 les auteurs de la licence, lesquels se r\u00e9servent le droit de publier p\u00e9riodiquement des mises\n			 \u00e0 jour ou de nouvelles versions du Contrat, qui poss\u00e8deront chacune un num\u00e9ro distinct. Ces\n			 versions ult\u00e9rieures seront susceptibles de prendre en compte de nouvelles probl\u00e9matiques\n			 rencontr\u00e9es par les logiciels libres.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.3.</var>\n		  Tout Logiciel diffus\u00e9 sous une version donn\u00e9e du Contrat ne pourra faire l&apos;objet d&apos;une diffusion\n			 ult\u00e9rieure que sous la m\u00eame version du Contrat ou une version post\u00e9rieure, sous r\u00e9serve des\n			 dispositions de l&apos;article 5.3.4.\n		</li>\n	  \n</ul>\n	  <p>Article 13 - LOI APPLICABLE ET COMPETENCE TERRITORIALE</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.1.</var>\n		  Le Contrat est r\u00e9gi par la loi fran\u00e7aise. Les Parties conviennent de tenter de r\u00e9gler \u00e0 l&apos;amiable\n			 les diff\u00e9rends ou litiges qui viendraient \u00e0 se produire par suite ou \u00e0 l&apos;occasion du\n			 Contrat.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.2.</var>\n		  A d\u00e9faut d&apos;accord amiable dans un d\u00e9lai de deux (2) mois \u00e0 compter de leur survenance et sauf\n			 situation relevant d&apos;une proc\u00e9dure d&apos;urgence, les diff\u00e9rends ou litiges seront port\u00e9s par la\n			 Partie la plus diligente devant les Tribunaux comp\u00e9tents de Paris.\n		</li>\n	  \n</ul>\n	  <p>1 Ce: CEA, C: CNRS, I: INRIA, LL: Logiciel Libre</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>Version 1 du 21/06/2004</p>\n\n	  </div>\n	"
		self.python_name = "CECILL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class ZPL20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Zope Public License (ZPL) Version 2.0\n\nThis software is Copyright (c) Zope Corporation (tm) and Contributors. All rights reserved.\n\nThis license has been certified as open source. It has also been designated as GPL compatible by the Free Software Foundation (FSF).\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 1. Redistributions in source code must retain the above copyright notice, this list of conditions, and the following disclaimer.\n\n	 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 3. The name Zope Corporation (tm) must not be used to endorse or promote products derived from this software without prior written permission from Zope Corporation.\n\n	 4. The right to distribute this software or to use it for any purpose does not give you the right to use Servicemarks (sm) or Trademarks (tm) of Zope Corporation. Use of them is covered in a separate agreement (see http://www.zope.com/Marks).\n\n	 5. If any files are modified, you must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\nDisclaimer\n\nTHIS SOFTWARE IS PROVIDED BY ZOPE CORPORATION ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL ZOPE CORPORATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis software consists of contributions made by Zope Corporation and many individuals on behalf of Zope Corporation.  Specific attributions are listed in the accompanying credits file.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Zope Public License (ZPL) Version 2.0\n\n<<endOptional>> <<var;name=\"copyright\";original=\"This software is Copyright (c) Zope Corporation (tm) and Contributors. All rights reserved.  \";match=\".{0,5000}\">><<beginOptional>> This license has been certified as open source. It has also been designated as GPL compatible by the Free Software Foundation (FSF).\n\n<<endOptional>>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions in source code must retain the above copyright notice, this list of conditions, and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The name Zope Corporation (tm) must not be used to endorse or promote products derived from this software without prior written permission from Zope Corporation.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The right to distribute this software or to use it for any purpose does not give you the right to use Servicemarks (sm) or Trademarks (tm) of Zope Corporation. Use of them is covered in a separate agreement (see http://www.zope.com/Marks).\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> If any files are modified, you must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\nDisclaimer\n\nTHIS SOFTWARE IS PROVIDED BY ZOPE CORPORATION ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ZOPE CORPORATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n<<beginOptional>>This software consists of contributions made by Zope Corporation and many individuals on behalf of Zope Corporation. Specific attributions are listed in the accompanying credits file.\n\n<<endOptional>>"
		self.name = "Zope Public License 2.0"
		self.licenseId = "ZPL-2.0"
		self.crossRef = [{"match": "False", "url": "http://old.zope.org/Resources/License/ZPL-2.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:20Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/ZPL-2.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:20Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["http://old.zope.org/Resources/License/ZPL-2.0", "https://opensource.org/licenses/ZPL-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Zope Public License (ZPL) Version 2.0</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>This software is Copyright (c) Zope Corporation (tm) and Contributors. All rights reserved.</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>This license has been certified as open source. It has also been designated as GPL compatible by the Free\n		 Software Foundation (FSF).</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions in source code must retain the above copyright notice, this list of conditions,\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of\n			 conditions, and the following disclaimer in the documentation and/or other materials provided\n			 with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  The name Zope Corporation (tm) must not be used to endorse or promote products derived from this\n			 software without prior written permission from Zope Corporation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  The right to distribute this software or to use it for any purpose does not give you the right to\n			 use Servicemarks (sm) or Trademarks (tm) of Zope Corporation. Use of them is covered in a\n			 separate agreement (see http://www.zope.com/Marks).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  If any files are modified, you must cause the modified files to carry prominent notices stating\n			 that you changed the files and the date of any change.\n		</li>\n	  \n</ul>\n	  <p>Disclaimer</p>\n\n	  <p>THIS SOFTWARE IS PROVIDED BY ZOPE CORPORATION ``AS IS&apos;&apos; AND ANY EXPRESSED OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ZOPE CORPORATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY\n		 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED\n		 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>This software consists of contributions made by Zope Corporation and many individuals on behalf of Zope\n		 Corporation. Specific attributions are listed in the accompanying credits file.</p>\n\n	  </div>\n	"
		self.python_name = "ZPL20"

	def __str__(self):
		return json.dumps(self.__dict__)


class Glide:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "3DFX GLIDE Source Code General Public License\n\n1. PREAMBLE\n\nThis license is for software that provides a 3D graphics application program interface (API).The license is intended to offer terms similar to some standard General Public Licenses designed to foster open standards and unrestricted accessibility to source code. Some of these licenses require that, as a condition of the license of the software, any derivative works (that is, new software which is a work containing the original program or a portion of it) must be available for general use, without restriction other than for a minor transfer fee, and that the source code for such derivative works must likewise be made available. The only restriction is that such derivative works must be subject to the same General Public License terms as the original work.\n\nThis 3dfx GLIDE Source Code General Public License differs from the standard licenses of this type in that it does not require the entire derivative work to be made available under the terms of this license nor is the recipient required to make available the source code for the entire derivative work. Rather, the license is limited to only the identifiable portion of the derivative work that is derived from the licensed software. The precise terms and conditions for copying, distribution and modification follow.\n\n2. DEFINITIONS\n\n	 2.1 This License applies to any program (or other \"work\") which contains a notice placed by the copyright holder saying it may be distributed under the terms of this 3dfx GLIDE Source Code General Public License.\n\n	 2.2 The term \"Program\" as used in this Agreement refers to 3DFX's GLIDE source code and object code and any Derivative Work.\n\n	 2.3 \"Derivative Work\" means, for the purpose of the License, that portion of any work that contains the Program or the identifiable portion of a work that is derived from the Program, either verbatim or with modifications and/or translated into another language, and that performs 3D graphics API operations. It does not include any other portions of a work.\n\n	 2.4 \"Modifications of the Program\" means any work, which includes a Derivative Work, and includes the whole of such work.\n\n	 2.5 \"License\" means this 3dfx GLIDE Source Code General Public License.\n\n	 2.6 The \"Source Code\" for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, any associated interface definition files, and the scripts used to control compilation and installation of the executable work.\n\n	 2.7 \"3dfx\" means 3dfx Interactive, Inc.\n\n3. LICENSED ACTIVITIES\n\n	 3.1 COPYING - You may copy and distribute verbatim copies of the Program's Source Code as you receive it, in any medium, subject to the provision of section 3.3 and provided also that:\n\n		  (a) you conspicuously and appropriately publish on each copy an appropriate copyright notice (3dfx Interactive, Inc. 1999), a notice that recipients who wish to copy, distribute or modify the Program can only do so subject to this License, and a disclaimer of warranty as set forth in section 5;\n\n		  (b) keep intact all the notices that refer to this License and to the absence of any warranty; and\n\n		  (c) do not make any use of the GLIDE trademark without the prior written permission of 3dfx, and\n\n		  (d) give all recipients of the Program a copy of this License along with the Program or instructions on how to easily receive a copy of this License.\n\n	 3.2 MODIFICATION OF THE PROGRAM/DERIVATIVE WORKS - You may modify your copy or copies of the Program or any portion of it, and copy and distribute such modifications subject to the provisions of section 3.3 and provided that you also meet all of the following conditions:\n\n		  (a) you conspicuously and appropriately publish on each copy of a Derivative Work an appropriate copyright notice, a notice that recipients who wish to copy, distribute or modify the Derivative Work can only do so subject to this License, and a disclaimer of warranty as set forth in section 5;\n\n		  (b) keep intact all the notices that refer to this License and to the absence of any warranty; and (c) give all recipients of the Derivative Work a copy of this License along with the Derivative Work or instructions on how to easily receive a copy of this License.\n\n		  (d) You must cause the modified files of the Derivative Work to carry prominent notices stating that you changed the files and the date of any change.\n\n		  (e) You must cause any Derivative Work that you distribute or publish to be licensed at no charge to all third parties under the terms of this License.\n\n		  (f) You do not make any use of the GLIDE trademark without the prior written permission of 3dfx.\n\n		  (g) If the Derivative Work normally reads commands interactively when run, you must cause it, when started running for such interactive use, to print or display an announcement as follows:\n\n		  \"COPYRIGHT 3DFX INTERACTIVE, INC. 1999, ALL RIGHTS RESERVED THIS SOFTWARE IS FREE AND PROVIDED \"AS IS,\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED. THERE IS NO RIGHT TO USE THE GLIDE TRADEMARK WITHOUT PRIOR WRITTEN PERMISSION OF 3DFX INTERACTIVE, INC. SEE THE 3DFX GLIDE GENERAL PUBLIC LICENSE FOR A FULL TEXT OF THE DISTRIBUTION AND NON-WARRANTY PROVISIONS (REQUEST COPY FROM INFO@3DFX.COM).\"\n\n		  (h) The requirements of this section 3.2 do not apply to the modified work as a whole but only to the Derivative Work. It is not the intent of this License to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of Derivative Works.\n\n	 3.3 DISTRIBUTION\n\n		  (a) All copies of the Program or Derivative Works which are distributed must include in the file headers the following language verbatim:\n\n		  \"THIS SOFTWARE IS SUBJECT TO COPYRIGHT PROTECTION AND IS OFFERED ONLY PURSUANT TO THE 3DFX GLIDE GENERAL PUBLIC LICENSE. THERE IS NO RIGHT TO USE THE GLIDE TRADEMARK WITHOUT PRIOR WRITTEN PERMISSION OF 3DFX INTERACTIVE, INC. A COPY OF THIS LICENSE MAY BE OBTAINED FROM THE DISTRIBUTOR OR BY CONTACTING 3DFX INTERACTIVE INC (info@3dfx.com). THIS PROGRAM. IS PROVIDED \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED. SEE THE 3DFX GLIDE GENERAL PUBLIC LICENSE FOR A FULL TEXT OF THE NON-WARRANTY PROVISIONS.\n\n		  USE, DUPLICATION OR DISCLOSURE BY THE GOVERNMENT IS SUBJECT TO RESTRICTIONS AS SET FORTH IN SUBDIVISION (C)(1)(II) OF THE RIGHTS IN TECHNICAL DATA AND COMPUTER SOFTWARE CLAUSE AT DFARS 252.227-7013, AND/OR IN SIMILAR OR SUCCESSOR CLAUSES IN THE FAR, DOD OR NASA FAR SUPPLEMENT. UNPUBLISHED RIGHTS RESERVED UNDER THE COPYRIGHT LAWS OF THE UNITED STATES.\n\n		  COPYRIGHT 3DFX INTERACTIVE, INC. 1999, ALL RIGHTS RESERVED\"\n\n		  (b) You may distribute the Program or a Derivative Work in object code or executable form under the terms of Sections 3.1 and 3.2 provided that you also do one of the following:\n\n			   (1) Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 3.1 and 3.2; or,\n\n			   (2) Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 3.1 and 3.2 on a medium customarily used for software interchange; or,\n\n			   (3) Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection 3.3(b)(2) above.)\n\n		  (c) The source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable code.\n\n		  (d) If distribution of executable code or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n		  (e) Each time you redistribute the Program or any Derivative Work, the recipient automatically receives a license from 3dfx and successor licensors to copy, distribute or modify the Program and Derivative Works subject to the terms and conditions of the License. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n		  (f) You may not make any use of the GLIDE trademark without the prior written permission of 3dfx.\n\n		  (g) You may not copy, modify, sublicense, or distribute the Program or any Derivative Works except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program or any Derivative Works is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n4. MISCELLANEOUS\n\n	 4.1 Acceptance of this License is voluntary. By using, modifying or distributing the Program or any Derivative Work, you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it. Nothing else grants you permission to modify or distribute the Program or Derivative Works and doing so without acceptance of this License is in violation of the U.S. and international copyright laws.\n\n	 4.2 If the distribution and/or use of the Program or Derivative Works is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n	 4.3 This License is to be consTrued according to the laws of the State of California and you consent to personal jurisdiction in the State of California in the event it is necessary to enforce the provisions of this License.\n\n5. NO WARRANTIES\n\n	 5.1 TO THE EXTENT PERMITTED BY APPLICABLE LAW, THERE IS NO WARRANTY FOR THE PROGRAM. OR DERIVATIVE WORKS THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM AND ANY DERIVATIVE WORKS\"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM AND ANY DERIVATIVE WORK IS WITH YOU. SHOULD THE PROGRAM OR ANY DERIVATIVE WORK PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n	 5.2 IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW WILL 3DFX INTERACTIVE, INC., OR ANY OTHER COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM OR DERIVATIVE WORKS AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM OR DERIVATIVE WORKS (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM OR DERIVATIVE WORKS TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n"
		self.standardLicenseTemplate = "<<beginOptional>>3DFX GLIDE Source Code General Public License\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> PREAMBLE\n\n   This license is for software that provides a 3D graphics application program interface (API).The license is intended to offer terms similar to some standard General Public Licenses designed to foster open standards and unrestricted accessibility to source code. Some of these licenses require that, as a condition of the license of the software, any derivative works (that is, new software which is a work containing the original program or a portion of it) must be available for general use, without restriction other than for a minor transfer fee, and that the source code for such derivative works must likewise be made available. The only restriction is that such derivative works must be subject to the same General Public License terms as the original work.\n\n   This 3dfx GLIDE Source Code General Public License differs from the standard licenses of this type in that it does not require the entire derivative work to be made available under the terms of this license nor is the recipient required to make available the source code for the entire derivative work. Rather, the license is limited to only the identifiable portion of the derivative work that is derived from the licensed software. The precise terms and conditions for copying, distribution and modification follow.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> DEFINITIONS\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> This License applies to any program (or other \"work\") which contains a notice placed by the copyright holder saying it may be distributed under the terms of this 3dfx GLIDE Source Code General Public License.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> The term \"Program\" as used in this Agreement refers to 3DFX's GLIDE source code and object code and any Derivative Work.\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> \"Derivative Work\" means, for the purpose of the License, that portion of any work that contains the Program or the identifiable portion of a work that is derived from the Program, either verbatim or with modifications and/or translated into another language, and that performs 3D graphics API operations. It does not include any other portions of a work.\n\n	  <<var;name=\"bullet\";original=\"2.4\";match=\".{0,20}\">> \"Modifications of the Program\" means any work, which includes a Derivative Work, and includes the whole of such work.\n\n	  <<var;name=\"bullet\";original=\"2.5\";match=\".{0,20}\">> \"License\" means this 3dfx GLIDE Source Code General Public License.\n\n	  <<var;name=\"bullet\";original=\"2.6\";match=\".{0,20}\">> The \"Source Code\" for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, any associated interface definition files, and the scripts used to control compilation and installation of the executable work.\n\n	  <<var;name=\"bullet\";original=\"2.7\";match=\".{0,20}\">> \"3dfx\" means 3dfx Interactive, Inc.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> LICENSED ACTIVITIES\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> COPYING - You may copy and distribute verbatim copies of the Program's Source Code as you receive it, in any medium, subject to the provision of section 3.3 and provided also that:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> you conspicuously and appropriately publish on each copy an appropriate copyright notice (3dfx Interactive, Inc. 1999), a notice that recipients who wish to copy, distribute or modify the Program can only do so subject to this License, and a disclaimer of warranty as set forth in section 5;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> keep intact all the notices that refer to this License and to the absence of any warranty; and\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> do not make any use of the GLIDE trademark without the prior written permission of 3dfx, and\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> give all recipients of the Program a copy of this License along with the Program or instructions on how to easily receive a copy of this License.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> MODIFICATION OF THE PROGRAM/DERIVATIVE WORKS - You may modify your copy or copies of the Program or any portion of it, and copy and distribute such modifications subject to the provisions of section 3.3 and provided that you also meet all of the following conditions:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> you conspicuously and appropriately publish on each copy of a Derivative Work an appropriate copyright notice, a notice that recipients who wish to copy, distribute or modify the Derivative Work can only do so subject to this License, and a disclaimer of warranty as set forth in section 5;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> keep intact all the notices that refer to this License and to the absence of any warranty; and (c) give all recipients of the Derivative Work a copy of this License along with the Derivative Work or instructions on how to easily receive a copy of this License.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> You must cause the modified files of the Derivative Work to carry prominent notices stating that you changed the files and the date of any change.\n\n		 <<var;name=\"bullet\";original=\"(e)\";match=\".{0,20}\">> You must cause any Derivative Work that you distribute or publish to be licensed at no charge to all third parties under the terms of this License.\n\n		 <<var;name=\"bullet\";original=\"(f)\";match=\".{0,20}\">> You do not make any use of the GLIDE trademark without the prior written permission of 3dfx.\n\n		 <<var;name=\"bullet\";original=\"(g)\";match=\".{0,20}\">> If the Derivative Work normally reads commands interactively when run, you must cause it, when started running for such interactive use, to print or display an announcement as follows:\n\n		 \"COPYRIGHT 3DFX INTERACTIVE, INC. 1999, ALL RIGHTS RESERVED THIS SOFTWARE IS FREE AND PROVIDED \"AS IS,\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED. THERE IS NO RIGHT TO USE THE GLIDE TRADEMARK WITHOUT PRIOR WRITTEN PERMISSION OF 3DFX INTERACTIVE, INC. SEE THE 3DFX GLIDE GENERAL PUBLIC LICENSE FOR A FULL TEXT OF THE DISTRIBUTION AND NON-WARRANTY PROVISIONS (REQUEST COPY FROM INFO@3DFX.COM).\"\n\n		 <<var;name=\"bullet\";original=\"(h)\";match=\".{0,20}\">> The requirements of this section 3.2 do not apply to the modified work as a whole but only to the Derivative Work. It is not the intent of this License to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> DISTRIBUTION\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> All copies of the Program or Derivative Works which are distributed must include in the file headers the following language verbatim:\n\n		 \"THIS SOFTWARE IS SUBJECT TO COPYRIGHT PROTECTION AND IS OFFERED ONLY PURSUANT TO THE 3DFX GLIDE GENERAL PUBLIC LICENSE. THERE IS NO RIGHT TO USE THE GLIDE TRADEMARK WITHOUT PRIOR WRITTEN PERMISSION OF 3DFX INTERACTIVE, INC. A COPY OF THIS LICENSE MAY BE OBTAINED FROM THE DISTRIBUTOR OR BY CONTACTING 3DFX INTERACTIVE INC (info@3dfx.com). THIS PROGRAM. IS PROVIDED \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED. SEE THE 3DFX GLIDE GENERAL PUBLIC LICENSE FOR A FULL TEXT OF THE NON-WARRANTY PROVISIONS.\n\n		 USE, DUPLICATION OR DISCLOSURE BY THE GOVERNMENT IS SUBJECT TO RESTRICTIONS AS SET FORTH IN SUBDIVISION (C)(1)(II) OF THE RIGHTS IN TECHNICAL DATA AND COMPUTER SOFTWARE CLAUSE AT DFARS 252.227-7013, AND/OR IN SIMILAR OR SUCCESSOR CLAUSES IN THE FAR, DOD OR NASA FAR SUPPLEMENT. UNPUBLISHED RIGHTS RESERVED UNDER THE COPYRIGHT LAWS OF THE UNITED STATES.\n\n		 COPYRIGHT 3DFX INTERACTIVE, INC. 1999, ALL RIGHTS RESERVED\"\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You may distribute the Program or a Derivative Work in object code or executable form under the terms of Sections 3.1 and 3.2 provided that you also do one of the following:\n\n			<<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 3.1 and 3.2; or,\n\n			<<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 3.1 and 3.2 on a medium customarily used for software interchange; or,\n\n			<<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection 3.3(b)(2) above.)\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> The source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable code.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> If distribution of executable code or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n		 <<var;name=\"bullet\";original=\"(e)\";match=\".{0,20}\">> Each time you redistribute the Program or any Derivative Work, the recipient automatically receives a license from 3dfx and successor licensors to copy, distribute or modify the Program and Derivative Works subject to the terms and conditions of the License. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n		 <<var;name=\"bullet\";original=\"(f)\";match=\".{0,20}\">> You may not make any use of the GLIDE trademark without the prior written permission of 3dfx.\n\n		 <<var;name=\"bullet\";original=\"(g)\";match=\".{0,20}\">> You may not copy, modify, sublicense, or distribute the Program or any Derivative Works except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program or any Derivative Works is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MISCELLANEOUS\n\n	  <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> Acceptance of this License is voluntary. By using, modifying or distributing the Program or any Derivative Work, you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it. Nothing else grants you permission to modify or distribute the Program or Derivative Works and doing so without acceptance of this License is in violation of the U.S. and international copyright laws.\n\n	  <<var;name=\"bullet\";original=\"4.2\";match=\".{0,20}\">> If the distribution and/or use of the Program or Derivative Works is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n	  <<var;name=\"bullet\";original=\"4.3\";match=\".{0,20}\">> This License is to be consTrued according to the laws of the State of California and you consent to personal jurisdiction in the State of California in the event it is necessary to enforce the provisions of this License.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> NO WARRANTIES\n\n	  <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> TO THE EXTENT PERMITTED BY APPLICABLE LAW, THERE IS NO WARRANTY FOR THE PROGRAM. OR DERIVATIVE WORKS THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM AND ANY DERIVATIVE WORKS\"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM AND ANY DERIVATIVE WORK IS WITH YOU. SHOULD THE PROGRAM OR ANY DERIVATIVE WORK PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n	  <<var;name=\"bullet\";original=\"5.2\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW WILL 3DFX INTERACTIVE, INC., OR ANY OTHER COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM OR DERIVATIVE WORKS AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM OR DERIVATIVE WORKS (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM OR DERIVATIVE WORKS TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES."
		self.name = "3dfx Glide License"
		self.licenseId = "Glide"
		self.crossRef = [{"match": "N/A", "url": "http://www.users.on.net/~triforce/glidexp/COPYING.txt", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:10:02Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.users.on.net/~triforce/glidexp/COPYING.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>3DFX GLIDE Source Code General Public License</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  PREAMBLE\n		  <p>This license is for software that provides a 3D graphics application program interface (API).The license\n			 is intended to offer terms similar to some standard General Public Licenses designed to foster open\n			 standards and unrestricted accessibility to source code. Some of these licenses require that, as a\n			 condition of the license of the software, any derivative works (that is, new software which is a work\n			 containing the original program or a portion of it) must be available for general use, without\n			 restriction other than for a minor transfer fee, and that the source code for such derivative works\n			 must likewise be made available. The only restriction is that such derivative works must be subject to\n			 the same General Public License terms as the original work.</p>\n\n			<p>This 3dfx GLIDE Source Code General Public License differs from the standard licenses of this type in\n			 that it does not require the entire derivative work to be made available under the terms of this\n			 license nor is the recipient required to make available the source code for the entire derivative\n			 work. Rather, the license is limited to only the identifiable portion of the derivative work that is\n			 derived from the licensed software. The precise terms and conditions for copying, distribution and\n			 modification follow.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  DEFINITIONS\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1</var>\n			  This License applies to any program (or other &quot;work&quot;) which contains a notice\n				 placed by the copyright holder saying it may be distributed under the terms of this 3dfx\n				 GLIDE Source Code General Public License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2</var>\n			  The term &quot;Program&quot; as used in this Agreement refers to 3DFX&apos;s GLIDE source\n				 code and object code and any Derivative Work.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.3</var>\n			  &quot;Derivative Work&quot; means, for the purpose of the License, that portion of any work\n				 that contains the Program or the identifiable portion of a work that is derived from the\n				 Program, either verbatim or with modifications and/or translated into another language,\n				 and that performs 3D graphics API operations. It does not include any other portions of a\n				 work.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.4</var>\n			  &quot;Modifications of the Program&quot; means any work, which includes a Derivative Work,\n				 and includes the whole of such work.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.5</var>\n			  &quot;License&quot; means this 3dfx GLIDE Source Code General Public License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.6</var>\n			  The &quot;Source Code&quot; for a work means the preferred form of the work for making\n				 modifications to it. For an executable work, complete source code means all the source\n				 code for all modules it contains, any associated interface definition files, and the\n				 scripts used to control compilation and installation of the executable work.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.7</var>\n			  &quot;3dfx&quot; means 3dfx Interactive, Inc.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  LICENSED ACTIVITIES\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n			  COPYING - You may copy and distribute verbatim copies of the Program&apos;s Source Code as\n				 you receive it, in any medium, subject to the provision of section 3.3 and provided also\n				 that:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  you conspicuously and appropriately publish on each copy an appropriate copyright notice\n					 (3dfx Interactive, Inc. 1999), a notice that recipients who wish to copy, distribute\n					 or modify the Program can only do so subject to this License, and a disclaimer of\n					 warranty as set forth in section 5;\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  keep intact all the notices that refer to this License and to the absence of any warranty; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				  do not make any use of the GLIDE trademark without the prior written permission of 3dfx, and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				  give all recipients of the Program a copy of this License along with the Program or\n					 instructions on how to easily receive a copy of this License.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n			  MODIFICATION OF THE PROGRAM/DERIVATIVE WORKS - You may modify your copy or copies of the\n				 Program or any portion of it, and copy and distribute such modifications subject to the\n				 provisions of section 3.3 and provided that you also meet all of the following\n				 conditions:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  you conspicuously and appropriately publish on each copy of a Derivative Work an\n					 appropriate copyright notice, a notice that recipients who wish to copy, distribute or\n					 modify the Derivative Work can only do so subject to this License, and a disclaimer of\n					 warranty as set forth in section 5;\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  keep intact all the notices that refer to this License and to the absence of any\n					 warranty; and (c) give all recipients of the Derivative Work a copy of this License\n					 along with the Derivative Work or instructions on how to easily receive a copy of this\n					 License.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				  You must cause the modified files of the Derivative Work to carry prominent notices\n					 stating that you changed the files and the date of any change.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (e)</var>\n				  You must cause any Derivative Work that you distribute or publish to be licensed at no\n					 charge to all third parties under the terms of this License.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (f)</var>\n				  You do not make any use of the GLIDE trademark without the prior written permission of 3dfx.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (g)</var>\n				  If the Derivative Work normally reads commands interactively when run, you must cause it,\n					 when started running for such interactive use, to print or display an announcement as\n					 follows:\n				  <p>&quot;COPYRIGHT 3DFX INTERACTIVE, INC. 1999, ALL RIGHTS RESERVED THIS SOFTWARE IS FREE\n					 AND PROVIDED &quot;AS IS,&quot; WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR\n					 IMPLIED. THERE IS NO RIGHT TO USE THE GLIDE TRADEMARK WITHOUT PRIOR WRITTEN PERMISSION\n					 OF 3DFX INTERACTIVE, INC. SEE THE 3DFX GLIDE GENERAL PUBLIC LICENSE FOR A FULL TEXT OF\n					 THE DISTRIBUTION AND NON-WARRANTY PROVISIONS (REQUEST COPY FROM\n					 INFO@3DFX.COM).&quot;</p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (h)</var>\n				  The requirements of this section 3.2 do not apply to the modified work as a whole but\n					 only to the Derivative Work. It is not the intent of this License to claim rights or\n					 contest your rights to work written entirely by you; rather, the intent is to exercise\n					 the right to control the distribution of Derivative Works.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3</var>\n			  DISTRIBUTION\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  All copies of the Program or Derivative Works which are distributed must include in the\n					 file headers the following language verbatim:\n				  <p>&quot;THIS SOFTWARE IS SUBJECT TO COPYRIGHT PROTECTION AND IS OFFERED ONLY PURSUANT TO\n					 THE 3DFX GLIDE GENERAL PUBLIC LICENSE. THERE IS NO RIGHT TO USE THE GLIDE TRADEMARK\n					 WITHOUT PRIOR WRITTEN PERMISSION OF 3DFX INTERACTIVE, INC. A COPY OF THIS LICENSE MAY\n					 BE OBTAINED FROM THE DISTRIBUTOR OR BY CONTACTING 3DFX INTERACTIVE INC\n					 (info@3dfx.com). THIS PROGRAM. IS PROVIDED &quot;AS IS&quot; WITHOUT WARRANTY OF ANY\n					 KIND, EITHER EXPRESSED OR IMPLIED. SEE THE 3DFX GLIDE GENERAL PUBLIC LICENSE FOR A\n					 FULL TEXT OF THE NON-WARRANTY PROVISIONS.</p>\n\n						<p>USE, DUPLICATION OR DISCLOSURE BY THE GOVERNMENT IS SUBJECT TO RESTRICTIONS AS SET FORTH\n					 IN SUBDIVISION (C)(1)(II) OF THE RIGHTS IN TECHNICAL DATA AND COMPUTER SOFTWARE CLAUSE\n					 AT DFARS 252.227-7013, AND/OR IN SIMILAR OR SUCCESSOR CLAUSES IN THE FAR, DOD OR NASA\n					 FAR SUPPLEMENT. UNPUBLISHED RIGHTS RESERVED UNDER THE COPYRIGHT LAWS OF THE UNITED\n					 STATES.</p>\n\n						<p>COPYRIGHT 3DFX INTERACTIVE, INC. 1999, ALL RIGHTS RESERVED&quot;</p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  You may distribute the Program or a Derivative Work in object code or executable form\n					 under the terms of Sections 3.1 and 3.2 provided that you also do one of the\n					 following:\n				  \n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> (1)</var>\n					  Accompany it with the complete corresponding machine-readable source code, which must\n						 be distributed under the terms of Sections 3.1 and 3.2; or,\n					</li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> (2)</var>\n					  Accompany it with a written offer, valid for at least three years, to give any third\n						 party, for a charge no more than your cost of physically performing source\n						 distribution, a complete machine-readable copy of the corresponding source code,\n						 to be distributed under the terms of Sections 3.1 and 3.2 on a medium customarily\n						 used for software interchange; or,\n					</li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> (3)</var>\n					  Accompany it with the information you received as to the offer to distribute\n						 corresponding source code. (This alternative is allowed only for noncommercial\n						 distribution and only if you received the program in object code or executable\n						 form with such an offer, in accord with Subsection 3.3(b)(2) above.)\n					</li>\n						\n</ul>\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				  The source code distributed need not include anything that is normally distributed (in\n					 either source or binary form) with the major components (compiler, kernel, and so on)\n					 of the operating system on which the executable runs, unless that component itself\n					 accompanies the executable code.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				  If distribution of executable code or object code is made by offering access to copy from\n					 a designated place, then offering equivalent access to copy the source code from the\n					 same place counts as distribution of the source code, even though third parties are\n					 not compelled to copy the source along with the object code.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (e)</var>\n				  Each time you redistribute the Program or any Derivative Work, the recipient\n					 automatically receives a license from 3dfx and successor licensors to copy, distribute\n					 or modify the Program and Derivative Works subject to the terms and conditions of the\n					 License. You may not impose any further restrictions on the recipients&apos; exercise\n					 of the rights granted herein. You are not responsible for enforcing compliance by\n					 third parties to this License.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (f)</var>\n				  You may not make any use of the GLIDE trademark without the prior written permission of 3dfx.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (g)</var>\n				  You may not copy, modify, sublicense, or distribute the Program or any Derivative Works\n					 except as expressly provided under this License. Any attempt otherwise to copy,\n					 modify, sublicense or distribute the Program or any Derivative Works is void, and will\n					 automatically terminate your rights under this License. However, parties who have\n					 received copies, or rights, from you under this License will not have their licenses\n					 terminated so long as such parties remain in full compliance.\n				</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 4.</var>\n			  MISCELLANEOUS\n			  \n<ul style=\"list-style:none\">\n				\n<li>\n				 <var class=\"replaceable-license-text\"> 4.1</var>\n				  Acceptance of this License is voluntary. By using, modifying or distributing the Program or\n					 any Derivative Work, you indicate your acceptance of this License to do so, and all its\n					 terms and conditions for copying, distributing or modifying the Program or works based on\n					 it. Nothing else grants you permission to modify or distribute the Program or Derivative\n					 Works and doing so without acceptance of this License is in violation of the U.S. and\n					 international copyright laws.\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 4.2</var>\n				  If the distribution and/or use of the Program or Derivative Works is restricted in certain\n					 countries either by patents or by copyrighted interfaces, the original copyright holder\n					 who places the Program under this License may add an explicit geographical distribution\n					 limitation excluding those countries, so that distribution is permitted only in or among\n					 countries not thus excluded. In such case, this License incorporates the limitation as if\n					 written in the body of this License.\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 4.3</var>\n				  This License is to be consTrued according to the laws of the State of California and you\n					 consent to personal jurisdiction in the State of California in the event it is necessary\n					 to enforce the provisions of this License.\n				</li>\n			  \n</ul>\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 5.</var>\n			  NO WARRANTIES\n			  \n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 5.1</var>\n				  TO THE EXTENT PERMITTED BY APPLICABLE LAW, THERE IS NO WARRANTY FOR THE PROGRAM. OR\n					 DERIVATIVE WORKS THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM AND ANY\n					 DERIVATIVE WORKS&quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR\n					 IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n					 FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE\n					 PROGRAM AND ANY DERIVATIVE WORK IS WITH YOU. SHOULD THE PROGRAM OR ANY DERIVATIVE WORK\n					 PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 5.2</var>\n				  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW WILL 3DFX INTERACTIVE, INC., OR ANY OTHER\n					 COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM OR\n					 DERIVATIVE WORKS AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL,\n					 SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE\n					 THE PROGRAM OR DERIVATIVE WORKS (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING\n					 RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\n					 PROGRAM OR DERIVATIVE WORKS TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR\n					 OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n				</li>\n			  \n</ul>\n			</li>\n		  \n</ul>\n	"
		self.python_name = "Glide"

	def __str__(self):
		return json.dumps(self.__dict__)


class Spencer99:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1998, 1999 Henry Spencer. All rights reserved.\n\nDevelopment of this software was funded, in part, by Cray Research Inc., UUNET Communications Services Inc., Sun Microsystems Inc., and Scriptics Corporation, none of whom are responsible for the results. The author thanks all of them.\n\nRedistribution and use in source and binary forms - with or without modification - are permitted for any purpose, provided that redistributions in source form retain this entire copyright notice and indicate the origin and nature of any modifications.\n\nI'd appreciate being given credit for this package in the documentation of software which uses it, but that is not a requirement.\n\nTHIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL HENRY SPENCER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1998, 1999 Henry Spencer. All rights reserved.  \";match=\".{0,5000}\">>\n\nDevelopment of this software was funded, in part, by Cray Research Inc., UUNET Communications Services Inc., Sun Microsystems Inc., and Scriptics Corporation, none of whom are responsible for the results. The author thanks all of them.\n\nRedistribution and use in source and binary forms - with or without modification - are permitted for any purpose, provided that redistributions in source form retain this entire copyright notice and indicate the origin and nature of any modifications.\n\nI'd appreciate being given credit for this package in the documentation of software which uses it, but that is not a requirement.\n\nTHIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL HENRY SPENCER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Spencer License 99"
		self.licenseId = "Spencer-99"
		self.crossRef = [{"match": "False", "url": "http://www.opensource.apple.com/source/tcl/tcl-5/tcl/generic/regfronts.c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:00Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.opensource.apple.com/source/tcl/tcl-5/tcl/generic/regfronts.c"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1998, 1999 Henry Spencer. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Development of this software was funded, in part, by Cray Research Inc., UUNET Communications Services\n		 Inc., Sun Microsystems Inc., and Scriptics Corporation, none of whom are responsible for the results.\n		 The author thanks all of them.</p>\n\n	  <p>Redistribution and use in source and binary forms - with or without modification - are permitted for any\n		 purpose, provided that redistributions in source form retain this entire copyright notice and indicate\n		 the origin and nature of any modifications.</p>\n\n	  <p>I&apos;d appreciate being given credit for this package in the documentation of software which uses it, but\n		 that is not a requirement.</p>\n\n	  <p>THIS SOFTWARE IS PROVIDED ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,\n		 THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO\n		 EVENT SHALL HENRY SPENCER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR\n		 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n		 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\n		 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING\n		 IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "Spencer99"

	def __str__(self):
		return json.dumps(self.__dict__)


class EUPL11:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "European Union Public Licence V. 1.1\n\nEUPL (c) the European Community 2007\n\nThis European Union Public Licence (the \"EUPL\") applies to the Work or Software (as defined below) which is provided under the terms of this Licence. Any use of the Work, other than as authorised under this Licence is prohibited (to the extent such use is covered by a right of the copyright holder of the Work).\n\nThe Original Work is provided under the terms of this Licence when the Licensor (as defined below) has placed the following notice immediately following the copyright notice for the Original Work:\n\n	 Licensed under the EUPL V.1.1\n\nor has expressed by any other mean his willingness to license under the EUPL.\n\n1. Definitions\n\nIn this Licence, the following terms have the following meaning:\n\n	 - The Licence: this Licence.\n\n	 - The Original Work or the Software: the software distributed and/or communicated by the Licensor under this Licence, available as Source Code and also as Executable Code as the case may be.\n\n	 - Derivative Works: the works or software that could be created by the Licensee, based upon the Original Work or modifications thereof. This Licence does not define the extent of modification or dependence on the Original Work required in order to classify a work as a Derivative Work; this extent is determined by copyright law applicable in the country mentioned in Article 15.\n\n	 - The Work: the Original Work and/or its Derivative Works.\n\n	 - The Source Code: the human-readable form of the Work which is the most convenient for people to study and modify.\n\n	 - The Executable Code: any code which has generally been compiled and which is meant to be interpreted by a computer as a program.\n\n	 - The Licensor: the natural or legal person that distributes and/or communicates the Work under the Licence.\n\n	 - Contributor(s): any natural or legal person who modifies the Work under the Licence, or otherwise contributes to the creation of a Derivative Work.\n\n	 - The Licensee or \"You\": any natural or legal person who makes any usage of the Software under the terms of the Licence.\n\n	 - Distribution and/or Communication: any act of selling, giving, lending, renting, distributing, communicating, transmitting, or otherwise making available, on-line or off-line, copies of the Work or providing access to its essential functionalities at the disposal of any other natural or legal person.\n\n2. Scope of the rights granted by the Licence\n\nThe Licensor hereby grants You a world-wide, royalty-free, non-exclusive, sublicensable licence to do the following, for the duration of copyright vested in the Original Work:\n\n	 - use the Work in any circumstance and for all usage,\n\n	 - reproduce the Work,\n\n	 - modify the Original Work, and make Derivative Works based upon the Work,\n\n	 - communicate to the public, including the right to make available or display the Work or copies thereof to the public and perform publicly, as the case may be, the Work,\n\n	 - distribute the Work or copies thereof,\n\n	 - lend and rent the Work or copies thereof,\n\n	 - sub-license rights in the Work or copies thereof.\n\nThose rights can be exercised on any media, supports and formats, whether now known or later invented, as far as the applicable law permits so.\n\nIn the countries where moral rights apply, the Licensor waives his right to exercise his moral right to the extent allowed by law in order to make effective the licence of the economic rights here above listed.\n\nThe Licensor grants to the Licensee royalty-free, non exclusive usage rights to any patents held by the Licensor, to the extent necessary to make use of the rights granted on the Work under this Licence.\n\n3. Communication of the Source Code\n\nThe Licensor may provide the Work either in its Source Code form, or as Executable Code. If the Work is provided as Executable Code, the Licensor provides in addition a machine-readable copy of the Source Code of the Work along with each copy of the Work that the Licensor distributes or indicates, in a notice following the copyright notice attached to the Work, a repository where the Source Code is easily and freely accessible for as long as the Licensor continues to distribute and/or communicate the Work.\n\n4. Limitations on copyright\n\nNothing in this Licence is intended to deprive the Licensee of the benefits from any exception or limitation to the exclusive rights of the rights owners in the Original Work or Software, of the exhaustion of those rights or of other applicable limitations thereto.\n\n5. Obligations of the Licensee\n\nThe grant of the rights mentioned above is subject to some restrictions and obligations imposed on the Licensee. Those obligations are the following:\n\nAttribution right: the Licensee shall keep intact all copyright, patent or trademarks notices and all notices that refer to the Licence and to the disclaimer of warranties. The Licensee must include a copy of such notices and a copy of the Licence with every copy of the Work he/she distributes and/or communicates. The Licensee must cause any Derivative Work to carry prominent notices stating that the Work has been modified and the date of modification.\n\nCopyleft clause: If the Licensee distributes and/or communicates copies of the Original Works or Derivative Works based upon the Original Work, this Distribution and/or Communication will be done under the terms of this Licence or of a later version of this Licence unless the Original Work is expressly distributed only under this version of the Licence. The Licensee (becoming Licensor) cannot offer or impose any additional terms or conditions on the Work or Derivative Work that alter or restrict the terms of the Licence.\n\nCompatibility clause: If the Licensee Distributes and/or Communicates Derivative Works or copies thereof based upon both the Original Work and another work licensed under a Compatible Licence, this Distribution and/or Communication can be done under the terms of this Compatible Licence. For the sake of this clause, \"Compatible Licence,\" refers to the licences listed in the appendix attached to this Licence. Should the Licensee's obligations under the Compatible Licence conflict with his/her obligations under this Licence, the obligations of the Compatible Licence shall prevail.\n\nProvision of Source Code: When distributing and/or communicating copies of the Work, the Licensee will provide a machine-readable copy of the Source Code or indicate a repository where this Source will be easily and freely available for as long as the Licensee continues to distribute and/or communicate the Work.\n\nLegal Protection: This Licence does not grant permission to use the trade names, trademarks, service marks, or names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the copyright notice.\n\n6. Chain of Authorship\n\nThe original Licensor warrants that the copyright in the Original Work granted hereunder is owned by him/her or licensed to him/her and that he/she has the power and authority to grant the Licence.\n\nEach Contributor warrants that the copyright in the modifications he/she brings to the Work are owned by him/her or licensed to him/her and that he/she has the power and authority to grant the Licence.\n\nEach time You accept the Licence, the original Licensor and subsequent Contributors grant You a licence to their contributions to the Work, under the terms of this Licence.\n\n7. Disclaimer of Warranty\n\nThe Work is a work in progress, which is continuously improved by numerous contributors. It is not a finished work and may therefore contain defects or \"bugs\" inherent to this type of software development.\n\nFor the above reason, the Work is provided under the Licence on an \"as is\" basis and without warranties of any kind concerning the Work, including without limitation merchantability, fitness for a particular purpose, absence of defects or errors, accuracy, non-infringement of intellectual property rights other than copyright as stated in Article 6 of this Licence.\n\nThis disclaimer of warranty is an essential part of the Licence and a condition for the grant of any rights to the Work.\n\n8. Disclaimer of Liability\n\nExcept in the cases of wilful misconduct or damages directly caused to natural persons, the Licensor will in no event be liable for any direct or indirect, material or moral, damages of any kind, arising out of the Licence or of the use of the Work, including without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, loss of data or any commercial damage, even if the Licensor has been advised of the possibility of such damage. However, the Licensor will be liable under statutory product liability laws as far such laws apply to the Work.\n\n9. Additional agreements\n\nWhile distributing the Original Work or Derivative Works, You may choose to conclude an additional agreement to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or services consistent with this Licence. However, in accepting such obligations, You may act only on your own behalf and on your sole responsibility, not on behalf of the original Licensor or any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against such Contributor by the fact You have accepted any such warranty or additional liability.\n\n10. Acceptance of the Licence\n\nThe provisions of this Licence can be accepted by clicking on an icon \"I agree\" placed under the bottom of a window displaying the text of this Licence or by affirming consent in any other similar way, in accordance with the rules of applicable law. Clicking on that icon indicates your clear and irrevocable acceptance of this Licence and all of its terms and conditions.\n\nSimilarly, you irrevocably accept this Licence and all of its terms and conditions by exercising any rights granted to You by Article 2 of this Licence, such as the use of the Work, the creation by You of a Derivative Work or the Distribution and/or Communication by You of the Work or copies thereof.\n\n11. Information to the public\n\nIn case of any Distribution and/or Communication of the Work by means of electronic communication by You (for example, by offering to download the Work from a remote location) the distribution channel or media (for example, a website) must at least provide to the public the information requested by the applicable law regarding the Licensor, the Licence and the way it may be accessible, concluded, stored and reproduced by the Licensee.\n\n12. Termination of the Licence\n\nThe Licence and the rights granted hereunder will terminate automatically upon any breach by the Licensee of the terms of the Licence. Such a termination will not terminate the licences of any person who has received the Work from the Licensee under the Licence, provided such persons remain in full compliance with the Licence.\n\n13. Miscellaneous\n\nWithout prejudice of Article 9 above, the Licence represents the complete agreement between the Parties as to the Work licensed hereunder.\n\nIf any provision of the Licence is invalid or unenforceable under applicable law, this will not affect the validity or enforceability of the Licence as a whole. Such provision will be consTrued and/or reformed so as necessary to make it valid and enforceable.\n\nThe European Commission may publish other linguistic versions and/or new versions of this Licence, so far this is required and reasonable, without reducing the scope of the rights granted by the Licence. New versions of the Licence will be published with a unique version number.\n\nAll linguistic versions of this Licence, approved by the European Commission, have identical value. Parties can take advantage of the linguistic version of their choice.\n\n14. Jurisdiction\n\nAny litigation resulting from the interpretation of this License, arising between the European Commission, as a Licensor, and any Licensee, will be subject to the jurisdiction of the Court of Justice of the European Communities, as laid down in article 238 of the Treaty establishing the European Community.\n\nAny litigation arising between Parties, other than the European Commission, and resulting from the interpretation of this License, will be subject to the exclusive jurisdiction of the competent court where the Licensor resides or conducts its primary business.\n\n15. Applicable Law\n\nThis Licence shall be governed by the law of the European Union country where the Licensor resides or has his registered office.\n\nThis licence shall be governed by the Belgian law if:\n\n	 - a litigation arises between the European Commission, as a Licensor, and any Licensee;\n\n	 - the Licensor, other than the European Commission, has no residence or registered office inside a European Union country.\n\n\n\nAppendix\n\n\"Compatible Licences\" according to article 5 EUPL are:\n\n	 - GNU General Public License (GNU GPL) v. 2\n	 - Open Software License (OSL) v. 2.1, v. 3.0\n	 - Common Public License v. 1.0\n	 - Eclipse Public License v. 1.0\n	 - Cecill v. 2.0\n"
		self.standardLicenseTemplate = "<<beginOptional>>European Union Public Licence V. 1.1\n\n<<endOptional>> <<var;name=\"copyright\";original=\"EUPL (c) the European Community 2007  \";match=\".{0,5000}\">>\n\nThis European Union Public Licence (the \"EUPL\") applies to the Work or Software (as defined below) which is provided under the terms of this Licence. Any use of the Work, other than as authorised under this Licence is prohibited (to the extent such use is covered by a right of the copyright holder of the Work).\n\nThe Original Work is provided under the terms of this Licence when the Licensor (as defined below) has placed the following notice immediately following the copyright notice for the Original Work:\n\n   Licensed under the EUPL V.1.1\n\n   or has expressed by any other mean his willingness to license under the EUPL.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n   In this Licence, the following terms have the following meaning:\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> The Licence: this Licence.\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> The Original Work or the Software: the software distributed and/or communicated by the Licensor under this Licence, available as Source Code and also as Executable Code as the case may be.\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Derivative Works: the works or software that could be created by the Licensee, based upon the Original Work or modifications thereof. This Licence does not define the extent of modification or dependence on the Original Work required in order to classify a work as a Derivative Work; this extent is determined by copyright law applicable in the country mentioned in Article 15.\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> The Work: the Original Work and/or its Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> The Source Code: the human-readable form of the Work which is the most convenient for people to study and modify.\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> The Executable Code: any code which has generally been compiled and which is meant to be interpreted by a computer as a program.\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> The Licensor: the natural or legal person that distributes and/or communicates the Work under the Licence.\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Contributor(s): any natural or legal person who modifies the Work under the Licence, or otherwise contributes to the creation of a Derivative Work.\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> The Licensee or \"You\": any natural or legal person who makes any usage of the Software under the terms of the Licence.\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Distribution and/or Communication: any act of selling, giving, lending, renting, distributing, communicating, transmitting, or otherwise making available, on-line or off-line, copies of the Work or providing access to its essential functionalities at the disposal of any other natural or legal person.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Scope of the rights granted by the Licence\n\n   The Licensor hereby grants You a world-wide, royalty-free, non-exclusive, sublicensable licence to do the following, for the duration of copyright vested in the Original Work:\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> use the Work in any circumstance and for all usage,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> reproduce the Work,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> modify the Original Work, and make Derivative Works based upon the Work,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> communicate to the public, including the right to make available or display the Work or copies thereof to the public and perform publicly, as the case may be, the Work,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> distribute the Work or copies thereof,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> lend and rent the Work or copies thereof,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> sub-license rights in the Work or copies thereof.\n\n   Those rights can be exercised on any media, supports and formats, whether now known or later invented, as far as the applicable law permits so.\n\n   In the countries where moral rights apply, the Licensor waives his right to exercise his moral right to the extent allowed by law in order to make effective the licence of the economic rights here above listed.\n\n   The Licensor grants to the Licensee royalty-free, non exclusive usage rights to any patents held by the Licensor, to the extent necessary to make use of the rights granted on the Work under this Licence.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Communication of the Source Code\n\n   The Licensor may provide the Work either in its Source Code form, or as Executable Code. If the Work is provided as Executable Code, the Licensor provides in addition a machine-readable copy of the Source Code of the Work along with each copy of the Work that the Licensor distributes or indicates, in a notice following the copyright notice attached to the Work, a repository where the Source Code is easily and freely accessible for as long as the Licensor continues to distribute and/or communicate the Work.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Limitations on copyright\n\n   Nothing in this Licence is intended to deprive the Licensee of the benefits from any exception or limitation to the exclusive rights of the rights owners in the Original Work or Software, of the exhaustion of those rights or of other applicable limitations thereto.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Obligations of the Licensee\n\n   The grant of the rights mentioned above is subject to some restrictions and obligations imposed on the Licensee. Those obligations are the following:\n\n   Attribution right: the Licensee shall keep intact all copyright, patent or trademarks notices and all notices that refer to the Licence and to the disclaimer of warranties. The Licensee must include a copy of such notices and a copy of the Licence with every copy of the Work he/she distributes and/or communicates. The Licensee must cause any Derivative Work to carry prominent notices stating that the Work has been modified and the date of modification.\n\n   Copyleft clause: If the Licensee distributes and/or communicates copies of the Original Works or Derivative Works based upon the Original Work, this Distribution and/or Communication will be done under the terms of this Licence or of a later version of this Licence unless the Original Work is expressly distributed only under this version of the Licence. The Licensee (becoming Licensor) cannot offer or impose any additional terms or conditions on the Work or Derivative Work that alter or restrict the terms of the Licence.\n\n   Compatibility clause: If the Licensee Distributes and/or Communicates Derivative Works or copies thereof based upon both the Original Work and another work licensed under a Compatible Licence, this Distribution and/or Communication can be done under the terms of this Compatible Licence. For the sake of this clause, \"Compatible Licence,\" refers to the licences listed in the appendix attached to this Licence. Should the Licensee's obligations under the Compatible Licence conflict with his/her obligations under this Licence, the obligations of the Compatible Licence shall prevail.\n\n   Provision of Source Code: When distributing and/or communicating copies of the Work, the Licensee will provide a machine-readable copy of the Source Code or indicate a repository where this Source will be easily and freely available for as long as the Licensee continues to distribute and/or communicate the Work.\n\n   Legal Protection: This Licence does not grant permission to use the trade names, trademarks, service marks, or names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the copyright notice.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Chain of Authorship\n\n   The original Licensor warrants that the copyright in the Original Work granted hereunder is owned by him/her or licensed to him/her and that he/she has the power and authority to grant the Licence.\n\n   Each Contributor warrants that the copyright in the modifications he/she brings to the Work are owned by him/her or licensed to him/her and that he/she has the power and authority to grant the Licence.\n\n   Each time You accept the Licence, the original Licensor and subsequent Contributors grant You a licence to their contributions to the Work, under the terms of this Licence.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Disclaimer of Warranty\n\n   The Work is a work in progress, which is continuously improved by numerous contributors. It is not a finished work and may therefore contain defects or \"bugs\" inherent to this type of software development.\n\n   For the above reason, the Work is provided under the Licence on an \"as is\" basis and without warranties of any kind concerning the Work, including without limitation merchantability, fitness for a particular purpose, absence of defects or errors, accuracy, non-infringement of intellectual property rights other than copyright as stated in Article 6 of this Licence.\n\n   This disclaimer of warranty is an essential part of the Licence and a condition for the grant of any rights to the Work.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Disclaimer of Liability\n\n   Except in the cases of wilful misconduct or damages directly caused to natural persons, the Licensor will in no event be liable for any direct or indirect, material or moral, damages of any kind, arising out of the Licence or of the use of the Work, including without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, loss of data or any commercial damage, even if the Licensor has been advised of the possibility of such damage. However, the Licensor will be liable under statutory product liability laws as far such laws apply to the Work.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Additional agreements\n\n   While distributing the Original Work or Derivative Works, You may choose to conclude an additional agreement to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or services consistent with this Licence. However, in accepting such obligations, You may act only on your own behalf and on your sole responsibility, not on behalf of the original Licensor or any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against such Contributor by the fact You have accepted any such warranty or additional liability.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Acceptance of the Licence\n\n   The provisions of this Licence can be accepted by clicking on an icon \"I agree\" placed under the bottom of a window displaying the text of this Licence or by affirming consent in any other similar way, in accordance with the rules of applicable law. Clicking on that icon indicates your clear and irrevocable acceptance of this Licence and all of its terms and conditions.\n\n   Similarly, you irrevocably accept this Licence and all of its terms and conditions by exercising any rights granted to You by Article 2 of this Licence, such as the use of the Work, the creation by You of a Derivative Work or the Distribution and/or Communication by You of the Work or copies thereof.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Information to the public\n\n   In case of any Distribution and/or Communication of the Work by means of electronic communication by You (for example, by offering to download the Work from a remote location) the distribution channel or media (for example, a website) must at least provide to the public the information requested by the applicable law regarding the Licensor, the Licence and the way it may be accessible, concluded, stored and reproduced by the Licensee.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Termination of the Licence\n\n   The Licence and the rights granted hereunder will terminate automatically upon any breach by the Licensee of the terms of the Licence. Such a termination will not terminate the licences of any person who has received the Work from the Licensee under the Licence, provided such persons remain in full compliance with the Licence.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Miscellaneous\n\n   Without prejudice of Article 9 above, the Licence represents the complete agreement between the Parties as to the Work licensed hereunder.\n\n   If any provision of the Licence is invalid or unenforceable under applicable law, this will not affect the validity or enforceability of the Licence as a whole. Such provision will be consTrued and/or reformed so as necessary to make it valid and enforceable.\n\n   The European Commission may publish other linguistic versions and/or new versions of this Licence, so far this is required and reasonable, without reducing the scope of the rights granted by the Licence. New versions of the Licence will be published with a unique version number.\n\n   All linguistic versions of this Licence, approved by the European Commission, have identical value. Parties can take advantage of the linguistic version of their choice.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Jurisdiction\n\n   Any litigation resulting from the interpretation of this License, arising between the European Commission, as a Licensor, and any Licensee, will be subject to the jurisdiction of the Court of Justice of the European Communities, as laid down in article 238 of the Treaty establishing the European Community.\n\n   Any litigation arising between Parties, other than the European Commission, and resulting from the interpretation of this License, will be subject to the exclusive jurisdiction of the competent court where the Licensor resides or conducts its primary business.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Applicable Law\n\n   This Licence shall be governed by the law of the European Union country where the Licensor resides or has his registered office.\n\n   This licence shall be governed by the Belgian law if:\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> a litigation arises between the European Commission, as a Licensor, and any Licensee;\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> the Licensor, other than the European Commission, has no residence or registered office inside a European Union country.\n\nAppendix\n\n\"Compatible Licences\" according to article 5 EUPL are:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> GNU General Public License (GNU GPL) v. 2\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Open Software License (OSL) v. 2.1, v. 3.0\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Common Public License v. 1.0\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Eclipse Public License v. 1.0\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Cecill v. 2.0"
		self.name = "European Union Public License 1.1"
		self.licenseComments = "This license was released: 16 May 2008 This license is available in the 22 official languages of the EU. The English version is included here."
		self.licenseId = "EUPL-1.1"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/EUPL-1.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:52Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://joinup.ec.europa.eu/sites/default/files/custom-page/attachment/eupl1.1.-licence-en_0.pdf", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:53Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "https://joinup.ec.europa.eu/software/page/eupl/licence-eupl", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:17:53Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://joinup.ec.europa.eu/software/page/eupl/licence-eupl", "https://joinup.ec.europa.eu/sites/default/files/custom-page/attachment/eupl1.1.-licence-en_0.pdf", "https://opensource.org/licenses/EUPL-1.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>European Union Public Licence V. 1.1</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>EUPL (c) the European Community 2007</p>\n\n	  </div>\n\n		<p>This European Union Public Licence (the &quot;EUPL&quot;) applies to the Work or Software (as defined below) which\n		 is provided under the terms of this Licence. Any use of the Work, other than as authorised under this\n		 Licence is prohibited (to the extent such use is covered by a right of the copyright holder of the\n		 Work).</p>\n\n		<p>The Original Work is provided under the terms of this Licence when the Licensor (as defined below) has\n		 placed the following notice immediately following the copyright notice for the Original Work:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			<p>Licensed under the EUPL V.1.1</p>\n\n		 </li>\n			\n<li>\n			<p>or has expressed by any other mean his willingness to license under the EUPL.</p>\n\n		 </li>\n		\n</ul>\n		\n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> 1.</var>\n				Definitions\n				<p>In this Licence, the following terms have the following meaning:</p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						The Licence: this Licence.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						The Original Work or the Software: the software distributed and/or communicated by the\n						 Licensor under this Licence, available as Source Code and also as Executable Code as the\n						 case may be.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						Derivative Works: the works or software that could be created by the Licensee, based upon the\n						 Original Work or modifications thereof. This Licence does not define the extent of\n						 modification or dependence on the Original Work required in order to classify a work as a\n						 Derivative Work; this extent is determined by copyright law applicable in the country\n						 mentioned in Article 15.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						The Work: the Original Work and/or its Derivative Works.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						The Source Code: the human-readable form of the Work which is the most convenient for people\n						 to study and modify.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						The Executable Code: any code which has generally been compiled and which is meant to be\n						 interpreted by a computer as a program.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						The Licensor: the natural or legal person that distributes and/or communicates the Work under\n						 the Licence.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						Contributor(s): any natural or legal person who modifies the Work under the Licence, or\n						 otherwise contributes to the creation of a Derivative Work.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						The Licensee or &quot;You&quot;: any natural or legal person who makes any usage of the Software under\n						 the terms of the Licence.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						Distribution and/or Communication: any act of selling, giving, lending, renting,\n						 distributing, communicating, transmitting, or otherwise making available, on-line or\n						 off-line, copies of the Work or providing access to its essential functionalities at the\n						 disposal of any other natural or legal person.\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 2.</var>\n				Scope of the rights granted by the Licence\n				<p>The Licensor hereby grants You a world-wide, royalty-free, non-exclusive, sublicensable licence\n				 to do the following, for the duration of copyright vested in the Original Work:</p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						use the Work in any circumstance and for all usage,\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						reproduce the Work,\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						modify the Original Work, and make Derivative Works based upon the Work,\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						communicate to the public, including the right to make available or display the Work or\n						 copies thereof to the public and perform publicly, as the case may be, the Work,\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						distribute the Work or copies thereof,\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						lend and rent the Work or copies thereof,\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						sub-license rights in the Work or copies thereof.\n					</li>\n				\n</ul>\n				<p>Those rights can be exercised on any media, supports and formats, whether now known or later\n				 invented, as far as the applicable law permits so.</p>\n\n				<p>In the countries where moral rights apply, the Licensor waives his right to exercise his\n				 moral right to the extent allowed by law in order to make effective the licence of the\n				 economic rights here above listed.</p>\n\n				<p>The Licensor grants to the Licensee royalty-free, non exclusive usage rights to any patents\n				 held by the Licensor, to the extent necessary to make use of the rights granted on the\n				 Work under this Licence.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 3.</var>\n				Communication of the Source Code\n				<p>The Licensor may provide the Work either in its Source Code form, or as Executable Code. If the\n				 Work is provided as Executable Code, the Licensor provides in addition a machine-readable copy\n				 of the Source Code of the Work along with each copy of the Work that the Licensor distributes\n				 or indicates, in a notice following the copyright notice attached to the Work, a repository\n				 where the Source Code is easily and freely accessible for as long as the Licensor continues to\n				 distribute and/or communicate the Work.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 4.</var>\n				Limitations on copyright\n				<p>Nothing in this Licence is intended to deprive the Licensee of the benefits from any exception or\n				 limitation to the exclusive rights of the rights owners in the Original Work or Software, of\n				 the exhaustion of those rights or of other applicable limitations thereto.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 5.</var>\n				Obligations of the Licensee\n				<p>The grant of the rights mentioned above is subject to some restrictions and obligations imposed\n				 on the Licensee. Those obligations are the following:</p>\n\n				<p>Attribution right: the Licensee shall keep intact all copyright, patent or trademarks notices and\n				 all notices that refer to the Licence and to the disclaimer of warranties. The Licensee must\n				 include a copy of such notices and a copy of the Licence with every copy of the Work he/she\n				 distributes and/or communicates. The Licensee must cause any Derivative Work to carry\n				 prominent notices stating that the Work has been modified and the date of modification.</p>\n\n				<p>Copyleft clause: If the Licensee distributes and/or communicates copies of the Original Works or\n				 Derivative Works based upon the Original Work, this Distribution and/or Communication will be\n				 done under the terms of this Licence or of a later version of this Licence unless the Original\n				 Work is expressly distributed only under this version of the Licence. The Licensee (becoming\n				 Licensor) cannot offer or impose any additional terms or conditions on the Work or Derivative\n				 Work that alter or restrict the terms of the Licence.</p>\n\n				<p>Compatibility clause: If the Licensee Distributes and/or Communicates Derivative Works or copies\n				 thereof based upon both the Original Work and another work licensed under a Compatible\n				 Licence, this Distribution and/or Communication can be done under the terms of this Compatible\n				 Licence. For the sake of this clause, &quot;Compatible Licence,&quot; refers to the licences listed in\n				 the appendix attached to this Licence. Should the Licensee&apos;s obligations under the Compatible\n				 Licence conflict with his/her obligations under this Licence, the obligations of the\n				 Compatible Licence shall prevail.</p>\n\n				<p>Provision of Source Code: When distributing and/or communicating copies of the Work, the Licensee\n				 will provide a machine-readable copy of the Source Code or indicate a repository where this\n				 Source will be easily and freely available for as long as the Licensee continues to distribute\n				 and/or communicate the Work.</p>\n\n				<p>Legal Protection: This Licence does not grant permission to use the trade names, trademarks,\n				 service marks, or names of the Licensor, except as required for reasonable and customary use\n				 in describing the origin of the Work and reproducing the content of the copyright notice.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 6.</var>\n				Chain of Authorship\n				<p>The original Licensor warrants that the copyright in the Original Work granted hereunder is owned\n				 by him/her or licensed to him/her and that he/she has the power and authority to grant the\n				 Licence.</p>\n\n				<p>Each Contributor warrants that the copyright in the modifications he/she brings to the Work are\n				 owned by him/her or licensed to him/her and that he/she has the power and authority to grant\n				 the Licence.</p>\n\n				<p>Each time You accept the Licence, the original Licensor and subsequent Contributors grant You a\n				 licence to their contributions to the Work, under the terms of this Licence.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 7.</var>\n				Disclaimer of Warranty\n				<p>The Work is a work in progress, which is continuously improved by numerous contributors. It is\n				 not a finished work and may therefore contain defects or &quot;bugs&quot; inherent to this type of\n				 software development.</p>\n\n				<p>For the above reason, the Work is provided under the Licence on an &quot;as is&quot; basis and without\n				 warranties of any kind concerning the Work, including without limitation merchantability,\n				 fitness for a particular purpose, absence of defects or errors, accuracy, non-infringement of\n				 intellectual property rights other than copyright as stated in Article 6 of this Licence.</p>\n\n				<p>This disclaimer of warranty is an essential part of the Licence and a condition for the grant of\n				 any rights to the Work.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 8.</var>\n				Disclaimer of Liability\n				<p>Except in the cases of wilful misconduct or damages directly caused to natural persons, the\n				 Licensor will in no event be liable for any direct or indirect, material or moral, damages of\n				 any kind, arising out of the Licence or of the use of the Work, including without limitation,\n				 damages for loss of goodwill, work stoppage, computer failure or malfunction, loss of data or\n				 any commercial damage, even if the Licensor has been advised of the possibility of such\n				 damage. However, the Licensor will be liable under statutory product liability laws as far\n				 such laws apply to the Work.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 9.</var>\n				Additional agreements\n				<p>While distributing the Original Work or Derivative Works, You may choose to conclude an\n				 additional agreement to offer, and charge a fee for, acceptance of support, warranty,\n				 indemnity, or other liability obligations and/or services consistent with this Licence.\n				 However, in accepting such obligations, You may act only on your own behalf and on your sole\n				 responsibility, not on behalf of the original Licensor or any other Contributor, and only if\n				 You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred\n				 by, or claims asserted against such Contributor by the fact You have accepted any such\n				 warranty or additional liability.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 10.</var>\n				Acceptance of the Licence\n				<p>The provisions of this Licence can be accepted by clicking on an icon &quot;I agree&quot; placed under the\n				 bottom of a window displaying the text of this Licence or by affirming consent in any other\n				 similar way, in accordance with the rules of applicable law. Clicking on that icon indicates\n				 your clear and irrevocable acceptance of this Licence and all of its terms and conditions.</p>\n\n				<p>Similarly, you irrevocably accept this Licence and all of its terms and conditions by exercising\n				 any rights granted to You by Article 2 of this Licence, such as the use of the Work, the\n				 creation by You of a Derivative Work or the Distribution and/or Communication by You of the\n				 Work or copies thereof.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 11.</var>\n				Information to the public\n				<p>In case of any Distribution and/or Communication of the Work by means of electronic communication\n				 by You (for example, by offering to download the Work from a remote location) the distribution\n				 channel or media (for example, a website) must at least provide to the public the information\n				 requested by the applicable law regarding the Licensor, the Licence and the way it may be\n				 accessible, concluded, stored and reproduced by the Licensee.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 12.</var>\n				Termination of the Licence\n				<p>The Licence and the rights granted hereunder will terminate automatically upon any breach by the\n				 Licensee of the terms of the Licence. Such a termination will not terminate the licences of\n				 any person who has received the Work from the Licensee under the Licence, provided such\n				 persons remain in full compliance with the Licence.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 13.</var>\n				Miscellaneous\n				<p>Without prejudice of Article 9 above, the Licence represents the complete agreement between the\n				 Parties as to the Work licensed hereunder.</p>\n\n				<p>If any provision of the Licence is invalid or unenforceable under applicable law, this will not\n				 affect the validity or enforceability of the Licence as a whole. Such provision will be\n				 consTrued and/or reformed so as necessary to make it valid and enforceable.</p>\n\n				<p>The European Commission may publish other linguistic versions and/or new versions of this\n				 Licence, so far this is required and reasonable, without reducing the scope of the rights\n				 granted by the Licence. New versions of the Licence will be published with a unique version\n				 number.</p>\n\n				<p>All linguistic versions of this Licence, approved by the European Commission, have identical\n				 value. Parties can take advantage of the linguistic version of their choice.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 14.</var>\n				Jurisdiction\n				<p>Any litigation resulting from the interpretation of this License, arising between the European\n				 Commission, as a Licensor, and any Licensee, will be subject to the jurisdiction of the Court\n				 of Justice of the European Communities, as laid down in article 238 of the Treaty establishing\n				 the European Community.</p>\n\n				<p>Any litigation arising between Parties, other than the European Commission, and resulting from\n				 the interpretation of this License, will be subject to the exclusive jurisdiction of the\n				 competent court where the Licensor resides or conducts its primary business.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 15.</var>\n				Applicable Law\n				<p>This Licence shall be governed by the law of the European Union country where the Licensor\n				 resides or has his registered office.</p>\n\n				<p>This licence shall be governed by the Belgian law if:</p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						a litigation arises between the European Commission, as a Licensor, and any Licensee;\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> -</var>\n						the Licensor, other than the European Commission, has no residence or registered office\n						 inside a European Union country.\n					</li>\n				\n</ul>\n			</li>\n		\n</ul>\n		<p>Appendix</p>\n\n		<p>&quot;Compatible Licences&quot; according to article 5 EUPL are:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> -</var>\n				GNU General Public License (GNU GPL) v. 2\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> -</var>\n				Open Software License (OSL) v. 2.1, v. 3.0\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> -</var>\n				Common Public License v. 1.0\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> -</var>\n				Eclipse Public License v. 1.0\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> -</var>\n				Cecill v. 2.0\n			</li>\n		\n</ul>\n	"
		self.python_name = "EUPL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class LPPL13c:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The LaTeX Project Public License\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n\nLPPL Version 1.3c 2008-05-04\n\nCopyright 1999 2002-2008 LaTeX3 Project\n\nEveryone is allowed to distribute verbatim copies of this license document, but modification of it is not allowed.\n\nPREAMBLE\n========\n\nThe LaTeX Project Public License (LPPL) is the primary license under which the LaTeX kernel and the base LaTeX packages are distributed.\n\nYou may use this license for any work of which you hold the copyright and which you wish to distribute. This license may be particularly suitable if your work is TeX-related (such as a LaTeX package), but it is written in such a way that you can use it even if your work is unrelated to TeX.\n\nThe section `WHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE', below, gives instructions, examples, and recommendations for authors who are considering distributing their works under this license.\n\nThis license gives conditions under which a work may be distributed and modified, as well as conditions under which modified versions of that work may be distributed.\n\nWe, the LaTeX3 Project, believe that the conditions below give you the freedom to make and distribute modified versions of your work that conform with whatever technical specifications you wish while maintaining the availability, integrity, and reliability of that work. If you do not see how to achieve your goal while meeting these conditions, then read the document `cfgguide.tex' and `modguide.tex' in the base LaTeX distribution for suggestions.\n\nDEFINITIONS\n===========\n\nIn this license document the following terms are used:\n\n`Work' Any work being distributed under this License. `Derived Work' Any work that under any applicable law is derived from the Work.\n\n`Modification' Any procedure that produces a Derived Work under any applicable law -- for example, the production of a file containing an original file associated with the Work or a significant portion of such a file, either verbatim or with modifications and/or translated into another language.\n\n`Modify' To apply any procedure that produces a Derived Work under any applicable law. `Distribution' Making copies of the Work available from one person to another, in whole or in part. Distribution includes (but is not limited to) making any electronic components of the Work accessible by file transfer protocols such as FTP or HTTP or by shared file systems such as Sun's Network File System (NFS).\n\n`Compiled Work' A version of the Work that has been processed into a form where it is directly usable on a computer system. This processing may include using installation facilities provided by the Work, transformations of the Work, copying of components of the Work, or other activities. Note that modification of any installation facilities provided by the Work constitutes modification of the Work.\n\n`Current Maintainer' A person or persons nominated as such within the Work. If there is no such explicit nomination then it is the `Copyright Holder' under any applicable law.\n\n`Base Interpreter' A program or process that is normally needed for running or interpreting a part or the whole of the Work.\n\nA Base Interpreter may depend on external components but these are not considered part of the Base Interpreter provided that each external component clearly identifies itself whenever it is used interactively. Unless explicitly specified when applying the license to the Work, the only applicable Base Interpreter is a `LaTeX-Format' or in the case of files belonging to the `LaTeX-format' a program implementing the `TeX language'.\n\nCONDITIONS ON DISTRIBUTION AND MODIFICATION\n===========================================\n\n1. Activities other than distribution and/or modification of the Work are not covered by this license; they are outside its scope. In particular, the act of running the Work is not restricted and no requirements are made concerning any offers of support for the Work.\n\n2. You may distribute a complete, unmodified copy of the Work as you received it. Distribution of only part of the Work is considered modification of the Work, and no right to distribute such a Derived Work may be assumed under the terms of this clause.\n\n3. You may distribute a Compiled Work that has been generated from a complete, unmodified copy of the Work as distributed under Clause 2 above, as long as that Compiled Work is distributed in such a way that the recipients may install the Compiled Work on their system exactly as it would have been installed if they generated a Compiled Work directly from the Work.\n\n4. If you are the Current Maintainer of the Work, you may, without restriction, modify the Work, thus creating a Derived Work. You may also distribute the Derived Work without restriction, including Compiled Works generated from the Derived Work. Derived Works distributed in this manner by the Current Maintainer are considered to be updated versions of the Work.\n\n5. If you are not the Current Maintainer of the Work, you may modify your copy of the Work, thus creating a Derived Work based on the Work, and compile this Derived Work, thus creating a Compiled Work based on the Derived Work.\n\n6. If you are not the Current Maintainer of the Work, you may distribute a Derived Work provided the following conditions are met for every component of the Work unless that component clearly states in the copyright notice that it is exempt from that condition. Only the Current Maintainer is allowed to add such statements of exemption to a component of the Work.\n\n	 a. If a component of this Derived Work can be a direct replacement for a component of the Work when that component is used with the Base Interpreter, then, wherever this component of the Work identifies itself to the user when used interactively with that Base Interpreter, the replacement component of this Derived Work clearly and unambiguously identifies itself as a modified version of this component to the user when used interactively with that Base Interpreter.\n\n	 b. Every component of the Derived Work contains prominent notices detailing the nature of the changes to that component, or a prominent reference to another file that is distributed as part of the Derived Work and that contains a complete and accurate log of the changes.\n\n	 c. No information in the Derived Work implies that any persons, including (but not limited to) the authors of the original version of the Work, provide any support, including (but not limited to) the reporting and handling of errors, to recipients of the Derived Work unless those persons have stated explicitly that they do provide such support for the Derived Work.\n\n	 d. You distribute at least one of the following with the Derived Work:\n\n		  1. A complete, unmodified copy of the Work; if your distribution of a modified component is made by offering access to copy the modified component from a designated place, then offering equivalent access to copy the Work from the same or some similar place meets this condition, even though third parties are not compelled to copy the Work along with the modified component;\n\n		  2. Information that is sufficient to obtain a complete, unmodified copy of the Work.\n\n7. If you are not the Current Maintainer of the Work, you may distribute a Compiled Work generated from a Derived Work, as long as the Derived Work is distributed to all recipients of the Compiled Work, and as long as the conditions of Clause 6, above, are met with regard to the Derived Work.\n\n8. The conditions above are not intended to prohibit, and hence do not apply to, the modification, by any method, of any component so that it becomes identical to an updated version of that component of the Work as it is distributed by the Current Maintainer under Clause 4, above.\n\n9. Distribution of the Work or any Derived Work in an alternative format, where the Work or that Derived Work (in whole or in part) is then produced by applying some process to that format, does not relax or nullify any sections of this license as they pertain to the results of applying that process.\n\n10.\n	 a. A Derived Work may be distributed under a different license provided that license itself honors the conditions listed in Clause 6 above, in regard to the Work, though it does not have to honor the rest of the conditions in this license.\n\n	 b. If a Derived Work is distributed under a different license, that Derived Work must provide sufficient documentation as part of itself to allow each recipient of that Derived Work to honor the restrictions in Clause 6 above, concerning changes from the Work.\n\n11. This license places no restrictions on works that are unrelated to the Work, nor does this license place any restrictions on aggregating such works with the Work by any means.\n\n12. Nothing in this license is intended to, or may be used to, prevent complete compliance by all parties with all applicable laws.\n\nNO WARRANTY\n===========\n\nThere is no warranty for the Work. Except when otherwise stated in writing, the Copyright Holder provides the Work `as is', without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of the Work is with you. Should the Work prove defective, you assume the cost of all necessary servicing, repair, or correction.\n\nIn no event unless required by applicable law or agreed to in writing will The Copyright Holder, or any author named in the components of the Work, or any other party who may distribute and/or modify the Work as permitted above, be liable to you for damages, including any general, special, incidental or consequential damages arising out of any use of the Work or out of inability to use the Work (including, but not limited to, loss of data, data being rendered inaccurate, or losses sustained by anyone as a result of any failure of the Work to operate with any other programs), even if the Copyright Holder or said author or said other party has been advised of the possibility of such damages.\n\nMAINTENANCE OF THE WORK\n=======================\n\nThe Work has the status `author-maintained' if the Copyright Holder explicitly and prominently states near the primary copyright notice in the Work that the Work can only be maintained by the Copyright Holder or simply that it is `author-maintained'.\n\nThe Work has the status `maintained' if there is a Current Maintainer who has indicated in the Work that they are willing to receive error reports for the Work (for example, by supplying a valid e-mail address). It is not required for the Current Maintainer to acknowledge or act upon these error reports.\n\nThe Work changes from status `maintained' to `unmaintained' if there is no Current Maintainer, or the person stated to be Current Maintainer of the work cannot be reached through the indicated means of communication for a period of six months, and there are no other significant signs of active maintenance.\n\nYou can become the Current Maintainer of the Work by agreement with any existing Current Maintainer to take over this role.\n\nIf the Work is unmaintained, you can become the Current Maintainer of the Work through the following steps:\n\n1. Make a reasonable attempt to trace the Current Maintainer (and the Copyright Holder, if the two differ) through the means of an Internet or similar search.\n\n2. If this search is successful, then enquire whether the Work is still maintained.\n\n	 a. If it is being maintained, then ask the Current Maintainer to update their communication data within one month.\n\n	 b. If the search is unsuccessful or no action to resume active maintenance is taken by the Current Maintainer, then announce within the pertinent community your intention to take over maintenance. (If the Work is a LaTeX work, this could be done, for example, by posting to comp.text.tex.)\n\n3a. If the Current Maintainer is reachable and agrees to pass maintenance of the Work to you, then this takes effect immediately upon announcement.\n\nb. If the Current Maintainer is not reachable and the Copyright Holder agrees that maintenance of the Work be passed to you, then this takes effect immediately upon announcement.\n\n4. If you make an `intention announcement' as described in 2b. above and after three months your intention is challenged neither by the Current Maintainer nor by the Copyright Holder nor by other people, then you may arrange for the Work to be changed so as to name you as the (new) Current Maintainer.\n\n5. If the previously unreachable Current Maintainer becomes reachable once more within three months of a change completed under the terms of 3b) or 4), then that Current Maintainer must become or remain the Current Maintainer upon request provided they then update their communication data within one month.\n\nA change in the Current Maintainer does not, of itself, alter the fact that the Work is distributed under the LPPL license.\n\nIf you become the Current Maintainer of the Work, you should immediately provide, within the Work, a prominent and unambiguous statement of your status as Current Maintainer. You should also announce your new status to the same pertinent community as in 2b) above.\n\nWHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE\n======================================================\n\nThis section contains important instructions, examples, and recommendations for authors who are considering distributing their works under this license. These authors are addressed as `you' in this section.\n\nChoosing This License or Another License\n----------------------------------------\n\nIf for any part of your work you want or need to use *distribution* conditions that differ significantly from those in this license, then do not refer to this license anywhere in your work but, instead, distribute your work under a different license. You may use the text of this license as a model for your own license, but your license should not refer to the LPPL or otherwise give the impression that your work is distributed under the LPPL.\n\nThe document `modguide.tex' in the base LaTeX distribution explains the motivation behind the conditions of this license. It explains, for example, why distributing LaTeX under the GNU General Public License (GPL) was considered inappropriate. Even if your work is unrelated to LaTeX, the discussion in `modguide.tex' may still be relevant, and authors intending to distribute their works under any license are encouraged to read it.\n\nA Recommendation on Modification Without Distribution\n-----------------------------------------------------\n\nIt is wise never to modify a component of the Work, even for your own personal use, without also meeting the above conditions for distributing the modified component. While you might intend that such modifications will never be distributed, often this will happen by accident -- you may forget that you have modified that component; or it may not occur to you when allowing others to access the modified version that you are thus distributing it and violating the conditions of this license in ways that could have legal implications and, worse, cause problems for the community. It is therefore usually in your best interest to keep your copy of the Work identical with the public one. Many works provide ways to control the behavior of that work without altering any of its licensed components.\n\nHow to Use This License\n-----------------------\n\nTo use this license, place in each of the components of your work both an explicit copyright notice including your name and the year the work was authored and/or last substantially modified. Include also a statement that the distribution and/or modification of that component is constrained by the conditions in this license.\n\nHere is an example of such a notice and statement:\n\n	 %% pig.dtx\n	 %% Copyright 2005 M. Y. Name\n	 %\n	 % This work may be distributed and/or modified under the\n	 % conditions of the LaTeX Project Public License, either version 1.3\n	 % of this license or (at your option) any later version.\n	 % The latest version of this license is in\n	 % http://www.latex-project.org/lppl.txt\n	 % and version 1.3 or later is part of all distributions of LaTeX\n	 % version 2005/12/01 or later.\n	 %\n	 % This work has the LPPL maintenance status `maintained'.\n	 %\n	 % The Current Maintainer of this work is M. Y. Name.\n	 %\n	 % This work consists of the files pig.dtx and pig.ins\n	 % and the derived file pig.sty.\n\nGiven such a notice and statement in a file, the conditions given in this license document would apply, with the `Work' referring to the three files `pig.dtx', `pig.ins', and `pig.sty' (the last being generated from `pig.dtx' using `pig.ins'), the `Base Interpreter' referring to any `LaTeX-Format', and both `Copyright Holder' and `Current Maintainer' referring to the person `M. Y. Name'.\n\nIf you do not want the Maintenance section of LPPL to apply to your Work, change `maintained' above into `author-maintained'. However, we recommend that you use `maintained', as the Maintenance section was added in order to ensure that your Work remains useful to the community even when you can no longer maintain and support it yourself.\n\nDerived Works That Are Not Replacements\n---------------------------------------\n\nSeveral clauses of the LPPL specify means to provide reliability and stability for the user community. They therefore concern themselves with the case that a Derived Work is intended to be used as a (compatible or incompatible) replacement of the original Work. If this is not the case (e.g., if a few lines of code are reused for a completely different task), then clauses 6b and 6d shall not apply.\n\nImportant Recommendations\n-------------------------\n\nDefining What Constitutes the Work\n\nThe LPPL requires that distributions of the Work contain all the files of the Work. It is therefore important that you provide a way for the licensee to determine which files constitute the Work. This could, for example, be achieved by explicitly listing all the files of the Work near the copyright notice of each file or by using a line such as:\n\n	 % This work consists of all files listed in manifest.txt.\n\nin that place. In the absence of an unequivocal list it might be impossible for the licensee to determine what is considered by you to comprise the Work and, in such a case, the licensee would be entitled to make reasonable conjectures as to which files comprise the Work.\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>%%<<endOptional>> <<var;name=\"filename\";original=\"pig.dtx\";match=\".+\">>\n\n<<beginOptional>>%%<<endOptional>> Copyright <<var;name=\"copyright\";original=\"2005 M. Y. Name\";match=\".+\">>\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This work may be distributed and/or modified under the\n\n<<beginOptional>>%<<endOptional>> conditions of the LaTeX Project Public License, either version 1.3\n\n<<beginOptional>>%<<endOptional>> of this license or (at your option) any later version.\n\n<<beginOptional>>%<<endOptional>> The latest version of this license is in\n\n<<beginOptional>>%<<endOptional>> http://www.latex-project.org/lppl.txt\n\n<<beginOptional>>%<<endOptional>> and version 1.3 or later is part of all distributions of LaTeX\n\n<<beginOptional>>%<<endOptional>> version 2005/12/01 or later.\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This work has the LPPL maintenance status \" <<var;name=\"status\";original=\"maintained\";match=\"author-maintained|unmaintained|maintained\">> \".\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> The Current Maintainer of this work is <<var;name=\"maintainer\";original=\"M. Y. Name\";match=\".+\">> .\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This work consists of the <<var;name=\"filenames\";original=\"files pig.dtx and pig.ins  % and the derived file pig.sty\";match=\".+\">> .\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>The LaTeX Project Public License\n\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n\nLPPL Version 1.3c 2008-05-04\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 1999 2002-2008 LaTeX3 Project  \";match=\".{0,5000}\">>\n\nEveryone is allowed to distribute verbatim copies of this license document, but modification of it is not allowed.\n\nPREAMBLE\n\n========\n\nThe LaTeX Project Public License (LPPL) is the primary license under which the LaTeX kernel and the base LaTeX packages are distributed.\n\nYou may use this license for any work of which you hold the copyright and which you wish to distribute. This license may be particularly suitable if your work is TeX-related (such as a LaTeX package), but it is written in such a way that you can use it even if your work is unrelated to TeX.\n\nThe section `WHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE', below, gives instructions, examples, and recommendations for authors who are considering distributing their works under this license.\n\nThis license gives conditions under which a work may be distributed and modified, as well as conditions under which modified versions of that work may be distributed.\n\nWe, the LaTeX3 Project, believe that the conditions below give you the freedom to make and distribute modified versions of your work that conform with whatever technical specifications you wish while maintaining the availability, integrity, and reliability of that work. If you do not see how to achieve your goal while meeting these conditions, then read the document `cfgguide.tex' and `modguide.tex' in the base LaTeX distribution for suggestions.\n\nDEFINITIONS\n\n===========\n\nIn this license document the following terms are used:\n\n`Work' Any work being distributed under this License. `Derived Work' Any work that under any applicable law is derived from the Work.\n\n`Modification' Any procedure that produces a Derived Work under any applicable law -- for example, the production of a file containing an original file associated with the Work or a significant portion of such a file, either verbatim or with modifications and/or translated into another language.\n\n`Modify' To apply any procedure that produces a Derived Work under any applicable law. `Distribution' Making copies of the Work available from one person to another, in whole or in part. Distribution includes (but is not limited to) making any electronic components of the Work accessible by file transfer protocols such as FTP or HTTP or by shared file systems such as Sun's Network File System (NFS).\n\n`Compiled Work' A version of the Work that has been processed into a form where it is directly usable on a computer system. This processing may include using installation facilities provided by the Work, transformations of the Work, copying of components of the Work, or other activities. Note that modification of any installation facilities provided by the Work constitutes modification of the Work.\n\n`Current Maintainer' A person or persons nominated as such within the Work. If there is no such explicit nomination then it is the `Copyright Holder' under any applicable law.\n\n`Base Interpreter' A program or process that is normally needed for running or interpreting a part or the whole of the Work.\n\nA Base Interpreter may depend on external components but these are not considered part of the Base Interpreter provided that each external component clearly identifies itself whenever it is used interactively. Unless explicitly specified when applying the license to the Work, the only applicable Base Interpreter is a `LaTeX-Format' or in the case of files belonging to the `LaTeX-format' a program implementing the `TeX language'.\n\nCONDITIONS ON DISTRIBUTION AND MODIFICATION\n\n===========================================\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Activities other than distribution and/or modification of the Work are not covered by this license; they are outside its scope. In particular, the act of running the Work is not restricted and no requirements are made concerning any offers of support for the Work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may distribute a complete, unmodified copy of the Work as you received it. Distribution of only part of the Work is considered modification of the Work, and no right to distribute such a Derived Work may be assumed under the terms of this clause.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may distribute a Compiled Work that has been generated from a complete, unmodified copy of the Work as distributed under Clause 2 above, as long as that Compiled Work is distributed in such a way that the recipients may install the Compiled Work on their system exactly as it would have been installed if they generated a Compiled Work directly from the Work.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> If you are the Current Maintainer of the Work, you may, without restriction, modify the Work, thus creating a Derived Work. You may also distribute the Derived Work without restriction, including Compiled Works generated from the Derived Work. Derived Works distributed in this manner by the Current Maintainer are considered to be updated versions of the Work.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> If you are not the Current Maintainer of the Work, you may modify your copy of the Work, thus creating a Derived Work based on the Work, and compile this Derived Work, thus creating a Compiled Work based on the Derived Work.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> If you are not the Current Maintainer of the Work, you may distribute a Derived Work provided the following conditions are met for every component of the Work unless that component clearly states in the copyright notice that it is exempt from that condition. Only the Current Maintainer is allowed to add such statements of exemption to a component of the Work.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> If a component of this Derived Work can be a direct replacement for a component of the Work when that component is used with the Base Interpreter, then, wherever this component of the Work identifies itself to the user when used interactively with that Base Interpreter, the replacement component of this Derived Work clearly and unambiguously identifies itself as a modified version of this component to the user when used interactively with that Base Interpreter.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Every component of the Derived Work contains prominent notices detailing the nature of the changes to that component, or a prominent reference to another file that is distributed as part of the Derived Work and that contains a complete and accurate log of the changes.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No information in the Derived Work implies that any persons, including (but not limited to) the authors of the original version of the Work, provide any support, including (but not limited to) the reporting and handling of errors, to recipients of the Derived Work unless those persons have stated explicitly that they do provide such support for the Derived Work.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> You distribute at least one of the following with the Derived Work:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> A complete, unmodified copy of the Work; if your distribution of a modified component is made by offering access to copy the modified component from a designated place, then offering equivalent access to copy the Work from the same or some similar place meets this condition, even though third parties are not compelled to copy the Work along with the modified component;\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Information that is sufficient to obtain a complete, unmodified copy of the Work.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> If you are not the Current Maintainer of the Work, you may distribute a Compiled Work generated from a Derived Work, as long as the Derived Work is distributed to all recipients of the Compiled Work, and as long as the conditions of Clause 6, above, are met with regard to the Derived Work.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> The conditions above are not intended to prohibit, and hence do not apply to, the modification, by any method, of any component so that it becomes identical to an updated version of that component of the Work as it is distributed by the Current Maintainer under Clause 4, above.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Distribution of the Work or any Derived Work in an alternative format, where the Work or that Derived Work (in whole or in part) is then produced by applying some process to that format, does not relax or nullify any sections of this license as they pertain to the results of applying that process.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">>\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> A Derived Work may be distributed under a different license provided that license itself honors the conditions listed in Clause 6 above, in regard to the Work, though it does not have to honor the rest of the conditions in this license.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If a Derived Work is distributed under a different license, that Derived Work must provide sufficient documentation as part of itself to allow each recipient of that Derived Work to honor the restrictions in Clause 6 above, concerning changes from the Work.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> This license places no restrictions on works that are unrelated to the Work, nor does this license place any restrictions on aggregating such works with the Work by any means.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Nothing in this license is intended to, or may be used to, prevent complete compliance by all parties with all applicable laws.\n\nNO WARRANTY\n\n===========\n\nThere is no warranty for the Work. Except when otherwise stated in writing, the Copyright Holder provides the Work `as is', without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of the Work is with you. Should the Work prove defective, you assume the cost of all necessary servicing, repair, or correction.\n\nIn no event unless required by applicable law or agreed to in writing will The Copyright Holder, or any author named in the components of the Work, or any other party who may distribute and/or modify the Work as permitted above, be liable to you for damages, including any general, special, incidental or consequential damages arising out of any use of the Work or out of inability to use the Work (including, but not limited to, loss of data, data being rendered inaccurate, or losses sustained by anyone as a result of any failure of the Work to operate with any other programs), even if the Copyright Holder or said author or said other party has been advised of the possibility of such damages.\n\nMAINTENANCE OF THE WORK\n\n=======================\n\nThe Work has the status `author-maintained' if the Copyright Holder explicitly and prominently states near the primary copyright notice in the Work that the Work can only be maintained by the Copyright Holder or simply that it is `author-maintained'.\n\nThe Work has the status `maintained' if there is a Current Maintainer who has indicated in the Work that they are willing to receive error reports for the Work (for example, by supplying a valid e-mail address). It is not required for the Current Maintainer to acknowledge or act upon these error reports.\n\nThe Work changes from status `maintained' to `unmaintained' if there is no Current Maintainer, or the person stated to be Current Maintainer of the work cannot be reached through the indicated means of communication for a period of six months, and there are no other significant signs of active maintenance.\n\nYou can become the Current Maintainer of the Work by agreement with any existing Current Maintainer to take over this role.\n\nIf the Work is unmaintained, you can become the Current Maintainer of the Work through the following steps:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Make a reasonable attempt to trace the Current Maintainer (and the Copyright Holder, if the two differ) through the means of an Internet or similar search.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> If this search is successful, then enquire whether the Work is still maintained.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> If it is being maintained, then ask the Current Maintainer to update their communication data within one month.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If the search is unsuccessful or no action to resume active maintenance is taken by the Current Maintainer, then announce within the pertinent community your intention to take over maintenance. (If the Work is a LaTeX work, this could be done, for example, by posting to comp.text.tex.)\n\n	  <<var;name=\"bullet\";original=\"3a.\";match=\".{0,20}\">> If the Current Maintainer is reachable and agrees to pass maintenance of the Work to you, then this takes effect immediately upon announcement.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If the Current Maintainer is not reachable and the Copyright Holder agrees that maintenance of the Work be passed to you, then this takes effect immediately upon announcement.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> If you make an `intention announcement' as described in 2b. above and after three months your intention is challenged neither by the Current Maintainer nor by the Copyright Holder nor by other people, then you may arrange for the Work to be changed so as to name you as the (new) Current Maintainer.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> If the previously unreachable Current Maintainer becomes reachable once more within three months of a change completed under the terms of 3b) or 4), then that Current Maintainer must become or remain the Current Maintainer upon request provided they then update their communication data within one month.\n\nA change in the Current Maintainer does not, of itself, alter the fact that the Work is distributed under the LPPL license.\n\nIf you become the Current Maintainer of the Work, you should immediately provide, within the Work, a prominent and unambiguous statement of your status as Current Maintainer. You should also announce your new status to the same pertinent community as in 2b) above.\n\nWHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE\n\n======================================================\n\nThis section contains important instructions, examples, and recommendations for authors who are considering distributing their works under this license. These authors are addressed as `you' in this section.\n\nChoosing This License or Another License\n\n----------------------------------------\n\nIf for any part of your work you want or need to use *distribution* conditions that differ significantly from those in this license, then do not refer to this license anywhere in your work but, instead, distribute your work under a different license. You may use the text of this license as a model for your own license, but your license should not refer to the LPPL or otherwise give the impression that your work is distributed under the LPPL.\n\nThe document `modguide.tex' in the base LaTeX distribution explains the motivation behind the conditions of this license. It explains, for example, why distributing LaTeX under the GNU General Public License (GPL) was considered inappropriate. Even if your work is unrelated to LaTeX, the discussion in `modguide.tex' may still be relevant, and authors intending to distribute their works under any license are encouraged to read it.\n\nA Recommendation on Modification Without Distribution\n\n-----------------------------------------------------\n\nIt is wise never to modify a component of the Work, even for your own personal use, without also meeting the above conditions for distributing the modified component. While you might intend that such modifications will never be distributed, often this will happen by accident -- you may forget that you have modified that component; or it may not occur to you when allowing others to access the modified version that you are thus distributing it and violating the conditions of this license in ways that could have legal implications and, worse, cause problems for the community. It is therefore usually in your best interest to keep your copy of the Work identical with the public one. Many works provide ways to control the behavior of that work without altering any of its licensed components.\n\nHow to Use This License\n\n-----------------------\n\nTo use this license, place in each of the components of your work both an explicit copyright notice including your name and the year the work was authored and/or last substantially modified. Include also a statement that the distribution and/or modification of that component is constrained by the conditions in this license.\n\nHere is an example of such a notice and statement:\n\n<<beginOptional>>%%<<endOptional>> <<var;name=\"filename\";original=\"pig.dtx\";match=\".+\">>\n\n<<beginOptional>>%%<<endOptional>> Copyright <<var;name=\"copyright\";original=\"2005 M. Y. Name\";match=\".+\">>\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This work may be distributed and/or modified under the\n\n<<beginOptional>>%<<endOptional>> conditions of the LaTeX Project Public License, either version 1.3\n\n<<beginOptional>>%<<endOptional>> of this license or (at your option) any later version.\n\n<<beginOptional>>%<<endOptional>> The latest version of this license is in\n\n<<beginOptional>>%<<endOptional>> http://www.latex-project.org/lppl.txt\n\n<<beginOptional>>%<<endOptional>> and version 1.3 or later is part of all distributions of LaTeX\n\n<<beginOptional>>%<<endOptional>> version 2005/12/01 or later.\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This work has the LPPL maintenance status \" <<var;name=\"status\";original=\"maintained\";match=\"author-maintained|unmaintained|maintained\">> \".\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> The Current Maintainer of this work is <<var;name=\"maintainer\";original=\"M. Y. Name\";match=\".+\">> .\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This work consists of the <<var;name=\"filenames\";original=\"files pig.dtx and pig.ins  % and the derived file pig.sty\";match=\".+\">> .\n\nGiven such a notice and statement in a file, the conditions given in this license document would apply, with the `Work' referring to the three files `pig.dtx', `pig.ins', and `pig.sty' (the last being generated from `pig.dtx' using `pig.ins'), the `Base Interpreter' referring to any `LaTeX-Format', and both `Copyright Holder' and `Current Maintainer' referring to the person `M. Y. Name'.\n\nIf you do not want the Maintenance section of LPPL to apply to your Work, change `maintained' above into `author-maintained'. However, we recommend that you use `maintained', as the Maintenance section was added in order to ensure that your Work remains useful to the community even when you can no longer maintain and support it yourself.\n\nDerived Works That Are Not Replacements\n\n---------------------------------------\n\nSeveral clauses of the LPPL specify means to provide reliability and stability for the user community. They therefore concern themselves with the case that a Derived Work is intended to be used as a (compatible or incompatible) replacement of the original Work. If this is not the case (e.g., if a few lines of code are reused for a completely different task), then clauses 6b and 6d shall not apply.\n\nImportant Recommendations\n\n-------------------------\n\nDefining What Constitutes the Work\n\nThe LPPL requires that distributions of the Work contain all the files of the Work. It is therefore important that you provide a way for the licensee to determine which files constitute the Work. This could, for example, be achieved by explicitly listing all the files of the Work near the copyright notice of each file or by using a line such as:\n\n% This work consists of all files listed in manifest.txt.\n\nin that place. In the absence of an unequivocal list it might be impossible for the licensee to determine what is considered by you to comprise the Work and, in such a case, the licensee would be entitled to make reasonable conjectures as to which files comprise the Work.\n\n"
		self.name = "LaTeX Project Public License v1.3c"
		self.licenseComments = "This license was released: 4 May 2008"
		self.licenseId = "LPPL-1.3c"
		self.standardLicenseHeader = "%% pig.dtx\n\n%% Copyright 2005 M. Y. Name\n\n%\n\n% This work may be distributed and/or modified under the\n\n% conditions of the LaTeX Project Public License, either version 1.3\n\n% of this license or (at your option) any later version.\n\n% The latest version of this license is in\n\n% http://www.latex-project.org/lppl.txt\n\n% and version 1.3 or later is part of all distributions of LaTeX\n\n% version 2005/12/01 or later.\n\n%\n\n% This work has the LPPL maintenance status \" maintained \".\n\n%\n\n% The Current Maintainer of this work is M. Y. Name .\n\n%\n\n% This work consists of the files pig.dtx and pig.ins\n\n% and the derived file pig.sty .\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/LPPL-1.3c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:09Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://www.latex-project.org/lppl/lppl-1-3c.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:09Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.latex-project.org/lppl/lppl-1-3c.txt", "https://opensource.org/licenses/LPPL-1.3c"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The LaTeX Project Public License\n		<br />\n\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n	  </p>\n\n		 <p>LPPL Version 1.3c 2008-05-04</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1999 2002-2008 LaTeX3 Project</p>\n\n	  </div>\n	  <p>Everyone is allowed to distribute verbatim copies of this license document, but modification of it is not\n		 allowed.</p>\n\n	  <p>PREAMBLE\n		<br />\n\n========\n	  </p>\n\n	  <p>The LaTeX Project Public License (LPPL) is the primary license under which the LaTeX kernel and the base\n		 LaTeX packages are distributed.</p>\n\n	  <p>You may use this license for any work of which you hold the copyright and which you wish to distribute.\n		 This license may be particularly suitable if your work is TeX-related (such as a LaTeX package), but\n		 it is written in such a way that you can use it even if your work is unrelated to TeX.</p>\n\n	  <p>The section `WHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE&apos;, below, gives instructions,\n		 examples, and recommendations for authors who are considering distributing their works under this\n		 license.</p>\n\n	  <p>This license gives conditions under which a work may be distributed and modified, as well as conditions\n		 under which modified versions of that work may be distributed.</p>\n\n	  <p>We, the LaTeX3 Project, believe that the conditions below give you the freedom to make and distribute\n		 modified versions of your work that conform with whatever technical specifications you wish while\n		 maintaining the availability, integrity, and reliability of that work. If you do not see how to\n		 achieve your goal while meeting these conditions, then read the document `cfgguide.tex&apos; and\n		 `modguide.tex&apos; in the base LaTeX distribution for suggestions.</p>\n\n	  <p>DEFINITIONS\n		<br />\n\n===========\n	  </p>\n\n	  <p>In this license document the following terms are used:</p>\n\n	  <p>`Work&apos; Any work being distributed under this License. `Derived Work&apos; Any work that under any\n		 applicable law is derived from the Work.</p>\n\n	  <p>`Modification&apos; Any procedure that produces a Derived Work under any applicable law -- for example,\n		 the production of a file containing an original file associated with the Work or a significant portion\n		 of such a file, either verbatim or with modifications and/or translated into another language.</p>\n\n	  <p>`Modify&apos; To apply any procedure that produces a Derived Work under any applicable law.\n		 `Distribution&apos; Making copies of the Work available from one person to another, in whole or in\n		 part. Distribution includes (but is not limited to) making any electronic components of the Work\n		 accessible by file transfer protocols such as FTP or HTTP or by shared file systems such as Sun&apos;s\n		 Network File System (NFS).</p>\n\n	  <p>`Compiled Work&apos; A version of the Work that has been processed into a form where it is directly\n		 usable on a computer system. This processing may include using installation facilities provided by the\n		 Work, transformations of the Work, copying of components of the Work, or other activities. Note that\n		 modification of any installation facilities provided by the Work constitutes modification of the\n		 Work.</p>\n\n	  <p>`Current Maintainer&apos; A person or persons nominated as such within the Work. If there is no such\n		 explicit nomination then it is the `Copyright Holder&apos; under any applicable law.</p>\n\n	  <p>`Base Interpreter&apos; A program or process that is normally needed for running or interpreting a part\n		 or the whole of the Work.</p>\n\n	  <p>A Base Interpreter may depend on external components but these are not considered part of the Base\n		 Interpreter provided that each external component clearly identifies itself whenever it is used\n		 interactively. Unless explicitly specified when applying the license to the Work, the only applicable\n		 Base Interpreter is a `LaTeX-Format&apos; or in the case of files belonging to the `LaTeX-format&apos;\n		 a program implementing the `TeX language&apos;.</p>\n\n	  <p>CONDITIONS ON DISTRIBUTION AND MODIFICATION\n		<br />\n\n===========================================\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Activities other than distribution and/or modification of the Work are not covered by this\n			 license; they are outside its scope. In particular, the act of running the Work is not\n			 restricted and no requirements are made concerning any offers of support for the Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may distribute a complete, unmodified copy of the Work as you received it. Distribution of\n			 only part of the Work is considered modification of the Work, and no right to distribute such\n			 a Derived Work may be assumed under the terms of this clause.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may distribute a Compiled Work that has been generated from a complete, unmodified copy of\n			 the Work as distributed under Clause 2 above, as long as that Compiled Work is distributed in\n			 such a way that the recipients may install the Compiled Work on their system exactly as it\n			 would have been installed if they generated a Compiled Work directly from the Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  If you are the Current Maintainer of the Work, you may, without restriction, modify the Work,\n			 thus creating a Derived Work. You may also distribute the Derived Work without restriction,\n			 including Compiled Works generated from the Derived Work. Derived Works distributed in this\n			 manner by the Current Maintainer are considered to be updated versions of the Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  If you are not the Current Maintainer of the Work, you may modify your copy of the Work, thus\n			 creating a Derived Work based on the Work, and compile this Derived Work, thus creating a\n			 Compiled Work based on the Derived Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  If you are not the Current Maintainer of the Work, you may distribute a Derived Work provided the\n			 following conditions are met for every component of the Work unless that component clearly\n			 states in the copyright notice that it is exempt from that condition. Only the Current\n			 Maintainer is allowed to add such statements of exemption to a component of the Work.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			If a component of this Derived Work can be a direct replacement for a component of the Work\n			   when that component is used with the Base Interpreter, then, wherever this component of\n			   the Work identifies itself to the user when used interactively with that Base Interpreter,\n			   the replacement component of this Derived Work clearly and unambiguously identifies itself\n			   as a modified version of this component to the user when used interactively with that Base\n			   Interpreter.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Every component of the Derived Work contains prominent notices detailing the nature of the\n			   changes to that component, or a prominent reference to another file that is distributed as\n			   part of the Derived Work and that contains a complete and accurate log of the changes.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			No information in the Derived Work implies that any persons, including (but not limited to)\n			   the authors of the original version of the Work, provide any support, including (but not\n			   limited to) the reporting and handling of errors, to recipients of the Derived Work unless\n			   those persons have stated explicitly that they do provide such support for the Derived\n			   Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			You distribute at least one of the following with the Derived Work:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n			  A complete, unmodified copy of the Work; if your distribution of a modified component is\n				 made by offering access to copy the modified component from a designated place, then\n				 offering equivalent access to copy the Work from the same or some similar place meets\n				 this condition, even though third parties are not compelled to copy the Work along\n				 with the modified component;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n			  Information that is sufficient to obtain a complete, unmodified copy of the Work.\n			</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  If you are not the Current Maintainer of the Work, you may distribute a Compiled Work generated\n			 from a Derived Work, as long as the Derived Work is distributed to all recipients of the\n			 Compiled Work, and as long as the conditions of Clause 6, above, are met with regard to the\n			 Derived Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  The conditions above are not intended to prohibit, and hence do not apply to, the modification,\n			 by any method, of any component so that it becomes identical to an updated version of that\n			 component of the Work as it is distributed by the Current Maintainer under Clause 4,\n			 above.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Distribution of the Work or any Derived Work in an alternative format, where the Work or that\n			 Derived Work (in whole or in part) is then produced by applying some process to that format,\n			 does not relax or nullify any sections of this license as they pertain to the results of\n			 applying that process.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n			\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			A Derived Work may be distributed under a different license provided that license itself\n			   honors the conditions listed in Clause 6 above, in regard to the Work, though it does not\n			   have to honor the rest of the conditions in this license.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If a Derived Work is distributed under a different license, that Derived Work must provide\n			   sufficient documentation as part of itself to allow each recipient of that Derived Work to\n			   honor the restrictions in Clause 6 above, concerning changes from the Work.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  This license places no restrictions on works that are unrelated to the Work, nor does this\n			 license place any restrictions on aggregating such works with the Work by any means.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  Nothing in this license is intended to, or may be used to, prevent complete compliance by all\n			 parties with all applicable laws.\n		</li>\n		\n</ul>\n	  <p>NO WARRANTY\n		<br />\n\n===========\n	  </p>\n\n	  <p>There is no warranty for the Work. Except when otherwise stated in writing, the Copyright Holder\n		 provides the Work `as is&apos;, without warranty of any kind, either expressed or implied,\n		 including, but not limited to, the implied warranties of merchantability and fitness for a\n		 particular purpose. The entire risk as to the quality and performance of the Work is with you.\n		 Should the Work prove defective, you assume the cost of all necessary servicing, repair, or\n		 correction.</p>\n\n	  <p>In no event unless required by applicable law or agreed to in writing will The Copyright Holder,\n		 or any author named in the components of the Work, or any other party who may distribute\n		 and/or modify the Work as permitted above, be liable to you for damages, including any\n		 general, special, incidental or consequential damages arising out of any use of the Work or\n		 out of inability to use the Work (including, but not limited to, loss of data, data being\n		 rendered inaccurate, or losses sustained by anyone as a result of any failure of the Work to\n		 operate with any other programs), even if the Copyright Holder or said author or said other\n		 party has been advised of the possibility of such damages.</p>\n\n	  <p>MAINTENANCE OF THE WORK\n		<br />\n\n=======================\n	  </p>\n\n	  <p>The Work has the status `author-maintained&apos; if the Copyright Holder explicitly and\n		 prominently states near the primary copyright notice in the Work that the Work can only be\n		 maintained by the Copyright Holder or simply that it is `author-maintained&apos;.</p>\n\n	  <p>The Work has the status `maintained&apos; if there is a Current Maintainer who has indicated in\n		 the Work that they are willing to receive error reports for the Work (for example, by\n		 supplying a valid e-mail address). It is not required for the Current Maintainer to\n		 acknowledge or act upon these error reports.</p>\n\n	  <p>The Work changes from status `maintained&apos; to `unmaintained&apos; if there is no Current\n		 Maintainer, or the person stated to be Current Maintainer of the work cannot be reached\n		 through the indicated means of communication for a period of six months, and there are no\n		 other significant signs of active maintenance.</p>\n\n	  <p>You can become the Current Maintainer of the Work by agreement with any existing Current\n		 Maintainer to take over this role.</p>\n\n	  <p>If the Work is unmaintained, you can become the Current Maintainer of the Work through the\n		 following steps:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Make a reasonable attempt to trace the Current Maintainer (and the Copyright Holder, if the two\n			 differ) through the means of an Internet or similar search.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  If this search is successful, then enquire whether the Work is still maintained.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			If it is being maintained, then ask the Current Maintainer to update their communication data\n			   within one month.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If the search is unsuccessful or no action to resume active maintenance is taken by the\n			   Current Maintainer, then announce within the pertinent community your intention to take\n			   over maintenance. (If the Work is a LaTeX work, this could be done, for example, by\n			   posting to comp.text.tex.)\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3a.</var>\n			If the Current Maintainer is reachable and agrees to pass maintenance of the Work to you,\n			   then this takes effect immediately upon announcement.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n		  If the Current Maintainer is not reachable and the Copyright Holder agrees that maintenance of\n			 the Work be passed to you, then this takes effect immediately upon announcement.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  If you make an `intention announcement&apos; as described in 2b. above and after three months\n			 your intention is challenged neither by the Current Maintainer nor by the Copyright Holder nor\n			 by other people, then you may arrange for the Work to be changed so as to name you as the\n			 (new) Current Maintainer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  If the previously unreachable Current Maintainer becomes reachable once more within three months\n			 of a change completed under the terms of 3b) or 4), then that Current Maintainer must become\n			 or remain the Current Maintainer upon request provided they then update their communication\n			 data within one month.\n		</li>\n	  \n</ul>\n	  <p>A change in the Current Maintainer does not, of itself, alter the fact that the Work is distributed under\n		 the LPPL license.</p>\n\n	  <p>If you become the Current Maintainer of the Work, you should immediately provide, within the Work, a\n		 prominent and unambiguous statement of your status as Current Maintainer. You should also announce\n		 your new status to the same pertinent community as in 2b) above.</p>\n\n	  <p>WHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE\n		<br />\n\n======================================================\n	  </p>\n\n	  <p>This section contains important instructions, examples, and recommendations for authors who are\n		 considering distributing their works under this license. These authors are addressed as `you&apos; in\n		 this section.</p>\n\n	  <p>Choosing This License or Another License\n		<br />\n\n----------------------------------------\n	  </p>\n\n	  <p>If for any part of your work you want or need to use *distribution* conditions that differ significantly\n		 from those in this license, then do not refer to this license anywhere in your work but, instead,\n		 distribute your work under a different license. You may use the text of this license as a model for\n		 your own license, but your license should not refer to the LPPL or otherwise give the impression that\n		 your work is distributed under the LPPL.</p>\n\n	  <p>The document `modguide.tex&apos; in the base LaTeX distribution explains the motivation behind the\n		 conditions of this license. It explains, for example, why distributing LaTeX under the GNU General\n		 Public License (GPL) was considered inappropriate. Even if your work is unrelated to LaTeX, the\n		 discussion in `modguide.tex&apos; may still be relevant, and authors intending to distribute their\n		 works under any license are encouraged to read it.</p>\n\n	  <p>A Recommendation on Modification Without Distribution\n		<br />\n\n-----------------------------------------------------\n	  </p>\n\n	  <p>It is wise never to modify a component of the Work, even for your own personal use, without also meeting\n		 the above conditions for distributing the modified component. While you might intend that such\n		 modifications will never be distributed, often this will happen by accident -- you may forget that you\n		 have modified that component; or it may not occur to you when allowing others to access the modified\n		 version that you are thus distributing it and violating the conditions of this license in ways that\n		 could have legal implications and, worse, cause problems for the community. It is therefore usually in\n		 your best interest to keep your copy of the Work identical with the public one. Many works provide\n		 ways to control the behavior of that work without altering any of its licensed components.</p>\n\n	  <p>How to Use This License\n		<br />\n\n-----------------------\n	  </p>\n\n	  <p>To use this license, place in each of the components of your work both an explicit copyright notice\n		 including your name and the year the work was authored and/or last substantially modified. Include\n		 also a statement that the distribution and/or modification of that component is constrained by the\n		 conditions in this license.</p>\n\n	  <p>Here is an example of such a notice and statement:</p>\n\n	  <p><var class=\"optional-license-text\"> %%</var> <var class=\"replaceable-license-text\"> pig.dtx</var>\n		<br />\n\n<var class=\"optional-license-text\"> %%</var> Copyright <var class=\"replaceable-license-text\"> 2005 M. Y. Name</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This work may be distributed and/or modified under the\n		<br />\n\n<var class=\"optional-license-text\"> %</var> conditions of the LaTeX Project Public License, either version 1.3\n		<br />\n\n<var class=\"optional-license-text\"> %</var> of this license or (at your option) any later version.\n		<br />\n\n<var class=\"optional-license-text\"> %</var> The latest version of this license is in\n		<br />\n\n<var class=\"optional-license-text\"> %</var> http://www.latex-project.org/lppl.txt\n		<br />\n\n<var class=\"optional-license-text\"> %</var> and version 1.3 or later is part of all distributions of LaTeX\n		<br />\n\n<var class=\"optional-license-text\"> %</var> version 2005/12/01 or later.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This work has the LPPL maintenance status &quot;<var class=\"replaceable-license-text\"> maintained</var>&quot;.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> The Current Maintainer of this work is <var class=\"replaceable-license-text\"> M. Y. Name</var>.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This work consists of the <var class=\"replaceable-license-text\"> files pig.dtx and pig.ins\n		<br />\n\n% and the derived file pig.sty</var>.\n	  </p>\n\n	  <p>Given such a notice and statement in a file, the conditions given in this license document would apply,\n		 with the `Work&apos; referring to the three files `pig.dtx&apos;, `pig.ins&apos;, and `pig.sty&apos;\n		 (the last being generated from `pig.dtx&apos; using `pig.ins&apos;), the `Base Interpreter&apos;\n		 referring to any `LaTeX-Format&apos;, and both `Copyright Holder&apos; and `Current Maintainer&apos;\n		 referring to the person `M. Y. Name&apos;.</p>\n\n	  <p>If you do not want the Maintenance section of LPPL to apply to your Work, change `maintained&apos; above\n		 into `author-maintained&apos;. However, we recommend that you use `maintained&apos;, as the\n		 Maintenance section was added in order to ensure that your Work remains useful to the community even\n		 when you can no longer maintain and support it yourself.</p>\n\n	  <p>Derived Works That Are Not Replacements\n		<br />\n\n---------------------------------------\n	  </p>\n\n	  <p>Several clauses of the LPPL specify means to provide reliability and stability for the user community.\n		 They therefore concern themselves with the case that a Derived Work is intended to be used as a\n		 (compatible or incompatible) replacement of the original Work. If this is not the case (e.g., if a few\n		 lines of code are reused for a completely different task), then clauses 6b and 6d shall not apply.</p>\n\n	  <p>Important Recommendations\n		<br />\n\n-------------------------\n	  </p>\n\n	  <p>Defining What Constitutes the Work</p>\n\n	  <p>The LPPL requires that distributions of the Work contain all the files of the Work. It is therefore\n		 important that you provide a way for the licensee to determine which files constitute the Work. This\n		 could, for example, be achieved by explicitly listing all the files of the Work near the copyright\n		 notice of each file or by using a line such as:</p>\n\n	  <p>% This work consists of all files listed in manifest.txt.</p>\n\n	  <p>in that place. In the absence of an unequivocal list it might be impossible for the licensee to determine\n		 what is considered by you to comprise the Work and, in such a case, the licensee would be entitled to\n		 make reasonable conjectures as to which files comprise the Work.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n	  <p><var class=\"optional-license-text\"> %%</var> <var class=\"replaceable-license-text\"> pig.dtx</var>\n		<br />\n\n<var class=\"optional-license-text\"> %%</var> Copyright <var class=\"replaceable-license-text\"> 2005 M. Y. Name</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This work may be distributed and/or modified under the\n		<br />\n\n<var class=\"optional-license-text\"> %</var> conditions of the LaTeX Project Public License, either version 1.3\n		<br />\n\n<var class=\"optional-license-text\"> %</var> of this license or (at your option) any later version.\n		<br />\n\n<var class=\"optional-license-text\"> %</var> The latest version of this license is in\n		<br />\n\n<var class=\"optional-license-text\"> %</var> http://www.latex-project.org/lppl.txt\n		<br />\n\n<var class=\"optional-license-text\"> %</var> and version 1.3 or later is part of all distributions of LaTeX\n		<br />\n\n<var class=\"optional-license-text\"> %</var> version 2005/12/01 or later.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This work has the LPPL maintenance status &quot;<var class=\"replaceable-license-text\"> maintained</var>&quot;.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> The Current Maintainer of this work is <var class=\"replaceable-license-text\"> M. Y. Name</var>.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This work consists of the <var class=\"replaceable-license-text\"> files pig.dtx and pig.ins\n		<br />\n\n% and the derived file pig.sty</var>.\n	  </p>\n\n	  "
		self.python_name = "LPPL13c"

	def __str__(self):
		return json.dumps(self.__dict__)


class LGPL21:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 2.1, February 1999\n\nCopyright (C) 1991, 1999 Free Software Foundation, Inc.\n51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the Lesser GPL.  It also counts as the successor of the GNU Library Public License, version 2, hence the version number 2.1.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Lesser General Public License, applies to some specially designated software packages--typically libraries--of the Free Software Foundation and other authors who decide to use it. You can use it too, but we suggest you first think carefully about whether this license or the ordinary General Public License is the better strategy to use in any particular case, based on the explanations below.\n\nWhen we speak of free software, we are referring to freedom of use, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish); that you receive source code or can get it if you want it; that you can change the software and use pieces of it in new free programs; and that you are informed that you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid distributors to deny you these rights or to ask you to surrender these rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link other code with the library, you must provide complete object files to the recipients, so that they can relink them with the library after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nWe protect your rights with a two-step method: (1) we copyright the library, and (2) we offer you this license, which gives you legal permission to copy, distribute and/or modify the library.\n\nTo protect each distributor, we want to make it very clear that there is no warranty for the free library. Also, if the library is modified by someone else and passed on, the recipients should know that what they have is not the original version, so that the original author's reputation will not be affected by problems that might be introduced by others.\n\nFinally, software patents pose a constant threat to the existence of any free program. We wish to make sure that a company cannot effectively restrict the users of a free program by obtaining a restrictive license from a patent holder. Therefore, we insist that any patent license obtained for a version of the library must be consistent with the full freedom of use specified in this license.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License. This license, the GNU Lesser General Public License, applies to certain designated libraries, and is quite different from the ordinary General Public License. We use this license for certain libraries in order to permit linking those libraries into non-free programs.\n\nWhen a program is linked with a library, whether statically or using a shared library, the combination of the two is legally speaking a combined work, a derivative of the original library. The ordinary General Public License therefore permits such linking only if the entire combination fits its criteria of freedom. The Lesser General Public License permits more lax criteria for linking other code with the library.\n\nWe call this license the \"Lesser\" General Public License because it does Less to protect the user's freedom than the ordinary General Public License. It also provides other free software developers Less of an advantage over competing non-free programs. These disadvantages are the reason we use the ordinary General Public License for many libraries. However, the Lesser license provides advantages in certain special circumstances.\n\nFor example, on rare occasions, there may be a special need to encourage the widest possible use of a certain library, so that it becomes a de-facto standard. To achieve this, non-free programs must be allowed to use the library. A more frequent case is that a free library does the same job as widely used non-free libraries. In this case, there is little to gain by limiting the free library to free software only, so we use the Lesser General Public License.\n\nIn other cases, permission to use a particular library in non-free programs enables a greater number of people to use a large body of free software. For example, permission to use the GNU C Library in non-free programs enables many more people to use the whole GNU operating system, as well as its variant, the GNU/Linux operating system.\n\nAlthough the Lesser General Public License is Less protective of the users' freedom, it does ensure that the user of a program that is linked with the Library has the freedom and the wherewithal to run that program using a modified version of the Library.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, whereas the latter must be combined with the library in order to run.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any software library or other program which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\nA \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\nThe \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n\"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\nActivities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n1. You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\nYou may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	 a) The modified work must itself be a software library.\n\n	 b) You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	 c) You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	 d) If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n(For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\nThese requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\nThus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\nIn addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n3. You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\nOnce this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\nThis option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n4. You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\nIf distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n5. A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\nHowever, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\nWhen a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\nIf such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\nOtherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n6. As an exception to the Sections above, you may also combine or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\nYou must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	 a) Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	 b) Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (1) uses at run time a copy of the library already present on the user's computer system, rather than copying library functions into the executable, and (2) will operate properly with a modified version of the library, if the user installs one, as long as the modified version is interface-compatible with the version that the work was made with.\n\n	 c) Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	 d) If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	 e) Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\nFor an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\nIt may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n7. You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	 a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	 b) Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n8. You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n9. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n10. Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.\n\n11. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\nIf any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\nThis section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n12. If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n13. The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n14. If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 one line to give the library's name and an idea of what it does.\n	 Copyright (C) year  name of author\n\n	 This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.\n\n	 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.\n\n	 You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA Also add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\nthe library `Frob' (a library for tweaking knobs) written\nby James Random Hacker.\n\nsignature of Ty Coon, 1 April 1990\nTy Coon, President of Vice\nThat's all there is to it!\n"
		self.standardLicenseHeaderTemplate = "Copyright (C) <<var;name=\"copyright\";original=\"year name of author\";match=\".+\">>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; version 2.1.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 2.1, February 1999\n\n<<endOptional>>\n\nCopyright (C) 1991, 1999 Free Software Foundation, Inc.\n\n51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the Lesser GPL. It also counts as the successor of the GNU Library Public License, version 2, hence the version number 2.1.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Lesser General Public License, applies to some specially designated software packages--typically libraries--of the Free Software Foundation and other authors who decide to use it. You can use it too, but we suggest you first think carefully about whether this license or the ordinary General Public License is the better strategy to use in any particular case, based on the explanations below.\n\nWhen we speak of free software, we are referring to freedom of use, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish); that you receive source code or can get it if you want it; that you can change the software and use pieces of it in new free programs; and that you are informed that you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid distributors to deny you these rights or to ask you to surrender these rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link other code with the library, you must provide complete object files to the recipients, so that they can relink them with the library after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nWe protect your rights with a two-step method: (1) we copyright the library, and (2) we offer you this license, which gives you legal permission to copy, distribute and/or modify the library.\n\nTo protect each distributor, we want to make it very clear that there is no warranty for the free library. Also, if the library is modified by someone else and passed on, the recipients should know that what they have is not the original version, so that the original author's reputation will not be affected by problems that might be introduced by others.\n\nFinally, software patents pose a constant threat to the existence of any free program. We wish to make sure that a company cannot effectively restrict the users of a free program by obtaining a restrictive license from a patent holder. Therefore, we insist that any patent license obtained for a version of the library must be consistent with the full freedom of use specified in this license.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License. This license, the GNU Lesser General Public License, applies to certain designated libraries, and is quite different from the ordinary General Public License. We use this license for certain libraries in order to permit linking those libraries into non-free programs.\n\nWhen a program is linked with a library, whether statically or using a shared library, the combination of the two is legally speaking a combined work, a derivative of the original library. The ordinary General Public License therefore permits such linking only if the entire combination fits its criteria of freedom. The Lesser General Public License permits more lax criteria for linking other code with the library.\n\nWe call this license the \"Lesser\" General Public License because it does Less to protect the user's freedom than the ordinary General Public License. It also provides other free software developers Less of an advantage over competing non-free programs. These disadvantages are the reason we use the ordinary General Public License for many libraries. However, the Lesser license provides advantages in certain special circumstances.\n\nFor example, on rare occasions, there may be a special need to encourage the widest possible use of a certain library, so that it becomes a de-facto standard. To achieve this, non-free programs must be allowed to use the library. A more frequent case is that a free library does the same job as widely used non-free libraries. In this case, there is little to gain by limiting the free library to free software only, so we use the Lesser General Public License.\n\nIn other cases, permission to use a particular library in non-free programs enables a greater number of people to use a large body of free software. For example, permission to use the GNU C Library in non-free programs enables many more people to use the whole GNU operating system, as well as its variant, the GNU/Linux operating system.\n\nAlthough the Lesser General Public License is Less protective of the users' freedom, it does ensure that the user of a program that is linked with the Library has the freedom and the wherewithal to run that program using a modified version of the Library.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, whereas the latter must be combined with the library in order to run.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License Agreement applies to any software library or other program which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\n   A \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\n   The \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n   \"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The modified work must itself be a software library.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n   (For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\n   In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\n   Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\n   This option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\n   If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\n   However, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\n   When a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\n   If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\n   Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> As an exception to the Sections above, you may also combine or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\n   You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (1) uses at run time a copy of the library already present on the user's computer system, rather than copying library functions into the executable, and (2) will operate properly with a modified version of the library, if the user installs one, as long as the modified version is interface-compatible with the version that the work was made with.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\n   For an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<beginOptional>><<<endOptional>> one line to give the library's name and <<var;name=\"ideaClause\";original=\"an idea\";match=\"an idea|a brief idea\">> of what it does.<<beginOptional>> ><<endOptional>>\n\nCopyright (C)<<beginOptional>> <<<endOptional>> year<<beginOptional>> ><<endOptional>><<beginOptional>> <<<endOptional>> name of author<<beginOptional>> ><<endOptional>>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA Also add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\n\nthe library `Frob' (a library for tweaking knobs) written\n\nby James Random Hacker.\n\n<<beginOptional>><<<endOptional>> signature of Ty Coon<<beginOptional>> ><<endOptional>> , 1 April 1990\n\nTy Coon, President of Vice\n\nThat's all there is to it!\n\n<<endOptional>>"
		self.name = "GNU Lesser General Public License v2.1 only"
		self.licenseId = "LGPL-2.1"
		self.standardLicenseHeader = "Copyright (C) year name of author\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; version 2.1.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/LGPL-2.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:32Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/lgpl-2.1-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:32Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/lgpl-2.1-standalone.html", "https://opensource.org/licenses/LGPL-2.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU LESSER GENERAL PUBLIC LICENSE\n	  </p>\n\n	  <p>\n		Version 2.1, February 1999\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 1991, 1999 Free Software Foundation, Inc.<br />\n\n	  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  [This is the first released version of the Lesser GPL.\n	  It also counts as the successor of the GNU Library\n	  Public License, version 2, hence the version number 2.1.]\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The licenses for most software are designed to take away your\n	  freedom to share and change it. By contrast, the GNU General Public\n	  Licenses are intended to guarantee your freedom to share and change\n	  free software--to make sure the software is free for all its users.\n	</p>\n\n	<p>\n	  This license, the Lesser General Public License, applies to some\n	  specially designated software packages--typically libraries--of the\n	  Free Software Foundation and other authors who decide to use it. You\n	  can use it too, but we suggest you first think carefully about whether\n	  this license or the ordinary General Public License is the better\n	  strategy to use in any particular case, based on the explanations below.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom of use, not\n	  price. Our General Public Licenses are designed to make sure that you\n	  have the freedom to distribute copies of free software (and charge for\n	  this service if you wish); that you receive source code or can get it if\n	  you want it; that you can change the software and use pieces of it in new\n	  free programs; and that you are informed that you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to make restrictions that forbid\n	  distributors to deny you these rights or to ask you to surrender\n	  these rights. These restrictions translate to certain responsibilities\n	  for you if you distribute copies of the library or if you modify it.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of the library, whether gratis\n	  or for a fee, you must give the recipients all the rights that we\n	  gave you. You must make sure that they, too, receive or can get the\n	  source code. If you link other code with the library, you must provide\n	  complete object files to the recipients, so that they can relink them\n	  with the library after making changes to the library and recompiling\n	  it. And you must show them these terms so they know their rights.\n	</p>\n\n	<p>\n	  We protect your rights with a two-step method: (1) we copyright\n	  the library, and (2) we offer you this license, which gives you\n	  legal permission to copy, distribute and/or modify the library.\n	</p>\n\n	<p>\n	  To protect each distributor, we want to make it very clear that there\n	  is no warranty for the free library. Also, if the library is modified\n	  by someone else and passed on, the recipients should know that what they\n	  have is not the original version, so that the original author&apos;s reputation\n	  will not be affected by problems that might be introduced by others.\n	</p>\n\n	<p>\n	  Finally, software patents pose a constant threat to the existence\n	  of any free program. We wish to make sure that a company cannot\n	  effectively restrict the users of a free program by obtaining a\n	  restrictive license from a patent holder. Therefore, we insist that\n	  any patent license obtained for a version of the library must be\n	  consistent with the full freedom of use specified in this license.\n	</p>\n\n	<p>\n	  Most GNU software, including some libraries, is covered by\n	  the ordinary GNU General Public License. This license, the GNU\n	  Lesser General Public License, applies to certain designated\n	  libraries, and is quite different from the ordinary General\n	  Public License. We use this license for certain libraries in\n	  order to permit linking those libraries into non-free programs.\n	</p>\n\n	<p>\n	  When a program is linked with a library, whether statically or using\n	  a shared library, the combination of the two is legally speaking a\n	  combined work, a derivative of the original library. The ordinary\n	  General Public License therefore permits such linking only if the entire\n	  combination fits its criteria of freedom. The Lesser General Public\n	  License permits more lax criteria for linking other code with the library.\n	</p>\n\n	<p>\n	  We call this license the &quot;Lesser&quot; General Public License\n	  because it does Less to protect the user&apos;s freedom than the\n	  ordinary General Public License. It also provides other free\n	  software developers Less of an advantage over competing non-free\n	  programs. These disadvantages are the reason we use the ordinary\n	  General Public License for many libraries. However, the Lesser\n	  license provides advantages in certain special circumstances.\n	</p>\n\n	<p>\n	  For example, on rare occasions, there may be a special need to\n	  encourage the widest possible use of a certain library, so that\n	  it becomes a de-facto standard. To achieve this, non-free programs\n	  must be allowed to use the library. A more frequent case is that a\n	  free library does the same job as widely used non-free libraries.\n	  In this case, there is little to gain by limiting the free library\n	  to free software only, so we use the Lesser General Public License.\n	</p>\n\n	<p>\n	  In other cases, permission to use a particular library in non-free\n	  programs enables a greater number of people to use a large body of free\n	  software. For example, permission to use the GNU C Library in non-free\n	  programs enables many more people to use the whole GNU operating\n	  system, as well as its variant, the GNU/Linux operating system.\n	</p>\n\n	<p>\n	  Although the Lesser General Public License is Less protective of\n	  the users&apos; freedom, it does ensure that the user of a program that\n	  is linked with the Library has the freedom and the wherewithal\n	  to run that program using a modified version of the Library.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying, distribution and\n	  modification follow. Pay close attention to the difference between\n	  a &quot;work based on the library&quot; and a &quot;work that uses the library&quot;.\n	  The former contains code derived from the library, whereas\n	  the latter must be combined with the library in order to run.\n	</p>\n\n	<p>\n	  TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		This License Agreement applies to any software library or\n		other program which contains a notice placed by the copyright\n		holder or other authorized party saying it may be distributed\n		under the terms of this Lesser General Public License (also\n		called &quot;this License&quot;). Each licensee is addressed as &quot;you&quot;.\n		<p>\n		  A &quot;library&quot; means a collection of software functions and/or data\n		  prepared so as to be conveniently linked with application programs\n		  (which use some of those functions and data) to form executables.\n		</p>\n\n		<p>\n		  The &quot;Library&quot;, below, refers to any such software library or work\n		  which has been distributed under these terms. A &quot;work based on\n		  the Library&quot; means either the Library or any derivative work under\n		  copyright law: that is to say, a work containing the Library or a\n		  portion of it, either verbatim or with modifications and/or translated\n		  straightforwardly into another language. (Hereinafter, translation\n		  is included without limitation in the term &quot;modification&quot;.)\n		</p>\n\n		<p>\n		  &quot;Source code&quot; for a work means the preferred form of the work\n		  for making modifications to it. For a library, complete source\n		  code means all the source code for all modules it contains,\n		  plus any associated interface definition files, plus the scripts\n		  used to control compilation and installation of the library.\n		</p>\n\n		<p>\n		  Activities other than copying, distribution and modification are\n		  not covered by this License; they are outside its scope. The act of\n		  running a program using the Library is not restricted, and output\n		  from such a program is covered only if its contents constitute a\n		  work based on the Library (independent of the use of the Library\n		  in a tool for writing it). Whether that is True depends on what\n		  the Library does and what the program that uses the Library does.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		You may copy and distribute verbatim copies of the Library&apos;s complete\n		source code as you receive it, in any medium, provided that you\n		conspicuously and appropriately publish on each copy an appropriate\n		copyright notice and disclaimer of warranty; keep intact all the\n		notices that refer to this License and to the absence of any warranty;\n		and distribute a copy of this License along with the Library.\n		<p>\n		  You may charge a fee for the physical act of\n		  transferring a copy, and you may at your option\n		  offer warranty protection in exchange for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		You may modify your copy or copies of the Library or any portion\n		of it, thus forming a work based on the Library, and copy and\n		distribute such modifications or work under the terms of Section\n		1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			The modified work must itself be a software library.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			You must cause the files modified to carry prominent notices\n			stating that you changed the files and the date of any change.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			You must cause the whole of the work to be licensed at no\n			charge to all third parties under the terms of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If a facility in the modified Library refers to a function\n			or a table of data to be supplied by an application program\n			that uses the facility, other than as an argument passed\n			when the facility is invoked, then you must make a good faith\n			effort to ensure that, in the event an application does not\n			supply such function or table, the facility still operates,\n			and performs whatever part of its purpose remains meaningful.\n		  </li>\n		\n</ul>\n		<p>\n		  (For example, a function in a library to compute square roots\n		  has a purpose that is entirely well-defined independent of\n		  the application. Therefore, Subsection 2d requires that any\n		  application-supplied function or table used by this function\n		  must be optional: if the application does not supply it,\n		  the square root function must still compute square roots.)\n		</p>\n\n		<p>\n		  These requirements apply to the modified work as a whole. If\n		  identifiable sections of that work are not derived from the\n		  Library, and can be reasonably considered independent and separate\n		  works in themselves, then this License, and its terms, do not\n		  apply to those sections when you distribute them as separate\n		  works. But when you distribute the same sections as part of a\n		  whole which is a work based on the Library, the distribution\n		  of the whole must be on the terms of this License, whose\n		  permissions for other licensees extend to the entire whole,\n		  and thus to each and every part regardless of who wrote it.\n		</p>\n\n		<p>\n		  Thus, it is not the intent of this section to claim rights or\n		  contest your rights to work written entirely by you; rather,\n		  the intent is to exercise the right to control the distribution\n		  of derivative or collective works based on the Library.\n		</p>\n\n		<p>\n		  In addition, mere aggregation of another work not based on\n		  the Library with the Library (or with a work based on the\n		  Library) on a volume of a storage or distribution medium does\n		  not bring the other work under the scope of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		You may opt to apply the terms of the ordinary GNU General\n		Public License instead of this License to a given copy of the\n		Library. To do this, you must alter all the notices that refer\n		to this License, so that they refer to the ordinary GNU General\n		Public License, version 2, instead of to this License. (If a\n		newer version than version 2 of the ordinary GNU General Public\n		License has appeared, then you can specify that version instead\n		if you wish.) Do not make any other change in these notices.\n		<p>\n		  Once this change is made in a given copy, it is irreversible for\n		  that copy, so the ordinary GNU General Public License applies to\n		  all subsequent copies and derivative works made from that copy.\n		</p>\n\n		<p>\n		  This option is useful when you wish to copy part of the\n		  code of the Library into a program that is not a library.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		You may copy and distribute the Library (or a portion or derivative\n		of it, under Section 2) in object code or executable form under\n		the terms of Sections 1 and 2 above provided that you accompany\n		it with the complete corresponding machine-readable source code,\n		which must be distributed under the terms of Sections 1 and 2\n		above on a medium customarily used for software interchange.\n		<p>\n		  If distribution of object code is made by offering access to copy\n		  from a designated place, then offering equivalent access to copy\n		  the source code from the same place satisfies the requirement\n		  to distribute the source code, even though third parties are\n		  not compelled to copy the source along with the object code.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		A program that contains no derivative of any portion of the\n		Library, but is designed to work with the Library by being compiled\n		or linked with it, is called a &quot;work that uses the Library&quot;.\n		Such a work, in isolation, is not a derivative work of the\n		Library, and therefore falls outside the scope of this License.\n		<p>\n		  However, linking a &quot;work that uses the Library&quot; with the Library\n		  creates an executable that is a derivative of the Library (because\n		  it contains portions of the Library), rather than a &quot;work that uses\n		  the library&quot;. The executable is therefore covered by this License.\n		  Section 6 states terms for distribution of such executables.\n		</p>\n\n		<p>\n		  When a &quot;work that uses the Library&quot; uses material from a header\n		  file that is part of the Library, the object code for the work may\n		  be a derivative work of the Library even though the source code is\n		  not. Whether this is True is especially significant if the work can\n		  be linked without the Library, or if the work is itself a library.\n		  The threshold for this to be True is not precisely defined by law.\n		</p>\n\n		<p>\n		  If such an object file uses only numerical parameters, data\n		  structure layouts and accessors, and small macros and small inline\n		  functions (ten lines or less in length), then the use of the\n		  object file is unrestricted, regardless of whether it is legally\n		  a derivative work. (Executables containing this object code\n		  plus portions of the Library will still fall under Section 6.)\n		</p>\n\n		<p>\n		  Otherwise, if the work is a derivative of the Library, you may\n		  distribute the object code for the work under the terms of Section\n		  6. Any executables containing that work also fall under Section 6,\n		  whether or not they are linked directly with the Library itself.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		As an exception to the Sections above, you may also combine or\n		link a &quot;work that uses the Library&quot; with the Library to produce\n		a work containing portions of the Library, and distribute\n		that work under terms of your choice, provided that the terms\n		permit modification of the work for the customer&apos;s own use\n		and reverse engineering for debugging such modifications.\n		<p>\n		  You must give prominent notice with each copy of the work\n		  that the Library is used in it and that the Library and its\n		  use are covered by this License. You must supply a copy of\n		  this License. If the work during execution displays copyright\n		  notices, you must include the copyright notice for the Library\n		  among them, as well as a reference directing the user to the\n		  copy of this License. Also, you must do one of these things:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany the work with the complete corresponding machine-readable\n			source code for the Library including whatever changes were used in\n			the work (which must be distributed under Sections 1 and 2 above);\n			and, if the work is an executable linked with the Library, with the\n			complete machine-readable &quot;work that uses the Library&quot;, as object\n			code and/or source code, so that the user can modify the Library\n			and then relink to produce a modified executable containing the\n			modified Library. (It is understood that the user who changes the\n			contents of definitions files in the Library will not necessarily be\n			able to recompile the application to use the modified definitions.)\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Use a suitable shared library mechanism for linking with the\n			Library. A suitable mechanism is one that (1) uses at run time a\n			copy of the library already present on the user&apos;s computer system,\n			rather than copying library functions into the executable, and\n			(2) will operate properly with a modified version of the library,\n			if the user installs one, as long as the modified version is\n			interface-compatible with the version that the work was made with.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Accompany the work with a written offer, valid for at\n			least three years, to give the same user the materials\n			specified in Subsection 6a, above, for a charge no\n			more than the cost of performing this distribution.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If distribution of the work is made by offering access to\n			copy from a designated place, offer equivalent access to\n			copy the above specified materials from the same place.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Verify that the user has already received a copy of these\n			materials or that you have already sent this user a copy.\n		  </li>\n		\n</ul>\n		<p>\n		  For an executable, the required form of the &quot;work that uses\n		  the Library&quot; must include any data and utility programs needed\n		  for reproducing the executable from it. However, as a special\n		  exception, the materials to be distributed need not include\n		  anything that is normally distributed (in either source or\n		  binary form) with the major components (compiler, kernel,\n		  and so on) of the operating system on which the executable\n		  runs, unless that component itself accompanies the executable.\n		</p>\n\n		<p>\n		  It may happen that this requirement contradicts the\n		  license restrictions of other proprietary libraries that\n		  do not normally accompany the operating system. Such\n		  a contradiction means you cannot use both them and the\n		  Library together in an executable that you distribute.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		You may place library facilities that are a work based on the\n		Library side-by-side in a single library together with other library\n		facilities not covered by this License, and distribute such a\n		combined library, provided that the separate distribution of the\n		work based on the Library and of the other library facilities is\n		otherwise permitted, and provided that you do these two things:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany the combined library with a copy of the same work based\n			on the Library, uncombined with any other library facilities.\n			This must be distributed under the terms of the Sections above.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Give prominent notice with the combined library of the fact\n			that part of it is a work based on the Library, and explaining\n			where to find the accompanying uncombined form of the same work.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		You may not copy, modify, sublicense, link with, or distribute the\n		Library except as expressly provided under this License. Any attempt\n		otherwise to copy, modify, sublicense, link with, or distribute\n		the Library is void, and will automatically terminate your rights\n		under this License. However, parties who have received copies, or\n		rights, from you under this License will not have their licenses\n		terminated so long as such parties remain in full compliance.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		You are not required to accept this License, since you have\n		not signed it. However, nothing else grants you permission to\n		modify or distribute the Library or its derivative works. These\n		actions are prohibited by law if you do not accept this License.\n		Therefore, by modifying or distributing the Library (or any\n		work based on the Library), you indicate your acceptance of this\n		License to do so, and all its terms and conditions for copying,\n		distributing or modifying the Library or works based on it.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		Each time you redistribute the Library (or any work based on\n		the Library), the recipient automatically receives a license\n		from the original licensor to copy, distribute, link with or\n		modify the Library subject to these terms and conditions. You\n		may not impose any further restrictions on the recipients&apos;\n		exercise of the rights granted herein. You are not responsible\n		for enforcing compliance by third parties with this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		If, as a consequence of a court judgment or allegation of patent\n		infringement or for any other reason (not limited to patent issues),\n		conditions are imposed on you (whether by court order, agreement\n		or otherwise) that contradict the conditions of this License,\n		they do not excuse you from the conditions of this License. If you\n		cannot distribute so as to satisfy simultaneously your obligations\n		under this License and any other pertinent obligations, then as a\n		consequence you may not distribute the Library at all. For example,\n		if a patent license would not permit royalty-free redistribution of\n		the Library by all those who receive copies directly or indirectly\n		through you, then the only way you could satisfy both it and this\n		License would be to refrain entirely from distribution of the Library.\n		<p>\n		  If any portion of this section is held invalid or\n		  unenforceable under any particular circumstance, the\n		  balance of the section is intended to apply, and the section\n		  as a whole is intended to apply in other circumstances.\n		</p>\n\n		<p>\n		  It is not the purpose of this section to induce you to infringe\n		  any patents or other property right claims or to contest\n		  validity of any such claims; this section has the sole purpose\n		  of protecting the integrity of the free software distribution\n		  system which is implemented by public license practices. Many\n		  people have made generous contributions to the wide range of\n		  software distributed through that system in reliance on consistent\n		  application of that system; it is up to the author/donor to\n		  decide if he or she is willing to distribute software through\n		  any other system and a licensee cannot impose that choice.\n		</p>\n\n		<p>\n		  This section is intended to make thoroughly clear what is\n		  believed to be a consequence of the rest of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		If the distribution and/or use of the Library is restricted in\n		certain countries either by patents or by copyrighted interfaces,\n		the original copyright holder who places the Library under this\n		License may add an explicit geographical distribution limitation\n		excluding those countries, so that distribution is permitted only\n		in or among countries not thus excluded. In such case, this License\n		incorporates the limitation as if written in the body of this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 13.</var>\n		The Free Software Foundation may publish revised and/or new\n		versions of the Lesser General Public License from time to time.\n		Such new versions will be similar in spirit to the present version,\n		but may differ in detail to address new problems or concerns.\n		<p>\n		  Each version is given a distinguishing version number. If\n		  the Library specifies a version number of this License which\n		  applies to it and &quot;any later version&quot;, you have the option of\n		  following the terms and conditions either of that version or of\n		  any later version published by the Free Software Foundation. If\n		  the Library does not specify a license version number, you may\n		  choose any version ever published by the Free Software Foundation.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 14.</var>\n		If you wish to incorporate parts of the Library into other free programs\n		whose distribution conditions are incompatible with these, write to\n		the author to ask for permission. For software which is copyrighted by\n		the Free Software Foundation, write to the Free Software Foundation; we\n		sometimes make exceptions for this. Our decision will be guided by the\n		two goals of preserving the free status of all derivatives of our free\n		software and of promoting the sharing and reuse of software generally.\n		<p>\n		  NO WARRANTY\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 15.</var>\n		BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\n		FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT\n		WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER\n		PARTIES PROVIDE THE LIBRARY &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND,\n		EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\n		IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\n		THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU\n		ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 16.</var>\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n		REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR\n		DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL\n		DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY\n		(INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\n		INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF\n		THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER\n		OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Libraries\n	  </p>\n\n	  <p>\n		If you develop a new library, and you want it to be of the greatest\n		possible use to the public, we recommend making it free software\n		that everyone can redistribute and change. You can do so by\n		permitting redistribution under these terms (or, alternatively,\n		under the terms of the ordinary General Public License).\n	  </p>\n\n	  <p>\n		To apply these terms, attach the following notices to the\n		library. It is safest to attach them to the start of each\n		source file to most effectively convey the exclusion of\n		warranty; and each file should have at least the &quot;copyright&quot;\n		line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n\t<var class=\"optional-license-text\"> &lt;</var>one line to give the library&apos;s name\n\tand <var class=\"replaceable-license-text\"> an idea</var> of what it does.<var class=\"optional-license-text\"> &gt;</var>\n		<br />\n\n		Copyright (C)\n		<var class=\"optional-license-text\"> &lt;</var>year<var class=\"optional-license-text\"> &gt;</var>\n		<var class=\"optional-license-text\"> &lt;</var>name of author<var class=\"optional-license-text\"> &gt;</var>\n	  </p>\n\n	  <p>\n		This library is free software; you can redistribute it and/or\n		modify it under the terms of the GNU Lesser General Public\n		License as published by the Free Software Foundation; either\n		version 2.1 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This library is distributed in the hope that it will be useful,\n		but WITHOUT ANY WARRANTY; without even the implied warranty\n		of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n		See the GNU Lesser General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU Lesser General Public License\n		along with this library; if not, write to the Free Software Foundation,\n		Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA Also\n		add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or your school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the library, if necessary. Here is a sample; alter the names:\n	  </p>\n\n	  <p>\n		Yoyodyne, Inc., hereby disclaims all copyright interest in<br />\n\n		the library `Frob&apos; (a library for tweaking knobs) written<br />\n\n		by James Random Hacker.\n	  </p>\n\n	  <p>\n\t<var class=\"optional-license-text\"> &lt;</var>signature of Ty Coon<var class=\"optional-license-text\"> &gt;</var>,\n\t1 April 1990<br />\n\n		Ty Coon, President of Vice<br />\n\n		That&apos;s all there is to it!\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (C) <var class=\"replaceable-license-text\"> year name of author</var>\n	  <p>\n		This library is free software; you can redistribute it and/or\n		modify it under the terms of the GNU Lesser General Public\n		License as published by the Free Software Foundation; version 2.1.\n	  </p>\n\n	  <p>\n		This library is distributed in the hope that it will be useful,\n		but WITHOUT ANY WARRANTY; without even the implied warranty\n		of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n		See the GNU Lesser General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU Lesser General Public License\n		along with this library; if not, write to the Free Software Foundation,\n		Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n	  </p>\n\n	"
		self.deprecatedVersion = "3.0"
		self.python_name = "LGPL21"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBY40:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Creative Commons Attribution 4.0 International\n\n Creative Commons Corporation (\u201cCreative Commons\u201d) is not a law firm and does not provide legal services or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or other relationship. Creative Commons makes its licenses and related information available on an \u201cas-is\u201d basis. Creative Commons gives no warranties regarding its licenses, any material licensed under their terms and conditions, or any related information. Creative Commons disclaims all liability for damages resulting from their use to the fullest extent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions that creators and other rights holders may use to share original works of authorship and other material subject to copyright and certain other rights specified in the public license below. The following considerations are for informational purposes only, are not exhaustive, and do not form part of our licenses.\n\nConsiderations for licensors: Our public licenses are intended for use by those authorized to give the public permission to use material in ways otherwise restricted by copyright and certain other rights. Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the license they choose before applying it. Licensors should also secure all rights necessary before applying our licenses so that the public can reuse the material as expected. Licensors should clearly mark any material not subject to the license. This includes other CC-licensed material, or material used under an exception or limitation to copyright. More considerations for licensors.\n\nConsiderations for the public: By using one of our public licenses, a licensor grants the public permission to use the licensed material under specified terms and conditions. If the licensor\u2019s permission is not necessary for any reason\u2013for example, because of any applicable exception or limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only permissions under copyright and certain other rights that a licensor has authority to grant. Use of the licensed material may still be restricted for other reasons, including because others have copyright or other rights in the material. A licensor may make special requests, such as asking that all changes be marked or described. Although not required by our licenses, you are encouraged to respect those requests where reasonable. More considerations for the public.\n\nCreative Commons Attribution 4.0 International Public License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and conditions of this Creative Commons Attribution 4.0 International Public License (\"Public License\"). To the extent this Public License may be interpreted as a contract, You are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the Licensor grants You such rights in consideration of benefits the Licensor receives from making the Licensed Material available under these terms and conditions.\n\nSection 1 \u2013 Definitions.\n\n	 a.\tAdapted Material means material subject to Copyright and Similar Rights that is derived from or based upon the Licensed Material and in which the Licensed Material is translated, altered, arranged, transformed, or otherwise modified in a manner requiring permission under the Copyright and Similar Rights held by the Licensor. For purposes of this Public License, where the Licensed Material is a musical work, performance, or sound recording, Adapted Material is always produced where the Licensed Material is synched in timed relation with a moving image.\n\n	 b.\tAdapter's License means the license You apply to Your Copyright and Similar Rights in Your contributions to Adapted Material in accordance with the terms and conditions of this Public License.\n\n	 c.\tCopyright and Similar Rights means copyright and/or similar rights closely related to copyright including, without limitation, performance, broadcast, sound recording, and Sui Generis Database Rights, without regard to how the rights are labeled or categorized. For purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\n	 d.\tEffective Technological Measures means those measures that, in the absence of proper authority, may not be circumvented under laws fulfilling obligations under Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international agreements.\n\n	 e.\tExceptions and Limitations means fair use, fair dealing, and/or any other exception or limitation to Copyright and Similar Rights that applies to Your use of the Licensed Material.\n\n	 f.\tLicensed Material means the artistic or literary work, database, or other material to which the Licensor applied this Public License.\n\n	 g.\tLicensed Rights means the rights granted to You subject to the terms and conditions of this Public License, which are limited to all Copyright and Similar Rights that apply to Your use of the Licensed Material and that the Licensor has authority to license.\n\n	 h.\tLicensor means the individual(s) or entity(ies) granting rights under this Public License.\n\n	 i.\tShare means to provide material to the public by any means or process that requires permission under the Licensed Rights, such as reproduction, public display, public performance, distribution, dissemination, communication, or importation, and to make material available to the public including in ways that members of the public may access the material from a place and at a time individually chosen by them.\n\n	 j.\tSui Generis Database Rights means rights other than copyright resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other essentially equivalent rights anywhere in the world.\n\n	 k.\tYou means the individual or entity exercising the Licensed Rights under this Public License. Your has a corresponding meaning.\n\nSection 2 \u2013 Scope.\n\n	 a.\tLicense grant.\n\n		  1. Subject to the terms and conditions of this Public License, the Licensor hereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license to exercise the Licensed Rights in the Licensed Material to:\n\n			   A. reproduce and Share the Licensed Material, in whole or in part; and\n\n			   B. produce, reproduce, and Share Adapted Material.\n\n		  2. Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations apply to Your use, this Public License does not apply, and You do not need to comply with its terms and conditions.\n\n		  3. Term. The term of this Public License is specified in Section 6(a).\n\n		  4. Media and formats; technical modifications allowed. The Licensor authorizes You to exercise the Licensed Rights in all media and formats whether now known or hereafter created, and to make technical modifications necessary to do so. The Licensor waives and/or agrees not to assert any right or authority to forbid You from making technical modifications necessary to exercise the Licensed Rights, including technical modifications necessary to circumvent Effective Technological Measures. For purposes of this Public License, simply making modifications authorized by this Section 2(a)(4) never produces Adapted Material.\n\n		  5. Downstream recipients.\n\n			   A. Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material automatically receives an offer from the Licensor to exercise the Licensed Rights under the terms and conditions of this Public License.\n\n			   B. No downstream restrictions. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, the Licensed Material if doing so restricts exercise of the Licensed Rights by any recipient of the Licensed Material.\n\n		  6.  No endorsement. Nothing in this Public License constitutes or may be consTrued as permission to assert or imply that You are, or that Your use of the Licensed Material is, connected with, or sponsored, endorsed, or granted official status by, the Licensor or others designated to receive attribution as provided in Section 3(a)(1)(A)(i).\n\nb. Other rights.\n\n		  1. Moral rights, such as the right of integrity, are not licensed under this Public License, nor are publicity, privacy, and/or other similar personality rights; however, to the extent possible, the Licensor waives and/or agrees not to assert any such rights held by the Licensor to the limited extent necessary to allow You to exercise the Licensed Rights, but not otherwise.\n\n		  2. Patent and trademark rights are not licensed under this Public License.\n\n		  3. To the extent possible, the Licensor waives any right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary or waivable statutory or compulsory licensing scheme. In all other cases the Licensor expressly reserves any right to collect such royalties.\n\nSection 3 \u2013 License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following conditions.\n\n	 a.\tAttribution.\n\n		  1. If You Share the Licensed Material (including in modified form), You must:\n\n			   A. retain the following if it is supplied by the Licensor with the Licensed Material:\n\n					i. identification of the creator(s) of the Licensed Material and any others designated to receive attribution, in any reasonable manner requested by the Licensor (including by pseudonym if designated);\n\n					ii. a copyright notice;\n\n					iii. a notice that refers to this Public License;\n\n					iv.\ta notice that refers to the disclaimer of warranties;\n\n					v. a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\n			   B. indicate if You modified the Licensed Material and retain an indication of any previous modifications; and\n\n			   C. indicate the Licensed Material is licensed under this Public License, and include the text of, or the URI or hyperlink to, this Public License.\n\n		  2. You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the medium, means, and context in which You Share the Licensed Material. For example, it may be reasonable to satisfy the conditions by providing a URI or hyperlink to a resource that includes the required information.\n\n		  3. If requested by the Licensor, You must remove any of the information required by Section 3(a)(1)(A) to the extent reasonably practicable.\n\n		  4. If You Share Adapted Material You produce, the Adapter's License You apply must not prevent recipients of the Adapted Material from complying with this Public License.\n\nSection 4 \u2013 Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to Your use of the Licensed Material:\n\n	 a.\tfor the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse, reproduce, and Share all or a substantial portion of the contents of the database;\n\n	 b.\tif You include all or a substantial portion of the database contents in a database in which You have Sui Generis Database Rights, then the database in which You have Sui Generis Database Rights (but not its individual contents) is Adapted Material; and\n\n	 c.\tYou must comply with the conditions in Section 3(a) if You Share all or a substantial portion of the contents of the database.\nFor the avoidance of doubt, this Section 4 supplements and does not replace Your obligations under this Public License where the Licensed Rights include other Copyright and Similar Rights.\n\nSection 5 \u2013 Disclaimer of Warranties and Limitation of Liability.\n\n	 a.\tUnless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor offers the Licensed Material as-is and as-available, and makes no representations or warranties of any kind concerning the Licensed Material, whether express, implied, statutory, or other. This includes, without limitation, warranties of title, merchantability, fitness for a particular purpose, non-infringement, absence of latent or other defects, accuracy, or the presence or absence of errors, whether or not known or discoverable. Where disclaimers of warranties are not allowed in full or in part, this disclaimer may not apply to You.\n\n	 b.\tTo the extent possible, in no event will the Licensor be liable to You on any legal theory (including, without limitation, negligence) or otherwise for any direct, special, indirect, incidental, consequential, punitive, exemplary, or other losses, costs, expenses, or damages arising out of this Public License or use of the Licensed Material, even if the Licensor has been advised of the possibility of such losses, costs, expenses, or damages. Where a limitation of liability is not allowed in full or in part, this limitation may not apply to You.\n\n	 c.\tThe disclaimer of warranties and limitation of liability provided above shall be interpreted in a manner that, to the extent possible, most closely approximates an absolute disclaimer and waiver of all liability.\n\nSection 6 \u2013 Term and Termination.\n\n	 a.\tThis Public License applies for the term of the Copyright and Similar Rights licensed here. However, if You fail to comply with this Public License, then Your rights under this Public License terminate automatically.\n\n	 b.\tWhere Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n\n		  1. automatically as of the date the violation is cured, provided it is cured within 30 days of Your discovery of the violation; or\n\n		  2. upon express reinstatement by the Licensor.\n\n	 c.\tFor the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have to seek remedies for Your violations of this Public License.\n\n	 d.\tFor the avoidance of doubt, the Licensor may also offer the Licensed Material under separate terms or conditions or stop distributing the Licensed Material at any time; however, doing so will not terminate this Public License.\n\n	 e.\tSections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\nSection 7 \u2013 Other Terms and Conditions.\n\n	 a.\tThe Licensor shall not be bound by any additional or different terms or conditions communicated by You unless expressly agreed.\n\n	 b.\tAny arrangements, understandings, or agreements regarding the Licensed Material not stated herein are separate from and independent of the terms and conditions of this Public License.\n\nSection 8 \u2013 Interpretation.\n\n	 a.\tFor the avoidance of doubt, this Public License does not, and shall not be interpreted to, reduce, limit, restrict, or impose conditions on any use of the Licensed Material that could lawfully be made without permission under this Public License.\n\n	 b.\tTo the extent possible, if any provision of this Public License is deemed unenforceable, it shall be automatically reformed to the minimum extent necessary to make it enforceable. If the provision cannot be reformed, it shall be severed from this Public License without affecting the enforceability of the remaining terms and conditions.\n\n	 c.\tNo term or condition of this Public License will be waived and no failure to comply consented to unless expressly agreed to by the Licensor.\n\n	 d.\tNothing in this Public License constitutes or may be interpreted as a limitation upon, or waiver of, any privileges and immunities that apply to the Licensor or You, including from the legal processes of any jurisdiction or authority.\n\nCreative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to apply one of its public licenses to material it publishes and in those instances will be considered the \u201cLicensor.\u201d Except for the limited purpose of indicating that material is shared under a Creative Commons public license or as otherwise permitted by the Creative Commons policies published at creativecommons.org/policies, Creative Commons does not authorize the use of the trademark \u201cCreative Commons\u201d or any other trademark or logo of Creative Commons without its prior written consent including, without limitation, in connection with any unauthorized modifications to any of its public licenses or any other arrangements, understandings, or agreements concerning use of licensed material. For the avoidance of doubt, this paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<beginOptional>>Creative Commons<<endOptional>> Attribution 4.0 International\n\n<<endOptional>><<beginOptional>> Creative Commons Corporation (\"Creative Commons\") is not a law firm and does not provide legal services or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or other relationship. Creative Commons makes its licenses and related information available on an \"as-is\" basis. Creative Commons gives no warranties regarding its licenses, any material licensed under their terms and conditions, or any related information. Creative Commons disclaims all liability for damages resulting from their use to the fullest extent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions that creators and other rights holders may use to share original works of authorship and other material subject to copyright and certain other rights specified in the public license below. The following considerations are for informational purposes only, are not exhaustive, and do not form part of our licenses.\n\nConsiderations for licensors: Our public licenses are intended for use by those authorized to give the public permission to use material in ways otherwise restricted by copyright and certain other rights. Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the license they choose before applying it. Licensors should also secure all rights necessary before applying our licenses so that the public can reuse the material as expected. Licensors should clearly mark any material not subject to the license. This includes other <<var;name=\"ccLicensed\";original=\"\";match=\"CC-[ \\t\\r\\n\\f]{0,10}licensed\">> material, or material used under an exception or limitation to copyright. More considerations for licensors <<var;name=\"considerationsLicensors\";original=\": wiki.creativecommons.org/Considerations_for_licensors\";match=\":[ \\t\\r\\n\\f]{1,10}wiki\\.creativecommons\\.org/Considerations_for_licensors|\\.\">>\n\nConsiderations for the public: By using one of our public licenses, a licensor grants the public permission to use the licensed material under specified terms and conditions. If the licensor's permission is not necessary for any reason\u2013for example, because of any applicable exception or limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only permissions under copyright and certain other rights that a licensor has authority to grant. Use of the licensed material may still be restricted for other reasons, including because others have copyright or other rights in the material. A licensor may make special requests, such as asking that all changes be marked or described. Although not required by our licenses, you are encouraged to respect those requests where reasonable. <<var;name=\"spaceUnderscore\";original=\"More considerations\";match=\"More considerations|More_considerations\">> for the public <<var;name=\"considerationsLicensees\";original=\": wiki.creativecommons.org/Considerations_for_licensees\";match=\":[ \\t\\r\\n\\f]{1,10}wiki\\.creativecommons\\.org/Considerations_for_licensees|\\.\">>\n\n<<endOptional>><<beginOptional>> Creative Commons Attribution 4.0 International Public License\n\n<<endOptional>>\n\nBy exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and conditions of this Creative Commons Attribution 4.0 International Public License (\"Public License\"). To the extent this Public License may be interpreted as a contract, You are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the Licensor grants You such rights in consideration of benefits the Licensor receives from making the Licensed Material available under these terms and conditions.\n\nSection 1 <<var;name=\"section1TitleHyphens\";original=\"\";match=\"-{1,2}\">> Definitions.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Adapted Material means material subject to Copyright and Similar Rights that is derived from or based upon the Licensed Material and in which the Licensed Material is translated, altered, arranged, transformed, or otherwise modified in a manner requiring permission under the Copyright and Similar Rights held by the Licensor. For purposes of this Public License, where the Licensed Material is a musical work, performance, or sound recording, Adapted Material is always produced where the Licensed Material is synched in timed relation with a moving image.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Adapter's License means the license You apply to Your Copyright and Similar Rights in Your contributions to Adapted Material in accordance with the terms and conditions of this Public License.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Copyright and Similar Rights means copyright and/or similar rights closely related to copyright including, without limitation, performance, broadcast, sound recording, and Sui Generis Database Rights, without regard to how the rights are labeled or categorized. For purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Effective Technological Measures means those measures that, in the absence of proper authority, may not be circumvented under laws fulfilling obligations under Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international agreements.\n\n   <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Exceptions and Limitations means fair use, fair dealing, and/or any other exception or limitation to Copyright and Similar Rights that applies to Your use of the Licensed Material.\n\n   <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Licensed Material means the artistic or literary work, database, or other material to which the Licensor applied this Public License.\n\n   <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Licensed Rights means the rights granted to You subject to the terms and conditions of this Public License, which are limited to all Copyright and Similar Rights that apply to Your use of the Licensed Material and that the Licensor has authority to license.\n\n   <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Licensor means the individual(s) or entity(ies) granting rights under this Public License.\n\n   <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Share means to provide material to the public by any means or process that requires permission under the Licensed Rights, such as reproduction, public display, public performance, distribution, dissemination, communication, or importation, and to make material available to the public including in ways that members of the public may access the material from a place and at a time individually chosen by them.\n\n   <<var;name=\"bullet\";original=\"j.\";match=\".{0,20}\">> Sui Generis Database Rights means rights other than copyright resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other essentially equivalent rights anywhere in the world.\n\n   <<var;name=\"bullet\";original=\"k.\";match=\".{0,20}\">> You means the individual or entity exercising the Licensed Rights under this Public License. Your has a corresponding meaning.\n\nSection 2 <<var;name=\"section2TitleHyphens\";original=\"\";match=\"-{1,2}\">> Scope.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> License grant.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Subject to the terms and conditions of this Public License, the Licensor hereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license to exercise the Licensed Rights in the Licensed Material to:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> reproduce and Share the Licensed Material, in whole or in part; and\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> produce, reproduce, and Share Adapted Material.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations apply to Your use, this Public License does not apply, and You do not need to comply with its terms and conditions.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Term. The term of this Public License is specified in Section 6(a).\n\n	  <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Media and formats; technical modifications allowed. The Licensor authorizes You to exercise the Licensed Rights in all media and formats whether now known or hereafter created, and to make technical modifications necessary to do so. The Licensor waives and/or agrees not to assert any right or authority to forbid You from making technical modifications necessary to exercise the Licensed Rights, including technical modifications necessary to circumvent Effective Technological Measures. For purposes of this Public License, simply making modifications authorized by this Section 2(a)(4) never produces Adapted Material.\n\n	  <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Downstream recipients.\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material automatically receives an offer from the Licensor to exercise the Licensed Rights under the terms and conditions of this Public License.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> No downstream restrictions. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, the Licensed Material if doing so restricts exercise of the Licensed Rights by any recipient of the Licensed Material.\n\n	  <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> No endorsement. Nothing in this Public License constitutes or may be consTrued as permission to assert or imply that You are, or that Your use of the Licensed Material is, connected with, or sponsored, endorsed, or granted official status by, the Licensor or others designated to receive attribution as provided in Section 3(a)(1)(A)(i).\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Other rights.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Moral rights, such as the right of integrity, are not licensed under this Public License, nor are publicity, privacy, and/or other similar personality rights; however, to the extent possible, the Licensor waives and/or agrees not to assert any such rights held by the Licensor to the limited extent necessary to allow You to exercise the Licensed Rights, but not otherwise.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Patent and trademark rights are not licensed under this Public License.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> To the extent possible, the Licensor waives any right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary or waivable statutory or compulsory licensing scheme. In all other cases the Licensor expressly reserves any right to collect such royalties.\n\nSection 3 <<var;name=\"section3TitleHyphens\";original=\"\";match=\"-{1,2}\">> License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following conditions.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Attribution.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> If You Share the Licensed Material (including in modified form), You must:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> retain the following if it is supplied by the Licensor with the Licensed Material:\n\n			<<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> identification of the creator(s) of the Licensed Material and any others designated to receive attribution, in any reasonable manner requested by the Licensor (including by pseudonym if designated);\n\n			<<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> a copyright notice;\n\n			<<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> a notice that refers to this Public License;\n\n			<<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> a notice that refers to the disclaimer of warranties;\n\n			<<var;name=\"bullet\";original=\"v.\";match=\".{0,20}\">> a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> indicate if You modified the Licensed Material and retain an indication of any previous modifications; and\n\n		 <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> indicate the Licensed Material is licensed under this Public License, and include the text of, or the URI or hyperlink to, this Public License.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the medium, means, and context in which You Share the Licensed Material. For example, it may be reasonable to satisfy the conditions by providing a URI or hyperlink to a resource that includes the required information.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> If requested by the Licensor, You must remove any of the information required by Section 3(a)(1)(A) to the extent reasonably practicable.\n\n	  <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> If You Share Adapted Material You produce, the Adapter's License You apply must not prevent recipients of the Adapted Material from complying with this Public License.\n\nSection 4 <<var;name=\"section4TitleHyphens\";original=\"\";match=\"-{1,2}\">> Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to Your use of the Licensed Material:\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> for the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse, reproduce, and Share all or a substantial portion of the contents of the database;\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> if You include all or a substantial portion of the database contents in a database in which You have Sui Generis Database Rights, then the database in which You have Sui Generis Database Rights (but not its individual contents) is Adapted Material; and\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You must comply with the conditions in Section 3(a) if You Share all or a substantial portion of the contents of the database.\n\nFor the avoidance of doubt, this Section 4 supplements and does not replace Your obligations under this Public License where the Licensed Rights include other Copyright and Similar Rights.\n\nSection 5 <<var;name=\"section5TitleHyphens\";original=\"\";match=\"-{1,2}\">> Disclaimer of Warranties and Limitation of Liability.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Unless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor offers the Licensed Material as-is and as-available, and makes no representations or warranties of any kind concerning the Licensed Material, whether express, implied, statutory, or other. This includes, without limitation, warranties of title, merchantability, fitness for a particular purpose, non-infringement, absence of latent or other defects, accuracy, or the presence or absence of errors, whether or not known or discoverable. Where disclaimers of warranties are not allowed in full or in part, this disclaimer may not apply to You.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> To the extent possible, in no event will the Licensor be liable to You on any legal theory (including, without limitation, negligence) or otherwise for any direct, special, indirect, incidental, consequential, punitive, exemplary, or other losses, costs, expenses, or damages arising out of this Public License or use of the Licensed Material, even if the Licensor has been advised of the possibility of such losses, costs, expenses, or damages. Where a limitation of liability is not allowed in full or in part, this limitation may not apply to You.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> The disclaimer of warranties and limitation of liability provided above shall be interpreted in a manner that, to the extent possible, most closely approximates an absolute disclaimer and waiver of all liability.\n\nSection 6 <<var;name=\"section6TitleHyphens\";original=\"\";match=\"-{1,2}\">> Term and Termination.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This Public License applies for the term of the Copyright and Similar Rights licensed here. However, if You fail to comply with this Public License, then Your rights under this Public License terminate automatically.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Where Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> automatically as of the date the violation is cured, provided it is cured within 30 days of Your discovery of the violation; or\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> upon express reinstatement by the Licensor.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have to seek remedies for Your violations of this Public License.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> For the avoidance of doubt, the Licensor may also offer the Licensed Material under separate terms or conditions or stop distributing the Licensed Material at any time; however, doing so will not terminate this Public License.\n\n   <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\nSection 7 <<var;name=\"section7TitleHyphens\";original=\"\";match=\"-{1,2}\">> Other Terms and Conditions.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> The Licensor shall not be bound by any additional or different terms or conditions communicated by You unless expressly agreed.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Any arrangements, understandings, or agreements regarding the Licensed Material not stated herein are separate from and independent of the terms and conditions of this Public License.\n\nSection 8 <<var;name=\"section8TitleHyphens\";original=\"\";match=\"-{1,2}\">> Interpretation.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> For the avoidance of doubt, this Public License does not, and shall not be interpreted to, reduce, limit, restrict, or impose conditions on any use of the Licensed Material that could lawfully be made without permission under this Public License.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> To the extent possible, if any provision of this Public License is deemed unenforceable, it shall be automatically reformed to the minimum extent necessary to make it enforceable. If the provision cannot be reformed, it shall be severed from this Public License without affecting the enforceability of the remaining terms and conditions.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or condition of this Public License will be waived and no failure to comply consented to unless expressly agreed to by the Licensor.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Nothing in this Public License constitutes or may be interpreted as a limitation upon, or waiver of, any privileges and immunities that apply to the Licensor or You, including from the legal processes of any jurisdiction or authority.<<beginOptional>> Creative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to apply one of its public licenses to material it publishes and in those instances will be considered the \"Licensor.\"<<beginOptional>> The text of the Creative Commons public licenses is dedicated to the public domain under the CC0 Public Domain Dedication.<<endOptional>> Except for the limited purpose of indicating that material is shared under a Creative Commons public license or as otherwise permitted by the Creative Commons policies published at creativecommons.org/policies, Creative Commons does not authorize the use of the trademark \"Creative Commons\" or any other trademark or logo of Creative Commons without its prior written consent including, without limitation, in connection with any unauthorized modifications to any of its public licenses or any other arrangements, understandings, or agreements concerning use of licensed material. For the avoidance of doubt, this paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n\n<<endOptional>>"
		self.name = "Creative Commons Attribution 4.0 International"
		self.licenseId = "CC-BY-4.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by/4.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:16Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by/4.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p><var class=\"optional-license-text\"> Creative Commons </var>Attribution 4.0 International</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Corporation (&quot;Creative Commons&quot;) is not a law firm and does not provide legal services\n		 or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or\n		 other relationship. Creative Commons makes its licenses and related information available on an\n		 &quot;as-is&quot; basis. Creative Commons gives no warranties regarding its licenses, any material licensed\n		 under their terms and conditions, or any related information. Creative Commons disclaims all liability\n		 for damages resulting from their use to the fullest extent possible.</p>\n\n		 <p>Using Creative Commons Public Licenses</p>\n\n		 <p>Creative Commons public licenses provide a standard set of terms and conditions that creators and other\n		 rights holders may use to share original works of authorship and other material subject to copyright\n		 and certain other rights specified in the public license below. The following considerations are for\n		 informational purposes only, are not exhaustive, and do not form part of our licenses.</p>\n\n		 <p>Considerations for licensors: Our public licenses are intended for use by those authorized to give the\n		 public permission to use material in ways otherwise restricted by copyright and certain other rights.\n		 Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the\n		 license they choose before applying it. Licensors should also secure all rights necessary before\n		 applying our licenses so that the public can reuse the material as expected. Licensors should clearly\n		 mark any material not subject to the license. This includes other <var class=\"replaceable-license-text\"> </var> material, or material\n		 used under an exception or limitation to copyright. More considerations for licensors<var class=\"replaceable-license-text\"> : wiki.creativecommons.org/Considerations_for_licensors</var></p>\n\n		 <p>Considerations for the public: By using one of our public licenses, a licensor grants the public\n		 permission to use the licensed material under specified terms and conditions. If the licensor&apos;s\n		 permission is not necessary for any reason\u2013for example, because of any applicable exception or\n		 limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only\n		 permissions under copyright and certain other rights that a licensor has authority to grant. Use of\n		 the licensed material may still be restricted for other reasons, including because others have\n		 copyright or other rights in the material. A licensor may make special requests, such as asking that\n		 all changes be marked or described. Although not required by our licenses, you are encouraged to\n		 respect those requests where reasonable. <var class=\"replaceable-license-text\"> More considerations</var> for the public<var class=\"replaceable-license-text\"> : wiki.creativecommons.org/Considerations_for_licensees</var></p>\n\n	  </div>\n\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution 4.0 International Public License</p>\n\n	  </div>\n	  <p>By exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and\n		 conditions of this Creative Commons Attribution 4.0 International Public License (&quot;Public License&quot;).\n		 To the extent this Public License may be interpreted as a contract, You are granted the Licensed\n		 Rights in consideration of Your acceptance of these terms and conditions, and the Licensor grants You\n		 such rights in consideration of benefits the Licensor receives from making the Licensed Material\n		 available under these terms and conditions.</p>\n\n	  <p>Section 1 <var class=\"replaceable-license-text\"> </var> Definitions.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			Adapted Material means material subject to Copyright and Similar Rights that is derived from\n			   or based upon the Licensed Material and in which the Licensed Material is translated,\n			   altered, arranged, transformed, or otherwise modified in a manner requiring permission\n			   under the Copyright and Similar Rights held by the Licensor. For purposes of this Public\n			   License, where the Licensed Material is a musical work, performance, or sound recording,\n			   Adapted Material is always produced where the Licensed Material is synched in timed\n			   relation with a moving image.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			Adapter&apos;s License means the license You apply to Your Copyright and Similar Rights in Your\n			   contributions to Adapted Material in accordance with the terms and conditions of this\n			   Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			Copyright and Similar Rights means copyright and/or similar rights closely related to\n			   copyright including, without limitation, performance, broadcast, sound recording, and Sui\n			   Generis Database Rights, without regard to how the rights are labeled or categorized. For\n			   purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not\n			   Copyright and Similar Rights.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d.</var>\n			Effective Technological Measures means those measures that, in the absence of proper\n			   authority, may not be circumvented under laws fulfilling obligations under Article 11 of\n			   the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international\n			   agreements.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e.</var>\n			Exceptions and Limitations means fair use, fair dealing, and/or any other exception or\n			   limitation to Copyright and Similar Rights that applies to Your use of the Licensed\n			   Material.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> f.</var>\n			Licensed Material means the artistic or literary work, database, or other material to which\n			   the Licensor applied this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> g.</var>\n			Licensed Rights means the rights granted to You subject to the terms and conditions of this\n			   Public License, which are limited to all Copyright and Similar Rights that apply to Your\n			   use of the Licensed Material and that the Licensor has authority to license.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> h.</var>\n			Licensor means the individual(s) or entity(ies) granting rights under this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> i.</var>\n			Share means to provide material to the public by any means or process that requires\n			   permission under the Licensed Rights, such as reproduction, public display, public\n			   performance, distribution, dissemination, communication, or importation, and to make\n			   material available to the public including in ways that members of the public may access\n			   the material from a place and at a time individually chosen by them.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> j.</var>\n			Sui Generis Database Rights means rights other than copyright resulting from Directive\n			   96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal\n			   protection of databases, as amended and/or succeeded, as well as other essentially\n			   equivalent rights anywhere in the world.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> k.</var>\n			You means the individual or entity exercising the Licensed Rights under this Public License.\n			   Your has a corresponding meaning.\n		  </li>\n		\n</ul>\n	  <p>Section 2 <var class=\"replaceable-license-text\"> </var> Scope.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			License grant.\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n				Subject to the terms and conditions of this Public License, the Licensor hereby grants\n				   You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license\n				   to exercise the Licensed Rights in the Licensed Material to:\n				\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n					reproduce and Share the Licensed Material, in whole or in part; and\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n					produce, reproduce, and Share Adapted Material.\n				  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n				Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations\n				   apply to Your use, this Public License does not apply, and You do not need to comply\n				   with its terms and conditions.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n				Term. The term of this Public License is specified in Section 6(a).\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var>\n				Media and formats; technical modifications allowed. The Licensor authorizes You to\n				   exercise the Licensed Rights in all media and formats whether now known or hereafter\n				   created, and to make technical modifications necessary to do so. The Licensor waives\n				   and/or agrees not to assert any right or authority to forbid You from making technical\n				   modifications necessary to exercise the Licensed Rights, including technical\n				   modifications necessary to circumvent Effective Technological Measures. For purposes\n				   of this Public License, simply making modifications authorized by this Section 2(a)(4)\n				   never produces Adapted Material.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 5.</var>\n				Downstream recipients.\n				\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n					Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material\n					   automatically receives an offer from the Licensor to exercise the Licensed Rights\n					   under the terms and conditions of this Public License.\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n					No downstream restrictions. You may not offer or impose any additional or different\n					   terms or conditions on, or apply any Effective Technological Measures to, the\n					   Licensed Material if doing so restricts exercise of the Licensed Rights by any\n					   recipient of the Licensed Material.\n				  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 6.</var>\n				No endorsement. Nothing in this Public License constitutes or may be consTrued as\n				   permission to assert or imply that You are, or that Your use of the Licensed Material\n				   is, connected with, or sponsored, endorsed, or granted official status by, the\n				   Licensor or others designated to receive attribution as provided in Section\n				   3(a)(1)(A)(i).\n			  </li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			Other rights.\n			\n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n				  Moral rights, such as the right of integrity, are not licensed under this Public License,\n					 nor are publicity, privacy, and/or other similar personality rights; however, to the\n					 extent possible, the Licensor waives and/or agrees not to assert any such rights held\n					 by the Licensor to the limited extent necessary to allow You to exercise the Licensed\n					 Rights, but not otherwise.\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n				  Patent and trademark rights are not licensed under this Public License.\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n				  To the extent possible, the Licensor waives any right to collect royalties from You for\n					 the exercise of the Licensed Rights, whether directly or through a collecting society\n					 under any voluntary or waivable statutory or compulsory licensing scheme. In all other\n					 cases the Licensor expressly reserves any right to collect such royalties.\n				</li>\n			  \n</ul>\n		  </li>\n		\n</ul>\n	  <p>Section 3 <var class=\"replaceable-license-text\"> </var> License Conditions.</p>\n\n	  <p>Your exercise of the Licensed Rights is expressly made subject to the following conditions.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			Attribution.\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n				If You Share the Licensed Material (including in modified form), You must:\n				\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n					retain the following if it is supplied by the Licensor with the Licensed Material:\n					\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> i.</var>\n						identification of the creator(s) of the Licensed Material and any others\n						   designated to receive attribution, in any reasonable manner requested by\n						   the Licensor (including by pseudonym if designated);\n					  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> ii.</var>\n						a copyright notice;\n					  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> iii.</var>\n						a notice that refers to this Public License;\n					  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> iv.</var>\n						a notice that refers to the disclaimer of warranties;\n					  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> v.</var>\n						a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n					  </li>\n						\n</ul>\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n					indicate if You modified the Licensed Material and retain an indication of any\n					   previous modifications; and\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> C.</var>\n					indicate the Licensed Material is licensed under this Public License, and include the\n					   text of, or the URI or hyperlink to, this Public License.\n				  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n				You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the\n				   medium, means, and context in which You Share the Licensed Material. For example, it\n				   may be reasonable to satisfy the conditions by providing a URI or hyperlink to a\n				   resource that includes the required information.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n				If requested by the Licensor, You must remove any of the information required by Section\n				   3(a)(1)(A) to the extent reasonably practicable.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var>\n				If You Share Adapted Material You produce, the Adapter&apos;s License You apply must not\n				   prevent recipients of the Adapted Material from complying with this Public\n				   License.\n			  </li>\n			\n</ul>\n		  </li>\n		\n</ul>\n	  <p>Section 4 <var class=\"replaceable-license-text\"> </var> Sui Generis Database Rights.</p>\n\n	  <p>Where the Licensed Rights include Sui Generis Database Rights that apply to Your use of\n		 the Licensed Material:</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			for the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse,\n			   reproduce, and Share all or a substantial portion of the contents of the database;\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			if You include all or a substantial portion of the database contents in a database in which\n			   You have Sui Generis Database Rights, then the database in which You have Sui Generis\n			   Database Rights (but not its individual contents) is Adapted Material; and\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			You must comply with the conditions in Section 3(a) if You Share all or a substantial portion\n			   of the contents of the database.\n		  </li>\n		\n</ul>\n	  <p>For the avoidance of doubt, this Section 4 supplements and does not replace Your\n		 obligations under this Public License where the Licensed Rights include other\n		 Copyright and Similar Rights.\n	  </p>\n\n	  <p>Section 5 <var class=\"replaceable-license-text\"> </var> Disclaimer of Warranties and Limitation of Liability.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			Unless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor\n			   offers the Licensed Material as-is and as-available, and makes no representations or\n			   warranties of any kind concerning the Licensed Material, whether express, implied,\n			   statutory, or other. This includes, without limitation, warranties of title,\n			   merchantability, fitness for a particular purpose, non-infringement, absence of latent or\n			   other defects, accuracy, or the presence or absence of errors, whether or not known or\n			   discoverable. Where disclaimers of warranties are not allowed in full or in part, this\n			   disclaimer may not apply to You.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			To the extent possible, in no event will the Licensor be liable to You on any legal theory\n			   (including, without limitation, negligence) or otherwise for any direct, special,\n			   indirect, incidental, consequential, punitive, exemplary, or other losses, costs,\n			   expenses, or damages arising out of this Public License or use of the Licensed Material,\n			   even if the Licensor has been advised of the possibility of such losses, costs, expenses,\n			   or damages. Where a limitation of liability is not allowed in full or in part, this\n			   limitation may not apply to You.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			The disclaimer of warranties and limitation of liability provided above shall be interpreted\n			   in a manner that, to the extent possible, most closely approximates an absolute disclaimer\n			   and waiver of all liability.\n		  </li>\n		\n</ul>\n	  <p>Section 6 <var class=\"replaceable-license-text\"> </var> Term and Termination.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			This Public License applies for the term of the Copyright and Similar Rights licensed here.\n			   However, if You fail to comply with this Public License, then Your rights under this\n			   Public License terminate automatically.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			Where Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n				automatically as of the date the violation is cured, provided it is cured within 30 days\n				   of Your discovery of the violation; or\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n				upon express reinstatement by the Licensor.\n			  </li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have\n			   to seek remedies for Your violations of this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d.</var>\n			For the avoidance of doubt, the Licensor may also offer the Licensed Material under separate\n			   terms or conditions or stop distributing the Licensed Material at any time; however, doing\n			   so will not terminate this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e.</var>\n			Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n		  </li>\n		\n</ul>\n	  <p>Section 7 <var class=\"replaceable-license-text\"> </var> Other Terms and Conditions.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			The Licensor shall not be bound by any additional or different terms or conditions\n			   communicated by You unless expressly agreed.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			Any arrangements, understandings, or agreements regarding the Licensed Material not stated\n			   herein are separate from and independent of the terms and conditions of this Public\n			   License.\n		  </li>\n		\n</ul>\n	  <p>Section 8 <var class=\"replaceable-license-text\"> </var> Interpretation.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			For the avoidance of doubt, this Public License does not, and shall not be interpreted to,\n			   reduce, limit, restrict, or impose conditions on any use of the Licensed Material that\n			   could lawfully be made without permission under this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			To the extent possible, if any provision of this Public License is deemed unenforceable, it\n			   shall be automatically reformed to the minimum extent necessary to make it enforceable. If\n			   the provision cannot be reformed, it shall be severed from this Public License without\n			   affecting the enforceability of the remaining terms and conditions.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			No term or condition of this Public License will be waived and no failure to comply consented\n			   to unless expressly agreed to by the Licensor.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d.</var>\n			Nothing in this Public License constitutes or may be interpreted as a limitation upon, or\n			   waiver of, any privileges and immunities that apply to the Licensor or You, including from\n			   the legal processes of any jurisdiction or authority.\n		  </li>\n		\n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>Creative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to\n		   apply one of its public licenses to material it publishes and in those instances will be considered\n		   the &quot;Licensor.&quot; <var class=\"optional-license-text\"> The text of the Creative Commons public licenses is dedicated to the public\n		   domain under the CC0 Public Domain Dedication.</var> Except for the limited purpose of indicating that material is shared under a Creative\n		   Commons public license or as otherwise permitted by the Creative Commons policies published at\n		   creativecommons.org/policies, Creative Commons does not authorize the use of the trademark &quot;Creative\n		   Commons&quot; or any other trademark or logo of Creative Commons without its prior written consent\n		   including, without limitation, in connection with any unauthorized modifications to any of its public\n		   licenses or any other arrangements, understandings, or agreements concerning use of licensed material.\n		   For the avoidance of doubt, this paragraph does not form part of the public licenses.</p>\n\n		<p>Creative Commons may be contacted at creativecommons.org.</p>\n\n	  </div>\n	"
		self.python_name = "CCBY40"

	def __str__(self):
		return json.dumps(self.__dict__)


class MITopengroup:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright <yyyy, yyyy> The Open Group\n\nPermission to use, copy, modify, distribute, and sell this software and\nits documentation for any purpose is hereby granted without fee,\nprovided that the above copyright notice appear in all copies and that\nboth that copyright notice and this permission notice appear in\nsupporting documentation.\n\nThe above copyright notice and this permission notice shall be included\nin all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\nOR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.\nIN NO EVENT SHALL BE LIABLE FOR ANY CLAIM, DAMAGES\nOR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR\nOTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR\nTHE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nExcept as contained in this notice, the name of The Open Group\nshall not be used in advertising or otherwise to promote the sale, use\nor other dealings in this Software without prior written authorization\nfrom The Open Group.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright <yyyy, yyyy> The Open Group  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nExcept as contained in this notice, the name of <<var;name=\"name1\";original=\"The Open Group\";match=\".+\">> shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization from <<var;name=\"name2\";original=\"The Open Group\";match=\".+\">> .\n\n"
		self.name = "MIT Open Group variant"
		self.licenseId = "MIT-open-group"
		self.crossRef = [{"match": "False", "url": "https://gitlab.freedesktop.org/xorg/app/iceauth/-/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:32Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://gitlab.freedesktop.org/xorg/app/xsetroot/-/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:38Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://gitlab.freedesktop.org/xorg/app/xvinfo/-/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:45Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://gitlab.freedesktop.org/xorg/app/xauth/-/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:48Z", "isWayBackLink": False, "order": 3}]
		self.seeAlso = ["https://gitlab.freedesktop.org/xorg/app/iceauth/-/blob/master/COPYING", "https://gitlab.freedesktop.org/xorg/app/xvinfo/-/blob/master/COPYING", "https://gitlab.freedesktop.org/xorg/app/xsetroot/-/blob/master/COPYING", "https://gitlab.freedesktop.org/xorg/app/xauth/-/blob/master/COPYING"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"replaceable-license-text\"> \n				<p>Copyright &lt;yyyy, yyyy&gt; The Open Group</p>\n\n			</div>\n			<p>Permission to use, copy, modify, distribute, and sell this\n				software and its documentation for any purpose is hereby granted\n				without fee, provided that the above copyright notice appear in\n				all copies and that both that copyright notice and this\n				permission notice appear in supporting documentation.\n			</p>\n\n			<p>The above copyright notice and this permission notice shall be\n				included in all copies or substantial portions of the Software.\n			</p>\n\n			<p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND,\n				EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES\n				OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND\n				NONINFRINGEMENT. IN NO EVENT SHALL BE LIABLE FOR ANY CLAIM,\n				DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\n				TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH\n				THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n			</p>\n\n			<p>Except as contained in this notice, the name of <var class=\"replaceable-license-text\">  The Open Group</var>\n				shall not be used in advertising or otherwise to promote the\n				sale, use or other dealings in this Software without prior\n				written authorization from <var class=\"replaceable-license-text\"> The Open Group</var>.\n			</p>\n\n		"
		self.python_name = "MITopengroup"

	def __str__(self):
		return json.dumps(self.__dict__)


class ICU:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "ICU License - ICU 1.8.1 and later\n\nCOPYRIGHT AND PERMISSION NOTICE\n\nCopyright (c) 1995-2014 International Business Machines Corporation and others\nAll rights reserved.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, provided that the above copyright notice(s) and this permission notice appear in all copies of the Software and that both the above copyright notice(s) and this permission notice appear in supporting documentation.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\nExcept as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization of the copyright holder.\n"
		self.standardLicenseTemplate = "<<beginOptional>>ICU License - ICU 1.8.1 and later\n\nCOPYRIGHT AND PERMISSION NOTICE\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 1995-2014 International Business Machines Corporation and others  All rights reserved.  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, provided that the above copyright notice(s) and this permission notice appear in all copies of the Software and that both the above copyright notice(s) and this permission notice appear in supporting documentation.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\nExcept as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization of the copyright holder.\n\n"
		self.name = "ICU License"
		self.licenseId = "ICU"
		self.crossRef = [{"match": "False", "url": "http://source.icu-project.org/repos/icu/icu/trunk/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:57Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://source.icu-project.org/repos/icu/icu/trunk/license.html"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>ICU License - ICU 1.8.1 and later</p>\n\n		 <p>COPYRIGHT AND PERMISSION NOTICE</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1995-2014 International Business Machines Corporation and others\n		<br />\n\nAll rights reserved.\n	  </p>\n\n	  </div>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and\n		 associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,\n		 including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell\n		 copies of the Software, and to permit persons to whom the Software is furnished to do so, provided\n		 that the above copyright notice(s) and this permission notice appear in all copies of the Software and\n		 that both the above copyright notice(s) and this permission notice appear in supporting\n		 documentation.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF\n		 THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE\n		 LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER\n		 RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER\n		 TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.</p>\n\n	  <p>Except as contained in this notice, the name of a copyright holder shall not be used in advertising or\n		 otherwise to promote the sale, use or other dealings in this Software without prior written\n		 authorization of the copyright holder.</p>\n\n	"
		self.python_name = "ICU"

	def __str__(self):
		return json.dumps(self.__dict__)


class OSL20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Open Software License v. 2.0\n\nThis Open Software License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\n	 Licensed under the Open Software License version 2.0\n\n1) Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license to do the following:\n\n	 a) to reproduce the Original Work in copies;\n\n	 b) to prepare derivative works (\"Derivative Works\") based upon the Original Work;\n\n	 c) to distribute copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work or Derivative Works that You distribute shall be licensed under the Open Software License;\n\n	 d) to perform the Original Work publicly; and\n\n	 e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and offer for sale the Original Work and Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\n4) Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior written permission of the Licensor. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor except as expressly stated herein. No patent license is granted to make, use, sell or offer to sell embodiments of any patent claims other than the licensed claims defined in Section 2. No right is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any Original Work that Licensor otherwise would have a right to license.\n\n5) External Deployment. The term \"External Deployment\" means the use or distribution of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether the Original Work or Derivative Works are distributed to those persons or made available as an application intended for use over a computer network. As an express condition for the grants of license hereunder, You agree that any External Deployment by You of a Derivative Work shall be deemed a distribution and shall be licensed to all under the terms of this License, as prescribed in section 1(c) herein.\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights. Except as expressly stated in the immediately proceeding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to Original Work is granted hereunder except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to any person for any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to liability for death or personal injury resulting from Licensor's negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\n9) Acceptance and Termination. If You distribute copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. Nothing else but this License (or another written agreement between Licensor and You) grants You permission to create Derivative Works based upon the Original Work or to exercise any of the rights granted in Section 1 herein, and any attempt to do so except under the terms of this License (or another written agreement between Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other countries, and by international treaty. Therefore, by exercising any of the rights granted to You in Section 1 herein, You indicate Your acceptance of this License and all of its terms and conditions. This License shall terminate immediately and you may no longer exercise any of the rights granted to You by this License upon Your failure to honor the proviso in Section 1(c) herein.\n\n10) Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, for patent infringement (i) against Licensor with respect to a patent applicable to software or (ii) against any entity with respect to a patent applicable to the Original Work (but excluding combinations of the Original Work with other software or hardware).\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of the U.S. Copyright Act, 17 U.S.C. 101 et seq., the equivalent laws of other countries, and international treaty. This section shall survive the termination of this License.\n\n12) Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n13) Miscellaneous. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2003 Lawrence E. Rosen. All rights reserved. Permission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n"
		self.standardLicenseHeaderTemplate = "Licensed under the Open Software License version 2.0\n\n"
		self.standardLicenseTemplate = "<<beginOptional>><<beginOptional>>The<<endOptional>> Open Software License v. 2.0\n\n<<endOptional>>\n\nThis Open Software License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\nLicensed under the Open Software License version 2.0\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license to do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> to reproduce the Original Work in copies;\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> to prepare derivative works (\"Derivative Works\") based upon the Original Work;\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> to distribute copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work or Derivative Works that You distribute shall be licensed under the Open Software License;\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> to perform the Original Work publicly; and\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> to display the Original Work publicly.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and offer for sale the Original Work and Derivative Works.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior written permission of the Licensor. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor except as expressly stated herein. No patent license is granted to make, use, sell or offer to sell embodiments of any patent claims other than the licensed claims defined in Section 2. No right is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any Original Work that Licensor otherwise would have a right to license.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> External Deployment. The term \"External Deployment\" means the use or distribution of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether the Original Work or Derivative Works are distributed to those persons or made available as an application intended for use over a computer network. As an express condition for the grants of license hereunder, You agree that any External Deployment by You of a Derivative Work shall be deemed a distribution and shall be licensed to all under the terms of this License, as prescribed in section 1(c) herein.\n\n   <<var;name=\"bullet\";original=\"6)\";match=\".{0,20}\">> Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n   <<var;name=\"bullet\";original=\"7)\";match=\".{0,20}\">> Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights. Except as expressly stated in the immediately proceeding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to Original Work is granted hereunder except under this disclaimer.\n\n   <<var;name=\"bullet\";original=\"8)\";match=\".{0,20}\">> Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to any person for any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to liability for death or personal injury resulting from Licensor's negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\n   <<var;name=\"bullet\";original=\"9)\";match=\".{0,20}\">> Acceptance and Termination. If You distribute copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. Nothing else but this License (or another written agreement between Licensor and You) grants You permission to create Derivative Works based upon the Original Work or to exercise any of the rights granted in Section 1 herein, and any attempt to do so except under the terms of this License (or another written agreement between Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other countries, and by international treaty. Therefore, by exercising any of the rights granted to You in Section 1 herein, You indicate Your acceptance of this License and all of its terms and conditions. This License shall terminate immediately and you may no longer exercise any of the rights granted to You by this License upon Your failure to honor the proviso in Section 1(c) herein.\n\n   <<var;name=\"bullet\";original=\"10)\";match=\".{0,20}\">> Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, for patent infringement (i) against Licensor with respect to a patent applicable to software or (ii) against any entity with respect to a patent applicable to the Original Work (but excluding combinations of the Original Work with other software or hardware).\n\n   <<var;name=\"bullet\";original=\"11)\";match=\".{0,20}\">> Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of the U.S. Copyright Act, 17 U.S.C. 101 et seq., the equivalent laws of other countries, and international treaty. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"12)\";match=\".{0,20}\">> Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"13)\";match=\".{0,20}\">> Miscellaneous. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n   <<var;name=\"bullet\";original=\"14)\";match=\".{0,20}\">> Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"15)\";match=\".{0,20}\">> Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2003 Lawrence E. Rosen. All rights reserved. Permission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n\n"
		self.name = "Open Software License 2.0"
		self.licenseId = "OSL-2.0"
		self.standardLicenseHeader = "Licensed under the Open Software License version 2.0\n\n"
		self.crossRef = [{"match": "N/A", "url": "http://web.archive.org/web/20041020171434/http://www.rosenlaw.com/osl2.0.html", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:10:52Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://web.archive.org/web/20041020171434/http://www.rosenlaw.com/osl2.0.html"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p><var class=\"optional-license-text\"> The </var>Open Software License v. 2.0</p>\n\n	  </div>\n\n	  <p>This Open Software License (the &quot;License&quot;) applies to any original work of authorship (the\n		 &quot;Original Work&quot;) whose owner (the &quot;Licensor&quot;) has placed the following notice\n		 immediately following the copyright notice for the Original Work:</p>\n\n	  <p>Licensed under the Open Software License version 2.0</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive,\n			 perpetual, sublicenseable license to do the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			to reproduce the Original Work in copies;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			to prepare derivative works (&quot;Derivative Works&quot;) based upon the Original Work;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			to distribute copies of the Original Work and Derivative Works to the public, with the\n			   proviso that copies of Original Work or Derivative Works that You distribute shall be\n			   licensed under the Open Software License;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			to perform the Original Work publicly; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			to display the Original Work publicly.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive,\n			 perpetual, sublicenseable license, under patent claims owned or controlled by the Licensor\n			 that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and\n			 offer for sale the Original Work and Derivative Works.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  Grant of Source Code License. The term &quot;Source Code&quot; means the preferred form of the\n			 Original Work for making modifications to it and all available documentation describing how to\n			 modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the\n			 Source Code of the Original Work along with each copy of the Original Work that Licensor\n			 distributes. Licensor reserves the right to satisfy this obligation by placing a\n			 machine-readable copy of the Source Code in an information repository reasonably calculated to\n			 permit inexpensive and convenient access by You for as long as Licensor continues to\n			 distribute the Original Work, and by publishing the address of that information repository in\n			 a notice immediately following the copyright notice that applies to the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors\n			 to the Original Work, nor any of their trademarks or service marks, may be used to endorse or\n			 promote products derived from this Original Work without express prior written permission of\n			 the Licensor. Nothing in this License shall be deemed to grant any rights to trademarks,\n			 copyrights, patents, trade secrets or any other intellectual property of Licensor except as\n			 expressly stated herein. No patent license is granted to make, use, sell or offer to sell\n			 embodiments of any patent claims other than the licensed claims defined in Section 2. No right\n			 is granted to the trademarks of Licensor even if such marks are included in the Original Work.\n			 Nothing in this License shall be interpreted to prohibit Licensor from licensing under\n			 different terms from this License any Original Work that Licensor otherwise would have a right\n			 to license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  External Deployment. The term &quot;External Deployment&quot; means the use or distribution of\n			 the Original Work or Derivative Works in any way such that the Original Work or Derivative\n			 Works may be used by anyone other than You, whether the Original Work or Derivative Works are\n			 distributed to those persons or made available as an application intended for use over a\n			 computer network. As an express condition for the grants of license hereunder, You agree that\n			 any External Deployment by You of a Derivative Work shall be deemed a distribution and shall\n			 be licensed to all under the terms of this License, as prescribed in section 1(c) herein.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6)</var>\n		  Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create,\n			 all copyright, patent or trademark notices from the Source Code of the Original Work, as well\n			 as any notices of licensing and any descriptive text identified therein as an\n			 &quot;Attribution Notice.&quot; You must cause the Source Code for any Derivative Works that\n			 You create to carry a prominent Attribution Notice reasonably calculated to inform recipients\n			 that You have modified the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7)</var>\n		  Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to\n			 the Original Work and the patent rights granted herein by Licensor are owned by the Licensor\n			 or are sublicensed to You under the terms of this License with the permission of the\n			 contributor(s) of those copyrights and patent rights. Except as expressly stated in the\n			 immediately proceeding sentence, the Original Work is provided under this License on an\n			 &quot;AS IS&quot; BASIS and WITHOUT WARRANTY, either express or implied, including, without\n			 limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR\n			 PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER\n			 OF WARRANTY constitutes an essential part of this License. No license to Original Work is\n			 granted hereunder except under this disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8)</var>\n		  Limitation of Liability. Under no circumstances and under no legal theory, whether in tort\n			 (including negligence), contract, or otherwise, shall the Licensor be liable to any person for\n			 any direct, indirect, special, incidental, or consequential damages of any character arising\n			 as a result of this License or the use of the Original Work including, without limitation,\n			 damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all\n			 other commercial damages or losses. This limitation of liability shall not apply to liability\n			 for death or personal injury resulting from Licensor&apos;s negligence to the extent\n			 applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or\n			 limitation of incidental or consequential damages, so this exclusion and limitation may not\n			 apply to You.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9)</var>\n		  Acceptance and Termination. If You distribute copies of the Original Work or a Derivative Work,\n			 You must make a reasonable effort under the circumstances to obtain the express assent of\n			 recipients to the terms of this License. Nothing else but this License (or another written\n			 agreement between Licensor and You) grants You permission to create Derivative Works based\n			 upon the Original Work or to exercise any of the rights granted in Section 1 herein, and any\n			 attempt to do so except under the terms of this License (or another written agreement between\n			 Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other\n			 countries, and by international treaty. Therefore, by exercising any of the rights granted to\n			 You in Section 1 herein, You indicate Your acceptance of this License and all of its terms and\n			 conditions. This License shall terminate immediately and you may no longer exercise any of the\n			 rights granted to You by this License upon Your failure to honor the proviso in Section 1(c)\n			 herein.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10)</var>\n		  Termination for Patent Action. This License shall terminate automatically and You may no longer\n			 exercise any of the rights granted to You by this License as of the date You commence an\n			 action, including a cross-claim or counterclaim, for patent infringement (i) against Licensor\n			 with respect to a patent applicable to software or (ii) against any entity with respect to a\n			 patent applicable to the Original Work (but excluding combinations of the Original Work with\n			 other software or hardware).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11)</var>\n		  Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought\n			 only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor\n			 conducts its primary business, and under the laws of that jurisdiction excluding its\n			 conflict-of-law provisions. The application of the United Nations Convention on Contracts for\n			 the International Sale of Goods is expressly excluded. Any use of the Original Work outside\n			 the scope of this License or after its termination shall be subject to the requirements and\n			 penalties of the U.S. Copyright Act, 17 U.S.C. 101 et seq., the equivalent laws of other\n			 countries, and international treaty. This section shall survive the termination of this\n			 License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12)</var>\n		  Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating\n			 thereto, the prevailing party shall be entitled to recover its costs and expenses, including,\n			 without limitation, reasonable attorneys&apos; fees and costs incurred in connection with such\n			 action, including any appeal of such action. This section shall survive the termination of\n			 this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13)</var>\n		  Miscellaneous. This License represents the complete agreement concerning the subject matter\n			 hereof. If any provision of this License is held to be unenforceable, such provision shall be\n			 reformed only to the extent necessary to make it enforceable.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14)</var>\n		  Definition of &quot;You&quot; in This License. &quot;You&quot; throughout this License, whether\n			 in upper or lower case, means an individual or a legal entity exercising rights under, and\n			 complying with all of the terms of, this License. For legal entities, &quot;You&quot; includes\n			 any entity that controls, is controlled by, or is under common control with you. For purposes\n			 of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the\n			 direction or management of such entity, whether by contract or otherwise, or (ii) ownership of\n			 fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such\n			 entity.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15)</var>\n		  Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned\n			 by this License or by law, and Licensor promises not to interfere with or be responsible for\n			 such uses by You.\n		</li>\n	  \n</ul>\n	  <p>This license is Copyright (C) 2003 Lawrence E. Rosen. All rights reserved. Permission is hereby granted\n		 to copy and distribute this license without modification. This license may not be modified without the\n		 express written permission of its copyright owner.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n	  <p>Licensed under the Open Software License version 2.0</p>\n\n	  "
		self.python_name = "OSL20"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBY30NL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Naamsvermelding 3.0\n\n CREATIVE COMMONS CORPORATION IS GEEN ADVOCATENPRAKTIJK EN VERLEENT GEEN JURIDISCHE DIENSTEN. DE VERSPREIDING VAN DEZE LICENTIE ROEPT GEEN JURIDISCHE RELATIE MET CREATIVE COMMONS IN HET LEVEN. CREATIVE COMMONS VERSPREIDT DEZE INFORMATIE 'AS-IS'. CREATIVE COMMONS STAAT NIET IN VOOR DE INHOUD VAN DE VERSTREKTE INFORMATIE EN SLUIT ALLE AANSPRAKELIJKHEID UIT VOOR ENIGERLEI SCHADE VOORTVLOEIEND UIT HET GEBRUIK VAN DEZE INFORMATIE INDIEN EN VOORZOVER DE WET NIET ANDERS BEPAALT.\n\nLicentie\n\nHET WERK (ALS HIERONDER OMSCHREVEN) WORDT TER BESCHIKKING GESTELD OVEREENKOMSTIG DE VOORWAARDEN VAN DEZE CREATIVE COMMONS PUBLIEKE LICENTIE ('CCPL' OF 'LICENTIE'). HET WERK WORDT BESCHERMD OP GROND VAN HET AUTEURSRECHT, NABURIGE RECHTEN, HET DATABANKENRECHT EN/OF ENIGE ANDERE TOEPASSELIJKE RECHTEN. MET UITZONDERING VAN HET IN DEZE LICENTIE OMSCHREVEN TOEGESTANE GEBRUIK VAN HET WERK IS ENIG ANDER GEBRUIK VAN HET WERK NIET TOEGESTAAN.\n\nDOOR HET UITOEFENEN VAN DE IN DEZE LICENTIE VERLEENDE RECHTEN MET BETREKKING TOT HET WERK AANVAARDT EN GAAT DE GEBRUIKER AKKOORD MET DE VOORWAARDEN VAN DEZE LICENTIE, MET DIEN VERSTANDE DAT (DE INHOUD VAN) DEZE LICENTIE OP VOORHAND VOLDOENDE DUIDELIJK KENBAAR DIENT TE ZIJN VOOR DE ONTVANGER VAN HET WERK.\n\nDE LICENTIEGEVER VERLEENT DE GEBRUIKER DE IN DEZE LICENTIE OMSCHREVEN RECHTEN MET INACHTNEMING VAN DE DESBETREFFENDE VOORWAARDEN.\n\n1. Definities\n\n	a. 'Verzamelwerk' een werk waarin het Werk, in zijn geheel en in ongewijzigde vorm, samen met een of meer andere werken, die elk een afzonderlijk en zelfstandig werk vormen, tot een geheel is samengevoegd. Voorbeelden van een verzamelwerk zijn een tijdschrift, een bloemlezing of een encyclopedie. Een Verzamelwerk zal voor de toepassing van deze Licentie niet als een Afgeleid werk (als hieronder omschreven) worden beschouwd.\n\n	b. 'Afgeleid werk' een werk dat is gebaseerd op het Werk of op het Werk en andere reeds bestaande werken. Voorbeelden van een Afgeleid werk zijn een vertaling, een muziekschikking (arrangement), een toneelbewerking, een literaire bewerking, een verfilming, een geluidsopname, een kunstreproductie, een verkorte versie, een samenvatting of enig andere bewerking van het Werk, met dien verstande dat een Verzamelwerk voor de toepassing van deze Licentie niet als een Afgeleid werk zal worden beschouwd.\n\n	Indien het Werk een muziekwerk betreft, zal de synchronisatie van de tijdslijnen van het Werk en een bewegend beeld ('synching') voor de toepassing van deze Licentie als een Afgeleid Werk worden beschouwd.\n\n	c. 'Licentiegever' de natuurlijke persoon/personen of rechtspersoon/rechtspersonen die het Werk volgens de voorwaarden van deze Licentie aanbiedt/aanbieden.\n\n	d. 'Maker' de natuurlijke persoon/personen of rechtspersoon/personen die het oorspronkelijke werk gemaakt heeft/hebben. Voor de toepassing van deze Licentie wordt onder de Maker mede verstaan de uitvoerende kunstenaar, film- en fonogramproducent en omroeporganisaties in de zin van de Wet op de naburige rechten en de producent van een databank in de zin van de Databankenwet.\n\n	e. 'Werk' het auteursrechtelijk beschermde werk dat volgens de voorwaarden van deze Licentie wordt aangeboden. Voor de toepassing van deze Licentie wordt onder het Werk mede verstaan het fonogram, de eerste vastlegging van een film en het (omroep)programma in de zin van de Wet op de naburige rechten en de databank in de zin van de Databankenwet, voor zover dit fonogram, deze eerste vastlegging van een film, dit (omroep)programma en deze databank beschermd wordt krachtens de toepasselijke wet in de jurisdictie van de Gebruiker.\n\n	f. 'Gebruiker' de natuurlijke persoon of rechtspersoon die rechten ingevolge deze Licentie uitoefent en die de voorwaarden van deze Licentie met betrekking tot het Werk niet eerder geschonden heeft, of die van de Licentiegever uitdrukkelijke toestemming gekregen heeft om rechten ingevolge deze Licentie uit te oefenen ondanks een eerdere schending.\n\n2. Beperkingen van de uitsluitende rechten. Niets in deze Licentie strekt ertoe om de rechten te beperken die voortvloeien uit de beperkingen en uitputting van de uitsluitende rechten van de rechthebbende krachtens het auteursrecht, de naburige rechten, het databankenrecht of enige andere toepasselijke rechten.\n\n3. Licentieverlening. Met inachtneming van de voorwaarden van deze Licentie verleent de Licentiegever hierbij aan de Gebruiker een wereldwijde, niet-exclusieve licentie om de navolgende rechten met betrekking tot het Werk vrij van royalty's uit te oefenen voor de duur van de toepasselijke intellectuele eigendomsrechten:\n\n	a. het reproduceren van het Werk, het opnemen van het Werk in een of meerdere Verzamelwerken, en het reproduceren van het in de Verzamelwerken opgenomen Werk;\n\n	b. het maken en reproduceren van Afgeleide werken met dien verstande dat met betrekking tot het Afgeleide werk, met inbegrip van welke vertaling in welk medium dan ook, duidelijk wordt gemaakt dat er wijzigingen in het oorspronkelijke Werk zijn aangebracht. Bijvoorbeeld, aan een vertaling kan worden toegevoegd dat 'het oorspronkelijke Werk is van het Engels in het Spaans vertaald', of in geval van een verandering kan worden aangegeven dat 'het oorspronkelijke werk is veranderd';\n\n	c. het verspreiden van exemplaren van het Werk, het in het openbaar tonen, op- en uitvoeren en het on-line beschikbaar stellen van het Werk, afzonderlijk en als deel van een Verzamelwerk;\n\n	d. het verspreiden van exemplaren van Afgeleide werken, het in het openbaar te tonen, op- en uitvoeren en het on-line beschikbaar stellen van Afgeleide werken;\n\n	e. het opvragen en hergebruiken van het Werk;\n\n	f. Volledigheidshalve dient te worden vermeld dat:\n\n		i. Niet voor afstand vatbare heffingsregelingen. in het geval van niet voor afstand vatbare heffingsregelingen (bijvoorbeeld met betrekking tot thuiskopie\u00ebn) de Licentiegever zich het recht voorbehoudt om dergelijke heffingen te innen (al dan niet door middel van een auteursrechtenorganisatie) bij zowel commercieel als niet-commercieel gebruik van het Werk;\n\n		ii. Voor afstand vatbare heffingsregeling. in het geval van voor afstand vatbare heffingsregelingen (bijvoorbeeld met betrekking tot leenrechten) de Licentiegever afstand doet van het recht om dergelijke heffingen te innen bij zowel commercieel als niet-commercieel gebruik van het Werk;\n\n		iii. Collectief rechtenbeheer. de Licentiegever afstand doet van het recht om vergoedingen te innen (zelfstandig of, indien de Licentiegever lid is van een auteursrechtenorganisatie, door middel van die organisatie) bij zowel commercieel als niet-commercieel gebruik van het Werk.\n\nDe Gebruiker mag deze rechten uitoefenen met behulp van alle thans bekende media, dragers en formats. De Gebruiker is tevens gerechtigd om technische wijzigingen aan te brengen die noodzakelijk zijn om de rechten met behulp van andere media, dragers en formats uit te oefenen. Alle niet uitdrukkelijk verleende rechten zijn hierbij voorbehouden aan de Licentiegever, met inbegrip van maar niet beperkt tot de rechten die in artikel 4(d) worden genoemd. Voor zover de Licentiegever op basis van het nationale recht ter implementatie van de Europese Databankenrichtlijn over uitsluitende rechten beschickt doet de Licentiegever afstand van deze rechten.\n\n4. Beperkingen. De in artikel 3 verleende Licentie is uitdrukkelijk gebonden aan de volgende beperkingen:\n\n	a. De Gebruiker mag het Werk uitsluitend verspreiden, in het openbaar tonen, op- of uitvoeren of on-line beschikbaar stellen met inachtneming van de voorwaarden van deze Licentie, en de Gebruiker dient een exemplaar van, of de Uniform Resource Identifier voor, deze Licentie toe te voegen aan elk exemplaar van het Werk dat de Gebruiker verspreidt, in het openbaar toont, op- of uitvoert, of on-line beschikbaar stelt. Het is de Gebruiker niet toegestaan om het Werk onder enige afwijkende voorwaarden aan te bieden waardoor de voorwaarden van deze Licentie dan wel de mogelijkheid van de ontvangers van het Werk om de rechten krachtens deze Licentie uit te oefenen worden beperkt. Het is de Gebruiker niet toegestaan om het Werk in sublicentie te geven. De Gebruiker dient alle vermeldingen die verwijzen naar deze Licentie dan wel naar de uitsluiting van garantie te laten staan. Het is de Gebruiker niet toegestaan om het Werk te verspreiden, in het openbaar te tonen, op- of uit te voeren of on-line beschikbaar te stellen met toepassing van technologische voorzieningen waardoor de voorwaarden van deze Licentie dan wel de mogelijkheid van de ontvangers van het Werk om de rechten krachtens deze Licentie uit te oefenen worden beperkt. Het voorgaande is tevens van toepassing op het Werk dat deel uitmaakt van een Verzamelwerk, maar dat houdt niet in dat het Verzamelwerk, afgezien van het Werk zelf, gebonden is aan de voorwaarden van deze Licentie. Indien de Gebruiker een Verzamelwerk maakt, dient deze, op verzoek van welke Licentiegever ook, de op grond van artikel 4(b) vereiste naamsvermelding uit het Verzamelwerk te verwijderen, voor zover praktisch mogelijk, conform het verzoek. Indien de Gebruiker een Afgeleid werk maakt, dient hij, op verzoek van welke Licentiegever ook, de op grond van artikel 4(b) vereiste naamsvermelding uit het Afgeleide werk te verwijderen, voorzover praktisch mogelijk, conform het verzoek.\n\n	b. Indien de Gebruiker het Werk, Afgeleide Werken of Verzamelwerken verspreidt, in het openbaar toont, op- of uitvoert of on-line beschikbaar stelt, dient de Gebruiker, tenzij er sprake is van een verzoek als vermeld in lid 4(a), alle auteursrechtvermeldingen met betrekking tot het Werk te laten staan. Tevens dient de Gebruiker, op een wijze die redelijk is in verhouding tot het gebruikte medium, de naam te vermelden van (i) de Maker (of zijn/haar pseudoniem indien van toepassing) indien deze wordt vermeld; en/of (ii) van (een) andere partij(en) (b.v. sponsor, uitgeverij, tijdschrift) indien de naamsvermelding van deze partij(en) (\"Naamsvermeldingsgerechtigden\") in de auteursrechtvermelding of algemene voorwaarden van de Licentiegever of op een andere redelijke wijze verplicht is gesteld door de Maker en/of de Licentiegever; de titel van het Werk indien deze wordt vermeld; voorzover redelijkerwijs toepasbaar de Uniform Resource Identifier, indien aanwezig, waarvan de Licentiegever heeft aangegeven dat deze bij het Werk hoort, tenzij de URI niet verwijst naar de auteursrechtvermeldingen of de licentie-informatie betreffende het Werk; in overeenstemming met artikel 3(b) in geval van een Afgeleid werk, door te verwijzen naar het gebruik van het Werk in het Afgeleide werk (bijvoorbeeld: 'De Franse vertaling van het Werk van de Maker' of 'Scenario gebaseerd op het Werk van de Maker'). De Gebruiker dient op redelijke wijze aan de in dit artikel genoemde vereisten te voldoen; echter, met dien verstande dat, in geval van een Afgeleid werk of een Verzamelwerk, de naamsvermeldingen in ieder geval geplaatst dienen te worden, indien er een naamsvermelding van alle makers van het Afgeleide werk of het Verzamelwerk geplaatst wordt dan als deel van die naamsvermeldingen, en op een wijze die in ieder geval even duidelijk is als de naamsvermeldingen van de overige makers.\n\n	Volledigheidshalve dient te worden vermeld dat de Gebruiker uitsluitend gebruik mag maken van de naamsvermelding op de in dit artikel omschreven wijze teneinde te voldoen aan de naamsvermeldingsverplichting en, door gebruikmaking van zijn rechten krachtens deze Licentie, is het de Gebruiker niet toegestaan om op enigerlei wijze de indruk te wekken dat er sprake is van enig verband met, sponsorschap van of goedkeuring van de (toepasselijke) Maker, Licentiegever c.q. Naamsvermeldingsgerechtigden van de Gebruiker of diens gebruik van het Werk, zonder de afzonderlijke, uitdrukkelijke, voorafgaande, schriftelijke toestemming van de Maker, Licentiegever c.q. Naamsvermeldingsgerechtigden.\n\n	c. Volledigheidshalve dient te worden vermeld, dat de hierboven vermelde beperkingen (lid 4(a) en lid 4(b)) niet van toepassing zijn op die onderdelen van het Werk die geacht worden te vallen onder de definitie van het 'Werk' zoals vermeld in deze Licentie uitsluitend omdat zij voldoen aan de criteria van het sui generis databankenrecht krachtens het nationale recht ter implementatie van de Europese Databankenrichtlijn.\n\n	d. De in artikel 3 verleende rechten moeten worden uitgeoefend met inachtneming van het morele recht van de Maker (en/of de uitvoerende kunstenaar) om zich te verzetten tegen elke misvorming, verminking of andere aantasting van het werk, welke nadeel zou kunnen toebrengen aan de eer of de naam van de Maker (en/of de uitvoerende kunstenaar) of aan zijn waarde in deze hoedanigheid, indien en voor zover de Maker (en/of de uitvoerende kunstenaar) op grond van een op hem van toepassing zijnde wettelijke bepaling geen afstand kan doen van dat morele recht.\n\n5. Garantie en vrijwaring.\n\nTENZIJ ANDERS SCHRIFTELIJK IS OVEREENGEKOMEN DOOR DE PARTIJEN, STELT DE LICENTIEGEVER HET WERK BESCHIKBAAR OP 'AS-IS' BASIS, ZONDER ENIGE GARANTIE, HETZIJ DIRECT, INDIRECT OF ANDERSZINS, MET BETREKKING TOT HET WERK, MET INBEGRIP VAN, MAAR NIET BEPERKT TOT GARANTIES MET BETREKKING TOT DE EIGENDOMSTITEL, DE VERKOOPBAARHEID, DE GESCHIKTHEID VOOR BEPAALDE DOELEINDEN, MOGELIJKE INBREUK, DE AFWEZIGHEID VAN LATENTE OF ANDERE TEKORTKOMINGEN, DE JUISTHEID OF DE AAN- OF AFWEZIGHEID VAN FOUTEN, ONGEACHT DE OPSPOORBAARHEID DAARVAN, INDIEN EN VOORZOVER DE WET NIET ANDERS BEPAALT.\n\n6. Beperking van de aansprakelijkheid.\n\nDE LICENTIEGEVER AANVAARDT GEEN ENKELE AANSPRAKELIJKHEID JEGENS DE GEBRUIKER VOOR ENIGE BIJZONDERE OF INCIDENTELE SCHADE OF GEVOLGSCHADE VOORTVLOEIEND UIT DEZE LICENTIE OF HET GEBRUIK VAN HET WERK, ZELFS NIET INDIEN DE LICENTIEGEVER OP DE HOOGTE IS GESTELD VAN HET RISICO VAN DERGELIJKE SCHADE, INDIEN EN VOORZOVER DE WET NIET ANDERS BEPAALT.\n\n7. Be\u00ebindiging\n\n	a. Deze Licentie en de daarin verleende rechten vervallen automatisch op het moment dat de Gebruiker in strijd handelt met de voorwaarden van deze Licentie. De licenties van natuurlijke personen of rechtspersonen die Verzamelwerken hebben ontvangen van de Gebruiker krachtens deze Licentie blijven echter in stand zolang dergelijke natuurlijke personen of rechtspersonen zich houden aan de voorwaarden van die licenties. Na de be\u00ebindiging van deze Licentie blijven artikelen 1, 2, 5, 6, 7 en 8 onverminderd van kracht.\n\n	b. Met inachtneming van de hierboven vermelde voorwaarden wordt de Licentie verleend voor de duur van de toepasselijke intellectuele eigendomsrechten op het Werk. De Licentiegever behoudt zich desalniettemin te allen tijde het recht voor om het Werk volgens gewijzigde licentievoorwaarden te verspreiden of om het Werk niet langer te verspreiden; met dien verstande dat een dergelijk besluit niet de intrekking van deze Licentie (of enig andere licentie die volgens de voorwaarden van deze Licentie (verplicht) is verleend) tot gevolg heeft, en deze Licentie onverminderd van kracht blijft tenzij zij op de in lid a omschreven wijze wordt be\u00ebindigd.\n\n8. Diversen\n\n	a. Elke keer dat de Gebruiker het Werk of een Verzamelwerk verspreidt of on-line beschikbaar stelt, biedt de Licentiegever de ontvanger een licentie op het Werk aan volgens de algemene voorwaarden van deze Licentie.\n\n	b. Elke keer dat de Gebruiker een Afgeleid werk verspreidt of on-line beschikbaar stelt, biedt de Licentiegever de ontvanger een licentie op het oorspronkelijke werk aan volgens de algemene voorwaarden van deze Licentie.\n\n	c. Indien enige bepaling van deze Licentie nietig of niet rechtens afdwingbaar is, zullen de overige voorwaarden van deze Licentie volledig van kracht blijven. De nietige of niet-afdwingbare bepaling zal, zonder tussenkomst van de partijen, worden vervangen door een geldige en afdwingbare bepaling waarbij het doel en de strekking van de oorspronkelijke bepaling zoveel mogelijk in acht worden genomen.\n\n	d. Een verklaring van afstand van in deze Licentie verleende rechten of een wijziging van de voorwaarden van deze Licentie dient schriftelijk te geschieden en getekend te zijn door de partij die verantwoordelijk is voor de verklaring van afstand respectievelijk de partij wiens toestemming voor de wijziging is vereist.\n\n	f. Deze Licentie bevat de volledige overeenkomst tussen de partijen met betrekking tot het in licentie gegeven Werk. Er zijn geen andere afspraken gemaakt met betrekking tot het Werk. De Licentiegever is niet gebonden aan enige aanvullende bepalingen die worden vermeld in mededelingen van de Gebruiker. Deze licentie kan uitsluitend worden gewijzigd met de wederzijdse, schriftelijke instemming van de Licentiegever en de Gebruiker.\n\nAansprakelijkheid en merkrechten van Creative Commons\n\nCreative Commons is geen partij bij deze Licentie en stelt geen enkele garantie met betrekking tot het Werk. Creative Commons kan op geen enkele wijze aansprakelijk worden gehouden jegens de Gebruiker of derden voor enigerlei schade met inbegrip van, maar niet beperkt tot enige algemene, bijzondere, incidentele of gevolgschade voortvloeiend uit deze Licentie. Onverminderd het bepaalde in de twee (2) voorgaande volzinnen is Creative Commons gebonden aan alle rechten en verplichtingen van de Licentiegever indien Creative Commons zichzelf uitdrukkelijk kenbaar gemaakt heeft als de Licentiegever krachtens deze Licentie.\n\nMet uitzondering van het beperkte doel om iedereen erop te wijzen dat het Werk in licentie is gegeven krachtens de CCPL, geeft Creative Commons aan geen van de partijen toestemming om gebruik te maken van de merknaam 'Creative Commons', enige daarmee verband houdende merknamen dan wel het logo van Creative Commons gebruiken zonder de voorafgaande schriftelijke toestemming van Creative Commons. Het geoorloofde gebruik dient in overeenstemming te zijn met de alsdan geldende richtlijnen betreffende het gebruik van merknamen van Creative Commons zoals die bekend worden gemaakt op de website of anderszins van tijd tot tijd, desgevraagd, ter beschikking worden gesteld. Volledigheidshalve dient te worden vermeld dat deze merkrechtelijke beperking geen deel uitmaakt van de Licentie.\n\nU kunt contact opnemen met Creative Commons via de website: https://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Naamsvermelding 3.0\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS GEEN ADVOCATENPRAKTIJK EN VERLEENT GEEN JURIDISCHE DIENSTEN. DE VERSPREIDING VAN DEZE LICENTIE ROEPT GEEN JURIDISCHE RELATIE MET CREATIVE COMMONS IN HET LEVEN. CREATIVE COMMONS VERSPREIDT DEZE INFORMATIE 'AS-IS'. CREATIVE COMMONS STAAT NIET IN VOOR DE INHOUD VAN DE VERSTREKTE INFORMATIE EN SLUIT ALLE AANSPRAKELIJKHEID UIT VOOR ENIGERLEI SCHADE VOORTVLOEIEND UIT HET GEBRUIK VAN DEZE INFORMATIE INDIEN EN VOORZOVER DE WET NIET ANDERS BEPAALT.\n\nLicentie\n\n<<endOptional>>\n\nHET WERK (ALS HIERONDER OMSCHREVEN) WORDT TER BESCHIKKING GESTELD OVEREENKOMSTIG DE VOORWAARDEN VAN DEZE CREATIVE COMMONS PUBLIEKE LICENTIE ('CCPL' OF 'LICENTIE'). HET WERK WORDT BESCHERMD OP GROND VAN HET AUTEURSRECHT, NABURIGE RECHTEN, HET DATABANKENRECHT EN/OF ENIGE ANDERE TOEPASSELIJKE RECHTEN. MET UITZONDERING VAN HET IN DEZE LICENTIE OMSCHREVEN TOEGESTANE GEBRUIK VAN HET WERK IS ENIG ANDER GEBRUIK VAN HET WERK NIET TOEGESTAAN.\n\nDOOR HET UITOEFENEN VAN DE IN DEZE LICENTIE VERLEENDE RECHTEN MET BETREKKING TOT HET WERK AANVAARDT EN GAAT DE GEBRUIKER AKKOORD MET DE VOORWAARDEN VAN DEZE LICENTIE, MET DIEN VERSTANDE DAT (DE INHOUD VAN) DEZE LICENTIE OP VOORHAND VOLDOENDE DUIDELIJK KENBAAR DIENT TE ZIJN VOOR DE ONTVANGER VAN HET WERK.\n\nDE LICENTIEGEVER VERLEENT DE GEBRUIKER DE IN DEZE LICENTIE OMSCHREVEN RECHTEN MET INACHTNEMING VAN DE DESBETREFFENDE VOORWAARDEN.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definities\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> 'Verzamelwerk' een werk waarin het Werk, in zijn geheel en in ongewijzigde vorm, samen met een of meer andere werken, die elk een afzonderlijk en zelfstandig werk vormen, tot een geheel is samengevoegd. Voorbeelden van een verzamelwerk zijn een tijdschrift, een bloemlezing of een encyclopedie. Een Verzamelwerk zal voor de toepassing van deze Licentie niet als een Afgeleid werk (als hieronder omschreven) worden beschouwd.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> 'Afgeleid werk' een werk dat is gebaseerd op het Werk of op het Werk en andere reeds bestaande werken. Voorbeelden van een Afgeleid werk zijn een vertaling, een muziekschikking (arrangement), een toneelbewerking, een literaire bewerking, een verfilming, een geluidsopname, een kunstreproductie, een verkorte versie, een samenvatting of enig andere bewerking van het Werk, met dien verstande dat een Verzamelwerk voor de toepassing van deze Licentie niet als een Afgeleid werk zal worden beschouwd.\n\n	  Indien het Werk een muziekwerk betreft, zal de synchronisatie van de tijdslijnen van het Werk en een bewegend beeld ('synching') voor de toepassing van deze Licentie als een Afgeleid Werk worden beschouwd.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> 'Licentiegever' de natuurlijke persoon/personen of rechtspersoon/rechtspersonen die het Werk volgens de voorwaarden van deze Licentie aanbiedt/aanbieden.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> 'Maker' de natuurlijke persoon/personen of rechtspersoon/personen die het oorspronkelijke werk gemaakt heeft/hebben. Voor de toepassing van deze Licentie wordt onder de Maker mede verstaan de uitvoerende kunstenaar, film- en fonogramproducent en omroeporganisaties in de zin van de Wet op de naburige rechten en de producent van een databank in de zin van de Databankenwet.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> 'Werk' het auteursrechtelijk beschermde werk dat volgens de voorwaarden van deze Licentie wordt aangeboden. Voor de toepassing van deze Licentie wordt onder het Werk mede verstaan het fonogram, de eerste vastlegging van een film en het (omroep)programma in de zin van de Wet op de naburige rechten en de databank in de zin van de Databankenwet, voor zover dit fonogram, deze eerste vastlegging van een film, dit (omroep)programma en deze databank beschermd wordt krachtens de toepasselijke wet in de jurisdictie van de Gebruiker.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> 'Gebruiker' de natuurlijke persoon of rechtspersoon die rechten ingevolge deze Licentie uitoefent en die de voorwaarden van deze Licentie met betrekking tot het Werk niet eerder geschonden heeft, of die van de Licentiegever uitdrukkelijke toestemming gekregen heeft om rechten ingevolge deze Licentie uit te oefenen ondanks een eerdere schending.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Beperkingen van de uitsluitende rechten. Niets in deze Licentie strekt ertoe om de rechten te beperken die voortvloeien uit de beperkingen en uitputting van de uitsluitende rechten van de rechthebbende krachtens het auteursrecht, de naburige rechten, het databankenrecht of enige andere toepasselijke rechten.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Licentieverlening. Met inachtneming van de voorwaarden van deze Licentie verleent de Licentiegever hierbij aan de Gebruiker een wereldwijde, niet-exclusieve licentie om de navolgende rechten met betrekking tot het Werk vrij van royalty's uit te oefenen voor de duur van de toepasselijke intellectuele eigendomsrechten:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> het reproduceren van het Werk, het opnemen van het Werk in een of meerdere Verzamelwerken, en het reproduceren van het in de Verzamelwerken opgenomen Werk;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> het maken en reproduceren van Afgeleide werken met dien verstande dat met betrekking tot het Afgeleide werk, met inbegrip van welke vertaling in welk medium dan ook, duidelijk wordt gemaakt dat er wijzigingen in het oorspronkelijke Werk zijn aangebracht. Bijvoorbeeld, aan een vertaling kan worden toegevoegd dat 'het oorspronkelijke Werk is van het Engels in het Spaans vertaald', of in geval van een verandering kan worden aangegeven dat 'het oorspronkelijke werk is veranderd';\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> het verspreiden van exemplaren van het Werk, het in het openbaar tonen, op- en uitvoeren en het on-line beschikbaar stellen van het Werk, afzonderlijk en als deel van een Verzamelwerk;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> het verspreiden van exemplaren van Afgeleide werken, het in het openbaar te tonen, op- en uitvoeren en het on-line beschikbaar stellen van Afgeleide werken;\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> het opvragen en hergebruiken van het Werk;\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Volledigheidshalve dient te worden vermeld dat:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Niet voor afstand vatbare heffingsregelingen. in het geval van niet voor afstand vatbare heffingsregelingen (bijvoorbeeld met betrekking tot thuiskopie\u00ebn) de Licentiegever zich het recht voorbehoudt om dergelijke heffingen te innen (al dan niet door middel van een auteursrechtenorganisatie) bij zowel commercieel als niet-commercieel gebruik van het Werk;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Voor afstand vatbare heffingsregeling. in het geval van voor afstand vatbare heffingsregelingen (bijvoorbeeld met betrekking tot leenrechten) de Licentiegever afstand doet van het recht om dergelijke heffingen te innen bij zowel commercieel als niet-commercieel gebruik van het Werk;\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Collectief rechtenbeheer. de Licentiegever afstand doet van het recht om vergoedingen te innen (zelfstandig of, indien de Licentiegever lid is van een auteursrechtenorganisatie, door middel van die organisatie) bij zowel commercieel als niet-commercieel gebruik van het Werk.\n\n   De Gebruiker mag deze rechten uitoefenen met behulp van alle thans bekende media, dragers en formats. De Gebruiker is tevens gerechtigd om technische wijzigingen aan te brengen die noodzakelijk zijn om de rechten met behulp van andere media, dragers en formats uit te oefenen. Alle niet uitdrukkelijk verleende rechten zijn hierbij voorbehouden aan de Licentiegever, met inbegrip van maar niet beperkt tot de rechten die in artikel 4(d) worden genoemd. Voor zover de Licentiegever op basis van het nationale recht ter implementatie van de Europese Databankenrichtlijn over uitsluitende rechten beschickt doet de Licentiegever afstand van deze rechten.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Beperkingen. De in artikel 3 verleende Licentie is uitdrukkelijk gebonden aan de volgende beperkingen:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> De Gebruiker mag het Werk uitsluitend verspreiden, in het openbaar tonen, op- of uitvoeren of on-line beschikbaar stellen met inachtneming van de voorwaarden van deze Licentie, en de Gebruiker dient een exemplaar van, of de Uniform Resource Identifier voor, deze Licentie toe te voegen aan elk exemplaar van het Werk dat de Gebruiker verspreidt, in het openbaar toont, op- of uitvoert, of on-line beschikbaar stelt. Het is de Gebruiker niet toegestaan om het Werk onder enige afwijkende voorwaarden aan te bieden waardoor de voorwaarden van deze Licentie dan wel de mogelijkheid van de ontvangers van het Werk om de rechten krachtens deze Licentie uit te oefenen worden beperkt. Het is de Gebruiker niet toegestaan om het Werk in sublicentie te geven. De Gebruiker dient alle vermeldingen die verwijzen naar deze Licentie dan wel naar de uitsluiting van garantie te laten staan. Het is de Gebruiker niet toegestaan om het Werk te verspreiden, in het openbaar te tonen, op- of uit te voeren of on-line beschikbaar te stellen met toepassing van technologische voorzieningen waardoor de voorwaarden van deze Licentie dan wel de mogelijkheid van de ontvangers van het Werk om de rechten krachtens deze Licentie uit te oefenen worden beperkt. Het voorgaande is tevens van toepassing op het Werk dat deel uitmaakt van een Verzamelwerk, maar dat houdt niet in dat het Verzamelwerk, afgezien van het Werk zelf, gebonden is aan de voorwaarden van deze Licentie. Indien de Gebruiker een Verzamelwerk maakt, dient deze, op verzoek van welke Licentiegever ook, de op grond van artikel 4(b) vereiste naamsvermelding uit het Verzamelwerk te verwijderen, voor zover praktisch mogelijk, conform het verzoek. Indien de Gebruiker een Afgeleid werk maakt, dient hij, op verzoek van welke Licentiegever ook, de op grond van artikel 4(b) vereiste naamsvermelding uit het Afgeleide werk te verwijderen, voorzover praktisch mogelijk, conform het verzoek.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Indien de Gebruiker het Werk, Afgeleide Werken of Verzamelwerken verspreidt, in het openbaar toont, op- of uitvoert of on-line beschikbaar stelt, dient de Gebruiker, tenzij er sprake is van een verzoek als vermeld in lid 4(a), alle auteursrechtvermeldingen met betrekking tot het Werk te laten staan. Tevens dient de Gebruiker, op een wijze die redelijk is in verhouding tot het gebruikte medium, de naam te vermelden van (i) de Maker (of zijn/haar pseudoniem indien van toepassing) indien deze wordt vermeld; en/of (ii) van (een) andere partij(en) (b.v. sponsor, uitgeverij, tijdschrift) indien de naamsvermelding van deze partij(en) (\"Naamsvermeldingsgerechtigden\") in de auteursrechtvermelding of algemene voorwaarden van de Licentiegever of op een andere redelijke wijze verplicht is gesteld door de Maker en/of de Licentiegever; de titel van het Werk indien deze wordt vermeld; voorzover redelijkerwijs toepasbaar de Uniform Resource Identifier, indien aanwezig, waarvan de Licentiegever heeft aangegeven dat deze bij het Werk hoort, tenzij de URI niet verwijst naar de auteursrechtvermeldingen of de licentie-informatie betreffende het Werk; in overeenstemming met artikel 3(b) in geval van een Afgeleid werk, door te verwijzen naar het gebruik van het Werk in het Afgeleide werk (bijvoorbeeld: 'De Franse vertaling van het Werk van de Maker' of 'Scenario gebaseerd op het Werk van de Maker'). De Gebruiker dient op redelijke wijze aan de in dit artikel genoemde vereisten te voldoen; echter, met dien verstande dat, in geval van een Afgeleid werk of een Verzamelwerk, de naamsvermeldingen in ieder geval geplaatst dienen te worden, indien er een naamsvermelding van alle makers van het Afgeleide werk of het Verzamelwerk geplaatst wordt dan als deel van die naamsvermeldingen, en op een wijze die in ieder geval even duidelijk is als de naamsvermeldingen van de overige makers.\n\n	  Volledigheidshalve dient te worden vermeld dat de Gebruiker uitsluitend gebruik mag maken van de naamsvermelding op de in dit artikel omschreven wijze teneinde te voldoen aan de naamsvermeldingsverplichting en, door gebruikmaking van zijn rechten krachtens deze Licentie, is het de Gebruiker niet toegestaan om op enigerlei wijze de indruk te wekken dat er sprake is van enig verband met, sponsorschap van of goedkeuring van de (toepasselijke) Maker, Licentiegever c.q. Naamsvermeldingsgerechtigden van de Gebruiker of diens gebruik van het Werk, zonder de afzonderlijke, uitdrukkelijke, voorafgaande, schriftelijke toestemming van de Maker, Licentiegever c.q. Naamsvermeldingsgerechtigden.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Volledigheidshalve dient te worden vermeld, dat de hierboven vermelde beperkingen (lid 4(a) en lid 4(b)) niet van toepassing zijn op die onderdelen van het Werk die geacht worden te vallen onder de definitie van het 'Werk' zoals vermeld in deze Licentie uitsluitend omdat zij voldoen aan de criteria van het sui generis databankenrecht krachtens het nationale recht ter implementatie van de Europese Databankenrichtlijn.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> De in artikel 3 verleende rechten moeten worden uitgeoefend met inachtneming van het morele recht van de Maker (en/of de uitvoerende kunstenaar) om zich te verzetten tegen elke misvorming, verminking of andere aantasting van het werk, welke nadeel zou kunnen toebrengen aan de eer of de naam van de Maker (en/of de uitvoerende kunstenaar) of aan zijn waarde in deze hoedanigheid, indien en voor zover de Maker (en/of de uitvoerende kunstenaar) op grond van een op hem van toepassing zijnde wettelijke bepaling geen afstand kan doen van dat morele recht.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Garantie en vrijwaring.\n\n   TENZIJ ANDERS SCHRIFTELIJK IS OVEREENGEKOMEN DOOR DE PARTIJEN, STELT DE LICENTIEGEVER HET WERK BESCHIKBAAR OP 'AS-IS' BASIS, ZONDER ENIGE GARANTIE, HETZIJ DIRECT, INDIRECT OF ANDERSZINS, MET BETREKKING TOT HET WERK, MET INBEGRIP VAN, MAAR NIET BEPERKT TOT GARANTIES MET BETREKKING TOT DE EIGENDOMSTITEL, DE VERKOOPBAARHEID, DE GESCHIKTHEID VOOR BEPAALDE DOELEINDEN, MOGELIJKE INBREUK, DE AFWEZIGHEID VAN LATENTE OF ANDERE TEKORTKOMINGEN, DE JUISTHEID OF DE AAN- OF AFWEZIGHEID VAN FOUTEN, ONGEACHT DE OPSPOORBAARHEID DAARVAN, INDIEN EN VOORZOVER DE WET NIET ANDERS BEPAALT.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Beperking van de aansprakelijkheid.\n\n   DE LICENTIEGEVER AANVAARDT GEEN ENKELE AANSPRAKELIJKHEID JEGENS DE GEBRUIKER VOOR ENIGE BIJZONDERE OF INCIDENTELE SCHADE OF GEVOLGSCHADE VOORTVLOEIEND UIT DEZE LICENTIE OF HET GEBRUIK VAN HET WERK, ZELFS NIET INDIEN DE LICENTIEGEVER OP DE HOOGTE IS GESTELD VAN HET RISICO VAN DERGELIJKE SCHADE, INDIEN EN VOORZOVER DE WET NIET ANDERS BEPAALT.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Be\u00ebindiging\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Deze Licentie en de daarin verleende rechten vervallen automatisch op het moment dat de Gebruiker in strijd handelt met de voorwaarden van deze Licentie. De licenties van natuurlijke personen of rechtspersonen die Verzamelwerken hebben ontvangen van de Gebruiker krachtens deze Licentie blijven echter in stand zolang dergelijke natuurlijke personen of rechtspersonen zich houden aan de voorwaarden van die licenties. Na de be\u00ebindiging van deze Licentie blijven artikelen 1, 2, 5, 6, 7 en 8 onverminderd van kracht.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Met inachtneming van de hierboven vermelde voorwaarden wordt de Licentie verleend voor de duur van de toepasselijke intellectuele eigendomsrechten op het Werk. De Licentiegever behoudt zich desalniettemin te allen tijde het recht voor om het Werk volgens gewijzigde licentievoorwaarden te verspreiden of om het Werk niet langer te verspreiden; met dien verstande dat een dergelijk besluit niet de intrekking van deze Licentie (of enig andere licentie die volgens de voorwaarden van deze Licentie (verplicht) is verleend) tot gevolg heeft, en deze Licentie onverminderd van kracht blijft tenzij zij op de in lid a omschreven wijze wordt be\u00ebindigd.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Diversen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Elke keer dat de Gebruiker het Werk of een Verzamelwerk verspreidt of on-line beschikbaar stelt, biedt de Licentiegever de ontvanger een licentie op het Werk aan volgens de algemene voorwaarden van deze Licentie.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Elke keer dat de Gebruiker een Afgeleid werk verspreidt of on-line beschikbaar stelt, biedt de Licentiegever de ontvanger een licentie op het oorspronkelijke werk aan volgens de algemene voorwaarden van deze Licentie.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Indien enige bepaling van deze Licentie nietig of niet rechtens afdwingbaar is, zullen de overige voorwaarden van deze Licentie volledig van kracht blijven. De nietige of niet-afdwingbare bepaling zal, zonder tussenkomst van de partijen, worden vervangen door een geldige en afdwingbare bepaling waarbij het doel en de strekking van de oorspronkelijke bepaling zoveel mogelijk in acht worden genomen.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Een verklaring van afstand van in deze Licentie verleende rechten of een wijziging van de voorwaarden van deze Licentie dient schriftelijk te geschieden en getekend te zijn door de partij die verantwoordelijk is voor de verklaring van afstand respectievelijk de partij wiens toestemming voor de wijziging is vereist.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Deze Licentie bevat de volledige overeenkomst tussen de partijen met betrekking tot het in licentie gegeven Werk. Er zijn geen andere afspraken gemaakt met betrekking tot het Werk. De Licentiegever is niet gebonden aan enige aanvullende bepalingen die worden vermeld in mededelingen van de Gebruiker. Deze licentie kan uitsluitend worden gewijzigd met de wederzijdse, schriftelijke instemming van de Licentiegever en de Gebruiker.\n\nAansprakelijkheid en merkrechten van Creative Commons\n\nCreative Commons is geen partij bij deze Licentie en stelt geen enkele garantie met betrekking tot het Werk. Creative Commons kan op geen enkele wijze aansprakelijk worden gehouden jegens de Gebruiker of derden voor enigerlei schade met inbegrip van, maar niet beperkt tot enige algemene, bijzondere, incidentele of gevolgschade voortvloeiend uit deze Licentie. Onverminderd het bepaalde in de twee (2) voorgaande volzinnen is Creative Commons gebonden aan alle rechten en verplichtingen van de Licentiegever indien Creative Commons zichzelf uitdrukkelijk kenbaar gemaakt heeft als de Licentiegever krachtens deze Licentie.\n\nMet uitzondering van het beperkte doel om iedereen erop te wijzen dat het Werk in licentie is gegeven krachtens de CCPL, geeft Creative Commons aan geen van de partijen toestemming om gebruik te maken van de merknaam 'Creative Commons', enige daarmee verband houdende merknamen dan wel het logo van Creative Commons gebruiken zonder de voorafgaande schriftelijke toestemming van Creative Commons. Het geoorloofde gebruik dient in overeenstemming te zijn met de alsdan geldende richtlijnen betreffende het gebruik van merknamen van Creative Commons zoals die bekend worden gemaakt op de website of anderszins van tijd tot tijd, desgevraagd, ter beschikking worden gesteld. Volledigheidshalve dient te worden vermeld dat deze merkrechtelijke beperking geen deel uitmaakt van de Licentie.\n\nU kunt contact opnemen met Creative Commons via de website: https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution 3.0 Netherlands"
		self.licenseId = "CC-BY-3.0-NL"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by/3.0/nl/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:11Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by/3.0/nl/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> \n				<p>Creative Commons Naamsvermelding 3.0</p>\n\n			</div>\n\n			<div class=\"optional-license-text\"> \n				<p>CREATIVE COMMONS CORPORATION IS GEEN ADVOCATENPRAKTIJK EN VERLEENT GEEN JURIDISCHE DIENSTEN. DE VERSPREIDING VAN DEZE LICENTIE ROEPT GEEN JURIDISCHE RELATIE MET CREATIVE COMMONS IN HET LEVEN. CREATIVE COMMONS VERSPREIDT DEZE INFORMATIE &apos;AS-IS&apos;. CREATIVE COMMONS STAAT NIET IN VOOR DE INHOUD VAN DE VERSTREKTE INFORMATIE EN SLUIT ALLE AANSPRAKELIJKHEID UIT VOOR ENIGERLEI SCHADE VOORTVLOEIEND UIT HET GEBRUIK VAN DEZE INFORMATIE INDIEN EN VOORZOVER DE WET NIET ANDERS BEPAALT.</p>\n\n				<p>Licentie</p>\n\n			</div>\n\n			<p>HET WERK (ALS HIERONDER OMSCHREVEN) WORDT TER BESCHIKKING GESTELD OVEREENKOMSTIG DE VOORWAARDEN VAN DEZE CREATIVE COMMONS PUBLIEKE LICENTIE (&apos;CCPL&apos; OF &apos;LICENTIE&apos;). HET WERK WORDT BESCHERMD OP GROND VAN HET AUTEURSRECHT, NABURIGE RECHTEN, HET DATABANKENRECHT EN/OF ENIGE ANDERE TOEPASSELIJKE RECHTEN. MET UITZONDERING VAN HET IN DEZE LICENTIE OMSCHREVEN TOEGESTANE GEBRUIK VAN HET WERK IS ENIG ANDER GEBRUIK VAN HET WERK NIET TOEGESTAAN.</p>\n\n			<p>DOOR HET UITOEFENEN VAN DE IN DEZE LICENTIE VERLEENDE RECHTEN MET BETREKKING TOT HET WERK AANVAARDT EN GAAT DE GEBRUIKER AKKOORD MET DE VOORWAARDEN VAN DEZE LICENTIE, MET DIEN VERSTANDE DAT (DE INHOUD VAN) DEZE LICENTIE OP VOORHAND VOLDOENDE DUIDELIJK KENBAAR DIENT TE ZIJN VOOR DE ONTVANGER VAN HET WERK.</p>\n\n			<p>DE LICENTIEGEVER VERLEENT DE GEBRUIKER DE IN DEZE LICENTIE OMSCHREVEN RECHTEN MET INACHTNEMING VAN DE DESBETREFFENDE VOORWAARDEN.</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.</var> Definities\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> &apos;Verzamelwerk&apos; een werk waarin het Werk, in zijn geheel en in ongewijzigde vorm, samen met een of meer andere werken, die elk een afzonderlijk en zelfstandig werk vormen, tot een geheel is samengevoegd. Voorbeelden van een verzamelwerk zijn een tijdschrift, een bloemlezing of een encyclopedie. Een Verzamelwerk zal voor de toepassing van deze Licentie niet als een Afgeleid werk (als hieronder omschreven) worden beschouwd.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> &apos;Afgeleid werk&apos; een werk dat is gebaseerd op het Werk of op het Werk en andere reeds bestaande werken. Voorbeelden van een Afgeleid werk zijn een vertaling, een muziekschikking (arrangement), een toneelbewerking, een literaire bewerking, een verfilming, een geluidsopname, een kunstreproductie, een verkorte versie, een samenvatting of enig andere bewerking van het Werk, met dien verstande dat een Verzamelwerk voor de toepassing van deze Licentie niet als een Afgeleid werk zal worden beschouwd.\n\n							<p>Indien het Werk een muziekwerk betreft, zal de synchronisatie van de tijdslijnen van het Werk en een bewegend beeld (&apos;synching&apos;) voor de toepassing van deze Licentie als een Afgeleid Werk worden beschouwd.</p>\n\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> c.</var> &apos;Licentiegever&apos; de natuurlijke persoon/personen of rechtspersoon/rechtspersonen die het Werk volgens de voorwaarden van deze Licentie aanbiedt/aanbieden.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> d.</var> &apos;Maker&apos; de natuurlijke persoon/personen of rechtspersoon/personen die het oorspronkelijke werk gemaakt heeft/hebben. Voor de toepassing van deze Licentie wordt onder de Maker mede verstaan de uitvoerende kunstenaar, film- en fonogramproducent en omroeporganisaties in de zin van de Wet op de naburige rechten en de producent van een databank in de zin van de Databankenwet.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> e.</var> &apos;Werk&apos; het auteursrechtelijk beschermde werk dat volgens de voorwaarden van deze Licentie wordt aangeboden. Voor de toepassing van deze Licentie wordt onder het Werk mede verstaan het fonogram, de eerste vastlegging van een film en het (omroep)programma in de zin van de Wet op de naburige rechten en de databank in de zin van de Databankenwet, voor zover dit fonogram, deze eerste vastlegging van een film, dit (omroep)programma en deze databank beschermd wordt krachtens de toepasselijke wet in de jurisdictie van de Gebruiker.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> f.</var> &apos;Gebruiker&apos; de natuurlijke persoon of rechtspersoon die rechten ingevolge deze Licentie uitoefent en die de voorwaarden van deze Licentie met betrekking tot het Werk niet eerder geschonden heeft, of die van de Licentiegever uitdrukkelijke toestemming gekregen heeft om rechten ingevolge deze Licentie uit te oefenen ondanks een eerdere schending.\n						</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 2.</var> Beperkingen van de uitsluitende rechten. Niets in deze Licentie strekt ertoe om de rechten te beperken die voortvloeien uit de beperkingen en uitputting van de uitsluitende rechten van de rechthebbende krachtens het auteursrecht, de naburige rechten, het databankenrecht of enige andere toepasselijke rechten.\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 3.</var> Licentieverlening. Met inachtneming van de voorwaarden van deze Licentie verleent de Licentiegever hierbij aan de Gebruiker een wereldwijde, niet-exclusieve licentie om de navolgende rechten met betrekking tot het Werk vrij van royalty&apos;s uit te oefenen voor de duur van de toepasselijke intellectuele eigendomsrechten:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> het reproduceren van het Werk, het opnemen van het Werk in een of meerdere Verzamelwerken, en het reproduceren van het in de Verzamelwerken opgenomen Werk;\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> het maken en reproduceren van Afgeleide werken met dien verstande dat met betrekking tot het Afgeleide werk, met inbegrip van welke vertaling in welk medium dan ook, duidelijk wordt gemaakt dat er wijzigingen in het oorspronkelijke Werk zijn aangebracht. Bijvoorbeeld, aan een vertaling kan worden toegevoegd dat &apos;het oorspronkelijke Werk is van het Engels in het Spaans vertaald&apos;, of in geval van een verandering kan worden aangegeven dat &apos;het oorspronkelijke werk is veranderd&apos;;\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> c.</var> het verspreiden van exemplaren van het Werk, het in het openbaar tonen, op- en uitvoeren en het on-line beschikbaar stellen van het Werk, afzonderlijk en als deel van een Verzamelwerk;\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> d.</var> het verspreiden van exemplaren van Afgeleide werken, het in het openbaar te tonen, op- en uitvoeren en het on-line beschikbaar stellen van Afgeleide werken;\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> e.</var> het opvragen en hergebruiken van het Werk;\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> f.</var> Volledigheidshalve dient te worden vermeld dat:\n\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> i.</var> Niet voor afstand vatbare heffingsregelingen. in het geval van niet voor afstand vatbare heffingsregelingen (bijvoorbeeld met betrekking tot thuiskopie\u00ebn) de Licentiegever zich het recht voorbehoudt om dergelijke heffingen te innen (al dan niet door middel van een auteursrechtenorganisatie) bij zowel commercieel als niet-commercieel gebruik van het Werk;\n								</li>\n\n<li>\n									<var class=\"replaceable-license-text\"> ii.</var> Voor afstand vatbare heffingsregeling. in het geval van voor afstand vatbare heffingsregelingen (bijvoorbeeld met betrekking tot leenrechten) de Licentiegever afstand doet van het recht om dergelijke heffingen te innen bij zowel commercieel als niet-commercieel gebruik van het Werk;\n								</li>\n\n<li>\n									<var class=\"replaceable-license-text\"> iii.</var> Collectief rechtenbeheer. de Licentiegever afstand doet van het recht om vergoedingen te innen (zelfstandig of, indien de Licentiegever lid is van een auteursrechtenorganisatie, door middel van die organisatie) bij zowel commercieel als niet-commercieel gebruik van het Werk.\n								</li>\n							\n</ul>\n						</li>\n					\n</ul>\n\n					<p>De Gebruiker mag deze rechten uitoefenen met behulp van alle thans bekende media, dragers en formats. De Gebruiker is tevens gerechtigd om technische wijzigingen aan te brengen die noodzakelijk zijn om de rechten met behulp van andere media, dragers en formats uit te oefenen. Alle niet uitdrukkelijk verleende rechten zijn hierbij voorbehouden aan de Licentiegever, met inbegrip van maar niet beperkt tot de rechten die in artikel 4(d) worden genoemd. Voor zover de Licentiegever op basis van het nationale recht ter implementatie van de Europese Databankenrichtlijn over uitsluitende rechten beschickt doet de Licentiegever afstand van deze rechten.</p>\n\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 4.</var> Beperkingen. De in artikel 3 verleende Licentie is uitdrukkelijk gebonden aan de volgende beperkingen:\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> De Gebruiker mag het Werk uitsluitend verspreiden, in het openbaar tonen, op- of uitvoeren of on-line beschikbaar stellen met inachtneming van de voorwaarden van deze Licentie, en de Gebruiker dient een exemplaar van, of de Uniform Resource Identifier voor, deze Licentie toe te voegen aan elk exemplaar van het Werk dat de Gebruiker verspreidt, in het openbaar toont, op- of uitvoert, of on-line beschikbaar stelt. Het is de Gebruiker niet toegestaan om het Werk onder enige afwijkende voorwaarden aan te bieden waardoor de voorwaarden van deze Licentie dan wel de mogelijkheid van de ontvangers van het Werk om de rechten krachtens deze Licentie uit te oefenen worden beperkt. Het is de Gebruiker niet toegestaan om het Werk in sublicentie te geven. De Gebruiker dient alle vermeldingen die verwijzen naar deze Licentie dan wel naar de uitsluiting van garantie te laten staan. Het is de Gebruiker niet toegestaan om het Werk te verspreiden, in het openbaar te tonen, op- of uit te voeren of on-line beschikbaar te stellen met toepassing van technologische voorzieningen waardoor de voorwaarden van deze Licentie dan wel de mogelijkheid van de ontvangers van het Werk om de rechten krachtens deze Licentie uit te oefenen worden beperkt. Het voorgaande is tevens van toepassing op het Werk dat deel uitmaakt van een Verzamelwerk, maar dat houdt niet in dat het Verzamelwerk, afgezien van het Werk zelf, gebonden is aan de voorwaarden van deze Licentie. Indien de Gebruiker een Verzamelwerk maakt, dient deze, op verzoek van welke Licentiegever ook, de op grond van artikel 4(b) vereiste naamsvermelding uit het Verzamelwerk te verwijderen, voor zover praktisch mogelijk, conform het verzoek. Indien de Gebruiker een Afgeleid werk maakt, dient hij, op verzoek van welke Licentiegever ook, de op grond van artikel 4(b) vereiste naamsvermelding uit het Afgeleide werk te verwijderen, voorzover praktisch mogelijk, conform het verzoek.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> Indien de Gebruiker het Werk, Afgeleide Werken of Verzamelwerken verspreidt, in het openbaar toont, op- of uitvoert of on-line beschikbaar stelt, dient de Gebruiker, tenzij er sprake is van een verzoek als vermeld in lid 4(a), alle auteursrechtvermeldingen met betrekking tot het Werk te laten staan. Tevens dient de Gebruiker, op een wijze die redelijk is in verhouding tot het gebruikte medium, de naam te vermelden van (i) de Maker (of zijn/haar pseudoniem indien van toepassing) indien deze wordt vermeld; en/of (ii) van (een) andere partij(en) (b.v. sponsor, uitgeverij, tijdschrift) indien de naamsvermelding van deze partij(en) (&quot;Naamsvermeldingsgerechtigden&quot;) in de auteursrechtvermelding of algemene voorwaarden van de Licentiegever of op een andere redelijke wijze verplicht is gesteld door de Maker en/of de Licentiegever; de titel van het Werk indien deze wordt vermeld; voorzover redelijkerwijs toepasbaar de Uniform Resource Identifier, indien aanwezig, waarvan de Licentiegever heeft aangegeven dat deze bij het Werk hoort, tenzij de URI niet verwijst naar de auteursrechtvermeldingen of de licentie-informatie betreffende het Werk; in overeenstemming met artikel 3(b) in geval van een Afgeleid werk, door te verwijzen naar het gebruik van het Werk in het Afgeleide werk (bijvoorbeeld: &apos;De Franse vertaling van het Werk van de Maker&apos; of &apos;Scenario gebaseerd op het Werk van de Maker&apos;). De Gebruiker dient op redelijke wijze aan de in dit artikel genoemde vereisten te voldoen; echter, met dien verstande dat, in geval van een Afgeleid werk of een Verzamelwerk, de naamsvermeldingen in ieder geval geplaatst dienen te worden, indien er een naamsvermelding van alle makers van het Afgeleide werk of het Verzamelwerk geplaatst wordt dan als deel van die naamsvermeldingen, en op een wijze die in ieder geval even duidelijk is als de naamsvermeldingen van de overige makers.\n\n							<p>Volledigheidshalve dient te worden vermeld dat de Gebruiker uitsluitend gebruik mag maken van de naamsvermelding op de in dit artikel omschreven wijze teneinde te voldoen aan de naamsvermeldingsverplichting en, door gebruikmaking van zijn rechten krachtens deze Licentie, is het de Gebruiker niet toegestaan om op enigerlei wijze de indruk te wekken dat er sprake is van enig verband met, sponsorschap van of goedkeuring van de (toepasselijke) Maker, Licentiegever c.q. Naamsvermeldingsgerechtigden van de Gebruiker of diens gebruik van het Werk, zonder de afzonderlijke, uitdrukkelijke, voorafgaande, schriftelijke toestemming van de Maker, Licentiegever c.q. Naamsvermeldingsgerechtigden.</p>\n\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> c.</var> Volledigheidshalve dient te worden vermeld, dat de hierboven vermelde beperkingen (lid 4(a) en lid 4(b)) niet van toepassing zijn op die onderdelen van het Werk die geacht worden te vallen onder de definitie van het &apos;Werk&apos; zoals vermeld in deze Licentie uitsluitend omdat zij voldoen aan de criteria van het sui generis databankenrecht krachtens het nationale recht ter implementatie van de Europese Databankenrichtlijn.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> d.</var> De in artikel 3 verleende rechten moeten worden uitgeoefend met inachtneming van het morele recht van de Maker (en/of de uitvoerende kunstenaar) om zich te verzetten tegen elke misvorming, verminking of andere aantasting van het werk, welke nadeel zou kunnen toebrengen aan de eer of de naam van de Maker (en/of de uitvoerende kunstenaar) of aan zijn waarde in deze hoedanigheid, indien en voor zover de Maker (en/of de uitvoerende kunstenaar) op grond van een op hem van toepassing zijnde wettelijke bepaling geen afstand kan doen van dat morele recht.\n						</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 5.</var> Garantie en vrijwaring.\n\n					<p>TENZIJ ANDERS SCHRIFTELIJK IS OVEREENGEKOMEN DOOR DE PARTIJEN, STELT DE LICENTIEGEVER HET WERK BESCHIKBAAR OP &apos;AS-IS&apos; BASIS, ZONDER ENIGE GARANTIE, HETZIJ DIRECT, INDIRECT OF ANDERSZINS, MET BETREKKING TOT HET WERK, MET INBEGRIP VAN, MAAR NIET BEPERKT TOT GARANTIES MET BETREKKING TOT DE EIGENDOMSTITEL, DE VERKOOPBAARHEID, DE GESCHIKTHEID VOOR BEPAALDE DOELEINDEN, MOGELIJKE INBREUK, DE AFWEZIGHEID VAN LATENTE OF ANDERE TEKORTKOMINGEN, DE JUISTHEID OF DE AAN- OF AFWEZIGHEID VAN FOUTEN, ONGEACHT DE OPSPOORBAARHEID DAARVAN, INDIEN EN VOORZOVER DE WET NIET ANDERS BEPAALT.</p>\n\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 6.</var> Beperking van de aansprakelijkheid.\n\n					<p>DE LICENTIEGEVER AANVAARDT GEEN ENKELE AANSPRAKELIJKHEID JEGENS DE GEBRUIKER VOOR ENIGE BIJZONDERE OF INCIDENTELE SCHADE OF GEVOLGSCHADE VOORTVLOEIEND UIT DEZE LICENTIE OF HET GEBRUIK VAN HET WERK, ZELFS NIET INDIEN DE LICENTIEGEVER OP DE HOOGTE IS GESTELD VAN HET RISICO VAN DERGELIJKE SCHADE, INDIEN EN VOORZOVER DE WET NIET ANDERS BEPAALT.</p>\n\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 7.</var> Be\u00ebindiging\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> Deze Licentie en de daarin verleende rechten vervallen automatisch op het moment dat de Gebruiker in strijd handelt met de voorwaarden van deze Licentie. De licenties van natuurlijke personen of rechtspersonen die Verzamelwerken hebben ontvangen van de Gebruiker krachtens deze Licentie blijven echter in stand zolang dergelijke natuurlijke personen of rechtspersonen zich houden aan de voorwaarden van die licenties. Na de be\u00ebindiging van deze Licentie blijven artikelen 1, 2, 5, 6, 7 en 8 onverminderd van kracht.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> Met inachtneming van de hierboven vermelde voorwaarden wordt de Licentie verleend voor de duur van de toepasselijke intellectuele eigendomsrechten op het Werk. De Licentiegever behoudt zich desalniettemin te allen tijde het recht voor om het Werk volgens gewijzigde licentievoorwaarden te verspreiden of om het Werk niet langer te verspreiden; met dien verstande dat een dergelijk besluit niet de intrekking van deze Licentie (of enig andere licentie die volgens de voorwaarden van deze Licentie (verplicht) is verleend) tot gevolg heeft, en deze Licentie onverminderd van kracht blijft tenzij zij op de in lid a omschreven wijze wordt be\u00ebindigd.\n						</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 8.</var> Diversen\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> Elke keer dat de Gebruiker het Werk of een Verzamelwerk verspreidt of on-line beschikbaar stelt, biedt de Licentiegever de ontvanger een licentie op het Werk aan volgens de algemene voorwaarden van deze Licentie.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> Elke keer dat de Gebruiker een Afgeleid werk verspreidt of on-line beschikbaar stelt, biedt de Licentiegever de ontvanger een licentie op het oorspronkelijke werk aan volgens de algemene voorwaarden van deze Licentie.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> c.</var> Indien enige bepaling van deze Licentie nietig of niet rechtens afdwingbaar is, zullen de overige voorwaarden van deze Licentie volledig van kracht blijven. De nietige of niet-afdwingbare bepaling zal, zonder tussenkomst van de partijen, worden vervangen door een geldige en afdwingbare bepaling waarbij het doel en de strekking van de oorspronkelijke bepaling zoveel mogelijk in acht worden genomen.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> d.</var> Een verklaring van afstand van in deze Licentie verleende rechten of een wijziging van de voorwaarden van deze Licentie dient schriftelijk te geschieden en getekend te zijn door de partij die verantwoordelijk is voor de verklaring van afstand respectievelijk de partij wiens toestemming voor de wijziging is vereist.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> f.</var> Deze Licentie bevat de volledige overeenkomst tussen de partijen met betrekking tot het in licentie gegeven Werk. Er zijn geen andere afspraken gemaakt met betrekking tot het Werk. De Licentiegever is niet gebonden aan enige aanvullende bepalingen die worden vermeld in mededelingen van de Gebruiker. Deze licentie kan uitsluitend worden gewijzigd met de wederzijdse, schriftelijke instemming van de Licentiegever en de Gebruiker.\n						</li>\n					\n</ul>\n				</li>\n			\n</ul>\n\n			<p>Aansprakelijkheid en merkrechten van Creative Commons</p>\n\n			<p>Creative Commons is geen partij bij deze Licentie en stelt geen enkele garantie met betrekking tot het Werk. Creative Commons kan op geen enkele wijze aansprakelijk worden gehouden jegens de Gebruiker of derden voor enigerlei schade met inbegrip van, maar niet beperkt tot enige algemene, bijzondere, incidentele of gevolgschade voortvloeiend uit deze Licentie. Onverminderd het bepaalde in de twee (2) voorgaande volzinnen is Creative Commons gebonden aan alle rechten en verplichtingen van de Licentiegever indien Creative Commons zichzelf uitdrukkelijk kenbaar gemaakt heeft als de Licentiegever krachtens deze Licentie.</p>\n\n			<p>Met uitzondering van het beperkte doel om iedereen erop te wijzen dat het Werk in licentie is gegeven krachtens de CCPL, geeft Creative Commons aan geen van de partijen toestemming om gebruik te maken van de merknaam &apos;Creative Commons&apos;, enige daarmee verband houdende merknamen dan wel het logo van Creative Commons gebruiken zonder de voorafgaande schriftelijke toestemming van Creative Commons. Het geoorloofde gebruik dient in overeenstemming te zijn met de alsdan geldende richtlijnen betreffende het gebruik van merknamen van Creative Commons zoals die bekend worden gemaakt op de website of anderszins van tijd tot tijd, desgevraagd, ter beschikking worden gesteld. Volledigheidshalve dient te worden vermeld dat deze merkrechtelijke beperking geen deel uitmaakt van de Licentie.</p>\n\n			<p>U kunt contact opnemen met Creative Commons via de website: https://creativecommons.org/.</p>\n\n		"
		self.python_name = "CCBY30NL"

	def __str__(self):
		return json.dumps(self.__dict__)


class AGPL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "AFFERO GENERAL PUBLIC LICENSE\nVersion 1, March 2002 Copyright \u00a9 2002 Affero Inc. 510 Third Street - Suite 225, San Francisco, CA 94107, USA\n\nThis license is a modified version of the GNU General Public License copyright (C) 1989, 1991 Free Software Foundation, Inc. made with their permission. Section 2(d) has been added to cover use of software over a computer network.\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the Affero General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This Public License applies to most of Affero's software and to any other program whose authors commit to using it. (Some other Affero software is covered by the GNU Library General Public License instead.) You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. This General Public License is designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this Affero General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n\nActivities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is True depends on what the Program does.\n\n1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\nYou may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	 a) You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n	 b) You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n	 c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n	 d) If the Program as you received it is intended to interact with users through a computer network and if, in the version you received, any user interacting with the Program was given the opportunity to request transmission to that user of the Program's complete source code, you must not remove that facility from your modified version of the Program or work based on the Program, and must offer an equivalent opportunity for all users interacting with your Program through a computer network to request immediate transmission by HTTP of the complete source code of your modified version or other derivative work.\n\nThese requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\nThus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n\nIn addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n3. You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n	 a) Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n	 b) Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n	 c) Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n\nThe source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\nIf distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n4. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n5. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n\n6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n7. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n\nIf any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\nThis section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n8. If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n9. Affero Inc. may publish revised and/or new versions of the Affero General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by Affero, Inc. If the Program does not specify a version number of this License, you may choose any version ever published by Affero, Inc.\n\nYou may also choose to redistribute modified versions of this program under any version of the Free Software Foundation's GNU General Public License version 3 or higher, so long as that version of the GNU GPL includes terms and conditions substantially equivalent to those of this license.\n\n10. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by Affero, Inc., write to us; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n"
		self.standardLicenseTemplate = "<<beginOptional>>AFFERO GENERAL PUBLIC LICENSE\n\nVersion 1, March 2002\n\n<<endOptional>>\n\nCopyright \u00a9 2002 Affero Inc.\n\n510 Third Street - Suite 225, San Francisco, CA 94107, USA\n\nThis license is a modified version of the GNU General Public License copyright (C) 1989, 1991 Free Software Foundation, Inc. made with their permission. Section 2(d) has been added to cover use of software over a computer network.\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the Affero General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This Public License applies to most of Affero's software and to any other program whose authors commit to using it. (Some other Affero software is covered by the GNU Library General Public License instead.) You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. This General Public License is designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this Affero General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is True depends on what the Program does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the Program as you received it is intended to interact with users through a computer network and if, in the version you received, any user interacting with the Program was given the opportunity to request transmission to that user of the Program's complete source code, you must not remove that facility from your modified version of the Program or work based on the Program, and must offer an equivalent opportunity for all users interacting with your Program through a computer network to request immediate transmission by HTTP of the complete source code of your modified version or other derivative work.\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n\n   In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n\n   The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   If distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Affero Inc. may publish revised and/or new versions of the Affero General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by Affero, Inc. If the Program does not specify a version number of this License, you may choose any version ever published by Affero, Inc.\n\n   You may also choose to redistribute modified versions of this program under any version of the Free Software Foundation's GNU General Public License version 3 or higher, so long as that version of the GNU GPL includes terms and conditions substantially equivalent to those of this license.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by Affero, Inc., write to us; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES."
		self.name = "Affero General Public License v1.0"
		self.licenseComments = "DEPRECATED: Use the license identifier AGPL-1.0-only instead of AGPL-1.0.\n\n"
		self.licenseId = "AGPL-1.0"
		self.crossRef = [{"match": "N/A", "url": "http://www.affero.org/oagpl.html", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:49Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.affero.org/oagpl.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>AFFERO GENERAL PUBLIC LICENSE\n		  <br />\n\nVersion 1, March 2002 </p>\n\n	  </div>\n	  <p>Copyright \u00a9 2002 Affero Inc.\n	  <br />\n\n 510 Third Street - Suite 225, San Francisco, CA 94107, USA</p>\n\n	  <p>This license is a modified version of the GNU General Public License copyright (C) 1989, 1991 Free\n		 Software Foundation, Inc. made with their permission. Section 2(d) has been added to cover use of\n		 software over a computer network.</p>\n\n	  <p>Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is\n		 not allowed.</p>\n\n	  <p>Preamble</p>\n\n	  <p>The licenses for most software are designed to take away your freedom to share and change it. By\n		 contrast, the Affero General Public License is intended to guarantee your freedom to share and change\n		 free software--to make sure the software is free for all its users. This Public License applies to\n		 most of Affero&apos;s software and to any other program whose authors commit to using it. (Some other\n		 Affero software is covered by the GNU Library General Public License instead.) You can apply it to\n		 your programs, too.</p>\n\n	  <p>When we speak of free software, we are referring to freedom, not price. This General Public License is\n		 designed to make sure that you have the freedom to distribute copies of free software (and charge for\n		 this service if you wish), that you receive source code or can get it if you want it, that you can\n		 change the software or use pieces of it in new free programs; and that you know you can do these\n		 things.</p>\n\n	  <p>To protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to\n		 ask you to surrender the rights. These restrictions translate to certain responsibilities for you if\n		 you distribute copies of the software, or if you modify it.</p>\n\n	  <p>For example, if you distribute copies of such a program, whether gratis or for a fee, you must give the\n		 recipients all the rights that you have. You must make sure that they, too, receive or can get the\n		 source code. And you must show them these terms so they know their rights.</p>\n\n	  <p>We protect your rights with two steps: (1) copyright the software, and (2) offer you this license which\n		 gives you legal permission to copy, distribute and/or modify the software.</p>\n\n	  <p>Also, for each author&apos;s protection and ours, we want to make certain that everyone understands that there\n		 is no warranty for this free software. If the software is modified by someone else and passed on, we\n		 want its recipients to know that what they have is not the original, so that any problems introduced\n		 by others will not reflect on the original authors&apos; reputations.</p>\n\n	  <p>Finally, any free program is threatened constantly by software patents. We wish to avoid the danger that\n		 redistributors of a free program will individually obtain patent licenses, in effect making the\n		 program proprietary. To prevent this, we have made it clear that any patent must be licensed for\n		 everyone&apos;s free use or not licensed at all.</p>\n\n	  <p>The precise terms and conditions for copying, distribution and modification follow.</p>\n\n	  <p>TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  This License applies to any program or other work which contains a notice placed by the copyright\n			 holder saying it may be distributed under the terms of this Affero General Public License. The\n			 &quot;Program&quot;, below, refers to any such program or work, and a &quot;work based on the Program&quot; means\n			 either the Program or any derivative work under copyright law: that is to say, a work\n			 containing the Program or a portion of it, either verbatim or with modifications and/or\n			 translated into another language. (Hereinafter, translation is included without limitation in\n			 the term &quot;modification&quot;.) Each licensee is addressed as &quot;you&quot;.\n		  <p>Activities other than copying, distribution and modification are not covered by this License;\n			 they are outside its scope. The act of running the Program is not restricted, and the output\n			 from the Program is covered only if its contents constitute a work based on the Program\n			 (independent of having been made by running the Program). Whether that is True depends on what\n			 the Program does.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may copy and distribute verbatim copies of the Program&apos;s source code as you receive it, in\n			 any medium, provided that you conspicuously and appropriately publish on each copy an\n			 appropriate copyright notice and disclaimer of warranty; keep intact all the notices that\n			 refer to this License and to the absence of any warranty; and give any other recipients of the\n			 Program a copy of this License along with the Program.\n		  <p>You may charge a fee for the physical act of transferring a copy, and you may at your option\n			 offer warranty protection in exchange for a fee.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may modify your copy or copies of the Program or any portion of it, thus forming a work based\n			 on the Program, and copy and distribute such modifications or work under the terms of Section\n			 1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			You must cause the modified files to carry prominent notices stating that you changed the\n			   files and the date of any change.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			You must cause any work that you distribute or publish, that in whole or in part contains or\n			   is derived from the Program or any part thereof, to be licensed as a whole at no charge to\n			   all third parties under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			If the modified program normally reads commands interactively when run, you must cause it,\n			   when started running for such interactive use in the most ordinary way, to print or\n			   display an announcement including an appropriate copyright notice and a notice that there\n			   is no warranty (or else, saying that you provide a warranty) and that users may\n			   redistribute the program under these conditions, and telling the user how to view a copy\n			   of this License. (Exception: if the Program itself is interactive but does not normally\n			   print such an announcement, your work based on the Program is not required to print an\n			   announcement.)\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			If the Program as you received it is intended to interact with users through a computer\n			   network and if, in the version you received, any user interacting with the Program was\n			   given the opportunity to request transmission to that user of the Program&apos;s complete\n			   source code, you must not remove that facility from your modified version of the Program\n			   or work based on the Program, and must offer an equivalent opportunity for all users\n			   interacting with your Program through a computer network to request immediate transmission\n			   by HTTP of the complete source code of your modified version or other derivative work.\n		  </li>\n			\n</ul>\n			<p>These requirements apply to the modified work as a whole. If identifiable sections of that\n			   work are not derived from the Program, and can be reasonably considered independent and\n			   separate works in themselves, then this License, and its terms, do not apply to those\n			   sections when you distribute them as separate works. But when you distribute the same\n			   sections as part of a whole which is a work based on the Program, the distribution of the\n			   whole must be on the terms of this License, whose permissions for other licensees extend\n			   to the entire whole, and thus to each and every part regardless of who wrote it.</p>\n\n			<p>Thus, it is not the intent of this section to claim rights or contest your rights to work\n			   written entirely by you; rather, the intent is to exercise the right to control the\n			   distribution of derivative or collective works based on the Program.</p>\n\n			<p>In addition, mere aggregation of another work not based on the Program with the Program (or\n			   with a work based on the Program) on a volume of a storage or distribution medium does not\n			   bring the other work under the scope of this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may copy and distribute the Program (or a work based on it, under Section 2) in object code\n			 or executable form under the terms of Sections 1 and 2 above provided that you also do one of\n			 the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			Accompany it with the complete corresponding machine-readable source code, which must be\n			   distributed under the terms of Sections 1 and 2 above on a medium customarily used for\n			   software interchange; or,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			Accompany it with a written offer, valid for at least three years, to give any third party,\n			   for a charge no more than your cost of physically performing source distribution, a\n			   complete machine-readable copy of the corresponding source code, to be distributed under\n			   the terms of Sections 1 and 2 above on a medium customarily used for software interchange;\n			   or,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			Accompany it with the information you received as to the offer to distribute corresponding\n			   source code. (This alternative is allowed only for noncommercial distribution and only if\n			   you received the program in object code or executable form with such an offer, in accord\n			   with Subsection b above.)\n		  </li>\n			\n</ul>\n			<p>The source code for a work means the preferred form of the work for making modifications to\n			   it. For an executable work, complete source code means all the source code for all modules\n			   it contains, plus any associated interface definition files, plus the scripts used to\n			   control compilation and installation of the executable. However, as a special exception,\n			   the source code distributed need not include anything that is normally distributed (in\n			   either source or binary form) with the major components (compiler, kernel, and so on) of\n			   the operating system on which the executable runs, unless that component itself\n			   accompanies the executable.</p>\n\n			<p>If distribution of executable or object code is made by offering access to copy from a\n			   designated place, then offering equivalent access to copy the source code from the same\n			   place counts as distribution of the source code, even though third parties are not\n			   compelled to copy the source along with the object code.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may not copy, modify, sublicense, or distribute the Program except as expressly provided\n			 under this License. Any attempt otherwise to copy, modify, sublicense or distribute the\n			 Program is void, and will automatically terminate your rights under this License. However,\n			 parties who have received copies, or rights, from you under this License will not have their\n			 licenses terminated so long as such parties remain in full compliance.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You are not required to accept this License, since you have not signed it. However, nothing else\n			 grants you permission to modify or distribute the Program or its derivative works. These\n			 actions are prohibited by law if you do not accept this License. Therefore, by modifying or\n			 distributing the Program (or any work based on the Program), you indicate your acceptance of\n			 this License to do so, and all its terms and conditions for copying, distributing or modifying\n			 the Program or works based on it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Each time you redistribute the Program (or any work based on the Program), the recipient\n			 automatically receives a license from the original licensor to copy, distribute or modify the\n			 Program subject to these terms and conditions. You may not impose any further restrictions on\n			 the recipients&apos; exercise of the rights granted herein. You are not responsible for enforcing\n			 compliance by third parties to this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  If, as a consequence of a court judgment or allegation of patent infringement or for any other\n			 reason (not limited to patent issues), conditions are imposed on you (whether by court order,\n			 agreement or otherwise) that contradict the conditions of this License, they do not excuse you\n			 from the conditions of this License. If you cannot distribute so as to satisfy simultaneously\n			 your obligations under this License and any other pertinent obligations, then as a consequence\n			 you may not distribute the Program at all. For example, if a patent license would not permit\n			 royalty-free redistribution of the Program by all those who receive copies directly or\n			 indirectly through you, then the only way you could satisfy both it and this License would be\n			 to refrain entirely from distribution of the Program.\n		  <p>If any portion of this section is held invalid or unenforceable under any particular\n			 circumstance, the balance of the section is intended to apply and the section as a whole is\n			 intended to apply in other circumstances.</p>\n\n			<p>It is not the purpose of this section to induce you to infringe any patents or other property\n			 right claims or to contest validity of any such claims; this section has the sole purpose of\n			 protecting the integrity of the free software distribution system, which is implemented by\n			 public license practices. Many people have made generous contributions to the wide range of\n			 software distributed through that system in reliance on consistent application of that system;\n			 it is up to the author/donor to decide if he or she is willing to distribute software through\n			 any other system and a licensee cannot impose that choice.</p>\n\n			<p>This section is intended to make thoroughly clear what is believed to be a consequence of the\n			 rest of this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  If the distribution and/or use of the Program is restricted in certain countries either by\n			 patents or by copyrighted interfaces, the original copyright holder who places the Program\n			 under this License may add an explicit geographical distribution limitation excluding those\n			 countries, so that distribution is permitted only in or among countries not thus excluded. In\n			 such case, this License incorporates the limitation as if written in the body of this\n			 License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Affero Inc. may publish revised and/or new versions of the Affero General Public License from\n			 time to time. Such new versions will be similar in spirit to the present version, but may\n			 differ in detail to address new problems or concerns.\n		  <p>Each version is given a distinguishing version number. If the Program specifies a version number\n			 of this License which applies to it and &quot;any later version&quot;, you have the option of following\n			 the terms and conditions either of that version or of any later version published by Affero,\n			 Inc. If the Program does not specify a version number of this License, you may choose any\n			 version ever published by Affero, Inc.</p>\n\n			<p>You may also choose to redistribute modified versions of this program under any version of the\n			 Free Software Foundation&apos;s GNU General Public License version 3 or higher, so long as that\n			 version of the GNU GPL includes terms and conditions substantially equivalent to those of this\n			 license.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  If you wish to incorporate parts of the Program into other free programs whose distribution\n			 conditions are different, write to the author to ask for permission. For software which is\n			 copyrighted by Affero, Inc., write to us; we sometimes make exceptions for this. Our decision\n			 will be guided by the two goals of preserving the free status of all derivatives of our free\n			 software and of promoting the sharing and reuse of software generally.\n		  <p>NO WARRANTY</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE\n			 EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT\n			 HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND, EITHER\n			 EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY\n			 AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE\n			 PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY\n			 SERVICING, REPAIR OR CORRECTION.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER,\n			 OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE\n			 LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n			 ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF\n			 DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A\n			 FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY\n			 HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n	  \n</ul>\n	"
		self.deprecatedVersion = "3.1"
		self.python_name = "AGPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class psutils:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "PS Utilities Package\n\nThe constituent files of this package listed below are copyright (C) 1991-1995 Angus J. C. Duggan.\n\nLICENSE		  Makefile.msc	 Makefile.nt\t   Makefile.os2\nMakefile.unix	README		   config.h		 descrip.mms\nepsffit.c		epsffit.man\t  extractres.man   extractres.pl\nfixdlsrps.man	fixdlsrps.pl	 fixfmps.man\t   fixfmps.pl\nfixmacps.man	 fixmacps.pl\t  fixpsditps.man   fixpsditps.pl\nfixpspps.man	 fixpspps.pl\t  fixscribeps.man  fixscribeps.pl\nfixtpps.man\t fixtpps.pl\t  fixwfwps.man	 fixwfwps.pl\nfixwpps.man\t fixwpps.pl\t  fixwwps.man\t   fixwwps.pl\ngetafm		   getafm.man\t  includeres.man   includeres.pl\nmaketext		 patchlev.h\t  psbook.c		 psbook.man\npserror.c		pserror.h		psmerge.man\t   psmerge.pl\npsnup.c		  psnup.man		psresize.c\t   psresize.man\npsselect.c\t psselect.man	 psspec.c		 psspec.h\npstops.c		 pstops.man\t  psutil.c		 psutil.h\nshowchar\n\nThey may be copied and used for any purpose (including distribution as part of a for-profit product), provided:\n\n1) The original attribution of the programs is clearly displayed in the product and/or documentation, even if the programs are modified and/or renamed as part of the product.\n\n2) The original source code of the programs is provided free of charge (except for reasonable distribution costs). For a definition of reasonable distribution costs, see the Gnu General Public License or Larry Wall's Artistic License (provided with the Perl 4 kit). The GPL and Artistic License in NO WAY affect this license; they are merely used as examples of the spirit in which it is intended.\n\n3) These programs are provided \"as-is\". No warranty or guarantee of their fitness for any particular task is provided. Use of these programs is completely at your own risk.\n\nBasically, I don't mind how you use the programs so long as you acknowledge the author, and give people the originals if they want them.\n"
		self.standardLicenseTemplate = "<<beginOptional>>PS Utilities Package\n\n<<endOptional>> <<var;name=\"copyright\";original=\"The constituent files of this package listed below are copyright (C) 1991-1995 Angus J. C. Duggan.	LICENSE Makefile.msc Makefile.nt Makefile.os2  Makefile.unix README config.h descrip.mms  epsffit.c epsffit.man extractres.man extractres.pl  fixdlsrps.man fixdlsrps.pl fixfmps.man fixfmps.pl  fixmacps.man fixmacps.pl fixpsditps.man fixpsditps.pl  fixpspps.man fixpspps.pl fixscribeps.man fixscribeps.pl  fixtpps.man fixtpps.pl fixwfwps.man fixwfwps.pl  fixwpps.man fixwpps.pl fixwwps.man fixwwps.pl  getafm getafm.man includeres.man includeres.pl  maketext patchlev.h psbook.c psbook.man  pserror.c pserror.h psmerge.man psmerge.pl  psnup.c psnup.man psresize.c psresize.man  psselect.c psselect.man psspec.c psspec.h  pstops.c pstops.man psutil.c psutil.h  showchar  \";match=\".{0,5000}\">>\n\nThey may be copied and used for any purpose (including distribution as part of a for-profit product), provided:\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> The original attribution of the programs is clearly displayed in the product and/or documentation, even if the programs are modified and/or renamed as part of the product.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> The original source code of the programs is provided free of charge (except for reasonable distribution costs). For a definition of reasonable distribution costs, see the Gnu General Public License or Larry Wall's Artistic License (provided with the Perl 4 kit). The GPL and Artistic License in NO WAY affect this license; they are merely used as examples of the spirit in which it is intended.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> These programs are provided \"as-is\". No warranty or guarantee of their fitness for any particular task is provided. Use of these programs is completely at your own risk.\n\nBasically, I don't mind how you use the programs so long as you acknowledge the author, and give people the originals if they want them.\n\n"
		self.name = "psutils License"
		self.licenseId = "psutils"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/psutils", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:16Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/psutils"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>PS Utilities Package</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>The constituent files of this package listed below are copyright (C) 1991-1995 Angus J. C. Duggan.</p>\n\n		 <p>LICENSE Makefile.msc Makefile.nt Makefile.os2\n		<br />\n\nMakefile.unix README config.h descrip.mms\n		<br />\n\nepsffit.c epsffit.man extractres.man extractres.pl\n		<br />\n\nfixdlsrps.man fixdlsrps.pl fixfmps.man fixfmps.pl\n		<br />\n\nfixmacps.man fixmacps.pl fixpsditps.man fixpsditps.pl\n		<br />\n\nfixpspps.man fixpspps.pl fixscribeps.man fixscribeps.pl\n		<br />\n\nfixtpps.man fixtpps.pl fixwfwps.man fixwfwps.pl\n		<br />\n\nfixwpps.man fixwpps.pl fixwwps.man fixwwps.pl\n		<br />\n\ngetafm getafm.man includeres.man includeres.pl\n		<br />\n\nmaketext patchlev.h psbook.c psbook.man\n		<br />\n\npserror.c pserror.h psmerge.man psmerge.pl\n		<br />\n\npsnup.c psnup.man psresize.c psresize.man\n		<br />\n\npsselect.c psselect.man psspec.c psspec.h\n		<br />\n\npstops.c pstops.man psutil.c psutil.h\n		<br />\n\nshowchar\n	  </p>\n\n	  </div>\n\n	  <p>They may be copied and used for any purpose (including distribution as part of a for-profit product),\n		 provided:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  The original attribution of the programs is clearly displayed in the product and/or\n			 documentation, even if the programs are modified and/or renamed as part of the product.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  The original source code of the programs is provided free of charge (except for reasonable\n			 distribution costs). For a definition of reasonable distribution costs, see the Gnu General\n			 Public License or Larry Wall&apos;s Artistic License (provided with the Perl 4 kit). The GPL and\n			 Artistic License in NO WAY affect this license; they are merely used as examples of the spirit\n			 in which it is intended.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  These programs are provided &quot;as-is&quot;. No warranty or guarantee of their fitness for any particular\n			 task is provided. Use of these programs is completely at your own risk.\n		</li>\n	  \n</ul>\n	  <p>Basically, I don&apos;t mind how you use the programs so long as you acknowledge the author, and give people\n		 the originals if they want them.</p>\n\n	"
		self.python_name = "psutils"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL20withbisonexception:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.licenseText = "Bison Exception\n\nAs a special exception, you may create a larger work that contains part or all of the Bison parser skeleton and distribute that work under terms of your choice, so long as that work isn't itself a parser generator using the skeleton or a modified version thereof as a parser skeleton. Alternatively, if you modify or redistribute the parser skeleton itself, you may (at your option) remove this special exception, which will cause the skeleton and the resulting Bison output files to be licensed under the GNU General Public License without this special exception.\n\nThis special exception was added by the Free Software Foundation in version 2.2 of Bison.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Bison Exception<<endOptional>>\n\nAs a special exception, you may create a larger work that contains part or all of the Bison parser skeleton and distribute that work under terms of your choice, so long as that work isn't itself a parser generator using the skeleton or a modified version thereof as a parser skeleton. Alternatively, if you modify or redistribute the parser skeleton itself, you may (at your option) remove this special exception, which will cause the skeleton and the resulting Bison output files to be licensed under the GNU General Public License without this special exception.\n\nThis special exception was added by the Free Software Foundation in version 2.2 of Bison.\n\n"
		self.name = "GNU General Public License v2.0 w/Bison exception"
		self.licenseComments = "DEPRECATED: Use license expression including main license, \"WITH\" operator, and identifier: Bison-exception-2.2"
		self.licenseId = "GPL-2.0-with-bison-exception"
		self.crossRef = [{"match": "True", "url": "http://git.savannah.gnu.org/cgit/bison.git/tree/data/yacc.c?id=193d7c7054ba7197b0789e14965b739162319b5e#n141", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:48Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://git.savannah.gnu.org/cgit/bison.git/tree/data/yacc.c?id=193d7c7054ba7197b0789e14965b739162319b5e#n141"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\t	 <var class=\"optional-license-text\"> Bison Exception</var>\n\n\t	 <p>As a special exception, you may create a larger work that contains part or all of the Bison parser skeleton and distribute that work under terms of your choice, so long as that work isn&apos;t itself a parser generator using the skeleton or a modified version thereof as a parser skeleton. Alternatively, if you modify or redistribute the parser skeleton itself, you may (at your option) remove this special exception, which will cause the skeleton and the resulting Bison output files to be licensed under the GNU General Public License without this special exception.</p>\n\n\t	 <p>This special exception was added by the Free Software Foundation in version 2.2 of Bison.</p>\n\n	"
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "GPL20withbisonexception"

	def __str__(self):
		return json.dumps(self.__dict__)


class SGIB20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "SGI FREE SOFTWARE LICENSE B\n(Version 2.0, Sept. 18, 2008)\n\nCopyright (C) [dates of first publication] Silicon Graphics, Inc. All Rights Reserved.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice including the dates of first publication and either this permission notice or a reference to http://oss.sgi.com/projects/FreeB/ shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL SILICON GRAPHICS, INC. BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nExcept as contained in this notice, the name of Silicon Graphics, Inc. shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization from Silicon Graphics, Inc.\n"
		self.standardLicenseTemplate = "<<beginOptional>>SGI FREE SOFTWARE LICENSE B\n\n(Version 2.0, Sept. 18, 2008)\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) [dates of first publication] Silicon Graphics, Inc. All Rights Reserved.  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice including the dates of first publication and either this permission notice or a reference to http://oss.sgi.com/projects/FreeB/ shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL SILICON GRAPHICS, INC. BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nExcept as contained in this notice, the name of Silicon Graphics, Inc. shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization from Silicon Graphics, Inc.\n\n"
		self.name = "SGI Free Software License B v2.0"
		self.licenseComments = "This license was released 18 Sept 2008"
		self.licenseId = "SGI-B-2.0"
		self.crossRef = [{"match": "N/A", "url": "http://oss.sgi.com/projects/FreeB/SGIFreeSWLicB.2.0.pdf", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:13:53Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://oss.sgi.com/projects/FreeB/SGIFreeSWLicB.2.0.pdf"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>SGI FREE SOFTWARE LICENSE B\n		<br />\n\n(Version 2.0, Sept. 18, 2008)\n	  </p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) [dates of first publication] Silicon Graphics, Inc. All Rights Reserved.</p>\n\n	  </div>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and\n		 associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,\n		 including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,\n		 and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,\n		 subject to the following conditions:</p>\n\n	  <p>The above copyright notice including the dates of first publication and either this permission notice or\n		 a reference to http://oss.sgi.com/projects/FreeB/ shall be included in all copies or substantial\n		 portions of the Software.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL SILICON GRAPHICS, INC. BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN\n		 AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR\n		 THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	  <p>Except as contained in this notice, the name of Silicon Graphics, Inc. shall not be used in advertising\n		 or otherwise to promote the sale, use or other dealings in this Software without prior written\n		 authorization from Silicon Graphics, Inc.</p>\n\n	"
		self.python_name = "SGIB20"

	def __str__(self):
		return json.dumps(self.__dict__)


class zeroBSD:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) YEAR by AUTHOR EMAIL\n\nPermission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<var;name=\"title\";original=\"BSD Zero Clause License\";match=\"(BSD Zero[ -]Clause|Zero[ -]Clause BSD)( License)?( \\(0BSD\\))?\">>\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) YEAR by AUTHOR EMAIL  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n"
		self.name = "BSD Zero Clause License"
		self.licenseId = "0BSD"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/0BSD", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:12:58Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://landley.net/toybox/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:58Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://landley.net/toybox/license.html", "https://opensource.org/licenses/0BSD"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p><var class=\"replaceable-license-text\"> BSD Zero Clause License</var></p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) YEAR by AUTHOR EMAIL</p>\n\n	  </div>\n\n	  <p>Permission to use, copy, modify, and/or distribute this software for any purpose with or without fee is\n		 hereby granted.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot; AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE\n		 INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE\n		 LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING\n		 FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS\n		 ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.</p>\n\n	"
		self.python_name = "zeroBSD"

	def __str__(self):
		return json.dumps(self.__dict__)


class NRL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "NRL License\n\nCOPYRIGHT NOTICE\n\nAll of the documentation and software included in this software distribution from the US Naval Research Laboratory (NRL) are copyrighted by their respective developers.\n\nPortions of the software are derived from the Net/2 and 4.4-Lite Berkeley Software Distributions (BSD) of the University of California at Berkeley and those portions are copyright by The Regents of the University of California. All Rights Reserved. The UC Berkeley Copyright and License agreement is binding on those portions of the software. In all cases, the NRL developers have retained the original UC Berkeley copyright and license notices in the respective files in accordance with the UC Berkeley copyrights and license.\n\nPortions of this software and documentation were developed at NRL by various people. Those developers have each copyrighted the portions that they developed at NRL and have assigned All Rights for those portions to NRL. Outside the USA, NRL has copyright on some of the software developed at NRL. The affected files all contain specific copyright notices and those notices must be retained in any derived work.\n\nNRL LICENSE\n\nNRL grants permission for redistribution and use in source and binary forms, with or without modification, of the software and documentation created at NRL provided that the following conditions are met:\n\n	 1. All terms of the UC Berkeley copyright and license must be followed.\n	 2. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n	 3. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n	 4. All advertising materials mentioning features or use of this software must display the following acknowledgements:\n\n		  This product includes software developed by the University of California, Berkeley and its contributors.\n\n		  This product includes software developed at the Information Technology Division, US Naval Research Laboratory.\n\n	 5. Neither the name of the NRL nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHE SOFTWARE PROVIDED BY NRL IS PROVIDED BY NRL AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL NRL OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe views and conclusions contained in the software and documentation are those of the authors and should not be interpreted as representing official policies, either expressed or implied, of the US Naval Research Laboratory (NRL).\n"
		self.standardLicenseTemplate = "<<beginOptional>>NRL License\n\n<<endOptional>><<beginOptional>> COPYRIGHT NOTICE\n\n<<endOptional>>\n\nAll of the documentation and software included in this software distribution from the US Naval Research Laboratory (NRL) are copyrighted by their respective developers.\n\nPortions of the software are derived from the Net/2 and 4.4-Lite Berkeley Software Distributions (BSD) of the University of California at Berkeley and those portions are copyright by The Regents of the University of California. All Rights Reserved. The UC Berkeley Copyright and License agreement is binding on those portions of the software. In all cases, the NRL developers have retained the original UC Berkeley copyright and license notices in the respective files in accordance with the UC Berkeley copyrights and license.\n\nPortions of this software and documentation were developed at NRL by various people. Those developers have each copyrighted the portions that they developed at NRL and have assigned All Rights for those portions to NRL. Outside the USA, NRL has copyright on some of the software developed at NRL. The affected files all contain specific copyright notices and those notices must be retained in any derived work.\n\n<<beginOptional>>NRL LICENSE\n\n<<endOptional>>\n\nNRL grants permission for redistribution and use in source and binary forms, with or without modification, of the software and documentation created at NRL provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> All terms of the UC Berkeley copyright and license must be followed.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> All advertising materials mentioning features or use of this software must display the following acknowledgements:\n\n	  This product includes software developed by the University of California, Berkeley and its contributors.\n\n	  This product includes software developed at the Information Technology Division, US Naval Research Laboratory.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Neither the name of the NRL nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHE SOFTWARE PROVIDED BY NRL IS PROVIDED BY NRL AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL NRL OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe views and conclusions contained in the software and documentation are those of the authors and should not be interpreted as representing official policies, either expressed or implied, of the US Naval Research Laboratory (NRL).\n\n"
		self.name = "NRL License"
		self.licenseId = "NRL"
		self.crossRef = [{"match": "False", "url": "http://web.mit.edu/network/isakmp/nrllicense.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://web.mit.edu/network/isakmp/nrllicense.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>NRL License</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>COPYRIGHT NOTICE</p>\n\n	  </div>\n\n	  <p>All of the documentation and software included in this software distribution from the US Naval Research\n		 Laboratory (NRL) are copyrighted by their respective developers.</p>\n\n	  <p>Portions of the software are derived from the Net/2 and 4.4-Lite Berkeley Software Distributions (BSD) of\n		 the University of California at Berkeley and those portions are copyright by The Regents of the\n		 University of California. All Rights Reserved. The UC Berkeley Copyright and License agreement is\n		 binding on those portions of the software. In all cases, the NRL developers have retained the original\n		 UC Berkeley copyright and license notices in the respective files in accordance with the UC Berkeley\n		 copyrights and license.</p>\n\n	  <p>Portions of this software and documentation were developed at NRL by various people. Those developers\n		 have each copyrighted the portions that they developed at NRL and have assigned All Rights for those\n		 portions to NRL. Outside the USA, NRL has copyright on some of the software developed at NRL. The\n		 affected files all contain specific copyright notices and those notices must be retained in any\n		 derived work.</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>NRL LICENSE</p>\n\n	  </div>\n\n	  <p>NRL grants permission for redistribution and use in source and binary forms, with or without\n		 modification, of the software and documentation created at NRL provided that the following conditions\n		 are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  All terms of the UC Berkeley copyright and license must be followed.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of\n			 conditions and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of\n			 conditions and the following disclaimer in the documentation and/or other materials\n			 provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  All advertising materials mentioning features or use of this software must display the\n			 following acknowledgements:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <p>This product includes software developed by the University of California, Berkeley and its\n				contributors.</p>\n\n			   </li>\n			  \n<li>\n				  <p>This product includes software developed at the Information Technology Division, US Naval\n				Research Laboratory.</p>\n\n			   </li>\n			\n</ul>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Neither the name of the NRL nor the names of its contributors may be used to endorse or\n			 promote products derived from this software without specific prior written permission.\n		</li>\n	  \n</ul>\n	  <p>THE SOFTWARE PROVIDED BY NRL IS PROVIDED BY NRL AND CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESS OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL NRL OR CONTRIBUTORS BE LIABLE FOR\n		 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n		 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>The views and conclusions contained in the software and documentation are those of the authors and should\n		 not be interpreted as representing official policies, either expressed or implied, of the US Naval\n		 Research Laboratory (NRL).</p>\n\n	"
		self.python_name = "NRL"

	def __str__(self):
		return json.dumps(self.__dict__)


class SHL05:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "SOLDERPAD HARDWARE LICENSE version 0.5\n\nThis license is based closely on the Apache License Version 2.0, but is not approved or endorsed by the Apache Foundation. A copy of the non-modified Apache License 2.0 can be found at http://www.apache.org/licenses/LICENSE-2.0.\n\nAs this license is not currently OSI or FSF approved, the Licensor permits any Work licensed under this License, at the option of the Licensee, to be treated as licensed under the Apache License Version 2.0 (which is so approved).\n\nThis License is licensed under the terms of this License and in particular clause 7 below (Disclaimer of Warranties) applies in relation to its use.\n\nTERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n1. Definitions.\n\n\"License\" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.\n\n\"Licensor\" shall mean the Rights owner or entity authorized by the Rights owner that is granting the License.\n\n\"Legal Entity\" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n\"You\" (or \"Your\") shall mean an individual or Legal Entity exercising permissions granted by this License.\n\n\u201cRights\u201d means copyright and any similar right including design right (whether registered or unregistered), semiconductor topography (mask) rights and database extraction rights (but excluding Patents and Trademarks).\n\n\"Source\" form shall mean the preferred form for making modifications, including but not limited to source code, net lists, board layouts, CAD files, documentation source, and configuration files.\n\n\"Object\" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, the instantiation of a hardware design and conversions to other media types, including intermediate forms such as bytecodes, FPGA bitstreams, artwork and semiconductor topographies (mask works).\n\n\"Work\" shall mean the work of authorship, whether in Source form or other Object form, made available under the License, as indicated by a Rights notice that is included in or attached to the work (an example is provided in the Appendix below).\n\n\"Derivative Works\" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) or physically connect to or interoperate with the interfaces of, the Work and Derivative Works thereof.\n\n\"Contribution\" shall mean any design or work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the Rights owner or by an individual or Legal Entity authorized to submit on behalf of the Rights owner. For the purposes of this definition, \"submitted\" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the Rights owner as \"Not a Contribution.\"\n\n\"Contributor\" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.\n\n2. Grant of License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable license under the Rights to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form and do anything in relation to the Work as if the Rights did not exist.\n\n3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.\n\n4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:\n\nYou must give any other recipients of the Work or Derivative Works a copy of this License; and\n\nYou must cause any modified files to carry prominent notices stating that You changed the files; and\n\nYou must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and\n\nIf the Work includes a \"NOTICE\" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be consTrued as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.\n\n5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.\n\n6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.\n\n7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.\n\n8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.\n\n9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.\n\nEND OF TERMS AND CONDITIONS\n\nAPPENDIX: How to apply this license to your work\nTo apply this license to your work, attach the following boilerplate notice, with the fields enclosed by brackets \"[]\" replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same \"printed page\" as the copyright notice for easier identification within third-party archives.\n\nCopyright [yyyy] [name of copyright owner] Copyright and related rights are licensed under the Solderpad Hardware License, Version 0.5 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://solderpad.org/licenses/SHL-0.5. Unless required by applicable law or agreed to in writing, software, hardware and materials distributed under this License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.\n"
		self.standardLicenseHeaderTemplate = "Copyright [yyyy] [name of copyright owner] Copyright and related rights are licensed under the Solderpad Hardware License, Version 0.5 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://solderpad.org/licenses/SHL-0.5. Unless required by applicable law or agreed to in writing, software, hardware and materials distributed under this License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License."
		self.standardLicenseTemplate = "SOLDERPAD HARDWARE LICENSE version 0.5\n\nThis license is based closely on the Apache License Version 2.0, but is not approved or endorsed by the Apache Foundation. A copy of the non-modified Apache License 2.0 can be found at http://www.apache.org/licenses/LICENSE-2.0.\n\nAs this license is not currently OSI or FSF approved, the Licensor permits any Work licensed under this License, at the option of the Licensee, to be treated as licensed under the Apache License Version 2.0 (which is so approved).\n\nThis License is licensed under the terms of this License and in particular clause 7 below (Disclaimer of Warranties) applies in relation to its use.\n\nTERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n1. Definitions.\n\n\"License\" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.\n\n\"Licensor\" shall mean the Rights owner or entity authorized by the Rights owner that is granting the License.\n\n\"Legal Entity\" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n\"You\" (or \"Your\") shall mean an individual or Legal Entity exercising permissions granted by this License.\n\n\"Rights\" means copyright and any similar right including design right (whether registered or unregistered), semiconductor topography (mask) rights and database extraction rights (but excluding Patents and Trademarks).\n\n\"Source\" form shall mean the preferred form for making modifications, including but not limited to source code, net lists, board layouts, CAD files, documentation source, and configuration files.\n\n\"Object\" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, the instantiation of a hardware design and conversions to other media types, including intermediate forms such as bytecodes, FPGA bitstreams, artwork and semiconductor topographies (mask works).\n\n\"Work\" shall mean the work of authorship, whether in Source form or other Object form, made available under the License, as indicated by a Rights notice that is included in or attached to the work (an example is provided in the Appendix below).\n\n\"Derivative Works\" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) or physically connect to or interoperate with the interfaces of, the Work and Derivative Works thereof.\n\n\"Contribution\" shall mean any design or work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the Rights owner or by an individual or Legal Entity authorized to submit on behalf of the Rights owner. For the purposes of this definition, \"submitted\" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the Rights owner as \"Not a Contribution.\"\n\n\"Contributor\" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.\n\n2. Grant of License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable license under the Rights to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form and do anything in relation to the Work as if the Rights did not exist.\n\n3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.\n\n4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:\n\nYou must give any other recipients of the Work or Derivative Works a copy of this License; and\n\nYou must cause any modified files to carry prominent notices stating that You changed the files; and\n\nYou must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and\n\nIf the Work includes a \"NOTICE\" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be consTrued as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.\n\n5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.\n\n6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.\n\n7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.\n\n8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.\n\n9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.\n\nEND OF TERMS AND CONDITIONS\n\nAPPENDIX: How to apply this license to your work\n\nTo apply this license to your work, attach the following boilerplate notice, with the fields enclosed by brackets \"[]\" replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same \"printed page\" as the copyright notice for easier identification within third-party archives.\n\nCopyright [yyyy] [name of copyright owner] Copyright and related rights are licensed under the Solderpad Hardware License, Version 0.5 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://solderpad.org/licenses/SHL-0.5. Unless required by applicable law or agreed to in writing, software, hardware and materials distributed under this License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.\n\n"
		self.name = "Solderpad Hardware License v0.5"
		self.licenseId = "SHL-0.5"
		self.standardLicenseHeader = "Copyright [yyyy] [name of copyright owner] Copyright and related rights are licensed under the Solderpad Hardware License, Version 0.5 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://solderpad.org/licenses/SHL-0.5. Unless required by applicable law or agreed to in writing, software, hardware and materials distributed under this License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License."
		self.crossRef = [{"match": "False", "url": "https://solderpad.org/licenses/SHL-0.5/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:03Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://solderpad.org/licenses/SHL-0.5/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<p>\nSOLDERPAD HARDWARE LICENSE version 0.5</p>\n\n			<p>\nThis license is based closely on the Apache License Version 2.0, but is not approved or endorsed by the Apache Foundation. A copy of the non-modified Apache License 2.0 can be found at http://www.apache.org/licenses/LICENSE-2.0.</p>\n\n			<p></p>\n\n			<p>\nAs this license is not currently OSI or FSF approved, the Licensor permits any Work licensed under this License, at the option of the Licensee, to be treated as licensed under the Apache License Version 2.0 (which is so approved).</p>\n\n			<p></p>\n\n			<p>\nThis License is licensed under the terms of this License and in particular clause 7 below (Disclaimer of Warranties) applies in relation to its use.</p>\n\n			<p></p>\n\n			<p>\nTERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION</p>\n\n			<p></p>\n\n			<p>\n1. Definitions.</p>\n\n			<p></p>\n\n			<p>\n&quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.</p>\n\n			<p></p>\n\n			<p>\n&quot;Licensor&quot; shall mean the Rights owner or entity authorized by the Rights owner that is granting the License.</p>\n\n			<p></p>\n\n			<p>\n&quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.</p>\n\n			<p></p>\n\n			<p>\n&quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License.</p>\n\n			<p></p>\n\n			<p>\n&quot;Rights&quot; means copyright and any similar right including design right (whether registered or unregistered), semiconductor topography (mask) rights and database extraction rights (but excluding Patents and Trademarks).</p>\n\n			<p></p>\n\n			<p>\n&quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to source code, net lists, board layouts, CAD files, documentation source, and configuration files.</p>\n\n			<p></p>\n\n			<p>\n&quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, the instantiation of a hardware design and conversions to other media types, including intermediate forms such as bytecodes, FPGA bitstreams, artwork and semiconductor topographies (mask works).</p>\n\n			<p></p>\n\n			<p>\n&quot;Work&quot; shall mean the work of authorship, whether in Source form or other Object form, made available under the License, as indicated by a Rights notice that is included in or attached to the work (an example is provided in the Appendix below).</p>\n\n			<p></p>\n\n			<p>\n&quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) or physically connect to or interoperate with the interfaces of, the Work and Derivative Works thereof.</p>\n\n			<p></p>\n\n			<p>\n&quot;Contribution&quot; shall mean any design or work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the Rights owner or by an individual or Legal Entity authorized to submit on behalf of the Rights owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the Rights owner as &quot;Not a Contribution.&quot;</p>\n\n			<p></p>\n\n			<p>\n&quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.</p>\n\n			<p></p>\n\n			<p>\n2. Grant of License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable license under the Rights to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form and do anything in relation to the Work as if the Rights did not exist.</p>\n\n			<p></p>\n\n			<p>\n3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.</p>\n\n			<p></p>\n\n			<p>\n4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:</p>\n\n			<p></p>\n\n			<p>\nYou must give any other recipients of the Work or Derivative Works a copy of this License; and</p>\n\n			<p></p>\n\n			<p>\nYou must cause any modified files to carry prominent notices stating that You changed the files; and</p>\n\n			<p></p>\n\n			<p>\nYou must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and</p>\n\n			<p></p>\n\n			<p>\nIf the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be consTrued as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.</p>\n\n			<p></p>\n\n			<p>\n5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.</p>\n\n			<p></p>\n\n			<p>\n6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.</p>\n\n			<p></p>\n\n			<p>\n7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.</p>\n\n			<p></p>\n\n			<p>\n8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.</p>\n\n			<p></p>\n\n			<p>\n9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.</p>\n\n			<p></p>\n\n			<p>\nEND OF TERMS AND CONDITIONS</p>\n\n			<p></p>\n\n			<p>\nAPPENDIX: How to apply this license to your work</p>\n\n			<p>\nTo apply this license to your work, attach the following boilerplate notice, with the fields enclosed by brackets &quot;[]&quot; replaced with your own identifying information. (Don&apos;t include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same &quot;printed page&quot; as the copyright notice for easier identification within third-party archives.</p>\n\n			<p></p>\n\n			<p>\nCopyright [yyyy] [name of copyright owner] Copyright and related rights are licensed under the Solderpad Hardware License, Version 0.5 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://solderpad.org/licenses/SHL-0.5. Unless required by applicable law or agreed to in writing, software, hardware and materials distributed under this License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.</p>\n\n		"
		self.standardLicenseHeaderHtml = "\nCopyright [yyyy] [name of copyright owner] Copyright and related rights are licensed under the Solderpad Hardware License, Version 0.5 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://solderpad.org/licenses/SHL-0.5. Unless required by applicable law or agreed to in writing, software, hardware and materials distributed under this License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License."
		self.python_name = "SHL05"

	def __str__(self):
		return json.dumps(self.__dict__)


class FreeBSDDOC:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The FreeBSD Documentation License\n\nCopyright 1994-2021 The FreeBSD Project. All rights reserved.\n\nRedistribution and use in source (SGML DocBook) and 'compiled' forms (SGML, HTML, PDF, PostScript, RTF and so forth) with or without modification, are permitted provided that the following conditions are met:\n\n	1. Redistributions of source code (SGML DocBook) must retain the above copyright notice, this list of conditions and the following disclaimer as the first lines of this file unmodified.\n\n	2. Redistributions in compiled form (transformed to other DTDs, converted to PDF, PostScript, RTF and other formats) must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nTHIS DOCUMENTATION IS PROVIDED BY THE FREEBSD DOCUMENTATION PROJECT \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FREEBSD DOCUMENTATION PROJECT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS DOCUMENTATION, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nManual Pages\n\nSome FreeBSD manual pages contain text from the IEEE Std 1003.1, 2004 Edition, Standard for Information Technology \u2014 Portable Operating System Interface (POSIX\u00ae) specification. These manual pages are subject to the following terms:\n\n	The Institute of Electrical and Electronics Engineers and The Open Group, have given us permission to reprint portions of their documentation.\n\n	In the following statement, the phrase \"this text\" refers to portions of the system documentation.\n\n	Portions of this text are reprinted and reproduced in electronic form in the FreeBSD manual pages, from IEEE Std 1003.1, 2004 Edition, Standard for Information Technology \u2014 Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright\u00a9 2001-2004 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between these versions and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at https://www.opengroup.org/membership/forums/platform/unix.\n\n	This notice shall appear on any product containing this material.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The FreeBSD Documentation License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 1994-2021 The FreeBSD Project. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source (SGML DocBook) and 'compiled' forms (SGML, HTML, PDF, PostScript, RTF and so forth) with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code (SGML DocBook) must retain the above copyright notice, this list of conditions and the following disclaimer as the first lines of this file unmodified.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in compiled form (transformed to other DTDs, converted to PDF, PostScript, RTF and other formats) must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nTHIS DOCUMENTATION IS PROVIDED BY THE FREEBSD DOCUMENTATION PROJECT \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FREEBSD DOCUMENTATION PROJECT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS DOCUMENTATION, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nManual Pages\n\nSome FreeBSD manual pages contain text from the IEEE Std 1003.1, 2004 Edition, Standard for Information Technology - Portable Operating System Interface (POSIX\u00ae) specification. These manual pages are subject to the following terms:\n\n   The Institute of Electrical and Electronics Engineers and The Open Group, have given us permission to reprint portions of their documentation.\n\n   In the following statement, the phrase \"this text\" refers to portions of the system documentation.\n\n   Portions of this text are reprinted and reproduced in electronic form in the FreeBSD manual pages, from IEEE Std 1003.1, 2004 Edition, Standard for Information Technology \u2014 Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright\u00a9 2001-2004 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between these versions and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at https://www.opengroup.org/membership/forums/platform/unix.\n\n   This notice shall appear on any product containing this material."
		self.name = "FreeBSD Documentation License"
		self.licenseId = "FreeBSD-DOC"
		self.crossRef = [{"match": "False", "url": "https://www.freebsd.org/copyright/freebsd-doc-license/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:03Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.freebsd.org/copyright/freebsd-doc-license/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The FreeBSD Documentation License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1994-2021 The FreeBSD Project. All rights reserved.</p>\n\n	  </div>\n	  <p>Redistribution and use in source (SGML DocBook) and &apos;compiled&apos; forms (SGML, HTML, PDF, PostScript, RTF and so forth) with or without modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n			Redistributions of source code (SGML DocBook) must retain the above copyright notice, this list of conditions and the following disclaimer as the first lines of this file unmodified.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n			Redistributions in compiled form (transformed to other DTDs, converted to PDF, PostScript, RTF and other formats) must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n		</li>\n	  \n</ul>\n	  <p>THIS DOCUMENTATION IS PROVIDED BY THE FREEBSD DOCUMENTATION PROJECT &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FREEBSD DOCUMENTATION PROJECT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS DOCUMENTATION, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>Manual Pages</p>\n\n	  <p>Some FreeBSD manual pages contain text from the IEEE Std 1003.1, 2004 Edition, Standard for Information Technology\u2009-\u2009Portable Operating System Interface (POSIX\u00ae) specification. These manual pages are subject to the following terms:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			The Institute of Electrical and Electronics Engineers and The Open Group, have given us permission to reprint portions of their documentation.\n		</li>\n		\n<li>\n			In the following statement, the phrase &quot;this text&quot; refers to portions of the system documentation.\n		</li>\n		\n<li>\n			Portions of this text are reprinted and reproduced in electronic form in the FreeBSD manual pages, from IEEE Std 1003.1, 2004 Edition, Standard for Information Technology\u2009\u2014\u2009Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright\u00a9 2001-2004 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between these versions and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at https://www.opengroup.org/membership/forums/platform/unix.\n		</li>\n		\n<li>\n			This notice shall appear on any product containing this material.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "FreeBSDDOC"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDsellMITdisclaimerxserver:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Permission to use, copy, modify, distribute, and sell this software and its\ndocumentation for any purpose is hereby granted without fee, provided that\nthis permission notice appear in supporting documentation.  This permission\nnotice shall be included in all copies or substantial portions of the\nSoftware.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE\nAUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN\nAN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN\nCONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
		self.standardLicenseTemplate = "Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that this permission notice appear in supporting documentation. This permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.name = "Historical Permission Notice and Disclaimer - sell xserver variant with MIT disclaimer"
		self.licenseComments = "This is similar to HPND-sell-variant-MIT-disclaimer but it omits the copyright notice reproduction obligation."
		self.licenseId = "HPND-sell-MIT-disclaimer-xserver"
		self.crossRef = [{"match": "False", "url": "https://gitlab.freedesktop.org/xorg/xserver/-/blob/master/COPYING?ref_type=heads#L1781", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:15Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gitlab.freedesktop.org/xorg/xserver/-/blob/master/COPYING?ref_type=heads#L1781"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<p>\n				Permission to use, copy, modify, distribute, and sell this software and its\n				documentation for any purpose is hereby granted without fee, provided that\n				this permission notice appear in supporting documentation.  This permission\n				notice shall be included in all copies or substantial portions of the\n				Software.\n			</p>\n\n			<p>\n				THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n				IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n				FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE\n				AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN\n				AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN\n				CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n			</p>\n\n		"
		self.python_name = "HPNDsellMITdisclaimerxserver"

	def __str__(self):
		return json.dumps(self.__dict__)


class OPLUK30:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "United Kingdom Open Parliament Licence v3.0\n\nOpen Parliament Licence\n\nYou are encouraged to use and re-use the information that\nis available under this licence freely and flexibly, with\nonly a few conditions. Using information under this licence\n\nUse of copyright and database right material made\navailable under this licence (the \u2018information\u2019) indicates\nyour acceptance of the terms and conditions below.\n\nThe Licensor grants you a worldwide, royalty-free,\nperpetual, non-exclusive licence to use the\ninformation subject to the conditions below.\n\nThis licence does not affect your freedom under\nfair dealing or fair use or any other copyright\nor database right exceptions and limitations.\n\nYou are free to:\n	* copy, publish, distribute and transmit the information\n	* adapt the information \n	* exploit the information commercially and non-commercially, \n	for example, by combining it with other information, \n	or by  including it in your own product or application\n\nYou must (where you do any of the above):\n	* acknowledge the source of the information in your\n	product or application by including the following\n	attribution statement and, where possible, provide a\n	link to this licence: Contains Parliamentary information\n	licensed under the Open Parliament Licence v3.0.\n\nThese are important conditions of this licence and\nif you fail to comply with them the rights granted to\nyou under this licence, or any similar licence granted\nby the Licensor, will end automatically. \n\nExemptions\n\nThis licence does not cover the use of:\n	* personal data in the information;\n	* information that has neither been published nor disclosed\n	under information access legislation (including the \n	Freedom of Information Acts for the UK and Scotland) by or\n	with the consent of the Licensor;\n	* the Royal Arms and the Crowned Portcullis;\n	* third party rights the Licensor is not authorised to license; \n	* information subject to other intellectual property rights,\n	including patents, trademarks, and design rights\n\nNon-endorsment\n\nThis licence does not grant you any right to use the\ninformation in a way that suggests any official status or\nthat the Licensor endorses you or your use of the Information.\n\nNo warranty\n\nThe information is licensed \u2018as is\u2019 and the\nLicensor excludes all representations, warranties,\nobligations and liabilities in relation to the\ninformation to the maximum extent permitted by law.\nThe Licensor is not liable for any errors or omissions in\nthe information and shall not be liable for any loss, injury\nor damage of any kind caused by its use. The Licensor does\nnot guarantee the continued supply of the information.\n\nGoverning law\n\nThis licence is governed by the laws of England and Wales.\n\nDefinitions\n\nIn this licence, the terms below have the following meanings:\n\n\u2018Information\u2019 means information protected by copyright\nor by database right (for example, literary and\nartistic works, content, data and source code)\noffered for use under the terms of this licence.\n\n\u2018Information Provider\u2019 means either House of Parliament.\n\n\u2018Licensor\u2019 means\u2014\n(a) in relation to copyright, the Speaker of the House of\nCommons and the Clerk of the Parliaments representing\nthe House of Commons and House of Lords respectively, and\n(b) in relation to database right, the Corporate\nOfficer of the House of Commons and the Corporate\nOfficer of the House of Lords respectively.\n\n\u2018Use\u2019 means doing any act which is restricted by copyright\nor database right, whether in the original medium or in any\nother medium, and includes without limitation distributing,\ncopying, adapting and modifying as may be technically\nnecessary to use it in a different mode or format.\n\n\u2018You\u2019 means the natural or legal person, or body of persons\ncorporate or incorporate, acquiring rights under this licence.\n\nAbout the Open Parliament Licence\n\nThis is version 3.0 of the Open Parliament Licence. The\nLicensor may, from time to time, issue new versions of the\nOpen Parliament Licence. However, you may continue to use\ninformation licensed under this version should you wish to do so.\n\nThe information licensed under the Open Parliament\nLicence includes Parliamentary information in which\nCrown copyright subsists. Further context, best practice\nand guidance relating to the re-use of public sector\ninformation can be found in the UK Government Licensing\nFramework section on The National Archives website.\n"
		self.standardLicenseTemplate = "<<beginOptional>>United Kingdom Open Parliament Licence v3.0<<endOptional>>\n\nOpen Parliament Licence\n\nYou are encouraged to use and re-use the information that is available under this licence freely and flexibly, with only a few conditions. Using information under this licence\n\nUse of copyright and database right material made available under this licence (the 'information') indicates your acceptance of the terms and conditions below.\n\nThe Licensor grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the information subject to the conditions below.\n\nThis licence does not affect your freedom under fair dealing or fair use or any other copyright or database right exceptions and limitations.\n\nYou are free to:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> copy, publish, distribute and transmit the information\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> adapt the information\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> exploit the information commercially and non-commercially, for example, by combining it with other information, or by including it in your own product or application\n\nYou must (where you do any of the above):\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> acknowledge the source of the information in your product or application by including the following attribution statement and, where possible, provide a link to this licence: Contains Parliamentary information licensed under the Open Parliament Licence v3.0.\n\nThese are important conditions of this licence and if you fail to comply with them the rights granted to you under this licence, or any similar licence granted by the Licensor, will end automatically.\n\nExemptions\n\nThis licence does not cover the use of:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> personal data in the information;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> information that has neither been published nor disclosed under information access legislation (including the Freedom of Information Acts for the UK and Scotland) by or with the consent of the Licensor;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> the Royal Arms and the Crowned Portcullis;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> third party rights the Licensor is not authorised to license;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> information subject to other intellectual property rights, including patents, trademarks, and design rights\n\nNon-endorsment\n\nThis licence does not grant you any right to use the information in a way that suggests any official status or that the Licensor endorses you or your use of the Information.\n\nNo warranty\n\nThe information is licensed 'as is' and the Licensor excludes all representations, warranties, obligations and liabilities in relation to the information to the maximum extent permitted by law.\n\nThe Licensor is not liable for any errors or omissions in the information and shall not be liable for any loss, injury or damage of any kind caused by its use. The Licensor does not guarantee the continued supply of the information.\n\nGoverning law\n\nThis licence is governed by the laws of England and Wales.\n\nDefinitions\n\nIn this licence, the terms below have the following meanings:\n\n'Information' means information protected by copyright or by database right (for example, literary and artistic works, content, data and source code) offered for use under the terms of this licence.\n\n'Information Provider' means either House of Parliament.\n\n'Licensor' means\u2014\n\n   <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> in relation to copyright, the Speaker of the House of Commons and the Clerk of the Parliaments representing the House of Commons and House of Lords respectively, and\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> in relation to database right, the Corporate Officer of the House of Commons and the Corporate Officer of the House of Lords respectively.\n\n'Use' means doing any act which is restricted by copyright or database right, whether in the original medium or in any other medium, and includes without limitation distributing, copying, adapting and modifying as may be technically necessary to use it in a different mode or format.\n\n'You' means the natural or legal person, or body of persons corporate or incorporate, acquiring rights under this licence.\n\nAbout the Open Parliament Licence\n\nThis is version 3.0 of the Open Parliament Licence. The Licensor may, from time to time, issue new versions of the Open Parliament Licence. However, you may continue to use information licensed under this version should you wish to do so.\n\nThe information licensed under the Open Parliament Licence includes Parliamentary information in which Crown copyright subsists. Further context, best practice and guidance relating to the re-use of public sector information can be found in the UK Government Licensing Framework section on The National Archives website.\n\n"
		self.name = "United	Kingdom Open Parliament Licence v3.0"
		self.licenseId = "OPL-UK-3.0"
		self.crossRef = [{"match": "N/A", "url": "https://www.parliament.uk/site-information/copyright-parliament/open-parliament-licence/", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:21:42Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.parliament.uk/site-information/copyright-parliament/open-parliament-licence/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"optional-license-text\"> \n			United Kingdom Open Parliament Licence v3.0\n		 </var>\n		 <p>\n			Open Parliament Licence\n		 </p>\n\n		 <p>\n			You are encouraged to use and re-use the information that\n			is available under this licence freely and flexibly, with\n			only a few conditions. Using information under this licence\n		 </p>\n\n		 <p>\n			Use of copyright and database right material made\n			available under this licence (the &apos;information&apos;) indicates\n			your acceptance of the terms and conditions below.\n		 </p>\n\n		 <p>\n			The Licensor grants you a worldwide, royalty-free,\n			perpetual, non-exclusive licence to use the\n			information subject to the conditions below.\n		 </p>\n\n		 <p>\n			This licence does not affect your freedom under\n			fair dealing or fair use or any other copyright\n			or database right exceptions and limitations.\n		 </p>\n\n		 <p>\n			You are free to:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			   copy, publish, distribute and transmit the information\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			   adapt the information\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n				  exploit the information commercially and non-commercially,\n				  for example, by combining it with other information,\n				  or by including it in your own product or application\n			</li>\n		 \n</ul>\n		 <p>\n			You must (where you do any of the above):\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n				  acknowledge the source of the information in your\n				  product or application by including the following\n				  attribution statement and, where possible, provide a\n				  link to this licence: Contains Parliamentary information\n				  licensed under the Open Parliament Licence v3.0.\n			</li>\n		 \n</ul>\n		 <p>\n			These are important conditions of this licence and if you fail to\n			comply with them the rights granted to you under this licence, or\n			any similar licence granted by the Licensor, will end automatically.\n		 </p>\n\n		 <p>\n			Exemptions\n		 </p>\n\n		 <p>\n			This licence does not cover the use of:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			   personal data in the information;\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n				  information that has neither been published nor\n				  disclosed under information access legislation\n				  (including the Freedom of Information Acts for the UK\n				  and Scotland) by or with the consent of the Licensor;\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			   the Royal Arms and the Crowned Portcullis;\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			   third party rights the Licensor is not authorised to license;\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n				  information subject to other intellectual property\n				  rights, including patents, trademarks, and design rights\n			</li>\n		 \n</ul>\n		 <p>\n			Non-endorsment\n		 </p>\n\n		 <p>\n			This licence does not grant you any right to use the\n			information in a way that suggests any official status or\n			that the Licensor endorses you or your use of the Information.\n		 </p>\n\n		 <p>\n			No warranty\n		 </p>\n\n		 <p>\n			The information is licensed &apos;as is&apos; and the Licensor excludes\n			all representations, warranties, obligations and liabilities in\n			relation to the information to the maximum extent permitted by law.\n		 </p>\n\n		 <p>\n			The Licensor is not liable for any errors or omissions in\n			the information and shall not be liable for any loss, injury\n			or damage of any kind caused by its use. The Licensor does\n			not guarantee the continued supply of the information.\n		 </p>\n\n		 <p>\n			Governing law\n		 </p>\n\n		 <p>\n			This licence is governed by the laws of England and Wales.\n		 </p>\n\n		 <p>\n			Definitions\n		 </p>\n\n		 <p>\n			In this licence, the terms below have the following meanings:\n		 </p>\n\n		 <p>\n			&apos;Information&apos; means information protected by copyright\n			or by database right (for example, literary and\n			artistic works, content, data and source code)\n			offered for use under the terms of this licence.\n		 </p>\n\n		 <p>\n			&apos;Information Provider&apos; means either House of Parliament.\n		 </p>\n\n		 <p>\n			&apos;Licensor&apos; means\u2014\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (a)</var>\n				  in relation to copyright, the Speaker of the House of\n				  Commons and the Clerk of the Parliaments representing\n				  the House of Commons and House of Lords respectively, and\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (b)</var>\n				  in relation to database right, the Corporate\n				  Officer of the House of Commons and the Corporate\n				  Officer of the House of Lords respectively.\n			</li>\n		 \n</ul>\n		 <p>\n			&apos;Use&apos; means doing any act which is restricted by copyright\n			or database right, whether in the original medium or in any\n			other medium, and includes without limitation distributing,\n			copying, adapting and modifying as may be technically\n			necessary to use it in a different mode or format.\n		 </p>\n\n		 <p>\n			&apos;You&apos; means the natural or legal person, or body of persons\n			corporate or incorporate, acquiring rights under this licence.\n		 </p>\n\n		 <p>\n			About the Open Parliament Licence\n		 </p>\n\n		 <p>\n			This is version 3.0 of the Open Parliament Licence. The\n			Licensor may, from time to time, issue new versions of the\n			Open Parliament Licence. However, you may continue to use\n			information licensed under this version should you wish to do so.\n		 </p>\n\n		 <p>\n			The information licensed under the Open Parliament Licence includes\n			Parliamentary information in which Crown copyright subsists.\n			Further context, best practice and guidance relating to the re-use\n			of public sector information can be found in the UK Government\n			Licensing Framework section on The National Archives website.\n		 </p>\n\n	  "
		self.python_name = "OPLUK30"

	def __str__(self):
		return json.dumps(self.__dict__)


class DLDEZERO20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "DL-DE->Zero-2.0\nDatenlizenz Deutschland \u2013 Zero \u2013 Version 2.0\n\nJede Nutzung ist ohne Einschr\u00e4nkungen oder Bedingungen zul\u00e4ssig.\n\nDie bereitgestellten Daten und Metadaten d\u00fcrfen f\u00fcr die kommerzielle und nicht kommerzielle Nutzung insbesondere\n\n	vervielf\u00e4ltigt, ausgedruckt, pr\u00e4sentiert, ver\u00e4ndert, bearbeitet sowie an Dritte \u00fcbermittelt werden;\n	mit eigenen Daten und Daten Anderer zusammengef\u00fchrt und zu selbst\u00e4ndigen neuen Datens\u00e4tzen verbunden werden;\n	in interne und externe Gesch\u00e4ftsprozesse, Produkte und Anwendungen in \u00f6ffentlichen und nicht \u00f6ffentlichen elektronischen Netzwerken eingebunden werden.\n\n\nData licence Germany \u2013 Zero \u2013 version 2.0\n\nAny use is permitted without restrictions or conditions.\n\nThe data and meta-data provided may, for commercial and non-commercial use, in particular\n\n	be copied, printed, presented, altered, processed and transmitted to third parties;\n	be merged with own data and with the data of others and be combined to form new and independent datasets;\n	be integrated in internal and external business processes, products and applications in public and non-public electronic networks.\n\n\n\nURL: https://www.govdata.de/dl-de/zero-2-0\n"
		self.standardLicenseTemplate = "<<beginOptional>>DL-DE->Zero-2.0<<endOptional>><<beginOptional>> Datenlizenz Deutschland \u2013 Zero \u2013 Version 2.0<<endOptional>>\n\n   Jede Nutzung ist ohne Einschr\u00e4nkungen oder Bedingungen zul\u00e4ssig.\n\n   Die bereitgestellten Daten und Metadaten d\u00fcrfen f\u00fcr die kommerzielle und nicht kommerzielle Nutzung insbesondere\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> vervielf\u00e4ltigt, ausgedruckt, pr\u00e4sentiert, ver\u00e4ndert, bearbeitet sowie an Dritte \u00fcbermittelt werden;\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> mit eigenen Daten und Daten Anderer zusammengef\u00fchrt und zu selbst\u00e4ndigen neuen Datens\u00e4tzen verbunden werden;\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> in interne und externe Gesch\u00e4ftsprozesse, Produkte und Anwendungen in \u00f6ffentlichen und nicht \u00f6ffentlichen elektronischen Netzwerken eingebunden werden.<<beginOptional>> Data licence Germany \u2013 Zero \u2013 version 2.0<<endOptional>>\n\n   Any use is permitted without restrictions or conditions.\n\n   The data and meta-data provided may, for commercial and non-commercial use, in particular\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> be copied, printed, presented, altered, processed and transmitted to third parties;\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> be merged with own data and with the data of others and be combined to form new and independent datasets;\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> be integrated in internal and external business processes, products and applications in public and non-public electronic networks.<<beginOptional>> URL: http://www.govdata.de/dl-de/zero-2-0\n\n<<endOptional>>"
		self.name = "Data licence Germany \u2013 zero \u2013 version 2.0"
		self.licenseId = "DL-DE-ZERO-2.0"
		self.crossRef = [{"match": "False", "url": "https://www.govdata.de/dl-de/zero-2-0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:05Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.govdata.de/dl-de/zero-2-0"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"optional-license-text\"> DL-DE-&gt;Zero-2.0</var>\n		 <var class=\"optional-license-text\"> Datenlizenz Deutschland \u2013 Zero \u2013 Version 2.0</var>\n		 \n<ul style=\"list-style:none\">\n			\n<li>\n			<p>Jede Nutzung ist ohne Einschr\u00e4nkungen oder Bedingungen zul\u00e4ssig.</p>\n\n			<p>Die bereitgestellten Daten und Metadaten d\u00fcrfen f\u00fcr die kommerzielle und nicht kommerzielle Nutzung insbesondere</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>vervielf\u00e4ltigt, ausgedruckt, pr\u00e4sentiert, ver\u00e4ndert, bearbeitet sowie an Dritte \u00fcbermittelt werden;</li>\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>mit eigenen Daten und Daten Anderer zusammengef\u00fchrt und zu selbst\u00e4ndigen neuen Datens\u00e4tzen verbunden werden;</li>\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>in interne und externe Gesch\u00e4ftsprozesse, Produkte und Anwendungen in \u00f6ffentlichen und nicht \u00f6ffentlichen elektronischen Netzwerken eingebunden werden.</li>\n			\n</ul></li>\n		 \n</ul>\n		 <var class=\"optional-license-text\"> Data licence Germany \u2013 Zero \u2013 version 2.0</var>\n		 \n<ul style=\"list-style:none\">\n			\n<li>\n			<p>Any use is permitted without restrictions or conditions.</p>\n\n			<p>The data and meta-data provided may, for commercial and non-commercial use, in particular</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>be copied, printed, presented, altered, processed and transmitted to third parties;</li>\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>be merged with own data and with the data of others and be combined to form new and independent datasets;</li>\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>be integrated in internal and external business processes, products and applications in public and non-public electronic networks.</li>\n			\n</ul></li>\n		 \n</ul>\n		 <div class=\"optional-license-text\"> \n			<p>URL: http://www.govdata.de/dl-de/zero-2-0</p>\n\n		 </div>\n	  "
		self.python_name = "DLDEZERO20"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSDAttributionHPNDdisclaimer:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1998-2003 Carnegie Mellon University.  All rights reserved.\n\nRedistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions\nare met:\n\n1. Redistributions of source code must retain the above copyright\n   notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright\n   notice, this list of conditions and the following disclaimer in\n   the documentation and/or other materials provided with the\n   distribution.\n\n3. The name \"Carnegie Mellon University\" must not be used to\n   endorse or promote products derived from this software without\n   prior written permission. For permission or any other legal\n   details, please contact\n	 Office of Technology Transfer\n	 Carnegie Mellon University\n	 5000 Forbes Avenue\n	 Pittsburgh, PA  15213-3890\n	 (412) 268-4387, fax: (412) 268-7395\n	 tech-transfer@andrew.cmu.edu\n\n4. Redistributions of any form whatsoever must retain the following\n   acknowledgment:\n   \"This product includes software developed by Computing Services\n	at Carnegie Mellon University (http://www.cmu.edu/computing/).\"\n\nCARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO\nTHIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY\nAND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE\nFOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\nWHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN\nAN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING\nOUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1998-2003 Carnegie Mellon University. All rights reserved.\";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The <<var;name=\"name\";original=\"name\";match=\"name(\\(s\\))?\">> \" <<var;name=\"copyrightHolder\";original=\"COPYRIGHT HOLDER\";match=\".+\">> must not be used to endorse or promote products derived from this software without prior written permission.<<beginOptional>> For permission or any<<beginOptional>> other<<endOptional>> legal details, please contact\n\n   <<var;name=\"address\";original=\"Office of Technology Transfer	 Carnegie Mellon University	 5000 Forbes Avenue	 Pittsburgh, PA 15213-3890	 (412) 268-4387, fax: (412) 268-7395	 tech-transfer@andrew.cmu.edu	 \";match=\".+\">><<endOptional>>\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Redistributions of any form whatsoever must retain the following acknowledgment:\n\n   \"This product includes software developed by <<var;name=\"developer1\";original=\"Computing Services\";match=\".+\">>\n\n   <<var;name=\"developer2\";original=\"at Carnegie Mellon University (http://www.cmu.edu/computing/).\";match=\".+\">> \"<<beginOptional>> .<<endOptional>>\n\n<<var;name=\"copyrightHolderUpper\";original=\"COPYRIGHT HOLDER\";match=\".+\">> DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n"
		self.name = "BSD with Attribution and HPND disclaimer"
		self.licenseId = "BSD-Attribution-HPND-disclaimer"
		self.crossRef = [{"match": "False", "url": "https://github.com/cyrusimap/cyrus-sasl/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:17Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/cyrusimap/cyrus-sasl/blob/master/COPYING"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (c) 1998-2003 Carnegie Mellon University.  All rights reserved.\n		 </var>\n		 <p>\n\t\tRedistribution and use in source and binary forms, with or without\n\t\tmodification, are permitted provided that the following conditions\n\t\tare met:\n\t </p>\n\n<ul style=\"list-style:none\">\n\t\t\n<li>\n\t\t\t<var class=\"replaceable-license-text\"> 1.</var> Redistributions of source code must retain the above copyright\n\t\t\tnotice, this list of conditions and the following disclaimer.\n\t\t</li>\n\t\t\n<li>\n\t\t\t<var class=\"replaceable-license-text\"> 2.</var> Redistributions in binary form must reproduce the above copyright\n\t\t\tnotice, this list of conditions and the following disclaimer in\n\t\t\tthe documentation and/or other materials provided with the\n\t\t\tdistribution.\n\t\t</li>\n\t\t\n<li>\n\t\t\t<var class=\"replaceable-license-text\"> 3.</var> The <var class=\"replaceable-license-text\"> name</var> &quot;<var class=\"replaceable-license-text\"> COPYRIGHT HOLDER</var> must not be used to\n\t\t\tendorse or promote products derived from this software without\n\t\t\tprior written permission.<var class=\"optional-license-text\">  For permission or any <var class=\"optional-license-text\"> other</var> legal\n\t\t\tdetails, please contact<br />\n\n\t\t\t<var class=\"replaceable-license-text\"> Office of Technology Transfer<br />\n\n\t\t\tCarnegie Mellon University<br />\n\n\t\t\t5000 Forbes Avenue<br />\n\n\t\t\tPittsburgh, PA  15213-3890<br />\n\n\t\t\t(412) 268-4387, fax: (412) 268-7395<br />\n\n\t\t\ttech-transfer@andrew.cmu.edu<br />\n\n   </var></var>\n\t\t</li>\n\t\t\n<li>\n\t\t\t<var class=\"replaceable-license-text\"> 4.</var> Redistributions of any form whatsoever must retain the following\n\t\t\tacknowledgment:<br />\n\n\t\t\t&quot;This product includes software developed by <var class=\"replaceable-license-text\"> Computing Services</var><br />\n\n\t\t\t<var class=\"replaceable-license-text\"> at Carnegie Mellon University (http://www.cmu.edu/computing/).</var>&quot;<var class=\"optional-license-text\"> .</var><br />\n\n\t\t</li>\n\t\n</ul>\n\t<p>\n\t\t<var class=\"replaceable-license-text\"> COPYRIGHT HOLDER</var> DISCLAIMS ALL WARRANTIES WITH REGARD TO\n\t\tTHIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY\n\t\tAND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE\n\t\tFOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\n\t\tWHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN\n\t\tAN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING\n\t\tOUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n		</p>\n\n	  "
		self.python_name = "BSDAttributionHPNDdisclaimer"

	def __str__(self):
		return json.dumps(self.__dict__)


class LGPLLR:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Lesser General Public License For Linguistic Resources\n\nPreamble\n\nThe licenses for most data are designed to take away your freedom to share and change it. By contrast, this License is intended to guarantee your freedom to share and change free data--to make sure the data are free for all their users.\n\nThis License, the Lesser General Public License for Linguistic Resources, applies to some specially designated linguistic resources -- typically lexicons and grammars.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any Linguistic Resource which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License for Linguistic Resources (also called \"this License\"). Each licensee is addressed as \"you\".\n\nA \"linguistic resource\" means a collection of data about language prepared so as to be used with application programs.\n\nThe \"Linguistic Resource\", below, refers to any such work which has been distributed under these terms. A \"work based on the Linguistic Resource\" means either the Linguistic Resource or any derivative work under copyright law: that is to say, a work containing the Linguistic Resource or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n\"Legible form\" for a linguistic resource means the preferred form of the resource for making modifications to it.\n\nActivities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Linguistic Resource is not restricted, and output from such a program is covered only if its contents constitute a work based on the Linguistic Resource (independent of the use of the Linguistic Resource in a tool for writing it). Whether that is True depends on what the program that uses the Linguistic Resource does.\n\n1. You may copy and distribute verbatim copies of the Linguistic Resource as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Linguistic Resource.\n\nYou may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Linguistic Resource or any portion of it, thus forming a work based on the Linguistic Resource, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	 a) The modified work must itself be a linguistic resource.\n\n	 b) You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	 c) You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\nThese requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Linguistic Resource, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Linguistic Resource, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\nThus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Linguistic Resource.\n\nIn addition, mere aggregation of another work not based on the Linguistic Resource with the Linguistic Resource (or with a work based on the Linguistic Resource) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n3. A program that contains no derivative of any portion of the Linguistic Resource, but is designed to work with the Linguistic Resource (or an encrypted form of the Linguistic Resource) by reading it or being compiled or linked with it, is called a \"work that uses the Linguistic Resource\". Such a work, in isolation, is not a derivative work of the Linguistic Resource, and therefore falls outside the scope of this License.\n\nHowever, combining a \"work that uses the Linguistic Resource\" with the Linguistic Resource (or an encrypted form of the Linguistic Resource) creates a package that is a derivative of the Linguistic Resource (because it contains portions of the Linguistic Resource), rather than a \"work that uses the Linguistic Resource\". If the package is a derivative of the Linguistic Resource, you may distribute the package under the terms of Section 4. Any works containing that package also fall under Section 4.\n\n4. As an exception to the Sections above, you may also combine a \"work that uses the Linguistic Resource\" with the Linguistic Resource (or an encrypted form of the Linguistic Resource) to produce a package containing portions of the Linguistic Resource, and distribute that package under terms of your choice, provided that the terms permit modification of the package for the customer's own use and reverse engineering for debugging such modifications.\n\nYou must give prominent notice with each copy of the package that the Linguistic Resource is used in it and that the Linguistic Resource and its use are covered by this License. You must supply a copy of this License. If the package during execution displays copyright notices, you must include the copyright notice for the Linguistic Resource among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	 a) Accompany the package with the complete corresponding machine-readable legible form of the Linguistic Resource including whatever changes were used in the package (which must be distributed under Sections 1 and 2 above); and, if the package contains an encrypted form of the Linguistic Resource, with the complete machine-readable \"work that uses the Linguistic Resource\", as object code and/or source code, so that the user can modify the Linguistic Resource and then encrypt it to produce a modified package containing the modified Linguistic Resource.\n\n	 b) Use a suitable mechanism for combining with the Linguistic Resource. A suitable mechanism is one that will operate properly with a modified version of the Linguistic Resource, if the user installs one, as long as the modified version is interface-compatible with the version that the package was made with.\n\n	 c) Accompany the package with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 4a, above, for a charge no more than the cost of performing this distribution.\n\n	 d) If distribution of the package is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	 e) Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\nIf the package includes an encrypted form of the Linguistic Resource, the required form of the \"work that uses the Linguistic Resource\" must include any data and utility programs needed for reproducing the package from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\nIt may happen that this requirement contradicts the license restrictions of proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Linguistic Resource together in a package that you distribute.\n\n5. You may not copy, modify, sublicense, link with, or distribute the Linguistic Resource except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Linguistic Resource is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n6. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Linguistic Resource or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Linguistic Resource (or any work based on the Linguistic Resource), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Linguistic Resource or works based on it.\n\n7. Each time you redistribute the Linguistic Resource (or any work based on the Linguistic Resource), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Linguistic Resource subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.\n\n8. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Linguistic Resource at all. For example, if a patent license would not permit royalty-free redistribution of the Linguistic Resource by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Linguistic Resource.\n\nIf any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free resource distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of data distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute resources through any other system and a licensee cannot impose that choice.\n\nThis section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n9. If the distribution and/or use of the Linguistic Resource is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Linguistic Resource under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n10. The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License for Linguistic Resources from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Linguistic Resource specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Linguistic Resource does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n11. If you wish to incorporate parts of the Linguistic Resource into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission.\n\n NO WARRANTY\n\n12. BECAUSE THE LINGUISTIC RESOURCE IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LINGUISTIC RESOURCE, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LINGUISTIC RESOURCE \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LINGUISTIC RESOURCE IS WITH YOU. SHOULD THE LINGUISTIC RESOURCE PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n13. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LINGUISTIC RESOURCE AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LINGUISTIC RESOURCE (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LINGUISTIC RESOURCE TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n END OF TERMS AND CONDITIONS\n"
		self.standardLicenseTemplate = "<<beginOptional>>Lesser General Public License For Linguistic Resources\n\n<<endOptional>>\n\nPreamble\n\nThe licenses for most data are designed to take away your freedom to share and change it. By contrast, this License is intended to guarantee your freedom to share and change free data--to make sure the data are free for all their users.\n\nThis License, the Lesser General Public License for Linguistic Resources, applies to some specially designated linguistic resources -- typically lexicons and grammars.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License Agreement applies to any Linguistic Resource which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License for Linguistic Resources (also called \"this License\"). Each licensee is addressed as \"you\".\n\n   A \"linguistic resource\" means a collection of data about language prepared so as to be used with application programs.\n\n   The \"Linguistic Resource\", below, refers to any such work which has been distributed under these terms. A \"work based on the Linguistic Resource\" means either the Linguistic Resource or any derivative work under copyright law: that is to say, a work containing the Linguistic Resource or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n   \"Legible form\" for a linguistic resource means the preferred form of the resource for making modifications to it.\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Linguistic Resource is not restricted, and output from such a program is covered only if its contents constitute a work based on the Linguistic Resource (independent of the use of the Linguistic Resource in a tool for writing it). Whether that is True depends on what the program that uses the Linguistic Resource does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Linguistic Resource as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Linguistic Resource.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Linguistic Resource or any portion of it, thus forming a work based on the Linguistic Resource, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The modified work must itself be a linguistic resource.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Linguistic Resource, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Linguistic Resource, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Linguistic Resource.\n\n   In addition, mere aggregation of another work not based on the Linguistic Resource with the Linguistic Resource (or with a work based on the Linguistic Resource) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> A program that contains no derivative of any portion of the Linguistic Resource, but is designed to work with the Linguistic Resource (or an encrypted form of the Linguistic Resource) by reading it or being compiled or linked with it, is called a \"work that uses the Linguistic Resource\". Such a work, in isolation, is not a derivative work of the Linguistic Resource, and therefore falls outside the scope of this License.\n\n   However, combining a \"work that uses the Linguistic Resource\" with the Linguistic Resource (or an encrypted form of the Linguistic Resource) creates a package that is a derivative of the Linguistic Resource (because it contains portions of the Linguistic Resource), rather than a \"work that uses the Linguistic Resource\". If the package is a derivative of the Linguistic Resource, you may distribute the package under the terms of Section 4. Any works containing that package also fall under Section 4.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> As an exception to the Sections above, you may also combine a \"work that uses the Linguistic Resource\" with the Linguistic Resource (or an encrypted form of the Linguistic Resource) to produce a package containing portions of the Linguistic Resource, and distribute that package under terms of your choice, provided that the terms permit modification of the package for the customer's own use and reverse engineering for debugging such modifications.\n\n   You must give prominent notice with each copy of the package that the Linguistic Resource is used in it and that the Linguistic Resource and its use are covered by this License. You must supply a copy of this License. If the package during execution displays copyright notices, you must include the copyright notice for the Linguistic Resource among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the package with the complete corresponding machine-readable legible form of the Linguistic Resource including whatever changes were used in the package (which must be distributed under Sections 1 and 2 above); and, if the package contains an encrypted form of the Linguistic Resource, with the complete machine-readable \"work that uses the Linguistic Resource\", as object code and/or source code, so that the user can modify the Linguistic Resource and then encrypt it to produce a modified package containing the modified Linguistic Resource.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Use a suitable mechanism for combining with the Linguistic Resource. A suitable mechanism is one that will operate properly with a modified version of the Linguistic Resource, if the user installs one, as long as the modified version is interface-compatible with the version that the package was made with.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Accompany the package with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 4a, above, for a charge no more than the cost of performing this distribution.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If distribution of the package is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\n   If the package includes an encrypted form of the Linguistic Resource, the required form of the \"work that uses the Linguistic Resource\" must include any data and utility programs needed for reproducing the package from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   It may happen that this requirement contradicts the license restrictions of proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Linguistic Resource together in a package that you distribute.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may not copy, modify, sublicense, link with, or distribute the Linguistic Resource except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Linguistic Resource is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Linguistic Resource or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Linguistic Resource (or any work based on the Linguistic Resource), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Linguistic Resource or works based on it.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Each time you redistribute the Linguistic Resource (or any work based on the Linguistic Resource), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Linguistic Resource subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Linguistic Resource at all. For example, if a patent license would not permit royalty-free redistribution of the Linguistic Resource by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Linguistic Resource.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free resource distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of data distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute resources through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> If the distribution and/or use of the Linguistic Resource is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Linguistic Resource under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License for Linguistic Resources from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Linguistic Resource specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Linguistic Resource does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> If you wish to incorporate parts of the Linguistic Resource into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> BECAUSE THE LINGUISTIC RESOURCE IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LINGUISTIC RESOURCE, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LINGUISTIC RESOURCE \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LINGUISTIC RESOURCE IS WITH YOU. SHOULD THE LINGUISTIC RESOURCE PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LINGUISTIC RESOURCE AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LINGUISTIC RESOURCE (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LINGUISTIC RESOURCE TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nEND OF TERMS AND CONDITIONS\n\n"
		self.name = "Lesser General Public License For Linguistic Resources"
		self.licenseComments = "Appears to have borrowed some language from the LGPL-2.1."
		self.licenseId = "LGPLLR"
		self.crossRef = [{"match": "N/A", "url": "http://www-igm.univ-mlv.fr/~unitex/lgpllr.html", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:21Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www-igm.univ-mlv.fr/~unitex/lgpllr.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Lesser General Public License For Linguistic Resources</p>\n\n	  </div>\n\n	  <p>Preamble</p>\n\n	  <p>The licenses for most data are designed to take away your freedom to share and change it. By contrast,\n		 this License is intended to guarantee your freedom to share and change free data--to make sure the\n		 data are free for all their users.</p>\n\n	  <p>This License, the Lesser General Public License for Linguistic Resources, applies to some specially\n		 designated linguistic resources -- typically lexicons and grammars.</p>\n\n	  <p>TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  This License Agreement applies to any Linguistic Resource which contains a notice placed by the\n			 copyright holder or other authorized party saying it may be distributed under the terms of\n			 this Lesser General Public License for Linguistic Resources (also called &quot;this\n			 License&quot;). Each licensee is addressed as &quot;you&quot;.\n		  <p>A &quot;linguistic resource&quot; means a collection of data about language prepared so as to be\n			 used with application programs.</p>\n\n			<p>The &quot;Linguistic Resource&quot;, below, refers to any such work which has been distributed\n			 under these terms. A &quot;work based on the Linguistic Resource&quot; means either the\n			 Linguistic Resource or any derivative work under copyright law: that is to say, a work\n			 containing the Linguistic Resource or a portion of it, either verbatim or with modifications\n			 and/or translated straightforwardly into another language. (Hereinafter, translation is\n			 included without limitation in the term &quot;modification&quot;.)</p>\n\n			<p>&quot;Legible form&quot; for a linguistic resource means the preferred form of the resource for\n			 making modifications to it.</p>\n\n			<p>Activities other than copying, distribution and modification are not covered by this License;\n			 they are outside its scope. The act of running a program using the Linguistic Resource is not\n			 restricted, and output from such a program is covered only if its contents constitute a work\n			 based on the Linguistic Resource (independent of the use of the Linguistic Resource in a tool\n			 for writing it). Whether that is True depends on what the program that uses the Linguistic\n			 Resource does.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may copy and distribute verbatim copies of the Linguistic Resource as you receive it, in any\n			 medium, provided that you conspicuously and appropriately publish on each copy an appropriate\n			 copyright notice and disclaimer of warranty; keep intact all the notices that refer to this\n			 License and to the absence of any warranty; and distribute a copy of this License along with\n			 the Linguistic Resource.\n		  <p>You may charge a fee for the physical act of transferring a copy, and you may at your option\n			 offer warranty protection in exchange for a fee.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may modify your copy or copies of the Linguistic Resource or any portion of it, thus forming\n			 a work based on the Linguistic Resource, and copy and distribute such modifications or work\n			 under the terms of Section 1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			The modified work must itself be a linguistic resource.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			You must cause the files modified to carry prominent notices stating that you changed the\n			   files and the date of any change.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			You must cause the whole of the work to be licensed at no charge to all third parties under\n			   the terms of this License.\n		  </li>\n			\n</ul>\n			<p>These requirements apply to the modified work as a whole. If identifiable sections of that\n			   work are not derived from the Linguistic Resource, and can be reasonably considered\n			   independent and separate works in themselves, then this License, and its terms, do not\n			   apply to those sections when you distribute them as separate works. But when you\n			   distribute the same sections as part of a whole which is a work based on the Linguistic\n			   Resource, the distribution of the whole must be on the terms of this License, whose\n			   permissions for other licensees extend to the entire whole, and thus to each and every\n			   part regardless of who wrote it.</p>\n\n			<p>Thus, it is not the intent of this section to claim rights or contest your rights to work\n			   written entirely by you; rather, the intent is to exercise the right to control the\n			   distribution of derivative or collective works based on the Linguistic Resource.</p>\n\n			<p>In addition, mere aggregation of another work not based on the Linguistic Resource with the\n			   Linguistic Resource (or with a work based on the Linguistic Resource) on a volume of a\n			   storage or distribution medium does not bring the other work under the scope of this\n			   License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  A program that contains no derivative of any portion of the Linguistic Resource, but is designed\n			 to work with the Linguistic Resource (or an encrypted form of the Linguistic Resource) by\n			 reading it or being compiled or linked with it, is called a &quot;work that uses the\n			 Linguistic Resource&quot;. Such a work, in isolation, is not a derivative work of the\n			 Linguistic Resource, and therefore falls outside the scope of this License.\n		  <p>However, combining a &quot;work that uses the Linguistic Resource&quot; with the Linguistic\n			 Resource (or an encrypted form of the Linguistic Resource) creates a package that is a\n			 derivative of the Linguistic Resource (because it contains portions of the Linguistic\n			 Resource), rather than a &quot;work that uses the Linguistic Resource&quot;. If the package is\n			 a derivative of the Linguistic Resource, you may distribute the package under the terms of\n			 Section 4. Any works containing that package also fall under Section 4.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  As an exception to the Sections above, you may also combine a &quot;work that uses the Linguistic\n			 Resource&quot; with the Linguistic Resource (or an encrypted form of the Linguistic Resource)\n			 to produce a package containing portions of the Linguistic Resource, and distribute that\n			 package under terms of your choice, provided that the terms permit modification of the package\n			 for the customer&apos;s own use and reverse engineering for debugging such modifications.\n		  <p>You must give prominent notice with each copy of the package that the Linguistic Resource is used\n			 in it and that the Linguistic Resource and its use are covered by this License. You must\n			 supply a copy of this License. If the package during execution displays copyright notices, you\n			 must include the copyright notice for the Linguistic Resource among them, as well as a\n			 reference directing the user to the copy of this License. Also, you must do one of these\n			 things:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			Accompany the package with the complete corresponding machine-readable legible form of the\n			   Linguistic Resource including whatever changes were used in the package (which must be\n			   distributed under Sections 1 and 2 above); and, if the package contains an encrypted form\n			   of the Linguistic Resource, with the complete machine-readable &quot;work that uses the\n			   Linguistic Resource&quot;, as object code and/or source code, so that the user can modify\n			   the Linguistic Resource and then encrypt it to produce a modified package containing the\n			   modified Linguistic Resource.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			Use a suitable mechanism for combining with the Linguistic Resource. A suitable mechanism is\n			   one that will operate properly with a modified version of the Linguistic Resource, if the\n			   user installs one, as long as the modified version is interface-compatible with the\n			   version that the package was made with.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			Accompany the package with a written offer, valid for at least three years, to give the same\n			   user the materials specified in Subsection 4a, above, for a charge no more than the cost\n			   of performing this distribution.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			If distribution of the package is made by offering access to copy from a designated place,\n			   offer equivalent access to copy the above specified materials from the same place.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			Verify that the user has already received a copy of these materials or that you have already\n			   sent this user a copy.\n		  </li>\n			\n</ul>\n			<p>If the package includes an encrypted form of the Linguistic Resource, the required form of\n			   the &quot;work that uses the Linguistic Resource&quot; must include any data and utility\n			   programs needed for reproducing the package from it. However, as a special exception, the\n			   materials to be distributed need not include anything that is normally distributed (in\n			   either source or binary form) with the major components (compiler, kernel, and so on) of\n			   the operating system on which the executable runs, unless that component itself\n			   accompanies the executable.</p>\n\n			<p>It may happen that this requirement contradicts the license restrictions of proprietary\n			   libraries that do not normally accompany the operating system. Such a contradiction means\n			   you cannot use both them and the Linguistic Resource together in a package that you\n			   distribute.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may not copy, modify, sublicense, link with, or distribute the Linguistic Resource except as\n			 expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link\n			 with, or distribute the Linguistic Resource is void, and will automatically terminate your\n			 rights under this License. However, parties who have received copies, or rights, from you\n			 under this License will not have their licenses terminated so long as such parties remain in\n			 full compliance.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  You are not required to accept this License, since you have not signed it. However, nothing else\n			 grants you permission to modify or distribute the Linguistic Resource or its derivative works.\n			 These actions are prohibited by law if you do not accept this License. Therefore, by modifying\n			 or distributing the Linguistic Resource (or any work based on the Linguistic Resource), you\n			 indicate your acceptance of this License to do so, and all its terms and conditions for\n			 copying, distributing or modifying the Linguistic Resource or works based on it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Each time you redistribute the Linguistic Resource (or any work based on the Linguistic\n			 Resource), the recipient automatically receives a license from the original licensor to copy,\n			 distribute, link with or modify the Linguistic Resource subject to these terms and conditions.\n			 You may not impose any further restrictions on the recipients&apos; exercise of the rights\n			 granted herein. You are not responsible for enforcing compliance by third parties with this\n			 License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  If, as a consequence of a court judgment or allegation of patent infringement or for any other\n			 reason (not limited to patent issues), conditions are imposed on you (whether by court order,\n			 agreement or otherwise) that contradict the conditions of this License, they do not excuse you\n			 from the conditions of this License. If you cannot distribute so as to satisfy simultaneously\n			 your obligations under this License and any other pertinent obligations, then as a consequence\n			 you may not distribute the Linguistic Resource at all. For example, if a patent license would\n			 not permit royalty-free redistribution of the Linguistic Resource by all those who receive\n			 copies directly or indirectly through you, then the only way you could satisfy both it and\n			 this License would be to refrain entirely from distribution of the Linguistic Resource.\n		  <p>If any portion of this section is held invalid or unenforceable under any particular\n			 circumstance, the balance of the section is intended to apply, and the section as a whole is\n			 intended to apply in other circumstances.</p>\n\n			<p>It is not the purpose of this section to induce you to infringe any patents or other property\n			 right claims or to contest validity of any such claims; this section has the sole purpose of\n			 protecting the integrity of the free resource distribution system which is implemented by\n			 public license practices. Many people have made generous contributions to the wide range of\n			 data distributed through that system in reliance on consistent application of that system; it\n			 is up to the author/donor to decide if he or she is willing to distribute resources through\n			 any other system and a licensee cannot impose that choice.</p>\n\n			<p>This section is intended to make thoroughly clear what is believed to be a consequence of the\n			 rest of this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  If the distribution and/or use of the Linguistic Resource is restricted in certain countries\n			 either by patents or by copyrighted interfaces, the original copyright holder who places the\n			 Linguistic Resource under this License may add an explicit geographical distribution\n			 limitation excluding those countries, so that distribution is permitted only in or among\n			 countries not thus excluded. In such case, this License incorporates the limitation as if\n			 written in the body of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  The Free Software Foundation may publish revised and/or new versions of the Lesser General Public\n			 License for Linguistic Resources from time to time. Such new versions will be similar in\n			 spirit to the present version, but may differ in detail to address new problems or\n			 concerns.\n		  <p>Each version is given a distinguishing version number. If the Linguistic Resource specifies a\n			 version number of this License which applies to it and &quot;any later version&quot;, you have\n			 the option of following the terms and conditions either of that version or of any later\n			 version published by the Free Software Foundation. If the Linguistic Resource does not specify\n			 a license version number, you may choose any version ever published by the Free Software\n			 Foundation.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  If you wish to incorporate parts of the Linguistic Resource into other free programs whose\n			 distribution conditions are incompatible with these, write to the author to ask for\n			 permission.\n		  <p>NO WARRANTY</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  BECAUSE THE LINGUISTIC RESOURCE IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE\n			 LINGUISTIC RESOURCE, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED\n			 IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LINGUISTIC RESOURCE &quot;AS\n			 IS&quot; WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED\n			 TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE\n			 RISK AS TO THE QUALITY AND PERFORMANCE OF THE LINGUISTIC RESOURCE IS WITH YOU. SHOULD THE\n			 LINGUISTIC RESOURCE PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR\n			 CORRECTION.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER,\n			 OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LINGUISTIC RESOURCE AS PERMITTED\n			 ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR\n			 CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LINGUISTIC RESOURCE\n			 (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES\n			 SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LINGUISTIC RESOURCE TO OPERATE WITH ANY\n			 OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF\n			 SUCH DAMAGES.\n		</li>\n	  \n</ul>\n	  <p>END OF TERMS AND CONDITIONS</p>\n\n	"
		self.python_name = "LGPLLR"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNC25:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "Creative Commons Attribution-NonCommercial 2.5\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License. \"Original Author\" means the individual or entity who created the Work.\n\n	 d. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 e. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to create and reproduce Derivative Works;\n\n	 c. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	 d. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Sections 4(d) and 4(e).\n\n4. Restrictions.The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder.\n\n	 b. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by clause 4(c), as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any credit as required by clause 4(c), as requested. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	 c. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for attribution in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n	 d. For the avoidance of doubt, where the Work is a musical composition:\n\n		  i. Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work if that performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n		  ii. Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if Your distribution of such cover version is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n	 e. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor reserves the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if Your public digital performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NonCommercial 2.5\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License. \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and reproduce Derivative Works;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\n	  The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Sections 4(d) and 4(e).\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions.The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by clause 4(c), as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any credit as required by clause 4(c), as requested. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for attribution in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> For the avoidance of doubt, where the Work is a musical composition:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work if that performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if Your distribution of such cover version is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor reserves the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if Your public digital performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial 2.5 Generic"
		self.licenseId = "CC-BY-NC-2.5"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc/2.5/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:45Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc/2.5/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NonCommercial 2.5</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n			   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n			   other contributions, constituting separate and independent works in themselves, are\n			   assembled into a collective whole. A work that constitutes a Collective Work will not be\n			   considered a Derivative Work (as defined below) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works, such as a translation, musical arrangement, dramatization,\n			   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n			   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n			   except that a work that constitutes a Collective Work will not be considered a Derivative\n			   Work for the purpose of this License. For the avoidance of doubt, where the Work is a\n			   musical composition or sound recording, the synchronization of the Work in timed-relation\n			   with a moving image (&quot;synching&quot;) will be considered a Derivative Work for the\n			   purpose of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n			   this License. &quot;Original Author&quot; means the individual or entity who created the\n			   Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to create and reproduce Derivative Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission Derivative Works;\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats. All rights not expressly\n			   granted by Licensor are hereby reserved, including but not limited to the rights set forth\n			   in Sections 4(d) and 4(e).</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions.The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may not sublicense the Work. You must keep intact all notices that refer to this License\n			   and to the disclaimer of warranties. You may not distribute, publicly display, publicly\n			   perform, or publicly digitally perform the Work with any technological measures that\n			   control access or use of the Work in a manner inconsistent with the terms of this License\n			   Agreement. The above applies to the Work as incorporated in a Collective Work, but this\n			   does not require the Collective Work apart from the Work itself to be made subject to the\n			   terms of this License. If You create a Collective Work, upon notice from any Licensor You\n			   must, to the extent practicable, remove from the Collective Work any credit as required by\n			   clause 4(c), as requested. If You create a Derivative Work, upon notice from any Licensor\n			   You must, to the extent practicable, remove from the Derivative Work any credit as\n			   required by clause 4(c), as requested. You may not exercise any of the rights granted to\n			   You in Section 3 above in any manner that is primarily intended for or directed toward\n			   commercial advantage or private monetary compensation. The exchange of the Work for other\n			   copyrighted works by means of digital file-sharing or otherwise shall not be considered to\n			   be intended for or directed toward commercial advantage or private monetary compensation,\n			   provided there is no payment of any monetary compensation in connection with the exchange\n			   of copyrighted works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n			   or any Derivative Works or Collective Works, You must keep intact all copyright notices\n			   for the Work and provide, reasonable to the medium or means You are utilizing: (i) the\n			   name of Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the\n			   Original Author and/or Licensor designate another party or parties (e.g. a sponsor\n			   institute, publishing entity, journal) for attribution in Licensor&apos;s copyright\n			   notice, terms of service or by other reasonable means, the name of such party or parties;\n			   the title of the Work if supplied; to the extent reasonably practicable, the Uniform\n			   Resource Identifier, if any, that Licensor specifies to be associated with the Work,\n			   unless such URI does not refer to the copyright notice or licensing information for the\n			   Work; and in the case of a Derivative Work, a credit identifying the use of the Work in\n			   the Derivative Work (e.g., &quot;French translation of the Work by Original Author,&quot;\n			   or &quot;Screenplay based on original Work by Original Author&quot;). Such credit may be\n			   implemented in any reasonable manner; provided, however, that in the case of a Derivative\n			   Work or Collective Work, at a minimum such credit will appear where any other comparable\n			   authorship credit appears and in a manner at least as prominent as such other comparable\n			   authorship credit.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			For the avoidance of doubt, where the Work is a musical composition:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to\n				 collect, whether individually or via a performance rights society (e.g. ASCAP, BMI,\n				 SESAC), royalties for the public performance or public digital performance (e.g.\n				 webcast) of the Work if that performance is primarily intended for or directed toward\n				 commercial advantage or private monetary compensation.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to\n				 collect, whether individually or via a music rights agency or designated agent (e.g.\n				 Harry Fox Agency), royalties for any phonorecord You create from the Work (&quot;cover\n				 version&quot;) and distribute, subject to the compulsory license created by 17 USC\n				 Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if\n				 Your distribution of such cover version is primarily intended for or directed toward\n				 commercial advantage or private monetary compensation.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a\n			   sound recording, Licensor reserves the exclusive right to collect, whether individually or\n			   via a performance-rights society (e.g. SoundExchange), royalties for the public digital\n			   performance (e.g. webcast) of the Work, subject to the compulsory license created by 17\n			   USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if\n			   Your public digital performance is primarily intended for or directed toward commercial\n			   advantage or private monetary compensation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Derivative\n			   Works or Collective Works from You under this License, however, will not have their\n			   licenses terminated provided such individuals or entities remain in full compliance with\n			   those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n			   Licensor offers to the recipient a license to the Work on the same terms and conditions as\n			   the license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to\n			   the recipient a license to the original Work on the same terms and conditions as the\n			   license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYNC25"

	def __str__(self):
		return json.dumps(self.__dict__)


class Zeeff:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1988 Jon Zeeff (zeeff@b-tech.ann-arbor.mi.us)  \nYou can use this code in any manner, as long as you leave my \nname on it and don't hold me responsible for any problems with it.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1988 Jon Zeeff (zeeff@b-tech.ann-arbor.mi.us)\";match=\".{0,5000}\">>\n\nYou can use this code in any manner, as long as you leave my name on it and don't hold me responsible for any problems with it.\n\n"
		self.name = "Zeeff License"
		self.licenseId = "Zeeff"
		self.crossRef = [{"match": "N/A", "url": "ftp://ftp.tin.org/pub/news/utils/newsx/newsx-1.6.tar.gz", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:27Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["ftp://ftp.tin.org/pub/news/utils/newsx/newsx-1.6.tar.gz"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright 1988 Jon Zeeff (zeeff@b-tech.ann-arbor.mi.us)\n		 </var>\n		 <p>\n			You can use this code in any manner, as long as you leave my name\n			on it and don&apos;t hold me responsible for any problems with it.\n		 </p>\n\n	  "
		self.python_name = "Zeeff"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL11invariantsorlater:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU Free Documentation License\nVersion 1.1, March 2000\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other written document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\".\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (For example, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, whose contents can be viewed and edited directly and straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup has been designed to thwart or discourage subsequent modification by readers is not Transparent. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML designed for human modification. Opaque formats include PostScript, PDF, proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies of the Document numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a publicly-accessible computer-network location containing a complete Transparent copy of the Document, free of added material, which the general network-using public has access to download anonymously at no charge using public-standard network protocols. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has less than five).\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n	 H. Include an unaltered copy of this License.\n	 I. Preserve the section entitled \"History\", and its title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the section's title, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section as \"Endorsements\" or to conflict in title with any Invariant Section.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections entitled \"History\" in the various original documents, forming one section entitled \"History\"; likewise combine any sections entitled \"Acknowledgements\", and any sections entitled \"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, does not as a whole count as a Modified Version of the Document, provided no compilation copyright is claimed for the compilation. Such a compilation is called an \"aggregate\", and this License does not apply to the other self-contained works thus compiled with the Document, on account of their being thus compiled, if they are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one quarter of the entire aggregate, the Document's Cover Texts may be placed on covers that surround only the Document within the aggregate. Otherwise they must appear on covers around the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License provided that you also include the original English version of this License. In case of a disagreement between the translation and the original English version of this License, the original English version will prevail.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead of saying which ones are invariant. If you have no Front-Cover Texts, write \"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise for Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with <<var;name=\"invariantSections\";original=\"the Invariant Sections being LIST THEIR TITLES\";match=\"the Invariant Sections	   being .+|no Invariant Sections\">> , with <<var;name=\"frontCoverTexts\";original=\"the Front-Cover Texts being LIST\";match=\"the Front-Cover Texts being .+|no Front-Cover Texts\">> , and with <<var;name=\"backCoverTexts\";original=\"the Back-Cover Texts being LIST\";match=\"the Back-Cover Texts being .+|no Back-Cover Texts\">> . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.1, March 2000\n\n<<endOptional>>\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other written document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\".\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (For example, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, whose contents can be viewed and edited directly and straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup has been designed to thwart or discourage subsequent modification by readers is not Transparent. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML designed for human modification. Opaque formats include PostScript, PDF, proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies of the Document numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a publicly-accessible computer-network location containing a complete Transparent copy of the Document, free of added material, which the general network-using public has access to download anonymously at no charge using public-standard network protocols. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has less than five).\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section entitled \"History\", and its title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the section's title, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section as \"Endorsements\" or to conflict in title with any Invariant Section.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections entitled \"History\" in the various original documents, forming one section entitled \"History\"; likewise combine any sections entitled \"Acknowledgements\", and any sections entitled \"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, does not as a whole count as a Modified Version of the Document, provided no compilation copyright is claimed for the compilation. Such a compilation is called an \"aggregate\", and this License does not apply to the other self-contained works thus compiled with the Document, on account of their being thus compiled, if they are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one quarter of the entire aggregate, the Document's Cover Texts may be placed on covers that surround only the Document within the aggregate. Otherwise they must appear on covers around the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License provided that you also include the original English version of this License. In case of a disagreement between the translation and the original English version of this License, the original English version will prevail.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with <<var;name=\"invariantSections\";original=\"the Invariant Sections being LIST THEIR TITLES\";match=\"the Invariant Sections being .+|no Invariant Sections\">> , with <<var;name=\"frontCoverTexts\";original=\"the Front-Cover Texts being LIST\";match=\"the Front-Cover Texts being .+|no Front-Cover Texts\">> , and with <<var;name=\"backCoverTexts\";original=\"the Back-Cover Texts being LIST\";match=\"the Back-Cover Texts being .+|no Back-Cover Texts\">> . A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead of saying which ones are invariant. If you have no Front-Cover Texts, write \"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise for Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.1 or later - invariants"
		self.licenseComments = "This license was released March 2000. The identifier GFDL-1.1-or-later-invariants should only be used when there are Invariant Sections, Front-Cover Texts or Back-Cover Texts. See GFDL-1.1-or-later and GFDL-1.1-or-later-no-invariants for alternatives."
		self.licenseId = "GFDL-1.1-invariants-or-later"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES , with the Front-Cover Texts being LIST , and with the Back-Cover Texts being LIST . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/fdl-1.1.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:09Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/fdl-1.1.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.1, March 2000\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2000 Free Software Foundation, Inc. 51\n	  Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook,\n		  or other written document &quot;free&quot; in the sense of freedom: to\n		  assure everyone the effective freedom to copy and redistribute\n		  it, with or without modifying it, either commercially or\n		  noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work that\n		  contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. The\n		  &quot;Document&quot;, below, refers to any such manual or work. Any\n		  member of the public is a licensee, and is addressed as &quot;you&quot;.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter section\n		  of the Document that deals exclusively with the relationship\n		  of the publishers or authors of the Document to the Document&apos;s\n		  overall subject (or to related matters) and contains nothing\n		  that could fall directly within that overall subject. (For\n		  example, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections, in the\n		  notice that says that the Document is released under this License.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are\n		  listed, as Front-Cover Texts or Back-Cover Texts, in the notice\n		  that says that the Document is released under this License.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable copy,\n		  represented in a format whose specification is available to the\n		  general public, whose contents can be viewed and edited directly\n		  and straightforwardly with generic text editors or (for images\n		  composed of pixels) generic paint programs or (for drawings) some\n		  widely available drawing editor, and that is suitable for input\n		  to text formatters or for automatic translation to a variety of\n		  formats suitable for input to text formatters. A copy made in an\n		  otherwise Transparent file format whose markup has been designed\n		  to thwart or discourage subsequent modification by readers is not\n		  Transparent. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include\n		  plain ASCII without markup, Texinfo input format, LaTeX\n		  input format, SGML or XML using a publicly available DTD, and\n		  standard-conforming simple HTML designed for human modification.\n		  Opaque formats include PostScript, PDF, proprietary formats\n		  that can be read and edited only by proprietary word processors,\n		  SGML or XML for which the DTD and/or processing tools are\n		  not generally available, and the machine-generated HTML\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies of the Document numbering more than\n		  100, and the Document&apos;s license notice requires Cover Texts, you\n		  must enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a publicly-accessible computer-network location\n		  containing a complete Transparent copy of the Document, free\n		  of added material, which the general network-using public has\n		  access to download anonymously at no charge using public-standard\n		  network protocols. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or entities\n			responsible for authorship of the modifications in the Modified\n			Version, together with at least five of the principal authors of the\n			Document (all of its principal authors, if it has less than five).\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant Sections\n			and required Cover Texts given in the Document&apos;s license notice.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> H.</var>\n			Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section entitled &quot;History&quot;, and its title, and add\n			to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			In any section entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			preserve the section&apos;s title, and preserve in the section\n			all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section as &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released\n		  under this License, under the terms defined in section 4\n		  above for modified versions, provided that you include in\n		  the combination all of the Invariant Sections of all of\n		  the original documents, unmodified, and list them all as\n		  Invariant Sections of your combined work in its license notice.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  entitled &quot;History&quot;; likewise combine any sections entitled\n		  &quot;Acknowledgements&quot;, and any sections entitled &quot;Dedications&quot;.\n		  You must delete all sections entitled &quot;Endorsements.&quot;\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other separate\n		  and independent documents or works, in or on a volume of a storage\n		  or distribution medium, does not as a whole count as a Modified\n		  Version of the Document, provided no compilation copyright is claimed\n		  for the compilation. Such a compilation is called an &quot;aggregate&quot;,\n		  and this License does not apply to the other self-contained works\n		  thus compiled with the Document, on account of their being thus\n		  compiled, if they are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to these\n		  copies of the Document, then if the Document is less than one quarter\n		  of the entire aggregate, the Document&apos;s Cover Texts may be placed\n		  on covers that surround only the Document within the aggregate.\n		  Otherwise they must appear on covers around the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of\n		  section 4. Replacing Invariant Sections with translations requires\n		  special permission from their copyright holders, but you may\n		  include translations of some or all Invariant Sections in addition\n		  to the original versions of these Invariant Sections. You may\n		  include a translation of this License provided that you also\n		  include the original English version of this License. In case of\n		  a disagreement between the translation and the original English\n		  version of this License, the original English version will prevail.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided for under this License. Any other\n		  attempt to copy, modify, sublicense or distribute the Document\n		  is void, and will automatically terminate your rights under\n		  this License. However, parties who have received copies, or\n		  rights, from you under this License will not have their licenses\n		  terminated so long as such parties remain in full compliance.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option\n		  of following the terms and conditions either of that specified\n		  version or of any later version that has been published (not as a\n		  draft) by the Free Software Foundation. If the Document does not\n		  specify a version number of this License, you may choose any version\n		  ever published (not as a draft) by the Free Software Foundation.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the\n		GNU Free Documentation License, Version 1.1 or any later version\n		published by the Free Software Foundation; with\n\t\t<var class=\"replaceable-license-text\"> the Invariant Sections\n		being LIST THEIR TITLES</var>, with <var class=\"replaceable-license-text\"> the Front-Cover Texts being LIST</var>,\n		and with <var class=\"replaceable-license-text\"> the Back-Cover Texts being LIST</var>. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have no Invariant Sections, write &quot;with no Invariant\n		Sections&quot; instead of saying which ones are invariant. If you have\n		no Front-Cover Texts, write &quot;no Front-Cover Texts&quot; instead of\n		&quot;Front-Cover Texts being LIST&quot;; likewise for Back-Cover Texts.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>.\n	  Permission is granted to copy,\n	  distribute and/or modify this document under the terms of the\n	  GNU Free Documentation License, Version 1.1 or any later version\n	  published by the Free Software Foundation; with <var class=\"replaceable-license-text\"> the Invariant Sections\n	  being LIST THEIR TITLES</var>, with <var class=\"replaceable-license-text\"> the Front-Cover Texts being LIST</var>,\n	  and with <var class=\"replaceable-license-text\"> the Back-Cover Texts being LIST</var>. A copy of the license is\n	  included in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL11invariantsorlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class PHP301:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The PHP License, version 3.01\n\nCopyright (c) 1999 - 2012 The PHP Group. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, is permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. The name \"PHP\" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact group@php.net.\n\n4. Products derived from this software may not be called \"PHP\", nor may \"PHP\" appear in their name, without prior written permission from group@php.net. You may indicate that your software works in conjunction with PHP by saying \"Foo for PHP\" instead of calling it \"PHP Foo\" or \"phpfoo\"\n\n5. The PHP Group may publish revised and/or new versions of the license from time to time. Each version will be given a distinguishing version number. Once covered code has been published under a particular version of the license, you may always continue to use it under the terms of that version. You may also choose to use such covered code under the terms of any subsequent version of the license published by the PHP Group. No one other than the PHP Group has the right to modify the terms applicable to covered code created under this License.\n\n6. Redistributions of any form whatsoever must retain the following acknowledgment: \"This product includes PHP software, freely available from <http://www.php.net/software/>\".\n\nTHIS SOFTWARE IS PROVIDED BY THE PHP DEVELOPMENT TEAM ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE PHP DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis software consists of voluntary contributions made by many individuals on behalf of the PHP Group.\n\nThe PHP Group can be contacted via Email at group@php.net.\n\nFor more information on the PHP Group and the PHP project, please see <http://www.php.net>.\n\nPHP includes the Zend Engine, freely available at <http://www.zend.com>.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The PHP License, version 3.01\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 1999 - 2012 The PHP Group. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, is permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The name \"PHP\" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact group@php.net.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Products derived from this software may not be called \"PHP\", nor may \"PHP\" appear in their name, without prior written permission from group@php.net. You may indicate that your software works in conjunction with PHP by saying \"Foo for PHP\" instead of calling it \"PHP Foo\" or \"phpfoo\"\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> The PHP Group may publish revised and/or new versions of the license from time to time. Each version will be given a distinguishing version number. Once covered code has been published under a particular version of the license, you may always continue to use it under the terms of that version. You may also choose to use such covered code under the terms of any subsequent version of the license published by the PHP Group. No one other than the PHP Group has the right to modify the terms applicable to covered code created under this License.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Redistributions of any form whatsoever must retain the following acknowledgment: \"This product includes PHP software, freely available from <http://www.php.net/software/>\".\n\nTHIS SOFTWARE IS PROVIDED BY THE PHP DEVELOPMENT TEAM ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE PHP DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis software consists of voluntary contributions made by many individuals on behalf of the PHP Group.\n\nThe PHP Group can be contacted via Email at group@php.net.\n\nFor more information on the PHP Group and the PHP project, please see <http://www.php.net>.\n\nPHP includes the Zend Engine, freely available at <http://www.zend.com>.\n\n"
		self.name = "PHP License v3.01"
		self.licenseComments = "The PHP License v3.01 is essentially the same as v3.0, with the exception of a couple word differences and updated url in section 6."
		self.licenseId = "PHP-3.01"
		self.crossRef = [{"match": "False", "url": "http://www.php.net/license/3_01.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:43Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.php.net/license/3_01.txt"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The PHP License, version 3.01</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1999 - 2012 The PHP Group. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, is permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  The name &quot;PHP&quot; must not be used to endorse or promote products derived from this software without\n			 prior written permission. For written permission, please contact group@php.net.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Products derived from this software may not be called &quot;PHP&quot;, nor may &quot;PHP&quot; appear in their name,\n			 without prior written permission from group@php.net. You may indicate that your software works\n			 in conjunction with PHP by saying &quot;Foo for PHP&quot; instead of calling it &quot;PHP Foo&quot; or\n			 &quot;phpfoo&quot;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  The PHP Group may publish revised and/or new versions of the license from time to time. Each\n			 version will be given a distinguishing version number. Once covered code has been published\n			 under a particular version of the license, you may always continue to use it under the terms\n			 of that version. You may also choose to use such covered code under the terms of any\n			 subsequent version of the license published by the PHP Group. No one other than the PHP Group\n			 has the right to modify the terms applicable to covered code created under this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Redistributions of any form whatsoever must retain the following acknowledgment: &quot;This product\n			 includes PHP software, freely available from &lt;http://www.php.net/software/&gt;&quot;.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE PHP DEVELOPMENT TEAM ``AS IS&apos;&apos; AND ANY EXPRESSED OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE PHP DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR\n		 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n		 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>This software consists of voluntary contributions made by many individuals on behalf of the PHP Group.</p>\n\n	  <p>The PHP Group can be contacted via Email at group@php.net.</p>\n\n	  <p>For more information on the PHP Group and the PHP project, please see &lt;http://www.php.net&gt;.</p>\n\n	  <p>PHP includes the Zend Engine, freely available at &lt;http://www.zend.com&gt;.</p>\n\n	"
		self.python_name = "PHP301"

	def __str__(self):
		return json.dumps(self.__dict__)


class Motosoto:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "MOTOSOTO OPEN SOURCE LICENSE - Version 0.9.1\n\nThis Motosoto Open Source License (the \"License\") applies to \"Community Portal Server\" and related software products as well as any updatesor maintenance releases of that software (\"Motosoto Products\") that are distributed by Motosoto.Com B.V. (\"Licensor\"). Any Motosoto Product licensed pursuant to this License is a \"Licensed Product.\" Licensed Product, in its entirety, is protected by Dutch copyright law. This License identifies the terms under which you may use, copy, distribute or modify Licensed Product and has been submitted to the Open Software Initiative (OSI) for approval.\n\nPreamble\n\nThis Preamble is intended to describe, in plain English, the nature and scope of this License. However, this Preamble is not a part of this license. The legal effect of this License is dependent only upon the terms of the License and not this Preamble. This License complies with the Open Source Definition and has been approved by Open Source Initiative. Software distributed under this License may be marked as \"OSI Certified Open Source Software.\"\n\nThis License provides that:\n\n1. You may use, sell or give away the Licensed Product, alone or as a component of an aggregate software distribution containing programs from several different sources. No royalty or other fee is required.\n\n2. Both Source Code and executable versions of the Licensed Product, including Modifications made by previous Contributors, are available for your use. (The terms \"Licensed Product,\" \"Modifications,\" \"Contributors\" and \"Source Code\" are defined in the License.)\n\n3. You are allowed to make Modifications to the Licensed Product, and you can create Derivative Works from it. (The term \"Derivative Works\" is defined in the License.)\n\n4. By accepting the Licensed Product under the provisions of this License, you agree that any Modifications you make to the Licensed Product and then distribute are governed by the provisions of this License. In particular, you must make the Source Code of your Modifications available to others.\n\n5. You may use the Licensed Product for any purpose, but the Licensor is not providing you any warranty whatsoever, nor is the Licensor accepting any liability in the event that the Licensed Product doesn't work properly or causes you any injury or damages.\n\n6. If you sublicense the Licensed Product or Derivative Works, you may charge fees for warranty or support, or for accepting indemnity or liability obligations to your customers. You cannot charge for the Source Code.\n\n7. If you assert any patent claims against the Licensor relating to the Licensed Product, or if you breach any terms of the License, your rights to the Licensed Product under this License automatically terminate.\n\nYou may use this License to distribute your own Derivative Works, in which case the provisions of this License will apply to your Derivative Works just as they do to the original Licensed Product.\n\nAlternatively, you may distribute your Derivative Works under any other OSI-approved Open Source license, or under a proprietary license of your choice. If you use any license other than this License, however, you must continue to fulfill the requirements of this License (including the provisions relating to publishing the Source Code) for those portions of your Derivative Works that consist of the Licensed Product, including the files containing Modifications.\n\nNew versions of this License may be published from time to time. You may choose to continue to use the license terms in this version of the License or those from the new version. However, only the Licensor has the right to change the License terms as they apply to the Licensed Product. This License relies on precise definitions for certain terms. Those terms are defined when they are first used, and the definitions are repeated for your convenience in a Glossary at the end of the License.\n\nLicense Terms\n\n1. Grant of License From Licensor.\n\nLicensor hereby grants you a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, to do the following:\n\n	 a. Use, reproduce, modify, display, perform, sublicense and distribute Licensed Product or portions thereof (including Modifications as hereinafter defined), in both Source Code or as an executable program. \"Source Code\" means the preferred form for making modifications to the Licensed Product, including all modules contained therein, plus any associated interface definition files, scripts used to control compilation and installation of an executable program, or a list of differential comparisons against the Source Code of the Licensed Product.\n\n	 b. Create Derivative Works (as that term is defined under Dutch copyright law) of Licensed Product by adding to or deleting from the substance or structure of said Licensed Product.\n\n	 c. Under claims of patents now or hereafter owned or controlled by Licensor, to make, use, sell, offer for sale, have made, and/or otherwise dispose of Licensed Product or portions thereof, but solely to the extent that any such claim is necessary to enable you to make, use, sell, offer for sale, have made, and/or otherwise dispose of Licensed Product or portions thereof or Derivative Works thereof.\n\n2. Grant of License to Modifications From Contributor.\n\n\"Modifications\" means any additions to or deletions from the substance or structure of (i) a file containing Licensed Product, or (ii) any new file that contains any part of Licensed Product. Hereinafter in this License, the term \"Licensed Product\" shall include all previous Modifications that you receive from any Contributor. By application of the provisions in Section 4(a) below, each person or entity who created or contributed to the creation of, and distributed, a Modification (a \"Contributor\") hereby grants you a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, to do the following:\n\n	 a. Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created by such Contributor or portions thereof, in both Source Code or as an executable program, either on an unmodified basis or as part of Derivative Works.\n\n	 b. Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof, but solely to the extent that any such claim is necessary to enable you to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof or Derivative Works thereof.\n\n3. Exclusions From License Grant.\n\nNothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor or any Contributor except as expressly stated herein. No patent license is granted separate from the Licensed Product, for code that you delete from the Licensed Product, or for combinations of the Licensed Product with other software or hardware. No right is granted to the trademarks of Licensor or any Contributor even if such marks are included in the Licensed Product. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any code that Licensor otherwise would have a right to license.\n\n4. Your Obligations Regarding Distribution.\n\n	 a. Application of This License to Your Modifications. As an express condition for your use of the Licensed Product, you hereby agree that any Modifications that you create or to which you contribute, and which you distribute, are governed by the terms of this License including, without limitation, Section 2. Any Modifications that you create or to which you contribute may be distributed only under the terms of this License or a future version of this License released under Section 7. You must include a copy of this License with every copy of the Modifications you distribute. You agree not to offer or impose any terms on any Source Code or executable version of the Licensed Product or Modifications that alter or restrict the applicable version of this License or the recipients' rights hereunder. However, you may include an additional document offering the additional rights described in Section 4(e).\n\n	 b. Availability of Source Code. You must make available, under the terms of this License, the Source Code of the Licensed Product and any Modifications that you distribute, either on the same media as you distribute any executable or other form of the Licensed Product, or via a mechanism generally accepted in the software development community for the electronic transfer of data (an \"Electronic Distribution Mechanism\"). The Source Code for any version of Licensed Product or Modifications that you distribute must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of said Licensed Product or Modifications has been made available. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	 c. Description of Modifications. You must cause any Modifications that you create or to which you contribute, and which you distribute, to contain a file documenting the additions, changes or deletions you made to create or contribute to those Modifications, and the dates of any such additions, changes or deletions. You must include a prominent statement that the Modifications are derived, directly or indirectly, from the Licensed Product and include the names of the Licensor and any Contributor to the Licensed Product in (i) the Source Code and (ii) in any notice displayed by a version of the Licensed Product you distribute or in related documentation in which you describe the origin or ownership of the Licensed Product. You may not modify or delete any preexisting copyright notices in the Licensed Product.\n\n	 d. Intellectual Property Matters.\n		  i. Third Party Claims. If you have knowledge that a license to a third party's intellectual property right is required to exercise the rights granted by this License, you must include a text file with the Source Code distribution titled \"LEGAL\" that describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after you make any Modifications available as described in Section 4(b), you shall promptly modify the LEGAL file in all copies you make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Licensed Product from you that new knowledge has been obtained.\n\n		  ii. Contributor APIs. If your Modifications include an application programming interface (\"API\") and you have knowledge of patent licenses that are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n		  iii. Representations. You represent that, except as disclosed pursuant to 4(d)(i) above, you believe that any Modifications you distribute are your original creations and that you have sufficient rights to grant the rights conveyed by this License.\n\n	 e. Required Notices. You must duplicate this License in any documentation you provide along with the Source Code of any Modifications you create or to which you contribute, and which you distribute, wherever you describe recipients' rights relating to Licensed Product. You must duplicate the notice contained in Exhibit A (the \"Notice\") in each file of the Source Code of any copy you distribute of the Licensed Product. If you created a Modification, you may add your name as a Contributor to the Notice. If it is not possible to put the Notice in a particular Source Code file due to its structure, then you must include such Notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Licensed Product. However, you may do so only on your own behalf, and not on behalf of the Licensor or any Contributor. You must make it clear that any such warranty, support, indemnity or liability obligation is offered by you alone, and you hereby agree to indemnify the Licensor and every Contributor for any liability incurred by the Licensor or such Contributor as a result of warranty, support, indemnity or liability terms you offer.\n\n	 f. Distribution of Executable Versions. You may distribute Licensed Product as an executable program under a license of your choice that may contain terms different from this License provided (i) you have satisfied the requirements of Sections 4(a) through 4(e) for that distribution, (ii) you include a conspicuous notice in the executable version, related documentation and collateral materials stating that the Source Code version of the Licensed Product is available under the terms of this License, including a description of how and where you have fulfilled the obligations of Section 4(b), (iii) you retain all existing copyright notices in the Licensed Product, and (iv) you make it clear that any terms that differ from this License are offered by you alone, not by Licensor or any Contributor. You hereby agree to indemnify the Licensor and every Contributor for any liability incurred by Licensor or such Contributor as a result of any terms you offer.\n\n	 g. Distribution of Derivative Works. You may create Derivative Works (e.g., combinations of some or all of the Licensed Product with other code) and distribute the Derivative Works as products under any other license you select, with the proviso that the requirements of this License are fulfilled for those portions of the Derivative Works that consist of the Licensed Product or any Modifications thereto.\n\n5. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for you to comply with any of the terms of this License with respect to some or all of the Licensed Product due to statute, judicial order, or regulation, then you must (i) comply with the terms of this License to the maximum extent possible, (ii) cite the statute or regulation that prohibits you from adhering to the License, and (iii) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 4(d), and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill at computer programming to be able to understand it.\n\n6. Application of This License.\n\nThis License applies to code to which Licensor or Contributor has attached the Notice in Exhibit A, which is incorporated herein by this reference.\n\n7. Versions of This License.\n\n	 a. Version. The Motosoto Open Source License is derived from the Jabber Open Source License. All changes are related to applicable law and the location of court.\n\n	 b. New Versions. Licensor may publish from time to time revised and/or new versions of the License.\n\n	 c. Effect of New Versions. Once Licensed Product has been published under a particular version of the License, you may always continue to use it under the terms of that version. You may also choose to use such Licensed Product under the terms of any subsequent version of the License published by Licensor. No one other than Lic ensor has the right to modify the terms applicable to Licensed Product created under this License.\n\n	 d. Derivative Works of this License. If you create or use a modified version of this License, which you may do only in order to apply it to software that is not already a Licensed Product under this License, you must rename your license so that it is not confusingly similar to this License, and must make it clear that your license contains terms that differ from this License. In so naming your license, you may not use any trademark of Licensor or any Contributor.\n\n8. Disclaimer of Warranty.\n\nLICENSED PRODUCT IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE LICENSED PRODUCT IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED PRODUCT IS WITH YOU. SHOULD LICENSED PRODUCT PROVE DEFECTIVE IN ANY RESPECT, YOU (AND NOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF LICENSED PRODUCT IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n9. Termination.\n\n	 a. Automatic Termination Upon Breach. This license and the rights granted hereunder will terminate automatically if you fail to comply with the terms herein and fail to cure such breach within thirty (30) days of becoming aware of the breach. All sublicenses to the Licensed Product that are properly granted shall survive any termination of this license. Provisions that, by their nature, must remain in effect beyond the termination of this License, shall survive.\n\n	 b. Termination Upon Assertion of Patent Infringement. If you initiate litigation by asserting a patent infringement claim (excluding declaratory judgment actions) against Licensor or a Contributor (Licensor or Contributor against whom you file such an action is referred to herein as \"Respondent\") alleging that Licensed Product directly or indirectly infringes any patent, then any and all rights granted by such Respondent to you under Sections 1 or 2 of this License shall terminate prospectively upon sixty (60) days notice from Respondent (the \"Notice Period\") unless within that Notice Period you either agree in writing (i) to pay Respondent a mutually agreeable reasonably royalty for your past or future use of Licensed Product made by such Respondent, or (ii) withdraw your litigation claim with respect to Licensed Product against such Respondent. If within said Notice Period a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Licensor to you under Sections 1 and 2 automatically terminate at the expiration of said Notice Period.\n\n	 c. Reasonable Value of This License. If you assert a patent infringement claim against Respondent alleging that Licensed Product directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by said Respondent under Sections 1 and 2 shall be taken into account in determining the amount or value of any payment or license.\n\n	 d. No Retroactive Effect of Termination. In the event of termination under Sections 9(a) or 9(b) above, all end user license agreements (excluding licenses to distributors and reselle rs) that have been validly granted by you or any distributor hereunder prior to termination shall survive termination.\n\n10. Limitation of Liability.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF LICENSED PRODUCT, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY\n"
		self.standardLicenseTemplate = "<<beginOptional>>MOTOSOTO OPEN SOURCE LICENSE - Version 0.9.1\n\n<<endOptional>>\n\nThis Motosoto Open Source License (the \"License\") applies to \"Community Portal Server\" and related software products as well as any updatesor maintenance releases of that software (\"Motosoto Products\") that are distributed by Motosoto.Com B.V. (\"Licensor\"). Any Motosoto Product licensed pursuant to this License is a \"Licensed Product.\" Licensed Product, in its entirety, is protected by Dutch copyright law. This License identifies the terms under which you may use, copy, distribute or modify Licensed Product and has been submitted to the Open Software Initiative (OSI) for approval.\n\n<<beginOptional>>Preamble\n\nThis Preamble is intended to describe, in plain English, the nature and scope of this License. However, this Preamble is not a part of this license. The legal effect of this License is dependent only upon the terms of the License and not this Preamble. This License complies with the Open Source Definition and has been approved by Open Source Initiative. Software distributed under this License may be marked as \"OSI Certified Open Source Software.\"\n\nThis License provides that:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may use, sell or give away the Licensed Product, alone or as a component of an aggregate software distribution containing programs from several different sources. No royalty or other fee is required.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Both Source Code and executable versions of the Licensed Product, including Modifications made by previous Contributors, are available for your use. (The terms \"Licensed Product,\" \"Modifications,\" \"Contributors\" and \"Source Code\" are defined in the License.)\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You are allowed to make Modifications to the Licensed Product, and you can create Derivative Works from it. (The term \"Derivative Works\" is defined in the License.)\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> By accepting the Licensed Product under the provisions of this License, you agree that any Modifications you make to the Licensed Product and then distribute are governed by the provisions of this License. In particular, you must make the Source Code of your Modifications available to others.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may use the Licensed Product for any purpose, but the Licensor is not providing you any warranty whatsoever, nor is the Licensor accepting any liability in the event that the Licensed Product doesn't work properly or causes you any injury or damages.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> If you sublicense the Licensed Product or Derivative Works, you may charge fees for warranty or support, or for accepting indemnity or liability obligations to your customers. You cannot charge for the Source Code.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> If you assert any patent claims against the Licensor relating to the Licensed Product, or if you breach any terms of the License, your rights to the Licensed Product under this License automatically terminate.\n\nYou may use this License to distribute your own Derivative Works, in which case the provisions of this License will apply to your Derivative Works just as they do to the original Licensed Product.\n\nAlternatively, you may distribute your Derivative Works under any other OSI-approved Open Source license, or under a proprietary license of your choice. If you use any license other than this License, however, you must continue to fulfill the requirements of this License (including the provisions relating to publishing the Source Code) for those portions of your Derivative Works that consist of the Licensed Product, including the files containing Modifications.\n\nNew versions of this License may be published from time to time. You may choose to continue to use the license terms in this version of the License or those from the new version. However, only the Licensor has the right to change the License terms as they apply to the Licensed Product. This License relies on precise definitions for certain terms. Those terms are defined when they are first used, and the definitions are repeated for your convenience in a Glossary at the end of the License.\n\nLicense Terms\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Grant of License From Licensor.\n\n   Licensor hereby grants you a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, to do the following:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Use, reproduce, modify, display, perform, sublicense and distribute Licensed Product or portions thereof (including Modifications as hereinafter defined), in both Source Code or as an executable program. \"Source Code\" means the preferred form for making modifications to the Licensed Product, including all modules contained therein, plus any associated interface definition files, scripts used to control compilation and installation of an executable program, or a list of differential comparisons against the Source Code of the Licensed Product.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Create Derivative Works (as that term is defined under Dutch copyright law) of Licensed Product by adding to or deleting from the substance or structure of said Licensed Product.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Under claims of patents now or hereafter owned or controlled by Licensor, to make, use, sell, offer for sale, have made, and/or otherwise dispose of Licensed Product or portions thereof, but solely to the extent that any such claim is necessary to enable you to make, use, sell, offer for sale, have made, and/or otherwise dispose of Licensed Product or portions thereof or Derivative Works thereof.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Grant of License to Modifications From Contributor.\n\n   \"Modifications\" means any additions to or deletions from the substance or structure of (i) a file containing Licensed Product, or (ii) any new file that contains any part of Licensed Product. Hereinafter in this License, the term \"Licensed Product\" shall include all previous Modifications that you receive from any Contributor. By application of the provisions in Section 4(a) below, each person or entity who created or contributed to the creation of, and distributed, a Modification (a \"Contributor\") hereby grants you a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, to do the following:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created by such Contributor or portions thereof, in both Source Code or as an executable program, either on an unmodified basis or as part of Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof, but solely to the extent that any such claim is necessary to enable you to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof or Derivative Works thereof.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Exclusions From License Grant.\n\n   Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor or any Contributor except as expressly stated herein. No patent license is granted separate from the Licensed Product, for code that you delete from the Licensed Product, or for combinations of the Licensed Product with other software or hardware. No right is granted to the trademarks of Licensor or any Contributor even if such marks are included in the Licensed Product. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any code that Licensor otherwise would have a right to license.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Your Obligations Regarding Distribution.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Application of This License to Your Modifications. As an express condition for your use of the Licensed Product, you hereby agree that any Modifications that you create or to which you contribute, and which you distribute, are governed by the terms of this License including, without limitation, Section 2. Any Modifications that you create or to which you contribute may be distributed only under the terms of this License or a future version of this License released under Section 7. You must include a copy of this License with every copy of the Modifications you distribute. You agree not to offer or impose any terms on any Source Code or executable version of the Licensed Product or Modifications that alter or restrict the applicable version of this License or the recipients' rights hereunder. However, you may include an additional document offering the additional rights described in Section 4(e).\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Availability of Source Code. You must make available, under the terms of this License, the Source Code of the Licensed Product and any Modifications that you distribute, either on the same media as you distribute any executable or other form of the Licensed Product, or via a mechanism generally accepted in the software development community for the electronic transfer of data (an \"Electronic Distribution Mechanism\"). The Source Code for any version of Licensed Product or Modifications that you distribute must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of said Licensed Product or Modifications has been made available. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Description of Modifications. You must cause any Modifications that you create or to which you contribute, and which you distribute, to contain a file documenting the additions, changes or deletions you made to create or contribute to those Modifications, and the dates of any such additions, changes or deletions. You must include a prominent statement that the Modifications are derived, directly or indirectly, from the Licensed Product and include the names of the Licensor and any Contributor to the Licensed Product in (i) the Source Code and (ii) in any notice displayed by a version of the Licensed Product you distribute or in related documentation in which you describe the origin or ownership of the Licensed Product. You may not modify or delete any preexisting copyright notices in the Licensed Product.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Intellectual Property Matters.\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Third Party Claims. If you have knowledge that a license to a third party's intellectual property right is required to exercise the rights granted by this License, you must include a text file with the Source Code distribution titled \"LEGAL\" that describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after you make any Modifications available as described in Section 4(b), you shall promptly modify the LEGAL file in all copies you make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Licensed Product from you that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Contributor APIs. If your Modifications include an application programming interface (\"API\") and you have knowledge of patent licenses that are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Representations. You represent that, except as disclosed pursuant to 4(d)(i) above, you believe that any Modifications you distribute are your original creations and that you have sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Required Notices. You must duplicate this License in any documentation you provide along with the Source Code of any Modifications you create or to which you contribute, and which you distribute, wherever you describe recipients' rights relating to Licensed Product. You must duplicate the notice contained in Exhibit A (the \"Notice\") in each file of the Source Code of any copy you distribute of the Licensed Product. If you created a Modification, you may add your name as a Contributor to the Notice. If it is not possible to put the Notice in a particular Source Code file due to its structure, then you must include such Notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Licensed Product. However, you may do so only on your own behalf, and not on behalf of the Licensor or any Contributor. You must make it clear that any such warranty, support, indemnity or liability obligation is offered by you alone, and you hereby agree to indemnify the Licensor and every Contributor for any liability incurred by the Licensor or such Contributor as a result of warranty, support, indemnity or liability terms you offer.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Licensed Product as an executable program under a license of your choice that may contain terms different from this License provided (i) you have satisfied the requirements of Sections 4(a) through 4(e) for that distribution, (ii) you include a conspicuous notice in the executable version, related documentation and collateral materials stating that the Source Code version of the Licensed Product is available under the terms of this License, including a description of how and where you have fulfilled the obligations of Section 4(b), (iii) you retain all existing copyright notices in the Licensed Product, and (iv) you make it clear that any terms that differ from this License are offered by you alone, not by Licensor or any Contributor. You hereby agree to indemnify the Licensor and every Contributor for any liability incurred by Licensor or such Contributor as a result of any terms you offer.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Distribution of Derivative Works. You may create Derivative Works (e.g., combinations of some or all of the Licensed Product with other code) and distribute the Derivative Works as products under any other license you select, with the proviso that the requirements of this License are fulfilled for those portions of the Derivative Works that consist of the Licensed Product or any Modifications thereto.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for you to comply with any of the terms of this License with respect to some or all of the Licensed Product due to statute, judicial order, or regulation, then you must (i) comply with the terms of this License to the maximum extent possible, (ii) cite the statute or regulation that prohibits you from adhering to the License, and (iii) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 4(d), and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill at computer programming to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Application of This License.\n\n   This License applies to code to which Licensor or Contributor has attached the Notice in Exhibit A, which is incorporated herein by this reference.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Versions of This License.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Version. The Motosoto Open Source License is derived from the Jabber Open Source License. All changes are related to applicable law and the location of court.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> New Versions. Licensor may publish from time to time revised and/or new versions of the License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Effect of New Versions. Once Licensed Product has been published under a particular version of the License, you may always continue to use it under the terms of that version. You may also choose to use such Licensed Product under the terms of any subsequent version of the License published by Licensor. No one other than Lic ensor has the right to modify the terms applicable to Licensed Product created under this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Derivative Works of this License. If you create or use a modified version of this License, which you may do only in order to apply it to software that is not already a Licensed Product under this License, you must rename your license so that it is not confusingly similar to this License, and must make it clear that your license contains terms that differ from this License. In so naming your license, you may not use any trademark of Licensor or any Contributor.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   LICENSED PRODUCT IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE LICENSED PRODUCT IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED PRODUCT IS WITH YOU. SHOULD LICENSED PRODUCT PROVE DEFECTIVE IN ANY RESPECT, YOU (AND NOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF LICENSED PRODUCT IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Termination.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Automatic Termination Upon Breach. This license and the rights granted hereunder will terminate automatically if you fail to comply with the terms herein and fail to cure such breach within thirty (30) days of becoming aware of the breach. All sublicenses to the Licensed Product that are properly granted shall survive any termination of this license. Provisions that, by their nature, must remain in effect beyond the termination of this License, shall survive.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Termination Upon Assertion of Patent Infringement. If you initiate litigation by asserting a patent infringement claim (excluding declaratory judgment actions) against Licensor or a Contributor (Licensor or Contributor against whom you file such an action is referred to herein as \"Respondent\") alleging that Licensed Product directly or indirectly infringes any patent, then any and all rights granted by such Respondent to you under Sections 1 or 2 of this License shall terminate prospectively upon sixty (60) days notice from Respondent (the \"Notice Period\") unless within that Notice Period you either agree in writing (i) to pay Respondent a mutually agreeable reasonably royalty for your past or future use of Licensed Product made by such Respondent, or (ii) withdraw your litigation claim with respect to Licensed Product against such Respondent. If within said Notice Period a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Licensor to you under Sections 1 and 2 automatically terminate at the expiration of said Notice Period.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Reasonable Value of This License. If you assert a patent infringement claim against Respondent alleging that Licensed Product directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by said Respondent under Sections 1 and 2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No Retroactive Effect of Termination. In the event of termination under Sections 9(a) or 9(b) above, all end user license agreements (excluding licenses to distributors and reselle rs) that have been validly granted by you or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Limitation of Liability.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF LICENSED PRODUCT, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY\n\n"
		self.name = "Motosoto License"
		self.licenseId = "Motosoto"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Motosoto", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:28Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/Motosoto"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>MOTOSOTO OPEN SOURCE LICENSE - Version 0.9.1</p>\n\n	  </div>\n\n	  <p>This Motosoto Open Source License (the &quot;License&quot;) applies to &quot;Community Portal\n		 Server&quot; and related software products as well as any updatesor maintenance releases of that\n		 software (&quot;Motosoto Products&quot;) that are distributed by Motosoto.Com B.V.\n		 (&quot;Licensor&quot;). Any Motosoto Product licensed pursuant to this License is a &quot;Licensed\n		 Product.&quot; Licensed Product, in its entirety, is protected by Dutch copyright law. This License\n		 identifies the terms under which you may use, copy, distribute or modify Licensed Product and has been\n		 submitted to the Open Software Initiative (OSI) for approval.</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>Preamble</p>\n\n		 <p>This Preamble is intended to describe, in plain English, the nature and scope of this License. However,\n		 this Preamble is not a part of this license. The legal effect of this License is dependent only upon\n		 the terms of the License and not this Preamble. This License complies with the Open Source Definition\n		 and has been approved by Open Source Initiative. Software distributed under this License may be marked\n		 as &quot;OSI Certified Open Source Software.&quot;</p>\n\n		 <p>This License provides that:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n		  You may use, sell or give away the Licensed Product, alone or as a component of an aggregate\n			 software distribution containing programs from several different sources. No royalty or other\n			 fee is required.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n		  Both Source Code and executable versions of the Licensed Product, including Modifications made by\n			 previous Contributors, are available for your use. (The terms &quot;Licensed Product,&quot;\n			 &quot;Modifications,&quot; &quot;Contributors&quot; and &quot;Source Code&quot; are defined in\n			 the License.)\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n		  You are allowed to make Modifications to the Licensed Product, and you can create Derivative\n			 Works from it. (The term &quot;Derivative Works&quot; is defined in the License.)\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n		  By accepting the Licensed Product under the provisions of this License, you agree that any\n			 Modifications you make to the Licensed Product and then distribute are governed by the\n			 provisions of this License. In particular, you must make the Source Code of your Modifications\n			 available to others.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n		  You may use the Licensed Product for any purpose, but the Licensor is not providing you any\n			 warranty whatsoever, nor is the Licensor accepting any liability in the event that the\n			 Licensed Product doesn&apos;t work properly or causes you any injury or damages.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 6.</var>\n		  If you sublicense the Licensed Product or Derivative Works, you may charge fees for warranty or\n			 support, or for accepting indemnity or liability obligations to your customers. You cannot\n			 charge for the Source Code.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 7.</var>\n		  If you assert any patent claims against the Licensor relating to the Licensed Product, or if you\n			 breach any terms of the License, your rights to the Licensed Product under this License\n			 automatically terminate.\n		</li>\n		 \n</ul>\n		 <p>You may use this License to distribute your own Derivative Works, in which case the provisions of this\n		 License will apply to your Derivative Works just as they do to the original Licensed Product.</p>\n\n		 <p>Alternatively, you may distribute your Derivative Works under any other OSI-approved Open Source license,\n		 or under a proprietary license of your choice. If you use any license other than this License,\n		 however, you must continue to fulfill the requirements of this License (including the provisions\n		 relating to publishing the Source Code) for those portions of your Derivative Works that consist of\n		 the Licensed Product, including the files containing Modifications.</p>\n\n		 <p>New versions of this License may be published from time to time. You may choose to continue to use the\n		 license terms in this version of the License or those from the new version. However, only the Licensor\n		 has the right to change the License terms as they apply to the Licensed Product. This License relies\n		 on precise definitions for certain terms. Those terms are defined when they are first used, and the\n		 definitions are repeated for your convenience in a Glossary at the end of the License.</p>\n\n		 <p>License Terms</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Grant of License From Licensor.\n		  <p>Licensor hereby grants you a world-wide, royalty-free, non-exclusive license, subject to third\n			 party intellectual property claims, to do the following:</p>\n\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a.</var>\n			Use, reproduce, modify, display, perform, sublicense and distribute Licensed Product or\n			   portions thereof (including Modifications as hereinafter defined), in both Source Code or\n			   as an executable program. &quot;Source Code&quot; means the preferred form for making\n			   modifications to the Licensed Product, including all modules contained therein, plus any\n			   associated interface definition files, scripts used to control compilation and\n			   installation of an executable program, or a list of differential comparisons against the\n			   Source Code of the Licensed Product.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b.</var>\n			Create Derivative Works (as that term is defined under Dutch copyright law) of Licensed\n			   Product by adding to or deleting from the substance or structure of said Licensed\n			   Product.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c.</var>\n			Under claims of patents now or hereafter owned or controlled by Licensor, to make, use, sell,\n			   offer for sale, have made, and/or otherwise dispose of Licensed Product or portions\n			   thereof, but solely to the extent that any such claim is necessary to enable you to make,\n			   use, sell, offer for sale, have made, and/or otherwise dispose of Licensed Product or\n			   portions thereof or Derivative Works thereof.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Grant of License to Modifications From Contributor.\n		  <p>&quot;Modifications&quot; means any additions to or deletions from the substance or structure of\n			 (i) a file containing Licensed Product, or (ii) any new file that contains any part of\n			 Licensed Product. Hereinafter in this License, the term &quot;Licensed Product&quot; shall\n			 include all previous Modifications that you receive from any Contributor. By application of\n			 the provisions in Section 4(a) below, each person or entity who created or contributed to the\n			 creation of, and distributed, a Modification (a &quot;Contributor&quot;) hereby grants you a\n			 world-wide, royalty-free, non-exclusive license, subject to third party intellectual property\n			 claims, to do the following:</p>\n\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a.</var>\n			Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created\n			   by such Contributor or portions thereof, in both Source Code or as an executable program,\n			   either on an unmodified basis or as part of Derivative Works.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b.</var>\n			Under claims of patents now or hereafter owned or controlled by Contributor, to make, use,\n			   sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions\n			   thereof, but solely to the extent that any such claim is necessary to enable you to make,\n			   use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or\n			   portions thereof or Derivative Works thereof.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Exclusions From License Grant.\n		  <p>Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents,\n			 trade secrets or any other intellectual property of Licensor or any Contributor except as\n			 expressly stated herein. No patent license is granted separate from the Licensed Product, for\n			 code that you delete from the Licensed Product, or for combinations of the Licensed Product\n			 with other software or hardware. No right is granted to the trademarks of Licensor or any\n			 Contributor even if such marks are included in the Licensed Product. Nothing in this License\n			 shall be interpreted to prohibit Licensor from licensing under different terms from this\n			 License any code that Licensor otherwise would have a right to license.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Your Obligations Regarding Distribution.\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a.</var>\n			Application of This License to Your Modifications. As an express condition for your use of\n			   the Licensed Product, you hereby agree that any Modifications that you create or to which\n			   you contribute, and which you distribute, are governed by the terms of this License\n			   including, without limitation, Section 2. Any Modifications that you create or to which\n			   you contribute may be distributed only under the terms of this License or a future version\n			   of this License released under Section 7. You must include a copy of this License with\n			   every copy of the Modifications you distribute. You agree not to offer or impose any terms\n			   on any Source Code or executable version of the Licensed Product or Modifications that\n			   alter or restrict the applicable version of this License or the recipients&apos; rights\n			   hereunder. However, you may include an additional document offering the additional rights\n			   described in Section 4(e).\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b.</var>\n			Availability of Source Code. You must make available, under the terms of this License, the\n			   Source Code of the Licensed Product and any Modifications that you distribute, either on\n			   the same media as you distribute any executable or other form of the Licensed Product, or\n			   via a mechanism generally accepted in the software development community for the\n			   electronic transfer of data (an &quot;Electronic Distribution Mechanism&quot;). The Source\n			   Code for any version of Licensed Product or Modifications that you distribute must remain\n			   available for at least twelve (12) months after the date it initially became available, or\n			   at least six (6) months after a subsequent version of said Licensed Product or\n			   Modifications has been made available. You are responsible for ensuring that the Source\n			   Code version remains available even if the Electronic Distribution Mechanism is maintained\n			   by a third party.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c.</var>\n			Description of Modifications. You must cause any Modifications that you create or to which\n			   you contribute, and which you distribute, to contain a file documenting the additions,\n			   changes or deletions you made to create or contribute to those Modifications, and the\n			   dates of any such additions, changes or deletions. You must include a prominent statement\n			   that the Modifications are derived, directly or indirectly, from the Licensed Product and\n			   include the names of the Licensor and any Contributor to the Licensed Product in (i) the\n			   Source Code and (ii) in any notice displayed by a version of the Licensed Product you\n			   distribute or in related documentation in which you describe the origin or ownership of\n			   the Licensed Product. You may not modify or delete any preexisting copyright notices in\n			   the Licensed Product.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d.</var>\n			Intellectual Property Matters.\n		  </li>\n\t  \n<li>\n\t  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> i.</var>\n			  Third Party Claims. If you have knowledge that a license to a third party&apos;s\n				 intellectual property right is required to exercise the rights granted by this\n				 License, you must include a text file with the Source Code distribution titled\n				 &quot;LEGAL&quot; that describes the claim and the party making the claim in\n				 sufficient detail that a recipient will know whom to contact. If you obtain such\n				 knowledge after you make any Modifications available as described in Section 4(b), you\n				 shall promptly modify the LEGAL file in all copies you make available thereafter and\n				 shall take other steps (such as notifying appropriate mailing lists or newsgroups)\n				 reasonably calculated to inform those who received the Licensed Product from you that\n				 new knowledge has been obtained.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> ii.</var>\n			  Contributor APIs. If your Modifications include an application programming interface\n				 (&quot;API&quot;) and you have knowledge of patent licenses that are reasonably\n				 necessary to implement that API, you must also include this information in the LEGAL\n				 file.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> iii.</var>\n			  Representations. You represent that, except as disclosed pursuant to 4(d)(i) above, you\n				 believe that any Modifications you distribute are your original creations and that you\n				 have sufficient rights to grant the rights conveyed by this License.\n			</li>\n			\n</ul>\n\t	</li>\n\t	\n<li>\n			   <var class=\"replaceable-license-text\"> e.</var>\n			Required Notices. You must duplicate this License in any documentation you provide along with\n			   the Source Code of any Modifications you create or to which you contribute, and which you\n			   distribute, wherever you describe recipients&apos; rights relating to Licensed Product.\n			   You must duplicate the notice contained in Exhibit A (the &quot;Notice&quot;) in each file\n			   of the Source Code of any copy you distribute of the Licensed Product. If you created a\n			   Modification, you may add your name as a Contributor to the Notice. If it is not possible\n			   to put the Notice in a particular Source Code file due to its structure, then you must\n			   include such Notice in a location (such as a relevant directory file) where a user would\n			   be likely to look for such a notice. You may choose to offer, and charge a fee for,\n			   warranty, support, indemnity or liability obligations to one or more recipients of\n			   Licensed Product. However, you may do so only on your own behalf, and not on behalf of the\n			   Licensor or any Contributor. You must make it clear that any such warranty, support,\n			   indemnity or liability obligation is offered by you alone, and you hereby agree to\n			   indemnify the Licensor and every Contributor for any liability incurred by the Licensor or\n			   such Contributor as a result of warranty, support, indemnity or liability terms you\n			   offer.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> f.</var>\n			Distribution of Executable Versions. You may distribute Licensed Product as an executable\n			   program under a license of your choice that may contain terms different from this License\n			   provided (i) you have satisfied the requirements of Sections 4(a) through 4(e) for that\n			   distribution, (ii) you include a conspicuous notice in the executable version, related\n			   documentation and collateral materials stating that the Source Code version of the\n			   Licensed Product is available under the terms of this License, including a description of\n			   how and where you have fulfilled the obligations of Section 4(b), (iii) you retain all\n			   existing copyright notices in the Licensed Product, and (iv) you make it clear that any\n			   terms that differ from this License are offered by you alone, not by Licensor or any\n			   Contributor. You hereby agree to indemnify the Licensor and every Contributor for any\n			   liability incurred by Licensor or such Contributor as a result of any terms you offer.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> g.</var>\n			Distribution of Derivative Works. You may create Derivative Works (e.g., combinations of some\n			   or all of the Licensed Product with other code) and distribute the Derivative Works as\n			   products under any other license you select, with the proviso that the requirements of\n			   this License are fulfilled for those portions of the Derivative Works that consist of the\n			   Licensed Product or any Modifications thereto.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Inability to Comply Due to Statute or Regulation.\n		  <p>If it is impossible for you to comply with any of the terms of this License with respect to some\n			 or all of the Licensed Product due to statute, judicial order, or regulation, then you must\n			 (i) comply with the terms of this License to the maximum extent possible, (ii) cite the\n			 statute or regulation that prohibits you from adhering to the License, and (iii) describe the\n			 limitations and the code they affect. Such description must be included in the LEGAL file\n			 described in Section 4(d), and must be included with all distributions of the Source Code.\n			 Except to the extent prohibited by statute or regulation, such description must be\n			 sufficiently detailed for a recipient of ordinary skill at computer programming to be able to\n			 understand it.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Application of This License.\n		  <p>This License applies to code to which Licensor or Contributor has attached the Notice in Exhibit\n			 A, which is incorporated herein by this reference.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Versions of This License.\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a.</var>\n			Version. The Motosoto Open Source License is derived from the Jabber Open Source License. All\n			   changes are related to applicable law and the location of court.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b.</var>\n			New Versions. Licensor may publish from time to time revised and/or new versions of the License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c.</var>\n			Effect of New Versions. Once Licensed Product has been published under a particular version\n			   of the License, you may always continue to use it under the terms of that version. You may\n			   also choose to use such Licensed Product under the terms of any subsequent version of the\n			   License published by Licensor. No one other than Lic ensor has the right to modify the\n			   terms applicable to Licensed Product created under this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d.</var>\n			Derivative Works of this License. If you create or use a modified version of this License,\n			   which you may do only in order to apply it to software that is not already a Licensed\n			   Product under this License, you must rename your license so that it is not confusingly\n			   similar to this License, and must make it clear that your license contains terms that\n			   differ from this License. In so naming your license, you may not use any trademark of\n			   Licensor or any Contributor.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Disclaimer of Warranty.\n		  <p>LICENSED PRODUCT IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTY\n			 OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE\n			 LICENSED PRODUCT IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR\n			 NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED PRODUCT IS\n			 WITH YOU. SHOULD LICENSED PRODUCT PROVE DEFECTIVE IN ANY RESPECT, YOU (AND NOT THE LICENSOR OR\n			 ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS\n			 DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF LICENSED\n			 PRODUCT IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Termination.\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a.</var>\n			Automatic Termination Upon Breach. This license and the rights granted hereunder will\n			   terminate automatically if you fail to comply with the terms herein and fail to cure such\n			   breach within thirty (30) days of becoming aware of the breach. All sublicenses to the\n			   Licensed Product that are properly granted shall survive any termination of this license.\n			   Provisions that, by their nature, must remain in effect beyond the termination of this\n			   License, shall survive.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b.</var>\n			Termination Upon Assertion of Patent Infringement. If you initiate litigation by asserting a\n			   patent infringement claim (excluding declaratory judgment actions) against Licensor or a\n			   Contributor (Licensor or Contributor against whom you file such an action is referred to\n			   herein as &quot;Respondent&quot;) alleging that Licensed Product directly or indirectly\n			   infringes any patent, then any and all rights granted by such Respondent to you under\n			   Sections 1 or 2 of this License shall terminate prospectively upon sixty (60) days notice\n			   from Respondent (the &quot;Notice Period&quot;) unless within that Notice Period you\n			   either agree in writing (i) to pay Respondent a mutually agreeable reasonably royalty for\n			   your past or future use of Licensed Product made by such Respondent, or (ii) withdraw your\n			   litigation claim with respect to Licensed Product against such Respondent. If within said\n			   Notice Period a reasonable royalty and payment arrangement are not mutually agreed upon in\n			   writing by the parties or the litigation claim is not withdrawn, the rights granted by\n			   Licensor to you under Sections 1 and 2 automatically terminate at the expiration of said\n			   Notice Period.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c.</var>\n			Reasonable Value of This License. If you assert a patent infringement claim against\n			   Respondent alleging that Licensed Product directly or indirectly infringes any patent\n			   where such claim is resolved (such as by license or settlement) prior to the initiation of\n			   patent infringement litigation, then the reasonable value of the licenses granted by said\n			   Respondent under Sections 1 and 2 shall be taken into account in determining the amount or\n			   value of any payment or license.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d.</var>\n			No Retroactive Effect of Termination. In the event of termination under Sections 9(a) or 9(b)\n			   above, all end user license agreements (excluding licenses to distributors and reselle rs)\n			   that have been validly granted by you or any distributor hereunder prior to termination\n			   shall survive termination.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Limitation of Liability.\n		</li>\n	  \n</ul>\n	  <p>UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR\n		 OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF LICENSED PRODUCT, OR ANY\n		 SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR\n		 CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL,\n		 WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES,\n		 EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF\n		 LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY</p>\n\n	"
		self.python_name = "Motosoto"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD43RENO:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1987 Regents of the University of California.\nAll rights reserved.\n\nRedistribution and use in source and binary forms are permitted\nprovided that this notice is preserved and that due credit is given\nto the University of California at Berkeley. The name of the University\nmay not be used to endorse or promote products derived from this\nsoftware without specific written prior permission. This software\nis provided ``as is'' without express or implied warranty.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1987 Regents of the University of California. All rights reserved.\";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms are permitted provided that this notice is preserved and that due credit is given to the <<var;name=\"name\";original=\"University of California at Berkeley\";match=\".+\">> . The name of the University may not be used to endorse or promote products derived from this software without specific <<var;name=\"written\";original=\"written prior\";match=\"written prior|prior written\">> permission. This software is provided ``as is'' without express or implied warranty.\n\n"
		self.name = "BSD 4.3 RENO License"
		self.licenseId = "BSD-4.3RENO"
		self.crossRef = [{"match": "False", "url": "https://git.openldap.org/openldap/openldap/-/blob/master/COPYRIGHT#L55-63", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:37Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://sourceware.org/git/?p=binutils-gdb.git;a=blob;f=libiberty/strcasecmp.c;h=131d81c2ce7881fa48c363dc5bf5fb302c61ce0b;hb=HEAD", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:38Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://sourceware.org/git/?p=binutils-gdb.git;a=blob;f=libiberty/strcasecmp.c;h=131d81c2ce7881fa48c363dc5bf5fb302c61ce0b;hb=HEAD", "https://git.openldap.org/openldap/openldap/-/blob/master/COPYRIGHT#L55-63"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (c) 1987 Regents of the University\n			of California. All rights reserved.\n		 </var>\n		 <p>\n			Redistribution and use in source and binary forms are permitted\n			provided that this notice is preserved and that due credit is\n			given to the <var class=\"replaceable-license-text\"> University of California at Berkeley</var>. \n			The name of the University may not be used to endorse or promote products derived\n			from this software without specific <var class=\"replaceable-license-text\"> written prior</var> permission. This\n			software is provided ``as is&apos;&apos; without express or implied warranty.\n		 </p>\n\n	  "
		self.python_name = "BSD43RENO"

	def __str__(self):
		return json.dumps(self.__dict__)


class OPUBL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Open Publication License\n\nv1.0, 8 June 1999\n\nI. REQUIREMENTS ON BOTH UNMODIFIED AND MODIFIED VERSIONS\n\nThe Open Publication works may be reproduced and distributed in whole or in part, in any medium physical or electronic, provided that the terms of this license are adhered to, and that this license or an incorporation of it by reference (with any options elected by the author(s) and/or publisher) is displayed in the reproduction.\n\nProper form for an incorporation by reference is as follows:\n\n	 Copyright (c) <year> by <author's name or designee>. This material may be distributed only subject to the terms and conditions set forth in the Open Publication License, vX.Y or later (the latest version is presently available at http://www.opencontent.org/openpub/).\n\nThe reference must be immediately followed with any options elected by the author(s) and/or publisher of the document (see section VI).\n\nCommercial redistribution of Open Publication-licensed material is permitted.\n\nAny publication in standard (paper) book form shall require the citation of the original publisher and author. The publisher and author's names shall appear on all outer surfaces of the book. On all outer surfaces of the book the original publisher's name shall be as large as the title of the work and cited as possessive with respect to the title.\n\nII. COPYRIGHT\n\nThe copyright to each Open Publication is owned by its author(s) or designee.\n\nIII. SCOPE OF LICENSE\n\nThe following license terms apply to all Open Publication works, unless otherwise explicitly stated in the document.\n\nMere aggregation of Open Publication works or a portion of an Open Publication work with other works or programs on the same media shall not cause this license to apply to those other works. The aggregate work shall contain a notice specifying the inclusion of the Open Publication material and appropriate copyright notice.\n\nSEVERABILITY. If any part of this license is found to be unenforceable in any jurisdiction, the remaining portions of the license remain in force.\n\nNO WARRANTY. Open Publication works are licensed and provided \"as is\" without warranty of any kind, express or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose or a warranty of non-infringement.\n\nIV. REQUIREMENTS ON MODIFIED WORKS\n\nAll modified versions of documents covered by this license, including translations, anthologies, compilations and partial documents, must meet the following requirements:\n	 1. The modified version must be labeled as such.\n	 2. The person making the modifications must be identified and the modifications dated.\n	 3. Acknowledgement of the original author and publisher if applicable must be retained according to normal academic citation practices.\n	 4. The location of the original unmodified document must be identified.\n	 5. The original author's (or authors') name(s) may not be used to assert or imply endorsement of the resulting document without the original author's (or authors') permission.\n\nV. GOOD-PRACTICE RECOMMENDATIONS\n\nIn addition to the requirements of this license, it is requested from and strongly recommended of redistributors that:\n	 1. If you are distributing Open Publication works on hardcopy or CD-ROM, you provide email notification to the authors of your intent to redistribute at least thirty days before your manuscript or media freeze, to give the authors time to provide updated documents. This notification should describe modifications, if any, made to the document.\n	 2. All substantive modifications (including deletions) be either clearly marked up in the document or else described in an attachment to the document.\n	 3. Finally, while it is not mandatory under this license, it is considered good form to offer a free copy of any hardcopy and CD-ROM expression of an Open Publication-licensed work to its author(s).\n\nVI. LICENSE OPTIONS\n\nThe author(s) and/or publisher of an Open Publication-licensed document may elect certain options by appending language to the reference to or copy of the license. These options are considered part of the license instance and must be included with the license (or its incorporation by reference) in derived works.\n\nA. To prohibit distribution of substantively modified versions without the explicit permission of the author(s). \"Substantive modification\" is defined as a change to the semantic content of the document, and excludes mere changes in format or typographical corrections.\n\nTo accomplish this, add the phrase `Distribution of substantively modified versions of this document is prohibited without the explicit permission of the copyright holder.' to the license reference or copy.\n\nB. To prohibit any publication of this work or derivative works in whole or in part in standard (paper) book form for commercial purposes is prohibited unless prior permission is obtained from the copyright holder.\n\nTo accomplish this, add the phrase 'Distribution of the work or derivative of the work in any standard (paper) book form is prohibited unless prior permission is obtained from the copyright holder.' to the license reference or copy.\n\nOPEN PUBLICATION POLICY APPENDIX:\n\n(This is not considered part of the license.)\n\nOpen Publication works are available in source format via the Open Publication home page at http://works.opencontent.org/.\n\nOpen Publication authors who want to include their own license on Open Publication works may do so, as long as their terms are not more restrictive than the Open Publication license.\n\nIf you have questions about the Open Publication License, please contact David Wiley, and/or the Open Publication Authors' List at opal@opencontent.org, via email.\n\nTo subscribe to the Open Publication Authors' List:\nSend E-mail to opal-request@opencontent.org with the word \"subscribe\" in the body.\n\nTo post to the Open Publication Authors' List:\nSend E-mail to opal@opencontent.org or simply reply to a previous post.\n\nTo unsubscribe from the Open Publication Authors' List:\nSend E-mail to opal-request@opencontent.org with the word \"unsubscribe\" in the body.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Open Publication License\n\nv1.0, 8 June 1999\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> REQUIREMENTS ON BOTH UNMODIFIED AND MODIFIED VERSIONS\n\n   The Open Publication works may be reproduced and distributed in whole or in part, in any medium physical or electronic, provided that the terms of this license are adhered to, and that this license or an incorporation of it by reference (with any options elected by the author(s) and/or publisher) is displayed in the reproduction.\n\n   Proper form for an incorporation by reference is as follows:\n\n   Copyright (c) <year> by <author's name or designee>. This material may be distributed only subject to the terms and conditions set forth in the Open Publication License, vX.Y or later (the latest version is presently available at http://www.opencontent.org/openpub/).\n\n   The reference must be immediately followed with any options elected by the author(s) and/or publisher of the document (see section VI).\n\n   Commercial redistribution of Open Publication-licensed material is permitted.\n\n   Any publication in standard (paper) book form shall require the citation of the original publisher and author. The publisher and author's names shall appear on all outer surfaces of the book. On all outer surfaces of the book the original publisher's name shall be as large as the title of the work and cited as possessive with respect to the title.\n\n   <<var;name=\"bullet\";original=\"II.\";match=\".{0,20}\">> COPYRIGHT\n\n   The copyright to each Open Publication is owned by its author(s) or designee.\n\n   <<var;name=\"bullet\";original=\"III.\";match=\".{0,20}\">> SCOPE OF LICENSE\n\n   The following license terms apply to all Open Publication works, unless otherwise explicitly stated in the document.\n\n   Mere aggregation of Open Publication works or a portion of an Open Publication work with other works or programs on the same media shall not cause this license to apply to those other works. The aggregate work shall contain a notice specifying the inclusion of the Open Publication material and appropriate copyright notice.\n\n   SEVERABILITY. If any part of this license is found to be unenforceable in any jurisdiction, the remaining portions of the license remain in force.\n\n   NO WARRANTY. Open Publication works are licensed and provided \"as is\" without warranty of any kind, express or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose or a warranty of non-infringement.\n\n   <<var;name=\"bullet\";original=\"IV.\";match=\".{0,20}\">> REQUIREMENTS ON MODIFIED WORKS\n\n   All modified versions of documents covered by this license, including translations, anthologies, compilations and partial documents, must meet the following requirements:\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The modified version must be labeled as such.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> The person making the modifications must be identified and the modifications dated.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Acknowledgement of the original author and publisher if applicable must be retained according to normal academic citation practices.\n\n	  <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The location of the original unmodified document must be identified.\n\n	  <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> The original author's (or authors') name(s) may not be used to assert or imply endorsement of the resulting document without the original author's (or authors') permission.\n\n   <<var;name=\"bullet\";original=\"V.\";match=\".{0,20}\">> GOOD-PRACTICE RECOMMENDATIONS\n\n   In addition to the requirements of this license, it is requested from and strongly recommended of redistributors that:\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> If you are distributing Open Publication works on hardcopy or CD-ROM, you provide email notification to the authors of your intent to redistribute at least thirty days before your manuscript or media freeze, to give the authors time to provide updated documents. This notification should describe modifications, if any, made to the document.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> All substantive modifications (including deletions) be either clearly marked up in the document or else described in an attachment to the document.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Finally, while it is not mandatory under this license, it is considered good form to offer a free copy of any hardcopy and CD-ROM expression of an Open Publication-licensed work to its author(s).\n\n   <<var;name=\"bullet\";original=\"VI.\";match=\".{0,20}\">> LICENSE OPTIONS\n\n   The author(s) and/or publisher of an Open Publication-licensed document may elect certain options by appending language to the reference to or copy of the license. These options are considered part of the license instance and must be included with the license (or its incorporation by reference) in derived works.\n\n   A. To prohibit distribution of substantively modified versions without the explicit permission of the author(s). \"Substantive modification\" is defined as a change to the semantic content of the document, and excludes mere changes in format or typographical corrections.\n\n   To accomplish this, add the phrase `Distribution of substantively modified versions of this document is prohibited without the explicit permission of the copyright holder.' to the license reference or copy.\n\n   B. To prohibit any publication of this work or derivative works in whole or in part in standard (paper) book form for commercial purposes is prohibited unless prior permission is obtained from the copyright holder.\n\n   To accomplish this, add the phrase 'Distribution of the work or derivative of the work in any standard (paper) book form is prohibited unless prior permission is obtained from the copyright holder.' to the license reference or copy.\n\n   <<beginOptional>>OPEN PUBLICATION POLICY APPENDIX:\n\n(This is not considered part of the license.)\n\nOpen Publication works are available in source format via the Open Publication home page at http://works.opencontent.org/.\n\nOpen Publication authors who want to include their own license on Open Publication works may do so, as long as their terms are not more restrictive than the Open Publication license.\n\nIf you have questions about the Open Publication License, please contact David Wiley, and/or the Open Publication Authors' List at opal@opencontent.org, via email.\n\nTo subscribe to the Open Publication Authors' List: Send E-mail to opal-request@opencontent.org with the word \"subscribe\" in the body.\n\nTo post to the Open Publication Authors' List: Send E-mail to opal@opencontent.org or simply reply to a previous post.\n\nTo unsubscribe from the Open Publication Authors' List: Send E-mail to opal-request@opencontent.org with the word \"unsubscribe\" in the body.\n\n<<endOptional>>"
		self.name = "Open Publication License v1.0"
		self.licenseComments = "Users of this license may wish to take care to identify which, if any, of the 'license options' described in section VI apply to the licensed work."
		self.licenseId = "OPUBL-1.0"
		self.crossRef = [{"match": "False", "url": "https://www.debian.org/opl", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:40Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://opencontent.org/openpub/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:40Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://www.ctan.org/license/opl", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:42Z", "isWayBackLink": False, "order": 2}]
		self.seeAlso = ["http://opencontent.org/openpub/", "https://www.debian.org/opl", "https://www.ctan.org/license/opl"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p>Open Publication License</p>\n\n		<p>v1.0, 8 June 1999</p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n		<var class=\"replaceable-license-text\"> I.</var>REQUIREMENTS ON BOTH UNMODIFIED AND MODIFIED VERSIONS \n		<p>The Open Publication works may be reproduced and distributed in whole or in part, in any medium physical or electronic, provided that the terms of this license are adhered to, and that this license or an incorporation of it by reference (with any options elected by the author(s) and/or publisher) is displayed in the reproduction.</p>\n\n		<p>Proper form for an incorporation by reference is as follows:</p>\n\n		<p>Copyright (c) &lt;year&gt; by &lt;author&apos;s name or designee&gt;. This material may be distributed only subject to the terms and conditions set forth in the Open Publication License, vX.Y or later (the latest version is presently available at http://www.opencontent.org/openpub/).</p>\n\n		<p>The reference must be immediately followed with any options elected by the author(s) and/or publisher of the document (see section VI).</p>\n\n		<p>Commercial redistribution of Open Publication-licensed material is permitted.</p>\n\n		<p>Any publication in standard (paper) book form shall require the citation of the original publisher and author. The publisher and author&apos;s names shall appear on all outer surfaces of the book. On all outer surfaces of the book the original publisher&apos;s name shall be as large as the title of the work and cited as possessive with respect to the title.</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> II.</var>COPYRIGHT \n		<p>The copyright to each Open Publication is owned by its author(s) or designee.</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> III.</var>SCOPE OF LICENSE \n		<p>The following license terms apply to all Open Publication works, unless otherwise explicitly stated in the document.</p>\n\n		<p>Mere aggregation of Open Publication works or a portion of an Open Publication work with other works or programs on the same media shall not cause this license to apply to those other works. The aggregate work shall contain a notice specifying the inclusion of the Open Publication material and appropriate copyright notice.</p>\n\n		<p>SEVERABILITY. If any part of this license is found to be unenforceable in any jurisdiction, the remaining portions of the license remain in force.</p>\n\n		<p>NO WARRANTY. Open Publication works are licensed and provided &quot;as is&quot; without warranty of any kind, express or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose or a warranty of non-infringement.</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> IV.</var>REQUIREMENTS ON MODIFIED WORKS \n		<p>All modified versions of documents covered by this license, including translations, anthologies, compilations and partial documents, must meet the following requirements: \n		\n<ul style=\"list-style:none\">\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> 1.</var>The modified version must be labeled as such.</li>\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> 2.</var>The person making the modifications must be identified and the modifications dated.</li>\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> 3.</var>Acknowledgement of the original author and publisher if applicable must be retained according to normal academic citation practices.</li>\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> 4.</var>The location of the original unmodified document must be identified.</li>\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> 5.</var>The original author&apos;s (or authors&apos;) name(s) may not be used to assert or imply endorsement of the resulting document without the original author&apos;s (or authors&apos;) permission.</li>\n		\n</ul></p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> V.</var>GOOD-PRACTICE RECOMMENDATIONS \n		<p>In addition to the requirements of this license, it is requested from and strongly recommended of redistributors that: \n		\n<ul style=\"list-style:none\">\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> 1.</var>If you are distributing Open Publication works on hardcopy or CD-ROM, you provide email notification to the authors of your intent to redistribute at least thirty days before your manuscript or media freeze, to give the authors time to provide updated documents. This notification should describe modifications, if any, made to the document.</li>\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> 2.</var>All substantive modifications (including deletions) be either clearly marked up in the document or else described in an attachment to the document.</li>\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> 3.</var>Finally, while it is not mandatory under this license, it is considered good form to offer a free copy of any hardcopy and CD-ROM expression of an Open Publication-licensed work to its author(s).</li>\n		\n</ul></p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> VI.</var>LICENSE OPTIONS \n		<p>The author(s) and/or publisher of an Open Publication-licensed document may elect certain options by appending language to the reference to or copy of the license. These options are considered part of the license instance and must be included with the license (or its incorporation by reference) in derived works.</p>\n\n		<p>A. To prohibit distribution of substantively modified versions without the explicit permission of the author(s). &quot;Substantive modification&quot; is defined as a change to the semantic content of the document, and excludes mere changes in format or typographical corrections.</p>\n\n		<p>To accomplish this, add the phrase `Distribution of substantively modified versions of this document is prohibited without the explicit permission of the copyright holder.&apos; to the license reference or copy.</p>\n\n		<p>B. To prohibit any publication of this work or derivative works in whole or in part in standard (paper) book form for commercial purposes is prohibited unless prior permission is obtained from the copyright holder.</p>\n\n		<p>To accomplish this, add the phrase &apos;Distribution of the work or derivative of the work in any standard (paper) book form is prohibited unless prior permission is obtained from the copyright holder.&apos; to the license reference or copy.</p>\n</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>OPEN PUBLICATION POLICY APPENDIX:</p>\n\n		<p>(This is not considered part of the license.)</p>\n\n		<p>Open Publication works are available in source format via the Open Publication home page at http://works.opencontent.org/.</p>\n\n		<p>Open Publication authors who want to include their own license on Open Publication works may do so, as long as their terms are not more restrictive than the Open Publication license.</p>\n\n		<p>If you have questions about the Open Publication License, please contact David Wiley, and/or the Open Publication Authors&apos; List at opal@opencontent.org, via email.</p>\n\n		<p>To subscribe to the Open Publication Authors&apos; List: Send E-mail to opal-request@opencontent.org with the word &quot;subscribe&quot; in the body.</p>\n\n		<p>To post to the Open Publication Authors&apos; List: Send E-mail to opal@opencontent.org or simply reply to a previous post.</p>\n\n		<p>To unsubscribe from the Open Publication Authors&apos; List: Send E-mail to opal-request@opencontent.org with the word &quot;unsubscribe&quot; in the body.</p>\n\n	  </div>\n	"
		self.python_name = "OPUBL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class APSL11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "APPLE PUBLIC SOURCE LICENSE\nVersion 1.1 - April 19,1999\n\nPlease read this License carefully before downloading this software.\nBy downloading and using this software, you are agreeing to be bound by the terms of this License.  If you do not or cannot agree to the terms of this License, please do not download or use the software.\n\n1. General; Definitions.  This License applies to any program or other work which Apple Computer, Inc. (\"Apple\") publicly announces as subject to this Apple Public Source License and which contains a notice placed by Apple identifying such program or work as \"Original Code\" and stating that it is subject to the terms of this Apple Public Source License version 1.1 (or subsequent version thereof), as it may be revised from time to time by Apple (\"License\").  As used in this License:\n\n	 1.1 \"Affected Original Code\" means only those specific portions of Original Code that allegedly infringe upon any party's intellectual property rights or are otherwise the subject of a claim of infringement.\n\n	 1.2 \"Applicable Patent Rights\" mean: (a) in the case where Apple is the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to Apple and (ii) that cover subject matter contained in the Original Code, but only to the extent necessary to use, reproduce and/or distribute the Original Code without infringement; and (b) in the case where You are the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to You and (ii) that cover subject matter in Your Modifications, taken alone or in combination with Original Code.\n\n	 1.3 \"Covered Code\" means the Original Code, Modifications, the combination of Original Code and any Modifications, and/or any respective portions thereof.\n\n	 1.4 \"Deploy\" means to use, sublicense or distribute Covered Code other than for Your internal research and development (R&D), and includes without limitation, any and all internal use or distribution of Covered Code within Your business or organization except for R&D use, as well as direct or indirect sublicensing or distribution of Covered Code by You to any third party in any form or manner.\n\n	 1.5 \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.6 \"Modifications\" mean any addition to, deletion from, and/or change to, the substance and/or structure of Covered Code.  When code is released as a series of files, a Modification is: (a) any addition to or deletion from the contents of a file containing Covered Code; and/or (b) any new file or other representation of computer program statements that contains any part of Covered Code.\n\n	 1.7 \"Original Code\" means (a) the Source Code of a program or other work as originally made available by Apple under this License, including the Source Code of any updates or upgrades to such programs or works made available by Apple under this License, and that has been expressly identified by Apple as such in the header file(s) of such work; and (b) the object code compiled from such Source Code and originally made available by Apple under this License.\n\n	 1.8 \"Source Code\" means the human readable form of a program or other work that is suitable for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an executable (object code).\n\n	 1.9 \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License.  For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n2. Permitted Uses; Conditions & Restrictions.  Subject to the terms and conditions of this License, Apple hereby grants You, effective on the date You accept this License and download the Original Code, a world-wide, royalty-free, non- exclusive license, to the extent of Apple's Applicable Patent Rights and copyrights covering the Original Code, to do the following:\n\n	 2.1 You may use, copy, modify and distribute Original Code, with or without Modifications, solely for Your internal research and development, provided that You must in each instance:\n\n		  (a) retain and reproduce in all copies of Original Code the copyright and other proprietary notices and disclaimers of Apple as they appear in the Original Code, and keep intact all notices in the Original Code that refer to this License;\n\n		  (b) include a copy of this License with every copy of Source Code of Covered Code and documentation You distribute, and You may not offer or impose any terms on such Source Code that alter or restrict this License or the recipients' rights hereunder, except as permitted under Section 6; and\n\n		  (c) completely and accurately document all Modifications that you have made and the date of each such Modification, designate the version of the Original Code you used, prominently include a file carrying such information with the Modifications, and duplicate the notice in Exhibit A in each file of the Source Code of all such Modifications.\n\n	 2.2 You may Deploy Covered Code, provided that You must in each instance:\n\n		  (a) satisfy all the conditions of Section 2.1 with respect to the Source Code of the Covered Code;\n\n		  (b) make all Your Deployed Modifications publicly available in Source Code form via electronic distribution (e.g. download from a web site) under the terms of this License and subject to the license grants set forth in Section 3 below, and any additional terms You may choose to offer under Section 6.  You must continue to make the Source Code of Your Deployed Modifications available for as long as you Deploy the Covered Code or twelve (12) months from the date of initial Deployment, whichever is longer;\n\n		  (c) if You Deploy Covered Code containing Modifications made by You, inform others of how to obtain those Modifications by filling out and submitting the information found at http://www.apple.com/publicsource/modifications.html, if available; and\n\n		  (d) if You Deploy Covered Code in object code, executable form only, include a prominent notice, in the code itself as well as in related documentation, stating that Source Code of the Covered Code is available under the terms of this License with information on how and where to obtain such Source Code.\n\n3. Your Grants.  In consideration of, and as a condition to, the licenses granted to You under this License:\n\n	 (a) You hereby grant to Apple and all third parties a non-exclusive, royalty-free license, under Your Applicable Patent Rights and other intellectual property rights owned or controlled by You, to use, reproduce, modify, distribute and Deploy Your Modifications of the same scope and extent as Apple's licenses under Sections 2.1 and 2.2; and\n\n	 (b) You hereby grant to Apple and its subsidiaries a non-exclusive, worldwide, royalty-free, perpetual and irrevocable license, under Your Applicable Patent Rights and other intellectual property rights owned or controlled by You, to use, reproduce, execute, compile, display, perform, modify or have modified (for Apple and/or its subsidiaries), sublicense and distribute Your Modifications, in any form, through multiple tiers of distribution.\n\n4. Larger Works.  You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product.  In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof.\n\n5. Limitations on Patent License.  Except as expressly stated in Section 2, no other patent rights, express or implied, are granted by Apple herein.  Modifications and/or Larger Works may require additional patent licenses from Apple which Apple may grant in its sole discretion.\n\n6. Additional Terms.  You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations and/or other rights consistent with the scope of the license granted herein (\"Additional Terms\") to one or more recipients of Covered Code. However, You may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Apple. You must obtain the recipient's agreement that any such Additional Terms are offered by You alone, and You hereby agree to indemnify, defend and hold Apple harmless for any liability incurred by or claims asserted against Apple by reason of any such Additional Terms.\n\n7. Versions of the License.  Apple may publish revised and/or new versions of this License from time to time.  Each version will be given a distinguishing version number.  Once Original Code has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of this License published by Apple.  No one other than Apple has the right to modify the terms applicable to Covered Code created under this License.\n\n8. NO WARRANTY OR SUPPORT.  The Original Code may contain in whole or in part pre-release, untested, or not fully tested works.  The Original Code may contain errors that could cause failures or loss of data, and may be incomplete or contain inaccuracies.  You expressly acknowledge and agree that use of the Original Code, or any portion thereof, is at Your sole and entire risk.  THE ORIGINAL CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF ANY KIND AND APPLE AND APPLE'S LICENSOR(S) (FOR THE PURPOSES OF SECTIONS 8 AND 9, APPLE AND APPLE'S LICENSOR(S) ARE COLLECTIVELY REFERRED TO AS \"APPLE\") EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY OR SATISFACTORY QUALITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.  APPLE DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED IN THE ORIGINAL CODE WILL MEET YOUR REQUIREMENTS, OR THAT THE OPERATION OF THE ORIGINAL CODE WILL BE UNINTERRUPTED OR ERROR- FREE, OR THAT DEFECTS IN THE ORIGINAL CODE WILL BE CORRECTED.  NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY APPLE OR AN APPLE AUTHORIZED REPRESENTATIVE SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY.  You acknowledge that the Original Code is not intended for use in the operation of nuclear facilities, aircraft navigation, communication systems, or air traffic control machines in which case the failure of the Original Code could lead to death, personal injury, or severe physical or environmental damage.\n\n9. Liability.\n\n	 9.1 Infringement.  If any portion of, or functionality implemented by, the Original Code becomes the subject of a claim of infringement, Apple may, at its option: (a) attempt to procure the rights necessary for Apple and You to continue using the Affected Original Code; (b) modify the Affected Original Code so that it is no longer infringing; or (c) suspend Your rights to use, reproduce, modify, sublicense and distribute the Affected Original Code until a final determination of the claim is made by a court or governmental administrative agency of competent jurisdiction and Apple lifts the suspension as set forth below.  Such suspension of rights will be effective immediately upon Apple's posting of a notice to such effect on the Apple web site that is used for implementation of this License.  Upon such final determination being made, if Apple is legally able, without the payment of a fee or royalty, to resume use, reproduction, modification, sublicensing and distribution of the Affected Original Code, Apple will lift the suspension of rights to the Affected Original Code by posting a notice to such effect on the Apple web site that is used for implementation of this License.  If Apple suspends Your rights to Affected Original Code, nothing in this License shall be consTrued to restrict You, at Your option and subject to applicable law, from replacing the Affected Original Code with non-infringing code or independently negotiating for necessary rights from such third party.\n\n	 9.2 LIMITATION OF LIABILITY.  UNDER NO CIRCUMSTANCES SHALL APPLE BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE ORIGINAL CODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF APPLE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY.  In no event shall Apple's total liability to You for all damages under this License exceed the amount of fifty dollars ($50.00).\n\n10. Trademarks.  This License does not grant any rights to use the trademarks or trade names \"Apple\", \"Apple Computer\", \"Mac OS X\", \"Mac OS X Server\" or any other trademarks or trade names belonging to Apple (collectively \"Apple Marks\") and no Apple Marks may be used to endorse or promote products derived from the Original Code other than as permitted by and in strict compliance at all times with Apple's third party trademark usage guidelines which are posted at http://www.apple.com/legal/guidelinesfor3rdparties.html.\n\n11. Ownership.  Apple retains all rights, title and interest in and to the Original Code and any Modifications made by or on behalf of Apple (\"Apple Modifications\"), and such Apple Modifications will not be automatically subject to this License.  Apple may, at its sole discretion, choose to license such Apple Modifications under this License, or on different terms from those contained in this License or may choose not to license them at all.  Apple's development, use, reproduction, modification, sublicensing and distribution of Covered Code will not be subject to this License.\n\n12. Termination.\n\n	 12.1 Termination.  This License and the rights granted hereunder will terminate:\n\n		  (a) automatically without notice from Apple if You fail to comply with any term(s) of this License and fail to cure such breach within 30 days of becoming aware of such breach;\n\n		  (b) immediately in the event of the circumstances described in Section 13.5(b); or\n\n		  (c) automatically without notice from Apple if You, at any time during the term of this License, commence an action for patent infringement against Apple.\n\n	 12.2 Effect of Termination.  Upon termination, You agree to immediately stop any further use, reproduction, modification, sublicensing and distribution of the Covered Code and to destroy all copies of the Covered Code that are in your possession or control. All sublicenses to the Covered Code which have been properly granted prior to termination shall survive any termination of this License. Provisions which, by their nature, should remain in effect beyond the termination of this License shall survive, including but not limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13.  Neither party will be liable to the other for compensation, indemnity or damages of any sort solely as a result of terminating this License in accordance with its terms, and termination of this License will be without prejudice to any other right or remedy of either party.\n\n13.  Miscellaneous.\n\n	 13.1 Government End Users.  The Covered Code is a \"commercial item\" as defined in FAR 2.101.  Government software and technical data rights in the Covered Code include only those rights customarily provided to the public as defined in this License. This customary commercial license in technical data and software is provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation).  Accordingly, all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n	 13.2 Relationship of Parties.  This License will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between You and Apple, and You will not represent to the contrary, whether expressly, by implication, appearance or otherwise.\n\n	 13.3 Independent Development.  Nothing in this License will impair Apple's right to acquire, license, develop, have others develop for it, market and/or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Modifications, Larger Works, technology or products that You may\ndevelop, produce, market or distribute.\n\n	 13.4 Waiver; Construction.  Failure by Apple to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision.  Any law or regulation which provides that the language of a contract shall be consTrued against the drafter will not apply to this License.\n\n	 13.5 Severability.  (a) If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You from fully and/or specifically complying with Sections 2 and/or 3 or prevents the enforceability of either of those Sections, this License will immediately terminate and You must immediately discontinue any use of the Covered Code and destroy all copies of it that are in your possession or control.\n\n	 13.6 Dispute Resolution.  Any litigation or other dispute resolution between You and Apple relating to this License shall take place in the Northern District of California, and You and Apple hereby consent to the personal jurisdiction of, and venue in, the state and federal courts within that District with respect to this License. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n	 13.7 Entire Agreement; Governing Law.  This License constitutes the entire agreement between the parties with respect to the subject matter hereof.  This License shall be governed by the laws of the United States and the State of California, except that body of California law concerning conflicts of law.\n\n	 Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby confirm that they have requested that this License and all related documents be drafted in English. Les parties ont exige que le present contrat et tous les documents connexes soient rediges en anglais.\n\nEXHIBIT A.\n\n\"Portions Copyright (c) 1999-2000 Apple Computer, Inc.  All Rights Reserved.  This file contains Original Code and/or Modifications of Original Code as defined in and that are subject to the Apple Public Source License Version 1.1 (the \"License\").  You may not use this file except in compliance with the License.  Please obtain a copy of the License at http://www.apple.com/publicsource and read it before using this file.\n\nThe Original Code and all software distributed under the License are distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON- INFRINGEMENT.  Please see the License for the specific language governing rights and limitations under the License.\"\n"
		self.standardLicenseTemplate = "<<beginOptional>>APPLE PUBLIC SOURCE LICENSE\n\nVersion 1.1 - April 19, 1999\n\n<<endOptional>><<beginOptional>> Please read this License carefully before downloading this software.\n\nBy downloading and using this software, you are agreeing to be bound by the terms of this License. If you do not or cannot agree to the terms of this License, please do not download or use the software.\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> General; Definitions. This License applies to any program or other work which Apple Computer, Inc. (\"Apple\") publicly announces as subject to this Apple Public Source License and which contains a notice placed by Apple identifying such program or work as \"Original Code\" and stating that it is subject to the terms of this Apple Public Source License version 1.1 (or subsequent version thereof), as it may be revised from time to time by Apple (\"License\"). As used in this License:\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Affected Original Code\" means only those specific portions of Original Code that allegedly infringe upon any party's intellectual property rights or are otherwise the subject of a claim of infringement.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Applicable Patent Rights\" mean: (a) in the case where Apple is the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to Apple and (ii) that cover subject matter contained in the Original Code, but only to the extent necessary to use, reproduce and/or distribute the Original Code without infringement; and (b) in the case where You are the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to You and (ii) that cover subject matter in Your Modifications, taken alone or in combination with Original Code.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Covered Code\" means the Original Code, Modifications, the combination of Original Code and any Modifications, and/or any respective portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Deploy\" means to use, sublicense or distribute Covered Code other than for Your internal research and development (R&D), and includes without limitation, any and all internal use or distribution of Covered Code within Your business or organization except for R&D use, as well as direct or indirect sublicensing or distribution of Covered Code by You to any third party in any form or manner.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"Modifications\" mean any addition to, deletion from, and/or change to, the substance and/or structure of Covered Code. When code is released as a series of files, a Modification is: (a) any addition to or deletion from the contents of a file containing Covered Code; and/or (b) any new file or other representation of computer program statements that contains any part of Covered Code.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"Original Code\" means (a) the Source Code of a program or other work as originally made available by Apple under this License, including the Source Code of any updates or upgrades to such programs or works made available by Apple under this License, and that has been expressly identified by Apple as such in the header file(s) of such work; and (b) the object code compiled from such Source Code and originally made available by Apple under this License.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"Source Code\" means the human readable form of a program or other work that is suitable for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an executable (object code).\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Permitted Uses; Conditions & Restrictions. Subject to the terms and conditions of this License, Apple hereby grants You, effective on the date You accept this License and download the Original Code, a world-wide, royalty-free, non- exclusive license, to the extent of Apple's Applicable Patent Rights and copyrights covering the Original Code, to do the following:\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> You may use, copy, modify and distribute Original Code, with or without Modifications, solely for Your internal research and development, provided that You must in each instance:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> retain and reproduce in all copies of Original Code the copyright and other proprietary notices and disclaimers of Apple as they appear in the Original Code, and keep intact all notices in the Original Code that refer to this License;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> include a copy of this License with every copy of Source Code of Covered Code and documentation You distribute, and You may not offer or impose any terms on such Source Code that alter or restrict this License or the recipients' rights hereunder, except as permitted under Section 6; and\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> completely and accurately document all Modifications that you have made and the date of each such Modification, designate the version of the Original Code you used, prominently include a file carrying such information with the Modifications, and duplicate the notice in Exhibit A in each file of the Source Code of all such Modifications.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> You may Deploy Covered Code, provided that You must in each instance:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> satisfy all the conditions of Section 2.1 with respect to the Source Code of the Covered Code;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> make all Your Deployed Modifications publicly available in Source Code form via electronic distribution (e.g. download from a web site) under the terms of this License and subject to the license grants set forth in Section 3 below, and any additional terms You may choose to offer under Section 6. You must continue to make the Source Code of Your Deployed Modifications available for as long as you Deploy the Covered Code or twelve (12) months from the date of initial Deployment, whichever is longer;\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> if You Deploy Covered Code containing Modifications made by You, inform others of how to obtain those Modifications by filling out and submitting the information found at http://www.apple.com/publicsource/modifications.html, if available; and\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> if You Deploy Covered Code in object code, executable form only, include a prominent notice, in the code itself as well as in related documentation, stating that Source Code of the Covered Code is available under the terms of this License with information on how and where to obtain such Source Code.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Your Grants. In consideration of, and as a condition to, the licenses granted to You under this License:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> You hereby grant to Apple and all third parties a non-exclusive, royalty-free license, under Your Applicable Patent Rights and other intellectual property rights owned or controlled by You, to use, reproduce, modify, distribute and Deploy Your Modifications of the same scope and extent as Apple's licenses under Sections 2.1 and 2.2; and\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You hereby grant to Apple and its subsidiaries a non-exclusive, worldwide, royalty-free, perpetual and irrevocable license, under Your Applicable Patent Rights and other intellectual property rights owned or controlled by You, to use, reproduce, execute, compile, display, perform, modify or have modified (for Apple and/or its subsidiaries), sublicense and distribute Your Modifications, in any form, through multiple tiers of distribution.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Limitations on Patent License. Except as expressly stated in Section 2, no other patent rights, express or implied, are granted by Apple herein. Modifications and/or Larger Works may require additional patent licenses from Apple which Apple may grant in its sole discretion.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations and/or other rights consistent with the scope of the license granted herein (\"Additional Terms\") to one or more recipients of Covered Code. However, You may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Apple. You must obtain the recipient's agreement that any such Additional Terms are offered by You alone, and You hereby agree to indemnify, defend and hold Apple harmless for any liability incurred by or claims asserted against Apple by reason of any such Additional Terms.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Versions of the License. Apple may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Once Original Code has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of this License published by Apple. No one other than Apple has the right to modify the terms applicable to Covered Code created under this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> NO WARRANTY OR SUPPORT. The Original Code may contain in whole or in part pre-release, untested, or not fully tested works. The Original Code may contain errors that could cause failures or loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and agree that use of the Original Code, or any portion thereof, is at Your sole and entire risk. THE ORIGINAL CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF ANY KIND AND APPLE AND APPLE'S LICENSOR(S) (FOR THE PURPOSES OF SECTIONS 8 AND 9, APPLE AND APPLE'S LICENSOR(S) ARE COLLECTIVELY REFERRED TO AS \"APPLE\") EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY OR SATISFACTORY QUALITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. APPLE DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED IN THE ORIGINAL CODE WILL MEET YOUR REQUIREMENTS, OR THAT THE OPERATION OF THE ORIGINAL CODE WILL BE UNINTERRUPTED OR ERROR- FREE, OR THAT DEFECTS IN THE ORIGINAL CODE WILL BE CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY APPLE OR AN APPLE AUTHORIZED REPRESENTATIVE SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY. You acknowledge that the Original Code is not intended for use in the operation of nuclear facilities, aircraft navigation, communication systems, or air traffic control machines in which case the failure of the Original Code could lead to death, personal injury, or severe physical or environmental damage.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Liability.\n\n	  <<var;name=\"bullet\";original=\"9.1\";match=\".{0,20}\">> Infringement. If any portion of, or functionality implemented by, the Original Code becomes the subject of a claim of infringement, Apple may, at its option: (a) attempt to procure the rights necessary for Apple and You to continue using the Affected Original Code; (b) modify the Affected Original Code so that it is no longer infringing; or (c) suspend Your rights to use, reproduce, modify, sublicense and distribute the Affected Original Code until a final determination of the claim is made by a court or governmental administrative agency of competent jurisdiction and Apple lifts the suspension as set forth below. Such suspension of rights will be effective immediately upon Apple's posting of a notice to such effect on the Apple web site that is used for implementation of this License. Upon such final determination being made, if Apple is legally able, without the payment of a fee or royalty, to resume use, reproduction, modification, sublicensing and distribution of the Affected Original Code, Apple will lift the suspension of rights to the Affected Original Code by posting a notice to such effect on the Apple web site that is used for implementation of this License. If Apple suspends Your rights to Affected Original Code, nothing in this License shall be consTrued to restrict You, at Your option and subject to applicable law, from replacing the Affected Original Code with non-infringing code or independently negotiating for necessary rights from such third party.\n\n	  <<var;name=\"bullet\";original=\"9.2\";match=\".{0,20}\">> LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES SHALL APPLE BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE ORIGINAL CODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF APPLE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. In no event shall Apple's total liability to You for all damages under this License exceed the amount of fifty dollars ($50.00).\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Trademarks. This License does not grant any rights to use the trademarks or trade names \"Apple\", \"Apple Computer\", \"Mac OS X\", \"Mac OS X Server\" or any other trademarks or trade names belonging to Apple (collectively \"Apple Marks\") and no Apple Marks may be used to endorse or promote products derived from the Original Code other than as permitted by and in strict compliance at all times with Apple's third party trademark usage guidelines which are posted at http://www.apple.com/legal/guidelinesfor3rdparties.html.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Ownership. Apple retains all rights, title and interest in and to the Original Code and any Modifications made by or on behalf of Apple (\"Apple Modifications\"), and such Apple Modifications will not be automatically subject to this License. Apple may, at its sole discretion, choose to license such Apple Modifications under this License, or on different terms from those contained in this License or may choose not to license them at all. Apple's development, use, reproduction, modification, sublicensing and distribution of Covered Code will not be subject to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Termination.\n\n	  <<var;name=\"bullet\";original=\"12.1\";match=\".{0,20}\">> Termination. This License and the rights granted hereunder will terminate:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> automatically without notice from Apple if You fail to comply with any term(s) of this License and fail to cure such breach within 30 days of becoming aware of such breach;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> immediately in the event of the circumstances described in Section 13.5(b); or\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> automatically without notice from Apple if You, at any time during the term of this License, commence an action for patent infringement against Apple.\n\n	  <<var;name=\"bullet\";original=\"12.2\";match=\".{0,20}\">> Effect of Termination. Upon termination, You agree to immediately stop any further use, reproduction, modification, sublicensing and distribution of the Covered Code and to destroy all copies of the Covered Code that are in your possession or control. All sublicenses to the Covered Code which have been properly granted prior to termination shall survive any termination of this License. Provisions which, by their nature, should remain in effect beyond the termination of this License shall survive, including but not limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13. Neither party will be liable to the other for compensation, indemnity or damages of any sort solely as a result of terminating this License in accordance with its terms, and termination of this License will be without prejudice to any other right or remedy of either party.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Miscellaneous.\n\n	  <<var;name=\"bullet\";original=\"13.1\";match=\".{0,20}\">> Government End Users. The Covered Code is a \"commercial item\" as defined in FAR 2.101. Government software and technical data rights in the Covered Code include only those rights customarily provided to the public as defined in this License. This customary commercial license in technical data and software is provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation). Accordingly, all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n	  <<var;name=\"bullet\";original=\"13.2\";match=\".{0,20}\">> Relationship of Parties. This License will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between You and Apple, and You will not represent to the contrary, whether expressly, by implication, appearance or otherwise.\n\n	  <<var;name=\"bullet\";original=\"13.3\";match=\".{0,20}\">> Independent Development. Nothing in this License will impair Apple's right to acquire, license, develop, have others develop for it, market and/or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Modifications, Larger Works, technology or products that You may\n\n	  develop, produce, market or distribute.\n\n	  <<var;name=\"bullet\";original=\"13.4\";match=\".{0,20}\">> Waiver; Construction. Failure by Apple to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter will not apply to this License.\n\n	  <<var;name=\"bullet\";original=\"13.5\";match=\".{0,20}\">> Severability. (a) If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You from fully and/or specifically complying with Sections 2 and/or 3 or prevents the enforceability of either of those Sections, this License will immediately terminate and You must immediately discontinue any use of the Covered Code and destroy all copies of it that are in your possession or control.\n\n	  <<var;name=\"bullet\";original=\"13.6\";match=\".{0,20}\">> Dispute Resolution. Any litigation or other dispute resolution between You and Apple relating to this License shall take place in the Northern District of California, and You and Apple hereby consent to the personal jurisdiction of, and venue in, the state and federal courts within that District with respect to this License. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n	  <<var;name=\"bullet\";original=\"13.7\";match=\".{0,20}\">> Entire Agreement; Governing Law. This License constitutes the entire agreement between the parties with respect to the subject matter hereof. This License shall be governed by the laws of the United States and the State of California, except that body of California law concerning conflicts of law.\n\n	  Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby confirm that they have requested that this License and all related documents be drafted in English. Les parties ont exige que le present contrat et tous les documents connexes soient rediges en anglais.\n\n	  <<beginOptional>>EXHIBIT A.\n\n\"Portions Copyright (c) 1999-2000 Apple Computer, Inc. All Rights Reserved. This file contains Original Code and/or Modifications of Original Code as defined in and that are subject to the Apple Public Source License Version 1.1 (the \"License\"). You may not use this file except in compliance with the License. Please obtain a copy of the License at http://www.apple.com/publicsource and read it before using this file.\n\nThe Original Code and all software distributed under the License are distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON- INFRINGEMENT. Please see the License for the specific language governing rights and limitations under the License.\"\n\n<<endOptional>>"
		self.name = "Apple Public Source License 1.1"
		self.licenseComments = "This license was released 19 April 1999."
		self.licenseId = "APSL-1.1"
		self.crossRef = [{"match": "True", "url": "http://www.opensource.apple.com/source/IOSerialFamily/IOSerialFamily-7/APPLE_LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:09Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.opensource.apple.com/source/IOSerialFamily/IOSerialFamily-7/APPLE_LICENSE"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>APPLE PUBLIC SOURCE LICENSE\n		<br />\n\nVersion 1.1 - April 19, 1999\n	  </p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Please read this License carefully before downloading this software.\n		<br />\n\nBy downloading and using this software, you are agreeing to be bound by the terms of this License.\n			 If you do not or cannot agree to the terms of this License, please do not download or use the\n			 software.\n	  </p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  General; Definitions. This License applies to any program or other work which Apple Computer,\n			 Inc. (&quot;Apple&quot;) publicly announces as subject to this Apple Public Source License and\n			 which contains a notice placed by Apple identifying such program or work as &quot;Original\n			 Code&quot; and stating that it is subject to the terms of this Apple Public Source License\n			 version 1.1 (or subsequent version thereof), as it may be revised from time to time by Apple\n			 (&quot;License&quot;). As used in this License:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.1</var>\n			&quot;Affected Original Code&quot; means only those specific portions of Original Code that\n			   allegedly infringe upon any party&apos;s intellectual property rights or are otherwise the\n			   subject of a claim of infringement.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.2</var>\n			&quot;Applicable Patent Rights&quot; mean: (a) in the case where Apple is the grantor of\n			   rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to\n			   Apple and (ii) that cover subject matter contained in the Original Code, but only to the\n			   extent necessary to use, reproduce and/or distribute the Original Code without\n			   infringement; and (b) in the case where You are the grantor of rights, (i) claims of\n			   patents that are now or hereafter acquired, owned by or assigned to You and (ii) that\n			   cover subject matter in Your Modifications, taken alone or in combination with Original\n			   Code.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.3</var>\n			&quot;Covered Code&quot; means the Original Code, Modifications, the combination of Original\n			   Code and any Modifications, and/or any respective portions thereof.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.4</var>\n			&quot;Deploy&quot; means to use, sublicense or distribute Covered Code other than for Your\n			   internal research and development (R&amp;D), and includes without limitation, any and all\n			   internal use or distribution of Covered Code within Your business or organization except\n			   for R&amp;D use, as well as direct or indirect sublicensing or distribution of Covered\n			   Code by You to any third party in any form or manner.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.5</var>\n			&quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with\n			   code not governed by the terms of this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.6</var>\n			&quot;Modifications&quot; mean any addition to, deletion from, and/or change to, the\n			   substance and/or structure of Covered Code. When code is released as a series of files, a\n			   Modification is: (a) any addition to or deletion from the contents of a file containing\n			   Covered Code; and/or (b) any new file or other representation of computer program\n			   statements that contains any part of Covered Code.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.7</var>\n			&quot;Original Code&quot; means (a) the Source Code of a program or other work as originally\n			   made available by Apple under this License, including the Source Code of any updates or\n			   upgrades to such programs or works made available by Apple under this License, and that\n			   has been expressly identified by Apple as such in the header file(s) of such work; and (b)\n			   the object code compiled from such Source Code and originally made available by Apple\n			   under this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.8</var>\n			&quot;Source Code&quot; means the human readable form of a program or other work that is\n			   suitable for making modifications to it, including all modules it contains, plus any\n			   associated interface definition files, scripts used to control compilation and\n			   installation of an executable (object code).\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.9</var>\n			&quot;You&quot; or &quot;Your&quot; means an individual or a legal entity exercising rights\n			   under this License. For legal entities, &quot;You&quot; or &quot;Your&quot; includes any\n			   entity which controls, is controlled by, or is under common control with, You, where\n			   &quot;control&quot; means (a) the power, direct or indirect, to cause the direction or\n			   management of such entity, whether by contract or otherwise, or (b) ownership of fifty\n			   percent (50%) or more of the outstanding shares or beneficial ownership of such\n			   entity.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Permitted Uses; Conditions &amp; Restrictions. Subject to the terms and conditions of this\n			 License, Apple hereby grants You, effective on the date You accept this License and download\n			 the Original Code, a world-wide, royalty-free, non- exclusive license, to the extent of\n			 Apple&apos;s Applicable Patent Rights and copyrights covering the Original Code, to do the\n			 following:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.1</var>\n			You may use, copy, modify and distribute Original Code, with or without Modifications, solely\n			   for Your internal research and development, provided that You must in each instance:\n		  </li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  retain and reproduce in all copies of Original Code the copyright and other proprietary\n				 notices and disclaimers of Apple as they appear in the Original Code, and keep intact\n				 all notices in the Original Code that refer to this License;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  include a copy of this License with every copy of Source Code of Covered Code and\n				 documentation You distribute, and You may not offer or impose any terms on such Source\n				 Code that alter or restrict this License or the recipients&apos; rights hereunder,\n				 except as permitted under Section 6; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			  completely and accurately document all Modifications that you have made and the date of\n				 each such Modification, designate the version of the Original Code you used,\n				 prominently include a file carrying such information with the Modifications, and\n				 duplicate the notice in Exhibit A in each file of the Source Code of all such\n				 Modifications.\n			</li>\n			\n</ul>\n\t	</li>\n\t	\n<li>\n			   <var class=\"replaceable-license-text\"> 2.2</var>\n			You may Deploy Covered Code, provided that You must in each instance:\n		  </li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  satisfy all the conditions of Section 2.1 with respect to the Source Code of the Covered Code;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  make all Your Deployed Modifications publicly available in Source Code form via\n				 electronic distribution (e.g. download from a web site) under the terms of this\n				 License and subject to the license grants set forth in Section 3 below, and any\n				 additional terms You may choose to offer under Section 6. You must continue to make\n				 the Source Code of Your Deployed Modifications available for as long as you Deploy the\n				 Covered Code or twelve (12) months from the date of initial Deployment, whichever is\n				 longer;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			  if You Deploy Covered Code containing Modifications made by You, inform others of how to\n				 obtain those Modifications by filling out and submitting the information found at\n				 http://www.apple.com/publicsource/modifications.html, if available; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (d)</var>\n			  if You Deploy Covered Code in object code, executable form only, include a prominent\n				 notice, in the code itself as well as in related documentation, stating that Source\n				 Code of the Covered Code is available under the terms of this License with information\n				 on how and where to obtain such Source Code.\n			</li>\n			\n</ul>\n	\t	</li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Your Grants. In consideration of, and as a condition to, the licenses granted to You under this\n			 License:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (a)</var>\n			You hereby grant to Apple and all third parties a non-exclusive, royalty-free license, under\n			   Your Applicable Patent Rights and other intellectual property rights owned or controlled\n			   by You, to use, reproduce, modify, distribute and Deploy Your Modifications of the same\n			   scope and extent as Apple&apos;s licenses under Sections 2.1 and 2.2; and\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (b)</var>\n			You hereby grant to Apple and its subsidiaries a non-exclusive, worldwide, royalty-free,\n			   perpetual and irrevocable license, under Your Applicable Patent Rights and other\n			   intellectual property rights owned or controlled by You, to use, reproduce, execute,\n			   compile, display, perform, modify or have modified (for Apple and/or its subsidiaries),\n			   sublicense and distribute Your Modifications, in any form, through multiple tiers of\n			   distribution.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Larger Works. You may create a Larger Work by combining Covered Code with other code not governed\n			 by the terms of this License and distribute the Larger Work as a single product. In each such\n			 instance, You must make sure the requirements of this License are fulfilled for the Covered\n			 Code or any portion thereof.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Limitations on Patent License. Except as expressly stated in Section 2, no other patent rights,\n			 express or implied, are granted by Apple herein. Modifications and/or Larger Works may require\n			 additional patent licenses from Apple which Apple may grant in its sole discretion.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity\n			 or liability obligations and/or other rights consistent with the scope of the license granted\n			 herein (&quot;Additional Terms&quot;) to one or more recipients of Covered Code. However, You\n			 may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Apple.\n			 You must obtain the recipient&apos;s agreement that any such Additional Terms are offered by\n			 You alone, and You hereby agree to indemnify, defend and hold Apple harmless for any liability\n			 incurred by or claims asserted against Apple by reason of any such Additional Terms.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Versions of the License. Apple may publish revised and/or new versions of this License from time\n			 to time. Each version will be given a distinguishing version number. Once Original Code has\n			 been published under a particular version of this License, You may continue to use it under\n			 the terms of that version. You may also choose to use such Original Code under the terms of\n			 any subsequent version of this License published by Apple. No one other than Apple has the\n			 right to modify the terms applicable to Covered Code created under this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  NO WARRANTY OR SUPPORT. The Original Code may contain in whole or in part pre-release, untested,\n			 or not fully tested works. The Original Code may contain errors that could cause failures or\n			 loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and\n			 agree that use of the Original Code, or any portion thereof, is at Your sole and entire risk.\n			 THE ORIGINAL CODE IS PROVIDED &quot;AS IS&quot; AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF\n			 ANY KIND AND APPLE AND APPLE&apos;S LICENSOR(S) (FOR THE PURPOSES OF SECTIONS 8 AND 9, APPLE\n			 AND APPLE&apos;S LICENSOR(S) ARE COLLECTIVELY REFERRED TO AS &quot;APPLE&quot;) EXPRESSLY\n			 DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,\n			 THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY OR SATISFACTORY QUALITY AND\n			 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. APPLE DOES NOT\n			 WARRANT THAT THE FUNCTIONS CONTAINED IN THE ORIGINAL CODE WILL MEET YOUR REQUIREMENTS, OR THAT\n			 THE OPERATION OF THE ORIGINAL CODE WILL BE UNINTERRUPTED OR ERROR- FREE, OR THAT DEFECTS IN\n			 THE ORIGINAL CODE WILL BE CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY APPLE\n			 OR AN APPLE AUTHORIZED REPRESENTATIVE SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE\n			 OF THIS WARRANTY. You acknowledge that the Original Code is not intended for use in the\n			 operation of nuclear facilities, aircraft navigation, communication systems, or air traffic\n			 control machines in which case the failure of the Original Code could lead to death, personal\n			 injury, or severe physical or environmental damage.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Liability.\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 9.1</var>\n			Infringement. If any portion of, or functionality implemented by, the Original Code becomes\n			   the subject of a claim of infringement, Apple may, at its option: (a) attempt to procure\n			   the rights necessary for Apple and You to continue using the Affected Original Code; (b)\n			   modify the Affected Original Code so that it is no longer infringing; or (c) suspend Your\n			   rights to use, reproduce, modify, sublicense and distribute the Affected Original Code\n			   until a final determination of the claim is made by a court or governmental administrative\n			   agency of competent jurisdiction and Apple lifts the suspension as set forth below. Such\n			   suspension of rights will be effective immediately upon Apple&apos;s posting of a notice\n			   to such effect on the Apple web site that is used for implementation of this License. Upon\n			   such final determination being made, if Apple is legally able, without the payment of a\n			   fee or royalty, to resume use, reproduction, modification, sublicensing and distribution\n			   of the Affected Original Code, Apple will lift the suspension of rights to the Affected\n			   Original Code by posting a notice to such effect on the Apple web site that is used for\n			   implementation of this License. If Apple suspends Your rights to Affected Original Code,\n			   nothing in this License shall be consTrued to restrict You, at Your option and subject to\n			   applicable law, from replacing the Affected Original Code with non-infringing code or\n			   independently negotiating for necessary rights from such third party.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 9.2</var>\n			LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES SHALL APPLE BE LIABLE FOR ANY INCIDENTAL,\n			   SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR\n			   YOUR USE OR INABILITY TO USE THE ORIGINAL CODE, OR ANY PORTION THEREOF, WHETHER UNDER A\n			   THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR\n			   OTHERWISE, EVEN IF APPLE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND\n			   NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. In no event shall\n			   Apple&apos;s total liability to You for all damages under this License exceed the amount\n			   of fifty dollars ($50.00).\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Trademarks. This License does not grant any rights to use the trademarks or trade names\n			 &quot;Apple&quot;, &quot;Apple Computer&quot;, &quot;Mac OS X&quot;, &quot;Mac OS X\n			 Server&quot; or any other trademarks or trade names belonging to Apple (collectively\n			 &quot;Apple Marks&quot;) and no Apple Marks may be used to endorse or promote products derived\n			 from the Original Code other than as permitted by and in strict compliance at all times with\n			 Apple&apos;s third party trademark usage guidelines which are posted at\n			 http://www.apple.com/legal/guidelinesfor3rdparties.html.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Ownership. Apple retains all rights, title and interest in and to the Original Code and any\n			 Modifications made by or on behalf of Apple (&quot;Apple Modifications&quot;), and such Apple\n			 Modifications will not be automatically subject to this License. Apple may, at its sole\n			 discretion, choose to license such Apple Modifications under this License, or on different\n			 terms from those contained in this License or may choose not to license them at all.\n			 Apple&apos;s development, use, reproduction, modification, sublicensing and distribution of\n			 Covered Code will not be subject to this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  Termination.\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 12.1</var>\n			Termination. This License and the rights granted hereunder will terminate:\n		  </li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  automatically without notice from Apple if You fail to comply with any term(s) of this\n				 License and fail to cure such breach within 30 days of becoming aware of such\n				 breach;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  immediately in the event of the circumstances described in Section 13.5(b); or\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			  automatically without notice from Apple if You, at any time during the term of this\n				 License, commence an action for patent infringement against Apple.\n			</li>\n			\n</ul>\n	\t	</li>\n\t	\n<li>\n			   <var class=\"replaceable-license-text\"> 12.2</var>\n			Effect of Termination. Upon termination, You agree to immediately stop any further use,\n			   reproduction, modification, sublicensing and distribution of the Covered Code and to\n			   destroy all copies of the Covered Code that are in your possession or control. All\n			   sublicenses to the Covered Code which have been properly granted prior to termination\n			   shall survive any termination of this License. Provisions which, by their nature, should\n			   remain in effect beyond the termination of this License shall survive, including but not\n			   limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13. Neither party will be liable to the\n			   other for compensation, indemnity or damages of any sort solely as a result of terminating\n			   this License in accordance with its terms, and termination of this License will be without\n			   prejudice to any other right or remedy of either party.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  Miscellaneous.\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.1</var>\n			Government End Users. The Covered Code is a &quot;commercial item&quot; as defined in FAR\n			   2.101. Government software and technical data rights in the Covered Code include only\n			   those rights customarily provided to the public as defined in this License. This customary\n			   commercial license in technical data and software is provided in accordance with FAR\n			   12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense\n			   purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights\n			   in Commercial Computer Software or Computer Software Documentation). Accordingly, all U.S.\n			   Government End Users acquire Covered Code with only those rights set forth herein.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.2</var>\n			Relationship of Parties. This License will not be consTrued as creating an agency,\n			   partnership, joint venture or any other form of legal association between You and Apple,\n			   and You will not represent to the contrary, whether expressly, by implication, appearance\n			   or otherwise.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.3</var>\n			Independent Development. Nothing in this License will impair Apple&apos;s right to acquire,\n			   license, develop, have others develop for it, market and/or distribute technology or\n			   products that perform the same or similar functions as, or otherwise compete with,\n			   Modifications, Larger Works, technology or products that You may\n			  <br />\n\n	  develop, produce, market or distribute.\n\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.4</var>\n			Waiver; Construction. Failure by Apple to enforce any provision of this License will not be\n			   deemed a waiver of future enforcement of that or any other provision. Any law or\n			   regulation which provides that the language of a contract shall be consTrued against the\n			   drafter will not apply to this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.5</var>\n			Severability. (a) If for any reason a court of competent jurisdiction finds any provision of\n			   this License, or portion thereof, to be unenforceable, that provision of the License will\n			   be enforced to the maximum extent permissible so as to effect the economic benefits and\n			   intent of the parties, and the remainder of this License will continue in full force and\n			   effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You\n			   from fully and/or specifically complying with Sections 2 and/or 3 or prevents the\n			   enforceability of either of those Sections, this License will immediately terminate and\n			   You must immediately discontinue any use of the Covered Code and destroy all copies of it\n			   that are in your possession or control.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.6</var>\n			Dispute Resolution. Any litigation or other dispute resolution between You and Apple relating\n			   to this License shall take place in the Northern District of California, and You and Apple\n			   hereby consent to the personal jurisdiction of, and venue in, the state and federal courts\n			   within that District with respect to this License. The application of the United Nations\n			   Convention on Contracts for the International Sale of Goods is expressly excluded.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.7</var>\n			Entire Agreement; Governing Law. This License constitutes the entire agreement between the\n			   parties with respect to the subject matter hereof. This License shall be governed by the\n			   laws of the United States and the State of California, except that body of California law\n			   concerning conflicts of law.\n	  <p>Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby\n		 confirm that they have requested that this License and all related documents be drafted in English.\n		 Les parties ont exige que le present contrat et tous les documents connexes soient rediges en\n		 anglais.</p>\n\n		  </li>\n		\n</ul>\n\t</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A.</p>\n\n		 <p>&quot;Portions Copyright (c) 1999-2000 Apple Computer, Inc. All Rights Reserved. This file contains\n		 Original Code and/or Modifications of Original Code as defined in and that are subject to the Apple\n		 Public Source License Version 1.1 (the &quot;License&quot;). You may not use this file except in\n		 compliance with the License. Please obtain a copy of the License at http://www.apple.com/publicsource\n		 and read it before using this file.</p>\n\n		 <p>The Original Code and all software distributed under the License are distributed on an &quot;AS IS&quot;\n		 basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH\n		 WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\n		 PURPOSE OR NON- INFRINGEMENT. Please see the License for the specific language governing rights and\n		 limitations under the License.&quot;</p>\n\n	  </div>\n	"
		self.python_name = "APSL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class TUBerlin20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1992, 1993, 1994 by Jutta Degener and Carsten Bormann,\nTechnische Universitaet Berlin\n\nAny use of this software is permitted provided that this notice is not removed and that neither the authors nor the Technische Universitaet Berlin are deemed to have made any representations as to the suitability of this software for any purpose nor are held responsible for any defects of this software.  THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.\n\nAs a matter of courtesy, the authors request to be informed about uses this software has found, about bugs in this software, and about any improvements that may be of general interest.\n\nBerlin, 28.11.1994\nJutta Degener\nCarsten Bormann\n\noOo\n\nSince the original terms of 15 years ago maybe do not make our intentions completely clear given today's refined usage of the legal terms, we append this additional permission:\n\nPermission to use, copy, modify, and distribute this software for any purpose with or without fee is hereby granted, provided that this notice is not removed and that neither the authors nor the Technische Universitaet Berlin are deemed to have made any representations as to the suitability of this software for any purpose nor are held responsible for any defects of this software.  THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.\n\nBerkeley/Bremen, 05.04.2009\nJutta Degener\nCarsten Bormann\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1992, 1993, 1994 by Jutta Degener and Carsten Bormann,	Technische Universitaet Berlin  \";match=\".{0,5000}\">>\n\nAny use of this software is permitted provided that this notice is not removed and that neither the authors nor the Technische Universitaet Berlin are deemed to have made any representations as to the suitability of this software for any purpose nor are held responsible for any defects of this software. THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.\n\nAs a matter of courtesy, the authors request to be informed about uses this software has found, about bugs in this software, and about any improvements that may be of general interest.\n\n<<beginOptional>>Berlin, <<var;name=\"footerDate\";original=\"28.11.1994\";match=\".+\">>\n\nJutta Degener\n\nCarsten Bormann\n\n<<endOptional>><<beginOptional>> oOo\n\n<<endOptional>>\n\nSince the original terms of 15 years ago maybe do not make our intentions completely clear given today's refined usage of the legal terms, we append this additional permission:\n\nPermission to use, copy, modify, and distribute this software for any purpose with or without fee is hereby granted, provided that this notice is not removed and that neither the authors nor the Technische Universitaet Berlin are deemed to have made any representations as to the suitability of this software for any purpose nor are held responsible for any defects of this software. THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.\n\n<<beginOptional>>Berkeley/Bremen, <<var;name=\"footerDate2\";original=\"05.04.2009\";match=\".+\">>\n\nJutta Degener\n\nCarsten Bormann\n\n<<endOptional>>"
		self.name = "Technische Universitaet Berlin License 2.0"
		self.licenseId = "TU-Berlin-2.0"
		self.crossRef = [{"match": "False", "url": "https://github.com/CorsixTH/deps/blob/fd339a9f526d1d9c9f01ccf39e438a015da50035/licences/libgsm.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:49Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/CorsixTH/deps/blob/fd339a9f526d1d9c9f01ccf39e438a015da50035/licences/libgsm.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		<p>Copyright 1992, 1993, 1994 by Jutta Degener and Carsten Bormann,\n\t	  </p>\n\n		<p>Technische Universitaet Berlin</p>\n\n	  </div>\n\n	  <p>\n		Any use of this software is permitted provided that this notice is not\n		removed and that neither the authors nor the Technische Universitaet Berlin\n		are deemed to have made any representations as to the suitability of this\n		software for any purpose nor are held responsible for any defects of\n		this software.  THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.\n	  </p>\n\n	  <p>\n		As a matter of courtesy, the authors request to be informed about uses\n		this software has found, about bugs in this software, and about any\n		improvements that may be of general interest.\n	  </p>\n\n	  <div class=\"optional-license-text\"> \n		<p>Berlin, <var class=\"replaceable-license-text\"> 28.11.1994</var></p>\n\n		<p>Jutta Degener</p>\n\n		<p>Carsten Bormann</p>\n\n	  </div>\n\n	  <div class=\"optional-license-text\"> <p>oOo</p>\n</div>\n\n	  <p>\n		Since the original terms of 15 years ago maybe do not make our\n		intentions completely clear given today&apos;s refined usage of the legal\n		terms, we append this additional permission:\n	  </p>\n\n	  <p>\n		Permission to use, copy, modify, and distribute this software\n		for any purpose with or without fee is hereby granted,\n		provided that this notice is not removed and that neither\n		the authors nor the Technische Universitaet Berlin are\n		deemed to have made any representations as to the suitability\n		of this software for any purpose nor are held responsible\n		for any defects of this software.  THERE IS ABSOLUTELY NO\n		WARRANTY FOR THIS SOFTWARE.\n	  </p>\n\n	  <div class=\"optional-license-text\"> \n		<p>Berkeley/Bremen, <var class=\"replaceable-license-text\"> 05.04.2009</var></p>\n\n		<p>Jutta Degener</p>\n\n		<p>Carsten Bormann</p>\n\n	  </div>\n	"
		self.python_name = "TUBerlin20"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD2ClauseDarwin:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) Ian F. Darwin 1986, 1987, 1989, 1990, 1991, 1992, 1994, 1995.\nSoftware written by Ian F. Darwin and others;\nmaintained 1994- Christos Zoulas.\n\nThis software is not subject to any export provision of the United States\nDepartment of Commerce, and may be exported to any country or planet.\n\nRedistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions\nare met:\n1. Redistributions of source code must retain the above copyright\n   notice immediately at the beginning of the file, without modification,\n   this list of conditions, and the following disclaimer.\n2. Redistributions in binary form must reproduce the above copyright\n   notice, this list of conditions and the following disclaimer in the\n   documentation and/or other materials provided with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND\nANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR\nANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\nOR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\nHOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\nLIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\nOUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\nSUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) Ian F. Darwin 1986, 1987, 1989, 1990, 1991, 1992, 1994, 1995.  Software written by Ian F. Darwin and others  maintained 1994- Christos Zoulas.  \";match=\".{0,5000}\">>\n\nThis software is not subject to any export provision of the United States Department of Commerce, and may be exported to any country or planet.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice immediately at the beginning of the file, without modification, this list of conditions, and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD 2-Clause - Ian Darwin variant"
		self.licenseComments = "This is similar to BSD-2-Clause, except it adds \"immediately at the beginning of the file, without modification\" in the first clause and adds an attempt to disclaim export law in the beginning."
		self.licenseId = "BSD-2-Clause-Darwin"
		self.crossRef = [{"match": "False", "url": "https://github.com/file/file/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:24:01Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/file/file/blob/master/COPYING"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n			<p>\n			Copyright (c) Ian F. Darwin 1986, 1987, 1989, 1990,\n			1991, 1992, 1994, 1995.<br />\n\n			Software written by Ian F. Darwin and others<br />\n\n			maintained 1994- Christos Zoulas.\n			</p>\n\n		 </div>\n		 <p>\n			This software is not subject to any export provision\n			of the United States Department of Commerce,\n			and may be exported to any country or planet.\n		 </p>\n\n		 <p>\n			Redistribution and use in source and binary forms, with or without\n			modification, are permitted provided that the following conditions\n			are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n				  Redistributions of source code must retain the above copyright\n				  notice immediately at the beginning of the file, without modification,\n				  this list of conditions, and the following disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n				  Redistributions in binary form must reproduce the above copyright\n				  notice, this list of conditions and the following disclaimer in the\n				  documentation and/or other materials provided with the distribution.\n			</li>\n		 \n</ul>\n		 <p>\n			THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS\n			IS&apos;&apos; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT\n			NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n			FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT\n			SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,\n			INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n			DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\n			GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n			INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n			WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n			THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		 </p>\n\n	  "
		self.python_name = "BSD2ClauseDarwin"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP22:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The OpenLDAP Public License\nVersion 2.2, 1 March 2000\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain copyright statements and notices. Redistributions must also contain a copy of this document.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. The name \"OpenLDAP\" must not be used to endorse or promote products derived from this Software without prior written permission of the OpenLDAP Foundation.\n\n4. Products derived from this Software may not be called \"OpenLDAP\" nor may \"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP Foundation.\n\n5. Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n6. The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2000, The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved. Permission to copy and distributed verbatim copies of this document is granted.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 2.2, 1 March 2000\n\n<<endOptional>>\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain copyright statements and notices. Redistributions must also contain a copy of this document.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The name \"OpenLDAP\" must not be used to endorse or promote products derived from this Software without prior written permission of the OpenLDAP Foundation.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Products derived from this Software may not be called \"OpenLDAP\" nor may \"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP Foundation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\n<<var;name=\"copyright\";original=\"Copyright 1999-2000, The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.\";match=\".{0,5000}\">> Permission to copy and distributed verbatim copies of this document is granted.\n\n"
		self.name = "Open LDAP Public License v2.2"
		self.licenseComments = "This license was released 1 March 2000."
		self.licenseId = "OLDAP-2.2"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=470b0c18ec67621c85881b2733057fecf4a1acc3", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:44Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=470b0c18ec67621c85881b2733057fecf4a1acc3"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 2.2, 1 March 2000\n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use of this software and associated documentation (&quot;Software&quot;), with or without\n		 modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain copyright statements and notices. Redistributions must\n			 also contain a copy of this document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  The name &quot;OpenLDAP&quot; must not be used to endorse or promote products derived from this Software\n			 without prior written permission of the OpenLDAP Foundation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Products derived from this Software may not be called &quot;OpenLDAP&quot; nor may &quot;OpenLDAP&quot; appear in\n			 their names without prior written permission of the OpenLDAP Foundation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished\n			 by a version number. You may use the Software under terms of this license revision or under\n			 the terms of any subsequent the license.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESSED OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS\n		 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n		 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n		 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n		 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\n		 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>OpenLDAP is a trademark of the OpenLDAP Foundation.</p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> \n		  Copyright 1999-2000, The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.\n		</var>\n		Permission to copy and distributed verbatim copies of this document is granted.\n	  </p>\n\n	"
		self.python_name = "OLDAP22"

	def __str__(self):
		return json.dumps(self.__dict__)


class CAL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "# The Cryptographic Autonomy License, v. 1.0\n\n*This Cryptographic Autonomy License (the \"License\") applies to any\nWork whose owner has marked it with any of the following notices, or a\nsimilar demonstration of intent:*\n\nSPDX-License-Identifier: CAL-1.0\nLicensed under the Cryptographic Autonomy License version 1.0\n\n*or*\n\nSPDX-License-Identifier: CAL-1.0-Combined-Work-Exception\nLicensed under the Cryptographic Autonomy License version 1.0, with\nCombined Work Exception\n\n______________________________________________________________________\n\n## 1. Purpose\n\nThis License gives You unlimited permission to use and modify the\nsoftware to which it applies (the \"Work\"), either as-is or in modified\nform, for Your private purposes, while protecting the owners and\ncontributors to the software from liability.\n\nThis License also strives to protect the freedom and autonomy of third\nparties who receive the Work from you. If any non-affiliated third\nparty receives any part, aspect, or element of the Work from You, this\nLicense requires that You provide that third party all the permissions\nand materials needed to independently use and modify the Work without\nthat third party having a loss of data or capability due to your\nactions.\n\nThe full permissions, conditions, and other terms are laid out below.\n\n## 2. Receiving a License\n\nIn order to receive this License, You must agree to its rules. The\nrules of this License are both obligations of Your agreement with the\nLicensor and conditions to your License. You must not do anything with\nthe Work that triggers a rule You cannot or will not follow.\n\n### 2.1. Application\n\nThe terms of this License apply to the Work as you receive it from\nLicensor, as well as to any modifications, elaborations, or\nimplementations created by You that contain any licensable portion of\nthe Work (a \"Modified Work\"). Unless specified, any reference to the\nWork also applies to a Modified Work.\n\n### 2.2. Offer and Acceptance\n\nThis License is automatically offered to every person and\norganization. You show that you accept this License and agree to its\nconditions by taking any action with the Work that, absent this\nLicense, would infringe any intellectual property right held by\nLicensor.\n\n### 2.3. Compliance and Remedies\n\nAny failure to act according to the terms and conditions of this\nLicense places Your use of the Work outside the scope of the License\nand infringes the intellectual property rights of the Licensor. In the\nevent of infringement, the terms and conditions of this License may be\nenforced by Licensor under the intellectual property laws of any\njurisdiction to which You are subject. You also agree that either the\nLicensor or a Recipient (as an intended third-party beneficiary) may\nenforce the terms and conditions of this License against You via\nspecific performance.\n\n## 3. Permissions\n### 3.1. Permissions Granted\n\nConditioned on compliance with section 4, and subject to the\nlimitations of section 3.2, Licensor grants You the world-wide,\nroyalty-free, non-exclusive permission to:\n\n+ a) Take any action with the Work that would infringe the non-patent\nintellectual property laws of any jurisdiction to which You are\nsubject; and\n\n+ b) claims that Licensor can license or becomes able to\nlicense, to the extent that those claims are embodied in the Work as\ndistributed by Licensor. ### 3.2. Limitations on Permissions Granted\n\nThe following limitations apply to the permissions granted in section\n3.1:\n\n+ a) Licensor does not grant any patent license for claims that are\nonly infringed due to modification of the Work as provided by\nLicensor, or the combination of the Work as provided by Licensor,\ndirectly or indirectly, with any other component, including other\nsoftware or hardware.\n\n+ b) Licensor does not grant any license to the trademarks, service\nmarks, or logos of Licensor, except to the extent necessary to comply\nwith the attribution conditions in section 4.1 of this License.\n\n## 4. Conditions\n\nIf You exercise any permission granted by this License, such that the\nWork, or any part, aspect, or element of the Work, is distributed,\ncommunicated, made available, or made perceptible to a non-Affiliate\nthird party (a \"Recipient\"), either via physical delivery or via a\nnetwork connection to the Recipient, You must comply with the\nfollowing conditions:\n\n### 4.1. Provide Access to Source Code\n\nSubject to the exception in section 4.4, You must provide to each\nRecipient a copy of, or no-charge unrestricted network access to, the\nSource Code corresponding to the Work (\"Access\").\n\nThe \"Source Code\" of the Work means the form of the Work preferred for\nmaking modifications, including any comments, configuration\ninformation, documentation, help materials, installation instructions,\ncryptographic seeds or keys, and any information reasonably necessary\nfor the Recipient to independently compile and use the Source Code and\nto have full access to the functionality contained in the Work.\n\n#### 4.1.1. Providing Network Access to the Source Code\n\nNetwork Access to the Notices and Source Code may be provided by You\nor by a third party, such as a public software repository, and must\npersist during the same period in which You exercise any of the\npermissions granted to You under this License and for at least one\nyear thereafter.\n\n#### 4.1.2. Source Code for a Modified Work\n\nSubject to the exception in section 4.5, You must provide to each\nRecipient of a Modified Work Access to Source Code corresponding to\nthose portions of the Work remaining in the Modified Work as well as\nthe modifications used by You to create the Modified Work. The Source\nCode corresponding to the modifications in the Modified Work must be\nprovided to the Recipient either a) under this License, or b) under a\nCompatible Open Source License.\n\nA \u201cCompatible Open Source License\u201d means a license accepted by the Open Source \nInitiative that allows object code created using both Source Code provided under \nthis License and Source Code provided under the other open source license to be \ndistributed together as a single work.\n\n#### 4.1.3. Coordinated Disclosure of Security Vulnerabilities\n\nYou may delay providing the Source Code corresponding to a particular\nmodification of the Work for up to ninety (90) days (the \"Embargo\nPeriod\") if:\n\n+ a) the modification is intended to address a newly-identified\nvulnerability or a security flaw in the Work,\n\n+ b) disclosure of the vulnerability or security flaw before the end\nof the Embargo Period would put the data, identity, or autonomy of one\nor more Recipients of the Work at significant risk,\n\n+ c) You are participating in a coordinated disclosure of the\nvulnerability or security flaw with one or more additional Licensees,\nand\n\n+ d) Access to the Source Code pertaining to the modification is\nprovided to all Recipients at the end of the Embargo Period.\n\n### 4.2. Maintain User Autonomy\n\nIn addition to providing each Recipient the opportunity to have Access\nto the Source Code, You cannot use the permissions given under this\nLicense to interfere with a Recipient's ability to fully use an\nindependent copy of the Work generated from the Source Code You\nprovide with the Recipient's own User Data.\n\n\"User Data\" means any data that is an input to or an output from the\nWork, where the presence of the data is necessary for substantially\nidentical use of the Work in an equivalent context chosen by the\nRecipient, and where the Recipient has an existing ownership interest,\nan existing right to possess, or where the data has been generated by,\nfor, or has been assigned to the Recipient.\n\n#### 4.2.1. No Withholding User Data\n\nThroughout any period in which You exercise any of the permissions\ngranted to You under this License, You must also provide to any\nRecipient to whom you provide services via the Work, a no-charge copy,\nprovided in a commonly used electronic form, of the Recipient's User\nData in your possession, to the extent that such User Data is\navailable to You for use in conjunction with the Work.\n\n#### 4.2.2. No Technical Measures that Limit Access\n\nYou may not, by means of the use cryptographic methods applied to\nanything provided to the Recipient, by possession or control of\ncryptographic keys, seeds, hashes, by any other technological\nprotection measures, or by any other method, limit a Recipient's\nability to access any functionality present in Recipient's independent\ncopy of the Work, or to deny a Recipient full control of the\nRecipient's User Data.\n\n#### 4.2.3. No Legal or Contractual Measures that Limit Access\n\nYou may not contractually restrict a Recipient's ability to\nindependently exercise the permissions granted under this License. You\nwaive any legal power to forbid circumvention of technical protection\nmeasures that include use of the Work, and You waive any claim that\nthe capabilities of the Work were limited or modified as a means of\nenforcing the legal rights of third parties against Recipients.\n\n### 4.3. Provide Notices and Attribution\n\nYou must retain all licensing, authorship, or attribution notices\ncontained in the Source Code (the \"Notices\"), and provide all such\nNotices to each Recipient, together with a statement acknowledging the\nuse of the Work. Notices may be provided directly to a Recipient or\nvia an easy-to-find hyperlink to an Internet location also providing\nAccess to Source Code.\n\n### 4.4. Scope of Conditions in this License\n\nYou are required to uphold the conditions of this License only\nrelative to those who are Recipients of the Work from You. Other than\nproviding Recipients with the applicable Notices, Access to Source\nCode, and a copy of and full control of their User Data, nothing in\nthis License requires You to provide processing services to or engage\nin network interactions with anyone.\n\n### 4.5. Combined Work Exception\n\nAs an exception to condition that You provide Recipients Access to\nSource Code, any Source Code files marked by the Licensor as having\nthe \"Combined Work Exception,\" or any object code exclusively\nresulting from Source Code files so marked, may be combined with other\nSoftware into a \"Larger Work.\" So long as you comply with the\nrequirements to provide Recipients the applicable Notices and Access\nto the Source Code provided to You by Licensor, and you provide\nRecipients access to their User Data and do not limit Recipient's\nability to independently work with their User Data, any other Software\nin the Larger Work as well as the Larger Work as a whole may be\nlicensed under the terms of your choice.\n\n## 5. Term and Termination\n\nThe term of this License begins when You receive the Work, and\ncontinues until terminated for any of the reasons described herein, or\nuntil all Licensor's intellectual property rights in the Software\nexpire, whichever comes first (\"Term\"). This License cannot be\nrevoked, only terminated for the reasons listed below.\n\n### 5.1. Effect of Termination\n\nIf this License is terminated for any reason, all permissions granted\nto You under Section 3 by any Licensor automatically terminate. You\nwill immediately cease exercising any permissions granted in this\nLicense relative to the Work, including as part of any Modified Work.\n\n### 5.2. Termination for Non-Compliance; Reinstatement\n\nThis License terminates automatically if You fail to comply with any\nof the conditions in section 4. As a special exception to termination\nfor non-compliance, Your permissions for the Work under this License\nwill automatically be reinstated if You come into compliance with all\nthe conditions in section 2 within sixty (60) days of being notified\nby Licensor or an intended third-party beneficiary of Your\nnoncompliance. You are eligible for reinstatement of permissions for\nthe Work one time only, and only for the sixty days immediately after\nbecoming aware of noncompliance. Loss of permissions granted for the\nWork under this License due to either a) sustained noncompliance\nlasting more than sixty days or b) subsequent termination for\nnoncompliance after reinstatement, is permanent, unless rights are\nspecifically restored by Licensor in writing.\n\n### 5.3. Termination Due to Litigation\n\nIf You initiate litigation against Licensor, or any Recipient of the\nWork, either direct or indirect, asserting that the Work directly or\nindirectly infringes any patent, then all permissions granted to You\nby this License shall terminate. In the event of termination due to\nlitigation, all permissions validly granted by You under this License,\ndirectly or indirectly, shall survive termination. Administrative\nreview procedures, declaratory judgment actions, counterclaims in\nresponse to patent litigation, and enforcement actions against former\nLicensees terminated under this section do not cause termination due\nto litigation.\n\n## 6. Disclaimer of Warranty and Limit on Liability\n\nAs far as the law allows, the Work comes AS-IS, without any warranty\nof any kind, and no Licensor or contributor will be liable to anyone\nfor any damages related to this software or this license, under any\nkind of legal claim, or for any type of damages, including indirect,\nspecial, incidental, or consequential damages of any type arising as a\nresult of this License or the use of the Work including, without\nlimitation, damages for loss of goodwill, work stoppage, computer\nfailure or malfunction, loss of profits, revenue, or any and all other\ncommercial damages or losses.\n\n## 7. Other Provisions\n### 7.1. Affiliates\n\nAn \"Affiliate\" means any other entity that, directly or indirectly\nthrough one or more intermediaries, controls, is controlled by, or is\nunder common control with, the Licensee. Employees of a Licensee and\nnatural persons acting as contractors exclusively providing services\nto Licensee are also Affiliates.\n\n### 7.2. Choice of Jurisdiction and Governing Law\n\nA Licensor may require that any action or suit by a Licensee relating\nto a Work provided by Licensor under this License may be brought only\nin the courts of a particular jurisdiction and under the laws of a\nparticular jurisdiction (excluding its conflict-of-law provisions), if\nLicensor provides conspicuous notice of the particular jurisdiction to\nall Licensees.\n\n### 7.3. No Sublicensing\n\nThis License is not sublicensable. Each time You provide the Work or a\nModified Work to a Recipient, the Recipient automatically receives a\nlicense under the terms described in this License. You may not impose\nany further reservations, conditions, or other provisions on any\nRecipients' exercise of the permissions granted herein.\n\n### 7.4. Attorneys' Fees\n\nIn any action to enforce the terms of this License, or seeking damages\nrelating thereto, including by an intended third-party beneficiary,\nthe prevailing party shall be entitled to recover its costs and\nexpenses, including, without limitation, reasonable attorneys' fees\nand costs incurred in connection with such action, including any\nappeal of such action. A \"prevailing party\" is the party that\nachieves, or avoids, compliance with this License, including through\nsettlement. This section shall survive the termination of this\nLicense.\n\n### 7.5. No Waiver\n\nAny failure by Licensor to enforce any provision of this License will\nnot constitute a present or future waiver of such provision nor limit\nLicensor's ability to enforce such provision at a later time.\n\n### 7.6. Severability\n\nIf any provision of this License is held to be unenforceable, such\nprovision shall be reformed only to the extent necessary to make it\nenforceable. Any invalid or unenforceable portion will be interpreted\nto the effect and intent of the original portion. If such a\nconstruction is not possible, the invalid or unenforceable portion\nwill be severed from this License but the rest of this License will\nremain in full force and effect.\n\n### 7.7. License for the Text of this License\n\nThe text of this license is released under the Creative Commons\nAttribution-ShareAlike 4.0 International License, with the caveat that\nany modifications of this license may not use the name \"Cryptographic\nAutonomy License\" or any name confusingly similar thereto to describe\nany derived work of this License.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<beginOptional>>#<<endOptional>> The Cryptographic Autonomy License, v. 1.0\n\n<<endOptional>>\n\n<<var;name=\"this\";original=\"*This\";match=\"(\\*This|This)\">> Cryptographic Autonomy License (the \"License\") applies to any Work whose owner has marked it with any of the following notices, or a similar demonstration of intent:<<beginOptional>> *<<endOptional>>\n\nSPDX-License-Identifier: CAL-1.0\n\nLicensed under the Cryptographic Autonomy License version 1.0\n\n<<var;name=\"or\";original=\"*or*\";match=\"(\\*or\\*|or)\">>\n\nSPDX-License-Identifier: CAL-1.0-Combined-Work-Exception\n\nLicensed under the Cryptographic Autonomy License version 1.0, with Combined Work Exception\n\n<<beginOptional>>______________________________________________________________________\n\n<<endOptional>>\n\n   <<beginOptional>>##<<endOptional>> <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Purpose\n\n   This License gives You unlimited permission to use and modify the software to which it applies (the \"Work\"), either as-is or in modified form, for Your private purposes, while protecting the owners and contributors to the software from liability.\n\n   This License also strives to protect the freedom and autonomy of third parties who receive the Work from you. If any non-affiliated third party receives any part, aspect, or element of the Work from You, this License requires that You provide that third party all the permissions and materials needed to independently use and modify the Work without that third party having a loss of data or capability due to your actions.\n\n   The full permissions, conditions, and other terms are laid out below.\n\n   <<beginOptional>>##<<endOptional>> <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Receiving a License\n\n   In order to receive this License, You must agree to its rules. The rules of this License are both obligations of Your agreement with the Licensor and conditions to your License. You must not do anything with the Work that triggers a rule You cannot or will not follow.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> Application\n\n	  The terms of this License apply to the Work as you receive it from Licensor, as well as to any modifications, elaborations, or implementations created by You that contain any licensable portion of the Work (a \"Modified Work\"). Unless specified, any reference to the Work also applies to a Modified Work.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Offer and Acceptance\n\n	  This License is automatically offered to every person and organization. You show that you accept this License and agree to its conditions by taking any action with the Work that, absent this License, would infringe any intellectual property right held by Licensor.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"2.3.\";match=\".{0,20}\">> Compliance and Remedies\n\n	  Any failure to act according to the terms and conditions of this License places Your use of the Work outside the scope of the License and infringes the intellectual property rights of the Licensor. In the event of infringement, the terms and conditions of this License may be enforced by Licensor under the intellectual property laws of any jurisdiction to which You are subject. You also agree that either the Licensor or a Recipient (as an intended third-party beneficiary) may enforce the terms and conditions of this License against You via specific performance.\n\n   <<beginOptional>>##<<endOptional>> <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Permissions<<beginOptional>> \n\n   <<endOptional>>\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Permissions Granted\n\n	  Conditioned on compliance with section 4, and subject to the limitations of section 3.2, Licensor grants You the world-wide, royalty-free, non-exclusive permission to:\n\n		 <<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Take any action with the Work<<beginOptional>> <<endOptional>> that would infringe the non-patent intellectual<<beginOptional>> <<endOptional>> property laws of any jurisdiction to which You are<<beginOptional>> <<endOptional>> subject; and\n\n		 <<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> claims that Licensor can license<<beginOptional>> <<endOptional>> or becomes able to license, to the extent that those<<beginOptional>> <<endOptional>> claims are embodied in the Work as distributed by<<beginOptional>> <<endOptional>> Licensor.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Limitations on Permissions Granted\n\n	  The following limitations apply to the permissions granted in section 3.1:\n\n		 <<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Licensor does not grant any<<beginOptional>> <<endOptional>> patent license for claims that are only infringed due<<beginOptional>> <<endOptional>> to modification of the Work as provided by Licensor,<<beginOptional>> <<endOptional>> or the combination of the Work as provided by<<beginOptional>> <<endOptional>> Licensor, directly or indirectly, with any other<<beginOptional>> <<endOptional>> component, including other software or hardware.\n\n		 <<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Licensor does not grant any<<beginOptional>> <<endOptional>> license to the trademarks, service marks, or logos of<<beginOptional>> <<endOptional>> Licensor, except to the extent necessary to comply<<beginOptional>> <<endOptional>> with the attribution conditions in section 4.1 of<<beginOptional>> <<endOptional>> this License.\n\n   <<beginOptional>>##<<endOptional>> <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Conditions\n\n   If You exercise any permission granted by this License, such that the Work, or any part, aspect, or element of the Work, is distributed, communicated, made available, or made perceptible to a non-Affiliate third party (a \"Recipient\"), either via physical delivery or via a network connection to the Recipient, You must comply with the following conditions:\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> Provide Access to Source Code\n\n	  Subject to the exception in section 4.4, You must provide to each Recipient a copy of, or no-charge unrestricted network access to, the Source Code corresponding to the Work (\"Access\").\n\n	  The \"Source Code\" of the Work means the form of the Work preferred for making modifications, including any comments, configuration information, documentation, help materials, installation instructions, cryptographic seeds or keys, and any information reasonably necessary for the Recipient to independently compile and use the Source Code and to have full access to the functionality contained in the Work.\n\n		 <<beginOptional>>####<<endOptional>> <<var;name=\"bullet\";original=\"4.1.1.\";match=\".{0,20}\">> Providing Network Access to the Source Code\n\n		 Network Access to the Notices and Source Code may be provided by You or by a third party, such as a public software repository, and must persist during the same period in which You exercise any of the permissions granted to You under this License and for at least one year thereafter.\n\n		 <<beginOptional>>####<<endOptional>> <<var;name=\"bullet\";original=\"4.1.2.\";match=\".{0,20}\">> Source Code for a Modified Work\n\n		 Subject to the exception in section 4.5, You must provide to each Recipient of a Modified Work Access to Source Code corresponding to those portions of the Work remaining in the Modified Work as well as the modifications used by You to create the Modified Work. The Source Code corresponding to the modifications in the Modified Work must be provided to the Recipient either a) under this License, or b) under a Compatible Open Source License.\n\n		 A \"Compatible Open Source License\" means a license accepted by the Open Source Initiative that allows object code created using both Source Code provided under this License and Source Code provided under the other open source license to be distributed together as a single work.\n\n		 <<beginOptional>>####<<endOptional>> <<var;name=\"bullet\";original=\"4.1.3.\";match=\".{0,20}\">> Coordinated Disclosure of Security Vulnerabilities\n\n		 You may delay providing the Source Code corresponding to a particular modification of the Work for up to ninety (90) days (the \"Embargo Period\") if:\n\n			<<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> the modification is intended to<<beginOptional>> <<endOptional>> address a newly-identified vulnerability or a<<beginOptional>> <<endOptional>> security flaw in the Work,\n\n			<<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> disclosure of the vulnerability<<beginOptional>> <<endOptional>> or security flaw before the end of the Embargo Period<<beginOptional>> <<endOptional>> would put the data, identity, or autonomy of one or<<beginOptional>> <<endOptional>> more Recipients of the Work at significant risk,\n\n			<<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You are participating in a<<beginOptional>> <<endOptional>> coordinated disclosure of the vulnerability or<<beginOptional>> <<endOptional>> security flaw with one or more additional Licensees,<<beginOptional>> <<endOptional>> and\n\n			<<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Access to the Source Code<<beginOptional>> <<endOptional>> pertaining to the modification is provided to all<<beginOptional>> <<endOptional>> Recipients at the end of the Embargo Period.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"4.2.\";match=\".{0,20}\">> Maintain User Autonomy\n\n	  In addition to providing each Recipient the opportunity to have Access to the Source Code, You cannot use the permissions given under this License to interfere with a Recipient's ability to fully use an independent copy of the Work generated from the Source Code You provide with the Recipient's own User Data.\n\n	  \"User Data\" means any data that is an input to or an output from the Work, where the presence of the data is necessary for substantially identical use of the Work in an equivalent context chosen by the Recipient, and where the Recipient has an existing ownership interest, an existing right to possess, or where the data has been generated by, for, or has been assigned to the Recipient.\n\n		 <<beginOptional>>####<<endOptional>> <<var;name=\"bullet\";original=\"4.2.1.\";match=\".{0,20}\">> No Withholding User Data\n\n		 Throughout any period in which You exercise any of the permissions granted to You under this License, You must also provide to any Recipient to whom you provide services via the Work, a no-charge copy, provided in a commonly used electronic form, of the Recipient's User Data in your possession, to the extent that such User Data is available to You for use in conjunction with the Work.\n\n		 <<beginOptional>>####<<endOptional>> <<var;name=\"bullet\";original=\"4.2.2.\";match=\".{0,20}\">> No Technical Measures that Limit Access\n\n		 You may not, by means of the use cryptographic methods applied to anything provided to the Recipient, by possession or control of cryptographic keys, seeds, hashes, by any other technological protection measures, or by any other method, limit a Recipient's ability to access any functionality present in Recipient's independent copy of the Work, or to deny a Recipient full control of the Recipient's User Data.\n\n		 <<beginOptional>>####<<endOptional>> <<var;name=\"bullet\";original=\"4.2.3.\";match=\".{0,20}\">> No Legal or Contractual Measures that Limit Access\n\n		 You may not contractually restrict a Recipient's ability to independently exercise the permissions granted under this License. You waive any legal power to forbid circumvention of technical protection measures that include use of the Work, and You waive any claim that the capabilities of the Work were limited or modified as a means of enforcing the legal rights of third parties against Recipients.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"4.3.\";match=\".{0,20}\">> Provide Notices and Attribution\n\n	  You must retain all licensing, authorship, or attribution notices contained in the Source Code (the \"Notices\"), and provide all such Notices to each Recipient, together with a statement acknowledging the use of the Work. Notices may be provided directly to a Recipient or via an easy-to-find hyperlink to an Internet location also providing Access to Source Code.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"4.4.\";match=\".{0,20}\">> Scope of Conditions in this License\n\n	  You are required to uphold the conditions of this License only relative to those who are Recipients of the Work from You. Other than providing Recipients with the applicable Notices, Access to Source Code, and a copy of and full control of their User Data, nothing in this License requires You to provide processing services to or engage in network interactions with anyone.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"4.5.\";match=\".{0,20}\">> Combined Work Exception\n\n	  As an exception to condition that You provide Recipients Access to Source Code, any Source Code files marked by the Licensor as having the \"Combined Work Exception,\" or any object code exclusively resulting from Source Code files so marked, may be combined with other Software into a \"Larger Work.\" So long as you comply with the requirements to provide Recipients the applicable Notices and Access to the Source Code provided to You by Licensor, and you provide Recipients access to their User Data and do not limit Recipient's ability to independently work with their User Data, any other Software in the Larger Work as well as the Larger Work as a whole may be licensed under the terms of your choice.\n\n   <<beginOptional>>##<<endOptional>> <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Term and Termination\n\n   The term of this License begins when You receive the Work, and continues until terminated for any of the reasons described herein, or until all Licensor's intellectual property rights in the Software expire, whichever comes first (\"Term\"). This License cannot be revoked, only terminated for the reasons listed below.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"5.1.\";match=\".{0,20}\">> Effect of Termination\n\n	  If this License is terminated for any reason, all permissions granted to You under Section 3 by any Licensor automatically terminate. You will immediately cease exercising any permissions granted in this License relative to the Work, including as part of any Modified Work.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"5.2.\";match=\".{0,20}\">> Termination for Non-Compliance; Reinstatement\n\n	  This License terminates automatically if You fail to comply with any of the conditions in section 4. As a special exception to termination for non-compliance, Your permissions for the Work under this License will automatically be reinstated if You come into compliance with all the conditions in section 2 within sixty (60) days of being notified by Licensor or an intended third-party beneficiary of Your noncompliance. You are eligible for reinstatement of permissions for the Work one time only, and only for the sixty days immediately after becoming aware of noncompliance. Loss of permissions granted for the Work under this License due to either a) sustained noncompliance lasting more than sixty days or b) subsequent termination for noncompliance after reinstatement, is permanent, unless rights are specifically restored by Licensor in writing.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"5.3.\";match=\".{0,20}\">> Termination Due to Litigation\n\n	  If You initiate litigation against Licensor, or any Recipient of the Work, either direct or indirect, asserting that the Work directly or indirectly infringes any patent, then all permissions granted to You by this License shall terminate. In the event of termination due to litigation, all permissions validly granted by You under this License, directly or indirectly, shall survive termination. Administrative review procedures, declaratory judgment actions, counterclaims in response to patent litigation, and enforcement actions against former Licensees terminated under this section do not cause termination due to litigation.\n\n   <<beginOptional>>##<<endOptional>> <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Disclaimer of Warranty and Limit on Liability\n\n   As far as the law allows, the Work comes AS-IS, without any warranty of any kind, and no Licensor or contributor will be liable to anyone for any damages related to this software or this license, under any kind of legal claim, or for any type of damages, including indirect, special, incidental, or consequential damages of any type arising as a result of this License or the use of the Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, loss of profits, revenue, or any and all other commercial damages or losses.\n\n   <<beginOptional>>##<<endOptional>> <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Other Provisions<<beginOptional>> \n\n   <<endOptional>>\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"7.1.\";match=\".{0,20}\">> Affiliates\n\n	  An \"Affiliate\" means any other entity that, directly or indirectly through one or more intermediaries, controls, is controlled by, or is under common control with, the Licensee. Employees of a Licensee and natural persons acting as contractors exclusively providing services to Licensee are also Affiliates.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"7.2.\";match=\".{0,20}\">> Choice of Jurisdiction and Governing Law\n\n	  A Licensor may require that any action or suit by a Licensee relating to a Work provided by Licensor under this License may be brought only in the courts of a particular jurisdiction and under the laws of a particular jurisdiction (excluding its conflict-of-law provisions), if Licensor provides conspicuous notice of the particular jurisdiction to all Licensees.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"7.3.\";match=\".{0,20}\">> No Sublicensing\n\n	  This License is not sublicensable. Each time You provide the Work or a Modified Work to a Recipient, the Recipient automatically receives a license under the terms described in this License. You may not impose any further reservations, conditions, or other provisions on any Recipients' exercise of the permissions granted herein.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"7.4.\";match=\".{0,20}\">> Attorneys' Fees\n\n	  In any action to enforce the terms of this License, or seeking damages relating thereto, including by an intended third-party beneficiary, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. A \"prevailing party\" is the party that achieves, or avoids, compliance with this License, including through settlement. This section shall survive the termination of this License.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"7.5.\";match=\".{0,20}\">> No Waiver\n\n	  Any failure by Licensor to enforce any provision of this License will not constitute a present or future waiver of such provision nor limit Licensor's ability to enforce such provision at a later time.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"7.6.\";match=\".{0,20}\">> Severability\n\n	  If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. Any invalid or unenforceable portion will be interpreted to the effect and intent of the original portion. If such a construction is not possible, the invalid or unenforceable portion will be severed from this License but the rest of this License will remain in full force and effect.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"7.7.\";match=\".{0,20}\">> License for the Text of this License\n\n	  The text of this license is released under the Creative Commons Attribution-ShareAlike 4.0 International License, with the caveat that any modifications of this license may not use the name \"Cryptographic Autonomy License\" or any name confusingly similar thereto to describe any derived work of this License.\n\n	  "
		self.name = "Cryptographic Autonomy License 1.0"
		self.licenseComments = "The first draft of this license was released February 2019, and the fourth revision was approved by the OSI February 2020."
		self.licenseId = "CAL-1.0"
		self.crossRef = [{"match": "False", "url": "http://cryptographicautonomylicense.com/license-text.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:16Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/CAL-1.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:10:17Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["http://cryptographicautonomylicense.com/license-text.html", "https://opensource.org/licenses/CAL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p><var class=\"optional-license-text\"> # </var>The Cryptographic Autonomy License, v. 1.0</p>\n\n	  </div>\n		<p>\n<var class=\"replaceable-license-text\"> *This</var> Cryptographic Autonomy License (the &quot;License&quot;) \napplies to any Work whose owner has marked it with any of the following \nnotices, or a similar demonstration of intent:<var class=\"optional-license-text\"> * </var><br />\n\n<br />\n\nSPDX-License-Identifier: CAL-1.0 <br />\n\nLicensed under the Cryptographic Autonomy License version 1.0 <br />\n\n<br />\n\n<var class=\"replaceable-license-text\"> *or*</var><br />\n\n<br />\n\nSPDX-License-Identifier: CAL-1.0-Combined-Work-Exception <br />\n\nLicensed under the Cryptographic Autonomy License version 1.0, with Combined Work Exception <br />\n\n		</p>\n\n<var class=\"optional-license-text\"> \n______________________________________________________________________<br />\n\n</var>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n<var class=\"optional-license-text\"> ## </var><var class=\"replaceable-license-text\"> 1. </var>Purpose\n		  <p>\nThis License gives You unlimited permission to use and modify the software to \nwhich it applies (the &quot;Work&quot;), either as-is or in modified form, for Your \nprivate purposes, while protecting the owners and contributors to the software \nfrom liability. \n		  </p>\n\n		  <p>\nThis License also strives to protect the freedom and autonomy of third parties \nwho receive the Work from you.  If any non-affiliated third party receives any \npart, aspect, or element of the Work from You, this License requires that You \nprovide that third party all the permissions and materials needed to \nindependently use and modify the Work without that third party having a loss \nof data or capability due to your actions. \n		  </p>\n\n		  <p>\nThe full permissions, conditions, and other terms are laid out below.\n		  </p>\n\n		</li>\n		\n<li>\n<var class=\"optional-license-text\"> ## </var><var class=\"replaceable-license-text\"> 2. </var>Receiving a License\n		  <p>\nIn order to receive this License, You must agree to its rules. The rules of \nthis License are both obligations of Your agreement with the Licensor and \nconditions to your License. You must not do anything with the Work that \ntriggers a rule You cannot or will not follow. \n		  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 2.1. </var>Application\n			  <p>\nThe terms of this License apply to the Work as you receive it from Licensor, \nas well as to any modifications, elaborations, or implementations created by \nYou that contain any licensable portion of the Work (a &quot;Modified Work&quot;). \nUnless specified, any reference to the Work also applies to a Modified Work. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 2.2. </var>Offer and Acceptance\n			  <p>\nThis License is automatically offered to every person and organization. You \nshow that you accept this License and agree to its conditions by taking any \naction with the Work that, absent this License, would infringe any \nintellectual property right held by Licensor. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 2.3. </var> Compliance and Remedies\n			  <p>\nAny failure to act according to the terms and conditions of this License \nplaces Your use of the Work outside the scope of the License and infringes the \nintellectual property rights of the Licensor. In the event of infringement, \nthe terms and conditions of this License may be enforced by Licensor under the \nintellectual property laws of any jurisdiction to which You are subject. You \nalso agree that either the Licensor or a Recipient (as an intended third-party \nbeneficiary) may enforce the terms and conditions of this License against You \nvia specific performance. \n			  </p>\n\n			</li>\n		  \n</ul>\n		</li>\n		\n<li>\n<var class=\"optional-license-text\"> ## </var><var class=\"replaceable-license-text\"> 3. </var> Permissions\n<var class=\"optional-license-text\"> <br />\n\n   </var>\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 3.1. </var>Permissions Granted\n			  <p>\nConditioned on compliance with section 4, and subject to the limitations of \nsection 3.2, Licensor grants You the world-wide, royalty-free, non-exclusive \npermission to: \n			  </p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> a) </var>Take any action with the Work \n<var class=\"optional-license-text\">	 </var>that would infringe the non-patent intellectual \n<var class=\"optional-license-text\">	 </var>property laws of any jurisdiction to which You are \n<var class=\"optional-license-text\">	 </var>subject; and\n				</li>\n				\n<li>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> b) </var> claims that Licensor can license \n<var class=\"optional-license-text\">	 </var>or becomes able to license, to the extent that those \n<var class=\"optional-license-text\">	 </var>claims are embodied in the Work as distributed by \n<var class=\"optional-license-text\">	 </var>Licensor.\n				</li>\n			  \n</ul>\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 3.2. </var>Limitations on Permissions Granted\n			  <p>\nThe following limitations apply to the permissions granted in section 3.1:\n			  </p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n				  <p>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> a) </var>Licensor does not grant any \n<var class=\"optional-license-text\">	 </var>patent license for claims that are only infringed due \n<var class=\"optional-license-text\">	 </var>to modification of the Work as provided by Licensor, \n<var class=\"optional-license-text\">	 </var>or the combination of the Work as provided by \n<var class=\"optional-license-text\">	 </var>Licensor, directly or indirectly, with any other \n<var class=\"optional-license-text\">	 </var>component, including other software or hardware.\n				  </p>\n\n				</li>\n				\n<li>\n				  <p>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> b) </var> Licensor does not grant any \n<var class=\"optional-license-text\">	 </var>license to the trademarks, service marks, or logos of \n<var class=\"optional-license-text\">	 </var>Licensor, except to the extent necessary to comply \n<var class=\"optional-license-text\">	 </var>with the attribution conditions in section 4.1 of \n<var class=\"optional-license-text\">	 </var>this License.\n				  </p>\n\n				</li>\n			  \n</ul>\n			</li>\n		  \n</ul>  \n		</li>  \n		\n<li>\n<var class=\"optional-license-text\"> ## </var><var class=\"replaceable-license-text\"> 4. </var>Conditions\n		  <p>\nIf You exercise any permission granted by this License, such that the Work, or \nany part, aspect, or element of the Work, is distributed, communicated, made \navailable, or made perceptible to a non-Affiliate third party (a &quot;Recipient&quot;), \neither via physical delivery or via a network connection to the Recipient, You \nmust comply with the following conditions: \n		  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 4.1. </var>Provide Access to Source Code\n			  <p>\nSubject to the exception in section 4.4, You must provide to each Recipient a \ncopy of, or no-charge unrestricted network access to, the Source Code \ncorresponding to the Work (&quot;Access&quot;). \n			  </p>\n\n			  <p>\nThe &quot;Source Code&quot; of the Work means the form of the Work preferred for making \nmodifications, including any comments, configuration information, \ndocumentation, help materials, installation instructions, cryptographic seeds \nor keys, and any information reasonably necessary for the Recipient to \nindependently compile and use the Source Code and to have full access to the \nfunctionality contained in the Work. \n			  </p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n<var class=\"optional-license-text\"> #### </var><var class=\"replaceable-license-text\"> 4.1.1. </var>Providing Network Access to the Source Code\n				  <p>\nNetwork Access to the Notices and Source Code may be provided by You or by a \nthird party, such as a public software repository, and must persist during the \nsame period in which You exercise any of the permissions granted to You under \nthis License and for at least one year thereafter.\n				  </p>\n\n				</li>\n				\n<li>\n<var class=\"optional-license-text\"> #### </var><var class=\"replaceable-license-text\"> 4.1.2. </var>Source Code for a Modified Work\n				  <p>\nSubject to the exception in section 4.5, You must provide to each Recipient of \na Modified Work Access to Source Code corresponding to those portions of the \nWork remaining in the Modified Work as well as the modifications used by You \nto create the Modified Work. The Source Code corresponding to the \nmodifications in the Modified Work must be provided to the Recipient either \na) under this License, or b) under a Compatible Open Source License.</p>\n\n					<p>\nA &quot;Compatible Open Source License&quot; means a license accepted by the Open Source \nInitiative that allows object code created using both Source Code provided under \nthis License and Source Code provided under the other open source license to be \ndistributed together as a single work.\n				  </p>\n\n				</li>\n				\n<li>\n<var class=\"optional-license-text\"> #### </var><var class=\"replaceable-license-text\"> 4.1.3. </var>Coordinated Disclosure of Security Vulnerabilities\n				  <p>\nYou may delay providing the Source Code corresponding to a particular \nmodification of the Work for up to ninety (90) days (the &quot;Embargo Period&quot;) if:\n				  </p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n					  <p>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> a) </var>the modification is intended to \n<var class=\"optional-license-text\">	 </var>address a newly-identified vulnerability or a \n<var class=\"optional-license-text\">	 </var>security flaw in the Work,\n					  </p>\n\n					</li>\n					\n<li>\n					  <p>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> b) </var>disclosure of the vulnerability \n<var class=\"optional-license-text\">	 </var>or security flaw before the end of the Embargo Period \n<var class=\"optional-license-text\">	 </var>would put the data, identity, or autonomy of one or \n<var class=\"optional-license-text\">	 </var>more Recipients of the Work at significant risk,\n					  </p>\n\n					</li>\n					\n<li>\n					  <p>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> c) </var>You are participating in a \n<var class=\"optional-license-text\">	 </var>coordinated disclosure of the vulnerability or\n<var class=\"optional-license-text\">	 </var>security flaw with one or more additional Licensees, \n<var class=\"optional-license-text\">	 </var>and \n					  </p>\n\n					</li>\n					\n<li>\n					  <p>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> d) </var>Access to the Source Code \n<var class=\"optional-license-text\">	 </var>pertaining to the modification is provided to all\n<var class=\"optional-license-text\">	 </var>Recipients at the end of the Embargo Period. \n					  </p>\n\n					</li>\n				  \n</ul>\n				</li>\n			  \n</ul>\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 4.2. </var>Maintain User Autonomy\n			  <p>\nIn addition to providing each Recipient the opportunity to have Access to the \nSource Code, You cannot use the permissions given under this License to \ninterfere with a Recipient&apos;s ability to fully use an independent copy of the \nWork generated from the Source Code You provide with the Recipient&apos;s own User \nData.\n			  </p>\n\n			  <p>\n&quot;User Data&quot; means any data that is an input to or an output from the Work, \nwhere the presence of the data is necessary for substantially identical use of \nthe Work in an equivalent context chosen by the Recipient, and where the \nRecipient has an existing ownership interest, an existing right to possess, or \nwhere the data has been generated by, for, or has been assigned to the \nRecipient.\n			  </p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n<var class=\"optional-license-text\"> #### </var><var class=\"replaceable-license-text\"> 4.2.1. </var>No Withholding User Data\n				  <p>\nThroughout any period in which You exercise any of the permissions granted to \nYou under this License, You must also provide to any Recipient to whom you \nprovide services via the Work, a no-charge copy, provided in a commonly used \nelectronic form, of the Recipient&apos;s User Data in your possession, to the \nextent that such User Data is available to You for use in conjunction with the \nWork.\n				  </p>\n\n				</li>\n				\n<li>\n<var class=\"optional-license-text\"> #### </var><var class=\"replaceable-license-text\"> 4.2.2. </var>No Technical Measures that Limit Access\n				  <p>\nYou may not, by means of the use cryptographic methods applied to anything \nprovided to the Recipient, by possession or control of cryptographic keys, \nseeds, hashes, by any other technological protection measures, or by any other \nmethod, limit a Recipient&apos;s ability to access any functionality present in \nRecipient&apos;s independent copy of the Work, or to deny a Recipient full control \nof the Recipient&apos;s User Data.\n				  </p>\n\n				</li>\n				\n<li>\n<var class=\"optional-license-text\"> #### </var><var class=\"replaceable-license-text\"> 4.2.3. </var>No Legal or Contractual Measures that Limit Access\n				  <p>\nYou may not contractually restrict a Recipient&apos;s ability to independently \nexercise the permissions granted under this License. You waive any legal power \nto forbid circumvention of technical protection measures that include use of \nthe Work, and You waive any claim that the capabilities of the Work were \nlimited or modified as a means of enforcing the legal rights of third parties \nagainst Recipients.\n				  </p>\n\n				</li>\n			  \n</ul>\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 4.3. </var>Provide Notices and Attribution\n			  <p>\nYou must retain all licensing, authorship, or attribution notices contained in \nthe Source Code (the &quot;Notices&quot;), and provide all such Notices to each \nRecipient, together with a statement acknowledging the use of the Work. \nNotices may be provided directly to a Recipient or via an easy-to-find \nhyperlink to an Internet location also providing Access to Source Code.\n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 4.4. </var>Scope of Conditions in this License\n			  <p>\nYou are required to uphold the conditions of this License only relative to \nthose who are Recipients of the Work from You. Other than providing Recipients \nwith the applicable Notices, Access to Source Code, and a copy of and full \ncontrol of their User Data, nothing in this License requires You to provide \nprocessing services to or engage in network interactions with anyone.\n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 4.5. </var>Combined Work Exception\n			  <p>\nAs an exception to condition that You provide Recipients Access to Source \nCode, any Source Code files marked by the Licensor as having the &quot;Combined \nWork Exception,&quot; or any object code exclusively resulting from Source Code \nfiles so marked, may be combined with other Software into a &quot;Larger Work.&quot; So \nlong as you comply with the requirements to provide Recipients the applicable \nNotices and Access to the Source Code provided to You by Licensor, and you \nprovide Recipients access to their User Data and do not limit Recipient&apos;s \nability to independently work with their User Data, any other Software in the \nLarger Work as well as the Larger Work as a whole may be licensed under the \nterms of your choice.\n			  </p>\n\n			</li>\n		  \n</ul>  \n		</li>\n		\n<li>\n<var class=\"optional-license-text\"> ## </var><var class=\"replaceable-license-text\"> 5. </var>Term and Termination\n		  <p>\nThe term of this License begins when You receive the Work, and continues until \nterminated for any of the reasons described herein, or until all Licensor&apos;s \nintellectual property rights in the Software expire, whichever comes first \n(&quot;Term&quot;). This License cannot be revoked, only terminated for the reasons \nlisted below. \n		  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 5.1. </var>Effect of Termination\n			  <p>\nIf this License is terminated for any reason, all permissions granted to You \nunder Section 3 by any Licensor automatically terminate. You will immediately \ncease exercising any permissions granted in this License relative to the Work, \nincluding as part of any Modified Work. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 5.2. </var>Termination for Non-Compliance; Reinstatement\n			  <p>\nThis License terminates automatically if You fail to comply with any of the \nconditions in section 4. As a special exception to termination for \nnon-compliance, Your permissions for the Work under this License will \nautomatically be reinstated if You come into compliance with all the \nconditions in section 2 within sixty (60) days of being notified by Licensor \nor an intended third-party beneficiary of Your noncompliance. You are eligible \nfor reinstatement of permissions for the Work one time only, and only \nfor the sixty days immediately after becoming aware of noncompliance. Loss of \npermissions granted for the Work under   this License due to either a) \nsustained noncompliance lasting  more than sixty days or b) subsequent \ntermination for  noncompliance after reinstatement, is permanent, unless \nrights are specifically restored by Licensor in writing. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 5.3. </var>Termination Due to Litigation\n			  <p>\nIf You initiate litigation against Licensor, or any Recipient of the Work, \neither direct or indirect, asserting that the Work directly or indirectly \ninfringes any patent, then all permissions granted to You by this License \nshall terminate. In the event of termination due to litigation, all \npermissions validly granted by You under this License, directly or indirectly, \nshall survive termination. Administrative review procedures, declaratory \njudgment actions, counterclaims in response to patent litigation, and \nenforcement actions against former Licensees terminated under this section do \nnot cause termination due to litigation. \n			  </p>\n\n			</li>\n		  \n</ul>\n		</li>\n		\n<li>\n<var class=\"optional-license-text\"> ## </var><var class=\"replaceable-license-text\"> 6. </var>Disclaimer of Warranty and Limit on Liability\n		  <p>\nAs far as the law allows, the Work comes AS-IS, without any warranty of any \nkind, and no Licensor or contributor will be liable to anyone for any damages \nrelated to this software or this license, under any kind of legal claim, or \nfor any type of damages, including indirect, special, incidental, or \nconsequential damages of any type arising as a result of this License or the \nuse of the Work including, without limitation, damages for loss of goodwill, \nwork stoppage, computer failure or malfunction, loss of profits, revenue, or \nany and all other commercial damages or losses. \n		  </p>\n\n		</li>\n		\n<li>\n<var class=\"optional-license-text\"> ## </var><var class=\"replaceable-license-text\"> 7. </var>Other Provisions\n<var class=\"optional-license-text\"> <br />\n\n   </var>\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 7.1. </var>Affiliates\n			  <p>\nAn &quot;Affiliate&quot; means any other entity that, directly or indirectly through one \nor more intermediaries, controls, is controlled by, or is under common control \nwith, the Licensee. Employees of a Licensee and natural persons acting as \ncontractors exclusively providing services to Licensee are also Affiliates. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 7.2. </var>Choice of Jurisdiction and Governing Law\n			  <p>\nA Licensor may require that any action or suit by a Licensee relating to a \nWork provided by Licensor under this License may be brought only in the courts \nof a particular jurisdiction and under the laws of a particular jurisdiction \n(excluding its conflict-of-law provisions), if Licensor provides conspicuous \nnotice of the particular jurisdiction to all Licensees. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 7.3. </var>No Sublicensing\n			  <p>\nThis License is not sublicensable. Each time You provide the Work or a \nModified Work to a Recipient, the Recipient automatically receives a license \nunder the terms described in this License. You may not impose any further \nreservations, conditions, or other provisions on any Recipients&apos; exercise of \nthe permissions granted herein. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 7.4. </var>Attorneys&apos; Fees\n			  <p>\nIn any action to enforce the terms of this License, or seeking damages \nrelating thereto, including by an intended third-party beneficiary, the \nprevailing party shall be entitled to recover its costs and expenses, \nincluding, without limitation, reasonable attorneys&apos; fees and costs incurred \nin connection with such action, including any appeal of such action. A \n&quot;prevailing party&quot; is the party that achieves, or avoids, compliance with this \nLicense, including through settlement. This section shall survive the \ntermination of this License. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 7.5. </var>No Waiver\n			  <p>\nAny failure by Licensor to enforce any provision of this License will not \nconstitute a present or future waiver of such provision nor limit Licensor&apos;s \nability to enforce such provision at a later time. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 7.6. </var>Severability\n			  <p>\nIf any provision of this License is held to be unenforceable, such provision \nshall be reformed only to the extent necessary to make it enforceable. Any \ninvalid or unenforceable portion will be interpreted to the effect and intent \nof the original portion. If such a construction is not possible, the invalid \nor unenforceable portion will be severed from this License but the rest of \nthis License will remain in full force and effect. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 7.7. </var>License for the Text of this License\n			  <p>\nThe text of this license is released under the Creative Commons \nAttribution-ShareAlike 4.0 International License, with the caveat that any \nmodifications of this license may not use the name &quot;Cryptographic Autonomy \nLicense&quot; or any name confusingly similar thereto to describe any derived work \nof this License. \n			  </p>\n\n			</li>\n		  \n</ul>\n		</li>\n	  \n</ul>\n	"
		self.python_name = "CAL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCSA30:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Adaptation\" means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered an Adaptation for the purpose of this License.\n\n	 b. \"Collection\" means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(g) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined above) for the purposes of this License.\n\n	 c. \"Distribute\" means to make available to the public the original and copies of the Work or Adaptation, as appropriate, through sale or other transfer of ownership.\n\n	 d. \"License Elements\" means the following high-level license attributes as selected by Licensor and indicated in the title of this License: Attribution, Noncommercial, ShareAlike.\n\n	 e. \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License.\n\n	 f. \"Original Author\" means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast.\n\n	 g. \"Work\" means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work.\n\n	 h. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	 i. \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	 j. \"Reproduce\" means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.\n\n2. Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections;\n\n	 b. to create and Reproduce Adaptations provided that any such Adaptation, including any translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise identify that changes were made to the original Work. For example, a translation could be marked \"The original work was translated from English to Spanish,\" or a modification could indicate \"The original work has been modified.\";\n\n	 c. to Distribute and Publicly Perform the Work including as incorporated in Collections; and,\n\n	 d. to Distribute and Publicly Perform Adaptations.\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. Subject to Section 8(f), all rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights described in Section 4(e).\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(d), as requested. If You create an Adaptation, upon notice from any Licensor You must, to the extent practicable, remove from the Adaptation any credit as required by Section 4(d), as requested.\n\n	 b. You may Distribute or Publicly Perform an Adaptation only under: (i) the terms of this License; (ii) a later version of this License with the same License Elements as this License; (iii) a Creative Commons jurisdiction license (either this or a later license version) that contains the same License Elements as this License (e.g., Attribution-NonCommercial-ShareAlike 3.0 US) (\"Applicable License\"). You must include a copy of, or the URI, for Applicable License with every copy of each Adaptation You Distribute or Publicly Perform. You may not offer or impose any terms on the Adaptation that restrict the terms of the Applicable License or the ability of the recipient of the Adaptation to exercise the rights granted to that recipient under the terms of the Applicable License. You must keep intact all notices that refer to the Applicable License and to the disclaimer of warranties with every copy of the Work as included in the Adaptation You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Adaptation, You may not impose any effective technological measures on the Adaptation that restrict the ability of a recipient of the Adaptation from You to exercise the rights granted to that recipient under the terms of the Applicable License. This Section 4(b) applies to the Adaptation as incorporated in a Collection, but this does not require the Collection apart from the Adaptation itself to be made subject to the terms of the Applicable License.\n\n	 c. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in con-nection with the exchange of copyrighted works.\n\n	 d. If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution (\"Attribution Parties\") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). The credit required by this Section 4(d) may be implemented in any reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributing authors of the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.\n\n	 e. For the avoidance of doubt:\n\n		  i. Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		  ii. Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License if Your exercise of such rights is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(c) and otherwise waives the right to collect royalties through any statutory or compulsory licensing scheme; and,\n\n		  iii. Voluntary License Schemes. The Licensor reserves the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License that is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(c).\n\n	 f. Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author's honor or reputation. Licensor agrees that in those jurisdictions (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License (the right to make Adaptations) would be deemed to be a distortion, mutilation, modification or other derogatory action prejudicial to the Original Author's honor and reputation, the Licensor will waive or not assert, as appropriate, this Section, to the fullest extent permitted by the applicable national law, to enable You to reasonably exercise Your right under Section 3(b) of this License (right to make Adaptations) but not otherwise.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING AND TO THE FULLEST EXTENT PERMITTED BY APPLICABLE LAW, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THIS EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	 f. The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Adaptation\" means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered an Adaptation for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Collection\" means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(g) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined above) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Distribute\" means to make available to the public the original and copies of the Work or Adaptation, as appropriate, through sale or other transfer of ownership.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"License Elements\" means the following high-level license attributes as selected by Licensor and indicated in the title of this License: Attribution, Noncommercial, ShareAlike.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Original Author\" means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"Work\" means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	  <<var;name=\"bullet\";original=\"j.\";match=\".{0,20}\">> \"Reproduce\" means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and Reproduce Adaptations provided that any such Adaptation, including any translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise identify that changes were made to the original Work. For example, a translation could be marked \"The original work was translated from English to Spanish,\" or a modification could indicate \"The original work has been modified.\";\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to Distribute and Publicly Perform the Work including as incorporated in Collections; and,\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to Distribute and Publicly Perform Adaptations.\n\n	  The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. Subject to Section 8(f), all rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights described in Section 4(e).\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(d), as requested. If You create an Adaptation, upon notice from any Licensor You must, to the extent practicable, remove from the Adaptation any credit as required by Section 4(d), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may Distribute or Publicly Perform an Adaptation only under: (i) the terms of this License; (ii) a later version of this License with the same License Elements as this License; (iii) a Creative Commons jurisdiction license (either this or a later license version) that contains the same License Elements as this License (e.g., Attribution-NonCommercial-ShareAlike 3.0 US) (\"Applicable License\"). You must include a copy of, or the URI, for Applicable License with every copy of each Adaptation You Distribute or Publicly Perform. You may not offer or impose any terms on the Adaptation that restrict the terms of the Applicable License or the ability of the recipient of the Adaptation to exercise the rights granted to that recipient under the terms of the Applicable License. You must keep intact all notices that refer to the Applicable License and to the disclaimer of warranties with every copy of the Work as included in the Adaptation You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Adaptation, You may not impose any effective technological measures on the Adaptation that restrict the ability of a recipient of the Adaptation from You to exercise the rights granted to that recipient under the terms of the Applicable License. This Section 4(b) applies to the Adaptation as incorporated in a Collection, but this does not require the Collection apart from the Adaptation itself to be made subject to the terms of the Applicable License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in con-nection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution (\"Attribution Parties\") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). The credit required by this Section 4(d) may be implemented in any reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributing authors of the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> For the avoidance of doubt:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License if Your exercise of such rights is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(c) and otherwise waives the right to collect royalties through any statutory or compulsory licensing scheme; and,\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Voluntary License Schemes. The Licensor reserves the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License that is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(c).\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author's honor or reputation. Licensor agrees that in those jurisdictions (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License (the right to make Adaptations) would be deemed to be a distortion, mutilation, modification or other derogatory action prejudicial to the Original Author's honor and reputation, the Licensor will waive or not assert, as appropriate, this Section, to the fullest extent permitted by the applicable national law, to enable You to reasonably exercise Your right under Section 3(b) of this License (right to make Adaptations) but not otherwise.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING AND TO THE FULLEST EXTENT PERMITTED BY APPLICABLE LAW, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THIS EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial Share Alike 3.0 Unported"
		self.licenseId = "CC-BY-NC-SA-3.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-sa/3.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:45Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-sa/3.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE\n		 RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Adaptation&quot; means a work based upon the Work, or upon the Work and other\n			   pre-existing works, such as a translation, adaptation, derivative work, arrangement of\n			   music or other alterations of a literary or artistic work, or phonogram or performance and\n			   includes cinematographic adaptations or any other form in which the Work may be recast,\n			   transformed, or adapted including in any form recognizably derived from the original,\n			   except that a work that constitutes a Collection will not be considered an Adaptation for\n			   the purpose of this License. For the avoidance of doubt, where the Work is a musical work,\n			   performance or phonogram, the synchronization of the Work in timed-relation with a moving\n			   image (&quot;synching&quot;) will be considered an Adaptation for the purpose of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Collection&quot; means a collection of literary or artistic works, such as\n			   encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works\n			   or subject matter other than works listed in Section 1(g) below, which, by reason of the\n			   selection and arrangement of their contents, constitute intellectual creations, in which\n			   the Work is included in its entirety in unmodified form along with one or more other\n			   contributions, each constituting separate and independent works in themselves, which\n			   together are assembled into a collective whole. A work that constitutes a Collection will\n			   not be considered an Adaptation (as defined above) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Distribute&quot; means to make available to the public the original and copies of the\n			   Work or Adaptation, as appropriate, through sale or other transfer of ownership.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;License Elements&quot; means the following high-level license attributes as selected by\n			   Licensor and indicated in the title of this License: Attribution, Noncommercial,\n			   ShareAlike.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Licensor&quot; means the individual, individuals, entity or entities that offer(s) the\n			   Work under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;Original Author&quot; means, in the case of a literary or artistic work, the\n			   individual, individuals, entity or entities who created the Work or if no individual or\n			   entity can be identified, the publisher; and in addition (i) in the case of a performance\n			   the actors, singers, musicians, dancers, and other persons who act, sing, deliver,\n			   declaim, play in, interpret or otherwise perform literary or artistic works or expressions\n			   of folklore; (ii) in the case of a phonogram the producer being the person or legal entity\n			   who first fixes the sounds of a performance or other sounds; and, (iii) in the case of\n			   broadcasts, the organization that transmits the broadcast.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> g.</var>\n			&quot;Work&quot; means the literary and/or artistic work offered under the terms of this\n			   License including without limitation any production in the literary, scientific and\n			   artistic domain, whatever may be the mode or form of its expression including digital\n			   form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work\n			   of the same nature; a dramatic or dramatico-musical work; a choreographic work or\n			   entertainment in dumb show; a musical composition with or without words; a cinematographic\n			   work to which are assimilated works expressed by a process analogous to cinematography; a\n			   work of drawing, painting, architecture, sculpture, engraving or lithography; a\n			   photographic work to which are assimilated works expressed by a process analogous to\n			   photography; a work of applied art; an illustration, map, plan, sketch or\n			   three-dimensional work relative to geography, topography, architecture or science; a\n			   performance; a broadcast; a phonogram; a compilation of data to the extent it is protected\n			   as a copyrightable work; or a work performed by a variety or circus performer to the\n			   extent it is not otherwise considered a literary or artistic work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> h.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> i.</var>\n			&quot;Publicly Perform&quot; means to perform public recitations of the Work and to\n			   communicate to the public those public recitations, by any means or process, including by\n			   wire or wireless means or public digital performances; to make available to the public\n			   Works in such a way that members of the public may access these Works from a place and at\n			   a place individually chosen by them; to perform the Work to the public by any means or\n			   process and the communication to the public of the performances of the Work, including by\n			   public digital performance; to broadcast and rebroadcast the Work by any means including\n			   signs, sounds or images.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> j.</var>\n			&quot;Reproduce&quot; means to make copies of the Work by any means including without\n			   limitation by sound or visual recordings and the right of fixation and reproducing\n			   fixations of the Work, including storage of a protected performance or phonogram in\n			   digital form or other electronic medium.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses\n			 free from copyright or rights arising from limitations or exceptions that are provided for in\n			 connection with the copyright protection under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce\n			   the Work as incorporated in the Collections;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to create and Reproduce Adaptations provided that any such Adaptation, including any\n			   translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise\n			   identify that changes were made to the original Work. For example, a translation could be\n			   marked &quot;The original work was translated from English to Spanish,&quot; or a\n			   modification could indicate &quot;The original work has been modified.&quot;;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			to Distribute and Publicly Perform the Work including as incorporated in Collections; and,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			to Distribute and Publicly Perform Adaptations.\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats. Subject to Section 8(f), all\n			   rights not expressly granted by Licensor are hereby reserved, including but not limited to\n			   the rights described in Section 4(e).</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may Distribute or Publicly Perform the Work only under the terms of this License. You\n			   must include a copy of, or the Uniform Resource Identifier (URI) for, this License with\n			   every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any\n			   terms on the Work that restrict the terms of this License or the ability of the recipient\n			   of the Work to exercise the rights granted to that recipient under the terms of the\n			   License. You may not sublicense the Work. You must keep intact all notices that refer to\n			   this License and to the disclaimer of warranties with every copy of the Work You\n			   Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may\n			   not impose any effective technological measures on the Work that restrict the ability of a\n			   recipient of the Work from You to exercise the rights granted to that recipient under the\n			   terms of the License. This Section 4(a) applies to the Work as incorporated in a\n			   Collection, but this does not require the Collection apart from the Work itself to be made\n			   subject to the terms of this License. If You create a Collection, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Collection any credit as\n			   required by Section 4(d), as requested. If You create an Adaptation, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Adaptation any credit as\n			   required by Section 4(d), as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may Distribute or Publicly Perform an Adaptation only under: (i) the terms of this\n			   License; (ii) a later version of this License with the same License Elements as this\n			   License; (iii) a Creative Commons jurisdiction license (either this or a later license\n			   version) that contains the same License Elements as this License (e.g.,\n			   Attribution-NonCommercial-ShareAlike 3.0 US) (&quot;Applicable License&quot;). You must\n			   include a copy of, or the URI, for Applicable License with every copy of each Adaptation\n			   You Distribute or Publicly Perform. You may not offer or impose any terms on the\n			   Adaptation that restrict the terms of the Applicable License or the ability of the\n			   recipient of the Adaptation to exercise the rights granted to that recipient under the\n			   terms of the Applicable License. You must keep intact all notices that refer to the\n			   Applicable License and to the disclaimer of warranties with every copy of the Work as\n			   included in the Adaptation You Distribute or Publicly Perform. When You Distribute or\n			   Publicly Perform the Adaptation, You may not impose any effective technological measures\n			   on the Adaptation that restrict the ability of a recipient of the Adaptation from You to\n			   exercise the rights granted to that recipient under the terms of the Applicable License.\n			   This Section 4(b) applies to the Adaptation as incorporated in a Collection, but this does\n			   not require the Collection apart from the Adaptation itself to be made subject to the\n			   terms of the Applicable License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			You may not exercise any of the rights granted to You in Section 3 above in any manner that\n			   is primarily intended for or directed toward commercial advantage or private monetary\n			   compensation. The exchange of the Work for other copyrighted works by means of digital\n			   file-sharing or otherwise shall not be considered to be intended for or directed toward\n			   commercial advantage or private monetary compensation, provided there is no payment of any\n			   monetary compensation in con-nection with the exchange of copyrighted works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must,\n			   unless a request has been made pursuant to Section 4(a), keep intact all copyright notices\n			   for the Work and provide, reasonable to the medium or means You are utilizing: (i) the\n			   name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the\n			   Original Author and/or Licensor designate another party or parties (e.g., a sponsor\n			   institute, publishing entity, journal) for attribution (&quot;Attribution Parties&quot;)\n			   in Licensor&apos;s copyright notice, terms of service or by other reasonable means, the\n			   name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent\n			   reasonably practicable, the URI, if any, that Licensor specifies to be associated with the\n			   Work, unless such URI does not refer to the copyright notice or licensing information for\n			   the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit\n			   identifying the use of the Work in the Adaptation (e.g., &quot;French translation of the\n			   Work by Original Author,&quot; or &quot;Screenplay based on original Work by Original\n			   Author&quot;). The credit required by this Section 4(d) may be implemented in any\n			   reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a\n			   minimum such credit will appear, if a credit for all contributing authors of the\n			   Adaptation or Collection appears, then as part of these credits and in a manner at least\n			   as prominent as the credits for the other contributing authors. For the avoidance of\n			   doubt, You may only use the credit required by this Section for the purpose of attribution\n			   in the manner set out above and, by exercising Your rights under this License, You may not\n			   implicitly or explicitly assert or imply any connection with, sponsorship or endorsement\n			   by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or\n			   Your use of the Work, without the separate, express prior written permission of the\n			   Original Author, Licensor and/or Attribution Parties.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			For the avoidance of doubt:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to\n				 collect royalties through any statutory or compulsory licensing scheme cannot be\n				 waived, the Licensor reserves the exclusive right to collect such royalties for any\n				 exercise by You of the rights granted under this License;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect\n				 royalties through any statutory or compulsory licensing scheme can be waived, the\n				 Licensor reserves the exclusive right to collect such royalties for any exercise by\n				 You of the rights granted under this License if Your exercise of such rights is for a\n				 purpose or use which is otherwise than noncommercial as permitted under Section 4(c)\n				 and otherwise waives the right to collect royalties through any statutory or\n				 compulsory licensing scheme; and,\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> iii.</var>\n			  Voluntary License Schemes. The Licensor reserves the right to collect royalties, whether\n				 individually or, in the event that the Licensor is a member of a collecting society\n				 that administers voluntary licensing schemes, via that society, from any exercise by\n				 You of the rights granted under this License that is for a purpose or use which is\n				 otherwise than noncommercial as permitted under Section 4(c).\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by\n			   applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself\n			   or as part of any Adaptations or Collections, You must not distort, mutilate, modify or\n			   take other derogatory action in relation to the Work which would be prejudicial to the\n			   Original Author&apos;s honor or reputation. Licensor agrees that in those jurisdictions\n			   (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License\n			   (the right to make Adaptations) would be deemed to be a distortion, mutilation,\n			   modification or other derogatory action prejudicial to the Original Author&apos;s honor\n			   and reputation, the Licensor will waive or not assert, as appropriate, this Section, to\n			   the fullest extent permitted by the applicable national law, to enable You to reasonably\n			   exercise Your right under Section 3(b) of this License (right to make Adaptations) but not\n			   otherwise.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING AND TO THE FULLEST EXTENT PERMITTED\n			 BY APPLICABLE LAW, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES\n			 OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT\n			 LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,\n			 NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF\n			 ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION\n			 OF IMPLIED WARRANTIES, SO THIS EXCLUSION MAY NOT APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Adaptations or\n			   Collections from You under this License, however, will not have their licenses terminated\n			   provided such individuals or entities remain in full compliance with those licenses.\n			   Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to\n			   the recipient a license to the Work on the same terms and conditions as the license\n			   granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient\n			   a license to the original Work on the same terms and conditions as the license granted to\n			   You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			The rights granted under, and the subject matter referenced, in this License were drafted\n			   utilizing the terminology of the Berne Convention for the Protection of Literary and\n			   Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO\n			   Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the\n			   Universal Copyright Convention (as revised on July 24, 1971). These rights and subject\n			   matter take effect in the relevant jurisdiction in which the License terms are sought to\n			   be enforced according to the corresponding provisions of the implementation of those\n			   treaty provisions in the applicable national law. If the standard suite of rights granted\n			   under applicable copyright law includes additional rights not granted under this License,\n			   such additional rights are deemed to be included in the License; this License is not\n			   intended to restrict the license of any rights under applicable law.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons Notice</p>\n\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 Creative Commons does not authorize the use by either party of the trademark &quot;Creative\n		 Commons&quot; or any related trademark or logo of Creative Commons without the prior written consent\n		 of Creative Commons. Any permitted use will be in compliance with Creative Commons&apos; then-current\n		 trademark usage guidelines, as may be published on its website or otherwise made available upon\n		 request from time to time. For the avoidance of doubt, this trademark restriction does not form part\n		 of this License.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYNCSA30"

	def __str__(self):
		return json.dumps(self.__dict__)


class InnerNet20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The Inner Net License, Version 2.00\n\nThe author(s) grant permission for redistribution and use in source and\nbinary forms, with or without modification, of the software and documentation\nprovided that the following conditions are met:\n\n0. If you receive a version of the software that is specifically labelled\n   as not being for redistribution (check the version message and/or README),\n   you are not permitted to redistribute that version of the software in any\n   way or form.\n1. All terms of the all other applicable copyrights and licenses must be\n   followed.\n2. Redistributions of source code must retain the authors' copyright\n   notice(s), this list of conditions, and the following disclaimer.\n3. Redistributions in binary form must reproduce the authors' copyright\n   notice(s), this list of conditions, and the following disclaimer in the\n   documentation and/or other materials provided with the distribution.\n4. [The copyright holder has authorized the removal of this clause.]\n5. Neither the name(s) of the author(s) nor the names of its contributors\n   may be used to endorse or promote products derived from this software\n   without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY ITS AUTHORS AND CONTRIBUTORS ``AS IS'' AND ANY\nEXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\nWARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE\nDISCLAIMED. IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY\nDIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\nLOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON\nANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\nSOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nIf these license terms cause you a real problem, contact the author.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Inner Net License, Version 2.00<<endOptional>>\n\nThe author(s) grant permission for redistribution and use in source and binary forms, with or without modification, of the software and documentation provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> If you receive a version of the software that is specifically labelled as not being for redistribution (check the version message and/or README), you are not permitted to redistribute that version of the software in any way or form.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> All terms of the all other applicable copyrights and licenses must be followed.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions of source code must retain the authors' copyright notice(s), this list of conditions, and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the authors' copyright notice(s), this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> [The copyright holder has authorized the removal of this clause.]\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Neither the name(s) of the author(s) nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY ITS AUTHORS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nIf these license terms cause you a real problem, contact the author.\n\n"
		self.name = "Inner Net License v2.0"
		self.licenseId = "Inner-Net-2.0"
		self.crossRef = [{"match": "False", "url": "https://sourceware.org/git/?p=glibc.git;a=blob;f=LICENSES;h=530893b1dc9ea00755603c68fb36bd4fc38a7be8;hb=HEAD#l207", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:46Z", "isWayBackLink": False, "order": 1}, {"match": "True", "url": "https://fedoraproject.org/wiki/Licensing/Inner_Net_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:46Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Inner_Net_License", "https://sourceware.org/git/?p=glibc.git;a=blob;f=LICENSES;h=530893b1dc9ea00755603c68fb36bd4fc38a7be8;hb=HEAD#l207"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"optional-license-text\"> \n			The Inner Net License, Version 2.00\n		 </var>\n		 <p>\n			The author(s) grant permission for redistribution and use in source\n			and binary forms, with or without modification, of the software\n			and documentation provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 0.</var>\n			   If you receive a version of the software that is specifically\n			   labelled as not being for redistribution (check the\n			   version message and/or README), you are not permitted to\n			   redistribute that version of the software in any way or form.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   All terms of the all other applicable\n			   copyrights and licenses must be followed.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Redistributions of source code must retain the authors&apos; copyright\n			   notice(s), this list of conditions, and the following disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   Redistributions in binary form must reproduce the\n			   authors&apos; copyright notice(s), this list of conditions,\n			   and the following disclaimer in the documentation\n			   and/or other materials provided with the distribution.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   [The copyright holder has authorized the removal of this clause.]\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   Neither the name(s) of the author(s) nor the names of its\n			   contributors may be used to endorse or promote products derived\n			   from this software without specific prior written permission.\n			</li>\n		 \n</ul>\n		 <p>\n			THIS SOFTWARE IS PROVIDED BY ITS AUTHORS AND CONTRIBUTORS ``AS\n			IS&apos;&apos; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT\n			NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n			FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT\n			SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,\n			INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n			DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\n			GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n			INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n			WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n			THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		 </p>\n\n		 <p>\n			If these license terms cause you a real problem, contact the author.\n		 </p>\n\n	  "
		self.python_name = "InnerNet20"

	def __str__(self):
		return json.dumps(self.__dict__)


class threeparttable:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This file may be distributed, modified, and used in other works with just\none restriction: modified versions must clearly indicate the modification\n(a name change, or a displayed message, or ?).\n"
		self.standardLicenseTemplate = "This file may be distributed, modified, and used in other works with just one restriction: modified versions must clearly indicate the modification (a name change, or a displayed message, or ?).\n\n"
		self.name = "threeparttable License"
		self.licenseId = "threeparttable"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Threeparttable", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:39Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Threeparttable"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			This file may be distributed, modified, and used in other works\n			with just one restriction: modified versions must clearly indicate\n			the modification (a name change, or a displayed message, or ?).\n		 </p>\n\n	  "
		self.python_name = "threeparttable"

	def __str__(self):
		return json.dumps(self.__dict__)


class MSPL:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Microsoft Public License (Ms-PL)\n\nThis license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.\n\n1.  Definitions\nThe terms \"reproduce,\" \"reproduction,\" \"derivative works,\" and \"distribution\" have the same meaning here as under U.S. copyright law. A \"contribution\" is the original software, or any additions or changes to the software. A \"contributor\" is any person that distributes its contribution under this license. \"Licensed patents\" are a contributor's patent claims that read directly on its contribution.\n\n2.  Grant of Rights\n	 (A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.\n\n	 (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.\n\n3.  Conditions and Limitations\n	 (A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.\n\n	 (B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.\n\n	 (C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.\n\n	 (D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.\n\n	 (E) The software is licensed \"as-is.\" You bear the risk of using it. The contributors give no express warranties, guarantees, or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Microsoft Public License (Ms-PL)\n\n<<endOptional>>\n\nThis license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n   The terms \"reproduce,\" \"reproduction,\" \"derivative works,\" and \"distribution\" have the same meaning here as under U.S. copyright law. A \"contribution\" is the original software, or any additions or changes to the software. A \"contributor\" is any person that distributes its contribution under this license. \"Licensed patents\" are a contributor's patent claims that read directly on its contribution.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Grant of Rights\n\n	  <<var;name=\"bullet\";original=\"(A)\";match=\".{0,20}\">> Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.\n\n	  <<var;name=\"bullet\";original=\"(B)\";match=\".{0,20}\">> Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Conditions and Limitations\n\n	  <<var;name=\"bullet\";original=\"(A)\";match=\".{0,20}\">> No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.\n\n	  <<var;name=\"bullet\";original=\"(B)\";match=\".{0,20}\">> If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.\n\n	  <<var;name=\"bullet\";original=\"(C)\";match=\".{0,20}\">> If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.\n\n	  <<var;name=\"bullet\";original=\"(D)\";match=\".{0,20}\">> If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.\n\n	  <<var;name=\"bullet\";original=\"(E)\";match=\".{0,20}\">> The software is licensed \"as-is.\" You bear the risk of using it. The contributors give no express warranties, guarantees, or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement."
		self.name = "Microsoft Public License"
		self.licenseId = "MS-PL"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/MS-PL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:15Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "http://www.microsoft.com/opensource/licenses.mspx", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:10:16Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.microsoft.com/opensource/licenses.mspx", "https://opensource.org/licenses/MS-PL"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Microsoft Public License (Ms-PL)</p>\n\n	  </div>\n\n	  <p>This license governs use of the accompanying software. If you use the software, you accept this license.\n		 If you do not accept the license, do not use the software.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n			<br />\n\n   The terms &quot;reproduce,&quot; &quot;reproduction,&quot; &quot;derivative works,&quot;\n				 and &quot;distribution&quot; have the same meaning here as under U.S. copyright law. A\n				 &quot;contribution&quot; is the original software, or any additions or changes to the\n				 software. A &quot;contributor&quot; is any person that distributes its contribution\n				 under this license. &quot;Licensed patents&quot; are a contributor&apos;s patent\n				 claims that read directly on its contribution.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Grant of Rights\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (A)</var>\n			  Copyright Grant- Subject to the terms of this license, including the license conditions and\n				 limitations in section 3, each contributor grants you a non-exclusive, worldwide,\n				 royalty-free copyright license to reproduce its contribution, prepare derivative works of\n				 its contribution, and distribute its contribution or any derivative works that you\n				 create.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (B)</var>\n			  Patent Grant- Subject to the terms of this license, including the license conditions and\n				 limitations in section 3, each contributor grants you a non-exclusive, worldwide,\n				 royalty-free license under its licensed patents to make, have made, use, sell, offer for\n				 sale, import, and/or otherwise dispose of its contribution in the software or derivative\n				 works of the contribution in the software.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Conditions and Limitations\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (A)</var>\n			  No Trademark License- This license does not grant you rights to use any contributors&apos;\n				 name, logo, or trademarks.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (B)</var>\n			  If you bring a patent claim against any contributor over patents that you claim are infringed\n				 by the software, your patent license from such contributor to the software ends\n				 automatically.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (C)</var>\n			  If you distribute any portion of the software, you must retain all copyright, patent,\n				 trademark, and attribution notices that are present in the software.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (D)</var>\n			  If you distribute any portion of the software in source code form, you may do so only under\n				 this license by including a complete copy of this license with your distribution. If you\n				 distribute any portion of the software in compiled or object code form, you may only do so\n				 under a license that complies with this license.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (E)</var>\n			  The software is licensed &quot;as-is.&quot; You bear the risk of using it. The contributors\n				 give no express warranties, guarantees, or conditions. You may have additional consumer\n				 rights under your local laws which this license cannot change. To the extent permitted\n				 under your local laws, the contributors exclude the implied warranties of merchantability,\n				 fitness for a particular purpose and non-infringement.\n			</li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	"
		self.python_name = "MSPL"

	def __str__(self):
		return json.dumps(self.__dict__)


class Zed:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "(c) Jim Davies, January 1995\nYou may copy and distribute this file freely.  Any queries and complaints should be forwarded to Jim.Davies@comlab.ox.ac.uk.\nIf you make any changes to this file, please do not distribute the results under the name `zed-csp.sty'.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"(c) Jim Davies, January 1995  \";match=\".{0,5000}\">>\n\nYou may copy and distribute this file freely. Any queries and complaints should be forwarded to Jim.Davies@comlab.ox.ac.uk.\n\nIf you make any changes to this file, please do not distribute the results under the name `zed-csp.sty'.\n\n"
		self.name = "Zed License"
		self.licenseId = "Zed"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Zed", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:25Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Zed"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>(c) Jim Davies, January 1995</p>\n\n	  </div>\n\n	  <p>You may copy and distribute this file freely. Any queries and complaints should be forwarded to\n		 Jim.Davies@comlab.ox.ac.uk.</p>\n\n	  <p>If you make any changes to this file, please do not distribute the results under the name `zed-csp.sty&apos;.</p>\n\n	"
		self.python_name = "Zed"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDsellvariant:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1993 by OpenVision Technologies, Inc.\n\nPermission to use, copy, modify, distribute, and sell this software\nand its documentation for any purpose is hereby granted without fee,\nprovided that the above copyright notice appears in all copies and\nthat both that copyright notice and this permission notice appear in\nsupporting documentation, and that the name of OpenVision not be used\nin advertising or publicity pertaining to distribution of the software\nwithout specific, written prior permission. OpenVision makes no\nrepresentations about the suitability of this software for any\npurpose.  It is provided \"as is\" without express or implied warranty.\n\nOPENVISION DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,\nINCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO\nEVENT SHALL OPENVISION BE LIABLE FOR ANY SPECIAL, INDIRECT OR\nCONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF\nUSE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR\nOTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR\nPERFORMANCE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"<copyright notice>  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, distribute<<beginOptional>>,<<endOptional>>and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice <<var;name=\"appear\";original=\"appears\";match=\"appear|appears\">> in all copies<<beginOptional>>, <<endOptional>><<beginOptional>> and<<endOptional>> that both <<var;name=\"that\";original=\"that\";match=\"that|the\">> copyright notice and this permission notice appear in supporting documentation<<beginOptional>>, and that the <<var;name=\"name\";original=\"name\";match=\"name|names\">><<beginOptional>> of<<endOptional>> <<var;name=\"copyrightHolder0\";original=\"<copyright holder>\";match=\".*\">> <<var;name=\"orRelated\";original=\"<or related entities>\";match=\".*\">><<beginOptional>> is<<endOptional>> not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission <<endOptional>> .<<beginOptional>> <<var;name=\"copyrightHolder1\";original=\"<copyright holder>\";match=\".*\">> <<var;name=\"make\";original=\"makes\";match=\"make|makes\">> no representations about the suitability of this software for any purpose. It is provided \"as is\" without express or implied warranty.<<endOptional>>\n\n<<beginOptional>><<var;name=\"copyrightHolder2\";original=\"<copyright holder>\";match=\".*\">> <<var;name=\"disclaim\";original=\"DISCLAIMS\";match=\"DISCLAIM|DISCLAIMS\">> ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS <<var;name=\"period\";original=\".\";match=\"[.,]*\">> IN NO EVENT SHALL <<var;name=\"copyrightHolder3\";original=\"<copyright holder>\";match=\".*\">> BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n<<endOptional>>"
		self.name = "Historical Permission Notice and Disclaimer - sell variant"
		self.licenseComments = "This license is a variant of HPND (https://spdx.org/licenses/HPND.html). This variant explicitly includes the permission to \"sell\" the software, which is not explicitly referenced in the HPND template, and makes a few other minor changes. It otherwise retains the optional templated formatting from HPND."
		self.licenseId = "HPND-sell-variant"
		self.crossRef = [{"match": "False", "url": "https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/tree/net/sunrpc/auth_gss/gss_generic_token.c?h=v4.19", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:40Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/tree/net/sunrpc/auth_gss/gss_generic_token.c?h=v4.19"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>&lt;copyright notice&gt;</p>\n\n	  </div>\n\n	  <p>Permission to use, copy, modify, distribute<var class=\"optional-license-text\">,</var> and sell this software and its documentation for any purpose\n		 is hereby granted without fee, provided that the above copyright notice  <var class=\"replaceable-license-text\"> appears</var> in all copies<var class=\"optional-license-text\">, </var>\n		 <var class=\"optional-license-text\"> and</var> that both <var class=\"replaceable-license-text\"> that</var> copyright notice\n		 and this permission notice appear in supporting documentation<var class=\"optional-license-text\">, and that the <var class=\"replaceable-license-text\"> name</var> <var class=\"optional-license-text\"> of</var>\n			<var class=\"replaceable-license-text\"> &lt;copyright holder&gt;</var>\n			<var class=\"replaceable-license-text\"> &lt;or related entities&gt;</var>\n		 <var class=\"optional-license-text\"> is</var> not be used in advertising or publicity pertaining to distribution of the software without specific, written\n		 prior permission </var>. <var class=\"optional-license-text\"> \n			<var class=\"replaceable-license-text\"> &lt;copyright holder&gt;</var> <var class=\"replaceable-license-text\"> makes</var> no representations\n		 about the suitability of this software for any purpose. It is provided &quot;as is&quot; without express or implied warranty.</var>\n	  </p>\n\n	  <div class=\"optional-license-text\"> \n		<p>\n			<var class=\"replaceable-license-text\"> &lt;copyright holder&gt;</var> <var class=\"replaceable-license-text\"> DISCLAIMS</var> ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING\n		   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS<var class=\"replaceable-license-text\"> .</var> IN NO EVENT SHALL\n		   <var class=\"replaceable-license-text\"> &lt;copyright holder&gt;</var> BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES\n		   OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,\n		   NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.</p>\n\n	  </div>\n	"
		self.python_name = "HPNDsellvariant"

	def __str__(self):
		return json.dumps(self.__dict__)


class GraphicsGems:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "LICENSE\n\nThis code repository predates the concept of Open Source, and predates most licenses along such lines. As such, the official license truly is:\n\nEULA: The Graphics Gems code is copyright-protected. In other words, you cannot claim the text of the code as your own and resell it. Using the code is permitted in any program, product, or library, non-commercial or commercial. Giving credit is not required, though is a nice gesture. The code comes as-is, and if there are any flaws or problems with any Gems code, nobody involved with Gems - authors, editors, publishers, or webmasters - are to be held responsible. Basically, don't be a jerk, and remember that anything free comes with no guarantee.\n"
		self.standardLicenseTemplate = "<<beginOptional>>LICENSE\n\nThis code repository predates the concept of Open Source, and predates most licenses along such lines. As such, the official license truly is:\n\n<<endOptional>>\n\nEULA: The Graphics Gems code is copyright-protected. In other words, you cannot claim the text of the code as your own and resell it. Using the code is permitted in any program, product, or library, non-commercial or commercial. Giving credit is not required, though is a nice gesture. The code comes as-is, and if there are any flaws or problems with any Gems code, nobody involved with Gems - authors, editors, publishers, or webmasters - are to be held responsible. Basically, don't be a jerk, and remember that anything free comes with no guarantee.\n\n"
		self.name = "Graphics Gems License"
		self.licenseId = "Graphics-Gems"
		self.crossRef = [{"match": "False", "url": "https://github.com/erich666/GraphicsGems/blob/master/LICENSE.md", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:51Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/erich666/GraphicsGems/blob/master/LICENSE.md"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"optional-license-text\"> \n			<p>\n			   LICENSE\n			</p>\n\n			<p>\n			   This code repository predates the concept of Open\n			   Source, and predates most licenses along such\n			   lines. As such, the official license truly is:\n			</p>\n\n		 </div>\n		 <p>\n			EULA: The Graphics Gems code is copyright-protected. In other\n			words, you cannot claim the text of the code as your own and\n			resell it. Using the code is permitted in any program, product,\n			or library, non-commercial or commercial. Giving credit is\n			not required, though is a nice gesture. The code comes as-is,\n			and if there are any flaws or problems with any Gems code,\n			nobody involved with Gems - authors, editors, publishers, or\n			webmasters - are to be held responsible. Basically, don&apos;t be a\n			jerk, and remember that anything free comes with no guarantee.\n		 </p>\n\n	  "
		self.python_name = "GraphicsGems"

	def __str__(self):
		return json.dumps(self.__dict__)


class pkgconf:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Permission to use, copy, modify, and/or distribute this software for any\npurpose with or without fee is hereby granted, provided that the above\ncopyright notice and this permission notice appear in all copies.\n\nThis software is provided 'as is' and without any warranty, express or\nimplied.  In no event shall the authors be liable for any damages arising\nfrom the use of this software.\n"
		self.standardLicenseTemplate = "Permission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.\n\nThis software is provided 'as is' and without any warranty, express or implied. In no event shall the authors be liable for any damages arising from the use of this software.\n\n"
		self.name = "pkgconf License"
		self.licenseId = "pkgconf"
		self.crossRef = [{"match": "False", "url": "https://github.com/pkgconf/pkgconf/blob/master/cli/main.c#L8", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:57Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/pkgconf/pkgconf/blob/master/cli/main.c#L8"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			Permission to use, copy, modify, and/or distribute this software\n			for any purpose with or without fee is hereby granted, provided\n			that the above copyright notice and this permission notice appear\n			in all copies.\n		 </p>\n\n		 <p>\n			This software is provided &apos;as is&apos; and without any\n			warranty, express or implied. In no event shall the authors be\n			liable for any damages arising from the use of this software.\n		 </p>\n\n	  "
		self.python_name = "pkgconf"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDsellvariantMITdisclaimer:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "by Jim Knoble <jmknoble@pobox.com>\n  Copyright (C) 1999,2000,2001 Jim Knoble\n  \n  Permission to use, copy, modify, distribute, and sell this software\n  and its documentation for any purpose is hereby granted without fee,\n  provided that the above copyright notice appear in all copies and\n  that both that copyright notice and this permission notice appear in\n  supporting documentation.\n\n+------------+\n| Disclaimer |\n+------------+\n\n  THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND,\n  express or implied, including but not limited to the warranties of\n  merchantability, fitness for a particular purpose and\n  noninfringement. In no event shall the author(s) be liable for any\n  claim, damages or other liability, whether in an action of contract,\n  tort or otherwise, arising from, out of or in connection with the\n  software or the use or other dealings in the software.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"by Jim Knoble <jmknoble@pobox.com>  Copyright (C) 1999,2000,2001 Jim Knoble\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.\n\n+------------+\n\n| Disclaimer |\n\n+------------+\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall the author(s) be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with the software or the use or other dealings in the software.\n\n"
		self.name = "HPND sell variant with MIT disclaimer"
		self.licenseComments = "This license is comprised of parts of the permission language from HPND-sell-variant and the disclaimer from MIT."
		self.licenseId = "HPND-sell-variant-MIT-disclaimer"
		self.crossRef = [{"match": "False", "url": "https://github.com/sigmavirus24/x11-ssh-askpass/blob/master/README", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:49Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/sigmavirus24/x11-ssh-askpass/blob/master/README"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			by Jim Knoble &lt;jmknoble@pobox.com&gt;\n			<br />\n\nCopyright (C) 1999,2000,2001 Jim Knoble\n		 </var>\n		 <p>\n			Permission to use, copy, modify, distribute, and sell this\n			software and its documentation for any purpose is hereby\n			granted without fee, provided that the above copyright notice\n			appear in all copies and that both that copyright notice and\n			this permission notice appear in supporting documentation.\n		 </p>\n\n		 <p>\n			+------------+ \n			<br />\n\n| Disclaimer | \n			<br />\n\n+------------+\n		 </p>\n\n		 <p>\n			THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND,\n			express or implied, including but not limited to the warranties\n			of merchantability, fitness for a particular purpose and\n			noninfringement. In no event shall the author(s) be liable for\n			any claim, damages or other liability, whether in an action of\n			contract, tort or otherwise, arising from, out of or in connection\n			with the software or the use or other dealings in the software.\n		 </p>\n\n	  "
		self.python_name = "HPNDsellvariantMITdisclaimer"

	def __str__(self):
		return json.dumps(self.__dict__)


class YPL11:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Yahoo! Public License, Version 1.1 (YPL)\n\nThis Yahoo! Public License (this \"Agreement\") is a legal agreement that describes the terms under which Yahoo! Inc., a Delaware corporation having its principal place of business at 701 First Avenue, Sunnyvale, California 94089 (\"Yahoo!\") will provide software to you via download or otherwise (\"Software\"). By using the Software, you, an individual or an entity (\"You\") agree to the terms of this Agreement.\n\nIn consideration of the mutual promises and upon the terms and conditions set forth below, the parties agree as follows:\n\n1. Grant of Copyright License\n\n	 1.1 - Subject to the terms and conditions of this Agreement, Yahoo! hereby grants to You, under any and all of its copyright interest in and to the Software, a royalty-free, non-exclusive, non-transferable license to copy, modify, compile, execute, and distribute the Software and Modifications. For the purposes of this Agreement, any change to, addition to, or abridgement of the Software made by You is a \"Modification;\" however, any file You add to the Software that does not contain any part of the Software is not a \"Modification.\"\n\n	 1.2 - If You are an individual acting on behalf of a corporation or other entity, Your use of the Software or any Modification is subject to Your having the authority to bind such corporation or entity to this Agreement. Providing copies to persons within such corporation or entity is not considered distribution for purposes of this Agreement.\n\n	 1.3 - For the Software or any Modification You distribute in source code format, You must do so only under the terms of this Agreement, and You must include a complete copy of this Agreement with Your distribution. With respect to any Modification You distribute in source code format, the terms of this Agreement will apply to You in the same way those terms apply to Yahoo! with respect to the Software. In other words, when You are distributing Modifications under this Agreement, You \"stand in the shoes\" of Yahoo! in terms of the rights You grant and how the terms and conditions apply to You and the licensees of Your Modifications. Notwithstanding the foregoing, when You \"stand in the shoes\" of Yahoo!, You are not subject to the jurisdiction provision under Section 7, which requires all disputes under this Agreement to be subject to the jurisdiction of federal or state courts of northern California.\n\n	 1.4 - For the Software or any Modification You distribute in compiled or object code format, You must also provide recipients with access to the Software or Modification in source code format along with a complete copy of this Agreement. The distribution of the Software or Modifications in compiled or object code format may be under a license of Your choice, provided that You are in compliance with the terms of this Agreement. In addition, You must make absolutely clear that any license terms applying to such Software or Modification that differ from this Agreement are offered by You alone and not by Yahoo!, and that such license does not restrict recipients from exercising rights in the source code to the Software granted by Yahoo! under this Agreement or rights in the source code to any Modification granted by You as described in Section 1.3.\n\n	 1.5 - This Agreement does not limit Your right to distribute files that are entirely Your own work (i.e., which do not incorporate any portion of the Software and are not Modifications) under any terms You choose.\n\n2. Support\nYahoo! has no obligation to provide technical support or updates to You. Nothing in this Agreement requires Yahoo! to enter into any license with You for any other edition of the Software.\n\n3. Intellectual Property Rights\n\n	 3.1 - Except for the license expressly granted under copyright in Section 1.1, no rights, licenses or forbearances are granted or may arise in relation to this Agreement whether expressly, by implication, exhaustion, estoppel or otherwise. All rights, including all intellectual property rights, that are not expressly granted under this Agreement are hereby reserved.\n\n	 3.2 - In any copy of the Software or in any Modification you create, You must retain and reproduce, any and all copyright, patent, trademark, and attribution notices that are included in the Software in the same form as they appear in the Software. This includes the preservation of attribution notices in the form of trademarks or logos that exist within a user interface of the Software.\n\n	 3.3 - This license does not grant You rights to use any party's name, logo, or trademarks, except solely as necessary to comply with Section 3.2.\n\n4. Disclaimer of Warranties\nTHE SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY OF ANY KIND. YAHOO! MAKES NO WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY REGARDING OR RELATING TO THE SOFTWARE. SPECIFICALLY, YAHOO! DOES NOT WARRANT THAT THE SOFTWARE WILL BE ERROR FREE OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST EXTENT ALLOWED BY LAW, YAHOO! SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE (EVEN IF YAHOO! HAD BEEN INFORMED OF SUCH PURPOSE), AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE, ANY MODIFICATIONS THERETO AND WITH RESPECT TO THE USE OF THE FOREGOING.\n\n5. Limitation of Liability\nIN NO EVENT WILL YAHOO! BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION LOSS OF PROFITS, LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, COST OF COVER) IN CONNECTION WITH OR ARISING OUT OF OR RELATING TO THE FURNISHING, PERFORMANCE OR USE OF THE SOFTWARE OR ANY OTHER RIGHTS GRANTED HEREUNDER, WHETHER ALLEGED AS A BREACH OF CONTRACT OR TORTIOUS CONDUCT, INCLUDING NEGLIGENCE, AND EVEN IF YAHOO! HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n6. Term and Termination\n\n	 6.1 - This Agreement will continue in effect unless and until terminated earlier pursuant to this Section 6.\n\n	 6.2 - In the event You violate the terms of this Agreement, Yahoo! may terminate this Agreement.\n\n	 6.3 - All licenses granted hereunder shall terminate upon the termination of this Agreement. Termination will be in addition to any rights and remedies available to Yahoo! at law or equity or under this Agreement.\n\n	 6.4 - Termination of this Agreement will not affect the provisions regarding reservation of rights (Section 3.1), provisions disclaiming or limiting Yahoo!'s liability (Sections 4 and 5), Termination (Section 6) or Miscellaneous (Section 7), which provisions will survive termination of this Agreement.\n\n7.Miscellaneous\nThis Agreement contains the entire agreement of the parties with respect to the subject matter of this Agreement and supersedes all previous communications, representations, understandings and agreements, either oral or written, between the parties with respect to said subject matter. The relationship of the parties hereunder is that of independent contractors, and this Agreement will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between the parties. If any term, condition, or provision in this Agreement is found to be invalid, unlawful or unenforceable to any extent, this Agreement will be consTrued in a manner that most closely effectuates the intent of this Agreement. Such invalid term, condition or provision will be severed from the remaining terms, conditions and provisions, which will continue to be valid and enforceable to the fullest extent permitted by law. This Agreement will be interpreted and consTrued in accordance with the laws of the State of California and the United States of America, without regard to conflict of law principles. The U.N. Convention on Contracts for the International Sale of Goods shall not apply to this Agreement. All disputes arising out of this Agreement involving Yahoo! or any of its subsidiaries shall be subject to the jurisdiction of the federal or state courts of northern California, with venue lying in Santa Clara County, California. No rights may be assigned, no obligations may be delegated, and this Agreement may not be transferred by You, in whole or in part, whether voluntary or by operation of law, including by way of sale of assets, merger or consolidation, without the prior written consent of Yahoo!, and any purported assignment, delegation or transfer without such consent shall be void ab initio. Any waiver of the provisions of this Agreement or of a party's rights or remedies under this Agreement must be in writing to be effective. Failure, neglect or delay by a party to enforce the provisions of this Agreement or its rights or remedies at any time, will not be consTrued or be deemed to be a waiver of such party's rights under this Agreement and will not in any way affect the validity of the whole or any part of this Agreement or prejudice such party's right to take subsequent action.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Yahoo! Public License, Version 1.1 (YPL)\n\n<<endOptional>>\n\nThis Yahoo! Public License (this \"Agreement\") is a legal agreement that describes the terms under which Yahoo! Inc., a Delaware corporation having its principal place of business at 701 First Avenue, Sunnyvale, California 94089 (\"Yahoo!\") will provide software to you via download or otherwise (\"Software\"). By using the Software, you, an individual or an entity (\"You\") agree to the terms of this Agreement.\n\nIn consideration of the mutual promises and upon the terms and conditions set forth below, the parties agree as follows:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Grant of Copyright License\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> - Subject to the terms and conditions of this Agreement, Yahoo! hereby grants to You, under any and all of its copyright interest in and to the Software, a royalty-free, non-exclusive, non-transferable license to copy, modify, compile, execute, and distribute the Software and Modifications. For the purposes of this Agreement, any change to, addition to, or abridgement of the Software made by You is a \"Modification;\" however, any file You add to the Software that does not contain any part of the Software is not a \"Modification.\"\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> - If You are an individual acting on behalf of a corporation or other entity, Your use of the Software or any Modification is subject to Your having the authority to bind such corporation or entity to this Agreement. Providing copies to persons within such corporation or entity is not considered distribution for purposes of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> - For the Software or any Modification You distribute in source code format, You must do so only under the terms of this Agreement, and You must include a complete copy of this Agreement with Your distribution. With respect to any Modification You distribute in source code format, the terms of this Agreement will apply to You in the same way those terms apply to Yahoo! with respect to the Software. In other words, when You are distributing Modifications under this Agreement, You \"stand in the shoes\" of Yahoo! in terms of the rights You grant and how the terms and conditions apply to You and the licensees of Your Modifications. Notwithstanding the foregoing, when You \"stand in the shoes\" of Yahoo!, You are not subject to the jurisdiction provision under Section 7, which requires all disputes under this Agreement to be subject to the jurisdiction of federal or state courts of northern California.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> - For the Software or any Modification You distribute in compiled or object code format, You must also provide recipients with access to the Software or Modification in source code format along with a complete copy of this Agreement. The distribution of the Software or Modifications in compiled or object code format may be under a license of Your choice, provided that You are in compliance with the terms of this Agreement. In addition, You must make absolutely clear that any license terms applying to such Software or Modification that differ from this Agreement are offered by You alone and not by Yahoo!, and that such license does not restrict recipients from exercising rights in the source code to the Software granted by Yahoo! under this Agreement or rights in the source code to any Modification granted by You as described in Section 1.3.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> - This Agreement does not limit Your right to distribute files that are entirely Your own work (i.e., which do not incorporate any portion of the Software and are not Modifications) under any terms You choose.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Support\n\n   Yahoo! has no obligation to provide technical support or updates to You. Nothing in this Agreement requires Yahoo! to enter into any license with You for any other edition of the Software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Intellectual Property Rights\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> - Except for the license expressly granted under copyright in Section 1.1, no rights, licenses or forbearances are granted or may arise in relation to this Agreement whether expressly, by implication, exhaustion, estoppel or otherwise. All rights, including all intellectual property rights, that are not expressly granted under this Agreement are hereby reserved.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> - In any copy of the Software or in any Modification you create, You must retain and reproduce, any and all copyright, patent, trademark, and attribution notices that are included in the Software in the same form as they appear in the Software. This includes the preservation of attribution notices in the form of trademarks or logos that exist within a user interface of the Software.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> - This license does not grant You rights to use any party's name, logo, or trademarks, except solely as necessary to comply with Section 3.2.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Disclaimer of Warranties\n\n   THE SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY OF ANY KIND. YAHOO! MAKES NO WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY REGARDING OR RELATING TO THE SOFTWARE. SPECIFICALLY, YAHOO! DOES NOT WARRANT THAT THE SOFTWARE WILL BE ERROR FREE OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST EXTENT ALLOWED BY LAW, YAHOO! SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE (EVEN IF YAHOO! HAD BEEN INFORMED OF SUCH PURPOSE), AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE, ANY MODIFICATIONS THERETO AND WITH RESPECT TO THE USE OF THE FOREGOING.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Limitation of Liability\n\n   IN NO EVENT WILL YAHOO! BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION LOSS OF PROFITS, LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, COST OF COVER) IN CONNECTION WITH OR ARISING OUT OF OR RELATING TO THE FURNISHING, PERFORMANCE OR USE OF THE SOFTWARE OR ANY OTHER RIGHTS GRANTED HEREUNDER, WHETHER ALLEGED AS A BREACH OF CONTRACT OR TORTIOUS CONDUCT, INCLUDING NEGLIGENCE, AND EVEN IF YAHOO! HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Term and Termination\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> - This Agreement will continue in effect unless and until terminated earlier pursuant to this Section 6.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> - In the event You violate the terms of this Agreement, Yahoo! may terminate this Agreement.\n\n	  <<var;name=\"bullet\";original=\"6.3\";match=\".{0,20}\">> - All licenses granted hereunder shall terminate upon the termination of this Agreement. Termination will be in addition to any rights and remedies available to Yahoo! at law or equity or under this Agreement.\n\n	  <<var;name=\"bullet\";original=\"6.4\";match=\".{0,20}\">> - Termination of this Agreement will not affect the provisions regarding reservation of rights (Section 3.1), provisions disclaiming or limiting Yahoo!'s liability (Sections 4 and 5), Termination (Section 6) or Miscellaneous (Section 7), which provisions will survive termination of this Agreement.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Miscellaneous\n\n   This Agreement contains the entire agreement of the parties with respect to the subject matter of this Agreement and supersedes all previous communications, representations, understandings and agreements, either oral or written, between the parties with respect to said subject matter. The relationship of the parties hereunder is that of independent contractors, and this Agreement will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between the parties. If any term, condition, or provision in this Agreement is found to be invalid, unlawful or unenforceable to any extent, this Agreement will be consTrued in a manner that most closely effectuates the intent of this Agreement. Such invalid term, condition or provision will be severed from the remaining terms, conditions and provisions, which will continue to be valid and enforceable to the fullest extent permitted by law. This Agreement will be interpreted and consTrued in accordance with the laws of the State of California and the United States of America, without regard to conflict of law principles. The U.N. Convention on Contracts for the International Sale of Goods shall not apply to this Agreement. All disputes arising out of this Agreement involving Yahoo! or any of its subsidiaries shall be subject to the jurisdiction of the federal or state courts of northern California, with venue lying in Santa Clara County, California. No rights may be assigned, no obligations may be delegated, and this Agreement may not be transferred by You, in whole or in part, whether voluntary or by operation of law, including by way of sale of assets, merger or consolidation, without the prior written consent of Yahoo!, and any purported assignment, delegation or transfer without such consent shall be void ab initio. Any waiver of the provisions of this Agreement or of a party's rights or remedies under this Agreement must be in writing to be effective. Failure, neglect or delay by a party to enforce the provisions of this Agreement or its rights or remedies at any time, will not be consTrued or be deemed to be a waiver of such party's rights under this Agreement and will not in any way affect the validity of the whole or any part of this Agreement or prejudice such party's right to take subsequent action."
		self.name = "Yahoo! Public License v1.1"
		self.licenseId = "YPL-1.1"
		self.crossRef = [{"match": "True", "url": "http://www.zimbra.com/license/yahoo_public_license_1.1.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:48Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.zimbra.com/license/yahoo_public_license_1.1.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Yahoo! Public License, Version 1.1 (YPL)</p>\n\n	  </div>\n\n	  <p>This Yahoo! Public License (this &quot;Agreement&quot;) is a legal agreement that describes the terms under which\n		 Yahoo! Inc., a Delaware corporation having its principal place of business at 701 First Avenue,\n		 Sunnyvale, California 94089 (&quot;Yahoo!&quot;) will provide software to you via download or otherwise\n		 (&quot;Software&quot;). By using the Software, you, an individual or an entity (&quot;You&quot;) agree to the terms of\n		 this Agreement.</p>\n\n	  <p>In consideration of the mutual promises and upon the terms and conditions set forth below, the parties\n		 agree as follows:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Grant of Copyright License\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1</var>\n			  - Subject to the terms and conditions of this Agreement, Yahoo! hereby grants to You, under any\n				 and all of its copyright interest in and to the Software, a royalty-free, non-exclusive,\n				 non-transferable license to copy, modify, compile, execute, and distribute the Software and\n				 Modifications. For the purposes of this Agreement, any change to, addition to, or abridgement\n				 of the Software made by You is a &quot;Modification;&quot; however, any file You add to the Software\n				 that does not contain any part of the Software is not a &quot;Modification.&quot;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2</var>\n			  - If You are an individual acting on behalf of a corporation or other entity, Your use of the\n				 Software or any Modification is subject to Your having the authority to bind such corporation\n				 or entity to this Agreement. Providing copies to persons within such corporation or entity is\n				 not considered distribution for purposes of this Agreement.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3</var>\n			  - For the Software or any Modification You distribute in source code format, You must do so only\n				 under the terms of this Agreement, and You must include a complete copy of this Agreement with\n				 Your distribution. With respect to any Modification You distribute in source code format, the\n				 terms of this Agreement will apply to You in the same way those terms apply to Yahoo! with\n				 respect to the Software. In other words, when You are distributing Modifications under this\n				 Agreement, You &quot;stand in the shoes&quot; of Yahoo! in terms of the rights You grant and how the\n				 terms and conditions apply to You and the licensees of Your Modifications. Notwithstanding the\n				 foregoing, when You &quot;stand in the shoes&quot; of Yahoo!, You are not subject to the jurisdiction\n				 provision under Section 7, which requires all disputes under this Agreement to be subject to\n				 the jurisdiction of federal or state courts of northern California.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4</var>\n			  - For the Software or any Modification You distribute in compiled or object code format, You must\n				 also provide recipients with access to the Software or Modification in source code format\n				 along with a complete copy of this Agreement. The distribution of the Software or\n				 Modifications in compiled or object code format may be under a license of Your choice,\n				 provided that You are in compliance with the terms of this Agreement. In addition, You must\n				 make absolutely clear that any license terms applying to such Software or Modification that\n				 differ from this Agreement are offered by You alone and not by Yahoo!, and that such license\n				 does not restrict recipients from exercising rights in the source code to the Software granted\n				 by Yahoo! under this Agreement or rights in the source code to any Modification granted by You\n				 as described in Section 1.3.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5</var>\n			  - This Agreement does not limit Your right to distribute files that are entirely Your own work\n				 (i.e., which do not incorporate any portion of the Software and are not Modifications) under\n				 any terms You choose.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Support\n			<br />\n\n   Yahoo! has no obligation to provide technical support or updates to You. Nothing in this\n				 Agreement requires Yahoo! to enter into any license with You for any other edition of\n				 the Software.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Intellectual Property Rights\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n			  - Except for the license expressly granted under copyright in Section 1.1, no rights, licenses or\n				 forbearances are granted or may arise in relation to this Agreement whether expressly, by\n				 implication, exhaustion, estoppel or otherwise. All rights, including all intellectual\n				 property rights, that are not expressly granted under this Agreement are hereby reserved.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n			  - In any copy of the Software or in any Modification you create, You must retain and reproduce,\n				 any and all copyright, patent, trademark, and attribution notices that are included in the\n				 Software in the same form as they appear in the Software. This includes the preservation of\n				 attribution notices in the form of trademarks or logos that exist within a user interface of\n				 the Software.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3</var>\n			  - This license does not grant You rights to use any party&apos;s name, logo, or trademarks, except\n				 solely as necessary to comply with Section 3.2.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Disclaimer of Warranties\n			<br />\n\n   THE SOFTWARE IS PROVIDED &quot;AS IS&quot; AND WITHOUT WARRANTY OF ANY KIND. YAHOO! MAKES NO\n				 WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY REGARDING OR RELATING TO THE\n				 SOFTWARE. SPECIFICALLY, YAHOO! DOES NOT WARRANT THAT THE SOFTWARE WILL BE ERROR FREE\n				 OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST EXTENT ALLOWED BY LAW,\n				 YAHOO! SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A\n				 PARTICULAR PURPOSE (EVEN IF YAHOO! HAD BEEN INFORMED OF SUCH PURPOSE), AND\n				 NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE, ANY MODIFICATIONS THERETO AND WITH\n				 RESPECT TO THE USE OF THE FOREGOING.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Limitation of Liability\n			<br />\n\n   IN NO EVENT WILL YAHOO! BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\n				 OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION LOSS OF PROFITS,\n				 LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, COST OF COVER) IN CONNECTION WITH OR\n				 ARISING OUT OF OR RELATING TO THE FURNISHING, PERFORMANCE OR USE OF THE SOFTWARE OR\n				 ANY OTHER RIGHTS GRANTED HEREUNDER, WHETHER ALLEGED AS A BREACH OF CONTRACT OR\n				 TORTIOUS CONDUCT, INCLUDING NEGLIGENCE, AND EVEN IF YAHOO! HAS BEEN ADVISED OF THE\n				 POSSIBILITY OF SUCH DAMAGES.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Term and Termination\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1</var>\n			  - This Agreement will continue in effect unless and until terminated earlier pursuant to this\n				 Section 6.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2</var>\n			  - In the event You violate the terms of this Agreement, Yahoo! may terminate this Agreement.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3</var>\n			  - All licenses granted hereunder shall terminate upon the termination of this Agreement.\n				 Termination will be in addition to any rights and remedies available to Yahoo! at law or\n				 equity or under this Agreement.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.4</var>\n			  - Termination of this Agreement will not affect the provisions regarding reservation of rights\n				 (Section 3.1), provisions disclaiming or limiting Yahoo!&apos;s liability (Sections 4 and 5),\n				 Termination (Section 6) or Miscellaneous (Section 7), which provisions will survive\n				 termination of this Agreement.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		Miscellaneous\n		<br />\n\n   This Agreement contains the entire agreement of the parties with respect to the subject matter of\n			 this Agreement and supersedes all previous communications, representations, understandings and\n			 agreements, either oral or written, between the parties with respect to said subject matter.\n			 The relationship of the parties hereunder is that of independent contractors, and this\n			 Agreement will not be consTrued as creating an agency, partnership, joint venture or any other\n			 form of legal association between the parties. If any term, condition, or provision in this\n			 Agreement is found to be invalid, unlawful or unenforceable to any extent, this Agreement will\n			 be consTrued in a manner that most closely effectuates the intent of this Agreement. Such\n			 invalid term, condition or provision will be severed from the remaining terms, conditions and\n			 provisions, which will continue to be valid and enforceable to the fullest extent permitted by\n			 law. This Agreement will be interpreted and consTrued in accordance with the laws of the State\n			 of California and the United States of America, without regard to conflict of law principles.\n			 The U.N. Convention on Contracts for the International Sale of Goods shall not apply to this\n			 Agreement. All disputes arising out of this Agreement involving Yahoo! or any of its\n			 subsidiaries shall be subject to the jurisdiction of the federal or state courts of northern\n			 California, with venue lying in Santa Clara County, California. No rights may be assigned, no\n			 obligations may be delegated, and this Agreement may not be transferred by You, in whole or in\n			 part, whether voluntary or by operation of law, including by way of sale of assets, merger or\n			 consolidation, without the prior written consent of Yahoo!, and any purported assignment,\n			 delegation or transfer without such consent shall be void ab initio. Any waiver of the\n			 provisions of this Agreement or of a party&apos;s rights or remedies under this Agreement must be\n			 in writing to be effective. Failure, neglect or delay by a party to enforce the provisions of\n			 this Agreement or its rights or remedies at any time, will not be consTrued or be deemed to be\n			 a waiver of such party&apos;s rights under this Agreement and will not in any way affect the\n			 validity of the whole or any part of this Agreement or prejudice such party&apos;s right to take\n			 subsequent action.\n\n		</li>\n	  \n</ul>\n	"
		self.python_name = "YPL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class NLPL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "NO LIMIT PUBLIC LICENSE\n	 Version 0, June 2012\n\nGilles LAMIRAL\nLa Billais\n35580 Baulon\nFrance\n\nNO LIMIT PUBLIC LICENSE\n\nTerms and conditions for copying, distribution, modification\nor anything else.\n\n	 0. No limit to do anything with this work and this license.\n"
		self.standardLicenseTemplate = "<<beginOptional>>NO LIMIT PUBLIC LICENSE\n\nVersion 0, June 2012\n\n<<endOptional>><<beginOptional>> Gilles LAMIRAL\n\nLa Billais\n\n35580 Baulon\n\nFrance\n\n<<endOptional>><<beginOptional>> NO LIMIT PUBLIC LICENSE\n\n<<endOptional>>\n\nTerms and conditions for copying, distribution, modification or anything else.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> No limit to do anything with this work and this license."
		self.name = "No Limit Public License"
		self.licenseId = "NLPL"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/NLPL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:21Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/NLPL"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>NO LIMIT PUBLIC LICENSE</p>\n\n		 <p>Version 0, June 2012</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Gilles LAMIRAL</p>\n\n		 <p>La Billais</p>\n\n		 <p>35580 Baulon</p>\n\n		 <p>France</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>NO LIMIT PUBLIC LICENSE</p>\n\n	  </div>\n\n	  <p>Terms and conditions for copying, distribution, modification or anything else.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  No limit to do anything with this work and this license.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "NLPL"

	def __str__(self):
		return json.dumps(self.__dict__)


class CDLAPermissive10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Community Data License Agreement \u2013 Permissive \u2013 Version 1.0\n\nThis is the Community Data License Agreement \u2013 Permissive, Version 1.0 (\u201cAgreement\u201d).  Data is provided to You under this Agreement by each of the Data Providers.  Your exercise of any of the rights and permissions granted below constitutes Your acceptance and agreement to be bound by the terms and conditions of this Agreement.\n\nThe benefits that each Data Provider receives from making Data available and that You receive from Data or otherwise under these terms and conditions shall be deemed sufficient consideration for the formation of this Agreement.  Accordingly, Data Provider(s) and You (the \u201cParties\u201d) agree as follows:\n\nSection 1.  Definitions\n\n1.1 \u201cAdd\u201d means to supplement Data with Your own or someone else\u2019s Data, resulting in Your \u201cAdditions.\u201d  Additions do not include Results.\n\n1.2 \u201cComputational Use\u201d means Your analysis (through the use of computational devices or otherwise) or other interpretation of Data.  By way of example and not limitation, \u201cComputational Use\u201d includes the application of any computational analytical technique, the purpose of which is the analysis of any Data in digital form to generate information about Data such as patterns, trends, correlations, inferences, insights and attributes.\n\n1.3 \u201cData\u201d means the information (including copyrightable information, such as images or text), collectively or individually, whether created or gathered by a Data Provider or an Entity acting on its behalf, to which rights are granted under this Agreement.\n\n1.4 \u201cData Provider\u201d means any Entity (including any employee or contractor of such Entity authorized to Publish Data on behalf of such Entity) that Publishes Data under this Agreement prior to Your Receiving it.\n\n1.5 \u201cEnhanced Data\u201d means the subset of Data that You Publish and that is composed of (a) Your Additions and/or (b) Modifications to Data You have received under this Agreement.\n\n1.6 \u201cEntity\u201d means any natural person or organization that exists under the laws of the jurisdiction in which it is organized, together with all other entities that control, are controlled by, or are under common control with that entity.  For the purposes of this definition, \u201ccontrol\u201d means (a) the power, directly or indirectly, to cause the direction or management of such entity, whether by contract or otherwise, (b) the ownership of more than fifty percent (50%) of the outstanding shares or securities, (c) the beneficial ownership of such entity or, (d) the ability to appoint, whether by agreement or right, the majority of directors of an Entity.\n\n1.7 \u201cModify\u201d means to delete, erase, correct or re-arrange Data, resulting in \u201cModifications.\u201d  Modifications do not include Results.\n\n1.8 \u201cPublish\u201d means to make all or a subset of Data (including Your Enhanced Data) available in any manner which enables its Use, including by providing a copy on physical media or remote access.  For any form of Entity, that is to make the Data available to any individual who is not employed by that Entity or engaged as a contractor or agent to perform work on that Entity\u2019s behalf.  A \u201cPublication\u201d occurs each time You Publish Data.\n\n1.9 \u201cReceive\u201d or \u201cReceives\u201d means to have been given access to Data, locally or remotely.\n\n1.10 \u201cResults\u201d means the outcomes or outputs that You obtain from Your Computational Use of Data.  Results shall not include more than a de minimis portion of the Data on which the Computational Use is based.\n\n1.11 \u201cSui Generis Database Rights\u201d means rights, other than copyright, resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other equivalent rights anywhere in the world.\n\n1.12 \u201cUse\u201d means using Data (including accessing, copying, studying, reviewing, adapting, analyzing, evaluating, or making Computational Use of it), either by machines or humans, or a combination of both.\n\n1.13 \u201cYou\u201d or \u201cYour\u201d means any Entity that Receives Data under this Agreement.\n\nSection 2.  Right and License to Use and to Publish\n\n2.1 Subject to the conditions set forth in Section 3 of this Agreement, Data Provider(s) hereby grant(s) to You a worldwide, non-exclusive, irrevocable (except as provided in Section 5) right to: (a) Use Data; and (b) Publish Data.\n\n2.2 To the extent that the Data or the coordination, selection or arrangement of Data is protected or protectable under copyright, Sui Generis Database Rights, or other law, Data Provider(s) further agree(s) that such Data or coordination, selection or arrangement is hereby licensed to You and to anyone else who Receives Data under this Agreement for Use and Publication, subject to the conditions set forth in Section 3 of this Agreement.\n\n2.3 Except for these rights and licenses expressly granted, no other intellectual property rights are granted or should be implied.\n\nSection 3.  Conditions on Rights Granted\n\n3.1 If You Publish Data You Receive or Enhanced Data:\n\n(a) You may do so under a license of Your choice provided that You give anyone who Receives the Data from You the text of this Agreement, the name of this Agreement and/or a hyperlink or other method reasonably likely to provide a copy of the text of this Agreement; and\n\n(b) You must cause any Data files containing Enhanced Data to carry prominent notices that You have changed those files; and\n\n(c) If You Publish Data You Receive, You must preserve all credit or attribution to the Data Provider(s). Such retained credit or attribution includes any of the following to the extent they exist in Data as You have Received it: legal notices or metadata; identification of the Data Provider(s); or hyperlinks to Data to the extent it is practical to do so.\n\n3.2 You may provide additional or different license terms and conditions for use, reproduction, or distribution of that Enhanced Data, or for any combination of Data and Enhanced Data as a whole, provided that Your Use and Publication of that combined Data otherwise complies with the conditions stated in this License.\n\n3.3 You and each Data Provider agree that Enhanced Data shall not be considered a work of joint authorship by virtue of its relationship to Data licensed under this Agreement and shall not require either any obligation of accounting to or the consent of any Data Provider.\n\n3.4 This Agreement imposes no obligations or restrictions on Your Use or Publication of Results.\n\nSection 4.  Data Provider(s)\u2019 Representations\n\n4.1 Each Data Provider represents that the Data Provider has exercised reasonable care, to assure that: (a) the Data it Publishes was created or generated by it or was obtained from others with the right to Publish the Data under this Agreement; and (b) Publication of such Data does not violate any privacy or confidentiality obligation undertaken by the Data Provider.\n\nSection 5.  Termination\n\n5.1 All of Your rights under this Agreement will terminate, and Your right to Receive, Use or Publish the Data will be revoked or modified if You materially fail to comply with the terms and conditions of this Agreement and You do not cure such failure in a reasonable period of time after becoming aware of such noncompliance.  If Your rights under this Agreement terminate, You agree to cease Receipt, Use and Publication of Data.  However, Your obligations and any rights and permissions granted by You under this Agreement relating to Data that You Published prior to such termination will continue and survive.\n\n5.2 If You institute litigation against a Data Provider or anyone else who Receives the Data (including a cross-claim in a lawsuit) based on the Data, other than a claim asserting breach of this Agreement, then any rights previously granted to You to Receive, Use and Publish Data under this Agreement will terminate as of the date such litigation is filed.\n\nSection 6.  Disclaimer of Warranties and Limitation of Liability\n\n6.1 EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE DATA (INCLUDING ENHANCED DATA) IS PROVIDED ON AN \u201cAS IS\u201d BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n\n6.2 NEITHER YOU NOR ANY DATA PROVIDERS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE DATA OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nSection 7.  Miscellaneous\n\n7.1 You agree that it is solely Your responsibility to comply with all applicable laws with regard to Your Use or Publication of Data, including any applicable privacy, data protection, security and export laws.  You agree to take reasonable steps to assist a Data Provider fulfilling responsibilities to comply with applicable laws with regard to Use or Publication of Data Received hereunder.\n\n7.2 You and Data Provider(s), collectively and individually, waive and/or agree not to assert, to the extent permitted by law, any moral rights You or they hold in Data.\n\n7.3 This Agreement confers no rights or remedies upon any person or entity other than the Parties and their respective heirs, executors, successors and assigns.\n\n7.4 The Data Provider(s) reserve no right or expectation of privacy, data protection or confidentiality in any Data that they Publish under this Agreement.  If You choose to Publish Data under this Agreement, You similarly do so with no reservation or expectation of any rights of privacy or confidentiality in that Data.\n\n7.5 The Community Data License Agreement workgroup under The Linux Foundation is the steward of this Agreement (\u201cSteward\u201d).  No one other than the Steward has the right to modify or publish new versions of this Agreement.  Each version will be given a distinguishing version number.  You may Use and Publish Data Received hereunder under the terms of the version of the Agreement under which You originally Received the Data, or under the terms of any subsequent version published by the Steward.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Community Data License Agreement - Permissive - Version 1.0\n\n<<endOptional>>\n\nThis is the Community Data License Agreement - Permissive, Version 1.0 (\"Agreement\"). Data is provided to You under this Agreement by each of the Data Providers. Your exercise of any of the rights and permissions granted below constitutes Your acceptance and agreement to be bound by the terms and conditions of this Agreement.\n\nThe benefits that each Data Provider receives from making Data available and that You receive from Data or otherwise under these terms and conditions shall be deemed sufficient consideration for the formation of this Agreement. Accordingly, Data Provider(s) and You (the \"Parties\") agree as follows:\n\n   <<var;name=\"bullet\";original=\"Section 1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Add\" means to supplement Data with Your own or someone else's Data, resulting in Your \"Additions.\" Additions do not include Results.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Computational Use\" means Your analysis (through the use of computational devices or otherwise) or other interpretation of Data. By way of example and not limitation, \"Computational Use\" includes the application of any computational analytical technique, the purpose of which is the analysis of any Data in digital form to generate information about Data such as patterns, trends, correlations, inferences, insights and attributes.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Data\" means the information (including copyrightable information, such as images or text), collectively or individually, whether created or gathered by a Data Provider or an Entity acting on its behalf, to which rights are granted under this Agreement.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Data Provider\" means any Entity (including any employee or contractor of such Entity authorized to Publish Data on behalf of such Entity) that Publishes Data under this Agreement prior to Your Receiving it.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Enhanced Data\" means the subset of Data that You Publish and that is composed of (a) Your Additions and/or (b) Modifications to Data You have received under this Agreement.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"Entity\" means any natural person or organization that exists under the laws of the jurisdiction in which it is organized, together with all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, \"control\" means (a) the power, directly or indirectly, to cause the direction or management of such entity, whether by contract or otherwise, (b) the ownership of more than fifty percent (50%) of the outstanding shares or securities, (c) the beneficial ownership of such entity or, (d) the ability to appoint, whether by agreement or right, the majority of directors of an Entity.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"Modify\" means to delete, erase, correct or re-arrange Data, resulting in \"Modifications.\" Modifications do not include Results.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"Publish\" means to make all or a subset of Data (including Your Enhanced Data) available in any manner which enables its Use, including by providing a copy on physical media or remote access. For any form of Entity, that is to make the Data available to any individual who is not employed by that Entity or engaged as a contractor or agent to perform work on that Entity's behalf. A \"Publication\" occurs each time You Publish Data.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"Receive\" or \"Receives\" means to have been given access to Data, locally or remotely.\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> \"Results\" means the outcomes or outputs that You obtain from Your Computational Use of Data. Results shall not include more than a de minimis portion of the Data on which the Computational Use is based.\n\n	  <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> \"Sui Generis Database Rights\" means rights, other than copyright, resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other equivalent rights anywhere in the world.\n\n	  <<var;name=\"bullet\";original=\"1.12\";match=\".{0,20}\">> \"Use\" means using Data (including accessing, copying, studying, reviewing, adapting, analyzing, evaluating, or making Computational Use of it), either by machines or humans, or a combination of both.\n\n	  <<var;name=\"bullet\";original=\"1.13\";match=\".{0,20}\">> \"You\" or \"Your\" means any Entity that Receives Data under this Agreement.\n\n   <<var;name=\"bullet\";original=\"Section 2.\";match=\".{0,20}\">> Right and License to Use and to Publish\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> Subject to the conditions set forth in Section 3 of this Agreement, Data Provider(s) hereby grant(s) to You a worldwide, non-exclusive, irrevocable (except as provided in Section 5) right to: (a) Use Data; and (b) Publish Data.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> To the extent that the Data or the coordination, selection or arrangement of Data is protected or protectable under copyright, Sui Generis Database Rights, or other law, Data Provider(s) further agree(s) that such Data or coordination, selection or arrangement is hereby licensed to You and to anyone else who Receives Data under this Agreement for Use and Publication, subject to the conditions set forth in Section 3 of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> Except for these rights and licenses expressly granted, no other intellectual property rights are granted or should be implied.\n\n   <<var;name=\"bullet\";original=\"Section 3.\";match=\".{0,20}\">> Conditions on Rights Granted\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> If You Publish Data You Receive or Enhanced Data:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> You may do so under a license of Your choice provided that You give anyone who Receives the Data from You the text of this Agreement, the name of this Agreement and/or a hyperlink or other method reasonably likely to provide a copy of the text of this Agreement; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You must cause any Data files containing Enhanced Data to carry prominent notices that You have changed those files; and\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> If You Publish Data You Receive, You must preserve all credit or attribution to the Data Provider(s). Such retained credit or attribution includes any of the following to the extent they exist in Data as You have Received it: legal notices or metadata; identification of the Data Provider(s); or hyperlinks to Data to the extent it is practical to do so.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> You may provide additional or different license terms and conditions for use, reproduction, or distribution of that Enhanced Data, or for any combination of Data and Enhanced Data as a whole, provided that Your Use and Publication of that combined Data otherwise complies with the conditions stated in this License.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> You and each Data Provider agree that Enhanced Data shall not be considered a work of joint authorship by virtue of its relationship to Data licensed under this Agreement and shall not require either any obligation of accounting to or the consent of any Data Provider.\n\n	  <<var;name=\"bullet\";original=\"3.4\";match=\".{0,20}\">> This Agreement imposes no obligations or restrictions on Your Use or Publication of Results.\n\n   <<var;name=\"bullet\";original=\"Section 4.\";match=\".{0,20}\">> Data Provider(s)' Representations\n\n	  <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> Each Data Provider represents that the Data Provider has exercised reasonable care, to assure that: (a) the Data it Publishes was created or generated by it or was obtained from others with the right to Publish the Data under this Agreement; and (b) Publication of such Data does not violate any privacy or confidentiality obligation undertaken by the Data Provider.\n\n   <<var;name=\"bullet\";original=\"Section 5.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> All of Your rights under this Agreement will terminate, and Your right to Receive, Use or Publish the Data will be revoked or modified if You materially fail to comply with the terms and conditions of this Agreement and You do not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If Your rights under this Agreement terminate, You agree to cease Receipt, Use and Publication of Data. However, Your obligations and any rights and permissions granted by You under this Agreement relating to Data that You Published prior to such termination will continue and survive.\n\n	  <<var;name=\"bullet\";original=\"5.2\";match=\".{0,20}\">> If You institute litigation against a Data Provider or anyone else who Receives the Data (including a cross-claim in a lawsuit) based on the Data, other than a claim asserting breach of this Agreement, then any rights previously granted to You to Receive, Use and Publish Data under this Agreement will terminate as of the date such litigation is filed.\n\n   <<var;name=\"bullet\";original=\"Section 6.\";match=\".{0,20}\">> Disclaimer of Warranties and Limitation of Liability\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE DATA (INCLUDING ENHANCED DATA) IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> NEITHER YOU NOR ANY DATA PROVIDERS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE DATA OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"Section 7.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> You agree that it is solely Your responsibility to comply with all applicable laws with regard to Your Use or Publication of Data, including any applicable privacy, data protection, security and export laws. You agree to take reasonable steps to assist a Data Provider fulfilling responsibilities to comply with applicable laws with regard to Use or Publication of Data Received hereunder.\n\n	  <<var;name=\"bullet\";original=\"7.2\";match=\".{0,20}\">> You and Data Provider(s), collectively and individually, waive and/or agree not to assert, to the extent permitted by law, any moral rights You or they hold in Data.\n\n	  <<var;name=\"bullet\";original=\"7.3\";match=\".{0,20}\">> This Agreement confers no rights or remedies upon any person or entity other than the Parties and their respective heirs, executors, successors and assigns.\n\n	  <<var;name=\"bullet\";original=\"7.4\";match=\".{0,20}\">> The Data Provider(s) reserve no right or expectation of privacy, data protection or confidentiality in any Data that they Publish under this Agreement. If You choose to Publish Data under this Agreement, You similarly do so with no reservation or expectation of any rights of privacy or confidentiality in that Data.\n\n	  <<var;name=\"bullet\";original=\"7.5\";match=\".{0,20}\">> The Community Data License Agreement workgroup under The Linux Foundation is the steward of this Agreement (\"Steward\"). No one other than the Steward has the right to modify or publish new versions of this Agreement. Each version will be given a distinguishing version number. You may Use and Publish Data Received hereunder under the terms of the version of the Agreement under which You originally Received the Data, or under the terms of any subsequent version published by the Steward."
		self.name = "Community Data License Agreement Permissive 1.0"
		self.licenseId = "CDLA-Permissive-1.0"
		self.crossRef = [{"match": "True", "url": "https://cdla.io/permissive-1-0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://cdla.io/permissive-1-0"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		Community Data License Agreement - Permissive - Version 1.0\n	  </p>\n\n	</div>\n	<p>\n	  This is the Community Data License Agreement - Permissive, Version\n	  1.0 (&quot;Agreement&quot;). Data is provided to You under this Agreement\n	  by each of the Data Providers. Your exercise of any of the rights\n	  and permissions granted below constitutes Your acceptance and\n	  agreement to be bound by the terms and conditions of this Agreement.\n	</p>\n\n	<p>\n	  The benefits that each Data Provider receives from making\n	  Data available and that You receive from Data or otherwise\n	  under these terms and conditions shall be deemed sufficient\n	  consideration for the formation of this Agreement. Accordingly,\n	  Data Provider(s) and You (the &quot;Parties&quot;) agree as follows:\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> Section 1.</var>\n		Definitions\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.1</var>\n			&quot;Add&quot; means to supplement Data with Your own or someone else&apos;s Data,\n			resulting in Your &quot;Additions.&quot; Additions do not include Results.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.2</var>\n			&quot;Computational Use&quot; means Your analysis (through the use of\n			computational devices or otherwise) or other interpretation\n			of Data. By way of example and not limitation, &quot;Computational\n			Use&quot; includes the application of any computational analytical\n			technique, the purpose of which is the analysis of any Data in\n			digital form to generate information about Data such as patterns,\n			trends, correlations, inferences, insights and attributes.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.3</var>\n			&quot;Data&quot; means the information (including copyrightable information,\n			such as images or text), collectively or individually, whether\n			created or gathered by a Data Provider or an Entity acting on\n			its behalf, to which rights are granted under this Agreement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.4</var>\n			&quot;Data Provider&quot; means any Entity (including any\n			employee or contractor of such Entity authorized to\n			Publish Data on behalf of such Entity) that Publishes\n			Data under this Agreement prior to Your Receiving it.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.5</var>\n			&quot;Enhanced Data&quot; means the subset of Data that You Publish\n			and that is composed of (a) Your Additions and/or (b)\n			Modifications to Data You have received under this Agreement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.6</var>\n			&quot;Entity&quot; means any natural person or organization that exists under\n			the laws of the jurisdiction in which it is organized, together\n			with all other entities that control, are controlled by, or are\n			under common control with that entity. For the purposes of this\n			definition, &quot;control&quot; means (a) the power, directly or indirectly,\n			to cause the direction or management of such entity, whether by\n			contract or otherwise, (b) the ownership of more than fifty percent\n			(50%) of the outstanding shares or securities, (c) the beneficial\n			ownership of such entity or, (d) the ability to appoint, whether\n			by agreement or right, the majority of directors of an Entity.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.7</var>\n			&quot;Modify&quot; means to delete, erase, correct or re-arrange Data,\n			resulting in &quot;Modifications.&quot; Modifications do not include Results.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.8</var>\n			&quot;Publish&quot; means to make all or a subset of Data (including Your\n			Enhanced Data) available in any manner which enables its Use,\n			including by providing a copy on physical media or remote access.\n			For any form of Entity, that is to make the Data available to\n			any individual who is not employed by that Entity or engaged\n			as a contractor or agent to perform work on that Entity&apos;s\n			behalf. A &quot;Publication&quot; occurs each time You Publish Data.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.9</var>\n			&quot;Receive&quot; or &quot;Receives&quot; means to have been\n			given access to Data, locally or remotely.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.10</var>\n			&quot;Results&quot; means the outcomes or outputs that You obtain from Your\n			Computational Use of Data. Results shall not include more than a de\n			minimis portion of the Data on which the Computational Use is based.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.11</var>\n			&quot;Sui Generis Database Rights&quot; means rights, other than\n			copyright, resulting from Directive 96/9/EC of the European\n			Parliament and of the Council of 11 March 1996 on the legal\n			protection of databases, as amended and/or succeeded, as\n			well as other equivalent rights anywhere in the world.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.12</var>\n			&quot;Use&quot; means using Data (including accessing, copying, studying,\n			reviewing, adapting, analyzing, evaluating, or making Computational\n			Use of it), either by machines or humans, or a combination of both.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.13</var>\n			&quot;You&quot; or &quot;Your&quot; means any Entity that\n			Receives Data under this Agreement.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> Section 2.</var>\n		Right and License to Use and to Publish\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 2.1</var>\n			Subject to the conditions set forth in Section 3 of this\n			Agreement, Data Provider(s) hereby grant(s) to You a\n			worldwide, non-exclusive, irrevocable (except as provided\n			in Section 5) right to: (a) Use Data; and (b) Publish Data.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 2.2</var>\n			To the extent that the Data or the coordination, selection or\n			arrangement of Data is protected or protectable under copyright,\n			Sui Generis Database Rights, or other law, Data Provider(s)\n			further agree(s) that such Data or coordination, selection or\n			arrangement is hereby licensed to You and to anyone else who\n			Receives Data under this Agreement for Use and Publication,\n			subject to the conditions set forth in Section 3 of this Agreement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 2.3</var>\n			Except for these rights and licenses expressly granted, no other\n			intellectual property rights are granted or should be implied.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> Section 3.</var>\n		Conditions on Rights Granted\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 3.1</var>\n			If You Publish Data You Receive or Enhanced Data:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				<var class=\"replaceable-license-text\"> (a)</var>\n				You may do so under a license of Your choice provided\n				that You give anyone who Receives the Data from You\n				the text of this Agreement, the name of this Agreement\n				and/or a hyperlink or other method reasonably likely\n				to provide a copy of the text of this Agreement; and\n			  </li>\n			  \n<li>\n				<var class=\"replaceable-license-text\"> (b)</var>\n				You must cause any Data files containing Enhanced Data to\n				carry prominent notices that You have changed those files; and\n			  </li>\n			  \n<li>\n				<var class=\"replaceable-license-text\"> (c)</var>\n				If You Publish Data You Receive, You must preserve all credit\n				or attribution to the Data Provider(s). Such retained credit\n				or attribution includes any of the following to the extent\n				they exist in Data as You have Received it: legal notices\n				or metadata; identification of the Data Provider(s); or\n				hyperlinks to Data to the extent it is practical to do so.\n			  </li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 3.2</var>\n			You may provide additional or different license terms and conditions\n			for use, reproduction, or distribution of that Enhanced Data,\n			or for any combination of Data and Enhanced Data as a whole,\n			provided that Your Use and Publication of that combined Data\n			otherwise complies with the conditions stated in this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 3.3</var>\n			You and each Data Provider agree that Enhanced Data shall not be\n			considered a work of joint authorship by virtue of its relationship\n			to Data licensed under this Agreement and shall not require either\n			any obligation of accounting to or the consent of any Data Provider.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 3.4</var>\n			This Agreement imposes no obligations or\n			restrictions on Your Use or Publication of Results.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> Section 4.</var>\n		Data Provider(s)&apos; Representations\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 4.1</var>\n			Each Data Provider represents that the Data Provider has\n			exercised reasonable care, to assure that: (a) the Data it\n			Publishes was created or generated by it or was obtained from\n			others with the right to Publish the Data under this Agreement;\n			and (b) Publication of such Data does not violate any privacy\n			or confidentiality obligation undertaken by the Data Provider.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> Section 5.</var>\n		Termination\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 5.1</var>\n			All of Your rights under this Agreement will terminate, and\n			Your right to Receive, Use or Publish the Data will be revoked\n			or modified if You materially fail to comply with the terms\n			and conditions of this Agreement and You do not cure such\n			failure in a reasonable period of time after becoming aware\n			of such noncompliance. If Your rights under this Agreement\n			terminate, You agree to cease Receipt, Use and Publication of\n			Data. However, Your obligations and any rights and permissions\n			granted by You under this Agreement relating to Data that You\n			Published prior to such termination will continue and survive.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 5.2</var>\n			If You institute litigation against a Data Provider or anyone\n			else who Receives the Data (including a cross-claim in a\n			lawsuit) based on the Data, other than a claim asserting\n			breach of this Agreement, then any rights previously granted\n			to You to Receive, Use and Publish Data under this Agreement\n			will terminate as of the date such litigation is filed.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> Section 6.</var>\n		Disclaimer of Warranties and Limitation of Liability\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 6.1</var>\n			EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE\n			DATA (INCLUDING ENHANCED DATA) IS PROVIDED ON AN &quot;AS\n			IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,\n			EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION,\n			ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT,\n			MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 6.2</var>\n			NEITHER YOU NOR ANY DATA PROVIDERS SHALL HAVE ANY LIABILITY\n			FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\n			OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST\n			PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n			WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR\n			DISTRIBUTION OF THE DATA OR THE EXERCISE OF ANY RIGHTS GRANTED\n			HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> Section 7.</var>\n		Miscellaneous\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 7.1</var>\n			You agree that it is solely Your responsibility to comply with all\n			applicable laws with regard to Your Use or Publication of Data,\n			including any applicable privacy, data protection, security and\n			export laws. You agree to take reasonable steps to assist a Data\n			Provider fulfilling responsibilities to comply with applicable\n			laws with regard to Use or Publication of Data Received hereunder.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 7.2</var>\n			You and Data Provider(s), collectively and individually,\n			waive and/or agree not to assert, to the extent permitted\n			by law, any moral rights You or they hold in Data.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 7.3</var>\n			This Agreement confers no rights or remedies upon\n			any person or entity other than the Parties and their\n			respective heirs, executors, successors and assigns.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 7.4</var>\n			The Data Provider(s) reserve no right or expectation of privacy,\n			data protection or confidentiality in any Data that they Publish\n			under this Agreement. If You choose to Publish Data under this\n			Agreement, You similarly do so with no reservation or expectation\n			of any rights of privacy or confidentiality in that Data.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 7.5</var>\n			The Community Data License Agreement workgroup under The Linux\n			Foundation is the steward of this Agreement (&quot;Steward&quot;). No\n			one other than the Steward has the right to modify or publish\n			new versions of this Agreement. Each version will be given a\n			distinguishing version number. You may Use and Publish Data\n			Received hereunder under the terms of the version of the\n			Agreement under which You originally Received the Data, or under\n			the terms of any subsequent version published by the Steward.\n		  </li>\n		\n</ul>\n	  </li>\n	\n</ul>\n	"
		self.python_name = "CDLAPermissive10"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYSA30:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-ShareAlike 3.0 Unported\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Adaptation\" means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered an Adaptation for the purpose of this License.\n\n	 b. \"Collection\" means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(f) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined below) for the purposes of this License.\n\n	 c. \"Creative Commons Compatible License\" means a license that is listed at http://creativecommons.org/compatiblelicenses that has been approved by Creative Commons as being essentially equivalent to this License, including, at a minimum, because that license: (i) contains terms that have the same purpose, meaning and effect as the License Elements of this License; and, (ii) explicitly permits the relicensing of adaptations of works made available under that license under this License or a Creative Commons jurisdiction license with the same License Elements as this License.\n\n	 d. \"Distribute\" means to make available to the public the original and copies of the Work or Adaptation, as appropriate, through sale or other transfer of ownership.\n\n	 e. \"License Elements\" means the following high-level license attributes as selected by Licensor and indicated in the title of this License: Attribution, ShareAlike.\n\n	 f. \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License.\n\n	 g. \"Original Author\" means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast.\n\n	 h. \"Work\" means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work.\n\n	 i. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	 j. \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	 k. \"Reproduce\" means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.\n\n2. Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections;\n\n	 b. to create and Reproduce Adaptations provided that any such Adaptation, including any translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise identify that changes were made to the original Work. For example, a translation could be marked \"The original work was translated from English to Spanish,\" or a modification could indicate \"The original work has been modified.\";\n\n	 c. to Distribute and Publicly Perform the Work including as incorporated in Collections; and,\n\n	 d. to Distribute and Publicly Perform Adaptations.\n\n	 e. For the avoidance of doubt:\n\n		  i. Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		  ii. Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,\n\n		  iii. Voluntary License Schemes. The Licensor waives the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License.\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. Subject to Section 8(f), all rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(c), as requested. If You create an Adaptation, upon notice from any Licensor You must, to the extent practicable, remove from the Adaptation any credit as required by Section 4(c), as requested.\n\n	 b. You may Distribute or Publicly Perform an Adaptation only under the terms of: (i) this License; (ii) a later version of this License with the same License Elements as this License; (iii) a Creative Commons jurisdiction license (either this or a later license version) that contains the same License Elements as this License (e.g., Attribution-ShareAlike 3.0 US)); (iv) a Creative Commons Compatible License. If you license the Adaptation under one of the licenses mentioned in (iv), you must comply with the terms of that license. If you license the Adaptation under the terms of any of the licenses mentioned in (i), (ii) or (iii) (the \"Applicable License\"), you must comply with the terms of the Applicable License generally and the following provisions: (I) You must include a copy of, or the URI for, the Applicable License with every copy of each Adaptation You Distribute or Publicly Perform; (II) You may not offer or impose any terms on the Adaptation that restrict the terms of the Applicable License or the ability of the recipient of the Adaptation to exercise the rights granted to that recipient under the terms of the Applicable License; (III) You must keep intact all notices that refer to the Applicable License and to the disclaimer of warranties with every copy of the Work as included in the Adaptation You Distribute or Publicly Perform; (IV) when You Distribute or Publicly Perform the Adaptation, You may not impose any effective technological measures on the Adaptation that restrict the ability of a recipient of the Adaptation from You to exercise the rights granted to that recipient under the terms of the Applicable License. This Section 4(b) applies to the Adaptation as incorporated in a Collection, but this does not require the Collection apart from the Adaptation itself to be made subject to the terms of the Applicable License.\n\n	 c. If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution (\"Attribution Parties\") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and (iv) , consistent with Ssection 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). The credit required by this Section 4(c) may be implemented in any reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributing authors of the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.\n\n	 d. Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author's honor or reputation. Licensor agrees that in those jurisdictions (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License (the right to make Adaptations) would be deemed to be a distortion, mutilation, modification or other derogatory action prejudicial to the Original Author's honor and reputation, the Licensor will waive or not assert, as appropriate, this Section, to the fullest extent permitted by the applicable national law, to enable You to reasonably exercise Your right under Section 3(b) of this License (right to make Adaptations) but not otherwise.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	 f. The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of the License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-ShareAlike 3.0 Unported\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Adaptation\" means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered an Adaptation for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Collection\" means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(f) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Creative Commons Compatible License\" means a license that is listed at http://creativecommons.org/compatiblelicenses that has been approved by Creative Commons as being essentially equivalent to this License, including, at a minimum, because that license: (i) contains terms that have the same purpose, meaning and effect as the License Elements of this License; and, (ii) explicitly permits the relicensing of adaptations of works made available under that license under this License or a Creative Commons jurisdiction license with the same License Elements as this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Distribute\" means to make available to the public the original and copies of the Work or Adaptation, as appropriate, through sale or other transfer of ownership.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"License Elements\" means the following high-level license attributes as selected by Licensor and indicated in the title of this License: Attribution, ShareAlike.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"Original Author\" means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \"Work\" means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	  <<var;name=\"bullet\";original=\"j.\";match=\".{0,20}\">> \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	  <<var;name=\"bullet\";original=\"k.\";match=\".{0,20}\">> \"Reproduce\" means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and Reproduce Adaptations provided that any such Adaptation, including any translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise identify that changes were made to the original Work. For example, a translation could be marked \"The original work was translated from English to Spanish,\" or a modification could indicate \"The original work has been modified.\";\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to Distribute and Publicly Perform the Work including as incorporated in Collections; and,\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to Distribute and Publicly Perform Adaptations.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> For the avoidance of doubt:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Voluntary License Schemes. The Licensor waives the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License.\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. Subject to Section 8(f), all rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(c), as requested. If You create an Adaptation, upon notice from any Licensor You must, to the extent practicable, remove from the Adaptation any credit as required by Section 4(c), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may Distribute or Publicly Perform an Adaptation only under the terms of: (i) this License; (ii) a later version of this License with the same License Elements as this License; (iii) a Creative Commons jurisdiction license (either this or a later license version) that contains the same License Elements as this License (e.g., Attribution-ShareAlike 3.0 US)); (iv) a Creative Commons Compatible License. If you license the Adaptation under one of the licenses mentioned in (iv), you must comply with the terms of that license. If you license the Adaptation under the terms of any of the licenses mentioned in (i), (ii) or (iii) (the \"Applicable License\"), you must comply with the terms of the Applicable License generally and the following provisions: (I) You must include a copy of, or the URI for, the Applicable License with every copy of each Adaptation You Distribute or Publicly Perform; (II) You may not offer or impose any terms on the Adaptation that restrict the terms of the Applicable License or the ability of the recipient of the Adaptation to exercise the rights granted to that recipient under the terms of the Applicable License; (III) You must keep intact all notices that refer to the Applicable License and to the disclaimer of warranties with every copy of the Work as included in the Adaptation You Distribute or Publicly Perform; (IV) when You Distribute or Publicly Perform the Adaptation, You may not impose any effective technological measures on the Adaptation that restrict the ability of a recipient of the Adaptation from You to exercise the rights granted to that recipient under the terms of the Applicable License. This Section 4(b) applies to the Adaptation as incorporated in a Collection, but this does not require the Collection apart from the Adaptation itself to be made subject to the terms of the Applicable License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution (\"Attribution Parties\") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and (iv), consistent with <<var;name=\"sectionTypo\";original=\"Section\";match=\"Ss?ection\">> 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). The credit required by this Section 4(c) may be implemented in any reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributing authors of the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author's honor or reputation. Licensor agrees that in those jurisdictions (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License (the right to make Adaptations) would be deemed to be a distortion, mutilation, modification or other derogatory action prejudicial to the Original Author's honor and reputation, the Licensor will waive or not assert, as appropriate, this Section, to the fullest extent permitted by the applicable national law, to enable You to reasonably exercise Your right under Section 3(b) of this License (right to make Adaptations) but not otherwise.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of the License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Share Alike 3.0 Unported"
		self.licenseId = "CC-BY-SA-3.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-sa/3.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-sa/3.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-ShareAlike 3.0 Unported</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE\n		 RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Adaptation&quot; means a work based upon the Work, or upon the Work and other\n			   pre-existing works, such as a translation, adaptation, derivative work, arrangement of\n			   music or other alterations of a literary or artistic work, or phonogram or performance and\n			   includes cinematographic adaptations or any other form in which the Work may be recast,\n			   transformed, or adapted including in any form recognizably derived from the original,\n			   except that a work that constitutes a Collection will not be considered an Adaptation for\n			   the purpose of this License. For the avoidance of doubt, where the Work is a musical work,\n			   performance or phonogram, the synchronization of the Work in timed-relation with a moving\n			   image (&quot;synching&quot;) will be considered an Adaptation for the purpose of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Collection&quot; means a collection of literary or artistic works, such as\n			   encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works\n			   or subject matter other than works listed in Section 1(f) below, which, by reason of the\n			   selection and arrangement of their contents, constitute intellectual creations, in which\n			   the Work is included in its entirety in unmodified form along with one or more other\n			   contributions, each constituting separate and independent works in themselves, which\n			   together are assembled into a collective whole. A work that constitutes a Collection will\n			   not be considered an Adaptation (as defined below) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Creative Commons Compatible License&quot; means a license that is listed at\n			   http://creativecommons.org/compatiblelicenses that has been approved by Creative Commons\n			   as being essentially equivalent to this License, including, at a minimum, because that\n			   license: (i) contains terms that have the same purpose, meaning and effect as the License\n			   Elements of this License; and, (ii) explicitly permits the relicensing of adaptations of\n			   works made available under that license under this License or a Creative Commons\n			   jurisdiction license with the same License Elements as this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Distribute&quot; means to make available to the public the original and copies of the\n			   Work or Adaptation, as appropriate, through sale or other transfer of ownership.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;License Elements&quot; means the following high-level license attributes as selected by\n			   Licensor and indicated in the title of this License: Attribution, ShareAlike.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;Licensor&quot; means the individual, individuals, entity or entities that offer(s) the\n			   Work under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> g.</var>\n			&quot;Original Author&quot; means, in the case of a literary or artistic work, the\n			   individual, individuals, entity or entities who created the Work or if no individual or\n			   entity can be identified, the publisher; and in addition (i) in the case of a performance\n			   the actors, singers, musicians, dancers, and other persons who act, sing, deliver,\n			   declaim, play in, interpret or otherwise perform literary or artistic works or expressions\n			   of folklore; (ii) in the case of a phonogram the producer being the person or legal entity\n			   who first fixes the sounds of a performance or other sounds; and, (iii) in the case of\n			   broadcasts, the organization that transmits the broadcast.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> h.</var>\n			&quot;Work&quot; means the literary and/or artistic work offered under the terms of this\n			   License including without limitation any production in the literary, scientific and\n			   artistic domain, whatever may be the mode or form of its expression including digital\n			   form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work\n			   of the same nature; a dramatic or dramatico-musical work; a choreographic work or\n			   entertainment in dumb show; a musical composition with or without words; a cinematographic\n			   work to which are assimilated works expressed by a process analogous to cinematography; a\n			   work of drawing, painting, architecture, sculpture, engraving or lithography; a\n			   photographic work to which are assimilated works expressed by a process analogous to\n			   photography; a work of applied art; an illustration, map, plan, sketch or\n			   three-dimensional work relative to geography, topography, architecture or science; a\n			   performance; a broadcast; a phonogram; a compilation of data to the extent it is protected\n			   as a copyrightable work; or a work performed by a variety or circus performer to the\n			   extent it is not otherwise considered a literary or artistic work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> i.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> j.</var>\n			&quot;Publicly Perform&quot; means to perform public recitations of the Work and to\n			   communicate to the public those public recitations, by any means or process, including by\n			   wire or wireless means or public digital performances; to make available to the public\n			   Works in such a way that members of the public may access these Works from a place and at\n			   a place individually chosen by them; to perform the Work to the public by any means or\n			   process and the communication to the public of the performances of the Work, including by\n			   public digital performance; to broadcast and rebroadcast the Work by any means including\n			   signs, sounds or images.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> k.</var>\n			&quot;Reproduce&quot; means to make copies of the Work by any means including without\n			   limitation by sound or visual recordings and the right of fixation and reproducing\n			   fixations of the Work, including storage of a protected performance or phonogram in\n			   digital form or other electronic medium.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses\n			 free from copyright or rights arising from limitations or exceptions that are provided for in\n			 connection with the copyright protection under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce\n			   the Work as incorporated in the Collections;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to create and Reproduce Adaptations provided that any such Adaptation, including any\n			   translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise\n			   identify that changes were made to the original Work. For example, a translation could be\n			   marked &quot;The original work was translated from English to Spanish,&quot; or a\n			   modification could indicate &quot;The original work has been modified.&quot;;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			to Distribute and Publicly Perform the Work including as incorporated in Collections; and,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			to Distribute and Publicly Perform Adaptations.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			For the avoidance of doubt:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to\n				 collect royalties through any statutory or compulsory licensing scheme cannot be\n				 waived, the Licensor reserves the exclusive right to collect such royalties for any\n				 exercise by You of the rights granted under this License;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect\n				 royalties through any statutory or compulsory licensing scheme can be waived, the\n				 Licensor waives the exclusive right to collect such royalties for any exercise by You\n				 of the rights granted under this License; and,\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> iii.</var>\n			  Voluntary License Schemes. The Licensor waives the right to collect royalties, whether\n				 individually or, in the event that the Licensor is a member of a collecting society\n				 that administers voluntary licensing schemes, via that society, from any exercise by\n				 You of the rights granted under this License.\n			</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n			  <p>The above rights may be exercised in all media and formats whether now known or hereafter\n				 devised. The above rights include the right to make such modifications as are\n				 technically necessary to exercise the rights in other media and formats. Subject to\n				 Section 8(f), all rights not expressly granted by Licensor are hereby reserved.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may Distribute or Publicly Perform the Work only under the terms of this License. You\n			   must include a copy of, or the Uniform Resource Identifier (URI) for, this License with\n			   every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any\n			   terms on the Work that restrict the terms of this License or the ability of the recipient\n			   of the Work to exercise the rights granted to that recipient under the terms of the\n			   License. You may not sublicense the Work. You must keep intact all notices that refer to\n			   this License and to the disclaimer of warranties with every copy of the Work You\n			   Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may\n			   not impose any effective technological measures on the Work that restrict the ability of a\n			   recipient of the Work from You to exercise the rights granted to that recipient under the\n			   terms of the License. This Section 4(a) applies to the Work as incorporated in a\n			   Collection, but this does not require the Collection apart from the Work itself to be made\n			   subject to the terms of this License. If You create a Collection, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Collection any credit as\n			   required by Section 4(c), as requested. If You create an Adaptation, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Adaptation any credit as\n			   required by Section 4(c), as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may Distribute or Publicly Perform an Adaptation only under the terms of: (i) this\n			   License; (ii) a later version of this License with the same License Elements as this\n			   License; (iii) a Creative Commons jurisdiction license (either this or a later license\n			   version) that contains the same License Elements as this License (e.g.,\n			   Attribution-ShareAlike 3.0 US)); (iv) a Creative Commons Compatible License. If you\n			   license the Adaptation under one of the licenses mentioned in (iv), you must comply with\n			   the terms of that license. If you license the Adaptation under the terms of any of the\n			   licenses mentioned in (i), (ii) or (iii) (the &quot;Applicable License&quot;), you must\n			   comply with the terms of the Applicable License generally and the following provisions:\n			   (I) You must include a copy of, or the URI for, the Applicable License with every copy of\n			   each Adaptation You Distribute or Publicly Perform; (II) You may not offer or impose any\n			   terms on the Adaptation that restrict the terms of the Applicable License or the ability\n			   of the recipient of the Adaptation to exercise the rights granted to that recipient under\n			   the terms of the Applicable License; (III) You must keep intact all notices that refer to\n			   the Applicable License and to the disclaimer of warranties with every copy of the Work as\n			   included in the Adaptation You Distribute or Publicly Perform; (IV) when You Distribute or\n			   Publicly Perform the Adaptation, You may not impose any effective technological measures\n			   on the Adaptation that restrict the ability of a recipient of the Adaptation from You to\n			   exercise the rights granted to that recipient under the terms of the Applicable License.\n			   This Section 4(b) applies to the Adaptation as incorporated in a Collection, but this does\n			   not require the Collection apart from the Adaptation itself to be made subject to the\n			   terms of the Applicable License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must,\n			   unless a request has been made pursuant to Section 4(a), keep intact all copyright notices\n			   for the Work and provide, reasonable to the medium or means You are utilizing: (i) the\n			   name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the\n			   Original Author and/or Licensor designate another party or parties (e.g., a sponsor\n			   institute, publishing entity, journal) for attribution (&quot;Attribution Parties&quot;)\n			   in Licensor&apos;s copyright notice, terms of service or by other reasonable means, the\n			   name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent\n			   reasonably practicable, the URI, if any, that Licensor specifies to be associated with the\n			   Work, unless such URI does not refer to the copyright notice or licensing information for\n			   the Work; and (iv), consistent with <var class=\"replaceable-license-text\"> Section</var>\n			   3(b), in the case of an Adaptation, a credit\n			   identifying the use of the Work in the Adaptation (e.g., &quot;French translation of the\n			   Work by Original Author,&quot; or &quot;Screenplay based on original Work by Original\n			   Author&quot;). The credit required by this Section 4(c) may be implemented in any\n			   reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a\n			   minimum such credit will appear, if a credit for all contributing authors of the\n			   Adaptation or Collection appears, then as part of these credits and in a manner at least\n			   as prominent as the credits for the other contributing authors. For the avoidance of\n			   doubt, You may only use the credit required by this Section for the purpose of attribution\n			   in the manner set out above and, by exercising Your rights under this License, You may not\n			   implicitly or explicitly assert or imply any connection with, sponsorship or endorsement\n			   by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or\n			   Your use of the Work, without the separate, express prior written permission of the\n			   Original Author, Licensor and/or Attribution Parties.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by\n			   applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself\n			   or as part of any Adaptations or Collections, You must not distort, mutilate, modify or\n			   take other derogatory action in relation to the Work which would be prejudicial to the\n			   Original Author&apos;s honor or reputation. Licensor agrees that in those jurisdictions\n			   (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License\n			   (the right to make Adaptations) would be deemed to be a distortion, mutilation,\n			   modification or other derogatory action prejudicial to the Original Author&apos;s honor\n			   and reputation, the Licensor will waive or not assert, as appropriate, this Section, to\n			   the fullest extent permitted by the applicable national law, to enable You to reasonably\n			   exercise Your right under Section 3(b) of this License (right to make Adaptations) but not\n			   otherwise.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Adaptations or\n			   Collections from You under this License, however, will not have their licenses terminated\n			   provided such individuals or entities remain in full compliance with those licenses.\n			   Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to\n			   the recipient a license to the Work on the same terms and conditions as the license\n			   granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient\n			   a license to the original Work on the same terms and conditions as the license granted to\n			   You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			The rights granted under, and the subject matter referenced, in this License were drafted\n			   utilizing the terminology of the Berne Convention for the Protection of Literary and\n			   Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO\n			   Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the\n			   Universal Copyright Convention (as revised on July 24, 1971). These rights and subject\n			   matter take effect in the relevant jurisdiction in which the License terms are sought to\n			   be enforced according to the corresponding provisions of the implementation of those\n			   treaty provisions in the applicable national law. If the standard suite of rights granted\n			   under applicable copyright law includes additional rights not granted under this License,\n			   such additional rights are deemed to be included in the License; this License is not\n			   intended to restrict the license of any rights under applicable law.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons Notice</p>\n\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 Creative Commons does not authorize the use by either party of the trademark &quot;Creative\n		 Commons&quot; or any related trademark or logo of Creative Commons without the prior written consent\n		 of Creative Commons. Any permitted use will be in compliance with Creative Commons&apos; then-current\n		 trademark usage guidelines, as may be published on its website or otherwise made available upon\n		 request from time to time. For the avoidance of doubt, this trademark restriction does not form part\n		 of the License.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYSA30"

	def __str__(self):
		return json.dumps(self.__dict__)


class CFITSIO:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (Unpublished-all rights reserved under the copyright laws of the United States), U.S. Government as represented by the Administrator of the National Aeronautics and Space Administration. No copyright is claimed in the United States under Title 17, U.S. Code.\n\nPermission to freely use, copy, modify, and distribute this software and its documentation without fee is hereby granted, provided that this copyright notice and disclaimer of warranty appears in all copies.\n\nDISCLAIMER:\n\nTHE SOFTWARE IS PROVIDED 'AS IS' WITHOUT ANY WARRANTY OF ANY KIND, EITHER EXPRESSED, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY WARRANTY THAT THE SOFTWARE WILL CONFORM TO SPECIFICATIONS, ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND FREEDOM FROM INFRINGEMENT, AND ANY WARRANTY THAT THE DOCUMENTATION WILL CONFORM TO THE SOFTWARE, OR ANY WARRANTY THAT THE SOFTWARE WILL BE ERROR FREE. IN NO EVENT SHALL NASA BE LIABLE FOR ANY DAMAGES, INCLUDING, BUT NOT LIMITED TO, DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES, ARISING OUT OF, RESULTING FROM, OR IN ANY WAY CONNECTED WITH THIS SOFTWARE, WHETHER OR NOT BASED UPON WARRANTY, CONTRACT, TORT , OR OTHERWISE, WHETHER OR NOT INJURY WAS SUSTAINED BY PERSONS OR PROPERTY OR OTHERWISE, AND WHETHER OR NOT LOSS WAS SUSTAINED FROM, OR AROSE OUT OF THE RESULTS OF, OR USE OF, THE SOFTWARE OR SERVICES PROVIDED HEREUNDER.\"\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (Unpublished-all rights reserved under the copyright laws of the United States), U.S. Government as represented by the Administrator of the National Aeronautics and Space Administration. No copyright is claimed in the United States under Title 17, U.S. Code.\";match=\".{0,5000}\">>\n\nPermission to freely use, copy, modify, and distribute this software and its documentation without fee is hereby granted, provided that this copyright notice and disclaimer of warranty appears in all copies.\n\nDISCLAIMER:\n\nTHE SOFTWARE IS PROVIDED 'AS IS' WITHOUT ANY WARRANTY OF ANY KIND, EITHER EXPRESSED, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY WARRANTY THAT THE SOFTWARE WILL CONFORM TO SPECIFICATIONS, ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND FREEDOM FROM INFRINGEMENT, AND ANY WARRANTY THAT THE DOCUMENTATION WILL CONFORM TO THE SOFTWARE, OR ANY WARRANTY THAT THE SOFTWARE WILL BE ERROR FREE. IN NO EVENT SHALL NASA BE LIABLE FOR ANY DAMAGES, INCLUDING, BUT NOT LIMITED TO, DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES, ARISING OUT OF, RESULTING FROM, OR IN ANY WAY CONNECTED WITH THIS SOFTWARE, WHETHER OR NOT BASED UPON WARRANTY, CONTRACT, TORT , OR OTHERWISE, WHETHER OR NOT INJURY WAS SUSTAINED BY PERSONS OR PROPERTY OR OTHERWISE, AND WHETHER OR NOT LOSS WAS SUSTAINED FROM, OR AROSE OUT OF THE RESULTS OF, OR USE OF, THE SOFTWARE OR SERVICES PROVIDED HEREUNDER.<<beginOptional>> \"<<endOptional>>\n\n"
		self.name = "CFITSIO License"
		self.licenseId = "CFITSIO"
		self.crossRef = [{"match": "False", "url": "https://heasarc.gsfc.nasa.gov/docs/software/ftools/fv/doc/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:33Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://heasarc.gsfc.nasa.gov/docs/software/fitsio/c/f_user/node9.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:33Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://heasarc.gsfc.nasa.gov/docs/software/fitsio/c/f_user/node9.html", "https://heasarc.gsfc.nasa.gov/docs/software/ftools/fv/doc/license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (Unpublished-all rights reserved under the\n			copyright laws of the United States), U.S. Government\n			as represented by the Administrator of the National\n			Aeronautics and Space Administration. No copyright is\n			claimed in the United States under Title 17, U.S. Code.\n		 </var>\n		 <p>\n			Permission to freely use, copy, modify, and distribute\n			this software and its documentation without fee is\n			hereby granted, provided that this copyright notice\n			and disclaimer of warranty appears in all copies.\n		 </p>\n\n		 <p>\n			DISCLAIMER:\n		 </p>\n\n		 <p>\n			THE SOFTWARE IS PROVIDED &apos;AS IS&apos; WITHOUT ANY WARRANTY OF ANY KIND,\n			EITHER EXPRESSED, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED\n			TO, ANY WARRANTY THAT THE SOFTWARE WILL CONFORM TO SPECIFICATIONS,\n			ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\n			PURPOSE, AND FREEDOM FROM INFRINGEMENT, AND ANY WARRANTY THAT THE\n			DOCUMENTATION WILL CONFORM TO THE SOFTWARE, OR ANY WARRANTY THAT\n			THE SOFTWARE WILL BE ERROR FREE. IN NO EVENT SHALL NASA BE LIABLE\n			FOR ANY DAMAGES, INCLUDING, BUT NOT LIMITED TO, DIRECT, INDIRECT,\n			SPECIAL OR CONSEQUENTIAL DAMAGES, ARISING OUT OF, RESULTING\n			FROM, OR IN ANY WAY CONNECTED WITH THIS SOFTWARE, WHETHER OR NOT\n			BASED UPON WARRANTY, CONTRACT, TORT , OR OTHERWISE, WHETHER OR\n			NOT INJURY WAS SUSTAINED BY PERSONS OR PROPERTY OR OTHERWISE,\n			AND WHETHER OR NOT LOSS WAS SUSTAINED FROM, OR AROSE OUT OF THE\n			RESULTS OF, OR USE OF, THE SOFTWARE OR SERVICES PROVIDED HEREUNDER.\n			<var class=\"optional-license-text\"> \n			   &quot;\n			</var>\n		 </p>\n\n	  "
		self.python_name = "CFITSIO"

	def __str__(self):
		return json.dumps(self.__dict__)


class Zimbra13:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Zimbra Public License, Version 1.3 (ZPL)\n\nThis Zimbra Public License (this \"Agreement\") is a legal agreement that describes the terms under which VMware, Inc., a Delaware corporation having its principal place of business at 3401 Hillview Avenue, Palo Alto, California 94304 (\"VMware\") will provide software to you via download or otherwise (\"Software\"). By using the Software, you, an individual or an entity (\"You\") agree to the terms of this Agreement.\n\nIn consideration of the mutual promises and upon the terms and conditions set forth below, the parties agree as follows:\n\n1. Grant of Copyright License\n\n	 1.1 - Subject to the terms and conditions of this Agreement, VMware hereby grants to You, under any and all of its copyright interest in and to the Software, a royalty-free, non-exclusive, non-transferable license to copy, modify, compile, execute, and distribute the Software and Modifications. For the purposes of this Agreement, any change to, addition to, or abridgement of the Software made by You is a \"Modification;\" however, any file You add to the Software that does not contain any part of the Software is not a \"Modification.\"\n\n	 1.2 - If You are an individual acting on behalf of a corporation or other entity, Your use of the Software or any Modification is subject to Your having the authority to bind such corporation or entity to this Agreement. Providing copies to persons within such corporation or entity is not considered distribution for purposes of this Agreement.\n\n	 1.3 - For the Software or any Modification You distribute in source code format, You must do so only under the terms of this Agreement, and You must include a complete copy of this Agreement with Your distribution. With respect to any Modification You distribute in source code format, the terms of this Agreement will apply to You in the same way those terms apply to VMware with respect to the Software. In other words, when You are distributing Modifications under this Agreement, You \"stand in the shoes\" of VMware in terms of the rights You grant and how the terms and conditions apply to You and the licensees of Your Modifications. Notwithstanding the foregoing, when You \"stand in the shoes\" of VMware, You are not subject to the jurisdiction provision under Section 7, which requires all disputes under this Agreement to be subject to the jurisdiction of federal or state courts of northern California.\n\n	 1.4 - For the Software or any Modification You distribute in compiled or object code format, You must also provide recipients with access to the Software or Modification in source code format along with a complete copy of this Agreement. The distribution of the Software or Modifications in compiled or object code format may be under a license of Your choice, provided that You are in compliance with the terms of this Agreement. In addition, You must make absolutely clear that any license terms applying to such Software or Modification that differ from this Agreement are offered by You alone and not by VMware, and that such license does not restrict recipients from exercising rights in the source code to the Software granted by VMware under this Agreement or rights in the source code to any Modification granted by You as described in Section 1.3.\n\n	 1.5 - This Agreement does not limit Your right to distribute files that are entirely Your own work (i.e., which do not incorporate any portion of the Software and are not Modifications) under any terms You choose.\n\n2. Support\nVMware has no obligation to provide technical support or updates to You. Nothing in this Agreement requires VMware to enter into any license with You for any other edition of the Software.\n\n3. Intellectual Property Rights\n\n	 3.1 - Except for the license expressly granted under copyright in Section 1.1, no rights, licenses or forbearances are granted or may arise in relation to this Agreement whether expressly, by implication, exhaustion, estoppel or otherwise. All rights, including all intellectual property rights, that are not expressly granted under this Agreement are hereby reserved.\n\n	 3.2 - In any copy of the Software or in any Modification you create, You must retain and reproduce, any and all copyright, patent, trademark, and attribution notices that are included in the Software in the same form as they appear in the Software. This includes the preservation of attribution notices in the form of trademarks or logos that exist within a user interface of the Software.\n\n	 3.3 - This license does not grant You rights to use any party's name, logo, or trademarks, except solely as necessary to comply with Section 3.2.\n\n4. Disclaimer of Warranties\nTHE SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY OF ANY KIND. VMWARE MAKES NO WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY REGARDING OR RELATING TO THE SOFTWARE. SPECIFICALLY, VMWARE DOES NOT WARRANT THAT THE SOFTWARE WILL BE ERROR FREE OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST EXTENT ALLOWED BY LAW, VMWARE SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE (EVEN IF VMWARE HAD BEEN INFORMED OF SUCH PURPOSE), AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE, ANY MODIFICATIONS THERETO AND WITH RESPECT TO THE USE OF THE FOREGOING.\n\n5. Limitation of Liability\nIN NO EVENT WILL VMWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION LOSS OF PROFITS, LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, COST OF COVER) IN CONNECTION WITH OR ARISING OUT OF OR RELATING TO THE FURNISHING, PERFORMANCE OR USE OF THE SOFTWARE OR ANY OTHER RIGHTS GRANTED HEREUNDER, WHETHER ALLEGED AS A BREACH OF CONTRACT OR TORTIOUS CONDUCT, INCLUDING NEGLIGENCE, AND EVEN IF VMWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n6. Term and Termination\n\n	 6.1 - This Agreement will continue in effect unless and until terminated earlier pursuant to this Section 6.\n\n	 6.2 - In the event You violate the terms of this Agreement, VMware may terminate this Agreement.\n\n	 6.3 - All licenses granted hereunder shall terminate upon the termination of this Agreement. Termination will be in addition to any rights and remedies available to VMware at law or equity or under this Agreement.\n\n	 6.4 - Termination of this Agreement will not affect the provisions regarding reservation of rights (Section 3.1), provisions disclaiming or limiting VMware's liability (Sections 4 and 5), Termination (Section 6) or Miscellaneous (Section 7), which provisions will survive termination of this Agreement.\n\n7. Miscellaneous\nThis Agreement contains the entire agreement of the parties with respect to the subject matter of this Agreement and supersedes all previous communications, representations, understandings and agreements, either oral or written, between the parties with respect to said subject matter. The relationship of the parties hereunder is that of independent contractors, and this Agreement will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between the parties. If any term, condition, or provision in this Agreement is found to be invalid, unlawful or unenforceable to any extent, this Agreement will be consTrued in a manner that most closely effectuates the intent of this Agreement. Such invalid term, condition or provision will be severed from the remaining terms, conditions and provisions, which will continue to be valid and enforceable to the fullest extent permitted by law. This Agreement will be interpreted and consTrued in accordance with the laws of the State of California and the United States of America, without regard to conflict of law principles. The U.N. Convention on Contracts for the International Sale of Goods shall not apply to this Agreement. All disputes arising out of this Agreement involving VMware or any of its subsidiaries shall be subject to the jurisdiction of the federal or state courts of northern California, with venue lying in Santa Clara County, California. No rights may be assigned, no obligations may be delegated, and this Agreement may not be transferred by You, in whole or in part, whether voluntary or by operation of law, including by way of sale of assets, merger or consolidation, without the prior written consent of VMware, and any purported assignment, delegation or transfer without such consent shall be void ab initio. Any waiver of the provisions of this Agreement or of a party's rights or remedies under this Agreement must be in writing to be effective. Failure, neglect or delay by a party to enforce the provisions of this Agreement or its rights or remedies at any time, will not be consTrued or be deemed to be a waiver of such party's rights under this Agreement and will not in any way affect the validity of the whole or any part of this Agreement or prejudice such party's right to take subsequent action.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Zimbra Public License, Version 1.3 (ZPL)\n\n<<endOptional>>\n\nThis Zimbra Public License (this \"Agreement\") is a legal agreement that describes the terms under which VMware, Inc., a Delaware corporation having its principal place of business at 3401 Hillview Avenue, Palo Alto, California 94304 (\"VMware\") will provide software to you via download or otherwise (\"Software\"). By using the Software, you, an individual or an entity (\"You\") agree to the terms of this Agreement.\n\nIn consideration of the mutual promises and upon the terms and conditions set forth below, the parties agree as follows:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Grant of Copyright License\n\n	  <<var;name=\"bullet\";original=\"1.1 -\";match=\".{0,20}\">> Subject to the terms and conditions of this Agreement, VMware hereby grants to You, under any and all of its copyright interest in and to the Software, a royalty-free, non-exclusive, non-transferable license to copy, modify, compile, execute, and distribute the Software and Modifications. For the purposes of this Agreement, any change to, addition to, or abridgement of the Software made by You is a \"Modification;\" however, any file You add to the Software that does not contain any part of the Software is not a \"Modification.\"\n\n	  <<var;name=\"bullet\";original=\"1.2 -\";match=\".{0,20}\">> If You are an individual acting on behalf of a corporation or other entity, Your use of the Software or any Modification is subject to Your having the authority to bind such corporation or entity to this Agreement. Providing copies to persons within such corporation or entity is not considered distribution for purposes of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"1.3 -\";match=\".{0,20}\">> For the Software or any Modification You distribute in source code format, You must do so only under the terms of this Agreement, and You must include a complete copy of this Agreement with Your distribution. With respect to any Modification You distribute in source code format, the terms of this Agreement will apply to You in the same way those terms apply to VMware with respect to the Software. In other words, when You are distributing Modifications under this Agreement, You \"stand in the shoes\" of VMware in terms of the rights You grant and how the terms and conditions apply to You and the licensees of Your Modifications. Notwithstanding the foregoing, when You \"stand in the shoes\" of VMware, You are not subject to the jurisdiction provision under Section 7, which requires all disputes under this Agreement to be subject to the jurisdiction of federal or state courts of northern California.\n\n	  <<var;name=\"bullet\";original=\"1.4 -\";match=\".{0,20}\">> For the Software or any Modification You distribute in compiled or object code format, You must also provide recipients with access to the Software or Modification in source code format along with a complete copy of this Agreement. The distribution of the Software or Modifications in compiled or object code format may be under a license of Your choice, provided that You are in compliance with the terms of this Agreement. In addition, You must make absolutely clear that any license terms applying to such Software or Modification that differ from this Agreement are offered by You alone and not by VMware, and that such license does not restrict recipients from exercising rights in the source code to the Software granted by VMware under this Agreement or rights in the source code to any Modification granted by You as described in Section 1.3.\n\n	  <<var;name=\"bullet\";original=\"1.5 -\";match=\".{0,20}\">> This Agreement does not limit Your right to distribute files that are entirely Your own work (i.e., which do not incorporate any portion of the Software and are not Modifications) under any terms You choose.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Support\n\n   VMware has no obligation to provide technical support or updates to You. Nothing in this Agreement requires VMware to enter into any license with You for any other edition of the Software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Intellectual Property Rights\n\n	  <<var;name=\"bullet\";original=\"3.1 -\";match=\".{0,20}\">> Except for the license expressly granted under copyright in Section 1.1, no rights, licenses or forbearances are granted or may arise in relation to this Agreement whether expressly, by implication, exhaustion, estoppel or otherwise. All rights, including all intellectual property rights, that are not expressly granted under this Agreement are hereby reserved.\n\n	  <<var;name=\"bullet\";original=\"3.2 -\";match=\".{0,20}\">> In any copy of the Software or in any Modification you create, You must retain and reproduce, any and all copyright, patent, trademark, and attribution notices that are included in the Software in the same form as they appear in the Software. This includes the preservation of attribution notices in the form of trademarks or logos that exist within a user interface of the Software.\n\n	  <<var;name=\"bullet\";original=\"3.3 -\";match=\".{0,20}\">> This license does not grant You rights to use any party's name, logo, or trademarks, except solely as necessary to comply with Section 3.2.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Disclaimer of Warranties\n\n   THE SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY OF ANY KIND. VMWARE MAKES NO WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY REGARDING OR RELATING TO THE SOFTWARE. SPECIFICALLY, VMWARE DOES NOT WARRANT THAT THE SOFTWARE WILL BE ERROR FREE OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST EXTENT ALLOWED BY LAW, VMWARE SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE (EVEN IF VMWARE HAD BEEN INFORMED OF SUCH PURPOSE), AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE, ANY MODIFICATIONS THERETO AND WITH RESPECT TO THE USE OF THE FOREGOING.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Limitation of Liability\n\n   IN NO EVENT WILL VMWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION LOSS OF PROFITS, LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, COST OF COVER) IN CONNECTION WITH OR ARISING OUT OF OR RELATING TO THE FURNISHING, PERFORMANCE OR USE OF THE SOFTWARE OR ANY OTHER RIGHTS GRANTED HEREUNDER, WHETHER ALLEGED AS A BREACH OF CONTRACT OR TORTIOUS CONDUCT, INCLUDING NEGLIGENCE, AND EVEN IF VMWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Term and Termination\n\n	  <<var;name=\"bullet\";original=\"6.1 -\";match=\".{0,20}\">> This Agreement will continue in effect unless and until terminated earlier pursuant to this Section 6.\n\n	  <<var;name=\"bullet\";original=\"6.2 -\";match=\".{0,20}\">> In the event You violate the terms of this Agreement, VMware may terminate this Agreement.\n\n	  <<var;name=\"bullet\";original=\"6.3 -\";match=\".{0,20}\">> All licenses granted hereunder shall terminate upon the termination of this Agreement. Termination will be in addition to any rights and remedies available to VMware at law or equity or under this Agreement.\n\n	  <<var;name=\"bullet\";original=\"6.4 -\";match=\".{0,20}\">> Termination of this Agreement will not affect the provisions regarding reservation of rights (Section 3.1), provisions disclaiming or limiting VMware's liability (Sections 4 and 5), Termination (Section 6) or Miscellaneous (Section 7), which provisions will survive termination of this Agreement.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Miscellaneous\n\n   This Agreement contains the entire agreement of the parties with respect to the subject matter of this Agreement and supersedes all previous communications, representations, understandings and agreements, either oral or written, between the parties with respect to said subject matter. The relationship of the parties hereunder is that of independent contractors, and this Agreement will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between the parties. If any term, condition, or provision in this Agreement is found to be invalid, unlawful or unenforceable to any extent, this Agreement will be consTrued in a manner that most closely effectuates the intent of this Agreement. Such invalid term, condition or provision will be severed from the remaining terms, conditions and provisions, which will continue to be valid and enforceable to the fullest extent permitted by law. This Agreement will be interpreted and consTrued in accordance with the laws of the State of California and the United States of America, without regard to conflict of law principles. The U.N. Convention on Contracts for the International Sale of Goods shall not apply to this Agreement. All disputes arising out of this Agreement involving VMware or any of its subsidiaries shall be subject to the jurisdiction of the federal or state courts of northern California, with venue lying in Santa Clara County, California. No rights may be assigned, no obligations may be delegated, and this Agreement may not be transferred by You, in whole or in part, whether voluntary or by operation of law, including by way of sale of assets, merger or consolidation, without the prior written consent of VMware, and any purported assignment, delegation or transfer without such consent shall be void ab initio. Any waiver of the provisions of this Agreement or of a party's rights or remedies under this Agreement must be in writing to be effective. Failure, neglect or delay by a party to enforce the provisions of this Agreement or its rights or remedies at any time, will not be consTrued or be deemed to be a waiver of such party's rights under this Agreement and will not in any way affect the validity of the whole or any part of this Agreement or prejudice such party's right to take subsequent action.\n\n   "
		self.name = "Zimbra Public License v1.3"
		self.licenseId = "Zimbra-1.3"
		self.crossRef = [{"match": "N/A", "url": "http://web.archive.org/web/20100302225219/http://www.zimbra.com/license/zimbra-public-license-1-3.html", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:09:44Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://web.archive.org/web/20100302225219/http://www.zimbra.com/license/zimbra-public-license-1-3.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Zimbra Public License, Version 1.3 (ZPL)</p>\n\n	  </div>\n\n	  <p>This Zimbra Public License (this &quot;Agreement&quot;) is a legal agreement that describes the terms under which\n		VMware, Inc., a Delaware corporation having its principal place of business at 3401 Hillview Avenue,\n		Palo Alto, California 94304 (&quot;VMware&quot;) will provide software to you via download or otherwise\n		(&quot;Software&quot;). By using the Software, you, an individual or an entity (&quot;You&quot;) agree to the terms of\n		this Agreement.</p>\n\n	  <p>In consideration of the mutual promises and upon the terms and conditions set forth below, the parties\n		agree as follows:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Grant of Copyright License\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1 -</var>\n			  Subject to the terms and conditions of this Agreement, VMware hereby grants to You, under any\n				and all of its copyright interest in and to the Software, a royalty-free, non-exclusive,\n				non-transferable license to copy, modify, compile, execute, and distribute the Software and\n				Modifications. For the purposes of this Agreement, any change to, addition to, or abridgement\n				of the Software made by You is a &quot;Modification;&quot; however, any file You add to the Software\n				that does not contain any part of the Software is not a &quot;Modification.&quot;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2 -</var>\n			  If You are an individual acting on behalf of a corporation or other entity, Your use of the\n				Software or any Modification is subject to Your having the authority to bind such corporation\n				or entity to this Agreement. Providing copies to persons within such corporation or entity is\n				not considered distribution for purposes of this Agreement.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3 -</var>\n			  For the Software or any Modification You distribute in source code format, You must do so only\n				under the terms of this Agreement, and You must include a complete copy of this Agreement with\n				Your distribution. With respect to any Modification You distribute in source code format, the\n				terms of this Agreement will apply to You in the same way those terms apply to VMware with\n				respect to the Software. In other words, when You are distributing Modifications under this\n				Agreement, You &quot;stand in the shoes&quot; of VMware in terms of the rights You grant and how the\n				terms and conditions apply to You and the licensees of Your Modifications. Notwithstanding the\n				foregoing, when You &quot;stand in the shoes&quot; of VMware, You are not subject to the jurisdiction\n				provision under Section 7, which requires all disputes under this Agreement to be subject to\n				the jurisdiction of federal or state courts of northern California.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4 -</var>\n			  For the Software or any Modification You distribute in compiled or object code format, You must\n				also provide recipients with access to the Software or Modification in source code format\n				along with a complete copy of this Agreement. The distribution of the Software or\n				Modifications in compiled or object code format may be under a license of Your choice,\n				provided that You are in compliance with the terms of this Agreement. In addition, You must\n				make absolutely clear that any license terms applying to such Software or Modification that\n				differ from this Agreement are offered by You alone and not by VMware, and that such license\n				does not restrict recipients from exercising rights in the source code to the Software granted\n				by VMware under this Agreement or rights in the source code to any Modification granted by You\n				as described in Section 1.3.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5 -</var>\n			  This Agreement does not limit Your right to distribute files that are entirely Your own work\n				(i.e., which do not incorporate any portion of the Software and are not Modifications) under\n				any terms You choose.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Support\n			<br />\n\n   VMware has no obligation to provide technical support or updates to You. Nothing in this\n			Agreement requires VMware to enter into any license with You for any other edition of\n			the Software.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Intellectual Property Rights\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1 -</var>\n			  Except for the license expressly granted under copyright in Section 1.1, no rights, licenses or\n				forbearances are granted or may arise in relation to this Agreement whether expressly, by\n				implication, exhaustion, estoppel or otherwise. All rights, including all intellectual\n				property rights, that are not expressly granted under this Agreement are hereby reserved.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2 -</var>\n			  In any copy of the Software or in any Modification you create, You must retain and reproduce,\n				any and all copyright, patent, trademark, and attribution notices that are included in the\n				Software in the same form as they appear in the Software. This includes the preservation of\n				attribution notices in the form of trademarks or logos that exist within a user interface of\n				the Software.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3 -</var>\n			  This license does not grant You rights to use any party&apos;s name, logo, or trademarks, except\n				solely as necessary to comply with Section 3.2.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Disclaimer of Warranties\n			<br />\n\n   THE SOFTWARE IS PROVIDED &quot;AS IS&quot; AND WITHOUT WARRANTY OF ANY KIND. VMWARE MAKES NO\n			WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY REGARDING OR RELATING TO THE\n			SOFTWARE. SPECIFICALLY, VMWARE DOES NOT WARRANT THAT THE SOFTWARE WILL BE ERROR FREE\n			OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST EXTENT ALLOWED BY LAW,\n			VMWARE SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A\n			PARTICULAR PURPOSE (EVEN IF VMWARE HAD BEEN INFORMED OF SUCH PURPOSE), AND\n			NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE, ANY MODIFICATIONS THERETO AND WITH\n			RESPECT TO THE USE OF THE FOREGOING.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Limitation of Liability\n			<br />\n\n   IN NO EVENT WILL VMWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\n			OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION LOSS OF PROFITS,\n			LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, COST OF COVER) IN CONNECTION WITH OR\n			ARISING OUT OF OR RELATING TO THE FURNISHING, PERFORMANCE OR USE OF THE SOFTWARE OR\n			ANY OTHER RIGHTS GRANTED HEREUNDER, WHETHER ALLEGED AS A BREACH OF CONTRACT OR\n			TORTIOUS CONDUCT, INCLUDING NEGLIGENCE, AND EVEN IF VMWARE HAS BEEN ADVISED OF THE\n			POSSIBILITY OF SUCH DAMAGES.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Term and Termination\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1 -</var>\n			  This Agreement will continue in effect unless and until terminated earlier pursuant to this\n				Section 6.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2 -</var>\n			  In the event You violate the terms of this Agreement, VMware may terminate this Agreement.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3 -</var>\n			  All licenses granted hereunder shall terminate upon the termination of this Agreement.\n				Termination will be in addition to any rights and remedies available to VMware at law or\n				equity or under this Agreement.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.4 -</var>\n			  Termination of this Agreement will not affect the provisions regarding reservation of rights\n				(Section 3.1), provisions disclaiming or limiting VMware&apos;s liability (Sections 4 and 5),\n				Termination (Section 6) or Miscellaneous (Section 7), which provisions will survive\n				termination of this Agreement.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Miscellaneous\n		  <p>This Agreement contains the entire agreement of the parties with respect to the subject matter of this\n			Agreement and supersedes all previous communications, representations, understandings and agreements,\n			either oral or written, between the parties with respect to said subject matter. The relationship of\n			the parties hereunder is that of independent contractors, and this Agreement will not be consTrued as\n			creating an agency, partnership, joint venture or any other form of legal association between the\n			parties. If any term, condition, or provision in this Agreement is found to be invalid, unlawful or\n			unenforceable to any extent, this Agreement will be consTrued in a manner that most closely\n			effectuates the intent of this Agreement. Such invalid term, condition or provision will be severed\n			from the remaining terms, conditions and provisions, which will continue to be valid and enforceable\n			to the fullest extent permitted by law. This Agreement will be interpreted and consTrued in accordance\n			with the laws of the State of California and the United States of America, without regard to conflict\n			of law principles. The U.N. Convention on Contracts for the International Sale of Goods shall not\n			apply to this Agreement. All disputes arising out of this Agreement involving VMware or any of its\n			subsidiaries shall be subject to the jurisdiction of the federal or state courts of northern\n			California, with venue lying in Santa Clara County, California. No rights may be assigned, no\n			obligations may be delegated, and this Agreement may not be transferred by You, in whole or in part,\n			whether voluntary or by operation of law, including by way of sale of assets, merger or consolidation,\n			without the prior written consent of VMware, and any purported assignment, delegation or transfer\n			without such consent shall be void ab initio. Any waiver of the provisions of this Agreement or of a\n			party&apos;s rights or remedies under this Agreement must be in writing to be effective. Failure, neglect\n			or delay by a party to enforce the provisions of this Agreement or its rights or remedies at any time,\n			will not be consTrued or be deemed to be a waiver of such party&apos;s rights under this Agreement and will\n			not in any way affect the validity of the whole or any part of this Agreement or prejudice such\n			party&apos;s right to take subsequent action.</p>\n\n		</li>\n\n</ul>\n	"
		self.python_name = "Zimbra13"

	def __str__(self):
		return json.dumps(self.__dict__)


class ISC:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "ISC License:\n\nCopyright (c) 2004-2010 by Internet Systems Consortium, Inc. (\"ISC\")\nCopyright (c) 1995-2003 by Internet Software Consortium\n\nPermission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\" AND ISC DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL ISC BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<var;name=\"title\";original=\"ISC License\";match=\"(The )?ISC License( \\(ISC[L]?\\))?:?\">>\n\n<<endOptional>> <<var;name=\"copyright\";original=\"<copyright notice>  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and<<beginOptional>> /or<<endOptional>> distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\" AND <<var;name=\"author\";original=\"THE AUTHOR\";match=\".+\">> DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL <<var;name=\"authorLiability\";original=\"THE AUTHOR\";match=\".+\">> BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n"
		self.name = "ISC License"
		self.licenseComments = "The ISC License text changed 'and' to 'and/or' in July 2007."
		self.licenseId = "ISC"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/ISC", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:31Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://www.isc.org/downloads/software-support-policy/isc-license/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:31Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.isc.org/licenses/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:31Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.isc.org/licenses/", "https://www.isc.org/downloads/software-support-policy/isc-license/", "https://opensource.org/licenses/ISC"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p><var class=\"replaceable-license-text\"> ISC License</var></p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>&lt;copyright notice&gt;</p>\n\n	  </div>\n\n	  <p>Permission to use, copy, modify, and<var class=\"optional-license-text\"> /or</var> distribute this software for any purpose with or without fee is\n		 hereby granted, provided that the above copyright notice and this permission notice appear in all\n		 copies.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot; AND <var class=\"replaceable-license-text\"> THE AUTHOR</var> DISCLAIMS ALL\n		 WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS. IN NO EVENT SHALL <var class=\"replaceable-license-text\"> THE AUTHOR</var> BE LIABLE FOR ANY\n		 SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF\n		 USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING\n		 OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.</p>\n\n	"
		self.python_name = "ISC"

	def __str__(self):
		return json.dumps(self.__dict__)


class Kastrup:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright(c) 2001 by David Kastrup\nAny use of the code is permitted as long as this copyright \nnotice is preserved in the code.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright(c) 2001 by David Kastrup\";match=\".{0,5000}\">>\n\nAny use of the code is permitted as long as this copyright notice is preserved in the code.\n\n"
		self.name = "Kastrup License"
		self.licenseId = "Kastrup"
		self.crossRef = [{"match": "False", "url": "https://ctan.math.utah.edu/ctan/tex-archive/macros/generic/kastrup/binhex.dtx", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:31Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://ctan.math.utah.edu/ctan/tex-archive/macros/generic/kastrup/binhex.dtx"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n		   Copyright(c) 2001 by David Kastrup\n		 </var>\n		 <p>\n			Any use of the code is permitted\n			as long as this copyright notice is preserved in the code.\n		 </p>\n\n	  "
		self.python_name = "Kastrup"

	def __str__(self):
		return json.dumps(self.__dict__)


class PolyFormNoncommercial100:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "# PolyForm Noncommercial License 1.0.0\n\n<https://polyformproject.org/licenses/noncommercial/1.0.0>\n\n## Acceptance\n\nIn order to get any license under these terms, you must agree\nto them as both strict obligations and conditions to all\nyour licenses.\n\n## Copyright License\n\nThe licensor grants you a copyright license for the\nsoftware to do everything you might do with the software\nthat would otherwise infringe the licensor's copyright\nin it for any permitted purpose.  However, you may\nonly distribute the software according to [Distribution\nLicense](#distribution-license) and make changes or new works\nbased on the software according to [Changes and New Works\nLicense](#changes-and-new-works-license).\n\n## Distribution License\n\nThe licensor grants you an additional copyright license\nto distribute copies of the software.  Your license\nto distribute covers distributing the software with\nchanges and new works permitted by [Changes and New Works\nLicense](#changes-and-new-works-license).\n\n## Notices\n\nYou must ensure that anyone who gets a copy of any part of\nthe software from you also gets a copy of these terms or the\nURL for them above, as well as copies of any plain-text lines\nbeginning with `Required Notice:` that the licensor provided\nwith the software.  For example:\n\n> Required Notice: Copyright Yoyodyne, Inc. (http://example.com)\n\n## Changes and New Works License\n\nThe licensor grants you an additional copyright license to\nmake changes and new works based on the software for any\npermitted purpose.\n\n## Patent License\n\nThe licensor grants you a patent license for the software that\ncovers patent claims the licensor can license, or becomes able\nto license, that you would infringe by using the software.\n\n## Noncommercial Purposes\n\nAny noncommercial purpose is a permitted purpose.\n\n## Personal Uses\n\nPersonal use for research, experiment, and testing for\nthe benefit of public knowledge, personal study, private\nentertainment, hobby projects, amateur pursuits, or religious\nobservance, without any anticipated commercial application,\nis use for a permitted purpose.\n\n## Noncommercial Organizations\n\nUse by any charitable organization, educational institution,\npublic research organization, public safety or health\norganization, environmental protection organization,\nor government institution is use for a permitted purpose\nregardless of the source of funding or obligations resulting\nfrom the funding.\n\n## Fair Use\n\nYou may have \"fair use\" rights for the software under the\nlaw. These terms do not limit them.\n\n## No Other Rights\n\nThese terms do not allow you to sublicense or transfer any of\nyour licenses to anyone else, or prevent the licensor from\ngranting licenses to anyone else.  These terms do not imply\nany other licenses.\n\n## Patent Defense\n\nIf you make any written claim that the software infringes or\ncontributes to infringement of any patent, your patent license\nfor the software granted under these terms ends immediately. If\nyour company makes such a claim, your patent license ends\nimmediately for work on behalf of your company.\n\n## Violations\n\nThe first time you are notified in writing that you have\nviolated any of these terms, or done anything with the software\nnot covered by your licenses, your licenses can nonetheless\ncontinue if you come into full compliance with these terms,\nand take practical steps to correct past violations, within\n32 days of receiving notice.  Otherwise, all your licenses\nend immediately.\n\n## No Liability\n\n***As far as the law allows, the software comes as is, without\nany warranty or condition, and the licensor will not be liable\nto you for any damages arising out of these terms or the use\nor nature of the software, under any kind of legal claim.***\n\n## Definitions\n\nThe **licensor** is the individual or entity offering these\nterms, and the **software** is the software the licensor makes\navailable under these terms.\n\n**You** refers to the individual or entity agreeing to these\nterms.\n\n**Your company** is any legal entity, sole proprietorship,\nor other kind of organization that you work for, plus all\norganizations that have control over, are under the control of,\nor are under common control with that organization.  **Control**\nmeans ownership of substantially all the assets of an entity,\nor the power to direct its management and policies by vote,\ncontract, or otherwise.  Control can be direct or indirect.\n\n**Your licenses** are all the licenses granted to you for the\nsoftware under these terms.\n\n**Use** means anything you do with the software requiring one\nof your licenses.\n"
		self.standardLicenseTemplate = "<<beginOptional>># PolyForm Noncommercial License 1.0.0\n\n<<endOptional>>\n\n<https://polyformproject.org/licenses/noncommercial/1.0.0>\n\n## Acceptance\n\nIn order to get any license under these terms, you must agree to them as both strict obligations and conditions to all your licenses.\n\n## Copyright License\n\nThe licensor grants you a copyright license for the software to do everything you might do with the software that would otherwise infringe the licensor's copyright in it for any permitted purpose. However, you may only distribute the software according to [Distribution License](#distribution-license) and make changes or new works based on the software according to [Changes and New Works License](#changes-and-new-works-license).\n\n## Distribution License\n\nThe licensor grants you an additional copyright license to distribute copies of the software. Your license to distribute covers distributing the software with changes and new works permitted by [Changes and New Works License](#changes-and-new-works-license).\n\n## Notices\n\nYou must ensure that anyone who gets a copy of any part of the software from you also gets a copy of these terms or the URL for them above, as well as copies of any plain-text lines beginning with `Required Notice:` that the licensor provided with the software. For example:\n\n> Required Notice: Copyright Yoyodyne, Inc. (http://example.com)\n\n## Changes and New Works License\n\nThe licensor grants you an additional copyright license to make changes and new works based on the software for any permitted purpose.\n\n## Patent License\n\nThe licensor grants you a patent license for the software that covers patent claims the licensor can license, or becomes able to license, that you would infringe by using the software.\n\n## Noncommercial Purposes\n\nAny noncommercial purpose is a permitted purpose.\n\n## Personal Uses\n\nPersonal use for research, experiment, and testing for the benefit of public knowledge, personal study, private entertainment, hobby projects, amateur pursuits, or religious observance, without any anticipated commercial application, is use for a permitted purpose.\n\n## Noncommercial Organizations\n\nUse by any charitable organization, educational institution, public research organization, public safety or health organization, environmental protection organization, or government institution is use for a permitted purpose regardless of the source of funding or obligations resulting from the funding.\n\n## Fair Use\n\nYou may have \"fair use\" rights for the software under the law. These terms do not limit them.\n\n## No Other Rights\n\nThese terms do not allow you to sublicense or transfer any of your licenses to anyone else, or prevent the licensor from granting licenses to anyone else. These terms do not imply any other licenses.\n\n## Patent Defense\n\nIf you make any written claim that the software infringes or contributes to infringement of any patent, your patent license for the software granted under these terms ends immediately. If your company makes such a claim, your patent license ends immediately for work on behalf of your company.\n\n## Violations\n\nThe first time you are notified in writing that you have violated any of these terms, or done anything with the software not covered by your licenses, your licenses can nonetheless continue if you come into full compliance with these terms, and take practical steps to correct past violations, within 32 days of receiving notice. Otherwise, all your licenses end immediately.\n\n## No Liability\n\n***As far as the law allows, the software comes as is, without any warranty or condition, and the licensor will not be liable to you for any damages arising out of these terms or the use or nature of the software, under any kind of legal claim.***\n\n## Definitions\n\nThe **licensor** is the individual or entity offering these terms, and the **software** is the software the licensor makes available under these terms.\n\n**You** refers to the individual or entity agreeing to these terms.\n\n**Your company** is any legal entity, sole proprietorship, or other kind of organization that you work for, plus all organizations that have control over, are under the control of, or are under common control with that organization. **Control** means ownership of substantially all the assets of an entity, or the power to direct its management and policies by vote, contract, or otherwise. Control can be direct or indirect.\n\n**Your licenses** are all the licenses granted to you for the software under these terms.\n\n**Use** means anything you do with the software requiring one of your licenses.\n\n"
		self.name = "PolyForm Noncommercial License 1.0.0"
		self.licenseComments = "This license was released on July 9, 2019."
		self.licenseId = "PolyForm-Noncommercial-1.0.0"
		self.crossRef = [{"match": "False", "url": "https://polyformproject.org/licenses/noncommercial/1.0.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://polyformproject.org/licenses/noncommercial/1.0.0"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		  <p># PolyForm Noncommercial License 1.0.0</p>\n\n	  </div>\n	  <p>&lt;https://polyformproject.org/licenses/noncommercial/1.0.0&gt;</p>\n\n	  <p>## Acceptance</p>\n\n	  <p>In order to get any license under these terms, you must agree to them as both strict obligations and conditions to all your licenses.</p>\n\n	  <p>## Copyright License</p>\n\n	  <p>The licensor grants you a copyright license for the software to do everything you might do with the software that would otherwise infringe the licensor&apos;s copyright in it for any permitted purpose. However, you may only distribute the software according to [Distribution License](#distribution-license) and make changes or new works based on the software according to [Changes and New Works License](#changes-and-new-works-license).</p>\n\n	  <p>## Distribution License</p>\n\n	  <p>The licensor grants you an additional copyright license to distribute copies of the software. Your license to distribute covers distributing the software with changes and new works permitted by [Changes and New Works License](#changes-and-new-works-license).</p>\n\n	  <p>## Notices</p>\n\n	  <p>You must ensure that anyone who gets a copy of any part of the software from you also gets a copy of these terms or the URL for them above, as well as copies of any plain-text lines beginning with `Required Notice:` that the licensor provided with the software. For example:</p>\n\n	  <p>&gt; Required Notice: Copyright Yoyodyne, Inc. (http://example.com)</p>\n\n	  <p>## Changes and New Works License</p>\n\n	  <p>The licensor grants you an additional copyright license to make changes and new works based on the software for any permitted purpose.</p>\n\n	  <p>## Patent License</p>\n\n	  <p>The licensor grants you a patent license for the software that covers patent claims the licensor can license, or becomes able to license, that you would infringe by using the software.</p>\n\n	  <p>## Noncommercial Purposes</p>\n\n	  <p>Any noncommercial purpose is a permitted purpose.</p>\n\n	  <p>## Personal Uses</p>\n\n	  <p>Personal use for research, experiment, and testing for the benefit of public knowledge, personal study, private entertainment, hobby projects, amateur pursuits, or religious observance, without any anticipated commercial application, is use for a permitted purpose.</p>\n\n	  <p>## Noncommercial Organizations</p>\n\n	  <p>Use by any charitable organization, educational institution, public research organization, public safety or health organization, environmental protection organization, or government institution is use for a permitted purpose regardless of the source of funding or obligations resulting from the funding.</p>\n\n	  <p>## Fair Use</p>\n\n	  <p>You may have &quot;fair use&quot; rights for the software under the law. These terms do not limit them.</p>\n\n	  <p>## No Other Rights</p>\n\n	  <p>These terms do not allow you to sublicense or transfer any of your licenses to anyone else, or prevent the licensor from granting licenses to anyone else. These terms do not imply any other licenses.</p>\n\n	  <p>## Patent Defense</p>\n\n	  <p>If you make any written claim that the software infringes or contributes to infringement of any patent, your patent license for the software granted under these terms ends immediately. If your company makes such a claim, your patent license ends immediately for work on behalf of your company.</p>\n\n	  <p>## Violations</p>\n\n	  <p>The first time you are notified in writing that you have violated any of these terms, or done anything with the software not covered by your licenses, your licenses can nonetheless continue if you come into full compliance with these terms, and take practical steps to correct past violations, within 32 days of receiving notice. Otherwise, all your licenses end immediately.</p>\n\n	  <p>## No Liability</p>\n\n	  <p>***As far as the law allows, the software comes as is, without any warranty or condition, and the licensor will not be liable to you for any damages arising out of these terms or the use or nature of the software, under any kind of legal claim.***</p>\n\n	  <p>## Definitions</p>\n\n	  <p>The **licensor** is the individual or entity offering these terms, and the **software** is the software the licensor makes available under these terms.</p>\n\n	  <p>**You** refers to the individual or entity agreeing to these terms.</p>\n\n	  <p>**Your company** is any legal entity, sole proprietorship, or other kind of organization that you work for, plus all organizations that have control over, are under the control of, or are under common control with that organization. **Control** means ownership of substantially all the assets of an entity, or the power to direct its management and policies by vote, contract, or otherwise. Control can be direct or indirect.</p>\n\n	  <p>**Your licenses** are all the licenses granted to you for the software under these terms.</p>\n\n	  <p>**Use** means anything you do with the software requiring one of your licenses.</p>\n\n	"
		self.python_name = "PolyFormNoncommercial100"

	def __str__(self):
		return json.dumps(self.__dict__)


class MITenna:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 2000 Carsten Haitzler and various contributors (see AUTHORS)\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies of the Software and its Copyright notices. In addition publicly documented acknowledgment must be given that this software has been used if no source code of this software is made available publicly. This includes acknowledgments in either Copyright notices, Manuals, Publicity and Marketing documents or any documentation provided with any product containing this software. This License does not apply to any software that links to the libraries provided by this software (statically or dynamically), but only to the software provided.\n\nPlease see the COPYING.PLAIN for a plain-english explanation of this notice and it's intent.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 2000 Carsten Haitzler and various contributors (see AUTHORS)  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies of the Software and its Copyright notices. In addition publicly documented acknowledgment must be given that this software has been used if no source code of this software is made available publicly. This includes acknowledgments in either Copyright notices, Manuals, Publicity and Marketing documents or any documentation provided with any product containing this software. This License does not apply to any software that links to the libraries provided by this software (statically or dynamically), but only to the software provided.\n\nPlease see the COPYING.PLAIN for a plain-english explanation of this notice and it's intent.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.name = "enna License"
		self.licenseId = "MIT-enna"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/MIT#enna", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:19Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/MIT#enna"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 2000 Carsten Haitzler and various contributors (see AUTHORS)</p>\n\n	  </div>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and\n		 associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,\n		 including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,\n		 and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,\n		 subject to the following conditions:</p>\n\n	  <p>The above copyright notice and this permission notice shall be included in all copies of the Software and\n		 its Copyright notices. In addition publicly documented acknowledgment must be given that this software\n		 has been used if no source code of this software is made available publicly. This includes\n		 acknowledgments in either Copyright notices, Manuals, Publicity and Marketing documents or any\n		 documentation provided with any product containing this software. This License does not apply to any\n		 software that links to the libraries provided by this software (statically or dynamically), but only\n		 to the software provided.</p>\n\n	  <p>Please see the COPYING.PLAIN for a plain-english explanation of this notice and it&apos;s intent.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\n		 OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR\n		 OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	"
		self.python_name = "MITenna"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL30:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "GNU GENERAL PUBLIC LICENSE\nVersion 3, 29 June 2007\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n0. Definitions.\n\n\u201cThis License\u201d refers to version 3 of the GNU General Public License.\n\n\u201cCopyright\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n\u201cThe Program\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \u201cyou\u201d. \u201cLicensees\u201d and \u201crecipients\u201d may be individuals or organizations.\n\nTo \u201cmodify\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \u201cmodified version\u201d of the earlier work or a work \u201cbased on\u201d the earlier work.\n\nA \u201ccovered work\u201d means either the unmodified Program or a work based on the Program.\n\nTo \u201cpropagate\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\nTo \u201cconvey\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\nAn interactive user interface displays \u201cAppropriate Legal Notices\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n1. Source Code.\nThe \u201csource code\u201d for a work means the preferred form of the work for making modifications to it. \u201cObject code\u201d means any non-source form of a work.\n\nA \u201cStandard Interface\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\nThe \u201cSystem Libraries\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \u201cMajor Component\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\nThe \u201cCorresponding Source\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\nThe Corresponding Source for a work in source code form is that same work.\n\n2. Basic Permissions.\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n4. Conveying Verbatim Copies.\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n5. Conveying Modified Source Versions.\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	 a) The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	 b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \u201ckeep intact all notices\u201d.\n\n	 c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	 d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \u201caggregate\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n6. Conveying Non-Source Forms.\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	 a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	 b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	 c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	 d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	 e) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\nA \u201cUser Product\u201d is either (1) a \u201cconsumer product\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \u201cnormally used\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n\u201cInstallation Information\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n7. Additional Terms.\n\u201cAdditional permissions\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	 a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	 b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	 c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	 d) Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	 e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	 f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\nAll other non-permissive additional terms are considered \u201cfurther restrictions\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n8. Termination.\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n9. Acceptance Not Required for Having Copies.\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n10. Automatic Licensing of Downstream Recipients.\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\nAn \u201centity transaction\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n11. Patents.\nA \u201ccontributor\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \u201ccontributor version\u201d.\n\nA contributor's \u201cessential patent claims\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \u201ccontrol\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\nIn the following three paragraphs, a \u201cpatent license\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \u201cgrant\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \u201cKnowingly relying\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\nA patent license is \u201cdiscriminatory\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\nNothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n12. No Surrender of Others' Freedom.\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n13. Use with the GNU Affero General Public License.\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n14. Revised Versions of this License.\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \u201cor any later version\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n15. Disclaimer of Warranty.\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \u201cAS IS\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. Limitation of Liability.\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n17. Interpretation of Sections 15 and 16.\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \u201ccopyright\u201d line and a pointer to where the full notice is found.\n\n	 <one line to give the program's name and a brief idea of what it does.>\n	 Copyright (C) <year>  <name of author>\n\n	 This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.\n\n	 You should have received a copy of the GNU General Public License along with this program.  If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n	 <program>  Copyright (C) <year>  <name of author>\n	 This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n	 This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \u201cabout box\u201d.\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \u201ccopyright disclaimer\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <https://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <https://www.gnu.org/philosophy/why-not-lgpl.html>.\n"
		self.standardLicenseHeaderTemplate = "Copyright (C) <<var;name=\"copyright\";original=\"<year> <name of author>\";match=\".+\">>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\n<<endOptional>>\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n   \"This License\" refers to version 3 of the GNU General Public License.\n\n   \"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n   \"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\n   To \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\n   A \"covered work\" means either the unmodified Program or a work based on the Program.\n\n   To \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\n   To \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\n   An interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Source Code.\n\n   The \"source code\" for a work means the preferred form of the work for making modifications to it. \"Object code\" means any non-source form of a work.\n\n   A \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\n   The \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\n   The \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\n   The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Basic Permissions.\n\n   All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\n   You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\n   Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n   No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\n   When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Conveying Verbatim Copies.\n\n   You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\n   You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Conveying Modified Source Versions.\n\n   You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\n   A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Conveying Non-Source Forms.\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\n   A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\n   A \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n   \"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\n   If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\n   The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\n   Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Additional Terms.\n\n   \"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\n   When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\n   Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	  <<var;name=\"bullet\";original=\"f)\";match=\".{0,20}\">> Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\n   All other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\n   If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\n   Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination.\n\n   You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Acceptance Not Required for Having Copies.\n\n   You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Automatic Licensing of Downstream Recipients.\n\n   Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\n   An \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\n   You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Patents.\n\n   A \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \"contributor version\".\n\n   A contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\n   Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\n   In the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\n   If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\n   If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\n   A patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\n   Nothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> No Surrender of Others' Freedom.\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Use with the GNU Affero General Public License.\n\n   Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Revised Versions of this License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\n   If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\n   Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> Limitation of Liability.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"17.\";match=\".{0,20}\">> Interpretation of Sections 15 and 16.\n\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\n<<beginOptional>>END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n<program> Copyright (C) <year> <name of author>\n\nThis program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n\nThis is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \"about box\".\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <https://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <https://www.gnu.org/ <<var;name=\"philicenses\";original=\"licenses\";match=\"philosophy|licenses\">> /why-not-lgpl.html>.\n\n<<endOptional>>"
		self.name = "GNU General Public License v3.0 only"
		self.licenseId = "GPL-3.0"
		self.standardLicenseHeader = "Copyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/gpl-3.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:05Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/GPL-3.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:05Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://www.gnu.org/licenses/gpl-3.0-standalone.html", "https://opensource.org/licenses/GPL-3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU GENERAL PUBLIC LICENSE<br />\n\n		Version 3, 29 June 2007\n	  </p>\n\n	</div>\n	<p>\n	  Copyright \u00a9 2007 Free Software Foundation, Inc.\n	  &lt;https://fsf.org/&gt;\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The GNU General Public License is a free, copyleft\n	  license for software and other kinds of works.\n	</p>\n\n	<p>\n	  The licenses for most software and other practical works are designed to\n	  take away your freedom to share and change the works. By contrast, the GNU\n	  General Public License is intended to guarantee your freedom to share and\n	  change all versions of a program--to make sure it remains free software\n	  for all its users. We, the Free Software Foundation, use the GNU General\n	  Public License for most of our software; it applies also to any other work\n	  released this way by its authors. You can apply it to your programs, too.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not\n	  price. Our General Public Licenses are designed to make sure that you\n	  have the freedom to distribute copies of free software (and charge\n	  for them if you wish), that you receive source code or can get it\n	  if you want it, that you can change the software or use pieces of\n	  it in new free programs, and that you know you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to prevent others from denying you\n	  these rights or asking you to surrender the rights. Therefore, you have\n	  certain responsibilities if you distribute copies of the software, or\n	  if you modify it: responsibilities to respect the freedom of others.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of such a program, whether gratis\n	  or for a fee, you must pass on to the recipients the same freedoms that\n	  you received. You must make sure that they, too, receive or can get the\n	  source code. And you must show them these terms so they know their rights.\n	</p>\n\n	<p>\n	  Developers that use the GNU GPL protect your rights with two steps:\n	  (1) assert copyright on the software, and (2) offer you this License\n	  giving you legal permission to copy, distribute and/or modify it.\n	</p>\n\n	<p>\n	  For the developers&apos; and authors&apos; protection, the GPL clearly\n	  explains that there is no warranty for this free software. For\n	  both users&apos; and authors&apos; sake, the GPL requires that modified\n	  versions be marked as changed, so that their problems will\n	  not be attributed erroneously to authors of previous versions.\n	</p>\n\n	<p>\n	  Some devices are designed to deny users access to install or run modified\n	  versions of the software inside them, although the manufacturer can\n	  do so. This is fundamentally incompatible with the aim of protecting\n	  users&apos; freedom to change the software. The systematic pattern of\n	  such abuse occurs in the area of products for individuals to use,\n	  which is precisely where it is most unacceptable. Therefore, we have\n	  designed this version of the GPL to prohibit the practice for those\n	  products. If such problems arise substantially in other domains,\n	  we stand ready to extend this provision to those domains in future\n	  versions of the GPL, as needed to protect the freedom of users.\n	</p>\n\n	<p>\n	  Finally, every program is threatened constantly by software patents.\n	  States should not allow patents to restrict development and use of\n	  software on general-purpose computers, but in those that do, we wish\n	  to avoid the special danger that patents applied to a free program\n	  could make it effectively proprietary. To prevent this, the GPL\n	  assures that patents cannot be used to render the program non-free.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying,\n	  distribution and modification follow.\n	</p>\n\n	<p>\n	  TERMS AND CONDITIONS\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		Definitions.\n		<p>\n		  &quot;This License&quot; refers to version 3 of the GNU General Public License.\n		</p>\n\n		<p>\n		  &quot;Copyright&quot; also means copyright-like laws that apply\n		  to other kinds of works, such as semiconductor masks.\n		</p>\n\n		<p>\n		  &quot;The Program&quot; refers to any copyrightable work licensed under\n		  this License. Each licensee is addressed as &quot;you&quot;. &quot;Licensees&quot;\n		  and &quot;recipients&quot; may be individuals or organizations.\n		</p>\n\n		<p>\n		  To &quot;modify&quot; a work means to copy from or adapt all or part of the\n		  work in a fashion requiring copyright permission, other than the\n		  making of an exact copy. The resulting work is called a &quot;modified\n		  version&quot; of the earlier work or a work &quot;based on&quot; the earlier work.\n		</p>\n\n		<p>\n		  A &quot;covered work&quot; means either the unmodified\n		  Program or a work based on the Program.\n		</p>\n\n		<p>\n		  To &quot;propagate&quot; a work means to do anything with it that, without\n		  permission, would make you directly or secondarily liable for\n		  infringement under applicable copyright law, except executing it\n		  on a computer or modifying a private copy. Propagation includes\n		  copying, distribution (with or without modification), making available\n		  to the public, and in some countries other activities as well.\n		</p>\n\n		<p>\n		  To &quot;convey&quot; a work means any kind of propagation\n		  that enables other parties to make or receive copies.\n		  Mere interaction with a user through a computer\n		  network, with no transfer of a copy, is not conveying.\n		</p>\n\n		<p>\n		  An interactive user interface displays &quot;Appropriate Legal Notices&quot;\n		  to the extent that it includes a convenient and prominently visible\n		  feature that (1) displays an appropriate copyright notice, and (2)\n		  tells the user that there is no warranty for the work (except to\n		  the extent that warranties are provided), that licensees may convey\n		  the work under this License, and how to view a copy of this License.\n		  If the interface presents a list of user commands or options,\n		  such as a menu, a prominent item in the list meets this criterion.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		Source Code.<br />\n\n		The &quot;source code&quot; for a work means the preferred\n		form of the work for making modifications to it.\n		&quot;Object code&quot; means any non-source form of a work.\n		<p>\n		  A &quot;Standard Interface&quot; means an interface that either is an official\n		  standard defined by a recognized standards body, or, in the case\n		  of interfaces specified for a particular programming language,\n		  one that is widely used among developers working in that language.\n		</p>\n\n		<p>\n		  The &quot;System Libraries&quot; of an executable work include anything, other\n		  than the work as a whole, that (a) is included in the normal form\n		  of packaging a Major Component, but which is not part of that Major\n		  Component, and (b) serves only to enable use of the work with that\n		  Major Component, or to implement a Standard Interface for which an\n		  implementation is available to the public in source code form. A\n		  &quot;Major Component&quot;, in this context, means a major essential component\n		  (kernel, window system, and so on) of the specific operating system\n		  (if any) on which the executable work runs, or a compiler used to\n		  produce the work, or an object code interpreter used to run it.\n		</p>\n\n		<p>\n		  The &quot;Corresponding Source&quot; for a work in object code form means all\n		  the source code needed to generate, install, and (for an executable\n		  work) run the object code and to modify the work, including scripts\n		  to control those activities. However, it does not include the work&apos;s\n		  System Libraries, or general-purpose tools or generally available\n		  free programs which are used unmodified in performing those activities\n		  but which are not part of the work. For example, Corresponding\n		  Source includes interface definition files associated with source\n		  files for the work, and the source code for shared libraries\n		  and dynamically linked subprograms that the work is specifically\n		  designed to require, such as by intimate data communication or\n		  control flow between those subprograms and other parts of the work.\n		</p>\n\n		<p>\n		  The Corresponding Source need not include anything that users can\n		  regenerate automatically from other parts of the Corresponding Source.\n		</p>\n\n		<p>\n		  The Corresponding Source for a work\n		  in source code form is that same work.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		Basic Permissions.<br />\n\n		All rights granted under this License are granted for the term of\n		copyright on the Program, and are irrevocable provided the stated\n		conditions are met. This License explicitly affirms your unlimited\n		permission to run the unmodified Program. The output from running a\n		covered work is covered by this License only if the output, given its\n		content, constitutes a covered work. This License acknowledges your\n		rights of fair use or other equivalent, as provided by copyright law.\n		<p>\n		  You may make, run and propagate covered works that you do not convey,\n		  without conditions so long as your license otherwise remains in force.\n		  You may convey covered works to others for the sole purpose of having\n		  them make modifications exclusively for you, or provide you with\n		  facilities for running those works, provided that you comply with\n		  the terms of this License in conveying all material for which you do\n		  not control copyright. Those thus making or running the covered works\n		  for you must do so exclusively on your behalf, under your direction\n		  and control, on terms that prohibit them from making any copies\n		  of your copyrighted material outside their relationship with you.\n		</p>\n\n		<p>\n		  Conveying under any other circumstances is permitted\n		  solely under the conditions stated below. Sublicensing\n		  is not allowed; section 10 makes it unnecessary.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		Protecting Users&apos; Legal Rights From Anti-Circumvention Law.<br />\n\n		No covered work shall be deemed part of an effective technological\n		measure under any applicable law fulfilling obligations under article\n		11 of the WIPO copyright treaty adopted on 20 December 1996, or\n		similar laws prohibiting or restricting circumvention of such measures.\n		<p>\n		  When you convey a covered work, you waive any legal power to\n		  forbid circumvention of technological measures to the extent\n		  such circumvention is effected by exercising rights under this\n		  License with respect to the covered work, and you disclaim any\n		  intention to limit operation or modification of the work as a means\n		  of enforcing, against the work&apos;s users, your or third parties&apos;\n		  legal rights to forbid circumvention of technological measures.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		Conveying Verbatim Copies.<br />\n\n		You may convey verbatim copies of the Program&apos;s source code as\n		you receive it, in any medium, provided that you conspicuously\n		and appropriately publish on each copy an appropriate copyright\n		notice; keep intact all notices stating that this License and any\n		non-permissive terms added in accord with section 7 apply to the\n		code; keep intact all notices of the absence of any warranty; and\n		give all recipients a copy of this License along with the Program.\n		<p>\n		  You may charge any price or no price for each copy that you\n		  convey, and you may offer support or warranty protection for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		Conveying Modified Source Versions.<br />\n\n		You may convey a work based on the Program, or the modifications to\n		produce it from the Program, in the form of source code under the terms\n		of section 4, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			The work must carry prominent notices stating\n			that you modified it, and giving a relevant date.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			The work must carry prominent notices stating that\n			it is released under this License and any conditions\n			added under section 7. This requirement modifies the\n			requirement in section 4 to &quot;keep intact all notices&quot;.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			You must license the entire work, as a whole, under this License\n			to anyone who comes into possession of a copy. This License\n			will therefore apply, along with any applicable section 7\n			additional terms, to the whole of the work, and all its parts,\n			regardless of how they are packaged. This License gives no\n			permission to license the work in any other way, but it does not\n			invalidate such permission if you have separately received it.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If the work has interactive user interfaces, each must\n			display Appropriate Legal Notices; however, if the Program\n			has interactive interfaces that do not display Appropriate\n			Legal Notices, your work need not make them do so.\n		  </li>\n		\n</ul>\n		<p>\n		  A compilation of a covered work with other separate and independent\n		  works, which are not by their nature extensions of the covered\n		  work, and which are not combined with it such as to form a larger\n		  program, in or on a volume of a storage or distribution medium,\n		  is called an &quot;aggregate&quot; if the compilation and its resulting\n		  copyright are not used to limit the access or legal rights\n		  of the compilation&apos;s users beyond what the individual works\n		  permit. Inclusion of a covered work in an aggregate does not\n		  cause this License to apply to the other parts of the aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Conveying Non-Source Forms.<br />\n\n		You may convey a covered work in object code form\n		under the terms of sections 4 and 5, provided that you\n		also convey the machine-readable Corresponding Source\n		under the terms of this License, in one of these ways:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Convey the object code in, or embodied in, a physical\n			product (including a physical distribution medium),\n			accompanied by the Corresponding Source fixed on a durable\n			physical medium customarily used for software interchange.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Convey the object code in, or embodied in, a physical product\n			(including a physical distribution medium), accompanied by a\n			written offer, valid for at least three years and valid for\n			as long as you offer spare parts or customer support for that\n			product model, to give anyone who possesses the object code\n			either (1) a copy of the Corresponding Source for all the software\n			in the product that is covered by this License, on a durable\n			physical medium customarily used for software interchange,\n			for a price no more than your reasonable cost of physically\n			performing this conveying of source, or (2) access to copy\n			the Corresponding Source from a network server at no charge.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Convey individual copies of the object code with a\n			copy of the written offer to provide the Corresponding\n			Source. This alternative is allowed only occasionally\n			and noncommercially, and only if you received the object\n			code with such an offer, in accord with subsection 6b.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Convey the object code by offering access from a designated place\n			(gratis or for a charge), and offer equivalent access to the\n			Corresponding Source in the same way through the same place at\n			no further charge. You need not require recipients to copy the\n			Corresponding Source along with the object code. If the place\n			to copy the object code is a network server, the Corresponding\n			Source may be on a different server (operated by you or a third\n			party) that supports equivalent copying facilities, provided you\n			maintain clear directions next to the object code saying where\n			to find the Corresponding Source. Regardless of what server hosts\n			the Corresponding Source, you remain obligated to ensure that it\n			is available for as long as needed to satisfy these requirements.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Convey the object code using peer-to-peer transmission,\n			provided you inform other peers where the object code\n			and Corresponding Source of the work are being offered\n			to the general public at no charge under subsection 6d.\n		  </li>\n		\n</ul>\n		<p>\n		  A separable portion of the object code, whose source code is\n		  excluded from the Corresponding Source as a System Library,\n		  need not be included in conveying the object code work.\n		</p>\n\n		<p>\n		  A &quot;User Product&quot; is either (1) a &quot;consumer product&quot;, which means\n		  any tangible personal property which is normally used for personal,\n		  family, or household purposes, or (2) anything designed or sold\n		  for incorporation into a dwelling. In determining whether a product\n		  is a consumer product, doubtful cases shall be resolved in favor\n		  of coverage. For a particular product received by a particular\n		  user, &quot;normally used&quot; refers to a typical or common use of that\n		  class of product, regardless of the status of the particular\n		  user or of the way in which the particular user actually uses,\n		  or expects or is expected to use, the product. A product is a\n		  consumer product regardless of whether the product has substantial\n		  commercial, industrial or non-consumer uses, unless such uses\n		  represent the only significant mode of use of the product.\n		</p>\n\n		<p>\n		  &quot;Installation Information&quot; for a User Product means any methods,\n		  procedures, authorization keys, or other information required\n		  to install and execute modified versions of a covered work in\n		  that User Product from a modified version of its Corresponding\n		  Source. The information must suffice to ensure that the continued\n		  functioning of the modified object code is in no case prevented\n		  or interfered with solely because modification has been made.\n		</p>\n\n		<p>\n		  If you convey an object code work under this section in, or with,\n		  or specifically for use in, a User Product, and the conveying\n		  occurs as part of a transaction in which the right of possession\n		  and use of the User Product is transferred to the recipient in\n		  perpetuity or for a fixed term (regardless of how the transaction\n		  is characterized), the Corresponding Source conveyed under this\n		  section must be accompanied by the Installation Information.\n		  But this requirement does not apply if neither you nor any third\n		  party retains the ability to install modified object code on the\n		  User Product (for example, the work has been installed in ROM).\n		</p>\n\n		<p>\n		  The requirement to provide Installation Information does not\n		  include a requirement to continue to provide support service,\n		  warranty, or updates for a work that has been modified\n		  or installed by the recipient, or for the User Product in\n		  which it has been modified or installed. Access to a network\n		  may be denied when the modification itself materially and\n		  adversely affects the operation of the network or violates\n		  the rules and protocols for communication across the network.\n		</p>\n\n		<p>\n		  Corresponding Source conveyed, and Installation Information\n		  provided, in accord with this section must be in a format that\n		  is publicly documented (and with an implementation available\n		  to the public in source code form), and must require no\n		  special password or key for unpacking, reading or copying.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		Additional Terms.<br />\n\n		&quot;Additional permissions&quot; are terms that supplement the terms of this\n		License by making exceptions from one or more of its conditions.\n		Additional permissions that are applicable to the entire Program\n		shall be treated as though they were included in this License, to\n		the extent that they are valid under applicable law. If additional\n		permissions apply only to part of the Program, that part may be used\n		separately under those permissions, but the entire Program remains\n		governed by this License without regard to the additional permissions.\n		<p>\n		  When you convey a copy of a covered work, you may at your option\n		  remove any additional permissions from that copy, or from any part\n		  of it. (Additional permissions may be written to require their own\n		  removal in certain cases when you modify the work.) You may place\n		  additional permissions on material, added by you to a covered work,\n		  for which you have or can give appropriate copyright permission.\n		</p>\n\n		<p>\n		  Notwithstanding any other provision of this License, for material you\n		  add to a covered work, you may (if authorized by the copyright holders\n		  of that material) supplement the terms of this License with terms:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Disclaiming warranty or limiting liability differently\n			from the terms of sections 15 and 16 of this License; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Requiring preservation of specified reasonable legal\n			notices or author attributions in that material or in the\n			Appropriate Legal Notices displayed by works containing it; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Prohibiting misrepresentation of the origin of that material,\n			or requiring that modified versions of such material be marked\n			in reasonable ways as different from the original version; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Limiting the use for publicity purposes of names\n			of licensors or authors of the material; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Declining to grant rights under trademark law for use\n			of some trade names, trademarks, or service marks; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> f)</var>\n			Requiring indemnification of licensors and authors of that\n			material by anyone who conveys the material (or modified\n			versions of it) with contractual assumptions of liability\n			to the recipient, for any liability that these contractual\n			assumptions directly impose on those licensors and authors.\n		  </li>\n		\n</ul>\n		<p>\n		  All other non-permissive additional terms are considered &quot;further\n		  restrictions&quot; within the meaning of section 10. If the Program\n		  as you received it, or any part of it, contains a notice stating\n		  that it is governed by this License along with a term that is\n		  a further restriction, you may remove that term. If a license\n		  document contains a further restriction but permits relicensing or\n		  conveying under this License, you may add to a covered work material\n		  governed by the terms of that license document, provided that the\n		  further restriction does not survive such relicensing or conveying.\n		</p>\n\n		<p>\n		  If you add terms to a covered work in accord with this\n		  section, you must place, in the relevant source files, a\n		  statement of the additional terms that apply to those files,\n		  or a notice indicating where to find the applicable terms.\n		</p>\n\n		<p>\n		  Additional terms, permissive or non-permissive, may be\n		  stated in the form of a separately written license, or stated\n		  as exceptions; the above requirements apply either way.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		Termination.<br />\n\n		You may not propagate or modify a covered work except as\n		expressly provided under this License. Any attempt otherwise\n		to propagate or modify it is void, and will automatically\n		terminate your rights under this License (including any patent\n		licenses granted under the third paragraph of section 11).\n		<p>\n		  However, if you cease all violation of this License, then your\n		  license from a particular copyright holder is reinstated (a)\n		  provisionally, unless and until the copyright holder explicitly\n		  and finally terminates your license, and (b) permanently, if\n		  the copyright holder fails to notify you of the violation by\n		  some reasonable means prior to 60 days after the cessation.\n		</p>\n\n		<p>\n		  Moreover, your license from a particular copyright holder is\n		  reinstated permanently if the copyright holder notifies you\n		  of the violation by some reasonable means, this is the first\n		  time you have received notice of violation of this License\n		  (for any work) from that copyright holder, and you cure the\n		  violation prior to 30 days after your receipt of the notice.\n		</p>\n\n		<p>\n		  Termination of your rights under this section does not\n		  terminate the licenses of parties who have received copies or\n		  rights from you under this License. If your rights have been\n		  terminated and not permanently reinstated, you do not qualify\n		  to receive new licenses for the same material under section 10.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		Acceptance Not Required for Having Copies.<br />\n\n		You are not required to accept this License in order to receive or\n		run a copy of the Program. Ancillary propagation of a covered work\n		occurring solely as a consequence of using peer-to-peer transmission\n		to receive a copy likewise does not require acceptance. However,\n		nothing other than this License grants you permission to propagate\n		or modify any covered work. These actions infringe copyright if you\n		do not accept this License. Therefore, by modifying or propagating a\n		covered work, you indicate your acceptance of this License to do so.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		Automatic Licensing of Downstream Recipients.<br />\n\n		Each time you convey a covered work, the recipient automatically\n		receives a license from the original licensors, to run, modify and\n		propagate that work, subject to this License. You are not responsible\n		for enforcing compliance by third parties with this License.\n		<p>\n		  An &quot;entity transaction&quot; is a transaction transferring control of\n		  an organization, or substantially all assets of one, or subdividing\n		  an organization, or merging organizations. If propagation of a\n		  covered work results from an entity transaction, each party to that\n		  transaction who receives a copy of the work also receives whatever\n		  licenses to the work the party&apos;s predecessor in interest had or could\n		  give under the previous paragraph, plus a right to possession of the\n		  Corresponding Source of the work from the predecessor in interest,\n		  if the predecessor has it or can get it with reasonable efforts.\n		</p>\n\n		<p>\n		  You may not impose any further restrictions on the exercise of the\n		  rights granted or affirmed under this License. For example, you\n		  may not impose a license fee, royalty, or other charge for exercise\n		  of rights granted under this License, and you may not initiate\n		  litigation (including a cross-claim or counterclaim in a lawsuit)\n		  alleging that any patent claim is infringed by making, using, selling,\n		  offering for sale, or importing the Program or any portion of it.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		Patents.<br />\n\n		A &quot;contributor&quot; is a copyright holder who authorizes use under this\n		License of the Program or a work on which the Program is based. The\n		work thus licensed is called the contributor&apos;s &quot;contributor version&quot;.\n		<p>\n		  A contributor&apos;s &quot;essential patent claims&quot; are all patent\n		  claims owned or controlled by the contributor, whether already\n		  acquired or hereafter acquired, that would be infringed by some\n		  manner, permitted by this License, of making, using, or selling\n		  its contributor version, but do not include claims that would\n		  be infringed only as a consequence of further modification\n		  of the contributor version. For purposes of this definition,\n		  &quot;control&quot; includes the right to grant patent sublicenses in\n		  a manner consistent with the requirements of this License.\n		</p>\n\n		<p>\n		  Each contributor grants you a non-exclusive, worldwide, royalty-free\n		  patent license under the contributor&apos;s essential patent claims,\n		  to make, use, sell, offer for sale, import and otherwise run,\n		  modify and propagate the contents of its contributor version.\n		</p>\n\n		<p>\n		  In the following three paragraphs, a &quot;patent license&quot; is any\n		  express agreement or commitment, however denominated, not to\n		  enforce a patent (such as an express permission to practice\n		  a patent or covenant not to sue for patent infringement). To\n		  &quot;grant&quot; such a patent license to a party means to make such an\n		  agreement or commitment not to enforce a patent against the party.\n		</p>\n\n		<p>\n		  If you convey a covered work, knowingly relying on a patent license,\n		  and the Corresponding Source of the work is not available for anyone\n		  to copy, free of charge and under the terms of this License, through\n		  a publicly available network server or other readily accessible\n		  means, then you must either (1) cause the Corresponding Source to\n		  be so available, or (2) arrange to deprive yourself of the benefit\n		  of the patent license for this particular work, or (3) arrange, in\n		  a manner consistent with the requirements of this License, to extend\n		  the patent license to downstream recipients. &quot;Knowingly relying&quot;\n		  means you have actual knowledge that, but for the patent license, your\n		  conveying the covered work in a country, or your recipient&apos;s use of\n		  the covered work in a country, would infringe one or more identifiable\n		  patents in that country that you have reason to believe are valid.\n		</p>\n\n		<p>\n		  If, pursuant to or in connection with a single transaction or\n		  arrangement, you convey, or propagate by procuring conveyance\n		  of, a covered work, and grant a patent license to some of the\n		  parties receiving the covered work authorizing them to use,\n		  propagate, modify or convey a specific copy of the covered work,\n		  then the patent license you grant is automatically extended\n		  to all recipients of the covered work and works based on it.\n		</p>\n\n		<p>\n		  A patent license is &quot;discriminatory&quot; if it does not include within the\n		  scope of its coverage, prohibits the exercise of, or is conditioned\n		  on the non-exercise of one or more of the rights that are specifically\n		  granted under this License. You may not convey a covered work if\n		  you are a party to an arrangement with a third party that is in the\n		  business of distributing software, under which you make payment to\n		  the third party based on the extent of your activity of conveying\n		  the work, and under which the third party grants, to any of the\n		  parties who would receive the covered work from you, a discriminatory\n		  patent license (a) in connection with copies of the covered work\n		  conveyed by you (or copies made from those copies), or (b) primarily\n		  for and in connection with specific products or compilations that\n		  contain the covered work, unless you entered into that arrangement,\n		  or that patent license was granted, prior to 28 March 2007.\n		</p>\n\n		<p>\n		  Nothing in this License shall be consTrued as excluding or\n		  limiting any implied license or other defenses to infringement\n		  that may otherwise be available to you under applicable patent law.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		No Surrender of Others&apos; Freedom.<br />\n\n		If conditions are imposed on you (whether by court order, agreement\n		or otherwise) that contradict the conditions of this License,\n		they do not excuse you from the conditions of this License. If\n		you cannot convey a covered work so as to satisfy simultaneously\n		your obligations under this License and any other pertinent\n		obligations, then as a consequence you may not convey it at all.\n		For example, if you agree to terms that obligate you to collect\n		a royalty for further conveying from those to whom you convey the\n		Program, the only way you could satisfy both those terms and this\n		License would be to refrain entirely from conveying the Program.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 13.</var>\n		Use with the GNU Affero General Public License.<br />\n\n		Notwithstanding any other provision of this License, you have\n		permission to link or combine any covered work with a work licensed\n		under version 3 of the GNU Affero General Public License into\n		a single combined work, and to convey the resulting work. The\n		terms of this License will continue to apply to the part which\n		is the covered work, but the special requirements of the GNU\n		Affero General Public License, section 13, concerning interaction\n		through a network will apply to the combination as such.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 14.</var>\n		Revised Versions of this License.<br />\n\n		The Free Software Foundation may publish revised and/or new\n		versions of the GNU General Public License from time to time. Such\n		new versions will be similar in spirit to the present version,\n		but may differ in detail to address new problems or concerns.\n		<p>\n		  Each version is given a distinguishing version number. If the\n		  Program specifies that a certain numbered version of the GNU\n		  General Public License &quot;or any later version&quot; applies to it,\n		  you have the option of following the terms and conditions either\n		  of that numbered version or of any later version published by\n		  the Free Software Foundation. If the Program does not specify a\n		  version number of the GNU General Public License, you may choose\n		  any version ever published by the Free Software Foundation.\n		</p>\n\n		<p>\n		  If the Program specifies that a proxy can decide which future\n		  versions of the GNU General Public License can be used, that\n		  proxy&apos;s public statement of acceptance of a version permanently\n		  authorizes you to choose that version for the Program.\n		</p>\n\n		<p>\n		  Later license versions may give you additional or\n		  different permissions. However, no additional obligations\n		  are imposed on any author or copyright holder as a\n		  result of your choosing to follow a later version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 15.</var>\n		Disclaimer of Warranty.<br />\n\n		THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY\n		APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT\n		HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT\n		WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT\n		LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n		A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\n		OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU\n		ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 16.</var>\n		Limitation of Liability.<br />\n\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR\n		CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\n		INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n		ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING\n		BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE\n		OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\n		PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 17.</var>\n		Interpretation of Sections 15 and 16.\n	  </li>\n	\n</ul>\n	<p>\n	  If the disclaimer of warranty and limitation of liability\n	  provided above cannot be given local legal effect according to\n	  their terms, reviewing courts shall apply local law that most\n	  closely approximates an absolute waiver of all civil liability in\n	  connection with the Program, unless a warranty or assumption of\n	  liability accompanies a copy of the Program in return for a fee.\n	</p>\n\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Programs\n	  </p>\n\n	  <p>\n		If you develop a new program, and you want it to be\n		of the greatest possible use to the public, the best\n		way to achieve this is to make it free software which\n		everyone can redistribute and change under these terms.\n	  </p>\n\n	  <p>\n		To do so, attach the following notices to the program. It is safest\n		to attach them to the start of each source file to most effectively\n		state the exclusion of warranty; and each file should have at least\n		the &quot;copyright&quot; line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		&lt;one line to give the program&apos;s name and\n		a brief idea of what it does.&gt;<br />\n\n		Copyright (C) &lt;year&gt; &lt;name of author&gt;\n	  </p>\n\n	  <p>\n		This program is free software: you can redistribute it and/or\n		modify it under the terms of the GNU General Public License\n		as published by the Free Software Foundation, either version\n		3 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General\n\tPublic License along with this program. If not, see\n\t&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	  <p>\n		Also add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		If the program does terminal interaction, make it output a\n		short notice like this when it starts in an interactive mode:\n	  </p>\n\n	  <p>\n\t&lt;program&gt; Copyright (C) &lt;year&gt;\n\t&lt;name of author&gt;<br />\n\n		This program comes with ABSOLUTELY NO\n		WARRANTY; for details type `show w&apos;.<br />\n\n		This is free software, and you are welcome to redistribute\n		it under certain conditions; type `show c&apos; for details.\n	  </p>\n\n	  <p>\n		The hypothetical commands `show w&apos; and `show c&apos; should\n		show the appropriate parts of the General Public License.\n		Of course, your program&apos;s commands might be different;\n		for a GUI interface, you would use an &quot;about box&quot;.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a\n		programmer) or school, if any, to sign a &quot;copyright disclaimer&quot;\n		for the program, if necessary. For more information on\n\tthis, and how to apply and follow the GNU GPL, see\n\t&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	  <p>\n		The GNU General Public License does not permit incorporating\n		your program into proprietary programs. If your program is a\n		subroutine library, you may consider it more useful to permit\n		linking proprietary applications with the library. If this\n		is what you want to do, use the GNU Lesser General Public\n\tLicense instead of this License. But first, please read\n\t&lt;https://www.gnu.org/<var class=\"replaceable-license-text\"> licenses</var>/why-not-lgpl.html&gt;.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (C) <var class=\"replaceable-license-text\"> &lt;year&gt; &lt;name of author&gt;</var>\n	  <p>\n		This program is free software: you can redistribute it and/or\n		modify it under the terms of the GNU General Public License\n		as published by the Free Software Foundation, version 3.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General\n		Public License along with this program. If not, see\n		&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	"
		self.deprecatedVersion = "3.0"
		self.python_name = "GPL30"

	def __str__(self):
		return json.dumps(self.__dict__)


class mpich2:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "COPYRIGHT\n\nThe following is a notice of limited availability of the code, and disclaimer which must be included in the prologue of the code and in all source listings of the code.\n\nCopyright Notice\n1998--2020, Argonne National Laboratory\n\nPermission is hereby granted to use, reproduce, prepare derivative works, and to redistribute to others. This software was authored by:\n\nMathematics and Computer Science Division\nArgonne National Laboratory, Argonne IL 60439\n\n(and)\n\nDepartment of Computer Science\nUniversity of Illinois at Urbana-Champaign\n\nGOVERNMENT LICENSE\n\nPortions of this material resulted from work developed under a U.S. Government Contract and are subject to the following license: the Government is granted for itself and others acting on its behalf a paid-up, nonexclusive, irrevocable worldwide license in this computer software to reproduce, prepare derivative works, and perform publicly and display publicly.\n\nDISCLAIMER\n\nThis computer code material was prepared, in part, as an account of work sponsored by an agency of the United States Government. Neither the United States, nor the University of Chicago, nor any of their employees, makes any warranty express or implied, or assumes any legal liability or responsibility for the accuracy, completeness, or usefulness of any information, apparatus, product, or process disclosed, or represents that its use would not infringe privately owned rights.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"COPYRIGHT  \";match=\".{0,5000}\">>\n\nThe following is a notice of limited availability of the code, and disclaimer which must be included in the prologue of the code and in all source listings of the code.\n\n<<var;name=\"copyright\";original=\"Copyright Notice	1998--2020, Argonne National Laboratory  \";match=\".{0,5000}\">>\n\nPermission is hereby granted to use, reproduce, prepare derivative works, and to redistribute to others. This software was authored by:\n\n<<var;name=\"author\";original=\"Mathematics and Computer Science Division	Argonne National Laboratory, Argonne IL 60439	(and)	Department of Computer Science	University of Illinois at Urbana-Champaign  \";match=\".+\">>\n\nGOVERNMENT LICENSE\n\nPortions of this material resulted from work developed under a U.S. Government Contract and are subject to the following license: the Government is granted for itself and others acting on its behalf a paid-up, nonexclusive, irrevocable worldwide license in this computer software to reproduce, prepare derivative works, and perform publicly and display publicly.\n\nDISCLAIMER\n\nThis computer code material was prepared, in part, as an account of work sponsored by an agency of the United States Government. Neither the United States, nor the University of Chicago, nor any of their employees, makes any warranty express or implied, or assumes any legal liability or responsibility for the accuracy, completeness, or usefulness of any information, apparatus, product, or process disclosed, or represents that its use would not infringe privately owned rights.\n\n"
		self.name = "mpich2 License"
		self.licenseId = "mpich2"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/MIT", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:17Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/MIT"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>COPYRIGHT</p>\n\n	  </div>\n\n	  <p>The following is a notice of limited availability of the code, and disclaimer which must be included in\n\t	  the prologue of the code and in all source listings of the code.</p>\n\n	  <div class=\"replaceable-license-text\"> \n\t	  <p>Copyright Notice</p>\n\n\t	  <p>1998--2020, Argonne National Laboratory</p>\n\n	  </div>\n	  <p>Permission is hereby granted to use, reproduce, prepare derivative works, and to redistribute to others.\n		 This software was authored by:</p>\n\n	  <div class=\"replaceable-license-text\"> \n\t <p>Mathematics and Computer Science Division</p>\n\n\t <p>Argonne National Laboratory, Argonne IL 60439</p>\n\n\t <p>(and)</p>\n\n\t <p>Department of Computer Science</p>\n\n\t <p>University of Illinois at Urbana-Champaign</p>\n\n	  </div>\n	  <p>GOVERNMENT LICENSE</p>\n\n	  <p>Portions of this material resulted from work developed under a U.S. Government Contract and are subject\n		 to the following license: the Government is granted for itself and others acting on its behalf a\n		 paid-up, nonexclusive, irrevocable worldwide license in this computer software to reproduce, prepare\n		 derivative works, and perform publicly and display publicly.</p>\n\n	  <p>DISCLAIMER</p>\n\n	  <p>This computer code material was prepared, in part, as an account of work sponsored by an agency of the\n		 United States Government. Neither the United States, nor the University of Chicago, nor any of their\n		 employees, makes any warranty express or implied, or assumes any legal liability or responsibility for\n		 the accuracy, completeness, or usefulness of any information, apparatus, product, or process\n		 disclosed, or represents that its use would not infringe privately owned rights.</p>\n\n	"
		self.python_name = "mpich2"

	def __str__(self):
		return json.dumps(self.__dict__)


class AGPL30orlater:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU AFFERO GENERAL PUBLIC LICENSE\nVersion 3, 19 November 2007\n\nCopyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n							Preamble\n\nThe GNU Affero General Public License is a free, copyleft license for software and other kinds of works, specifically designed to ensure cooperation with the community in the case of network server software.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works.  By contrast, our General Public Licenses are intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users.\n\nWhen we speak of free software, we are referring to freedom, not price.  Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nDevelopers that use our General Public Licenses protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License which gives you legal permission to copy, distribute and/or modify the software.\n\nA secondary benefit of defending all users' freedom is that improvements made in alternate versions of the program, if they receive widespread use, become available for other developers to incorporate.  Many developers of free software are heartened and encouraged by the resulting cooperation.  However, in the case of software used on network servers, this result may fail to come about. The GNU General Public License permits making a modified version and letting the public access it on a server without ever releasing its source code to the public.\n\nThe GNU Affero General Public License is designed specifically to ensure that, in such cases, the modified source code becomes available to the community.  It requires the operator of a network server to provide the source code of the modified version running there to the users of that server.  Therefore, public use of a modified version, on a publicly accessible server, gives the public access to the source code of the modified version.\n\nAn older license, called the Affero General Public License and published by Affero, was designed to accomplish similar goals.  This is a different license, not a version of the Affero GPL, but Affero has released a new version of the Affero GPL which permits relicensing under this license.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\n					   TERMS AND CONDITIONS\n\n0. Definitions.\n\n\"This License\" refers to version 3 of the GNU Affero General Public License.\n\n\"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n\"The Program\" refers to any copyrightable work licensed under this License.  Each licensee is addressed as \"you\".  \"Licensees\" and \"recipients\" may be individuals or organizations.\n\nTo \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy.  The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\nA \"covered work\" means either the unmodified Program or a work based on the Program.\n\nTo \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy.  Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\nTo \"convey\" a work means any kind of propagation that enables other parties to make or receive copies.  Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\nAn interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License.  If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n1. Source Code.\nThe \"source code\" for a work means the preferred form of the work for making modifications to it.  \"Object code\" means any non-source form of a work.\n\nA \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\nThe \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form.  A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\nThe \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities.  However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work.  For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those\nsubprograms and other parts of the work.\n\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\nThe Corresponding Source for a work in source code form is that same work.\n\n2. Basic Permissions.\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met.  This License explicitly affirms your unlimited permission to run the unmodified Program.  The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work.  This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force.  You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright.  Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\nConveying under any other circumstances is permitted solely under the conditions stated below.  Sublicensing is not allowed; section 10 makes it unnecessary.\n\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n4. Conveying Verbatim Copies.\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n5. Conveying Modified Source Versions.\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	a) The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7.  This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy.  This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged.  This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit.  Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n6. Conveying Non-Source Forms.\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source.  This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge.  You need not require recipients to copy the Corresponding Source along with the object code.  If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source.  Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	e) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\nA \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling.  In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage.  For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product.  A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n\"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source.  The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information.  But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed.  Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n7. Additional Terms.\n\"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law.  If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it.  (Additional permissions may be written to require their own removal in certain cases when you modify the work.)  You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	d) Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\nAll other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10.  If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term.  If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n8. Termination.\n\nYou may not propagate or modify a covered work except as expressly provided under this License.  Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License.  If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n9. Acceptance Not Required for Having Copies.\n\nYou are not required to accept this License in order to receive or run a copy of the Program.  Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance.  However, nothing other than this License grants you permission to propagate or modify any covered work.  These actions infringe copyright if you do not accept this License.  Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n10. Automatic Licensing of Downstream Recipients.\n\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License.  You are not responsible for enforcing compliance by third parties with this License.\n\nAn \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations.  If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License.  For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n11. Patents.\n\nA \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based.  The work thus licensed is called the contributor's \"contributor version\".\n\nA contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version.  For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\nIn the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement).  To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent\nlicense to downstream recipients.  \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\nA patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License.  You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\nNothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n12. No Surrender of Others' Freedom.\n\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License.  If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may\nnot convey it at all.  For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n13. Remote Network Interaction; Use with the GNU General Public License.\n\nNotwithstanding any other provision of this License, if you modify the Program, your modified version must prominently offer all users interacting with it remotely through a computer network (if your version supports such interaction) an opportunity to receive the Corresponding Source of your version by providing access to the Corresponding Source from a network server at no charge, through some standard or customary means of facilitating copying of software.  This Corresponding Source shall include the Corresponding Source for any work covered by version 3 of the GNU General Public License that is incorporated pursuant to the following paragraph.\n\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU General Public License into a single combined work, and to convey the resulting work.  The terms of this License will continue to apply to the part which is the covered work, but the work with which it is combined will remain governed by version 3 of the GNU General Public License.\n\n14. Revised Versions of this License.\n\nThe Free Software Foundation may publish revised and/or new versions of the GNU Affero General Public License from time to time.  Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number.  If the Program specifies that a certain numbered version of the GNU Affero General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation.  If the Program does not specify a version number of the GNU Affero General Public License, you may choose any version ever published by the Free Software Foundation.\n\nIf the Program specifies that a proxy can decide which future versions of the GNU Affero General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\nLater license versions may give you additional or different permissions.  However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n15. Disclaimer of Warranty.\n\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. Limitation of Liability.\n\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n17. Interpretation of Sections 15 and 16.\n\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\nEND OF TERMS AND CONDITIONS\n\n			How to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program.  It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 <one line to give the program's name and a brief idea of what it does.>\n	 Copyright (C) <year>  <name of author>\n\n	 This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more details.\n\n	 You should have received a copy of the GNU Affero General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf your software can interact with users remotely through a computer network, you should also make sure that it provides a way for users to get its source.  For example, if your program is a web application, its interface could display a \"Source\" link that leads users to an archive of the code.  There are many ways you could offer source, and different solutions will be better for different programs; see section 13 for the specific requirements.\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU AGPL, see <http://www.gnu.org/licenses/>.\n"
		self.standardLicenseHeaderTemplate = "<<var;name=\"description\";original=\"<one line to give the program's name and a brief idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"<year> <name of author>\";match=\".+\">>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or<<beginOptional>> (at your option)<<endOptional>> any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.\n\nYou should have received a copy of the GNU Affero General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU AFFERO GENERAL PUBLIC LICENSE\n\nVersion 3, 19 November 2007\n\n<<endOptional>>\n\nCopyright (C) 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU Affero General Public License is a free, copyleft license for software and other kinds of works, specifically designed to ensure cooperation with the community in the case of network server software.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, our General Public Licenses are intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nDevelopers that use our General Public Licenses protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License which gives you legal permission to copy, distribute and/or modify the software.\n\nA secondary benefit of defending all users' freedom is that improvements made in alternate versions of the program, if they receive widespread use, become available for other developers to incorporate. Many developers of free software are heartened and encouraged by the resulting cooperation. However, in the case of software used on network servers, this result may fail to come about. The GNU General Public License permits making a modified version and letting the public access it on a server without ever releasing its source code to the public.\n\nThe GNU Affero General Public License is designed specifically to ensure that, in such cases, the modified source code becomes available to the community. It requires the operator of a network server to provide the source code of the modified version running there to the users of that server. Therefore, public use of a modified version, on a publicly accessible server, gives the public access to the source code of the modified version.\n\nAn older license, called the Affero General Public License and published by Affero, was designed to accomplish similar goals. This is a different license, not a version of the Affero GPL, but Affero has released a new version of the Affero GPL which permits relicensing under this license.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n   \"This License\" refers to version 3 of the GNU Affero General Public License.\n\n   \"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n   \"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\n   To \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\n   A \"covered work\" means either the unmodified Program or a work based on the Program.\n\n   To \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\n   To \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\n   An interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Source Code.\n\n   The \"source code\" for a work means the preferred form of the work for making modifications to it. \"Object code\" means any non-source form of a work.\n\n   A \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\n   The \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\n   The \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those\n\n   subprograms and other parts of the work.\n\n   The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Basic Permissions.\n\n   All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\n   You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\n   Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n   No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\n   When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Conveying Verbatim Copies.\n\n   You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\n   You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Conveying Modified Source Versions.\n\n   You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\n   A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Conveying Non-Source Forms.\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\n   A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\n   A \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n   \"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\n   If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\n   The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\n   Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Additional Terms.\n\n   \"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\n   When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\n   Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	  <<var;name=\"bullet\";original=\"f)\";match=\".{0,20}\">> Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\n   All other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\n   If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\n   Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination.\n\n   You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Acceptance Not Required for Having Copies.\n\n   You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Automatic Licensing of Downstream Recipients.\n\n   Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\n   An \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\n   You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Patents.\n\n   A \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \"contributor version\".\n\n   A contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\n   Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\n   In the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\n   If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent\n\n   license to downstream recipients. \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\n   If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\n   A patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\n   Nothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> No Surrender of Others' Freedom.\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may\n\n   not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Remote Network Interaction; Use with the GNU General Public License.\n\n   Notwithstanding any other provision of this License, if you modify the Program, your modified version must prominently offer all users interacting with it remotely through a computer network (if your version supports such interaction) an opportunity to receive the Corresponding Source of your version by providing access to the Corresponding Source from a network server at no charge, through some standard or customary means of facilitating copying of software. This Corresponding Source shall include the Corresponding Source for any work covered by version 3 of the GNU General Public License that is incorporated pursuant to the following paragraph.\n\n   Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the work with which it is combined will remain governed by version 3 of the GNU General Public License.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Revised Versions of this License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU Affero General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU Affero General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU Affero General Public License, you may choose any version ever published by the Free Software Foundation.\n\n   If the Program specifies that a proxy can decide which future versions of the GNU Affero General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\n   Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> Limitation of Liability.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"17.\";match=\".{0,20}\">> Interpretation of Sections 15 and 16.\n\n   If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\n   <<beginOptional>>END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<var;name=\"description\";original=\"<one line to give the program's name and a brief idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"<year> <name of author>\";match=\".+\">>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or<<beginOptional>> (at your option)<<endOptional>> any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.\n\nYou should have received a copy of the GNU Affero General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf your software can interact with users remotely through a computer network, you should also make sure that it provides a way for users to get its source. For example, if your program is a web application, its interface could display a \"Source\" link that leads users to an archive of the code. There are many ways you could offer source, and different solutions will be better for different programs; see section 13 for the specific requirements.\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU AGPL, see <https://www.gnu.org/licenses/>.\n\n<<endOptional>>"
		self.name = "GNU Affero General Public License v3.0 or later"
		self.licenseComments = "This version was released: 19 November 2007. This license identifier refers to the choice to use code under AGPL-3.0-or-later (i.e., AGPL-3.0 or some later version), as distinguished from use of code under AGPL-3.0-only. The license notice (as seen in the Standard License Header field below) states which of these applies the code in the file. The example in the exhibit to the license shows the license notice for the \"or later\" approach."
		self.licenseId = "AGPL-3.0-or-later"
		self.standardLicenseHeader = "<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.\n\nYou should have received a copy of the GNU Affero General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/agpl.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:52Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/AGPL-3.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:21:52Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://www.gnu.org/licenses/agpl.txt", "https://opensource.org/licenses/AGPL-3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU AFFERO GENERAL PUBLIC LICENSE<br />\n\n		Version 3, 19 November 2007\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2007 Free Software Foundation, Inc.\n	  &lt;https://fsf.org/&gt;\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The GNU Affero General Public License is a free, copyleft license for\n	  software and other kinds of works, specifically designed to ensure\n	  cooperation with the community in the case of network server software.\n	</p>\n\n	<p>\n	  The licenses for most software and other practical works are\n	  designed to take away your freedom to share and change the\n	  works. By contrast, our General Public Licenses are intended\n	  to guarantee your freedom to share and change all versions of a\n	  program--to make sure it remains free software for all its users.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not\n	  price. Our General Public Licenses are designed to make sure that you\n	  have the freedom to distribute copies of free software (and charge\n	  for them if you wish), that you receive source code or can get it\n	  if you want it, that you can change the software or use pieces of\n	  it in new free programs, and that you know you can do these things.\n	</p>\n\n	<p>\n	  Developers that use our General Public Licenses protect\n	  your rights with two steps: (1) assert copyright on the\n	  software, and (2) offer you this License which gives you legal\n	  permission to copy, distribute and/or modify the software.\n	</p>\n\n	<p>\n	  A secondary benefit of defending all users&apos; freedom is that improvements\n	  made in alternate versions of the program, if they receive widespread\n	  use, become available for other developers to incorporate. Many\n	  developers of free software are heartened and encouraged by the\n	  resulting cooperation. However, in the case of software used on network\n	  servers, this result may fail to come about. The GNU General Public\n	  License permits making a modified version and letting the public access\n	  it on a server without ever releasing its source code to the public.\n	</p>\n\n	<p>\n	  The GNU Affero General Public License is designed specifically\n	  to ensure that, in such cases, the modified source code becomes\n	  available to the community. It requires the operator of a\n	  network server to provide the source code of the modified version\n	  running there to the users of that server. Therefore, public use\n	  of a modified version, on a publicly accessible server, gives\n	  the public access to the source code of the modified version.\n	</p>\n\n	<p>\n	  An older license, called the Affero General Public License and published\n	  by Affero, was designed to accomplish similar goals. This is a different\n	  license, not a version of the Affero GPL, but Affero has released a new\n	  version of the Affero GPL which permits relicensing under this license.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying,\n	  distribution and modification follow.\n	</p>\n\n	<p>\n	  TERMS AND CONDITIONS\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		Definitions.\n		<p>\n		  &quot;This License&quot; refers to version 3 of\n		  the GNU Affero General Public License.\n		</p>\n\n		<p>\n		  &quot;Copyright&quot; also means copyright-like laws that apply\n		  to other kinds of works, such as semiconductor masks.\n		</p>\n\n		<p>\n		  &quot;The Program&quot; refers to any copyrightable work licensed under\n		  this License. Each licensee is addressed as &quot;you&quot;. &quot;Licensees&quot;\n		  and &quot;recipients&quot; may be individuals or organizations.\n		</p>\n\n		<p>\n		  To &quot;modify&quot; a work means to copy from or adapt all or part of the\n		  work in a fashion requiring copyright permission, other than the\n		  making of an exact copy. The resulting work is called a &quot;modified\n		  version&quot; of the earlier work or a work &quot;based on&quot; the earlier work.\n		</p>\n\n		<p>\n		  A &quot;covered work&quot; means either the unmodified\n		  Program or a work based on the Program.\n		</p>\n\n		<p>\n		  To &quot;propagate&quot; a work means to do anything with it that, without\n		  permission, would make you directly or secondarily liable for\n		  infringement under applicable copyright law, except executing it\n		  on a computer or modifying a private copy. Propagation includes\n		  copying, distribution (with or without modification), making available\n		  to the public, and in some countries other activities as well.\n		</p>\n\n		<p>\n		  To &quot;convey&quot; a work means any kind of propagation\n		  that enables other parties to make or receive copies.\n		  Mere interaction with a user through a computer\n		  network, with no transfer of a copy, is not conveying.\n		</p>\n\n		<p>\n		  An interactive user interface displays &quot;Appropriate Legal Notices&quot;\n		  to the extent that it includes a convenient and prominently visible\n		  feature that (1) displays an appropriate copyright notice, and (2)\n		  tells the user that there is no warranty for the work (except to\n		  the extent that warranties are provided), that licensees may convey\n		  the work under this License, and how to view a copy of this License.\n		  If the interface presents a list of user commands or options,\n		  such as a menu, a prominent item in the list meets this criterion.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		Source Code.<br />\n\n		The &quot;source code&quot; for a work means the preferred\n		form of the work for making modifications to it.\n		&quot;Object code&quot; means any non-source form of a work.\n		<p>\n		  A &quot;Standard Interface&quot; means an interface that either is an official\n		  standard defined by a recognized standards body, or, in the case\n		  of interfaces specified for a particular programming language,\n		  one that is widely used among developers working in that language.\n		</p>\n\n		<p>\n		  The &quot;System Libraries&quot; of an executable work include anything, other\n		  than the work as a whole, that (a) is included in the normal form\n		  of packaging a Major Component, but which is not part of that Major\n		  Component, and (b) serves only to enable use of the work with that\n		  Major Component, or to implement a Standard Interface for which an\n		  implementation is available to the public in source code form. A\n		  &quot;Major Component&quot;, in this context, means a major essential component\n		  (kernel, window system, and so on) of the specific operating system\n		  (if any) on which the executable work runs, or a compiler used to\n		  produce the work, or an object code interpreter used to run it.\n		</p>\n\n		<p>\n		  The &quot;Corresponding Source&quot; for a work in object code form means\n		  all the source code needed to generate, install, and (for an\n		  executable work) run the object code and to modify the work,\n		  including scripts to control those activities. However, it does\n		  not include the work&apos;s System Libraries, or general-purpose tools\n		  or generally available free programs which are used unmodified in\n		  performing those activities but which are not part of the work.\n		  For example, Corresponding Source includes interface definition\n		  files associated with source files for the work, and the source\n		  code for shared libraries and dynamically linked subprograms\n		  that the work is specifically designed to require, such as by\n		  intimate data communication or control flow between those<br />\n\n		  subprograms and other parts of the work.\n		</p>\n\n		<p>\n		  The Corresponding Source need not include anything that users can\n		  regenerate automatically from other parts of the Corresponding Source.\n		</p>\n\n		<p>\n		  The Corresponding Source for a work\n		  in source code form is that same work.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		Basic Permissions.<br />\n\n		All rights granted under this License are granted for the term of\n		copyright on the Program, and are irrevocable provided the stated\n		conditions are met. This License explicitly affirms your unlimited\n		permission to run the unmodified Program. The output from running a\n		covered work is covered by this License only if the output, given its\n		content, constitutes a covered work. This License acknowledges your\n		rights of fair use or other equivalent, as provided by copyright law.\n		<p>\n		  You may make, run and propagate covered works that you do not convey,\n		  without conditions so long as your license otherwise remains in force.\n		  You may convey covered works to others for the sole purpose of having\n		  them make modifications exclusively for you, or provide you with\n		  facilities for running those works, provided that you comply with\n		  the terms of this License in conveying all material for which you do\n		  not control copyright. Those thus making or running the covered works\n		  for you must do so exclusively on your behalf, under your direction\n		  and control, on terms that prohibit them from making any copies\n		  of your copyrighted material outside their relationship with you.\n		</p>\n\n		<p>\n		  Conveying under any other circumstances is permitted\n		  solely under the conditions stated below. Sublicensing\n		  is not allowed; section 10 makes it unnecessary.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		Protecting Users&apos; Legal Rights From Anti-Circumvention Law.<br />\n\n		No covered work shall be deemed part of an effective technological\n		measure under any applicable law fulfilling obligations under article\n		11 of the WIPO copyright treaty adopted on 20 December 1996, or\n		similar laws prohibiting or restricting circumvention of such measures.\n		<p>\n		  When you convey a covered work, you waive any legal power to\n		  forbid circumvention of technological measures to the extent\n		  such circumvention is effected by exercising rights under this\n		  License with respect to the covered work, and you disclaim any\n		  intention to limit operation or modification of the work as a means\n		  of enforcing, against the work&apos;s users, your or third parties&apos;\n		  legal rights to forbid circumvention of technological measures.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		Conveying Verbatim Copies.<br />\n\n		You may convey verbatim copies of the Program&apos;s source code as\n		you receive it, in any medium, provided that you conspicuously\n		and appropriately publish on each copy an appropriate copyright\n		notice; keep intact all notices stating that this License and any\n		non-permissive terms added in accord with section 7 apply to the\n		code; keep intact all notices of the absence of any warranty; and\n		give all recipients a copy of this License along with the Program.\n		<p>\n		  You may charge any price or no price for each copy that you\n		  convey, and you may offer support or warranty protection for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		Conveying Modified Source Versions.<br />\n\n		You may convey a work based on the Program, or the modifications to\n		produce it from the Program, in the form of source code under the terms\n		of section 4, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			The work must carry prominent notices stating\n			that you modified it, and giving a relevant date.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			The work must carry prominent notices stating that\n			it is released under this License and any conditions\n			added under section 7. This requirement modifies the\n			requirement in section 4 to &quot;keep intact all notices&quot;.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			You must license the entire work, as a whole, under this License\n			to anyone who comes into possession of a copy. This License\n			will therefore apply, along with any applicable section 7\n			additional terms, to the whole of the work, and all its parts,\n			regardless of how they are packaged. This License gives no\n			permission to license the work in any other way, but it does not\n			invalidate such permission if you have separately received it.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If the work has interactive user interfaces, each must\n			display Appropriate Legal Notices; however, if the Program\n			has interactive interfaces that do not display Appropriate\n			Legal Notices, your work need not make them do so.\n		  </li>\n		\n</ul>\n		<p>\n		  A compilation of a covered work with other separate and independent\n		  works, which are not by their nature extensions of the covered\n		  work, and which are not combined with it such as to form a larger\n		  program, in or on a volume of a storage or distribution medium,\n		  is called an &quot;aggregate&quot; if the compilation and its resulting\n		  copyright are not used to limit the access or legal rights\n		  of the compilation&apos;s users beyond what the individual works\n		  permit. Inclusion of a covered work in an aggregate does not\n		  cause this License to apply to the other parts of the aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Conveying Non-Source Forms.<br />\n\n		You may convey a covered work in object code form\n		under the terms of sections 4 and 5, provided that you\n		also convey the machine-readable Corresponding Source\n		under the terms of this License, in one of these ways:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Convey the object code in, or embodied in, a physical\n			product (including a physical distribution medium),\n			accompanied by the Corresponding Source fixed on a durable\n			physical medium customarily used for software interchange.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Convey the object code in, or embodied in, a physical product\n			(including a physical distribution medium), accompanied by a\n			written offer, valid for at least three years and valid for\n			as long as you offer spare parts or customer support for that\n			product model, to give anyone who possesses the object code\n			either (1) a copy of the Corresponding Source for all the software\n			in the product that is covered by this License, on a durable\n			physical medium customarily used for software interchange,\n			for a price no more than your reasonable cost of physically\n			performing this conveying of source, or (2) access to copy\n			the Corresponding Source from a network server at no charge.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Convey individual copies of the object code with a\n			copy of the written offer to provide the Corresponding\n			Source. This alternative is allowed only occasionally\n			and noncommercially, and only if you received the object\n			code with such an offer, in accord with subsection 6b.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Convey the object code by offering access from a designated place\n			(gratis or for a charge), and offer equivalent access to the\n			Corresponding Source in the same way through the same place at\n			no further charge. You need not require recipients to copy the\n			Corresponding Source along with the object code. If the place\n			to copy the object code is a network server, the Corresponding\n			Source may be on a different server (operated by you or a third\n			party) that supports equivalent copying facilities, provided you\n			maintain clear directions next to the object code saying where\n			to find the Corresponding Source. Regardless of what server hosts\n			the Corresponding Source, you remain obligated to ensure that it\n			is available for as long as needed to satisfy these requirements.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Convey the object code using peer-to-peer transmission,\n			provided you inform other peers where the object code\n			and Corresponding Source of the work are being offered\n			to the general public at no charge under subsection 6d.\n		  </li>\n		\n</ul>\n		<p>\n		  A separable portion of the object code, whose source code is\n		  excluded from the Corresponding Source as a System Library,\n		  need not be included in conveying the object code work.\n		</p>\n\n		<p>\n		  A &quot;User Product&quot; is either (1) a &quot;consumer product&quot;, which means\n		  any tangible personal property which is normally used for personal,\n		  family, or household purposes, or (2) anything designed or sold\n		  for incorporation into a dwelling. In determining whether a product\n		  is a consumer product, doubtful cases shall be resolved in favor\n		  of coverage. For a particular product received by a particular\n		  user, &quot;normally used&quot; refers to a typical or common use of that\n		  class of product, regardless of the status of the particular\n		  user or of the way in which the particular user actually uses,\n		  or expects or is expected to use, the product. A product is a\n		  consumer product regardless of whether the product has substantial\n		  commercial, industrial or non-consumer uses, unless such uses\n		  represent the only significant mode of use of the product.\n		</p>\n\n		<p>\n		  &quot;Installation Information&quot; for a User Product means any methods,\n		  procedures, authorization keys, or other information required\n		  to install and execute modified versions of a covered work in\n		  that User Product from a modified version of its Corresponding\n		  Source. The information must suffice to ensure that the continued\n		  functioning of the modified object code is in no case prevented\n		  or interfered with solely because modification has been made.\n		</p>\n\n		<p>\n		  If you convey an object code work under this section in, or with,\n		  or specifically for use in, a User Product, and the conveying\n		  occurs as part of a transaction in which the right of possession\n		  and use of the User Product is transferred to the recipient in\n		  perpetuity or for a fixed term (regardless of how the transaction\n		  is characterized), the Corresponding Source conveyed under this\n		  section must be accompanied by the Installation Information.\n		  But this requirement does not apply if neither you nor any third\n		  party retains the ability to install modified object code on the\n		  User Product (for example, the work has been installed in ROM).\n		</p>\n\n		<p>\n		  The requirement to provide Installation Information does not\n		  include a requirement to continue to provide support service,\n		  warranty, or updates for a work that has been modified\n		  or installed by the recipient, or for the User Product in\n		  which it has been modified or installed. Access to a network\n		  may be denied when the modification itself materially and\n		  adversely affects the operation of the network or violates\n		  the rules and protocols for communication across the network.\n		</p>\n\n		<p>\n		  Corresponding Source conveyed, and Installation Information\n		  provided, in accord with this section must be in a format that\n		  is publicly documented (and with an implementation available\n		  to the public in source code form), and must require no\n		  special password or key for unpacking, reading or copying.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		Additional Terms.<br />\n\n		&quot;Additional permissions&quot; are terms that supplement the terms of this\n		License by making exceptions from one or more of its conditions.\n		Additional permissions that are applicable to the entire Program\n		shall be treated as though they were included in this License, to\n		the extent that they are valid under applicable law. If additional\n		permissions apply only to part of the Program, that part may be used\n		separately under those permissions, but the entire Program remains\n		governed by this License without regard to the additional permissions.\n		<p>\n		  When you convey a copy of a covered work, you may at your option\n		  remove any additional permissions from that copy, or from any part\n		  of it. (Additional permissions may be written to require their own\n		  removal in certain cases when you modify the work.) You may place\n		  additional permissions on material, added by you to a covered work,\n		  for which you have or can give appropriate copyright permission.\n		</p>\n\n		<p>\n		  Notwithstanding any other provision of this License, for material you\n		  add to a covered work, you may (if authorized by the copyright holders\n		  of that material) supplement the terms of this License with terms:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Disclaiming warranty or limiting liability differently\n			from the terms of sections 15 and 16 of this License; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Requiring preservation of specified reasonable legal\n			notices or author attributions in that material or in the\n			Appropriate Legal Notices displayed by works containing it; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Prohibiting misrepresentation of the origin of that material,\n			or requiring that modified versions of such material be marked\n			in reasonable ways as different from the original version; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Limiting the use for publicity purposes of names\n			of licensors or authors of the material; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Declining to grant rights under trademark law for use\n			of some trade names, trademarks, or service marks; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> f)</var>\n			Requiring indemnification of licensors and authors of that\n			material by anyone who conveys the material (or modified\n			versions of it) with contractual assumptions of liability\n			to the recipient, for any liability that these contractual\n			assumptions directly impose on those licensors and authors.\n		  </li>\n		\n</ul>\n		<p>\n		  All other non-permissive additional terms are considered &quot;further\n		  restrictions&quot; within the meaning of section 10. If the Program\n		  as you received it, or any part of it, contains a notice stating\n		  that it is governed by this License along with a term that is\n		  a further restriction, you may remove that term. If a license\n		  document contains a further restriction but permits relicensing or\n		  conveying under this License, you may add to a covered work material\n		  governed by the terms of that license document, provided that the\n		  further restriction does not survive such relicensing or conveying.\n		</p>\n\n		<p>\n		  If you add terms to a covered work in accord with this\n		  section, you must place, in the relevant source files, a\n		  statement of the additional terms that apply to those files,\n		  or a notice indicating where to find the applicable terms.\n		</p>\n\n		<p>\n		  Additional terms, permissive or non-permissive, may be\n		  stated in the form of a separately written license, or stated\n		  as exceptions; the above requirements apply either way.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		Termination.\n		<p>\n		  You may not propagate or modify a covered work except as\n		  expressly provided under this License. Any attempt otherwise\n		  to propagate or modify it is void, and will automatically\n		  terminate your rights under this License (including any patent\n		  licenses granted under the third paragraph of section 11).\n		</p>\n\n		<p>\n		  However, if you cease all violation of this License, then your\n		  license from a particular copyright holder is reinstated (a)\n		  provisionally, unless and until the copyright holder explicitly\n		  and finally terminates your license, and (b) permanently, if\n		  the copyright holder fails to notify you of the violation by\n		  some reasonable means prior to 60 days after the cessation.\n		</p>\n\n		<p>\n		  Moreover, your license from a particular copyright holder is\n		  reinstated permanently if the copyright holder notifies you\n		  of the violation by some reasonable means, this is the first\n		  time you have received notice of violation of this License\n		  (for any work) from that copyright holder, and you cure the\n		  violation prior to 30 days after your receipt of the notice.\n		</p>\n\n		<p>\n		  Termination of your rights under this section does not\n		  terminate the licenses of parties who have received copies or\n		  rights from you under this License. If your rights have been\n		  terminated and not permanently reinstated, you do not qualify\n		  to receive new licenses for the same material under section 10.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		Acceptance Not Required for Having Copies.\n		<p>\n		  You are not required to accept this License in order to receive or\n		  run a copy of the Program. Ancillary propagation of a covered work\n		  occurring solely as a consequence of using peer-to-peer transmission\n		  to receive a copy likewise does not require acceptance. However,\n		  nothing other than this License grants you permission to propagate\n		  or modify any covered work. These actions infringe copyright if you\n		  do not accept this License. Therefore, by modifying or propagating a\n		  covered work, you indicate your acceptance of this License to do so.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		Automatic Licensing of Downstream Recipients.\n		<p>\n		  Each time you convey a covered work, the recipient automatically\n		  receives a license from the original licensors, to run, modify and\n		  propagate that work, subject to this License. You are not responsible\n		  for enforcing compliance by third parties with this License.\n		</p>\n\n		<p>\n		  An &quot;entity transaction&quot; is a transaction transferring control of\n		  an organization, or substantially all assets of one, or subdividing\n		  an organization, or merging organizations. If propagation of a\n		  covered work results from an entity transaction, each party to that\n		  transaction who receives a copy of the work also receives whatever\n		  licenses to the work the party&apos;s predecessor in interest had or could\n		  give under the previous paragraph, plus a right to possession of the\n		  Corresponding Source of the work from the predecessor in interest,\n		  if the predecessor has it or can get it with reasonable efforts.\n		</p>\n\n		<p>\n		  You may not impose any further restrictions on the exercise of the\n		  rights granted or affirmed under this License. For example, you\n		  may not impose a license fee, royalty, or other charge for exercise\n		  of rights granted under this License, and you may not initiate\n		  litigation (including a cross-claim or counterclaim in a lawsuit)\n		  alleging that any patent claim is infringed by making, using, selling,\n		  offering for sale, or importing the Program or any portion of it.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		Patents.\n		<p>\n		  A &quot;contributor&quot; is a copyright holder who authorizes use under this\n		  License of the Program or a work on which the Program is based. The\n		  work thus licensed is called the contributor&apos;s &quot;contributor version&quot;.\n		</p>\n\n		<p>\n		  A contributor&apos;s &quot;essential patent claims&quot; are all patent\n		  claims owned or controlled by the contributor, whether already\n		  acquired or hereafter acquired, that would be infringed by some\n		  manner, permitted by this License, of making, using, or selling\n		  its contributor version, but do not include claims that would\n		  be infringed only as a consequence of further modification\n		  of the contributor version. For purposes of this definition,\n		  &quot;control&quot; includes the right to grant patent sublicenses in\n		  a manner consistent with the requirements of this License.\n		</p>\n\n		<p>\n		  Each contributor grants you a non-exclusive, worldwide, royalty-free\n		  patent license under the contributor&apos;s essential patent claims,\n		  to make, use, sell, offer for sale, import and otherwise run,\n		  modify and propagate the contents of its contributor version.\n		</p>\n\n		<p>\n		  In the following three paragraphs, a &quot;patent license&quot; is any\n		  express agreement or commitment, however denominated, not to\n		  enforce a patent (such as an express permission to practice\n		  a patent or covenant not to sue for patent infringement). To\n		  &quot;grant&quot; such a patent license to a party means to make such an\n		  agreement or commitment not to enforce a patent against the party.\n		</p>\n\n		<p>\n		  If you convey a covered work, knowingly relying on a patent\n		  license, and the Corresponding Source of the work is not available\n		  for anyone to copy, free of charge and under the terms of this\n		  License, through a publicly available network server or other\n		  readily accessible means, then you must either (1) cause the\n		  Corresponding Source to be so available, or (2) arrange to\n		  deprive yourself of the benefit of the patent license for this\n		  particular work, or (3) arrange, in a manner consistent with\n		  the requirements of this License, to extend the patent<br />\n\n		  license to downstream recipients. &quot;Knowingly relying&quot; means you have\n		  actual knowledge that, but for the patent license, your conveying\n		  the covered work in a country, or your recipient&apos;s use of the\n		  covered work in a country, would infringe one or more identifiable\n		  patents in that country that you have reason to believe are valid.\n		</p>\n\n		<p>\n		  If, pursuant to or in connection with a single transaction or\n		  arrangement, you convey, or propagate by procuring conveyance\n		  of, a covered work, and grant a patent license to some of the\n		  parties receiving the covered work authorizing them to use,\n		  propagate, modify or convey a specific copy of the covered work,\n		  then the patent license you grant is automatically extended\n		  to all recipients of the covered work and works based on it.\n		</p>\n\n		<p>\n		  A patent license is &quot;discriminatory&quot; if it does not include within the\n		  scope of its coverage, prohibits the exercise of, or is conditioned\n		  on the non-exercise of one or more of the rights that are specifically\n		  granted under this License. You may not convey a covered work if\n		  you are a party to an arrangement with a third party that is in the\n		  business of distributing software, under which you make payment to\n		  the third party based on the extent of your activity of conveying\n		  the work, and under which the third party grants, to any of the\n		  parties who would receive the covered work from you, a discriminatory\n		  patent license (a) in connection with copies of the covered work\n		  conveyed by you (or copies made from those copies), or (b) primarily\n		  for and in connection with specific products or compilations that\n		  contain the covered work, unless you entered into that arrangement,\n		  or that patent license was granted, prior to 28 March 2007.\n		</p>\n\n		<p>\n		  Nothing in this License shall be consTrued as excluding or\n		  limiting any implied license or other defenses to infringement\n		  that may otherwise be available to you under applicable patent law.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		No Surrender of Others&apos; Freedom.\n		<p>\n		  If conditions are imposed on you (whether by court order,\n		  agreement or otherwise) that contradict the conditions of this\n		  License, they do not excuse you from the conditions of this\n		  License. If you cannot convey a covered work so as to satisfy\n		  simultaneously your obligations under this License and any other\n		  pertinent obligations, then as a consequence you may<br />\n\n		  not convey it at all. For example, if you agree to terms\n		  that obligate you to collect a royalty for further conveying\n		  from those to whom you convey the Program, the only\n		  way you could satisfy both those terms and this License\n		  would be to refrain entirely from conveying the Program.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 13.</var>\n		Remote Network Interaction; Use with the GNU General Public License.\n		<p>\n		  Notwithstanding any other provision of this License, if you modify\n		  the Program, your modified version must prominently offer all users\n		  interacting with it remotely through a computer network (if your\n		  version supports such interaction) an opportunity to receive the\n		  Corresponding Source of your version by providing access to the\n		  Corresponding Source from a network server at no charge, through\n		  some standard or customary means of facilitating copying of\n		  software. This Corresponding Source shall include the Corresponding\n		  Source for any work covered by version 3 of the GNU General Public\n		  License that is incorporated pursuant to the following paragraph.\n		</p>\n\n		<p>\n		  Notwithstanding any other provision of this License, you have\n		  permission to link or combine any covered work with a work\n		  licensed under version 3 of the GNU General Public License into\n		  a single combined work, and to convey the resulting work. The\n		  terms of this License will continue to apply to the part which\n		  is the covered work, but the work with which it is combined will\n		  remain governed by version 3 of the GNU General Public License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 14.</var>\n		Revised Versions of this License.\n		<p>\n		  The Free Software Foundation may publish revised and/or new versions\n		  of the GNU Affero General Public License from time to time. Such\n		  new versions will be similar in spirit to the present version,\n		  but may differ in detail to address new problems or concerns.\n		</p>\n\n		<p>\n		  Each version is given a distinguishing version number. If the\n		  Program specifies that a certain numbered version of the GNU\n		  Affero General Public License &quot;or any later version&quot; applies to\n		  it, you have the option of following the terms and conditions\n		  either of that numbered version or of any later version published\n		  by the Free Software Foundation. If the Program does not specify\n		  a version number of the GNU Affero General Public License, you may\n		  choose any version ever published by the Free Software Foundation.\n		</p>\n\n		<p>\n		  If the Program specifies that a proxy can decide which future\n		  versions of the GNU Affero General Public License can be\n		  used, that proxy&apos;s public statement of acceptance of a version\n		  permanently authorizes you to choose that version for the Program.\n		</p>\n\n		<p>\n		  Later license versions may give you additional or\n		  different permissions. However, no additional obligations\n		  are imposed on any author or copyright holder as a\n		  result of your choosing to follow a later version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 15.</var>\n		Disclaimer of Warranty.\n		<p>\n		  THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED\n		  BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING\n		  THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM\n		  &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR\n		  IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\n		  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE\n		  ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM\n		  IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME\n		  THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 16.</var>\n		Limitation of Liability.\n		<p>\n		  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		  WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR\n		  CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\n		  INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n		  ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING\n		  BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE\n		  OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\n		  PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		  OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 17.</var>\n		Interpretation of Sections 15 and 16.\n	<p>\n	  If the disclaimer of warranty and limitation of liability\n	  provided above cannot be given local legal effect according to\n	  their terms, reviewing courts shall apply local law that most\n	  closely approximates an absolute waiver of all civil liability in\n	  connection with the Program, unless a warranty or assumption of\n	  liability accompanies a copy of the Program in return for a fee.\n	</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Programs\n	  </p>\n\n	  <p>\n		If you develop a new program, and you want it to be\n		of the greatest possible use to the public, the best\n		way to achieve this is to make it free software which\n		everyone can redistribute and change under these terms.\n	  </p>\n\n	  <p>\n		To do so, attach the following notices to the program. It is safest\n		to attach them to the start of each source file to most effectively\n		state the exclusion of warranty; and each file should have at least\n		the &quot;copyright&quot; line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> &lt;one line to give the program&apos;s name and\n		a brief idea of what it does.&gt;</var><br />\n\n		Copyright (C) <var class=\"replaceable-license-text\"> &lt;year&gt; &lt;name of author&gt;</var>\n	  </p>\n\n	  <p>\n		This program is free software: you can redistribute it and/or\n		modify it under the terms of the GNU Affero General Public\n		License as published by the Free Software Foundation, either\n		version 3 of the License, or <var class=\"optional-license-text\"> (at your option)</var> any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be useful,\n		but WITHOUT ANY WARRANTY; without even the implied warranty\n		of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n		See the GNU Affero General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU Affero General\n\tPublic License along with this program. If not, see\n\t&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	  <p>\n		Also add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		If your software can interact with users remotely through a\n		computer network, you should also make sure that it provides a\n		way for users to get its source. For example, if your program is\n		a web application, its interface could display a &quot;Source&quot; link\n		that leads users to an archive of the code. There are many ways\n		you could offer source, and different solutions will be better for\n		different programs; see section 13 for the specific requirements.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the program, if necessary. For more information on this,\n\tand how to apply and follow the GNU AGPL, see\n\t&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  <p>\n		<var class=\"replaceable-license-text\"> &lt;one line to give the program&apos;s name and\n		a brief idea of what it does.&gt;</var><br />\n\n		Copyright (C) <var class=\"replaceable-license-text\"> &lt;year&gt; &lt;name of author&gt;</var>\n	  </p>\n\n	  <p>\n		This program is free software: you can redistribute it and/or\n		modify it under the terms of the GNU Affero General Public\n		License as published by the Free Software Foundation, either\n		version 3 of the License, or <var class=\"optional-license-text\"> (at your option)</var> any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be useful,\n		but WITHOUT ANY WARRANTY; without even the implied warranty\n		of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n		See the GNU Affero General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU Affero General\n\tPublic License along with this program. If not, see\n\t&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	  "
		self.python_name = "AGPL30orlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class gSOAP13b:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "gSOAP Public License\n\nVersion 1.3b\n\nThe gSOAP public license is derived from the Mozilla Public License (MPL1.1). The sections that were deleted from the original MPL1.1 text are 1.0.1, 2.1.(c),(d), 2.2.(c),(d), 8.2.(b), 10, and 11. Section 3.8 was added. The modified sections are 2.1.(b), 2.2.(b), 3.2 (simplified), 3.5 (deleted the last sentence), and 3.6 (simplified).\n\nThis license applies to the gSOAP software package, with the exception of the soapcpp2 and wsdl2h source code located in gsoap/src and gsoap/wsdl, all code generated by soapcpp2 and wsdl2h, the UDDI source code gsoap/uddi2, and the Web server sample source code samples/webserver. To use any of these software tools and components commercially, a commercial license is required and can be obtained from www.genivia.com.\n\n1  DEFINITIONS.\n\n1.0.1.\n	 1.1. \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	 1.2. \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	 1.3. \"Covered Code\" means the Original Code, or Modifications or the combination of the Original Code, and Modifications, in each case including portions thereof.\n\n	 1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	 1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n	 1.6. \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	 1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.8. \"License\" means this document.\n\n	 1.8.1. \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	 1.9. \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n		  A.  Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n		  B.  Any new file that contains any part of the Original Code, or previous Modifications.\n\n	 1.10. \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	 1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	 1.11. \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	 1.12. \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n2  SOURCE CODE LICENSE.\n\n2.1. The Initial Developer Grant.\nThe Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n	 (a)  under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n	 (b)  under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell (\"offer to sell and import\") the Original Code, Modifications, or portions thereof, but solely to the extent that any such patent is reasonably necessary to enable You to utilize, alone or in combination with other software, the Original Code, Modifications, or any combination or portions thereof.\n	 (c)\n	 (d)\n\n2.2. Contributor Grant.\nSubject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n	 (a)  under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform,   sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n	 (b)  under patents now or hereafter owned or controlled by Contributor, to make, have made, use and sell (\"offer to sell and import\") the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to utilize, alone or in combination with other software, the Contributor Version (or portions thereof).\n	 (c)\n	 (d)\n\n3  DISTRIBUTION OBLIGATIONS.\n\n3.1. Application of License.\nThe Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n3.2. Availability of Source Code.\nAny Modification created by You will be provided to the Initial Developer in Source Code form and are subject to the terms of the License.\n\n3.3. Description of Modifications.\nYou must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n3.4. Intellectual Property Matters.\n	 (a) Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n	 (b) Contributor APIs. If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n	 (c) Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n3.5. Required Notices.\nYou must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor.\n\n3.6. Distribution of Executable Versions.\nYou may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. If you distribute executable versions containing Covered Code as part of a product, you must reproduce the notice in Exhibit B in the documentation and/or other materials provided with the product.\n\n3.7. Larger Works.\nYou may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n3.8. Restrictions.\nYou may not remove any product identification, copyright, proprietary notices or labels from gSOAP.\n\n4  INABILITY TO COMPLY DUE TO STATUTE OR REGULATION.\n\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5  APPLICATION OF THIS LICENSE.\n\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n6  VERSIONS OF THE LICENSE.\n\n6.1. New Versions.\nGrantor may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n6.2. Effect of New Versions.\nOnce Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License.\n\n6.3. Derivative Works.\nIf You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrase \"gSOAP\" or any confusingly similar phrase do not appear in your license (except to note that you license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the gSOAP Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n7  DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY, OF FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT OF THIRD PARTY INTELLECTUAL PROPERTY RIGHTS, AND ANY WARRANTY THAT MAY ARISE BY REASON OF TRADE USAGE, CUSTOM, OR COURSE OF DEALING. WITHOUT LIMITING THE FOREGOING, YOU ACKNOWLEDGE THAT THE SOFTWARE IS PROVIDED \"AS IS\" AND THAT THE AUTHORS DO NOT WARRANT THE SOFTWARE WILL RUN UNINTERRUPTED OR ERROR FREE. LIMITED LIABILITY THE ENTIRE RISK AS TO RESULTS AND PERFORMANCE OF THE SOFTWARE IS ASSUMED BY YOU. UNDER NO CIRCUMSTANCES WILL THE AUTHORS BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL, EXEMPLARY OR CONSEQUENTIAL DAMAGES OF ANY KIND OR NATURE WHATSOEVER, WHETHER BASED ON CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, ARISING OUT OF OR IN ANY WAY RELATED TO THE SOFTWARE, EVEN IF THE AUTHORS HAVE BEEN ADVISED ON THE POSSIBILITY OF SUCH DAMAGE OR IF SUCH DAMAGE COULD HAVE BEEN REASONABLY FORESEEN, AND NOTWITHSTANDING ANY FAILURE OF ESSENTIAL PURPOSE OF ANY EXCLUSIVE REMEDY PROVIDED. SUCH LIMITATION ON DAMAGES INCLUDES, BUT IS NOT LIMITED TO, DAMAGES FOR LOSS OF GOODWILL, LOST PROFITS, LOSS OF DATA OR SOFTWARE, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION OR IMPAIRMENT OF OTHER GOODS. IN NO EVENT WILL THE AUTHORS BE LIABLE FOR THE COSTS OF PROCUREMENT OF SUBSTITUTE SOFTWARE OR SERVICES. YOU ACKNOWLEDGE THAT THIS SOFTWARE IS NOT DESIGNED FOR USE IN ON-LINE EQUIPMENT IN HAZARDOUS ENVIRONMENTS SUCH AS OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR CONTROL, OR LIFE-CRITICAL APPLICATIONS. THE AUTHORS EXPRESSLY DISCLAIM ANY LIABILITY RESULTING FROM USE OF THE SOFTWARE IN ANY SUCH ON-LINE EQUIPMENT IN HAZARDOUS ENVIRONMENTS AND ACCEPTS NO LIABILITY IN RESPECT OF ANY ACTIONS OR CLAIMS BASED ON THE USE OF THE SOFTWARE IN ANY SUCH ON-LINE EQUIPMENT IN HAZARDOUS ENVIRONMENTS BY YOU. FOR PURPOSES OF THIS PARAGRAPH, THE TERM \"LIFE-CRITICAL APPLICATION\" MEANS AN APPLICATION IN WHICH THE FUNCTIONING OR MALFUNCTIONING OF THE SOFTWARE MAY RESULT DIRECTLY OR INDIRECTLY IN PHYSICAL INJURY OR LOSS OF HUMAN LIFE. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8  TERMINATION.\n\n8.1. This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n8.2.\n\n8.3. If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n8.4. In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n9  LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10  U.S. GOVERNMENT END USERS.\n\n11  MISCELLANEOUS.\n\n12  RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\nEXHIBIT A.\n\n\"The contents of this file are subject to the gSOAP Public License Version 1.3 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at\nhttp://www.cs.fsu.edu/ engelen/soaplicense.html\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\nThe Original Code of the gSOAP Software is: stdsoap.h, stdsoap2.h, stdsoap.c, stdsoap2.c, stdsoap.cpp, stdsoap2.cpp, soapcpp2.h, soapcpp2.c, soapcpp2_lex.l, soapcpp2_yacc.y, error2.h, error2.c, symbol2.c, init2.c, soapdoc2.html, and soapdoc2.pdf, httpget.h, httpget.c, stl.h, stldeque.h, stllist.h, stlvector.h, stlset.h.\nThe Initial Developer of the Original Code is Robert A. van Engelen. Portions created by Robert A. van Engelen are Copyright (C) 2001-2004 Robert A. van Engelen, Genivia inc. All Rights Reserved.\nContributor(s):\n\"________________________.\"\n[Note: The text of this Exhibit A may differ slightly form the text of the notices in the Source Code files of the Original code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n\nEXHIBIT B.\n\n\"Part of the software embedded in this product is gSOAP software.\nPortions created by gSOAP are Copyright (C) 2001-2009 Robert A. van Engelen, Genivia inc. All Rights Reserved.\nTHE SOFTWARE IN THIS PRODUCT WAS IN PART PROVIDED BY GENIVIA INC AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\"\n"
		self.standardLicenseTemplate = "<<beginOptional>>gSOAP Public License\n\nVersion 1.3b\n\n<<endOptional>><<beginOptional>> The gSOAP public license is derived from the Mozilla Public License (MPL1.1). The sections that were deleted from the original MPL1.1 text are 1.0.1, 2.1.(c),(d), 2.2.(c),(d), 8.2.(b), 10, and 11. Section 3.8 was added. The modified sections are 2.1.(b), 2.2.(b), 3.2 (simplified), 3.5 (deleted the last sentence), and 3.6 (simplified).\n\nThis license applies to the gSOAP software package, with the exception of the soapcpp2 and wsdl2h source code located in gsoap/src and gsoap/wsdl, all code generated by soapcpp2 and wsdl2h, the UDDI source code gsoap/uddi2, and the Web server sample source code samples/webserver. To use any of these software tools and components commercially, a commercial license is required and can be obtained from www.genivia.com.\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1\";match=\".{0,20}\">> DEFINITIONS.\n\n	  <<var;name=\"bullet\";original=\"1.0.1.\";match=\".{0,20}\">>\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Covered Code\" means the Original Code, or Modifications or the combination of the Original Code, and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Executable\" means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.8.1.\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code, or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.10.1.\";match=\".{0,20}\">> \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2\";match=\".{0,20}\">> SOURCE CODE LICENSE.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Initial Developer Grant.\n\n	  The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell (\"offer to sell and import\") the Original Code, Modifications, or portions thereof, but solely to the extent that any such patent is reasonably necessary to enable You to utilize, alone or in combination with other software, the Original Code, Modifications, or any combination or portions thereof.\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">>\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">>\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant.\n\n	  Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under patents now or hereafter owned or controlled by Contributor, to make, have made, use and sell (\"offer to sell and import\") the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to utilize, alone or in combination with other software, the Contributor Version (or portions thereof).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">>\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">>\n\n   <<var;name=\"bullet\";original=\"3\";match=\".{0,20}\">> DISTRIBUTION OBLIGATIONS.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Application of License.\n\n	  The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code.\n\n	  Any Modification created by You <<var;name=\"shall\";original=\"shall\";match=\"shall|will\">> be provided to the Initial Developer in Source Code form and are subject to the terms of the License.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications.\n\n	  You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters.\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs. If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices.\n\n	  You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Versions.\n\n	  You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. If you distribute executable versions containing Covered Code as part of a product, you must reproduce the notice in Exhibit B in the documentation and/or other materials provided with the product.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works.\n\n	  You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.8.\";match=\".{0,20}\">> Restrictions.\n\n	  You may not remove any product identification, copyright, proprietary notices or labels from gSOAP.\n\n   <<var;name=\"bullet\";original=\"4\";match=\".{0,20}\">> INABILITY TO COMPLY DUE TO STATUTE OR REGULATION.\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5\";match=\".{0,20}\">> APPLICATION OF THIS LICENSE.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6\";match=\".{0,20}\">> VERSIONS OF THE LICENSE.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> New Versions.\n\n	  Grantor may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> Effect of New Versions.\n\n	  Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> Derivative Works.\n\n	  If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrase \"gSOAP\" or any confusingly similar phrase do not appear in your license (except to note that you license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the gSOAP Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n   <<var;name=\"bullet\";original=\"7\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY, OF FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT OF THIRD PARTY INTELLECTUAL PROPERTY RIGHTS, AND ANY WARRANTY THAT MAY ARISE BY REASON OF TRADE USAGE, CUSTOM, OR COURSE OF DEALING. WITHOUT LIMITING THE FOREGOING, YOU ACKNOWLEDGE THAT THE SOFTWARE IS PROVIDED \"AS IS\" AND THAT THE AUTHORS DO NOT WARRANT THE SOFTWARE WILL RUN UNINTERRUPTED OR ERROR FREE. LIMITED LIABILITY THE ENTIRE RISK AS TO RESULTS AND PERFORMANCE OF THE SOFTWARE IS ASSUMED BY YOU. UNDER NO CIRCUMSTANCES WILL THE AUTHORS BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL, EXEMPLARY OR CONSEQUENTIAL DAMAGES OF ANY KIND OR NATURE WHATSOEVER, WHETHER BASED ON CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, ARISING OUT OF OR IN ANY WAY RELATED TO THE SOFTWARE, EVEN IF THE AUTHORS HAVE BEEN ADVISED ON THE POSSIBILITY OF SUCH DAMAGE OR IF SUCH DAMAGE COULD HAVE BEEN REASONABLY FORESEEN, AND NOTWITHSTANDING ANY FAILURE OF ESSENTIAL PURPOSE OF ANY EXCLUSIVE REMEDY PROVIDED. SUCH LIMITATION ON DAMAGES INCLUDES, BUT IS NOT LIMITED TO, DAMAGES FOR LOSS OF GOODWILL, LOST PROFITS, LOSS OF DATA OR SOFTWARE, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION OR IMPAIRMENT OF OTHER GOODS. IN NO EVENT WILL THE AUTHORS BE LIABLE FOR THE COSTS OF PROCUREMENT OF SUBSTITUTE SOFTWARE OR SERVICES. YOU ACKNOWLEDGE THAT THIS SOFTWARE IS NOT DESIGNED FOR USE IN ON-LINE EQUIPMENT IN HAZARDOUS ENVIRONMENTS SUCH AS OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR CONTROL, OR LIFE-CRITICAL APPLICATIONS. THE AUTHORS EXPRESSLY DISCLAIM ANY LIABILITY RESULTING FROM USE OF THE SOFTWARE IN ANY SUCH ON-LINE EQUIPMENT IN HAZARDOUS ENVIRONMENTS AND ACCEPTS NO LIABILITY IN RESPECT OF ANY ACTIONS OR CLAIMS BASED ON THE USE OF THE SOFTWARE IN ANY SUCH ON-LINE EQUIPMENT IN HAZARDOUS ENVIRONMENTS BY YOU. FOR PURPOSES OF THIS PARAGRAPH, THE TERM \"LIFE-CRITICAL APPLICATION\" MEANS AN APPLICATION IN WHICH THE FUNCTIONING OR MALFUNCTIONING OF THE SOFTWARE MAY RESULT DIRECTLY OR INDIRECTLY IN PHYSICAL INJURY OR LOSS OF HUMAN LIFE. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8\";match=\".{0,20}\">> TERMINATION.\n\n	  <<var;name=\"bullet\";original=\"8.1.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	  <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">>\n\n	  <<var;name=\"bullet\";original=\"8.3.\";match=\".{0,20}\">> If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"8.4.\";match=\".{0,20}\">> In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"9\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS.\n\n   <<var;name=\"bullet\";original=\"11\";match=\".{0,20}\">> MISCELLANEOUS.\n\n   <<var;name=\"bullet\";original=\"12\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS.\n\n   As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   <<beginOptional>>\n\n   EXHIBIT A.\n\n   \"The contents of this file are subject to the gSOAP Public License Version 1.3 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at\n\n   http://www.cs.fsu.edu/ engelen/soaplicense.html\n\n   Software distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\n   The Original Code of the gSOAP Software is: stdsoap.h, stdsoap2.h, stdsoap.c, stdsoap2.c, stdsoap.cpp, stdsoap2.cpp, soapcpp2.h, soapcpp2.c, soapcpp2_lex.l, soapcpp2_yacc.y, error2.h, error2.c, symbol2.c, init2.c, soapdoc2.html, and soapdoc2.pdf, httpget.h, httpget.c, stl.h, stldeque.h, stllist.h, stlvector.h, stlset.h.\n\n   The Initial Developer of the Original Code is Robert A. van Engelen. Portions created by Robert A. van Engelen are Copyright (C) 2001-2004 Robert A. van Engelen, Genivia inc. All Rights Reserved.\n\n   Contributor(s):\n\n   \"________________________.\"\n\n   [Note: The text of this Exhibit A may differ slightly form the text of the notices in the Source Code files of the Original code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n\n   EXHIBIT B.\n\n   \"Part of the software embedded in this product is gSOAP software.\n\n   Portions created by gSOAP are Copyright (C) 2001-2009 Robert A. van Engelen, Genivia inc. All Rights Reserved.\n\n   THE SOFTWARE IN THIS PRODUCT WAS IN PART PROVIDED BY GENIVIA INC AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\"\n\n   <<endOptional>>"
		self.name = "gSOAP Public License v1.3b"
		self.licenseId = "gSOAP-1.3b"
		self.crossRef = [{"match": "N/A", "url": "http://www.cs.fsu.edu/~engelen/license.html", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:17:54Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.cs.fsu.edu/~engelen/license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>gSOAP Public License</p>\n\n		 <p>Version 1.3b</p>\n\n	  </div>\n\n		<div class=\"optional-license-text\"> \n		  <p>The gSOAP public license is derived from the Mozilla Public License (MPL1.1). The sections that were\n			 deleted from the original MPL1.1 text are 1.0.1, 2.1.(c),(d), 2.2.(c),(d), 8.2.(b), 10, and 11.\n			 Section 3.8 was added. The modified sections are 2.1.(b), 2.2.(b), 3.2 (simplified), 3.5 (deleted the\n			 last sentence), and 3.6 (simplified).</p>\n\n		  <p>This license applies to the gSOAP software package, with the exception of the soapcpp2 and wsdl2h source\n			 code located in gsoap/src and gsoap/wsdl, all code generated by soapcpp2 and wsdl2h, the UDDI source\n			 code gsoap/uddi2, and the Web server sample source code samples/webserver. To use any of these\n			 software tools and components commercially, a commercial license is required and can be obtained from\n			 www.genivia.com.</p>\n\n		</div>\n		\n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> 1</var>\n				DEFINITIONS.\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.0.1.</var>\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.1.</var>\n						&quot;Contributor&quot; means each entity that creates or contributes to the creation of\n						 Modifications.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.2.</var>\n						&quot;Contributor Version&quot; means the combination of the Original Code, prior\n						 Modifications used by a Contributor, and the Modifications made by that particular\n						 Contributor.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.3.</var>\n						&quot;Covered Code&quot; means the Original Code, or Modifications or the combination of the\n						 Original Code, and Modifications, in each case including portions thereof.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.4.</var>\n						&quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the\n						 software development community for the electronic transfer of data.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.5.</var>\n						&quot;Executable&quot; means Covered Code in any form other than Source Code.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.6.</var>\n						&quot;Initial Developer&quot; means the individual or entity identified as the Initial\n						   Developer in the Source Code notice required by Exhibit A.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.7.</var>\n						&quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with\n						 code not governed by the terms of this License.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.8.</var>\n						&quot;License&quot; means this document.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.8.1.</var>\n						&quot;Licensable&quot; means having the right to grant, to the maximum extent\n						 possible, whether at the time of the initial grant or subsequently acquired, any and all\n						 of the rights conveyed herein.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.9.</var>\n						&quot;Modifications&quot; means any addition to or deletion from the substance or structure\n						 of either the Original Code or any previous Modifications. When Covered Code is released\n						 as a series of files, a Modification is:\n						\n<ul style=\"list-style:none\">\n							\n<li>\n								<var class=\"replaceable-license-text\"> A.</var>\n								Any addition to or deletion from the contents of a file containing Original Code or\n								 previous Modifications.\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> B.</var>\n								Any new file that contains any part of the Original Code, or previous Modifications.\n							</li>\n						  \n</ul>\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.10.</var>\n						&quot;Original Code&quot; means Source Code of computer software code which is described in\n						 the Source Code notice required by Exhibit A as Original Code, and which, at the time of\n						 its release under this License is not already Covered Code governed by this License.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.10.1.</var>\n						&quot;Patent Claims&quot; means any patent claim(s), now owned or hereafter acquired,\n						 including without limitation, method, process, and apparatus claims, in any patent\n						 Licensable by grantor.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.11.</var>\n						&quot;Source Code&quot; means the preferred form of the Covered Code for making modifications\n						 to it, including all modules it contains, plus any associated interface definition files,\n						 scripts used to control compilation and installation of an Executable, or source code\n						 differential comparisons against either the Original Code or another well known, available\n						 Covered Code of the Contributor&apos;s choice. The Source Code can be in a compressed or\n						 archival form, provided the appropriate decompression or de-archiving software is widely\n						 available for no charge.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.12.</var>\n						&quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity exercising rights\n						 under, and complying with all of the terms of, this License or a future version of this\n						 License issued under Section 6.1. For legal entities, &quot;You&quot; includes any entity\n						 which controls, is controlled by, or is under common control with You. For purposes of\n						 this definition, &quot;control&quot; means (a) the power, direct or indirect, to cause the\n						 direction or management of such entity, whether by contract or otherwise, or (b) ownership\n						 of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such\n						 entity.\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 2</var>\n				SOURCE CODE LICENSE.\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 2.1.</var>\n						The Initial Developer Grant.\n						<p>The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license,\n						 subject to third party intellectual property claims:</p>\n\n<ul style=\"list-style:none\">\n							\n<li>\n								<var class=\"replaceable-license-text\"> (a)</var>\n								under intellectual property rights (other than patent or trademark) Licensable by Initial\n								 Developer to use, reproduce, modify, display, perform, sublicense and distribute the\n								 Original Code (or portions thereof) with or without Modifications, and/or as part of a\n								 Larger Work; and\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> (b)</var>\n								under patents now or hereafter owned or controlled by Initial Developer, to make, have made,\n								 use and sell (&quot;offer to sell and import&quot;) the Original Code, Modifications, or\n								 portions thereof, but solely to the extent that any such patent is reasonably necessary to\n								 enable You to utilize, alone or in combination with other software, the Original Code,\n								 Modifications, or any combination or portions thereof.\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> (c)</var>\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> (d)</var>\n							</li>\n						\n</ul>\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 2.2.</var>\n						Contributor Grant.\n						<p>Subject to third party intellectual property claims, each Contributor hereby grants You a\n						 world-wide, royalty-free, non-exclusive license</p>\n\n<ul style=\"list-style:none\">\n							\n<li>\n								<var class=\"replaceable-license-text\"> (a)</var>\n								under intellectual property rights (other than patent or trademark) Licensable by\n								 Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the\n								 Modifications created by such Contributor (or portions thereof) either on an unmodified\n								 basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> (b)</var>\n								under patents now or hereafter owned or controlled by Contributor, to make, have made, use\n								 and sell (&quot;offer to sell and import&quot;) the Contributor Version (or portions\n								 thereof), but solely to the extent that any such patent is reasonably necessary to enable\n								 You to utilize, alone or in combination with other software, the Contributor Version (or\n								 portions thereof).\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> (c)</var>\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> (d)</var>\n							</li>\n						\n</ul>\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 3</var>\n				DISTRIBUTION OBLIGATIONS.\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.1.</var>\n						Application of License.\n						<p>The Modifications which You create or to which You contribute are governed by the terms of\n						 this License, including without limitation Section 2.2. The Source Code version of\n						 Covered Code may be distributed only under the terms of this License or a future\n						 version of this License released under Section 6.1, and You must include a copy of\n						 this License with every copy of the Source Code You distribute. You may not offer or\n						 impose any terms on any Source Code version that alters or restricts the applicable\n						 version of this License or the recipients&apos; rights hereunder. However, You may\n						 include an additional document offering the additional rights described in Section\n						 3.5.</p>\n\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.2.</var>\n						Availability of Source Code.\n						<p>Any Modification created by You <var class=\"replaceable-license-text\"> shall</var> be provided to the Initial Developer in Source Code\n						 form and are subject to the terms of the License.</p>\n\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.3.</var>\n						Description of Modifications.\n						<p>You must cause all Covered Code to which You contribute to contain a file documenting the\n						 changes You made to create that Covered Code and the date of any change. You must\n						 include a prominent statement that the Modification is derived, directly or\n						 indirectly, from Original Code provided by the Initial Developer and including the\n						 name of the Initial Developer in (a) the Source Code, and (b) in any notice in an\n						 Executable version or related documentation in which You describe the origin or\n						 ownership of the Covered Code.</p>\n\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.4.</var>\n						Intellectual Property Matters.\n						\n<ul style=\"list-style:none\">\n							\n<li>\n								<var class=\"replaceable-license-text\"> (a)</var>\n								Third Party Claims. If Contributor has knowledge that a license under a third party&apos;s\n								 intellectual property rights is required to exercise the rights granted by such\n								 Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the\n								 Source Code distribution titled &quot;LEGAL&quot; which describes the claim and the party\n								 making the claim in sufficient detail that a recipient will know whom to contact. If\n								 Contributor obtains such knowledge after the Modification is made available as described\n								 in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor\n								 makes available thereafter and shall take other steps (such as notifying appropriate\n								 mailing lists or newsgroups) reasonably calculated to inform those who received the\n								 Covered Code that new knowledge has been obtained.\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> (b)</var>\n								Contributor APIs. If Contributor&apos;s Modifications include an application programming\n								 interface and Contributor has knowledge of patent licenses which are reasonably necessary\n								 to implement that API, Contributor must also include this information in the LEGAL\n								 file.\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> (c)</var>\n								Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a)\n								 above, Contributor believes that Contributor&apos;s Modifications are Contributor&apos;s\n								 original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed\n								 by this License.\n							</li>\n						\n</ul>\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.5.</var>\n						Required Notices.\n						<p>You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not\n						 possible to put such notice in a particular Source Code file due to its structure,\n						 then You must include such notice in a location (such as a relevant directory) where a\n						 user would be likely to look for such a notice. If You created one or more\n						 Modification(s) You may add your name as a Contributor to the notice described in\n						 Exhibit A. You must also duplicate this License in any documentation for the Source\n						 Code where You describe recipients&apos; rights or ownership rights relating to\n						 Covered Code. You may choose to offer, and to charge a fee for, warranty, support,\n						 indemnity or liability obligations to one or more recipients of Covered Code. However,\n						 You may do so only on Your own behalf, and not on behalf of the Initial Developer or\n						 any Contributor.</p>\n\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.6.</var>\n						Distribution of Executable Versions.\n						<p>You may distribute Covered Code in Executable form only if the requirements of Section\n						 3.1-3.5 have been met for that Covered Code. You may distribute the Executable version\n						 of Covered Code or ownership rights under a license of Your choice, which may contain\n						 terms different from this License, provided that You are in compliance with the terms\n						 of this License and that the license for the Executable version does not attempt to\n						 limit or alter the recipient&apos;s rights in the Source Code version from the rights\n						 set forth in this License. If You distribute the Executable version under a different\n						 license You must make it absolutely clear that any terms which differ from this\n						 License are offered by You alone, not by the Initial Developer or any Contributor. If\n						 you distribute executable versions containing Covered Code as part of a product, you\n						 must reproduce the notice in Exhibit B in the documentation and/or other materials\n						 provided with the product.</p>\n\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.7.</var>\n						Larger Works.\n						<p>You may create a Larger Work by combining Covered Code with other code not governed by the\n						 terms of this License and distribute the Larger Work as a single product. In such a\n						 case, You must make sure the requirements of this License are fulfilled for the\n						 Covered Code.</p>\n\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.8.</var>\n						Restrictions.\n						<p>You may not remove any product identification, copyright, proprietary notices or labels from gSOAP.</p>\n\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 4</var>\n				INABILITY TO COMPLY DUE TO STATUTE OR REGULATION.\n				<p>If it is impossible for You to comply with any of the terms of this License with respect to some\n				 or all of the Covered Code due to statute, judicial order, or regulation then You must: (a)\n				 comply with the terms of this License to the maximum extent possible; and (b) describe the\n				 limitations and the code they affect. Such description must be included in the LEGAL file\n				 described in Section 3.4 and must be included with all distributions of the Source Code.\n				 Except to the extent prohibited by statute or regulation, such description must be\n				 sufficiently detailed for a recipient of ordinary skill to be able to understand it.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 5</var>\n				APPLICATION OF THIS LICENSE.\n				<p>This License applies to code to which the Initial Developer has attached the notice in Exhibit A\n				 and to related Covered Code.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 6</var>\n				VERSIONS OF THE LICENSE.\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 6.1.</var>\n						New Versions.\n						<p>Grantor may publish revised and/or new versions of the License from time to time. Each\n						 version will be given a distinguishing version number.</p>\n\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 6.2.</var>\n						Effect of New Versions.\n						<p>Once Covered Code has been published under a particular version of the License, You may\n						 always continue to use it under the terms of that version. You may also choose to use\n						 such Covered Code under the terms of any subsequent version of the License.</p>\n\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 6.3.</var>\n						Derivative Works.\n						<p>If You create or use a modified version of this License (which you may only do in order to\n						 apply it to code which is not already Covered Code governed by this License), You must\n						 (a) rename Your license so that the phrase &quot;gSOAP&quot; or any confusingly\n						 similar phrase do not appear in your license (except to note that you license differs\n						 from this License) and (b) otherwise make it clear that Your version of the license\n						 contains terms which differ from the gSOAP Public License. (Filling in the name of the\n						 Initial Developer, Original Code or Contributor in the notice described in Exhibit A\n						 shall not of themselves be deemed to be modifications of this License.)</p>\n\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 7</var>\n				DISCLAIMER OF WARRANTY.\n				<p>COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTY OF\n				 ANY KIND, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED\n				 WARRANTIES OF MERCHANTABILITY, OF FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT OF THIRD\n				 PARTY INTELLECTUAL PROPERTY RIGHTS, AND ANY WARRANTY THAT MAY ARISE BY REASON OF TRADE USAGE,\n				 CUSTOM, OR COURSE OF DEALING. WITHOUT LIMITING THE FOREGOING, YOU ACKNOWLEDGE THAT THE\n				 SOFTWARE IS PROVIDED &quot;AS IS&quot; AND THAT THE AUTHORS DO NOT WARRANT THE SOFTWARE WILL\n				 RUN UNINTERRUPTED OR ERROR FREE. LIMITED LIABILITY THE ENTIRE RISK AS TO RESULTS AND\n				 PERFORMANCE OF THE SOFTWARE IS ASSUMED BY YOU. UNDER NO CIRCUMSTANCES WILL THE AUTHORS BE\n				 LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL, EXEMPLARY OR CONSEQUENTIAL DAMAGES OF ANY KIND\n				 OR NATURE WHATSOEVER, WHETHER BASED ON CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), STRICT\n				 LIABILITY OR OTHERWISE, ARISING OUT OF OR IN ANY WAY RELATED TO THE SOFTWARE, EVEN IF THE\n				 AUTHORS HAVE BEEN ADVISED ON THE POSSIBILITY OF SUCH DAMAGE OR IF SUCH DAMAGE COULD HAVE BEEN\n				 REASONABLY FORESEEN, AND NOTWITHSTANDING ANY FAILURE OF ESSENTIAL PURPOSE OF ANY EXCLUSIVE\n				 REMEDY PROVIDED. SUCH LIMITATION ON DAMAGES INCLUDES, BUT IS NOT LIMITED TO, DAMAGES FOR LOSS\n				 OF GOODWILL, LOST PROFITS, LOSS OF DATA OR SOFTWARE, WORK STOPPAGE, COMPUTER FAILURE OR\n				 MALFUNCTION OR IMPAIRMENT OF OTHER GOODS. IN NO EVENT WILL THE AUTHORS BE LIABLE FOR THE COSTS\n				 OF PROCUREMENT OF SUBSTITUTE SOFTWARE OR SERVICES. YOU ACKNOWLEDGE THAT THIS SOFTWARE IS NOT\n				 DESIGNED FOR USE IN ON-LINE EQUIPMENT IN HAZARDOUS ENVIRONMENTS SUCH AS OPERATION OF NUCLEAR\n				 FACILITIES, AIRCRAFT NAVIGATION OR CONTROL, OR LIFE-CRITICAL APPLICATIONS. THE AUTHORS\n				 EXPRESSLY DISCLAIM ANY LIABILITY RESULTING FROM USE OF THE SOFTWARE IN ANY SUCH ON-LINE\n				 EQUIPMENT IN HAZARDOUS ENVIRONMENTS AND ACCEPTS NO LIABILITY IN RESPECT OF ANY ACTIONS OR\n				 CLAIMS BASED ON THE USE OF THE SOFTWARE IN ANY SUCH ON-LINE EQUIPMENT IN HAZARDOUS\n				 ENVIRONMENTS BY YOU. FOR PURPOSES OF THIS PARAGRAPH, THE TERM &quot;LIFE-CRITICAL\n				 APPLICATION&quot; MEANS AN APPLICATION IN WHICH THE FUNCTIONING OR MALFUNCTIONING OF THE\n				 SOFTWARE MAY RESULT DIRECTLY OR INDIRECTLY IN PHYSICAL INJURY OR LOSS OF HUMAN LIFE. THIS\n				 DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\n				 CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 8</var>\n				TERMINATION.\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 8.1.</var>\n						This License and the rights granted hereunder will terminate automatically if You fail to comply\n						 with terms herein and fail to cure such breach within 30 days of becoming aware of the breach.\n						 All sublicenses to the Covered Code which are properly granted shall survive any termination\n						 of this License. Provisions which, by their nature, must remain in effect beyond the\n						 termination of this License shall survive.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 8.2.</var>\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 8.3.</var>\n						If You assert a patent infringement claim against Participant alleging that such\n						 Participant&apos;s Contributor Version directly or indirectly infringes any patent where such\n						 claim is resolved (such as by license or settlement) prior to the initiation of patent\n						 infringement litigation, then the reasonable value of the licenses granted by such Participant\n						 under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of\n						 any payment or license.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 8.4.</var>\n						In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements\n						 (excluding distributors and resellers) which have been validly granted by You or any\n						 distributor hereunder prior to termination shall survive termination.\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 9</var>\n				LIMITATION OF LIABILITY.\n				<p>UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR\n				 OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED\n				 CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL,\n				 INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS\n				 OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES\n				 OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS\n				 LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH\n				 PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO\n				 NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND\n				 LIMITATION MAY NOT APPLY TO YOU.</p>\n\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 10</var>\n				U.S. GOVERNMENT END USERS.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 11</var>\n				MISCELLANEOUS.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> 12</var>\n				RESPONSIBILITY FOR CLAIMS.\n				<p>As between Initial Developer and the Contributors, each party is responsible for claims and damages\n				 arising, directly or indirectly, out of its utilization of rights under this License and You agree to\n				 work with Initial Developer and Contributors to distribute such responsibility on an equitable basis.\n				 Nothing herein is intended or shall be deemed to constitute any admission of liability.</p>\n\n			</li>\n		\n</ul>\n\n	  <div class=\"optional-license-text\"> \n		\n<ul style=\"list-style:none\">\n			\n<li>\n				<p>EXHIBIT A.</p>\n\n				<p>&quot;The contents of this file are subject to the gSOAP Public License Version 1.3 (the\n				 &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain\n				 a copy of the License at</p>\n\n				<p>http://www.cs.fsu.edu/ engelen/soaplicense.html</p>\n\n				<p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT\n				 WARRANTY OF ANY KIND, either express or implied. See the License for the specific language\n				 governing rights and limitations under the License.</p>\n\n				<p>The Original Code of the gSOAP Software is: stdsoap.h, stdsoap2.h, stdsoap.c, stdsoap2.c,\n				 stdsoap.cpp, stdsoap2.cpp, soapcpp2.h, soapcpp2.c, soapcpp2_lex.l, soapcpp2_yacc.y, error2.h,\n				 error2.c, symbol2.c, init2.c, soapdoc2.html, and soapdoc2.pdf, httpget.h, httpget.c, stl.h,\n				 stldeque.h, stllist.h, stlvector.h, stlset.h.</p>\n\n				<p>The Initial Developer of the Original Code is Robert A. van Engelen. Portions created by Robert A.\n				 van Engelen are Copyright (C) 2001-2004 Robert A. van Engelen, Genivia inc. All Rights\n				 Reserved.</p>\n\n				<p>Contributor(s):</p>\n\n				<p>&quot;________________________.&quot;</p>\n\n				<p>[Note: The text of this Exhibit A may differ slightly form the text of the notices in the Source\n				 Code files of the Original code. You should use the text of this Exhibit A rather than the\n				 text found in the Original Code Source Code for Your Modifications.]</p>\n\n			</li>\n			\n<li>\n				<p>EXHIBIT B.</p>\n\n				<p>&quot;Part of the software embedded in this product is gSOAP software.</p>\n\n				<p>Portions created by gSOAP are Copyright (C) 2001-2009 Robert A. van Engelen, Genivia inc. All\n				 Rights Reserved.</p>\n\n				<p>THE SOFTWARE IN THIS PRODUCT WAS IN PART PROVIDED BY GENIVIA INC AND ANY EXPRESS OR IMPLIED\n				 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n				 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR\n				 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\n				 NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR\n				 BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\n				 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\n				 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.&quot;</p>\n\n			</li>\n		\n</ul>\n	  </div>\n	"
		self.python_name = "gSOAP13b"

	def __str__(self):
		return json.dumps(self.__dict__)


class ClArtistic:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The Clarified Artistic License\n\nPreamble\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n \"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n \"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder as specified below.\n\n \"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n \"You\" is you, if you're thinking about copying or distributing this Package.\n\n \"Distribution fee\" is a fee you charge for providing a copy of this Package to another party.\n\n \"Freely Available\" means that no fee is charged for the right to use the item, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived from the Public Domain, or those made Freely Available, or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	 a) place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major network archive site allowing unrestricted access to them, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	 b) use the modified Package only within your corporation or organization.\n\n	 c) rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	 d) make other distribution arrangements with the Copyright Holder.\n\n	 e) permit and encourge anyone who receives a copy of the modified Package permission to make your modifications Freely Available in some specific way.\n\n4. You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	 a) distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	 b) accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	 c) give non-standard executables non-standard names, and clearly document the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	 d) make other distribution arrangements with the Copyright Holder.\n\n	 e) offer the machine-readable source of the Package, with your modifications, by mail order.\n\n5. You may charge a distribution fee for any distribution of this Package. If you offer support for this Package, you may charge any fee you choose for that support. You may not charge a license fee for the right to use this Package itself. You may distribute this Package in aggregate with other (possibly commercial and possibly nonfree) programs as part of a larger (possibly commercial and possibly nonfree) software distribution, and charge license fees for other parts of that software distribution, provided that you do not advertise this Package as a product of your own. If the Package includes an interpreter, You may embed this Package's interpreter within an executable of yours (by linking); this shall be consTrued as a mere form of aggregation, provided that the complete Standard Version of the interpreter is so embedded.\n\n6. The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whoever generated them, and may be sold commercially, and may be aggregated with this Package. If such scripts or library files are aggregated with this Package via the so-called \"undump\" or \"unexec\" methods of producing a binary executable image, then distribution of such an image shall neither be consTrued as a distribution of this Package nor shall it fall under the restrictions of Paragraphs 3 and 4, provided that you do not represent such an executable image as a Standard Version of this Package.\n\n7. C subroutines (or comparably compiled subroutines in other languages) supplied by you and linked into this Package in order to emulate subroutines and variables of the language defined by this Package shall not be considered part of this Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not change the language in any way that would cause it to fail the regression tests for the language.\n\n8. Aggregation of the Standard Version of the Package with a commercial distribution is always permitted provided that the use of this Package is embedded; that is, when no overt attempt is made to make this Package's interfaces visible to the end user of the commercial distribution. Such use shall not be consTrued as a distribution of this Package.\n\n9. The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n10. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\nThe End\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Clarified Artistic License\n\n<<endOptional>>\n\nPreamble\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder as specified below.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n\"You\" is you, if you're thinking about copying or distributing this Package.\n\n\"Distribution fee\" is a fee you charge for providing a copy of this Package to another party.\n\n\"Freely Available\" means that no fee is charged for the right to use the item, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may apply bug fixes, portability fixes and other modifications derived from the Public Domain, or those made Freely Available, or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major network archive site allowing unrestricted access to them, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> use the modified Package only within your corporation or organization.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> permit and encourge anyone who receives a copy of the modified Package permission to make your modifications Freely Available in some specific way.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> give non-standard executables non-standard names, and clearly document the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> offer the machine-readable source of the Package, with your modifications, by mail order.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may charge a distribution fee for any distribution of this Package. If you offer support for this Package, you may charge any fee you choose for that support. You may not charge a license fee for the right to use this Package itself. You may distribute this Package in aggregate with other (possibly commercial and possibly nonfree) programs as part of a larger (possibly commercial and possibly nonfree) software distribution, and charge license fees for other parts of that software distribution, provided that you do not advertise this Package as a product of your own. If the Package includes an interpreter, You may embed this Package's interpreter within an executable of yours (by linking); this shall be consTrued as a mere form of aggregation, provided that the complete Standard Version of the interpreter is so embedded.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whoever generated them, and may be sold commercially, and may be aggregated with this Package. If such scripts or library files are aggregated with this Package via the so-called \"undump\" or \"unexec\" methods of producing a binary executable image, then distribution of such an image shall neither be consTrued as a distribution of this Package nor shall it fall under the restrictions of Paragraphs 3 and 4, provided that you do not represent such an executable image as a Standard Version of this Package.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> C subroutines (or comparably compiled subroutines in other languages) supplied by you and linked into this Package in order to emulate subroutines and variables of the language defined by this Package shall not be considered part of this Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not change the language in any way that would cause it to fail the regression tests for the language.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Aggregation of the Standard Version of the Package with a commercial distribution is always permitted provided that the use of this Package is embedded; that is, when no overt attempt is made to make this Package's interfaces visible to the end user of the commercial distribution. Such use shall not be consTrued as a distribution of this Package.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.<<beginOptional>> The End\n\n<<endOptional>>"
		self.name = "Clarified Artistic License"
		self.licenseId = "ClArtistic"
		self.crossRef = [{"match": "False", "url": "http://gianluca.dellavedova.org/2011/01/03/clarified-artistic-license/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:53Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "http://www.ncftp.com/ncftp/doc/LICENSE.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:54Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["http://gianluca.dellavedova.org/2011/01/03/clarified-artistic-license/", "http://www.ncftp.com/ncftp/doc/LICENSE.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Clarified Artistic License</p>\n\n	  </div>\n	  <p>Preamble</p>\n\n	  <p>The intent of this document is to state the conditions under which a Package may be copied, such that the\n		 Copyright Holder maintains some semblance of artistic control over the development of the package,\n		 while giving the users of the package the right to use and distribute the Package in a more-or-less\n		 customary fashion, plus the right to make reasonable modifications.</p>\n\n	  <p>Definitions:</p>\n\n	  <p>&quot;Package&quot; refers to the collection of files distributed by the Copyright Holder, and\n		 derivatives of that collection of files created through textual modification.</p>\n\n	  <p>&quot;Standard Version&quot; refers to such a Package if it has not been modified, or has been modified\n		 in accordance with the wishes of the Copyright Holder as specified below.</p>\n\n	  <p>&quot;Copyright Holder&quot; is whoever is named in the copyright or copyrights for the package.</p>\n\n	  <p>&quot;You&quot; is you, if you&apos;re thinking about copying or distributing this Package.</p>\n\n	  <p>&quot;Distribution fee&quot; is a fee you charge for providing a copy of this Package to another party.</p>\n\n	  <p>&quot;Freely Available&quot; means that no fee is charged for the right to use the item, though there may\n		 be fees involved in handling the item. It also means that recipients of the item may redistribute it\n		 under the same conditions they received it.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may make and give away verbatim copies of the source form of the Standard Version of this\n			 Package without restriction, provided that you duplicate all of the original copyright notices\n			 and associated disclaimers.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may apply bug fixes, portability fixes and other modifications derived from the Public\n			 Domain, or those made Freely Available, or from the Copyright Holder. A Package modified in\n			 such a way shall still be considered the Standard Version.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may otherwise modify your copy of this Package in any way, provided that you insert a\n			 prominent notice in each changed file stating how and when you changed that file, and provided\n			 that you do at least ONE of the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			place your modifications in the Public Domain or otherwise make them Freely Available, such\n			   as by posting said modifications to Usenet or an equivalent medium, or placing the\n			   modifications on a major network archive site allowing unrestricted access to them, or by\n			   allowing the Copyright Holder to include your modifications in the Standard Version of the\n			   Package.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			use the modified Package only within your corporation or organization.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			rename any non-standard executables so the names do not conflict with standard executables,\n			   which must also be provided, and provide a separate manual page for each non-standard\n			   executable that clearly documents how it differs from the Standard Version.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			make other distribution arrangements with the Copyright Holder.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			permit and encourge anyone who receives a copy of the modified Package permission to make\n			   your modifications Freely Available in some specific way.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may distribute the programs of this Package in object code or executable form, provided that\n			 you do at least ONE of the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			distribute a Standard Version of the executables and library files, together with\n			   instructions (in the manual page or equivalent) on where to get the Standard Version.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			accompany the distribution with the machine-readable source of the Package with your modifications.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			give non-standard executables non-standard names, and clearly document the differences in\n			   manual pages (or equivalent), together with instructions on where to get the Standard\n			   Version.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			make other distribution arrangements with the Copyright Holder.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			offer the machine-readable source of the Package, with your modifications, by mail order.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may charge a distribution fee for any distribution of this Package. If you offer support for\n			 this Package, you may charge any fee you choose for that support. You may not charge a license\n			 fee for the right to use this Package itself. You may distribute this Package in aggregate\n			 with other (possibly commercial and possibly nonfree) programs as part of a larger (possibly\n			 commercial and possibly nonfree) software distribution, and charge license fees for other\n			 parts of that software distribution, provided that you do not advertise this Package as a\n			 product of your own. If the Package includes an interpreter, You may embed this Package&apos;s\n			 interpreter within an executable of yours (by linking); this shall be consTrued as a mere form\n			 of aggregation, provided that the complete Standard Version of the interpreter is so\n			 embedded.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The scripts and library files supplied as input to or produced as output from the programs of\n			 this Package do not automatically fall under the copyright of this Package, but belong to\n			 whoever generated them, and may be sold commercially, and may be aggregated with this Package.\n			 If such scripts or library files are aggregated with this Package via the so-called\n			 &quot;undump&quot; or &quot;unexec&quot; methods of producing a binary executable image, then\n			 distribution of such an image shall neither be consTrued as a distribution of this Package nor\n			 shall it fall under the restrictions of Paragraphs 3 and 4, provided that you do not represent\n			 such an executable image as a Standard Version of this Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  C subroutines (or comparably compiled subroutines in other languages) supplied by you and linked\n			 into this Package in order to emulate subroutines and variables of the language defined by\n			 this Package shall not be considered part of this Package, but are the equivalent of input as\n			 in Paragraph 6, provided these subroutines do not change the language in any way that would\n			 cause it to fail the regression tests for the language.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Aggregation of the Standard Version of the Package with a commercial distribution is always\n			 permitted provided that the use of this Package is embedded; that is, when no overt attempt is\n			 made to make this Package&apos;s interfaces visible to the end user of the commercial\n			 distribution. Such use shall not be consTrued as a distribution of this Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  The name of the Copyright Holder may not be used to endorse or promote products derived from this\n			 software without specific prior written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  THIS PACKAGE IS PROVIDED &quot;AS IS&quot; AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\n			 INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A\n			 PARTICULAR PURPOSE.\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> <p>The End</p>\n</div>\n	"
		self.python_name = "ClArtistic"

	def __str__(self):
		return json.dumps(self.__dict__)


class NISTPD:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Terms Of Use\n\nThis software was developed by employees of the National Institute of Standards\nand Technology (NIST), and others. This software has been contributed to the\npublic domain. Pursuant to title 15 Untied States Code Section 105, works of\nNIST employees are not subject to copyright protection in the United States and\nare considered to be in the public domain. As a result, a formal license is\nnot needed to use this software.\n\nThis software is provided \"AS IS.\" NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS,\nIMPLIED OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT AND DATA\nACCURACY. NIST does not warrant or make any representations regarding the use\nof the software or the results thereof, including but not limited to the\ncorrectness, accuracy, reliability or usefulness of this software.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<var;name=\"title\";original=\"Terms Of Use\";match=\"(Conditions|Terms) [oO]f [uU]se\">>\n\n<<endOptional>>\n\nThis software was developed by employees of the National Institute of Standards and Technology (NIST), and others. This software has been contributed to the public domain. Pursuant to title 15 Untied States Code Section 105, works of NIST employees are not subject to copyright protection in the United States and are considered to be in the public domain. As a result, a formal license is not needed to use this software.\n\nThis software is provided \"AS IS.\" NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT AND DATA ACCURACY. NIST does not warrant or make any representations regarding the use of the software or the results thereof, including but not limited to the correctness, accuracy, reliability or usefulness of this software.\n\n"
		self.name = "NIST Public Domain Notice"
		self.licenseId = "NIST-PD"
		self.crossRef = [{"match": "False", "url": "https://github.com/tcheneau/Routing/blob/f09f46fcfe636107f22f2c98348188a65a135d98/README.md", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:40Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/tcheneau/simpleRPL/blob/e645e69e38dd4e3ccfeceb2db8cba05b7c2e0cd3/LICENSE.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:40Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/tcheneau/simpleRPL/blob/e645e69e38dd4e3ccfeceb2db8cba05b7c2e0cd3/LICENSE.txt", "https://github.com/tcheneau/Routing/blob/f09f46fcfe636107f22f2c98348188a65a135d98/README.md"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p><var class=\"replaceable-license-text\"> Terms Of Use</var></p>\n\n	  </div>\n	  <p>\n		This software was developed by employees of the National Institute of\n		Standards and Technology (NIST), and others.\n		This software has been contributed to the public domain.\n		Pursuant to title 15 Untied States Code Section 105, works of NIST\n		employees are not subject to copyright protection in the United States\n		and are considered to be in the public domain.\n		As a result, a formal license is not needed to use this software.\n	  </p>\n\n	  <p>\n		This software is provided &quot;AS IS.&quot;\n		NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED\n		OR STATUTORY, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF\n		MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT\n		AND DATA ACCURACY.  NIST does not warrant or make any representations\n		regarding the use of the software or the results thereof, including but\n		not limited to the correctness, accuracy, reliability or usefulness of\n		this software.\n	  </p>\n\n	"
		self.python_name = "NISTPD"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYND10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "Creative Commons Attribution-NoDerivs 1.0\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested.\n\n	 b. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied. Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n5. Representations, Warranties and Disclaimer\n\n	 a. By offering the Work for public release under this License, Licensor represents and warrants that, to the best of Licensor's knowledge after reasonable inquiry:\n\n		  i. Licensor has secured all rights in the Work necessary to grant the license rights hereunder and to permit the lawful exercise of the rights granted hereunder without You having any obligation to pay any royalties, compulsory license fees, residuals or any other payments;\n\n		  ii. The Work does not infringe the copyright, trademark, publicity rights, common law rights or any other right of any third party or constitute defamation, invasion of privacy or other tortious injury to any third party.\n\n	 b. EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 c. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 d. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NoDerivs 1.0\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied. Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> By offering the Work for public release under this License, Licensor represents and warrants that, to the best of Licensor's knowledge after reasonable inquiry:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Licensor has secured all rights in the Work necessary to grant the license rights hereunder and to permit the lawful exercise of the rights granted hereunder without You having any obligation to pay any royalties, compulsory license fees, residuals or any other payments;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> The Work does not infringe the copyright, trademark, publicity rights, common law rights or any other right of any third party or constitute defamation, invasion of privacy or other tortious injury to any third party.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution No Derivatives 1.0 Generic"
		self.licenseId = "CC-BY-ND-1.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nd/1.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:38Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nd/1.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NoDerivs 1.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS\n		 INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE\n		 INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n			   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n			   other contributions, constituting separate and independent works in themselves, are\n			   assembled into a collective whole. A work that constitutes a Collective Work will not be\n			   considered a Derivative Work (as defined below) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works, such as a translation, musical arrangement, dramatization,\n			   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n			   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n			   except that a work that constitutes a Collective Work will not be considered a Derivative\n			   Work for the purpose of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n			   this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Original Author&quot; means the individual or entity who created the Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works;\n		  </li>\n			\n</ul>\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats. All rights not expressly\n			   granted by Licensor are hereby reserved.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n			   Work. You must keep intact all notices that refer to this License and to the disclaimer of\n			   warranties. You may not distribute, publicly display, publicly perform, or publicly\n			   digitally perform the Work with any technological measures that control access or use of\n			   the Work in a manner inconsistent with the terms of this License Agreement. The above\n			   applies to the Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Work itself to be made subject to the terms of this\n			   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n			   extent practicable, remove from the Collective Work any reference to such Licensor or the\n			   Original Author, as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n			   or any Collective Works, You must keep intact all copyright notices for the Work and give\n			   the Original Author credit reasonable to the medium or means You are utilizing by\n			   conveying the name (or pseudonym if applicable) of the Original Author if supplied; the\n			   title of the Work if supplied. Such credit may be implemented in any reasonable manner;\n			   provided, however, that in the case of a Collective Work, at a minimum such credit will\n			   appear where any other comparable authorship credit appears and in a manner at least as\n			   prominent as such other comparable authorship credit.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			By offering the Work for public release under this License, Licensor represents and warrants\n			   that, to the best of Licensor&apos;s knowledge after reasonable inquiry:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Licensor has secured all rights in the Work necessary to grant the license rights\n				 hereunder and to permit the lawful exercise of the rights granted hereunder without\n				 You having any obligation to pay any royalties, compulsory license fees, residuals or\n				 any other payments;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  The Work does not infringe the copyright, trademark, publicity rights, common law rights\n				 or any other right of any third party or constitute defamation, invasion of privacy or\n				 other tortious injury to any third party.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY\n			   APPLICABLE LAW, THE WORK IS LICENSED ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OF\n			   ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES\n			   REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES\n			 ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5,\n			 IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL,\n			 CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE\n			 WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Collective\n			   Works from You under this License, however, will not have their licenses terminated\n			   provided such individuals or entities remain in full compliance with those licenses.\n			   Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n			   Licensor offers to the recipient a license to the Work on the same terms and conditions as\n			   the license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYND10"

	def __str__(self):
		return json.dumps(self.__dict__)


class ODbL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "## Open Data Commons Open Database License (ODbL)\n\n### Preamble\n\nThe Open Database License (ODbL) is a license agreement intended to\nallow users to freely share, modify, and use this Database while\nmaintaining this same freedom for others. Many databases are covered by\ncopyright, and therefore this document licenses these rights. Some\njurisdictions, mainly in the European Union, have specific rights that\ncover databases, and so the ODbL addresses these rights, too. Finally,\nthe ODbL is also an agreement in contract for users of this Database to\nact in certain ways in return for accessing this Database.\n\nDatabases can contain a wide variety of types of content (images,\naudiovisual material, and sounds all in the same database, for example),\nand so the ODbL only governs the rights over the Database, and not the\ncontents of the Database individually. Licensors should use the ODbL\ntogether with another license for the contents, if the contents have a\nsingle set of rights that uniformly covers all of the contents. If the\ncontents have multiple sets of different rights, Licensors should\ndescribe what rights govern what contents together in the individual\nrecord or in some other way that clarifies what rights apply.\n\nSometimes the contents of a database, or the database itself, can be\ncovered by other rights not addressed here (such as private contracts,\ntrade mark over the name, or privacy rights / data protection rights\nover information in the contents), and so you are advised that you may\nhave to consult other documents or clear other rights before doing\nactivities not covered by this License.\n\n------\n\nThe Licensor (as defined below)\n\nand\n\nYou (as defined below)\n\nagree as follows:\n\n### 1.0 Definitions of Capitalised Words\n\n\"Collective Database\" \u2013 Means this Database in unmodified form as part\nof a collection of independent databases in themselves that together are\nassembled into a collective whole. A work that constitutes a Collective\nDatabase will not be considered a Derivative Database.\n\n\"Convey\" \u2013 As a verb, means Using the Database, a Derivative Database,\nor the Database as part of a Collective Database in any way that enables\na Person to make or receive copies of the Database or a Derivative\nDatabase.  Conveying does not include interaction with a user through a\ncomputer network, or creating and Using a Produced Work, where no\ntransfer of a copy of the Database or a Derivative Database occurs.\n\"Contents\" \u2013 The contents of this Database, which includes the\ninformation, independent works, or other material collected into the\nDatabase. For example, the contents of the Database could be factual\ndata or works such as images, audiovisual material, text, or sounds.\n\n\"Database\" \u2013 A collection of material (the Contents) arranged in a\nsystematic or methodical way and individually accessible by electronic\nor other means offered under the terms of this License.\n\n\"Database Directive\" \u2013 Means Directive 96/9/EC of the European\nParliament and of the Council of 11 March 1996 on the legal protection\nof databases, as amended or succeeded.\n\n\"Database Right\" \u2013 Means rights resulting from the Chapter III (\"sui\ngeneris\") rights in the Database Directive (as amended and as transposed\nby member states), which includes the Extraction and Re-utilisation of\nthe whole or a Substantial part of the Contents, as well as any similar\nrights available in the relevant jurisdiction under Section 10.4.\n\n\"Derivative Database\" \u2013 Means a database based upon the Database, and\nincludes any translation, adaptation, arrangement, modification, or any\nother alteration of the Database or of a Substantial part of the\nContents. This includes, but is not limited to, Extracting or\nRe-utilising the whole or a Substantial part of the Contents in a new\nDatabase.\n\n\"Extraction\" \u2013 Means the permanent or temporary transfer of all or a\nSubstantial part of the Contents to another medium by any means or in\nany form.\n\n\"License\" \u2013 Means this license agreement and is both a license of rights\nsuch as copyright and Database Rights and an agreement in contract.\n\n\"Licensor\" \u2013 Means the Person that offers the Database under the terms\nof this License.\n\n\"Person\" \u2013 Means a natural or legal person or a body of persons\ncorporate or incorporate.\n\n\"Produced Work\" \u2013  a work (such as an image, audiovisual material, text,\nor sounds) resulting from using the whole or a Substantial part of the\nContents (via a search or other query) from this Database, a Derivative\nDatabase, or this Database as part of a Collective Database.\n\n\"Publicly\" \u2013 means to Persons other than You or under Your control by\neither more than 50% ownership or by the power to direct their\nactivities (such as contracting with an independent consultant).\n\n\"Re-utilisation\" \u2013 means any form of making available to the public all\nor a Substantial part of the Contents by the distribution of copies, by\nrenting, by online or other forms of transmission.\n\n\"Substantial\" \u2013 Means substantial in terms of quantity or quality or a\ncombination of both. The repeated and systematic Extraction or\nRe-utilisation of insubstantial parts of the Contents may amount to the\nExtraction or Re-utilisation of a Substantial part of the Contents.\n\n\"Use\" \u2013 As a verb, means doing any act that is restricted by copyright\nor Database Rights whether in the original medium or any other; and\nincludes without limitation distributing, copying, publicly performing,\npublicly displaying, and preparing derivative works of the Database, as\nwell as modifying the Database as may be technically necessary to use it\nin a different mode or format.\n\n\"You\" \u2013 Means a Person exercising rights under this License who has not\npreviously violated the terms of this License with respect to the\nDatabase, or who has received express permission from the Licensor to\nexercise rights under this License despite a previous violation.\n\nWords in the singular include the plural and vice versa.\n\n### 2.0 What this License covers\n\n2.1. Legal effect of this document. This License is:\n\n  a. A license of applicable copyright and neighbouring rights;\n\n  b. A license of the Database Right; and\n\n  c. An agreement in contract between You and the Licensor.\n\n2.2 Legal rights covered. This License covers the legal rights in the\nDatabase, including:\n\n  a. Copyright. Any copyright or neighbouring rights in the Database.\n  The copyright licensed includes any individual elements of the\n  Database, but does not cover the copyright over the Contents\n  independent of this Database. See Section 2.4 for details. Copyright\n  law varies between jurisdictions, but is likely to cover: the Database\n  model or schema, which is the structure, arrangement, and organisation\n  of the Database, and can also include the Database tables and table\n  indexes; the data entry and output sheets; and the Field names of\n  Contents stored in the Database;\n\n  b. Database Rights. Database Rights only extend to the Extraction and\n  Re-utilisation of the whole or a Substantial part of the Contents.\n  Database Rights can apply even when there is no copyright over the\n  Database. Database Rights can also apply when the Contents are removed\n  from the Database and are selected and arranged in a way that would\n  not infringe any applicable copyright; and\n\n  c. Contract. This is an agreement between You and the Licensor for\n  access to the Database. In return you agree to certain conditions of\n  use on this access as outlined in this License.\n\n2.3 Rights not covered.\n\n  a. This License does not apply to computer programs used in the making\n  or operation of the Database;\n\n  b. This License does not cover any patents over the Contents or the\n  Database; and\n\n  c. This License does not cover any trademarks associated with the\n  Database.\n\n2.4 Relationship to Contents in the Database. The individual items of\nthe Contents contained in this Database may be covered by other rights,\nincluding copyright, patent, data protection, privacy, or personality\nrights, and this License does not cover any rights (other than Database\nRights or in contract) in individual Contents contained in the Database.\nFor example, if used on a Database of images (the Contents), this\nLicense would not apply to copyright over individual images, which could\nhave their own separate licenses, or one single license covering all of\nthe rights over the images.\n\n### 3.0 Rights granted\n\n3.1 Subject to the terms and conditions of this License, the Licensor\ngrants to You a worldwide, royalty-free, non-exclusive, terminable (but\nonly under Section 9) license to Use the Database for the duration of\nany applicable copyright and Database Rights. These rights explicitly\ninclude commercial use, and do not exclude any field of endeavour. To\nthe extent possible in the relevant jurisdiction, these rights may be\nexercised in all media and formats whether now known or created in the\nfuture.\n\nThe rights granted cover, for example:\n\n  a. Extraction and Re-utilisation of the whole or a Substantial part of\n  the Contents;\n\n  b. Creation of Derivative Databases;\n\n  c. Creation of Collective Databases;\n\n  d. Creation of temporary or permanent reproductions by any means and\n  in any form, in whole or in part, including of any Derivative\n  Databases or as a part of Collective Databases; and\n\n  e. Distribution, communication, display, lending, making available, or\n  performance to the public by any means and in any form, in whole or in\n  part, including of any Derivative Database or as a part of Collective\n  Databases.\n\n3.2 Compulsory license schemes. For the avoidance of doubt:\n\n  a. Non-waivable compulsory license schemes. In those jurisdictions in\n  which the right to collect royalties through any statutory or\n  compulsory licensing scheme cannot be waived, the Licensor reserves\n  the exclusive right to collect such royalties for any exercise by You\n  of the rights granted under this License;\n\n  b. Waivable compulsory license schemes. In those jurisdictions in\n  which the right to collect royalties through any statutory or\n  compulsory licensing scheme can be waived, the Licensor waives the\n  exclusive right to collect such royalties for any exercise by You of\n  the rights granted under this License; and,\n\n  c. Voluntary license schemes. The Licensor waives the right to collect\n  royalties, whether individually or, in the event that the Licensor is\n  a member of a collecting society that administers voluntary licensing\n  schemes, via that society, from any exercise by You of the rights\n  granted under this License.\n\n3.3 The right to release the Database under different terms, or to stop\ndistributing or making available the Database, is reserved. Note that\nthis Database may be multiple-licensed, and so You may have the choice\nof using alternative licenses for this Database. Subject to Section\n10.4, all other rights not expressly granted by Licensor are reserved.\n\n### 4.0 Conditions of Use\n\n4.1 The rights granted in Section 3 above are expressly made subject to\nYour complying with the following conditions of use. These are important\nconditions of this License, and if You fail to follow them, You will be\nin material breach of its terms.\n\n4.2 Notices. If You Publicly Convey this Database, any Derivative\nDatabase, or the Database as part of a Collective Database, then You\nmust:\n\n  a. Do so only under the terms of this License or another license\n  permitted under Section 4.4;\n\n  b. Include a copy of this License (or, as applicable, a license\n  permitted under Section 4.4) or its Uniform Resource Identifier (URI)\n  with the Database or Derivative Database, including both in the\n  Database or Derivative Database and in any relevant documentation; and\n\n  c. Keep intact any copyright or Database Right notices and notices\n  that refer to this License.\n\n  d. If it is not possible to put the required notices in a particular\n  file due to its structure, then You must include the notices in a\n  location (such as a relevant directory) where users would be likely to\n  look for it.\n\n4.3 Notice for using output (Contents). Creating and Using a Produced\nWork does not require the notice in Section 4.2. However, if you\nPublicly Use a Produced Work, You must include a notice associated with\nthe Produced Work reasonably calculated to make any Person that uses,\nviews, accesses, interacts with, or is otherwise exposed to the Produced\nWork aware that Content was obtained from the Database, Derivative\nDatabase, or the Database as part of a Collective Database, and that it\nis available under this License.\n\n  a. Example notice. The following text will satisfy notice under\n  Section 4.3:\n\n		Contains information from DATABASE NAME, which is made available\n		here under the Open Database License (ODbL).\n\nDATABASE NAME should be replaced with the name of the Database and a\nhyperlink to the URI of the Database. \"Open Database License\" should\ncontain a hyperlink to the URI of the text of this License. If\nhyperlinks are not possible, You should include the plain text of the\nrequired URI's with the above notice.\n\n4.4 Share alike.\n\n  a. Any Derivative Database that You Publicly Use must be only under\n  the terms of:\n\n	i. This License;\n\n	ii. A later version of this License similar in spirit to this\n	  License; or\n\n	iii. A compatible license.\n\n  If You license the Derivative Database under one of the licenses\n  mentioned in (iii), You must comply with the terms of that license.\n\n  b. For the avoidance of doubt, Extraction or Re-utilisation of the\n  whole or a Substantial part of the Contents into a new database is a\n  Derivative Database and must comply with Section 4.4.\n\n  c. Derivative Databases and Produced Works.  A Derivative Database is\n  Publicly Used and so must comply with Section 4.4. if a Produced Work\n  created from the Derivative Database is Publicly Used.\n\n  d. Share Alike and additional Contents. For the avoidance of doubt,\n  You must not add Contents to Derivative Databases under Section 4.4 a\n  that are incompatible with the rights granted under this License.\n\n  e. Compatible licenses. Licensors may authorise a proxy to determine\n  compatible licenses under Section 4.4 a iii. If they do so, the\n  authorised proxy's public statement of acceptance of a compatible\n  license grants You permission to use the compatible license.\n\n\n4.5 Limits of Share Alike.  The requirements of Section 4.4 do not apply\nin the following:\n\n  a. For the avoidance of doubt, You are not required to license\n  Collective Databases under this License if You incorporate this\n  Database or a Derivative Database in the collection, but this License\n  still applies to this Database or a Derivative Database as a part of\n  the Collective Database;\n\n  b. Using this Database, a Derivative Database, or this Database as\n  part of a Collective Database to create a Produced Work does not\n  create a Derivative Database for purposes of  Section 4.4; and\n\n  c. Use of a Derivative Database internally within an organisation is\n  not to the public and therefore does not fall under the requirements\n  of Section 4.4.\n\n4.6 Access to Derivative Databases. If You Publicly Use a Derivative\nDatabase or a Produced Work from a Derivative Database, You must also\noffer to recipients of the Derivative Database or Produced Work a copy\nin a machine readable form of:\n\n  a. The entire Derivative Database; or\n\n  b. A file containing all of the alterations made to the Database or\n  the method of making the alterations to the Database (such as an\n  algorithm), including any additional Contents, that make up all the\n  differences between the Database and the Derivative Database.\n\nThe Derivative Database (under a.) or alteration file (under b.) must be\navailable at no more than a reasonable production cost for physical\ndistributions and free of charge if distributed over the internet.\n\n4.7 Technological measures and additional terms\n\n  a. This License does not allow You to impose (except subject to\n  Section 4.7 b.)  any terms or any technological measures on the\n  Database, a Derivative Database, or the whole or a Substantial part of\n  the Contents that alter or restrict the terms of this License, or any\n  rights granted under it, or have the effect or intent of restricting\n  the ability of any person to exercise those rights.\n\n  b. Parallel distribution. You may impose terms or technological\n  measures on the Database, a Derivative Database, or the whole or a\n  Substantial part of the Contents (a \"Restricted Database\") in\n  contravention of Section 4.74 a. only if You also make a copy of the\n  Database or a Derivative Database available to the recipient of the\n  Restricted Database:\n\n	i. That is available without additional fee;\n\n	ii. That is available in a medium that does not alter or restrict\n	the terms of this License, or any rights granted under it, or have\n	the effect or intent of restricting the ability of any person to\n	exercise those rights (an \"Unrestricted Database\"); and\n\n	iii. The Unrestricted Database is at least as accessible to the\n	recipient as a practical matter as the Restricted Database.\n\n  c. For the avoidance of doubt, You may place this Database or a\n  Derivative Database in an authenticated environment, behind a\n  password, or within a similar access control scheme provided that You\n  do not alter or restrict the terms of this License or any rights\n  granted under it or have the effect or intent of restricting the\n  ability of any person to exercise those rights.\n\n4.8 Licensing of others. You may not sublicense the Database. Each time\nYou communicate the Database, the whole or Substantial part of the\nContents, or any Derivative Database to anyone else in any way, the\nLicensor offers to the recipient a license to the Database on the same\nterms and conditions as this License. You are not responsible for\nenforcing compliance by third parties with this License, but You may\nenforce any rights that You have over a Derivative Database. You are\nsolely responsible for any modifications of a Derivative Database made\nby You or another Person at Your direction. You may not impose any\nfurther restrictions on the exercise of the rights granted or affirmed\nunder this License.\n\n### 5.0 Moral rights\n\n5.1 Moral rights. This section covers moral rights, including any rights\nto be identified as the author of the Database or to object to treatment\nthat would otherwise prejudice the author's honour and reputation, or\nany other derogatory treatment:\n\n  a. For jurisdictions allowing waiver of moral rights, Licensor waives\n  all moral rights that Licensor may have in the Database to the fullest\n  extent possible by the law of the relevant jurisdiction under Section\n  10.4;\n\n  b. If waiver of moral rights under Section 5.1 a in the relevant\n  jurisdiction is not possible, Licensor agrees not to assert any moral\n  rights over the Database and waives all claims in moral rights to the\n  fullest extent possible by the law of the relevant jurisdiction under\n  Section 10.4; and\n\n  c. For jurisdictions not allowing waiver or an agreement not to assert\n  moral rights under Section 5.1 a and b, the author may retain their\n  moral rights over certain aspects of the Database.\n\nPlease note that some jurisdictions do not allow for the waiver of moral\nrights, and so moral rights may still subsist over the Database in some\njurisdictions.\n\n### 6.0 Fair dealing, Database exceptions, and other rights not affected\n\n6.1 This License does not affect any rights that You or anyone else may\nindependently have under any applicable law to make any use of this\nDatabase, including without limitation:\n\n  a. Exceptions to the Database Right including: Extraction of Contents\n  from non-electronic Databases for private purposes, Extraction for\n  purposes of illustration for teaching or scientific research, and\n  Extraction or Re-utilisation for public security or an administrative\n  or judicial procedure.\n\n  b. Fair dealing, fair use, or any other legally recognised limitation\n  or exception to infringement of copyright or other applicable laws.\n\n6.2 This License does not affect any rights of lawful users to Extract\nand Re-utilise insubstantial parts of the Contents, evaluated\nquantitatively or qualitatively, for any purposes whatsoever, including\ncreating a Derivative Database (subject to other rights over the\nContents, see Section 2.4). The repeated and systematic Extraction or\nRe-utilisation of insubstantial parts of the Contents may however amount\nto the Extraction or Re-utilisation of a Substantial part of the\nContents.\n\n### 7.0 Warranties and Disclaimer\n\n7.1 The Database is licensed by the Licensor \"as is\" and without any\nwarranty of any kind, either express, implied, or arising by statute,\ncustom, course of dealing, or trade usage. Licensor specifically\ndisclaims any and all implied warranties or conditions of title,\nnon-infringement, accuracy or completeness, the presence or absence of\nerrors, fitness for a particular purpose, merchantability, or otherwise.\nSome jurisdictions do not allow the exclusion of implied warranties, so\nthis exclusion may not apply to You.\n\n### 8.0 Limitation of liability\n\n8.1 Subject to any liability that may not be excluded or limited by law,\nthe Licensor is not liable for, and expressly excludes, all liability\nfor loss or damage however and whenever caused to anyone by any use\nunder this License, whether by You or by anyone else, and whether caused\nby any fault on the part of the Licensor or not. This exclusion of\nliability includes, but is not limited to, any special, incidental,\nconsequential, punitive, or exemplary damages such as loss of revenue,\ndata, anticipated profits, and lost business. This exclusion applies\neven if the Licensor has been advised of the possibility of such\ndamages.\n\n8.2 If liability may not be excluded by law, it is limited to actual and\ndirect financial loss to the extent it is caused by proved negligence on\nthe part of the Licensor.\n\n### 9.0 Termination of Your rights under this License\n\n9.1 Any breach by You of the terms and conditions of this License\nautomatically terminates this License with immediate effect and without\nnotice to You. For the avoidance of doubt, Persons who have received the\nDatabase, the whole or a Substantial part of the Contents, Derivative\nDatabases, or the Database as part of a Collective Database from You\nunder this License will not have their licenses terminated provided\ntheir use is in full compliance with this License or a license granted\nunder Section 4.8 of this License.  Sections 1, 2, 7, 8, 9 and 10 will\nsurvive any termination of this License.\n\n9.2 If You are not in breach of the terms of this License, the Licensor\nwill not terminate Your rights under it.\n\n9.3 Unless terminated under Section 9.1, this License is granted to You\nfor the duration of applicable rights in the Database.\n\n9.4 Reinstatement of rights. If you cease any breach of the terms and\nconditions of this License, then your full rights under this License\nwill be reinstated:\n\n  a. Provisionally and subject to permanent termination until the 60th\n  day after cessation of breach;\n\n  b. Permanently on the 60th day after cessation of breach unless\n  otherwise reasonably notified by the Licensor; or\n\n  c.  Permanently if reasonably notified by the Licensor of the\n  violation, this is the first time You have received notice of\n  violation of this License from  the Licensor, and You cure the\n  violation prior to 30 days after your receipt of the notice.\n\nPersons subject to permanent termination of rights are not eligible to\nbe a recipient and receive a license under Section 4.8.\n\n9.5 Notwithstanding the above, Licensor reserves the right to release\nthe Database under different license terms or to stop distributing or\nmaking available the Database. Releasing the Database under different\nlicense terms or stopping the distribution of the Database will not\nwithdraw this License (or any other license that has been, or is\nrequired to be, granted under the terms of this License), and this\nLicense will continue in full force and effect unless terminated as\nstated above.\n\n### 10.0 General\n\n10.1 If any provision of this License is held to be invalid or\nunenforceable, that must not affect the validity or enforceability of\nthe remainder of the terms and conditions of this License and each\nremaining provision of this License shall be valid and enforced to the\nfullest extent permitted by law.\n\n10.2 This License is the entire agreement between the parties with\nrespect to the rights granted here over the Database. It replaces any\nearlier understandings, agreements or representations with respect to\nthe Database.\n\n10.3 If You are in breach of the terms of this License, You will not be\nentitled to rely on the terms of this License or to complain of any\nbreach by the Licensor.\n\n10.4 Choice of law. This License takes effect in and will be governed by\nthe laws of the relevant jurisdiction in which the License terms are\nsought to be enforced. If the standard suite of rights granted under\napplicable copyright law and Database Rights in the relevant\njurisdiction includes additional rights not granted under this License,\nthese additional rights are granted in this License in order to meet the\nterms of this License.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<var;name=\"header1\";original=\"\";match=\"#*\">>\n\nOpen Data Commons Open Database License (ODbL)\n\n<<endOptional>><<beginOptional>> <<var;name=\"header2\";original=\"\";match=\"#*\">>\n\nPreamble\n\nThe Open Database License (ODbL) is a license agreement intended to allow users to freely share, modify, and use this Database while maintaining this same freedom for others. Many databases are covered by copyright, and therefore this document licenses these rights. Some jurisdictions, mainly in the European Union, have specific rights that cover databases, and so the ODbL addresses these rights, too. Finally, the ODbL is also an agreement in contract for users of this Database to act in certain ways in return for accessing this Database.\n\nDatabases can contain a wide variety of types of content (images, audiovisual material, and sounds all in the same database, for example), and so the ODbL only governs the rights over the Database, and not the contents of the Database individually. Licensors should use the ODbL together with another license for the contents, if the contents have a single set of rights that uniformly covers all of the contents. If the contents have multiple sets of different rights, Licensors should describe what rights govern what contents together in the individual record or in some other way that clarifies what rights apply.\n\nSometimes the contents of a database, or the database itself, can be covered by other rights not addressed here (such as private contracts, trade mark over the name, or privacy rights / data protection rights over information in the contents), and so you are advised that you may have to consult other documents or clear other rights before doing activities not covered by this License.\n\n------\n\n<<endOptional>>\n\nThe Licensor (as defined below)\n\nand\n\nYou (as defined below)\n\nagree as follows:\n\n   <<var;name=\"bullet\";original=\"1.0\";match=\".{0,20}\">> Definitions of Capitalised Words\n\n   \"Collective Database\" - Means this Database in unmodified form as part of a collection of independent databases in themselves that together are assembled into a collective whole. A work that constitutes a Collective Database will not be considered a Derivative Database.\n\n   \"Convey\" - As a verb, means Using the Database, a Derivative Database, or the Database as part of a Collective Database in any way that enables a Person to make or receive copies of the Database or a Derivative Database. Conveying does not include interaction with a user through a computer network, or creating and Using a Produced Work, where no transfer of a copy of the Database or a Derivative Database occurs.\n\n   \"Contents\" - The contents of this Database, which includes the information, independent works, or other material collected into the Database. For example, the contents of the Database could be factual data or works such as images, audiovisual material, text, or sounds.\n\n   \"Database\" - A collection of material (the Contents) arranged in a systematic or methodical way and individually accessible by electronic or other means offered under the terms of this License.\n\n   \"Database Directive\" - Means Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended or succeeded.\n\n   \"Database Right\" - Means rights resulting from the Chapter III (\"sui generis\") rights in the Database Directive (as amended and as transposed by member states), which includes the Extraction and Re-utilisation of the whole or a Substantial part of the Contents, as well as any similar rights available in the relevant jurisdiction under Section 10.4.\n\n   \"Derivative Database\" - Means a database based upon the Database, and includes any translation, adaptation, arrangement, modification, or any other alteration of the Database or of a Substantial part of the Contents. This includes, but is not limited to, Extracting or Re-utilising the whole or a Substantial part of the Contents in a new Database.\n\n   \"Extraction\" - Means the permanent or temporary transfer of all or a Substantial part of the Contents to another medium by any means or in any form.\n\n   \"License\" - Means this license agreement and is both a license of rights such as copyright and Database Rights and an agreement in contract.\n\n   \"Licensor\" - Means the Person that offers the Database under the terms of this License.\n\n   \"Person\" - Means a natural or legal person or a body of persons corporate or incorporate.\n\n   \"Produced Work\" - a work (such as an image, audiovisual material, text, or sounds) resulting from using the whole or a Substantial part of the Contents (via a search or other query) from this Database, a Derivative Database, or this Database as part of a Collective Database.\n\n   \"Publicly\" - means to Persons other than You or under Your control by either more than 50% ownership or by the power to direct their activities (such as contracting with an independent consultant).\n\n   \"Re-utilisation\" - means any form of making available to the public all or a Substantial part of the Contents by the distribution of copies, by renting, by online or other forms of transmission.\n\n   \"Substantial\" - Means substantial in terms of quantity or quality or a combination of both. The repeated and systematic Extraction or Re-utilisation of insubstantial parts of the Contents may amount to the Extraction or Re-utilisation of a Substantial part of the Contents.\n\n   \"Use\" - As a verb, means doing any act that is restricted by copyright or Database Rights whether in the original medium or any other; and includes without limitation distributing, copying, publicly performing, publicly displaying, and preparing derivative works of the Database, as well as modifying the Database as may be technically necessary to use it in a different mode or format.\n\n   \"You\" - Means a Person exercising rights under this License who has not previously violated the terms of this License with respect to the Database, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   Words in the singular include the plural and vice versa.\n\n   <<var;name=\"bullet\";original=\"2.0\";match=\".{0,20}\">> What this License covers\n\n   <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> Legal effect of this document. This License is:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> A license of applicable copyright and neighbouring rights;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> A license of the Database Right; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> An agreement in contract between You and the Licensor.\n\n   <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> Legal rights covered. This License covers the legal rights in the Database, including:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Copyright. Any copyright or neighbouring rights in the Database. The copyright licensed includes any individual elements of the Database, but does not cover the copyright over the Contents independent of this Database. See Section 2.4 for details. Copyright law varies between jurisdictions, but is likely to cover: the Database model or schema, which is the structure, arrangement, and organisation of the Database, and can also include the Database tables and table indexes; the data entry and output sheets; and the Field names of Contents stored in the Database;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Database Rights. Database Rights only extend to the Extraction and Re-utilisation of the whole or a Substantial part of the Contents. Database Rights can apply even when there is no copyright over the Database. Database Rights can also apply when the Contents are removed from the Database and are selected and arranged in a way that would not infringe any applicable copyright; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Contract. This is an agreement between You and the Licensor for access to the Database. In return you agree to certain conditions of use on this access as outlined in this License.\n\n   <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> Rights not covered.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License does not apply to computer programs used in the making or operation of the Database;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> This License does not cover any patents over the Contents or the Database; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> This License does not cover any trademarks associated with the Database.\n\n   <<var;name=\"bullet\";original=\"2.4\";match=\".{0,20}\">> Relationship to Contents in the Database. The individual items of the Contents contained in this Database may be covered by other rights, including copyright, patent, data protection, privacy, or personality rights, and this License does not cover any rights (other than Database Rights or in contract) in individual Contents contained in the Database. For example, if used on a Database of images (the Contents), this License would not apply to copyright over individual images, which could have their own separate licenses, or one single license covering all of the rights over the images.\n\n   <<var;name=\"bullet\";original=\"3.0\";match=\".{0,20}\">> Rights granted\n\n   <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> Subject to the terms and conditions of this License, the Licensor grants to You a worldwide, royalty-free, non-exclusive, terminable (but only under Section 9) license to Use the Database for the duration of any applicable copyright and Database Rights. These rights explicitly include commercial use, and do not exclude any field of endeavour. To the extent possible in the relevant jurisdiction, these rights may be exercised in all media and formats whether now known or created in the future.\n\n   The rights granted cover, for example:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Extraction and Re-utilisation of the whole or a Substantial part of the Contents;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Creation of Derivative Databases;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Creation of Collective Databases;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Creation of temporary or permanent reproductions by any means and in any form, in whole or in part, including of any Derivative Databases or as a part of Collective Databases; and\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Distribution, communication, display, lending, making available, or performance to the public by any means and in any form, in whole or in part, including of any Derivative Database or as a part of Collective Databases.\n\n   <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> Compulsory license schemes. For the avoidance of doubt:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Non-waivable compulsory license schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Waivable compulsory license schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Voluntary license schemes. The Licensor waives the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License.\n\n   <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> The right to release the Database under different terms, or to stop distributing or making available the Database, is reserved. Note that this Database may be multiple-licensed, and so You may have the choice of using alternative licenses for this Database. Subject to Section 10.4, all other rights not expressly granted by Licensor are reserved.\n\n   <<var;name=\"bullet\";original=\"4.0\";match=\".{0,20}\">> Conditions of Use\n\n   <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> The rights granted in Section 3 above are expressly made subject to Your complying with the following conditions of use. These are important conditions of this License, and if You fail to follow them, You will be in material breach of its terms.\n\n   <<var;name=\"bullet\";original=\"4.2\";match=\".{0,20}\">> Notices. If You Publicly Convey this Database, any Derivative Database, or the Database as part of a Collective Database, then You must:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Do so only under the terms of this License or another license permitted under Section 4.4;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Include a copy of this License (or, as applicable, a license permitted under Section 4.4) or its Uniform Resource Identifier (URI) with the Database or Derivative Database, including both in the Database or Derivative Database and in any relevant documentation; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Keep intact any copyright or Database Right notices and notices that refer to this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> If it is not possible to put the required notices in a particular file due to its structure, then You must include the notices in a location (such as a relevant directory) where users would be likely to look for it.\n\n   <<var;name=\"bullet\";original=\"4.3\";match=\".{0,20}\">> Notice for using output (Contents). Creating and Using a Produced Work does not require the notice in Section 4.2. However, if you Publicly Use a Produced Work, You must include a notice associated with the Produced Work reasonably calculated to make any Person that uses, views, accesses, interacts with, or is otherwise exposed to the Produced Work aware that Content was obtained from the Database, Derivative Database, or the Database as part of a Collective Database, and that it is available under this License.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Example notice. The following text will satisfy notice under Section 4.3:\n\n	  Contains information from DATABASE NAME, which is made available here under the Open Database License (ODbL).\n\n	  DATABASE NAME should be replaced with the name of the Database and a hyperlink to the URI of the Database. \"Open Database License\" should contain a hyperlink to the URI of the text of this License. If hyperlinks are not possible, You should include the plain text of the required URI's with the above notice.\n\n   <<var;name=\"bullet\";original=\"4.4\";match=\".{0,20}\">> Share alike.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Any Derivative Database that You Publicly Use must be only under the terms of:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> This License;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> A later version of this License similar in spirit to this License; or\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> A compatible license.\n\n		 If You license the Derivative Database under one of the licenses mentioned in (iii), You must comply with the terms of that license.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> For the avoidance of doubt, Extraction or Re-utilisation of the whole or a Substantial part of the Contents into a new database is a Derivative Database and must comply with Section 4.4.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Derivative Databases and Produced Works. A Derivative Database is Publicly Used and so must comply with Section 4.4. if a Produced Work created from the Derivative Database is Publicly Used.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Share Alike and additional Contents. For the avoidance of doubt, You must not add Contents to Derivative Databases under Section 4.4 a that are incompatible with the rights granted under this License.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Compatible licenses. Licensors may authorise a proxy to determine compatible licenses under Section 4.4 a iii. If they do so, the authorised proxy's public statement of acceptance of a compatible license grants You permission to use the compatible license.\n\n   <<var;name=\"bullet\";original=\"4.5\";match=\".{0,20}\">> Limits of Share Alike. The requirements of Section 4.4 do not apply in the following:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> For the avoidance of doubt, You are not required to license Collective Databases under this License if You incorporate this Database or a Derivative Database in the collection, but this License still applies to this Database or a Derivative Database as a part of the Collective Database;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Using this Database, a Derivative Database, or this Database as part of a Collective Database to create a Produced Work does not create a Derivative Database for purposes of Section 4.4; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Use of a Derivative Database internally within an organisation is not to the public and therefore does not fall under the requirements of Section 4.4.\n\n   <<var;name=\"bullet\";original=\"4.6\";match=\".{0,20}\">> Access to Derivative Databases. If You Publicly Use a Derivative Database or a Produced Work from a Derivative Database, You must also offer to recipients of the Derivative Database or Produced Work a copy in a machine readable form of:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> The entire Derivative Database; or\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> A file containing all of the alterations made to the Database or the method of making the alterations to the Database (such as an algorithm), including any additional Contents, that make up all the differences between the Database and the Derivative Database.\n\n	  The Derivative Database (under a.) or alteration file (under b.) must be available at no more than a reasonable production cost for physical distributions and free of charge if distributed over the internet.\n\n   <<var;name=\"bullet\";original=\"4.7\";match=\".{0,20}\">> Technological measures and additional terms\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License does not allow You to impose (except subject to Section 4.7 b.) any terms or any technological measures on the Database, a Derivative Database, or the whole or a Substantial part of the Contents that alter or restrict the terms of this License, or any rights granted under it, or have the effect or intent of restricting the ability of any person to exercise those rights.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Parallel distribution. You may impose terms or technological measures on the Database, a Derivative Database, or the whole or a Substantial part of the Contents (a \"Restricted Database\") in contravention of Section 4.74 a. only if You also make a copy of the Database or a Derivative Database available to the recipient of the Restricted Database:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> That is available without additional fee;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> That is available in a medium that does not alter or restrict the terms of this License, or any rights granted under it, or have the effect or intent of restricting the ability of any person to exercise those rights (an \"Unrestricted Database\"); and\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> The Unrestricted Database is at least as accessible to the recipient as a practical matter as the Restricted Database.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For the avoidance of doubt, You may place this Database or a Derivative Database in an authenticated environment, behind a password, or within a similar access control scheme provided that You do not alter or restrict the terms of this License or any rights granted under it or have the effect or intent of restricting the ability of any person to exercise those rights.\n\n   <<var;name=\"bullet\";original=\"4.8\";match=\".{0,20}\">> Licensing of others. You may not sublicense the Database. Each time You communicate the Database, the whole or Substantial part of the Contents, or any Derivative Database to anyone else in any way, the Licensor offers to the recipient a license to the Database on the same terms and conditions as this License. You are not responsible for enforcing compliance by third parties with this License, but You may enforce any rights that You have over a Derivative Database. You are solely responsible for any modifications of a Derivative Database made by You or another Person at Your direction. You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License.\n\n   <<var;name=\"bullet\";original=\"5.0\";match=\".{0,20}\">> Moral rights\n\n   <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> Moral rights. This section covers moral rights, including any rights to be identified as the author of the Database or to object to treatment that would otherwise prejudice the author's honour and reputation, or any other derogatory treatment:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> For jurisdictions allowing waiver of moral rights, Licensor waives all moral rights that Licensor may have in the Database to the fullest extent possible by the law of the relevant jurisdiction under Section 10.4;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If waiver of moral rights under Section 5.1 a in the relevant jurisdiction is not possible, Licensor agrees not to assert any moral rights over the Database and waives all claims in moral rights to the fullest extent possible by the law of the relevant jurisdiction under Section 10.4; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For jurisdictions not allowing waiver or an agreement not to assert moral rights under Section 5.1 a and b, the author may retain their moral rights over certain aspects of the Database.\n\n	  Please note that some jurisdictions do not allow for the waiver of moral rights, and so moral rights may still subsist over the Database in some jurisdictions.\n\n   <<var;name=\"bullet\";original=\"6.0\";match=\".{0,20}\">> Fair dealing, Database exceptions, and other rights not affected\n\n   <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> This License does not affect any rights that You or anyone else may independently have under any applicable law to make any use of this Database, including without limitation:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Exceptions to the Database Right including: Extraction of Contents from non-electronic Databases for private purposes, Extraction for purposes of illustration for teaching or scientific research, and Extraction or Re-utilisation for public security or an administrative or judicial procedure.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Fair dealing, fair use, or any other legally recognised limitation or exception to infringement of copyright or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> This License does not affect any rights of lawful users to Extract and Re-utilise insubstantial parts of the Contents, evaluated quantitatively or qualitatively, for any purposes whatsoever, including creating a Derivative Database (subject to other rights over the Contents, see Section 2.4). The repeated and systematic Extraction or Re-utilisation of insubstantial parts of the Contents may however amount to the Extraction or Re-utilisation of a Substantial part of the Contents.\n\n   <<var;name=\"bullet\";original=\"7.0\";match=\".{0,20}\">> Warranties and Disclaimer\n\n   <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> The Database is licensed by the Licensor \"as is\" and without any warranty of any kind, either express, implied, or arising by statute, custom, course of dealing, or trade usage. Licensor specifically disclaims any and all implied warranties or conditions of title, non-infringement, accuracy or completeness, the presence or absence of errors, fitness for a particular purpose, merchantability, or otherwise. Some jurisdictions do not allow the exclusion of implied warranties, so this exclusion may not apply to You.\n\n   <<var;name=\"bullet\";original=\"8.0\";match=\".{0,20}\">> Limitation of liability\n\n   <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> Subject to any liability that may not be excluded or limited by law, the Licensor is not liable for, and expressly excludes, all liability for loss or damage however and whenever caused to anyone by any use under this License, whether by You or by anyone else, and whether caused by any fault on the part of the Licensor or not. This exclusion of liability includes, but is not limited to, any special, incidental, consequential, punitive, or exemplary damages such as loss of revenue, data, anticipated profits, and lost business. This exclusion applies even if the Licensor has been advised of the possibility of such damages.\n\n   <<var;name=\"bullet\";original=\"8.2\";match=\".{0,20}\">> If liability may not be excluded by law, it is limited to actual and direct financial loss to the extent it is caused by proved negligence on the part of the Licensor.\n\n   <<var;name=\"bullet\";original=\"9.0\";match=\".{0,20}\">> Termination of Your rights under this License\n\n   <<var;name=\"bullet\";original=\"9.1\";match=\".{0,20}\">> Any breach by You of the terms and conditions of this License automatically terminates this License with immediate effect and without notice to You. For the avoidance of doubt, Persons who have received the Database, the whole or a Substantial part of the Contents, Derivative Databases, or the Database as part of a Collective Database from You under this License will not have their licenses terminated provided their use is in full compliance with this License or a license granted under Section 4.8 of this License. Sections 1, 2, 7, 8, 9 and 10 will survive any termination of this License.\n\n   <<var;name=\"bullet\";original=\"9.2\";match=\".{0,20}\">> If You are not in breach of the terms of this License, the Licensor will not terminate Your rights under it.\n\n   <<var;name=\"bullet\";original=\"9.3\";match=\".{0,20}\">> Unless terminated under Section 9.1, this License is granted to You for the duration of applicable rights in the Database.\n\n   <<var;name=\"bullet\";original=\"9.4\";match=\".{0,20}\">> Reinstatement of rights. If you cease any breach of the terms and conditions of this License, then your full rights under this License will be reinstated:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Provisionally and subject to permanent termination until the 60th day after cessation of breach;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Permanently on the 60th day after cessation of breach unless otherwise reasonably notified by the Licensor; or\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Permanently if reasonably notified by the Licensor of the violation, this is the first time You have received notice of violation of this License from the Licensor, and You cure the violation prior to 30 days after your receipt of the notice.\n\n	  Persons subject to permanent termination of rights are not eligible to be a recipient and receive a license under Section 4.8.\n\n   <<var;name=\"bullet\";original=\"9.5\";match=\".{0,20}\">> Notwithstanding the above, Licensor reserves the right to release the Database under different license terms or to stop distributing or making available the Database. Releasing the Database under different license terms or stopping the distribution of the Database will not withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"10.0\";match=\".{0,20}\">> General\n\n   <<var;name=\"bullet\";original=\"10.1\";match=\".{0,20}\">> If any provision of this License is held to be invalid or unenforceable, that must not affect the validity or enforceability of the remainder of the terms and conditions of this License and each remaining provision of this License shall be valid and enforced to the fullest extent permitted by law.\n\n   <<var;name=\"bullet\";original=\"10.2\";match=\".{0,20}\">> This License is the entire agreement between the parties with respect to the rights granted here over the Database. It replaces any earlier understandings, agreements or representations with respect to the Database.\n\n   <<var;name=\"bullet\";original=\"10.3\";match=\".{0,20}\">> If You are in breach of the terms of this License, You will not be entitled to rely on the terms of this License or to complain of any breach by the Licensor.\n\n   <<var;name=\"bullet\";original=\"10.4\";match=\".{0,20}\">> Choice of law. This License takes effect in and will be governed by the laws of the relevant jurisdiction in which the License terms are sought to be enforced. If the standard suite of rights granted under applicable copyright law and Database Rights in the relevant jurisdiction includes additional rights not granted under this License, these additional rights are granted in this License in order to meet the terms of this License."
		self.name = "Open Data Commons Open Database License v1.0"
		self.licenseId = "ODbL-1.0"
		self.crossRef = [{"match": "True", "url": "https://opendatacommons.org/licenses/odbl/1-0/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:13Z", "isWayBackLink": False, "order": 1}, {"match": "True", "url": "http://www.opendatacommons.org/licenses/odbl/1.0/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:13Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.opendatacommons.org/licenses/odbl/1.0/", "https://opendatacommons.org/licenses/odbl/1-0/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<var class=\"replaceable-license-text\"> </var>\n		 <p>Open Data Commons Open Database License (ODbL)</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		<var class=\"replaceable-license-text\"> </var>\n		 <p>Preamble</p>\n\n		 <p>The Open Database License (ODbL) is a license agreement intended to allow users to freely share, modify,\n		 and use this Database while maintaining this same freedom for others. Many databases are covered by\n		 copyright, and therefore this document licenses these rights. Some jurisdictions, mainly in the\n		 European Union, have specific rights that cover databases, and so the ODbL addresses these rights,\n		 too. Finally, the ODbL is also an agreement in contract for users of this Database to act in certain\n		 ways in return for accessing this Database.</p>\n\n		 <p>Databases can contain a wide variety of types of content (images, audiovisual material, and sounds all in\n		 the same database, for example), and so the ODbL only governs the rights over the Database, and not\n		 the contents of the Database individually. Licensors should use the ODbL together with another license\n		 for the contents, if the contents have a single set of rights that uniformly covers all of the\n		 contents. If the contents have multiple sets of different rights, Licensors should describe what\n		 rights govern what contents together in the individual record or in some other way that clarifies what\n		 rights apply.</p>\n\n		 <p>Sometimes the contents of a database, or the database itself, can be covered by other rights not\n		 addressed here (such as private contracts, trade mark over the name, or privacy rights / data\n		 protection rights over information in the contents), and so you are advised that you may have to\n		 consult other documents or clear other rights before doing activities not covered by this License.</p>\n\n		 <p>------</p>\n\n	  </div>\n\n	  <p>The Licensor (as defined below)</p>\n\n	  <p>and</p>\n\n	  <p>You (as defined below)</p>\n\n	  <p>agree as follows:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.0</var>\n		  Definitions of Capitalised Words\n		  <p>&quot;Collective Database&quot; - Means this Database in unmodified form as part of a\n			 collection of independent databases in themselves that together are assembled into a\n			 collective whole. A work that constitutes a Collective Database will not be considered a\n			 Derivative Database.</p>\n\n			<p>&quot;Convey&quot; - As a verb, means Using the Database, a Derivative Database, or the\n			 Database as part of a Collective Database in any way that enables a Person to make or receive\n			 copies of the Database or a Derivative Database. Conveying does not include interaction with a\n			 user through a computer network, or creating and Using a Produced Work, where no transfer of a\n			 copy of the Database or a Derivative Database occurs.</p>\n\n			 <p>  &quot;Contents&quot; - The\n			 contents of this Database, which includes the information, independent works, or other\n			 material collected into the Database. For example, the contents of the Database could be\n			 factual data or works such as images, audiovisual material, text, or sounds.</p>\n\n			<p>&quot;Database&quot; - A collection of material (the Contents) arranged in a systematic or\n			 methodical way and individually accessible by electronic or other means offered under the\n			 terms of this License.</p>\n\n			<p>&quot;Database Directive&quot; - Means Directive 96/9/EC of the European Parliament and of\n			 the Council of 11 March 1996 on the legal protection of databases, as amended or\n			 succeeded.</p>\n\n			<p>&quot;Database Right&quot; - Means rights resulting from the Chapter III (&quot;sui\n			 generis&quot;) rights in the Database Directive (as amended and as transposed by member\n			 states), which includes the Extraction and Re-utilisation of the whole or a Substantial part\n			 of the Contents, as well as any similar rights available in the relevant jurisdiction under\n			 Section 10.4.</p>\n\n			<p>&quot;Derivative Database&quot; - Means a database based upon the Database, and includes\n			 any translation, adaptation, arrangement, modification, or any other alteration of the\n			 Database or of a Substantial part of the Contents. This includes, but is not limited to,\n			 Extracting or Re-utilising the whole or a Substantial part of the Contents in a new\n			 Database.</p>\n\n			<p>&quot;Extraction&quot; - Means the permanent or temporary transfer of all or a Substantial\n			 part of the Contents to another medium by any means or in any form.</p>\n\n			<p>&quot;License&quot; - Means this license agreement and is both a license of rights such as\n			 copyright and Database Rights and an agreement in contract.</p>\n\n			<p>&quot;Licensor&quot; - Means the Person that offers the Database under the terms of this\n			 License.</p>\n\n			<p>&quot;Person&quot; - Means a natural or legal person or a body of persons corporate or\n			 incorporate.</p>\n\n			<p>&quot;Produced Work&quot; - a work (such as an image, audiovisual material, text, or\n			 sounds) resulting from using the whole or a Substantial part of the Contents (via a search or\n			 other query) from this Database, a Derivative Database, or this Database as part of a\n			 Collective Database.</p>\n\n			<p>&quot;Publicly&quot; - means to Persons other than You or under Your control by either\n			 more than 50% ownership or by the power to direct their activities (such as contracting with\n			 an independent consultant).</p>\n\n			<p>&quot;Re-utilisation&quot; - means any form of making available to the public all or a\n			 Substantial part of the Contents by the distribution of copies, by renting, by online or other\n			 forms of transmission.</p>\n\n			<p>&quot;Substantial&quot; - Means substantial in terms of quantity or quality or a\n			 combination of both. The repeated and systematic Extraction or Re-utilisation of insubstantial\n			 parts of the Contents may amount to the Extraction or Re-utilisation of a Substantial part of\n			 the Contents.</p>\n\n			<p>&quot;Use&quot; - As a verb, means doing any act that is restricted by copyright or\n			 Database Rights whether in the original medium or any other; and includes without limitation\n			 distributing, copying, publicly performing, publicly displaying, and preparing derivative\n			 works of the Database, as well as modifying the Database as may be technically necessary to\n			 use it in a different mode or format.</p>\n\n			<p>&quot;You&quot; - Means a Person exercising rights under this License who has not\n			 previously violated the terms of this License with respect to the Database, or who has\n			 received express permission from the Licensor to exercise rights under this License despite a\n			 previous violation.</p>\n\n			<p>Words in the singular include the plural and vice versa.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.0</var>\n		  What this License covers\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.1.</var>\n		  Legal effect of this document. This License is:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			A license of applicable copyright and neighbouring rights;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			A license of the Database Right; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			An agreement in contract between You and the Licensor.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.2</var>\n		  Legal rights covered. This License covers the legal rights in the Database, including:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Copyright. Any copyright or neighbouring rights in the Database. The copyright licensed\n			   includes any individual elements of the Database, but does not cover the copyright over\n			   the Contents independent of this Database. See Section 2.4 for details. Copyright law\n			   varies between jurisdictions, but is likely to cover: the Database model or schema, which\n			   is the structure, arrangement, and organisation of the Database, and can also include the\n			   Database tables and table indexes; the data entry and output sheets; and the Field names\n			   of Contents stored in the Database;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Database Rights. Database Rights only extend to the Extraction and Re-utilisation of the\n			   whole or a Substantial part of the Contents. Database Rights can apply even when there is\n			   no copyright over the Database. Database Rights can also apply when the Contents are\n			   removed from the Database and are selected and arranged in a way that would not infringe\n			   any applicable copyright; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Contract. This is an agreement between You and the Licensor for access to the Database. In\n			   return you agree to certain conditions of use on this access as outlined in this\n			   License.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.3</var>\n		  Rights not covered.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License does not apply to computer programs used in the making or operation of the Database;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			This License does not cover any patents over the Contents or the Database; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			This License does not cover any trademarks associated with the Database.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.4</var>\n		  Relationship to Contents in the Database. The individual items of the Contents contained in this\n			 Database may be covered by other rights, including copyright, patent, data protection,\n			 privacy, or personality rights, and this License does not cover any rights (other than\n			 Database Rights or in contract) in individual Contents contained in the Database. For example,\n			 if used on a Database of images (the Contents), this License would not apply to copyright over\n			 individual images, which could have their own separate licenses, or one single license\n			 covering all of the rights over the images.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.0</var>\n		  Rights granted\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.1</var>\n		  Subject to the terms and conditions of this License, the Licensor grants to You a worldwide,\n			 royalty-free, non-exclusive, terminable (but only under Section 9) license to Use the Database\n			 for the duration of any applicable copyright and Database Rights. These rights explicitly\n			 include commercial use, and do not exclude any field of endeavour. To the extent possible in\n			 the relevant jurisdiction, these rights may be exercised in all media and formats whether now\n			 known or created in the future.\n		  <p>The rights granted cover, for example:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Extraction and Re-utilisation of the whole or a Substantial part of the Contents;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Creation of Derivative Databases;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Creation of Collective Databases;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			Creation of temporary or permanent reproductions by any means and in any form, in whole or in\n			   part, including of any Derivative Databases or as a part of Collective Databases; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			Distribution, communication, display, lending, making available, or performance to the public\n			   by any means and in any form, in whole or in part, including of any Derivative Database or\n			   as a part of Collective Databases.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.2</var>\n		  Compulsory license schemes. For the avoidance of doubt:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Non-waivable compulsory license schemes. In those jurisdictions in which the right to collect\n			   royalties through any statutory or compulsory licensing scheme cannot be waived, the\n			   Licensor reserves the exclusive right to collect such royalties for any exercise by You of\n			   the rights granted under this License;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Waivable compulsory license schemes. In those jurisdictions in which the right to collect\n			   royalties through any statutory or compulsory licensing scheme can be waived, the Licensor\n			   waives the exclusive right to collect such royalties for any exercise by You of the rights\n			   granted under this License; and,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Voluntary license schemes. The Licensor waives the right to collect royalties, whether\n			   individually or, in the event that the Licensor is a member of a collecting society that\n			   administers voluntary licensing schemes, via that society, from any exercise by You of the\n			   rights granted under this License.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.3</var>\n		  The right to release the Database under different terms, or to stop distributing or making\n			 available the Database, is reserved. Note that this Database may be multiple-licensed, and so\n			 You may have the choice of using alternative licenses for this Database. Subject to Section\n			 10.4, all other rights not expressly granted by Licensor are reserved.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.0</var>\n		  Conditions of Use\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.1</var>\n		  The rights granted in Section 3 above are expressly made subject to Your complying with the\n			 following conditions of use. These are important conditions of this License, and if You fail\n			 to follow them, You will be in material breach of its terms.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.2</var>\n		  Notices. If You Publicly Convey this Database, any Derivative Database, or the Database as part\n			 of a Collective Database, then You must:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Do so only under the terms of this License or another license permitted under Section 4.4;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Include a copy of this License (or, as applicable, a license permitted under Section 4.4) or\n			   its Uniform Resource Identifier (URI) with the Database or Derivative Database, including\n			   both in the Database or Derivative Database and in any relevant documentation; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Keep intact any copyright or Database Right notices and notices that refer to this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			If it is not possible to put the required notices in a particular file due to its structure,\n			   then You must include the notices in a location (such as a relevant directory) where users\n			   would be likely to look for it.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.3</var>\n		  Notice for using output (Contents). Creating and Using a Produced Work does not require the\n			 notice in Section 4.2. However, if you Publicly Use a Produced Work, You must include a notice\n			 associated with the Produced Work reasonably calculated to make any Person that uses, views,\n			 accesses, interacts with, or is otherwise exposed to the Produced Work aware that Content was\n			 obtained from the Database, Derivative Database, or the Database as part of a Collective\n			 Database, and that it is available under this License.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Example notice. The following text will satisfy notice under Section 4.3:\n			<p>Contains information from DATABASE NAME, which is made available here under the Open Database\n			   License (ODbL).</p>\n\n				  <p>DATABASE NAME should be replaced with the name of the Database and a hyperlink to the URI of\n			   the Database. &quot;Open Database License&quot; should contain a hyperlink to the URI of\n			   the text of this License. If hyperlinks are not possible, You should include the plain\n			   text of the required URI&apos;s with the above notice.</p>\n\n			   </li>\n\t	\n</ul>\n\t\t</li>\n\t\t\n<li>\n\t\t\t<var class=\"replaceable-license-text\"> 4.4</var>\n\t\t\tShare alike.\n\t\t\t\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Any Derivative Database that You Publicly Use must be only under the terms of:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  This License;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  A later version of this License similar in spirit to this License; or\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> iii.</var>\n			  A compatible license.\n			  <p>If You license the Derivative Database under one of the licenses mentioned in (iii), You\n				 must comply with the terms of that license.</p>\n\n					 </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			For the avoidance of doubt, Extraction or Re-utilisation of the whole or a Substantial part\n			   of the Contents into a new database is a Derivative Database and must comply with Section\n			   4.4.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Derivative Databases and Produced Works. A Derivative Database is Publicly Used and so must\n			   comply with Section 4.4. if a Produced Work created from the Derivative Database is\n			   Publicly Used.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			Share Alike and additional Contents. For the avoidance of doubt, You must not add Contents to\n			   Derivative Databases under Section 4.4 a that are incompatible with the rights granted\n			   under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			Compatible licenses. Licensors may authorise a proxy to determine compatible licenses under\n			   Section 4.4 a iii. If they do so, the authorised proxy&apos;s public statement of\n			   acceptance of a compatible license grants You permission to use the compatible\n			   license.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.5</var>\n		  Limits of Share Alike. The requirements of Section 4.4 do not apply in the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			For the avoidance of doubt, You are not required to license Collective Databases under this\n			   License if You incorporate this Database or a Derivative Database in the collection, but\n			   this License still applies to this Database or a Derivative Database as a part of the\n			   Collective Database;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Using this Database, a Derivative Database, or this Database as part of a Collective Database\n			   to create a Produced Work does not create a Derivative Database for purposes of Section\n			   4.4; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Use of a Derivative Database internally within an organisation is not to the public and\n			   therefore does not fall under the requirements of Section 4.4.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.6</var>\n		  Access to Derivative Databases. If You Publicly Use a Derivative Database or a Produced Work from\n			 a Derivative Database, You must also offer to recipients of the Derivative Database or\n			 Produced Work a copy in a machine readable form of:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			The entire Derivative Database; or\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			A file containing all of the alterations made to the Database or the method of making the\n			   alterations to the Database (such as an algorithm), including any additional Contents,\n			   that make up all the differences between the Database and the Derivative Database.\n			<p>The Derivative Database (under a.) or alteration file (under b.) must be available at no more\n			   than a reasonable production cost for physical distributions and free of charge if\n			   distributed over the internet.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.7</var>\n		  Technological measures and additional terms\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License does not allow You to impose (except subject to Section 4.7 b.) any terms or any\n			   technological measures on the Database, a Derivative Database, or the whole or a\n			   Substantial part of the Contents that alter or restrict the terms of this License, or any\n			   rights granted under it, or have the effect or intent of restricting the ability of any\n			   person to exercise those rights.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Parallel distribution. You may impose terms or technological measures on the Database, a\n			   Derivative Database, or the whole or a Substantial part of the Contents (a\n			   &quot;Restricted Database&quot;) in contravention of Section 4.74 a. only if You also make\n			   a copy of the Database or a Derivative Database available to the recipient of the\n			   Restricted Database:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  That is available without additional fee;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  That is available in a medium that does not alter or restrict the terms of this License,\n				 or any rights granted under it, or have the effect or intent of restricting the\n				 ability of any person to exercise those rights (an &quot;Unrestricted Database&quot;);\n				 and\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> iii.</var>\n			  The Unrestricted Database is at least as accessible to the recipient as a practical\n				 matter as the Restricted Database.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			For the avoidance of doubt, You may place this Database or a Derivative Database in an\n			   authenticated environment, behind a password, or within a similar access control scheme\n			   provided that You do not alter or restrict the terms of this License or any rights granted\n			   under it or have the effect or intent of restricting the ability of any person to exercise\n			   those rights.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.8</var>\n		  Licensing of others. You may not sublicense the Database. Each time You communicate the Database,\n			 the whole or Substantial part of the Contents, or any Derivative Database to anyone else in\n			 any way, the Licensor offers to the recipient a license to the Database on the same terms and\n			 conditions as this License. You are not responsible for enforcing compliance by third parties\n			 with this License, but You may enforce any rights that You have over a Derivative Database.\n			 You are solely responsible for any modifications of a Derivative Database made by You or\n			 another Person at Your direction. You may not impose any further restrictions on the exercise\n			 of the rights granted or affirmed under this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.0</var>\n		  Moral rights\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.1</var>\n		  Moral rights. This section covers moral rights, including any rights to be identified as the\n			 author of the Database or to object to treatment that would otherwise prejudice the\n			 author&apos;s honour and reputation, or any other derogatory treatment:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			For jurisdictions allowing waiver of moral rights, Licensor waives all moral rights that\n			   Licensor may have in the Database to the fullest extent possible by the law of the\n			   relevant jurisdiction under Section 10.4;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If waiver of moral rights under Section 5.1 a in the relevant jurisdiction is not possible,\n			   Licensor agrees not to assert any moral rights over the Database and waives all claims in\n			   moral rights to the fullest extent possible by the law of the relevant jurisdiction under\n			   Section 10.4; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			For jurisdictions not allowing waiver or an agreement not to assert moral rights under\n			   Section 5.1 a and b, the author may retain their moral rights over certain aspects of the\n			   Database.\n			<p>Please note that some jurisdictions do not allow for the waiver of moral rights, and so moral\n			   rights may still subsist over the Database in some jurisdictions.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.0</var>\n		  Fair dealing, Database exceptions, and other rights not affected\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.1</var>\n		  This License does not affect any rights that You or anyone else may independently have under any\n			 applicable law to make any use of this Database, including without limitation:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Exceptions to the Database Right including: Extraction of Contents from non-electronic\n			   Databases for private purposes, Extraction for purposes of illustration for teaching or\n			   scientific research, and Extraction or Re-utilisation for public security or an\n			   administrative or judicial procedure.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Fair dealing, fair use, or any other legally recognised limitation or exception to\n			   infringement of copyright or other applicable laws.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.2</var>\n		  This License does not affect any rights of lawful users to Extract and Re-utilise insubstantial\n			 parts of the Contents, evaluated quantitatively or qualitatively, for any purposes whatsoever,\n			 including creating a Derivative Database (subject to other rights over the Contents, see\n			 Section 2.4). The repeated and systematic Extraction or Re-utilisation of insubstantial parts\n			 of the Contents may however amount to the Extraction or Re-utilisation of a Substantial part\n			 of the Contents.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.0</var>\n		  Warranties and Disclaimer\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.1</var>\n		  The Database is licensed by the Licensor &quot;as is&quot; and without any warranty of any kind,\n			 either express, implied, or arising by statute, custom, course of dealing, or trade usage.\n			 Licensor specifically disclaims any and all implied warranties or conditions of title,\n			 non-infringement, accuracy or completeness, the presence or absence of errors, fitness for a\n			 particular purpose, merchantability, or otherwise. Some jurisdictions do not allow the\n			 exclusion of implied warranties, so this exclusion may not apply to You.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.0</var>\n		  Limitation of liability\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.1</var>\n		  Subject to any liability that may not be excluded or limited by law, the Licensor is not liable\n			 for, and expressly excludes, all liability for loss or damage however and whenever caused to\n			 anyone by any use under this License, whether by You or by anyone else, and whether caused by\n			 any fault on the part of the Licensor or not. This exclusion of liability includes, but is not\n			 limited to, any special, incidental, consequential, punitive, or exemplary damages such as\n			 loss of revenue, data, anticipated profits, and lost business. This exclusion applies even if\n			 the Licensor has been advised of the possibility of such damages.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.2</var>\n		  If liability may not be excluded by law, it is limited to actual and direct financial loss to the\n			 extent it is caused by proved negligence on the part of the Licensor.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.0</var>\n		  Termination of Your rights under this License\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.1</var>\n		  Any breach by You of the terms and conditions of this License automatically terminates this\n			 License with immediate effect and without notice to You. For the avoidance of doubt, Persons\n			 who have received the Database, the whole or a Substantial part of the Contents, Derivative\n			 Databases, or the Database as part of a Collective Database from You under this License will\n			 not have their licenses terminated provided their use is in full compliance with this License\n			 or a license granted under Section 4.8 of this License. Sections 1, 2, 7, 8, 9 and 10 will\n			 survive any termination of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.2</var>\n		  If You are not in breach of the terms of this License, the Licensor will not terminate Your\n			 rights under it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.3</var>\n		  Unless terminated under Section 9.1, this License is granted to You for the duration of\n			 applicable rights in the Database.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.4</var>\n		  Reinstatement of rights. If you cease any breach of the terms and conditions of this License,\n			 then your full rights under this License will be reinstated:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Provisionally and subject to permanent termination until the 60th day after cessation of breach;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Permanently on the 60th day after cessation of breach unless otherwise reasonably notified by\n			   the Licensor; or\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Permanently if reasonably notified by the Licensor of the violation, this is the first time\n			   You have received notice of violation of this License from the Licensor, and You cure the\n			   violation prior to 30 days after your receipt of the notice.\n			<p>Persons subject to permanent termination of rights are not eligible to be a recipient and\n			   receive a license under Section 4.8.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.5</var>\n		  Notwithstanding the above, Licensor reserves the right to release the Database under different\n			 license terms or to stop distributing or making available the Database. Releasing the Database\n			 under different license terms or stopping the distribution of the Database will not withdraw\n			 this License (or any other license that has been, or is required to be, granted under the\n			 terms of this License), and this License will continue in full force and effect unless\n			 terminated as stated above.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.0</var>\n		  General\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.1</var>\n		  If any provision of this License is held to be invalid or unenforceable, that must not affect the\n			 validity or enforceability of the remainder of the terms and conditions of this License and\n			 each remaining provision of this License shall be valid and enforced to the fullest extent\n			 permitted by law.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.2</var>\n		  This License is the entire agreement between the parties with respect to the rights granted here\n			 over the Database. It replaces any earlier understandings, agreements or representations with\n			 respect to the Database.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.3</var>\n		  If You are in breach of the terms of this License, You will not be entitled to rely on the terms\n			 of this License or to complain of any breach by the Licensor.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.4</var>\n		  Choice of law. This License takes effect in and will be governed by the laws of the relevant\n			 jurisdiction in which the License terms are sought to be enforced. If the standard suite of\n			 rights granted under applicable copyright law and Database Rights in the relevant jurisdiction\n			 includes additional rights not granted under this License, these additional rights are granted\n			 in this License in order to meet the terms of this License.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "ODbL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class XFree8611:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "XFree86 License (version 1.1)\n\nCopyright (C) 1994-2006 The XFree86 Project, Inc.\nAll rights reserved.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\n	 1. Redistributions of source code must retain the above copyright notice, this list of conditions, and the following disclaimer.\n\n	 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution, and in the same place and form as other copyright, license and disclaimer information.\n\n	 3. The end-user documentation included with the redistribution, if any, must include the following acknowledgment: \"This product includes software developed by The XFree86 Project, Inc (http://www.xfree86.org/) and its contributors\", in the same place and form as other third-party acknowledgments. Alternately, this acknowledgment may appear in the software itself, in the same form and location as other such third-party acknowledgments.\n\n	 4. Except as contained in this notice, the name of The XFree86 Project, Inc shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization from The XFree86 Project, Inc.\n\nTHIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE XFREE86 PROJECT, INC OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>XFree86 License (version 1.1)\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 1994-2006 The XFree86 Project, Inc.	All rights reserved.  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions, and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution, and in the same place and form as other copyright, license and disclaimer information.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The end-user documentation included with the redistribution, if any, must include the following acknowledgment: \"This product includes software developed by The XFree86 Project, Inc (http://www.xfree86.org/) and its contributors\", in the same place and form as other third-party acknowledgments. Alternately, this acknowledgment may appear in the software itself, in the same form and location as other such third-party acknowledgments.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Except as contained in this notice, the name of The XFree86 Project, Inc shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization from The XFree86 Project, Inc.\n\nTHIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE XFREE86 PROJECT, INC OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "XFree86 License 1.1"
		self.licenseId = "XFree86-1.1"
		self.crossRef = [{"match": "False", "url": "http://www.xfree86.org/current/LICENSE4.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:27Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.xfree86.org/current/LICENSE4.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>XFree86 License (version 1.1)</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 1994-2006 The XFree86 Project, Inc.</p>\n\n		 <p>All rights reserved.</p>\n\n	  </div>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and\n		 associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,\n		 including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,\n		 and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,\n		 subject to the following conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions,\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution, and in the same place and form as other copyright, license and disclaimer\n			 information.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  The end-user documentation included with the redistribution, if any, must include the following\n			 acknowledgment: &quot;This product includes software developed by The XFree86 Project, Inc\n			 (http://www.xfree86.org/) and its contributors&quot;, in the same place and form as other\n			 third-party acknowledgments. Alternately, this acknowledgment may appear in the software\n			 itself, in the same form and location as other such third-party acknowledgments.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Except as contained in this notice, the name of The XFree86 Project, Inc shall not be used in\n			 advertising or otherwise to promote the sale, use or other dealings in this Software without\n			 prior written authorization from The XFree86 Project, Inc.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED ``AS IS&apos;&apos; AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\n		 TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\n		 NO EVENT SHALL THE XFREE86 PROJECT, INC OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,\n		 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\n		 OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\n		 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\n		 POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "XFree8611"

	def __str__(self):
		return json.dumps(self.__dict__)


class SAXPD:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright Status\n\nSAX is free!\n\nIn fact, it's not possible to own a license to SAX, since it's been placed in the public domain.\n\nNo Warranty\n\nBecause SAX is released to the public domain, there is no warranty for the design or for the software implementation, to the extent permitted by applicable law. Except when otherwise stated in writing the copyright holders and/or other parties provide SAX \"as is\" without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of SAX is with you. Should SAX prove defective, you assume the cost of all necessary servicing, repair or correction.\n\nIn no event unless required by applicable law or agreed to in writing will any copyright holder, or any other party who may modify and/or redistribute SAX, be liable to you for damages, including any general, special, incidental or consequential damages arising out of the use or inability to use SAX (including but not limited to loss of data or data being rendered inaccurate or losses sustained by you or third parties or a failure of the SAX to operate with any other programs), even if such holder or other party has been advised of the possibility of such damages.\n\nCopyright Disclaimers\n\nThis page includes statements to that effect by David Megginson, who would have been able to claim copyright for the original work.\n\nSAX 1.0\n\nVersion 1.0 of the Simple API for XML (SAX), created collectively by the membership of the XML-DEV mailing list, is hereby released into the public domain.\n\nNo one owns SAX: you may use it freely in both commercial and non-commercial applications, bundle it with your software distribution, include it on a CD-ROM, list the source code in a book, mirror the documentation at your own web site, or use it in any other way you see fit.\n\nDavid Megginson, Megginson Technologies Ltd.\n1998-05-11\n\nSAX 2.0\n\nI hereby abandon any property rights to SAX 2.0 (the Simple API for XML), and release all of the SAX 2.0 source code, compiled code, and documentation contained in this distribution into the Public Domain. SAX comes with NO WARRANTY or guarantee of fitness for any purpose.\n\nDavid Megginson, Megginson Technologies Ltd.\n2000-05-05\n"
		self.standardLicenseTemplate = "Copyright Status\n\nSAX is free!\n\nIn fact, it's not possible to own a license to SAX, since it's been placed in the public domain.\n\nNo Warranty\n\nBecause SAX is released to the public domain, there is no warranty for the design or for the software implementation, to the extent permitted by applicable law. Except when otherwise stated in writing the copyright holders and/or other parties provide SAX \"as is\" without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of SAX is with you. Should SAX prove defective, you assume the cost of all necessary servicing, repair or correction.\n\nIn no event unless required by applicable law or agreed to in writing will any copyright holder, or any other party who may modify and/or redistribute SAX, be liable to you for damages, including any general, special, incidental or consequential damages arising out of the use or inability to use SAX (including but not limited to loss of data or data being rendered inaccurate or losses sustained by you or third parties or a failure of the SAX to operate with any other programs), even if such holder or other party has been advised of the possibility of such damages.\n\nCopyright Disclaimers\n\nThis page includes statements to that effect by David Megginson, who would have been able to claim copyright for the original work.\n\nSAX 1.0\n\nVersion 1.0 of the Simple API for XML (SAX), created collectively by the membership of the XML-DEV mailing list, is hereby released into the public domain.\n\nNo one owns SAX: you may use it freely in both commercial and non-commercial applications, bundle it with your software distribution, include it on a CD-ROM, list the source code in a book, mirror the documentation at your own web site, or use it in any other way you see fit.\n\nDavid Megginson, Megginson Technologies Ltd.\n\n1998-05-11\n\nSAX 2.0\n\nI hereby abandon any property rights to SAX 2.0 (the Simple API for XML), and release all of the SAX 2.0 source code, compiled code, and documentation contained in this distribution into the Public Domain. SAX comes with NO WARRANTY or guarantee of fitness for any purpose.\n\nDavid Megginson, Megginson Technologies Ltd.\n\n2000-05-05\n\n"
		self.name = "Sax Public Domain Notice"
		self.licenseId = "SAX-PD"
		self.crossRef = [{"match": "False", "url": "http://www.saxproject.org/copying.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:15Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.saxproject.org/copying.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>Copyright Status</p>\n\n	  <p>SAX is free!</p>\n\n	  <p>In fact, it&apos;s not possible to own a license to SAX, since it&apos;s been placed in the public domain.</p>\n\n	  <p>No Warranty</p>\n\n	  <p>Because SAX is released to the public domain, there is no warranty for the design or for the software\n		 implementation, to the extent permitted by applicable law. Except when otherwise stated in writing the\n		 copyright holders and/or other parties provide SAX &quot;as is&quot; without warranty of any kind, either\n		 expressed or implied, including, but not limited to, the implied warranties of merchantability and\n		 fitness for a particular purpose. The entire risk as to the quality and performance of SAX is with\n		 you. Should SAX prove defective, you assume the cost of all necessary servicing, repair or\n		 correction.</p>\n\n	  <p>In no event unless required by applicable law or agreed to in writing will any copyright holder, or any\n		 other party who may modify and/or redistribute SAX, be liable to you for damages, including any\n		 general, special, incidental or consequential damages arising out of the use or inability to use SAX\n		 (including but not limited to loss of data or data being rendered inaccurate or losses sustained by\n		 you or third parties or a failure of the SAX to operate with any other programs), even if such holder\n		 or other party has been advised of the possibility of such damages.</p>\n\n	  <p>Copyright Disclaimers</p>\n\n	  <p>This page includes statements to that effect by David Megginson, who would have been able to claim\n		 copyright for the original work.</p>\n\n	  <p>SAX 1.0</p>\n\n	  <p>Version 1.0 of the Simple API for XML (SAX), created collectively by the membership of the XML-DEV\n		 mailing list, is hereby released into the public domain.</p>\n\n	  <p>No one owns SAX: you may use it freely in both commercial and non-commercial applications, bundle it with\n		 your software distribution, include it on a CD-ROM, list the source code in a book, mirror the\n		 documentation at your own web site, or use it in any other way you see fit.</p>\n\n	  <p>David Megginson, Megginson Technologies Ltd.\n		<br />\n\n1998-05-11\n	  </p>\n\n	  <p>SAX 2.0</p>\n\n	  <p>I hereby abandon any property rights to SAX 2.0 (the Simple API for XML), and release all of the SAX 2.0\n		 source code, compiled code, and documentation contained in this distribution into the Public Domain.\n		 SAX comes with NO WARRANTY or guarantee of fitness for any purpose.</p>\n\n	  <p>David Megginson, Megginson Technologies Ltd.\n		<br />\n\n2000-05-05\n	  </p>\n\n	"
		self.python_name = "SAXPD"

	def __str__(self):
		return json.dumps(self.__dict__)


class Linuxmanpages1para:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Permission is granted to distribute possibly modified\ncopies of this page provided the header is included\nverbatim, and in case of nontrivial modification author\nand date of the modification is added to the header.\n"
		self.standardLicenseTemplate = "Permission is granted to distribute possibly modified copies of this page provided the header is included verbatim, and in case of nontrivial modification author and date of the modification is added to the header.\n\n"
		self.name = "Linux man-pages - 1 paragraph"
		self.licenseId = "Linux-man-pages-1-para"
		self.crossRef = [{"match": "False", "url": "https://git.kernel.org/pub/scm/docs/man-pages/man-pages.git/tree/man2/getcpu.2#n4", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:03Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://git.kernel.org/pub/scm/docs/man-pages/man-pages.git/tree/man2/getcpu.2#n4"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			Permission is granted to distribute possibly modified\n			copies of this page provided the header is included\n			verbatim, and in case of nontrivial modification author\n			and date of the modification is added to the header.\n		 </p>\n\n	  "
		self.python_name = "Linuxmanpages1para"

	def __str__(self):
		return json.dumps(self.__dict__)


class Ruby:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "1. You may make and give away verbatim copies of the source form of the software without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n2. You may modify your copy of the software in any way, provided that you do at least ONE of the following:\n\n	 a) place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or by allowing the author to include your modifications in the software.\n\n	 b) use the modified software only within your corporation or organization.\n\n	 c) give non-standard binaries non-standard names, with instructions on where to get the original software distribution.\n\n	 d) make other distribution arrangements with the author.\n\n3. You may distribute the software in object code or binary form, provided that you do at least ONE of the following:\n\n	 a) distribute the binaries and library files of the software, together with instructions (in the manual page or equivalent) on where to get the original distribution.\n\n	 b) accompany the distribution with the machine-readable source of the software.\n\n	 c) give non-standard binaries non-standard names, with instructions on where to get the original software distribution.\n\n	 d) make other distribution arrangements with the author.\n\n4. You may modify and include the part of the software into any other software (possibly commercial). But some files in the distribution are not written by the author, so that they are not under these terms.\n\nFor the list of those files and their copying conditions, see the file LEGAL.\n\n5. The scripts and library files supplied as input to or produced as output from the software do not automatically fall under the copyright of the software, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this software.\n\n6. THIS SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n"
		self.standardLicenseTemplate = "\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may make and give away verbatim copies of the source form of the software without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy of the software in any way, provided that you do at least ONE of the following:\n\n   <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or by allowing the author to include your modifications in the software.\n\n   <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> use the modified software only within your corporation or organization.\n\n   <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> give non-standard binaries non-standard names, with instructions on where to get the original software distribution.\n\n   <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the author.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may distribute the software in object code or binary form, provided that you do at least ONE of the following:\n\n   <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> distribute the binaries and library files of the software, together with instructions (in the manual page or equivalent) on where to get the original distribution.\n\n   <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany the distribution with the machine-readable source of the software.\n\n   <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> give non-standard binaries non-standard names, with instructions on where to get the original software distribution.\n\n   <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the author.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may modify and include the part of the software into any other software (possibly commercial). But some files in the distribution are not written by the author, so that they are not under these terms.\n\n   For the list of those files and their copying conditions, see the file LEGAL.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> The scripts and library files supplied as input to or produced as output from the software do not automatically fall under the copyright of the software, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this software.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> THIS SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE."
		self.name = "Ruby License"
		self.licenseComments = "Ruby is disjunctively licensed project that allows the choice of this license and another. The other license choice has changed over time (from GPL originally, to BSD-2-Clause currently), so one needs to be aware of that change. The Ruby License itself is un-versioned, but has varied a bit over the years, the last substantive variation being in 2002."
		self.licenseId = "Ruby"
		self.crossRef = [{"match": "False", "url": "https://www.ruby-lang.org/en/about/license.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:38Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.ruby-lang.org/en/about/license.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may make and give away verbatim copies of the source form of the software without\n			 restriction, provided that you duplicate all of the original copyright notices and associated\n			 disclaimers.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may modify your copy of the software in any way, provided that you do at least ONE of the\n			 following:\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n		  place your modifications in the Public Domain or otherwise make them Freely Available, such as by\n			 posting said modifications to Usenet or an equivalent medium, or by allowing the author to\n			 include your modifications in the software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n		  use the modified software only within your corporation or organization.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n		  give non-standard binaries non-standard names, with instructions on where to get the original\n			 software distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n		  make other distribution arrangements with the author.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may distribute the software in object code or binary form, provided that you do at least ONE\n			 of the following:\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n		  distribute the binaries and library files of the software, together with instructions (in the\n			 manual page or equivalent) on where to get the original distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n		  accompany the distribution with the machine-readable source of the software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n		  give non-standard binaries non-standard names, with instructions on where to get the original\n			 software distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n		  make other distribution arrangements with the author.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may modify and include the part of the software into any other software (possibly\n			 commercial). But some files in the distribution are not written by the author, so that they\n			 are not under these terms.\n		  <p>For the list of those files and their copying conditions, see the file LEGAL.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  The scripts and library files supplied as input to or produced as output from the software do not\n			 automatically fall under the copyright of the software, but belong to whomever generated them,\n			 and may be sold commercially, and may be aggregated with this software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  THIS SOFTWARE IS PROVIDED &quot;AS IS&quot; AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,\n			 WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n			 PURPOSE.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "Ruby"

	def __str__(self):
		return json.dumps(self.__dict__)


class IECCodeComponentsEULA:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "IEC Code Components End-user licence agreement\n\nCode Components in IEC standards (International Standards, Technical Specifications or\nTechnical Reports) which have been identified and approved for licensing, are licensed subject to\nthe following conditions:\n\n- Redistributions of software must retain the Copyright Notice, this list of conditions and the\ndisclaimer below (\u201cDisclaimer\u201d).\n- The software license extends to modifications permitted under the relevant IEC standard.\n- The software license extends to clarifications and corrections approved by IEC.\n- Neither the name of IEC, nor the names of specific contributors, may be used to endorse or\npromote products derived from this software without specific prior written permission. The\nrelevant IEC standard may be referenced when claiming compliance with the relevant IEC\nstandard.\n- The user of Code Components shall attribute each such Code Component to IEC and identify\nthe IEC standard from which it is taken. Such attribution (e.g., \u201cThis code was derived from IEC\n[insert standard reference number:publication year] within modifications permitted in the\nrelevant IEC standard. Please reproduce this note if possible.\u201d), may be placed in the code itself\nor any other reasonable location.\n\nCode Components means components included in IEC standards that are intended to be directly\nprocessed by a computer and also includes any text found between the markers <CODE\nBEGINS> and <CODE ENDS>, or otherwise clearly labeled in this standard as a Code\nComponent.\n\nThe Disclaimer is:\nEACH OF THE CODE COMPONENTS IS PROVIDED BY THE COPYRIGHT HOLDERS AND\nCONTRIBUTORS \u201cAS IS\u201d AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT\nNOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\nPARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER\nOR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\nEXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,\nPROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR\nPROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\nLIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\nNEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THE CODE\nCOMPONENTS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. \n"
		self.standardLicenseTemplate = "<<beginOptional>>IEC Code Components End-user licence agreement<<endOptional>>\n\nCode Components in IEC standards (International Standards, Technical Specifications or Technical Reports) which have been identified and approved for licensing, are licensed subject to the following conditions:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">>\n\n   Redistributions of software must retain the Copyright Notice, this list of conditions and the disclaimer below (\"Disclaimer\").\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">>\n\n   The software license extends to modifications permitted under the relevant IEC standard.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">>\n\n   The software license extends to clarifications and corrections approved by IEC.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">>\n\n   Neither the name of IEC, nor the names of specific contributors, may be used to endorse or promote products derived from this software without specific prior written permission. The relevant IEC standard may be referenced when claiming compliance with the relevant IEC standard.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">>\n\n   The user of Code Components shall attribute each such Code Component to IEC and identify the IEC standard from which it is taken. Such attribution (e.g., \"This code was derived from IEC [insert standard reference number:publication year] within modifications permitted in the relevant IEC standard. Please reproduce this note if possible.\"), may be placed in the code itself or any other reasonable location.\n\nCode Components means components included in IEC standards that are intended to be directly processed by a computer and also includes any text found between the markers <CODE BEGINS> and <CODE ENDS>, or otherwise clearly labeled in this standard as a Code Component.\n\nThe Disclaimer is: EACH OF THE CODE COMPONENTS IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THE CODE COMPONENTS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "IEC	Code Components End-user licence agreement"
		self.licenseId = "IEC-Code-Components-EULA"
		self.crossRef = [{"match": "False", "url": "https://www.iec.ch/copyright", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:06Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://www.iec.ch/CCv1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:07Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.iec.ch/webstore/custserv/pdf/CC-EULA.pdf", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:08Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.iec.ch/webstore/custserv/pdf/CC-EULA.pdf", "https://www.iec.ch/CCv1", "https://www.iec.ch/copyright"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"optional-license-text\"> IEC Code Components End-user licence\n		 agreement</var>\n		 <p>\n			Code Components in IEC standards (International Standards,\n			Technical Specifications or Technical Reports) which\n			have been identified and approved for licensing,\n			are licensed subject to the following conditions:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> -</var>\n			   <p>\n				  Redistributions of software must retain the\n				  Copyright Notice, this list of conditions\n				  and the disclaimer below (&quot;Disclaimer&quot;).\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> -</var>\n			   <p>\n				  The software license extends to modifications\n				  permitted under the relevant IEC standard.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> -</var>\n			   <p>\n				  The software license extends to clarifications\n				  and corrections approved by IEC.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> -</var>\n			   <p>\n				  Neither the name of IEC, nor the names of specific\n				  contributors, may be used to endorse or promote products\n				  derived from this software without specific prior written\n				  permission. The relevant IEC standard may be referenced\n				  when claiming compliance with the relevant IEC standard.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> -</var>\n			   <p>\n				  The user of Code Components shall attribute each such Code\n				  Component to IEC and identify the IEC standard from which\n				  it is taken. Such attribution (e.g., &quot;This code was derived\n				  from IEC [insert standard reference number:publication\n				  year] within modifications permitted in the relevant IEC\n				  standard. Please reproduce this note if possible.&quot;), may be\n				  placed in the code itself or any other reasonable location.\n			   </p>\n\n			</li>\n		 \n</ul>\n		 <p>\n			Code Components means components included in IEC standards\n			that are intended to be directly processed by a computer\n			and also includes any text found between the markers\n			&lt;CODE BEGINS&gt; and &lt;CODE ENDS&gt;, or otherwise\n			clearly labeled in this standard as a Code Component.\n		 </p>\n\n		 <p>\n			The Disclaimer is: EACH OF THE CODE COMPONENTS IS PROVIDED BY\n			THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS\n			OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\n			WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n			PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER\n			OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n			SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\n			NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n			LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n			HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n			CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\n			OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THE CODE\n			COMPONENTS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		 </p>\n\n	  "
		self.python_name = "IECCodeComponentsEULA"

	def __str__(self):
		return json.dumps(self.__dict__)


class RPSL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "RealNetworks Public Source License Version 1.0\n\n(Rev. Date October 28, 2002)\n\n1. General Definitions. This License applies to any program or other work which RealNetworks, Inc., or any other entity that elects to use this license, (\"Licensor\") makes publicly available and which contains a notice placed by Licensor identifying such program or work as \"Original Code\" and stating that it is subject to the terms of this RealNetworks Public Source License version 1.0 (or subsequent version thereof) (\"License\"). You are not required to accept this License. However, nothing else grants You permission to use, copy, modify or distribute the software or its derivative works. These actions are prohibited by law if You do not accept this License. Therefore, by modifying, copying or distributing the software (or any work based on the software), You indicate your acceptance of this License to do so, and all its terms and conditions. In addition, you agree to the terms of this License by clicking the Accept button or downloading the software. As used in this License:\n\n	 1.1 \"Applicable Patent Rights\" mean: (a) in the case where Licensor is the grantor of rights, claims of patents that (i) are now or hereafter acquired, owned by or assigned to Licensor and (ii) are necessarily infringed by using or making the Original Code alone and not in combination with other software or hardware; and (b) in the case where You are the grantor of rights, claims of patents that (i) are now or hereafter acquired, owned by or assigned to You and (ii) are infringed (directly or indirectly) by using or making Your Modifications, taken alone or in combination with Original Code.\n\n	 1.2 \"Compatible Source License\" means any one of the licenses listed on Exhibit B or at https://www.helixcommunity.org/content/complicense or other licenses specifically identified by Licensor in writing. Notwithstanding any term to the contrary in any Compatible Source License, any code covered by any Compatible Source License that is used with Covered Code must be made readily available in Source Code format for royalty-free use under the terms of the Compatible Source License or this License.\n\n	 1.3 \"Contributor\" means any person or entity that creates or contributes to the creation of Modifications.\n\n	 1.4 \"Covered Code\" means the Original Code, Modifications, the combination of Original Code and any Modifications, and/or any respective portions thereof.\n\n	 1.5 \"Deploy\" means to use, sublicense or distribute Covered Code other than for Your internal research and development (R&D) and/or Personal Use, and includes without limitation, any and all internal use or distribution of Covered Code within Your business or organization except for R&D use and/or Personal Use, as well as direct or indirect sublicensing or distribution of Covered Code by You to any third party in any form or manner.\n\n	 1.6 \"Derivative Work\" means either the Covered Code or any derivative work under United States copyright law, and including any work containing or including any portion of the Covered Code or Modifications, either verbatim or with modifications and/or translated into another language. Derivative Work also includes any work which combines any portion of Covered Code or Modifications with code not otherwise governed by the terms of this License.\n\n	 1.7 \"Externally Deploy\" means to Deploy the Covered Code in any way that may be accessed or used by anyone other than You, used to provide any services to anyone other than You, or used in any way to deliver any content to anyone other than You, whether the Covered Code is distributed to those parties, made available as an application intended for use over a computer network, or used to provide services or otherwise deliver content to anyone other than You.\n\n	 1.8. \"Interface\" means interfaces, functions, properties, class definitions, APIs, header files, GUIDs, V-Tables, and/or protocols allowing one piece of software, firmware or hardware to communicate or interoperate with another piece of software, firmware or hardware.\n\n	 1.9 \"Modifications\" mean any addition to, deletion from, and/or change to, the substance and/or structure of the Original Code, any previous Modifications, the combination of Original Code and any previous Modifications, and/or any respective portions thereof. When code is released as a series of files, a Modification is: (a) any addition to or deletion from the contents of a file containing Covered Code; and/or (b) any new file or other representation of computer program statements that contains any part of Covered Code.\n\n	 1.10 \"Original Code\" means (a) the Source Code of a program or other work as originally made available by Licensor under this License, including the Source Code of any updates or upgrades to such programs or works made available by Licensor under this License, and that has been expressly identified by Licensor as such in the header file(s) of such work; and (b) the object code compiled from such Source Code and originally made available by Licensor under this License.\n\n	 1.11 \"Personal Use\" means use of Covered Code by an individual solely for his or her personal, private and non-commercial purposes. An individual's use of Covered Code in his or her capacity as an officer, employee, member, independent contractor or agent of a corporation, business or organization (commercial or non-commercial) does not qualify as Personal Use.\n\n	 1.12 \"Source Code\" means the human readable form of a program or other work that is suitable for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an executable (object code).\n\n	 1.13 \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n2. Permitted Uses; Conditions & Restrictions. Subject to the terms and conditions of this License, Licensor hereby grants You, effective on the date You accept this License (via downloading or using Covered Code or otherwise indicating your acceptance of this License), a worldwide, royalty-free, non-exclusive copyright license, to the extent of Licensor's copyrights cover the Original Code, to do the following:\n\n	 2.1 You may reproduce, display, perform, modify and Deploy Covered Code, provided that in each instance:\n\n		  (a) You must retain and reproduce in all copies of Original Code the copyright and other proprietary notices and disclaimers of Licensor as they appear in the Original Code, and keep intact all notices in the Original Code that refer to this License;\n\n		  (b) You must include a copy of this License with every copy of Source Code of Covered Code and documentation You distribute, and You may not offer or impose any terms on such Source Code that alter or restrict this License or the recipients' rights hereunder, except as permitted under Section 6;\n\n		  (c) You must duplicate, to the extent it does not already exist, the notice in Exhibit A in each file of the Source Code of all Your Modifications, and cause the modified files to carry prominent notices stating that You changed the files and the date of any change;\n\n		  (d) You must make Source Code of all Your Externally Deployed Modifications publicly available under the terms of this License, including the license grants set forth in Section 3 below, for as long as you Deploy the Covered Code or twelve (12) months from the date of initial Deployment, whichever is longer. You should preferably distribute the Source Code of Your Deployed Modifications electronically (e.g. download from a web site); and\n\n		  (e) if You Deploy Covered Code in object code, executable form only, You must include a prominent notice, in the code itself as well as in related documentation, stating that Source Code of the Covered Code is available under the terms of this License with information on how and where to obtain such Source Code. You must also include the Object Code Notice set forth in Exhibit A in the \"about\" box or other appropriate place where other copyright notices are placed, including any packaging materials.\n\n	 2.2 You expressly acknowledge and agree that although Licensor and each Contributor grants the licenses to their respective portions of the Covered Code set forth herein, no assurances are provided by Licensor or any Contributor that the Covered Code does not infringe the patent or other intellectual property rights of any other entity. Licensor and each Contributor disclaim any liability to You for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, You hereby assume sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow You to make, use, sell, import or offer for sale the Covered Code, it is Your responsibility to acquire such license(s).\n\n	 2.3 Subject to the terms and conditions of this License, Licensor hereby grants You, effective on the date You accept this License (via downloading or using Covered Code or otherwise indicating your acceptance of this License), a worldwide, royalty-free, perpetual, non-exclusive patent license under Licensor's Applicable Patent Rights to make, use, sell, offer for sale and import the Covered Code, provided that in each instance you comply with the terms of this License.\n\n3. Your Grants. In consideration of, and as a condition to, the licenses granted to You under this License:\n\n	 (a) You grant to Licensor and all third parties a non-exclusive, perpetual, irrevocable, royalty free license under Your Applicable Patent Rights and other intellectual property rights owned or controlled by You, to make, sell, offer for sale, use, import, reproduce, display, perform, modify, distribute and Deploy Your Modifications of the same scope and extent as Licensor's licenses under Sections 2.1 and 2.2; and\n\n	 (b) You grant to Licensor and its subsidiaries a non-exclusive, worldwide, royalty-free, perpetual and irrevocable license, under Your Applicable Patent Rights and other intellectual property rights owned or controlled by You, to make, use, sell, offer for sale, import, reproduce, display, perform, distribute, modify or have modified (for Licensor and/or its subsidiaries), sublicense and distribute Your Modifications, in any form and for any purpose, through multiple tiers of distribution.\n\n	 (c) You agree not use any information derived from Your use and review of the Covered Code, including but not limited to any algorithms or inventions that may be contained in the Covered Code, for the purpose of asserting any of Your patent rights, or assisting a third party to assert any of its patent rights, against Licensor or any Contributor.\n\n4. Derivative Works. You may create a Derivative Work by combining Covered Code with other code not otherwise governed by the terms of this License and distribute the Derivative Work as an integrated product. In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof, including all Modifications.\n\n	 4.1 You must cause any Derivative Work that you distribute, publish or Externally Deploy, that in whole or in part contains or is derived from the Covered Code or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License and no other license except as provided in Section 4.2. You also must make Source Code available for the Derivative Work under the same terms as Modifications, described in Sections 2 and 3, above.\n\n	 4.2 Compatible Source Licenses. Software modules that have been independently developed without any use of Covered Code and which contain no portion of the Covered Code, Modifications or other Derivative Works, but are used or combined in any way with the Covered Code or any Derivative Work to form a larger Derivative Work, are exempt from the conditions described in Section 4.1 but only to the extent that: the software module, including any software that is linked to, integrated with, or part of the same applications as, the software module by any method must be wholly subject to one of the Compatible Source Licenses. Notwithstanding the foregoing, all Covered Code must be subject to the terms of this License. Thus, the entire Derivative Work must be licensed under a combination of the RPSL (for Covered Code) and a Compatible Source License for any independently developed software modules within the Derivative Work. The foregoing requirement applies even if the Compatible Source License would ordinarily allow the software module to link with, or form larger works with, other software that is not subject to the Compatible Source License. For example, although the Mozilla Public License v1.1 allows Mozilla code to be combined with proprietary software that is not subject to the MPL, if MPL-licensed code is used with Covered Code the MPL-licensed code could not be combined or linked with any code not governed by the MPL. The general intent of this section 4.2 is to enable use of Covered Code with applications that are wholly subject to an acceptable open source license. You are responsible for determining whether your use of software with Covered Code is allowed under Your license to such software.\n\n	 4.3 Mere aggregation of another work not based on the Covered Code with the Covered Code (or with a work based on the Covered Code) on a volume of a storage or distribution medium does not bring the other work under the scope of this License. If You deliver the Covered Code for combination and/or integration with an application previously provided by You (for example, via automatic updating technology), such combination and/or integration constitutes a Derivative Work subject to the terms of this License.\n\n5. Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor or any Contributor except as expressly stated herein. No right is granted to the trademarks of Licensor or any Contributor even if such marks are included in the Covered Code. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any code that Licensor otherwise would have a right to license. Modifications, Derivative Works and/or any use or combination of Covered Code with other technology provided by Licensor or third parties may require additional patent licenses from Licensor which Licensor may grant in its sole discretion. No patent license is granted separate from the Original Code or combinations of the Original Code with other software or hardware.\n\n	 5.1. Trademarks. This License does not grant any rights to use the trademarks or trade names owned by Licensor (\"Licensor Marks\" defined in Exhibit C) or to any trademark or trade name belonging to any Contributor. No Licensor Marks may be used to endorse or promote products derived from the Original Code other than as permitted by the Licensor Trademark Policy defined in Exhibit C.\n\n6. Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations and/or other rights consistent with the scope of the license granted herein (\"Additional Terms\") to one or more recipients of Covered Code. However, You may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Licensor or any Contributor. You must obtain the recipient's agreement that any such Additional Terms are offered by You alone, and You hereby agree to indemnify, defend and hold Licensor and every Contributor harmless for any liability incurred by or claims asserted against Licensor or such Contributor by reason of any such Additional Terms.\n\n7. Versions of the License. Licensor may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Once Original Code has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of this License published by Licensor. No one other than Licensor has the right to modify the terms applicable to Covered Code created under this License.\n\n8. NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part pre-release, untested, or not fully tested works. The Covered Code may contain errors that could cause failures or loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and agree that use of the Covered Code, or any portion thereof, is at Your sole and entire risk. THE COVERED CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF ANY KIND AND LICENSOR AND LICENSOR'S LICENSOR(S) (COLLECTIVELY REFERRED TO AS \"LICENSOR\" FOR THE PURPOSES OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY, OF QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. LICENSOR AND EACH CONTRIBUTOR DOES NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE COVERED CODE, THAT THE FUNCTIONS CONTAINED IN THE COVERED CODE WILL MEET YOUR REQUIREMENTS, THAT THE OPERATION OF THE COVERED CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE COVERED CODE WILL BE CORRECTED. NO ORAL OR WRITTEN DOCUMENTATION, INFORMATION OR ADVICE GIVEN BY LICENSOR, A LICENSOR AUTHORIZED REPRESENTATIVE OR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You acknowledge that the Covered Code is not intended for use in high risk activities, including, but not limited to, the design, construction, operation or maintenance of nuclear facilities, aircraft navigation, aircraft communication systems, or air traffic control machines in which case the failure of the Covered Code could lead to death, personal injury, or severe physical or environmental damage. Licensor disclaims any express or implied warranty of fitness for such uses.\n\n9. LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT SHALL LICENSOR OR ANY CONTRIBUTOR BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE COVERED CODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE OR STRICT LIABILITY), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF LICENSOR OR SUCH CONTRIBUTOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS LIMITATION MAY NOT APPLY TO YOU. In no event shall Licensor's total liability to You for all damages (other than as may be required by applicable law) under this License exceed the amount of ten dollars ($10.00).\n\n10. Ownership. Subject to the licenses granted under this License, each Contributor retains all rights, title and interest in and to any Modifications made by such Contributor. Licensor retains all rights, title and interest in and to the Original Code and any Modifications made by or on behalf of Licensor (\"Licensor Modifications\"), and such Licensor Modifications will not be automatically subject to this License. Licensor may, at its sole discretion, choose to license such Licensor Modifications under this License, or on different terms from those contained in this License or may choose not to license them at all.\n\n11. Termination.\n\n	 11.1 Term and Termination. The term of this License is perpetual unless terminated as provided below. This License and the rights granted hereunder will terminate:\n\n		  (a) automatically without notice from Licensor if You fail to comply with any term(s) of this License and fail to cure such breach within 30 days of becoming aware of such breach;\n\n		  (b) immediately in the event of the circumstances described in Section 12.5(b); or\n\n		  (c) automatically without notice from Licensor if You, at any time during the term of this License, commence an action for patent infringement against Licensor (including by cross-claim or counter claim in a lawsuit);\n\n		  (d) upon written notice from Licensor if You, at any time during the term of this License, commence an action for patent infringement against any third party alleging that the Covered Code itself (excluding combinations with other software or hardware) infringes any patent (including by cross-claim or counter claim in a lawsuit).\n\n	 11.2 Effect of Termination. Upon termination, You agree to immediately stop any further use, reproduction, modification, sublicensing and distribution of the Covered Code and to destroy all copies of the Covered Code that are in your possession or control. All sublicenses to the Covered Code which have been properly granted prior to termination shall survive any termination of this License. Provisions which, by their nature, should remain in effect beyond the termination of this License shall survive, including but not limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13. No party will be liable to any other for compensation, indemnity or damages of any sort solely as a result of terminating this License in accordance with its terms, and termination of this License will be without prejudice to any other right or remedy of any party.\n\n12. Miscellaneous.\n\n	 12.1 Government End Users. The Covered Code is a \"commercial item\" as defined in FAR 2.101. Government software and technical data rights in the Covered Code include only those rights customarily provided to the public as defined in this License. This customary commercial license in technical data and software is provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation). Accordingly, all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n	 12.2 Relationship of Parties. This License will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between or among You, Licensor or any Contributor, and You will not represent to the contrary, whether expressly, by implication, appearance or otherwise.\n\n	 12.3 Independent Development. Nothing in this License will impair Licensor's right to acquire, license, develop, have others develop for it, market and/or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Modifications, Derivative Works, technology or products that You may develop, produce, market or distribute.\n\n	 12.4 Waiver; Construction. Failure by Licensor or any Contributor to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter will not apply to this License.\n\n	 12.5 Severability. (a) If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You from fully and/or specifically complying with Sections 2 and/or 3 or prevents the enforceability of either of those Sections, this License will immediately terminate and You must immediately discontinue any use of the Covered Code and destroy all copies of it that are in your possession or control.\n\n	 12.6 Dispute Resolution. Any litigation or other dispute resolution between You and Licensor relating to this License shall take place in the Seattle, Washington, and You and Licensor hereby consent to the personal jurisdiction of, and venue in, the state and federal courts within that District with respect to this License. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n	 12.7 Export/Import Laws. This software is subject to all export and import laws and restrictions and regulations of the country in which you receive the Covered Code and You are solely responsible for ensuring that You do not export, re-export or import the Covered Code or any direct product thereof in violation of any such restrictions, laws or regulations, or without all necessary authorizations.\n\n	 12.8 Entire Agreement; Governing Law. This License constitutes the entire agreement between the parties with respect to the subject matter hereof. This License shall be governed by the laws of the United States and the State of Washington.\n\n	 Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby confirm that they have requested that this License and all related documents be drafted in English. Les parties ont exig\u00e9 que le pr\u00e9sent contrat et tous les documents connexes soient r\u00e9dig\u00e9s en anglais.\n\n\nEXHIBIT A.\n\n\"Copyright (c) 1995-2002 RealNetworks, Inc. and/or its licensors. All Rights Reserved.\n\nThe contents of this file, and the files included with this file, are subject to the current version of the RealNetworks Public Source License Version 1.0 (the \"RPSL\") available at https://www.helixcommunity.org/content/rpsl unless you have licensed the file under the RealNetworks Community Source License Version 1.0 (the \"RCSL\") available at https://www.helixcommunity.org/content/rcsl, in which case the RCSL will apply. You may also obtain the license terms directly from RealNetworks. You may not use this file except in compliance with the RPSL or, if you have a valid RCSL with RealNetworks applicable to this file, the RCSL. Please see the applicable RPSL or RCSL for the rights, obligations and limitations governing use of the contents of the file.\n\nThis file is part of the Helix DNA Technology. RealNetworks is the developer of the Original code and owns the copyrights in the portions it created.\n\nThis file, and the files included with this file, is distributed and made available on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND REALNETWORKS HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.\n\nContributor(s): ____________________________________\n\nTechnology Compatibility Kit Test Suite(s) Location (if licensed under the RCSL):\n\n________________________________\"\n\nObject Code Notice: Helix DNA Client technology included. Copyright (c) RealNetworks, Inc., 1995-2002. All rights reserved.\n\nEXHIBIT B\n\nCompatible Source Licenses for the RealNetworks Public Source License. The following list applies to the most recent version of the license as of October 25, 2002, unless otherwise indicated.\n\nAcademic Free License\nApache Software License\nApple Public Source License\nArtistic license\nAttribution Assurance Licenses\nBSD license\nCommon Public License1\nEiffel Forum License\nGNU General Public License (GPL)1\nGNU Library or \"Lesser\" General Public License (LGPL)1\nIBM Public License\nIntel Open Source License\nJabber Open Source License\nMIT license\nMITRE Collaborative Virtual Workspace License (CVW License)\nMotosoto License\nMozilla Public License 1.0 (MPL)\nMozilla Public License 1.1 (MPL)\nNokia Open Source License\nOpen Group Test Suite License\nPython Software Foundation License\nRicoh Source Code Public License\nSun Industry Standards Source License (SISSL)\nSun Public License\nUniversity of Illinois/NCSA Open Source License\nVovida Software License v. 1.0\nW3C License\nX.Net License\nZope Public License\nzlib/libpng license\n\n1Note: because this license contains certain reciprocal licensing terms that purport to extend to independently developed code, You may be prohibited under the terms of this otherwise compatible license from using code licensed under its terms with Covered Code because Covered Code may only be licensed under the RealNetworks Public Source License. Any attempt to apply non RPSL license terms, including without limitation the GPL, to Covered Code is expressly forbidden. You are responsible for ensuring that Your use of Compatible Source Licensed code does not violate either the RPSL or the Compatible Source License.\n\nThe latest version of this list can be found at: https://www.helixcommunity.org/content/complicense\n\nEXHIBIT C\n\nRealNetworks' Trademark policy.\n\nRealNetworks defines the following trademarks collectively as \"Licensor Trademarks\": \"RealNetworks\", \"RealPlayer\", \"RealJukebox\", \"RealSystem\", \"RealAudio\", \"RealVideo\", \"RealOne Player\", \"RealMedia\", \"Helix\" or any other trademarks or trade names belonging to RealNetworks.\n\nRealNetworks \"Licensor Trademark Policy\" forbids any use of Licensor Trademarks except as permitted by and in strict compliance at all times with RealNetworks' third party trademark usage guidelines which are posted at www.realnetworks.com/info/helixlogo.html.\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>\"<<endOptional>>Copyright (c) 1995-2002 RealNetworks, Inc. and/or its licensors. All Rights Reserved.\n\nThe contents of this file, and the files included with this file, are subject to the current version of the RealNetworks Public Source License Version 1.0 (the \"RPSL\") available at https://www.helixcommunity.org/content/rpsl unless you have licensed the file under the RealNetworks Community Source License Version 1.0 (the \"RCSL\") available at https://www.helixcommunity.org/content/rcsl, in which case the RCSL will apply. You may also obtain the license terms directly from RealNetworks. You may not use this file except in compliance with the RPSL or, if you have a valid RCSL with RealNetworks applicable to this file, the RCSL. Please see the applicable RPSL or RCSL for the rights, obligations and limitations governing use of the contents of the file.\n\nThis file is part of the Helix DNA Technology. RealNetworks is the developer of the Original code and owns the copyrights in the portions it created.\n\nThis file, and the files included with this file, is distributed and made available on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND REALNETWORKS HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.\n\nContributor(s): <<var;name=\"contributor\";original=\"____________________________________\";match=\".+\">>\n\nTechnology Compatibility Kit Test Suite(s) Location (if licensed under the RCSL): <<var;name=\"testLocation\";original=\"_____\";match=\".+\">><<beginOptional>>\"<<endOptional>>\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>RealNetworks Public Source License Version 1.0\n\n(Rev. Date October 28, 2002)\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> General Definitions. This License applies to any program or other work which RealNetworks, Inc., or any other entity that elects to use this license, (\"Licensor\") makes publicly available and which contains a notice placed by Licensor identifying such program or work as \"Original Code\" and stating that it is subject to the terms of this RealNetworks Public Source License version 1.0 (or subsequent version thereof) (\"License\"). You are not required to accept this License. However, nothing else grants You permission to use, copy, modify or distribute the software or its derivative works. These actions are prohibited by law if You do not accept this License. Therefore, by modifying, copying or distributing the software (or any work based on the software), You indicate your acceptance of this License to do so, and all its terms and conditions. In addition, you agree to the terms of this License by clicking the Accept button or downloading the software. As used in this License:\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Applicable Patent Rights\" mean: (a) in the case where Licensor is the grantor of rights, claims of patents that (i) are now or hereafter acquired, owned by or assigned to Licensor and (ii) are necessarily infringed by using or making the Original Code alone and not in combination with other software or hardware; and (b) in the case where You are the grantor of rights, claims of patents that (i) are now or hereafter acquired, owned by or assigned to You and (ii) are infringed (directly or indirectly) by using or making Your Modifications, taken alone or in combination with Original Code.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Compatible Source License\" means any one of the licenses listed on Exhibit B or at https://www.helixcommunity.org/content/complicense or other licenses specifically identified by Licensor in writing. Notwithstanding any term to the contrary in any Compatible Source License, any code covered by any Compatible Source License that is used with Covered Code must be made readily available in Source Code format for royalty-free use under the terms of the Compatible Source License or this License.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Contributor\" means any person or entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Covered Code\" means the Original Code, Modifications, the combination of Original Code and any Modifications, and/or any respective portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Deploy\" means to use, sublicense or distribute Covered Code other than for Your internal research and development (R&D) and/or Personal Use, and includes without limitation, any and all internal use or distribution of Covered Code within Your business or organization except for R&D use and/or Personal Use, as well as direct or indirect sublicensing or distribution of Covered Code by You to any third party in any form or manner.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"Derivative Work\" means either the Covered Code or any derivative work under United States copyright law, and including any work containing or including any portion of the Covered Code or Modifications, either verbatim or with modifications and/or translated into another language. Derivative Work also includes any work which combines any portion of Covered Code or Modifications with code not otherwise governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"Externally Deploy\" means to Deploy the Covered Code in any way that may be accessed or used by anyone other than You, used to provide any services to anyone other than You, or used in any way to deliver any content to anyone other than You, whether the Covered Code is distributed to those parties, made available as an application intended for use over a computer network, or used to provide services or otherwise deliver content to anyone other than You.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"Interface\" means interfaces, functions, properties, class definitions, APIs, header files, GUIDs, V-Tables, and/or protocols allowing one piece of software, firmware or hardware to communicate or interoperate with another piece of software, firmware or hardware.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"Modifications\" mean any addition to, deletion from, and/or change to, the substance and/or structure of the Original Code, any previous Modifications, the combination of Original Code and any previous Modifications, and/or any respective portions thereof. When code is released as a series of files, a Modification is: (a) any addition to or deletion from the contents of a file containing Covered Code; and/or (b) any new file or other representation of computer program statements that contains any part of Covered Code.\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> \"Original Code\" means (a) the Source Code of a program or other work as originally made available by Licensor under this License, including the Source Code of any updates or upgrades to such programs or works made available by Licensor under this License, and that has been expressly identified by Licensor as such in the header file(s) of such work; and (b) the object code compiled from such Source Code and originally made available by Licensor under this License.\n\n	  <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> \"Personal Use\" means use of Covered Code by an individual solely for his or her personal, private and non-commercial purposes. An individual's use of Covered Code in his or her capacity as an officer, employee, member, independent contractor or agent of a corporation, business or organization (commercial or non-commercial) does not qualify as Personal Use.\n\n	  <<var;name=\"bullet\";original=\"1.12\";match=\".{0,20}\">> \"Source Code\" means the human readable form of a program or other work that is suitable for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an executable (object code).\n\n	  <<var;name=\"bullet\";original=\"1.13\";match=\".{0,20}\">> \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Permitted Uses; Conditions & Restrictions. Subject to the terms and conditions of this License, Licensor hereby grants You, effective on the date You accept this License (via downloading or using Covered Code or otherwise indicating your acceptance of this License), a worldwide, royalty-free, non-exclusive copyright license, to the extent of Licensor's copyrights cover the Original Code, to do the following:\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> You may reproduce, display, perform, modify and Deploy Covered Code, provided that in each instance:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> You must retain and reproduce in all copies of Original Code the copyright and other proprietary notices and disclaimers of Licensor as they appear in the Original Code, and keep intact all notices in the Original Code that refer to this License;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You must include a copy of this License with every copy of Source Code of Covered Code and documentation You distribute, and You may not offer or impose any terms on such Source Code that alter or restrict this License or the recipients' rights hereunder, except as permitted under Section 6;\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> You must duplicate, to the extent it does not already exist, the notice in Exhibit A in each file of the Source Code of all Your Modifications, and cause the modified files to carry prominent notices stating that You changed the files and the date of any change;\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> You must make Source Code of all Your Externally Deployed Modifications publicly available under the terms of this License, including the license grants set forth in Section 3 below, for as long as you Deploy the Covered Code or twelve (12) months from the date of initial Deployment, whichever is longer. You should preferably distribute the Source Code of Your Deployed Modifications electronically (e.g. download from a web site); and\n\n		 <<var;name=\"bullet\";original=\"(e)\";match=\".{0,20}\">> if You Deploy Covered Code in object code, executable form only, You must include a prominent notice, in the code itself as well as in related documentation, stating that Source Code of the Covered Code is available under the terms of this License with information on how and where to obtain such Source Code. You must also include the Object Code Notice set forth in Exhibit A in the \"about\" box or other appropriate place where other copyright notices are placed, including any packaging materials.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> You expressly acknowledge and agree that although Licensor and each Contributor grants the licenses to their respective portions of the Covered Code set forth herein, no assurances are provided by Licensor or any Contributor that the Covered Code does not infringe the patent or other intellectual property rights of any other entity. Licensor and each Contributor disclaim any liability to You for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, You hereby assume sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow You to make, use, sell, import or offer for sale the Covered Code, it is Your responsibility to acquire such license(s).\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> Subject to the terms and conditions of this License, Licensor hereby grants You, effective on the date You accept this License (via downloading or using Covered Code or otherwise indicating your acceptance of this License), a worldwide, royalty-free, perpetual, non-exclusive patent license under Licensor's Applicable Patent Rights to make, use, sell, offer for sale and import the Covered Code, provided that in each instance you comply with the terms of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Your Grants. In consideration of, and as a condition to, the licenses granted to You under this License:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> You grant to Licensor and all third parties a non-exclusive, perpetual, irrevocable, royalty free license under Your Applicable Patent Rights and other intellectual property rights owned or controlled by You, to make, sell, offer for sale, use, import, reproduce, display, perform, modify, distribute and Deploy Your Modifications of the same scope and extent as Licensor's licenses under Sections 2.1 and 2.2; and\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You grant to Licensor and its subsidiaries a non-exclusive, worldwide, royalty-free, perpetual and irrevocable license, under Your Applicable Patent Rights and other intellectual property rights owned or controlled by You, to make, use, sell, offer for sale, import, reproduce, display, perform, distribute, modify or have modified (for Licensor and/or its subsidiaries), sublicense and distribute Your Modifications, in any form and for any purpose, through multiple tiers of distribution.\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> You agree not use any information derived from Your use and review of the Covered Code, including but not limited to any algorithms or inventions that may be contained in the Covered Code, for the purpose of asserting any of Your patent rights, or assisting a third party to assert any of its patent rights, against Licensor or any Contributor.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Derivative Works. You may create a Derivative Work by combining Covered Code with other code not otherwise governed by the terms of this License and distribute the Derivative Work as an integrated product. In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof, including all Modifications.\n\n	  <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> You must cause any Derivative Work that you distribute, publish or Externally Deploy, that in whole or in part contains or is derived from the Covered Code or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License and no other license except as provided in Section 4.2. You also must make Source Code available for the Derivative Work under the same terms as Modifications, described in Sections 2 and 3, above.\n\n	  <<var;name=\"bullet\";original=\"4.2\";match=\".{0,20}\">> Compatible Source Licenses. Software modules that have been independently developed without any use of Covered Code and which contain no portion of the Covered Code, Modifications or other Derivative Works, but are used or combined in any way <<var;name=\"whitTypo\";original=\"with\";match=\"with|wtih\">> the Covered Code or any Derivative Work to form a larger Derivative Work, are exempt from the conditions described in Section 4.1 but only to the extent that: the software module, including any software that is linked to, integrated with, or part of the same applications as, the software module by any method must be wholly subject to one of the Compatible Source Licenses. Notwithstanding the foregoing, all Covered Code must be subject to the terms of this License. Thus, the entire Derivative Work must be licensed under a combination of the RPSL (for Covered Code) and a Compatible Source License for any independently developed software modules within the Derivative Work. The foregoing requirement applies even if the Compatible Source License would ordinarily allow the software module to link with, or form larger works with, other software that is not subject to the Compatible Source License. For example, although the Mozilla Public License v1.1 allows Mozilla code to be combined with proprietary software that is not subject to the MPL, if MPL-licensed code is used with Covered Code the MPL-licensed code could not be combined or linked with any code not governed by the MPL. The general intent of this section 4.2 is to enable use of Covered Code with applications that are wholly subject to an acceptable open source license. You are responsible for determining whether your use of software with Covered Code is allowed under Your license to such software.\n\n	  <<var;name=\"bullet\";original=\"4.3\";match=\".{0,20}\">> Mere aggregation of another work not based on the Covered Code with the Covered Code (or with a work based on the Covered Code) on a volume of a storage or distribution medium does not bring the other work under the scope of this License. If You deliver the Covered Code for combination and/or integration with an application previously provided by You (for example, via automatic updating technology), such combination and/or integration constitutes a Derivative Work subject to the terms of this License.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor or any Contributor except as expressly stated herein. No right is granted to the trademarks of Licensor or any Contributor even if such marks are included in the Covered Code. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any code that Licensor otherwise would have a right to license. Modifications, Derivative Works and/or any use or combination of Covered Code with other technology provided by Licensor or third parties may require additional patent licenses from Licensor which Licensor may grant in its sole discretion. No patent license is granted separate from the Original Code or combinations of the Original Code with other software or hardware.\n\n	  <<var;name=\"bullet\";original=\"5.1.\";match=\".{0,20}\">> Trademarks. This License does not grant any rights to use the trademarks or trade names owned by Licensor (\"Licensor Marks\" defined in Exhibit C) or to any trademark or trade name belonging to any Contributor. No Licensor Marks may be used to endorse or promote products derived from the Original Code other than as permitted by the Licensor Trademark Policy defined in Exhibit C.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations and/or other rights consistent with the scope of the license granted herein (\"Additional Terms\") to one or more recipients of Covered Code. However, You may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Licensor or any Contributor. You must obtain the recipient's agreement that any such Additional Terms are offered by You alone, and You hereby agree to indemnify, defend and hold Licensor and every Contributor harmless for any liability incurred by or claims asserted against Licensor or such Contributor by reason of any such Additional Terms.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Versions of the License. Licensor may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Once Original Code has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of this License published by Licensor. No one other than Licensor has the right to modify the terms applicable to Covered Code created under this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part pre-release, untested, or not fully tested works. The Covered Code may contain errors that could cause failures or loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and agree that use of the Covered Code, or any portion thereof, is at Your sole and entire risk. THE COVERED CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF ANY KIND AND LICENSOR AND LICENSOR'S LICENSOR(S) (COLLECTIVELY REFERRED TO AS \"LICENSOR\" FOR THE PURPOSES OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY, OF QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. LICENSOR AND EACH CONTRIBUTOR DOES NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE COVERED CODE, THAT THE FUNCTIONS CONTAINED IN THE COVERED CODE WILL MEET YOUR REQUIREMENTS, THAT THE OPERATION OF THE COVERED CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE COVERED CODE WILL BE CORRECTED. NO ORAL OR WRITTEN DOCUMENTATION, INFORMATION OR ADVICE GIVEN BY LICENSOR, A LICENSOR AUTHORIZED REPRESENTATIVE OR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You acknowledge that the Covered Code is not intended for use in high risk activities, including, but not limited to, the design, construction, operation or maintenance of nuclear facilities, aircraft navigation, aircraft communication systems, or air traffic control machines in which case the failure of the Covered Code could lead to death, personal injury, or severe physical or environmental damage. Licensor disclaims any express or implied warranty of fitness for such uses.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT SHALL LICENSOR OR ANY CONTRIBUTOR BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE COVERED CODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE OR STRICT LIABILITY), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF LICENSOR OR SUCH CONTRIBUTOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS LIMITATION MAY NOT APPLY TO YOU. In no event shall Licensor's total liability to You for all damages (other than as may be required by applicable law) under this License exceed the amount of ten dollars ($10.00).\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Ownership. Subject to the licenses granted under this License, each Contributor retains all rights, title and interest in and to any Modifications made by such Contributor. Licensor retains all rights, title and interest in and to the Original Code and any Modifications made by or on behalf of Licensor (\"Licensor Modifications\"), and such Licensor Modifications will not be automatically subject to this License. Licensor may, at its sole discretion, choose to license such Licensor Modifications under this License, or on different terms from those contained in this License or may choose not to license them at all.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Termination.\n\n	  <<var;name=\"bullet\";original=\"11.1\";match=\".{0,20}\">> Term and Termination. The term of this License is perpetual unless terminated as provided below. This License and the rights granted hereunder will terminate:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> automatically without notice from Licensor if You fail to comply with any term(s) of this License and fail to cure such breach within 30 days of becoming aware of such breach;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> immediately in the event of the circumstances described in Section 12.5(b); or\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> automatically without notice from Licensor if You, at any time during the term of this License, commence an action for patent infringement against Licensor (including by cross-claim or counter claim in a lawsuit);\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> upon written notice from Licensor if You, at any time during the term of this License, commence an action for patent infringement against any third party alleging that the Covered Code itself (excluding combinations with other software or hardware) infringes any patent (including by cross-claim or counter claim in a lawsuit).\n\n	  <<var;name=\"bullet\";original=\"11.2\";match=\".{0,20}\">> Effect of Termination. Upon termination, You agree to immediately stop any further use, reproduction, modification, sublicensing and distribution of the Covered Code and to destroy all copies of the Covered Code that are in your possession or control. All sublicenses to the Covered Code which have been properly granted prior to termination shall survive any termination of this License. Provisions which, by their nature, should remain in effect beyond the termination of this License shall survive, including but not limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13. No party will be liable to any other for compensation, indemnity or damages of any sort solely as a result of terminating this License in accordance with its terms, and termination of this License will be without prejudice to any other right or remedy of any party.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Miscellaneous.\n\n	  <<var;name=\"bullet\";original=\"12.1\";match=\".{0,20}\">> Government End Users. The Covered Code is a \"commercial item\" as defined in FAR 2.101. Government software and technical data rights in the Covered Code include only those rights customarily provided to the public as defined in this License. This customary commercial license in technical data and software is provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation). Accordingly, all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n	  <<var;name=\"bullet\";original=\"12.2\";match=\".{0,20}\">> Relationship of Parties. This License will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between or among You, Licensor or any Contributor, and You will not represent to the contrary, whether expressly, by implication, appearance or otherwise.\n\n	  <<var;name=\"bullet\";original=\"12.3\";match=\".{0,20}\">> Independent Development. Nothing in this License will impair Licensor's right to acquire, license, develop, have others develop for it, market and/or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Modifications, Derivative Works, technology or products that You may develop, produce, market or distribute.\n\n	  <<var;name=\"bullet\";original=\"12.4\";match=\".{0,20}\">> Waiver; Construction. Failure by Licensor or any Contributor to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter will not apply to this License.\n\n	  <<var;name=\"bullet\";original=\"12.5\";match=\".{0,20}\">> Severability. (a) If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You from fully and/or specifically complying with Sections 2 and/or 3 or prevents the enforceability of either of those Sections, this License will immediately terminate and You must immediately discontinue any use of the Covered Code and destroy all copies of it that are in your possession or control.\n\n	  <<var;name=\"bullet\";original=\"12.6\";match=\".{0,20}\">> Dispute Resolution. Any litigation or other dispute resolution between You and Licensor relating to this License shall take place in the Seattle, Washington, and You and Licensor hereby consent to the personal jurisdiction of, and venue in, the state and federal courts within that District with respect to this License. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n	  <<var;name=\"bullet\";original=\"12.7\";match=\".{0,20}\">> Export/Import Laws. This software is subject to all export and import laws and restrictions and regulations of the country in which you receive the Covered Code and You are solely responsible for ensuring that You do not export, re-export or import the Covered Code or any direct product thereof in violation of any such restrictions, laws or regulations, or without all necessary authorizations.\n\n	  <<var;name=\"bullet\";original=\"12.8\";match=\".{0,20}\">> Entire Agreement; Governing Law. This License constitutes the entire agreement between the parties with respect to the subject matter hereof. This License shall be governed by the laws of the United States and the State of Washington.\n\n	  Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby confirm that they have requested that this License and all related documents be drafted in English. Les parties ont exig\u00e9 que le pr\u00e9sent contrat et tous les documents connexes soient r\u00e9dig\u00e9s en anglais.\n\n	  <<beginOptional>>EXHIBIT A.\n\n<<beginOptional>>\"<<endOptional>>Copyright (c) 1995-2002 RealNetworks, Inc. and/or its licensors. All Rights Reserved.\n\nThe contents of this file, and the files included with this file, are subject to the current version of the RealNetworks Public Source License Version 1.0 (the \"RPSL\") available at https://www.helixcommunity.org/content/rpsl unless you have licensed the file under the RealNetworks Community Source License Version 1.0 (the \"RCSL\") available at https://www.helixcommunity.org/content/rcsl, in which case the RCSL will apply. You may also obtain the license terms directly from RealNetworks. You may not use this file except in compliance with the RPSL or, if you have a valid RCSL with RealNetworks applicable to this file, the RCSL. Please see the applicable RPSL or RCSL for the rights, obligations and limitations governing use of the contents of the file.\n\nThis file is part of the Helix DNA Technology. RealNetworks is the developer of the Original code and owns the copyrights in the portions it created.\n\nThis file, and the files included with this file, is distributed and made available on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND REALNETWORKS HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.\n\nContributor(s): <<var;name=\"contributor\";original=\"____________________________________\";match=\".+\">>\n\nTechnology Compatibility Kit Test Suite(s) Location (if licensed under the RCSL): <<var;name=\"testLocation\";original=\"_____\";match=\".+\">><<beginOptional>>\"<<endOptional>>\n\nObject Code Notice: Helix DNA Client technology included. Copyright (c) RealNetworks, Inc., 1995-2002. All rights reserved.\n\nEXHIBIT B\n\nCompatible Source Licenses for the RealNetworks Public Source License. The following list applies to the most recent version of the license as of October 25, 2002, unless otherwise indicated.\n\nAcademic Free License\n\nApache Software License\n\nApple Public Source License\n\nArtistic license\n\nAttribution Assurance Licenses\n\nBSD license\n\nCommon Public License1\n\nEiffel Forum License\n\nGNU General Public License (GPL)1\n\nGNU Library or \"Lesser\" General Public License (LGPL)1\n\nIBM Public License\n\nIntel Open Source License\n\nJabber Open Source License\n\nMIT license\n\nMITRE Collaborative Virtual Workspace License (CVW License)\n\nMotosoto License\n\nMozilla Public License 1.0 (MPL)\n\nMozilla Public License 1.1 (MPL)\n\nNokia Open Source License\n\nOpen Group Test Suite License\n\nPython Software Foundation License\n\nRicoh Source Code Public License\n\nSun Industry Standards Source License (SISSL)\n\nSun Public License\n\nUniversity of Illinois/NCSA Open Source License\n\nVovida Software License v. 1.0\n\nW3C License\n\nX.Net License\n\nZope Public License\n\nzlib/libpng license\n\n1Note: because this license contains certain reciprocal licensing terms that purport to extend to independently developed code, You may be prohibited under the terms of this otherwise compatible license from using code licensed under its terms with Covered Code because Covered Code may only be licensed under the RealNetworks Public Source License. Any attempt to apply non RPSL license terms, including without limitation the GPL, to Covered Code is expressly forbidden. You are responsible for ensuring that Your use of Compatible Source Licensed code does not violate either the RPSL or the Compatible Source License.\n\nThe latest version of this list can be found at: https://www.helixcommunity.org/content/complicense\n\nEXHIBIT C\n\nRealNetworks' Trademark policy.\n\nRealNetworks defines the following trademarks collectively as \"Licensor Trademarks\": \"RealNetworks\", \"RealPlayer\", \"RealJukebox\", \"RealSystem\", \"RealAudio\", \"RealVideo\", \"RealOne Player\", \"RealMedia\", \"Helix\" or any other trademarks or trade names belonging to RealNetworks.\n\nRealNetworks \"Licensor Trademark Policy\" forbids any use of Licensor Trademarks except as permitted by and in strict compliance at all times with RealNetworks' third party trademark usage guidelines which are posted at www.realnetworks.com/info/helixlogo.html.\n\n<<endOptional>>"
		self.name = "RealNetworks Public Source License v1.0"
		self.licenseId = "RPSL-1.0"
		self.standardLicenseHeader = "\"Copyright (c) 1995-2002 RealNetworks, Inc. and/or its licensors. All Rights Reserved.\n\nThe contents of this file, and the files included with this file, are subject to the current version of the RealNetworks Public Source License Version 1.0 (the \"RPSL\") available at https://www.helixcommunity.org/content/rpsl unless you have licensed the file under the RealNetworks Community Source License Version 1.0 (the \"RCSL\") available at https://www.helixcommunity.org/content/rcsl, in which case the RCSL will apply. You may also obtain the license terms directly from RealNetworks. You may not use this file except in compliance with the RPSL or, if you have a valid RCSL with RealNetworks applicable to this file, the RCSL. Please see the applicable RPSL or RCSL for the rights, obligations and limitations governing use of the contents of the file.\n\nThis file is part of the Helix DNA Technology. RealNetworks is the developer of the Original code and owns the copyrights in the portions it created.\n\nThis file, and the files included with this file, is distributed and made available on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND REALNETWORKS HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.\n\nContributor(s): ____________________________________\n\nTechnology Compatibility Kit Test Suite(s) Location (if licensed under the RCSL): _____\"\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://helixcommunity.org/content/rpsl", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:37Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/RPSL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:37Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://helixcommunity.org/content/rpsl", "https://opensource.org/licenses/RPSL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>RealNetworks Public Source License Version 1.0</p>\n\n		 <p>(Rev. Date October 28, 2002)</p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  General Definitions. This License applies to any program or other work which RealNetworks, Inc.,\n			 or any other entity that elects to use this license, (&quot;Licensor&quot;) makes publicly available and\n			 which contains a notice placed by Licensor identifying such program or work as &quot;Original Code&quot;\n			 and stating that it is subject to the terms of this RealNetworks Public Source License version\n			 1.0 (or subsequent version thereof) (&quot;License&quot;). You are not required to accept this License.\n			 However, nothing else grants You permission to use, copy, modify or distribute the software or\n			 its derivative works. These actions are prohibited by law if You do not accept this License.\n			 Therefore, by modifying, copying or distributing the software (or any work based on the\n			 software), You indicate your acceptance of this License to do so, and all its terms and\n			 conditions. In addition, you agree to the terms of this License by clicking the Accept button\n			 or downloading the software. As used in this License:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1</var>\n		  &quot;Applicable Patent Rights&quot; mean: (a) in the case where Licensor is the grantor of rights, claims\n			 of patents that (i) are now or hereafter acquired, owned by or assigned to Licensor and (ii)\n			 are necessarily infringed by using or making the Original Code alone and not in combination\n			 with other software or hardware; and (b) in the case where You are the grantor of rights,\n			 claims of patents that (i) are now or hereafter acquired, owned by or assigned to You and (ii)\n			 are infringed (directly or indirectly) by using or making Your Modifications, taken alone or\n			 in combination with Original Code.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2</var>\n		  &quot;Compatible Source License&quot; means any one of the licenses listed on Exhibit B or at\n			 https://www.helixcommunity.org/content/complicense or other licenses specifically identified\n			 by Licensor in writing. Notwithstanding any term to the contrary in any Compatible Source\n			 License, any code covered by any Compatible Source License that is used with Covered Code must\n			 be made readily available in Source Code format for royalty-free use under the terms of the\n			 Compatible Source License or this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3</var>\n		  &quot;Contributor&quot; means any person or entity that creates or contributes to the creation of Modifications.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4</var>\n		  &quot;Covered Code&quot; means the Original Code, Modifications, the combination of Original Code and any\n			 Modifications, and/or any respective portions thereof.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5</var>\n		  &quot;Deploy&quot; means to use, sublicense or distribute Covered Code other than for Your internal\n			 research and development (R&amp;D) and/or Personal Use, and includes without limitation, any\n			 and all internal use or distribution of Covered Code within Your business or organization\n			 except for R&amp;D use and/or Personal Use, as well as direct or indirect sublicensing or\n			 distribution of Covered Code by You to any third party in any form or manner.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6</var>\n		  &quot;Derivative Work&quot; means either the Covered Code or any derivative work under United States\n			 copyright law, and including any work containing or including any portion of the Covered Code\n			 or Modifications, either verbatim or with modifications and/or translated into another\n			 language. Derivative Work also includes any work which combines any portion of Covered Code or\n			 Modifications with code not otherwise governed by the terms of this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7</var>\n		  &quot;Externally Deploy&quot; means to Deploy the Covered Code in any way that may be accessed or used by\n			 anyone other than You, used to provide any services to anyone other than You, or used in any\n			 way to deliver any content to anyone other than You, whether the Covered Code is distributed\n			 to those parties, made available as an application intended for use over a computer network,\n			 or used to provide services or otherwise deliver content to anyone other than You.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n		  &quot;Interface&quot; means interfaces, functions, properties, class definitions, APIs, header files,\n			 GUIDs, V-Tables, and/or protocols allowing one piece of software, firmware or hardware to\n			 communicate or interoperate with another piece of software, firmware or hardware.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9</var>\n		  &quot;Modifications&quot; mean any addition to, deletion from, and/or change to, the substance and/or\n			 structure of the Original Code, any previous Modifications, the combination of Original Code\n			 and any previous Modifications, and/or any respective portions thereof. When code is released\n			 as a series of files, a Modification is: (a) any addition to or deletion from the contents of\n			 a file containing Covered Code; and/or (b) any new file or other representation of computer\n			 program statements that contains any part of Covered Code.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10</var>\n		  &quot;Original Code&quot; means (a) the Source Code of a program or other work as originally made available\n			 by Licensor under this License, including the Source Code of any updates or upgrades to such\n			 programs or works made available by Licensor under this License, and that has been expressly\n			 identified by Licensor as such in the header file(s) of such work; and (b) the object code\n			 compiled from such Source Code and originally made available by Licensor under this\n			 License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11</var>\n		  &quot;Personal Use&quot; means use of Covered Code by an individual solely for his or her personal, private\n			 and non-commercial purposes. An individual&apos;s use of Covered Code in his or her capacity as an\n			 officer, employee, member, independent contractor or agent of a corporation, business or\n			 organization (commercial or non-commercial) does not qualify as Personal Use.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12</var>\n		  &quot;Source Code&quot; means the human readable form of a program or other work that is suitable for\n			 making modifications to it, including all modules it contains, plus any associated interface\n			 definition files, scripts used to control compilation and installation of an executable\n			 (object code).\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13</var>\n		  &quot;You&quot; or &quot;Your&quot; means an individual or a legal entity exercising rights under this License. For\n			 legal entities, &quot;You&quot; or &quot;Your&quot; includes any entity which controls, is controlled by, or is\n			 under common control with, You, where &quot;control&quot; means (a) the power, direct or indirect, to\n			 cause the direction or management of such entity, whether by contract or otherwise, or (b)\n			 ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of\n			 such entity.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Permitted Uses; Conditions &amp; Restrictions. Subject to the terms and conditions of this\n			 License, Licensor hereby grants You, effective on the date You accept this License (via\n			 downloading or using Covered Code or otherwise indicating your acceptance of this License), a\n			 worldwide, royalty-free, non-exclusive copyright license, to the extent of Licensor&apos;s\n			 copyrights cover the Original Code, to do the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1</var>\n		  You may reproduce, display, perform, modify and Deploy Covered Code, provided that in each instance:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n		  You must retain and reproduce in all copies of Original Code the copyright and other proprietary\n			 notices and disclaimers of Licensor as they appear in the Original Code, and keep intact all\n			 notices in the Original Code that refer to this License;\n		</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n		  You must include a copy of this License with every copy of Source Code of Covered Code and\n			 documentation You distribute, and You may not offer or impose any terms on such Source Code\n			 that alter or restrict this License or the recipients&apos; rights hereunder, except as permitted\n			 under Section 6;\n		</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n		  You must duplicate, to the extent it does not already exist, the notice in Exhibit A in each file\n			 of the Source Code of all Your Modifications, and cause the modified files to carry prominent\n			 notices stating that You changed the files and the date of any change;\n		</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n		  You must make Source Code of all Your Externally Deployed Modifications publicly available under\n			 the terms of this License, including the license grants set forth in Section 3 below, for as\n			 long as you Deploy the Covered Code or twelve (12) months from the date of initial Deployment,\n			 whichever is longer. You should preferably distribute the Source Code of Your Deployed\n			 Modifications electronically (e.g. download from a web site); and\n		</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (e)</var>\n		  if You Deploy Covered Code in object code, executable form only, You must include a prominent\n			 notice, in the code itself as well as in related documentation, stating that Source Code of\n			 the Covered Code is available under the terms of this License with information on how and\n			 where to obtain such Source Code. You must also include the Object Code Notice set forth in\n			 Exhibit A in the &quot;about&quot; box or other appropriate place where other copyright notices are\n			 placed, including any packaging materials.\n		</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2</var>\n		  You expressly acknowledge and agree that although Licensor and each Contributor grants the\n			 licenses to their respective portions of the Covered Code set forth herein, no assurances are\n			 provided by Licensor or any Contributor that the Covered Code does not infringe the patent or\n			 other intellectual property rights of any other entity. Licensor and each Contributor disclaim\n			 any liability to You for claims brought by any other entity based on infringement of\n			 intellectual property rights or otherwise. As a condition to exercising the rights and\n			 licenses granted hereunder, You hereby assume sole responsibility to secure any other\n			 intellectual property rights needed, if any. For example, if a third party patent license is\n			 required to allow You to make, use, sell, import or offer for sale the Covered Code, it is\n			 Your responsibility to acquire such license(s).\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.3</var>\n		  Subject to the terms and conditions of this License, Licensor hereby grants You, effective on the\n			 date You accept this License (via downloading or using Covered Code or otherwise indicating\n			 your acceptance of this License), a worldwide, royalty-free, perpetual, non-exclusive patent\n			 license under Licensor&apos;s Applicable Patent Rights to make, use, sell, offer for sale and\n			 import the Covered Code, provided that in each instance you comply with the terms of this\n			 License.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Your Grants. In consideration of, and as a condition to, the licenses granted to You under this\n			 License:\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n		  You grant to Licensor and all third parties a non-exclusive, perpetual, irrevocable, royalty free\n			 license under Your Applicable Patent Rights and other intellectual property rights owned or\n			 controlled by You, to make, sell, offer for sale, use, import, reproduce, display, perform,\n			 modify, distribute and Deploy Your Modifications of the same scope and extent as Licensor&apos;s\n			 licenses under Sections 2.1 and 2.2; and\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n		  You grant to Licensor and its subsidiaries a non-exclusive, worldwide, royalty-free, perpetual\n			 and irrevocable license, under Your Applicable Patent Rights and other intellectual property\n			 rights owned or controlled by You, to make, use, sell, offer for sale, import, reproduce,\n			 display, perform, distribute, modify or have modified (for Licensor and/or its subsidiaries),\n			 sublicense and distribute Your Modifications, in any form and for any purpose, through\n			 multiple tiers of distribution.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n		  You agree not use any information derived from Your use and review of the Covered Code, including\n			 but not limited to any algorithms or inventions that may be contained in the Covered Code, for\n			 the purpose of asserting any of Your patent rights, or assisting a third party to assert any\n			 of its patent rights, against Licensor or any Contributor.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Derivative Works. You may create a Derivative Work by combining Covered Code with other code not\n			 otherwise governed by the terms of this License and distribute the Derivative Work as an\n			 integrated product. In each such instance, You must make sure the requirements of this License\n			 are fulfilled for the Covered Code or any portion thereof, including all Modifications.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.1</var>\n		  You must cause any Derivative Work that you distribute, publish or Externally Deploy, that in\n			 whole or in part contains or is derived from the Covered Code or any part thereof, to be\n			 licensed as a whole at no charge to all third parties under the terms of this License and no\n			 other license except as provided in Section 4.2. You also must make Source Code available for\n			 the Derivative Work under the same terms as Modifications, described in Sections 2 and 3,\n			 above.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.2</var>\n		  Compatible Source Licenses. Software modules that have been independently developed without any\n			 use of Covered Code and which contain no portion of the Covered Code, Modifications or other\n			 Derivative Works, but are used or combined in any way <var class=\"replaceable-license-text\"> with</var> the Covered Code or any Derivative\n			 Work to form a larger Derivative Work, are exempt from the conditions described in Section 4.1\n			 but only to the extent that: the software module, including any software that is linked to,\n			 integrated with, or part of the same applications as, the software module by any method must\n			 be wholly subject to one of the Compatible Source Licenses. Notwithstanding the foregoing, all\n			 Covered Code must be subject to the terms of this License. Thus, the entire Derivative Work\n			 must be licensed under a combination of the RPSL (for Covered Code) and a Compatible Source\n			 License for any independently developed software modules within the Derivative Work. The\n			 foregoing requirement applies even if the Compatible Source License would ordinarily allow the\n			 software module to link with, or form larger works with, other software that is not subject to\n			 the Compatible Source License. For example, although the Mozilla Public License v1.1 allows\n			 Mozilla code to be combined with proprietary software that is not subject to the MPL, if\n			 MPL-licensed code is used with Covered Code the MPL-licensed code could not be combined or\n			 linked with any code not governed by the MPL. The general intent of this section 4.2 is to\n			 enable use of Covered Code with applications that are wholly subject to an acceptable open\n			 source license. You are responsible for determining whether your use of software with Covered\n			 Code is allowed under Your license to such software.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.3</var>\n		  Mere aggregation of another work not based on the Covered Code with the Covered Code (or with a\n			 work based on the Covered Code) on a volume of a storage or distribution medium does not bring\n			 the other work under the scope of this License. If You deliver the Covered Code for\n			 combination and/or integration with an application previously provided by You (for example,\n			 via automatic updating technology), such combination and/or integration constitutes a\n			 Derivative Work subject to the terms of this License.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to\n			 trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor\n			 or any Contributor except as expressly stated herein. No right is granted to the trademarks of\n			 Licensor or any Contributor even if such marks are included in the Covered Code. Nothing in\n			 this License shall be interpreted to prohibit Licensor from licensing under different terms\n			 from this License any code that Licensor otherwise would have a right to license.\n			 Modifications, Derivative Works and/or any use or combination of Covered Code with other\n			 technology provided by Licensor or third parties may require additional patent licenses from\n			 Licensor which Licensor may grant in its sole discretion. No patent license is granted\n			 separate from the Original Code or combinations of the Original Code with other software or\n			 hardware.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.1.</var>\n		  Trademarks. This License does not grant any rights to use the trademarks or trade names owned by\n			 Licensor (&quot;Licensor Marks&quot; defined in Exhibit C) or to any trademark or trade name belonging\n			 to any Contributor. No Licensor Marks may be used to endorse or promote products derived from\n			 the Original Code other than as permitted by the Licensor Trademark Policy defined in Exhibit\n			 C.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity\n			 or liability obligations and/or other rights consistent with the scope of the license granted\n			 herein (&quot;Additional Terms&quot;) to one or more recipients of Covered Code. However, You may do so\n			 only on Your own behalf and as Your sole responsibility, and not on behalf of Licensor or any\n			 Contributor. You must obtain the recipient&apos;s agreement that any such Additional Terms are\n			 offered by You alone, and You hereby agree to indemnify, defend and hold Licensor and every\n			 Contributor harmless for any liability incurred by or claims asserted against Licensor or such\n			 Contributor by reason of any such Additional Terms.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Versions of the License. Licensor may publish revised and/or new versions of this License from\n			 time to time. Each version will be given a distinguishing version number. Once Original Code\n			 has been published under a particular version of this License, You may continue to use it\n			 under the terms of that version. You may also choose to use such Original Code under the terms\n			 of any subsequent version of this License published by Licensor. No one other than Licensor\n			 has the right to modify the terms applicable to Covered Code created under this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part pre-release, untested,\n			 or not fully tested works. The Covered Code may contain errors that could cause failures or\n			 loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and\n			 agree that use of the Covered Code, or any portion thereof, is at Your sole and entire risk.\n			 THE COVERED CODE IS PROVIDED &quot;AS IS&quot; AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF ANY KIND AND\n			 LICENSOR AND LICENSOR&apos;S LICENSOR(S) (COLLECTIVELY REFERRED TO AS &quot;LICENSOR&quot; FOR THE PURPOSES\n			 OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS,\n			 EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF\n			 MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY, OF\n			 QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. LICENSOR AND EACH CONTRIBUTOR DOES\n			 NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE COVERED CODE, THAT THE FUNCTIONS\n			 CONTAINED IN THE COVERED CODE WILL MEET YOUR REQUIREMENTS, THAT THE OPERATION OF THE COVERED\n			 CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE COVERED CODE WILL BE\n			 CORRECTED. NO ORAL OR WRITTEN DOCUMENTATION, INFORMATION OR ADVICE GIVEN BY LICENSOR, A\n			 LICENSOR AUTHORIZED REPRESENTATIVE OR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You acknowledge\n			 that the Covered Code is not intended for use in high risk activities, including, but not\n			 limited to, the design, construction, operation or maintenance of nuclear facilities, aircraft\n			 navigation, aircraft communication systems, or air traffic control machines in which case the\n			 failure of the Covered Code could lead to death, personal injury, or severe physical or\n			 environmental damage. Licensor disclaims any express or implied warranty of fitness for such\n			 uses.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT SHALL LICENSOR OR ANY\n			 CONTRIBUTOR BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING\n			 OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE COVERED CODE, OR ANY\n			 PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE OR\n			 STRICT LIABILITY), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF LICENSOR OR SUCH CONTRIBUTOR HAS\n			 BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL\n			 PURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY OF\n			 INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS LIMITATION MAY NOT APPLY TO YOU. In no event\n			 shall Licensor&apos;s total liability to You for all damages (other than as may be required by\n			 applicable law) under this License exceed the amount of ten dollars ($10.00).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Ownership. Subject to the licenses granted under this License, each Contributor retains all\n			 rights, title and interest in and to any Modifications made by such Contributor. Licensor\n			 retains all rights, title and interest in and to the Original Code and any Modifications made\n			 by or on behalf of Licensor (&quot;Licensor Modifications&quot;), and such Licensor Modifications will\n			 not be automatically subject to this License. Licensor may, at its sole discretion, choose to\n			 license such Licensor Modifications under this License, or on different terms from those\n			 contained in this License or may choose not to license them at all.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Termination.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.1</var>\n		  Term and Termination. The term of this License is perpetual unless terminated as provided below.\n			 This License and the rights granted hereunder will terminate:\n	  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n		  automatically without notice from Licensor if You fail to comply with any term(s) of this License\n			 and fail to cure such breach within 30 days of becoming aware of such breach;\n		</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n		  immediately in the event of the circumstances described in Section 12.5(b); or\n		</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n		  automatically without notice from Licensor if You, at any time during the term of this License,\n			 commence an action for patent infringement against Licensor (including by cross-claim or\n			 counter claim in a lawsuit);\n		</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n		  upon written notice from Licensor if You, at any time during the term of this License, commence\n			 an action for patent infringement against any third party alleging that the Covered Code\n			 itself (excluding combinations with other software or hardware) infringes any patent\n			 (including by cross-claim or counter claim in a lawsuit).\n		</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.2</var>\n		  Effect of Termination. Upon termination, You agree to immediately stop any further use,\n			 reproduction, modification, sublicensing and distribution of the Covered Code and to destroy\n			 all copies of the Covered Code that are in your possession or control. All sublicenses to the\n			 Covered Code which have been properly granted prior to termination shall survive any\n			 termination of this License. Provisions which, by their nature, should remain in effect beyond\n			 the termination of this License shall survive, including but not limited to Sections 3, 5, 8,\n			 9, 10, 11, 12.2 and 13. No party will be liable to any other for compensation, indemnity or\n			 damages of any sort solely as a result of terminating this License in accordance with its\n			 terms, and termination of this License will be without prejudice to any other right or remedy\n			 of any party.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  Miscellaneous.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.1</var>\n		  Government End Users. The Covered Code is a &quot;commercial item&quot; as defined in FAR 2.101. Government\n			 software and technical data rights in the Covered Code include only those rights customarily\n			 provided to the public as defined in this License. This customary commercial license in\n			 technical data and software is provided in accordance with FAR 12.211 (Technical Data) and\n			 12.212 (Computer Software) and, for Department of Defense purchases, DFAR 252.227-7015\n			 (Technical Data -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software or\n			 Computer Software Documentation). Accordingly, all U.S. Government End Users acquire Covered\n			 Code with only those rights set forth herein.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.2</var>\n		  Relationship of Parties. This License will not be consTrued as creating an agency, partnership,\n			 joint venture or any other form of legal association between or among You, Licensor or any\n			 Contributor, and You will not represent to the contrary, whether expressly, by implication,\n			 appearance or otherwise.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.3</var>\n		  Independent Development. Nothing in this License will impair Licensor&apos;s right to acquire,\n			 license, develop, have others develop for it, market and/or distribute technology or products\n			 that perform the same or similar functions as, or otherwise compete with, Modifications,\n			 Derivative Works, technology or products that You may develop, produce, market or\n			 distribute.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.4</var>\n		  Waiver; Construction. Failure by Licensor or any Contributor to enforce any provision of this\n			 License will not be deemed a waiver of future enforcement of that or any other provision. Any\n			 law or regulation which provides that the language of a contract shall be consTrued against\n			 the drafter will not apply to this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.5</var>\n		  Severability. (a) If for any reason a court of competent jurisdiction finds any provision of this\n			 License, or portion thereof, to be unenforceable, that provision of the License will be\n			 enforced to the maximum extent permissible so as to effect the economic benefits and intent of\n			 the parties, and the remainder of this License will continue in full force and effect. (b)\n			 Notwithstanding the foregoing, if applicable law prohibits or restricts You from fully and/or\n			 specifically complying with Sections 2 and/or 3 or prevents the enforceability of either of\n			 those Sections, this License will immediately terminate and You must immediately discontinue\n			 any use of the Covered Code and destroy all copies of it that are in your possession or\n			 control.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.6</var>\n		  Dispute Resolution. Any litigation or other dispute resolution between You and Licensor relating\n			 to this License shall take place in the Seattle, Washington, and You and Licensor hereby\n			 consent to the personal jurisdiction of, and venue in, the state and federal courts within\n			 that District with respect to this License. The application of the United Nations Convention\n			 on Contracts for the International Sale of Goods is expressly excluded.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.7</var>\n		  Export/Import Laws. This software is subject to all export and import laws and restrictions and\n			 regulations of the country in which you receive the Covered Code and You are solely\n			 responsible for ensuring that You do not export, re-export or import the Covered Code or any\n			 direct product thereof in violation of any such restrictions, laws or regulations, or without\n			 all necessary authorizations.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.8</var>\n		  Entire Agreement; Governing Law. This License constitutes the entire agreement between the\n			 parties with respect to the subject matter hereof. This License shall be governed by the laws\n			 of the United States and the State of Washington.\n\n	  <p>Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby\n		 confirm that they have requested that this License and all related documents be drafted in English.\n		 Les parties ont exig\u00e9 que le pr\u00e9sent contrat et tous les documents connexes soient r\u00e9dig\u00e9s en\n		 anglais.</p>\n\n			   </li>\n			\n</ul>\n		 </li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A.</p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>Copyright (c) 1995-2002 RealNetworks, Inc. and/or its licensors. All Rights Reserved.</p>\n\n		 <p>The contents of this file, and the files included with this file, are subject to the current version of\n		 the RealNetworks Public Source License Version 1.0 (the &quot;RPSL&quot;) available at\n		 https://www.helixcommunity.org/content/rpsl unless you have licensed the file under the RealNetworks\n		 Community Source License Version 1.0 (the &quot;RCSL&quot;) available at\n		 https://www.helixcommunity.org/content/rcsl, in which case the RCSL will apply. You may also obtain\n		 the license terms directly from RealNetworks. You may not use this file except in compliance with the\n		 RPSL or, if you have a valid RCSL with RealNetworks applicable to this file, the RCSL. Please see the\n		 applicable RPSL or RCSL for the rights, obligations and limitations governing use of the contents of\n		 the file.</p>\n\n		 <p>This file is part of the Helix DNA Technology. RealNetworks is the developer of the Original code and\n		 owns the copyrights in the portions it created.</p>\n\n		 <p>This file, and the files included with this file, is distributed and made available on an &apos;AS IS&apos; basis,\n		 WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND REALNETWORKS HEREBY DISCLAIMS ALL SUCH\n		 WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\n		 PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.</p>\n\n		 <p>Contributor(s): <var class=\"replaceable-license-text\"> ____________________________________</var></p>\n\n		 <p>Technology Compatibility Kit Test Suite(s) Location (if licensed under the RCSL):\n		 <var class=\"replaceable-license-text\"> _____</var><var class=\"optional-license-text\">&quot;</var></p>\n\n		 <p>Object Code Notice: Helix DNA Client technology included. Copyright (c) RealNetworks, Inc., 1995-2002.\n		 All rights reserved.</p>\n\n		 <p>EXHIBIT B</p>\n\n		 <p>Compatible Source Licenses for the RealNetworks Public Source License. The following list applies to the\n		 most recent version of the license as of October 25, 2002, unless otherwise indicated.</p>\n\n		 <p>Academic Free License\n		<br />\n\nApache Software License\n		<br />\n\nApple Public Source License\n		<br />\n\nArtistic license\n		<br />\n\nAttribution Assurance Licenses\n		<br />\n\nBSD license\n		<br />\n\nCommon Public License1\n		<br />\n\nEiffel Forum License\n		<br />\n\nGNU General Public License (GPL)1\n		<br />\n\nGNU Library or &quot;Lesser&quot; General Public License (LGPL)1\n		<br />\n\nIBM Public License\n		<br />\n\nIntel Open Source License\n		<br />\n\nJabber Open Source License\n		<br />\n\nMIT license\n		<br />\n\nMITRE Collaborative Virtual Workspace License (CVW License)\n		<br />\n\nMotosoto License\n		<br />\n\nMozilla Public License 1.0 (MPL)\n		<br />\n\nMozilla Public License 1.1 (MPL)\n		<br />\n\nNokia Open Source License\n		<br />\n\nOpen Group Test Suite License\n		<br />\n\nPython Software Foundation License\n		<br />\n\nRicoh Source Code Public License\n		<br />\n\nSun Industry Standards Source License (SISSL)\n		<br />\n\nSun Public License\n		<br />\n\nUniversity of Illinois/NCSA Open Source License\n		<br />\n\nVovida Software License v. 1.0\n		<br />\n\nW3C License\n		<br />\n\nX.Net License\n		<br />\n\nZope Public License\n		<br />\n\nzlib/libpng license\n	  </p>\n\n		 <p>1Note: because this license contains certain reciprocal licensing terms that purport to extend to\n		 independently developed code, You may be prohibited under the terms of this otherwise compatible\n		 license from using code licensed under its terms with Covered Code because Covered Code may only be\n		 licensed under the RealNetworks Public Source License. Any attempt to apply non RPSL license terms,\n		 including without limitation the GPL, to Covered Code is expressly forbidden. You are responsible for\n		 ensuring that Your use of Compatible Source Licensed code does not violate either the RPSL or the\n		 Compatible Source License.</p>\n\n		 <p>The latest version of this list can be found at: https://www.helixcommunity.org/content/complicense</p>\n\n		 <p>EXHIBIT C</p>\n\n		 <p>RealNetworks&apos; Trademark policy.</p>\n\n		 <p>RealNetworks defines the following trademarks collectively as &quot;Licensor Trademarks&quot;: &quot;RealNetworks&quot;,\n		 &quot;RealPlayer&quot;, &quot;RealJukebox&quot;, &quot;RealSystem&quot;, &quot;RealAudio&quot;, &quot;RealVideo&quot;, &quot;RealOne Player&quot;, &quot;RealMedia&quot;,\n		 &quot;Helix&quot; or any other trademarks or trade names belonging to RealNetworks.</p>\n\n		 <p>RealNetworks &quot;Licensor Trademark Policy&quot; forbids any use of Licensor Trademarks except as permitted by\n		 and in strict compliance at all times with RealNetworks&apos; third party trademark usage guidelines which\n		 are posted at www.realnetworks.com/info/helixlogo.html.</p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p><var class=\"optional-license-text\">&quot;</var>Copyright (c) 1995-2002 RealNetworks, Inc. and/or its licensors. All Rights Reserved.</p>\n\n		 <p>The contents of this file, and the files included with this file, are subject to the current version of\n		 the RealNetworks Public Source License Version 1.0 (the &quot;RPSL&quot;) available at\n		 https://www.helixcommunity.org/content/rpsl unless you have licensed the file under the RealNetworks\n		 Community Source License Version 1.0 (the &quot;RCSL&quot;) available at\n		 https://www.helixcommunity.org/content/rcsl, in which case the RCSL will apply. You may also obtain\n		 the license terms directly from RealNetworks. You may not use this file except in compliance with the\n		 RPSL or, if you have a valid RCSL with RealNetworks applicable to this file, the RCSL. Please see the\n		 applicable RPSL or RCSL for the rights, obligations and limitations governing use of the contents of\n		 the file.</p>\n\n		 <p>This file is part of the Helix DNA Technology. RealNetworks is the developer of the Original code and\n		 owns the copyrights in the portions it created.</p>\n\n		 <p>This file, and the files included with this file, is distributed and made available on an &apos;AS IS&apos; basis,\n		 WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND REALNETWORKS HEREBY DISCLAIMS ALL SUCH\n		 WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\n		 PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.</p>\n\n		 <p>Contributor(s): <var class=\"replaceable-license-text\"> ____________________________________</var></p>\n\n		 <p>Technology Compatibility Kit Test Suite(s) Location (if licensed under the RCSL):\n		 <var class=\"replaceable-license-text\"> _____</var><var class=\"optional-license-text\">&quot;</var></p>\n\n		 "
		self.python_name = "RPSL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBY30DE:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Namensnennung 3.0 Deutschland\n\n  CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\nLizenz\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \"SCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \"LIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n1. Definitionen\n\n	 a. Der Begriff \"Abwandlung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n\n	 b. Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	 c. \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Abwandlungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n\n	 d. Der \"Lizenzgeber\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	 e. \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n\n	 f. Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \"Schutzgegenstand\" im Sinne dieser Lizenz.\n\n	 g. Mit \"Sie\" bzw. \"Ihnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	 h. Unter \"\u00d6ffentlich Zeigen\" im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	 i. \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n\n2. Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n3. Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.e) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (\"unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann\"):\n\n	 a. den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	 b. Abwandlungen des Schutzgegenstandes anzufertigen, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien, sofern deutlich erkennbar gemacht wird, dass es sich um Abwandlungen handelt;\n\n	 c. den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten;\n\n	 d. Abwandlungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich zu zeigen und zu verbreiten.\n\n	 e. Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		  i. Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n\n		  ii. Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, verzichtet der Lizenzgeber f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des Schutzgegenstandes durch Sie auf jegliche Verg\u00fctung.\n\n		  iii. Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re.\n\nDas vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n\n4. Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	 a. Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.b) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Abwandlung vornehmen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin von der Abwandlung die in Abschnitt 4.b) aufgez\u00e4hlten Hinweise entfernen.\n\n	 b. Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder auf ihm aufbauender Abwandlungen oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n\n		  i. Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\"Zuschreibungsempf\u00e4nger\"), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		  ii. den Titel des Inhaltes;\n\n		  iii. in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n\n		  iv. und im Falle einer Abwandlung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Abwandlung handelt.\n\n		Die nach diesem Abschnitt 4.b) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Abwandlung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n\n	 c. Die oben unter 4.a) und b) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	 d. Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n5. Gew\u00e4hrleistung\n\nSOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n\n6. Haftungsbeschr\u00e4nkung\n\nDER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n\n7. Erl\u00f6schen\n\n	 a. Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Abwandlungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	 b. Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n8. Sonstige Bestimmungen\n\n	 a. Jedes Mal, wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	 b. Jedes Mal, wenn Sie eine Abwandlung des Schutzgegenstandes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	 c. Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen davon unber\u00fchrt.\n\n	 d. Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	 e. Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) und b) angebotenen Lizenzen aus.\n\n	 f. Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Namensnennung 3.0 Deutschland\n\n<<endOptional>>\n\nCREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\nLizenz\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \"SCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \"LIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitionen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Der Begriff \"Abwandlung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Abwandlungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Der \"Lizenzgeber\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \"Schutzgegenstand\" im Sinne dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Mit \"Sie\" bzw. \"Ihnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Unter \"\u00d6ffentlich Zeigen\" im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.e) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (\"unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann\"):\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Abwandlungen des Schutzgegenstandes anzufertigen, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien, sofern deutlich erkennbar gemacht wird, dass es sich um Abwandlungen handelt;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Abwandlungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich zu zeigen und zu verbreiten.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, verzichtet der Lizenzgeber f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des Schutzgegenstandes durch Sie auf jegliche Verg\u00fctung.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re. Das vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.b) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Abwandlung vornehmen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin von der Abwandlung die in Abschnitt 4.b) aufgez\u00e4hlten Hinweise entfernen.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder auf ihm aufbauender Abwandlungen oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\"Zuschreibungsempf\u00e4nger\"), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> den Titel des Inhaltes;\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n\n		 <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> und im Falle einer Abwandlung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Abwandlung handelt. Die nach diesem Abschnitt 4.b) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Abwandlung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Die oben unter 4.a) und b) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Gew\u00e4hrleistung SOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Haftungsbeschr\u00e4nkung DER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Erl\u00f6schen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Abwandlungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Sonstige Bestimmungen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Jedes Mal, wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Jedes Mal, wenn Sie eine Abwandlung des Schutzgegenstandes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen davon unber\u00fchrt.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) und b) angebotenen Lizenzen aus.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution 3.0 Germany"
		self.licenseId = "CC-BY-3.0-DE"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by/3.0/de/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:58Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by/3.0/de/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		  <p>Creative Commons Namensnennung 3.0 Deutschland</p>\n\n	  </div>\n	  <p>CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.</p>\n\n	  <p>Lizenz</p>\n\n	  <p>DER GEGENSTAND DIESER LIZENZ (WIE UNTER &quot;SCHUTZGEGENSTAND&quot; DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (&quot;CCPL&quot;, &quot;LIZENZ&quot; ODER &quot;LIZENZVERTRAG&quot;) ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.</p>\n\n	  <p>DURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			  <var class=\"replaceable-license-text\"> 1.</var> Definitionen\n			  \n<ul style=\"list-style:none\">\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> a.</var> Der Begriff &quot;Abwandlung&quot; im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> b.</var> Der Begriff &quot;Sammelwerk&quot; im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> c.</var> &quot;Verbreiten&quot; im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Abwandlungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> d.</var> Der &quot;Lizenzgeber&quot; im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> e.</var> &quot;Rechteinhaber&quot; im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> f.</var> Der Begriff &quot;Schutzgegenstand&quot; bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff &quot;Schutzgegenstand&quot; im Sinne dieser Lizenz.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> g.</var> Mit &quot;Sie&quot; bzw. &quot;Ihnen&quot; ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> h.</var> Unter &quot;\u00d6ffentlich Zeigen&quot; im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> i.</var> &quot;Vervielf\u00e4ltigen&quot; im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n				  </li>\n			  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var> Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var> Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.e) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (&quot;unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann&quot;):\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Abwandlungen des Schutzgegenstandes anzufertigen, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien, sofern deutlich erkennbar gemacht wird, dass es sich um Abwandlungen handelt;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Abwandlungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich zu zeigen und zu verbreiten.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, verzichtet der Lizenzgeber f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des Schutzgegenstandes durch Sie auf jegliche Verg\u00fctung.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re.\n							  </li>\n						  \n</ul>\n					  </li>\n				  \n</ul>\n\n				  Das vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var> Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.b) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Abwandlung vornehmen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin von der Abwandlung die in Abschnitt 4.b) aufgez\u00e4hlten Hinweise entfernen.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder auf ihm aufbauender Abwandlungen oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (&quot;Zuschreibungsempf\u00e4nger&quot;), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> den Titel des Inhaltes;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iv.</var> und im Falle einer Abwandlung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Abwandlung handelt.\n							  </li>\n						  \n</ul>\n\n						  Die nach diesem Abschnitt 4.b) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Abwandlung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Die oben unter 4.a) und b) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 5.</var> Gew\u00e4hrleistung\nSOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 6.</var> Haftungsbeschr\u00e4nkung\nDER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 7.</var> Erl\u00f6schen\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Abwandlungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 8.</var> Sonstige Bestimmungen\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Jedes Mal, wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Jedes Mal, wenn Sie eine Abwandlung des Schutzgegenstandes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen davon unber\u00fchrt.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) und b) angebotenen Lizenzen aus.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> f.</var> Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n					  </li>\n				  \n</ul>\n			  </li>\n		  \n</ul>\n		  <p>Creative Commons Notice</p>\n\n		  <p>Creative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.</p>\n\n		  <p>Creative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke &quot;Creative Commons&quot; zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke &quot;Creative Commons&quot; oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.</p>\n\n		  <p>Creative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.</p>\n\n	  "
		self.python_name = "CCBY30DE"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL20plus:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "GNU GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\nCopyright (C) 1989, 1991 Free Software Foundation, Inc.\n\n51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This General Public License applies to most of the Free Software Foundation's software and to any other program whose authors commit to using it. (Some other Free Software Foundation software is covered by the GNU Lesser General Public License instead.) You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   0. This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is True depends on what the Program does.\n\n   1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   2. You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  a) You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\n	  b) You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n\n	  c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n\n   In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   3. You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n\n	  a) Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  b) Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  c) Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n\n   The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   If distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   4. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   5. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n\n   6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n   7. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   8. If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   9. The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation.\n\n   10. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the program's name and an idea of what it does.>\n\nCopyright (C) <yyyy> <name of author>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA .\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\nGnomovision version 69, Copyright (C) year name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (which makes passes at compilers) written by James Hacker.\n\n< signature of Ty Coon > , 1 April 1989 Ty Coon, President of Vice\n\n"
		self.standardLicenseHeaderTemplate = "<<var;name=\"description\";original=\"<one line to give the program's name and an idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"<yyyy> <name of author>\";match=\".+\">>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., <<var;name=\"freeSoftwareFoundationAddress\";original=\"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA\";match=\".{54,64}\">> .\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\n<<endOptional>>\n\nCopyright (C) 1989, 1991 Free Software Foundation, Inc.\n\n<<var;name=\"freeSoftwareFoundationAddress\";original=\"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA\";match=\".{54,64}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This General Public License applies to most of the Free Software Foundation's software and to any other program whose authors commit to using it. (Some other Free Software Foundation software is covered by the GNU Lesser General Public License instead.) You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is True depends on what the Program does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n\n   In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n\n   The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   If distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<var;name=\"description\";original=\"<one line to give the program's name and an idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"<yyyy> <name of author>\";match=\".+\">>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., <<var;name=\"freeSoftwareFoundationAddress\";original=\"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA\";match=\".{54,64}\">> .\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\nGnomovision version 69, Copyright (C) year name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (which makes passes at compilers) written by James Hacker.\n\n<<beginOptional>><<<endOptional>> signature of Ty Coon<<beginOptional>> ><<endOptional>> , 1 April 1989 Ty Coon, President of Vice\n\n<<endOptional>>"
		self.name = "GNU General Public License v2.0 or later"
		self.licenseId = "GPL-2.0+"
		self.standardLicenseHeader = "<one line to give the program's name and an idea of what it does.>\n\nCopyright (C) <yyyy> <name of author>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA .\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:57Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/GPL-2.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:13:58Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html", "https://opensource.org/licenses/GPL-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>GNU GENERAL PUBLIC LICENSE\n		<br />\n\nVersion 2, June 1991\n	  </p>\n\n	  </div>\n	  <p>Copyright (C) 1989, 1991 Free Software Foundation, Inc.\n		<br />\n\n<var class=\"replaceable-license-text\"> 51 Franklin Street, Fifth Floor, Boston, MA\n		02110-1301, USA</var>\n	  </p>\n\n	  <p>Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is\n		 not allowed.</p>\n\n	  <p>Preamble</p>\n\n	  <p>The licenses for most software are designed to take away your freedom to share and change it. By\n		 contrast, the GNU General Public License is intended to guarantee your freedom to share and change\n		 free software--to make sure the software is free for all its users. This General Public License\n		 applies to most of the Free Software Foundation&apos;s software and to any other program whose authors\n		 commit to using it. (Some other Free Software Foundation software is covered by the GNU Lesser General\n		 Public License instead.) You can apply it to your programs, too.</p>\n\n	  <p>When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are\n		 designed to make sure that you have the freedom to distribute copies of free software (and charge for\n		 this service if you wish), that you receive source code or can get it if you want it, that you can\n		 change the software or use pieces of it in new free programs; and that you know you can do these\n		 things.</p>\n\n	  <p>To protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to\n		 ask you to surrender the rights. These restrictions translate to certain responsibilities for you if\n		 you distribute copies of the software, or if you modify it.</p>\n\n	  <p>For example, if you distribute copies of such a program, whether gratis or for a fee, you must give the\n		 recipients all the rights that you have. You must make sure that they, too, receive or can get the\n		 source code. And you must show them these terms so they know their rights.</p>\n\n	  <p>We protect your rights with two steps: (1) copyright the software, and (2) offer you this license which\n		 gives you legal permission to copy, distribute and/or modify the software.</p>\n\n	  <p>Also, for each author&apos;s protection and ours, we want to make certain that everyone understands that\n		 there is no warranty for this free software. If the software is modified by someone else and passed\n		 on, we want its recipients to know that what they have is not the original, so that any problems\n		 introduced by others will not reflect on the original authors&apos; reputations.</p>\n\n	  <p>Finally, any free program is threatened constantly by software patents. We wish to avoid the danger that\n		 redistributors of a free program will individually obtain patent licenses, in effect making the\n		 program proprietary. To prevent this, we have made it clear that any patent must be licensed for\n		 everyone&apos;s free use or not licensed at all.</p>\n\n	  <p>The precise terms and conditions for copying, distribution and modification follow.</p>\n\n	  <p>TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  This License applies to any program or other work which contains a notice placed by the copyright\n			 holder saying it may be distributed under the terms of this General Public License. The\n			 &quot;Program&quot;, below, refers to any such program or work, and a &quot;work based on the\n			 Program&quot; means either the Program or any derivative work under copyright law: that is to\n			 say, a work containing the Program or a portion of it, either verbatim or with modifications\n			 and/or translated into another language. (Hereinafter, translation is included without\n			 limitation in the term &quot;modification&quot;.) Each licensee is addressed as\n			 &quot;you&quot;.\n		  <p>Activities other than copying, distribution and modification are not covered by this License;\n			 they are outside its scope. The act of running the Program is not restricted, and the output\n			 from the Program is covered only if its contents constitute a work based on the Program\n			 (independent of having been made by running the Program). Whether that is True depends on what\n			 the Program does.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may copy and distribute verbatim copies of the Program&apos;s source code as you receive it,\n			 in any medium, provided that you conspicuously and appropriately publish on each copy an\n			 appropriate copyright notice and disclaimer of warranty; keep intact all the notices that\n			 refer to this License and to the absence of any warranty; and give any other recipients of the\n			 Program a copy of this License along with the Program.\n		  <p>You may charge a fee for the physical act of transferring a copy, and you may at your option\n			 offer warranty protection in exchange for a fee.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may modify your copy or copies of the Program or any portion of it, thus forming a work based\n			 on the Program, and copy and distribute such modifications or work under the terms of Section\n			 1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			You must cause the modified files to carry prominent notices stating that you changed the\n			   files and the date of any change.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			You must cause any work that you distribute or publish, that in whole or in part contains or\n			   is derived from the Program or any part thereof, to be licensed as a whole at no charge to\n			   all third parties under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			If the modified program normally reads commands interactively when run, you must cause it,\n			   when started running for such interactive use in the most ordinary way, to print or\n			   display an announcement including an appropriate copyright notice and a notice that there\n			   is no warranty (or else, saying that you provide a warranty) and that users may\n			   redistribute the program under these conditions, and telling the user how to view a copy\n			   of this License. (Exception: if the Program itself is interactive but does not normally\n			   print such an announcement, your work based on the Program is not required to print an\n			   announcement.)\n		  </li>\n			\n</ul>\n			<p>These requirements apply to the modified work as a whole. If identifiable sections of that\n			   work are not derived from the Program, and can be reasonably considered independent and\n			   separate works in themselves, then this License, and its terms, do not apply to those\n			   sections when you distribute them as separate works. But when you distribute the same\n			   sections as part of a whole which is a work based on the Program, the distribution of the\n			   whole must be on the terms of this License, whose permissions for other licensees extend\n			   to the entire whole, and thus to each and every part regardless of who wrote it.</p>\n\n			<p>Thus, it is not the intent of this section to claim rights or contest your rights to work\n			   written entirely by you; rather, the intent is to exercise the right to control the\n			   distribution of derivative or collective works based on the Program.</p>\n\n			<p>In addition, mere aggregation of another work not based on the Program with the Program (or\n			   with a work based on the Program) on a volume of a storage or distribution medium does not\n			   bring the other work under the scope of this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may copy and distribute the Program (or a work based on it, under Section 2) in object code\n			 or executable form under the terms of Sections 1 and 2 above provided that you also do one of\n			 the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			Accompany it with the complete corresponding machine-readable source code, which must be\n			   distributed under the terms of Sections 1 and 2 above on a medium customarily used for\n			   software interchange; or,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			Accompany it with a written offer, valid for at least three years, to give any third party,\n			   for a charge no more than your cost of physically performing source distribution, a\n			   complete machine-readable copy of the corresponding source code, to be distributed under\n			   the terms of Sections 1 and 2 above on a medium customarily used for software interchange;\n			   or,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			Accompany it with the information you received as to the offer to distribute corresponding\n			   source code. (This alternative is allowed only for noncommercial distribution and only if\n			   you received the program in object code or executable form with such an offer, in accord\n			   with Subsection b above.)\n		  </li>\n			\n</ul>\n			<p>The source code for a work means the preferred form of the work for making modifications to\n			   it. For an executable work, complete source code means all the source code for all modules\n			   it contains, plus any associated interface definition files, plus the scripts used to\n			   control compilation and installation of the executable. However, as a special exception,\n			   the source code distributed need not include anything that is normally distributed (in\n			   either source or binary form) with the major components (compiler, kernel, and so on) of\n			   the operating system on which the executable runs, unless that component itself\n			   accompanies the executable.</p>\n\n			<p>If distribution of executable or object code is made by offering access to copy from a\n			   designated place, then offering equivalent access to copy the source code from the same\n			   place counts as distribution of the source code, even though third parties are not\n			   compelled to copy the source along with the object code.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may not copy, modify, sublicense, or distribute the Program except as expressly provided\n			 under this License. Any attempt otherwise to copy, modify, sublicense or distribute the\n			 Program is void, and will automatically terminate your rights under this License. However,\n			 parties who have received copies, or rights, from you under this License will not have their\n			 licenses terminated so long as such parties remain in full compliance.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You are not required to accept this License, since you have not signed it. However, nothing else\n			 grants you permission to modify or distribute the Program or its derivative works. These\n			 actions are prohibited by law if you do not accept this License. Therefore, by modifying or\n			 distributing the Program (or any work based on the Program), you indicate your acceptance of\n			 this License to do so, and all its terms and conditions for copying, distributing or modifying\n			 the Program or works based on it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Each time you redistribute the Program (or any work based on the Program), the recipient\n			 automatically receives a license from the original licensor to copy, distribute or modify the\n			 Program subject to these terms and conditions. You may not impose any further restrictions on\n			 the recipients&apos; exercise of the rights granted herein. You are not responsible for\n			 enforcing compliance by third parties to this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  If, as a consequence of a court judgment or allegation of patent infringement or for any other\n			 reason (not limited to patent issues), conditions are imposed on you (whether by court order,\n			 agreement or otherwise) that contradict the conditions of this License, they do not excuse you\n			 from the conditions of this License. If you cannot distribute so as to satisfy simultaneously\n			 your obligations under this License and any other pertinent obligations, then as a consequence\n			 you may not distribute the Program at all. For example, if a patent license would not permit\n			 royalty-free redistribution of the Program by all those who receive copies directly or\n			 indirectly through you, then the only way you could satisfy both it and this License would be\n			 to refrain entirely from distribution of the Program.\n		  <p>If any portion of this section is held invalid or unenforceable under any particular\n			 circumstance, the balance of the section is intended to apply and the section as a whole is\n			 intended to apply in other circumstances.</p>\n\n			<p>It is not the purpose of this section to induce you to infringe any patents or other property\n			 right claims or to contest validity of any such claims; this section has the sole purpose of\n			 protecting the integrity of the free software distribution system, which is implemented by\n			 public license practices. Many people have made generous contributions to the wide range of\n			 software distributed through that system in reliance on consistent application of that system;\n			 it is up to the author/donor to decide if he or she is willing to distribute software through\n			 any other system and a licensee cannot impose that choice.</p>\n\n			<p>This section is intended to make thoroughly clear what is believed to be a consequence of the\n			 rest of this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  If the distribution and/or use of the Program is restricted in certain countries either by\n			 patents or by copyrighted interfaces, the original copyright holder who places the Program\n			 under this License may add an explicit geographical distribution limitation excluding those\n			 countries, so that distribution is permitted only in or among countries not thus excluded. In\n			 such case, this License incorporates the limitation as if written in the body of this\n			 License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  The Free Software Foundation may publish revised and/or new versions of the General Public\n			 License from time to time. Such new versions will be similar in spirit to the present version,\n			 but may differ in detail to address new problems or concerns.\n		  <p>Each version is given a distinguishing version number. If the Program specifies a version number\n			 of this License which applies to it and &quot;any later version&quot;, you have the option of\n			 following the terms and conditions either of that version or of any later version published by\n			 the Free Software Foundation. If the Program does not specify a version number of this\n			 License, you may choose any version ever published by the Free Software Foundation.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  If you wish to incorporate parts of the Program into other free programs whose distribution\n			 conditions are different, write to the author to ask for permission. For software which is\n			 copyrighted by the Free Software Foundation, write to the Free Software Foundation; we\n			 sometimes make exceptions for this. Our decision will be guided by the two goals of preserving\n			 the free status of all derivatives of our free software and of promoting the sharing and reuse\n			 of software generally.\n		  <p>NO WARRANTY</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE\n			 EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT\n			 HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT WARRANTY OF ANY\n			 KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n			 MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND\n			 PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE\n			 COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER,\n			 OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE\n			 LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n			 ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF\n			 DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A\n			 FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY\n			 HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>END OF TERMS AND CONDITIONS</p>\n\n		 <p>How to Apply These Terms to Your New Programs</p>\n\n		 <p>If you develop a new program, and you want it to be of the greatest possible use to the public, the best\n		 way to achieve this is to make it free software which everyone can redistribute and change under these\n		 terms.</p>\n\n		 <p>To do so, attach the following notices to the program. It is safest to attach them to the start of each\n		 source file to most effectively convey the exclusion of warranty; and each file should have at least\n		 the &quot;copyright&quot; line and a pointer to where the full notice is found.</p>\n\n		 <p><var class=\"replaceable-license-text\"> &lt;one line to give the program&apos;s name and an idea of what it does.&gt;</var><br />\n\n		 Copyright (C) <var class=\"replaceable-license-text\"> &lt;yyyy&gt; &lt;name of author&gt;</var></p>\n\n		 <p>This program is free software; you can redistribute it and/or modify it under the terms of the GNU\n		 General Public License as published by the Free Software Foundation; either version 2 of the License,\n		 or (at your option) any later version.</p>\n\n		 <p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even\n		 the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General\n		 Public License for more details.</p>\n\n		 <p>You should have received a copy of the GNU General Public License along with this program; if not, write\n		 to the Free Software Foundation, Inc., <var class=\"replaceable-license-text\"> 51 Franklin\n		 Street, Fifth Floor, Boston, MA 02110-1301, USA</var>.</p>\n\n		 <p>Also add information on how to contact you by electronic and paper mail.</p>\n\n		 <p>If the program is interactive, make it output a short notice like this when it starts in an interactive\n		 mode:</p>\n\n		 <p>Gnomovision version 69, Copyright (C) year name of author Gnomovision comes with ABSOLUTELY NO WARRANTY;\n		 for details type `show w&apos;. This is free software, and you are welcome to redistribute it under\n		 certain conditions; type `show c&apos; for details.</p>\n\n		 <p>The hypothetical commands `show w&apos; and `show c&apos; should show the appropriate parts of the\n		 General Public License. Of course, the commands you use may be called something other than `show\n		 w&apos; and `show c&apos;; they could even be mouse-clicks or menu items--whatever suits your\n		 program.</p>\n\n		 <p>You should also get your employer (if you work as a programmer) or your school, if any, to sign a\n		 &quot;copyright disclaimer&quot; for the program, if necessary. Here is a sample; alter the names:</p>\n\n		 <p>Yoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision&apos; (which makes\n		 passes at compilers) written by James Hacker.</p>\n\n		 <p><var class=\"optional-license-text\"> &lt;</var>signature of Ty Coon<var class=\"optional-license-text\"> &gt;</var>, 1 April 1989 Ty Coon, President of Vice</p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p><var class=\"replaceable-license-text\"> &lt;one line to give the program&apos;s name and an idea of what it does.&gt;</var><br />\n\n		 Copyright (C) <var class=\"replaceable-license-text\"> &lt;yyyy&gt; &lt;name of author&gt;</var></p>\n\n		 <p>This program is free software; you can redistribute it and/or modify it under the terms of the GNU\n		 General Public License as published by the Free Software Foundation; either version 2 of the License,\n		 or (at your option) any later version.</p>\n\n		 <p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even\n		 the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General\n		 Public License for more details.</p>\n\n		 <p>You should have received a copy of the GNU General Public License along with this program; if not, write\n		 to the Free Software Foundation, Inc., <var class=\"replaceable-license-text\"> 51 Franklin\n		 Street, Fifth Floor, Boston, MA 02110-1301, USA</var>.</p>\n\n		 "
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "GPL20plus"

	def __str__(self):
		return json.dumps(self.__dict__)


class OpenSSLstandalone:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1998-2019 The OpenSSL Project.  All rights reserved.\n \n  Redistribution and use in source and binary forms, with or without\n  modification, are permitted provided that the following conditions\n  are met:\n \n  1. Redistributions of source code must retain the above copyright\n	 notice, this list of conditions and the following disclaimer.\n \n  2. Redistributions in binary form must reproduce the above copyright\n	 notice, this list of conditions and the following disclaimer in\n	 the documentation and/or other materials provided with the\n	 distribution.\n \n  3. All advertising materials mentioning features or use of this\n	 software must display the following acknowledgment:\n	 \"This product includes software developed by the OpenSSL Project\n	 for use in the OpenSSL Toolkit. (http://www.openssl.org/)\"\n \n  4. The names \"OpenSSL Toolkit\" and \"OpenSSL Project\" must not be used to\n	 endorse or promote products derived from this software without\n	 prior written permission. For written permission, please contact\n	 openssl-core@openssl.org.\n \n  5. Products derived from this software may not be called \"OpenSSL\"\n	 nor may \"OpenSSL\" appear in their names without prior written\n	 permission of the OpenSSL Project.\n \n  6. Redistributions of any form whatsoever must retain the following\n	 acknowledgment:\n	 \"This product includes software developed by the OpenSSL Project\n	 for use in the OpenSSL Toolkit (http://www.openssl.org/)\"\n \n  THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY\n  EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\n  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n  PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE OpenSSL PROJECT OR\n  ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\n  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\n  STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\n  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED\n  OF THE POSSIBILITY OF SUCH DAMAGE.\n  ====================================================================\n \n  This product includes cryptographic software written by Eric Young\n  (eay@cryptsoft.com).  This product includes software written by Tim\n  Hudson (tjh@cryptsoft.com).\n"
		self.standardLicenseTemplate = "<<beginOptional>>OpenSSL License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 1998-2008 The OpenSSL Project. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> All advertising materials mentioning features or use of this software must display the following acknowledgment: \"This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)\"\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The names \"OpenSSL Toolkit\" and \"OpenSSL Project\" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Products derived from this software may not be called \"OpenSSL\" nor may \"OpenSSL\" appear in their names without prior written permission of the OpenSSL Project.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Redistributions of any form whatsoever must retain the following acknowledgment: \"This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)\"\n\nTHIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n<<beginOptional>>This product includes cryptographic software written by Eric Young (eay@cryptsoft.com). This product includes software written by Tim Hudson (tjh@cryptsoft.com).\n\n<<endOptional>>"
		self.name = "OpenSSL License - standalone"
		self.licenseComments = "This is the first license in the OpenSSL two-license stack as a standalone option."
		self.licenseId = "OpenSSL-standalone"
		self.crossRef = [{"match": "False", "url": "https://hstechdocs.helpsystems.com/manuals/globalscape/archive/cuteftp6/open_ssl_license_agreement.htm", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:14Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://library.netapp.com/ecm/ecm_download_file/ECMP1196395", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:15Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://library.netapp.com/ecm/ecm_download_file/ECMP1196395", "https://hstechdocs.helpsystems.com/manuals/globalscape/archive/cuteftp6/open_ssl_license_agreement.htm"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"optional-license-text\"> \n			<p>\n			   OpenSSL License\n			</p>\n\n		 </div>\n		 <div class=\"replaceable-license-text\"> \n			<p>\n			   Copyright (c) 1998-2008 The OpenSSL Project. All rights reserved.\n			</p>\n\n		 </div>\n		 <p>\n			Redistribution and use in source and binary\n			forms, with or without modification, are permitted\n			provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   Redistributions of source code must retain the above copyright\n			   notice, this list of conditions and the following disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Redistributions in binary form must reproduce the\n			   above copyright notice, this list of conditions and\n			   the following disclaimer in the documentation and/or\n			   other materials provided with the distribution.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   All advertising materials mentioning features or use of this\n			   software must display the following acknowledgment: &quot;This\n			   product includes software developed by the OpenSSL Project\n			   for use in the OpenSSL Toolkit. (http://www.openssl.org/)&quot;\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   The names &quot;OpenSSL Toolkit&quot; and &quot;OpenSSL Project&quot; must not\n			   be used to endorse or promote products derived from this\n			   software without prior written permission. For written\n			   permission, please contact openssl-core@openssl.org.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   Products derived from this software may not be called\n			   &quot;OpenSSL&quot; nor may &quot;OpenSSL&quot; appear in their names\n			   without prior written permission of the OpenSSL Project.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 6.</var>\n			   Redistributions of any form whatsoever must retain\n			   the following acknowledgment: &quot;This product includes\n			   software developed by the OpenSSL Project for use\n			   in the OpenSSL Toolkit (http://www.openssl.org/)&quot;\n			</li>\n		 \n</ul>\n		 <p>\n			THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS&apos;&apos; AND\n			ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\n			TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n			A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE\n			OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,\n			INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n			DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\n			GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n			INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n			WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n			THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		 </p>\n\n		 <div class=\"optional-license-text\"> <p>This product includes cryptographic software written \n			by Eric Young (eay@cryptsoft.com).  This product includes software \n			written by Tim Hudson (tjh@cryptsoft.com).</p>\n</div>\n	  "
		self.python_name = "OpenSSLstandalone"

	def __str__(self):
		return json.dumps(self.__dict__)


class MIT0:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "MIT No Attribution\n\nCopyright <YEAR> <COPYRIGHT HOLDER>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this\nsoftware and associated documentation files (the \"Software\"), to deal in the Software\nwithout restriction, including without limitation the rights to use, copy, modify,\nmerge, publish, distribute, sublicense, and/or sell copies of the Software, and to\npermit persons to whom the Software is furnished to do so.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,\nINCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A\nPARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT\nHOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\nOF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\nSOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<var;name=\"title\";original=\"MIT No Attribution\";match=\"The MIT-Zero License|MIT No Attribution|\">>\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright <YEAR> <COPYRIGHT HOLDER>  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.name = "MIT No Attribution"
		self.licenseComments = "This license is a modified version of the common MIT license, with the attribution paragraph removed."
		self.licenseId = "MIT-0"
		self.crossRef = [{"match": "False", "url": "https://github.com/awsdocs/aws-cloud9-user-guide/blob/master/LICENSE-SAMPLECODE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:31Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://romanrm.net/mit-zero", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:32Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/aws/mit-0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:33Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/aws/mit-0", "https://romanrm.net/mit-zero", "https://github.com/awsdocs/aws-cloud9-user-guide/blob/master/LICENSE-SAMPLECODE"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p><var class=\"replaceable-license-text\"> MIT No Attribution</var></p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		<p>\n		  Copyright &lt;YEAR&gt; &lt;COPYRIGHT HOLDER&gt;\n		</p>\n\n	  </div>\n\n	  <p>\n		Permission is hereby granted, free of charge, to any person obtaining a copy of this\n		software and associated documentation files (the &quot;Software&quot;), to deal in the Software\n		without restriction, including without limitation the rights to use, copy, modify,\n		merge, publish, distribute, sublicense, and/or sell copies of the Software, and to\n		permit persons to whom the Software is furnished to do so.\n	  </p>\n\n	  <p>\n		THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,\n		INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A\n		PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT\n		HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\n		OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n		SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n	  </p>\n\n	"
		self.python_name = "MIT0"

	def __str__(self):
		return json.dumps(self.__dict__)


class copyleftnext030:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "				   copyleft-next 0.3.0 (\"this License\")\n						 Release date: 2013-05-16\n\n1. License Grants; No Trademark License\n\n   Subject to the terms of this License, I grant You:\n\n   a) A non-exclusive, worldwide, perpetual, royalty-free, irrevocable\n	  copyright license, to reproduce, Distribute, prepare derivative works\n	  of, publicly perform and publicly display My Work.\n\n   b) A non-exclusive, worldwide, perpetual, royalty-free, irrevocable\n	  patent license under Licensed Patents to make, have made, use, sell,\n	  offer for sale, and import Covered Works.\n\n   This License does not grant any rights in My name, trademarks, service\n   marks, or logos.\n\n2. Distribution: General Conditions\n\n   You may Distribute Covered Works, provided that You (i) inform\n   recipients how they can obtain a copy of this License; (ii) satisfy the\n   applicable conditions of sections 3 through 6; and (iii) preserve all\n   Legal Notices contained in My Work (to the extent they remain\n   pertinent). \"Legal Notices\" means copyright notices, license notices,\n   license texts, and author attributions, but does not include logos,\n   other graphical images, trademarks or trademark legends.\n\n3. Conditions for Distributing Derived Works; Outbound GPL Compatibility\n\n   If You Distribute a Derived Work, You must license the entire Derived\n   Work as a whole under this License, with prominent notice of such\n   licensing. This condition may not be avoided through such means as\n   separate Distribution of portions of the Derived Work. You may\n   additionally license the Derived Work under the GPL, so that the\n   recipient may further Distribute the Derived Work under either this\n   License or the GPL.\n\n4. Condition Against Further Restrictions; Inbound License Compatibility\n\n   When Distributing a Covered Work, You may not impose further\n   restrictions on the exercise of rights in the Covered Work granted under\n   this License. This condition is not excused merely because such\n   restrictions result from Your compliance with conditions or obligations\n   extrinsic to this License (such as a court order or an agreement with a\n   third party).\n\n   However, You may Distribute a Covered Work incorporating material\n   governed by a license that is both OSI-Approved and FSF-Free as of the\n   release date of this License, provided that Your Distribution complies\n   with such other license.\n\n5. Conditions for Distributing Object Code\n\n   You may Distribute an Object Code form of a Covered Work, provided that\n   you accompany the Object Code with a URL through which the Corresponding\n   Source is made available, at no charge, by some standard or customary\n   means of providing network access to source code.\n\n   If you Distribute the Object Code in a physical product or tangible\n   storage medium (\"Product\"), the Corresponding Source must be available\n   through such URL for two years from the date of Your most recent\n   Distribution of the Object Code in the Product. However, if the Product\n   itself contains or is accompanied by the Corresponding Source (made\n   available in a customarily accessible manner), You need not also comply\n   with the first paragraph of this section.\n\n   Each recipient of the Covered Work from You is an intended third-party\n   beneficiary of this License solely as to this section 5, with the right\n   to enforce its terms.\n\n6. Symmetrical Licensing Condition for Upstream Contributions\n\n   If You Distribute a work to Me specifically for inclusion in or\n   modification of a Covered Work (a \"Patch\"), and no explicit licensing\n   terms apply to the Patch, You license the Patch under this License, to\n   the extent of Your copyright in the Patch. This condition does not\n   negate the other conditions of this License, if applicable to the Patch.\n\n7. Nullification of Copyleft/Proprietary Dual Licensing\n\n   If I offer to license, for a fee, a Covered Work under terms other than\n   a license that is OSI-Approved or FSF-Free as of the release date of this\n   License or a numbered version of copyleft-next released by the\n   Copyleft-Next Project, then the license I grant You under section 1 is no\n   longer subject to the conditions in sections 2 through 5.\n\n8. Copyleft Sunset\n\n   The conditions in sections 2 through 5 no longer apply once fifteen\n   years have elapsed from the date of My first Distribution of My Work\n   under this License.\n\n9. Pass-Through\n\n   When You Distribute a Covered Work, the recipient automatically receives\n   a license to My Work from Me, subject to the terms of this License.\n\n10. Termination\n\n	Your license grants under section 1 are automatically terminated if You\n\n	a) fail to comply with the conditions of this License, unless You cure\n	   such noncompliance within thirty days after becoming aware of it, or\n\n	b) initiate a patent infringement litigation claim (excluding\n	   declaratory judgment actions, counterclaims, and cross-claims)\n	   alleging that any part of My Work directly or indirectly infringes\n	   any patent.\n\n	Termination of Your license grants extends to all copies of Covered\n	Works You subsequently obtain. Termination does not terminate the\n	rights of those who have received copies or rights from You subject to\n	this License.\n\n	To the extent permission to make copies of a Covered Work is necessary\n	merely for running it, such permission is not terminable.\n\n11. Later License Versions\n\n	The Copyleft-Next Project may release new versions of copyleft-next,\n	designated by a distinguishing version number (\"Later Versions\").\n	Unless I explicitly remove the option of Distributing Covered Works\n	under Later Versions, You may Distribute Covered Works under any Later\n	Version.\n\n** 12. No Warranty													   **\n**																	   **\n**	 My Work is provided \"as-is\", without warranty. You bear the risk  **\n**	 of using it. To the extent permitted by applicable law, each	  **\n**	 Distributor of My Work excludes the implied warranties of title,  **\n**	 merchantability, fitness for a particular purpose and			 **\n**	 non-infringement.												 **\n\n** 13. Limitation of Liability										   **\n**																	   **\n**	 To the extent permitted by applicable law, in no event will any   **\n**	 Distributor of My Work be liable to You for any damages		   **\n**	 whatsoever, whether direct, indirect, special, incidental, or	 **\n**	 consequential damages, whether arising under contract, tort	   **\n**	 (including negligence), or otherwise, even where the Distributor  **\n**	 knew or should have known about the possibility of such damages.  **\n\n14. Severability\n\n	The invalidity or unenforceability of any provision of this License\n	does not affect the validity or enforceability of the remainder of\n	this License. Such provision is to be reformed to the minimum extent\n	necessary to make it valid and enforceable.\n\n15. Definitions\n\n	\"Copyleft-Next Project\" means the project that maintains the source\n	code repository at <https://gitorious.org/copyleft-next/> as of the\n	release date of this License.\n\n	\"Corresponding Source\" of a Covered Work in Object Code form means (i)\n	the Source Code form of the Covered Work; (ii) all scripts,\n	instructions and similar information that are reasonably necessary for\n	a skilled developer to generate such Object Code from the Source Code\n	provided under (i); and (iii) a list clearly identifying all Separate\n	Works (other than those provided in compliance with (ii)) that were\n	specifically used in building and (if applicable) installing the\n	Covered Work (for example, a specified proprietary compiler including\n	its version number). Corresponding Source must be machine-readable.\n\n	\"Covered Work\" means My Work or a Derived Work.\n\n	\"Derived Work\" means a work of authorship that copies from, modifies,\n	adapts, is based on, is a derivative work of, transforms, translates or\n	contains all or part of My Work, such that copyright permission is\n	required. The following are not Derived Works: (i) Mere Aggregation;\n	(ii) a mere reproduction of My Work; and (iii) if My Work fails to\n	explicitly state an expectation otherwise, a work that merely makes\n	reference to My Work.\n\n	\"Distribute\" means to distribute, transfer or make a copy available to\n	someone else, such that copyright permission is required.\n\n	\"Distributor\" means Me and anyone else who Distributes a Covered Work.\n\n	\"FSF-Free\" means classified as 'free' by the Free Software Foundation.\n\n	\"GPL\" means a version of the GNU General Public License or the GNU\n	Affero General Public License.\n\n	\"I\"/\"Me\"/\"My\" refers to the individual or legal entity that places My\n	Work under this License. \"You\"/\"Your\" refers to the individual or legal\n	entity exercising rights in My Work under this License. A legal entity\n	includes each entity that controls, is controlled by, or is under\n	common control with such legal entity. \"Control\" means (a) the power to\n	direct the actions of such legal entity, whether by contract or\n	otherwise, or (b) ownership of more than fifty percent of the\n	outstanding shares or beneficial ownership of such legal entity.\n\n	\"Licensed Patents\" means all patent claims licensable royalty-free by\n	Me, now or in the future, that are necessarily infringed by making,\n	using, or selling My Work, and excludes claims that would be infringed\n	only as a consequence of further modification of My Work.\n\n	\"Mere Aggregation\" means an aggregation of a Covered Work with a\n	Separate Work.\n\n	\"My Work\" means the particular work of authorship I license to You\n	under this License.\n\n	\"Object Code\" means any form of a work that is not Source Code.\n\n	\"OSI-Approved\" means approved as 'Open Source' by the Open Source\n	Initiative.\n\n	\"Separate Work\" means a work that is separate from and independent of a\n	particular Covered Work and is not by its nature an extension or\n	enhancement of the Covered Work, and/or a runtime library, standard\n	library or similar component that is used to generate an Object Code\n	form of a Covered Work.\n\n	\"Source Code\" means the preferred form of a work for making\n	modifications to it.\n"
		self.standardLicenseTemplate = "<<beginOptional>>copyleft-next 0.3.0 (\"this License\")\n\nRelease date: 2013-05-16\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> License Grants; No Trademark License\n\n   Subject to the terms of this License, I grant You:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> A non-exclusive, worldwide, perpetual, royalty-free, irrevocable copyright license, to reproduce, Distribute, prepare derivative works of, publicly perform and publicly display My Work.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> A non-exclusive, worldwide, perpetual, royalty-free, irrevocable patent license under Licensed Patents to make, have made, use, sell, offer for sale, and import Covered Works.\n\n   This License does not grant any rights in My name, trademarks, service marks, or logos.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Distribution: General Conditions\n\n   You may Distribute Covered Works, provided that You (i) inform recipients how they can obtain a copy of this License; (ii) satisfy the applicable conditions of sections 3 through 6; and (iii) preserve all Legal Notices contained in My Work (to the extent they remain pertinent). \"Legal Notices\" means copyright notices, license notices, license texts, and author attributions, but does not include logos, other graphical images, trademarks or trademark legends.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Conditions for Distributing Derived Works; Outbound GPL Compatibility\n\n   If You Distribute a Derived Work, You must license the entire Derived Work as a whole under this License, with prominent notice of such licensing. This condition may not be avoided through such means as separate Distribution of portions of the Derived Work. You may additionally license the Derived Work under the GPL, so that the recipient may further Distribute the Derived Work under either this License or the GPL.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Condition Against Further Restrictions; Inbound License Compatibility\n\n   When Distributing a Covered Work, You may not impose further restrictions on the exercise of rights in the Covered Work granted under this License. This condition is not excused merely because such restrictions result from Your compliance with conditions or obligations extrinsic to this License (such as a court order or an agreement with a third party).\n\n   However, You may Distribute a Covered Work incorporating material governed by a license that is both OSI-Approved and FSF-Free as of the release date of this License, provided that Your Distribution complies with such other license.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Conditions for Distributing Object Code\n\n   You may Distribute an Object Code form of a Covered Work, provided that you accompany the Object Code with a URL through which the Corresponding Source is made available, at no charge, by some standard or customary means of providing network access to source code.\n\n   If you Distribute the Object Code in a physical product or tangible storage medium (\"Product\"), the Corresponding Source must be available through such URL for two years from the date of Your most recent Distribution of the Object Code in the Product. However, if the Product itself contains or is accompanied by the Corresponding Source (made available in a customarily accessible manner), You need not also comply with the first paragraph of this section.\n\n   Each recipient of the Covered Work from You is an intended third-party beneficiary of this License solely as to this section 5, with the right to enforce its terms.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Symmetrical Licensing Condition for Upstream Contributions\n\n   If You Distribute a work to Me specifically for inclusion in or modification of a Covered Work (a \"Patch\"), and no explicit licensing terms apply to the Patch, You license the Patch under this License, to the extent of Your copyright in the Patch. This condition does not negate the other conditions of this License, if applicable to the Patch.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Nullification of Copyleft/Proprietary Dual Licensing\n\n   If I offer to license, for a fee, a Covered Work under terms other than a license that is OSI-Approved or FSF-Free as of the release date of this License or a numbered version of copyleft-next released by the Copyleft-Next Project, then the license I grant You under section 1 is no longer subject to the conditions in sections 2 through 5.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Copyleft Sunset\n\n   The conditions in sections 2 through 5 no longer apply once fifteen years have elapsed from the date of My first Distribution of My Work under this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Pass-Through\n\n   When You Distribute a Covered Work, the recipient automatically receives a license to My Work from Me, subject to the terms of this License.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Termination\n\n   Your license grants under section 1 are automatically terminated if You\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> fail to comply with the conditions of this License, unless You cure such noncompliance within thirty days after becoming aware of it, or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> initiate a patent infringement litigation claim (excluding declaratory judgment actions, counterclaims, and cross-claims) alleging that any part of My Work directly or indirectly infringes any patent.\n\n   Termination of Your license grants extends to all copies of Covered Works You subsequently obtain. Termination does not terminate the rights of those who have received copies or rights from You subject to this License.\n\n   To the extent permission to make copies of a Covered Work is necessary merely for running it, such permission is not terminable.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Later License Versions\n\n   The Copyleft-Next Project may release new versions of copyleft-next, designated by a distinguishing version number (\"Later Versions\"). Unless I explicitly remove the option of Distributing Covered Works under Later Versions, You may Distribute Covered Works under any Later Version.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> No Warranty\n\n   My Work is provided \"as-is\", without warranty. You bear the risk of using it. To the extent permitted by applicable law, each Distributor of My Work excludes the implied warranties of title, merchantability, fitness for a particular purpose and non-infringement.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Limitation of Liability\n\n   To the extent permitted by applicable law, in no event will any Distributor of My Work be liable to You for any damages whatsoever, whether direct, indirect, special, incidental, or consequential damages, whether arising under contract, tort (including negligence), or otherwise, even where the Distributor knew or should have known about the possibility of such damages.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Severability\n\n   The invalidity or unenforceability of any provision of this License does not affect the validity or enforceability of the remainder of this License. Such provision is to be reformed to the minimum extent necessary to make it valid and enforceable.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Definitions\n\n   \"Copyleft-Next Project\" means the project that maintains the source code repository at <https://gitorious.org/copyleft-next/> as of the release date of this License.\n\n   \"Corresponding Source\" of a Covered Work in Object Code form means (i) the Source Code form of the Covered Work; (ii) all scripts, instructions and similar information that are reasonably necessary for a skilled developer to generate such Object Code from the Source Code provided under (i); and (iii) a list clearly identifying all Separate Works (other than those provided in compliance with (ii)) that were specifically used in building and (if applicable) installing the Covered Work (for example, a specified proprietary compiler including its version number). Corresponding Source must be machine-readable.\n\n   \"Covered Work\" means My Work or a Derived Work.\n\n   \"Derived Work\" means a work of authorship that copies from, modifies, adapts, is based on, is a derivative work of, transforms, translates or contains all or part of My Work, such that copyright permission is required. The following are not Derived Works: (i) Mere Aggregation; (ii) a mere reproduction of My Work; and (iii) if My Work fails to explicitly state an expectation otherwise, a work that merely makes reference to My Work.\n\n   \"Distribute\" means to distribute, transfer or make a copy available to someone else, such that copyright permission is required.\n\n   \"Distributor\" means Me and anyone else who Distributes a Covered Work.\n\n   \"FSF-Free\" means classified as 'free' by the Free Software Foundation.\n\n   \"GPL\" means a version of the GNU General Public License or the GNU Affero General Public License.\n\n   \"I\"/\"Me\"/\"My\" refers to the individual or legal entity that places My Work under this License. \"You\"/\"Your\" refers to the individual or legal entity exercising rights in My Work under this License. A legal entity includes each entity that controls, is controlled by, or is under common control with such legal entity. \"Control\" means (a) the power to direct the actions of such legal entity, whether by contract or otherwise, or (b) ownership of more than fifty percent of the outstanding shares or beneficial ownership of such legal entity.\n\n   \"Licensed Patents\" means all patent claims licensable royalty-free by Me, now or in the future, that are necessarily infringed by making, using, or selling My Work, and excludes claims that would be infringed only as a consequence of further modification of My Work.\n\n   \"Mere Aggregation\" means an aggregation of a Covered Work with a Separate Work.\n\n   \"My Work\" means the particular work of authorship I license to You under this License.\n\n   \"Object Code\" means any form of a work that is not Source Code.\n\n   \"OSI-Approved\" means approved as 'Open Source' by the Open Source Initiative.\n\n   \"Separate Work\" means a work that is separate from and independent of a particular Covered Work and is not by its nature an extension or enhancement of the Covered Work, and/or a runtime library, standard library or similar component that is used to generate an Object Code form of a Covered Work.\n\n   \"Source Code\" means the preferred form of a work for making modifications to it.\n\n   "
		self.name = "copyleft-next 0.3.0"
		self.licenseId = "copyleft-next-0.3.0"
		self.crossRef = [{"match": "False", "url": "https://github.com/copyleft-next/copyleft-next/blob/master/Releases/copyleft-next-0.3.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:18Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/copyleft-next/copyleft-next/blob/master/Releases/copyleft-next-0.3.0"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>copyleft-next 0.3.0 (&quot;this License&quot;)</p>\n\n		 <p>Release date: 2013-05-16</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n			License Grants; No Trademark License\n			<p>Subject to the terms of this License, I grant You:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> a)</var>\n					A non-exclusive, worldwide, perpetual, royalty-free, irrevocable\n					copyright license, to reproduce, Distribute, prepare derivative works\n					of, publicly perform and publicly display My Work.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> b)</var>\n					A non-exclusive, worldwide, perpetual, royalty-free, irrevocable\n					patent license under Licensed Patents to make, have made, use, sell,\n					offer for sale, and import Covered Works.\n				</li>\n			\n</ul>\n\n			<p>This License does not grant any rights in My name, trademarks, service\n			marks, or logos.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n			Distribution: General Conditions\n\n			<p>You may Distribute Covered Works, provided that You (i) inform\n			recipients how they can obtain a copy of this License; (ii) satisfy the\n			applicable conditions of sections 3 through 6; and (iii) preserve all\n			Legal Notices contained in My Work (to the extent they remain\n			pertinent). &quot;Legal Notices&quot; means copyright notices, license notices,\n			license texts, and author attributions, but does not include logos,\n			other graphical images, trademarks or trademark legends.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n			Conditions for Distributing Derived Works; Outbound GPL Compatibility\n\n			<p>If You Distribute a Derived Work, You must license the entire Derived\n			Work as a whole under this License, with prominent notice of such\n			licensing. This condition may not be avoided through such means as\n			separate Distribution of portions of the Derived Work. You may\n			additionally license the Derived Work under the GPL, so that the\n			recipient may further Distribute the Derived Work under either this\n			License or the GPL.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n			Condition Against Further Restrictions; Inbound License Compatibility\n\n			<p>When Distributing a Covered Work, You may not impose further\n			restrictions on the exercise of rights in the Covered Work granted under\n			this License. This condition is not excused merely because such\n			restrictions result from Your compliance with conditions or obligations\n			extrinsic to this License (such as a court order or an agreement with a\n			third party).</p>\n\n			<p>However, You may Distribute a Covered Work incorporating material\n			governed by a license that is both OSI-Approved and FSF-Free as of the\n			release date of this License, provided that Your Distribution complies\n			with such other license.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n			Conditions for Distributing Object Code\n\n			<p>You may Distribute an Object Code form of a Covered Work, provided that\n			you accompany the Object Code with a URL through which the Corresponding\n			Source is made available, at no charge, by some standard or customary\n			means of providing network access to source code.</p>\n\n			<p>If you Distribute the Object Code in a physical product or tangible\n			storage medium (&quot;Product&quot;), the Corresponding Source must be available\n			through such URL for two years from the date of Your most recent\n			Distribution of the Object Code in the Product. However, if the Product\n			itself contains or is accompanied by the Corresponding Source (made\n			available in a customarily accessible manner), You need not also comply\n			with the first paragraph of this section.</p>\n\n			<p>Each recipient of the Covered Work from You is an intended third-party\n			beneficiary of this License solely as to this section 5, with the right\n			to enforce its terms.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n			Symmetrical Licensing Condition for Upstream Contributions\n\n			<p>If You Distribute a work to Me specifically for inclusion in or\n			modification of a Covered Work (a &quot;Patch&quot;), and no explicit licensing\n			terms apply to the Patch, You license the Patch under this License, to\n			the extent of Your copyright in the Patch. This condition does not\n			negate the other conditions of this License, if applicable to the Patch.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n			Nullification of Copyleft/Proprietary Dual Licensing\n\n			<p>If I offer to license, for a fee, a Covered Work under terms other than\n			a license that is OSI-Approved or FSF-Free as of the release date of this\n			License or a numbered version of copyleft-next released by the\n			Copyleft-Next Project, then the license I grant You under section 1 is no\n			longer subject to the conditions in sections 2 through 5.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n			Copyleft Sunset\n\n			<p>The conditions in sections 2 through 5 no longer apply once fifteen\n			years have elapsed from the date of My first Distribution of My Work\n			under this License.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n			Pass-Through\n\n			<p>When You Distribute a Covered Work, the recipient automatically receives\n			a license to My Work from Me, subject to the terms of this License.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n			Termination\n			<p>Your license grants under section 1 are automatically terminated if You</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> a)</var>\n					fail to comply with the conditions of this License, unless You cure\n					such noncompliance within thirty days after becoming aware of it, or\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> b)</var>\n					initiate a patent infringement litigation claim (excluding\n					declaratory judgment actions, counterclaims, and cross-claims)\n					alleging that any part of My Work directly or indirectly infringes\n					any patent.\n				</li>\n			\n</ul>\n\n			<p>Termination of Your license grants extends to all copies of Covered\n			Works You subsequently obtain. Termination does not terminate the\n			rights of those who have received copies or rights from You subject to\n			this License.</p>\n\n			<p>To the extent permission to make copies of a Covered Work is necessary\n			merely for running it, such permission is not terminable.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n			Later License Versions\n\n			<p>The Copyleft-Next Project may release new versions of copyleft-next,\n			designated by a distinguishing version number (&quot;Later Versions&quot;).\n			Unless I explicitly remove the option of Distributing Covered Works\n			under Later Versions, You may Distribute Covered Works under any Later\n			Version.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n			No Warranty\n\n			<p>My Work is provided &quot;as-is&quot;, without warranty. You bear the risk\n			of using it. To the extent permitted by applicable law, each\n			Distributor of My Work excludes the implied warranties of title,\n			merchantability, fitness for a particular purpose and\n			non-infringement.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n			Limitation of Liability\n\n			<p>To the extent permitted by applicable law, in no event will any\n			Distributor of My Work be liable to You for any damages\n			whatsoever, whether direct, indirect, special, incidental, or\n			consequential damages, whether arising under contract, tort\n			(including negligence), or otherwise, even where the Distributor\n			knew or should have known about the possibility of such damages.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 14.</var>\n			Severability\n\n			<p>The invalidity or unenforceability of any provision of this License\n			does not affect the validity or enforceability of the remainder of\n			this License. Such provision is to be reformed to the minimum extent\n			necessary to make it valid and enforceable.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 15.</var>\n			Definitions\n\n			<p>&quot;Copyleft-Next Project&quot; means the project that maintains the source\n			code repository at &lt;https://gitorious.org/copyleft-next/&gt; as of the\n			release date of this License.</p>\n\n			<p>&quot;Corresponding Source&quot; of a Covered Work in Object Code form means (i)\n			the Source Code form of the Covered Work; (ii) all scripts,\n			instructions and similar information that are reasonably necessary for\n			a skilled developer to generate such Object Code from the Source Code\n			provided under (i); and (iii) a list clearly identifying all Separate\n			Works (other than those provided in compliance with (ii)) that were\n			specifically used in building and (if applicable) installing the\n			Covered Work (for example, a specified proprietary compiler including\n			its version number). Corresponding Source must be machine-readable.</p>\n\n			<p>&quot;Covered Work&quot; means My Work or a Derived Work.</p>\n\n			<p>&quot;Derived Work&quot; means a work of authorship that copies from, modifies,\n			adapts, is based on, is a derivative work of, transforms, translates or\n			contains all or part of My Work, such that copyright permission is\n			required. The following are not Derived Works: (i) Mere Aggregation;\n			(ii) a mere reproduction of My Work; and (iii) if My Work fails to\n			explicitly state an expectation otherwise, a work that merely makes\n			reference to My Work.</p>\n\n			<p>&quot;Distribute&quot; means to distribute, transfer or make a copy available to\n			someone else, such that copyright permission is required.</p>\n\n			<p>&quot;Distributor&quot; means Me and anyone else who Distributes a Covered Work.</p>\n\n			<p>&quot;FSF-Free&quot; means classified as &apos;free&apos; by the Free Software Foundation.</p>\n\n			<p>&quot;GPL&quot; means a version of the GNU General Public License or the GNU\n			Affero General Public License.</p>\n\n			<p>&quot;I&quot;/&quot;Me&quot;/&quot;My&quot; refers to the individual or legal entity that places My\n			Work under this License. &quot;You&quot;/&quot;Your&quot; refers to the individual or legal\n			entity exercising rights in My Work under this License. A legal entity\n			includes each entity that controls, is controlled by, or is under\n			common control with such legal entity. &quot;Control&quot; means (a) the power to\n			direct the actions of such legal entity, whether by contract or\n			otherwise, or (b) ownership of more than fifty percent of the\n			outstanding shares or beneficial ownership of such legal entity.</p>\n\n			<p>&quot;Licensed Patents&quot; means all patent claims licensable royalty-free by\n			Me, now or in the future, that are necessarily infringed by making,\n			using, or selling My Work, and excludes claims that would be infringed\n			only as a consequence of further modification of My Work.</p>\n\n			<p>&quot;Mere Aggregation&quot; means an aggregation of a Covered Work with a\n			Separate Work.</p>\n\n			<p>&quot;My Work&quot; means the particular work of authorship I license to You\n			under this License.</p>\n\n			<p>&quot;Object Code&quot; means any form of a work that is not Source Code.</p>\n\n			<p>&quot;OSI-Approved&quot; means approved as &apos;Open Source&apos; by the Open Source\n			Initiative.</p>\n\n			<p>&quot;Separate Work&quot; means a work that is separate from and independent of a\n			particular Covered Work and is not by its nature an extension or\n			enhancement of the Covered Work, and/or a runtime library, standard\n			library or similar component that is used to generate an Object Code\n			form of a Covered Work.</p>\n\n			<p>&quot;Source Code&quot; means the preferred form of a work for making\n			modifications to it.</p>\n\n		</li>\n	  \n</ul>\n\n	"
		self.python_name = "copyleftnext030"

	def __str__(self):
		return json.dumps(self.__dict__)


class OpenSSL:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "OpenSSL License\n\nCopyright (c) 1998-2008 The OpenSSL Project. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. All advertising materials mentioning features or use of this software must display the following acknowledgment: \"This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)\"\n\n4. The names \"OpenSSL Toolkit\" and \"OpenSSL Project\" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org.\n\n5. Products derived from this software may not be called \"OpenSSL\" nor may \"OpenSSL\" appear in their names without prior written permission of the OpenSSL Project.\n\n6. Redistributions of any form whatsoever must retain the following acknowledgment: \"This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)\"\n\nTHIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis product includes cryptographic software written by Eric Young (eay@cryptsoft.com). This product includes software written by Tim Hudson (tjh@cryptsoft.com).\n\n\nOriginal SSLeay License\n\nCopyright (C) 1995-1998 Eric Young (eay@cryptsoft.com) All rights reserved.\n\nThis package is an SSL implementation written by Eric Young (eay@cryptsoft.com). The implementation was written so as to conform with Netscapes SSL.\n\nThis library is free for commercial and non-commercial use as long as the following conditions are aheared to. The following conditions apply to all code found in this distribution, be it the RC4, RSA, lhash, DES, etc., code; not just the SSL code. The SSL documentation included with this distribution is covered by the same copyright terms except that the holder is Tim Hudson (tjh@cryptsoft.com).\n\nCopyright remains Eric Young's, and as such any Copyright notices in the code are not to be removed. If this package is used in a product, Eric Young should be given attribution as the author of the parts of the library used. This can be in the form of a textual message at program startup or in documentation (online or textual) provided with the package.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. All advertising materials mentioning features or use of this software must display the following acknowledgement:\n\"This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)\"\nThe word 'cryptographic' can be left out if the rouines from the library being used are not cryptographic related :-).\n\n4. If you include any Windows specific code (or a derivative thereof) from the apps directory (application code) you must include an acknowledgement: \"This product includes software written by Tim Hudson (tjh@cryptsoft.com)\"\n\nTHIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe licence and distribution terms for any publically available version or derivative of this code cannot be changed. i.e. this code cannot simply be copied and put under another distribution licence [including the GNU Public Licence.]\n"
		self.standardLicenseTemplate = "<<beginOptional>>OpenSSL License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 1998-2008 The OpenSSL Project. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> All advertising materials mentioning features or use of this software must display the following acknowledgment: \"This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)\"\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The names \"OpenSSL Toolkit\" and \"OpenSSL Project\" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Products derived from this software may not be called \"OpenSSL\" nor may \"OpenSSL\" appear in their names without prior written permission of the OpenSSL Project.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Redistributions of any form whatsoever must retain the following acknowledgment: \"This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)\"\n\nTHIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis product includes cryptographic software written by Eric Young (eay@cryptsoft.com). This product includes software written by Tim Hudson (tjh@cryptsoft.com).\n\n<<beginOptional>>Original SSLeay License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)  All rights reserved.  \";match=\".{0,5000}\">>\n\nThis package is an SSL implementation written by Eric Young (eay@cryptsoft.com). The implementation was written so as to conform with Netscapes SSL.\n\nThis library is free for commercial and non-commercial use as long as the following conditions are aheared to. The following conditions apply to all code found in this distribution, be it the RC4, RSA, lhash, DES, etc., code; not just the SSL code. The SSL documentation included with this distribution is covered by the same copyright terms except that the holder is Tim Hudson (tjh@cryptsoft.com).\n\nCopyright remains Eric Young's, and as such any Copyright notices in the code are not to be removed. If this package is used in a product, Eric Young should be given attribution as the author of the parts of the library used. This can be in the form of a textual message at program startup or in documentation (online or textual) provided with the package.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> All advertising materials mentioning features or use of this software must display the following acknowledgement:\n\n   \"This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)\"\n\n   The word 'cryptographic' can be left out if the rouines from the library being used are not cryptographic related :-).\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> If you include any Windows specific code (or a derivative thereof) from the apps directory (application code) you must include an acknowledgement: \"This product includes software written by Tim Hudson (tjh@cryptsoft.com)\"\n\nTHIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe licence and distribution terms for any publically available version or derivative of this code cannot be changed. i.e. this code cannot simply be copied and put under another distribution licence [including the GNU Public Licence.]\n\n"
		self.name = "OpenSSL License"
		self.licenseComments = "The OpenSSL toolkit stays under a dual license, i.e. both the conditions of the OpenSSL License and the original SSLeay license apply to the toolkit."
		self.licenseId = "OpenSSL"
		self.crossRef = [{"match": "False", "url": "http://www.openssl.org/source/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:42Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openssl.org/source/license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>OpenSSL License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1998-2008 The OpenSSL Project. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  All advertising materials mentioning features or use of this software must display the following\n			 acknowledgment: &quot;This product includes software developed by the OpenSSL Project for use in\n			 the OpenSSL Toolkit. (http://www.openssl.org/)&quot;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  The names &quot;OpenSSL Toolkit&quot; and &quot;OpenSSL Project&quot; must not be used to endorse or promote products\n			 derived from this software without prior written permission. For written permission, please\n			 contact openssl-core@openssl.org.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Products derived from this software may not be called &quot;OpenSSL&quot; nor may &quot;OpenSSL&quot; appear in their\n			 names without prior written permission of the OpenSSL Project.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Redistributions of any form whatsoever must retain the following acknowledgment: &quot;This product\n			 includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit\n			 (http://www.openssl.org/)&quot;\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS&apos;&apos; AND ANY EXPRESSED OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY\n		 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED\n		 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>This product includes cryptographic software written by Eric Young (eay@cryptsoft.com). This product\n		 includes software written by Tim Hudson (tjh@cryptsoft.com).</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>Original SSLeay License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)\n		   <br />\n\nAll rights reserved.</p>\n\n	  </div>\n\n	  <p>This package is an SSL implementation written by Eric Young (eay@cryptsoft.com). The implementation was\n		 written so as to conform with Netscapes SSL.</p>\n\n	  <p>This library is free for commercial and non-commercial use as long as the following conditions are\n		 aheared to. The following conditions apply to all code found in this distribution, be it the RC4, RSA,\n		 lhash, DES, etc., code; not just the SSL code. The SSL documentation included with this distribution\n		 is covered by the same copyright terms except that the holder is Tim Hudson (tjh@cryptsoft.com).</p>\n\n	  <p>Copyright remains Eric Young&apos;s, and as such any Copyright notices in the code are not to be removed. If\n		 this package is used in a product, Eric Young should be given attribution as the author of the parts\n		 of the library used. This can be in the form of a textual message at program startup or in\n		 documentation (online or textual) provided with the package.</p>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the copyright notice, this list of conditions and the\n			 following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  All advertising materials mentioning features or use of this software must display the following\n			 acknowledgement:\n			<br />\n\n   &quot;This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)&quot;\n			<br />\n\n   The word &apos;cryptographic&apos; can be left out if the rouines from the library being used are not\n				 cryptographic related :-).\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  If you include any Windows specific code (or a derivative thereof) from the apps directory\n			 (application code) you must include an acknowledgement: &quot;This product includes software\n			 written by Tim Hudson (tjh@cryptsoft.com)&quot;\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT\n		 NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE\n		 DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,\n		 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\n		 OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\n		 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\n		 POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>The licence and distribution terms for any publically available version or derivative of this code cannot\n		 be changed. i.e. this code cannot simply be copied and put under another distribution licence\n		 [including the GNU Public Licence.]</p>\n\n	"
		self.python_name = "OpenSSL"

	def __str__(self):
		return json.dumps(self.__dict__)


class AAL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Attribution Assurance License\n\nCopyright (c) 2002 by AUTHOR PROFESSIONAL IDENTIFICATION * URL \"PROMOTIONAL SLOGAN FOR AUTHOR'S PROFESSIONAL PRACTICE\"\n\nAll Rights Reserved\n\nATTRIBUTION ASSURANCE LICENSE (adapted from the original BSD license)\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the conditions below are met. These conditions require a modest attribution to <AUTHOR> (the \"Author\"), who hopes that its promotional value may help justify the thousands of dollars in otherwise billable time invested in writing this and other freely available, open-source software.\n\n1. Redistributions of source code, in whole or part and with or without modification (the \"Code\"), must prominently display this GPG-signed text in verifiable form.\n\n2. Redistributions of the Code in binary form must be accompanied by this GPG-signed text in any documentation and, each time the resulting executable program or a program dependent thereon is launched, a prominent display (e.g., splash screen or banner text) of the Author's attribution information, which includes:\n\n	 (a) Name (\"AUTHOR\"),\n	 (b) Professional identification (\"PROFESSIONAL IDENTIFICATION\"), and\n	 (c) URL (\"URL\").\n\n3. Neither the name nor any trademark of the Author may be used to endorse or promote products derived from this software without specific prior written permission.\n\n4. Users are entirely responsible, to the exclusion of the Author and any other persons, for compliance with (1) regulations set by owners or administrators of employed equipment, (2) licensing terms of any other software, and (3) local regulations regarding use, including those regarding import, export, and use of encryption software.\n\nTHIS FREE SOFTWARE IS PROVIDED BY THE AUTHOR \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR ANY CONTRIBUTOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, EFFECTS OF UNAUTHORIZED OR MALICIOUS NETWORK ACCESS; PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Attribution Assurance License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2002 by AUTHOR PROFESSIONAL IDENTIFICATION * URL \"PROMOTIONAL SLOGAN FOR AUTHOR'S PROFESSIONAL PRACTICE\"	All Rights Reserved  \";match=\".{0,5000}\">><<beginOptional>> ATTRIBUTION ASSURANCE LICENSE (adapted from the original BSD license)\n\n<<endOptional>>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the conditions below are met. These conditions require a modest attribution to <<var;name=\"author\";original=\"<AUTHOR>\";match=\".+\">> (the \"Author\"), who hopes that its promotional value may help justify the thousands of dollars in otherwise billable time invested in writing this and other freely available, open-source software.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code, in whole or part and with or without modification (the \"Code\"), must prominently display this GPG-signed text in verifiable form.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions of the Code in binary form must be accompanied by this GPG-signed text in any documentation and, each time the resulting executable program or a program dependent thereon is launched, a prominent display (e.g., splash screen or banner text) of the Author's attribution information, which includes:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> <<var;name=\"author\";original=\"Name\";match=\".+\">> (\"AUTHOR\"),\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> <<var;name=\"profIdent\";original=\"Professional identification\";match=\".+\">> (\"PROFESSIONAL IDENTIFICATION\"), and\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> <<var;name=\"url\";original=\"URL\";match=\".+\">> (\"URL\").\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Neither the name nor any trademark of the Author may be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Users are entirely responsible, to the exclusion of the Author and any other persons, for compliance with (1) regulations set by owners or administrators of employed equipment, (2) licensing terms of any other software, and (3) local regulations regarding use, including those regarding import, export, and use of encryption software.\n\nTHIS FREE SOFTWARE IS PROVIDED BY THE AUTHOR \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR ANY CONTRIBUTOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, EFFECTS OF UNAUTHORIZED OR MALICIOUS NETWORK ACCESS; PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Attribution Assurance License"
		self.licenseComments = "This license was released: 2002 Originally written by Edwin A. Suominen for licensing his PRIVARIA secure networking software (see www.privaria.org). The author, who is not an attorney, places this license template into the public domain along with a complete disclaimer of any warranty or responsibility for its content or legal efficacy. You may use or modify the language freely, but entirely at your own risk."
		self.licenseId = "AAL"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/attribution", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:21:56Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/attribution"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Attribution Assurance License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2002 by AUTHOR PROFESSIONAL IDENTIFICATION * URL &quot;PROMOTIONAL SLOGAN FOR AUTHOR&apos;S PROFESSIONAL PRACTICE&quot;\n		 </p>\n\n		 <p>All Rights Reserved</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>ATTRIBUTION ASSURANCE LICENSE (adapted from the original BSD license)</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the conditions below are met. These conditions require a modest attribution to\n		<var class=\"replaceable-license-text\"> &lt;AUTHOR&gt;</var> (the &quot;Author&quot;), who hopes that its promotional value\n		may help justify the thousands of dollars in otherwise billable time invested in writing this and other\n		freely available, open-source software.\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code, in whole or part and with or without modification (the &quot;Code&quot;),\n			 must prominently display this GPG-signed text in verifiable form.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions of the Code in binary form must be accompanied by this GPG-signed text in any\n			 documentation and, each time the resulting executable program or a program dependent thereon\n			 is launched, a prominent display (e.g., splash screen or banner text) of the Author&apos;s\n			 attribution information, which includes:\n		</li>\n		\n<li>\n		\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (a)</var>\n\n			  <var class=\"replaceable-license-text\"> Name</var> (&quot;AUTHOR&quot;),\n\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (b)</var>\n\n			  <var class=\"replaceable-license-text\"> Professional identification</var> (&quot;PROFESSIONAL IDENTIFICATION&quot;), and\n\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (c)</var>\n\n			  <var class=\"replaceable-license-text\"> URL</var> (&quot;URL&quot;).\n\n		  </li>\n		\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Neither the name nor any trademark of the Author may be used to endorse or promote products\n			 derived from this software without specific prior written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Users are entirely responsible, to the exclusion of the Author and any other persons, for\n			 compliance with (1) regulations set by owners or administrators of employed equipment, (2)\n			 licensing terms of any other software, and (3) local regulations regarding use, including\n			 those regarding import, export, and use of encryption software.\n		</li>\n	  \n</ul>\n	  <p>THIS FREE SOFTWARE IS PROVIDED BY THE AUTHOR &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,\n		 BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE\n		 DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR ANY CONTRIBUTOR BE LIABLE FOR ANY DIRECT, INDIRECT,\n		 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, EFFECTS OF\n		 UNAUTHORIZED OR MALICIOUS NETWORK ACCESS; PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n		 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n		 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\n		 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "AAL"

	def __str__(self):
		return json.dumps(self.__dict__)


class AFL30:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Academic Free License (\u201cAFL\u201d) v. 3.0\n\nThis Academic Free License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following licensing notice adjacent to the copyright notice for the Original Work:\n\n	 Licensed under the Academic Free License version 3.0\n\n1) Grant of Copyright License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, for the duration of the copyright, to do the following:\n\n	 a) to reproduce the Original Work in copies, either alone or as part of a collective work;\n	 b) to translate, adapt, alter, transform, modify, or arrange the Original Work, thereby creating derivative works (\"Derivative Works\") based upon the Original Work;\n	 c) to distribute or communicate copies of the Original Work and Derivative Works to the public, under any license of your choice that does not contradict the terms and conditions, including Licensor\u2019s reserved rights and remedies, in this Academic Free License;\n	 d) to perform the Original Work publicly; and\n	 e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, for the duration of the patents, to make, use, sell, offer for sale, have made, and import the Original Work and Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work.\n\n 4) Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior permission of the Licensor. Except as expressly stated herein, nothing in this License grants any license to Licensor\u2019s trademarks, copyrights, patents, trade secrets or any other intellectual property. No patent license is granted to make, use, sell, offer for sale, have made, or import embodiments of any patent claims other than the licensed claims defined in Section 2. No license is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under terms different from this License any Original Work that Licensor otherwise would have a right to license.\n\n5) External Deployment. The term \"External Deployment\" means the use, distribution, or communication of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether those works are distributed or communicated to those persons or made available as an application intended for use over a network. As an express condition for the grants of license hereunder, You must treat any External Deployment by You of the Original Work or a Derivative Work as a distribution under section 1(c).\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent, or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights. Except as expressly stated in the immediately preceding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of non-infringement, merchantability or fitness for a particular purpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to the Original Work is granted by this License except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to anyone for any indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to the extent applicable law prohibits such limitation.\n\n9) Acceptance and Termination. If, at any time, You expressly assented to this License, that assent indicates your clear and irrevocable acceptance of this License and all of its terms and conditions. If You distribute or communicate copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. This License conditions your rights to undertake the activities listed in Section 1, including your right to create Derivative Works based upon the Original Work, and doing so without honoring these terms and conditions is prohibited by copyright law and international treaty. Nothing in this License is intended to affect copyright exceptions and limitations (including \u201cfair use\u201d or \u201cfair dealing\u201d). This License shall terminate immediately and You may no longer exercise any of the rights granted to You by this License upon your failure to honor the conditions in Section 1(c).\n\n10) Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, against Licensor or any licensee alleging that the Original Work infringes a patent. This termination provision shall not apply for an action alleging patent infringement by combinations of the Original Work with other software or hardware.\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of copyright or patent law in the appropriate jurisdiction. This section shall survive the termination of this License.\n\n12) Attorneys\u2019 Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n13) Miscellaneous. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\n16) Modification of This License. This License is Copyright \u00a9 2005 Lawrence Rosen. Permission is granted to copy, distribute, or communicate this License without modification. Nothing in this License permits You to modify this License as applied to the Original Work or to Derivative Works. However, You may modify the text of this License and copy, distribute or communicate your modified version (the \"Modified License\") and apply it to other original works of authorship subject to the following conditions: (i) You may not indicate in any way that your Modified License is the \"Academic Free License\" or \"AFL\" and you may not use those names in the name of your Modified License; (ii) You must replace the notice specified in the first paragraph above with the notice \"Licensed under <insert your license name here>\" or with a notice of your own that is not confusingly similar to the notice in this License; and (iii) You may not claim that your original works are open source software unless your Modified License has been approved by Open Source Initiative (OSI) and You comply with its license review and certification process.\n"
		self.standardLicenseHeaderTemplate = "Licensed under the Academic Free License version 3.0\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Academic Free License (\"AFL\") v. 3.0\n\n<<endOptional>><<beginOptional>> This Academic Free License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following licensing notice adjacent to the copyright notice for the Original Work:\n\nLicensed under the Academic Free License version 3.0\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Grant of Copyright License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, for the duration of the copyright, to do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> to reproduce the Original Work in copies, either alone or as part of a collective work;\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> to translate, adapt, alter, transform, modify, or arrange the Original Work, thereby creating derivative works (\"Derivative Works\") based upon the Original Work;\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> to distribute or communicate copies of the Original Work and Derivative Works to the public, under any license of your choice that does not contradict the terms and conditions, including Licensor's reserved rights and remedies, in this Academic Free License;\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> to perform the Original Work publicly; and\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> to display the Original Work publicly.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Grant of Patent License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, for the duration of the patents, to make, use, sell, offer for sale, have made, and import the Original Work and Derivative Works.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior permission of the Licensor. Except as expressly stated herein, nothing in this License grants any license to Licensor's trademarks, copyrights, patents, trade secrets or any other intellectual property. No patent license is granted to make, use, sell, offer for sale, have made, or import embodiments of any patent claims other than the licensed claims defined in Section 2. No license is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under terms different from this License any Original Work that Licensor otherwise would have a right to license.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> External Deployment. The term \"External Deployment\" means the use, distribution, or communication of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether those works are distributed or communicated to those persons or made available as an application intended for use over a network. As an express condition for the grants of license hereunder, You must treat any External Deployment by You of the Original Work or a Derivative Work as a distribution under section 1(c).\n\n   <<var;name=\"bullet\";original=\"6)\";match=\".{0,20}\">> Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent, or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n   <<var;name=\"bullet\";original=\"7)\";match=\".{0,20}\">> Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights. Except as expressly stated in the immediately preceding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of non-infringement, merchantability or fitness for a particular purpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to the Original Work is granted by this License except under this disclaimer.\n\n   <<var;name=\"bullet\";original=\"8)\";match=\".{0,20}\">> Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to anyone for any indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to the extent applicable law prohibits such limitation.\n\n   <<var;name=\"bullet\";original=\"9)\";match=\".{0,20}\">> Acceptance and Termination. If, at any time, You expressly assented to this License, that assent indicates your clear and irrevocable acceptance of this License and all of its terms and conditions. If You distribute or communicate copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. This License conditions your rights to undertake the activities listed in Section 1, including your right to create Derivative Works based upon the Original Work, and doing so without honoring these terms and conditions is prohibited by copyright law and international treaty. Nothing in this License is intended to affect copyright exceptions and limitations (including \"fair use\" or \"fair dealing\"). This License shall terminate immediately and You may no longer exercise any of the rights granted to You by this License upon your failure to honor the conditions in Section 1(c).\n\n   <<var;name=\"bullet\";original=\"10)\";match=\".{0,20}\">> Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, against Licensor or any licensee alleging that the Original Work infringes a patent. This termination provision shall not apply for an action alleging patent infringement by combinations of the Original Work with other software or hardware.\n\n   <<var;name=\"bullet\";original=\"11)\";match=\".{0,20}\">> Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of copyright or patent law in the appropriate jurisdiction. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"12)\";match=\".{0,20}\">> Attorneys' Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"13)\";match=\".{0,20}\">> Miscellaneous. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n   <<var;name=\"bullet\";original=\"14)\";match=\".{0,20}\">> Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"15)\";match=\".{0,20}\">> Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\n   <<var;name=\"bullet\";original=\"16)\";match=\".{0,20}\">> Modification of This License. This License is Copyright \u00a9 2005 Lawrence Rosen. Permission is granted to copy, distribute, or communicate this License without modification. Nothing in this License permits You to modify this License as applied to the Original Work or to Derivative Works. However, You may modify the text of this License and copy, distribute or communicate your modified version (the \"Modified License\") and apply it to other original works of authorship subject to the following conditions: (i) You may not indicate in any way that your Modified License is the \"Academic Free License\" or \"AFL\" and you may not use those names in the name of your Modified License; (ii) You must replace the notice specified in the first paragraph above with the notice \"Licensed under <insert your license name here>\" or with a notice of your own that is not confusingly similar to the notice in this License; and (iii) You may not claim that your original works are open source software unless your Modified License has been approved by Open Source Initiative (OSI) and You comply with its license review and certification process."
		self.name = "Academic Free License v3.0"
		self.licenseId = "AFL-3.0"
		self.standardLicenseHeader = "Licensed under the Academic Free License version 3.0\n\n"
		self.crossRef = [{"match": "False", "url": "http://www.rosenlaw.com/AFL3.0.htm", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:24Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/afl-3.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:24Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["http://www.rosenlaw.com/AFL3.0.htm", "https://opensource.org/licenses/afl-3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Academic Free License (&quot;AFL&quot;) v. 3.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>This Academic Free License (the &quot;License&quot;) applies to any original work of authorship (the\n		 &quot;Original Work&quot;) whose owner (the &quot;Licensor&quot;) has placed the following licensing\n		 notice adjacent to the copyright notice for the Original Work:</p>\n\n		 <p>Licensed under the Academic Free License version 3.0</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Grant of Copyright License. Licensor grants You a worldwide, royalty-free, non-exclusive,\n			 sublicensable license, for the duration of the copyright, to do the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			to reproduce the Original Work in copies, either alone or as part of a collective work;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			to translate, adapt, alter, transform, modify, or arrange the Original Work, thereby creating\n			   derivative works (&quot;Derivative Works&quot;) based upon the Original Work;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			to distribute or communicate copies of the Original Work and Derivative Works to the public,\n			   under any license of your choice that does not contradict the terms and conditions,\n			   including Licensor&apos;s reserved rights and remedies, in this Academic Free\n			   License;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			to perform the Original Work publicly; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			to display the Original Work publicly.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Grant of Patent License. Licensor grants You a worldwide, royalty-free, non-exclusive,\n			 sublicensable license, under patent claims owned or controlled by the Licensor that are\n			 embodied in the Original Work as furnished by the Licensor, for the duration of the patents,\n			 to make, use, sell, offer for sale, have made, and import the Original Work and Derivative\n			 Works.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  Grant of Source Code License. The term &quot;Source Code&quot; means the preferred form of the\n			 Original Work for making modifications to it and all available documentation describing how to\n			 modify the Original Work. Licensor agrees to provide a machine-readable copy of the Source\n			 Code of the Original Work along with each copy of the Original Work that Licensor distributes.\n			 Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of\n			 the Source Code in an information repository reasonably calculated to permit inexpensive and\n			 convenient access by You for as long as Licensor continues to distribute the Original\n			 Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors\n			 to the Original Work, nor any of their trademarks or service marks, may be used to endorse or\n			 promote products derived from this Original Work without express prior permission of the\n			 Licensor. Except as expressly stated herein, nothing in this License grants any license to\n			 Licensor&apos;s trademarks, copyrights, patents, trade secrets or any other intellectual\n			 property. No patent license is granted to make, use, sell, offer for sale, have made, or\n			 import embodiments of any patent claims other than the licensed claims defined in Section 2.\n			 No license is granted to the trademarks of Licensor even if such marks are included in the\n			 Original Work. Nothing in this License shall be interpreted to prohibit Licensor from\n			 licensing under terms different from this License any Original Work that Licensor otherwise\n			 would have a right to license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  External Deployment. The term &quot;External Deployment&quot; means the use, distribution, or\n			 communication of the Original Work or Derivative Works in any way such that the Original Work\n			 or Derivative Works may be used by anyone other than You, whether those works are distributed\n			 or communicated to those persons or made available as an application intended for use over a\n			 network. As an express condition for the grants of license hereunder, You must treat any\n			 External Deployment by You of the Original Work or a Derivative Work as a distribution under\n			 section 1(c).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6)</var>\n		  Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create,\n			 all copyright, patent, or trademark notices from the Source Code of the Original Work, as well\n			 as any notices of licensing and any descriptive text identified therein as an\n			 &quot;Attribution Notice.&quot; You must cause the Source Code for any Derivative Works that\n			 You create to carry a prominent Attribution Notice reasonably calculated to inform recipients\n			 that You have modified the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7)</var>\n		  Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to\n			 the Original Work and the patent rights granted herein by Licensor are owned by the Licensor\n			 or are sublicensed to You under the terms of this License with the permission of the\n			 contributor(s) of those copyrights and patent rights. Except as expressly stated in the\n			 immediately preceding sentence, the Original Work is provided under this License on an\n			 &quot;AS IS&quot; BASIS and WITHOUT WARRANTY, either express or implied, including, without\n			 limitation, the warranties of non-infringement, merchantability or fitness for a particular\n			 purpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER\n			 OF WARRANTY constitutes an essential part of this License. No license to the Original Work is\n			 granted by this License except under this disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8)</var>\n		  Limitation of Liability. Under no circumstances and under no legal theory, whether in tort\n			 (including negligence), contract, or otherwise, shall the Licensor be liable to anyone for any\n			 indirect, special, incidental, or consequential damages of any character arising as a result\n			 of this License or the use of the Original Work including, without limitation, damages for\n			 loss of goodwill, work stoppage, computer failure or malfunction, or any and all other\n			 commercial damages or losses. This limitation of liability shall not apply to the extent\n			 applicable law prohibits such limitation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9)</var>\n		  Acceptance and Termination. If, at any time, You expressly assented to this License, that assent\n			 indicates your clear and irrevocable acceptance of this License and all of its terms and\n			 conditions. If You distribute or communicate copies of the Original Work or a Derivative Work,\n			 You must make a reasonable effort under the circumstances to obtain the express assent of\n			 recipients to the terms of this License. This License conditions your rights to undertake the\n			 activities listed in Section 1, including your right to create Derivative Works based upon the\n			 Original Work, and doing so without honoring these terms and conditions is prohibited by\n			 copyright law and international treaty. Nothing in this License is intended to affect\n			 copyright exceptions and limitations (including &quot;fair use&quot; or &quot;fair\n			 dealing&quot;). This License shall terminate immediately and You may no longer exercise any\n			 of the rights granted to You by this License upon your failure to honor the conditions in\n			 Section 1(c).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10)</var>\n		  Termination for Patent Action. This License shall terminate automatically and You may no longer\n			 exercise any of the rights granted to You by this License as of the date You commence an\n			 action, including a cross-claim or counterclaim, against Licensor or any licensee alleging\n			 that the Original Work infringes a patent. This termination provision shall not apply for an\n			 action alleging patent infringement by combinations of the Original Work with other software\n			 or hardware.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11)</var>\n		  Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought\n			 only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor\n			 conducts its primary business, and under the laws of that jurisdiction excluding its\n			 conflict-of-law provisions. The application of the United Nations Convention on Contracts for\n			 the International Sale of Goods is expressly excluded. Any use of the Original Work outside\n			 the scope of this License or after its termination shall be subject to the requirements and\n			 penalties of copyright or patent law in the appropriate jurisdiction. This section shall\n			 survive the termination of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12)</var>\n		  Attorneys&apos; Fees. In any action to enforce the terms of this License or seeking damages\n			 relating thereto, the prevailing party shall be entitled to recover its costs and expenses,\n			 including, without limitation, reasonable attorneys&apos; fees and costs incurred in\n			 connection with such action, including any appeal of such action. This section shall survive\n			 the termination of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13)</var>\n		  Miscellaneous. If any provision of this License is held to be unenforceable, such provision shall\n			 be reformed only to the extent necessary to make it enforceable.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14)</var>\n		  Definition of &quot;You&quot; in This License. &quot;You&quot; throughout this License, whether\n			 in upper or lower case, means an individual or a legal entity exercising rights under, and\n			 complying with all of the terms of, this License. For legal entities, &quot;You&quot; includes\n			 any entity that controls, is controlled by, or is under common control with you. For purposes\n			 of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the\n			 direction or management of such entity, whether by contract or otherwise, or (ii) ownership of\n			 fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such\n			 entity.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15)</var>\n		  Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned\n			 by this License or by law, and Licensor promises not to interfere with or be responsible for\n			 such uses by You.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 16)</var>\n		  Modification of This License. This License is Copyright \u00a9 2005 Lawrence Rosen. Permission is\n			 granted to copy, distribute, or communicate this License without modification. Nothing in this\n			 License permits You to modify this License as applied to the Original Work or to Derivative\n			 Works. However, You may modify the text of this License and copy, distribute or communicate\n			 your modified version (the &quot;Modified License&quot;) and apply it to other original works\n			 of authorship subject to the following conditions: (i) You may not indicate in any way that\n			 your Modified License is the &quot;Academic Free License&quot; or &quot;AFL&quot; and you may\n			 not use those names in the name of your Modified License; (ii) You must replace the notice\n			 specified in the first paragraph above with the notice &quot;Licensed under &lt;insert your\n			 license name here&gt;&quot; or with a notice of your own that is not confusingly similar to\n			 the notice in this License; and (iii) You may not claim that your original works are open\n			 source software unless your Modified License has been approved by Open Source Initiative (OSI)\n			 and You comply with its license review and certification process.\n		</li>\n	  \n</ul>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p>Licensed under the Academic Free License version 3.0</p>\n\n		 "
		self.python_name = "AFL30"

	def __str__(self):
		return json.dumps(self.__dict__)


class KnuthCTAN:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This software is copyrighted. Unlimited copying and redistribution\nof this package and/or its individual files are permitted\nas long as there are no modifications. Modifications, and\nredistribution of modifications, are also permitted, but\nonly if the resulting package and/or files are renamed.\n"
		self.standardLicenseTemplate = "This software is copyrighted. Unlimited copying and redistribution of this package and/or its individual files are permitted as long as there are no modifications. Modifications, and redistribution of modifications, are also permitted, but only if the resulting package and/or files are renamed.\n\n"
		self.name = "Knuth CTAN License"
		self.licenseComments = "This license is very similar to Wsuipa."
		self.licenseId = "Knuth-CTAN"
		self.crossRef = [{"match": "False", "url": "https://ctan.org/license/knuth", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://ctan.org/license/knuth"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			This software is copyrighted. Unlimited copying and redistribution\n			of this package and/or its individual files are permitted\n			as long as there are no modifications. Modifications, and\n			redistribution of modifications, are also permitted, but\n			only if the resulting package and/or files are renamed.\n		 </p>\n\n	  "
		self.python_name = "KnuthCTAN"

	def __str__(self):
		return json.dumps(self.__dict__)


class PolyFormSmallBusiness100:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "# PolyForm Small Business License 1.0.0\n\n<https://polyformproject.org/licenses/small-business/1.0.0>\n\n## Acceptance\n\nIn order to get any license under these terms, you must agree\nto them as both strict obligations and conditions to all\nyour licenses.\n\n## Copyright License\n\nThe licensor grants you a copyright license for the\nsoftware to do everything you might do with the software\nthat would otherwise infringe the licensor's copyright\nin it for any permitted purpose.  However, you may\nonly distribute the software according to [Distribution\nLicense](#distribution-license) and make changes or new works\nbased on the software according to [Changes and New Works\nLicense](#changes-and-new-works-license).\n\n## Distribution License\n\nThe licensor grants you an additional copyright license\nto distribute copies of the software.  Your license\nto distribute covers distributing the software with\nchanges and new works permitted by [Changes and New Works\nLicense](#changes-and-new-works-license).\n\n## Notices\n\nYou must ensure that anyone who gets a copy of any part of\nthe software from you also gets a copy of these terms or the\nURL for them above, as well as copies of any plain-text lines\nbeginning with `Required Notice:` that the licensor provided\nwith the software.  For example:\n\n> Required Notice: Copyright Yoyodyne, Inc. (http://example.com)\n\n## Changes and New Works License\n\nThe licensor grants you an additional copyright license to\nmake changes and new works based on the software for any\npermitted purpose.\n\n## Patent License\n\nThe licensor grants you a patent license for the software that\ncovers patent claims the licensor can license, or becomes able\nto license, that you would infringe by using the software.\n\n## Fair Use\n\nYou may have \"fair use\" rights for the software under the\nlaw. These terms do not limit them.\n\n## Small Business\n\nUse of the software for the benefit of your company is use for\na permitted purpose if your company has fewer than 100 total\nindividuals working as employees and independent contractors,\nand less than 1,000,000 USD (2019) total revenue in the prior\ntax year.  Adjust this revenue threshold for inflation according\nto the United States Bureau of Labor Statistics' consumer price\nindex for all urban consumers, U.S. city average, for all items,\nnot seasonally adjusted, with 1982\u20131984=100 reference base.\n\n## No Other Rights\n\nThese terms do not allow you to sublicense or transfer any of\nyour licenses to anyone else, or prevent the licensor from\ngranting licenses to anyone else.  These terms do not imply\nany other licenses.\n\n## Patent Defense\n\nIf you make any written claim that the software infringes or\ncontributes to infringement of any patent, your patent license\nfor the software granted under these terms ends immediately. If\nyour company makes such a claim, your patent license ends\nimmediately for work on behalf of your company.\n\n## Violations\n\nThe first time you are notified in writing that you have\nviolated any of these terms, or done anything with the software\nnot covered by your licenses, your licenses can nonetheless\ncontinue if you come into full compliance with these terms,\nand take practical steps to correct past violations, within\n32 days of receiving notice.  Otherwise, all your licenses\nend immediately.\n\n## No Liability\n\n***As far as the law allows, the software comes as is, without\nany warranty or condition, and the licensor will not be liable\nto you for any damages arising out of these terms or the use\nor nature of the software, under any kind of legal claim.***\n\n## Definitions\n\nThe **licensor** is the individual or entity offering these\nterms, and the **software** is the software the licensor makes\navailable under these terms.\n\n**You** refers to the individual or entity agreeing to these\nterms.\n\n**Your company** is any legal entity, sole proprietorship,\nor other kind of organization that you work for, plus all\norganizations that have control over, are under the control of,\nor are under common control with that organization.  **Control**\nmeans ownership of substantially all the assets of an entity,\nor the power to direct its management and policies by vote,\ncontract, or otherwise.  Control can be direct or indirect.\n\n**Your licenses** are all the licenses granted to you for the\nsoftware under these terms.\n\n**Use** means anything you do with the software requiring one\nof your licenses.\n"
		self.standardLicenseTemplate = "<<beginOptional>># PolyForm Small Business License 1.0.0\n\n<<endOptional>>\n\n<https://polyformproject.org/licenses/small-business/1.0.0>\n\n## Acceptance\n\nIn order to get any license under these terms, you must agree to them as both strict obligations and conditions to all your licenses.\n\n## Copyright License\n\nThe licensor grants you a copyright license for the software to do everything you might do with the software that would otherwise infringe the licensor's copyright in it for any permitted purpose. However, you may only distribute the software according to [Distribution License](#distribution-license) and make changes or new works based on the software according to [Changes and New Works License](#changes-and-new-works-license).\n\n## Distribution License\n\nThe licensor grants you an additional copyright license to distribute copies of the software. Your license to distribute covers distributing the software with changes and new works permitted by [Changes and New Works License](#changes-and-new-works-license).\n\n## Notices\n\nYou must ensure that anyone who gets a copy of any part of the software from you also gets a copy of these terms or the URL for them above, as well as copies of any plain-text lines beginning with `Required Notice:` that the licensor provided with the software. For example:\n\n> Required Notice: Copyright Yoyodyne, Inc. (http://example.com)\n\n## Changes and New Works License\n\nThe licensor grants you an additional copyright license to make changes and new works based on the software for any permitted purpose.\n\n## Patent License\n\nThe licensor grants you a patent license for the software that covers patent claims the licensor can license, or becomes able to license, that you would infringe by using the software.\n\n## Fair Use\n\nYou may have \"fair use\" rights for the software under the law. These terms do not limit them.\n\n## Small Business\n\nUse of the software for the benefit of your company is use for a permitted purpose if your company has fewer than 100 total individuals working as employees and independent contractors, and less than 1,000,000 USD (2019) total revenue in the prior tax year. Adjust this revenue threshold for inflation according to the United States Bureau of Labor Statistics' consumer price index for all urban consumers, U.S. city average, for all items, not seasonally adjusted, with 1982\u20131984=100 reference base.\n\n## No Other Rights\n\nThese terms do not allow you to sublicense or transfer any of your licenses to anyone else, or prevent the licensor from granting licenses to anyone else. These terms do not imply any other licenses.\n\n## Patent Defense\n\nIf you make any written claim that the software infringes or contributes to infringement of any patent, your patent license for the software granted under these terms ends immediately. If your company makes such a claim, your patent license ends immediately for work on behalf of your company.\n\n## Violations\n\nThe first time you are notified in writing that you have violated any of these terms, or done anything with the software not covered by your licenses, your licenses can nonetheless continue if you come into full compliance with these terms, and take practical steps to correct past violations, within 32 days of receiving notice. Otherwise, all your licenses end immediately.\n\n## No Liability\n\n***As far as the law allows, the software comes as is, without any warranty or condition, and the licensor will not be liable to you for any damages arising out of these terms or the use or nature of the software, under any kind of legal claim.***\n\n## Definitions\n\nThe **licensor** is the individual or entity offering these terms, and the **software** is the software the licensor makes available under these terms.\n\n**You** refers to the individual or entity agreeing to these terms.\n\n**Your company** is any legal entity, sole proprietorship, or other kind of organization that you work for, plus all organizations that have control over, are under the control of, or are under common control with that organization. **Control** means ownership of substantially all the assets of an entity, or the power to direct its management and policies by vote, contract, or otherwise. Control can be direct or indirect.\n\n**Your licenses** are all the licenses granted to you for the software under these terms.\n\n**Use** means anything you do with the software requiring one of your licenses.\n\n"
		self.name = "PolyForm Small Business License 1.0.0"
		self.licenseComments = "This license was released on July 9, 2019."
		self.licenseId = "PolyForm-Small-Business-1.0.0"
		self.crossRef = [{"match": "False", "url": "https://polyformproject.org/licenses/small-business/1.0.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:58Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://polyformproject.org/licenses/small-business/1.0.0"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		  <p># PolyForm Small Business License 1.0.0</p>\n\n	  </div>\n	  <p>&lt;https://polyformproject.org/licenses/small-business/1.0.0&gt;</p>\n\n	  <p>## Acceptance</p>\n\n	  <p>In order to get any license under these terms, you must agree to them as both strict obligations and conditions to all your licenses.</p>\n\n	  <p>## Copyright License</p>\n\n	  <p>The licensor grants you a copyright license for the software to do everything you might do with the software that would otherwise infringe the licensor&apos;s copyright in it for any permitted purpose. However, you may only distribute the software according to [Distribution License](#distribution-license) and make changes or new works based on the software according to [Changes and New Works License](#changes-and-new-works-license).</p>\n\n	  <p>## Distribution License</p>\n\n	  <p>The licensor grants you an additional copyright license to distribute copies of the software. Your license to distribute covers distributing the software with changes and new works permitted by [Changes and New Works License](#changes-and-new-works-license).</p>\n\n	  <p>## Notices</p>\n\n	  <p>You must ensure that anyone who gets a copy of any part of the software from you also gets a copy of these terms or the URL for them above, as well as copies of any plain-text lines beginning with `Required Notice:` that the licensor provided with the software. For example:</p>\n\n	  <p>&gt; Required Notice: Copyright Yoyodyne, Inc. (http://example.com)</p>\n\n	  <p>## Changes and New Works License</p>\n\n	  <p>The licensor grants you an additional copyright license to make changes and new works based on the software for any permitted purpose.</p>\n\n	  <p>## Patent License</p>\n\n	  <p>The licensor grants you a patent license for the software that covers patent claims the licensor can license, or becomes able to license, that you would infringe by using the software.</p>\n\n	  <p>## Fair Use</p>\n\n	  <p>You may have &quot;fair use&quot; rights for the software under the law. These terms do not limit them.</p>\n\n	  <p>## Small Business</p>\n\n	  <p>Use of the software for the benefit of your company is use for a permitted purpose if your company has fewer than 100 total individuals working as employees and independent contractors, and less than 1,000,000 USD (2019) total revenue in the prior tax year. Adjust this revenue threshold for inflation according to the United States Bureau of Labor Statistics&apos; consumer price index for all urban consumers, U.S. city average, for all items, not seasonally adjusted, with 1982\u20131984=100 reference base.</p>\n\n	  <p>## No Other Rights</p>\n\n	  <p>These terms do not allow you to sublicense or transfer any of your licenses to anyone else, or prevent the licensor from granting licenses to anyone else. These terms do not imply any other licenses.</p>\n\n	  <p>## Patent Defense</p>\n\n	  <p>If you make any written claim that the software infringes or contributes to infringement of any patent, your patent license for the software granted under these terms ends immediately. If your company makes such a claim, your patent license ends immediately for work on behalf of your company.</p>\n\n	  <p>## Violations</p>\n\n	  <p>The first time you are notified in writing that you have violated any of these terms, or done anything with the software not covered by your licenses, your licenses can nonetheless continue if you come into full compliance with these terms, and take practical steps to correct past violations, within 32 days of receiving notice. Otherwise, all your licenses end immediately.</p>\n\n	  <p>## No Liability</p>\n\n	  <p>***As far as the law allows, the software comes as is, without any warranty or condition, and the licensor will not be liable to you for any damages arising out of these terms or the use or nature of the software, under any kind of legal claim.***</p>\n\n	  <p>## Definitions</p>\n\n	  <p>The **licensor** is the individual or entity offering these terms, and the **software** is the software the licensor makes available under these terms.</p>\n\n	  <p>**You** refers to the individual or entity agreeing to these terms.</p>\n\n	  <p>**Your company** is any legal entity, sole proprietorship, or other kind of organization that you work for, plus all organizations that have control over, are under the control of, or are under common control with that organization. **Control** means ownership of substantially all the assets of an entity, or the power to direct its management and policies by vote, contract, or otherwise. Control can be direct or indirect.</p>\n\n	  <p>**Your licenses** are all the licenses granted to you for the software under these terms.</p>\n\n	  <p>**Use** means anything you do with the software requiring one of your licenses.</p>\n\n	"
		self.python_name = "PolyFormSmallBusiness100"

	def __str__(self):
		return json.dumps(self.__dict__)


class Xdebug103:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "-------------------------------------------------------------------- \n				 The Xdebug License, version 1.03\n			 (Based on \"The PHP License\", version 3.01)\n   Copyright (c) 2003-2022 Derick Rethans. All rights reserved.\n-------------------------------------------------------------------- \n\nRedistribution and use in source and binary forms, with or without\nmodification, is permitted provided that the following conditions\nare met:\n\n  1. Redistributions of source code must retain the above copyright\n	 notice, this list of conditions and the following disclaimer.\n \n  2. Redistributions in binary form must reproduce the above copyright\n	 notice, this list of conditions and the following disclaimer in\n	 the documentation and/or other materials provided with the\n	 distribution.\n \n  3. The name \"Xdebug\" must not be used to endorse or promote products\n	 derived from this software without prior written permission. For\n	 written permission, please contact derick@xdebug.org.\n  \n  4. Products derived from this software may not be called \"Xdebug\", nor\n	 may \"Xdebug\" appear in their name, without prior written permission\n	 from derick@xdebug.org.\n \n  5. Derick Rethans may publish revised and/or new versions of the\n	 license from time to time. Each version will be given a\n	 distinguishing version number.  Once covered code has been\n	 published under a particular version of the license, you may\n	 always continue to use it under the terms of that version. You\n	 may also choose to use such covered code under the terms of any\n	 subsequent version of the license published by Derick Rethans. No\n	 one other than Derick Rethans has the right to modify the terms\n	 applicable to covered code created under this License.\n\n  6. Redistributions of any form whatsoever must retain the following\n	 acknowledgment: \"This product includes Xdebug software, freely\n	 available from <https://xdebug.org/>\".\n\nTHIS SOFTWARE IS PROVIDED BY DERICK RETHANS ``AS IS'' AND ANY\nEXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\nPURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE PHP DEVELOPMENT TEAM OR\nITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\nTHEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\nOF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n--------------------------------------------------------------------\n\nThis software consists of voluntary contributions made by some\nindividuals on behalf of Derick Rethans.\n\nDerick Rethans can be contacted via e-mail at derick@xdebug.org.\n\nFor more information on Xdebug, please see <https://xdebug.org>.\n"
		self.standardLicenseTemplate = "--------------------------------------------------------------------<<beginOptional>> The Xdebug License, version 1.03\n\n(Based on \"The PHP License\", version 3.01)<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2003-2022 Derick Rethans. All rights reserved.  \";match=\".{0,5000}\">> --------------------------------------------------------------------\n\nRedistribution and use in source and binary forms, with or without modification, is permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The name \"Xdebug\" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact derick@xdebug.org.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Products derived from this software may not be called \"Xdebug\", nor may \"Xdebug\" appear in their name, without prior written permission from derick@xdebug.org.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Derick Rethans may publish revised and/or new versions of the license from time to time. Each version will be given a distinguishing version number. Once covered code has been published under a particular version of the license, you may always continue to use it under the terms of that version. You may also choose to use such covered code under the terms of any subsequent version of the license published by Derick Rethans. No one other than Derick Rethans has the right to modify the terms applicable to covered code created under this License.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Redistributions of any form whatsoever must retain the following acknowledgment: \"This product includes Xdebug software, freely available from <https://xdebug.org/>\".\n\nTHIS SOFTWARE IS PROVIDED BY DERICK RETHANS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE PHP DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n--------------------------------------------------------------------<<beginOptional>> This software consists of voluntary contributions made by some individuals on behalf of Derick Rethans.\n\nDerick Rethans can be contacted via e-mail at derick@xdebug.org.\n\nFor more information on Xdebug, please see <https://xdebug.org>.\n\n<<endOptional>>"
		self.name = "Xdebug License v 1.03"
		self.licenseComments = "This license is based on the PHP License v3.01, but omits the last part of the 4th clause"
		self.licenseId = "Xdebug-1.03"
		self.crossRef = [{"match": "False", "url": "https://github.com/xdebug/xdebug/blob/master/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:37Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/xdebug/xdebug/blob/master/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			--------------------------------------------------------------------\n		 <var class=\"optional-license-text\"> \n			The Xdebug License, version 1.03<br />\n\n			(Based on &quot;The PHP License&quot;, version 3.01)\n		 </var>\n		 <div class=\"replaceable-license-text\"> \n			<p>\n			   Copyright (c) 2003-2022 Derick Rethans. All rights reserved.\n			</p>\n\n		 </div>\n			--------------------------------------------------------------------\n		 <p>\n			Redistribution and use in source and binary\n			forms, with or without modification, is permitted\n			provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   Redistributions of source code must retain the above copyright\n			   notice, this list of conditions and the following disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Redistributions in binary form must reproduce the\n			   above copyright notice, this list of conditions and\n			   the following disclaimer in the documentation and/or\n			   other materials provided with the distribution.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   The name &quot;Xdebug&quot; must not be used to endorse or promote products\n			   derived from this software without prior written permission.\n			   For written permission, please contact derick@xdebug.org.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   Products derived from this software may not be called\n			   &quot;Xdebug&quot;, nor may &quot;Xdebug&quot; appear in their name,\n			   without prior written permission from derick@xdebug.org.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   Derick Rethans may publish revised and/or new versions of\n			   the license from time to time. Each version will be given\n			   a distinguishing version number. Once covered code has been\n			   published under a particular version of the license, you may\n			   always continue to use it under the terms of that version. You\n			   may also choose to use such covered code under the terms of any\n			   subsequent version of the license published by Derick Rethans.\n			   No one other than Derick Rethans has the right to modify the\n			   terms applicable to covered code created under this License.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 6.</var>\n			   Redistributions of any form whatsoever must retain the\n			   following acknowledgment: &quot;This product includes Xdebug\n			   software, freely available from &lt;https://xdebug.org/&gt;&quot;.\n			</li>\n		 \n</ul>\n		 <p>\n			THIS SOFTWARE IS PROVIDED BY DERICK RETHANS ``AS IS&apos;&apos; AND ANY\n			EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\n			TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n			A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE PHP\n			DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,\n			INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n			DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\n			GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n			INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n			WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n			THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		 </p>\n\n			--------------------------------------------------------------------\n		<div class=\"optional-license-text\"> \n			<p>\n			   This software consists of voluntary contributions\n			   made by some individuals on behalf of Derick Rethans.\n			</p>\n\n			<p>\n			   Derick Rethans can be contacted via e-mail at derick@xdebug.org.\n			</p>\n\n			<p>\n			   For more information on Xdebug,\n			   please see &lt;https://xdebug.org&gt;.\n			</p>\n\n		 </div>\n	  "
		self.python_name = "Xdebug103"

	def __str__(self):
		return json.dumps(self.__dict__)


class gnuplot:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Copyright 1986 - 1993, 1998, 2004 Thomas Williams, Colin Kelley\n\nPermission to use, copy, and distribute this software and its documentation for any purpose with or without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.\n\nPermission to modify the software is granted, but not the right to distribute the complete modified source code. Modifications are to be distributed as patches to the released version. Permission to distribute binaries produced by compiling modified sources is granted, provided you\n\n	 1. distribute the corresponding source modifications from the released version in the form of a patch file along with the binaries,\n	 2. add special version identification to distinguish your version in addition to the base release version number,\n	 3. provide your name and address as the primary contact for the support of your modified version, and\n	 4. retain our contact information in regard to use of the base software.\n\nPermission to distribute the released version of the source code along with corresponding source modifications in the form of a patch file is granted with same provisions 2 through 4 for binary distributions.\n\nThis software is provided \"as is\" without express or implied warranty to the extent permitted by applicable law.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1986 - 1993, 1998, 2004 Thomas Williams, Colin Kelley  \";match=\".{0,5000}\">>\n\nPermission to use, copy, and distribute this software and its documentation for any purpose with or without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.\n\nPermission to modify the software is granted, but not the right to distribute the complete modified source code. Modifications are to be distributed as patches to the released version. Permission to distribute binaries produced by compiling modified sources is granted, provided you\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> distribute the corresponding source modifications from the released version in the form of a patch file along with the binaries,\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> add special version identification to distinguish your version in addition to the base release version number,\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> provide your name and address as the primary contact for the support of your modified version, and\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> retain our contact information in regard to use of the base software.\n\nPermission to distribute the released version of the source code along with corresponding source modifications in the form of a patch file is granted with same provisions 2 through 4 for binary distributions.\n\nThis software is provided \"as is\" without express or implied warranty to the extent permitted by applicable law.\n\n"
		self.name = "gnuplot License"
		self.licenseId = "gnuplot"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Gnuplot", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:22Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Gnuplot"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1986 - 1993, 1998, 2004 Thomas Williams, Colin Kelley</p>\n\n	  </div>\n\n	  <p>Permission to use, copy, and distribute this software and its documentation for any purpose with or\n		 without fee is hereby granted, provided that the above copyright notice appear in all copies and that\n		 both that copyright notice and this permission notice appear in supporting documentation.</p>\n\n	  <p>Permission to modify the software is granted, but not the right to distribute the complete modified\n		 source code. Modifications are to be distributed as patches to the released version. Permission to\n		 distribute binaries produced by compiling modified sources is granted, provided you</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  distribute the corresponding source modifications from the released version in the form of a\n			 patch file along with the binaries,\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  add special version identification to distinguish your version in addition to the base\n			 release version number,\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  provide your name and address as the primary contact for the support of your modified version, and\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  retain our contact information in regard to use of the base software.\n		</li>\n	  \n</ul>\n	  <p>Permission to distribute the released version of the source code along with corresponding source\n		 modifications in the form of a patch file is granted with same provisions 2 through 4 for binary\n		 distributions.</p>\n\n	  <p>This software is provided &quot;as is&quot; without express or implied warranty to the extent permitted\n		 by applicable law.</p>\n\n	"
		self.python_name = "gnuplot"

	def __str__(self):
		return json.dumps(self.__dict__)


class QPL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "THE Q PUBLIC LICENSE version 1.0\n\nCopyright (C) 1999-2005 Trolltech AS, Norway.\n\nEveryone is permitted to copy and distribute this license document.\n\nThe intent of this license is to establish freedom to share and change the software regulated by this license under the open source model.\n\nThis license applies to any software containing a notice placed by the copyright holder saying that it may be distributed under the terms of the Q Public License version 1.0. Such software is herein referred to as the Software. This license covers modification and distribution of the Software, use of third-party application programs based on the Software, and development of free software which uses the Software.\n\nGranted Rights\n\n1. You are granted the non-exclusive rights set forth in this license provided you agree to and comply with any and all conditions in this license. Whole or partial distribution of the Software, or software items that link with the Software, in any form signifies acceptance of this license.\n\n2. You may copy and distribute the Software in unmodified form provided that the entire package, including - but not restricted to - copyright, trademark notices and disclaimers, as released by the initial developer of the Software, is distributed.\n\n3. You may make modifications to the Software and distribute your modifications, in a form that is separate from the Software, such as patches. The following restrictions apply to modifications:\n\na. Modifications must not alter or remove any copyright notices in the Software.\nb. When modifications to the Software are released under this license, a non-exclusive royalty-free right is granted to the initial developer of the Software to distribute your modification in future versions of the Software provided such versions remain available under these terms in addition to any other license(s) of the initial developer.\n\n4. You may distribute machine-executable forms of the Software or machine-executable forms of modified versions of the Software, provided that you meet these restrictions:\n\n	 a. You must include this license document in the distribution.\n\n	 b. You must ensure that all recipients of the machine-executable forms are also able to receive the complete machine-readable source code to the distributed Software, including all modifications, without any charge beyond the costs of data transfer, and place prominent notices in the distribution explaining this.\n\n	 c. You must ensure that all modifications included in the machine-executable forms are available under the terms of this license.\n\n5. You may use the original or modified versions of the Software to compile, link and run application programs legally developed by you or by others.\n\n6. You may develop application programs, reusable components and other software items that link with the original or modified versions of the Software. These items, when distributed, are subject to the following requirements:\n\n	 a. You must ensure that all recipients of machine-executable forms of these items are also able to receive and use the complete machine-readable source code to the items without any charge beyond the costs of data transfer.\n\n	 b. You must explicitly license all recipients of your items to use and re-distribute original and modified versions of the items in both machine-executable and source code forms. The recipients must be able to do so without any charges whatsoever, and they must be able to re-distribute to anyone they choose.\n\n	 c. If the items are not available to the general public, and the initial developer of the Software requests a copy of the items, then you must supply one.\n\nLimitations of Liability\n\nIn no event shall the initial developers or copyright holders be liable for any damages whatsoever, including - but not restricted to - lost revenue or profits or other direct, indirect, special, incidental or consequential damages, even if they have been advised of the possibility of such damages, except to the extent invariable law, if any, provides otherwise.\n\nNo Warranty\n\nThe Software and this license document are provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\nChoice of Law\n\nThis license is governed by the Laws of Norway. Disputes shall be settled by Oslo City Court.\n"
		self.standardLicenseTemplate = "<<beginOptional>>THE Q PUBLIC LICENSE version 1.0\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 1999-2005 Trolltech AS, Norway.  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy and distribute this license document.\n\nThe intent of this license is to establish freedom to share and change the software regulated by this license under the open source model.\n\nThis license applies to any software containing a notice placed by the copyright holder saying that it may be distributed under the terms of the Q Public License version 1.0. Such software is herein referred to as the Software. This license covers modification and distribution of the Software, use of third-party application programs based on the Software, and development of free software which uses the Software.\n\nGranted Rights\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You are granted the non-exclusive rights set forth in this license provided you agree to and comply with any and all conditions in this license. Whole or partial distribution of the Software, or software items that link with the Software, in any form signifies acceptance of this license.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may copy and distribute the Software in unmodified form provided that the entire package, including - but not restricted to - copyright, trademark notices and disclaimers, as released by the initial developer of the Software, is distributed.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may make modifications to the Software and distribute your modifications, in a form that is separate from the Software, such as patches. The following restrictions apply to modifications:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Modifications must not alter or remove any copyright notices in the Software.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> When modifications to the Software are released under this license, a non-exclusive royalty-free right is granted to the initial developer of the Software to distribute your modification in future versions of the Software provided such versions remain available under these terms in addition to any other license(s) of the initial developer.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may distribute machine-executable forms of the Software or machine-executable forms of modified versions of the Software, provided that you meet these restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You must include this license document in the distribution.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You must ensure that all recipients of the machine-executable forms are also able to receive the complete machine-readable source code to the distributed Software, including all modifications, without any charge beyond the costs of data transfer, and place prominent notices in the distribution explaining this.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You must ensure that all modifications included in the machine-executable forms are available under the terms of this license.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may use the original or modified versions of the Software to compile, link and run application programs legally developed by you or by others.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> You may develop application programs, reusable components and other software items that link with the original or modified versions of the Software. These items, when distributed, are subject to the following requirements:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You must ensure that all recipients of machine-executable forms of these items are also able to receive and use the complete machine-readable source code to the items without any charge beyond the costs of data transfer.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You must explicitly license all recipients of your items to use and re-distribute original and modified versions of the items in both machine-executable and source code forms. The recipients must be able to do so without any charges whatsoever, and they must be able to re-distribute to anyone they choose.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If the items are not available to the general public, and the initial developer of the Software requests a copy of the items, then you must supply one.\n\nLimitations of Liability\n\nIn no event shall the initial developers or copyright holders be liable for any damages whatsoever, including - but not restricted to - lost revenue or profits or other direct, indirect, special, incidental or consequential damages, even if they have been advised of the possibility of such damages, except to the extent invariable law, if any, provides otherwise.\n\nNo Warranty\n\nThe Software and this license document are provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\nChoice of Law\n\nThis license is governed by the Laws of Norway. Disputes shall be settled by Oslo City Court.\n\n"
		self.name = "Q Public License 1.0"
		self.licenseId = "QPL-1.0"
		self.crossRef = [{"match": "N/A", "url": "http://doc.qt.nokia.com/3.3/license.html", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:54Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/QPL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:54Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://doc.qt.io/archives/3.3/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:54Z", "isWayBackLink": False, "order": 2}]
		self.seeAlso = ["http://doc.qt.nokia.com/3.3/license.html", "https://opensource.org/licenses/QPL-1.0", "https://doc.qt.io/archives/3.3/license.html"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>THE Q PUBLIC LICENSE version 1.0</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 1999-2005 Trolltech AS, Norway.</p>\n\n	  </div>\n\n	  <p>Everyone is permitted to copy and distribute this license document.</p>\n\n	  <p>The intent of this license is to establish freedom to share and change the software regulated by this\n		 license under the open source model.</p>\n\n	  <p>This license applies to any software containing a notice placed by the copyright holder saying that it\n		 may be distributed under the terms of the Q Public License version 1.0. Such software is herein\n		 referred to as the Software. This license covers modification and distribution of the Software, use of\n		 third-party application programs based on the Software, and development of free software which uses\n		 the Software.</p>\n\n	  <p>Granted Rights</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You are granted the non-exclusive rights set forth in this license provided you agree to and\n			 comply with any and all conditions in this license. Whole or partial distribution of the\n			 Software, or software items that link with the Software, in any form signifies acceptance of\n			 this license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may copy and distribute the Software in unmodified form provided that the entire package,\n			 including - but not restricted to - copyright, trademark notices and disclaimers, as released\n			 by the initial developer of the Software, is distributed.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may make modifications to the Software and distribute your modifications, in a form that is\n			 separate from the Software, such as patches. The following restrictions apply to\n			 modifications:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				Modifications must not alter or remove any copyright notices in the Software.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				When modifications to the Software are released under this license, a non-exclusive royalty-free\n				  right is granted to the initial developer of the Software to distribute your modification in\n				  future versions of the Software provided such versions remain available under these terms in\n				  addition to any other license(s) of the initial developer.\n			  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may distribute machine-executable forms of the Software or machine-executable forms of\n			 modified versions of the Software, provided that you meet these restrictions:\n		   \n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				You must include this license document in the distribution.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				You must ensure that all recipients of the machine-executable forms are also able to receive the\n				 complete machine-readable source code to the distributed Software, including all\n				 modifications, without any charge beyond the costs of data transfer, and place prominent\n				 notices in the distribution explaining this.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n				You must ensure that all modifications included in the machine-executable forms are available\n				   under the terms of this license.\n			  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may use the original or modified versions of the Software to compile, link and run\n			 application programs legally developed by you or by others.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  You may develop application programs, reusable components and other software items that link with\n			 the original or modified versions of the Software. These items, when distributed, are subject\n			 to the following requirements:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				You must ensure that all recipients of machine-executable forms of these items are also able to\n				   receive and use the complete machine-readable source code to the items without any charge\n				   beyond the costs of data transfer.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				You must explicitly license all recipients of your items to use and re-distribute original and\n				   modified versions of the items in both machine-executable and source code forms. The\n				   recipients must be able to do so without any charges whatsoever, and they must be able to\n				   re-distribute to anyone they choose.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n				If the items are not available to the general public, and the initial developer of the Software\n				   requests a copy of the items, then you must supply one.\n			  </li>\n			\n</ul>\n		 </li>\n		\n</ul>\n	  <p>Limitations of Liability</p>\n\n	  <p>In no event shall the initial developers or copyright holders be liable for any damages whatsoever,\n		 including - but not restricted to - lost revenue or profits or other direct, indirect, special,\n		 incidental or consequential damages, even if they have been advised of the possibility of such\n		 damages, except to the extent invariable law, if any, provides otherwise.</p>\n\n	  <p>No Warranty</p>\n\n	  <p>The Software and this license document are provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE\n		 WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.</p>\n\n	  <p>Choice of Law</p>\n\n	  <p>This license is governed by the Laws of Norway. Disputes shall be settled by Oslo City Court.</p>\n\n	"
		self.python_name = "QPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL12:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "GNU Free Documentation License\nVersion 1.2, November 2002\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\nThe Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n	 H. Include an unaltered copy of this License.\n	 I. Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n	 O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\n with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.2, November 2002\n\n<<endOptional>>\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   A section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\n   The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n\n	  <<var;name=\"bullet\";original=\"O.\";match=\".{0,20}\">> Preserve any Warranty Disclaimers.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\n   If a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.2"
		self.licenseId = "GFDL-1.2"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/fdl-1.2.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:47Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/fdl-1.2.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.2, November 2002\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2000,2001,2002 Free Software Foundation,\n	  Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook, or\n		  other functional and useful document &quot;free&quot; in the sense of\n		  freedom: to assure everyone the effective freedom to copy and\n		  redistribute it, with or without modifying it, either commercially\n		  or noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work, in any medium,\n		  that contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. Such a\n		  notice grants a world-wide, royalty-free license, unlimited in\n		  duration, to use that work under the conditions stated herein.\n		  The &quot;Document&quot;, below, refers to any such manual or work.\n		  Any member of the public is a licensee, and is addressed as\n		  &quot;you&quot;. You accept the license if you copy, modify or distribute\n		  the work in a way requiring permission under copyright law.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter\n		  section of the Document that deals exclusively with the\n		  relationship of the publishers or authors of the Document to the\n		  Document&apos;s overall subject (or to related matters) and contains\n		  nothing that could fall directly within that overall subject.\n		  (Thus, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections,\n		  in the notice that says that the Document is released under\n		  this License. If a section does not fit the above definition of\n		  Secondary then it is not allowed to be designated as Invariant.\n		  The Document may contain zero Invariant Sections. If the Document\n		  does not identify any Invariant Sections then there are none.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are listed,\n		  as Front-Cover Texts or Back-Cover Texts, in the notice that says that\n		  the Document is released under this License. A Front-Cover Text may\n		  be at most 5 words, and a Back-Cover Text may be at most 25 words.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable\n		  copy, represented in a format whose specification is available\n		  to the general public, that is suitable for revising the document\n		  straightforwardly with generic text editors or (for images composed of\n		  pixels) generic paint programs or (for drawings) some widely available\n		  drawing editor, and that is suitable for input to text formatters or\n		  for automatic translation to a variety of formats suitable for input\n		  to text formatters. A copy made in an otherwise Transparent file\n		  format whose markup, or absence of markup, has been arranged to thwart\n		  or discourage subsequent modification by readers is not Transparent.\n		  An image format is not Transparent if used for any substantial\n		  amount of text. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include plain\n		  ASCII without markup, Texinfo input format, LaTeX input format,\n		  SGML or XML using a publicly available DTD, and standard-conforming\n		  simple HTML, PostScript or PDF designed for human modification.\n		  Examples of transparent image formats include PNG, XCF and JPG.\n		  Opaque formats include proprietary formats that can be read\n		  and edited only by proprietary word processors, SGML or XML\n		  for which the DTD and/or processing tools are not generally\n		  available, and the machine-generated HTML, PostScript or PDF\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n		<p>\n		  A section &quot;Entitled XYZ&quot; means a named subunit of the Document whose\n		  title either is precisely XYZ or contains XYZ in parentheses following\n		  text that translates XYZ in another language. (Here XYZ stands for\n		  a specific section name mentioned below, such as &quot;Acknowledgements&quot;,\n		  &quot;Dedications&quot;, &quot;Endorsements&quot;, or &quot;History&quot;.) To &quot;Preserve the\n		  Title&quot; of such a section when you modify the Document means that\n		  it remains a section &quot;Entitled XYZ&quot; according to this definition.\n		</p>\n\n		<p>\n		  The Document may include Warranty Disclaimers next to the notice\n		  which states that this License applies to the Document. These\n		  Warranty Disclaimers are considered to be included by reference\n		  in this License, but only as regards disclaiming warranties:\n		  any other implication that these Warranty Disclaimers may\n		  have is void and has no effect on the meaning of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies (or copies in media that commonly\n		  have printed covers) of the Document, numbering more than 100,\n		  and the Document&apos;s license notice requires Cover Texts, you must\n		  enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a computer-network location from which the general\n		  network-using public has access to download using public-standard\n		  network protocols a complete Transparent copy of the Document,\n		  free of added material. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or\n			entities responsible for authorship of the modifications in the\n			Modified Version, together with at least five of the principal\n			authors of the Document (all of its principal authors, if it has\n			fewer than five), unless they release you from this requirement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant Sections\n			and required Cover Texts given in the Document&apos;s license notice.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> H.</var>\n			Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section Entitled &quot;History&quot;, Preserve its Title, and\n			add to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section Entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			For any section Entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			Preserve the Title of the section, and preserve in the\n			section all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section Entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section to be Entitled &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> O.</var>\n			Preserve any Warranty Disclaimers.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section Entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released under\n		  this License, under the terms defined in section 4 above for modified\n		  versions, provided that you include in the combination all of the\n		  Invariant Sections of all of the original documents, unmodified,\n		  and list them all as Invariant Sections of your combined work in its\n		  license notice, and that you preserve all their Warranty Disclaimers.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections Entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  Entitled &quot;History&quot;; likewise combine any sections Entitled\n		  &quot;Acknowledgements&quot;, and any sections Entitled &quot;Dedications&quot;.\n		  You must delete all sections Entitled &quot;Endorsements&quot;.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other\n		  separate and independent documents or works, in or on a volume\n		  of a storage or distribution medium, is called an &quot;aggregate&quot;\n		  if the copyright resulting from the compilation is not used to\n		  limit the legal rights of the compilation&apos;s users beyond what\n		  the individual works permit. When the Document is included in an\n		  aggregate, this License does not apply to the other works in the\n		  aggregate which are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to\n		  these copies of the Document, then if the Document is less\n		  than one half of the entire aggregate, the Document&apos;s Cover\n		  Texts may be placed on covers that bracket the Document\n		  within the aggregate, or the electronic equivalent of covers\n		  if the Document is in electronic form. Otherwise they must\n		  appear on printed covers that bracket the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of section\n		  4. Replacing Invariant Sections with translations requires special\n		  permission from their copyright holders, but you may include\n		  translations of some or all Invariant Sections in addition to the\n		  original versions of these Invariant Sections. You may include a\n		  translation of this License, and all the license notices in the\n		  Document, and any Warranty Disclaimers, provided that you also\n		  include the original English version of this License and the original\n		  versions of those notices and disclaimers. In case of a disagreement\n		  between the translation and the original version of this License\n		  or a notice or disclaimer, the original version will prevail.\n		</p>\n\n		<p>\n		  If a section in the Document is Entitled\n		  &quot;Acknowledgements&quot;, &quot;Dedications&quot;, or &quot;History&quot;, the\n		  requirement (section 4) to Preserve its Title (section\n		  1) will typically require changing the actual title.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided for under this License. Any other\n		  attempt to copy, modify, sublicense or distribute the Document\n		  is void, and will automatically terminate your rights under\n		  this License. However, parties who have received copies, or\n		  rights, from you under this License will not have their licenses\n		  terminated so long as such parties remain in full compliance.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option\n		  of following the terms and conditions either of that specified\n		  version or of any later version that has been published (not as a\n		  draft) by the Free Software Foundation. If the Document does not\n		  specify a version number of this License, you may choose any version\n		  ever published (not as a draft) by the Free Software Foundation.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the GNU\n		Free Documentation License, Version 1.2 or any later version published\n		by the Free Software Foundation; with no Invariant Sections, no\n		Front-Cover Texts, and no Back-Cover Texts. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections, Front-Cover Texts and\n		Back-Cover Texts, replace the &quot;with...Texts.&quot; line with this:\n	  </p>\n\n	  <p>\n		with the Invariant Sections being LIST THEIR TITLES, with the\n		Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections without Cover Texts,\n		or some other combination of the three, merge\n		those two alternatives to suit the situation.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>\n	  . Permission is granted to copy, distribute and/or modify this\n	  document under the terms of the GNU Free Documentation License,\n	  Version 1.2 or any later version published by the Free Software\n	  Foundation; with no Invariant Sections, no Front-Cover Texts,\n	  and no Back-Cover Texts. A copy of the license is included\n	  in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.deprecatedVersion = "3.0"
		self.python_name = "GFDL12"

	def __str__(self):
		return json.dumps(self.__dict__)


class PHP30:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The PHP License, version 3.0\n\nCopyright (c) 1999 - 2006 The PHP Group. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, is permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. The name \"PHP\" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact group@php.net.\n\n4. Products derived from this software may not be called \"PHP\", nor may \"PHP\" appear in their name, without prior written permission from group@php.net. You may indicate that your software works in conjunction with PHP by saying \"Foo for PHP\" instead of calling it \"PHP Foo\" or \"phpfoo\"\n\n5. The PHP Group may publish revised and/or new versions of the license from time to time. Each version will be given a distinguishing version number. Once covered code has been published under a particular version of the license, you may always continue to use it under the terms of that version. You may also choose to use such covered code under the terms of any subsequent version of the license published by the PHP Group. No one other than the PHP Group has the right to modify the terms applicable to covered code created under this License.\n\n6. Redistributions of any form whatsoever must retain the following acknowledgment: \"This product includes PHP, freely available from <http://www.php.net/>\".\n\nTHIS SOFTWARE IS PROVIDED BY THE PHP DEVELOPMENT TEAM ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE PHP DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n\nThis software consists of voluntary contributions made by many individuals on behalf of the PHP Group.\n\nThe PHP Group can be contacted via Email at group@php.net.\n\nFor more information on the PHP Group and the PHP project, please see <http://www.php.net>.\n\nThis product includes the Zend Engine, freely available at <http://www.zend.com>.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The PHP License, version 3.0\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 1999 - 2006 The PHP Group. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, is permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The name \"PHP\" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact group@php.net.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Products derived from this software may not be called \"PHP\", nor may \"PHP\" appear in their name, without prior written permission from group@php.net. You may indicate that your software works in conjunction with PHP by saying \"Foo for PHP\" instead of calling it \"PHP Foo\" or \"phpfoo\"\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> The PHP Group may publish revised and/or new versions of the license from time to time. Each version will be given a distinguishing version number. Once covered code has been published under a particular version of the license, you may always continue to use it under the terms of that version. You may also choose to use such covered code under the terms of any subsequent version of the license published by the PHP Group. No one other than the PHP Group has the right to modify the terms applicable to covered code created under this License.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Redistributions of any form whatsoever must retain the following acknowledgment: \"This product includes PHP, freely available from <http://www.php.net/>\".\n\nTHIS SOFTWARE IS PROVIDED BY THE PHP DEVELOPMENT TEAM ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE PHP DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis software consists of voluntary contributions made by many individuals on behalf of the PHP Group.\n\nThe PHP Group can be contacted via Email at group@php.net.\n\nFor more information on the PHP Group and the PHP project, please see <http://www.php.net>.\n\nThis product includes the Zend Engine, freely available at <http://www.zend.com>.\n\n"
		self.name = "PHP License v3.0"
		self.licenseId = "PHP-3.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/PHP-3.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:28Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://www.php.net/license/3_0.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:29Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.php.net/license/3_0.txt", "https://opensource.org/licenses/PHP-3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The PHP License, version 3.0</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1999 - 2006 The PHP Group. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, is permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  The name &quot;PHP&quot; must not be used to endorse or promote products derived from this software without\n			 prior written permission. For written permission, please contact group@php.net.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Products derived from this software may not be called &quot;PHP&quot;, nor may &quot;PHP&quot; appear in their name,\n			 without prior written permission from group@php.net. You may indicate that your software works\n			 in conjunction with PHP by saying &quot;Foo for PHP&quot; instead of calling it &quot;PHP Foo&quot; or\n			 &quot;phpfoo&quot;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  The PHP Group may publish revised and/or new versions of the license from time to time. Each\n			 version will be given a distinguishing version number. Once covered code has been published\n			 under a particular version of the license, you may always continue to use it under the terms\n			 of that version. You may also choose to use such covered code under the terms of any\n			 subsequent version of the license published by the PHP Group. No one other than the PHP Group\n			 has the right to modify the terms applicable to covered code created under this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Redistributions of any form whatsoever must retain the following acknowledgment: &quot;This product\n			 includes PHP, freely available from &lt;http://www.php.net/&gt;&quot;.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE PHP DEVELOPMENT TEAM ``AS IS&apos;&apos; AND ANY EXPRESSED OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE PHP DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR\n		 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n		 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>This software consists of voluntary contributions made by many individuals on behalf of the PHP Group.</p>\n\n	  <p>The PHP Group can be contacted via Email at group@php.net.</p>\n\n	  <p>For more information on the PHP Group and the PHP project, please see &lt;http://www.php.net&gt;.</p>\n\n	  <p>This product includes the Zend Engine, freely available at &lt;http://www.zend.com&gt;.</p>\n\n	"
		self.python_name = "PHP30"

	def __str__(self):
		return json.dumps(self.__dict__)


class OGTSL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The Open Group Test Suite License\n\nPreamble\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nTesting is essential for proper development and maintenance of standards-based products.\n\nFor buyers: adequate conformance testing leads to reduced integration costs and protection of investments in applications, software and people.\n\nFor software developers: conformance testing of platforms and middleware greatly reduces the cost of developing and maintaining multi-platform application software.\n\nFor suppliers: In-depth testing increases customer satisfaction and keeps development and support costs in check. API conformance is highly measurable and suppliers who claim it must be able to substantiate that claim.\n\nAs such, since these are benchmark measures of conformance, we feel the integrity of test tools is of importance. In order to preserve the integrity of the existing conformance modes of this test package and to permit recipients of modified versions of this package to run the original test modes, this license requires that the original test modes be preserved.\n\nIf you find a bug in one of the standards mode test cases, please let us know so we can feed this back into the original, and also raise any specification issues with the appropriate bodies (for example the POSIX committees).\n\nDefinitions:\n\n	 \"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n	 \"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n	 \"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n	 \"You\" is you, if you're thinking about copying or distributing this Package.\n\n	 \"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n	 \"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least the following:\n\n	 rename any non-standard executables and testcases so the names do not conflict with standard executables and testcases, which must also be provided, and provide a separate manual page for each non-standard executable and testcase that clearly documents how it differs from the Standard Version.\n\n4. You may distribute the programs of this Package in object code or executable form, provided that you do at least the following:\n\n	 accompany any non-standard executables and testcases with their corresponding Standard Version executables and testcases, giving the non-standard executables and testcases non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n5. You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n7.Subroutines supplied by you and linked into this Package shall not be considered part of this Package.\n\n8. The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n9. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\nThe End\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Open Group Test Suite License\n\n<<endOptional>><<beginOptional>> Preamble\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nTesting is essential for proper development and maintenance of standards-based products.\n\nFor buyers: adequate conformance testing leads to reduced integration costs and protection of investments in applications, software and people.\n\nFor software developers: conformance testing of platforms and middleware greatly reduces the cost of developing and maintaining multi-platform application software.\n\nFor suppliers: In-depth testing increases customer satisfaction and keeps development and support costs in check. API conformance is highly measurable and suppliers who claim it must be able to substantiate that claim.\n\nAs such, since these are benchmark measures of conformance, we feel the integrity of test tools is of importance. In order to preserve the integrity of the existing conformance modes of this test package and to permit recipients of modified versions of this package to run the original test modes, this license requires that the original test modes be preserved.\n\nIf you find a bug in one of the standards mode test cases, please let us know so we can feed this back into the original, and also raise any specification issues with the appropriate bodies (for example the POSIX committees).\n\n<<endOptional>>\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n\"You\" is you, if you're thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least the following:\n\n   rename any non-standard executables and testcases so the names do not conflict with standard executables and testcases, which must also be provided, and provide a separate manual page for each non-standard executable and testcase that clearly documents how it differs from the Standard Version.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may distribute the programs of this Package in object code or executable form, provided that you do at least the following:\n\n   accompany any non-standard executables and testcases with their corresponding Standard Version executables and testcases, giving the non-standard executables and testcases non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n   7.Subroutines supplied by you and linked into this Package shall not be considered part of this Package.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.<<beginOptional>> The End\n\n<<endOptional>>"
		self.name = "Open Group Test Suite License"
		self.licenseId = "OGTSL"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/OGTSL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:36Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://www.opengroup.org/testing/downloads/The_Open_Group_TSL.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:37Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.opengroup.org/testing/downloads/The_Open_Group_TSL.txt", "https://opensource.org/licenses/OGTSL"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Open Group Test Suite License</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Preamble</p>\n\n		 <p>The intent of this document is to state the conditions under which a Package may be copied, such that the\n		 Copyright Holder maintains some semblance of artistic control over the development of the package,\n		 while giving the users of the package the right to use and distribute the Package in a more-or-less\n		 customary fashion, plus the right to make reasonable modifications.</p>\n\n		 <p>Testing is essential for proper development and maintenance of standards-based products.</p>\n\n		 <p>For buyers: adequate conformance testing leads to reduced integration costs and protection of investments\n		 in applications, software and people.</p>\n\n		 <p>For software developers: conformance testing of platforms and middleware greatly reduces the cost of\n		 developing and maintaining multi-platform application software.</p>\n\n		 <p>For suppliers: In-depth testing increases customer satisfaction and keeps development and support costs\n		 in check. API conformance is highly measurable and suppliers who claim it must be able to substantiate\n		 that claim.</p>\n\n		 <p>As such, since these are benchmark measures of conformance, we feel the integrity of test tools is of\n		 importance. In order to preserve the integrity of the existing conformance modes of this test package\n		 and to permit recipients of modified versions of this package to run the original test modes, this\n		 license requires that the original test modes be preserved.</p>\n\n		 <p>If you find a bug in one of the standards mode test cases, please let us know so we can feed this back\n		 into the original, and also raise any specification issues with the appropriate bodies (for example\n		 the POSIX committees).</p>\n\n	  </div>\n\n	  <p>Definitions:</p>\n\n	  <p>&quot;Package&quot; refers to the collection of files distributed by the Copyright Holder, and derivatives of that\n		 collection of files created through textual modification.</p>\n\n	  <p>&quot;Standard Version&quot; refers to such a Package if it has not been modified, or has been modified in\n		 accordance with the wishes of the Copyright Holder.</p>\n\n	  <p>&quot;Copyright Holder&quot; is whoever is named in the copyright or copyrights for the package.</p>\n\n	  <p>&quot;You&quot; is you, if you&apos;re thinking about copying or distributing this Package.</p>\n\n	  <p>&quot;Reasonable copying fee&quot; is whatever you can justify on the basis of media cost, duplication charges,\n		 time of people involved, and so on. (You will not be required to justify it to the Copyright Holder,\n		 but only to the computing community at large as a market that must bear the fee.)</p>\n\n	  <p>&quot;Freely Available&quot; means that no fee is charged for the item itself, though there may be fees involved in\n		 handling the item. It also means that recipients of the item may redistribute it under the same\n		 conditions they received it.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may make and give away verbatim copies of the source form of the Standard Version of this\n			 Package without restriction, provided that you duplicate all of the original copyright notices\n			 and associated disclaimers.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may apply bug fixes, portability fixes and other modifications derived from the Public Domain\n			 or from the Copyright Holder. A Package modified in such a way shall still be considered the\n			 Standard Version.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may otherwise modify your copy of this Package in any way, provided that you insert a\n			 prominent notice in each changed file stating how and when you changed that file, and provided\n			 that you do at least the following:\n		  <p>rename any non-standard executables and testcases so the names do not conflict with standard\n			 executables and testcases, which must also be provided, and provide a separate manual page for\n			 each non-standard executable and testcase that clearly documents how it differs from the\n			 Standard Version.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may distribute the programs of this Package in object code or executable form, provided that\n			 you do at least the following:\n		  <p>accompany any non-standard executables and testcases with their corresponding Standard Version\n			 executables and testcases, giving the non-standard executables and testcases non-standard\n			 names, and clearly documenting the differences in manual pages (or equivalent), together with\n			 instructions on where to get the Standard Version.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may charge a reasonable copying fee for any distribution of this Package. You may charge any\n			 fee you choose for support of this Package. You may not charge a fee for this Package itself.\n			 However, you may distribute this Package in aggregate with other (possibly commercial)\n			 programs as part of a larger (possibly commercial) software distribution provided that you do\n			 not advertise this Package as a product of your own.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The scripts and library files supplied as input to or produced as output from the programs of\n			 this Package do not automatically fall under the copyright of this Package, but belong to\n			 whomever generated them, and may be sold commercially, and may be aggregated with this\n			 Package.\n		  <p>7.Subroutines supplied by you and linked into this Package shall not be considered part of this\n			 Package.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  The name of the Copyright Holder may not be used to endorse or promote products derived from this\n			 software without specific prior written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  THIS PACKAGE IS PROVIDED &quot;AS IS&quot; AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,\n			 WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR\n			 PURPOSE.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>The End</p>\n\n	  </div>\n	"
		self.python_name = "OGTSL"

	def __str__(self):
		return json.dumps(self.__dict__)


class Bahyph:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "COPYRIGHT NOTICE\n\nThese patterns and the generating sh script are Copyright (c) GMV 1991\n\nThese patterns were developed for internal GMV use and are made public in the hope that they will benefit others. Also, spreading these patterns throughout the Spanish-language TeX community is expected to provide back-benefits to GMV in that it can help keeping GMV in the mainstream of spanish users.\n\nHowever, this is given for free and WITHOUT ANY WARRANTY. Under no circumstances can Julio Sanchez, GMV, Jos'e A. Ma~nas or any agents or representatives thereof be held responsible for any errors in this software nor for any damages derived from its use, even in case any of the above has been notified of the possibility of such damages. If any such situation arises, you responsible for repair. Use of this software is an explicit  acceptance of these conditions.\n\nYou can use this software for any purpose. You cannot delete this  copyright notice. If you change this software, you must include comments explaining who, when and why. You are kindly requested to send any changes to tex@gmv.es. If you change the generating script, you must include code in it such that any output is clearly labeled as generated by a modified script.   Despite the lack of warranty, we would like to hear about any problem you find. Please report problems to tex@gmv.es.\n\nEND OF COPYRIGHT NOTICE\n"
		self.standardLicenseTemplate = "<<beginOptional>>COPYRIGHT NOTICE\n\n<<endOptional>>\n\nThese patterns and the generating sh script are Copyright (c) GMV 1991\n\nThese patterns were developed for internal GMV use and are made public in the hope that they will benefit others. Also, spreading these patterns throughout the Spanish-language TeX community is expected to provide back-benefits to GMV in that it can help keeping GMV in the mainstream of spanish users.\n\nHowever, this is given for free and WITHOUT ANY WARRANTY. Under no circumstances can Julio Sanchez, GMV, Jos'e A. Ma~nas or any agents or representatives thereof be held responsible for any errors in this software nor for any damages derived from its use, even in case any of the above has been notified of the possibility of such damages. If any such situation arises, you responsible for repair. Use of this software is an explicit acceptance of these conditions.\n\nYou can use this software for any purpose. You cannot delete this copyright notice. If you change this software, you must include comments explaining who, when and why. You are kindly requested to send any changes to tex@gmv.es. If you change the generating script, you must include code in it such that any output is clearly labeled as generated by a modified script. Despite the lack of warranty, we would like to hear about any problem you find. Please report problems to tex@gmv.es.\n\n<<beginOptional>>END OF COPYRIGHT NOTICE\n\n<<endOptional>>"
		self.name = "Bahyph License"
		self.licenseId = "Bahyph"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Bahyph", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Bahyph"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>COPYRIGHT NOTICE</p>\n\n	  </div>\n\n	  <p>These patterns and the generating sh script are Copyright (c) GMV 1991</p>\n\n	  <p>These patterns were developed for internal GMV use and are made public in the hope that they will benefit\n		 others. Also, spreading these patterns throughout the Spanish-language TeX community is expected to\n		 provide back-benefits to GMV in that it can help keeping GMV in the mainstream of spanish users.</p>\n\n	  <p>However, this is given for free and WITHOUT ANY WARRANTY. Under no circumstances can Julio Sanchez, GMV,\n		 Jos&apos;e A. Ma~nas or any agents or representatives thereof be held responsible for any errors in this\n		 software nor for any damages derived from its use, even in case any of the above has been notified of\n		 the possibility of such damages. If any such situation arises, you responsible for repair. Use of this\n		 software is an explicit acceptance of these conditions.</p>\n\n	  <p>You can use this software for any purpose. You cannot delete this copyright notice. If you change this\n		 software, you must include comments explaining who, when and why. You are kindly requested to send any\n		 changes to tex@gmv.es. If you change the generating script, you must include code in it such that any\n		 output is clearly labeled as generated by a modified script. Despite the lack of warranty, we would\n		 like to hear about any problem you find. Please report problems to tex@gmv.es.</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>END OF COPYRIGHT NOTICE</p>\n\n	  </div>\n	"
		self.python_name = "Bahyph"

	def __str__(self):
		return json.dumps(self.__dict__)


class blessing:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The author disclaims copyright to this source code. In place of a legal notice, here is a blessing:\n\nMay you do good and not evil.\nMay you find forgiveness for yourself and forgive others.\nMay you share freely, never taking more than you give.\n"
		self.standardLicenseTemplate = "The author disclaims copyright to this source code. In place of a legal notice, here is a blessing:\n\n   May you do good and not evil.\n\n   May you find forgiveness for yourself and forgive others.\n\n   May you share freely, never taking more than you give.\n\n   "
		self.name = "SQLite Blessing"
		self.licenseId = "blessing"
		self.crossRef = [{"match": "False", "url": "https://sqlite.org/src/artifact/df5091916dbb40e6", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:24Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.sqlite.org/src/artifact/e33a4df7e32d742a?ln=4-9", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:25Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.sqlite.org/src/artifact/e33a4df7e32d742a?ln=4-9", "https://sqlite.org/src/artifact/df5091916dbb40e6"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<p>The author disclaims copyright to this source code. In place of a legal notice, here is a blessing:</p>\n\n<ul style=\"list-style:none\">\n			\n<li><p>May you do good and not evil.</p>\n</li>\n			\n<li><p>May you find forgiveness for yourself and forgive others.</p>\n</li>\n			\n<li><p>May you share freely, never taking more than you give.</p>\n</li>\n		\n</ul>\n	"
		self.python_name = "blessing"

	def __str__(self):
		return json.dumps(self.__dict__)


class NBPL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The Net Boolean Public License\n\nVersion 1, 22 August 1998 Copyright 1998, Net Boolean Incorporated, Redwood City, California, USA All Rights Reserved.\n\nNote: This license is derived from the \"Artistic License\" as distributed with the Perl Programming Language. Its terms are different from those of the \"Artistic License.\"\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n	 \"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n	 \"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n	 \"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n	 \"You\" is you, if you're thinking about copying or distributing this Package.\n\n	 \"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n	 \"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	 a) place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	 b) use the modified Package only within your corporation or organization.\n\n	 c) rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	 d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	 a) distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	 b) accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	 c) accompany any non-standard executables with their corresponding Standard Version executables, giving the non-standard executables non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	 d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n7. C subroutines supplied by you and linked into this Package in order to emulate subroutines and variables of the language defined by this Package shall not be considered part of this Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not change the language in any way that would cause it to fail the regression tests for the language.\n\n8. The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n9. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\nThe End\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Net Boolean Public License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Version 1, 22 August 1998 Copyright 1998, Net Boolean Incorporated, Redwood City, California, USA All Rights Reserved.  \";match=\".{0,5000}\">><<beginOptional>> Note: This license is derived from the \"Artistic License\" as distributed with the Perl Programming Language. Its terms are different from those of the \"Artistic License.\"\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\n<<endOptional>>\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n\"You\" is you, if you're thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> use the modified Package only within your corporation or organization.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> accompany any non-standard executables with their corresponding Standard Version executables, giving the non-standard executables non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> C subroutines supplied by you and linked into this Package in order to emulate subroutines and variables of the language defined by this Package shall not be considered part of this Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not change the language in any way that would cause it to fail the regression tests for the language.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.<<beginOptional>> The End\n\n<<endOptional>>"
		self.name = "Net Boolean Public License v1"
		self.licenseComments = "This license was released 22 August 1998. This license was issued twice, but only with formatting differences."
		self.licenseId = "NBPL-1.0"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=37b4b3f6cc4bf34e1d3dec61e69914b9819d8894", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:15Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=37b4b3f6cc4bf34e1d3dec61e69914b9819d8894"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Net Boolean Public License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Version 1, 22 August 1998 Copyright 1998, Net Boolean Incorporated, Redwood City, California, USA All\n		 Rights Reserved.</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Note: This license is derived from the &quot;Artistic License&quot; as distributed with the Perl\n		 Programming Language. Its terms are different from those of the &quot;Artistic License.&quot;</p>\n\n		 <p>PREAMBLE</p>\n\n		 <p>The intent of this document is to state the conditions under which a Package may be copied, such that the\n		 Copyright Holder maintains some semblance of artistic control over the development of the package,\n		 while giving the users of the package the right to use and distribute the Package in a more-or-less\n		 customary fashion, plus the right to make reasonable modifications.</p>\n\n	  </div>\n\n	  <p>Definitions:</p>\n\n	  <p>&quot;Package&quot; refers to the collection of files distributed by the Copyright Holder, and\n		 derivatives of that collection of files created through textual modification.</p>\n\n	  <p>&quot;Standard Version&quot; refers to such a Package if it has not been modified, or has been modified\n		 in accordance with the wishes of the Copyright Holder.</p>\n\n	  <p>&quot;Copyright Holder&quot; is whoever is named in the copyright or copyrights for the package.</p>\n\n	  <p>&quot;You&quot; is you, if you&apos;re thinking about copying or distributing this Package.</p>\n\n	  <p>&quot;Reasonable copying fee&quot; is whatever you can justify on the basis of media cost, duplication\n		 charges, time of people involved, and so on. (You will not be required to justify it to the Copyright\n		 Holder, but only to the computing community at large as a market that must bear the fee.)</p>\n\n	  <p>&quot;Freely Available&quot; means that no fee is charged for the item itself, though there may be fees\n		 involved in handling the item. It also means that recipients of the item may redistribute it under the\n		 same conditions they received it.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may make and give away verbatim copies of the source form of the Standard Version of this\n			 Package without restriction, provided that you duplicate all of the original copyright notices\n			 and associated disclaimers.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may apply bug fixes, portability fixes and other modifications derived from the Public Domain\n			 or from the Copyright Holder. A Package modified in such a way shall still be considered the\n			 Standard Version.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may otherwise modify your copy of this Package in any way, provided that you insert a\n			 prominent notice in each changed file stating how and when you changed that file, and provided\n			 that you do at least ONE of the following:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			place your modifications in the Public Domain or otherwise make them Freely Available, such\n			   as by posting said modifications to Usenet or an equivalent medium, or placing the\n			   modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright\n			   Holder to include your modifications in the Standard Version of the Package.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			use the modified Package only within your corporation or organization.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c)</var>\n			rename any non-standard executables so the names do not conflict with standard executables,\n			   which must also be provided, and provide a separate manual page for each non-standard\n			   executable that clearly documents how it differs from the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d)</var>\n			make other distribution arrangements with the Copyright Holder.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may distribute the programs of this Package in object code or executable form, provided that\n			 you do at least ONE of the following:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			distribute a Standard Version of the executables and library files, together with\n			   instructions (in the manual page or equivalent) on where to get the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			accompany the distribution with the machine-readable source of the Package with your modifications.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c)</var>\n			accompany any non-standard executables with their corresponding Standard Version executables,\n			   giving the non-standard executables non-standard names, and clearly documenting the\n			   differences in manual pages (or equivalent), together with instructions on where to get\n			   the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d)</var>\n			make other distribution arrangements with the Copyright Holder.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may charge a reasonable copying fee for any distribution of this Package. You may charge any\n			 fee you choose for support of this Package. You may not charge a fee for this Package itself.\n			 However, you may distribute this Package in aggregate with other (possibly commercial)\n			 programs as part of a larger (possibly commercial) software distribution provided that you do\n			 not advertise this Package as a product of your own.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The scripts and library files supplied as input to or produced as output from the programs of\n			 this Package do not automatically fall under the copyright of this Package, but belong to\n			 whomever generated them, and may be sold commercially, and may be aggregated with this\n			 Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  C subroutines supplied by you and linked into this Package in order to emulate subroutines and\n			 variables of the language defined by this Package shall not be considered part of this\n			 Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not\n			 change the language in any way that would cause it to fail the regression tests for the\n			 language.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  The name of the Copyright Holder may not be used to endorse or promote products derived from this\n			 software without specific prior written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  THIS PACKAGE IS PROVIDED &quot;AS IS&quot; AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\n			 INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A\n			 PARTICULAR PURPOSE.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>The End</p>\n\n	  </div>\n	"
		self.python_name = "NBPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class Barr:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This is a package of commutative diagram macros built on top of Xy-pic  by Michael Barr (email: barr@barrs.org). Its use is unrestricted. It  may be freely distributed, unchanged, for non-commercial or commercial  use. If changed, it must be renamed. Inclusion in a commercial  software package is also permitted, but I would appreciate receiving a  free copy for my personal examination and use. There are no guarantees  that this package is good for anything. I have tested it with LaTeX 2e,  LaTeX 2.09 and Plain TeX. Although I know of no reason it will not work  with AMSTeX, I have not tested it.\n"
		self.standardLicenseTemplate = "This is a package of commutative diagram macros built on top of Xy-pic by Michael Barr (email: barr@barrs.org). Its use is unrestricted. It may be freely distributed, unchanged, for non-commercial or commercial use. If changed, it must be renamed. Inclusion in a commercial software package is also permitted, but I would appreciate receiving a free copy for my personal examination and use. There are no guarantees that this package is good for anything. I have tested it with LaTeX 2e, LaTeX 2.09 and Plain TeX. Although I know of no reason it will not work with AMSTeX, I have not tested it.\n\n"
		self.name = "Barr License"
		self.licenseId = "Barr"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Barr", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:59Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Barr"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>This is a package of commutative diagram macros built on top of Xy-pic by Michael Barr (email:\n		 barr@barrs.org). Its use is unrestricted. It may be freely distributed, unchanged, for non-commercial\n		 or commercial use. If changed, it must be renamed. Inclusion in a commercial software package is also\n		 permitted, but I would appreciate receiving a free copy for my personal examination and use. There are\n		 no guarantees that this package is good for anything. I have tested it with LaTeX 2e, LaTeX 2.09 and\n		 Plain TeX. Although I know of no reason it will not work with AMSTeX, I have not tested it.</p>\n\n	"
		self.python_name = "Barr"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCND25:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-NonCommercial-NoDerivs 2.5\n\n  CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Derivative Works. All rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Sections 4(d) and 4(e).\n\n4. Restrictions.The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by clause 4(c), as requested.\n\n	 b. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	 c. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work, You must keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for attribution in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; the title of the Work if supplied; and to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n	 d. For the avoidance of doubt, where the Work is a musical composition:\n\n		  i. Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work if that performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n		  ii. Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if Your distribution of such cover version is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n	 e. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor reserves the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if Your public digital performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 c. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 d. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NonCommercial-NoDerivs 2.5\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Derivative Works. All rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Sections 4(d) and 4(e).\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions.The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by clause 4(c), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work, You must keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for attribution in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; the title of the Work if supplied; and to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> For the avoidance of doubt, where the Work is a musical composition:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work if that performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if Your distribution of such cover version is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor reserves the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if Your public digital performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial No Derivatives 2.5 Generic"
		self.licenseId = "CC-BY-NC-ND-2.5"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-nd/2.5/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:24Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-nd/2.5/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NonCommercial-NoDerivs 2.5</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n			   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n			   other contributions, constituting separate and independent works in themselves, are\n			   assembled into a collective whole. A work that constitutes a Collective Work will not be\n			   considered a Derivative Work (as defined below) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works, such as a translation, musical arrangement, dramatization,\n			   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n			   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n			   except that a work that constitutes a Collective Work will not be considered a Derivative\n			   Work for the purpose of this License. For the avoidance of doubt, where the Work is a\n			   musical composition or sound recording, the synchronization of the Work in timed-relation\n			   with a moving image (&quot;synching&quot;) will be considered a Derivative Work for the\n			   purpose of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n			   this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Original Author&quot; means the individual or entity who created the Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works;\n		  </li>\n			\n</ul>\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats, but otherwise you have no\n			   rights to make Derivative Works. All rights not expressly granted by Licensor are hereby\n			   reserved, including but not limited to the rights set forth in Sections 4(d) and 4(e).</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions.The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n			   Work. You must keep intact all notices that refer to this License and to the disclaimer of\n			   warranties. You may not distribute, publicly display, publicly perform, or publicly\n			   digitally perform the Work with any technological measures that control access or use of\n			   the Work in a manner inconsistent with the terms of this License Agreement. The above\n			   applies to the Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Work itself to be made subject to the terms of this\n			   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n			   extent practicable, remove from the Collective Work any credit as required by clause 4(c),\n			   as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may not exercise any of the rights granted to You in Section 3 above in any manner that\n			   is primarily intended for or directed toward commercial advantage or private monetary\n			   compensation. The exchange of the Work for other copyrighted works by means of digital\n			   file-sharing or otherwise shall not be considered to be intended for or directed toward\n			   commercial advantage or private monetary compensation, provided there is no payment of any\n			   monetary compensation in connection with the exchange of copyrighted works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work, You must keep intact all copyright notices for the Work and provide, reasonable to\n			   the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym,\n			   if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate\n			   another party or parties (e.g. a sponsor institute, publishing entity, journal) for\n			   attribution in Licensor&apos;s copyright notice, terms of service or by other reasonable\n			   means, the name of such party or parties; the title of the Work if supplied; and to the\n			   extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor\n			   specifies to be associated with the Work, unless such URI does not refer to the copyright\n			   notice or licensing information for the Work. Such credit may be implemented in any\n			   reasonable manner; provided, however, that in the case of a Collective Work, at a minimum\n			   such credit will appear where any other comparable authorship credit appears and in a\n			   manner at least as prominent as such other comparable authorship credit.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			For the avoidance of doubt, where the Work is a musical composition:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to\n				 collect, whether individually or via a performance rights society (e.g. ASCAP, BMI,\n				 SESAC), royalties for the public performance or public digital performance (e.g.\n				 webcast) of the Work if that performance is primarily intended for or directed toward\n				 commercial advantage or private monetary compensation.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to\n				 collect, whether individually or via a music rights agency or designated agent (e.g.\n				 Harry Fox Agency), royalties for any phonorecord You create from the Work (&quot;cover\n				 version&quot;) and distribute, subject to the compulsory license created by 17 USC\n				 Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if\n				 Your distribution of such cover version is primarily intended for or directed toward\n				 commercial advantage or private monetary compensation.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a\n			   sound recording, Licensor reserves the exclusive right to collect, whether individually or\n			   via a performance-rights society (e.g. SoundExchange), royalties for the public digital\n			   performance (e.g. webcast) of the Work, subject to the compulsory license created by 17\n			   USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if\n			   Your public digital performance is primarily intended for or directed toward commercial\n			   advantage or private monetary compensation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Collective\n			   Works from You under this License, however, will not have their licenses terminated\n			   provided such individuals or entities remain in full compliance with those licenses.\n			   Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n			   Licensor offers to the recipient a license to the Work on the same terms and conditions as\n			   the license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYNCND25"

	def __str__(self):
		return json.dumps(self.__dict__)


class CERNOHLP20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "CERN Open Hardware Licence Version 2 - Permissive\n\n\nPreamble\n\nCERN has developed this licence to promote collaboration among\nhardware designers and to provide a legal tool which supports the\nfreedom to use, study, modify, share and distribute hardware designs\nand products based on those designs. Version 2 of the CERN Open\nHardware Licence comes in three variants: this licence, CERN-OHL-P\n(permissive); and two reciprocal licences: CERN- OHL-W (weakly\nreciprocal) and CERN-OHL-S (strongly reciprocal).\n\nThe CERN-OHL-P is copyright CERN 2020. Anyone is welcome to use it, in\nunmodified form only.\n\nUse of this Licence does not imply any endorsement by CERN of any\nLicensor or their designs nor does it imply any involvement by CERN in\ntheir development.\n\n\n1 Definitions\n\n  1.1 'Licence' means this CERN-OHL-P.\n\n  1.2 'Source' means information such as design materials or digital\n	  code which can be applied to Make or test a Product or to\n	  prepare a Product for use, Conveyance or sale, regardless of its\n	  medium or how it is expressed. It may include Notices.\n\n  1.3 'Covered Source' means Source that is explicitly made available\n	  under this Licence.\n\n  1.4 'Product' means any device, component, work or physical object,\n	  whether in finished or intermediate form, arising from the use,\n	  application or processing of Covered Source.\n\n  1.5 'Make' means to create or configure something, whether by\n	 manufacture, assembly, compiling, loading or applying Covered\n	 Source or another Product or otherwise.\n\n  1.6 'Notice' means copyright, acknowledgement and trademark notices,\n	  references to the location of any Notices, modification notices\n	  (subsection 3.3(b)) and all notices that refer to this Licence\n	  and to the disclaimer of warranties that are included in the\n	  Covered Source.\n\n  1.7 'Licensee' or 'You' means any person exercising rights under\n	  this Licence.\n\n  1.8 'Licensor' means a person who creates Source or modifies Covered\n	  Source and subsequently Conveys the resulting Covered Source\n	  under the terms and conditions of this Licence. A person may be\n	  a Licensee and a Licensor at the same time.\n\n  1.9 'Convey' means to communicate to the public or distribute.\n\n\n2 Applicability\n\n  2.1 This Licence governs the use, copying, modification, Conveying\n	  of Covered Source and Products, and the Making of Products. By\n	  exercising any right granted under this Licence, You irrevocably\n	  accept these terms and conditions.\n\n  2.2 This Licence is granted by the Licensor directly to You, and\n	  shall apply worldwide and without limitation in time.\n\n  2.3 You shall not attempt to restrict by contract or otherwise the\n	  rights granted under this Licence to other Licensees.\n\n  2.4 This Licence is not intended to restrict fair use, fair dealing,\n	  or any other similar right.\n\n\n3 Copying, modifying and Conveying Covered Source\n\n  3.1 You may copy and Convey verbatim copies of Covered Source, in\n	  any medium, provided You retain all Notices.\n\n  3.2 You may modify Covered Source, other than Notices.\n\n	  You may only delete Notices if they are no longer applicable to\n	  the corresponding Covered Source as modified by You and You may\n	  add additional Notices applicable to Your modifications.\n\n  3.3 You may Convey modified Covered Source (with the effect that You\n	  shall also become a Licensor) provided that You:\n\n	   a) retain Notices as required in subsection 3.2; and\n\n	   b) add a Notice to the modified Covered Source stating that You\n		  have modified it, with the date and brief description of how\n		  You have modified it.\n\n  3.4 You may Convey Covered Source or modified Covered Source under\n	  licence terms which differ from the terms of this Licence\n	  provided that:\n\n	   a) You comply at all times with subsection 3.3; and\n\n	   b) You provide a copy of this Licence to anyone to whom You\n		  Convey Covered Source or modified Covered Source.\n\n\n4 Making and Conveying Products\n\nYou may Make Products, and/or Convey them, provided that You ensure\nthat the recipient of the Product has access to any Notices applicable\nto the Product.\n\n\n5 DISCLAIMER AND LIABILITY\n\n  5.1 DISCLAIMER OF WARRANTY -- The Covered Source and any Products\n	  are provided 'as is' and any express or implied warranties,\n	  including, but not limited to, implied warranties of\n	  merchantability, of satisfactory quality, non-infringement of\n	  third party rights, and fitness for a particular purpose or use\n	  are disclaimed in respect of any Source or Product to the\n	  maximum extent permitted by law. The Licensor makes no\n	  representation that any Source or Product does not or will not\n	  infringe any patent, copyright, trade secret or other\n	  proprietary right. The entire risk as to the use, quality, and\n	  performance of any Source or Product shall be with You and not\n	  the Licensor. This disclaimer of warranty is an essential part\n	  of this Licence and a condition for the grant of any rights\n	  granted under this Licence.\n\n  5.2 EXCLUSION AND LIMITATION OF LIABILITY -- The Licensor shall, to\n	  the maximum extent permitted by law, have no liability for\n	  direct, indirect, special, incidental, consequential, exemplary,\n	  punitive or other damages of any character including, without\n	  limitation, procurement of substitute goods or services, loss of\n	  use, data or profits, or business interruption, however caused\n	  and on any theory of contract, warranty, tort (including\n	  negligence), product liability or otherwise, arising in any way\n	  in relation to the Covered Source, modified Covered Source\n	  and/or the Making or Conveyance of a Product, even if advised of\n	  the possibility of such damages, and You shall hold the\n	  Licensor(s) free and harmless from any liability, costs,\n	  damages, fees and expenses, including claims by third parties,\n	  in relation to such use.\n\n\n6 Patents\n\n  6.1 Subject to the terms and conditions of this Licence, each\n	  Licensor hereby grants to You a perpetual, worldwide,\n	  non-exclusive, no-charge, royalty-free, irrevocable (except as\n	  stated in this section 6, or where terminated by the Licensor\n	  for cause) patent license to Make, have Made, use, offer to\n	  sell, sell, import, and otherwise transfer the Covered Source\n	  and Products, where such licence applies only to those patent\n	  claims licensable by such Licensor that are necessarily\n	  infringed by exercising rights under the Covered Source as\n	  Conveyed by that Licensor.\n\n  6.2 If You institute patent litigation against any entity (including\n	  a cross-claim or counterclaim in a lawsuit) alleging that the\n	  Covered Source or a Product constitutes direct or contributory\n	  patent infringement, or You seek any declaration that a patent\n	  licensed to You under this Licence is invalid or unenforceable\n	  then any rights granted to You under this Licence shall\n	  terminate as of the date such process is initiated.\n\n\n7 General\n\n  7.1 If any provisions of this Licence are or subsequently become\n	  invalid or unenforceable for any reason, the remaining\n	  provisions shall remain effective.\n\n  7.2 You shall not use any of the name (including acronyms and\n	  abbreviations), image, or logo by which the Licensor or CERN is\n	  known, except where needed to comply with section 3, or where\n	  the use is otherwise allowed by law. Any such permitted use\n	  shall be factual and shall not be made so as to suggest any kind\n	  of endorsement or implication of involvement by the Licensor or\n	  its personnel.\n\n  7.3 CERN may publish updated versions and variants of this Licence\n	  which it considers to be in the spirit of this version, but may\n	  differ in detail to address new problems or concerns. New\n	  versions will be published with a unique version number and a\n	  variant identifier specifying the variant. If the Licensor has\n	  specified that a given variant applies to the Covered Source\n	  without specifying a version, You may treat that Covered Source\n	  as being released under any version of the CERN-OHL with that\n	  variant. If no variant is specified, the Covered Source shall be\n	  treated as being released under CERN-OHL-S. The Licensor may\n	  also specify that the Covered Source is subject to a specific\n	  version of the CERN-OHL or any later version in which case You\n	  may apply this or any later version of CERN-OHL with the same\n	  variant identifier published by CERN.\n\n  7.4 This Licence shall not be enforceable except by a Licensor\n	  acting as such, and third party beneficiary rights are\n	  specifically excluded.\n"
		self.standardLicenseTemplate = "<<beginOptional>>CERN Open Hardware Licence Version 2 - Permissive<<endOptional>>\n\nPreamble\n\nCERN has developed this licence to promote collaboration among hardware designers and to provide a legal tool which supports the freedom to use, study, modify, share and distribute hardware designs and products based on those designs. Version 2 of the CERN Open Hardware Licence comes in three variants: this licence, CERN-OHL-P (permissive); and two reciprocal licences: CERN- OHL-W (weakly reciprocal) and CERN-OHL-S (strongly reciprocal).\n\nThe CERN-OHL-P is copyright CERN 2020. Anyone is welcome to use it, in unmodified form only.\n\nUse of this Licence does not imply any endorsement by CERN of any Licensor or their designs nor does it imply any involvement by CERN in their development.\n\n   <<var;name=\"bullet\";original=\"1\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> 'Licence' means this CERN-OHL-P.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> 'Source' means information such as design materials or digital code which can be applied to Make or test a Product or to prepare a Product for use, Conveyance or sale, regardless of its medium or how it is expressed. It may include Notices.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> 'Covered Source' means Source that is explicitly made available under this Licence.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> 'Product' means any device, component, work or physical object, whether in finished or intermediate form, arising from the use, application or processing of Covered Source.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> 'Make' means to create or configure something, whether by manufacture, assembly, compiling, loading or applying Covered Source or another Product or otherwise.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> 'Notice' means copyright, acknowledgement and trademark notices, references to the location of any Notices, modification notices (subsection 3.3(b)) and all notices that refer to this Licence and to the disclaimer of warranties that are included in the Covered Source.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> 'Licensee' or 'You' means any person exercising rights under this Licence.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> 'Licensor' means a person who creates Source or modifies Covered Source and subsequently Conveys the resulting Covered Source under the terms and conditions of this Licence. A person may be a Licensee and a Licensor at the same time.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> 'Convey' means to communicate to the public or distribute.\n\n   <<var;name=\"bullet\";original=\"2\";match=\".{0,20}\">> Applicability\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> This Licence governs the use, copying, modification, Conveying of Covered Source and Products, and the Making of Products. By exercising any right granted under this Licence, You irrevocably accept these terms and conditions.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> This Licence is granted by the Licensor directly to You, and shall apply worldwide and without limitation in time.\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> You shall not attempt to restrict by contract or otherwise the rights granted under this Licence to other Licensees.\n\n	  <<var;name=\"bullet\";original=\"2.4\";match=\".{0,20}\">> This Licence is not intended to restrict fair use, fair dealing, or any other similar right.\n\n   <<var;name=\"bullet\";original=\"3\";match=\".{0,20}\">> Copying, modifying and Conveying Covered Source\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> You may copy and Convey verbatim copies of Covered Source, in any medium, provided You retain all Notices.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> You may modify Covered Source, other than Notices.\n\n	  You may only delete Notices if they are no longer applicable to the corresponding Covered Source as modified by You and You may add additional Notices applicable to Your modifications.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> You may Convey modified Covered Source (with the effect that You shall also become a Licensor) provided that You:\n\n		 <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> retain Notices as required in subsection 3.2; and\n\n		 <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> add a Notice to the modified Covered Source stating that You have modified it, with the date and brief description of how You have modified it.\n\n	  <<var;name=\"bullet\";original=\"3.4\";match=\".{0,20}\">> You may Convey Covered Source or modified Covered Source under licence terms which differ from the terms of this Licence provided that:\n\n		 <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> You comply at all times with subsection 3.3; and\n\n		 <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You provide a copy of this Licence to anyone to whom You Convey Covered Source or modified Covered Source.\n\n   <<var;name=\"bullet\";original=\"4\";match=\".{0,20}\">> Making and Conveying Products\n\n   You may Make Products, and/or Convey them, provided that You ensure that the recipient of the Product has access to any Notices applicable to the Product.\n\n   <<var;name=\"bullet\";original=\"5\";match=\".{0,20}\">> DISCLAIMER AND LIABILITY\n\n	  <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY -- The Covered Source and any Products are provided 'as is' and any express or implied warranties, including, but not limited to, implied warranties of merchantability, of satisfactory quality, non-infringement of third party rights, and fitness for a particular purpose or use are disclaimed in respect of any Source or Product to the maximum extent permitted by law. The Licensor makes no representation that any Source or Product does not or will not infringe any patent, copyright, trade secret or other proprietary right. The entire risk as to the use, quality, and performance of any Source or Product shall be with You and not the Licensor. This disclaimer of warranty is an essential part of this Licence and a condition for the grant of any rights granted under this Licence.\n\n	  <<var;name=\"bullet\";original=\"5.2\";match=\".{0,20}\">> EXCLUSION AND LIMITATION OF LIABILITY -- The Licensor shall, to the maximum extent permitted by law, have no liability for direct, indirect, special, incidental, consequential, exemplary, punitive or other damages of any character including, without limitation, procurement of substitute goods or services, loss of use, data or profits, or business interruption, however caused and on any theory of contract, warranty, tort (including negligence), product liability or otherwise, arising in any way in relation to the Covered Source, modified Covered Source and/or the Making or Conveyance of a Product, even if advised of the possibility of such damages, and You shall hold the Licensor(s) free and harmless from any liability, costs, damages, fees and expenses, including claims by third parties, in relation to such use.\n\n   <<var;name=\"bullet\";original=\"6\";match=\".{0,20}\">> Patents\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> Subject to the terms and conditions of this Licence, each Licensor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section 6, or where terminated by the Licensor for cause) patent license to Make, have Made, use, offer to sell, sell, import, and otherwise transfer the Covered Source and Products, where such licence applies only to those patent claims licensable by such Licensor that are necessarily infringed by exercising rights under the Covered Source as Conveyed by that Licensor.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Covered Source or a Product constitutes direct or contributory patent infringement, or You seek any declaration that a patent licensed to You under this Licence is invalid or unenforceable then any rights granted to You under this Licence shall terminate as of the date such process is initiated.\n\n   <<var;name=\"bullet\";original=\"7\";match=\".{0,20}\">> General\n\n	  <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> If any provisions of this Licence are or subsequently become invalid or unenforceable for any reason, the remaining provisions shall remain effective.\n\n	  <<var;name=\"bullet\";original=\"7.2\";match=\".{0,20}\">> You shall not use any of the name (including acronyms and abbreviations), image, or logo by which the Licensor or CERN is known, except where needed to comply with section 3, or where the use is otherwise allowed by law. Any such permitted use shall be factual and shall not be made so as to suggest any kind of endorsement or implication of involvement by the Licensor or its personnel.\n\n	  <<var;name=\"bullet\";original=\"7.3\";match=\".{0,20}\">> CERN may publish updated versions and variants of this Licence which it considers to be in the spirit of this version, but may differ in detail to address new problems or concerns. New versions will be published with a unique version number and a variant identifier specifying the variant. If the Licensor has specified that a given variant applies to the Covered Source without specifying a version, You may treat that Covered Source as being released under any version of the CERN-OHL with that variant. If no variant is specified, the Covered Source shall be treated as being released under CERN-OHL-S. The Licensor may also specify that the Covered Source is subject to a specific version of the CERN-OHL or any later version in which case You may apply this or any later version of CERN-OHL with the same variant identifier published by CERN.\n\n	  <<var;name=\"bullet\";original=\"7.4\";match=\".{0,20}\">> This Licence shall not be enforceable except by a Licensor acting as such, and third party beneficiary rights are specifically excluded."
		self.name = "CERN Open Hardware Licence Version 2 - Permissive"
		self.licenseId = "CERN-OHL-P-2.0"
		self.crossRef = [{"match": "False", "url": "https://www.ohwr.org/project/cernohl/wikis/Documents/CERN-OHL-version-2", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:52Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.ohwr.org/project/cernohl/wikis/Documents/CERN-OHL-version-2"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <var class=\"optional-license-text\"> CERN Open Hardware Licence Version 2 - Permissive</var>\n	  <p>Preamble</p>\n\n	  <p>CERN has developed this licence to promote collaboration among hardware designers and to provide a legal tool which supports the freedom to use, study, modify, share and distribute hardware designs and products based on those designs. Version 2 of the CERN Open Hardware Licence comes in three variants: this licence, CERN-OHL-P (permissive); and two reciprocal licences: CERN- OHL-W (weakly reciprocal) and CERN-OHL-S (strongly reciprocal).</p>\n\n	  <p>The CERN-OHL-P is copyright CERN 2020. Anyone is welcome to use it, in unmodified form only.</p>\n\n	  <p>Use of this Licence does not imply any endorsement by CERN of any Licensor or their designs nor does it imply any involvement by CERN in their development.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 1</var> Definitions\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 1.1</var> &apos;Licence&apos; means this CERN-OHL-P.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.2</var> &apos;Source&apos; means information such as design materials or digital code which can be applied to Make or test a Product or to prepare a Product for use, Conveyance or sale, regardless of its medium or how it is expressed. It may include Notices.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.3</var> &apos;Covered Source&apos; means Source that is explicitly made available under this Licence.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.4</var> &apos;Product&apos; means any device, component, work or physical object, whether in finished or intermediate form, arising from the use, application or processing of Covered Source.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.5</var> &apos;Make&apos; means to create or configure something, whether by manufacture, assembly, compiling, loading or applying Covered Source or another Product or otherwise.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.6</var> &apos;Notice&apos; means copyright, acknowledgement and trademark notices, references to the location of any Notices, modification notices (subsection 3.3(b)) and all notices that refer to this Licence and to the disclaimer of warranties that are included in the Covered Source.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.7</var> &apos;Licensee&apos; or &apos;You&apos; means any person exercising rights under this Licence.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.8</var> &apos;Licensor&apos; means a person who creates Source or modifies Covered Source and subsequently Conveys the resulting Covered Source under the terms and conditions of this Licence. A person may be a Licensee and a Licensor at the same time.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.9</var> &apos;Convey&apos; means to communicate to the public or distribute.</li>\n		  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 2</var> Applicability\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 2.1</var> This Licence governs the use, copying, modification, Conveying of Covered Source and Products, and the Making of Products. By exercising any right granted under this Licence, You irrevocably accept these terms and conditions.</li>\n			\n<li><var class=\"replaceable-license-text\"> 2.2</var> This Licence is granted by the Licensor directly to You, and shall apply worldwide and without limitation in time.</li>\n			\n<li><var class=\"replaceable-license-text\"> 2.3</var> You shall not attempt to restrict by contract or otherwise the rights granted under this Licence to other Licensees.</li>\n			\n<li><var class=\"replaceable-license-text\"> 2.4</var> This Licence is not intended to restrict fair use, fair dealing, or any other similar right.</li>\n		  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 3</var> Copying, modifying and Conveying Covered Source\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 3.1</var> You may copy and Convey verbatim copies of Covered Source, in any medium, provided You retain all Notices.</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 3.2</var> You may modify Covered Source, other than Notices.\n			  <p>You may only delete Notices if they are no longer applicable to the corresponding Covered Source as modified by You and You may add additional Notices applicable to Your modifications.</p>\n\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 3.3</var> You may Convey modified Covered Source (with the effect that You shall also become a Licensor) provided that You:\n			  \n<ul style=\"list-style:none\">\n				\n<li><var class=\"replaceable-license-text\"> a)</var> retain Notices as required in subsection 3.2; and</li>\n				\n<li><var class=\"replaceable-license-text\"> b)</var> add a Notice to the modified Covered Source stating that You have modified it, with the date and brief description of how You have modified it.</li>\n			  \n</ul>\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 3.4</var> You may Convey Covered Source or modified Covered Source under licence terms which differ from the terms of this Licence provided that:\n			  \n<ul style=\"list-style:none\">\n				\n<li><var class=\"replaceable-license-text\"> a)</var> You comply at all times with subsection 3.3; and</li>\n				\n<li><var class=\"replaceable-license-text\"> b)</var> You provide a copy of this Licence to anyone to whom You Convey Covered Source or modified Covered Source.</li>\n			  \n</ul>\n			</li>\n		  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 4</var> Making and Conveying Products\n		  <p>You may Make Products, and/or Convey them, provided that You ensure that the recipient of the Product has access to any Notices applicable to the Product.</p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 5</var> DISCLAIMER AND LIABILITY\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 5.1</var> DISCLAIMER OF WARRANTY -- The Covered Source and any Products are provided &apos;as is&apos; and any express or implied warranties, including, but not limited to, implied warranties of merchantability, of satisfactory quality, non-infringement of third party rights, and fitness for a particular purpose or use are disclaimed in respect of any Source or Product to the maximum extent permitted by law. The Licensor makes no representation that any Source or Product does not or will not infringe any patent, copyright, trade secret or other proprietary right. The entire risk as to the use, quality, and performance of any Source or Product shall be with You and not the Licensor. This disclaimer of warranty is an essential part of this Licence and a condition for the grant of any rights granted under this Licence.</li>\n			\n<li><var class=\"replaceable-license-text\"> 5.2</var> EXCLUSION AND LIMITATION OF LIABILITY -- The Licensor shall, to the maximum extent permitted by law, have no liability for direct, indirect, special, incidental, consequential, exemplary, punitive or other damages of any character including, without limitation, procurement of substitute goods or services, loss of use, data or profits, or business interruption, however caused and on any theory of contract, warranty, tort (including negligence), product liability or otherwise, arising in any way in relation to the Covered Source, modified Covered Source and/or the Making or Conveyance of a Product, even if advised of the possibility of such damages, and You shall hold the Licensor(s) free and harmless from any liability, costs, damages, fees and expenses, including claims by third parties, in relation to such use.</li>\n		  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 6</var> Patents\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 6.1</var> Subject to the terms and conditions of this Licence, each Licensor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section 6, or where terminated by the Licensor for cause) patent license to Make, have Made, use, offer to sell, sell, import, and otherwise transfer the Covered Source and Products, where such licence applies only to those patent claims licensable by such Licensor that are necessarily infringed by exercising rights under the Covered Source as Conveyed by that Licensor.</li>\n			\n<li><var class=\"replaceable-license-text\"> 6.2</var> If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Covered Source or a Product constitutes direct or contributory patent infringement, or You seek any declaration that a patent licensed to You under this Licence is invalid or unenforceable then any rights granted to You under this Licence shall terminate as of the date such process is initiated.</li>\n		  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 7</var> General\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 7.1</var> If any provisions of this Licence are or subsequently become invalid or unenforceable for any reason, the remaining provisions shall remain effective.</li>\n			\n<li><var class=\"replaceable-license-text\"> 7.2</var> You shall not use any of the name (including acronyms and abbreviations), image, or logo by which the Licensor or CERN is known, except where needed to comply with section 3, or where the use is otherwise allowed by law. Any such permitted use shall be factual and shall not be made so as to suggest any kind of endorsement or implication of involvement by the Licensor or its personnel.</li>\n			\n<li><var class=\"replaceable-license-text\"> 7.3</var> CERN may publish updated versions and variants of this Licence which it considers to be in the spirit of this version, but may differ in detail to address new problems or concerns. New versions will be published with a unique version number and a variant identifier specifying the variant. If the Licensor has specified that a given variant applies to the Covered Source without specifying a version, You may treat that Covered Source as being released under any version of the CERN-OHL with that variant. If no variant is specified, the Covered Source shall be treated as being released under CERN-OHL-S. The Licensor may also specify that the Covered Source is subject to a specific version of the CERN-OHL or any later version in which case You may apply this or any later version of CERN-OHL with the same variant identifier published by CERN.</li>\n			\n<li><var class=\"replaceable-license-text\"> 7.4</var> This Licence shall not be enforceable except by a Licensor acting as such, and third party beneficiary rights are specifically excluded.</li>\n		  \n</ul>\n		</li>\n	  \n</ul>\n	"
		self.python_name = "CERNOHLP20"

	def __str__(self):
		return json.dumps(self.__dict__)


class Borceux:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1993 Francis Borceux\nYou may freely use, modify, and/or distribute each of the files in this package without limitation.  The package consists of the following files:\n\nREADME\ncompatibility/OldDiagram\ncompatibility/OldMaxiDiagram\ncompatibility/OldMicroDiagram\ncompatibility/OldMiniDiagram\ncompatibility/OldMultipleArrows\ndiagram/Diagram\ndiagram/MaxiDiagram\ndiagram/MicroDiagram\ndiagram/MiniDiagram\ndiagram/MultipleArrows\nuser-guides/Diagram_Mode_d_Emploi\nuser-guides/Diagram_Read_Me\n\nOf course no support is guaranteed, but the author will attempt to assist with problems.  Current email address:\nfrancis dot borceux at uclouvain dot be.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1993 Francis Borceux  \";match=\".{0,5000}\">>\n\nYou may freely use, modify, and/or distribute each of the files in this package without limitation. The package consists of the following files:\n\nREADME\n\ncompatibility/OldDiagram\n\ncompatibility/OldMaxiDiagram\n\ncompatibility/OldMicroDiagram\n\ncompatibility/OldMiniDiagram\n\ncompatibility/OldMultipleArrows\n\ndiagram/Diagram\n\ndiagram/MaxiDiagram\n\ndiagram/MicroDiagram\n\ndiagram/MiniDiagram\n\ndiagram/MultipleArrows\n\nuser-guides/Diagram_Mode_d_Emploi\n\nuser-guides/Diagram_Read_Me\n\nOf course no support is guaranteed, but the author will attempt to assist with problems. Current email address:\n\nfrancis dot borceux at uclouvain dot be.\n\n"
		self.name = "Borceux license"
		self.licenseId = "Borceux"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Borceux", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:13Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Borceux"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1993 Francis Borceux</p>\n\n	  </div>\n\n	  <p>You may freely use, modify, and/or distribute each of the files in this package without limitation. The\n		 package consists of the following files:\n		<br />\n\nREADME\n		<br />\n\ncompatibility/OldDiagram\n		<br />\n\ncompatibility/OldMaxiDiagram\n		<br />\n\ncompatibility/OldMicroDiagram\n		<br />\n\ncompatibility/OldMiniDiagram\n		<br />\n\ncompatibility/OldMultipleArrows\n		<br />\n\ndiagram/Diagram\n		<br />\n\ndiagram/MaxiDiagram\n		<br />\n\ndiagram/MicroDiagram\n		<br />\n\ndiagram/MiniDiagram\n		<br />\n\ndiagram/MultipleArrows\n		<br />\n\nuser-guides/Diagram_Mode_d_Emploi\n		<br />\n\nuser-guides/Diagram_Read_Me\n	  </p>\n\n	  <p>Of course no support is guaranteed, but the author will attempt to assist with problems. Current email address:\n		<br />\n\nfrancis dot borceux at uclouvain dot be.\n	  </p>\n\n	"
		self.python_name = "Borceux"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL13only:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU Free Documentation License\nVersion 1.3, 3 November 2008\n\nCopyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\nThe \"publisher\" means any person or entity that distributes copies of the Document to the public.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\nThe Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice. H. Include an unaltered copy of this License.\n	 I. Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n	 O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.\n\n11. RELICENSING\n\n\"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A \"Massive Multiauthor Collaboration\" (or \"MMC\") contained in the site means any set of copyrightable works thus published on the MMC site.\n\n\"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.\n\n\"Incorporate\" means to publish or republish a Document, in whole or in part, as part of another Document.\n\nAn MMC is \"eligible for relicensing\" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.\n\nThe operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\n with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3; with <<var;name=\"invariantSections\";original=\"the Invariant Sections being LIST THEIR TITLES\";match=\"the Invariant Sections	   being .+|no Invariant Sections\">> , with <<var;name=\"frontCoverTexts\";original=\"the Front-Cover Texts being LIST\";match=\"the Front-Cover Texts being .+|no Front-Cover Texts\">> , and with <<var;name=\"backCoverTexts\";original=\"the Back-Cover Texts being LIST\";match=\"the Back-Cover Texts being .+|no Back-Cover Texts\">> . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.3, 3 November 2008\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <http://fsf.org/>  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   The \"publisher\" means any person or entity that distributes copies of the Document to the public.\n\n   A section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\n   The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice. H. Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n\n	  <<var;name=\"bullet\";original=\"O.\";match=\".{0,20}\">> Preserve any Warranty Disclaimers.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\n   If a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> RELICENSING\n\n   \"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A \"Massive Multiauthor Collaboration\" (or \"MMC\") contained in the site means any set of copyrightable works thus published on the MMC site.\n\n   \"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.\n\n   \"Incorporate\" means to publish or republish a Document, in whole or in part, as part of another Document.\n\n   An MMC is \"eligible for relicensing\" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.\n\n   The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.3 only"
		self.licenseComments = "This license was released 3 November 2008. The identifier GFDL-1.3-only can be used to indicate that this license applies, without asserting whether or not any Invariant Sections, Front-Cover Texts or Back-Cover Texts are present. See GFDL-1.3-only-invariants and GFDL-1.3-only-no-invariants for alternative identifiers that can be used to express explicitly that these sections or cover texts are present or are not present, respectively."
		self.licenseId = "GFDL-1.3-only"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3; with the Invariant Sections being LIST THEIR TITLES , with the Front-Cover Texts being LIST , and with the Back-Cover Texts being LIST . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/fdl-1.3.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:34Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/fdl-1.3.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.3, 3 November 2008\n	  </p>\n\n	</div>\n	<div class=\"replaceable-license-text\"> \n	  <p>\n		Copyright (C) 2000, 2001, 2002, 2007, 2008 Free\n		Software Foundation, Inc. &lt;http://fsf.org/&gt;\n	  </p>\n\n	</div>\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook, or\n		  other functional and useful document &quot;free&quot; in the sense of\n		  freedom: to assure everyone the effective freedom to copy and\n		  redistribute it, with or without modifying it, either commercially\n		  or noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work, in any medium,\n		  that contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. Such a\n		  notice grants a world-wide, royalty-free license, unlimited in\n		  duration, to use that work under the conditions stated herein.\n		  The &quot;Document&quot;, below, refers to any such manual or work.\n		  Any member of the public is a licensee, and is addressed as\n		  &quot;you&quot;. You accept the license if you copy, modify or distribute\n		  the work in a way requiring permission under copyright law.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter\n		  section of the Document that deals exclusively with the\n		  relationship of the publishers or authors of the Document to the\n		  Document&apos;s overall subject (or to related matters) and contains\n		  nothing that could fall directly within that overall subject.\n		  (Thus, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections,\n		  in the notice that says that the Document is released under\n		  this License. If a section does not fit the above definition of\n		  Secondary then it is not allowed to be designated as Invariant.\n		  The Document may contain zero Invariant Sections. If the Document\n		  does not identify any Invariant Sections then there are none.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are listed,\n		  as Front-Cover Texts or Back-Cover Texts, in the notice that says that\n		  the Document is released under this License. A Front-Cover Text may\n		  be at most 5 words, and a Back-Cover Text may be at most 25 words.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable\n		  copy, represented in a format whose specification is available\n		  to the general public, that is suitable for revising the document\n		  straightforwardly with generic text editors or (for images composed of\n		  pixels) generic paint programs or (for drawings) some widely available\n		  drawing editor, and that is suitable for input to text formatters or\n		  for automatic translation to a variety of formats suitable for input\n		  to text formatters. A copy made in an otherwise Transparent file\n		  format whose markup, or absence of markup, has been arranged to thwart\n		  or discourage subsequent modification by readers is not Transparent.\n		  An image format is not Transparent if used for any substantial\n		  amount of text. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include plain\n		  ASCII without markup, Texinfo input format, LaTeX input format,\n		  SGML or XML using a publicly available DTD, and standard-conforming\n		  simple HTML, PostScript or PDF designed for human modification.\n		  Examples of transparent image formats include PNG, XCF and JPG.\n		  Opaque formats include proprietary formats that can be read\n		  and edited only by proprietary word processors, SGML or XML\n		  for which the DTD and/or processing tools are not generally\n		  available, and the machine-generated HTML, PostScript or PDF\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n		<p>\n		  The &quot;publisher&quot; means any person or entity that\n		  distributes copies of the Document to the public.\n		</p>\n\n		<p>\n		  A section &quot;Entitled XYZ&quot; means a named subunit of the Document whose\n		  title either is precisely XYZ or contains XYZ in parentheses following\n		  text that translates XYZ in another language. (Here XYZ stands for\n		  a specific section name mentioned below, such as &quot;Acknowledgements&quot;,\n		  &quot;Dedications&quot;, &quot;Endorsements&quot;, or &quot;History&quot;.) To &quot;Preserve the\n		  Title&quot; of such a section when you modify the Document means that\n		  it remains a section &quot;Entitled XYZ&quot; according to this definition.\n		</p>\n\n		<p>\n		  The Document may include Warranty Disclaimers next to the notice\n		  which states that this License applies to the Document. These\n		  Warranty Disclaimers are considered to be included by reference\n		  in this License, but only as regards disclaiming warranties:\n		  any other implication that these Warranty Disclaimers may\n		  have is void and has no effect on the meaning of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies (or copies in media that commonly\n		  have printed covers) of the Document, numbering more than 100,\n		  and the Document&apos;s license notice requires Cover Texts, you must\n		  enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a computer-network location from which the general\n		  network-using public has access to download using public-standard\n		  network protocols a complete Transparent copy of the Document,\n		  free of added material. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or\n			entities responsible for authorship of the modifications in the\n			Modified Version, together with at least five of the principal\n			authors of the Document (all of its principal authors, if it has\n			fewer than five), unless they release you from this requirement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant\n			Sections and required Cover Texts given in the Document&apos;s\n			license notice. H. Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section Entitled &quot;History&quot;, Preserve its Title, and\n			add to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section Entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			For any section Entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			Preserve the Title of the section, and preserve in the\n			section all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section Entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section to be Entitled &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> O.</var>\n			Preserve any Warranty Disclaimers.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section Entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released under\n		  this License, under the terms defined in section 4 above for modified\n		  versions, provided that you include in the combination all of the\n		  Invariant Sections of all of the original documents, unmodified,\n		  and list them all as Invariant Sections of your combined work in its\n		  license notice, and that you preserve all their Warranty Disclaimers.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections Entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  Entitled &quot;History&quot;; likewise combine any sections Entitled\n		  &quot;Acknowledgements&quot;, and any sections Entitled &quot;Dedications&quot;.\n		  You must delete all sections Entitled &quot;Endorsements&quot;.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other\n		  separate and independent documents or works, in or on a volume\n		  of a storage or distribution medium, is called an &quot;aggregate&quot;\n		  if the copyright resulting from the compilation is not used to\n		  limit the legal rights of the compilation&apos;s users beyond what\n		  the individual works permit. When the Document is included in an\n		  aggregate, this License does not apply to the other works in the\n		  aggregate which are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to\n		  these copies of the Document, then if the Document is less\n		  than one half of the entire aggregate, the Document&apos;s Cover\n		  Texts may be placed on covers that bracket the Document\n		  within the aggregate, or the electronic equivalent of covers\n		  if the Document is in electronic form. Otherwise they must\n		  appear on printed covers that bracket the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of section\n		  4. Replacing Invariant Sections with translations requires special\n		  permission from their copyright holders, but you may include\n		  translations of some or all Invariant Sections in addition to the\n		  original versions of these Invariant Sections. You may include a\n		  translation of this License, and all the license notices in the\n		  Document, and any Warranty Disclaimers, provided that you also\n		  include the original English version of this License and the original\n		  versions of those notices and disclaimers. In case of a disagreement\n		  between the translation and the original version of this License\n		  or a notice or disclaimer, the original version will prevail.\n		</p>\n\n		<p>\n		  If a section in the Document is Entitled\n		  &quot;Acknowledgements&quot;, &quot;Dedications&quot;, or &quot;History&quot;, the\n		  requirement (section 4) to Preserve its Title (section\n		  1) will typically require changing the actual title.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided under this License. Any attempt\n		  otherwise to copy, modify, sublicense, or distribute it is void,\n		  and will automatically terminate your rights under this License.\n		</p>\n\n		<p>\n		  However, if you cease all violation of this License, then your\n		  license from a particular copyright holder is reinstated (a)\n		  provisionally, unless and until the copyright holder explicitly\n		  and finally terminates your license, and (b) permanently, if\n		  the copyright holder fails to notify you of the violation by\n		  some reasonable means prior to 60 days after the cessation.\n		</p>\n\n		<p>\n		  Moreover, your license from a particular copyright holder is\n		  reinstated permanently if the copyright holder notifies you\n		  of the violation by some reasonable means, this is the first\n		  time you have received notice of violation of this License\n		  (for any work) from that copyright holder, and you cure the\n		  violation prior to 30 days after your receipt of the notice.\n		</p>\n\n		<p>\n		  Termination of your rights under this section does not terminate\n		  the licenses of parties who have received copies or rights from\n		  you under this License. If your rights have been terminated and\n		  not permanently reinstated, receipt of a copy of some or all\n		  of the same material does not give you any rights to use it.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option of\n		  following the terms and conditions either of that specified version or\n		  of any later version that has been published (not as a draft) by the\n		  Free Software Foundation. If the Document does not specify a version\n		  number of this License, you may choose any version ever published (not\n		  as a draft) by the Free Software Foundation. If the Document specifies\n		  that a proxy can decide which future versions of this License can\n		  be used, that proxy&apos;s public statement of acceptance of a version\n		  permanently authorizes you to choose that version for the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		RELICENSING\n		<p>\n		  &quot;Massive Multiauthor Collaboration Site&quot; (or &quot;MMC Site&quot;) means any\n		  World Wide Web server that publishes copyrightable works and also\n		  provides prominent facilities for anybody to edit those works. A\n		  public wiki that anybody can edit is an example of such a server. A\n		  &quot;Massive Multiauthor Collaboration&quot; (or &quot;MMC&quot;) contained in the site\n		  means any set of copyrightable works thus published on the MMC site.\n		</p>\n\n		<p>\n		  &quot;CC-BY-SA&quot; means the Creative Commons Attribution-Share Alike\n		  3.0 license published by Creative Commons Corporation, a\n		  not-for-profit corporation with a principal place of business\n		  in San Francisco, California, as well as future copyleft\n		  versions of that license published by that same organization.\n		</p>\n\n		<p>\n		  &quot;Incorporate&quot; means to publish or republish a Document,\n		  in whole or in part, as part of another Document.\n		</p>\n\n		<p>\n		  An MMC is &quot;eligible for relicensing&quot; if it is licensed under this\n		  License, and if all works that were first published under this License\n		  somewhere other than this MMC, and subsequently incorporated in\n		  whole or in part into the MMC, (1) had no cover texts or invariant\n		  sections, and (2) were thus incorporated prior to November 1, 2008.\n		</p>\n\n		<p>\n		  The operator of an MMC Site may republish an MMC contained in\n		  the site under CC-BY-SA on the same site at any time before\n		  August 1, 2009, provided the MMC is eligible for relicensing.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the GNU\n		Free Documentation License, Version 1.3 or any later version published\n		by the Free Software Foundation; with no Invariant Sections, no\n		Front-Cover Texts, and no Back-Cover Texts. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections, Front-Cover Texts and\n		Back-Cover Texts, replace the &quot;with...Texts.&quot; line with this:\n	  </p>\n\n	  <p>\n		with the Invariant Sections being LIST THEIR TITLES, with the\n		Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections without Cover Texts,\n		or some other combination of the three, merge\n		those two alternatives to suit the situation.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>\n	  Permission is granted to copy, distribute and/or modify this\n	  document under the terms of the GNU Free Documentation License,\n	  Version 1.3; with <var class=\"replaceable-license-text\"> the Invariant Sections being LIST THEIR\n	  TITLES</var>, with <var class=\"replaceable-license-text\"> the Front-Cover Texts being LIST</var>, and with <var class=\"replaceable-license-text\"> the\n	  Back-Cover Texts being LIST</var>. A copy of the license is included\n	  in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL13only"

	def __str__(self):
		return json.dumps(self.__dict__)


class MSRL:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Microsoft Reciprocal License (Ms-RL)\n\nThis license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.\n\n1.  Definitions\nThe terms \"reproduce,\" \"reproduction,\" \"derivative works,\" and \"distribution\" have the same meaning here as under U.S. copyright law.\n\nA \"contribution\" is the original software, or any additions or changes to the software.\n\nA \"contributor\" is any person that distributes its contribution under this license.\n\n\"Licensed patents\" are a contributor's patent claims that read directly on its contribution.\n\n2.  Grant of Rights\n	 (A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.\n\n	 (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.\n\n3.  Conditions and Limitations\n	 (A) Reciprocal Grants- For any file you distribute that contains code from the software (in source code or binary format), you must provide recipients the source code to that file along with a copy of this license, which license will govern that file. You may license other files that are entirely your own work and do not contain code from the software under any terms you choose.\n\n	 (B) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.\n\n	 (C) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.\n\n	 (D) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.\n\n	 (E) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.\n\n	 (F) The software is licensed \"as-is.\" You bear the risk of using it. The contributors give no express warranties, guarantees, or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Microsoft Reciprocal License (Ms-RL)\n\n<<endOptional>>\n\nThis license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n   The terms \"reproduce,\" \"reproduction,\" \"derivative works,\" and \"distribution\" have the same meaning here as under U.S. copyright law.\n\n   A \"contribution\" is the original software, or any additions or changes to the software.\n\n   A \"contributor\" is any person that distributes its contribution under this license.\n\n   \"Licensed patents\" are a contributor's patent claims that read directly on its contribution.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Grant of Rights\n\n	  <<var;name=\"bullet\";original=\"(A)\";match=\".{0,20}\">> Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.\n\n	  <<var;name=\"bullet\";original=\"(B)\";match=\".{0,20}\">> Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Conditions and Limitations\n\n	  <<var;name=\"bullet\";original=\"(A)\";match=\".{0,20}\">> Reciprocal Grants- For any file you distribute that contains code from the software (in source code or binary format), you must provide recipients the source code to that file along with a copy of this license, which license will govern that file. You may license other files that are entirely your own work and do not contain code from the software under any terms you choose.\n\n	  <<var;name=\"bullet\";original=\"(B)\";match=\".{0,20}\">> No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.\n\n	  <<var;name=\"bullet\";original=\"(C)\";match=\".{0,20}\">> If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.\n\n	  <<var;name=\"bullet\";original=\"(D)\";match=\".{0,20}\">> If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.\n\n	  <<var;name=\"bullet\";original=\"(E)\";match=\".{0,20}\">> If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.\n\n	  <<var;name=\"bullet\";original=\"(F)\";match=\".{0,20}\">> The software is licensed \"as-is.\" You bear the risk of using it. The contributors give no express warranties, guarantees, or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement."
		self.name = "Microsoft Reciprocal License"
		self.licenseId = "MS-RL"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/MS-RL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:05Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "http://www.microsoft.com/opensource/licenses.mspx", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:13:05Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.microsoft.com/opensource/licenses.mspx", "https://opensource.org/licenses/MS-RL"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Microsoft Reciprocal License (Ms-RL)</p>\n\n	  </div>\n\n	  <p>This license governs use of the accompanying software. If you use the software, you accept this license.\n		 If you do not accept the license, do not use the software.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n			<br />\n\n   The terms &quot;reproduce,&quot; &quot;reproduction,&quot; &quot;derivative works,&quot;\n				 and &quot;distribution&quot; have the same meaning here as under U.S. copyright law.\n\n		  <p>A &quot;contribution&quot; is the original software, or any additions or changes to the software.</p>\n\n			<p>A &quot;contributor&quot; is any person that distributes its contribution under this license.</p>\n\n			<p>&quot;Licensed patents&quot; are a contributor&apos;s patent claims that read directly on its\n			 contribution.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Grant of Rights\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (A)</var>\n			  Copyright Grant- Subject to the terms of this license, including the license conditions and\n				 limitations in section 3, each contributor grants you a non-exclusive, worldwide,\n				 royalty-free copyright license to reproduce its contribution, prepare derivative works of\n				 its contribution, and distribute its contribution or any derivative works that you\n				 create.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (B)</var>\n			  Patent Grant- Subject to the terms of this license, including the license conditions and\n				 limitations in section 3, each contributor grants you a non-exclusive, worldwide,\n				 royalty-free license under its licensed patents to make, have made, use, sell, offer for\n				 sale, import, and/or otherwise dispose of its contribution in the software or derivative\n				 works of the contribution in the software.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Conditions and Limitations\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (A)</var>\n			  Reciprocal Grants- For any file you distribute that contains code from the software (in\n				 source code or binary format), you must provide recipients the source code to that file\n				 along with a copy of this license, which license will govern that file. You may license\n				 other files that are entirely your own work and do not contain code from the software\n				 under any terms you choose.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (B)</var>\n			  No Trademark License- This license does not grant you rights to use any contributors&apos;\n				 name, logo, or trademarks.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (C)</var>\n			  If you bring a patent claim against any contributor over patents that you claim are infringed\n				 by the software, your patent license from such contributor to the software ends\n				 automatically.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (D)</var>\n			  If you distribute any portion of the software, you must retain all copyright, patent,\n				 trademark, and attribution notices that are present in the software.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (E)</var>\n			  If you distribute any portion of the software in source code form, you may do so only under\n				 this license by including a complete copy of this license with your distribution. If you\n				 distribute any portion of the software in compiled or object code form, you may only do so\n				 under a license that complies with this license.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (F)</var>\n			  The software is licensed &quot;as-is.&quot; You bear the risk of using it. The contributors\n				 give no express warranties, guarantees, or conditions. You may have additional consumer\n				 rights under your local laws which this license cannot change. To the extent permitted\n				 under your local laws, the contributors exclude the implied warranties of merchantability,\n				 fitness for a particular purpose and non-infringement.\n			</li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	"
		self.python_name = "MSRL"

	def __str__(self):
		return json.dumps(self.__dict__)


class OPL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "OPEN PUBLIC LICENSE\nVersion 1.0\n\n1. Definitions.\n\n	 1.1. \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	 1.2. \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	 1.3. \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	 1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	 1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n	 1.6. \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	 1.7. \"Larger Work\" means a work, which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.8. \"License\" means this document and the corresponding addendum described in section 6.4 below.\n\n	 1.9. \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		  A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		  B. Any new file that contains any part of the Original Code or previous Modifications.\n\n	 1.10. \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	 1.11. \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or a list of source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	 1.12. \"You\" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You'' includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control'' means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n	 1.13 \"License Author\" means Lutris Technologies, Inc.\n\n2. Source Code License.\n\n	 2.1. The Initial Developer Grant. The Initial Developer hereby grants You a worldwide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		  (a) under intellectual property rights (other than patent or trademark) to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and\n\n		  (b) under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell (``offer to sell and import'') the Original Code (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Original Code (or portions thereof) and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n	 2.2. Contributor Grant. Each Contributor hereby grants You a worldwide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		  (a) under intellectual property rights (other than patent or trademark) to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code or as part of a Larger Work; and\n\n		  (b) under patents now or hereafter owned or controlled by Contributor, to to make, have made, use and sell (``offer to sell and import'') the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Contributor Version (or portions thereof), and not to any greater extent that may be necessary to Utilize further Modifications or combinations\n\n3. Distribution Obligations.\n\n	 3.1. Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	 3.2. Availability of Source Code. Any Modification which You create or to which You contribute must be made available, prior to any use, except for internal development and practice, in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You shall notify the Initial Developer of the Modification and the location of the Source Code via the contact means provided for in the Developer Specific license. Initial Developer will be acting as maintainer of the Source Code and may provide an Electronic Distribution mechanism for the Modification to be made available.\n\n	 3.3. Description of Modifications. You must cause all Covered Code to which you contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	 3.4. Intellectual Property Matters\n\n		  (a) Third Party Claims. If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		  (b) Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	 3.5. Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Covered Code. If You created one or more Modification(s), You may add your name as a Contributor to the notice described in Exhibit A. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	 3.6. Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer. If you distribute executable versions containing Covered Code, you must reproduce the notice in Exhibit B in the documentation and/or other materials provided with the product.\n\n	 3.7. Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) Cite all of the statutes or regulations that prohibit you from complying fully with this license. (c) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A, and to related Covered Code.\n\n6. Versions of the License.\n\n	 6.1. New Versions. License Author may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number and shall be submitted to opensource.org for certification.\n\n	 6.2. Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Initial Developer. No one other than Initial Developer has the right to modify the terms applicable to Covered Code created under this License.\n\n	 6.3. Derivative Works. If you create or use a modified version of this License, except in association with the required Developer Specific License described in section 6.4, (which you may only do in order to apply it to code which is not already Covered Code governed by this License), you must (a) rename Your license so that the phrases ``Open'', ``OpenPL'', ``OPL'' or any confusingly similar phrase do not appear anywhere in your license and (b) otherwise make it clear that your version of the license contains terms which differ from the Open Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n	 6.4. Required Additional Developer Specific License\nThis license is a union of the following two parts that should be found as text files in the same place (directory), in the order of preeminence:\n\n		  [1] A Developer specific license.\n\n		  [2] The contents of this file OPL_1_0.TXT, stating the general licensing policy of the software.\n\nIn case of conflicting dispositions in the parts of this license, the terms of the lower-numbered part will always be superseded by the terms of the higher numbered part.\n\n7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. TERMINATION.\n\n	 8.1 Termination upon Breach\nThis License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code, which are properly granted, shall survive any termination of this License. Provisions that, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	 8.2. Termination Upon Litigation. If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		  (a) such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		  (b) any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	 8.3. If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	 8.4. In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a ``commercial item,'' as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of ``commercial computer software'' and ``commercial computer software documentation,'' as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n11. MISCELLANEOUS.\n\n his section was intentionally left blank. The contents of this section are found in the corresponding addendum described above.\n\n12. RESPONSIBILITY FOR CLAIMS.\n\nExcept in cases where another Contributor has failed to comply with Section 3.4, You are responsible for damages arising, directly or indirectly, out of Your utilization of rights under this License, based on the number of copies of Covered Code you made available, the revenues you received from utilizing such rights, and other relevant factors. You agree to work with affected parties to distribute with Initial Developer responsibility on an equitable basis.\n\nEXHIBIT A.\n\nText for this Exhibit A is found in the corresponding addendum, described in section 6.4 above, text file provided by the Initial Developer. This license is not valid or complete with out that file.\n\nEXHIBIT B.\n\nText for this Exhibit B is found in the corresponding addendum, described in section 6.4 above, text file provided by the Initial Developer. This license is not valid or complete with out that file.\n"
		self.standardLicenseTemplate = "<<beginOptional>>OPEN PUBLIC LICENSE\n\nVersion 1.0\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Executable\" means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"Larger Work\" means a work, which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"License\" means this document and the corresponding addendum described in section 6.4 below.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or a list of source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"You\" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You'' includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control'' means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n	  <<var;name=\"bullet\";original=\"1.13\";match=\".{0,20}\">> \"License Author\" means Lutris Technologies, Inc.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Initial Developer Grant. The Initial Developer hereby grants You a worldwide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell (``offer to sell and import'') the Original Code (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Original Code (or portions thereof) and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant. Each Contributor hereby grants You a worldwide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under patents now or hereafter owned or controlled by Contributor, to to make, have made, use and sell (``offer to sell and import'') the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Contributor Version (or portions thereof), and not to any greater extent that may be necessary to Utilize further Modifications or combinations\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code. Any Modification which You create or to which You contribute must be made available, prior to any use, except for internal development and practice, in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You shall notify the Initial Developer of the Modification and the location of the Source Code via the contact means provided for in the Developer Specific license. Initial Developer will be acting as maintainer of the Source Code and may provide an Electronic Distribution mechanism for the Modification to be made available.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications. You must cause all Covered Code to which you contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims. If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Covered Code. If You created one or more Modification(s), You may add your name as a Contributor to the notice described in Exhibit A. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer. If you distribute executable versions containing Covered Code, you must reproduce the notice in Exhibit B in the documentation and/or other materials provided with the product.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) Cite all of the statutes or regulations that prohibit you from complying fully with this license. (c) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Application of this License.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A, and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> New Versions. License Author may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number and shall be submitted to opensource.org for certification.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Initial Developer. No one other than Initial Developer has the right to modify the terms applicable to Covered Code created under this License.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> Derivative Works. If you create or use a modified version of this License, except in association with the required Developer Specific License described in section 6.4, (which you may only do in order to apply it to code which is not already Covered Code governed by this License), you must (a) rename Your license so that the phrases ``Open'', ``OpenPL'', ``OPL'' or any confusingly similar phrase do not appear anywhere in your license and (b) otherwise make it clear that your version of the license contains terms which differ from the Open Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n	  <<var;name=\"bullet\";original=\"6.4.\";match=\".{0,20}\">> Required Additional Developer Specific License\n\n	  This license is a union of the following two parts that should be found as text files in the same place (directory), in the order of preeminence:\n\n		 <<var;name=\"bullet\";original=\"[1]\";match=\".{0,20}\">> A Developer specific license.\n\n		 <<var;name=\"bullet\";original=\"[2]\";match=\".{0,20}\">> The contents of this file OPL_1_0.TXT, stating the general licensing policy of the software.\n\n	  In case of conflicting dispositions in the parts of this license, the terms of the lower-numbered part will always be superseded by the terms of the higher numbered part.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TERMINATION.\n\n	  <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> Termination upon Breach\n\n	  This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code, which are properly granted, shall survive any termination of this License. Provisions that, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	  <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">> Termination Upon Litigation. If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	  <<var;name=\"bullet\";original=\"8.3.\";match=\".{0,20}\">> If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"8.4.\";match=\".{0,20}\">> In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS.\n\n   The Covered Code is a ``commercial item,'' as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of ``commercial computer software'' and ``commercial computer software documentation,'' as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> MISCELLANEOUS.\n\n   his section was intentionally left blank. The contents of this section are found in the corresponding addendum described above.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS.\n\nExcept in cases where another Contributor has failed to comply with Section 3.4, You are responsible for damages arising, directly or indirectly, out of Your utilization of rights under this License, based on the number of copies of Covered Code you made available, the revenues you received from utilizing such rights, and other relevant factors. You agree to work with affected parties to distribute with Initial Developer responsibility on an equitable basis.\n\n<<beginOptional>>EXHIBIT A.\n\nText for this Exhibit A is found in the corresponding addendum, described in section 6.4 above, text file provided by the Initial Developer. This license is not valid or complete with out that file.\n\nEXHIBIT B.\n\nText for this Exhibit B is found in the corresponding addendum, described in section 6.4 above, text file provided by the Initial Developer. This license is not valid or complete with out that file.\n\n<<endOptional>>"
		self.name = "Open Public License v1.0"
		self.licenseId = "OPL-1.0"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Open_Public_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:28Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "http://old.koalateam.com/jackaroo/OPL_1_0.TXT", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:28Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://old.koalateam.com/jackaroo/OPL_1_0.TXT", "https://fedoraproject.org/wiki/Licensing/Open_Public_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>OPEN PUBLIC LICENSE\n		<br />\n\nVersion 1.0\n	  </p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			&quot;Contributor&quot; means each entity that creates or contributes to the creation of\n			   Modifications.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			&quot;Contributor Version&quot; means the combination of the Original Code, prior\n			   Modifications used by a Contributor, and the Modifications made by that particular\n			   Contributor.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			&quot;Covered Code&quot; means the Original Code or Modifications or the combination of the\n			   Original Code and Modifications, in each case including portions thereof.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			&quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the\n			   software development community for the electronic transfer of data.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			&quot;Executable&quot; means Covered Code in any form other than Source Code.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			&quot;Initial Developer&quot; means the individual or entity identified as the Initial\n			   Developer in the Source Code notice required by Exhibit A.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			&quot;Larger Work&quot; means a work, which combines Covered Code or portions thereof with\n			   code not governed by the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			&quot;License&quot; means this document and the corresponding addendum described in section\n			   6.4 below.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			&quot;Modifications&quot; means any addition to or deletion from the substance or structure\n			   of either the Original Code or any previous Modifications. When Covered Code is released\n			   as a series of files, a Modification is:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n			  Any addition to or deletion from the contents of a file containing Original Code or\n				 previous Modifications.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n			  Any new file that contains any part of the Original Code or previous Modifications.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			&quot;Original Code&quot; means Source Code of computer software code which is described in\n			   the Source Code notice required by Exhibit A as Original Code, and which, at the time of\n			   its release under this License is not already Covered Code governed by this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			&quot;Source Code&quot; means the preferred form of the Covered Code for making modifications\n			   to it, including all modules it contains, plus any associated interface definition files,\n			   scripts used to control compilation and installation of an Executable, or a list of source\n			   code differential comparisons against either the Original Code or another well known,\n			   available Covered Code of the Contributor&apos;s choice. The Source Code can be in a\n			   compressed or archival form, provided the appropriate decompression or de-archiving\n			   software is widely available for no charge.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			&quot;You&quot; means an individual or a legal entity exercising rights under, and complying\n			   with all of the terms of, this License or a future version of this License issued under\n			   Section 6.1. For legal entities, &quot;You&apos;&apos; includes any entity which controls,\n			   is controlled by, or is under common control with You. For purposes of this definition,\n			   &quot;control&apos;&apos; means (a) the power, direct or indirect, to cause the direction\n			   or management of such entity, whether by contract or otherwise, or (b) ownership of fifty\n			   percent (50%) or more of the outstanding shares or beneficial ownership of such\n			   entity.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13</var>\n			&quot;License Author&quot; means Lutris Technologies, Inc.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Source Code License.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			The Initial Developer Grant. The Initial Developer hereby grants You a worldwide,\n			   royalty-free, non-exclusive license, subject to third party intellectual property\n			   claims:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n			  under intellectual property rights (other than patent or trademark) to use, reproduce,\n				 modify, display, perform, sublicense and distribute the Original Code (or portions\n				 thereof) with or without Modifications, or as part of a Larger Work; and\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n			  under patents now or hereafter owned or controlled by Initial Developer, to make, have\n				 made, use and sell (``offer to sell and import&apos;&apos;) the Original Code (or\n				 portions thereof), but solely to the extent that any such patent is reasonably\n				 necessary to enable You to Utilize the Original Code (or portions thereof) and not to\n				 any greater extent that may be necessary to Utilize further Modifications or\n				 combinations.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			Contributor Grant. Each Contributor hereby grants You a worldwide, royalty-free,\n			   non-exclusive license, subject to third party intellectual property claims:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n			  under intellectual property rights (other than patent or trademark) to use, reproduce,\n				 modify, display, perform, sublicense and distribute the Modifications created by such\n				 Contributor (or portions thereof) either on an unmodified basis, with other\n				 Modifications, as Covered Code or as part of a Larger Work; and\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n			  under patents now or hereafter owned or controlled by Contributor, to to make, have made,\n				 use and sell (``offer to sell and import&apos;&apos;) the Contributor Version (or\n				 portions thereof), but solely to the extent that any such patent is reasonably\n				 necessary to enable You to Utilize the Contributor Version (or portions thereof), and\n				 not to any greater extent that may be necessary to Utilize further Modifications or\n				 combinations\n			</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Distribution Obligations.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			Application of License. The Modifications which You create or to which You contribute are\n			   governed by the terms of this License, including without limitation Section 2.2. The\n			   Source Code version of Covered Code may be distributed only under the terms of this\n			   License or a future version of this License released under Section 6.1, and You must\n			   include a copy of this License with every copy of the Source Code You distribute. You may\n			   not offer or impose any terms on any Source Code version that alters or restricts the\n			   applicable version of this License or the recipients&apos; rights hereunder. However, You\n			   may include an additional document offering the additional rights described in Section\n			   3.5.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			Availability of Source Code. Any Modification which You create or to which You contribute\n			   must be made available, prior to any use, except for internal development and practice, in\n			   Source Code form under the terms of this License either on the same media as an Executable\n			   version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an\n			   Executable version available; and if made available via Electronic Distribution Mechanism,\n			   must remain available for at least twelve (12) months after the date it initially became\n			   available, or at least six (6) months after a subsequent version of that particular\n			   Modification has been made available to such recipients. You shall notify the Initial\n			   Developer of the Modification and the location of the Source Code via the contact means\n			   provided for in the Developer Specific license. Initial Developer will be acting as\n			   maintainer of the Source Code and may provide an Electronic Distribution mechanism for the\n			   Modification to be made available.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			Description of Modifications. You must cause all Covered Code to which you contribute to\n			   contain a file documenting the changes You made to create that Covered Code and the date\n			   of any change. You must include a prominent statement that the Modification is derived,\n			   directly or indirectly, from Original Code provided by the Initial Developer and including\n			   the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an\n			   Executable version or related documentation in which You describe the origin or ownership\n			   of the Covered Code.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			Intellectual Property Matters\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n			  Third Party Claims. If You have knowledge that a party claims an intellectual property\n				 right in particular functionality or code (or its utilization under this License), you\n				 must include a text file with the source code distribution titled &quot;LEGAL&quot;\n				 which describes the claim and the party making the claim in sufficient detail that a\n				 recipient will know whom to contact. If you obtain such knowledge after You make Your\n				 Modification available as described in Section 3.2, You shall promptly modify the\n				 LEGAL file in all copies You make available thereafter and shall take other steps\n				 (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to\n				 inform those who received the Covered Code that new knowledge has been obtained.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n			  Representations. Contributor represents that, except as disclosed pursuant to Section\n				 3.4(a) above, Contributor believes that Contributor&apos;s Modifications are\n				 Contributor&apos;s original creation(s) and/or Contributor has sufficient rights to\n				 grant the rights conveyed by this License.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code,\n			   and this License in any documentation for the Source Code, where You describe\n			   recipients&apos; rights relating to Covered Code. If You created one or more\n			   Modification(s), You may add your name as a Contributor to the notice described in Exhibit\n			   A. If it is not possible to put such notice in a particular Source Code file due to its\n			   structure, then you must include such notice in a location (such as a relevant directory\n			   file) where a user would be likely to look for such a notice. You may choose to offer, and\n			   to charge a fee for, warranty, support, indemnity or liability obligations to one or more\n			   recipients of Covered Code. However, You may do so only on Your own behalf, and not on\n			   behalf of the Initial Developer or any Contributor. You must make it absolutely clear that\n			   any such warranty, support, indemnity or liability obligation is offered by You alone, and\n			   You hereby agree to indemnify the Initial Developer and every Contributor for any\n			   liability incurred by the Initial Developer or such Contributor as a result of warranty,\n			   support, indemnity or liability terms You offer.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n			Distribution of Executable Versions. You may distribute Covered Code in Executable form only\n			   if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You\n			   include a notice stating that the Source Code version of the Covered Code is available\n			   under the terms of this License, including a description of how and where You have\n			   fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any\n			   notice in an Executable version, related documentation or collateral in which You describe\n			   recipients&apos; rights relating to the Covered Code. You may distribute the Executable\n			   version of Covered Code under a license of Your choice, which may contain terms different\n			   from this License, provided that You are in compliance with the terms of this License and\n			   that the license for the Executable version does not attempt to limit or alter the\n			   recipient&apos;s rights in the Source Code version from the rights set forth in this\n			   License. If You distribute the Executable version under a different license You must make\n			   it absolutely clear that any terms which differ from this License are offered by You\n			   alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the\n			   Initial Developer and every Contributor for any liability incurred by the Initial\n			   Developer or such Contributor as a result of any such terms You offer. If you distribute\n			   executable versions containing Covered Code, you must reproduce the notice in Exhibit B in\n			   the documentation and/or other materials provided with the product.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7.</var>\n			Larger Works. You may create a Larger Work by combining Covered Code with other code not\n			   governed by the terms of this License and distribute the Larger Work as a single product.\n			   In such a case, You must make sure the requirements of this License are fulfilled for the\n			   Covered Code.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Inability to Comply Due to Statute or Regulation.\n		  <p>If it is impossible for You to comply with any of the terms of this License with respect to some\n			 or all of the Covered Code due to statute or regulation then You must: (a) comply with the\n			 terms of this License to the maximum extent possible; and (b) Cite all of the statutes or\n			 regulations that prohibit you from complying fully with this license. (c) describe the\n			 limitations and the code they affect. Such description must be included in the LEGAL file\n			 described in Section 3.4 and must be included with all distributions of the Source Code.\n			 Except to the extent prohibited by statute or regulation, such description must be\n			 sufficiently detailed for a recipient of ordinary skill to be able to understand it.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Application of this License.\n		  <p>This License applies to code to which the Initial Developer has attached the notice in Exhibit A,\n			 and to related Covered Code.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Versions of the License.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n			New Versions. License Author may publish revised and/or new versions of the License from time\n			   to time. Each version will be given a distinguishing version number and shall be submitted\n			   to opensource.org for certification.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n			Effect of New Versions. Once Covered Code has been published under a particular version of\n			   the License, You may always continue to use it under the terms of that version. You may\n			   also choose to use such Covered Code under the terms of any subsequent version of the\n			   License published by Initial Developer. No one other than Initial Developer has the right\n			   to modify the terms applicable to Covered Code created under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3.</var>\n			Derivative Works. If you create or use a modified version of this License, except in\n			   association with the required Developer Specific License described in section 6.4, (which\n			   you may only do in order to apply it to code which is not already Covered Code governed by\n			   this License), you must (a) rename Your license so that the phrases ``Open&apos;&apos;,\n			   ``OpenPL&apos;&apos;, ``OPL&apos;&apos; or any confusingly similar phrase do not appear\n			   anywhere in your license and (b) otherwise make it clear that your version of the license\n			   contains terms which differ from the Open Public License. (Filling in the name of the\n			   Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall\n			   not of themselves be deemed to be modifications of this License.)\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.4.</var>\n			Required Additional Developer Specific License\n			  <br />\n\n	  This license is a union of the following two parts that should be found as text files\n				   in the same place (directory), in the order of preeminence:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> [1]</var>\n			  A Developer specific license.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> [2]</var>\n			  The contents of this file OPL_1_0.TXT, stating the general licensing policy of the software.\n			</li>\n				  \n</ul>\n				  <p>In case of conflicting dispositions in the parts of this license, the terms of the\n				 lower-numbered part will always be superseded by the terms of the higher numbered\n				 part.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  DISCLAIMER OF WARRANTY.\n		  <p>COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTY OF\n			 ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE\n			 COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING.\n			 THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY\n			 COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER\n			 CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\n			 OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS\n			 AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  TERMINATION.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1</var>\n			Termination upon Breach\n			  <br />\n\n	  This License and the rights granted hereunder will terminate automatically if You fail\n				   to comply with terms herein and fail to cure such breach within 30 days of\n				   becoming aware of the breach. All sublicenses to the Covered Code, which are\n				   properly granted, shall survive any termination of this License. Provisions that,\n				   by their nature, must remain in effect beyond the termination of this License\n				   shall survive.\n\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2.</var>\n			Termination Upon Litigation. If You initiate litigation by asserting a patent infringement\n			   claim (excluding declatory judgment actions) against Initial Developer or a Contributor\n			   (the Initial Developer or Contributor against whom You file such action is referred to as\n			   &quot;Participant&quot;) alleging that:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n			  such Participant&apos;s Contributor Version directly or indirectly infringes any patent,\n				 then any and all rights granted by such Participant to You under Sections 2.1 and/or\n				 2.2 of this License shall, upon 60 days notice from Participant terminate\n				 prospectively, unless if within 60 days after receipt of notice You either: (i) agree\n				 in writing to pay Participant a mutually agreeable reasonable royalty for Your past\n				 and future use of Modifications made by such Participant, or (ii) withdraw Your\n				 litigation claim with respect to the Contributor Version against such Participant. If\n				 within 60 days of notice, a reasonable royalty and payment arrangement are not\n				 mutually agreed upon in writing by the parties or the litigation claim is not\n				 withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2\n				 automatically terminate at the expiration of the 60 day notice period specified\n				 above.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n			  any software, hardware, or device, other than such Participant&apos;s Contributor\n				 Version, directly or indirectly infringes any patent, then any rights granted to You\n				 by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the\n				 date You first made, used, sold, distributed, or had made, Modifications made by that\n				 Participant.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.3.</var>\n			If You assert a patent infringement claim against Participant alleging that such\n			   Participant&apos;s Contributor Version directly or indirectly infringes any patent where\n			   such claim is resolved (such as by license or settlement) prior to the initiation of\n			   patent infringement litigation, then the reasonable value of the licenses granted by such\n			   Participant under Sections 2.1 or 2.2 shall be taken into account in determining the\n			   amount or value of any payment or license.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.4.</var>\n			In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements\n			   (excluding distributors and resellers) which have been validly granted by You or any\n			   distributor hereunder prior to termination shall survive termination.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY.\n		  <p>UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT,\n			 OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF\n			 COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR\n			 ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING,\n			 WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR\n			 MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\n			 BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY\n			 TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE\n			 EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION\n			 OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  U.S. GOVERNMENT END USERS.\n		  <p>The Covered Code is a ``commercial item,&apos;&apos; as that term is defined in 48 C.F.R. 2.101\n			 (Oct. 1995), consisting of ``commercial computer software&apos;&apos; and ``commercial\n			 computer software documentation,&apos;&apos; as such terms are used in 48 C.F.R. 12.212 (Sept.\n			 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June\n			 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth\n			 herein.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  MISCELLANEOUS.\n		  <p>his section was intentionally left blank. The contents of this section are found in the\n			 corresponding addendum described above.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  RESPONSIBILITY FOR CLAIMS.\n		</li>\n	  \n</ul>\n	  <p>Except in cases where another Contributor has failed to comply with Section 3.4, You are responsible for\n		 damages arising, directly or indirectly, out of Your utilization of rights under this License, based\n		 on the number of copies of Covered Code you made available, the revenues you received from utilizing\n		 such rights, and other relevant factors. You agree to work with affected parties to distribute with\n		 Initial Developer responsibility on an equitable basis.</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A.</p>\n\n		 <p>Text for this Exhibit A is found in the corresponding addendum, described in section 6.4 above, text file\n		 provided by the Initial Developer. This license is not valid or complete with out that file.</p>\n\n		 <p>EXHIBIT B.</p>\n\n		 <p>Text for this Exhibit B is found in the corresponding addendum, described in section 6.4 above, text file\n		 provided by the Initial Developer. This license is not valid or complete with out that file.</p>\n\n	  </div>\n	"
		self.python_name = "OPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNC30DE:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Namensnennung - Keine kommerzielle Nutzung 3.0 Deutschland\n\n  CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\nLizenz\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \"SCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \"LIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n1. Definitionen\n\n	 a. Der Begriff \"Abwandlung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n\n	 b. Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	 c. \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Abwandlungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n\n	 d. Der \"Lizenzgeber\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	 e. \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n\n	 f. Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \"Schutzgegenstand\" im Sinne dieser Lizenz.\n\n	 g. Mit \"Sie\" bzw. \"Ihne*\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	 h. Unter \"\u00d6ffentlich Zeigen\" im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	 i. \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n\n2. Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n3. Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 4.e) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (\"unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann\"):\n\n	 a. Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	 b. Abwandlungen des Schutzgegenstandes anzufertigen, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien, sofern deutlich erkennbar gemacht wird, dass es sich um Abwandlungen handelt;\n\n	 c. den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten;\n\n	 d. Abwandlungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich zu zeigen und zu verbreiten.\n\nDas vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n\n4. Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	 a. Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Abwandlung vornehmen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin von der Abwandlung die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen.\n\n	 b. Die Rechteeinr\u00e4umung gem\u00e4\u00df Abschnitt 3 gilt nur f\u00fcr Handlungen, die nicht vorrangig auf einen gesch\u00e4ftlichen Vorteil oder eine geldwerte Verg\u00fctung gerichtet sind (\"nicht-kommerzielle Nutzung\", \"Non-commercial-Option\"). Wird Ihnen in Zusammenhang mit dem Schutzgegenstand dieser Lizenz ein anderer Schutzgegenstand \u00fcberlassen, ohne dass eine vertragliche Verpflichtung hierzu besteht (etwa im Wege von File-Sharing), so wird dies nicht als auf gesch\u00e4ftlichen Vorteil oder geldwerte Verg\u00fctung gerichtet angesehen, wenn in Verbindung mit dem Austausch der Schutzgegenst\u00e4nde tats\u00e4chlich keine Zahlung oder geldwerte Verg\u00fctung geleistet wird.\n\n	 c. Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder auf ihm aufbauender Abwandlungen oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n\n		  i. Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\"Zuschreibungsempf\u00e4nger\"), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		  ii. den Titel des Inhaltes;\n\n		  iii. in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n\n		  iv. und im Falle einer Abwandlung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Abwandlung handelt.\n\n		Die nach diesem Abschnitt 4.c) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Abwandlung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n\n	 d. Die oben unter 4.a) bis c) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	 e. Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		  i. Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n\n		  ii. Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.b) als nicht-kommerziell definierten Zwecke vornehmen, verzichtet f\u00fcr alle \u00fcbrigen, lizenzgerechten F\u00e4lle von Nutzung jedoch auf jegliche Verg\u00fctung.\n\n		  iii. Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re. Der Lizenzgeber beh\u00e4lt sich jedoch das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung (durch ihn selbst oder eine Verwertungsgesellschaft) f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.b) als nicht-kommerziell definierten Zwecke vornehmen.\n\n	 f. Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n5. Gew\u00e4hrleistung\n\nSOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n\n6. Haftungsbeschr\u00e4nkung\n\nDER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n\n7. Erl\u00f6schen\n\n	 a. Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Abwandlungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	 b. Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n8. Sonstige Bestimmungen\n\n	 a. Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	 b. Jedes Mal wenn Sie eine Abwandlung des Schutzgegenstandes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	 c. Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n\n	 d. Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	 e. Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) und b) angeboteten Lizenzen aus.\n\n	 f. Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Namensnennung - Keine kommerzielle Nutzung 3.0 Deutschland\n\n<<endOptional>>\n\nCREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\nLizenz\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \"SCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \"LIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitionen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Der Begriff \"Abwandlung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Abwandlungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Der \"Lizenzgeber\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \"Schutzgegenstand\" im Sinne dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Mit \"Sie\" bzw. \"Ihne*\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Unter \"\u00d6ffentlich Zeigen\" im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 4.e) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (\"unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann\"):\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Abwandlungen des Schutzgegenstandes anzufertigen, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien, sofern deutlich erkennbar gemacht wird, dass es sich um Abwandlungen handelt;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Abwandlungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich zu zeigen und zu verbreiten. Das vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Abwandlung vornehmen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin von der Abwandlung die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Die Rechteeinr\u00e4umung gem\u00e4\u00df Abschnitt 3 gilt nur f\u00fcr Handlungen, die nicht vorrangig auf einen gesch\u00e4ftlichen Vorteil oder eine geldwerte Verg\u00fctung gerichtet sind (\"nicht-kommerzielle Nutzung\", \"Non-commercial-Option\"). Wird Ihnen in Zusammenhang mit dem Schutzgegenstand dieser Lizenz ein anderer Schutzgegenstand \u00fcberlassen, ohne dass eine vertragliche Verpflichtung hierzu besteht (etwa im Wege von File-Sharing), so wird dies nicht als auf gesch\u00e4ftlichen Vorteil oder geldwerte Verg\u00fctung gerichtet angesehen, wenn in Verbindung mit dem Austausch der Schutzgegenst\u00e4nde tats\u00e4chlich keine Zahlung oder geldwerte Verg\u00fctung geleistet wird.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder auf ihm aufbauender Abwandlungen oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\"Zuschreibungsempf\u00e4nger\"), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> den Titel des Inhaltes;\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n\n		 <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> und im Falle einer Abwandlung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Abwandlung handelt. Die nach diesem Abschnitt 4.c) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Abwandlung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Die oben unter 4.a) bis c) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.b) als nicht-kommerziell definierten Zwecke vornehmen, verzichtet f\u00fcr alle \u00fcbrigen, lizenzgerechten F\u00e4lle von Nutzung jedoch auf jegliche Verg\u00fctung.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re. Der Lizenzgeber beh\u00e4lt sich jedoch das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung (durch ihn selbst oder eine Verwertungsgesellschaft) f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.b) als nicht-kommerziell definierten Zwecke vornehmen.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Gew\u00e4hrleistung SOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Haftungsbeschr\u00e4nkung DER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Erl\u00f6schen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Abwandlungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Sonstige Bestimmungen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Jedes Mal wenn Sie eine Abwandlung des Schutzgegenstandes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) und b) angeboteten Lizenzen aus.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial 3.0 Germany"
		self.licenseId = "CC-BY-NC-3.0-DE"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc/3.0/de/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:38Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc/3.0/de/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		  <p>Creative Commons Namensnennung - Keine kommerzielle Nutzung 3.0 Deutschland</p>\n\n	  </div>\n	  <p>CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.</p>\n\n	  <p>Lizenz</p>\n\n	  <p>DER GEGENSTAND DIESER LIZENZ (WIE UNTER &quot;SCHUTZGEGENSTAND&quot; DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (&quot;CCPL&quot;, &quot;LIZENZ&quot; ODER &quot;LIZENZVERTRAG&quot;) ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.</p>\n\n	  <p>DURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			  <var class=\"replaceable-license-text\"> 1.</var> Definitionen\n			  \n<ul style=\"list-style:none\">\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> a.</var> Der Begriff &quot;Abwandlung&quot; im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> b.</var> Der Begriff &quot;Sammelwerk&quot; im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> c.</var> &quot;Verbreiten&quot; im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Abwandlungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> d.</var> Der &quot;Lizenzgeber&quot; im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> e.</var> &quot;Rechteinhaber&quot; im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> f.</var> Der Begriff &quot;Schutzgegenstand&quot; bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff &quot;Schutzgegenstand&quot; im Sinne dieser Lizenz.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> g.</var> Mit &quot;Sie&quot; bzw. &quot;Ihne*&quot; ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> h.</var> Unter &quot;\u00d6ffentlich Zeigen&quot; im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> i.</var> &quot;Vervielf\u00e4ltigen&quot; im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n				  </li>\n			  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var> Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var> Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 4.e) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (&quot;unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann&quot;):\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Abwandlungen des Schutzgegenstandes anzufertigen, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien, sofern deutlich erkennbar gemacht wird, dass es sich um Abwandlungen handelt;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Abwandlungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich zu zeigen und zu verbreiten.\n					  </li>\n				  \n</ul>\n\n				  Das vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var> Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Abwandlung vornehmen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin von der Abwandlung die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Die Rechteeinr\u00e4umung gem\u00e4\u00df Abschnitt 3 gilt nur f\u00fcr Handlungen, die nicht vorrangig auf einen gesch\u00e4ftlichen Vorteil oder eine geldwerte Verg\u00fctung gerichtet sind (&quot;nicht-kommerzielle Nutzung&quot;, &quot;Non-commercial-Option&quot;). Wird Ihnen in Zusammenhang mit dem Schutzgegenstand dieser Lizenz ein anderer Schutzgegenstand \u00fcberlassen, ohne dass eine vertragliche Verpflichtung hierzu besteht (etwa im Wege von File-Sharing), so wird dies nicht als auf gesch\u00e4ftlichen Vorteil oder geldwerte Verg\u00fctung gerichtet angesehen, wenn in Verbindung mit dem Austausch der Schutzgegenst\u00e4nde tats\u00e4chlich keine Zahlung oder geldwerte Verg\u00fctung geleistet wird.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder auf ihm aufbauender Abwandlungen oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (&quot;Zuschreibungsempf\u00e4nger&quot;), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> den Titel des Inhaltes;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iv.</var> und im Falle einer Abwandlung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Abwandlung handelt.\n							  </li>\n						  \n</ul>\n\n						  Die nach diesem Abschnitt 4.c) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Abwandlung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Die oben unter 4.a) bis c) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.b) als nicht-kommerziell definierten Zwecke vornehmen, verzichtet f\u00fcr alle \u00fcbrigen, lizenzgerechten F\u00e4lle von Nutzung jedoch auf jegliche Verg\u00fctung.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re. Der Lizenzgeber beh\u00e4lt sich jedoch das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung (durch ihn selbst oder eine Verwertungsgesellschaft) f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.b) als nicht-kommerziell definierten Zwecke vornehmen.\n							  </li>\n						  \n</ul>\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> f.</var> Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 5.</var> Gew\u00e4hrleistung\nSOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 6.</var> Haftungsbeschr\u00e4nkung\nDER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 7.</var> Erl\u00f6schen\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Abwandlungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 8.</var> Sonstige Bestimmungen\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Jedes Mal wenn Sie eine Abwandlung des Schutzgegenstandes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) und b) angeboteten Lizenzen aus.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> f.</var> Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n					  </li>\n				  \n</ul>\n			  </li>\n		  \n</ul>\n		  <p>Creative Commons Notice</p>\n\n		  <p>Creative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.</p>\n\n		  <p>Creative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke &quot;Creative Commons&quot; zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke &quot;Creative Commons&quot; oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.</p>\n\n		  <p>Creative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.</p>\n\n	  "
		self.python_name = "CCBYNC30DE"

	def __str__(self):
		return json.dumps(self.__dict__)


class EFL20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Eiffel Forum License, version 2\n\n1. Permission is hereby granted to use, copy, modify and/or distribute this package, provided that:\n	 - copyright notices are retained unchanged,\n	 - any distribution of this package, whether modified or not, includes this license text.\n\n2. Permission is hereby also granted to distribute binary programs which depend on this package. If the binary program depends on a modified version of this package, you are encouraged to publicly release the modified version of this package.\n\nTHIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY. ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES ARISING IN ANY WAY OUT OF THE USE OF THIS PACKAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Eiffel Forum License, version 2\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Permission is hereby granted to use, copy, modify and/or distribute this package, provided that:\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> copyright notices are retained unchanged,\n\n	  <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> any distribution of this package, whether modified or not, includes this license text.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Permission is hereby also granted to distribute binary programs which depend on this package. If the binary program depends on a modified version of this package, you are encouraged to publicly release the modified version of this package.\n\nTHIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY. ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES ARISING IN ANY WAY OUT OF THE USE OF THIS PACKAGE.\n\n"
		self.name = "Eiffel Forum License v2.0"
		self.licenseId = "EFL-2.0"
		self.crossRef = [{"match": "False", "url": "http://www.eiffel-nice.org/license/eiffel-forum-license-2.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:33Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/EFL-2.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:33Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["http://www.eiffel-nice.org/license/eiffel-forum-license-2.html", "https://opensource.org/licenses/EFL-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Eiffel Forum License, version 2</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Permission is hereby granted to use, copy, modify and/or distribute this package, provided that:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n			  copyright notices are retained unchanged,\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> -</var>\n			  any distribution of this package, whether modified or not, includes this license text.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Permission is hereby also granted to distribute binary programs which depend on this package. If\n			 the binary program depends on a modified version of this package, you are encouraged to\n			 publicly release the modified version of this package.\n		</li>\n	  \n</ul>\n	  <p>THIS PACKAGE IS PROVIDED &quot;AS IS&quot; AND WITHOUT WARRANTY. ANY EXPRESS OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT,\n		 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES ARISING IN ANY WAY OUT OF THE USE OF THIS\n		 PACKAGE.</p>\n\n	"
		self.python_name = "EFL20"

	def __str__(self):
		return json.dumps(self.__dict__)


class AFL11:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Academic Free License\nVersion 1.1\n\nThe Academic Free License applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\n	 \"Licensed under the Academic Free License version 1.1.\"\n\nGrant of License. Licensor hereby grants to any person obtaining a copy of the Original Work (\"You\") a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license\n\n(1) to use, copy, modify, merge, publish, perform, distribute and/or sell copies of the Original Work and derivative works thereof, and\n\n(2) under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and offer for sale the Original Work and derivative works thereof, subject to the following conditions.\n\n	 Right of Attribution. Redistributions of the Original Work must reproduce all copyright notices in the Original Work as furnished by the Licensor, both in the Original Work itself and in any documentation and/or other materials provided with the distribution of the Original Work in executable form.\n\n	 Exclusions from License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior written permission of the Licensor.\n\nWARRANTY AND DISCLAIMERS. LICENSOR WARRANTS THAT THE COPYRIGHT IN AND TO THE ORIGINAL WORK IS OWNED BY THE LICENSOR OR THAT THE ORIGINAL WORK IS DISTRIBUTED BY LICENSOR UNDER A VALID CURRENT LICENSE FROM THE COPYRIGHT OWNER. EXCEPT AS EXPRESSLY STATED IN THE IMMEDIATELY PRECEEDING SENTENCE, THE ORIGINAL WORK IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE WARRANTY OF NON-INFRINGEMENT AND WARRANTIES THAT THE ORIGINAL WORK IS MERCHANTABLE OR FIT FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO LICENSE TO ORIGINAL WORK IS GRANTED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\nLIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR BE LIABLE TO ANY PERSON FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER ARISING AS A RESULT OF THIS LICENSE OR THE USE OF THE ORIGINAL WORK INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PERSON SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\nLicense to Source Code. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to access and modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\nMutual Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License if You file a lawsuit in any court alleging that any OSI Certified open source software that is licensed under any license containing this \"Mutual Termination for Patent Action\" clause infringes any patent claims that are essential to use that software.\n\nThis license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved.\nPermission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>\"<<endOptional>>Licensed under the Academic Free License version 1.1.<<beginOptional>>\"<<endOptional>>\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Academic Free License\n\nVersion 1.1\n\n<<endOptional>><<beginOptional>> The Academic Free License applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\n<<beginOptional>>\"<<endOptional>>Licensed under the Academic Free License version 1.1.<<beginOptional>>\"<<endOptional>>\n\n<<endOptional>>\n\nGrant of License. Licensor hereby grants to any person obtaining a copy of the Original Work (\"You\") a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license\n\n   <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> to use, copy, modify, merge, publish, perform, distribute and/or sell copies of the Original Work and derivative works thereof, and\n\n   <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and offer for sale the Original Work and derivative works thereof, subject to the following conditions.\n\nRight of Attribution. Redistributions of the Original Work must reproduce all copyright notices in the Original Work as furnished by the Licensor, both in the Original Work itself and in any documentation and/or other materials provided with the distribution of the Original Work in executable form.\n\nExclusions from License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior written permission of the Licensor.\n\nWARRANTY AND DISCLAIMERS. LICENSOR WARRANTS THAT THE COPYRIGHT IN AND TO THE ORIGINAL WORK IS OWNED BY THE LICENSOR OR THAT THE ORIGINAL WORK IS DISTRIBUTED BY LICENSOR UNDER A VALID CURRENT LICENSE FROM THE COPYRIGHT OWNER. EXCEPT AS EXPRESSLY STATED IN THE IMMEDIATELY PRECEEDING SENTENCE, THE ORIGINAL WORK IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE WARRANTY OF NON-INFRINGEMENT AND WARRANTIES THAT THE ORIGINAL WORK IS MERCHANTABLE OR FIT FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO LICENSE TO ORIGINAL WORK IS GRANTED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\nLIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR BE LIABLE TO ANY PERSON FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER ARISING AS A RESULT OF THIS LICENSE OR THE USE OF THE ORIGINAL WORK INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PERSON SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\nLicense to Source Code. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to access and modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\nMutual Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License if You file a lawsuit in any court alleging that any OSI Certified open source software that is licensed under any license containing this \"Mutual Termination for Patent Action\" clause infringes any patent claims that are essential to use that software.\n\nThis license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved.\n\nPermission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n\n"
		self.name = "Academic Free License v1.1"
		self.licenseComments = "This license has been superseded by later versions."
		self.licenseId = "AFL-1.1"
		self.standardLicenseHeader = "\"Licensed under the Academic Free License version 1.1.\"\n\n"
		self.crossRef = [{"match": "N/A", "url": "http://wayback.archive.org/web/20021004124254/http://www.opensource.org/licenses/academic.php", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:17:40Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://opensource.linux-mirror.org/licenses/afl-1.1.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:40Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://opensource.linux-mirror.org/licenses/afl-1.1.txt", "http://wayback.archive.org/web/20021004124254/http://www.opensource.org/licenses/academic.php"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Academic Free License</p>\n\n		 <p>Version 1.1</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>The Academic Free License applies to any original work of authorship (the &quot;Original Work&quot;) whose owner\n		 (the &quot;Licensor&quot;) has placed the following notice immediately following the copyright notice for the\n		 Original Work:</p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>Licensed under the Academic Free License version 1.1.<var class=\"optional-license-text\">&quot;</var></p>\n\n	  </div>\n\n	  <p>Grant of License. Licensor hereby grants to any person obtaining a copy of the Original Work (&quot;You&quot;) a\n		 world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (1)</var>\n		  to use, copy, modify, merge, publish, perform, distribute and/or sell copies of the Original Work\n			 and derivative works thereof, and\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (2)</var>\n		  under patent claims owned or controlled by the Licensor that are embodied in the Original Work as\n			 furnished by the Licensor, to make, use, sell and offer for sale the Original Work and\n			 derivative works thereof, subject to the following conditions.\n		</li>\n	  \n</ul>\n	  <p>Right of Attribution. Redistributions of the Original Work must reproduce all copyright notices in the\n		 Original Work as furnished by the Licensor, both in the Original Work itself and in any documentation\n		 and/or other materials provided with the distribution of the Original Work in executable form.</p>\n\n	  <p>Exclusions from License Grant. Neither the names of Licensor, nor the names of any contributors to the\n		 Original Work, nor any of their trademarks or service marks, may be used to endorse or promote\n		 products derived from this Original Work without express prior written permission of the Licensor.</p>\n\n	  <p>WARRANTY AND DISCLAIMERS. LICENSOR WARRANTS THAT THE COPYRIGHT IN AND TO THE ORIGINAL WORK IS OWNED BY\n		 THE LICENSOR OR THAT THE ORIGINAL WORK IS DISTRIBUTED BY LICENSOR UNDER A VALID CURRENT LICENSE FROM\n		 THE COPYRIGHT OWNER. EXCEPT AS EXPRESSLY STATED IN THE IMMEDIATELY PRECEEDING SENTENCE, THE ORIGINAL\n		 WORK IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTY, EITHER EXPRESS OR IMPLIED,\n		 INCLUDING, WITHOUT LIMITATION, THE WARRANTY OF NON-INFRINGEMENT AND WARRANTIES THAT THE ORIGINAL WORK\n		 IS MERCHANTABLE OR FIT FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL\n		 WORK IS WITH YOU. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO\n		 LICENSE TO ORIGINAL WORK IS GRANTED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.</p>\n\n	  <p>LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\n		 NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR BE LIABLE TO ANY PERSON FOR ANY DIRECT,\n		 INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER ARISING AS A RESULT OF THIS\n		 LICENSE OR THE USE OF THE ORIGINAL WORK INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL,\n		 WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES,\n		 EVEN IF SUCH PERSON SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF\n		 LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S\n		 NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE\n		 EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY\n		 NOT APPLY TO YOU.</p>\n\n	  <p>License to Source Code. The term &quot;Source Code&quot; means the preferred form of the Original Work for making\n		 modifications to it and all available documentation describing how to access and modify the Original\n		 Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original\n		 Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right\n		 to satisfy this obligation by placing a machine-readable copy of the Source Code in an information\n		 repository reasonably calculated to permit inexpensive and convenient access by You for as long as\n		 Licensor continues to distribute the Original Work, and by publishing the address of that information\n		 repository in a notice immediately following the copyright notice that applies to the Original\n		 Work.</p>\n\n	  <p>Mutual Termination for Patent Action. This License shall terminate automatically and You may no longer\n		 exercise any of the rights granted to You by this License if You file a lawsuit in any court alleging\n		 that any OSI Certified open source software that is licensed under any license containing this &quot;Mutual\n		 Termination for Patent Action&quot; clause infringes any patent claims that are essential to use that\n		 software.</p>\n\n	  <p>This license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved.</p>\n\n		<p>Permission is hereby granted to copy and distribute this license without modification. This license\n			 may not be modified without the express written permission of its copyright owner.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n		 <p><var class=\"optional-license-text\">&quot;</var>Licensed under the Academic Free License version 1.1.<var class=\"optional-license-text\">&quot;</var></p>\n\n		 "
		self.python_name = "AFL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCND10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-NoDerivs-NonCommercial 1.0\n\n  CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested.\n\n	 b. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	 c. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied. Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n5. Representations, Warranties and Disclaimer\n\n	 a. By offering the Work for public release under this License, Licensor represents and warrants that, to the best of Licensor's knowledge after reasonable inquiry:\n\n		  i. Licensor has secured all rights in the Work necessary to grant the license rights hereunder and to permit the lawful exercise of the rights granted hereunder without You having any obligation to pay any royalties, compulsory license fees, residuals or any other payments;\n\n		  ii. The Work does not infringe the copyright, trademark, publicity rights, common law rights or any other right of any third party or constitute defamation, invasion of privacy or other tortious injury to any third party.\n\n	 b. EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 c. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 d. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NoDerivs-NonCommercial 1.0\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied. Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> By offering the Work for public release under this License, Licensor represents and warrants that, to the best of Licensor's knowledge after reasonable inquiry:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Licensor has secured all rights in the Work necessary to grant the license rights hereunder and to permit the lawful exercise of the rights granted hereunder without You having any obligation to pay any royalties, compulsory license fees, residuals or any other payments;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> The Work does not infringe the copyright, trademark, publicity rights, common law rights or any other right of any third party or constitute defamation, invasion of privacy or other tortious injury to any third party.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial No Derivatives 1.0 Generic"
		self.licenseId = "CC-BY-NC-ND-1.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nd-nc/1.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:47Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nd-nc/1.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NoDerivs-NonCommercial 1.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS\n		 INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE\n		 INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n			   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n			   other contributions, constituting separate and independent works in themselves, are\n			   assembled into a collective whole. A work that constitutes a Collective Work will not be\n			   considered a Derivative Work (as defined below) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works, such as a translation, musical arrangement, dramatization,\n			   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n			   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n			   except that a work that constitutes a Collective Work will not be considered a Derivative\n			   Work for the purpose of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n			   this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Original Author&quot; means the individual or entity who created the Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works;\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats. All rights not expressly\n			   granted by Licensor are hereby reserved.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n			   Work. You must keep intact all notices that refer to this License and to the disclaimer of\n			   warranties. You may not distribute, publicly display, publicly perform, or publicly\n			   digitally perform the Work with any technological measures that control access or use of\n			   the Work in a manner inconsistent with the terms of this License Agreement. The above\n			   applies to the Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Work itself to be made subject to the terms of this\n			   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n			   extent practicable, remove from the Collective Work any reference to such Licensor or the\n			   Original Author, as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may not exercise any of the rights granted to You in Section 3 above in any manner that\n			   is primarily intended for or directed toward commercial advantage or private monetary\n			   compensation. The exchange of the Work for other copyrighted works by means of digital\n			   file-sharing or otherwise shall not be considered to be intended for or directed toward\n			   commercial advantage or private monetary compensation, provided there is no payment of any\n			   monetary compensation in connection with the exchange of copyrighted works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n			   or any Collective Works, You must keep intact all copyright notices for the Work and give\n			   the Original Author credit reasonable to the medium or means You are utilizing by\n			   conveying the name (or pseudonym if applicable) of the Original Author if supplied; the\n			   title of the Work if supplied. Such credit may be implemented in any reasonable manner;\n			   provided, however, that in the case of a Collective Work, at a minimum such credit will\n			   appear where any other comparable authorship credit appears and in a manner at least as\n			   prominent as such other comparable authorship credit.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			By offering the Work for public release under this License, Licensor represents and warrants\n			   that, to the best of Licensor&apos;s knowledge after reasonable inquiry:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Licensor has secured all rights in the Work necessary to grant the license rights\n				 hereunder and to permit the lawful exercise of the rights granted hereunder without\n				 You having any obligation to pay any royalties, compulsory license fees, residuals or\n				 any other payments;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  The Work does not infringe the copyright, trademark, publicity rights, common law rights\n				 or any other right of any third party or constitute defamation, invasion of privacy or\n				 other tortious injury to any third party.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY\n			   APPLICABLE LAW, THE WORK IS LICENSED ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OF\n			   ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES\n			   REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES\n			 ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5,\n			 IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL,\n			 CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE\n			 WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Collective\n			   Works from You under this License, however, will not have their licenses terminated\n			   provided such individuals or entities remain in full compliance with those licenses.\n			   Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n			   Licensor offers to the recipient a license to the Work on the same terms and conditions as\n			   the license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYNCND10"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP221:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The OpenLDAP Public License\nVersion 2.2.1, 1 March 2000\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain copyright statements and notices. Redistributions must also contain a copy of this document.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. The name \"OpenLDAP\" must not be used to endorse or promote products derived from this Software without prior written permission of the OpenLDAP Foundation.\n\n4. Products derived from this Software may not be called \"OpenLDAP\" nor may \"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP Foundation.\n\n5. Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n6. The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved. Permission to copy and distributed verbatim copies of this document is granted.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 2.2.1, 1 March 2000\n\n<<endOptional>>\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain copyright statements and notices. Redistributions must also contain a copy of this document.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The name \"OpenLDAP\" must not be used to endorse or promote products derived from this Software without prior written permission of the OpenLDAP Foundation.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Products derived from this Software may not be called \"OpenLDAP\" nor may \"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP Foundation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\n<<var;name=\"copyright\";original=\"Copyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.\";match=\".{0,5000}\">> Permission to copy and distributed verbatim copies of this document is granted.\n\n"
		self.name = "Open LDAP Public License v2.2.1"
		self.licenseComments = "This license was released 1 March 2000."
		self.licenseId = "OLDAP-2.2.1"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=4bc786f34b50aa301be6f5600f58a980070f481e", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:17Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=4bc786f34b50aa301be6f5600f58a980070f481e"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 2.2.1, 1 March 2000\n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use of this software and associated documentation (&quot;Software&quot;), with or without\n		 modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain copyright statements and notices. Redistributions must\n			 also contain a copy of this document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  The name &quot;OpenLDAP&quot; must not be used to endorse or promote products derived from this Software\n			 without prior written permission of the OpenLDAP Foundation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Products derived from this Software may not be called &quot;OpenLDAP&quot; nor may &quot;OpenLDAP&quot; appear in\n			 their names without prior written permission of the OpenLDAP Foundation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished\n			 by a version number. You may use the Software under terms of this license revision or under\n			 the terms of any subsequent revision of the license.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESSED OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS\n		 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n		 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n		 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n		 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\n		 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>OpenLDAP is a trademark of the OpenLDAP Foundation.</p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> Copyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.</var>\n		Permission to copy and distributed verbatim copies of this document is granted.\n	  </p>\n\n	"
		self.python_name = "OLDAP221"

	def __str__(self):
		return json.dumps(self.__dict__)


class Cronyx:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This package contains a set of Russian fonts for X11 Release 6.\nCopyright (C) 1994-1995 Cronyx Ltd.\nChanges Copyright (C) 1996 by Sergey Vovk\nChanges Copyright (C) 1999-2000 by Serge Winitzki\nChanges Copyright (C) 1996-2000 by Andrey A. Chernov, Moscow, Russia.\n\nThis software may be used, modified, copied, distributed, and sold,\nin both source and binary form provided that the copyright\nand these terms are retained. Under no circumstances is the author\nresponsible for the proper functioning of this software, nor does\nthe author assume any responsibility for damages incurred with its use.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"This package contains a set of Russian fonts for X11 Release 6. Copyright (C) 1994-1995 Cronyx Ltd. Changes Copyright (C) 1996 by Sergey Vovk Changes Copyright (C) 1999-2000 by Serge Winitzki Changes Copyright (C) 1996-2000 by Andrey A. Chernov, Moscow, Russia.  \";match=\".{0,5000}\">>\n\nThis software may be used, modified, copied, distributed<<beginOptional>> ,<<endOptional>> and sold, in both source and binary form provided that the<<beginOptional>> above<<endOptional>> copyright and these terms are retained. Under no circumstances is the author responsible for the proper functioning of this software, nor does the author assume any responsibility for damages incurred with its use.\n\n"
		self.name = "Cronyx License"
		self.licenseId = "Cronyx"
		self.crossRef = [{"match": "False", "url": "https://gitlab.freedesktop.org/xorg/font/cronyx-cyrillic/-/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:36Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://gitlab.freedesktop.org/xorg/font/alias/-/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:41Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://gitlab.freedesktop.org/xorg/font/screen-cyrillic/-/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:42Z", "isWayBackLink": False, "order": 3}, {"match": "False", "url": "https://gitlab.freedesktop.org/xorg/font/misc-cyrillic/-/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:44Z", "isWayBackLink": False, "order": 2}]
		self.seeAlso = ["https://gitlab.freedesktop.org/xorg/font/alias/-/blob/master/COPYING", "https://gitlab.freedesktop.org/xorg/font/cronyx-cyrillic/-/blob/master/COPYING", "https://gitlab.freedesktop.org/xorg/font/misc-cyrillic/-/blob/master/COPYING", "https://gitlab.freedesktop.org/xorg/font/screen-cyrillic/-/blob/master/COPYING"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n		   <p>\n		   This package contains a set of Russian fonts for X11 Release 6.\n		   Copyright (C) 1994-1995 Cronyx Ltd.\n		   Changes Copyright (C) 1996 by Sergey Vovk\n		   Changes Copyright (C) 1999-2000 by Serge Winitzki\n		   Changes Copyright (C) 1996-2000 by Andrey A. Chernov, Moscow, Russia.\n		   </p>\n\n		 </div>\n		 <p>\n			This software may be used, modified, copied, distributed<var class=\"optional-license-text\"> ,</var> and sold,\n			in both source and binary form provided that the <var class=\"optional-license-text\"> above </var>copyright and these\n			terms are retained. Under no circumstances is the author responsible\n			for the proper functioning of this software, nor does the author\n			assume any responsibility for damages incurred with its use.\n		 </p>\n\n	  "
		self.python_name = "Cronyx"

	def __str__(self):
		return json.dumps(self.__dict__)


class Mup:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1995-2012 by Arkkra Enterprises. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following DISCLAIMER.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following DISCLAIMER in the documentation and/or other materials provided with the distribution.\n\n3. Any additions, deletions, or changes to the original files must be clearly indicated in accompanying documentation. including the reasons for the changes, and the names of those who made the modifications.\n\nDISCLAIMER\n\nTHIS SOFTWARE IS PROVIDED \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1995-2012 by Arkkra Enterprises. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following DISCLAIMER in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Any additions, deletions, or changes to the original files must be clearly indicated in accompanying documentation. including the reasons for the changes, and the names of those who made the modifications.\n\nDISCLAIMER\n\nTHIS SOFTWARE IS PROVIDED \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Mup License"
		self.licenseId = "Mup"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Mup", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:55Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Mup"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1995-2012 by Arkkra Enterprises. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following DISCLAIMER.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following DISCLAIMER in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Any additions, deletions, or changes to the original files must be clearly indicated in\n			 accompanying documentation. including the reasons for the changes, and the names of those who\n			 made the modifications.\n		</li>\n	  \n</ul>\n	  <p>DISCLAIMER</p>\n\n	  <p>THIS SOFTWARE IS PROVIDED &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,\n		 THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO\n		 EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR\n		 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS\n		 OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n		 WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\n		 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "Mup"

	def __str__(self):
		return json.dumps(self.__dict__)


class zlibacknowledgement:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2002-2007 Charlie Poole\nCopyright (c) 2002-2004 James W. Newkirk, Michael C. Two, Alexei A. Vorontsov\nCopyright (c) 2000-2002 Philip A. Craig\n\nThis software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.\n\nPermission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:\n\n1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment (see the following) in the product documentation is required.\n\n	 Portions Copyright (c) 2002-2007 Charlie Poole or Copyright (c) 2002-2004 James W. Newkirk, Michael C. Two, Alexei A. Vorontsov or Copyright (c) 2000-2002 Philip A. Craig\n\n2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n3. This notice may not be removed or altered from any source distribution.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2002-2007 Charlie Poole	Copyright (c) 2002-2004 James W. Newkirk, Michael C. Two, Alexei A. Vorontsov	Copyright (c) 2000-2002 Philip A. Craig  \";match=\".{0,5000}\">>\n\nThis software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.\n\nPermission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment (see the following) in the product documentation is required.\n\n   Portions Copyright <<var;name=\"names\";original=\"(c) 2002-2007 Charlie Poole or Copyright (c) 2002-2004 James W. Newkirk, Michael C. Two, Alexei A. Vorontsov or Copyright (c) 2000-2002 Philip A. Craig\";match=\".+\">>\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> This notice may not be removed or altered from any source distribution."
		self.name = "zlib/libpng License with Acknowledgement"
		self.licenseId = "zlib-acknowledgement"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/ZlibWithAcknowledgement", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:36Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/ZlibWithAcknowledgement"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2002-2007 Charlie Poole</p>\n\n		 <p>Copyright (c) 2002-2004 James W. Newkirk, Michael C. Two, Alexei A. Vorontsov</p>\n\n		 <p>Copyright (c) 2000-2002 Philip A. Craig</p>\n\n	  </div>\n	  <p>This software is provided &apos;as-is&apos;, without any express or implied warranty. In no event will the authors\n		 be held liable for any damages arising from the use of this software.</p>\n\n	  <p>Permission is granted to anyone to use this software for any purpose, including commercial applications,\n		 and to alter it and redistribute it freely, subject to the following restrictions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  The origin of this software must not be misrepresented; you must not claim that you wrote the\n			 original software. If you use this software in a product, an acknowledgment (see the\n			 following) in the product documentation is required.\n		  <p>Portions Copyright <var class=\"replaceable-license-text\"> (c) 2002-2007 Charlie Poole or Copyright (c) 2002-2004 James W. Newkirk,\n			 Michael C. Two, Alexei A. Vorontsov or Copyright (c) 2000-2002 Philip A. Craig</var></p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Altered source versions must be plainly marked as such, and must not be misrepresented as being\n			 the original software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  This notice may not be removed or altered from any source distribution.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "zlibacknowledgement"

	def __str__(self):
		return json.dumps(self.__dict__)


class SGP4:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "There is no license associated with the code and you may use it for any purpose\u2014personal or commercial\u2014as you wish. We ask only that you include citations in your documentation and source code to show the source of the code and provide links to the main page, to facilitate communications regarding any questions on the theory or source code.\n"
		self.standardLicenseTemplate = "<<beginOptional>>SGP4 Permission Notice<<endOptional>>\n\nThere is no license associated with the code and you may use it for any purpose\u2014personal or commercial\u2014as you wish. We ask only that you include citations in your documentation and source code to show the source of the code and provide links to the main page, to facilitate communications regarding any questions on the theory or source code.\n\n"
		self.name = "SGP4 Permission Notice"
		self.licenseId = "SGP4"
		self.crossRef = [{"match": "False", "url": "https://celestrak.org/publications/AIAA/2006-6753/faq.php", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:56Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://celestrak.org/publications/AIAA/2006-6753/faq.php"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"optional-license-text\"> \n			SGP4 Permission Notice\n		 </var>\n		 <p>\n			There is no license associated with the code and you may use it for any\n			purpose\u2014personal or commercial\u2014as you wish. We ask only that you include\n			citations in your documentation and source code to show the source of\n			the code and provide links to the\n			main page, to\n			facilitate communications regarding any questions on the theory or source\n			code.\n		 </p>\n\n	  "
		self.python_name = "SGP4"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYND25:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "Creative Commons Attribution-NoDerivs 2.5\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works.\n\n	 c. For the avoidance of doubt, where the work is a musical composition:\n\n		  i. Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work.\n\n		  ii. Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect, whether individually or via a music rights society or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	 d. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor waives the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Derivative Works. All rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by clause 4(b), as requested.\n\n	 b. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or Collective Works, You must keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for attribution in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; the title of the Work if supplied; and to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE MATERIALS, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 c. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 d. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NoDerivs 2.5\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For the avoidance of doubt, where the work is a musical composition:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect, whether individually or via a music rights society or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor waives the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Derivative Works. All rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by clause 4(b), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or Collective Works, You must keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for attribution in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; the title of the Work if supplied; and to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE MATERIALS, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution No Derivatives 2.5 Generic"
		self.licenseId = "CC-BY-ND-2.5"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nd/2.5/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:09Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nd/2.5/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NoDerivs 2.5</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n			   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n			   other contributions, constituting separate and independent works in themselves, are\n			   assembled into a collective whole. A work that constitutes a Collective Work will not be\n			   considered a Derivative Work (as defined below) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works, such as a translation, musical arrangement, dramatization,\n			   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n			   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n			   except that a work that constitutes a Collective Work will not be considered a Derivative\n			   Work for the purpose of this License. For the avoidance of doubt, where the Work is a\n			   musical composition or sound recording, the synchronization of the Work in timed-relation\n			   with a moving image (&quot;synching&quot;) will be considered a Derivative Work for the\n			   purpose of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n			   this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Original Author&quot; means the individual or entity who created the Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			For the avoidance of doubt, where the work is a musical composition:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to\n				 collect, whether individually or via a performance rights society (e.g. ASCAP, BMI,\n				 SESAC), royalties for the public performance or public digital performance (e.g.\n				 webcast) of the Work.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to\n				 collect, whether individually or via a music rights society or designated agent (e.g.\n				 Harry Fox Agency), royalties for any phonorecord You create from the Work (&quot;cover\n				 version&quot;) and distribute, subject to the compulsory license created by 17 USC\n				 Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a\n			   sound recording, Licensor waives the exclusive right to collect, whether individually or\n			   via a performance-rights society (e.g. SoundExchange), royalties for the public digital\n			   performance (e.g. webcast) of the Work, subject to the compulsory license created by 17\n			   USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n		  </li>\n			\n</ul>\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats, but otherwise you have no\n			   rights to make Derivative Works. All rights not expressly granted by Licensor are hereby\n			   reserved.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n			   Work. You must keep intact all notices that refer to this License and to the disclaimer of\n			   warranties. You may not distribute, publicly display, publicly perform, or publicly\n			   digitally perform the Work with any technological measures that control access or use of\n			   the Work in a manner inconsistent with the terms of this License Agreement. The above\n			   applies to the Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Work itself to be made subject to the terms of this\n			   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n			   extent practicable, remove from the Collective Work any credit as required by clause 4(b),\n			   as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n			   or Collective Works, You must keep intact all copyright notices for the Work and provide,\n			   reasonable to the medium or means You are utilizing: (i) the name of the Original Author\n			   (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or\n			   Licensor designate another party or parties (e.g. a sponsor institute, publishing entity,\n			   journal) for attribution in Licensor&apos;s copyright notice, terms of service or by other\n			   reasonable means, the name of such party or parties; the title of the Work if supplied;\n			   and to the extent reasonably practicable, the Uniform Resource Identifier, if any, that\n			   Licensor specifies to be associated with the Work, unless such URI does not refer to the\n			   copyright notice or licensing information for the Work. Such credit may be implemented in\n			   any reasonable manner; provided, however, that in the case of a Collective Work, at a\n			   minimum such credit will appear where any other comparable authorship credit appears and\n			   in a manner at least as prominent as such other comparable authorship credit.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE MATERIALS, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Collective\n			   Works from You under this License, however, will not have their licenses terminated\n			   provided such individuals or entities remain in full compliance with those licenses.\n			   Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work, the Licensor offers to the\n			   recipient a license to the Work on the same terms and conditions as the license granted to\n			   You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYND25"

	def __str__(self):
		return json.dumps(self.__dict__)


class DLDEBY20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "DL-DE->BY-2.0\nDatenlizenz Deutschland \u2013 Namensnennung \u2013 Version 2.0\n\n(1) Jede Nutzung ist unter den Bedingungen dieser \u201eDatenlizenz Deutschland \u2013 Namensnennung \u2013 Version 2.0\" zul\u00e4ssig.\n\nDie bereitgestellten Daten und Metadaten d\u00fcrfen f\u00fcr die kommerzielle und nicht kommerzielle Nutzung insbesondere\n\n	vervielf\u00e4ltigt, ausgedruckt, pr\u00e4sentiert, ver\u00e4ndert, bearbeitet sowie an Dritte \u00fcbermittelt werden;\n	mit eigenen Daten und Daten Anderer zusammengef\u00fchrt und zu selbst\u00e4ndigen neuen Datens\u00e4tzen verbunden werden;\n	in interne und externe Gesch\u00e4ftsprozesse, Produkte und Anwendungen in \u00f6ffentlichen und nicht \u00f6ffentlichen elektronischen Netzwerken eingebunden werden.\n\n(2) Bei der Nutzung ist sicherzustellen, dass folgende Angaben als Quellenvermerk enthalten sind:\n\n	Bezeichnung des Bereitstellers nach dessen Ma\u00dfgabe,\n	der Vermerk \u201eDatenlizenz Deutschland \u2013 Namensnennung \u2013 Version 2.0\" oder \u201edl-de/by-2-0\" mit Verweis auf den Lizenztext unter www.govdata.de/dl-de/by-2-0 sowie\n	einen Verweis auf den Datensatz (URI).\n\nDies gilt nur soweit die datenhaltende Stelle die Angaben 1. bis 3. zum Quellenvermerk bereitstellt.\n\n(3) Ver\u00e4nderungen, Bearbeitungen, neue Gestaltungen oder sonstige Abwandlungen sind im Quellenvermerk mit dem Hinweis zu versehen, dass die Daten ge\u00e4ndert wurden.\n\n\nData licence Germany \u2013 attribution \u2013 version 2.0\n\n(1) Any use will be permitted provided it fulfils the requirements of this \"Data licence Germany \u2013 attribution \u2013 Version 2.0\".\n\nThe data and meta-data provided may, for commercial and non-commercial use, in particular\n\n	be copied, printed, presented, altered, processed and transmitted to third parties;\n	be merged with own data and with the data of others and be combined to form new and independent datasets;\n	be integrated in internal and external business processes, products and applications in public and non-public electronic networks.\n\n(2) The user must ensure that the source note contains the following information:\n\n	the name of the provider,\n	the annotation \"Data licence Germany \u2013 attribution \u2013 Version 2.0\" or \"dl-de/by-2-0\" referring to the licence text available at www.govdata.de/dl-de/by-2-0, and\n	a reference to the dataset (URI).\n\nThis applies only if the entity keeping the data provides the pieces of information 1-3 for the source note.\n\n(3) Changes, editing, new designs or other amendments must be marked as such in the source note.\n\n\n\nURL: http://www.govdata.de/dl-de/by-2-0\n"
		self.standardLicenseTemplate = "<<beginOptional>>DL-DE->BY-2.0<<endOptional>><<beginOptional>> Datenlizenz Deutschland \u2013 Namensnennung \u2013 Version 2.0<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> Jede Nutzung ist unter den Bedingungen dieser \u201eDatenlizenz Deutschland \u2013 Namensnennung \u2013 Version 2.0\" zul\u00e4ssig.\n\n   Die bereitgestellten Daten und Metadaten d\u00fcrfen f\u00fcr die kommerzielle und nicht kommerzielle Nutzung insbesondere\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> vervielf\u00e4ltigt, ausgedruckt, pr\u00e4sentiert, ver\u00e4ndert, bearbeitet sowie an Dritte \u00fcbermittelt werden;\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> mit eigenen Daten und Daten Anderer zusammengef\u00fchrt und zu selbst\u00e4ndigen neuen Datens\u00e4tzen verbunden werden;\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> in interne und externe Gesch\u00e4ftsprozesse, Produkte und Anwendungen in \u00f6ffentlichen und nicht \u00f6ffentlichen elektronischen Netzwerken eingebunden werden.\n\n   <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> Bei der Nutzung ist sicherzustellen, dass folgende Angaben als Quellenvermerk enthalten sind:\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Bezeichnung des Bereitstellers nach dessen Ma\u00dfgabe,\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> der Vermerk \u201eDatenlizenz Deutschland \u2013 Namensnennung \u2013 Version 2.0\" oder \u201edl-de/by-2-0\" mit Verweis auf den Lizenztext unter www.govdata.de/dl-de/by-2-0 sowie\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> einen Verweis auf den Datensatz (URI).\n\n   Dies gilt nur soweit die datenhaltende Stelle die Angaben 1. bis 3. zum Quellenvermerk bereitstellt.\n\n   <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> Ver\u00e4nderungen, Bearbeitungen, neue Gestaltungen oder sonstige Abwandlungen sind im Quellenvermerk mit dem Hinweis zu versehen, dass die Daten ge\u00e4ndert wurden.<<beginOptional>> Data licence Germany \u2013 attribution \u2013 version 2.0<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> Any use will be permitted provided it fulfils the requirements of this \"Data licence Germany \u2013 attribution \u2013 Version 2.0\".\n\n   The data and meta-data provided may, for commercial and non-commercial use, in particular\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> be copied, printed, presented, altered, processed and transmitted to third parties;\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> be merged with own data and with the data of others and be combined to form new and independent datasets;\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> be integrated in internal and external business processes, products and applications in public and non-public electronic networks.\n\n   <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> The user must ensure that the source note contains the following information:\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> the name of the provider,\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> the annotation \"Data licence Germany \u2013 attribution \u2013 Version 2.0\" or \"dl-de/by-2-0\" referring to the licence text available at www.govdata.de/dl-de/by-2-0, and\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> a reference to the dataset (URI).\n\n   This applies only if the entity keeping the data provides the pieces of information 1-3 for the source note.\n\n   <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> Changes, editing, new designs or other amendments must be marked as such in the source note.<<beginOptional>> URL: http://www.govdata.de/dl-de/by-2-0\n\n<<endOptional>>"
		self.name = "Data licence Germany \u2013 attribution \u2013 version 2.0"
		self.licenseId = "DL-DE-BY-2.0"
		self.crossRef = [{"match": "False", "url": "https://www.govdata.de/dl-de/by-2-0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:03Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.govdata.de/dl-de/by-2-0"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"optional-license-text\"> DL-DE-&gt;BY-2.0</var>\n		 <var class=\"optional-license-text\"> Datenlizenz Deutschland \u2013 Namensnennung \u2013 Version 2.0</var>\n		 \n<ul style=\"list-style:none\">\n			\n<li>\n			<var class=\"replaceable-license-text\"> (1)</var>Jede Nutzung ist unter den Bedingungen dieser \u201eDatenlizenz Deutschland \u2013 Namensnennung \u2013 Version 2.0&quot; zul\u00e4ssig.\n			<p>Die bereitgestellten Daten und Metadaten d\u00fcrfen f\u00fcr die kommerzielle und nicht kommerzielle Nutzung insbesondere</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>vervielf\u00e4ltigt, ausgedruckt, pr\u00e4sentiert, ver\u00e4ndert, bearbeitet sowie an Dritte \u00fcbermittelt werden;</li>\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>mit eigenen Daten und Daten Anderer zusammengef\u00fchrt und zu selbst\u00e4ndigen neuen Datens\u00e4tzen verbunden werden;</li>\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>in interne und externe Gesch\u00e4ftsprozesse, Produkte und Anwendungen in \u00f6ffentlichen und nicht \u00f6ffentlichen elektronischen Netzwerken eingebunden werden.</li>\n			\n</ul></li>\n			\n<li>\n			<var class=\"replaceable-license-text\"> (2)</var>Bei der Nutzung ist sicherzustellen, dass folgende Angaben als Quellenvermerk enthalten sind:\n			\n<ul style=\"list-style:none\">\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>Bezeichnung des Bereitstellers nach dessen Ma\u00dfgabe,</li>\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>der Vermerk \u201eDatenlizenz Deutschland \u2013 Namensnennung \u2013 Version 2.0&quot; oder \u201edl-de/by-2-0&quot; mit Verweis auf den Lizenztext unter www.govdata.de/dl-de/by-2-0 sowie</li>\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>einen Verweis auf den Datensatz (URI).</li>\n			\n</ul>\n			<p>Dies gilt nur soweit die datenhaltende Stelle die Angaben 1. bis 3. zum Quellenvermerk bereitstellt.</p>\n</li>\n			\n<li>\n			<var class=\"replaceable-license-text\"> (3)</var>Ver\u00e4nderungen, Bearbeitungen, neue Gestaltungen oder sonstige Abwandlungen sind im Quellenvermerk mit dem Hinweis zu versehen, dass die Daten ge\u00e4ndert wurden.</li>\n		 \n</ul>\n		 <var class=\"optional-license-text\"> Data licence Germany \u2013 attribution \u2013 version 2.0</var>\n		 \n<ul style=\"list-style:none\">\n			\n<li>\n			<var class=\"replaceable-license-text\"> (1)</var>Any use will be permitted provided it fulfils the requirements of this &quot;Data licence Germany \u2013 attribution \u2013 Version 2.0&quot;.\n			<p>The data and meta-data provided may, for commercial and non-commercial use, in particular</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>be copied, printed, presented, altered, processed and transmitted to third parties;</li>\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>be merged with own data and with the data of others and be combined to form new and independent datasets;</li>\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>be integrated in internal and external business processes, products and applications in public and non-public electronic networks.</li>\n			\n</ul></li>\n			\n<li>\n			<var class=\"replaceable-license-text\"> (2)</var>The user must ensure that the source note contains the following information:\n			\n<ul style=\"list-style:none\">\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>the name of the provider,</li>\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>the annotation &quot;Data licence Germany \u2013 attribution \u2013 Version 2.0&quot; or &quot;dl-de/by-2-0&quot; referring to the licence text available at www.govdata.de/dl-de/by-2-0, and</li>\n			   \n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>a reference to the dataset (URI).</li>\n			\n</ul>\n			<p>This applies only if the entity keeping the data provides the pieces of information 1-3 for the source note.</p>\n</li>\n			\n<li>\n			<var class=\"replaceable-license-text\"> (3)</var>Changes, editing, new designs or other amendments must be marked as such in the source note.</li>\n		 \n</ul>\n		 <div class=\"optional-license-text\"> \n			<p>URL: http://www.govdata.de/dl-de/by-2-0</p>\n\n		 </div>\n	  "
		self.python_name = "DLDEBY20"

	def __str__(self):
		return json.dumps(self.__dict__)


class CDDL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL)\nVersion 1.0\n\n1. Definitions.\n\n1.1. \u201cContributor\u201d means each individual or entity that creates or contributes to the creation of Modifications.\n\n1.2. \u201cContributor Version\u201d means the combination of the Original Software, prior Modifications used by a Contributor (if any), and the Modifications made by that particular Contributor.\n\n1.3. \u201cCovered Software\u201d means (a) the Original Software, or (b) Modifications, or (c) the combination of files containing Original Software with files containing Modifications, in each case including portions thereof.\n\n1.4. \u201cExecutable\u201d means the Covered Software in any form other than Source Code.\n\n1.5. \u201cInitial Developer\u201d means the individual or entity that first makes Original Software available under this License.\n\n1.6. \u201cLarger Work\u201d means a work which combines Covered Software or portions thereof with code not governed by the terms of this License.\n\n1.7. \u201cLicense\u201d means this document.\n\n1.8. \u201cLicensable\u201d means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n1.9. \u201cModifications\u201d means the Source Code and Executable form of any of the following:\n\n	 A. Any file that results from an addition to, deletion from or modification of the contents of a file containing Original Software or previous Modifications;\n\n	 B. Any new file that contains any part of the Original Software or previous Modification; or\n\n	 C. Any new file that is contributed or otherwise made available under the terms of this License.\n\n1.10. \u201cOriginal Software\u201d means the Source Code and Executable form of computer software code that is originally released under this License.\n\n1.11. \u201cPatent Claims\u201d means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n1.12. \u201cSource Code\u201d means (a) the common form of computer software code in which modifications are made and (b) associated documentation included in or with such code.\n\n1.13. \u201cYou\u201d (or \u201cYour\u201d) means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \u201cYou\u201d includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \u201ccontrol\u201d means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n2. License Grants.\n\n2.1. The Initial Developer Grant.\nConditioned upon Your compliance with Section 3.1 below and subject to third party intellectual property claims, the Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license:\n\n	 (a) under intellectual property rights (other than patent or trademark) Licensable by Initial Developer, to use, reproduce, modify, display, perform, sublicense and distribute the Original Software (or portions thereof), with or without Modifications, and/or as part of a Larger Work; and\n\n	 (b) under Patent Claims infringed by the making, using or selling of Original Software, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Software (or portions thereof).\n\n	 (c) The licenses granted in Sections 2.1(a) and (b) are effective on the date Initial Developer first distributes or otherwise makes the Original Software available to a third party under the terms of this License.\n\n	 (d) Notwithstanding Section 2.1(b) above, no patent license is granted: (1) for code that You delete from the Original Software, or (2) for infringements caused by: (i) the modification of the Original Software, or (ii) the combination of the Original Software with other software or devices.\n\n2.2. Contributor Grant.\nConditioned upon Your compliance with Section 3.1 below and subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license:\n\n	 (a) under intellectual property rights (other than patent or trademark) Licensable by Contributor to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof), either on an unmodified basis, with other Modifications, as Covered Software and/or as part of a Larger Work; and\n\n	 (b) under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: (1) Modifications made by that Contributor (or portions thereof); and (2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n	 (c) The licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first distributes or otherwise makes the Modifications available to a third party.\n\n	 (d) Notwithstanding Section 2.2(b) above, no patent license is granted: (1) for any code that Contributor has deleted from the Contributor Version; (2) for infringements caused by: (i) third party modifications of Contributor Version, or (ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or (3) under Patent Claims infringed by Covered Software in the absence of Modifications made by that Contributor.\n\n3. Distribution Obligations.\n\n3.1. Availability of Source Code.\nAny Covered Software that You distribute or otherwise make available in Executable form must also be made available in Source Code form and that Source Code form must be distributed only under the terms of this License. You must include a copy of this License with every copy of the Source Code form of the Covered Software You distribute or otherwise make available. You must inform recipients of any such Covered Software in Executable form as to how they can obtain such Covered Software in Source Code form in a reasonable manner on or through a medium customarily used for software exchange.\n\n3.2. Modifications.\nThe Modifications that You create or to which You contribute are governed by the terms of this License. You represent that You believe Your Modifications are Your original creation(s) and/or You have sufficient rights to grant the rights conveyed by this License.\n\n3.3. Required Notices.\nYou must include a notice in each of Your Modifications that identifies You as the Contributor of the Modification. You may not remove or alter any copyright, patent or trademark notices contained within the Covered Software, or any notices of licensing or any descriptive text giving attribution to any Contributor or the Initial Developer.\n\n3.4. Application of Additional Terms.\nYou may not offer or impose any terms on any Covered Software in Source Code form that alters or restricts the applicable version of this License or the recipients\u2019 rights hereunder. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Software. However, you may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n3.5. Distribution of Executable Versions.\nYou may distribute the Executable form of the Covered Software under the terms of this License or under the terms of a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable form does not attempt to limit or alter the recipient\u2019s rights in the Source Code form from the rights set forth in this License. If You distribute the Covered Software in Executable form under a different license, You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n3.6. Larger Works.\nYou may create a Larger Work by combining Covered Software with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Software.\n\n4. Versions of the License.\n\n4.1. New Versions.\nSun Microsystems, Inc. is the initial license steward and may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Except as provided in Section 4.3, no one other than the license steward has the right to modify this License.\n\n4.2. Effect of New Versions.\nYou may always continue to use, distribute or otherwise make the Covered Software available under the terms of the version of the License under which You originally received the Covered Software. If the Initial Developer includes a notice in the Original Software prohibiting it from being distributed or otherwise made available under any subsequent version of the License, You must distribute and make the Covered Software available under the terms of the version of the License under which You originally received the Covered Software. Otherwise, You may also choose to use, distribute or otherwise make the Covered Software available under the terms of any subsequent version of the License published by the license steward.\n\n4.3. Modified Versions.\nWhen You are an Initial Developer and You want to create a new license for Your Original Software, You may create and use a modified version of this License if You: (a) rename the license and remove any references to the name of the license steward (except to note that the license differs from this License); and (b) otherwise make it clear that the license contains terms which differ from this License.\n\n5. DISCLAIMER OF WARRANTY.\n\nCOVERED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN \u201cAS IS\u201d BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED SOFTWARE IS WITH YOU. SHOULD ANY COVERED SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n6. TERMINATION.\n\n6.1. This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n6.2. If You assert a patent infringement claim (excluding declaratory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You assert such claim is referred to as \u201cParticipant\u201d) alleging that the Participant Software (meaning the Contributor Version where the Participant is a Contributor or the Original Software where the Participant is the Initial Developer) directly or indirectly infringes any patent, then any and all rights granted directly or indirectly to You by such Participant, the Initial Developer (if the Initial Developer is not the Participant) and all Contributors under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively and automatically at the expiration of such 60 day notice period, unless if within such 60 day period You withdraw Your claim with respect to the Participant Software against such Participant either unilaterally or pursuant to a written agreement with Participant.\n\n6.3. In the event of termination under Sections 6.1 or 6.2 above, all end user licenses that have been validly granted by You or any distributor hereunder prior to termination (excluding licenses granted to You by any distributor) shall survive termination.\n\n7. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOST PROFITS, LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY\u2019S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n8. U.S. GOVERNMENT END USERS.\n\nThe Covered Software is a \u201ccommercial item,\u201d as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \u201ccommercial computer software\u201d (as that term is defined at 48 C.F.R. \u00a7 252.227-7014(a)(1)) and \u201ccommercial computer software documentation\u201d as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Software with only those rights set forth herein. This U.S. Government Rights clause is in lieu of, and supersedes, any other FAR, DFAR, or other clause or provision that addresses Government rights in computer software under this License.\n\n9. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by the law of the jurisdiction specified in a notice contained within the Original Software (except to the extent applicable law, if any, provides otherwise), excluding such jurisdiction\u2019s conflict-of-law provisions. Any litigation relating to this License shall be subject to the jurisdiction of the courts located in the jurisdiction and venue specified in a notice contained within the Original Software, with the losing party responsible for costs, including, without limitation, court costs and reasonable attorneys\u2019 fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License. You agree that You alone are responsible for compliance with the United States export administration regulations (and the export control laws and regulation of any other countries) when You use, distribute or otherwise make available any Covered Software.\n\n10. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n"
		self.standardLicenseTemplate = "<<beginOptional>>COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL)\n\nVersion 1.0\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each individual or entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Software, prior Modifications used by a Contributor (if any), and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Covered Software\" means (a) the Original Software, or (b) Modifications, or (c) the combination of files containing Original Software with files containing Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Executable\" means the Covered Software in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity that first makes Original Software available under this License.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Software or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Modifications\" means the Source Code and Executable form of any of the following:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any file that results from an addition to, deletion from or modification of the contents of a file containing Original Software or previous Modifications;\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Software or previous Modification; or\n\n		 <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> Any new file that is contributed or otherwise made available under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Original Software\" means the Source Code and Executable form of computer software code that is originally released under this License.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"Source Code\" means (a) the common form of computer software code in which modifications are made and (b) associated documentation included in or with such code.\n\n	  <<var;name=\"bullet\";original=\"1.13.\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> License Grants.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Initial Developer Grant.\n\n	  Conditioned upon Your compliance with Section 3.1 below and subject to third party intellectual property claims, the Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Initial Developer, to use, reproduce, modify, display, perform, sublicense and distribute the Original Software (or portions thereof), with or without Modifications, and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims infringed by the making, using or selling of Original Software, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Software (or portions thereof).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> The licenses granted in Sections 2.1(a) and (b) are effective on the date Initial Developer first distributes or otherwise makes the Original Software available to a third party under the terms of this License.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.1(b) above, no patent license is granted: (1) for code that You delete from the Original Software, or (2) for infringements caused by: (i) the modification of the Original Software, or (ii) the combination of the Original Software with other software or devices.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant.\n\n	  Conditioned upon Your compliance with Section 3.1 below and subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Contributor to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof), either on an unmodified basis, with other Modifications, as Covered Software and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: (1) Modifications made by that Contributor (or portions thereof); and (2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> The licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first distributes or otherwise makes the Modifications available to a third party.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.2(b) above, no patent license is granted: (1) for any code that Contributor has deleted from the Contributor Version; (2) for infringements caused by: (i) third party modifications of Contributor Version, or (ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or (3) under Patent Claims infringed by Covered Software in the absence of Modifications made by that Contributor.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Availability of Source Code.\n\n	  Any Covered Software that You distribute or otherwise make available in Executable form must also be made available in Source Code form and that Source Code form must be distributed only under the terms of this License. You must include a copy of this License with every copy of the Source Code form of the Covered Software You distribute or otherwise make available. You must inform recipients of any such Covered Software in Executable form as to how they can obtain such Covered Software in Source Code form in a reasonable manner on or through a medium customarily used for software exchange.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Modifications.\n\n	  The Modifications that You create or to which You contribute are governed by the terms of this License. You represent that You believe Your Modifications are Your original creation(s) and/or You have sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Required Notices.\n\n	  You must include a notice in each of Your Modifications that identifies You as the Contributor of the Modification. You may not remove or alter any copyright, patent or trademark notices contained within the Covered Software, or any notices of licensing or any descriptive text giving attribution to any Contributor or the Initial Developer.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Application of Additional Terms.\n\n	  You may not offer or impose any terms on any Covered Software in Source Code form that alters or restricts the applicable version of this License or the recipients' rights hereunder. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Software. However, you may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Distribution of Executable Versions.\n\n	  You may distribute the Executable form of the Covered Software under the terms of this License or under the terms of a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable form does not attempt to limit or alter the recipient's rights in the Source Code form from the rights set forth in this License. If You distribute the Covered Software in Executable form under a different license, You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Larger Works.\n\n	  You may create a Larger Work by combining Covered Software with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Software.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> New Versions.\n\n	  Sun Microsystems, Inc. is the initial license steward and may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Except as provided in Section 4.3, no one other than the license steward has the right to modify this License.\n\n	  <<var;name=\"bullet\";original=\"4.2.\";match=\".{0,20}\">> Effect of New Versions.\n\n	  You may always continue to use, distribute or otherwise make the Covered Software available under the terms of the version of the License under which You originally received the Covered Software. If the Initial Developer includes a notice in the Original Software prohibiting it from being distributed or otherwise made available under any subsequent version of the License, You must distribute and make the Covered Software available under the terms of the version of the License under which You originally received the Covered Software. Otherwise, You may also choose to use, distribute or otherwise make the Covered Software available under the terms of any subsequent version of the License published by the license steward.\n\n	  <<var;name=\"bullet\";original=\"4.3.\";match=\".{0,20}\">> Modified Versions.\n\n	  When You are an Initial Developer and You want to create a new license for Your Original Software, You may create and use a modified version of this License if You: (a) rename the license and remove any references to the name of the license steward (except to note that the license differs from this License); and (b) otherwise make it clear that the license contains terms which differ from this License.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n   COVERED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED SOFTWARE IS WITH YOU. SHOULD ANY COVERED SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> TERMINATION.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> If You assert a patent infringement claim (excluding declaratory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You assert such claim is referred to as \"Participant\") alleging that the Participant Software (meaning the Contributor Version where the Participant is a Contributor or the Original Software where the Participant is the Initial Developer) directly or indirectly infringes any patent, then any and all rights granted directly or indirectly to You by such Participant, the Initial Developer (if the Initial Developer is not the Participant) and all Contributors under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively and automatically at the expiration of such 60 day notice period, unless if within such 60 day period You withdraw Your claim with respect to the Participant Software against such Participant either unilaterally or pursuant to a written agreement with Participant.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> In the event of termination under Sections 6.1 or 6.2 above, all end user licenses that have been validly granted by You or any distributor hereunder prior to termination (excluding licenses granted to You by any distributor) shall survive termination.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOST PROFITS, LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS.\n\n   The Covered Software is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" (as that term is defined at 48 C.F.R. \u00a7 252.227-7014(a)(1)) and \"commercial computer software documentation\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Software with only those rights set forth herein. This U.S. Government Rights clause is in lieu of, and supersedes, any other FAR, DFAR, or other clause or provision that addresses Government rights in computer software under this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> MISCELLANEOUS.\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by the law of the jurisdiction specified in a notice contained within the Original Software (except to the extent applicable law, if any, provides otherwise), excluding such jurisdiction's conflict-of-law provisions. Any litigation relating to this License shall be subject to the jurisdiction of the courts located in the jurisdiction and venue specified in a notice contained within the Original Software, with the losing party responsible for costs, including, without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License. You agree that You alone are responsible for compliance with the United States export administration regulations (and the export control laws and regulation of any other countries) when You use, distribute or otherwise make available any Covered Software.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS.\n\n   As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   "
		self.name = "Common Development and Distribution License 1.0"
		self.licenseComments = "This license was released: 24 January 2004."
		self.licenseId = "CDDL-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/cddl1", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:44Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/cddl1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL)\n		<br />\n\nVersion 1.0\n	  </p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		Definitions.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			&quot;Contributor&quot; means each individual or entity that creates or contributes to the\n			   creation of Modifications.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			&quot;Contributor Version&quot; means the combination of the Original Software, prior\n			   Modifications used by a Contributor (if any), and the Modifications made by that particular\n			   Contributor.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			&quot;Covered Software&quot; means (a) the Original Software, or (b) Modifications, or (c)\n			   the combination of files containing Original Software with files containing Modifications, in\n			   each case including portions thereof.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			&quot;Executable&quot; means the Covered Software in any form other than Source Code.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			&quot;Initial Developer&quot; means the individual or entity that first makes Original\n			   Software available under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			&quot;Larger Work&quot; means a work which combines Covered Software or portions thereof with\n			   code not governed by the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			&quot;License&quot; means this document.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			&quot;Licensable&quot; means having the right to grant, to the maximum extent possible,\n			   whether at the time of the initial grant or subsequently acquired, any and all of the rights\n			   conveyed herein.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			&quot;Modifications&quot; means the Source Code and Executable form of any of the following:\n			   \n<ul style=\"list-style:none\">\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> A.</var>\n			  Any file that results from an addition to, deletion from or modification of the contents of a\n				 file containing Original Software or previous Modifications;\n			</li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> B.</var>\n			  Any new file that contains any part of the Original Software or previous Modification; or\n			</li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> C.</var>\n			  Any new file that is contributed or otherwise made available under the terms of this License.\n			</li>\n			   \n</ul>\n			   </li>\n\t\t\t   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			&quot;Original Software&quot; means the Source Code and Executable form of computer software\n			   code that is originally released under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			&quot;Patent Claims&quot; means any patent claim(s), now owned or hereafter acquired,\n			   including without limitation, method, process, and apparatus claims, in any patent Licensable\n			   by grantor.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			&quot;Source Code&quot; means (a) the common form of computer software code in which\n			   modifications are made and (b) associated documentation included in or with such code.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13.</var>\n			&quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity exercising\n			   rights under, and complying with all of the terms of, this License. For legal entities,\n			   &quot;You&quot; includes any entity which controls, is controlled by, or is under common\n			   control with You. For purposes of this definition, &quot;control&quot; means (a) the\n			   power, direct or indirect, to cause the direction or management of such entity, whether by\n			   contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding\n			   shares or beneficial ownership of such entity.\n		  </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		License Grants.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			The Initial Developer Grant.\n				<br />\n\n	  Conditioned upon Your compliance with Section 3.1 below and subject to third party\n					 intellectual property claims, the Initial Developer hereby grants You a world-wide,\n					 royalty-free, non-exclusive license:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				under intellectual property rights (other than patent or trademark) Licensable by Initial\n				   Developer, to use, reproduce, modify, display, perform, sublicense and distribute the\n				   Original Software (or portions thereof), with or without Modifications, and/or as part of\n				   a Larger Work; and\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				under Patent Claims infringed by the making, using or selling of Original Software, to make,\n				   have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the\n				   Original Software (or portions thereof).\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				The licenses granted in Sections 2.1(a) and (b) are effective on the date Initial Developer\n				   first distributes or otherwise makes the Original Software available to a third party\n				   under the terms of this License.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				Notwithstanding Section 2.1(b) above, no patent license is granted: (1) for code that You\n				   delete from the Original Software, or (2) for infringements caused by: (i) the\n				   modification of the Original Software, or (ii) the combination of the Original Software\n				   with other software or devices.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			Contributor Grant.\n			  <br />\n\n	  Conditioned upon Your compliance with Section 3.1 below and subject to third party\n				   intellectual property claims, each Contributor hereby grants You a world-wide,\n				   royalty-free, non-exclusive license:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				under intellectual property rights (other than patent or trademark) Licensable by Contributor\n				   to use, reproduce, modify, display, perform, sublicense and distribute the Modifications\n				   created by such Contributor (or portions thereof), either on an unmodified basis, with\n				   other Modifications, as Covered Software and/or as part of a Larger Work; and\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				under Patent Claims infringed by the making, using, or selling of Modifications made by that\n				   Contributor either alone and/or in combination with its Contributor Version (or portions\n				   of such combination), to make, use, sell, offer for sale, have made, and/or otherwise\n				   dispose of: (1) Modifications made by that Contributor (or portions thereof); and (2) the\n				   combination of Modifications made by that Contributor with its Contributor Version (or\n				   portions of such combination).\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				The licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor\n				   first distributes or otherwise makes the Modifications available to a third party.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				Notwithstanding Section 2.2(b) above, no patent license is granted: (1) for any code that\n				   Contributor has deleted from the Contributor Version; (2) for infringements caused by: (i)\n				   third party modifications of Contributor Version, or (ii) the combination of Modifications\n				   made by that Contributor with other software (except as part of the Contributor Version)\n				   or other devices; or (3) under Patent Claims infringed by Covered Software in the absence\n				   of Modifications made by that Contributor.\n			  </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		Distribution Obligations.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			Availability of Source Code.\n			  <br />\n\n	  Any Covered Software that You distribute or otherwise make available in Executable form\n				   must also be made available in Source Code form and that Source Code form must be\n				   distributed only under the terms of this License. You must include a copy of this\n				   License with every copy of the Source Code form of the Covered Software You distribute\n				   or otherwise make available. You must inform recipients of any such Covered Software\n				   in Executable form as to how they can obtain such Covered Software in Source Code form\n				   in a reasonable manner on or through a medium customarily used for software exchange.\n\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			Modifications.\n			  <br />\n\n	  The Modifications that You create or to which You contribute are governed by the terms of\n				   this License. You represent that You believe Your Modifications are Your original\n				   creation(s) and/or You have sufficient rights to grant the rights conveyed by this\n				   License.\n\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			Required Notices.\n			  <br />\n\n	  You must include a notice in each of Your Modifications that identifies You as the\n				   Contributor of the Modification. You may not remove or alter any copyright, patent or\n				   trademark notices contained within the Covered Software, or any notices of licensing\n				   or any descriptive text giving attribution to any Contributor or the Initial\n				   Developer.\n\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			Application of Additional Terms.\n			  <br />\n\n	  You may not offer or impose any terms on any Covered Software in Source Code form that\n				   alters or restricts the applicable version of this License or the recipients&apos;\n				   rights hereunder. You may choose to offer, and to charge a fee for, warranty, support,\n				   indemnity or liability obligations to one or more recipients of Covered Software.\n				   However, you may do so only on Your own behalf, and not on behalf of the Initial\n				   Developer or any Contributor. You must make it absolutely clear that any such\n				   warranty, support, indemnity or liability obligation is offered by You alone, and You\n				   hereby agree to indemnify the Initial Developer and every Contributor for any\n				   liability incurred by the Initial Developer or such Contributor as a result of\n				   warranty, support, indemnity or liability terms You offer.\n\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			Distribution of Executable Versions.\n			  <br />\n\n	  You may distribute the Executable form of the Covered Software under the terms of this\n				   License or under the terms of a license of Your choice, which may contain terms\n				   different from this License, provided that You are in compliance with the terms of\n				   this License and that the license for the Executable form does not attempt to limit or\n				   alter the recipient&apos;s rights in the Source Code form from the rights set forth\n				   in this License. If You distribute the Covered Software in Executable form under a\n				   different license, You must make it absolutely clear that any terms which differ from\n				   this License are offered by You alone, not by the Initial Developer or Contributor.\n				   You hereby agree to indemnify the Initial Developer and every Contributor for any\n				   liability incurred by the Initial Developer or such Contributor as a result of any\n				   such terms You offer.\n\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n			Larger Works.\n			  <br />\n\n	  You may create a Larger Work by combining Covered Software with other code not governed by\n				   the terms of this License and distribute the Larger Work as a single product. In such\n				   a case, You must make sure the requirements of this License are fulfilled for the\n				   Covered Software.\n\n		  </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		Versions of the License.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.1.</var>\n			New Versions.\n			  <br />\n\n	  Sun Microsystems, Inc. is the initial license steward and may publish revised and/or new\n				   versions of this License from time to time. Each version will be given a\n				   distinguishing version number. Except as provided in Section 4.3, no one other than\n				   the license steward has the right to modify this License.\n\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.2.</var>\n			Effect of New Versions.\n			  <br />\n\n	  You may always continue to use, distribute or otherwise make the Covered Software available\n				   under the terms of the version of the License under which You originally received the\n				   Covered Software. If the Initial Developer includes a notice in the Original Software\n				   prohibiting it from being distributed or otherwise made available under any subsequent\n				   version of the License, You must distribute and make the Covered Software available\n				   under the terms of the version of the License under which You originally received the\n				   Covered Software. Otherwise, You may also choose to use, distribute or otherwise make\n				   the Covered Software available under the terms of any subsequent version of the\n				   License published by the license steward.\n\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.3.</var>\n			Modified Versions.\n			  <br />\n\n	  When You are an Initial Developer and You want to create a new license for Your Original\n				   Software, You may create and use a modified version of this License if You: (a) rename\n				   the license and remove any references to the name of the license steward (except to\n				   note that the license differs from this License); and (b) otherwise make it clear that\n				   the license contains terms which differ from this License.\n\n		  </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		DISCLAIMER OF WARRANTY.\n		<p>COVERED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT\n		   WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\n		   THAT THE COVERED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR\n		   NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED SOFTWARE IS\n		   WITH YOU. SHOULD ANY COVERED SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL\n		   DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR\n		   CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE\n		   OF ANY COVERED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		TERMINATION.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n			This License and the rights granted hereunder will terminate automatically if You fail to comply\n			   with terms herein and fail to cure such breach within 30 days of becoming aware of the breach.\n			   Provisions which, by their nature, must remain in effect beyond the termination of this\n			   License shall survive.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n			If You assert a patent infringement claim (excluding declaratory judgment actions) against\n			   Initial Developer or a Contributor (the Initial Developer or Contributor against whom You\n			   assert such claim is referred to as &quot;Participant&quot;) alleging that the Participant\n			   Software (meaning the Contributor Version where the Participant is a Contributor or the\n			   Original Software where the Participant is the Initial Developer) directly or indirectly\n			   infringes any patent, then any and all rights granted directly or indirectly to You by such\n			   Participant, the Initial Developer (if the Initial Developer is not the Participant) and all\n			   Contributors under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from\n			   Participant terminate prospectively and automatically at the expiration of such 60 day notice\n			   period, unless if within such 60 day period You withdraw Your claim with respect to the\n			   Participant Software against such Participant either unilaterally or pursuant to a written\n			   agreement with Participant.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3.</var>\n			In the event of termination under Sections 6.1 or 6.2 above, all end user licenses that have been\n			   validly granted by You or any distributor hereunder prior to termination (excluding licenses\n			   granted to You by any distributor) shall survive termination.\n		  </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		LIMITATION OF LIABILITY.\n		<p>UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT,\n		   OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF\n		   COVERED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY\n		   INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT\n		   LIMITATION, DAMAGES FOR LOST PROFITS, LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR\n		   MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\n		   BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY\n		   TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE\n		   EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION\n		   OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT\n		   APPLY TO YOU.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		U.S. GOVERNMENT END USERS.\n		<p>The Covered Software is a &quot;commercial item,&quot; as that term is defined in 48 C.F.R.\n		   2.101 (Oct. 1995), consisting of &quot;commercial computer software&quot; (as that term is\n		   defined at 48 C.F.R. \u00a7 252.227-7014(a)(1)) and &quot;commercial computer software\n		   documentation&quot; as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with\n		   48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government\n		   End Users acquire Covered Software with only those rights set forth herein. This U.S.\n		   Government Rights clause is in lieu of, and supersedes, any other FAR, DFAR, or other clause\n		   or provision that addresses Government rights in computer software under this License.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		MISCELLANEOUS.\n		<p>This License represents the complete agreement concerning subject matter hereof. If any provision\n		   of this License is held to be unenforceable, such provision shall be reformed only to the\n		   extent necessary to make it enforceable. This License shall be governed by the law of the\n		   jurisdiction specified in a notice contained within the Original Software (except to the\n		   extent applicable law, if any, provides otherwise), excluding such jurisdiction&apos;s\n		   conflict-of-law provisions. Any litigation relating to this License shall be subject to the\n		   jurisdiction of the courts located in the jurisdiction and venue specified in a notice\n		   contained within the Original Software, with the losing party responsible for costs,\n		   including, without limitation, court costs and reasonable attorneys&apos; fees and expenses.\n		   The application of the United Nations Convention on Contracts for the International Sale of\n		   Goods is expressly excluded. Any law or regulation which provides that the language of a\n		   contract shall be consTrued against the drafter shall not apply to this License. You agree\n		   that You alone are responsible for compliance with the United States export administration\n		   regulations (and the export control laws and regulation of any other countries) when You use,\n		   distribute or otherwise make available any Covered Software.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		RESPONSIBILITY FOR CLAIMS.\n		<p>As between Initial Developer and the Contributors, each party is responsible for claims and damages\n		   arising, directly or indirectly, out of its utilization of rights under this License and You agree to\n		   work with Initial Developer and Contributors to distribute such responsibility on an equitable basis.\n		   Nothing herein is intended or shall be deemed to constitute any admission of liability.</p>\n\n		 </li>\n	  \n</ul>\n	"
		self.python_name = "CDDL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class Adobe2006:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Adobe Systems Incorporated(r) Source Code License Agreement\nCopyright(c) 2006 Adobe Systems Incorporated. All rights reserved.\n\nPlease read this Source Code License Agreement carefully before using the source code.\n\nAdobe Systems Incorporated grants to you a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license, to reproduce, prepare derivative works of, publicly display, publicly perform, and distribute this source code and such derivative works in source or object code form without any attribution requirements.\n\nThe name \"Adobe Systems Incorporated\" must not be used to endorse or promote products derived from the source code without prior written permission.\n\nYou agree to indemnify, hold harmless and defend Adobe Systems Incorporated from and against any loss, damage, claims or lawsuits, including attorney's fees that arise or result from your use or distribution of the source code.\n\nTHIS SOURCE CODE IS PROVIDED \"AS IS\" AND \"WITH ALL FAULTS\", WITHOUT ANY TECHNICAL SUPPORT OR ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. ALSO, THERE IS NO WARRANTY OF NON-INFRINGEMENT, TITLE OR QUIET ENJOYMENT. IN NO EVENT SHALL MACROMEDIA OR ITS SUPPLIERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOURCE CODE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Adobe Systems Incorporated(r) Source Code License Agreement\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright(c) 2006 Adobe Systems Incorporated. All rights reserved.  \";match=\".{0,5000}\">>\n\nPlease read this Source Code License Agreement carefully before using the source code.\n\nAdobe Systems Incorporated grants to you a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license, to reproduce, prepare derivative works of, publicly display, publicly perform, and distribute this source code and such derivative works in source or object code form without any attribution requirements.\n\nThe name \"Adobe Systems Incorporated\" must not be used to endorse or promote products derived from the source code without prior written permission.\n\nYou agree to indemnify, hold harmless and defend Adobe Systems Incorporated from and against any loss, damage, claims or lawsuits, including attorney's fees that arise or result from your use or distribution of the source code.\n\nTHIS SOURCE CODE IS PROVIDED \"AS IS\" AND \"WITH ALL FAULTS\", WITHOUT ANY TECHNICAL SUPPORT OR ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. ALSO, THERE IS NO WARRANTY OF NON-INFRINGEMENT, TITLE OR QUIET ENJOYMENT. IN NO EVENT SHALL MACROMEDIA OR ITS SUPPLIERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOURCE CODE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Adobe Systems Incorporated Source Code License Agreement"
		self.licenseId = "Adobe-2006"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/AdobeLicense", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:55Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/AdobeLicense"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Adobe Systems Incorporated(r) Source Code License Agreement</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright(c) 2006 Adobe Systems Incorporated. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Please read this Source Code License Agreement carefully before using the source code.</p>\n\n	  <p>Adobe Systems Incorporated grants to you a perpetual, worldwide, non-exclusive, no-charge, royalty-free,\n		 irrevocable copyright license, to reproduce, prepare derivative works of, publicly display, publicly\n		 perform, and distribute this source code and such derivative works in source or object code form without\n		 any attribution requirements.</p>\n\n	  <p>The name &quot;Adobe Systems Incorporated&quot; must not be used to endorse or promote products derived from the source\n		 code without prior written permission.</p>\n\n	  <p>You agree to indemnify, hold harmless and defend Adobe Systems Incorporated from and against any loss,\n		 damage, claims or lawsuits, including attorney&apos;s fees that arise or result from your use or distribution\n		 of the source code.</p>\n\n	  <p>THIS SOURCE CODE IS PROVIDED &quot;AS IS&quot; AND &quot;WITH ALL FAULTS&quot;, WITHOUT ANY TECHNICAL SUPPORT OR ANY EXPRESSED OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\n		 FOR A PARTICULAR PURPOSE ARE DISCLAIMED. ALSO, THERE IS NO WARRANTY OF NON-INFRINGEMENT, TITLE OR QUIET\n		 ENJOYMENT. IN NO EVENT SHALL MACROMEDIA OR ITS SUPPLIERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n		 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\n		 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n		 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\n		 ARISING IN ANY WAY OUT OF THE USE OF THIS SOURCE CODE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\n		 DAMAGE.</p>\n\n	"
		self.python_name = "Adobe2006"

	def __str__(self):
		return json.dumps(self.__dict__)


class AGPL30only:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU AFFERO GENERAL PUBLIC LICENSE\nVersion 3, 19 November 2007\n\nCopyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n							Preamble\n\nThe GNU Affero General Public License is a free, copyleft license for software and other kinds of works, specifically designed to ensure cooperation with the community in the case of network server software.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works.  By contrast, our General Public Licenses are intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users.\n\nWhen we speak of free software, we are referring to freedom, not price.  Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nDevelopers that use our General Public Licenses protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License which gives you legal permission to copy, distribute and/or modify the software.\n\nA secondary benefit of defending all users' freedom is that improvements made in alternate versions of the program, if they receive widespread use, become available for other developers to incorporate.  Many developers of free software are heartened and encouraged by the resulting cooperation.  However, in the case of software used on network servers, this result may fail to come about. The GNU General Public License permits making a modified version and letting the public access it on a server without ever releasing its source code to the public.\n\nThe GNU Affero General Public License is designed specifically to ensure that, in such cases, the modified source code becomes available to the community.  It requires the operator of a network server to provide the source code of the modified version running there to the users of that server.  Therefore, public use of a modified version, on a publicly accessible server, gives the public access to the source code of the modified version.\n\nAn older license, called the Affero General Public License and published by Affero, was designed to accomplish similar goals.  This is a different license, not a version of the Affero GPL, but Affero has released a new version of the Affero GPL which permits relicensing under this license.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\n					   TERMS AND CONDITIONS\n\n0. Definitions.\n\n\"This License\" refers to version 3 of the GNU Affero General Public License.\n\n\"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n\"The Program\" refers to any copyrightable work licensed under this License.  Each licensee is addressed as \"you\".  \"Licensees\" and \"recipients\" may be individuals or organizations.\n\nTo \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy.  The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\nA \"covered work\" means either the unmodified Program or a work based on the Program.\n\nTo \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy.  Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\nTo \"convey\" a work means any kind of propagation that enables other parties to make or receive copies.  Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\nAn interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License.  If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n1. Source Code.\nThe \"source code\" for a work means the preferred form of the work for making modifications to it.  \"Object code\" means any non-source form of a work.\n\nA \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\nThe \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form.  A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\nThe \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities.  However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work.  For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those\nsubprograms and other parts of the work.\n\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\nThe Corresponding Source for a work in source code form is that same work.\n\n2. Basic Permissions.\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met.  This License explicitly affirms your unlimited permission to run the unmodified Program.  The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work.  This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force.  You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright.  Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\nConveying under any other circumstances is permitted solely under the conditions stated below.  Sublicensing is not allowed; section 10 makes it unnecessary.\n\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n4. Conveying Verbatim Copies.\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n5. Conveying Modified Source Versions.\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	a) The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7.  This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy.  This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged.  This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit.  Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n6. Conveying Non-Source Forms.\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source.  This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge.  You need not require recipients to copy the Corresponding Source along with the object code.  If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source.  Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	e) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\nA \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling.  In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage.  For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product.  A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n\"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source.  The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information.  But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed.  Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n7. Additional Terms.\n\"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law.  If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it.  (Additional permissions may be written to require their own removal in certain cases when you modify the work.)  You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	d) Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\nAll other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10.  If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term.  If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n8. Termination.\n\nYou may not propagate or modify a covered work except as expressly provided under this License.  Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License.  If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n9. Acceptance Not Required for Having Copies.\n\nYou are not required to accept this License in order to receive or run a copy of the Program.  Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance.  However, nothing other than this License grants you permission to propagate or modify any covered work.  These actions infringe copyright if you do not accept this License.  Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n10. Automatic Licensing of Downstream Recipients.\n\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License.  You are not responsible for enforcing compliance by third parties with this License.\n\nAn \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations.  If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License.  For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n11. Patents.\n\nA \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based.  The work thus licensed is called the contributor's \"contributor version\".\n\nA contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version.  For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\nIn the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement).  To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent\nlicense to downstream recipients.  \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\nA patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License.  You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\nNothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n12. No Surrender of Others' Freedom.\n\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License.  If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may\nnot convey it at all.  For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n13. Remote Network Interaction; Use with the GNU General Public License.\n\nNotwithstanding any other provision of this License, if you modify the Program, your modified version must prominently offer all users interacting with it remotely through a computer network (if your version supports such interaction) an opportunity to receive the Corresponding Source of your version by providing access to the Corresponding Source from a network server at no charge, through some standard or customary means of facilitating copying of software.  This Corresponding Source shall include the Corresponding Source for any work covered by version 3 of the GNU General Public License that is incorporated pursuant to the following paragraph.\n\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU General Public License into a single combined work, and to convey the resulting work.  The terms of this License will continue to apply to the part which is the covered work, but the work with which it is combined will remain governed by version 3 of the GNU General Public License.\n\n14. Revised Versions of this License.\n\nThe Free Software Foundation may publish revised and/or new versions of the GNU Affero General Public License from time to time.  Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number.  If the Program specifies that a certain numbered version of the GNU Affero General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation.  If the Program does not specify a version number of the GNU Affero General Public License, you may choose any version ever published by the Free Software Foundation.\n\nIf the Program specifies that a proxy can decide which future versions of the GNU Affero General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\nLater license versions may give you additional or different permissions.  However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n15. Disclaimer of Warranty.\n\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. Limitation of Liability.\n\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n17. Interpretation of Sections 15 and 16.\n\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\nEND OF TERMS AND CONDITIONS\n\n			How to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program.  It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 <one line to give the program's name and a brief idea of what it does.>\n	 Copyright (C) <year>  <name of author>\n\n	 This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more details.\n\n	 You should have received a copy of the GNU Affero General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf your software can interact with users remotely through a computer network, you should also make sure that it provides a way for users to get its source.  For example, if your program is a web application, its interface could display a \"Source\" link that leads users to an archive of the code.  There are many ways you could offer source, and different solutions will be better for different programs; see section 13 for the specific requirements.\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU AGPL, see <http://www.gnu.org/licenses/>.\n"
		self.standardLicenseHeaderTemplate = "Copyright (C) <<var;name=\"copyright\";original=\"[year] [name of author]\";match=\".+\">>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, version 3.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.\n\nYou should have received a copy of the GNU Affero General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU AFFERO GENERAL PUBLIC LICENSE\n\nVersion 3, 19 November 2007\n\n<<endOptional>>\n\nCopyright (C) 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU Affero General Public License is a free, copyleft license for software and other kinds of works, specifically designed to ensure cooperation with the community in the case of network server software.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, our General Public Licenses are intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nDevelopers that use our General Public Licenses protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License which gives you legal permission to copy, distribute and/or modify the software.\n\nA secondary benefit of defending all users' freedom is that improvements made in alternate versions of the program, if they receive widespread use, become available for other developers to incorporate. Many developers of free software are heartened and encouraged by the resulting cooperation. However, in the case of software used on network servers, this result may fail to come about. The GNU General Public License permits making a modified version and letting the public access it on a server without ever releasing its source code to the public.\n\nThe GNU Affero General Public License is designed specifically to ensure that, in such cases, the modified source code becomes available to the community. It requires the operator of a network server to provide the source code of the modified version running there to the users of that server. Therefore, public use of a modified version, on a publicly accessible server, gives the public access to the source code of the modified version.\n\nAn older license, called the Affero General Public License and published by Affero, was designed to accomplish similar goals. This is a different license, not a version of the Affero GPL, but Affero has released a new version of the Affero GPL which permits relicensing under this license.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n   \"This License\" refers to version 3 of the GNU Affero General Public License.\n\n   \"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n   \"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\n   To \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\n   A \"covered work\" means either the unmodified Program or a work based on the Program.\n\n   To \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\n   To \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\n   An interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Source Code.\n\n   The \"source code\" for a work means the preferred form of the work for making modifications to it. \"Object code\" means any non-source form of a work.\n\n   A \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\n   The \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\n   The \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those\n\n   subprograms and other parts of the work.\n\n   The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Basic Permissions.\n\n   All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\n   You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\n   Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n   No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\n   When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Conveying Verbatim Copies.\n\n   You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\n   You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Conveying Modified Source Versions.\n\n   You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\n   A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Conveying Non-Source Forms.\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\n   A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\n   A \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n   \"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\n   If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\n   The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\n   Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Additional Terms.\n\n   \"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\n   When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\n   Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	  <<var;name=\"bullet\";original=\"f)\";match=\".{0,20}\">> Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\n   All other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\n   If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\n   Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination.\n\n   You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Acceptance Not Required for Having Copies.\n\n   You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Automatic Licensing of Downstream Recipients.\n\n   Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\n   An \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\n   You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Patents.\n\n   A \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \"contributor version\".\n\n   A contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\n   Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\n   In the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\n   If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent\n\n   license to downstream recipients. \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\n   If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\n   A patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\n   Nothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> No Surrender of Others' Freedom.\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may\n\n   not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Remote Network Interaction; Use with the GNU General Public License.\n\n   Notwithstanding any other provision of this License, if you modify the Program, your modified version must prominently offer all users interacting with it remotely through a computer network (if your version supports such interaction) an opportunity to receive the Corresponding Source of your version by providing access to the Corresponding Source from a network server at no charge, through some standard or customary means of facilitating copying of software. This Corresponding Source shall include the Corresponding Source for any work covered by version 3 of the GNU General Public License that is incorporated pursuant to the following paragraph.\n\n   Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the work with which it is combined will remain governed by version 3 of the GNU General Public License.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Revised Versions of this License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU Affero General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU Affero General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU Affero General Public License, you may choose any version ever published by the Free Software Foundation.\n\n   If the Program specifies that a proxy can decide which future versions of the GNU Affero General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\n   Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> Limitation of Liability.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"17.\";match=\".{0,20}\">> Interpretation of Sections 15 and 16.\n\n   If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\n   <<beginOptional>>END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.\n\nYou should have received a copy of the GNU Affero General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf your software can interact with users remotely through a computer network, you should also make sure that it provides a way for users to get its source. For example, if your program is a web application, its interface could display a \"Source\" link that leads users to an archive of the code. There are many ways you could offer source, and different solutions will be better for different programs; see section 13 for the specific requirements.\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU AGPL, see <https://www.gnu.org/licenses/>.\n\n<<endOptional>>"
		self.name = "GNU Affero General Public License v3.0 only"
		self.licenseComments = "This version was released: 19 November 2007. This license identifier refers to the choice to use the code under AGPL-3.0-only, as distinguished from use of code under AGPL-3.0-or-later (i.e., AGPL-3.0 or some later version). The license notice (as seen in the Standard License Header field below) states which of these applies to the code in the file. The example in the exhibit to the license shows the license notice for the \"or later\" approach."
		self.licenseId = "AGPL-3.0-only"
		self.standardLicenseHeader = "Copyright (C) [year] [name of author]\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, version 3.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.\n\nYou should have received a copy of the GNU Affero General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/agpl.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:12Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/AGPL-3.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:22:12Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://www.gnu.org/licenses/agpl.txt", "https://opensource.org/licenses/AGPL-3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU AFFERO GENERAL PUBLIC LICENSE<br />\n\n		Version 3, 19 November 2007\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2007 Free Software Foundation, Inc.\n	  &lt;https://fsf.org/&gt;\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The GNU Affero General Public License is a free, copyleft license for\n	  software and other kinds of works, specifically designed to ensure\n	  cooperation with the community in the case of network server software.\n	</p>\n\n	<p>\n	  The licenses for most software and other practical works are\n	  designed to take away your freedom to share and change the\n	  works. By contrast, our General Public Licenses are intended\n	  to guarantee your freedom to share and change all versions of a\n	  program--to make sure it remains free software for all its users.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not\n	  price. Our General Public Licenses are designed to make sure that you\n	  have the freedom to distribute copies of free software (and charge\n	  for them if you wish), that you receive source code or can get it\n	  if you want it, that you can change the software or use pieces of\n	  it in new free programs, and that you know you can do these things.\n	</p>\n\n	<p>\n	  Developers that use our General Public Licenses protect\n	  your rights with two steps: (1) assert copyright on the\n	  software, and (2) offer you this License which gives you legal\n	  permission to copy, distribute and/or modify the software.\n	</p>\n\n	<p>\n	  A secondary benefit of defending all users&apos; freedom is that improvements\n	  made in alternate versions of the program, if they receive widespread\n	  use, become available for other developers to incorporate. Many\n	  developers of free software are heartened and encouraged by the\n	  resulting cooperation. However, in the case of software used on network\n	  servers, this result may fail to come about. The GNU General Public\n	  License permits making a modified version and letting the public access\n	  it on a server without ever releasing its source code to the public.\n	</p>\n\n	<p>\n	  The GNU Affero General Public License is designed specifically\n	  to ensure that, in such cases, the modified source code becomes\n	  available to the community. It requires the operator of a\n	  network server to provide the source code of the modified version\n	  running there to the users of that server. Therefore, public use\n	  of a modified version, on a publicly accessible server, gives\n	  the public access to the source code of the modified version.\n	</p>\n\n	<p>\n	  An older license, called the Affero General Public License and published\n	  by Affero, was designed to accomplish similar goals. This is a different\n	  license, not a version of the Affero GPL, but Affero has released a new\n	  version of the Affero GPL which permits relicensing under this license.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying,\n	  distribution and modification follow.\n	</p>\n\n	<p>\n	  TERMS AND CONDITIONS\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		Definitions.\n		<p>\n		  &quot;This License&quot; refers to version 3 of\n		  the GNU Affero General Public License.\n		</p>\n\n		<p>\n		  &quot;Copyright&quot; also means copyright-like laws that apply\n		  to other kinds of works, such as semiconductor masks.\n		</p>\n\n		<p>\n		  &quot;The Program&quot; refers to any copyrightable work licensed under\n		  this License. Each licensee is addressed as &quot;you&quot;. &quot;Licensees&quot;\n		  and &quot;recipients&quot; may be individuals or organizations.\n		</p>\n\n		<p>\n		  To &quot;modify&quot; a work means to copy from or adapt all or part of the\n		  work in a fashion requiring copyright permission, other than the\n		  making of an exact copy. The resulting work is called a &quot;modified\n		  version&quot; of the earlier work or a work &quot;based on&quot; the earlier work.\n		</p>\n\n		<p>\n		  A &quot;covered work&quot; means either the unmodified\n		  Program or a work based on the Program.\n		</p>\n\n		<p>\n		  To &quot;propagate&quot; a work means to do anything with it that, without\n		  permission, would make you directly or secondarily liable for\n		  infringement under applicable copyright law, except executing it\n		  on a computer or modifying a private copy. Propagation includes\n		  copying, distribution (with or without modification), making available\n		  to the public, and in some countries other activities as well.\n		</p>\n\n		<p>\n		  To &quot;convey&quot; a work means any kind of propagation\n		  that enables other parties to make or receive copies.\n		  Mere interaction with a user through a computer\n		  network, with no transfer of a copy, is not conveying.\n		</p>\n\n		<p>\n		  An interactive user interface displays &quot;Appropriate Legal Notices&quot;\n		  to the extent that it includes a convenient and prominently visible\n		  feature that (1) displays an appropriate copyright notice, and (2)\n		  tells the user that there is no warranty for the work (except to\n		  the extent that warranties are provided), that licensees may convey\n		  the work under this License, and how to view a copy of this License.\n		  If the interface presents a list of user commands or options,\n		  such as a menu, a prominent item in the list meets this criterion.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		Source Code.<br />\n\n		The &quot;source code&quot; for a work means the preferred\n		form of the work for making modifications to it.\n		&quot;Object code&quot; means any non-source form of a work.\n		<p>\n		  A &quot;Standard Interface&quot; means an interface that either is an official\n		  standard defined by a recognized standards body, or, in the case\n		  of interfaces specified for a particular programming language,\n		  one that is widely used among developers working in that language.\n		</p>\n\n		<p>\n		  The &quot;System Libraries&quot; of an executable work include anything, other\n		  than the work as a whole, that (a) is included in the normal form\n		  of packaging a Major Component, but which is not part of that Major\n		  Component, and (b) serves only to enable use of the work with that\n		  Major Component, or to implement a Standard Interface for which an\n		  implementation is available to the public in source code form. A\n		  &quot;Major Component&quot;, in this context, means a major essential component\n		  (kernel, window system, and so on) of the specific operating system\n		  (if any) on which the executable work runs, or a compiler used to\n		  produce the work, or an object code interpreter used to run it.\n		</p>\n\n		<p>\n		  The &quot;Corresponding Source&quot; for a work in object code form means\n		  all the source code needed to generate, install, and (for an\n		  executable work) run the object code and to modify the work,\n		  including scripts to control those activities. However, it does\n		  not include the work&apos;s System Libraries, or general-purpose tools\n		  or generally available free programs which are used unmodified in\n		  performing those activities but which are not part of the work.\n		  For example, Corresponding Source includes interface definition\n		  files associated with source files for the work, and the source\n		  code for shared libraries and dynamically linked subprograms\n		  that the work is specifically designed to require, such as by\n		  intimate data communication or control flow between those<br />\n\n		  subprograms and other parts of the work.\n		</p>\n\n		<p>\n		  The Corresponding Source need not include anything that users can\n		  regenerate automatically from other parts of the Corresponding Source.\n		</p>\n\n		<p>\n		  The Corresponding Source for a work\n		  in source code form is that same work.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		Basic Permissions.<br />\n\n		All rights granted under this License are granted for the term of\n		copyright on the Program, and are irrevocable provided the stated\n		conditions are met. This License explicitly affirms your unlimited\n		permission to run the unmodified Program. The output from running a\n		covered work is covered by this License only if the output, given its\n		content, constitutes a covered work. This License acknowledges your\n		rights of fair use or other equivalent, as provided by copyright law.\n		<p>\n		  You may make, run and propagate covered works that you do not convey,\n		  without conditions so long as your license otherwise remains in force.\n		  You may convey covered works to others for the sole purpose of having\n		  them make modifications exclusively for you, or provide you with\n		  facilities for running those works, provided that you comply with\n		  the terms of this License in conveying all material for which you do\n		  not control copyright. Those thus making or running the covered works\n		  for you must do so exclusively on your behalf, under your direction\n		  and control, on terms that prohibit them from making any copies\n		  of your copyrighted material outside their relationship with you.\n		</p>\n\n		<p>\n		  Conveying under any other circumstances is permitted\n		  solely under the conditions stated below. Sublicensing\n		  is not allowed; section 10 makes it unnecessary.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		Protecting Users&apos; Legal Rights From Anti-Circumvention Law.<br />\n\n		No covered work shall be deemed part of an effective technological\n		measure under any applicable law fulfilling obligations under article\n		11 of the WIPO copyright treaty adopted on 20 December 1996, or\n		similar laws prohibiting or restricting circumvention of such measures.\n		<p>\n		  When you convey a covered work, you waive any legal power to\n		  forbid circumvention of technological measures to the extent\n		  such circumvention is effected by exercising rights under this\n		  License with respect to the covered work, and you disclaim any\n		  intention to limit operation or modification of the work as a means\n		  of enforcing, against the work&apos;s users, your or third parties&apos;\n		  legal rights to forbid circumvention of technological measures.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		Conveying Verbatim Copies.<br />\n\n		You may convey verbatim copies of the Program&apos;s source code as\n		you receive it, in any medium, provided that you conspicuously\n		and appropriately publish on each copy an appropriate copyright\n		notice; keep intact all notices stating that this License and any\n		non-permissive terms added in accord with section 7 apply to the\n		code; keep intact all notices of the absence of any warranty; and\n		give all recipients a copy of this License along with the Program.\n		<p>\n		  You may charge any price or no price for each copy that you\n		  convey, and you may offer support or warranty protection for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		Conveying Modified Source Versions.<br />\n\n		You may convey a work based on the Program, or the modifications to\n		produce it from the Program, in the form of source code under the terms\n		of section 4, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			The work must carry prominent notices stating\n			that you modified it, and giving a relevant date.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			The work must carry prominent notices stating that\n			it is released under this License and any conditions\n			added under section 7. This requirement modifies the\n			requirement in section 4 to &quot;keep intact all notices&quot;.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			You must license the entire work, as a whole, under this License\n			to anyone who comes into possession of a copy. This License\n			will therefore apply, along with any applicable section 7\n			additional terms, to the whole of the work, and all its parts,\n			regardless of how they are packaged. This License gives no\n			permission to license the work in any other way, but it does not\n			invalidate such permission if you have separately received it.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If the work has interactive user interfaces, each must\n			display Appropriate Legal Notices; however, if the Program\n			has interactive interfaces that do not display Appropriate\n			Legal Notices, your work need not make them do so.\n		  </li>\n		\n</ul>\n		<p>\n		  A compilation of a covered work with other separate and independent\n		  works, which are not by their nature extensions of the covered\n		  work, and which are not combined with it such as to form a larger\n		  program, in or on a volume of a storage or distribution medium,\n		  is called an &quot;aggregate&quot; if the compilation and its resulting\n		  copyright are not used to limit the access or legal rights\n		  of the compilation&apos;s users beyond what the individual works\n		  permit. Inclusion of a covered work in an aggregate does not\n		  cause this License to apply to the other parts of the aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Conveying Non-Source Forms.<br />\n\n		You may convey a covered work in object code form\n		under the terms of sections 4 and 5, provided that you\n		also convey the machine-readable Corresponding Source\n		under the terms of this License, in one of these ways:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Convey the object code in, or embodied in, a physical\n			product (including a physical distribution medium),\n			accompanied by the Corresponding Source fixed on a durable\n			physical medium customarily used for software interchange.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Convey the object code in, or embodied in, a physical product\n			(including a physical distribution medium), accompanied by a\n			written offer, valid for at least three years and valid for\n			as long as you offer spare parts or customer support for that\n			product model, to give anyone who possesses the object code\n			either (1) a copy of the Corresponding Source for all the software\n			in the product that is covered by this License, on a durable\n			physical medium customarily used for software interchange,\n			for a price no more than your reasonable cost of physically\n			performing this conveying of source, or (2) access to copy\n			the Corresponding Source from a network server at no charge.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Convey individual copies of the object code with a\n			copy of the written offer to provide the Corresponding\n			Source. This alternative is allowed only occasionally\n			and noncommercially, and only if you received the object\n			code with such an offer, in accord with subsection 6b.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Convey the object code by offering access from a designated place\n			(gratis or for a charge), and offer equivalent access to the\n			Corresponding Source in the same way through the same place at\n			no further charge. You need not require recipients to copy the\n			Corresponding Source along with the object code. If the place\n			to copy the object code is a network server, the Corresponding\n			Source may be on a different server (operated by you or a third\n			party) that supports equivalent copying facilities, provided you\n			maintain clear directions next to the object code saying where\n			to find the Corresponding Source. Regardless of what server hosts\n			the Corresponding Source, you remain obligated to ensure that it\n			is available for as long as needed to satisfy these requirements.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Convey the object code using peer-to-peer transmission,\n			provided you inform other peers where the object code\n			and Corresponding Source of the work are being offered\n			to the general public at no charge under subsection 6d.\n		  </li>\n		\n</ul>\n		<p>\n		  A separable portion of the object code, whose source code is\n		  excluded from the Corresponding Source as a System Library,\n		  need not be included in conveying the object code work.\n		</p>\n\n		<p>\n		  A &quot;User Product&quot; is either (1) a &quot;consumer product&quot;, which means\n		  any tangible personal property which is normally used for personal,\n		  family, or household purposes, or (2) anything designed or sold\n		  for incorporation into a dwelling. In determining whether a product\n		  is a consumer product, doubtful cases shall be resolved in favor\n		  of coverage. For a particular product received by a particular\n		  user, &quot;normally used&quot; refers to a typical or common use of that\n		  class of product, regardless of the status of the particular\n		  user or of the way in which the particular user actually uses,\n		  or expects or is expected to use, the product. A product is a\n		  consumer product regardless of whether the product has substantial\n		  commercial, industrial or non-consumer uses, unless such uses\n		  represent the only significant mode of use of the product.\n		</p>\n\n		<p>\n		  &quot;Installation Information&quot; for a User Product means any methods,\n		  procedures, authorization keys, or other information required\n		  to install and execute modified versions of a covered work in\n		  that User Product from a modified version of its Corresponding\n		  Source. The information must suffice to ensure that the continued\n		  functioning of the modified object code is in no case prevented\n		  or interfered with solely because modification has been made.\n		</p>\n\n		<p>\n		  If you convey an object code work under this section in, or with,\n		  or specifically for use in, a User Product, and the conveying\n		  occurs as part of a transaction in which the right of possession\n		  and use of the User Product is transferred to the recipient in\n		  perpetuity or for a fixed term (regardless of how the transaction\n		  is characterized), the Corresponding Source conveyed under this\n		  section must be accompanied by the Installation Information.\n		  But this requirement does not apply if neither you nor any third\n		  party retains the ability to install modified object code on the\n		  User Product (for example, the work has been installed in ROM).\n		</p>\n\n		<p>\n		  The requirement to provide Installation Information does not\n		  include a requirement to continue to provide support service,\n		  warranty, or updates for a work that has been modified\n		  or installed by the recipient, or for the User Product in\n		  which it has been modified or installed. Access to a network\n		  may be denied when the modification itself materially and\n		  adversely affects the operation of the network or violates\n		  the rules and protocols for communication across the network.\n		</p>\n\n		<p>\n		  Corresponding Source conveyed, and Installation Information\n		  provided, in accord with this section must be in a format that\n		  is publicly documented (and with an implementation available\n		  to the public in source code form), and must require no\n		  special password or key for unpacking, reading or copying.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		Additional Terms.<br />\n\n		&quot;Additional permissions&quot; are terms that supplement the terms of this\n		License by making exceptions from one or more of its conditions.\n		Additional permissions that are applicable to the entire Program\n		shall be treated as though they were included in this License, to\n		the extent that they are valid under applicable law. If additional\n		permissions apply only to part of the Program, that part may be used\n		separately under those permissions, but the entire Program remains\n		governed by this License without regard to the additional permissions.\n		<p>\n		  When you convey a copy of a covered work, you may at your option\n		  remove any additional permissions from that copy, or from any part\n		  of it. (Additional permissions may be written to require their own\n		  removal in certain cases when you modify the work.) You may place\n		  additional permissions on material, added by you to a covered work,\n		  for which you have or can give appropriate copyright permission.\n		</p>\n\n		<p>\n		  Notwithstanding any other provision of this License, for material you\n		  add to a covered work, you may (if authorized by the copyright holders\n		  of that material) supplement the terms of this License with terms:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Disclaiming warranty or limiting liability differently\n			from the terms of sections 15 and 16 of this License; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Requiring preservation of specified reasonable legal\n			notices or author attributions in that material or in the\n			Appropriate Legal Notices displayed by works containing it; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Prohibiting misrepresentation of the origin of that material,\n			or requiring that modified versions of such material be marked\n			in reasonable ways as different from the original version; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Limiting the use for publicity purposes of names\n			of licensors or authors of the material; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Declining to grant rights under trademark law for use\n			of some trade names, trademarks, or service marks; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> f)</var>\n			Requiring indemnification of licensors and authors of that\n			material by anyone who conveys the material (or modified\n			versions of it) with contractual assumptions of liability\n			to the recipient, for any liability that these contractual\n			assumptions directly impose on those licensors and authors.\n		  </li>\n		\n</ul>\n		<p>\n		  All other non-permissive additional terms are considered &quot;further\n		  restrictions&quot; within the meaning of section 10. If the Program\n		  as you received it, or any part of it, contains a notice stating\n		  that it is governed by this License along with a term that is\n		  a further restriction, you may remove that term. If a license\n		  document contains a further restriction but permits relicensing or\n		  conveying under this License, you may add to a covered work material\n		  governed by the terms of that license document, provided that the\n		  further restriction does not survive such relicensing or conveying.\n		</p>\n\n		<p>\n		  If you add terms to a covered work in accord with this\n		  section, you must place, in the relevant source files, a\n		  statement of the additional terms that apply to those files,\n		  or a notice indicating where to find the applicable terms.\n		</p>\n\n		<p>\n		  Additional terms, permissive or non-permissive, may be\n		  stated in the form of a separately written license, or stated\n		  as exceptions; the above requirements apply either way.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		Termination.\n		<p>\n		  You may not propagate or modify a covered work except as\n		  expressly provided under this License. Any attempt otherwise\n		  to propagate or modify it is void, and will automatically\n		  terminate your rights under this License (including any patent\n		  licenses granted under the third paragraph of section 11).\n		</p>\n\n		<p>\n		  However, if you cease all violation of this License, then your\n		  license from a particular copyright holder is reinstated (a)\n		  provisionally, unless and until the copyright holder explicitly\n		  and finally terminates your license, and (b) permanently, if\n		  the copyright holder fails to notify you of the violation by\n		  some reasonable means prior to 60 days after the cessation.\n		</p>\n\n		<p>\n		  Moreover, your license from a particular copyright holder is\n		  reinstated permanently if the copyright holder notifies you\n		  of the violation by some reasonable means, this is the first\n		  time you have received notice of violation of this License\n		  (for any work) from that copyright holder, and you cure the\n		  violation prior to 30 days after your receipt of the notice.\n		</p>\n\n		<p>\n		  Termination of your rights under this section does not\n		  terminate the licenses of parties who have received copies or\n		  rights from you under this License. If your rights have been\n		  terminated and not permanently reinstated, you do not qualify\n		  to receive new licenses for the same material under section 10.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		Acceptance Not Required for Having Copies.\n		<p>\n		  You are not required to accept this License in order to receive or\n		  run a copy of the Program. Ancillary propagation of a covered work\n		  occurring solely as a consequence of using peer-to-peer transmission\n		  to receive a copy likewise does not require acceptance. However,\n		  nothing other than this License grants you permission to propagate\n		  or modify any covered work. These actions infringe copyright if you\n		  do not accept this License. Therefore, by modifying or propagating a\n		  covered work, you indicate your acceptance of this License to do so.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		Automatic Licensing of Downstream Recipients.\n		<p>\n		  Each time you convey a covered work, the recipient automatically\n		  receives a license from the original licensors, to run, modify and\n		  propagate that work, subject to this License. You are not responsible\n		  for enforcing compliance by third parties with this License.\n		</p>\n\n		<p>\n		  An &quot;entity transaction&quot; is a transaction transferring control of\n		  an organization, or substantially all assets of one, or subdividing\n		  an organization, or merging organizations. If propagation of a\n		  covered work results from an entity transaction, each party to that\n		  transaction who receives a copy of the work also receives whatever\n		  licenses to the work the party&apos;s predecessor in interest had or could\n		  give under the previous paragraph, plus a right to possession of the\n		  Corresponding Source of the work from the predecessor in interest,\n		  if the predecessor has it or can get it with reasonable efforts.\n		</p>\n\n		<p>\n		  You may not impose any further restrictions on the exercise of the\n		  rights granted or affirmed under this License. For example, you\n		  may not impose a license fee, royalty, or other charge for exercise\n		  of rights granted under this License, and you may not initiate\n		  litigation (including a cross-claim or counterclaim in a lawsuit)\n		  alleging that any patent claim is infringed by making, using, selling,\n		  offering for sale, or importing the Program or any portion of it.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		Patents.\n		<p>\n		  A &quot;contributor&quot; is a copyright holder who authorizes use under this\n		  License of the Program or a work on which the Program is based. The\n		  work thus licensed is called the contributor&apos;s &quot;contributor version&quot;.\n		</p>\n\n		<p>\n		  A contributor&apos;s &quot;essential patent claims&quot; are all patent\n		  claims owned or controlled by the contributor, whether already\n		  acquired or hereafter acquired, that would be infringed by some\n		  manner, permitted by this License, of making, using, or selling\n		  its contributor version, but do not include claims that would\n		  be infringed only as a consequence of further modification\n		  of the contributor version. For purposes of this definition,\n		  &quot;control&quot; includes the right to grant patent sublicenses in\n		  a manner consistent with the requirements of this License.\n		</p>\n\n		<p>\n		  Each contributor grants you a non-exclusive, worldwide, royalty-free\n		  patent license under the contributor&apos;s essential patent claims,\n		  to make, use, sell, offer for sale, import and otherwise run,\n		  modify and propagate the contents of its contributor version.\n		</p>\n\n		<p>\n		  In the following three paragraphs, a &quot;patent license&quot; is any\n		  express agreement or commitment, however denominated, not to\n		  enforce a patent (such as an express permission to practice\n		  a patent or covenant not to sue for patent infringement). To\n		  &quot;grant&quot; such a patent license to a party means to make such an\n		  agreement or commitment not to enforce a patent against the party.\n		</p>\n\n		<p>\n		  If you convey a covered work, knowingly relying on a patent\n		  license, and the Corresponding Source of the work is not available\n		  for anyone to copy, free of charge and under the terms of this\n		  License, through a publicly available network server or other\n		  readily accessible means, then you must either (1) cause the\n		  Corresponding Source to be so available, or (2) arrange to\n		  deprive yourself of the benefit of the patent license for this\n		  particular work, or (3) arrange, in a manner consistent with\n		  the requirements of this License, to extend the patent<br />\n\n		  license to downstream recipients. &quot;Knowingly relying&quot; means you have\n		  actual knowledge that, but for the patent license, your conveying\n		  the covered work in a country, or your recipient&apos;s use of the\n		  covered work in a country, would infringe one or more identifiable\n		  patents in that country that you have reason to believe are valid.\n		</p>\n\n		<p>\n		  If, pursuant to or in connection with a single transaction or\n		  arrangement, you convey, or propagate by procuring conveyance\n		  of, a covered work, and grant a patent license to some of the\n		  parties receiving the covered work authorizing them to use,\n		  propagate, modify or convey a specific copy of the covered work,\n		  then the patent license you grant is automatically extended\n		  to all recipients of the covered work and works based on it.\n		</p>\n\n		<p>\n		  A patent license is &quot;discriminatory&quot; if it does not include within the\n		  scope of its coverage, prohibits the exercise of, or is conditioned\n		  on the non-exercise of one or more of the rights that are specifically\n		  granted under this License. You may not convey a covered work if\n		  you are a party to an arrangement with a third party that is in the\n		  business of distributing software, under which you make payment to\n		  the third party based on the extent of your activity of conveying\n		  the work, and under which the third party grants, to any of the\n		  parties who would receive the covered work from you, a discriminatory\n		  patent license (a) in connection with copies of the covered work\n		  conveyed by you (or copies made from those copies), or (b) primarily\n		  for and in connection with specific products or compilations that\n		  contain the covered work, unless you entered into that arrangement,\n		  or that patent license was granted, prior to 28 March 2007.\n		</p>\n\n		<p>\n		  Nothing in this License shall be consTrued as excluding or\n		  limiting any implied license or other defenses to infringement\n		  that may otherwise be available to you under applicable patent law.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		No Surrender of Others&apos; Freedom.\n		<p>\n		  If conditions are imposed on you (whether by court order,\n		  agreement or otherwise) that contradict the conditions of this\n		  License, they do not excuse you from the conditions of this\n		  License. If you cannot convey a covered work so as to satisfy\n		  simultaneously your obligations under this License and any other\n		  pertinent obligations, then as a consequence you may<br />\n\n		  not convey it at all. For example, if you agree to terms\n		  that obligate you to collect a royalty for further conveying\n		  from those to whom you convey the Program, the only\n		  way you could satisfy both those terms and this License\n		  would be to refrain entirely from conveying the Program.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 13.</var>\n		Remote Network Interaction; Use with the GNU General Public License.\n		<p>\n		  Notwithstanding any other provision of this License, if you modify\n		  the Program, your modified version must prominently offer all users\n		  interacting with it remotely through a computer network (if your\n		  version supports such interaction) an opportunity to receive the\n		  Corresponding Source of your version by providing access to the\n		  Corresponding Source from a network server at no charge, through\n		  some standard or customary means of facilitating copying of\n		  software. This Corresponding Source shall include the Corresponding\n		  Source for any work covered by version 3 of the GNU General Public\n		  License that is incorporated pursuant to the following paragraph.\n		</p>\n\n		<p>\n		  Notwithstanding any other provision of this License, you have\n		  permission to link or combine any covered work with a work\n		  licensed under version 3 of the GNU General Public License into\n		  a single combined work, and to convey the resulting work. The\n		  terms of this License will continue to apply to the part which\n		  is the covered work, but the work with which it is combined will\n		  remain governed by version 3 of the GNU General Public License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 14.</var>\n		Revised Versions of this License.\n		<p>\n		  The Free Software Foundation may publish revised and/or new versions\n		  of the GNU Affero General Public License from time to time. Such\n		  new versions will be similar in spirit to the present version,\n		  but may differ in detail to address new problems or concerns.\n		</p>\n\n		<p>\n		  Each version is given a distinguishing version number. If the\n		  Program specifies that a certain numbered version of the GNU\n		  Affero General Public License &quot;or any later version&quot; applies to\n		  it, you have the option of following the terms and conditions\n		  either of that numbered version or of any later version published\n		  by the Free Software Foundation. If the Program does not specify\n		  a version number of the GNU Affero General Public License, you may\n		  choose any version ever published by the Free Software Foundation.\n		</p>\n\n		<p>\n		  If the Program specifies that a proxy can decide which future\n		  versions of the GNU Affero General Public License can be\n		  used, that proxy&apos;s public statement of acceptance of a version\n		  permanently authorizes you to choose that version for the Program.\n		</p>\n\n		<p>\n		  Later license versions may give you additional or\n		  different permissions. However, no additional obligations\n		  are imposed on any author or copyright holder as a\n		  result of your choosing to follow a later version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 15.</var>\n		Disclaimer of Warranty.\n		<p>\n		  THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED\n		  BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING\n		  THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM\n		  &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR\n		  IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\n		  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE\n		  ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM\n		  IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME\n		  THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 16.</var>\n		Limitation of Liability.\n		<p>\n		  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		  WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR\n		  CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\n		  INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n		  ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING\n		  BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE\n		  OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\n		  PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		  OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 17.</var>\n		Interpretation of Sections 15 and 16.\n	<p>\n	  If the disclaimer of warranty and limitation of liability\n	  provided above cannot be given local legal effect according to\n	  their terms, reviewing courts shall apply local law that most\n	  closely approximates an absolute waiver of all civil liability in\n	  connection with the Program, unless a warranty or assumption of\n	  liability accompanies a copy of the Program in return for a fee.\n	</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Programs\n	  </p>\n\n	  <p>\n		If you develop a new program, and you want it to be\n		of the greatest possible use to the public, the best\n		way to achieve this is to make it free software which\n		everyone can redistribute and change under these terms.\n	  </p>\n\n	  <p>\n		To do so, attach the following notices to the program. It is safest\n		to attach them to the start of each source file to most effectively\n		state the exclusion of warranty; and each file should have at least\n		the &quot;copyright&quot; line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		&lt;one line to give the program&apos;s name and\n		a brief idea of what it does.&gt;<br />\n\n		Copyright (C) &lt;year&gt; &lt;name of author&gt;\n	  </p>\n\n	  <p>\n		This program is free software: you can redistribute it and/or\n		modify it under the terms of the GNU Affero General Public\n		License as published by the Free Software Foundation, either\n		version 3 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be useful,\n		but WITHOUT ANY WARRANTY; without even the implied warranty\n		of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n		See the GNU Affero General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU Affero General\n\tPublic License along with this program. If not, see\n\t&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	  <p>\n		Also add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		If your software can interact with users remotely through a\n		computer network, you should also make sure that it provides a\n		way for users to get its source. For example, if your program is\n		a web application, its interface could display a &quot;Source&quot; link\n		that leads users to an archive of the code. There are many ways\n		you could offer source, and different solutions will be better for\n		different programs; see section 13 for the specific requirements.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the program, if necessary. For more information on this,\n\tand how to apply and follow the GNU AGPL, see\n\t&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (C) <var class=\"replaceable-license-text\"> [year] [name of author]</var>\n	  <p>\n\tThis program is free software: you can redistribute it and/or modify it\n		under the terms of the GNU Affero General Public License as published\n\tby the Free Software Foundation, version 3.</p>\n\n	  <p>\n		This program is distributed in the hope that it will be useful,\n\tbut WITHOUT ANY WARRANTY; without even the implied warranty of\n\tMERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the\n\tGNU Affero General Public License for more details.</p>\n\n	  <p>\n		You should have received a copy of the GNU Affero General Public License\n		along with this program. If not, see\n\t	  &lt;https://www.gnu.org/licenses/&gt;.</p>\n\n	"
		self.python_name = "AGPL30only"

	def __str__(self):
		return json.dumps(self.__dict__)


class AMPAS:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2006 Academy of Motion Picture Arts and Sciences (\"A.M.P.A.S.\"). Portions contributed by others as indicated. All rights reserved.\n\nA world-wide, royalty-free, non-exclusive right to distribute, copy, modify, create derivatives, and use, in source and binary forms, is hereby granted, subject to acceptance of this license. Performance of any of the aforementioned acts indicates acceptance to be bound by the following terms and conditions:\n\n	 * Redistributions of source code must retain the above copyright notice, this list of conditions and the Disclaimer of Warranty.\n\n	 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the Disclaimer of Warranty in the documentation and/or other materials provided with the distribution.\n\n	 * Nothing in this license shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of A.M.P.A.S. or any contributors, except as expressly stated herein, and neither the name of A.M.P.A.S. nor of any other contributors to this software, may be used to endorse or promote products derived from this software without specific prior written permission of A.M.P.A.S. or contributor, as appropriate.\n\nThis license shall be governed by the laws of the State of California, and subject to the jurisdiction of the courts therein.\n\nDisclaimer of Warranty: THIS SOFTWARE IS PROVIDED BY A.M.P.A.S. AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL A.M.P.A.S., ANY CONTRIBUTORS OR DISTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2006 Academy of Motion Picture Arts and Sciences (\"A.M.P.A.S.\"). Portions contributed by others as indicated. All rights reserved.  \";match=\".{0,5000}\">>\n\nA world-wide, royalty-free, non-exclusive right to distribute, copy, modify, create derivatives, and use, in source and binary forms, is hereby granted, subject to acceptance of this license. Performance of any of the aforementioned acts indicates acceptance to be bound by the following terms and conditions:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the Disclaimer of Warranty.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the Disclaimer of Warranty in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Nothing in this license shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of A.M.P.A.S. or any contributors, except as expressly stated herein, and neither the name of A.M.P.A.S. nor of any other contributors to this software, may be used to endorse or promote products derived from this software without specific prior written permission of A.M.P.A.S. or contributor, as appropriate.\n\nThis license shall be governed by the laws of the State of California, and subject to the jurisdiction of the courts therein.\n\nDisclaimer of Warranty: THIS SOFTWARE IS PROVIDED BY A.M.P.A.S. AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL A.M.P.A.S., ANY CONTRIBUTORS OR DISTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Academy of Motion Picture Arts and Sciences BSD"
		self.licenseId = "AMPAS"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/BSD#AMPASBSD", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:31Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/BSD#AMPASBSD"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2006 Academy of Motion Picture Arts and Sciences (&quot;A.M.P.A.S.&quot;). Portions contributed by\n		 others as indicated. All rights reserved.</p>\n\n	  </div>\n\n	  <p>A world-wide, royalty-free, non-exclusive right to distribute, copy, modify, create derivatives, and use,\n		 in source and binary forms, is hereby granted, subject to acceptance of this license. Performance of\n		 any of the aforementioned acts indicates acceptance to be bound by the following terms and\n		 conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the Disclaimer of Warranty.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the Disclaimer of Warranty in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Nothing in this license shall be deemed to grant any rights to trademarks, copyrights, patents,\n			 trade secrets or any other intellectual property of A.M.P.A.S. or any contributors, except as\n			 expressly stated herein, and neither the name of A.M.P.A.S. nor of any other contributors to\n			 this software, may be used to endorse or promote products derived from this software without\n			 specific prior written permission of A.M.P.A.S. or contributor, as appropriate.\n		</li>\n	  \n</ul>\n	  <p>This license shall be governed by the laws of the State of California, and subject to the jurisdiction of\n		 the courts therein.</p>\n\n	  <p>Disclaimer of Warranty: THIS SOFTWARE IS PROVIDED BY A.M.P.A.S. AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS\n		 OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,\n		 FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL A.M.P.A.S.,\n		 ANY CONTRIBUTORS OR DISTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\n		 OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n		 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\n		 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING\n		 IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "AMPAS"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL30plus:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "GNU GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n   0. Definitions.\n\n   \"This License\" refers to version 3 of the GNU General Public License.\n\n   \"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n   \"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\n   To \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\n   A \"covered work\" means either the unmodified Program or a work based on the Program.\n\n   To \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\n   To \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\n   An interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n   1. Source Code.\n\n   The \"source code\" for a work means the preferred form of the work for making modifications to it. \"Object code\" means any non-source form of a work.\n\n   A \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\n   The \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\n   The \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\n   The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   2. Basic Permissions.\n\n   All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\n   You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\n   Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   3. Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n   No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\n   When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n   4. Conveying Verbatim Copies.\n\n   You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\n   You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n   5. Conveying Modified Source Versions.\n\n   You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	  a) The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	  b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	  c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	  d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\n   A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n   6. Conveying Non-Source Forms.\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	  a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	  b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	  c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	  d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	  e) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\n   A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\n   A \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n   \"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\n   If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\n   The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\n   Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n   7. Additional Terms.\n\n   \"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\n   When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\n   Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	  a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	  b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	  c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	  d) Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	  e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	  f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\n   All other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\n   If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\n   Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n   8. Termination.\n\n   You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n   9. Acceptance Not Required for Having Copies.\n\n   You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n   10. Automatic Licensing of Downstream Recipients.\n\n   Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\n   An \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\n   You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n   11. Patents.\n\n   A \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \"contributor version\".\n\n   A contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\n   Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\n   In the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\n   If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\n   If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\n   A patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\n   Nothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n   12. No Surrender of Others' Freedom.\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n   13. Use with the GNU Affero General Public License.\n\n   Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n   14. Revised Versions of this License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\n   If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\n   Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n   15. Disclaimer of Warranty.\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   16. Limitation of Liability.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   17. Interpretation of Sections 15 and 16.\n\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n<program> Copyright (C) <year> <name of author>\n\nThis program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n\nThis is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \"about box\".\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <https://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <https://www.gnu.org/ licenses /why-not-lgpl.html>.\n\n"
		self.standardLicenseHeaderTemplate = "<<var;name=\"description\";original=\"<one line to give the program's name and a brief idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"<year> <name of author>\";match=\".+\">>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\n<<endOptional>>\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n   \"This License\" refers to version 3 of the GNU General Public License.\n\n   \"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n   \"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\n   To \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\n   A \"covered work\" means either the unmodified Program or a work based on the Program.\n\n   To \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\n   To \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\n   An interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Source Code.\n\n   The \"source code\" for a work means the preferred form of the work for making modifications to it. \"Object code\" means any non-source form of a work.\n\n   A \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\n   The \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\n   The \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\n   The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Basic Permissions.\n\n   All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\n   You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\n   Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n   No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\n   When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Conveying Verbatim Copies.\n\n   You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\n   You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Conveying Modified Source Versions.\n\n   You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\n   A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Conveying Non-Source Forms.\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\n   A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\n   A \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n   \"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\n   If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\n   The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\n   Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Additional Terms.\n\n   \"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\n   When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\n   Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	  <<var;name=\"bullet\";original=\"f)\";match=\".{0,20}\">> Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\n   All other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\n   If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\n   Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination.\n\n   You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Acceptance Not Required for Having Copies.\n\n   You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Automatic Licensing of Downstream Recipients.\n\n   Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\n   An \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\n   You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Patents.\n\n   A \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \"contributor version\".\n\n   A contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\n   Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\n   In the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\n   If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\n   If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\n   A patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\n   Nothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> No Surrender of Others' Freedom.\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Use with the GNU Affero General Public License.\n\n   Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Revised Versions of this License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\n   If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\n   Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> Limitation of Liability.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"17.\";match=\".{0,20}\">> Interpretation of Sections 15 and 16.\n\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\n<<beginOptional>>END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<var;name=\"description\";original=\"<one line to give the program's name and a brief idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"<year> <name of author>\";match=\".+\">>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n<program> Copyright (C) <year> <name of author>\n\nThis program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n\nThis is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \"about box\".\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <https://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <https://www.gnu.org/ <<var;name=\"philicenses\";original=\"licenses\";match=\"philosophy|licenses\">> /why-not-lgpl.html>.\n\n<<endOptional>>"
		self.name = "GNU General Public License v3.0 or later"
		self.licenseId = "GPL-3.0+"
		self.standardLicenseHeader = "<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/gpl-3.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:54Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/GPL-3.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:54Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://www.gnu.org/licenses/gpl-3.0-standalone.html", "https://opensource.org/licenses/GPL-3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>GNU GENERAL PUBLIC LICENSE\n		<br />\n\nVersion 3, 29 June 2007\n	  </p>\n\n	  </div>\n	  <p>Copyright \u00a9 2007 Free Software Foundation, Inc. &lt;https://fsf.org/&gt;</p>\n\n	  <p>Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is\n		 not allowed.</p>\n\n	  <p>Preamble</p>\n\n	  <p>The GNU General Public License is a free, copyleft license for software and other kinds of works.</p>\n\n	  <p>The licenses for most software and other practical works are designed to take away your freedom to share\n		 and change the works. By contrast, the GNU General Public License is intended to guarantee your\n		 freedom to share and change all versions of a program--to make sure it remains free software for all\n		 its users. We, the Free Software Foundation, use the GNU General Public License for most of our\n		 software; it applies also to any other work released this way by its authors. You can apply it to your\n		 programs, too.</p>\n\n	  <p>When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are\n		 designed to make sure that you have the freedom to distribute copies of free software (and charge for\n		 them if you wish), that you receive source code or can get it if you want it, that you can change the\n		 software or use pieces of it in new free programs, and that you know you can do these things.</p>\n\n	  <p>To protect your rights, we need to prevent others from denying you these rights or asking you to\n		 surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the\n		 software, or if you modify it: responsibilities to respect the freedom of others.</p>\n\n	  <p>For example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to\n		 the recipients the same freedoms that you received. You must make sure that they, too, receive or can\n		 get the source code. And you must show them these terms so they know their rights.</p>\n\n	  <p>Developers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software,\n		 and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.</p>\n\n	  <p>For the developers&apos; and authors&apos; protection, the GPL clearly explains that there is no warranty\n		 for this free software. For both users&apos; and authors&apos; sake, the GPL requires that modified\n		 versions be marked as changed, so that their problems will not be attributed erroneously to authors of\n		 previous versions.</p>\n\n	  <p>Some devices are designed to deny users access to install or run modified versions of the software inside\n		 them, although the manufacturer can do so. This is fundamentally incompatible with the aim of\n		 protecting users&apos; freedom to change the software. The systematic pattern of such abuse occurs in\n		 the area of products for individuals to use, which is precisely where it is most unacceptable.\n		 Therefore, we have designed this version of the GPL to prohibit the practice for those products. If\n		 such problems arise substantially in other domains, we stand ready to extend this provision to those\n		 domains in future versions of the GPL, as needed to protect the freedom of users.</p>\n\n	  <p>Finally, every program is threatened constantly by software patents. States should not allow patents to\n		 restrict development and use of software on general-purpose computers, but in those that do, we wish\n		 to avoid the special danger that patents applied to a free program could make it effectively\n		 proprietary. To prevent this, the GPL assures that patents cannot be used to render the program\n		 non-free.</p>\n\n	  <p>The precise terms and conditions for copying, distribution and modification follow.</p>\n\n	  <p>TERMS AND CONDITIONS</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  Definitions.\n		  <p>&quot;This License&quot; refers to version 3 of the GNU General Public License.</p>\n\n			<p>&quot;Copyright&quot; also means copyright-like laws that apply to other kinds of works, such\n			 as semiconductor masks.</p>\n\n			<p>&quot;The Program&quot; refers to any copyrightable work licensed under this License. Each\n			 licensee is addressed as &quot;you&quot;. &quot;Licensees&quot; and\n			 &quot;recipients&quot; may be individuals or organizations.</p>\n\n			<p>To &quot;modify&quot; a work means to copy from or adapt all or part of the work in a fashion\n			 requiring copyright permission, other than the making of an exact copy. The resulting work is\n			 called a &quot;modified version&quot; of the earlier work or a work &quot;based\n			 on&quot; the earlier work.</p>\n\n			<p>A &quot;covered work&quot; means either the unmodified Program or a work based on the Program.</p>\n\n			<p>To &quot;propagate&quot; a work means to do anything with it that, without permission, would\n			 make you directly or secondarily liable for infringement under applicable copyright law,\n			 except executing it on a computer or modifying a private copy. Propagation includes copying,\n			 distribution (with or without modification), making available to the public, and in some\n			 countries other activities as well.</p>\n\n			<p>To &quot;convey&quot; a work means any kind of propagation that enables other parties to make\n			 or receive copies. Mere interaction with a user through a computer network, with no transfer\n			 of a copy, is not conveying.</p>\n\n			<p>An interactive user interface displays &quot;Appropriate Legal Notices&quot; to the extent\n			 that it includes a convenient and prominently visible feature that (1) displays an appropriate\n			 copyright notice, and (2) tells the user that there is no warranty for the work (except to the\n			 extent that warranties are provided), that licensees may convey the work under this License,\n			 and how to view a copy of this License. If the interface presents a list of user commands or\n			 options, such as a menu, a prominent item in the list meets this criterion.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Source Code.\n			<br />\n\n   The &quot;source code&quot; for a work means the preferred form of the work for making\n				 modifications to it. &quot;Object code&quot; means any non-source form of a work.\n\n		  <p>A &quot;Standard Interface&quot; means an interface that either is an official standard\n			 defined by a recognized standards body, or, in the case of interfaces specified for a\n			 particular programming language, one that is widely used among developers working in that\n			 language.</p>\n\n			<p>The &quot;System Libraries&quot; of an executable work include anything, other than the work\n			 as a whole, that (a) is included in the normal form of packaging a Major Component, but which\n			 is not part of that Major Component, and (b) serves only to enable use of the work with that\n			 Major Component, or to implement a Standard Interface for which an implementation is available\n			 to the public in source code form. A &quot;Major Component&quot;, in this context, means a\n			 major essential component (kernel, window system, and so on) of the specific operating system\n			 (if any) on which the executable work runs, or a compiler used to produce the work, or an\n			 object code interpreter used to run it.</p>\n\n			<p>The &quot;Corresponding Source&quot; for a work in object code form means all the source code\n			 needed to generate, install, and (for an executable work) run the object code and to modify\n			 the work, including scripts to control those activities. However, it does not include the\n			 work&apos;s System Libraries, or general-purpose tools or generally available free programs\n			 which are used unmodified in performing those activities but which are not part of the work.\n			 For example, Corresponding Source includes interface definition files associated with source\n			 files for the work, and the source code for shared libraries and dynamically linked\n			 subprograms that the work is specifically designed to require, such as by intimate data\n			 communication or control flow between those subprograms and other parts of the work.</p>\n\n			<p>The Corresponding Source need not include anything that users can regenerate automatically from\n			 other parts of the Corresponding Source.</p>\n\n			<p>The Corresponding Source for a work in source code form is that same work.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Basic Permissions.\n			<br />\n\n   All rights granted under this License are granted for the term of copyright on the Program,\n				 and are irrevocable provided the stated conditions are met. This License explicitly\n				 affirms your unlimited permission to run the unmodified Program. The output from\n				 running a covered work is covered by this License only if the output, given its\n				 content, constitutes a covered work. This License acknowledges your rights of fair use\n				 or other equivalent, as provided by copyright law.\n\n		  <p>You may make, run and propagate covered works that you do not convey, without conditions so long\n			 as your license otherwise remains in force. You may convey covered works to others for the\n			 sole purpose of having them make modifications exclusively for you, or provide you with\n			 facilities for running those works, provided that you comply with the terms of this License in\n			 conveying all material for which you do not control copyright. Those thus making or running\n			 the covered works for you must do so exclusively on your behalf, under your direction and\n			 control, on terms that prohibit them from making any copies of your copyrighted material\n			 outside their relationship with you.</p>\n\n			<p>Conveying under any other circumstances is permitted solely under the conditions stated below.\n			 Sublicensing is not allowed; section 10 makes it unnecessary.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Protecting Users&apos; Legal Rights From Anti-Circumvention Law.\n			<br />\n\n   No covered work shall be deemed part of an effective technological measure under any\n				 applicable law fulfilling obligations under article 11 of the WIPO copyright treaty\n				 adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention\n				 of such measures.\n\n		  <p>When you convey a covered work, you waive any legal power to forbid circumvention of\n			 technological measures to the extent such circumvention is effected by exercising rights under\n			 this License with respect to the covered work, and you disclaim any intention to limit\n			 operation or modification of the work as a means of enforcing, against the work&apos;s users,\n			 your or third parties&apos; legal rights to forbid circumvention of technological\n			 measures.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Conveying Verbatim Copies.\n			<br />\n\n   You may convey verbatim copies of the Program&apos;s source code as you receive it, in any\n				 medium, provided that you conspicuously and appropriately publish on each copy an\n				 appropriate copyright notice; keep intact all notices stating that this License and\n				 any non-permissive terms added in accord with section 7 apply to the code; keep intact\n				 all notices of the absence of any warranty; and give all recipients a copy of this\n				 License along with the Program.\n\n		  <p>You may charge any price or no price for each copy that you convey, and you may offer support or\n			 warranty protection for a fee.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Conveying Modified Source Versions.\n			<br />\n\n   You may convey a work based on the Program, or the modifications to produce it from the\n				 Program, in the form of source code under the terms of section 4, provided that you\n				 also meet all of these conditions:\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			The work must carry prominent notices stating that you modified it, and giving a relevant date.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			The work must carry prominent notices stating that it is released under this License and any\n			   conditions added under section 7. This requirement modifies the requirement in section 4\n			   to &quot;keep intact all notices&quot;.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			You must license the entire work, as a whole, under this License to anyone who comes into\n			   possession of a copy. This License will therefore apply, along with any applicable section\n			   7 additional terms, to the whole of the work, and all its parts, regardless of how they\n			   are packaged. This License gives no permission to license the work in any other way, but\n			   it does not invalidate such permission if you have separately received it.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			If the work has interactive user interfaces, each must display Appropriate Legal Notices;\n			   however, if the Program has interactive interfaces that do not display Appropriate Legal\n			   Notices, your work need not make them do so.\n		  </li>\n			\n</ul>\n			<p>A compilation of a covered work with other separate and independent works, which are not by\n			   their nature extensions of the covered work, and which are not combined with it such as to\n			   form a larger program, in or on a volume of a storage or distribution medium, is called an\n			   &quot;aggregate&quot; if the compilation and its resulting copyright are not used to\n			   limit the access or legal rights of the compilation&apos;s users beyond what the\n			   individual works permit. Inclusion of a covered work in an aggregate does not cause this\n			   License to apply to the other parts of the aggregate.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Conveying Non-Source Forms.\n			<br />\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5,\n				 provided that you also convey the machine-readable Corresponding Source under the\n				 terms of this License, in one of these ways:\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			Convey the object code in, or embodied in, a physical product (including a physical\n			   distribution medium), accompanied by the Corresponding Source fixed on a durable physical\n			   medium customarily used for software interchange.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			Convey the object code in, or embodied in, a physical product (including a physical\n			   distribution medium), accompanied by a written offer, valid for at least three years and\n			   valid for as long as you offer spare parts or customer support for that product model, to\n			   give anyone who possesses the object code either (1) a copy of the Corresponding Source\n			   for all the software in the product that is covered by this License, on a durable physical\n			   medium customarily used for software interchange, for a price no more than your reasonable\n			   cost of physically performing this conveying of source, or (2) access to copy the\n			   Corresponding Source from a network server at no charge.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			Convey individual copies of the object code with a copy of the written offer to provide the\n			   Corresponding Source. This alternative is allowed only occasionally and noncommercially,\n			   and only if you received the object code with such an offer, in accord with subsection\n			   6b.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			Convey the object code by offering access from a designated place (gratis or for a charge),\n			   and offer equivalent access to the Corresponding Source in the same way through the same\n			   place at no further charge. You need not require recipients to copy the Corresponding\n			   Source along with the object code. If the place to copy the object code is a network\n			   server, the Corresponding Source may be on a different server (operated by you or a third\n			   party) that supports equivalent copying facilities, provided you maintain clear directions\n			   next to the object code saying where to find the Corresponding Source. Regardless of what\n			   server hosts the Corresponding Source, you remain obligated to ensure that it is available\n			   for as long as needed to satisfy these requirements.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			Convey the object code using peer-to-peer transmission, provided you inform other peers where\n			   the object code and Corresponding Source of the work are being offered to the general\n			   public at no charge under subsection 6d.\n		  </li>\n			\n</ul>\n			<p>A separable portion of the object code, whose source code is excluded from the Corresponding\n			   Source as a System Library, need not be included in conveying the object code work.</p>\n\n			<p>A &quot;User Product&quot; is either (1) a &quot;consumer product&quot;, which means\n			   any tangible personal property which is normally used for personal, family, or household\n			   purposes, or (2) anything designed or sold for incorporation into a dwelling. In\n			   determining whether a product is a consumer product, doubtful cases shall be resolved in\n			   favor of coverage. For a particular product received by a particular user,\n			   &quot;normally used&quot; refers to a typical or common use of that class of product,\n			   regardless of the status of the particular user or of the way in which the particular user\n			   actually uses, or expects or is expected to use, the product. A product is a consumer\n			   product regardless of whether the product has substantial commercial, industrial or\n			   non-consumer uses, unless such uses represent the only significant mode of use of the\n			   product.</p>\n\n			<p>&quot;Installation Information&quot; for a User Product means any methods, procedures,\n			   authorization keys, or other information required to install and execute modified versions\n			   of a covered work in that User Product from a modified version of its Corresponding\n			   Source. The information must suffice to ensure that the continued functioning of the\n			   modified object code is in no case prevented or interfered with solely because\n			   modification has been made.</p>\n\n			<p>If you convey an object code work under this section in, or with, or specifically for use in,\n			   a User Product, and the conveying occurs as part of a transaction in which the right of\n			   possession and use of the User Product is transferred to the recipient in perpetuity or\n			   for a fixed term (regardless of how the transaction is characterized), the Corresponding\n			   Source conveyed under this section must be accompanied by the Installation Information.\n			   But this requirement does not apply if neither you nor any third party retains the ability\n			   to install modified object code on the User Product (for example, the work has been\n			   installed in ROM).</p>\n\n			<p>The requirement to provide Installation Information does not include a requirement to\n			   continue to provide support service, warranty, or updates for a work that has been\n			   modified or installed by the recipient, or for the User Product in which it has been\n			   modified or installed. Access to a network may be denied when the modification itself\n			   materially and adversely affects the operation of the network or violates the rules and\n			   protocols for communication across the network.</p>\n\n			<p>Corresponding Source conveyed, and Installation Information provided, in accord with this\n			   section must be in a format that is publicly documented (and with an implementation\n			   available to the public in source code form), and must require no special password or key\n			   for unpacking, reading or copying.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Additional Terms.\n			<br />\n\n   &quot;Additional permissions&quot; are terms that supplement the terms of this License\n				 by making exceptions from one or more of its conditions. Additional permissions that\n				 are applicable to the entire Program shall be treated as though they were included in\n				 this License, to the extent that they are valid under applicable law. If additional\n				 permissions apply only to part of the Program, that part may be used separately under\n				 those permissions, but the entire Program remains governed by this License without\n				 regard to the additional permissions.\n\n		  <p>When you convey a copy of a covered work, you may at your option remove any additional\n			 permissions from that copy, or from any part of it. (Additional permissions may be written to\n			 require their own removal in certain cases when you modify the work.) You may place additional\n			 permissions on material, added by you to a covered work, for which you have or can give\n			 appropriate copyright permission.</p>\n\n			<p>Notwithstanding any other provision of this License, for material you add to a covered work, you\n			 may (if authorized by the copyright holders of that material) supplement the terms of this\n			 License with terms:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16\n			   of this License; or\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			Requiring preservation of specified reasonable legal notices or author attributions in that\n			   material or in the Appropriate Legal Notices displayed by works containing it; or\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			Prohibiting misrepresentation of the origin of that material, or requiring that modified\n			   versions of such material be marked in reasonable ways as different from the original\n			   version; or\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			Limiting the use for publicity purposes of names of licensors or authors of the material; or\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			Declining to grant rights under trademark law for use of some trade names, trademarks, or\n			   service marks; or\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f)</var>\n			Requiring indemnification of licensors and authors of that material by anyone who conveys the\n			   material (or modified versions of it) with contractual assumptions of liability to the\n			   recipient, for any liability that these contractual assumptions directly impose on those\n			   licensors and authors.\n		  </li>\n			\n</ul>\n			<p>All other non-permissive additional terms are considered &quot;further restrictions&quot;\n			   within the meaning of section 10. If the Program as you received it, or any part of it,\n			   contains a notice stating that it is governed by this License along with a term that is a\n			   further restriction, you may remove that term. If a license document contains a further\n			   restriction but permits relicensing or conveying under this License, you may add to a\n			   covered work material governed by the terms of that license document, provided that the\n			   further restriction does not survive such relicensing or conveying.</p>\n\n			<p>If you add terms to a covered work in accord with this section, you must place, in the\n			   relevant source files, a statement of the additional terms that apply to those files, or a\n			   notice indicating where to find the applicable terms.</p>\n\n			<p>Additional terms, permissive or non-permissive, may be stated in the form of a separately\n			   written license, or stated as exceptions; the above requirements apply either way.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Termination.\n			<br />\n\n   You may not propagate or modify a covered work except as expressly provided under this\n				 License. Any attempt otherwise to propagate or modify it is void, and will\n				 automatically terminate your rights under this License (including any patent licenses\n				 granted under the third paragraph of section 11).\n\n		  <p>However, if you cease all violation of this License, then your license from a particular\n			 copyright holder is reinstated (a) provisionally, unless and until the copyright holder\n			 explicitly and finally terminates your license, and (b) permanently, if the copyright holder\n			 fails to notify you of the violation by some reasonable means prior to 60 days after the\n			 cessation.</p>\n\n			<p>Moreover, your license from a particular copyright holder is reinstated permanently if the\n			 copyright holder notifies you of the violation by some reasonable means, this is the first\n			 time you have received notice of violation of this License (for any work) from that copyright\n			 holder, and you cure the violation prior to 30 days after your receipt of the notice.</p>\n\n			<p>Termination of your rights under this section does not terminate the licenses of parties who have\n			 received copies or rights from you under this License. If your rights have been terminated and\n			 not permanently reinstated, you do not qualify to receive new licenses for the same material\n			 under section 10.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Acceptance Not Required for Having Copies.\n			<br />\n\n   You are not required to accept this License in order to receive or run a copy of the\n				 Program. Ancillary propagation of a covered work occurring solely as a consequence of\n				 using peer-to-peer transmission to receive a copy likewise does not require\n				 acceptance. However, nothing other than this License grants you permission to\n				 propagate or modify any covered work. These actions infringe copyright if you do not\n				 accept this License. Therefore, by modifying or propagating a covered work, you\n				 indicate your acceptance of this License to do so.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Automatic Licensing of Downstream Recipients.\n			<br />\n\n   Each time you convey a covered work, the recipient automatically receives a license from\n				 the original licensors, to run, modify and propagate that work, subject to this\n				 License. You are not responsible for enforcing compliance by third parties with this\n				 License.\n\n		  <p>An &quot;entity transaction&quot; is a transaction transferring control of an organization,\n			 or substantially all assets of one, or subdividing an organization, or merging organizations.\n			 If propagation of a covered work results from an entity transaction, each party to that\n			 transaction who receives a copy of the work also receives whatever licenses to the work the\n			 party&apos;s predecessor in interest had or could give under the previous paragraph, plus a\n			 right to possession of the Corresponding Source of the work from the predecessor in interest,\n			 if the predecessor has it or can get it with reasonable efforts.</p>\n\n			<p>You may not impose any further restrictions on the exercise of the rights granted or affirmed\n			 under this License. For example, you may not impose a license fee, royalty, or other charge\n			 for exercise of rights granted under this License, and you may not initiate litigation\n			 (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is\n			 infringed by making, using, selling, offering for sale, or importing the Program or any\n			 portion of it.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Patents.\n			<br />\n\n   A &quot;contributor&quot; is a copyright holder who authorizes use under this License\n				 of the Program or a work on which the Program is based. The work thus licensed is\n				 called the contributor&apos;s &quot;contributor version&quot;.\n\n		  <p>A contributor&apos;s &quot;essential patent claims&quot; are all patent claims owned or\n			 controlled by the contributor, whether already acquired or hereafter acquired, that would be\n			 infringed by some manner, permitted by this License, of making, using, or selling its\n			 contributor version, but do not include claims that would be infringed only as a consequence\n			 of further modification of the contributor version. For purposes of this definition,\n			 &quot;control&quot; includes the right to grant patent sublicenses in a manner consistent\n			 with the requirements of this License.</p>\n\n			<p>Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the\n			 contributor&apos;s essential patent claims, to make, use, sell, offer for sale, import and\n			 otherwise run, modify and propagate the contents of its contributor version.</p>\n\n			<p>In the following three paragraphs, a &quot;patent license&quot; is any express agreement or\n			 commitment, however denominated, not to enforce a patent (such as an express permission to\n			 practice a patent or covenant not to sue for patent infringement). To &quot;grant&quot;\n			 such a patent license to a party means to make such an agreement or commitment not to enforce\n			 a patent against the party.</p>\n\n			<p>If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source\n			 of the work is not available for anyone to copy, free of charge and under the terms of this\n			 License, through a publicly available network server or other readily accessible means, then\n			 you must either (1) cause the Corresponding Source to be so available, or (2) arrange to\n			 deprive yourself of the benefit of the patent license for this particular work, or (3)\n			 arrange, in a manner consistent with the requirements of this License, to extend the patent\n			 license to downstream recipients. &quot;Knowingly relying&quot; means you have actual\n			 knowledge that, but for the patent license, your conveying the covered work in a country, or\n			 your recipient&apos;s use of the covered work in a country, would infringe one or more\n			 identifiable patents in that country that you have reason to believe are valid.</p>\n\n			<p>If, pursuant to or in connection with a single transaction or arrangement, you convey, or\n			 propagate by procuring conveyance of, a covered work, and grant a patent license to some of\n			 the parties receiving the covered work authorizing them to use, propagate, modify or convey a\n			 specific copy of the covered work, then the patent license you grant is automatically extended\n			 to all recipients of the covered work and works based on it.</p>\n\n			<p>A patent license is &quot;discriminatory&quot; if it does not include within the scope of its\n			 coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of\n			 the rights that are specifically granted under this License. You may not convey a covered work\n			 if you are a party to an arrangement with a third party that is in the business of\n			 distributing software, under which you make payment to the third party based on the extent of\n			 your activity of conveying the work, and under which the third party grants, to any of the\n			 parties who would receive the covered work from you, a discriminatory patent license (a) in\n			 connection with copies of the covered work conveyed by you (or copies made from those copies),\n			 or (b) primarily for and in connection with specific products or compilations that contain the\n			 covered work, unless you entered into that arrangement, or that patent license was granted,\n			 prior to 28 March 2007.</p>\n\n			<p>Nothing in this License shall be consTrued as excluding or limiting any implied license or other\n			 defenses to infringement that may otherwise be available to you under applicable patent\n			 law.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  No Surrender of Others&apos; Freedom.\n			<br />\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that\n				 contradict the conditions of this License, they do not excuse you from the conditions\n				 of this License. If you cannot convey a covered work so as to satisfy simultaneously\n				 your obligations under this License and any other pertinent obligations, then as a\n				 consequence you may not convey it at all. For example, if you agree to terms that\n				 obligate you to collect a royalty for further conveying from those to whom you convey\n				 the Program, the only way you could satisfy both those terms and this License would be\n				 to refrain entirely from conveying the Program.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  Use with the GNU Affero General Public License.\n			<br />\n\n   Notwithstanding any other provision of this License, you have permission to link or combine\n				 any covered work with a work licensed under version 3 of the GNU Affero General Public\n				 License into a single combined work, and to convey the resulting work. The terms of\n				 this License will continue to apply to the part which is the covered work, but the\n				 special requirements of the GNU Affero General Public License, section 13, concerning\n				 interaction through a network will apply to the combination as such.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14.</var>\n		  Revised Versions of this License.\n			<br />\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU General\n				 Public License from time to time. Such new versions will be similar in spirit to the\n				 present version, but may differ in detail to address new problems or concerns.\n\n		  <p>Each version is given a distinguishing version number. If the Program specifies that a certain\n			 numbered version of the GNU General Public License &quot;or any later version&quot;\n			 applies to it, you have the option of following the terms and conditions either of that\n			 numbered version or of any later version published by the Free Software Foundation. If the\n			 Program does not specify a version number of the GNU General Public License, you may choose\n			 any version ever published by the Free Software Foundation.</p>\n\n			<p>If the Program specifies that a proxy can decide which future versions of the GNU General Public\n			 License can be used, that proxy&apos;s public statement of acceptance of a version permanently\n			 authorizes you to choose that version for the Program.</p>\n\n			<p>Later license versions may give you additional or different permissions. However, no additional\n			 obligations are imposed on any author or copyright holder as a result of your choosing to\n			 follow a later version.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15.</var>\n		  Disclaimer of Warranty.\n			<br />\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT\n				 WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE\n				 THE PROGRAM &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR\n				 IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n				 FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\n				 THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF\n				 ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 16.</var>\n		  Limitation of Liability.\n			<br />\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT\n				 HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE,\n				 BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR\n				 CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM\n				 (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES\n				 SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY\n				 OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE\n				 POSSIBILITY OF SUCH DAMAGES.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 17.</var>\n		  Interpretation of Sections 15 and 16.\n		</li>\n	  \n</ul>\n	  <p>If the disclaimer of warranty and limitation of liability provided above cannot be given local legal\n		 effect according to their terms, reviewing courts shall apply local law that most closely approximates\n		 an absolute waiver of all civil liability in connection with the Program, unless a warranty or\n		 assumption of liability accompanies a copy of the Program in return for a fee.</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>END OF TERMS AND CONDITIONS</p>\n\n		 <p>How to Apply These Terms to Your New Programs</p>\n\n		 <p>If you develop a new program, and you want it to be of the greatest possible use to the public, the best\n		 way to achieve this is to make it free software which everyone can redistribute and change under these\n		 terms.</p>\n\n		 <p>To do so, attach the following notices to the program. It is safest to attach them to the start of each\n		 source file to most effectively state the exclusion of warranty; and each file should have at least\n		 the &quot;copyright&quot; line and a pointer to where the full notice is found.</p>\n\n		 <p><var class=\"replaceable-license-text\"> &lt;one line to give the program&apos;s name and a brief idea of what it does.&gt;</var><br />\n\n		 Copyright (C) <var class=\"replaceable-license-text\"> &lt;year&gt; &lt;name of author&gt;</var></p>\n\n		 <p>This program is free software: you can redistribute it and/or modify it under the terms of the GNU\n		 General Public License as published by the Free Software Foundation, either version 3 of the License,\n		 or (at your option) any later version.</p>\n\n		 <p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even\n		 the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General\n		 Public License for more details.</p>\n\n		 <p>You should have received a copy of the GNU General Public License along with this program. If not, see\n		 &lt;https://www.gnu.org/licenses/&gt;.</p>\n\n		 <p>Also add information on how to contact you by electronic and paper mail.</p>\n\n		 <p>If the program does terminal interaction, make it output a short notice like this when it starts in an\n		 interactive mode:</p>\n\n		 <p>&lt;program&gt; Copyright (C) &lt;year&gt; &lt;name of author&gt;\n		<br />\n\nThis program comes with ABSOLUTELY NO WARRANTY; for details type `show w&apos;.\n		<br />\n\nThis is free software, and you are welcome to redistribute it under certain conditions; type `show\n			 c&apos; for details.\n	  </p>\n\n		 <p>The hypothetical commands `show w&apos; and `show c&apos; should show the appropriate parts of the\n		 General Public License. Of course, your program&apos;s commands might be different; for a GUI\n		 interface, you would use an &quot;about box&quot;.</p>\n\n		 <p>You should also get your employer (if you work as a programmer) or school, if any, to sign a\n		 &quot;copyright disclaimer&quot; for the program, if necessary. For more information on this, and\n		 how to apply and follow the GNU GPL, see &lt;https://www.gnu.org/licenses/&gt;.</p>\n\n		 <p>The GNU General Public License does not permit incorporating your program into proprietary programs. If\n		 your program is a subroutine library, you may consider it more useful to permit linking proprietary\n		 applications with the library. If this is what you want to do, use the GNU Lesser General Public\n		 License instead of this License. But first, please read\n		 &lt;https://www.gnu.org/<var class=\"replaceable-license-text\"> licenses</var>/why-not-lgpl.html&gt;.</p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p><var class=\"replaceable-license-text\"> &lt;one line to give the program&apos;s name and a brief idea of what it does.&gt;</var><br />\n\n		 Copyright (C) <var class=\"replaceable-license-text\"> &lt;year&gt; &lt;name of author&gt;</var></p>\n\n		 <p>This program is free software: you can redistribute it and/or modify it under the terms of the GNU\n		 General Public License as published by the Free Software Foundation, either version 3 of the License,\n		 or (at your option) any later version.</p>\n\n		 <p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even\n		 the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General\n		 Public License for more details.</p>\n\n		 <p>You should have received a copy of the GNU General Public License along with this program. If not, see\n		 &lt;https://www.gnu.org/licenses/&gt;.</p>\n\n		 "
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "GPL30plus"

	def __str__(self):
		return json.dumps(self.__dict__)


class MTLL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Software License for MTL\n\nCopyright (c) 2007 The Trustees of Indiana University.\n	 2008 Dresden University of Technology and the Trustees of Indiana University.\n	 2010 SimuNova UG (haftungsbeschr\u00e4nkt), www.simunova.com.\nAll rights reserved.\nAuthors: Peter Gottschling and Andrew Lumsdaine\n\nThis file is part of the Matrix Template Library\n\nDresden University of Technology -- short TUD -- and Indiana University -- short IU -- have the exclusive rights to license this product under the following license.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n	 1. All redistributions of source code must retain the above copyright notice, the list of authors in the original source code, this list of conditions and the disclaimer listed in this license;\n	 2. All redistributions in binary form must reproduce the above copyright notice, this list of conditions and the disclaimer listed in this license in the documentation and/or other materials provided with the distribution;\n	 3. Any documentation included with all redistributions must include the following acknowledgement:\n	 \"This product includes software developed at the University of Notre Dame, the Pervasive Technology Labs at Indiana University, and Dresden University of Technology. For technical information contact Andrew Lumsdaine at the Pervasive Technology Labs at Indiana University. For administrative and license questions contact the Advanced Research and Technology Institute at 1100 Waterway Blvd. Indianapolis, Indiana 46202, phone 317-274-5905, fax 317-274-5902.\"\n	 Alternatively, this acknowledgement may appear in the software itself, and wherever such third-party acknowledgments normally appear.\n	 4. The name \"MTL\" shall not be used to endorse or promote products derived from this software without prior written permission from IU or TUD. For written permission, please contact Indiana University Advanced Research & Technology Institute.\n	 5. Products derived from this software may not be called \"MTL\", nor may \"MTL\" appear in their name, without prior written permission of Indiana University Advanced Research & Technology Institute.\n\nTUD and IU provide no reassurances that the source code provided does not infringe the patent or any other intellectual property rights of any other entity. TUD and IU disclaim any liability to any recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise.\n\nLICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED \"AS IS\" FOR WHICH NO WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. DRESDEN UNIVERSITY OF TECHNOLOGY AND INDIANA UNIVERSITY GIVE NO WARRANTIES AND MAKE NO REPRESENTATION THAT SOFTWARE IS FREE OF INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS. DRESDEN UNIVERSITY OF TECHNOLOGY AND INDIANA UNIVERSITY MAKE NO WARRANTIES THAT SOFTWARE IS FREE FROM \"BUGS\", \"VIRUSES\", \"TROJAN HORSES\", \"TRAP DOORS\", \"WORMS\", OR OTHER HARMFUL CODE. LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION GENERATED USING SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Software License for MTL\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2007 The Trustees of Indiana University.  2008 Dresden University of Technology and the Trustees of Indiana University.  2010 SimuNova UG (haftungsbeschr\u00e4nkt), www.simunova.com.  All rights reserved.  Authors: Peter Gottschling and Andrew Lumsdaine  \";match=\".{0,5000}\">>\n\nThis file is part of the Matrix Template Library\n\nDresden University of Technology -- short TUD -- and Indiana University -- short IU -- have the exclusive rights to license this product under the following license.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> All redistributions of source code must retain the above copyright notice, the list of authors in the original source code, this list of conditions and the disclaimer listed in this license;\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> All redistributions in binary form must reproduce the above copyright notice, this list of conditions and the disclaimer listed in this license in the documentation and/or other materials provided with the distribution;\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Any documentation included with all redistributions must include the following acknowledgement:\n\n   \"This product includes software developed at the University of Notre Dame, the Pervasive Technology Labs at Indiana University, and Dresden University of Technology. For technical information contact Andrew Lumsdaine at the Pervasive Technology Labs at Indiana University. For administrative and license questions contact the Advanced Research and Technology Institute at 1100 Waterway Blvd. Indianapolis, Indiana 46202, phone 317-274-5905, fax 317-274-5902.\"\n\n   Alternatively, this acknowledgement may appear in the software itself, and wherever such third-party acknowledgments normally appear.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The name \"MTL\" shall not be used to endorse or promote products derived from this software without prior written permission from IU or TUD. For written permission, please contact Indiana University Advanced Research & Technology Institute.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Products derived from this software may not be called \"MTL\", nor may \"MTL\" appear in their name, without prior written permission of Indiana University Advanced Research & Technology Institute.\n\nTUD and IU provide no reassurances that the source code provided does not infringe the patent or any other intellectual property rights of any other entity. TUD and IU disclaim any liability to any recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise.\n\nLICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED \"AS IS\" FOR WHICH NO WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. DRESDEN UNIVERSITY OF TECHNOLOGY AND INDIANA UNIVERSITY GIVE NO WARRANTIES AND MAKE NO REPRESENTATION THAT SOFTWARE IS FREE OF INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS. DRESDEN UNIVERSITY OF TECHNOLOGY AND INDIANA UNIVERSITY MAKE NO WARRANTIES THAT SOFTWARE IS FREE FROM \"BUGS\", \"VIRUSES\", \"TROJAN HORSES\", \"TRAP DOORS\", \"WORMS\", OR OTHER HARMFUL CODE. LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION GENERATED USING SOFTWARE.\n\n"
		self.name = "Matrix Template Library License"
		self.licenseId = "MTLL"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Matrix_Template_Library_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:12Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Matrix_Template_Library_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Software License for MTL</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2007 The Trustees of Indiana University.\n		<br />\n\n2008 Dresden University of Technology and the Trustees of Indiana University.\n		<br />\n\n2010 SimuNova UG (haftungsbeschr\u00e4nkt), www.simunova.com.\n		<br />\n\nAll rights reserved.\n		<br />\n\nAuthors: Peter Gottschling and Andrew Lumsdaine\n	  </p>\n\n	  </div>\n\n	  <p>This file is part of the Matrix Template Library</p>\n\n	  <p>Dresden University of Technology -- short TUD -- and Indiana University -- short IU -- have the exclusive\n		 rights to license this product under the following license.\n		<br />\n\nRedistribution and use in source and binary forms, with or without modification, are permitted\n			 provided that the following conditions are met:\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  All redistributions of source code must retain the above copyright notice, the list of\n			   authors in the original source code, this list of conditions and the disclaimer listed in\n			   this license;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  All redistributions in binary form must reproduce the above copyright notice, this list of\n			  conditions and the disclaimer listed in this license in the documentation and/or other\n			  materials provided with the distribution;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Any documentation included with all redistributions must include the following acknowledgement:\n			<br />\n\n   &quot;This product includes software developed at the University of Notre Dame, the\n				  Pervasive Technology Labs at Indiana University, and Dresden University of\n				  Technology. For technical information contact Andrew Lumsdaine at the Pervasive\n				  Technology Labs at Indiana University. For administrative and license questions\n				  contact the Advanced Research and Technology Institute at 1100 Waterway Blvd.\n				  Indianapolis, Indiana 46202, phone 317-274-5905, fax 317-274-5902.&quot;\n			<br />\n\n   Alternatively, this acknowledgement may appear in the software itself, and wherever\n				   such third-party acknowledgments normally appear.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  The name &quot;MTL&quot; shall not be used to endorse or promote products derived from this\n			  software without prior written permission from IU or TUD. For written permission, please\n			 contact Indiana University Advanced Research &amp; Technology Institute.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Products derived from this software may not be called &quot;MTL&quot;, nor may\n			 &quot;MTL&quot; appear in their name, without prior written permission of Indiana\n			 University Advanced Research &amp; Technology Institute.\n		</li>\n	  \n</ul>\n	  <p>TUD and IU provide no reassurances that the source code provided does not infringe the patent or any\n		 other intellectual property rights of any other entity. TUD and IU disclaim any liability to any\n		 recipient for claims brought by any other entity based on infringement of intellectual property rights\n		 or otherwise.</p>\n\n	  <p>LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED &quot;AS IS&quot; FOR WHICH NO WARRANTIES AS TO\n		 CAPABILITIES OR ACCURACY ARE MADE. DRESDEN UNIVERSITY OF TECHNOLOGY AND INDIANA UNIVERSITY GIVE NO\n		 WARRANTIES AND MAKE NO REPRESENTATION THAT SOFTWARE IS FREE OF INFRINGEMENT OF THIRD PARTY PATENT,\n		 COPYRIGHT, OR OTHER PROPRIETARY RIGHTS. DRESDEN UNIVERSITY OF TECHNOLOGY AND INDIANA UNIVERSITY MAKE\n		 NO WARRANTIES THAT SOFTWARE IS FREE FROM &quot;BUGS&quot;, &quot;VIRUSES&quot;, &quot;TROJAN\n		 HORSES&quot;, &quot;TRAP DOORS&quot;, &quot;WORMS&quot;, OR OTHER HARMFUL CODE. LICENSEE ASSUMES THE\n		 ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND\n		 VALIDITY OF INFORMATION GENERATED USING SOFTWARE.</p>\n\n	"
		self.python_name = "MTLL"

	def __str__(self):
		return json.dumps(self.__dict__)


class TPL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "THOR Public Licence (TPL)\n\n0. Notes of Origin\n\n0.1 As required by paragraph 6.3 of the \"Mozilla Public Licence\",\n\"MPL\" in the following, it is hereby stated that this Licence\ncondition (\"TPL\") differs in the following items from the original\n\"Mozilla Public Licence\" as provided by \"Netscape Communications\nCorporation\":\n\na) Paragraphs 6.2 and 6.3 of the MPL has been modified to bind licence\nmodifications to the Author of this Licence, Thomas Richter.\n\nb) Paragraph 11 has been modified to gover this Licence by German\nlaw rather than Californian Law.\n\nc) The licence has been renamed to \"TPL\" and \"THOR Public\nLicence\". All references towards \"MPL\" have been removed except in\nsection 0 to indicate the difference from \"MPL\".\n\nNo other modifications have been made.\n\n\n1. Definitions.\n\n1.0.1. \"Commercial Use\" means distribution or otherwise making the\nCovered Code available to a third party.\n\n1.1. \"Contributor\" means each entity that creates or contributes to\nthe creation of Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Code,\nprior Modifications used by a Contributor, and the Modifications made\nby that particular Contributor.\n\n1.3. \"Covered Code\" means the Original Code or Modifications or the\ncombination of the Original Code and Modifications, in each case\nincluding portions thereof.\n\n1.4. \"Electronic Distribution Mechanism\" means a mechanism generally\naccepted in the software development community for the electronic\ntransfer of data.\n\n1.5. \"Executable\" means Covered Code in any form other than Source\nCode.\n\n1.6. \"Initial Developer\" means the individual or entity identified as\nthe Initial Developer in the Source Code notice required by Exhibit A.\n\n1.7. \"Larger Work\" means a work which combines Covered Code or\nportions thereof with code not governed by the terms of this License.\n\n1.8. \"License\" means this document.\n\n1.8.1. \"Licensable\" means having the right to grant, to the maximum\nextent possible, whether at the time of the initial grant or\nsubsequently acquired, any and all of the rights conveyed herein.\n\n1.9. \"Modifications\" means any addition to or deletion from the\nsubstance or structure of either the Original Code or any previous\nModifications. When Covered Code is released as a series of files, a\nModification is: A. Any addition to or deletion from the contents of a\nfile containing Original Code or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or\nprevious Modifications.\n \n1.10. \"Original Code\" means Source Code of computer software code\nwhich is described in the Source Code notice required by Exhibit A as\nOriginal Code, and which, at the time of its release under this\nLicense is not already Covered Code governed by this License.\n\n1.10.1. \"Patent Claims\" means any patent claim(s), now owned or\nhereafter acquired, including without limitation, method, process, and\napparatus claims, in any patent Licensable by grantor.\n\n1.11. \"Source Code\" means the preferred form of the Covered Code for\nmaking modifications to it, including all modules it contains, plus\nany associated interface definition files, scripts used to control\ncompilation and installation of an Executable, or source code\ndifferential comparisons against either the Original Code or another\nwell known, available Covered Code of the Contributor's choice. The\nSource Code can be in a compressed or archival form, provided the\nappropriate decompression or de-archiving software is widely available\nfor no charge.\n\n1.12. \"You\" (or \"Your\") means an individual or a legal entity\nexercising rights under, and complying with all of the terms of, this\nLicense or a future version of this License issued under Section\n6.1. For legal entities, \"You\" includes any entity which controls, is\ncontrolled by, or is under common control with You. For purposes of\nthis definition, \"control\" means (a) the power, direct or indirect, to\ncause the direction or management of such entity, whether by contract\nor otherwise, or (b) ownership of more than fifty percent (50%) of the\noutstanding shares or beneficial ownership of such entity.\n\n2. Source Code License.\n\n2.1. The Initial Developer Grant.  The Initial Developer hereby grants\nYou a world-wide, royalty-free, non-exclusive license, subject to\nthird party intellectual property claims: (a) under intellectual\nproperty rights (other than patent or trademark) Licensable by Initial\nDeveloper to use, reproduce, modify, display, perform, sublicense and\ndistribute the Original Code (or portions thereof) with or without\nModifications, and/or as part of a Larger Work; and\n\n(b) under Patents Claims infringed by the making, using or selling of\nOriginal Code, to make, have made, use, practice, sell, and offer for\nsale, and/or otherwise dispose of the Original Code (or portions\nthereof).  \n\n(c) the licenses granted in this Section 2.1(a) and (b) are effective\non the date Initial Developer first distributes Original Code under\nthe terms of this License.\n\n(d) Notwithstanding Section 2.1(b) above, no patent license is\ngranted: 1) for code that You delete from the Original Code; 2)\nseparate from the Original Code; or 3) for infringements caused by: i)\nthe modification of the Original Code or ii) the combination of the\nOriginal Code with other software or devices.\n \n2.2. Contributor Grant.  Subject to third party intellectual property\nclaims, each Contributor hereby grants You a world-wide, royalty-free,\nnon-exclusive license\n \n(a) under intellectual property rights (other than patent or\ntrademark) Licensable by Contributor, to use, reproduce, modify,\ndisplay, perform, sublicense and distribute the Modifications created\nby such Contributor (or portions thereof) either on an unmodified\nbasis, with other Modifications, as Covered Code and/or as part of a\nLarger Work; and\n\n(b) under Patent Claims infringed by the making, using, or selling of\nModifications made by that Contributor either alone and/or in\ncombination with its Contributor Version (or portions of such\ncombination), to make, use, sell, offer for sale, have made, and/or\notherwise dispose of: 1) Modifications made by that Contributor (or\nportions thereof); and 2) the combination of Modifications made by\nthat Contributor with its Contributor Version (or portions of such\ncombination).\n\n(c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective\non the date Contributor first makes Commercial Use of the Covered\nCode.\n\n(d) Notwithstanding Section 2.2(b) above, no patent license is\ngranted: 1) for any code that Contributor has deleted from the\nContributor Version; 2) separate from the Contributor Version; 3) for\ninfringements caused by: i) third party modifications of Contributor\nVersion or ii) the combination of Modifications made by that\nContributor with other software (except as part of the Contributor\nVersion) or other devices; or 4) under Patent Claims infringed by\nCovered Code in the absence of Modifications made by that Contributor.\n\n\n3. Distribution Obligations.\n\n3.1. Application of License.  The Modifications which You create or to\nwhich You contribute are governed by the terms of this License,\nincluding without limitation Section 2.2. The Source Code version of\nCovered Code may be distributed only under the terms of this License\nor a future version of this License released under Section 6.1, and\nYou must include a copy of this License with every copy of the Source\nCode You distribute. You may not offer or impose any terms on any\nSource Code version that alters or restricts the applicable version of\nthis License or the recipients' rights hereunder. However, You may\ninclude an additional document offering the additional rights\ndescribed in Section 3.5.\n\n3.2. Availability of Source Code.  Any Modification which You create\nor to which You contribute must be made available in Source Code form\nunder the terms of this License either on the same media as an\nExecutable version or via an accepted Electronic Distribution\nMechanism to anyone to whom you made an Executable version available;\nand if made available via Electronic Distribution Mechanism, must\nremain available for at least twelve (12) months after the date it\ninitially became available, or at least six (6) months after a\nsubsequent version of that particular Modification has been made\navailable to such recipients. You are responsible for ensuring that\nthe Source Code version remains available even if the Electronic\nDistribution Mechanism is maintained by a third party.\n\n3.3. Description of Modifications.  You must cause all Covered Code to\nwhich You contribute to contain a file documenting the changes You\nmade to create that Covered Code and the date of any change. You must\ninclude a prominent statement that the Modification is derived,\ndirectly or indirectly, from Original Code provided by the Initial\nDeveloper and including the name of the Initial Developer in (a) the\nSource Code, and (b) in any notice in an Executable version or related\ndocumentation in which You describe the origin or ownership of the\nCovered Code.\n\n3.4. Intellectual Property Matters (a) Third Party Claims.  If\nContributor has knowledge that a license under a third party's\nintellectual property rights is required to exercise the rights\ngranted by such Contributor under Sections 2.1 or 2.2, Contributor\nmust include a text file with the Source Code distribution titled\n\"LEGAL\" which describes the claim and the party making the claim in\nsufficient detail that a recipient will know whom to contact. If\nContributor obtains such knowledge after the Modification is made\navailable as described in Section 3.2, Contributor shall promptly\nmodify the LEGAL file in all copies Contributor makes available\nthereafter and shall take other steps (such as notifying appropriate\nmailing lists or newsgroups) reasonably calculated to inform those who\nreceived the Covered Code that new knowledge has been obtained.\n\n(b) Contributor APIs.  If Contributor's Modifications include an\napplication programming interface and Contributor has knowledge of\npatent licenses which are reasonably necessary to implement that API,\nContributor must also include this information in the LEGAL file.\n \n(c) Representations.  Contributor represents that, except as disclosed\npursuant to Section 3.4(a) above, Contributor believes that\nContributor's Modifications are Contributor's original creation(s)\nand/or Contributor has sufficient rights to grant the rights conveyed\nby this License.\n\n\n3.5. Required Notices.  You must duplicate the notice in Exhibit A in\neach file of the Source Code.  If it is not possible to put such\nnotice in a particular Source Code file due to its structure, then You\nmust include such notice in a location (such as a relevant directory)\nwhere a user would be likely to look for such a notice.  If You\ncreated one or more Modification(s) You may add your name as a\nContributor to the notice described in Exhibit A.  You must also\nduplicate this License in any documentation for the Source Code where\nYou describe recipients' rights or ownership rights relating to\nCovered Code.  You may choose to offer, and to charge a fee for,\nwarranty, support, indemnity or liability obligations to one or more\nrecipients of Covered Code. However, You may do so only on Your own\nbehalf, and not on behalf of the Initial Developer or any\nContributor. You must make it absolutely clear than any such warranty,\nsupport, indemnity or liability obligation is offered by You alone,\nand You hereby agree to indemnify the Initial Developer and every\nContributor for any liability incurred by the Initial Developer or\nsuch Contributor as a result of warranty, support, indemnity or\nliability terms You offer.\n\n3.6. Distribution of Executable Versions.  You may distribute Covered\nCode in Executable form only if the requirements of Section 3.1-3.5\nhave been met for that Covered Code, and if You include a notice\nstating that the Source Code version of the Covered Code is available\nunder the terms of this License, including a description of how and\nwhere You have fulfilled the obligations of Section 3.2. The notice\nmust be conspicuously included in any notice in an Executable version,\nrelated documentation or collateral in which You describe recipients'\nrights relating to the Covered Code. You may distribute the Executable\nversion of Covered Code or ownership rights under a license of Your\nchoice, which may contain terms different from this License, provided\nthat You are in compliance with the terms of this License and that the\nlicense for the Executable version does not attempt to limit or alter\nthe recipient's rights in the Source Code version from the rights set\nforth in this License. If You distribute the Executable version under\na different license You must make it absolutely clear that any terms\nwhich differ from this License are offered by You alone, not by the\nInitial Developer or any Contributor. You hereby agree to indemnify\nthe Initial Developer and every Contributor for any liability incurred\nby the Initial Developer or such Contributor as a result of any such\nterms You offer.\n\n3.7. Larger Works.  You may create a Larger Work by combining Covered\nCode with other code not governed by the terms of this License and\ndistribute the Larger Work as a single product. In such a case, You\nmust make sure the requirements of this License are fulfilled for the\nCovered Code.\n\n4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this\nLicense with respect to some or all of the Covered Code due to\nstatute, judicial order, or regulation then You must: (a) comply with\nthe terms of this License to the maximum extent possible; and (b)\ndescribe the limitations and the code they affect. Such description\nmust be included in the LEGAL file described in Section 3.4 and must\nbe included with all distributions of the Source Code. Except to the\nextent prohibited by statute or regulation, such description must be\nsufficiently detailed for a recipient of ordinary skill to be able to\nunderstand it.\n\n5. Application of this License.\n\nThis License applies to code to which the Initial Developer has\nattached the notice in Exhibit A and to related Covered Code.\n\n6. Versions of the License.\n\n6.1. New Versions.  Thomas Richter may publish revised and/or new\nversions of the License from time to time. Each version will be given\na distinguishing version number.\n\n6.2. Effect of New Versions.  Once Covered Code has been published\nunder a particular version of the License, You may always continue to\nuse it under the terms of that version. You may also choose to use\nsuch Covered Code under the terms of any subsequent version of the\nLicense published by Thomas Richter. No one other than Thomas Richter\nhas the right to modify the terms applicable to Covered Code created\nunder this License.\n\n6.3. Derivative Works.  If You create or use a modified version of\nthis License (which you may only do in order to apply it to code which\nis not already Covered Code governed by this License), You must (a)\nrename Your license so that the phrases \"TPL\", \"THOR Software\",\n\"Thomas Richter\" or any confusingly similar phrase do not appear in\nyour license (except to note that your license differs from this\nLicense) and (b) otherwise make it clear that Your version of the\nlicense contains terms which differ from the THOR Public\nLicense. (Filling in the name of the Initial Developer, Original Code\nor Contributor in the notice described in Exhibit A shall not of\nthemselves be deemed to be modifications of this License.)\n\n7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS,\nWITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,\nWITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF\nDEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR\nNON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\nTHE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE\nIN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER\nCONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR\nCORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART\nOF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER\nEXCEPT UNDER THIS DISCLAIMER.\n\n8. TERMINATION.\n\n8.1.  This License and the rights granted hereunder will terminate\nautomatically if You fail to comply with terms herein and fail to cure\nsuch breach within 30 days of becoming aware of the breach. All\nsublicenses to the Covered Code which are properly granted shall\nsurvive any termination of this License. Provisions which, by their\nnature, must remain in effect beyond the termination of this License\nshall survive.\n\n8.2.  If You initiate litigation by asserting a patent infringement\nclaim (excluding declatory judgment actions) against Initial Developer\nor a Contributor (the Initial Developer or Contributor against whom\nYou file such action is referred to as \"Participant\") alleging that:\n\n(a) such Participant's Contributor Version directly or indirectly\ninfringes any patent, then any and all rights granted by such\nParticipant to You under Sections 2.1 and/or 2.2 of this License\nshall, upon 60 days notice from Participant terminate prospectively,\nunless if within 60 days after receipt of notice You either: (i) agree\nin writing to pay Participant a mutually agreeable reasonable royalty\nfor Your past and future use of Modifications made by such\nParticipant, or (ii) withdraw Your litigation claim with respect to\nthe Contributor Version against such Participant.  If within 60 days\nof notice, a reasonable royalty and payment arrangement are not\nmutually agreed upon in writing by the parties or the litigation claim\nis not withdrawn, the rights granted by Participant to You under\nSections 2.1 and/or 2.2 automatically terminate at the expiration of\nthe 60 day notice period specified above.\n\n(b) any software, hardware, or device, other than such Participant's\nContributor Version, directly or indirectly infringes any patent, then\nany rights granted to You by such Participant under Sections 2.1(b)\nand 2.2(b) are revoked effective as of the date You first made, used,\nsold, distributed, or had made, Modifications made by that\nParticipant.\n\n8.3.  If You assert a patent infringement claim against Participant\nalleging that such Participant's Contributor Version directly or\nindirectly infringes any patent where such claim is resolved (such as\nby license or settlement) prior to the initiation of patent\ninfringement litigation, then the reasonable value of the licenses\ngranted by such Participant under Sections 2.1 or 2.2 shall be taken\ninto account in determining the amount or value of any payment or\nlicense.\n\n8.4.  In the event of termination under Sections 8.1 or 8.2 above, all\nend user license agreements (excluding distributors and resellers)\nwhich have been validly granted by You or any distributor hereunder\nprior to termination shall survive termination.\n\n9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT\n(INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL\nDEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE,\nOR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR\nANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY\nCHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL,\nWORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER\nCOMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN\nINFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF\nLIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY\nRESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW\nPROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE\nEXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO\nTHIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48\nC.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\"\nand \"commercial computer software documentation,\" as such terms are\nused in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48\nC.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995),\nall U.S. Government End Users acquire Covered Code with only those\nrights set forth herein.\n\n11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject\nmatter hereof. If any provision of this License is held to be\nunenforceable, such provision shall be reformed only to the extent\nnecessary to make it enforceable. This License shall be governed by\nGerman law provisions (except to the extent applicable law, if any,\nprovides otherwise), excluding its conflict-of-law provisions. With\nrespect to disputes in which at least one party is a citizen of, or an\nentity chartered or registered to do business in Federal Republic of\nGermany, any litigation relating to this License shall be subject to\nthe jurisdiction of the Federal Courts of the Federal Republic of\nGermany, with the losing party responsible for costs, including\nwithout limitation, court costs and reasonable attorneys' fees and\nexpenses. Any law or regulation which provides that the language of a\ncontract shall be consTrued against the drafter shall not apply to\nthis License.\n\n12. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is\nresponsible for claims and damages arising, directly or indirectly,\nout of its utilization of rights under this License and You agree to\nwork with Initial Developer and Contributors to distribute such\nresponsibility on an equitable basis. Nothing herein is intended or\nshall be deemed to constitute any admission of liability.\n\n13. MULTIPLE-LICENSED CODE.\n\nInitial Developer may designate portions of the Covered Code as\nMultiple-Licensed.  Multiple-Licensed means that the Initial Developer\npermits you to utilize portions of the Covered Code under Your choice\nof the TPL or the alternative licenses, if any, specified by the\nInitial Developer in the file described in Exhibit A.\n\n\nEXHIBIT A - THOR Public License.\n\nThe contents of this file are subject to the THOR Public License\nVersion 1.0 (the \"License\"); you may not use this file except in\ncompliance with the License. \n\nSoftware distributed under the License is distributed on an \"AS IS\"\nbasis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See\nthe License for the specificlanguage governing rights and limitations\nunder the License.\n\nThe Original Code is ______________________________________.\n\nThe Initial Developer of the Original Code is _____________. \n\nPortions created by  ______________________ are \nCopyright (C) ______ _______________________. \n\nAll Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAlternatively, the contents of this file may be used under the terms\nof the _____ license (the [___] License), in which case the provisions\nof [______] License are applicable instead of those above.  If you\nwish to allow use of your version of this file only under the terms of\nthe [____] License and not to allow others to use your version of this\nfile under the TPL, indicate your decision by deleting the provisions\nabove and replace them with the notice and other provisions required\nby the [___] License.  If you do not delete the provisions above, a\nrecipient may use your version of this file under either the TPL or\nthe [___] License.\"\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of\nthe notices in the Source Code files of the Original Code. You should\nuse the text of this Exhibit A rather than the text found in the\nOriginal Code Source Code for Your Modifications.]\n"
		self.standardLicenseHeaderTemplate = "The contents of this file are subject to the THOR Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specificlanguage governing rights and limitations under the License.\n\nThe Original Code is ______________________________________.\n\nThe Initial Developer of the Original Code is _____________.\n\nPortions created by ______________________ are Copyright (C) ______ _______________________.\n\nAll Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAlternatively, the contents of this file may be used under the terms of the _____ license (the [___] License), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the TPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the TPL or the [___] License.\"\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>THOR Public Licence (TPL)<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">>\n\n   Notes of Origin\n\n   <<var;name=\"bullet\";original=\"0.1\";match=\".{0,20}\">>\n\n   As required by paragraph 6.3 of the \"Mozilla Public Licence\", \"MPL\" in the following, it is hereby stated that this Licence condition (\"TPL\") differs in the following items from the original \"Mozilla Public Licence\" as provided by \"Netscape Communications Corporation\":\n\n   <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">>\n\n   Paragraphs 6.2 and 6.3 of the MPL has been modified to bind licence modifications to the Author of this Licence, Thomas Richter.\n\n   <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">>\n\n   Paragraph 11 has been modified to gover this Licence by German law rather than Californian Law.\n\n   <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">>\n\n   The licence has been renamed to \"TPL\" and \"THOR Public Licence\". All references towards \"MPL\" have been removed except in section 0 to indicate the difference from \"MPL\".\n\n   No other modifications have been made.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">>\n\n   Definitions.\n\n   1.0.1. \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n   <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">>\n\n   \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n   <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">>\n\n   \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n   <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">>\n\n   \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n   <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">>\n\n   \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n   <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">>\n\n   \"Executable\" means Covered Code in any form other than Source Code.\n\n   <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">>\n\n   \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n   <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">>\n\n   \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n   <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">>\n\n   \"License\" means this document.\n\n   1.8.1. \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n   <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">>\n\n   \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is: A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n   <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">>\n\n   Any new file that contains any part of the Original Code or previous Modifications. 1.10. \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n   1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n   <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">>\n\n   \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n   <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">>\n\n   \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">>\n\n   Source Code License.\n\n   <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">>\n\n   The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims: (a) under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">>\n\n   under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n   <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">>\n\n   the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n   <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">>\n\n   Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices. 2.2. Contributor Grant. Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license (a) under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">>\n\n   under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n   <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">>\n\n   the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n   <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">>\n\n   Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">>\n\n   Distribution Obligations.\n\n   <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">>\n\n   Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n   <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">>\n\n   Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n   <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">>\n\n   Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n   <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">>\n\n   Intellectual Property Matters (a) Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">>\n\n   Contributor APIs. If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file. (c) Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n   <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">>\n\n   Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n   <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">>\n\n   Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n   <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">>\n\n   Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">>\n\n   Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">>\n\n   Application of this License.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">>\n\n   Versions of the License.\n\n   <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">>\n\n   New Versions. Thomas Richter may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n   <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">>\n\n   Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Thomas Richter. No one other than Thomas Richter has the right to modify the terms applicable to Covered Code created under this License.\n\n   <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">>\n\n   Derivative Works. If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \"TPL\", \"THOR Software\", \"Thomas Richter\" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the THOR Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">>\n\n   DISCLAIMER OF WARRANTY.\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">>\n\n   TERMINATION.\n\n   <<var;name=\"bullet\";original=\"8.1.\";match=\".{0,20}\">>\n\n   This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n   <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">>\n\n   If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n   <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">>\n\n   such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">>\n\n   any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n   <<var;name=\"bullet\";original=\"8.3.\";match=\".{0,20}\">>\n\n   If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n   <<var;name=\"bullet\";original=\"8.4.\";match=\".{0,20}\">>\n\n   In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">>\n\n   LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">>\n\n   U.S. GOVERNMENT END USERS.\n\n   The Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">>\n\n   MISCELLANEOUS.\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by German law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in Federal Republic of Germany, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Federal Republic of Germany, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">>\n\n   RESPONSIBILITY FOR CLAIMS.\n\n   As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">>\n\n   MULTIPLE-LICENSED CODE.\n\n   Initial Developer may designate portions of the Covered Code as Multiple-Licensed. Multiple-Licensed means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the TPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\n   <<beginOptional>>EXHIBIT A - THOR Public License.\n\nThe contents of this file are subject to the THOR Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specificlanguage governing rights and limitations under the License.\n\nThe Original Code is ______________________________________.\n\nThe Initial Developer of the Original Code is _____________.\n\nPortions created by ______________________ are Copyright (C) ______ _______________________.\n\nAll Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAlternatively, the contents of this file may be used under the terms of the _____ license (the [___] License), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the TPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the TPL or the [___] License.\"\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n\n<<endOptional>>"
		self.name = "THOR Public License 1.0"
		self.licenseComments = "This license is the same as MPL-1.1 (and CUA-OPL-1.0) except for the name and the choice of law (Germany, instead of California)"
		self.licenseId = "TPL-1.0"
		self.standardLicenseHeader = "The contents of this file are subject to the THOR Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specificlanguage governing rights and limitations under the License.\n\nThe Original Code is ______________________________________.\n\nThe Initial Developer of the Original Code is _____________.\n\nPortions created by ______________________ are Copyright (C) ______ _______________________.\n\nAll Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAlternatively, the contents of this file may be used under the terms of the _____ license (the [___] License), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the TPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the TPL or the [___] License.\"\n\n"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing:ThorPublicLicense", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:05Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing:ThorPublicLicense"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"optional-license-text\"> \n			THOR Public Licence (TPL)\n		 </var>\n		 \n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 0.</var>\n			   <p>\n				  Notes of Origin\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 0.1</var>\n			   <p>\n				  As required by paragraph 6.3 of the &quot;Mozilla Public\n				  Licence&quot;, &quot;MPL&quot; in the following, it is hereby stated\n				  that this Licence condition (&quot;TPL&quot;) differs in the\n				  following items from the original &quot;Mozilla Public Licence&quot;\n				  as provided by &quot;Netscape Communications Corporation&quot;:\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			   <p>\n				  Paragraphs 6.2 and 6.3 of the MPL has been\n				  modified to bind licence modifications to\n				  the Author of this Licence, Thomas Richter.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			   <p>\n				  Paragraph 11 has been modified to gover this\n				  Licence by German law rather than Californian Law.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c)</var>\n			   <p>\n				  The licence has been renamed to &quot;TPL&quot; and &quot;THOR Public\n				  Licence&quot;. All references towards &quot;MPL&quot; have been removed\n				  except in section 0 to indicate the difference from &quot;MPL&quot;.\n			   </p>\n\n			   <p>\n				  No other modifications have been made.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   <p>\n				  Definitions.\n			   </p>\n\n			   <p>\n				  1.0.1. &quot;Commercial Use&quot; means distribution or otherwise\n				  making the Covered Code available to a third party.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.1.</var>\n			   <p>\n				  &quot;Contributor&quot; means each entity that creates or\n				  contributes to the creation of Modifications.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.2.</var>\n			   <p>\n				  &quot;Contributor Version&quot; means the combination of the Original\n				  Code, prior Modifications used by a Contributor, and\n				  the Modifications made by that particular Contributor.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.3.</var>\n			   <p>\n				  &quot;Covered Code&quot; means the Original Code or Modifications\n				  or the combination of the Original Code and\n				  Modifications, in each case including portions thereof.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.4.</var>\n			   <p>\n				  &quot;Electronic Distribution Mechanism&quot; means a mechanism\n				  generally accepted in the software development\n				  community for the electronic transfer of data.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.5.</var>\n			   <p>\n				  &quot;Executable&quot; means Covered Code in\n				  any form other than Source Code.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.6.</var>\n			   <p>\n				  &quot;Initial Developer&quot; means the individual or\n				  entity identified as the Initial Developer in\n				  the Source Code notice required by Exhibit A.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.7.</var>\n			   <p>\n				  &quot;Larger Work&quot; means a work which combines\n				  Covered Code or portions thereof with code\n				  not governed by the terms of this License.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.8.</var>\n			   <p>\n				  &quot;License&quot; means this document.\n			   </p>\n\n			   <p>\n				  1.8.1. &quot;Licensable&quot; means having the right to\n				  grant, to the maximum extent possible, whether\n				  at the time of the initial grant or subsequently\n				  acquired, any and all of the rights conveyed herein.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.9.</var>\n			   <p>\n				  &quot;Modifications&quot; means any addition to or deletion from\n				  the substance or structure of either the Original Code\n				  or any previous Modifications. When Covered Code is\n				  released as a series of files, a Modification is: A.\n				  Any addition to or deletion from the contents of a file\n				  containing Original Code or previous Modifications.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> B.</var>\n			   <p>\n				  Any new file that contains any part of the Original Code or\n				  previous Modifications. 1.10. &quot;Original Code&quot; means Source\n				  Code of computer software code which is described in the\n				  Source Code notice required by Exhibit A as Original Code,\n				  and which, at the time of its release under this License\n				  is not already Covered Code governed by this License.\n			   </p>\n\n			   <p>\n				  1.10.1. &quot;Patent Claims&quot; means any patent claim(s),\n				  now owned or hereafter acquired, including\n				  without limitation, method, process, and apparatus\n				  claims, in any patent Licensable by grantor.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.11.</var>\n			   <p>\n				  &quot;Source Code&quot; means the preferred form of the Covered\n				  Code for making modifications to it, including all\n				  modules it contains, plus any associated interface\n				  definition files, scripts used to control compilation and\n				  installation of an Executable, or source code differential\n				  comparisons against either the Original Code or another\n				  well known, available Covered Code of the Contributor&apos;s\n				  choice. The Source Code can be in a compressed or\n				  archival form, provided the appropriate decompression or\n				  de-archiving software is widely available for no charge.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.12.</var>\n			   <p>\n				  &quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity\n				  exercising rights under, and complying with all of\n				  the terms of, this License or a future version of this\n				  License issued under Section 6.1. For legal entities,\n				  &quot;You&quot; includes any entity which controls, is controlled\n				  by, or is under common control with You. For purposes\n				  of this definition, &quot;control&quot; means (a) the power,\n				  direct or indirect, to cause the direction or management\n				  of such entity, whether by contract or otherwise, or\n				  (b) ownership of more than fifty percent (50%) of the\n				  outstanding shares or beneficial ownership of such entity.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   <p>\n				  Source Code License.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.1.</var>\n			   <p>\n				  The Initial Developer Grant. The Initial Developer hereby\n				  grants You a world-wide, royalty-free, non-exclusive\n				  license, subject to third party intellectual property\n				  claims: (a) under intellectual property rights (other than\n				  patent or trademark) Licensable by Initial Developer to\n				  use, reproduce, modify, display, perform, sublicense and\n				  distribute the Original Code (or portions thereof) with or\n				  without Modifications, and/or as part of a Larger Work; and\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (b)</var>\n			   <p>\n				  under Patents Claims infringed by the making, using\n				  or selling of Original Code, to make, have made, use,\n				  practice, sell, and offer for sale, and/or otherwise\n				  dispose of the Original Code (or portions thereof).\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (c)</var>\n			   <p>\n				  the licenses granted in this Section 2.1(a) and (b)\n				  are effective on the date Initial Developer first\n				  distributes Original Code under the terms of this License.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (d)</var>\n			   <p>\n				  Notwithstanding Section 2.1(b) above, no patent license\n				  is granted: 1) for code that You delete from the Original\n				  Code; 2) separate from the Original Code; or 3) for\n				  infringements caused by: i) the modification of the\n				  Original Code or ii) the combination of the Original Code\n				  with other software or devices. 2.2. Contributor Grant.\n				  Subject to third party intellectual property claims, each\n				  Contributor hereby grants You a world-wide, royalty-free,\n				  non-exclusive license (a) under intellectual property\n				  rights (other than patent or trademark) Licensable\n				  by Contributor, to use, reproduce, modify, display,\n				  perform, sublicense and distribute the Modifications\n				  created by such Contributor (or portions thereof)\n				  either on an unmodified basis, with other Modifications,\n				  as Covered Code and/or as part of a Larger Work; and\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (b)</var>\n			   <p>\n				  under Patent Claims infringed by the making, using, or selling\n				  of Modifications made by that Contributor either alone and/or\n				  in combination with its Contributor Version (or portions\n				  of such combination), to make, use, sell, offer for sale,\n				  have made, and/or otherwise dispose of: 1) Modifications\n				  made by that Contributor (or portions thereof); and 2) the\n				  combination of Modifications made by that Contributor with\n				  its Contributor Version (or portions of such combination).\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (c)</var>\n			   <p>\n				  the licenses granted in Sections 2.2(a) and\n				  2.2(b) are effective on the date Contributor\n				  first makes Commercial Use of the Covered Code.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (d)</var>\n			   <p>\n				  Notwithstanding Section 2.2(b) above, no patent license is\n				  granted: 1) for any code that Contributor has deleted from\n				  the Contributor Version; 2) separate from the Contributor\n				  Version; 3) for infringements caused by: i) third party\n				  modifications of Contributor Version or ii) the combination\n				  of Modifications made by that Contributor with other\n				  software (except as part of the Contributor Version) or other\n				  devices; or 4) under Patent Claims infringed by Covered Code\n				  in the absence of Modifications made by that Contributor.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   <p>\n				  Distribution Obligations.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.1.</var>\n			   <p>\n				  Application of License. The Modifications which You create\n				  or to which You contribute are governed by the terms of\n				  this License, including without limitation Section 2.2.\n				  The Source Code version of Covered Code may be distributed\n				  only under the terms of this License or a future version\n				  of this License released under Section 6.1, and You must\n				  include a copy of this License with every copy of the Source\n				  Code You distribute. You may not offer or impose any terms\n				  on any Source Code version that alters or restricts the\n				  applicable version of this License or the recipients&apos; rights\n				  hereunder. However, You may include an additional document\n				  offering the additional rights described in Section 3.5.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.2.</var>\n			   <p>\n				  Availability of Source Code. Any Modification which You\n				  create or to which You contribute must be made available\n				  in Source Code form under the terms of this License\n				  either on the same media as an Executable version or via\n				  an accepted Electronic Distribution Mechanism to anyone\n				  to whom you made an Executable version available; and\n				  if made available via Electronic Distribution Mechanism,\n				  must remain available for at least twelve (12) months\n				  after the date it initially became available, or at\n				  least six (6) months after a subsequent version of that\n				  particular Modification has been made available to such\n				  recipients. You are responsible for ensuring that the\n				  Source Code version remains available even if the Electronic\n				  Distribution Mechanism is maintained by a third party.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.3.</var>\n			   <p>\n				  Description of Modifications. You must cause all Covered\n				  Code to which You contribute to contain a file documenting\n				  the changes You made to create that Covered Code and\n				  the date of any change. You must include a prominent\n				  statement that the Modification is derived, directly or\n				  indirectly, from Original Code provided by the Initial\n				  Developer and including the name of the Initial Developer\n				  in (a) the Source Code, and (b) in any notice in an\n				  Executable version or related documentation in which You\n				  describe the origin or ownership of the Covered Code.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.4.</var>\n			   <p>\n				  Intellectual Property Matters (a) Third Party Claims. If\n				  Contributor has knowledge that a license under a third\n				  party&apos;s intellectual property rights is required to exercise\n				  the rights granted by such Contributor under Sections\n				  2.1 or 2.2, Contributor must include a text file with the\n				  Source Code distribution titled &quot;LEGAL&quot; which describes the\n				  claim and the party making the claim in sufficient detail\n				  that a recipient will know whom to contact. If Contributor\n				  obtains such knowledge after the Modification is made\n				  available as described in Section 3.2, Contributor shall\n				  promptly modify the LEGAL file in all copies Contributor\n				  makes available thereafter and shall take other steps\n				  (such as notifying appropriate mailing lists or newsgroups)\n				  reasonably calculated to inform those who received\n				  the Covered Code that new knowledge has been obtained.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (b)</var>\n			   <p>\n				  Contributor APIs. If Contributor&apos;s Modifications include\n				  an application programming interface and Contributor\n				  has knowledge of patent licenses which are reasonably\n				  necessary to implement that API, Contributor must\n				  also include this information in the LEGAL file. (c)\n				  Representations. Contributor represents that, except as\n				  disclosed pursuant to Section 3.4(a) above, Contributor\n				  believes that Contributor&apos;s Modifications are Contributor&apos;s\n				  original creation(s) and/or Contributor has sufficient\n				  rights to grant the rights conveyed by this License.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.5.</var>\n			   <p>\n				  Required Notices. You must duplicate the notice in Exhibit\n				  A in each file of the Source Code. If it is not possible\n				  to put such notice in a particular Source Code file due\n				  to its structure, then You must include such notice in a\n				  location (such as a relevant directory) where a user would\n				  be likely to look for such a notice. If You created one or\n				  more Modification(s) You may add your name as a Contributor\n				  to the notice described in Exhibit A. You must also\n				  duplicate this License in any documentation for the Source\n				  Code where You describe recipients&apos; rights or ownership\n				  rights relating to Covered Code. You may choose to offer,\n				  and to charge a fee for, warranty, support, indemnity or\n				  liability obligations to one or more recipients of Covered\n				  Code. However, You may do so only on Your own behalf, and\n				  not on behalf of the Initial Developer or any Contributor.\n				  You must make it absolutely clear than any such warranty,\n				  support, indemnity or liability obligation is offered by\n				  You alone, and You hereby agree to indemnify the Initial\n				  Developer and every Contributor for any liability incurred\n				  by the Initial Developer or such Contributor as a result of\n				  warranty, support, indemnity or liability terms You offer.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.6.</var>\n			   <p>\n				  Distribution of Executable Versions. You may distribute\n				  Covered Code in Executable form only if the requirements of\n				  Section 3.1-3.5 have been met for that Covered Code, and if\n				  You include a notice stating that the Source Code version\n				  of the Covered Code is available under the terms of this\n				  License, including a description of how and where You have\n				  fulfilled the obligations of Section 3.2. The notice must\n				  be conspicuously included in any notice in an Executable\n				  version, related documentation or collateral in which You\n				  describe recipients&apos; rights relating to the Covered Code.\n				  You may distribute the Executable version of Covered Code or\n				  ownership rights under a license of Your choice, which may\n				  contain terms different from this License, provided that You\n				  are in compliance with the terms of this License and that\n				  the license for the Executable version does not attempt to\n				  limit or alter the recipient&apos;s rights in the Source Code\n				  version from the rights set forth in this License. If You\n				  distribute the Executable version under a different license\n				  You must make it absolutely clear that any terms which\n				  differ from this License are offered by You alone, not by\n				  the Initial Developer or any Contributor. You hereby agree\n				  to indemnify the Initial Developer and every Contributor\n				  for any liability incurred by the Initial Developer or\n				  such Contributor as a result of any such terms You offer.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.7.</var>\n			   <p>\n				  Larger Works. You may create a Larger Work by combining\n				  Covered Code with other code not governed by the terms of\n				  this License and distribute the Larger Work as a single\n				  product. In such a case, You must make sure the requirements\n				  of this License are fulfilled for the Covered Code.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   <p>\n				  Inability to Comply Due to Statute or Regulation.\n			   </p>\n\n			   <p>\n				  If it is impossible for You to comply with any of the\n				  terms of this License with respect to some or all of the\n				  Covered Code due to statute, judicial order, or regulation\n				  then You must: (a) comply with the terms of this License\n				  to the maximum extent possible; and (b) describe the\n				  limitations and the code they affect. Such description must\n				  be included in the LEGAL file described in Section 3.4 and\n				  must be included with all distributions of the Source Code.\n				  Except to the extent prohibited by statute or regulation,\n				  such description must be sufficiently detailed for a\n				  recipient of ordinary skill to be able to understand it.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   <p>\n				  Application of this License.\n			   </p>\n\n			   <p>\n				  This License applies to code to which the\n				  Initial Developer has attached the notice\n				  in Exhibit A and to related Covered Code.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 6.</var>\n			   <p>\n				  Versions of the License.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 6.1.</var>\n			   <p>\n				  New Versions. Thomas Richter may publish revised and/or\n				  new versions of the License from time to time. Each\n				  version will be given a distinguishing version number.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 6.2.</var>\n			   <p>\n				  Effect of New Versions. Once Covered Code has been published\n				  under a particular version of the License, You may always\n				  continue to use it under the terms of that version. You may\n				  also choose to use such Covered Code under the terms of any\n				  subsequent version of the License published by Thomas Richter.\n				  No one other than Thomas Richter has the right to modify the\n				  terms applicable to Covered Code created under this License.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 6.3.</var>\n			   <p>\n				  Derivative Works. If You create or use a modified version\n				  of this License (which you may only do in order to apply it\n				  to code which is not already Covered Code governed by this\n				  License), You must (a) rename Your license so that the phrases\n				  &quot;TPL&quot;, &quot;THOR Software&quot;, &quot;Thomas Richter&quot; or any confusingly\n				  similar phrase do not appear in your license (except to\n				  note that your license differs from this License) and (b)\n				  otherwise make it clear that Your version of the license\n				  contains terms which differ from the THOR Public License.\n				  (Filling in the name of the Initial Developer, Original Code\n				  or Contributor in the notice described in Exhibit A shall not\n				  of themselves be deemed to be modifications of this License.)\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 7.</var>\n			   <p>\n				  DISCLAIMER OF WARRANTY.\n			   </p>\n\n			   <p>\n				  COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot;\n				  BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR\n				  IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT\n				  THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT\n				  FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE\n				  RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE\n				  IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN\n				  ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER\n				  CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING,\n				  REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES\n				  AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\n				  CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 8.</var>\n			   <p>\n				  TERMINATION.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 8.1.</var>\n			   <p>\n				  This License and the rights granted hereunder will terminate\n				  automatically if You fail to comply with terms herein and\n				  fail to cure such breach within 30 days of becoming aware\n				  of the breach. All sublicenses to the Covered Code which\n				  are properly granted shall survive any termination of this\n				  License. Provisions which, by their nature, must remain in\n				  effect beyond the termination of this License shall survive.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 8.2.</var>\n			   <p>\n				  If You initiate litigation by asserting a patent\n				  infringement claim (excluding declatory judgment actions)\n				  against Initial Developer or a Contributor (the Initial\n				  Developer or Contributor against whom You file such\n				  action is referred to as &quot;Participant&quot;) alleging that:\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (a)</var>\n			   <p>\n				  such Participant&apos;s Contributor Version directly or indirectly\n				  infringes any patent, then any and all rights granted by\n				  such Participant to You under Sections 2.1 and/or 2.2 of this\n				  License shall, upon 60 days notice from Participant terminate\n				  prospectively, unless if within 60 days after receipt of\n				  notice You either: (i) agree in writing to pay Participant\n				  a mutually agreeable reasonable royalty for Your past and\n				  future use of Modifications made by such Participant, or (ii)\n				  withdraw Your litigation claim with respect to the Contributor\n				  Version against such Participant. If within 60 days of notice,\n				  a reasonable royalty and payment arrangement are not mutually\n				  agreed upon in writing by the parties or the litigation claim\n				  is not withdrawn, the rights granted by Participant to You\n				  under Sections 2.1 and/or 2.2 automatically terminate at\n				  the expiration of the 60 day notice period specified above.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (b)</var>\n			   <p>\n				  any software, hardware, or device, other than such\n				  Participant&apos;s Contributor Version, directly or indirectly\n				  infringes any patent, then any rights granted to You by such\n				  Participant under Sections 2.1(b) and 2.2(b) are revoked effective\n				  as of the date You first made, used, sold, distributed,\n				  or had made, Modifications made by that Participant.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 8.3.</var>\n			   <p>\n				  If You assert a patent infringement claim against Participant\n				  alleging that such Participant&apos;s Contributor Version directly\n				  or indirectly infringes any patent where such claim is\n				  resolved (such as by license or settlement) prior to the\n				  initiation of patent infringement litigation, then the\n				  reasonable value of the licenses granted by such Participant\n				  under Sections 2.1 or 2.2 shall be taken into account in\n				  determining the amount or value of any payment or license.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 8.4.</var>\n			   <p>\n				  In the event of termination under Sections 8.1\n				  or 8.2 above, all end user license agreements\n				  (excluding distributors and resellers) which have been\n				  validly granted by You or any distributor hereunder\n				  prior to termination shall survive termination.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 9.</var>\n			   <p>\n				  LIMITATION OF LIABILITY.\n			   </p>\n\n			   <p>\n				  UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER\n				  TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL\n				  YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY\n				  DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH\n				  PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL,\n				  INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER\n				  INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL,\n				  WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND\n				  ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY\n				  SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES.\n				  THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY\n				  FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S\n				  NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH\n				  LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION\n				  OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES,\n				  SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 10.</var>\n			   <p>\n				  U.S. GOVERNMENT END USERS.\n			   </p>\n\n			   <p>\n				  The Covered Code is a &quot;commercial item,&quot; as that term\n				  is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of\n				  &quot;commercial computer software&quot; and &quot;commercial computer\n				  software documentation,&quot; as such terms are used in 48\n				  C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R.\n				  12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4\n				  (June 1995), all U.S. Government End Users acquire\n				  Covered Code with only those rights set forth herein.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 11.</var>\n			   <p>\n				  MISCELLANEOUS.\n			   </p>\n\n			   <p>\n				  This License represents the complete agreement concerning\n				  subject matter hereof. If any provision of this License is\n				  held to be unenforceable, such provision shall be reformed\n				  only to the extent necessary to make it enforceable. This\n				  License shall be governed by German law provisions (except\n				  to the extent applicable law, if any, provides otherwise),\n				  excluding its conflict-of-law provisions. With respect\n				  to disputes in which at least one party is a citizen\n				  of, or an entity chartered or registered to do business\n				  in Federal Republic of Germany, any litigation relating\n				  to this License shall be subject to the jurisdiction of\n				  the Federal Courts of the Federal Republic of Germany,\n				  with the losing party responsible for costs, including\n				  without limitation, court costs and reasonable attorneys&apos;\n				  fees and expenses. Any law or regulation which provides\n				  that the language of a contract shall be consTrued\n				  against the drafter shall not apply to this License.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 12.</var>\n			   <p>\n				  RESPONSIBILITY FOR CLAIMS.\n			   </p>\n\n			   <p>\n				  As between Initial Developer and the Contributors, each\n				  party is responsible for claims and damages arising,\n				  directly or indirectly, out of its utilization of rights\n				  under this License and You agree to work with Initial\n				  Developer and Contributors to distribute such responsibility\n				  on an equitable basis. Nothing herein is intended or\n				  shall be deemed to constitute any admission of liability.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.</var>\n			   <p>\n				  MULTIPLE-LICENSED CODE.\n			   </p>\n\n			   <p>\n				  Initial Developer may designate portions of the Covered\n				  Code as Multiple-Licensed. Multiple-Licensed means that\n				  the Initial Developer permits you to utilize portions\n				  of the Covered Code under Your choice of the TPL or\n				  the alternative licenses, if any, specified by the\n				  Initial Developer in the file described in Exhibit A.\n			   </p>\n\n			</li>\n		 \n</ul>\n		 <div class=\"optional-license-text\"> \n			<p>\n			   EXHIBIT A - THOR Public License.\n			</p>\n\n			   <p>\n				  The contents of this file are subject to the THOR\n				  Public License Version 1.0 (the &quot;License&quot;); you may not\n				  use this file except in compliance with the License.\n			   </p>\n\n			   <p>\n				  Software distributed under the License is distributed on\n				  an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF ANY KIND, either\n				  express or implied. See the License for the specificlanguage\n				  governing rights and limitations under the License.\n			   </p>\n\n			   <p>\n				  The Original Code is ______________________________________.\n			   </p>\n\n			   <p>\n				  The Initial Developer of the Original Code is _____________.\n			   </p>\n\n			   <p>\n				  Portions created by ______________________ are\n				  Copyright (C) ______ _______________________.\n			   </p>\n\n			   <p>\n				  All Rights Reserved.\n			   </p>\n\n			   <p>\n				  Contributor(s): ______________________________________.\n			   </p>\n\n			   <p>\n				  Alternatively, the contents of this file may be used under\n				  the terms of the _____ license (the [___] License), in\n				  which case the provisions of [______] License are applicable\n				  instead of those above. If you wish to allow use of your\n				  version of this file only under the terms of the [____]\n				  License and not to allow others to use your version of this\n				  file under the TPL, indicate your decision by deleting the\n				  provisions above and replace them with the notice and other\n				  provisions required by the [___] License. If you do not\n				  delete the provisions above, a recipient may use your version\n				  of this file under either the TPL or the [___] License.&quot;\n			   </p>\n\n			<p>\n			   [NOTE: The text of this Exhibit A may differ slightly\n			   from the text of the notices in the Source Code\n			   files of the Original Code. You should use the text\n			   of this Exhibit A rather than the text found in the\n			   Original Code Source Code for Your Modifications.]\n			</p>\n\n		 </div>\n	  "
		self.standardLicenseHeaderHtml = "\n			   <p>\n				  The contents of this file are subject to the THOR\n				  Public License Version 1.0 (the &quot;License&quot;); you may not\n				  use this file except in compliance with the License.\n			   </p>\n\n			   <p>\n				  Software distributed under the License is distributed on\n				  an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF ANY KIND, either\n				  express or implied. See the License for the specificlanguage\n				  governing rights and limitations under the License.\n			   </p>\n\n			   <p>\n				  The Original Code is ______________________________________.\n			   </p>\n\n			   <p>\n				  The Initial Developer of the Original Code is _____________.\n			   </p>\n\n			   <p>\n				  Portions created by ______________________ are\n				  Copyright (C) ______ _______________________.\n			   </p>\n\n			   <p>\n				  All Rights Reserved.\n			   </p>\n\n			   <p>\n				  Contributor(s): ______________________________________.\n			   </p>\n\n			   <p>\n				  Alternatively, the contents of this file may be used under\n				  the terms of the _____ license (the [___] License), in\n				  which case the provisions of [______] License are applicable\n				  instead of those above. If you wish to allow use of your\n				  version of this file only under the terms of the [____]\n				  License and not to allow others to use your version of this\n				  file under the TPL, indicate your decision by deleting the\n				  provisions above and replace them with the notice and other\n				  provisions required by the [___] License. If you do not\n				  delete the provisions above, a recipient may use your version\n				  of this file under either the TPL or the [___] License.&quot;\n			   </p>\n\n			"
		self.python_name = "TPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class CDDL11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL)\nVersion 1.1\n\n1. Definitions.\n\n1.1. \u201cContributor\u201d means each individual or entity that creates or contributes to the creation of Modifications.\n\n1.2. \u201cContributor Version\u201d means the combination of the Original Software, prior Modifications used by a Contributor (if any), and the Modifications made by that particular Contributor.\n\n1.3. \u201cCovered Software\u201d means (a) the Original Software, or (b) Modifications, or (c) the combination of files containing Original Software with files containing Modifications, in each case including portions thereof.\n\n1.4. \u201cExecutable\u201d means the Covered Software in any form other than Source Code.\n\n1.5. \u201cInitial Developer\u201d means the individual or entity that first makes Original Software available under this License.\n\n1.6. \u201cLarger Work\u201d means a work which combines Covered Software or portions thereof with code not governed by the terms of this License.\n\n1.7. \u201cLicense\u201d means this document.\n\n1.8. \u201cLicensable\u201d means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n1.9. \u201cModifications\u201d means the Source Code and Executable form of any of the following:\n\n	 A. Any file that results from an addition to, deletion from or modification of the contents of a file containing Original Software or previous Modifications;\n\n	 B. Any new file that contains any part of the Original Software or previous Modification; or\n\n	 C. Any new file that is contributed or otherwise made available under the terms of this License.\n\n1.10. \u201cOriginal Software\u201d means the Source Code and Executable form of computer software code that is originally released under this License.\n\n1.11. \u201cPatent Claims\u201d means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n1.12. \u201cSource Code\u201d means (a) the common form of computer software code in which modifications are made and (b) associated documentation included in or with such code.\n\n1.13. \u201cYou\u201d (or \u201cYour\u201d) means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \u201cYou\u201d includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \u201ccontrol\u201d means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n2. License Grants.\n\n2.1. The Initial Developer Grant.\nConditioned upon Your compliance with Section 3.1 below and subject to third party intellectual property claims, the Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license:\n\n	 (a) under intellectual property rights (other than patent or trademark) Licensable by Initial Developer, to use, reproduce, modify, display, perform, sublicense and distribute the Original Software (or portions thereof), with or without Modifications, and/or as part of a Larger Work; and\n\n	 (b) under Patent Claims infringed by the making, using or selling of Original Software, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Software (or portions thereof).\n\n	 (c) The licenses granted in Sections 2.1(a) and (b) are effective on the date Initial Developer first distributes or otherwise makes the Original Software available to a third party under the terms of this License.\n\n	 (d) Notwithstanding Section 2.1(b) above, no patent license is granted: (1) for code that You delete from the Original Software, or (2) for infringements caused by: (i) the modification of the Original Software, or (ii) the combination of the Original Software with other software or devices.\n\n2.2. Contributor Grant.\nConditioned upon Your compliance with Section 3.1 below and subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license:\n\n	 (a) under intellectual property rights (other than patent or trademark) Licensable by Contributor to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof), either on an unmodified basis, with other Modifications, as Covered Software and/or as part of a Larger Work; and\n\n	 (b) under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: (1) Modifications made by that Contributor (or portions thereof); and (2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n	 (c) The licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first distributes or otherwise makes the Modifications available to a third party.\n\n	 (d) Notwithstanding Section 2.2(b) above, no patent license is granted: (1) for any code that Contributor has deleted from the Contributor Version; (2) for infringements caused by: (i) third party modifications of Contributor Version, or (ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or (3) under Patent Claims infringed by Covered Software in the absence of Modifications made by that Contributor.\n\n3. Distribution Obligations.\n\n3.1. Availability of Source Code.\nAny Covered Software that You distribute or otherwise make available in Executable form must also be made available in Source Code form and that Source Code form must be distributed only under the terms of this License. You must include a copy of this License with every copy of the Source Code form of the Covered Software You distribute or otherwise make available. You must inform recipients of any such Covered Software in Executable form as to how they can obtain such Covered Software in Source Code form in a reasonable manner on or through a medium customarily used for software exchange.\n\n3.2. Modifications.\nThe Modifications that You create or to which You contribute are governed by the terms of this License. You represent that You believe Your Modifications are Your original creation(s) and/or You have sufficient rights to grant the rights conveyed by this License.\n\n3.3. Required Notices.\nYou must include a notice in each of Your Modifications that identifies You as the Contributor of the Modification. You may not remove or alter any copyright, patent or trademark notices contained within the Covered Software, or any notices of licensing or any descriptive text giving attribution to any Contributor or the Initial Developer.\n\n3.4. Application of Additional Terms.\nYou may not offer or impose any terms on any Covered Software in Source Code form that alters or restricts the applicable version of this License or the recipients' rights hereunder. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Software. However, you may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n3.5. Distribution of Executable Versions.\nYou may distribute the Executable form of the Covered Software under the terms of this License or under the terms of a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable form does not attempt to limit or alter the recipient's rights in the Source Code form from the rights set forth in this License. If You distribute the Covered Software in Executable form under a different license, You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n3.6. Larger Works.\nYou may create a Larger Work by combining Covered Software with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Software.\n\n4. Versions of the License.\n\n4.1. New Versions.\nOracle is the initial license steward and may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Except as provided in Section 4.3, no one other than the license steward has the right to modify this License.\n\n4.2. Effect of New Versions.\nYou may always continue to use, distribute or otherwise make the Covered Software available under the terms of the version of the License under which You originally received the Covered Software. If the Initial Developer includes a notice in the Original Software prohibiting it from being distributed or otherwise made available under any subsequent version of the License, You must distribute and make the Covered Software available under the terms of the version of the License under which You originally received the Covered Software. Otherwise, You may also choose to use, distribute or otherwise make the Covered Software available under the terms of any subsequent version of the License published by the license steward.\n\n4.3. Modified Versions.\nWhen You are an Initial Developer and You want to create a new license for Your Original Software, You may create and use a modified version of this License if You: (a) rename the license and remove any references to the name of the license steward (except to note that the license differs from this License); and (b) otherwise make it clear that the license contains terms which differ from this License.\n\n5. DISCLAIMER OF WARRANTY.\nCOVERED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN \u201cAS IS\u201d BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED SOFTWARE IS WITH YOU. SHOULD ANY COVERED SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n6. TERMINATION.\n\n6.1. This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n6.2. If You assert a patent infringement claim (excluding declaratory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You assert such claim is referred to as \u201cParticipant\u201d) alleging that the Participant Software (meaning the Contributor Version where the Participant is a Contributor or the Original Software where the Participant is the Initial Developer) directly or indirectly infringes any patent, then any and all rights granted directly or indirectly to You by such Participant, the Initial Developer (if the Initial Developer is not the Participant) and all Contributors under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively and automatically at the expiration of such 60 day notice period, unless if within such 60 day period You withdraw Your claim with respect to the Participant Software against such Participant either unilaterally or pursuant to a written agreement with Participant.\n\n6.3. If You assert a patent infringement claim against Participant alleging that the Participant Software directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n6.4. In the event of termination under Sections 6.1 or 6.2 above, all end user licenses that have been validly granted by You or any distributor hereunder prior to termination (excluding licenses granted to You by any distributor) shall survive termination.\n\n7. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n8. U.S. GOVERNMENT END USERS.\n\nThe Covered Software is a \u201ccommercial item,\u201d as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \u201ccommercial computer software\u201d (as that term is defined at 48 C.F.R. \u00a7 252.227-7014(a)(1)) and \u201ccommercial computer software documentation\u201d as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Software with only those rights set forth herein. This U.S. Government Rights clause is in lieu of, and supersedes, any other FAR, DFAR, or other clause or provision that addresses Government rights in computer software under this License.\n\n9. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by the law of the jurisdiction specified in a notice contained within the Original Software (except to the extent applicable law, if any, provides otherwise), excluding such jurisdiction's conflict-of-law provisions. Any litigation relating to this License shall be subject to the jurisdiction of the courts located in the jurisdiction and venue specified in a notice contained within the Original Software, with the losing party responsible for costs, including, without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License. You agree that You alone are responsible for compliance with the United States export administration regulations (and the export control laws and regulation of any other countries) when You use, distribute or otherwise make available any Covered Software.\n\n10. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\nNOTICE PURSUANT TO SECTION 9 OF THE COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL)\nThe code released under the CDDL shall be governed by the laws of the State of California (excluding conflict-of-law provisions). Any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California and the state courts of the State of California, with venue lying in Santa Clara County, California.\n"
		self.standardLicenseTemplate = "<<beginOptional>>COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL)\n\nVersion 1.1\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each individual or entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Software, prior Modifications used by a Contributor (if any), and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Covered Software\" means (a) the Original Software, or (b) Modifications, or (c) the combination of files containing Original Software with files containing Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Executable\" means the Covered Software in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity that first makes Original Software available under this License.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Software or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Modifications\" means the Source Code and Executable form of any of the following:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any file that results from an addition to, deletion from or modification of the contents of a file containing Original Software or previous Modifications;\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Software or previous Modification; or\n\n		 <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> Any new file that is contributed or otherwise made available under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Original Software\" means the Source Code and Executable form of computer software code that is originally released under this License.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"Source Code\" means (a) the common form of computer software code in which modifications are made and (b) associated documentation included in or with such code.\n\n	  <<var;name=\"bullet\";original=\"1.13.\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> License Grants.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Initial Developer Grant.\n\n	  Conditioned upon Your compliance with Section 3.1 below and subject to third party intellectual property claims, the Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Initial Developer, to use, reproduce, modify, display, perform, sublicense and distribute the Original Software (or portions thereof), with or without Modifications, and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims infringed by the making, using or selling of Original Software, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Software (or portions thereof).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> The licenses granted in Sections 2.1(a) and (b) are effective on the date Initial Developer first distributes or otherwise makes the Original Software available to a third party under the terms of this License.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.1(b) above, no patent license is granted: (1) for code that You delete from the Original Software, or (2) for infringements caused by: (i) the modification of the Original Software, or (ii) the combination of the Original Software with other software or devices.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant.\n\n	  Conditioned upon Your compliance with Section 3.1 below and subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Contributor to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof), either on an unmodified basis, with other Modifications, as Covered Software and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: (1) Modifications made by that Contributor (or portions thereof); and (2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> The licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first distributes or otherwise makes the Modifications available to a third party.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.2(b) above, no patent license is granted: (1) for any code that Contributor has deleted from the Contributor Version; (2) for infringements caused by: (i) third party modifications of Contributor Version, or (ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or (3) under Patent Claims infringed by Covered Software in the absence of Modifications made by that Contributor.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Availability of Source Code.\n\n	  Any Covered Software that You distribute or otherwise make available in Executable form must also be made available in Source Code form and that Source Code form must be distributed only under the terms of this License. You must include a copy of this License with every copy of the Source Code form of the Covered Software You distribute or otherwise make available. You must inform recipients of any such Covered Software in Executable form as to how they can obtain such Covered Software in Source Code form in a reasonable manner on or through a medium customarily used for software exchange.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Modifications.\n\n	  The Modifications that You create or to which You contribute are governed by the terms of this License. You represent that You believe Your Modifications are Your original creation(s) and/or You have sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Required Notices.\n\n	  You must include a notice in each of Your Modifications that identifies You as the Contributor of the Modification. You may not remove or alter any copyright, patent or trademark notices contained within the Covered Software, or any notices of licensing or any descriptive text giving attribution to any Contributor or the Initial Developer.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Application of Additional Terms.\n\n	  You may not offer or impose any terms on any Covered Software in Source Code form that alters or restricts the applicable version of this License or the recipients' rights hereunder. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Software. However, you may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Distribution of Executable Versions.\n\n	  You may distribute the Executable form of the Covered Software under the terms of this License or under the terms of a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable form does not attempt to limit or alter the recipient's rights in the Source Code form from the rights set forth in this License. If You distribute the Covered Software in Executable form under a different license, You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Larger Works.\n\n	  You may create a Larger Work by combining Covered Software with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Software.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> New Versions.\n\n	  Oracle is the initial license steward and may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Except as provided in Section 4.3, no one other than the license steward has the right to modify this License.\n\n	  <<var;name=\"bullet\";original=\"4.2.\";match=\".{0,20}\">> Effect of New Versions.\n\n	  You may always continue to use, distribute or otherwise make the Covered Software available under the terms of the version of the License under which You originally received the Covered Software. If the Initial Developer includes a notice in the Original Software prohibiting it from being distributed or otherwise made available under any subsequent version of the License, You must distribute and make the Covered Software available under the terms of the version of the License under which You originally received the Covered Software. Otherwise, You may also choose to use, distribute or otherwise make the Covered Software available under the terms of any subsequent version of the License published by the license steward.\n\n	  <<var;name=\"bullet\";original=\"4.3.\";match=\".{0,20}\">> Modified Versions.\n\n	  When You are an Initial Developer and You want to create a new license for Your Original Software, You may create and use a modified version of this License if You: (a) rename the license and remove any references to the name of the license steward (except to note that the license differs from this License); and (b) otherwise make it clear that the license contains terms which differ from this License.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n   COVERED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED SOFTWARE IS WITH YOU. SHOULD ANY COVERED SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> TERMINATION.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> If You assert a patent infringement claim (excluding declaratory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You assert such claim is referred to as \"Participant\") alleging that the Participant Software (meaning the Contributor Version where the Participant is a Contributor or the Original Software where the Participant is the Initial Developer) directly or indirectly infringes any patent, then any and all rights granted directly or indirectly to You by such Participant, the Initial Developer (if the Initial Developer is not the Participant) and all Contributors under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively and automatically at the expiration of such 60 day notice period, unless if within such 60 day period You withdraw Your claim with respect to the Participant Software against such Participant either unilaterally or pursuant to a written agreement with Participant.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> If You assert a patent infringement claim against Participant alleging that the Participant Software directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"6.4.\";match=\".{0,20}\">> In the event of termination under Sections 6.1 or 6.2 above, all end user licenses that have been validly granted by You or any distributor hereunder prior to termination (excluding licenses granted to You by any distributor) shall survive termination.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS.\n\n   The Covered Software is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" (as that term is defined at 48 C.F.R. \u00a7 252.227-7014(a)(1)) and \"commercial computer software documentation\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Software with only those rights set forth herein. This U.S. Government Rights clause is in lieu of, and supersedes, any other FAR, DFAR, or other clause or provision that addresses Government rights in computer software under this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> MISCELLANEOUS.\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by the law of the jurisdiction specified in a notice contained within the Original Software (except to the extent applicable law, if any, provides otherwise), excluding such jurisdiction's conflict-of-law provisions. Any litigation relating to this License shall be subject to the jurisdiction of the courts located in the jurisdiction and venue specified in a notice contained within the Original Software, with the losing party responsible for costs, including, without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License. You agree that You alone are responsible for compliance with the United States export administration regulations (and the export control laws and regulation of any other countries) when You use, distribute or otherwise make available any Covered Software.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS.\n\n   As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\nNOTICE PURSUANT TO SECTION 9 OF THE COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL)\n\nThe code released under the CDDL shall be governed by the laws of the State of California (excluding conflict-of-law provisions). Any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California and the state courts of the State of California, with venue lying in Santa Clara County, California.\n\n"
		self.name = "Common Development and Distribution License 1.1"
		self.licenseComments = "Same as 1.0, but changes name from Sun to Oracle in section 4.1 and adds patent infringement termination clause (section 6.3)"
		self.licenseId = "CDDL-1.1"
		self.crossRef = [{"match": "False", "url": "https://javaee.github.io/glassfish/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:04Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://glassfish.java.net/public/CDDL+GPL_1_1.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:04Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://glassfish.java.net/public/CDDL+GPL_1_1.html", "https://javaee.github.io/glassfish/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL)\n		<br />\n\nVersion 1.1\n	  </p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			  &quot;Contributor&quot; means each individual or entity that creates or contributes to the\n				 creation of Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			  &quot;Contributor Version&quot; means the combination of the Original Software, prior\n				 Modifications used by a Contributor (if any), and the Modifications made by that particular\n				 Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			  &quot;Covered Software&quot; means (a) the Original Software, or (b) Modifications, or (c)\n				 the combination of files containing Original Software with files containing Modifications, in\n				 each case including portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			  &quot;Executable&quot; means the Covered Software in any form other than Source Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			  &quot;Initial Developer&quot; means the individual or entity that first makes Original\n				 Software available under this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			  &quot;Larger Work&quot; means a work which combines Covered Software or portions thereof with\n				 code not governed by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			  &quot;License&quot; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			  &quot;Licensable&quot; means having the right to grant, to the maximum extent possible,\n				 whether at the time of the initial grant or subsequently acquired, any and all of the rights\n				 conveyed herein.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			  &quot;Modifications&quot; means the Source Code and Executable form of any of the following:\n				\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n					Any file that results from an addition to, deletion from or modification of the contents of a\n					   file containing Original Software or previous Modifications;\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n					Any new file that contains any part of the Original Software or previous Modification; or\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> C.</var>\n					Any new file that is contributed or otherwise made available under the terms of this License.\n				  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			  &quot;Original Software&quot; means the Source Code and Executable form of computer software\n				 code that is originally released under this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			  &quot;Patent Claims&quot; means any patent claim(s), now owned or hereafter acquired,\n				 including without limitation, method, process, and apparatus claims, in any patent Licensable\n				 by grantor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			  &quot;Source Code&quot; means (a) the common form of computer software code in which\n				 modifications are made and (b) associated documentation included in or with such code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13.</var>\n			  &quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity exercising\n				 rights under, and complying with all of the terms of, this License. For legal entities,\n				 &quot;You&quot; includes any entity which controls, is controlled by, or is under common\n				 control with You. For purposes of this definition, &quot;control&quot; means (a) the\n				 power, direct or indirect, to cause the direction or management of such entity, whether by\n				 contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding\n				 shares or beneficial ownership of such entity.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  License Grants.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			  The Initial Developer Grant.\n				<br />\n\n	  Conditioned upon Your compliance with Section 3.1 below and subject to third party\n					 intellectual property claims, the Initial Developer hereby grants You a world-wide,\n					 royalty-free, non-exclusive license:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n					under intellectual property rights (other than patent or trademark) Licensable by Initial\n					   Developer, to use, reproduce, modify, display, perform, sublicense and distribute the\n					   Original Software (or portions thereof), with or without Modifications, and/or as part of\n					   a Larger Work; and\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n					under Patent Claims infringed by the making, using or selling of Original Software, to make,\n					   have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the\n					   Original Software (or portions thereof).\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n					The licenses granted in Sections 2.1(a) and (b) are effective on the date Initial Developer\n					   first distributes or otherwise makes the Original Software available to a third party\n					   under the terms of this License.\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n					Notwithstanding Section 2.1(b) above, no patent license is granted: (1) for code that You\n					   delete from the Original Software, or (2) for infringements caused by: (i) the\n					   modification of the Original Software, or (ii) the combination of the Original Software\n					   with other software or devices.\n				  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			  Contributor Grant.\n				<br />\n\n	  Conditioned upon Your compliance with Section 3.1 below and subject to third party\n					 intellectual property claims, each Contributor hereby grants You a world-wide,\n					 royalty-free, non-exclusive license:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n					under intellectual property rights (other than patent or trademark) Licensable by Contributor\n					   to use, reproduce, modify, display, perform, sublicense and distribute the Modifications\n					   created by such Contributor (or portions thereof), either on an unmodified basis, with\n					   other Modifications, as Covered Software and/or as part of a Larger Work; and\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n					under Patent Claims infringed by the making, using, or selling of Modifications made by that\n					   Contributor either alone and/or in combination with its Contributor Version (or portions\n					   of such combination), to make, use, sell, offer for sale, have made, and/or otherwise\n					   dispose of: (1) Modifications made by that Contributor (or portions thereof); and (2) the\n					   combination of Modifications made by that Contributor with its Contributor Version (or\n					   portions of such combination).\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n					The licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor\n					   first distributes or otherwise makes the Modifications available to a third party.\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n					Notwithstanding Section 2.2(b) above, no patent license is granted: (1) for any code that\n					   Contributor has deleted from the Contributor Version; (2) for infringements caused by: (i)\n					   third party modifications of Contributor Version, or (ii) the combination of Modifications\n					   made by that Contributor with other software (except as part of the Contributor Version)\n					   or other devices; or (3) under Patent Claims infringed by Covered Software in the absence\n					   of Modifications made by that Contributor.\n				  </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Distribution Obligations.\n			\n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n				  Availability of Source Code.\n					<br />\n\n	  Any Covered Software that You distribute or otherwise make available in Executable form\n						 must also be made available in Source Code form and that Source Code form must be\n						 distributed only under the terms of this License. You must include a copy of this\n						 License with every copy of the Source Code form of the Covered Software You distribute\n						 or otherwise make available. You must inform recipients of any such Covered Software\n						 in Executable form as to how they can obtain such Covered Software in Source Code form\n						 in a reasonable manner on or through a medium customarily used for software exchange.\n\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n				  Modifications.\n					<br />\n\n	  The Modifications that You create or to which You contribute are governed by the terms of\n						 this License. You represent that You believe Your Modifications are Your original\n						 creation(s) and/or You have sufficient rights to grant the rights conveyed by this\n						 License.\n\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n				  Required Notices.\n					<br />\n\n	  You must include a notice in each of Your Modifications that identifies You as the\n						 Contributor of the Modification. You may not remove or alter any copyright, patent or\n						 trademark notices contained within the Covered Software, or any notices of licensing\n						 or any descriptive text giving attribution to any Contributor or the Initial\n						 Developer.\n\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n				  Application of Additional Terms.\n					<br />\n\n	  You may not offer or impose any terms on any Covered Software in Source Code form that\n						 alters or restricts the applicable version of this License or the recipients&apos;\n						 rights hereunder. You may choose to offer, and to charge a fee for, warranty, support,\n						 indemnity or liability obligations to one or more recipients of Covered Software.\n						 However, you may do so only on Your own behalf, and not on behalf of the Initial\n						 Developer or any Contributor. You must make it absolutely clear that any such\n						 warranty, support, indemnity or liability obligation is offered by You alone, and You\n						 hereby agree to indemnify the Initial Developer and every Contributor for any\n						 liability incurred by the Initial Developer or such Contributor as a result of\n						 warranty, support, indemnity or liability terms You offer.\n\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n				  Distribution of Executable Versions.\n					<br />\n\n	  You may distribute the Executable form of the Covered Software under the terms of this\n						 License or under the terms of a license of Your choice, which may contain terms\n						 different from this License, provided that You are in compliance with the terms of\n						 this License and that the license for the Executable form does not attempt to limit or\n						 alter the recipient&apos;s rights in the Source Code form from the rights set forth in\n						 this License. If You distribute the Covered Software in Executable form under a\n						 different license, You must make it absolutely clear that any terms which differ from\n						 this License are offered by You alone, not by the Initial Developer or Contributor.\n						 You hereby agree to indemnify the Initial Developer and every Contributor for any\n						 liability incurred by the Initial Developer or such Contributor as a result of any\n						 such terms You offer.\n\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n				  Larger Works.\n					<br />\n\n	  You may create a Larger Work by combining Covered Software with other code not governed by\n						 the terms of this License and distribute the Larger Work as a single product. In such\n						 a case, You must make sure the requirements of this License are fulfilled for the\n						 Covered Software.\n\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Versions of the License.\n			\n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 4.1.</var>\n				  New Versions.\n					<br />\n\n	  Oracle is the initial license steward and may publish revised and/or new versions of this\n						 License from time to time. Each version will be given a distinguishing version number.\n						 Except as provided in Section 4.3, no one other than the license steward has the right\n						 to modify this License.\n\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 4.2.</var>\n				  Effect of New Versions.\n					<br />\n\n	  You may always continue to use, distribute or otherwise make the Covered Software available\n						 under the terms of the version of the License under which You originally received the\n						 Covered Software. If the Initial Developer includes a notice in the Original Software\n						 prohibiting it from being distributed or otherwise made available under any subsequent\n						 version of the License, You must distribute and make the Covered Software available\n						 under the terms of the version of the License under which You originally received the\n						 Covered Software. Otherwise, You may also choose to use, distribute or otherwise make\n						 the Covered Software available under the terms of any subsequent version of the\n						 License published by the license steward.\n\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 4.3.</var>\n				  Modified Versions.\n					<br />\n\n	  When You are an Initial Developer and You want to create a new license for Your Original\n						 Software, You may create and use a modified version of this License if You: (a) rename\n						 the license and remove any references to the name of the license steward (except to\n						 note that the license differs from this License); and (b) otherwise make it clear that\n						 the license contains terms which differ from this License.\n\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  DISCLAIMER OF WARRANTY.\n			<p>COVERED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT\n				 WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\n				 WARRANTIES THAT THE COVERED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A\n				 PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND\n				 PERFORMANCE OF THE COVERED SOFTWARE IS WITH YOU. SHOULD ANY COVERED SOFTWARE PROVE\n				 DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR)\n				 ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF\n				 WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED SOFTWARE\n				 IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  TERMINATION.\n			\n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n				  This License and the rights granted hereunder will terminate automatically if You fail to comply\n					 with terms herein and fail to cure such breach within 30 days of becoming aware of the breach.\n					 Provisions which, by their nature, must remain in effect beyond the termination of this\n					 License shall survive.\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n				  If You assert a patent infringement claim (excluding declaratory judgment actions) against\n					 Initial Developer or a Contributor (the Initial Developer or Contributor against whom You\n					 assert such claim is referred to as &quot;Participant&quot;) alleging that the Participant\n					 Software (meaning the Contributor Version where the Participant is a Contributor or the\n					 Original Software where the Participant is the Initial Developer) directly or indirectly\n					 infringes any patent, then any and all rights granted directly or indirectly to You by such\n					 Participant, the Initial Developer (if the Initial Developer is not the Participant) and all\n					 Contributors under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from\n					 Participant terminate prospectively and automatically at the expiration of such 60 day notice\n					 period, unless if within such 60 day period You withdraw Your claim with respect to the\n					 Participant Software against such Participant either unilaterally or pursuant to a written\n					 agreement with Participant.\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 6.3.</var>\n				  If You assert a patent infringement claim against Participant alleging that the Participant\n					 Software directly or indirectly infringes any patent where such claim is resolved (such as by\n					 license or settlement) prior to the initiation of patent infringement litigation, then the\n					 reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall\n					 be taken into account in determining the amount or value of any payment or license.\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> 6.4.</var>\n				  In the event of termination under Sections 6.1 or 6.2 above, all end user licenses that have been\n					 validly granted by You or any distributor hereunder prior to termination (excluding licenses\n					 granted to You by any distributor) shall survive termination.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  LIMITATION OF LIABILITY.\n		  <p>UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT,\n			 OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF\n			 COVERED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY\n			 INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT\n			 LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR\n			 ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF\n			 THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR\n			 DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE\n			 LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF\n			 INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\n			 YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  U.S. GOVERNMENT END USERS.\n		  <p>The Covered Software is a &quot;commercial item,&quot; as that term is defined in 48 C.F.R.\n			 2.101 (Oct. 1995), consisting of &quot;commercial computer software&quot; (as that term is\n			 defined at 48 C.F.R. \u00a7 252.227-7014(a)(1)) and &quot;commercial computer software\n			 documentation&quot; as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with\n			 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government\n			 End Users acquire Covered Software with only those rights set forth herein. This U.S.\n			 Government Rights clause is in lieu of, and supersedes, any other FAR, DFAR, or other clause\n			 or provision that addresses Government rights in computer software under this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  MISCELLANEOUS.\n		  <p>This License represents the complete agreement concerning subject matter hereof. If any provision\n			 of this License is held to be unenforceable, such provision shall be reformed only to the\n			 extent necessary to make it enforceable. This License shall be governed by the law of the\n			 jurisdiction specified in a notice contained within the Original Software (except to the\n			 extent applicable law, if any, provides otherwise), excluding such jurisdiction&apos;s\n			 conflict-of-law provisions. Any litigation relating to this License shall be subject to the\n			 jurisdiction of the courts located in the jurisdiction and venue specified in a notice\n			 contained within the Original Software, with the losing party responsible for costs,\n			 including, without limitation, court costs and reasonable attorneys&apos; fees and expenses.\n			 The application of the United Nations Convention on Contracts for the International Sale of\n			 Goods is expressly excluded. Any law or regulation which provides that the language of a\n			 contract shall be consTrued against the drafter shall not apply to this License. You agree\n			 that You alone are responsible for compliance with the United States export administration\n			 regulations (and the export control laws and regulation of any other countries) when You use,\n			 distribute or otherwise make available any Covered Software.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  RESPONSIBILITY FOR CLAIMS.\n		  <p>As between Initial Developer and the Contributors, each party is responsible for claims and damages\n			 arising, directly or indirectly, out of its utilization of rights under this License and You agree to\n			 work with Initial Developer and Contributors to distribute such responsibility on an equitable basis.\n			 Nothing herein is intended or shall be deemed to constitute any admission of liability.</p>\n\n		</li>\n	  \n</ul>\n	  <p>NOTICE PURSUANT TO SECTION 9 OF THE COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL)\n		<br />\n\nThe code released under the CDDL shall be governed by the laws of the State of California\n			 (excluding conflict-of-law provisions). Any litigation relating to this License shall be\n			 subject to the jurisdiction of the Federal Courts of the Northern District of California and\n			 the state courts of the State of California, with venue lying in Santa Clara County,\n			 California.\n	  </p>\n\n	"
		self.python_name = "CDDL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class HP1989:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1990- 1993, 1996 Open Software Foundation, Inc.\nCopyright (c) 1989 by Hewlett-Packard Company, Palo Alto, Ca.\nDigital Equipment Corporation, Maynard, Mass.\nCopyright (c) 1998 Microsoft.\nTo anyone who acknowledges that this file is provided \"AS IS\"\nwithout any express or implied warranty: permission to use, copy,\nmodify, and distribute this file for any purpose is hereby\ngranted without fee, provided that the above copyright notices and\nthis notice appears in all source code copies, and that none of\nthe names of Open Software Foundation, Inc., Hewlett-Packard\nCompany, Microsoft, or Digital Equipment Corporation be used in\nadvertising or publicity pertaining to distribution of the software\nwithout specific, written prior permission. Neither Open Software\nFoundation, Inc., Hewlett-Packard Company, Microsoft, nor Digital\nEquipment Corporation makes any representations about the\nsuitability of this software for any purpose.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1990- 1993, 1996 Open Software Foundation, Inc. Copyright (c) 1989 by Hewlett-Packard Company, Palo Alto, Ca. & Digital Equipment Corporation, Maynard, Mass. Copyright (c) 1998 Microsoft.\";match=\".{0,5000}\">>\n\nTo anyone who acknowledges that this file is provided \"AS IS\" without any express or implied warranty: permission to use, copy, modify, and distribute this file for any purpose is hereby granted without fee, provided that the above copyright notices and this notice appears in all source code copies, and that none of the names of Open Software Foundation, Inc., Hewlett-Packard Company, Microsoft, or Digital Equipment Corporation be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. Neither Open Software Foundation, Inc., Hewlett-Packard Company, Microsoft, nor Digital Equipment Corporation makes any representations about the suitability of this software for any purpose.\n\n"
		self.name = "Hewlett-Packard 1989 License"
		self.licenseId = "HP-1989"
		self.crossRef = [{"match": "False", "url": "https://github.com/bleargh45/Data-UUID/blob/master/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:45Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/bleargh45/Data-UUID/blob/master/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n\t	Copyright (c) 1990- 1993, 1996 Open Software Foundation, Inc.\n			Copyright (c) 1989 by Hewlett-Packard Company, Palo Alto, Ca. &amp;\n			Digital Equipment Corporation, Maynard, Mass.\n			Copyright (c) 1998 Microsoft.\n		 </var>\n		 <p>\n\t	To anyone who acknowledges that this file is provided &quot;AS IS&quot;\n			without any express or implied warranty: permission to use, copy,\n			modify, and distribute this file for any purpose is hereby\n			granted without fee, provided that the above copyright notices and\n			this notice appears in all source code copies, and that none of\n			the names of Open Software Foundation, Inc., Hewlett-Packard\n			Company, Microsoft, or Digital Equipment Corporation be used in\n			advertising or publicity pertaining to distribution of the software\n			without specific, written prior permission. Neither Open Software\n			Foundation, Inc., Hewlett-Packard Company, Microsoft, nor Digital\n			Equipment Corporation makes any representations about the\n			suitability of this software for any purpose.\n		 </p>\n\n	  "
		self.python_name = "HP1989"

	def __str__(self):
		return json.dumps(self.__dict__)


class LiLiQRplus11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 forte (LiLiQ-R+)\n\nVersion 1.1\n\n1. Pr\u00e9ambule\nCette licence s'applique \u00e0 tout logiciel distribu\u00e9 dont le titulaire du droit d'auteur pr\u00e9cise qu'il est sujet aux termes de la Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 forte (LiLiQ-R+) (ci-apr\u00e8s appel\u00e9e la \u00ab\u00a0licence\u00a0\u00bb).\n\n2. D\u00e9finitions\nDans la pr\u00e9sente licence, \u00e0 moins que le contexte n'indique un sens diff\u00e9rent, on entend par:\n\n	 \u00ab\u00a0conc\u00e9dant\u00a0\u00bb\u00a0: le titulaire du droit d'auteur sur le logiciel, ou toute personne d\u00fbment autoris\u00e9e par ce dernier \u00e0 accorder la pr\u00e9sente licence;\n	 \u00ab\u00a0contributeur\u00a0\u00bb\u00a0: le titulaire du droit d'auteur ou toute personne autoris\u00e9e par ce dernier \u00e0 soumettre au conc\u00e9dant une contribution. Un contributeur dont sa contribution est incorpor\u00e9e au logiciel est consid\u00e9r\u00e9 comme un conc\u00e9dant en regard de sa contribution;\n	 \u00ab\u00a0contribution\u00a0\u00bb\u00a0: tout logiciel original, ou partie de logiciel original soumis et destin\u00e9 \u00e0 \u00eatre incorpor\u00e9 dans le logiciel;\n	 \u00ab\u00a0distribution\u00a0\u00bb\u00a0: le fait de d\u00e9livrer une copie du logiciel;\n	 \u00ab\u00a0licenci\u00e9\u00a0\u00bb\u00a0: toute personne qui poss\u00e8de une copie du logiciel et qui exerce les droits conc\u00e9d\u00e9s par la licence;\n	 \u00ab\u00a0logiciel\u00a0\u00bb\u00a0: une \u0153uvre prot\u00e9g\u00e9e par le droit d'auteur, telle qu'un programme d'ordinateur et sa documentation, pour laquelle le titulaire du droit d'auteur a pr\u00e9cis\u00e9 qu'elle est sujette aux termes de la pr\u00e9sente licence;\n	 \u00ab\u00a0logiciel d\u00e9riv\u00e9\u00a0\u00bb\u00a0: tout logiciel original r\u00e9alis\u00e9 par un licenci\u00e9, autre que le logiciel ou un logiciel modifi\u00e9, qui produit ou reproduit la totalit\u00e9 ou une partie importante du logiciel;\n	 \u00ab\u00a0logiciel modifi\u00e9\u00a0\u00bb\u00a0: toute modification par un licenci\u00e9 de l'un des fichiers source du logiciel ou encore tout nouveau fichier source qui incorpore le logiciel ou une partie importante de ce dernier.\n\n3. Licence de droit d'auteur\nSous r\u00e9serve des termes de la licence, le conc\u00e9dant accorde au licenci\u00e9 une licence non exclusive et libre de redevances lui permettant d\u2019exercer les droits suivants sur le logiciel\u00a0:\n\n	 1\u00a0Produire ou reproduire la totalit\u00e9 ou une partie importante;\n	 2\u00a0Ex\u00e9cuter ou repr\u00e9senter la totalit\u00e9 ou une partie importante en public;\n	 3\u00a0Publier la totalit\u00e9 ou une partie importante.\n\nCette licence est accord\u00e9e sans limite territoriale et sans limite de temps.\n\nL'exercice complet de ces droits est sujet \u00e0 la distribution par le conc\u00e9dant du code source du logiciel, lequel doit \u00eatre sous une forme permettant d'y apporter des modifications. Le conc\u00e9dant peut aussi distribuer le logiciel accompagn\u00e9 d'une offre de distribuer le code source du logiciel, sans frais suppl\u00e9mentaires, autres que ceux raisonnables afin de permettre la livraison du code source. Cette offre doit \u00eatre valide pendant une dur\u00e9e raisonnable.\n\n4. Distribution\nLe licenci\u00e9 peut distribuer des copies du logiciel, d'un logiciel modifi\u00e9 ou d\u00e9riv\u00e9, sous r\u00e9serve de respecter les conditions suivantes :\n\n	 1\u00a0Le logiciel doit \u00eatre accompagn\u00e9 d'un exemplaire de cette licence;\n	 2\u00a0Si le logiciel a \u00e9t\u00e9 modifi\u00e9, le licenci\u00e9 doit en faire la mention, de pr\u00e9f\u00e9rence dans chacun des fichiers modifi\u00e9s dont la nature permet une telle mention;\n	 3\u00a0Les \u00e9tiquettes ou mentions faisant \u00e9tat des droits d'auteur, des marques de commerce, des garanties ou de la paternit\u00e9 concernant le logiciel ne doivent pas \u00eatre modifi\u00e9es ou supprim\u00e9es, \u00e0 moins que ces \u00e9tiquettes ou mentions ne soient inapplicables \u00e0 un logiciel modifi\u00e9 ou d\u00e9riv\u00e9 donn\u00e9.\n\n4.1. R\u00e9ciprocit\u00e9\nChaque fois que le licenci\u00e9 distribue le logiciel, le conc\u00e9dant offre au r\u00e9cipiendaire une concession sur le logiciel selon les termes de la pr\u00e9sente licence. Le licenci\u00e9 doit offrir une concession selon les termes de la pr\u00e9sente licence pour tout logiciel modifi\u00e9 ou d\u00e9riv\u00e9 qu'il distribue.\n\nChaque fois que le licenci\u00e9 distribue le logiciel, un logiciel modifi\u00e9, ou un logiciel d\u00e9riv\u00e9, ce dernier doit assumer l'obligation d'en distribuer le code source, de la mani\u00e8re pr\u00e9vue au troisi\u00e8me alin\u00e9a de l'article 3.\n\n4.2. Compatibilit\u00e9\nDans la mesure o\u00f9 le licenci\u00e9 souhaite distribuer un logiciel modifi\u00e9 ou d\u00e9riv\u00e9 combin\u00e9 \u00e0 un logiciel assujetti \u00e0 une licence compatible, mais dont il ne serait pas possible d'en respecter les termes, le conc\u00e9dant offre, en plus de la pr\u00e9sente concession, une concession selon les termes de cette licence compatible.\n\nUn licenci\u00e9 qui est titulaire exclusif du droit d'auteur sur le logiciel assujetti \u00e0 une licence compatible ne peut pas se pr\u00e9valoir de cette offre. Il en est de m\u00eame pour toute autre personne d\u00fbment autoris\u00e9e \u00e0 sous-licencier par le titulaire exclusif du droit d'auteur sur le logiciel assujetti \u00e0 une licence compatible.\n\nEst consid\u00e9r\u00e9e comme une licence compatible toute licence libre approuv\u00e9e ou certifi\u00e9e par la Free Software Foundation ou l'Open Source Initiative, dont le niveau de r\u00e9ciprocit\u00e9 est comparable \u00e0 celui de la pr\u00e9sente licence, sans toutefois \u00eatre moindre, notamment\u00a0:\n\n	 1\u00a0Common Public License Version 1.0 (CPL-1.0)\n	 2\u00a0Contrat de licence de logiciel libre CeCILL, version 2.1 (CECILL-2.1)\n	 3\u00a0Eclipse Public License - v 1.0 (EPL-1.0)\n	 4\u00a0European Union Public License, version 1.1 (EUPL v. 1.1)\n	 5\u00a0GNU General Public License Version 2 (GNU GPLv2)\n	 6\u00a0GNU General Public License Version 3 (GNU GPLv3)\n\n5. Contributions\nSous r\u00e9serve d'une entente distincte, toute contribution soumise par un contributeur au conc\u00e9dant pour inclusion dans le logiciel sera soumise aux termes de cette licence.\n\n6. Marques de commerce\nLa licence n'accorde aucune permission particuli\u00e8re qui permettrait d'utiliser les marques de commerce du conc\u00e9dant, autre que celle requise permettant d'identifier la provenance du logiciel.\n\n7. Garanties\nSauf mention contraire, le conc\u00e9dant distribue le logiciel sans aucune garantie, aux risques et p\u00e9rils de l'acqu\u00e9reur de la copie du logiciel, et ce, sans assurer que le logiciel puisse r\u00e9pondre \u00e0 un besoin particulier ou puisse donner un r\u00e9sultat quelconque.\n\nSans lier le conc\u00e9dant d'une quelconque mani\u00e8re, rien n'emp\u00eache un licenci\u00e9 d'offrir ou d'exclure des garanties ou du support.\n\n8. Responsabilit\u00e9\nLe licenci\u00e9 est responsable de tout pr\u00e9judice r\u00e9sultant de l'exercice des droits accord\u00e9s par la licence.\n\nLe conc\u00e9dant ne saurait \u00eatre tenu responsable du pr\u00e9judice subi par le licenci\u00e9 ou par des tiers, pour quelque cause que ce soit en lien avec la licence et les droits qui y sont accord\u00e9s.\n\n9. R\u00e9siliation\nLa pr\u00e9sente licence est r\u00e9sili\u00e9e de plein droit d\u00e8s que les droits qui y sont accord\u00e9s ne sont pas exerc\u00e9s conform\u00e9ment aux termes qui y sont stipul\u00e9s.\n\nToutefois, si le d\u00e9faut est corrig\u00e9 dans un d\u00e9lai de 30 jours de sa prise de connaissance par la personne en d\u00e9faut, et qu'il s'agit du premier d\u00e9faut, la licence est accord\u00e9e de nouveau.\n\nPour tout d\u00e9faut subs\u00e9quent, le consentement expr\u00e8s du conc\u00e9dant est n\u00e9cessaire afin que la licence soit accord\u00e9e de nouveau.\n\n10. Version de la licence\nLe Centre de services partag\u00e9s du Qu\u00e9bec, ses ayants cause ou toute personne qu'il d\u00e9signe, peuvent diffuser des versions r\u00e9vis\u00e9es ou modifi\u00e9es de cette licence. Chaque version recevra un num\u00e9ro unique. Si un logiciel est d\u00e9j\u00e0 soumis aux termes d'une version sp\u00e9cifique, c'est seulement cette version qui liera les parties \u00e0 la licence.\n\nLe conc\u00e9dant peut aussi choisir de conc\u00e9der la licence sous la version actuelle ou toute version ult\u00e9rieure, auquel cas le licenci\u00e9 peut choisir sous quelle version la licence lui est accord\u00e9e.\n\n11. Divers\nDans la mesure o\u00f9 le conc\u00e9dant est un minist\u00e8re, un organisme public ou une personne morale de droit public, cr\u00e9\u00e9s en vertu d'une loi de l'Assembl\u00e9e nationale du Qu\u00e9bec, la licence est r\u00e9gie par le droit applicable au Qu\u00e9bec et en cas de contestation, les tribunaux du Qu\u00e9bec seront seuls comp\u00e9tents.\n\nLa pr\u00e9sente licence peut \u00eatre distribu\u00e9e sans conditions particuli\u00e8res. Toutefois, une version modifi\u00e9e doit \u00eatre distribu\u00e9e sous un nom diff\u00e9rent. Toute r\u00e9f\u00e9rence au Centre de services partag\u00e9s du Qu\u00e9bec, et, le cas \u00e9ch\u00e9ant, ses ayant cause, doit \u00eatre retir\u00e9e, autre que celle permettant d'identifier la provenance de la licence.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 forte (LiLiQ-R+)\n\nVersion 1.1\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Pr\u00e9ambule\n\n   Cette licence s'applique \u00e0 tout logiciel distribu\u00e9 dont le titulaire du droit d'auteur pr\u00e9cise qu'il est sujet aux termes de la Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 forte (LiLiQ-R+) (ci-apr\u00e8s appel\u00e9e la \u00ab\u00a0licence\u00a0\u00bb).\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> D\u00e9finitions\n\n   Dans la pr\u00e9sente licence, \u00e0 moins que le contexte n'indique un sens diff\u00e9rent, on entend par:\n\n   \u00ab conc\u00e9dant \u00bb : le titulaire du droit d'auteur sur le logiciel, ou toute personne d\u00fbment autoris\u00e9e par ce dernier \u00e0 accorder la pr\u00e9sente licence;\n\n   \u00ab contributeur \u00bb : le titulaire du droit d'auteur ou toute personne autoris\u00e9e par ce dernier \u00e0 soumettre au conc\u00e9dant une contribution. Un contributeur dont sa contribution est incorpor\u00e9e au logiciel est consid\u00e9r\u00e9 comme un conc\u00e9dant en regard de sa contribution;\n\n   \u00ab contribution \u00bb : tout logiciel original, ou partie de logiciel original soumis et destin\u00e9 \u00e0 \u00eatre incorpor\u00e9 dans le logiciel;\n\n   \u00ab distribution \u00bb : le fait de d\u00e9livrer une copie du logiciel;\n\n   \u00ab licenci\u00e9 \u00bb : toute personne qui poss\u00e8de une copie du logiciel et qui exerce les droits conc\u00e9d\u00e9s par la licence;\n\n   \u00ab logiciel \u00bb : une \u0153uvre prot\u00e9g\u00e9e par le droit d'auteur, telle qu'un programme d'ordinateur et sa documentation, pour laquelle le titulaire du droit d'auteur a pr\u00e9cis\u00e9 qu'elle est sujette aux termes de la pr\u00e9sente licence;\n\n   \u00ab logiciel d\u00e9riv\u00e9 \u00bb : tout logiciel original r\u00e9alis\u00e9 par un licenci\u00e9, autre que le logiciel ou un logiciel modifi\u00e9, qui produit ou reproduit la totalit\u00e9 ou une partie importante du logiciel;\n\n   \u00ab logiciel modifi\u00e9 \u00bb : toute modification par un licenci\u00e9 de l'un des fichiers source du logiciel ou encore tout nouveau fichier source qui incorpore le logiciel ou une partie importante de ce dernier.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Licence de droit d'auteur\n\n   Sous r\u00e9serve des termes de la licence, le conc\u00e9dant accorde au licenci\u00e9 une licence non exclusive et libre de redevances lui permettant d'exercer les droits suivants sur le logiciel:\n\n	  <<var;name=\"bullet\";original=\"1\";match=\".{0,20}\">> Produire ou reproduire la totalit\u00e9 ou une partie importante;\n\n	  <<var;name=\"bullet\";original=\"2\";match=\".{0,20}\">> Ex\u00e9cuter ou repr\u00e9senter la totalit\u00e9 ou une partie importante en public;\n\n	  <<var;name=\"bullet\";original=\"3\";match=\".{0,20}\">> Publier la totalit\u00e9 ou une partie importante.\n\n   Cette licence est accord\u00e9e sans limite territoriale et sans limite de temps.\n\n   L'exercice complet de ces droits est sujet \u00e0 la distribution par le conc\u00e9dant du code source du logiciel, lequel doit \u00eatre sous une forme permettant d'y apporter des modifications. Le conc\u00e9dant peut aussi distribuer le logiciel accompagn\u00e9 d'une offre de distribuer le code source du logiciel, sans frais suppl\u00e9mentaires, autres que ceux raisonnables afin de permettre la livraison du code source. Cette offre doit \u00eatre valide pendant une dur\u00e9e raisonnable.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Distribution\n\n   Le licenci\u00e9 peut distribuer des copies du logiciel, d'un logiciel modifi\u00e9 ou d\u00e9riv\u00e9, sous r\u00e9serve de respecter les conditions suivantes :\n\n	  <<var;name=\"bullet\";original=\"1\";match=\".{0,20}\">> Le logiciel doit \u00eatre accompagn\u00e9 d'un exemplaire de cette licence;\n\n	  <<var;name=\"bullet\";original=\"2\";match=\".{0,20}\">> Si le logiciel a \u00e9t\u00e9 modifi\u00e9, le licenci\u00e9 doit en faire la mention, de pr\u00e9f\u00e9rence dans chacun des fichiers modifi\u00e9s dont la nature permet une telle mention;\n\n	  <<var;name=\"bullet\";original=\"3\";match=\".{0,20}\">> Les \u00e9tiquettes ou mentions faisant \u00e9tat des droits d'auteur, des marques de commerce, des garanties ou de la paternit\u00e9 concernant le logiciel ne doivent pas \u00eatre modifi\u00e9es ou supprim\u00e9es, \u00e0 moins que ces \u00e9tiquettes ou mentions ne soient inapplicables \u00e0 un logiciel modifi\u00e9 ou d\u00e9riv\u00e9 donn\u00e9.\n\n   <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> R\u00e9ciprocit\u00e9\n\n   Chaque fois que le licenci\u00e9 distribue le logiciel, le conc\u00e9dant offre au r\u00e9cipiendaire une concession sur le logiciel selon les termes de la pr\u00e9sente licence. Le licenci\u00e9 doit offrir une concession selon les termes de la pr\u00e9sente licence pour tout logiciel modifi\u00e9 ou d\u00e9riv\u00e9 qu'il distribue.\n\n   Chaque fois que le licenci\u00e9 distribue le logiciel, un logiciel modifi\u00e9, ou un logiciel d\u00e9riv\u00e9, ce dernier doit assumer l'obligation d'en distribuer le code source, de la mani\u00e8re pr\u00e9vue au troisi\u00e8me alin\u00e9a de l'article 3.\n\n   <<var;name=\"bullet\";original=\"4.2.\";match=\".{0,20}\">> Compatibilit\u00e9\n\n   Dans la mesure o\u00f9 le licenci\u00e9 souhaite distribuer un logiciel modifi\u00e9 ou d\u00e9riv\u00e9 combin\u00e9 \u00e0 un logiciel assujetti \u00e0 une licence compatible, mais dont il ne serait pas possible d'en respecter les termes, le conc\u00e9dant offre, en plus de la pr\u00e9sente concession, une concession selon les termes de cette licence compatible.\n\n   Un licenci\u00e9 qui est titulaire exclusif du droit d'auteur sur le logiciel assujetti \u00e0 une licence compatible ne peut pas se pr\u00e9valoir de cette offre. Il en est de m\u00eame pour toute autre personne d\u00fbment autoris\u00e9e \u00e0 sous-licencier par le titulaire exclusif du droit d'auteur sur le logiciel assujetti \u00e0 une licence compatible.\n\n   Est consid\u00e9r\u00e9e comme une licence compatible toute licence libre approuv\u00e9e ou certifi\u00e9e par la Free Software Foundation ou l'Open Source Initiative, dont le niveau de r\u00e9ciprocit\u00e9 est comparable \u00e0 celui de la pr\u00e9sente licence, sans toutefois \u00eatre moindre, notamment:\n\n	  <<var;name=\"bullet\";original=\"1\";match=\".{0,20}\">> Common Public License Version 1.0 (CPL-1.0)\n\n	  <<var;name=\"bullet\";original=\"2\";match=\".{0,20}\">> Contrat de licence de logiciel libre CeCILL, version 2.1 (CECILL-2.1)\n\n	  <<var;name=\"bullet\";original=\"3\";match=\".{0,20}\">> Eclipse Public License - v 1.0 (EPL-1.0)\n\n	  <<var;name=\"bullet\";original=\"4\";match=\".{0,20}\">> European Union Public License, version 1.1 (EUPL v. 1.1)\n\n	  <<var;name=\"bullet\";original=\"5\";match=\".{0,20}\">> GNU General Public License Version 2 (GNU GPLv2)\n\n	  <<var;name=\"bullet\";original=\"6\";match=\".{0,20}\">> GNU General Public License Version 3 (GNU GPLv3)\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Contributions\n\n   Sous r\u00e9serve d'une entente distincte, toute contribution soumise par un contributeur au conc\u00e9dant pour inclusion dans le logiciel sera soumise aux termes de cette licence.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Marques de commerce\n\n   La licence n'accorde aucune permission particuli\u00e8re qui permettrait d'utiliser les marques de commerce du conc\u00e9dant, autre que celle requise permettant d'identifier la provenance du logiciel.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Garanties\n\n   Sauf mention contraire, le conc\u00e9dant distribue le logiciel sans aucune garantie, aux risques et p\u00e9rils de l'acqu\u00e9reur de la copie du logiciel, et ce, sans assurer que le logiciel puisse r\u00e9pondre \u00e0 un besoin particulier ou puisse donner un r\u00e9sultat quelconque.\n\n   Sans lier le conc\u00e9dant d'une quelconque mani\u00e8re, rien n'emp\u00eache un licenci\u00e9 d'offrir ou d'exclure des garanties ou du support.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Responsabilit\u00e9\n\n   Le licenci\u00e9 est responsable de tout pr\u00e9judice r\u00e9sultant de l'exercice des droits accord\u00e9s par la licence.\n\n   Le conc\u00e9dant ne saurait \u00eatre tenu responsable du pr\u00e9judice subi par le licenci\u00e9 ou par des tiers, pour quelque cause que ce soit en lien avec la licence et les droits qui y sont accord\u00e9s.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> R\u00e9siliation\n\n   La pr\u00e9sente licence est r\u00e9sili\u00e9e de plein droit d\u00e8s que les droits qui y sont accord\u00e9s ne sont pas exerc\u00e9s conform\u00e9ment aux termes qui y sont stipul\u00e9s.\n\n   Toutefois, si le d\u00e9faut est corrig\u00e9 dans un d\u00e9lai de 30 jours de sa prise de connaissance par la personne en d\u00e9faut, et qu'il s'agit du premier d\u00e9faut, la licence est accord\u00e9e de nouveau.\n\n   Pour tout d\u00e9faut subs\u00e9quent, le consentement expr\u00e8s du conc\u00e9dant est n\u00e9cessaire afin que la licence soit accord\u00e9e de nouveau.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Version de la licence\n\n   Le Centre de services partag\u00e9s du Qu\u00e9bec, ses ayants cause ou toute personne qu'il d\u00e9signe, peuvent diffuser des versions r\u00e9vis\u00e9es ou modifi\u00e9es de cette licence. Chaque version recevra un num\u00e9ro unique. Si un logiciel est d\u00e9j\u00e0 soumis aux termes d'une version sp\u00e9cifique, c'est seulement cette version qui liera les parties \u00e0 la licence.\n\n   Le conc\u00e9dant peut aussi choisir de conc\u00e9der la licence sous la version actuelle ou toute version ult\u00e9rieure, auquel cas le licenci\u00e9 peut choisir sous quelle version la licence lui est accord\u00e9e.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Divers\n\n   Dans la mesure o\u00f9 le conc\u00e9dant est un minist\u00e8re, un organisme public ou une personne morale de droit public, cr\u00e9\u00e9s en vertu d'une loi de l'Assembl\u00e9e nationale du Qu\u00e9bec, la licence est r\u00e9gie par le droit applicable au Qu\u00e9bec et en cas de contestation, les tribunaux du Qu\u00e9bec seront seuls comp\u00e9tents.\n\n   La pr\u00e9sente licence peut \u00eatre distribu\u00e9e sans conditions particuli\u00e8res. Toutefois, une version modifi\u00e9e doit \u00eatre distribu\u00e9e sous un nom diff\u00e9rent. Toute r\u00e9f\u00e9rence au Centre de services partag\u00e9s du Qu\u00e9bec, et, le cas \u00e9ch\u00e9ant, ses ayant cause, doit \u00eatre retir\u00e9e, autre que celle permettant d'identifier la provenance de la licence.\n\n   "
		self.name = "Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 forte version 1.1"
		self.licenseComments = "French is the canonical language for this license. An English translation is provided here: https://www.forge.gouv.qc.ca/participez/licence-logicielle/licence-libre-du-quebec-liliq-in-english/quebec-free-and-open-source-licence-strong-reciprocity-liliq-r-v1-1/"
		self.licenseId = "LiLiQ-Rplus-1.1"
		self.crossRef = [{"match": "N/A", "url": "https://www.forge.gouv.qc.ca/participez/licence-logicielle/licence-libre-du-quebec-liliq-en-francais/licence-libre-du-quebec-reciprocite-forte-liliq-r-v1-1/", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:17:13Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "http://opensource.org/licenses/LiLiQ-Rplus-1.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:13Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://www.forge.gouv.qc.ca/participez/licence-logicielle/licence-libre-du-quebec-liliq-en-francais/licence-libre-du-quebec-reciprocite-forte-liliq-r-v1-1/", "http://opensource.org/licenses/LiLiQ-Rplus-1.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 forte (LiLiQ-R+)</p>\n\n		 <p>Version 1.1</p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Pr\u00e9ambule\n			<br />\n\n   Cette licence s&apos;applique \u00e0 tout logiciel distribu\u00e9\n				 dont le titulaire du droit d&apos;auteur pr\u00e9cise\n				 qu&apos;il est sujet aux termes de la Licence Libre\n				 du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 forte (LiLiQ-R+)\n				 (ci-apr\u00e8s appel\u00e9e la \u00ab\u00a0licence\u00a0\u00bb).\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  D\u00e9finitions\n			<br />\n\n   Dans la pr\u00e9sente licence, \u00e0 moins que le contexte\n				 n&apos;indique un sens diff\u00e9rent, on entend par:\n\n		  <p>\u00ab conc\u00e9dant \u00bb : le titulaire du droit d&apos;auteur sur le\n			 logiciel, ou toute personne d\u00fbment autoris\u00e9e par ce\n			 dernier \u00e0 accorder la pr\u00e9sente licence;\n			<br />\n\n   \u00ab contributeur \u00bb : le titulaire du droit d&apos;auteur\n				 ou toute personne autoris\u00e9e par ce dernier \u00e0\n				 soumettre au conc\u00e9dant une contribution. Un\n				 contributeur dont sa contribution est\n				 incorpor\u00e9e au logiciel est consid\u00e9r\u00e9 comme un\n				 conc\u00e9dant en regard de sa contribution;\n			<br />\n\n   \u00ab contribution \u00bb : tout logiciel original, ou\n				 partie de logiciel original soumis et destin\u00e9\n				 \u00e0 \u00eatre incorpor\u00e9 dans le logiciel;\n			<br />\n\n   \u00ab distribution \u00bb : le fait de d\u00e9livrer une copie du logiciel;\n			<br />\n\n   \u00ab licenci\u00e9 \u00bb : toute personne qui poss\u00e8de une copie\n				 du logiciel et qui exerce les droits conc\u00e9d\u00e9s\n				 par la licence;\n			<br />\n\n   \u00ab logiciel \u00bb : une \u0153uvre prot\u00e9g\u00e9e par le droit\n				 d&apos;auteur, telle qu&apos;un programme d&apos;ordinateur\n				 et sa documentation, pour laquelle le\n				 titulaire du droit d&apos;auteur a pr\u00e9cis\u00e9 qu&apos;elle\n				 est sujette aux termes de la pr\u00e9sente licence;\n			<br />\n\n   \u00ab logiciel d\u00e9riv\u00e9 \u00bb : tout logiciel original\n				 r\u00e9alis\u00e9 par un licenci\u00e9, autre que le logiciel\n				 ou un logiciel modifi\u00e9, qui produit ou\n				 reproduit la totalit\u00e9 ou une partie importante\n				 du logiciel;\n			<br />\n\n   \u00ab logiciel modifi\u00e9 \u00bb : toute modification par un\n				 licenci\u00e9 de l&apos;un des fichiers source du\n				 logiciel ou encore tout nouveau fichier source\n				 qui incorpore le logiciel ou une partie\n				 importante de ce dernier.\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Licence de droit d&apos;auteur\n			<br />\n\n   Sous r\u00e9serve des termes de la licence, le conc\u00e9dant\n				 accorde au licenci\u00e9 une licence non exclusive\n				 et libre de redevances lui permettant\n				 d&apos;exercer les droits suivants sur le\n				 logiciel:\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1</var>\n			Produire ou reproduire la totalit\u00e9 ou une partie importante;</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2</var>\n			Ex\u00e9cuter ou repr\u00e9senter la totalit\u00e9 ou une partie\n				 importante en public;</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3</var>\n			Publier la totalit\u00e9 ou une partie importante.\n		 </li>\n			\n</ul>\n			<p>Cette licence est accord\u00e9e sans limite territoriale et\n			 sans limite de temps.</p>\n\n			<p>L&apos;exercice complet de ces droits est sujet \u00e0 la\n			 distribution par le conc\u00e9dant du code source du\n			 logiciel, lequel doit \u00eatre sous une forme permettant\n			 d&apos;y apporter des modifications. Le conc\u00e9dant peut\n			 aussi distribuer le logiciel accompagn\u00e9 d&apos;une offre de\n			 distribuer le code source du logiciel, sans frais\n			 suppl\u00e9mentaires, autres que ceux raisonnables afin de\n			 permettre la livraison du code source. Cette offre\n			 doit \u00eatre valide pendant une dur\u00e9e raisonnable.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Distribution\n			<br />\n\n   Le licenci\u00e9 peut distribuer des copies du logiciel,\n				 d&apos;un logiciel modifi\u00e9 ou d\u00e9riv\u00e9, sous r\u00e9serve\n				 de respecter les conditions suivantes :\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1</var>\n		  Le logiciel doit \u00eatre accompagn\u00e9 d&apos;un exemplaire de\n			 cette licence;</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2</var>\n		  Si le logiciel a \u00e9t\u00e9 modifi\u00e9, le licenci\u00e9 doit en\n				 faire la mention, de pr\u00e9f\u00e9rence dans chacun\n				 des fichiers modifi\u00e9s dont la nature permet\n				 une telle mention;</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3</var>\n		  Les \u00e9tiquettes ou mentions faisant \u00e9tat des\n				 droits d&apos;auteur, des marques de commerce, des\n				 garanties ou de la paternit\u00e9 concernant le\n				 logiciel ne doivent pas \u00eatre modifi\u00e9es ou\n				 supprim\u00e9es, \u00e0 moins que ces \u00e9tiquettes ou\n				 mentions ne soient inapplicables \u00e0 un logiciel\n				 modifi\u00e9 ou d\u00e9riv\u00e9 donn\u00e9. </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.1.</var>\n		  R\u00e9ciprocit\u00e9\n			<br />\n\n   Chaque fois que le licenci\u00e9 distribue le logiciel,\n				 le conc\u00e9dant offre au r\u00e9cipiendaire une\n				 concession sur le logiciel selon les termes de\n				 la pr\u00e9sente licence. Le licenci\u00e9 doit offrir\n				 une concession selon les termes de la pr\u00e9sente\n				 licence pour tout logiciel modifi\u00e9 ou d\u00e9riv\u00e9\n				 qu&apos;il distribue.\n\n		  <p>Chaque fois que le licenci\u00e9 distribue le logiciel, un\n			 logiciel modifi\u00e9, ou un logiciel d\u00e9riv\u00e9, ce dernier\n			 doit assumer l&apos;obligation d&apos;en distribuer le code\n			 source, de la mani\u00e8re pr\u00e9vue au troisi\u00e8me alin\u00e9a de\n			 l&apos;article 3.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.2.</var>\n		  Compatibilit\u00e9\n			<br />\n\n   Dans la mesure o\u00f9 le licenci\u00e9 souhaite distribuer\n				 un logiciel modifi\u00e9 ou d\u00e9riv\u00e9 combin\u00e9 \u00e0 un\n				 logiciel assujetti \u00e0 une licence compatible,\n				 mais dont il ne serait pas possible d&apos;en\n				 respecter les termes, le conc\u00e9dant offre, en\n				 plus de la pr\u00e9sente concession, une concession\n				 selon les termes de cette licence compatible.\n\n		  <p>Un licenci\u00e9 qui est titulaire exclusif du droit d&apos;auteur\n			 sur le logiciel assujetti \u00e0 une licence compatible ne\n			 peut pas se pr\u00e9valoir de cette offre. Il en est de\n			 m\u00eame pour toute autre personne d\u00fbment autoris\u00e9e \u00e0\n			 sous-licencier par le titulaire exclusif du droit\n			 d&apos;auteur sur le logiciel assujetti \u00e0 une licence\n			 compatible.</p>\n\n			<p>Est consid\u00e9r\u00e9e comme une licence compatible toute licence\n			 libre approuv\u00e9e ou certifi\u00e9e par la Free Software\n			 Foundation ou l&apos;Open Source Initiative, dont le niveau\n			 de r\u00e9ciprocit\u00e9 est comparable \u00e0 celui de la pr\u00e9sente\n			 licence, sans toutefois \u00eatre moindre, notamment:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1</var>\n				Common Public License Version 1.0 (CPL-1.0)</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2</var>\n				Contrat de licence de logiciel libre CeCILL,\n				 version 2.1 (CECILL-2.1)</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3</var>\n				Eclipse Public License - v 1.0 (EPL-1.0)</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4</var>\n				European Union Public License, version 1.1 (EUPL v. 1.1)</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5</var>\n				GNU General Public License Version 2 (GNU GPLv2)</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6</var>\n				GNU General Public License Version 3 (GNU GPLv3)</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Contributions\n			<br />\n\n   Sous r\u00e9serve d&apos;une entente distincte, toute\n				 contribution soumise par un contributeur au\n				 conc\u00e9dant pour inclusion dans le logiciel sera\n				 soumise aux termes de cette licence.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Marques de commerce\n			<br />\n\n   La licence n&apos;accorde aucune permission particuli\u00e8re\n				 qui permettrait d&apos;utiliser les marques de\n				 commerce du conc\u00e9dant, autre que celle requise\n				 permettant d&apos;identifier la provenance du\n				 logiciel.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Garanties\n			<br />\n\n   Sauf mention contraire, le conc\u00e9dant distribue le\n				 logiciel sans aucune garantie, aux risques et\n				 p\u00e9rils de l&apos;acqu\u00e9reur de la copie du logiciel,\n				 et ce, sans assurer que le logiciel puisse\n				 r\u00e9pondre \u00e0 un besoin particulier ou puisse\n				 donner un r\u00e9sultat quelconque.\n\n		  <p>Sans lier le conc\u00e9dant d&apos;une quelconque mani\u00e8re, rien\n			 n&apos;emp\u00eache un licenci\u00e9 d&apos;offrir ou d&apos;exclure des\n			 garanties ou du support.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Responsabilit\u00e9\n			<br />\n\n   Le licenci\u00e9 est responsable de tout pr\u00e9judice\n				 r\u00e9sultant de l&apos;exercice des droits accord\u00e9s\n				 par la licence.\n\n		  <p>Le conc\u00e9dant ne saurait \u00eatre tenu responsable du\n			 pr\u00e9judice subi par le licenci\u00e9 ou par des tiers, pour\n			 quelque cause que ce soit en lien avec la licence et\n			 les droits qui y sont accord\u00e9s.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  R\u00e9siliation\n			<br />\n\n   La pr\u00e9sente licence est r\u00e9sili\u00e9e de plein droit d\u00e8s\n				 que les droits qui y sont accord\u00e9s ne sont pas\n				 exerc\u00e9s conform\u00e9ment aux termes qui y sont\n				 stipul\u00e9s.\n\n		  <p>Toutefois, si le d\u00e9faut est corrig\u00e9 dans un d\u00e9lai de 30\n			 jours de sa prise de connaissance par la personne en\n			 d\u00e9faut, et qu&apos;il s&apos;agit du premier d\u00e9faut, la licence\n			 est accord\u00e9e de nouveau.</p>\n\n			<p>Pour tout d\u00e9faut subs\u00e9quent, le consentement expr\u00e8s du\n			 conc\u00e9dant est n\u00e9cessaire afin que la licence soit\n			 accord\u00e9e de nouveau.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Version de la licence\n			<br />\n\n   Le Centre de services partag\u00e9s du Qu\u00e9bec, ses\n				 ayants cause ou toute personne qu&apos;il d\u00e9signe,\n				 peuvent diffuser des versions r\u00e9vis\u00e9es ou\n				 modifi\u00e9es de cette licence. Chaque version\n				 recevra un num\u00e9ro unique. Si un logiciel est\n				 d\u00e9j\u00e0 soumis aux termes d&apos;une version\n				 sp\u00e9cifique, c&apos;est seulement cette version qui\n				 liera les parties \u00e0 la licence.\n\n		  <p>Le conc\u00e9dant peut aussi choisir de conc\u00e9der la licence\n			 sous la version actuelle ou toute version ult\u00e9rieure,\n			 auquel cas le licenci\u00e9 peut choisir sous quelle\n			 version la licence lui est accord\u00e9e.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Divers\n			<br />\n\n   Dans la mesure o\u00f9 le conc\u00e9dant est un minist\u00e8re, un organisme\n		 public ou une personne morale de droit public, cr\u00e9\u00e9s en vertu\n		 d&apos;une loi de l&apos;Assembl\u00e9e nationale du Qu\u00e9bec, la licence est\n		 r\u00e9gie par le droit applicable au Qu\u00e9bec et en cas de\n		 contestation, les tribunaux du Qu\u00e9bec seront seuls\n		 comp\u00e9tents.\n\n	  <p>La pr\u00e9sente licence peut \u00eatre distribu\u00e9e sans conditions\n		 particuli\u00e8res. Toutefois, une version modifi\u00e9e doit \u00eatre\n		 distribu\u00e9e sous un nom diff\u00e9rent. Toute r\u00e9f\u00e9rence au Centre de\n		 services partag\u00e9s du Qu\u00e9bec, et, le cas \u00e9ch\u00e9ant, ses ayant\n		 cause, doit \u00eatre retir\u00e9e, autre que celle permettant\n		 d&apos;identifier la provenance de la licence.</p>\n\n		 </li>\n	  \n</ul>\n	"
		self.python_name = "LiLiQRplus11"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBY20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution 2.0\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to create and reproduce Derivative Works;\n\n	 c. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	 d. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works.\n\n	 e. For the avoidance of doubt, where the work is a musical composition:\n\n		  i. Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work.\n\n		  ii. Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	 f. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor waives the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	 b. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution 2.0\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and reproduce Derivative Works;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> For the avoidance of doubt, where the work is a musical composition:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor waives the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution 2.0 Generic"
		self.licenseId = "CC-BY-2.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by/2.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:18Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by/2.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution 2.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n				   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n				   other contributions, constituting separate and independent works in themselves, are\n				   assembled into a collective whole. A work that constitutes a Collective Work will not be\n				   considered a Derivative Work (as defined below) for the purposes of this License.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n				   pre-existing works, such as a translation, musical arrangement, dramatization,\n				   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n				   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n				   except that a work that constitutes a Collective Work will not be considered a Derivative\n				   Work for the purpose of this License. For the avoidance of doubt, where the Work is a\n				   musical composition or sound recording, the synchronization of the Work in timed-relation\n				   with a moving image (&quot;synching&quot;) will be considered a Derivative Work for the\n				   purpose of this License.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n				&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n				   this License.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n				&quot;Original Author&quot; means the individual or entity who created the Work.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n				&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n				&quot;You&quot; means an individual or entity exercising rights under this License who has\n				   not previously violated the terms of this License with respect to the Work, or who has\n				   received express permission from the Licensor to exercise rights under this License\n				   despite a previous violation.\n			  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n				   reproduce the Work as incorporated in the Collective Works;\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				to create and reproduce Derivative Works;\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n				to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n				   publicly by means of a digital audio transmission the Work including as incorporated in\n				   Collective Works;\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n				to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n				   publicly by means of a digital audio transmission Derivative Works.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n				For the avoidance of doubt, where the work is a musical composition:\n\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n					  Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to\n						 collect, whether individually or via a performance rights society (e.g. ASCAP, BMI,\n						 SESAC), royalties for the public performance or public digital performance (e.g.\n						 webcast) of the Work.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n					  Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to\n						 collect, whether individually or via a music rights agency or designated agent (e.g.\n						 Harry Fox Agency), royalties for any phonorecord You create from the Work (&quot;cover\n						 version&quot;) and distribute, subject to the compulsory license created by 17 USC\n						 Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n					</li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n				Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a\n				   sound recording, Licensor waives the exclusive right to collect, whether individually or\n				   via a performance-rights society (e.g. SoundExchange), royalties for the public digital\n				   performance (e.g. webcast) of the Work, subject to the compulsory license created by 17\n				   USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n			  </li>\n			\n</ul>\n\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n		 devised. The above rights include the right to make such modifications as are technically\n		 necessary to exercise the rights in other media and formats. All rights not expressly\n		 granted by Licensor are hereby reserved.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				You may distribute, publicly display, publicly perform, or publicly digitally perform the\n				   Work only under the terms of this License, and You must include a copy of, or the Uniform\n				   Resource Identifier for, this License with every copy or phonorecord of the Work You\n				   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n				   offer or impose any terms on the Work that alter or restrict the terms of this License or\n				   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n				   Work. You must keep intact all notices that refer to this License and to the disclaimer of\n				   warranties. You may not distribute, publicly display, publicly perform, or publicly\n				   digitally perform the Work with any technological measures that control access or use of\n				   the Work in a manner inconsistent with the terms of this License Agreement. The above\n				   applies to the Work as incorporated in a Collective Work, but this does not require the\n				   Collective Work apart from the Work itself to be made subject to the terms of this\n				   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n				   extent practicable, remove from the Collective Work any reference to such Licensor or the\n				   Original Author, as requested. If You create a Derivative Work, upon notice from any\n				   Licensor You must, to the extent practicable, remove from the Derivative Work any\n				   reference to such Licensor or the Original Author, as requested.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n				   or any Derivative Works or Collective Works, You must keep intact all copyright notices\n				   for the Work and give the Original Author credit reasonable to the medium or means You are\n				   utilizing by conveying the name (or pseudonym if applicable) of the Original Author if\n				   supplied; the title of the Work if supplied; to the extent reasonably practicable, the\n				   Uniform Resource Identifier, if any, that Licensor specifies to be associated with the\n				   Work, unless such URI does not refer to the copyright notice or licensing information for\n				   the Work; and in the case of a Derivative Work, a credit identifying the use of the Work\n				   in the Derivative Work (e.g., &quot;French translation of the Work by Original\n				   Author,&quot; or &quot;Screenplay based on original Work by Original Author&quot;). Such\n				   credit may be implemented in any reasonable manner; provided, however, that in the case of\n				   a Derivative Work or Collective Work, at a minimum such credit will appear where any other\n				   comparable authorship credit appears and in a manner at least as prominent as such other\n				   comparable authorship credit.\n			  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				This License and the rights granted hereunder will terminate automatically upon any breach by\n				   You of the terms of this License. Individuals or entities who have received Derivative\n				   Works or Collective Works from You under this License, however, will not have their\n				   licenses terminated provided such individuals or entities remain in full compliance with\n				   those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this\n				   License.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				Subject to the above terms and conditions, the license granted here is perpetual (for the\n				   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n				   reserves the right to release the Work under different license terms or to stop\n				   distributing the Work at any time; provided, however that any such election will not serve\n				   to withdraw this License (or any other license that has been, or is required to be,\n				   granted under the terms of this License), and this License will continue in full force and\n				   effect unless terminated as stated above.\n			  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n				   Licensor offers to the recipient a license to the Work on the same terms and conditions as\n				   the license granted to You under this License.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to\n				   the recipient a license to the original Work on the same terms and conditions as the\n				   license granted to You under this License.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n				If any provision of this License is invalid or unenforceable under applicable law, it shall\n				   not affect the validity or enforceability of the remainder of the terms of this License,\n				   and without further action by the parties to this agreement, such provision shall be\n				   reformed to the minimum extent necessary to make such provision valid and enforceable.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n				No term or provision of this License shall be deemed waived and no breach consented to unless\n				   such waiver or consent shall be in writing and signed by the party to be charged with such\n				   waiver or consent.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n				This License constitutes the entire agreement between the parties with respect to the Work\n				   licensed here. There are no understandings, agreements or representations with respect to\n				   the Work not specified here. Licensor shall not be bound by any additional provisions that\n				   may appear in any communication from You. This License may not be modified without the\n				   mutual written agreement of the Licensor and You.\n			  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBY20"

	def __str__(self):
		return json.dumps(self.__dict__)


class OFL11noRFN:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "SIL OPEN FONT LICENSE\n\nVersion 1.1 - 26 February 2007\n\nPREAMBLE\n\nThe goals of the Open Font License (OFL) are to stimulate worldwide development of collaborative font projects, to support the font creation efforts of academic and linguistic communities, and to provide a free and open framework in which fonts may be shared and improved in partnership with others.\n\nThe OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded, redistributed and/or sold with any software provided that any reserved names are not used by derivative works. The fonts and derivatives, however, cannot be released under any other type of license. The requirement for fonts to remain under this license does not apply to any document created using the fonts or their derivatives.\n\nDEFINITIONS\n\n\"Font Software\" refers to the set of files released by the Copyright Holder(s) under this license and clearly marked as such. This may include source files, build scripts and documentation.\n\n\"Reserved Font Name\" refers to any names specified as such after the copyright statement(s).\n\n\"Original Version\" refers to the collection of Font Software components as distributed by the Copyright Holder(s).\n\n\"Modified Version\" refers to any derivative made by adding to, deleting, or substituting \u2014 in part or in whole \u2014 any of the components of the Original Version, by changing formats or by porting the Font Software to a new environment.\n\n\"Author\" refers to any designer, engineer, programmer, technical writer or other person who contributed to the Font Software.\n\nPERMISSION & CONDITIONS\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the Font Software, subject to the following conditions:\n\n1) Neither the Font Software nor any of its individual components, in Original or Modified Versions, may be sold by itself.\n\n2) Original or Modified Versions of the Font Software may be bundled, redistributed and/or sold with any software, provided that each copy contains the above copyright notice and this license. These can be included either as stand-alone text files, human-readable headers or in the appropriate machine-readable metadata fields within text or binary files as long as those fields can be easily viewed by the user.\n\n3) No Modified Version of the Font Software may use the Reserved Font Name(s) unless explicit written permission is granted by the corresponding Copyright Holder. This restriction only applies to the primary font name as presented to the users.\n\n4) The name(s) of the Copyright Holder(s) or the Author(s) of the Font Software shall not be used to promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s) of the Copyright Holder(s) and the Author(s) or with their explicit written permission.\n\n5) The Font Software, modified or unmodified, in part or in whole, must be distributed entirely under this license, and must not be distributed under any other license. The requirement for fonts to remain under this license does not apply to any document created using the Font Software.\n\nTERMINATION\n\nThis license becomes null and void if any of the above conditions are not met.\n\nDISCLAIMER\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) <dates>, <Copyright Holder> (<URL|email>).  \";match=\".{0,5000}\">><<beginOptional>> This Font Software is licensed under the SIL Open Font License, Version 1.1.\n\nThis license is copied below, and is also available with a FAQ at: http://scripts.sil.org/OFL\n\n<<endOptional>><<beginOptional>> SIL OPEN FONT LICENSE\n\nVersion 1.1 - 26 February 2007\n\n<<endOptional>>\n\nPREAMBLE\n\nThe goals of the Open Font License (OFL) are to stimulate worldwide development of collaborative font projects, to support the font creation efforts of academic and linguistic communities, and to provide a free and open framework in which fonts may be shared and improved in partnership with others.\n\nThe OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded, redistributed and/or sold with any software provided that any reserved names are not used by derivative works. The fonts and derivatives, however, cannot be released under any other type of license. The requirement for fonts to remain under this license does not apply to any document created using the fonts or their derivatives.\n\nDEFINITIONS\n\n\"Font Software\" refers to the set of files released by the Copyright Holder(s) under this license and clearly marked as such. This may include source files, build scripts and documentation.\n\n\"Reserved Font Name\" refers to any names specified as such after the copyright statement(s).\n\n\"Original Version\" refers to the collection of Font Software components as distributed by the Copyright Holder(s).\n\n\"Modified Version\" refers to any derivative made by adding to, deleting, or substituting \u2014 in part or in whole \u2014 any of the components of the Original Version, by changing formats or by porting the Font Software to a new environment.\n\n\"Author\" refers to any designer, engineer, programmer, technical writer or other person who contributed to the Font Software.\n\nPERMISSION & CONDITIONS\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the Font Software, subject to the following conditions:\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Neither the Font Software nor any of its individual components, in Original or Modified Versions, may be sold by itself.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Original or Modified Versions of the Font Software may be bundled, redistributed and/or sold with any software, provided that each copy contains the above copyright notice and this license. These can be included either as stand-alone text files, human-readable headers or in the appropriate machine-readable metadata fields within text or binary files as long as those fields can be easily viewed by the user.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> No Modified Version of the Font Software may use the Reserved Font Name(s) unless explicit written permission is granted by the corresponding Copyright Holder. This restriction only applies to the primary font name as presented to the users.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> The name(s) of the Copyright Holder(s) or the Author(s) of the Font Software shall not be used to promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s) of the Copyright Holder(s) and the Author(s) or with their explicit written permission.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> The Font Software, modified or unmodified, in part or in whole, must be distributed entirely under this license, and must not be distributed under any other license. The requirement for fonts to remain under this license does not apply to any document created using the Font Software.\n\nTERMINATION\n\nThis license becomes null and void if any of the above conditions are not met.\n\nDISCLAIMER\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n\n"
		self.name = "SIL Open Font License 1.1 with no Reserved Font Name"
		self.licenseComments = "This license was released 26 February 2007. The identifier OFL-1.1-no-RFN should only be used when there is no Reserved Font Name. See OFL-1.1 and OFL-1.1-RFN for alternatives."
		self.licenseId = "OFL-1.1-no-RFN"
		self.crossRef = [{"match": "False", "url": "http://scripts.sil.org/cms/scripts/page.php?item_id=OFL_web", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:44Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/OFL-1.1", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:16:44Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["http://scripts.sil.org/cms/scripts/page.php?item_id=OFL_web", "https://opensource.org/licenses/OFL-1.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> <p>Copyright (c) &lt;dates&gt;, &lt;Copyright Holder&gt; (&lt;URL|email&gt;).</p>\n</div>\n	  <div class=\"optional-license-text\"> \n		 <p>This Font Software is licensed under the SIL Open Font License, Version 1.1.</p>\n\n		 <p>This license is copied below, and is also available with a FAQ at: http://scripts.sil.org/OFL</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>SIL OPEN FONT LICENSE</p>\n\n		 <p>Version 1.1 - 26 February 2007</p>\n\n	  </div>\n\n	  <p>PREAMBLE</p>\n\n	  <p>The goals of the Open Font License (OFL) are to stimulate worldwide development of collaborative font\n		 projects, to support the font creation efforts of academic and linguistic communities, and to provide\n		 a free and open framework in which fonts may be shared and improved in partnership with others.</p>\n\n	  <p>The OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they\n		 are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded,\n		 redistributed and/or sold with any software provided that any reserved names are not used by\n		 derivative works. The fonts and derivatives, however, cannot be released under any other type of\n		 license. The requirement for fonts to remain under this license does not apply to any document created\n		 using the fonts or their derivatives.</p>\n\n	  <p>DEFINITIONS</p>\n\n	  <p>&quot;Font Software&quot; refers to the set of files released by the Copyright Holder(s) under this license and\n		 clearly marked as such. This may include source files, build scripts and documentation.</p>\n\n	  <p>&quot;Reserved Font Name&quot; refers to any names specified as such after the copyright statement(s).</p>\n\n	  <p>&quot;Original Version&quot; refers to the collection of Font Software components as distributed by the Copyright\n		 Holder(s).</p>\n\n	  <p>&quot;Modified Version&quot; refers to any derivative made by adding to, deleting, or substituting \u2014 in part or in\n		 whole \u2014 any of the components of the Original Version, by changing formats or by porting the Font\n		 Software to a new environment.</p>\n\n	  <p>&quot;Author&quot; refers to any designer, engineer, programmer, technical writer or other person who contributed\n		 to the Font Software.</p>\n\n	  <p>PERMISSION &amp; CONDITIONS</p>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to\n		 use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the\n		 Font Software, subject to the following conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Neither the Font Software nor any of its individual components, in Original or Modified Versions,\n			 may be sold by itself.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Original or Modified Versions of the Font Software may be bundled, redistributed and/or sold with\n			 any software, provided that each copy contains the above copyright notice and this license.\n			 These can be included either as stand-alone text files, human-readable headers or in the\n			 appropriate machine-readable metadata fields within text or binary files as long as those\n			 fields can be easily viewed by the user.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  No Modified Version of the Font Software may use the Reserved Font Name(s) unless explicit\n			 written permission is granted by the corresponding Copyright Holder. This restriction only\n			 applies to the primary font name as presented to the users.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  The name(s) of the Copyright Holder(s) or the Author(s) of the Font Software shall not be used to\n			 promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s)\n			 of the Copyright Holder(s) and the Author(s) or with their explicit written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  The Font Software, modified or unmodified, in part or in whole, must be distributed entirely\n			 under this license, and must not be distributed under any other license. The requirement for\n			 fonts to remain under this license does not apply to any document created using the Font\n			 Software.\n		</li>\n	  \n</ul>\n	  <p>TERMINATION</p>\n\n	  <p>This license becomes null and void if any of the above conditions are not met.</p>\n\n	  <p>DISCLAIMER</p>\n\n	  <p>THE FONT SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT\n		 NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT\n		 OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR\n		 ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR\n		 CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE\n		 USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.</p>\n\n	"
		self.python_name = "OFL11noRFN"

	def __str__(self):
		return json.dumps(self.__dict__)


class CC010:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Creative Commons Legal Code\n\nCC0 1.0 Universal\n\n	CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE\n	LEGAL SERVICES. DISTRIBUTION OF THIS DOCUMENT DOES NOT CREATE AN\n	ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS\n	INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES\n	REGARDING THE USE OF THIS DOCUMENT OR THE INFORMATION OR WORKS\n	PROVIDED HEREUNDER, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM\n	THE USE OF THIS DOCUMENT OR THE INFORMATION OR WORKS PROVIDED\n	HEREUNDER.\n\nStatement of Purpose\n\nThe laws of most jurisdictions throughout the world automatically confer\nexclusive Copyright and Related Rights (defined below) upon the creator\nand subsequent owner(s) (each and all, an \"owner\") of an original work of\nauthorship and/or a database (each, a \"Work\").\n\nCertain owners wish to permanently relinquish those rights to a Work for\nthe purpose of contributing to a commons of creative, cultural and\nscientific works (\"Commons\") that the public can reliably and without fear\nof later claims of infringement build upon, modify, incorporate in other\nworks, reuse and redistribute as freely as possible in any form whatsoever\nand for any purposes, including without limitation commercial purposes.\nThese owners may contribute to the Commons to promote the ideal of a free\nculture and the further production of creative, cultural and scientific\nworks, or to gain reputation or greater distribution for their Work in\npart through the use and efforts of others.\n\nFor these and/or other purposes and motivations, and without any\nexpectation of additional consideration or compensation, the person\nassociating CC0 with a Work (the \"Affirmer\"), to the extent that he or she\nis an owner of Copyright and Related Rights in the Work, voluntarily\nelects to apply CC0 to the Work and publicly distribute the Work under its\nterms, with knowledge of his or her Copyright and Related Rights in the\nWork and the meaning and intended legal effect of CC0 on those rights.\n\n1. Copyright and Related Rights. A Work made available under CC0 may be\nprotected by copyright and related or neighboring rights (\"Copyright and\nRelated Rights\"). Copyright and Related Rights include, but are not\nlimited to, the following:\n\n  i. the right to reproduce, adapt, distribute, perform, display,\n	 communicate, and translate a Work;\n ii. moral rights retained by the original author(s) and/or performer(s);\niii. publicity and privacy rights pertaining to a person's image or\n	 likeness depicted in a Work;\n iv. rights protecting against unfair competition in regards to a Work,\n	 subject to the limitations in paragraph 4(a), below;\n  v. rights protecting the extraction, dissemination, use and reuse of data\n	 in a Work;\n vi. database rights (such as those arising under Directive 96/9/EC of the\n	 European Parliament and of the Council of 11 March 1996 on the legal\n	 protection of databases, and under any national implementation\n	 thereof, including any amended or successor version of such\n	 directive); and\nvii. other similar, equivalent or corresponding rights throughout the\n	 world based on applicable law or treaty, and any national\n	 implementations thereof.\n\n2. Waiver. To the greatest extent permitted by, but not in contravention\nof, applicable law, Affirmer hereby overtly, fully, permanently,\nirrevocably and unconditionally waives, abandons, and surrenders all of\nAffirmer's Copyright and Related Rights and associated claims and causes\nof action, whether now known or unknown (including existing as well as\nfuture claims and causes of action), in the Work (i) in all territories\nworldwide, (ii) for the maximum duration provided by applicable law or\ntreaty (including future time extensions), (iii) in any current or future\nmedium and for any number of copies, and (iv) for any purpose whatsoever,\nincluding without limitation commercial, advertising or promotional\npurposes (the \"Waiver\"). Affirmer makes the Waiver for the benefit of each\nmember of the public at large and to the detriment of Affirmer's heirs and\nsuccessors, fully intending that such Waiver shall not be subject to\nrevocation, rescission, cancellation, termination, or any other legal or\nequitable action to disrupt the quiet enjoyment of the Work by the public\nas contemplated by Affirmer's express Statement of Purpose.\n\n3. Public License Fallback. Should any part of the Waiver for any reason\nbe judged legally invalid or ineffective under applicable law, then the\nWaiver shall be preserved to the maximum extent permitted taking into\naccount Affirmer's express Statement of Purpose. In addition, to the\nextent the Waiver is so judged Affirmer hereby grants to each affected\nperson a royalty-free, non transferable, non sublicensable, non exclusive,\nirrevocable and unconditional license to exercise Affirmer's Copyright and\nRelated Rights in the Work (i) in all territories worldwide, (ii) for the\nmaximum duration provided by applicable law or treaty (including future\ntime extensions), (iii) in any current or future medium and for any number\nof copies, and (iv) for any purpose whatsoever, including without\nlimitation commercial, advertising or promotional purposes (the\n\"License\"). The License shall be deemed effective as of the date CC0 was\napplied by Affirmer to the Work. Should any part of the License for any\nreason be judged legally invalid or ineffective under applicable law, such\npartial invalidity or ineffectiveness shall not invalidate the remainder\nof the License, and in such case Affirmer hereby affirms that he or she\nwill not (i) exercise any of his or her remaining Copyright and Related\nRights in the Work or (ii) assert any associated claims and causes of\naction with respect to the Work, in either case contrary to Affirmer's\nexpress Statement of Purpose.\n\n4. Limitations and Disclaimers.\n\n a. No trademark or patent rights held by Affirmer are waived, abandoned,\n	surrendered, licensed or otherwise affected by this document.\n b. Affirmer offers the Work as-is and makes no representations or\n	warranties of any kind concerning the Work, express, implied,\n	statutory or otherwise, including without limitation warranties of\n	title, merchantability, fitness for a particular purpose, non\n	infringement, or the absence of latent or other defects, accuracy, or\n	the present or absence of errors, whether or not discoverable, all to\n	the greatest extent permissible under applicable law.\n c. Affirmer disclaims responsibility for clearing rights of other persons\n	that may apply to the Work or any use thereof, including without\n	limitation any person's Copyright and Related Rights in the Work.\n	Further, Affirmer disclaims responsibility for obtaining any necessary\n	consents, permissions or other rights required for any use of the\n	Work.\n d. Affirmer understands and acknowledges that Creative Commons is not a\n	party to this document and has no duty or obligation with respect to\n	this CC0 or use of the Work.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<beginOptional>>Creative Commons<<beginOptional>> Legal Code<<endOptional>>\n\n<<endOptional>>\n\nCC0 1.0 Universal\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DOCUMENT DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE USE OF THIS DOCUMENT OR THE INFORMATION OR WORKS PROVIDED HEREUNDER, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM THE USE OF THIS DOCUMENT OR THE INFORMATION OR WORKS PROVIDED HEREUNDER.\n\n<<endOptional>>\n\nStatement of Purpose\n\nThe laws of most jurisdictions throughout the world automatically confer exclusive Copyright and Related Rights (defined below) upon the creator and subsequent owner(s) (each and all, an \"owner\") of an original work of authorship and/or a database (each, a \"Work\").\n\nCertain owners wish to permanently relinquish those rights to a Work for the purpose of contributing to a commons of creative, cultural and scientific works (\"Commons\") that the public can reliably and without fear of later claims of infringement build upon, modify, incorporate in other works, reuse and redistribute as freely as possible in any form whatsoever and for any purposes, including without limitation commercial purposes. These owners may contribute to the Commons to promote the ideal of a free culture and the further production of creative, cultural and scientific works, or to gain reputation or greater distribution for their Work in part through the use and efforts of others.\n\nFor these and/or other purposes and motivations, and without any expectation of additional consideration or compensation, the person associating CC0 with a Work (the \"Affirmer\"), to the extent that he or she is an owner of Copyright and Related Rights in the Work, voluntarily elects to apply CC0 to the Work and publicly distribute the Work under its terms, with knowledge of his or her Copyright and Related Rights in the Work and the meaning and intended legal effect of CC0 on those rights.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Copyright and Related Rights. A Work made available under CC0 may be protected by copyright and related or neighboring rights (\"Copyright and Related Rights\"). Copyright and Related Rights include, but are not limited to, the following:\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> the right to reproduce, adapt, distribute, perform, display, communicate, and translate a Work;\n\n	  <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> moral rights retained by the original author(s) and/or performer(s);\n\n	  <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> publicity and privacy rights pertaining to a person's image or likeness depicted in a Work;\n\n	  <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> rights protecting against unfair competition in regards to a Work, subject to the limitations in paragraph 4(a), below;\n\n	  <<var;name=\"bullet\";original=\"v.\";match=\".{0,20}\">> rights protecting the extraction, dissemination, use and reuse of data in a Work;\n\n	  <<var;name=\"bullet\";original=\"vi.\";match=\".{0,20}\">> database rights (such as those arising under Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, and under any national implementation thereof, including any amended or successor version of such directive); and\n\n	  <<var;name=\"bullet\";original=\"vii.\";match=\".{0,20}\">> other similar, equivalent or corresponding rights throughout the world based on applicable law or treaty, and any national implementations thereof.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Waiver. To the greatest extent permitted by, but not in contravention of, applicable law, Affirmer hereby overtly, fully, permanently, irrevocably and unconditionally waives, abandons, and surrenders all of Affirmer's Copyright and Related Rights and associated claims and causes of action, whether now known or unknown (including existing as well as future claims and causes of action), in the Work (i) in all territories worldwide, (ii) for the maximum duration provided by applicable law or treaty (including future time extensions), (iii) in any current or future medium and for any number of copies, and (iv) for any purpose whatsoever, including without limitation commercial, advertising or promotional purposes (the \"Waiver\"). Affirmer makes the Waiver for the benefit of each member of the public at large and to the detriment of Affirmer's heirs and successors, fully intending that such Waiver shall not be subject to revocation, rescission, cancellation, termination, or any other legal or equitable action to disrupt the quiet enjoyment of the Work by the public as contemplated by Affirmer's express Statement of Purpose.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Public License Fallback. Should any part of the Waiver for any reason be judged legally invalid or ineffective under applicable law, then the Waiver shall be preserved to the maximum extent permitted taking into account Affirmer's express Statement of Purpose. In addition, to the extent the Waiver is so judged Affirmer hereby grants to each affected person a royalty-free, non transferable, non sublicensable, non exclusive, irrevocable and unconditional license to exercise Affirmer's Copyright and Related Rights in the Work (i) in all territories worldwide, (ii) for the maximum duration provided by applicable law or treaty (including future time extensions), (iii) in any current or future medium and for any number of copies, and (iv) for any purpose whatsoever, including without limitation commercial, advertising or promotional purposes (the \"License\"). The License shall be deemed effective as of the date CC0 was applied by Affirmer to the Work. Should any part of the License for any reason be judged legally invalid or ineffective under applicable law, such partial invalidity or ineffectiveness shall not invalidate the remainder of the License, and in such case Affirmer hereby affirms that he or she will not (i) exercise any of his or her remaining Copyright and Related Rights in the Work or (ii) assert any associated claims and causes of action with respect to the Work, in either case contrary to Affirmer's express Statement of Purpose.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Limitations and Disclaimers.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> No trademark or patent rights held by Affirmer are waived, abandoned, surrendered, licensed or otherwise affected by this document.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Affirmer offers the Work as-is and makes no representations or warranties of any kind concerning the Work, express, implied, statutory or otherwise, including without limitation warranties of title, merchantability, fitness for a particular purpose, non infringement, or the absence of latent or other defects, accuracy, or the present or absence of errors, whether or not discoverable, all to the greatest extent permissible under applicable law.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Affirmer disclaims responsibility for clearing rights of other persons that may apply to the Work or any use thereof, including without limitation any person's Copyright and Related Rights in the Work. Further, Affirmer disclaims responsibility for obtaining any necessary consents, permissions or other rights required for any use of the Work.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Affirmer understands and acknowledges that Creative Commons is not a party to this document and has no duty or obligation with respect to this CC0 or use of the Work.<<beginOptional>> <<var;name=\"upstreamLink\";original=\"\";match=\"For more information, please see <http://creativecommons.org/publicdomain/zero/1.0/>\">><<endOptional>>"
		self.name = "Creative Commons Zero v1.0 Universal"
		self.licenseId = "CC0-1.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/publicdomain/zero/1.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:53Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/publicdomain/zero/1.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <div class=\"optional-license-text\"> \n			<p>Creative Commons<var class=\"optional-license-text\">  Legal Code</var></p>\n\n		 </div>\n		 <p>CC0 1.0 Universal</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 DOCUMENT DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION\n		 ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE USE OF THIS DOCUMENT\n		 OR THE INFORMATION OR WORKS PROVIDED HEREUNDER, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM THE\n		 USE OF THIS DOCUMENT OR THE INFORMATION OR WORKS PROVIDED HEREUNDER.</p>\n\n	  </div>\n\n	  <p>Statement of Purpose</p>\n\n	  <p>The laws of most jurisdictions throughout the world automatically confer exclusive Copyright and Related\n		 Rights (defined below) upon the creator and subsequent owner(s) (each and all, an &quot;owner&quot;)\n		 of an original work of authorship and/or a database (each, a &quot;Work&quot;).</p>\n\n	  <p>Certain owners wish to permanently relinquish those rights to a Work for the purpose of contributing to a\n		 commons of creative, cultural and scientific works (&quot;Commons&quot;) that the public can reliably\n		 and without fear of later claims of infringement build upon, modify, incorporate in other works, reuse\n		 and redistribute as freely as possible in any form whatsoever and for any purposes, including without\n		 limitation commercial purposes. These owners may contribute to the Commons to promote the ideal of a\n		 free culture and the further production of creative, cultural and scientific works, or to gain\n		 reputation or greater distribution for their Work in part through the use and efforts of others.</p>\n\n	  <p>For these and/or other purposes and motivations, and without any expectation of additional consideration\n		 or compensation, the person associating CC0 with a Work (the &quot;Affirmer&quot;), to the extent that\n		 he or she is an owner of Copyright and Related Rights in the Work, voluntarily elects to apply CC0 to\n		 the Work and publicly distribute the Work under its terms, with knowledge of his or her Copyright and\n		 Related Rights in the Work and the meaning and intended legal effect of CC0 on those rights.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Copyright and Related Rights. A Work made available under CC0 may be protected by copyright and\n			 related or neighboring rights (&quot;Copyright and Related Rights&quot;). Copyright and\n			 Related Rights include, but are not limited to, the following:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> i.</var>\n			  the right to reproduce, adapt, distribute, perform, display, communicate, and translate a Work;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> ii.</var>\n			  moral rights retained by the original author(s) and/or performer(s);\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> iii.</var>\n			  publicity and privacy rights pertaining to a person&apos;s image or likeness depicted in a Work;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> iv.</var>\n			  rights protecting against unfair competition in regards to a Work, subject to the limitations\n				 in paragraph 4(a), below;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> v.</var>\n			  rights protecting the extraction, dissemination, use and reuse of data in a Work;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> vi.</var>\n			  database rights (such as those arising under Directive 96/9/EC of the European Parliament and\n				 of the Council of 11 March 1996 on the legal protection of databases, and under any\n				 national implementation thereof, including any amended or successor version of such\n				 directive); and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> vii.</var>\n			  other similar, equivalent or corresponding rights throughout the world based on applicable\n				 law or treaty, and any national implementations thereof.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Waiver. To the greatest extent permitted by, but not in contravention of, applicable law,\n			 Affirmer hereby overtly, fully, permanently, irrevocably and unconditionally waives, abandons,\n			 and surrenders all of Affirmer&apos;s Copyright and Related Rights and associated claims and\n			 causes of action, whether now known or unknown (including existing as well as future claims\n			 and causes of action), in the Work (i) in all territories worldwide, (ii) for the maximum\n			 duration provided by applicable law or treaty (including future time extensions), (iii) in any\n			 current or future medium and for any number of copies, and (iv) for any purpose whatsoever,\n			 including without limitation commercial, advertising or promotional purposes (the\n			 &quot;Waiver&quot;). Affirmer makes the Waiver for the benefit of each member of the public at\n			 large and to the detriment of Affirmer&apos;s heirs and successors, fully intending that such\n			 Waiver shall not be subject to revocation, rescission, cancellation, termination, or any other\n			 legal or equitable action to disrupt the quiet enjoyment of the Work by the public as\n			 contemplated by Affirmer&apos;s express Statement of Purpose.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Public License Fallback. Should any part of the Waiver for any reason be judged legally invalid\n			 or ineffective under applicable law, then the Waiver shall be preserved to the maximum extent\n			 permitted taking into account Affirmer&apos;s express Statement of Purpose. In addition, to\n			 the extent the Waiver is so judged Affirmer hereby grants to each affected person a\n			 royalty-free, non transferable, non sublicensable, non exclusive, irrevocable and\n			 unconditional license to exercise Affirmer&apos;s Copyright and Related Rights in the Work (i)\n			 in all territories worldwide, (ii) for the maximum duration provided by applicable law or\n			 treaty (including future time extensions), (iii) in any current or future medium and for any\n			 number of copies, and (iv) for any purpose whatsoever, including without limitation\n			 commercial, advertising or promotional purposes (the &quot;License&quot;). The License shall\n			 be deemed effective as of the date CC0 was applied by Affirmer to the Work. Should any part of\n			 the License for any reason be judged legally invalid or ineffective under applicable law, such\n			 partial invalidity or ineffectiveness shall not invalidate the remainder of the License, and\n			 in such case Affirmer hereby affirms that he or she will not (i) exercise any of his or her\n			 remaining Copyright and Related Rights in the Work or (ii) assert any associated claims and\n			 causes of action with respect to the Work, in either case contrary to Affirmer&apos;s express\n			 Statement of Purpose.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Limitations and Disclaimers.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  No trademark or patent rights held by Affirmer are waived, abandoned, surrendered, licensed\n				 or otherwise affected by this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  Affirmer offers the Work as-is and makes no representations or warranties of any kind\n				 concerning the Work, express, implied, statutory or otherwise, including without\n				 limitation warranties of title, merchantability, fitness for a particular purpose, non\n				 infringement, or the absence of latent or other defects, accuracy, or the present or\n				 absence of errors, whether or not discoverable, all to the greatest extent permissible\n				 under applicable law.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			  Affirmer disclaims responsibility for clearing rights of other persons that may apply to the\n				 Work or any use thereof, including without limitation any person&apos;s Copyright and\n				 Related Rights in the Work. Further, Affirmer disclaims responsibility for obtaining any\n				 necessary consents, permissions or other rights required for any use of the Work.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			  Affirmer understands and acknowledges that Creative Commons is not a party to this document\n				 and has no duty or obligation with respect to this CC0 or use of the Work.\n			</li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <var class=\"optional-license-text\"> <var class=\"replaceable-license-text\"> </var></var>\n	"
		self.python_name = "CC010"

	def __str__(self):
		return json.dumps(self.__dict__)


class SISSL12:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "SUN INDUSTRY STANDARDS SOURCE LICENSE\nVersion 1.2\n1.0 DEFINITIONS\n\n	 1.1 Commercial Use means distribution or otherwise making the Original Code available to a third party.\n\n	 1.2 Contributor Version means the combination of the Original Code, and the Modifications made by that particular Contributor.\n\n	 1.3 Electronic Distribution Mechanism means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	 1.4 Executable means Original Code in any form other than Source Code.\n\n	 1.5 Initial Developer means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	 1.6 Larger Work means a work which combines Original Code or portions thereof with code not governed by the terms of this License.\n\n	 1.7 License means this document.\n\n	 1.8 Licensable means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	 1.9 Modifications means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. A Modification is:\n\n		  A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		  B. Any new file that contains any part of the Original Code or previous Modifications.\n\n	 1.10 Original Code means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code.\n\n	 1.11 Patent Claims means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	 1.12 Source Code means the preferred form of the Original Code for making modifications to it, including all modules it contains, plus any associated interface definition files, or scripts used to control compilation and installation of an Executable.\n\n	 1.13 Standards means the standards identified in Exhibit B.\n\n	 1.14 You (or Your) means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, You includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, control means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n2.0 SOURCE CODE LICENSE\n\n	 2.1 The Initial Developer Grant The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		  (a)under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n		  (b) under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n		  (c) the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n		  (d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices, including but not limited to Modifications.\n\n3.0 DISTRIBUTION OBLIGATIONS\n\n	 3.1 Application of License. The Source Code version of Original Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients rights hereunder. Your license for shipment of the Contributor Version is conditioned upon Your full compliance with this Section. The Modifications which You create must comply with all requirements set out by the Standards body in effect one hundred twenty (120) days before You ship the Contributor Version. In the event that the Modifications do not meet such requirements, You agree to publish either (i) any deviation from the Standards protocol resulting from implementation of Your Modifications and a reference implementation of Your Modifications or (ii) Your Modifications in Source Code form, and to make any such deviation and reference implementation or Modifications available to all third parties under the same terms a this license on a royalty free basis within thirty (30) days of Your first customer shipment of Your Modifications. Additionally, in the event that the Modifications you create do not meet the requirements set out in this Section, You agree to comply with the Standards requirements set out in Exhibit B.\n\n	 3.2 Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add Your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients rights or ownership rights relating to Initial Code.\n\n	 You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Your version of the Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer for any liability incurred by the Initial Developer as a result of warranty, support, indemnity or liability terms You offer.\n\n	 3.3 Distribution of Executable Versions. You may distribute Original Code in Executable and Source form only if the requirements of Sections 3.1 and 3.2 have been met for that Original Code, and if You include a notice stating that the Source Code version of the Original Code is available under the terms of this License. The notice must be conspicuously included in any notice in an Executable or Source versions, related documentation or collateral in which You describe recipients rights relating to the Original Code. You may distribute the Executable and Source versions of Your version of the Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License. If You distribute the Executable and Source versions under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer. You hereby agree to indemnify the Initial Developer for any liability incurred by the Initial Developer as a result of any such terms You offer.\n\n	 3.4 Larger Works. You may create a Larger Work by combining Original Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Original Code.\n\n4.0 INABILITY TO COMPLY DUE TO STATUTE OR REGULATION\n\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Original Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.2 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5.0 APPLICATION OF THIS LICENSE\n\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Modifications as set out in Section 3.1.\n\n6.0 VERSIONS OF THE LICENSE\n\n	 6.1 New Versions. Sun may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	 6.2 Effect of New Versions. Once Original Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of the License published by Sun. No one other than Sun has the right to modify the terms applicable to Original Code.\n\n7.0 DISCLAIMER OF WARRANTY\n\nORIGINAL CODE IS PROVIDED UNDER THIS LICENSE ON AN AS IS BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE ORIGINAL CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE ORIGINAL CODE IS WITH YOU. SHOULD ANY ORIGINAL CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY ORIGINAL CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8.0 TERMINATION\n\n	 8.1 This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Original Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive. 8.2 In the event of termination under Section 8.1 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n\nEXHIBIT A - Sun Industry Standards Source License\n\n\"The contents of this file are subject to the Sun Industry Standards Source License Version 1.2 (the License); You\nmay not use this file except in compliance with the License.\"\n\n\"You may obtain a copy of the License at gridengine.sunsource.net/license.html\"\n\n\"Software distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND, either express or\nimplied. See the License for the specific language governing rights and limitations under the License.\"\n\n\"The Original Code is Grid Engine.\"\n\n\"The Initial Developer of the Original Code is:\nSun Microsystems, Inc.\"\n\n\"Portions created by: Sun Microsystems, Inc. are Copyright (C) 2001 Sun Microsystems, Inc.\"\n\n\"All Rights Reserved.\"\n\n\"Contributor(s):__________________________________\"\n\nEXHIBIT B - Standards\n\n1.0 Requirements for project Standards. The requirements for project Standards are version-dependent and are defined at: Grid Engine standards.\n\n2.0 Additional requirements. The additional requirements pursuant to Section 3.1 are defined as:\n\n	 2.1 Naming Conventions. If any of your Modifications do not meet the requirements of the Standard, then you must change the product name so that Grid Engine, gridengine, gridengine.sunsource, and similar naming conventions are not used.\n\n	 2.2 Compliance Claims. If any of your Modifications do not meet the requirements of the Standards you may not claim, directly or indirectly, that your implementation of the Standards is compliant.\n\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>\"<<endOptional>>The contents of this file are subject to the Sun Industry Standards Source License Version 1.2 (the License); You\n\nmay not use this file except in compliance with the License.<<beginOptional>>\"<<endOptional>>\n\n<<beginOptional>>\"<<endOptional>>You may obtain a copy of the License at gridengine.sunsource.net/license.html<<beginOptional>>\"<<endOptional>>\n\n<<beginOptional>>\"<<endOptional>>Software distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND, either express or\n\nimplied. See the License for the specific language governing rights and limitations under the License.<<beginOptional>>\"<<endOptional>>\n\n<<beginOptional>>\"<<endOptional>>The Original Code is Grid Engine.<<beginOptional>>\"<<endOptional>>\n\n<<beginOptional>>\"<<endOptional>>The Initial Developer of the Original Code is:\n\nSun Microsystems, Inc.<<beginOptional>>\"<<endOptional>>\n\n<<beginOptional>>\"<<endOptional>>Portions created by: Sun Microsystems, Inc. are Copyright (C) 2001 Sun Microsystems, Inc.<<beginOptional>>\"<<endOptional>>\n\n<<beginOptional>>\"<<endOptional>>All Rights Reserved.<<beginOptional>>\"<<endOptional>>\n\n<<beginOptional>>\"<<endOptional>>Contributor(s): <<var;name=\"contributor\";original=\"__________________________________\"\";match=\".+\">>\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>\n\nSUN INDUSTRY STANDARDS SOURCE LICENSE\n\nVersion 1.2\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.0\";match=\".{0,20}\">> DEFINITIONS\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> Commercial Use means distribution or otherwise making the Original Code available to a third party.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> Contributor Version means the combination of the Original Code, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> Electronic Distribution Mechanism means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> Executable means Original Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> Initial Developer means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> Larger Work means a work which combines Original Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> License means this document.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> Licensable means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> Modifications means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. A Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> Original Code means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code.\n\n	  <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> Patent Claims means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	  <<var;name=\"bullet\";original=\"1.12\";match=\".{0,20}\">> Source Code means the preferred form of the Original Code for making modifications to it, including all modules it contains, plus any associated interface definition files, or scripts used to control compilation and installation of an Executable.\n\n	  <<var;name=\"bullet\";original=\"1.13\";match=\".{0,20}\">> Standards means the standards identified in Exhibit B.\n\n	  <<var;name=\"bullet\";original=\"1.14\";match=\".{0,20}\">> You (or Your) means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, You includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, control means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.0\";match=\".{0,20}\">> SOURCE CODE LICENSE\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> The Initial Developer Grant The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 (a)under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices, including but not limited to Modifications.\n\n   <<var;name=\"bullet\";original=\"3.0\";match=\".{0,20}\">> DISTRIBUTION OBLIGATIONS\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> Application of License. The Source Code version of Original Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients rights hereunder. Your license for shipment of the Contributor Version is conditioned upon Your full compliance with this Section. The Modifications which You create must comply with all requirements set out by the Standards body in effect one hundred twenty (120) days before You ship the Contributor Version. In the event that the Modifications do not meet such requirements, You agree to publish either (i) any deviation from the Standards protocol resulting from implementation of Your Modifications and a reference implementation of Your Modifications or (ii) Your Modifications in Source Code form, and to make any such deviation and reference implementation or Modifications available to all third parties under the same terms a this license on a royalty free basis within thirty (30) days of Your first customer shipment of Your Modifications. Additionally, in the event that the Modifications you create do not meet the requirements set out in this Section, You agree to comply with the Standards requirements set out in Exhibit B.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add Your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients rights or ownership rights relating to Initial Code.\n\n	  You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Your version of the Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer for any liability incurred by the Initial Developer as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Original Code in Executable and Source form only if the requirements of Sections 3.1 and 3.2 have been met for that Original Code, and if You include a notice stating that the Source Code version of the Original Code is available under the terms of this License. The notice must be conspicuously included in any notice in an Executable or Source versions, related documentation or collateral in which You describe recipients rights relating to the Original Code. You may distribute the Executable and Source versions of Your version of the Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License. If You distribute the Executable and Source versions under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer. You hereby agree to indemnify the Initial Developer for any liability incurred by the Initial Developer as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.4\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Original Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Original Code.\n\n   <<var;name=\"bullet\";original=\"4.0\";match=\".{0,20}\">> INABILITY TO COMPLY DUE TO STATUTE OR REGULATION\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Original Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.2 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.0\";match=\".{0,20}\">> APPLICATION OF THIS LICENSE\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Modifications as set out in Section 3.1.\n\n   <<var;name=\"bullet\";original=\"6.0\";match=\".{0,20}\">> VERSIONS OF THE LICENSE\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> New Versions. Sun may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> Effect of New Versions. Once Original Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of the License published by Sun. No one other than Sun has the right to modify the terms applicable to Original Code.\n\n   <<var;name=\"bullet\";original=\"7.0\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY\n\n   ORIGINAL CODE IS PROVIDED UNDER THIS LICENSE ON AN AS IS BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE ORIGINAL CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE ORIGINAL CODE IS WITH YOU. SHOULD ANY ORIGINAL CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY ORIGINAL CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.0\";match=\".{0,20}\">> TERMINATION\n\n	  <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Original Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive. 8.2 In the event of termination under Section 8.1 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.<<beginOptional>> EXHIBIT A - Sun Industry Standards Source License\n\n<<beginOptional>>\"<<endOptional>>The contents of this file are subject to the Sun Industry Standards Source License Version 1.2 (the License); You\n\nmay not use this file except in compliance with the License.<<beginOptional>>\"<<endOptional>>\n\n<<beginOptional>>\"<<endOptional>>You may obtain a copy of the License at gridengine.sunsource.net/license.html<<beginOptional>>\"<<endOptional>>\n\n<<beginOptional>>\"<<endOptional>>Software distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND, either express or\n\nimplied. See the License for the specific language governing rights and limitations under the License.<<beginOptional>>\"<<endOptional>>\n\n<<beginOptional>>\"<<endOptional>>The Original Code is Grid Engine.<<beginOptional>>\"<<endOptional>>\n\n<<beginOptional>>\"<<endOptional>>The Initial Developer of the Original Code is:\n\nSun Microsystems, Inc.<<beginOptional>>\"<<endOptional>>\n\n<<beginOptional>>\"<<endOptional>>Portions created by: Sun Microsystems, Inc. are Copyright (C) 2001 Sun Microsystems, Inc.<<beginOptional>>\"<<endOptional>>\n\n<<beginOptional>>\"<<endOptional>>All Rights Reserved.<<beginOptional>>\"<<endOptional>>\n\n<<beginOptional>>\"<<endOptional>>Contributor(s): <<var;name=\"contributor\";original=\"__________________________________\"\";match=\".+\">>\n\nEXHIBIT B - Standards\n\n   <<var;name=\"bullet\";original=\"1.0\";match=\".{0,20}\">> Requirements for project Standards. The requirements for project Standards are version-dependent and are defined at: Grid Engine standards.\n\n   <<var;name=\"bullet\";original=\"2.0\";match=\".{0,20}\">> Additional requirements. The additional requirements pursuant to Section 3.1 are defined as:\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> Naming Conventions. If any of your Modifications do not meet the requirements of the Standard, then you must change the product name so that Grid Engine, gridengine, gridengine.sunsource, and similar naming conventions are not used.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> Compliance Claims. If any of your Modifications do not meet the requirements of the Standards you may not claim, directly or indirectly, that your implementation of the Standards is compliant.<<endOptional>>"
		self.name = "Sun Industry Standards Source License v1.2"
		self.licenseId = "SISSL-1.2"
		self.standardLicenseHeader = "\"The contents of this file are subject to the Sun Industry Standards Source License Version 1.2 (the License); You\n\nmay not use this file except in compliance with the License.\"\n\n\"You may obtain a copy of the License at gridengine.sunsource.net/license.html\"\n\n\"Software distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND, either express or\n\nimplied. See the License for the specific language governing rights and limitations under the License.\"\n\n\"The Original Code is Grid Engine.\"\n\n\"The Initial Developer of the Original Code is:\n\nSun Microsystems, Inc.\"\n\n\"Portions created by: Sun Microsystems, Inc. are Copyright (C) 2001 Sun Microsystems, Inc.\"\n\n\"All Rights Reserved.\"\n\n\"Contributor(s): __________________________________\"\n\n"
		self.crossRef = [{"match": "False", "url": "http://gridscheduler.sourceforge.net/Gridengine_SISSL_license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:50Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://gridscheduler.sourceforge.net/Gridengine_SISSL_license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <br />\n\nSUN INDUSTRY STANDARDS SOURCE LICENSE\n	<p>Version 1.2</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 1.0</var>\n		DEFINITIONS\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1</var>\n			Commercial Use means distribution or otherwise making the Original Code available to a third party.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2</var>\n			Contributor Version means the combination of the Original Code, and the Modifications made by that\n			   particular Contributor.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3</var>\n			Electronic Distribution Mechanism means a mechanism generally accepted in the software development\n			   community for the electronic transfer of data.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4</var>\n			Executable means Original Code in any form other than Source Code.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5</var>\n			Initial Developer means the individual or entity identified as the Initial Developer in the Source\n			   Code notice required by Exhibit A.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6</var>\n			Larger Work means a work which combines Original Code or portions thereof with code not governed by\n			   the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7</var>\n			License means this document.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8</var>\n			Licensable means having the right to grant, to the maximum extent possible, whether at the time of\n			   the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9</var>\n			Modifications means any addition to or deletion from the substance or structure of either the\n			   Original Code or any previous Modifications. A Modification is:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				Any addition to or deletion from the contents of a file containing Original Code or previous\n				   Modifications.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				Any new file that contains any part of the Original Code or previous Modifications.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10</var>\n			Original Code means Source Code of computer software code which is described in the Source Code\n			   notice required by Exhibit A as Original Code.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11</var>\n			Patent Claims means any patent claim(s), now owned or hereafter acquired, including without\n			   limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12</var>\n			Source Code means the preferred form of the Original Code for making modifications to it, including\n			   all modules it contains, plus any associated interface definition files, or scripts used to\n			   control compilation and installation of an Executable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13</var>\n			Standards means the standards identified in Exhibit B.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.14</var>\n			You (or Your) means an individual or a legal entity exercising rights under, and complying with all\n			   of the terms of, this License or a future version of this License issued under Section 6.1. For\n			   legal entities, You includes any entity which controls, is controlled by, or is under common\n			   control with You. For purposes of this definition, control means (a) the power, direct or\n			   indirect, to cause the direction or management of such entity, whether by contract or otherwise,\n			   or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial\n			   ownership of such entity.\n		  </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 2.0</var>\n		SOURCE CODE LICENSE\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1</var>\n			The Initial Developer Grant The Initial Developer hereby grants You a world-wide, royalty-free,\n			   non-exclusive license, subject to third party intellectual property claims:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<p>(a)under intellectual property rights (other than patent or trademark) Licensable by Initial\n				   Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code\n				   (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and</p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				under Patents Claims infringed by the making, using or selling of Original Code, to make, have made,\n				   use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or\n				   portions thereof).\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first\n				   distributes Original Code under the terms of this License.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from\n				   the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the\n				   modification of the Original Code or ii) the combination of the Original Code with other software\n				   or devices, including but not limited to Modifications.\n			  </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 3.0</var>\n		DISTRIBUTION OBLIGATIONS\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n			Application of License. The Source Code version of Original Code may be distributed only under the\n			   terms of this License or a future version of this License released under Section 6.1, and You must\n			   include a copy of this License with every copy of the Source Code You distribute. You may not\n			   offer or impose any terms on any Source Code version that alters or restricts the applicable\n			   version of this License or the recipients rights hereunder. Your license for shipment of the\n			   Contributor Version is conditioned upon Your full compliance with this Section. The Modifications\n			   which You create must comply with all requirements set out by the Standards body in effect one\n			   hundred twenty (120) days before You ship the Contributor Version. In the event that the\n			   Modifications do not meet such requirements, You agree to publish either (i) any deviation from\n			   the Standards protocol resulting from implementation of Your Modifications and a reference\n			   implementation of Your Modifications or (ii) Your Modifications in Source Code form, and to make\n			   any such deviation and reference implementation or Modifications available to all third parties\n			   under the same terms a this license on a royalty free basis within thirty (30) days of Your first\n			   customer shipment of Your Modifications. Additionally, in the event that the Modifications you\n			   create do not meet the requirements set out in this Section, You agree to comply with the\n			   Standards requirements set out in Exhibit B.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n			Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it\n			   is not possible to put such notice in a particular Source Code file due to its structure, then You\n			   must include such notice in a location (such as a relevant directory) where a user would be likely\n			   to look for such a notice. If You created one or more Modification(s) You may add Your name as a\n			   Contributor to the notice described in Exhibit A. You must also duplicate this License in any\n			   documentation for the Source Code where You describe recipients rights or ownership rights\n			   relating to Initial Code.\n			<p>You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability\n			   obligations to one or more recipients of Your version of the Code. However, You may do so only on\n			   Your own behalf, and not on behalf of the Initial Developer. You must make it absolutely clear\n			   than any such warranty, support, indemnity or liability obligation is offered by You alone, and\n			   You hereby agree to indemnify the Initial Developer for any liability incurred by the Initial\n			   Developer as a result of warranty, support, indemnity or liability terms You offer.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3</var>\n			Distribution of Executable Versions. You may distribute Original Code in Executable and Source form\n			   only if the requirements of Sections 3.1 and 3.2 have been met for that Original Code, and if You\n			   include a notice stating that the Source Code version of the Original Code is available under the\n			   terms of this License. The notice must be conspicuously included in any notice in an Executable or\n			   Source versions, related documentation or collateral in which You describe recipients rights\n			   relating to the Original Code. You may distribute the Executable and Source versions of Your\n			   version of the Code or ownership rights under a license of Your choice, which may contain terms\n			   different from this License, provided that You are in compliance with the terms of this License.\n			   If You distribute the Executable and Source versions under a different license You must make it\n			   absolutely clear that any terms which differ from this License are offered by You alone, not by\n			   the Initial Developer. You hereby agree to indemnify the Initial Developer for any liability\n			   incurred by the Initial Developer as a result of any such terms You offer.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4</var>\n			Larger Works. You may create a Larger Work by combining Original Code with other code not governed by\n			   the terms of this License and distribute the Larger Work as a single product. In such a case, You\n			   must make sure the requirements of this License are fulfilled for the Original Code.\n		  </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 4.0</var>\n		INABILITY TO COMPLY DUE TO STATUTE OR REGULATION\n		<p>If it is impossible for You to comply with any of the terms of this License with respect to some or\n		   all of the Original Code due to statute, judicial order, or regulation then You must: (a) comply\n		   with the terms of this License to the maximum extent possible; and (b) describe the limitations\n		   and the code they affect. Such description must be included in the LEGAL file described in Section\n		   3.2 and must be included with all distributions of the Source Code. Except to the extent\n		   prohibited by statute or regulation, such description must be sufficiently detailed for a\n		   recipient of ordinary skill to be able to understand it.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 5.0</var>\n		APPLICATION OF THIS LICENSE\n		<p>This License applies to code to which the Initial Developer has attached the notice in Exhibit A and\n		   to related Modifications as set out in Section 3.1.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 6.0</var>\n		VERSIONS OF THE LICENSE\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1</var>\n			New Versions. Sun may publish revised and/or new versions of the License from time to time. Each\n			   version will be given a distinguishing version number.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2</var>\n			Effect of New Versions. Once Original Code has been published under a particular version of the\n			   License, You may always continue to use it under the terms of that version. You may also choose to\n			   use such Original Code under the terms of any subsequent version of the License published by Sun.\n			   No one other than Sun has the right to modify the terms applicable to Original Code.\n		  </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 7.0</var>\n		DISCLAIMER OF WARRANTY\n		<p>ORIGINAL CODE IS PROVIDED UNDER THIS LICENSE ON AN AS IS BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER\n		   EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE ORIGINAL CODE IS FREE OF\n		   DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE\n		   QUALITY AND PERFORMANCE OF THE ORIGINAL CODE IS WITH YOU. SHOULD ANY ORIGINAL CODE PROVE DEFECTIVE\n		   IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR\n		   OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE\n		   OF ANY ORIGINAL CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 8.0</var>\n		TERMINATION\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1</var>\n			This License and the rights granted hereunder will terminate automatically if You fail to comply with\n			   terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All\n			   sublicenses to the Original Code which are properly granted shall survive any termination of this\n			   License. Provisions which, by their nature, must remain in effect beyond the termination of this\n			   License shall survive. 8.2 In the event of termination under Section 8.1 above, all end user\n			   license agreements (excluding distributors and resellers) which have been validly granted by You\n			   or any distributor hereunder prior to termination shall survive termination.\n		  </li>\n			\n</ul>\n		 </li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A - Sun Industry Standards Source License</p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>The contents of this file are subject to the Sun Industry Standards Source License Version 1.2 (the\n	   License); You\n	  <br />\n\nmay not use this file except in compliance with the License.<var class=\"optional-license-text\">&quot;</var>\n	</p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>You may obtain a copy of the License at gridengine.sunsource.net/license.html<var class=\"optional-license-text\">&quot;</var></p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>Software distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND,\n	   either express or\n	  <br />\n\nimplied. See the License for the specific language governing rights and limitations under the License.<var class=\"optional-license-text\">&quot;</var>\n	</p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>The Original Code is Grid Engine.<var class=\"optional-license-text\">&quot;</var></p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>The Initial Developer of the Original Code is:\n	  <br />\n\nSun Microsystems, Inc.<var class=\"optional-license-text\">&quot;</var>\n	</p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>Portions created by: Sun Microsystems, Inc. are Copyright (C) 2001 Sun Microsystems, Inc.<var class=\"optional-license-text\">&quot;</var></p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>All Rights Reserved.<var class=\"optional-license-text\">&quot;</var></p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>Contributor(s): <var class=\"replaceable-license-text\"> __________________________________&quot;</var></p>\n\n		 <p>EXHIBIT B - Standards</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.0</var>\n		Requirements for project Standards. The requirements for project Standards are version-dependent and\n		   are defined at: Grid Engine standards.\n	  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.0</var>\n		Additional requirements. The additional requirements pursuant to Section 3.1 are defined as:\n		\n<ul style=\"list-style:none\">\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> 2.1</var>\n			Naming Conventions. If any of your Modifications do not meet the requirements of the Standard, then\n			   you must change the product name so that Grid Engine, gridengine, gridengine.sunsource, and\n			   similar naming conventions are not used.\n		  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> 2.2</var>\n			Compliance Claims. If any of your Modifications do not meet the requirements of the Standards you may\n			   not claim, directly or indirectly, that your implementation of the Standards is compliant.\n		  </li>\n			   \n</ul>\n			</li>\n		 \n</ul>\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p><var class=\"optional-license-text\">&quot;</var>The contents of this file are subject to the Sun Industry Standards Source License Version 1.2 (the\n	   License); You\n	  <br />\n\nmay not use this file except in compliance with the License.<var class=\"optional-license-text\">&quot;</var>\n	</p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>You may obtain a copy of the License at gridengine.sunsource.net/license.html<var class=\"optional-license-text\">&quot;</var></p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>Software distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND,\n	   either express or\n	  <br />\n\nimplied. See the License for the specific language governing rights and limitations under the License.<var class=\"optional-license-text\">&quot;</var>\n	</p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>The Original Code is Grid Engine.<var class=\"optional-license-text\">&quot;</var></p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>The Initial Developer of the Original Code is:\n	  <br />\n\nSun Microsystems, Inc.<var class=\"optional-license-text\">&quot;</var>\n	</p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>Portions created by: Sun Microsystems, Inc. are Copyright (C) 2001 Sun Microsystems, Inc.<var class=\"optional-license-text\">&quot;</var></p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>All Rights Reserved.<var class=\"optional-license-text\">&quot;</var></p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>Contributor(s): <var class=\"replaceable-license-text\"> __________________________________&quot;</var></p>\n\n	  "
		self.python_name = "SISSL12"

	def __str__(self):
		return json.dumps(self.__dict__)


class CommunitySpec10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Community Specification License 1.0\n\nThe Purpose of this License. This License sets forth the terms under which\n1) Contributor will participate in and contribute to the development\nof specifications, standards, best practices, guidelines, and other\nsimilar materials under this Working Group, and 2) how the materials\ndeveloped under this License may be used. It is not intended for source\ncode. Capitalized terms are defined in the License\u2019s last section.\n\n1. Copyright.\n\n1.1. Copyright License. Contributor grants everyone a non-sublicensable,\nperpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable\n(except as expressly stated in this License) copyright license, without\nany obligation for accounting, to reproduce, prepare derivative works\nof, publicly display, publicly perform, and distribute any materials\nit submits to the full extent of its copyright interest in those\nmaterials. Contributor also acknowledges that the Working Group may\nexercise copyright rights in the Specification, including the rights to\nsubmit the Specification to another standards organization.\n\n1.2. Copyright Attribution. As a condition, anyone exercising this\ncopyright license must include attribution to the Working Group in any\nderivative work based on materials developed by the Working Group.\nThat attribution must include, at minimum, the material\u2019s name,\nversion number, and source from where the materials were retrieved.\nAttribution is not required for implementations of the Specification.\n\n2. Patents.\n\n2.1. Patent License.\n\n2.1.1. As a Result of Contributions.\n\n2.1.1.1. As a Result of Contributions to Draft Specifications.\nContributor grants Licensee a non-sublicensable, perpetual, worldwide,\nnon-exclusive, no-charge, royalty-free, irrevocable (except as\nexpressly stated in this License) license to its Necessary Claims in 1)\nContributor\u2019s Contributions and 2) to the Draft Specification that\nis within Scope as of the date of that Contribution, in both cases for\nLicensee\u2019s Implementation of the Draft Specification, except for those\npatent claims excluded by Contributor under Section 3.\n\n2.1.1.2. For Approved Specifications. Contributor grants Licensee a\nnon-sublicensable, perpetual, worldwide, non-exclusive, no-charge,\nroyalty-free, irrevocable (except as expressly stated in this License)\nlicense to its Necessary Claims included the Approved Specification\nthat are within Scope for Licensee\u2019s Implementation of the Approved\nSpecification, except for those patent claims excluded by Contributor\nunder Section 3.\n\n2.1.2. Patent Grant from Licensee. Licensee grants each other Licensee\na non-sublicensable, perpetual, worldwide, non-exclusive, no-charge,\nroyalty-free, irrevocable (except as expressly stated in this License)\nlicense to its Necessary Claims for its Implementation, except for those\npatent claims excluded under Section 3.\n\n2.1.3. Licensee Acceptance. The patent grants set forth in Section 2.1\nextend only to Licensees that have indicated their agreement to this\nLicense as follows:\n\n2.1.3.1. Source Code Distributions. For distribution in source code,\nby including this License in the root directory of the source code with\nthe Implementation;\n\n2.1.3.2. Non-Source Code Distributions. For distribution in any form\nother than source code, by including this License in the documentation,\nlegal notices, via notice in the software, and/or other written materials\nprovided with the Implementation; or\n\n2.1.3.3. Via Notices.md. By issuing pull request or commit to the\nSpecification\u2019s repository\u2019s Notices.md file by the Implementer\u2019s\nauthorized representative, including the Implementer\u2019s name, authorized\nindividual and system identifier, and Specification version.\n\n2.1.4. Defensive Termination. If any Licensee files or maintains a\nclaim in a court asserting that a Necessary Claim is infringed by an\nImplementation, any licenses granted under this License to the Licensee\nare immediately terminated unless 1) that claim is directly in response\nto a claim against Licensee regarding an Implementation, or 2) that claim\nwas brought to enforce the terms of this License, including intervention\nin a third-party action by a Licensee.\n\n2.1.5. Additional Conditions. This License is not an assurance (i)\nthat any of Contributor\u2019s copyrights or issued patent claims cover\nan Implementation of the Specification or are enforceable or (ii) that\nan Implementation of the Specification would not infringe intellectual\nproperty rights of any third party.\n\n2.2. Patent Licensing Commitment. In addition to the rights granted\nin Section 2.1, Contributor agrees to grant everyone a no charge,\nroyalty-free license on reasonable and non-discriminatory terms\nto Contributor\u2019s Necessary Claims that are within Scope for:\n1) Implementations of a Draft Specification, where such license\napplies only to those Necessary Claims infringed by implementing\nContributor's Contribution(s) included in that Draft Specification,\nand 2) Implementations of the Approved Specification.\n\nThis patent licensing commitment does not apply to those claims subject\nto Contributor\u2019s Exclusion Notice under Section 3.\n\n2.3. Effect of Withdrawal. Contributor may withdraw from the Working Group\nby issuing a pull request or commit providing notice of withdrawal to\nthe Working Group repository\u2019s Notices.md file. All of Contributor\u2019s\nexisting commitments and obligations with respect to the Working Group\nup to the date of that withdrawal notice will remain in effect, but no\nnew obligations will be incurred.\n\n2.4. Binding Encumbrance. This License is binding on any future owner,\nassignee, or party who has been given the right to enforce any Necessary\nClaims against third parties.\n\n3. Patent Exclusion.\n\n3.1. As a Result of Contributions. Contributor may exclude Necessary\nClaims from its licensing commitments incurred under Section 2.1.1\nby issuing an Exclusion Notice within 45 days of the date of that\nContribution. Contributor may not issue an Exclusion Notice for any\nmaterial that has been included in a Draft Deliverable for more than 45\ndays prior to the date of that Contribution.\n\n3.2. As a Result of a Draft Specification Becoming an Approved\nSpecification. Prior to the adoption of a Draft Specification as an\nApproved Specification, Contributor may exclude Necessary Claims from\nits licensing commitments under this Agreement by issuing an Exclusion\nNotice. Contributor may not issue an Exclusion Notice for patents that\nwere eligible to have been excluded pursuant to Section 3.1.\n\n4. Source Code License. Any source code developed by the Working Group is\nsolely subject the source code license included in the Working Group\u2019s\nrepository for that code. If no source code license is included, the\nsource code will be subject to the MIT License.\n\n5. No Other Rights. Except as specifically set forth in this License, no\nother express or implied patent, trademark, copyright, or other rights are\ngranted under this License, including by implication, waiver, or estoppel.\n\n6. Antitrust Compliance. Contributor acknowledge that it may compete\nwith other participants in various lines of business and that it is\ntherefore imperative that they and their respective representatives\nact in a manner that does not violate any applicable antitrust laws and\nregulations. This License does not restrict any Contributor from engaging\nin similar specification development projects. Each Contributor may\ndesign, develop, manufacture, acquire or market competitive deliverables,\nproducts, and services, and conduct its business, in whatever way it\nchooses. No Contributor is obligated to announce or market any products\nor services. Without limiting the generality of the foregoing, the\nContributors agree not to have any discussion relating to any product\npricing, methods or channels of product distribution, division of markets,\nallocation of customers or any other topic that should not be discussed\namong competitors under the auspices of the Working Group.\n\n7. Non-Circumvention. Contributor agrees that it will not intentionally\ntake or willfully assist any third party to take any action for the\npurpose of circumventing any obligations under this License.\n\n8. Representations, Warranties and Disclaimers.\n\n8.1. Representations, Warranties and Disclaimers. Contributor and Licensee\nrepresents and warrants that 1) it is legally entitled to grant the\nrights set forth in this License and 2) it will not intentionally include\nany third party materials in any Contribution unless those materials are\navailable under terms that do not conflict with this License. IN ALL OTHER\nRESPECTS ITS CONTRIBUTIONS ARE PROVIDED \"AS IS.\" The entire risk as to\nimplementing or otherwise using the Contribution or the Specification\nis assumed by the implementer and user. Except as stated herein,\nCONTRIBUTOR AND LICENSEE EXPRESSLY DISCLAIM ANY WARRANTIES (EXPRESS,\nIMPLIED, OR OTHERWISE), INCLUDING IMPLIED WARRANTIES OF MERCHANTABILITY,\nNON-INFRINGEMENT, FITNESS FOR A PARTICULAR PURPOSE, CONDITIONS OF QUALITY,\nOR TITLE, RELATED TO THE CONTRIBUTION OR THE SPECIFICATION. IN NO EVENT\nWILL ANY PARTY BE LIABLE TO ANY OTHER PARTY FOR LOST PROFITS OR ANY\nFORM OF INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF\nANY CHARACTER FROM ANY CAUSES OF ACTION OF ANY KIND WITH RESPECT TO\nTHIS AGREEMENT, WHETHER BASED ON BREACH OF CONTRACT, TORT (INCLUDING\nNEGLIGENCE), OR OTHERWISE, AND WHETHER OR NOT THE OTHER PARTY HAS BEEN\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE. Any obligations regarding\nthe transfer, successors in interest, or assignment of Necessary Claims\nwill be satisfied if Contributor or Licensee notifies the transferee\nor assignee of any patent that it knows contains Necessary Claims or\nnecessary claims under this License. Nothing in this License requires\nContributor to undertake a patent search. If Contributor is 1) employed by\nor acting on behalf of an employer, 2) is making a Contribution under the\ndirection or control of a third party, or 3) is making the Contribution\nas a consultant, contractor, or under another similar relationship with\na third party, Contributor represents that they have been authorized by\nthat party to enter into this License on its behalf.\n\n8.2. Distribution Disclaimer. Any distributions of technical\ninformation to third parties must include a notice materially similar\nto the following: \u201cTHESE MATERIALS ARE PROVIDED \u201cAS IS.\u201d The\nContributors and Licensees expressly disclaim any warranties (express,\nimplied, or otherwise), including implied warranties of merchantability,\nnon-infringement, fitness for a particular purpose, or title, related to\nthe materials. The entire risk as to implementing or otherwise using the\nmaterials is assumed by the implementer and user. IN NO EVENT WILL THE\nCONTRIBUTORS OR LICENSEES BE LIABLE TO ANY OTHER PARTY FOR LOST PROFITS\nOR ANY FORM OF INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES\nOF ANY CHARACTER FROM ANY CAUSES OF ACTION OF ANY KIND WITH RESPECT TO\nTHIS DELIVERABLE OR ITS GOVERNING AGREEMENT, WHETHER BASED ON BREACH OF\nCONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE, AND WHETHER OR NOT\nTHE OTHER MEMBER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\u201d\n\n9. Definitions.\n\n9.1. Affiliate. \u201cAffiliate\u201d means an entity that directly or\nindirectly Controls, is Controlled by, or is under common Control of\nthat party.\n\n9.2. Approved Specification. \u201cApproved Specification\u201d means the final\nversion and contents of any Draft Specification designated as an Approved\nSpecification as set forth in the accompanying Governance.md file.\n\n9.3. Contribution. \u201cContribution\u201d means any original work of\nauthorship, including any modifications or additions to an existing\nwork, that Contributor submits for inclusion in a Draft Specification,\nwhich is included in a Draft Specification or Approved Specification.\n\n9.4. Contributor. \u201cContributor\u201d means any person or entity that has\nindicated its acceptance of the License 1) by making a Contribution to\nthe Specification, or 2) by entering into the Community Specification\nContributor License Agreement for the Specification. Contributor includes\nits Affiliates, assigns, agents, and successors in interest.\n\n9.5. Control. \u201cControl\u201d means direct or indirect control of more\nthan 50% of the voting power to elect directors of that corporation,\nor for any other entity, the power to direct management of such entity.\n\n9.6. Draft Specification. \u201cDraft Specification\u201d means all versions\nof the material (except an Approved Specification) developed by this\nWorking Group for the purpose of creating, commenting on, revising,\nupdating, modifying, or adding to any document that is to be considered\nfor inclusion in the Approved Specification.\n\n9.7. Exclusion Notice. \u201cExclusion Notice\u201d means a written notice\nmade by making a pull request or commit to the repository\u2019s Notices.md\nfile that identifies patents that Contributor is excluding from its\npatent licensing commitments under this License. The Exclusion Notice\nfor issued patents and published applications must include the Draft\nSpecification\u2019s name, patent number(s) or title and application\nnumber(s), as the case may be, for each of the issued patent(s) or\npending patent application(s) that the Contributor is excluding from the\nroyalty-free licensing commitment set forth in this License. If an issued\npatent or pending patent application that may contain Necessary Claims\nis not set forth in the Exclusion Notice, those Necessary Claims shall\ncontinue to be subject to the licensing commitments under this License.\nThe Exclusion Notice for unpublished patent applications must provide\neither: (i) the text of the filed application; or (ii) identification\nof the specific part(s) of the Draft Specification whose implementation\nmakes the excluded claim a Necessary Claim. If (ii) is chosen, the\neffect of the exclusion will be limited to the identified part(s) of\nthe Draft Specification.\n\n9.8. Implementation. \u201cImplementation\u201d means making, using, selling,\noffering for sale, importing or distributing any implementation of the\nSpecification 1) only to the extent it implements the Specification and 2)\nso long as all required portions of the Specification are implemented.\n\n9.9. License. \u201cLicense\u201d means this Community Specification License.\n\n9.10. Licensee. \u201cLicensee\u201d means any person or entity that has\nindicated its acceptance of the License as set forth in Section 2.1.3.\nLicensee includes its Affiliates, assigns, agents, and successors in\ninterest.\n\n9.11. Necessary Claims. \u201cNecessary Claims\u201d are those patent claims, if\nany, that a party owns or controls, including those claims later acquired,\nthat are necessary to implement the required portions (including the\nrequired elements of optional portions) of the Specification that are\ndescribed in detail and not merely referenced in the Specification.\n\n9.12. Specification. \u201cSpecification\u201d means a Draft Specification\nor Approved Specification included in the Working Group\u2019s repository\nsubject to this License, and the version of the Specification implemented\nby the Licensee.\n\n9.13. Scope. \u201cScope\u201d has the meaning as set forth in the accompanying\nScope.md file included in this Specification\u2019s repository. Changes\nto Scope do not apply retroactively. If no Scope is provided, each\nContributor\u2019s Necessary Claims are limited to that Contributor\u2019s\nContributions.\n\n9.14. Working Group. \u201cWorking Group\u201d means this project to develop\nspecifications, standards, best practices, guidelines, and other similar\nmaterials under this License.\n\n\n\nThe text of this Community Specification License is Copyright 2020\nJoint Development Foundation and is licensed under the Creative\nCommons Attribution 4.0 International License available at\nhttps://creativecommons.org/licenses/by/4.0/.\n\nSPDX-License-Identifier: CC-BY-4.0\n"
		self.standardLicenseTemplate = "<<beginOptional>>Community Specification License 1.0\n\n<<endOptional>>\n\nThe Purpose of this License. This License sets forth the terms under which 1) Contributor will participate in and contribute to the development of specifications, standards, best practices, guidelines, and other similar materials under this Working Group, and 2) how the materials developed under this License may be used. It is not intended for source code. Capitalized terms are defined in the License's last section.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Copyright.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> Copyright License. Contributor grants everyone a non-sublicensable, perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as expressly stated in this License) copyright license, without any obligation for accounting, to reproduce, prepare derivative works of, publicly display, publicly perform, and distribute any materials it submits to the full extent of its copyright interest in those materials. Contributor also acknowledges that the Working Group may exercise copyright rights in the Specification, including the rights to submit the Specification to another standards organization.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> Copyright Attribution. As a condition, anyone exercising this copyright license must include attribution to the Working Group in any derivative work based on materials developed by the Working Group. That attribution must include, at minimum, the material's name, version number, and source from where the materials were retrieved. Attribution is not required for implementations of the Specification.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Patents.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> Patent License.\n\n		 <<var;name=\"bullet\";original=\"2.1.1.\";match=\".{0,20}\">> As a Result of Contributions.\n\n			<<var;name=\"bullet\";original=\"2.1.1.1.\";match=\".{0,20}\">> As a Result of Contributions to Draft Specifications. Contributor grants Licensee a non-sublicensable, perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as expressly stated in this License) license to its Necessary Claims in 1) Contributor's Contributions and 2) to the Draft Specification that is within Scope as of the date of that Contribution, in both cases for Licensee's Implementation of the Draft Specification, except for those patent claims excluded by Contributor under Section 3.\n\n			<<var;name=\"bullet\";original=\"2.1.1.2.\";match=\".{0,20}\">> For Approved Specifications. Contributor grants Licensee a non-sublicensable, perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as expressly stated in this License) license to its Necessary Claims included the Approved Specification that are within Scope for Licensee's Implementation of the Approved Specification, except for those patent claims excluded by Contributor under Section 3.\n\n		 <<var;name=\"bullet\";original=\"2.1.2.\";match=\".{0,20}\">> Patent Grant from Licensee. Licensee grants each other Licensee a non-sublicensable, perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as expressly stated in this License) license to its Necessary Claims for its Implementation, except for those patent claims excluded under Section 3.\n\n		 <<var;name=\"bullet\";original=\"2.1.3.\";match=\".{0,20}\">> Licensee Acceptance. The patent grants set forth in Section 2.1 extend only to Licensees that have indicated their agreement to this License as follows:\n\n			<<var;name=\"bullet\";original=\"2.1.3.1.\";match=\".{0,20}\">> Source Code Distributions. For distribution in source code, by including this License in the root directory of the source code with the Implementation;\n\n			<<var;name=\"bullet\";original=\"2.1.3.2.\";match=\".{0,20}\">> Non-Source Code Distributions. For distribution in any form other than source code, by including this License in the documentation, legal notices, via notice in the software, and/or other written materials provided with the Implementation; or\n\n			<<var;name=\"bullet\";original=\"2.1.3.3.\";match=\".{0,20}\">> Via Notices.md. By issuing pull request or commit to the Specification's repository's Notices.md file by the Implementer's authorized representative, including the Implementer's name, authorized individual and system identifier, and Specification version.\n\n		 <<var;name=\"bullet\";original=\"2.1.4.\";match=\".{0,20}\">> Defensive Termination. If any Licensee files or maintains a claim in a court asserting that a Necessary Claim is infringed by an Implementation, any licenses granted under this License to the Licensee are immediately terminated unless 1) that claim is directly in response to a claim against Licensee regarding an Implementation, or 2) that claim was brought to enforce the terms of this License, including intervention in a third-party action by a Licensee.\n\n		 <<var;name=\"bullet\";original=\"2.1.5.\";match=\".{0,20}\">> Additional Conditions. This License is not an assurance (i) that any of Contributor's copyrights or issued patent claims cover an Implementation of the Specification or are enforceable or (ii) that an Implementation of the Specification would not infringe intellectual property rights of any third party.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Patent Licensing Commitment. In addition to the rights granted in Section 2.1, Contributor agrees to grant everyone a no charge, royalty-free license on reasonable and non-discriminatory terms to Contributor's Necessary Claims that are within Scope for: 1) Implementations of a Draft Specification, where such license applies only to those Necessary Claims infringed by implementing Contributor's Contribution(s) included in that Draft Specification, and 2) Implementations of the Approved Specification. This patent licensing commitment does not apply to those claims subject to Contributor's Exclusion Notice under Section 3.\n\n	  <<var;name=\"bullet\";original=\"2.3.\";match=\".{0,20}\">> Effect of Withdrawal. Contributor may withdraw from the Working Group by issuing a pull request or commit providing notice of withdrawal to the Working Group repository's Notices.md file. All of Contributor's existing commitments and obligations with respect to the Working Group up to the date of that withdrawal notice will remain in effect, but no new obligations will be incurred.\n\n	  <<var;name=\"bullet\";original=\"2.4.\";match=\".{0,20}\">> Binding Encumbrance. This License is binding on any future owner, assignee, or party who has been given the right to enforce any Necessary Claims against third parties.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Patent Exclusion.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> As a Result of Contributions. Contributor may exclude Necessary Claims from its licensing commitments incurred under Section 2.1.1 by issuing an Exclusion Notice within 45 days of the date of that Contribution. Contributor may not issue an Exclusion Notice for any material that has been included in a Draft Deliverable for more than 45 days prior to the date of that Contribution.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> As a Result of a Draft Specification Becoming an Approved Specification. Prior to the adoption of a Draft Specification as an Approved Specification, Contributor may exclude Necessary Claims from its licensing commitments under this Agreement by issuing an Exclusion Notice. Contributor may not issue an Exclusion Notice for patents that were eligible to have been excluded pursuant to Section 3.1.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Source Code License. Any source code developed by the Working Group is solely subject the source code license included in the Working Group's repository for that code. If no source code license is included, the source code will be subject to the MIT License.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> No Other Rights. Except as specifically set forth in this License, no other express or implied patent, trademark, copyright, or other rights are granted under this License, including by implication, waiver, or estoppel.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Antitrust Compliance. Contributor acknowledge that it may compete with other participants in various lines of business and that it is therefore imperative that they and their respective representatives act in a manner that does not violate any applicable antitrust laws and regulations. This License does not restrict any Contributor from engaging in similar specification development projects. Each Contributor may design, develop, manufacture, acquire or market competitive deliverables, products, and services, and conduct its business, in whatever way it chooses. No Contributor is obligated to announce or market any products or services. Without limiting the generality of the foregoing, the Contributors agree not to have any discussion relating to any product pricing, methods or channels of product distribution, division of markets, allocation of customers or any other topic that should not be discussed among competitors under the auspices of the Working Group.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Non-Circumvention. Contributor agrees that it will not intentionally take or willfully assist any third party to take any action for the purpose of circumventing any obligations under this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Representations, Warranties and Disclaimers.\n\n	  <<var;name=\"bullet\";original=\"8.1.\";match=\".{0,20}\">> Representations, Warranties and Disclaimers. Contributor and Licensee represents and warrants that 1) it is legally entitled to grant the rights set forth in this License and 2) it will not intentionally include any third party materials in any Contribution unless those materials are available under terms that do not conflict with this License. IN ALL OTHER RESPECTS ITS CONTRIBUTIONS ARE PROVIDED \"AS IS.\" The entire risk as to implementing or otherwise using the Contribution or the Specification is assumed by the implementer and user. Except as stated herein, CONTRIBUTOR AND LICENSEE EXPRESSLY DISCLAIM ANY WARRANTIES (EXPRESS, IMPLIED, OR OTHERWISE), INCLUDING IMPLIED WARRANTIES OF MERCHANTABILITY, NON-INFRINGEMENT, FITNESS FOR A PARTICULAR PURPOSE, CONDITIONS OF QUALITY, OR TITLE, RELATED TO THE CONTRIBUTION OR THE SPECIFICATION. IN NO EVENT WILL ANY PARTY BE LIABLE TO ANY OTHER PARTY FOR LOST PROFITS OR ANY FORM OF INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER FROM ANY CAUSES OF ACTION OF ANY KIND WITH RESPECT TO THIS AGREEMENT, WHETHER BASED ON BREACH OF CONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE, AND WHETHER OR NOT THE OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. Any obligations regarding the transfer, successors in interest, or assignment of Necessary Claims will be satisfied if Contributor or Licensee notifies the transferee or assignee of any patent that it knows contains Necessary Claims or necessary claims under this License. Nothing in this License requires Contributor to undertake a patent search. If Contributor is 1) employed by or acting on behalf of an employer, 2) is making a Contribution under the direction or control of a third party, or 3) is making the Contribution as a consultant, contractor, or under another similar relationship with a third party, Contributor represents that they have been authorized by that party to enter into this License on its behalf.\n\n	  <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">> Distribution Disclaimer. Any distributions of technical information to third parties must include a notice materially similar to the following: \"THESE MATERIALS ARE PROVIDED \"AS IS.\" The Contributors and Licensees expressly disclaim any warranties (express, implied, or otherwise), including implied warranties of merchantability, non-infringement, fitness for a particular purpose, or title, related to the materials. The entire risk as to implementing or otherwise using the materials is assumed by the implementer and user. IN NO EVENT WILL THE CONTRIBUTORS OR LICENSEES BE LIABLE TO ANY OTHER PARTY FOR LOST PROFITS OR ANY FORM OF INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER FROM ANY CAUSES OF ACTION OF ANY KIND WITH RESPECT TO THIS DELIVERABLE OR ITS GOVERNING AGREEMENT, WHETHER BASED ON BREACH OF CONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE, AND WHETHER OR NOT THE OTHER MEMBER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\"\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"9.1.\";match=\".{0,20}\">> Affiliate. \"Affiliate\" means an entity that directly or indirectly Controls, is Controlled by, or is under common Control of that party.\n\n	  <<var;name=\"bullet\";original=\"9.2.\";match=\".{0,20}\">> Approved Specification. \"Approved Specification\" means the final version and contents of any Draft Specification designated as an Approved Specification as set forth in the accompanying Governance.md file.\n\n	  <<var;name=\"bullet\";original=\"9.3.\";match=\".{0,20}\">> Contribution. \"Contribution\" means any original work of authorship, including any modifications or additions to an existing work, that Contributor submits for inclusion in a Draft Specification, which is included in a Draft Specification or Approved Specification.\n\n	  <<var;name=\"bullet\";original=\"9.4.\";match=\".{0,20}\">> Contributor. \"Contributor\" means any person or entity that has indicated its acceptance of the License 1) by making a Contribution to the Specification, or 2) by entering into the Community Specification Contributor License Agreement for the Specification. Contributor includes its Affiliates, assigns, agents, and successors in interest.\n\n	  <<var;name=\"bullet\";original=\"9.5.\";match=\".{0,20}\">> Control. \"Control\" means direct or indirect control of more than 50% of the voting power to elect directors of that corporation, or for any other entity, the power to direct management of such entity.\n\n	  <<var;name=\"bullet\";original=\"9.6.\";match=\".{0,20}\">> Draft Specification. \"Draft Specification\" means all versions of the material (except an Approved Specification) developed by this Working Group for the purpose of creating, commenting on, revising, updating, modifying, or adding to any document that is to be considered for inclusion in the Approved Specification.\n\n	  <<var;name=\"bullet\";original=\"9.7.\";match=\".{0,20}\">> Exclusion Notice. \"Exclusion Notice\" means a written notice made by making a pull request or commit to the repository's Notices.md file that identifies patents that Contributor is excluding from its patent licensing commitments under this License. The Exclusion Notice for issued patents and published applications must include the Draft Specification's name, patent number(s) or title and application number(s), as the case may be, for each of the issued patent(s) or pending patent application(s) that the Contributor is excluding from the royalty-free licensing commitment set forth in this License. If an issued patent or pending patent application that may contain Necessary Claims is not set forth in the Exclusion Notice, those Necessary Claims shall continue to be subject to the licensing commitments under this License. The Exclusion Notice for unpublished patent applications must provide either: (i) the text of the filed application; or (ii) identification of the specific part(s) of the Draft Specification whose implementation makes the excluded claim a Necessary Claim. If (ii) is chosen, the effect of the exclusion will be limited to the identified part(s) of the Draft Specification.\n\n	  <<var;name=\"bullet\";original=\"9.8.\";match=\".{0,20}\">> Implementation. \"Implementation\" means making, using, selling, offering for sale, importing or distributing any implementation of the Specification 1) only to the extent it implements the Specification and 2) so long as all required portions of the Specification are implemented.\n\n	  <<var;name=\"bullet\";original=\"9.9.\";match=\".{0,20}\">> License. \"License\" means this Community Specification License.\n\n	  <<var;name=\"bullet\";original=\"9.10.\";match=\".{0,20}\">> Licensee. \"Licensee\" means any person or entity that has indicated its acceptance of the License as set forth in Section 2.1.3. Licensee includes its Affiliates, assigns, agents, and successors in interest.\n\n	  <<var;name=\"bullet\";original=\"9.11.\";match=\".{0,20}\">> Necessary Claims. \"Necessary Claims\" are those patent claims, if any, that a party owns or controls, including those claims later acquired, that are necessary to implement the required portions (including the required elements of optional portions) of the Specification that are described in detail and not merely referenced in the Specification.\n\n	  <<var;name=\"bullet\";original=\"9.12.\";match=\".{0,20}\">> Specification. \"Specification\" means a Draft Specification or Approved Specification included in the Working Group's repository subject to this License, and the version of the Specification implemented by the Licensee.\n\n	  <<var;name=\"bullet\";original=\"9.13.\";match=\".{0,20}\">> Scope. \"Scope\" has the meaning as set forth in the accompanying Scope.md file included in this Specification's repository. Changes to Scope do not apply retroactively. If no Scope is provided, each Contributor's Necessary Claims are limited to that Contributor's Contributions.\n\n	  <<var;name=\"bullet\";original=\"9.14.\";match=\".{0,20}\">> Working Group. \"Working Group\" means this project to develop specifications, standards, best practices, guidelines, and other similar materials under this License.\n\nThe text of this Community Specification License is Copyright 2020 Joint Development Foundation and is licensed under the Creative Commons Attribution 4.0 International License available at https://creativecommons.org/licenses/by/4.0/.\n\nSPDX-License-Identifier: CC-BY-4.0\n\n"
		self.name = "Community Specification License 1.0"
		self.licenseComments = "Supporting materials are available at https://github.com/CommunitySpecification/1.0."
		self.licenseId = "Community-Spec-1.0"
		self.crossRef = [{"match": "False", "url": "https://github.com/CommunitySpecification/1.0/blob/master/1._Community_Specification_License-v1.md", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:22Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/CommunitySpecification/1.0/blob/master/1._Community_Specification_License-v1.md"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Community Specification License 1.0</p>\n\n	  </div>\n	  <p>\n\tThe Purpose of this License.\n\tThis License sets forth the terms under which\n\t1) Contributor will participate in and contribute to the development of specifications,\n\tstandards, best practices, guidelines, and other similar materials under this Working Group, and\n\t2) how the materials developed under this License may be used.\n\tIt is not intended for source code.\n\tCapitalized terms are defined in the License&apos;s last section.\n	  </p>\n\n<ul style=\"list-style:none\">\n\t\n<li>\n\t  <var class=\"replaceable-license-text\"> 1.</var>\n		  Copyright.\n		  \n<ul style=\"list-style:none\">\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 1.1.</var>\n\t	  Copyright License.\n\t	  Contributor grants everyone a non-sublicensable, perpetual, worldwide, non-exclusive,\n\t	  no-charge, royalty-free, irrevocable (except as expressly stated in this License)\n\t	  copyright license, without any obligation for accounting, to reproduce,\n\t	  prepare derivative works of, publicly display, publicly perform, and distribute\n\t	  any materials it submits to the full extent of its copyright interest in those materials.\n\t	  Contributor also acknowledges that the Working Group may exercise copyright rights\n\t	  in the Specification, including the rights to submit the Specification\n\t	  to another standards organization.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 1.2.</var>\n\t	  Copyright Attribution.\n\t	  As a condition, anyone exercising this copyright license must include attribution\n\t	  to the Working Group in any derivative work based on materials developed by the Working Group.\n\t	  That attribution must include, at minimum, the material&apos;s name, version number,\n\t	  and source from where the materials were retrieved.\n\t	  Attribution is not required for implementations of the Specification.\n\t	</li>\n\t  \n</ul>\n\t</li>\n\t\n<li>\n\t  <var class=\"replaceable-license-text\"> 2.</var>\n		  Patents.\n		  \n<ul style=\"list-style:none\">\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 2.1.</var>\n\t	  Patent License.\n\t	  \n<ul style=\"list-style:none\">\n\t\t\n<li>\n\t\t  <var class=\"replaceable-license-text\"> 2.1.1.</var>\n\t\t  As a Result of Contributions.\n\t\t  \n<ul style=\"list-style:none\">\n\t\t	\n<li>\n\t\t	  <var class=\"replaceable-license-text\"> 2.1.1.1.</var>\n\t\t	  As a Result of Contributions to Draft Specifications.\n\t\t	  Contributor grants Licensee a non-sublicensable, perpetual, worldwide,\n\t\t	  non-exclusive, no-charge, royalty-free, irrevocable\n\t\t	  (except as expressly stated in this License)\n\t\t	  license to its Necessary Claims in\n\t\t	  1) Contributor&apos;s Contributions and\n\t\t	  2) to the Draft Specification that is within Scope as of the date of that Contribution,\n\t\t	  in both cases for Licensee&apos;s Implementation of the Draft Specification,\n\t\t	  except for those patent claims excluded by Contributor under Section 3.\n\t\t	</li>\n\t\t	\n<li>\n\t\t	  <var class=\"replaceable-license-text\"> 2.1.1.2.</var>\n\t\t	  For Approved Specifications.\n\t\t	  Contributor grants Licensee a non-sublicensable, perpetual, worldwide,\n\t\t	  non-exclusive, no-charge, royalty-free, irrevocable\n\t\t	  (except as expressly stated in this License)\n\t\t	  license to its Necessary Claims included the Approved Specification\n\t\t	  that are within Scope for Licensee&apos;s Implementation of the Approved Specification,\n\t\t	  except for those patent claims excluded by Contributor under Section 3.\n\t\t	</li>\n\t\t  \n</ul>\n\t\t</li>\n\t\t\n<li>\n\t\t  <var class=\"replaceable-license-text\"> 2.1.2.</var>\n\t\t  Patent Grant from Licensee.\n\t\t  Licensee grants each other Licensee a non-sublicensable, perpetual,\n\t\t  worldwide, non-exclusive, no-charge, royalty-free, irrevocable\n\t\t  (except as expressly stated in this License)\n\t\t  license to its Necessary Claims for its Implementation,\n\t\t  except for those patent claims excluded under Section 3.\n\t\t</li>\n\t\t\n<li>\n\t\t  <var class=\"replaceable-license-text\"> 2.1.3.</var>\n\t\t  Licensee Acceptance.\n\t\t  The patent grants set forth in Section 2.1 extend only to Licensees\n\t\t  that have indicated their agreement to this License as follows:\n\t\t  \n<ul style=\"list-style:none\">\n\t\t	\n<li>\n\t\t	  <var class=\"replaceable-license-text\"> 2.1.3.1.</var>\n\t\t	  Source Code Distributions.\n\t\t	  For distribution in source code, by including this License\n\t\t	  in the root directory of the source code with the Implementation;\n\t\t	</li>\n\t\t	\n<li>\n\t\t	  <var class=\"replaceable-license-text\"> 2.1.3.2.</var>\n\t\t	  Non-Source Code Distributions.\n\t\t	  For distribution in any form other than source code,\n\t\t	  by including this License in the documentation,\n\t\t	  legal notices, via notice in the software,\n\t\t	  and/or other written materials provided with the Implementation; or\n\t\t	</li>\n\t\t	\n<li>\n\t\t	  <var class=\"replaceable-license-text\"> 2.1.3.3.</var>\n\t\t	  Via Notices.md.\n\t\t	  By issuing pull request or commit to the Specification&apos;s repository&apos;s Notices.md file\n\t\t	  by the Implementer&apos;s authorized representative,\n\t\t	  including the Implementer&apos;s name, authorized individual and system identifier,\n\t\t	  and Specification version.\n\t\t	</li>\n\t\t  \n</ul>\n\t\t</li>\n\t\t\n<li>\n\t\t  <var class=\"replaceable-license-text\"> 2.1.4.</var>\n\t\t  Defensive Termination.\n\t\t  If any Licensee files or maintains a claim in a court\n\t\t  asserting that a Necessary Claim is infringed by an Implementation,\n\t\t  any licenses granted under this License to the Licensee are immediately terminated unless\n\t\t  1) that claim is directly in response to a claim\n\t\t  against Licensee regarding an Implementation, or\n\t\t  2) that claim was brought to enforce the terms of this License,\n\t\t  including intervention in a third-party action by a Licensee.\n\t\t</li>\n\t\t\n<li>\n\t\t  <var class=\"replaceable-license-text\"> 2.1.5.</var>\n\t\t  Additional Conditions.\n\t\t  This License is not an assurance\n\t\t  (i) that any of Contributor&apos;s copyrights or issued patent claims\n\t\t  cover an Implementation of the Specification or are enforceable or\n\t\t  (ii) that an Implementation of the Specification would not infringe\n\t\t  intellectual property rights of any third party.\n\t\t</li>\n\t	  \n</ul>\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 2.2.</var>\n\t	  Patent Licensing Commitment.\n\t	  In addition to the rights granted in Section 2.1,\n\t	  Contributor agrees to grant everyone a no charge, royalty-free license\n\t	  on reasonable and non-discriminatory terms to Contributor&apos;s Necessary Claims\n\t	  that are within Scope for:\n\t	  1) Implementations of a Draft Specification,\n\t	  where such license applies only to those Necessary Claims\n\t	  infringed by implementing Contributor&apos;s Contribution(s)\n\t	  included in that Draft Specification, and\n\t	  2) Implementations of the Approved Specification.\n\t	  This patent licensing commitment does not apply to those claims\n\t	  subject to Contributor&apos;s Exclusion Notice under Section 3.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 2.3.</var>\n\t	  Effect of Withdrawal.\n\t	  Contributor may withdraw from the Working Group by issuing a pull request or commit\n\t	  providing notice of withdrawal to the Working Group repository&apos;s Notices.md file.\n\t	  All of Contributor&apos;s existing commitments and obligations\n\t	  with respect to the Working Group up to the date of that withdrawal notice\n\t	  will remain in effect, but no new obligations will be incurred.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 2.4.</var>\n\t	  Binding Encumbrance.\n\t	  This License is binding on any future owner, assignee, or party\n\t	  who has been given the right to enforce any Necessary Claims against third parties.\n\t	</li>\n\t  \n</ul>\n\t</li>\n\t\n<li>\n\t  <var class=\"replaceable-license-text\"> 3.</var>\n		  Patent Exclusion.\n		  \n<ul style=\"list-style:none\">\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 3.1.</var>\n\t	  As a Result of Contributions.\n\t	  Contributor may exclude Necessary Claims\n\t	  from its licensing commitments incurred under Section 2.1.1\n\t	  by issuing an Exclusion Notice within 45 days of the date of that Contribution.\n\t	  Contributor may not issue an Exclusion Notice for any material\n\t	  that has been included in a Draft Deliverable\n\t	  for more than 45 days prior to the date of that Contribution.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 3.2.</var>\n\t	  As a Result of a Draft Specification Becoming an Approved Specification.\n\t	  Prior to the adoption of a Draft Specification as an Approved Specification,\n\t	  Contributor may exclude Necessary Claims\n\t	  from its licensing commitments under this Agreement\n\t	  by issuing an Exclusion Notice.\n\t	  Contributor may not issue an Exclusion Notice for patents\n\t	  that were eligible to have been excluded pursuant to Section 3.1.\n\t	</li>\n\t  \n</ul>\n\t</li>\n\t\n<li>\n\t  <var class=\"replaceable-license-text\"> 4.</var>\n\t  Source Code License.\n\t  Any source code developed by the Working Group is solely subject\n\t  the source code license included in the Working Group&apos;s repository for that code.\n\t  If no source code license is included, the source code will be subject to the MIT License.\n\t</li>\n\t\n<li>\n\t  <var class=\"replaceable-license-text\"> 5.</var>\n\t  No Other Rights.\n\t  Except as specifically set forth in this License, no other express or implied\n\t  patent, trademark, copyright, or other rights are granted under this License,\n\t  including by implication, waiver, or estoppel.\n\t</li>\n\t\n<li>\n\t  <var class=\"replaceable-license-text\"> 6.</var>\n\t  Antitrust Compliance.\n\t  Contributor acknowledge that it may compete with other participants in various lines of business\n\t  and that it is therefore imperative that they and their respective representatives act\n\t  in a manner that does not violate any applicable antitrust laws and regulations.\n\t  This License does not restrict any Contributor from engaging\n\t  in similar specification development projects.\n\t  Each Contributor may design, develop, manufacture, acquire or market\n\t  competitive deliverables, products, and services, and conduct its business,\n\t  in whatever way it chooses.\n\t  No Contributor is obligated to announce or market any products or services.\n\t  Without limiting the generality of the foregoing, the Contributors\n\t  agree not to have any discussion relating to any product pricing,\n\t  methods or channels of product distribution, division of markets,\n\t  allocation of customers or any other topic that should not be discussed\n\t  among competitors under the auspices of the Working Group.\n\t</li>\n\t\n<li>\n\t  <var class=\"replaceable-license-text\"> 7.</var>\n\t  Non-Circumvention.\n\t  Contributor agrees that it will not intentionally take or willfully assist any third party\n\t  to take any action for the purpose of circumventing any obligations under this License.\n\t</li>\n\t\n<li>\n\t  <var class=\"replaceable-license-text\"> 8.</var>\n		  Representations, Warranties and Disclaimers.\n		  \n<ul style=\"list-style:none\">\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 8.1.</var>\n\t	  Representations, Warranties and Disclaimers.\n\t	  Contributor and Licensee represents and warrants that\n\t	  1) it is legally entitled to grant the rights set forth in this License and\n\t	  2) it will not intentionally include any third party materials in any Contribution\n\t	  unless those materials are available under terms that do not conflict with this License.\n\t	  IN ALL OTHER RESPECTS ITS CONTRIBUTIONS ARE PROVIDED &quot;AS IS.&quot;\n\t	  The entire risk as to implementing or otherwise using the Contribution\n\t	  or the Specification is assumed by the implementer and user.\n\t	  Except as stated herein, CONTRIBUTOR AND LICENSEE EXPRESSLY DISCLAIM ANY WARRANTIES\n\t	  (EXPRESS, IMPLIED, OR OTHERWISE), INCLUDING IMPLIED WARRANTIES OF MERCHANTABILITY,\n\t	  NON-INFRINGEMENT, FITNESS FOR A PARTICULAR PURPOSE, CONDITIONS OF QUALITY,\n\t	  OR TITLE, RELATED TO THE CONTRIBUTION OR THE SPECIFICATION.\n\t	  IN NO EVENT WILL ANY PARTY BE LIABLE TO ANY OTHER PARTY FOR LOST PROFITS\n\t	  OR ANY FORM OF INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER\n\t	  FROM ANY CAUSES OF ACTION OF ANY KIND WITH RESPECT TO THIS AGREEMENT,\n\t	  WHETHER BASED ON BREACH OF CONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE,\n\t	  AND WHETHER OR NOT THE OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\t	  Any obligations regarding the transfer, successors in interest,\n\t	  or assignment of Necessary Claims will be satisfied\n\t	  if Contributor or Licensee notifies the transferee or assignee of any patent\n\t	  that it knows contains Necessary Claims or necessary claims under this License.\n\t	  Nothing in this License requires Contributor to undertake a patent search.\n\t	  If Contributor is 1) employed by or acting on behalf of an employer,\n\t	  2) is making a Contribution under the direction or control of a third party, or\n\t	  3) is making the Contribution as a consultant, contractor,\n\t	  or under another similar relationship with a third party,\n\t	  Contributor represents that they have been authorized by that party\n\t	  to enter into this License on its behalf.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 8.2.</var>\n\t	  Distribution Disclaimer.\n\t	  Any distributions of technical information to third parties must include\n\t	  a notice materially similar to the following:\n\t	  &quot;THESE MATERIALS ARE PROVIDED &quot;AS IS.&quot;\n\t	  The Contributors and Licensees expressly disclaim any warranties\n\t	  (express, implied, or otherwise), including implied warranties of merchantability,\n\t	  non-infringement, fitness for a particular purpose, or title, related to the materials.\n\t	  The entire risk as to implementing or otherwise using the materials\n\t	  is assumed by the implementer and user.\n\t	  IN NO EVENT WILL THE CONTRIBUTORS OR LICENSEES BE LIABLE TO ANY OTHER PARTY\n\t	  FOR LOST PROFITS OR ANY FORM OF INDIRECT, SPECIAL, INCIDENTAL,\n\t	  OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER FROM ANY CAUSES OF ACTION OF ANY KIND\n\t	  WITH RESPECT TO THIS DELIVERABLE OR ITS GOVERNING AGREEMENT,\n\t	  WHETHER BASED ON BREACH OF CONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE,\n\t	  AND WHETHER OR NOT THE OTHER MEMBER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.&quot;\n\t	</li>\n\t  \n</ul>\n\t</li>\n\t\n<li>\n\t  <var class=\"replaceable-license-text\"> 9.</var>\n		  Definitions.\n		  \n<ul style=\"list-style:none\">\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 9.1.</var>\n\t	  Affiliate.\n\t	  &quot;Affiliate&quot; means an entity that directly or indirectly Controls, is Controlled by, or\n\t	  is under common Control of that party.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 9.2.</var>\n\t	  Approved Specification.\n\t	  &quot;Approved Specification&quot; means the final version and contents of any Draft Specification\n\t	  designated as an Approved Specification as set forth in the accompanying Governance.md file.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 9.3.</var>\n\t	  Contribution.\n\t	  &quot;Contribution&quot; means any original work of authorship,\n\t	  including any modifications or additions to an existing work,\n\t	  that Contributor submits for inclusion in a Draft Specification,\n\t	  which is included in a Draft Specification or Approved Specification.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 9.4.</var>\n\t	  Contributor.\n\t	  &quot;Contributor&quot; means any person or entity that has indicated its acceptance of the License\n\t	  1) by making a Contribution to the Specification, or\n\t	  2) by entering into the Community Specification Contributor License Agreement\n\t	  for the Specification.\n\t	  Contributor includes its Affiliates, assigns, agents, and successors in interest.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 9.5.</var>\n\t	  Control.\n\t	  &quot;Control&quot; means direct or indirect control of more than 50% of the voting power\n\t	  to elect directors of that corporation, or for any other entity,\n\t	  the power to direct management of such entity.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 9.6.</var>\n\t	  Draft Specification.\n\t	  &quot;Draft Specification&quot; means all versions of the material (except an Approved Specification)\n\t	  developed by this Working Group for the purpose of creating, commenting on,\n\t	  revising, updating, modifying, or adding to any document\n\t	  that is to be considered for inclusion in the Approved Specification.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 9.7.</var>\n\t	  Exclusion Notice.\n\t	  &quot;Exclusion Notice&quot; means a written notice made by making a pull request or commit\n\t	  to the repository&apos;s Notices.md file that identifies patents that Contributor\n\t	  is excluding from its patent licensing commitments under this License.\n\t	  The Exclusion Notice for issued patents and published applications must include\n\t	  the Draft Specification&apos;s name, patent number(s) or title and application number(s),\n\t	  as the case may be, for each of the issued patent(s) or pending patent application(s)\n\t	  that the Contributor is excluding from the royalty-free licensing commitment\n\t	  set forth in this License.\n\t	  If an issued patent or pending patent application that may contain Necessary Claims\n\t	  is not set forth in the Exclusion Notice, those Necessary Claims shall continue\n\t	  to be subject to the licensing commitments under this License.\n\t	  The Exclusion Notice for unpublished patent applications must provide either:\n\t	  (i) the text of the filed application; or\n\t	  (ii) identification of the specific part(s) of the Draft Specification\n\t	  whose implementation makes the excluded claim a Necessary Claim.\n\t	  If (ii) is chosen, the effect of the exclusion will be limited\n\t	  to the identified part(s) of the Draft Specification.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 9.8.</var>\n\t	  Implementation.\n\t	  &quot;Implementation&quot; means making, using, selling, offering for sale,\n\t	  importing or distributing any implementation of the Specification\n\t	  1) only to the extent it implements the Specification and\n\t	  2) so long as all required portions of the Specification are implemented.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 9.9.</var>\n\t	  License.\n\t	  &quot;License&quot; means this Community Specification License.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 9.10.</var>\n\t	  Licensee.\n\t	  &quot;Licensee&quot; means any person or entity that has indicated its acceptance of the License\n\t	  as set forth in Section 2.1.3.\n\t	  Licensee includes its Affiliates, assigns, agents, and successors in interest.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 9.11.</var>\n\t	  Necessary Claims.\n\t	  &quot;Necessary Claims&quot; are those patent claims, if any, that a party owns or controls,\n\t	  including those claims later acquired, that are necessary to implement the required portions\n\t	  (including the required elements of optional portions) of the Specification\n\t	  that are described in detail and not merely referenced in the Specification.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 9.12.</var>\n\t	  Specification.\n\t	  &quot;Specification&quot; means a Draft Specification or Approved Specification\n\t	  included in the Working Group&apos;s repository subject to this License,\n\t	  and the version of the Specification implemented by the Licensee.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 9.13.</var>\n\t	  Scope.\n\t	  &quot;Scope&quot; has the meaning as set forth in the accompanying Scope.md file\n\t	  included in this Specification&apos;s repository.\n\t	  Changes to Scope do not apply retroactively.\n\t	  If no Scope is provided, each Contributor&apos;s Necessary Claims\n\t	  are limited to that Contributor&apos;s Contributions.\n\t	</li>\n\t	\n<li>\n\t	  <var class=\"replaceable-license-text\"> 9.14.</var>\n\t	  Working Group.\n\t	  &quot;Working Group&quot; means this project to develop specifications, standards,\n\t	  best practices, guidelines, and other similar materials under this License.\n\t	</li>\n\t  \n</ul>\n\t</li>\n	  \n</ul>\n	  <p>\n\tThe text of this Community Specification License is Copyright 2020 Joint Development Foundation\n\tand is licensed under the Creative Commons Attribution 4.0 International License\n\tavailable at https://creativecommons.org/licenses/by/4.0/.\n	  </p>\n\n	  <p>\n\tSPDX-License-Identifier: CC-BY-4.0\n	  </p>\n\n	"
		self.python_name = "CommunitySpec10"

	def __str__(self):
		return json.dumps(self.__dict__)


class Catharon:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "				  The Catharon Open Source LICENSE\n					----------------------------\n\n							2000-Jul-04\n\n		  Copyright (C) 2000 by Catharon Productions, Inc.\n\n\n\nIntroduction\n============\n\n  This  license  applies to  source  files  distributed by  Catharon\n  Productions,  Inc.  in  several  archive packages.   This  license\n  applies  to all files  found in  such packages  which do  not fall\n  under their own explicit license.\n\n  This  license   was  inspired  by  the  BSD,   Artistic,  and  IJG\n  (Independent JPEG  Group) licenses, which  all encourage inclusion\n  and  use of  free  software in  commercial  and freeware  products\n  alike.  As a consequence, its main points are that:\n\n	o We  don't promise that  this software works.  However,  we are\n	  interested in any kind of bug reports. (`as is' distribution)\n\n	o You can  use this software for whatever you  want, in parts or\n	  full form, without having to pay us. (`royalty-free' usage)\n\n	o You may not pretend that  you wrote this software.  If you use\n	  it, or  only parts of it,  in a program,  you must acknowledge\n	  somewhere  in  your  documentation  that  you  have  used  the\n	  Catharon Code. (`credits')\n\n  We  specifically  permit  and  encourage  the  inclusion  of  this\n  software, with  or without modifications,  in commercial products.\n  We disclaim  all warranties  covering the packages  distributed by\n  Catharon  Productions, Inc.  and  assume no  liability related  to\n  their use.\n\n\nLegal Terms\n===========\n\n0. Definitions\n--------------\n\n  Throughout this license,  the terms `Catharon Package', `package',\n  and  `Catharon  Code'  refer   to  the  set  of  files  originally\n  distributed by Catharon Productions, Inc.\n\n  `You' refers to  the licensee, or person using  the project, where\n  `using' is a generic term including compiling the project's source\n  code as  well as linking it  to form a  `program' or `executable'.\n  This  program  is referred  to  as `a  program  using  one of  the\n  Catharon Packages'.\n\n  This  license applies  to all  files distributed  in  the original\n  Catharon  Package(s),  including  all  source code,  binaries  and\n  documentation,  unless  otherwise  stated   in  the  file  in  its\n  original, unmodified form as  distributed in the original archive.\n  If you are  unsure whether or not a particular  file is covered by\n  this license, you must contact us to verify this.\n\n  The  Catharon   Packages  are  copyright  (C)   2000  by  Catharon\n  Productions, Inc.  All rights reserved except as specified below.\n\n1. No Warranty\n--------------\n\n  THE CATHARON PACKAGES ARE PROVIDED `AS IS' WITHOUT WARRANTY OF ANY\n  KIND, EITHER  EXPRESS OR IMPLIED,  INCLUDING, BUT NOT  LIMITED TO,\n  WARRANTIES  OF  MERCHANTABILITY   AND  FITNESS  FOR  A  PARTICULAR\n  PURPOSE.  IN NO EVENT WILL ANY OF THE AUTHORS OR COPYRIGHT HOLDERS\n  BE LIABLE FOR ANY DAMAGES CAUSED BY THE USE OF OR THE INABILITY TO\n  USE THE CATHARON PACKAGE.\n\n2. Redistribution\n-----------------\n\n  This  license  grants  a  worldwide, royalty-free,  perpetual  and\n  irrevocable right  and license to use,  execute, perform, compile,\n  display,  copy,   create  derivative  works   of,  distribute  and\n  sublicense the  Catharon Packages (in both source  and object code\n  forms)  and  derivative works  thereof  for  any  purpose; and  to\n  authorize others  to exercise  some or all  of the  rights granted\n  herein, subject to the following conditions:\n\n	o Redistribution  of source code  must retain this  license file\n	  (`license.txt') unaltered; any additions, deletions or changes\n	  to   the  original   files  must   be  clearly   indicated  in\n	  accompanying  documentation.   The  copyright notices  of  the\n	  unaltered, original  files must be preserved in  all copies of\n	  source files.\n\n	o Redistribution  in binary form must provide  a disclaimer that\n	  states  that the  software is  based in  part on  the  work of\n	  Catharon Productions, Inc. in the distribution documentation.\n\n  These conditions  apply to any  software derived from or  based on\n  the Catharon Packages, not just  the unmodified files.  If you use\n  our work, you  must acknowledge us.  However, no  fee need be paid\n  to us.\n\n3. Advertising\n--------------\n\n  Neither Catharon Productions, Inc.  and contributors nor you shall\n  use  the  name  of  the  other  for  commercial,  advertising,  or\n  promotional purposes without specific prior written permission.\n\n  We suggest, but do not  require, that you use the following phrase\n  to refer to this software in your documentation: 'this software is\n  based in part on the Catharon Typography Project'.\n\n  As  you have  not signed  this license,  you are  not  required to\n  accept  it.  However,  as  the Catharon  Packages are  copyrighted\n  material, only  this license, or  another one contracted  with the\n  authors, grants you  the right to use, distribute,  and modify it.\n  Therefore,  by  using,  distributing,  or modifying  the  Catharon\n  Packages,  you indicate  that you  understand and  accept  all the\n  terms of this license.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Catharon Open Source LICENSE\n\n----------------------------\n\n<<endOptional>> <<var;name=\"copyright\";original=\"2000-Jul-04	Copyright (C) 2000 by Catharon Productions, Inc.  \";match=\".{0,5000}\">>\n\nIntroduction\n\n============\n\nThis license applies to source files distributed by Catharon Productions, Inc. in several archive packages. This license applies to all files found in such packages which do not fall under their own explicit license.\n\nThis license was inspired by the BSD, Artistic, and IJG (Independent JPEG Group) licenses, which all encourage inclusion and use of free software in commercial and freeware products alike. As a consequence, its main points are that:\n\n   <<var;name=\"bullet\";original=\"o\";match=\".{0,20}\">>\n\n   We don't promise that this software works. However, we are interested in any kind of bug reports. (`as is' distribution)\n\n   <<var;name=\"bullet\";original=\"o\";match=\".{0,20}\">>\n\n   You can use this software for whatever you want, in parts or full form, without having to pay us. (`royalty-free' usage)\n\n   <<var;name=\"bullet\";original=\"o\";match=\".{0,20}\">>\n\n   You may not pretend that you wrote this software. If you use it, or only parts of it, in a program, you must acknowledge somewhere in your documentation that you have used the Catharon Code. (`credits')\n\nWe specifically permit and encourage the inclusion of this software, with or without modifications, in commercial products. We disclaim all warranties covering the packages distributed by Catharon Productions, Inc. and assume no liability related to their use.\n\nLegal Terms\n\n===========\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">>\n\n   Definitions\n\n   --------------\n\n   Throughout this license, the terms `Catharon Package', `package', and `Catharon Code' refer to the set of files originally distributed by Catharon Productions, Inc.\n\n   `You' refers to the licensee, or person using the project, where `using' is a generic term including compiling the project's source code as well as linking it to form a `program' or `executable'. This program is referred to as `a program using one of the Catharon Packages'.\n\n   This license applies to all files distributed in the original Catharon Package(s), including all source code, binaries and documentation, unless otherwise stated in the file in its original, unmodified form as distributed in the original archive. If you are unsure whether or not a particular file is covered by this license, you must contact us to verify this.\n\n   The Catharon Packages are copyright (C) 2000 by Catharon Productions, Inc. All rights reserved except as specified below.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">>\n\n   No Warranty\n\n   --------------\n\n   THE CATHARON PACKAGES ARE PROVIDED `AS IS' WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL ANY OF THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY DAMAGES CAUSED BY THE USE OF OR THE INABILITY TO USE THE CATHARON PACKAGE.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">>\n\n   Redistribution\n\n   -----------------\n\n   This license grants a worldwide, royalty-free, perpetual and irrevocable right and license to use, execute, perform, compile, display, copy, create derivative works of, distribute and sublicense the Catharon Packages (in both source and object code forms) and derivative works thereof for any purpose; and to authorize others to exercise some or all of the rights granted herein, subject to the following conditions:\n\n	  <<var;name=\"bullet\";original=\"o\";match=\".{0,20}\">>\n\n	  Redistribution of source code must retain this license file (`license.txt') unaltered; any additions, deletions or changes to the original files must be clearly indicated in accompanying documentation. The copyright notices of the unaltered, original files must be preserved in all copies of source files.\n\n	  <<var;name=\"bullet\";original=\"o\";match=\".{0,20}\">>\n\n	  Redistribution in binary form must provide a disclaimer that states that the software is based in part on the work of Catharon Productions, Inc. in the distribution documentation.\n\n   These conditions apply to any software derived from or based on the Catharon Packages, not just the unmodified files. If you use our work, you must acknowledge us. However, no fee need be paid to us.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">>\n\n   Advertising\n\n   --------------\n\n   Neither Catharon Productions, Inc. and contributors nor you shall use the name of the other for commercial, advertising, or promotional purposes without specific prior written permission.\n\n   We suggest, but do not require, that you use the following phrase to refer to this software in your documentation: 'this software is based in part on the Catharon Typography Project'.\n\n   As you have not signed this license, you are not required to accept it. However, as the Catharon Packages are copyrighted material, only this license, or another one contracted with the authors, grants you the right to use, distribute, and modify it. Therefore, by using, distributing, or modifying the Catharon Packages, you indicate that you understand and accept all the terms of this license.\n\n   "
		self.name = "Catharon License"
		self.licenseId = "Catharon"
		self.crossRef = [{"match": "False", "url": "https://github.com/scummvm/scummvm/blob/v2.8.0/LICENSES/CatharonLicense.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:33Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/scummvm/scummvm/blob/v2.8.0/LICENSES/CatharonLicense.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"optional-license-text\"> \n		 <p>\n			The Catharon Open Source LICENSE\n			<br />\n\n----------------------------\n		 </p>\n\n		 </div>\n		 <div class=\"replaceable-license-text\"> \n		 <p>\n			2000-Jul-04\n		 </p>\n\n		 <p>\n			Copyright (C) 2000 by Catharon Productions, Inc.\n		 </p>\n\n		 </div>\n		 <p>\n		 </p>\n\n		 <p>\n			Introduction\n			<br />\n\n============\n		 </p>\n\n		 <p>\n			This license applies to source files distributed by\n			Catharon Productions, Inc. in several archive packages.\n			This license applies to all files found in such packages\n			which do not fall under their own explicit license.\n		 </p>\n\n		 <p>\n			This license was inspired by the BSD, Artistic, and IJG\n			(Independent JPEG Group) licenses, which all encourage\n			inclusion and use of free software in commercial and freeware\n			products alike. As a consequence, its main points are that:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> o</var>\n			   <p>\n				  We don&apos;t promise that this software works. However, we are\n				  interested in any kind of bug reports. (`as is&apos; distribution)\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> o</var>\n			   <p>\n				  You can use this software for whatever you want, in parts\n				  or full form, without having to pay us. (`royalty-free&apos; usage)\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> o</var>\n			   <p>\n				  You may not pretend that you wrote this software. If you use it,\n				  or only parts of it, in a program, you must acknowledge somewhere in\n				  your documentation that you have used the Catharon Code. (`credits&apos;)\n			   </p>\n\n			</li>\n		\n</ul>\n		 <p>\n			We specifically permit and encourage the inclusion of this software,\n			with or without modifications, in commercial products. We disclaim\n			all warranties covering the packages distributed by Catharon\n			Productions, Inc. and assume no liability related to their use.\n		 </p>\n\n		 <p>\n			Legal Terms\n			<br />\n\n===========\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 0.</var>\n			   <p>\n				  Definitions\n				  <br />\n\n   --------------\n			   </p>\n\n			   <p>\n				  Throughout this license, the terms `Catharon Package&apos;,\n				  `package&apos;, and `Catharon Code&apos; refer to the set of files\n				  originally distributed by Catharon Productions, Inc.\n			   </p>\n\n			   <p>\n				  `You&apos; refers to the licensee, or person using the project,\n				  where `using&apos; is a generic term including compiling\n				  the project&apos;s source code as well as linking it to form\n				  a `program&apos; or `executable&apos;. This program is referred\n				  to as `a program using one of the Catharon Packages&apos;.\n			   </p>\n\n			   <p>\n				  This license applies to all files distributed in the original\n				  Catharon Package(s), including all source code, binaries\n				  and documentation, unless otherwise stated in the file in\n				  its original, unmodified form as distributed in the original\n				  archive. If you are unsure whether or not a particular file is\n				  covered by this license, you must contact us to verify this.\n			   </p>\n\n			   <p>\n				  The Catharon Packages are copyright (C) 2000 by Catharon\n				  Productions, Inc. All rights reserved except as specified below.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   <p>\n				  No Warranty\n				  <br />\n\n   --------------\n			   </p>\n\n			   <p>\n				  THE CATHARON PACKAGES ARE PROVIDED `AS IS&apos; WITHOUT WARRANTY\n				  OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT\n				  LIMITED TO, WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n				  A PARTICULAR PURPOSE. IN NO EVENT WILL ANY OF THE AUTHORS\n				  OR COPYRIGHT HOLDERS BE LIABLE FOR ANY DAMAGES CAUSED BY\n				  THE USE OF OR THE INABILITY TO USE THE CATHARON PACKAGE.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   <p>\n				  Redistribution\n				  <br />\n\n   -----------------\n			   </p>\n\n			   <p>\n				  This license grants a worldwide, royalty-free, perpetual\n				  and irrevocable right and license to use, execute,\n				  perform, compile, display, copy, create derivative\n				  works of, distribute and sublicense the Catharon\n				  Packages (in both source and object code forms) and\n				  derivative works thereof for any purpose; and to\n				  authorize others to exercise some or all of the rights\n				  granted herein, subject to the following conditions:\n			   </p>\n\n<ul style=\"list-style:none\">   \n				  \n<li>\n					 <var class=\"replaceable-license-text\"> o</var>\n					 <p>\n						Redistribution of source code must retain this license file\n						(`license.txt&apos;) unaltered; any additions, deletions or changes\n						to the original files must be clearly indicated in accompanying\n						documentation. The copyright notices of the unaltered,\n						original files must be preserved in all copies of source files.\n					 </p>\n\n				   </li>\n				   \n<li>\n					 <var class=\"replaceable-license-text\"> o</var>\n					 <p>\n						Redistribution in binary form must provide a disclaimer\n						that states that the software is based in part on the work of\n						Catharon Productions, Inc. in the distribution documentation.\n					 </p>\n\n				  </li>\n			   \n</ul>\n			<p>\n			   These conditions apply to any software derived from\n			   or based on the Catharon Packages, not just the\n			   unmodified files. If you use our work, you must\n			   acknowledge us. However, no fee need be paid to us.\n			</p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   <p>\n				  Advertising\n				  <br />\n\n   --------------\n			   </p>\n\n			   <p>\n				  Neither Catharon Productions, Inc. and contributors\n				  nor you shall use the name of the other for\n				  commercial, advertising, or promotional purposes\n				  without specific prior written permission.\n			   </p>\n\n			   <p>\n				  We suggest, but do not require, that you use the following\n				  phrase to refer to this software in your documentation: &apos;this\n				  software is based in part on the Catharon Typography Project&apos;.\n			   </p>\n\n			   <p>\n				  As you have not signed this license, you are not required\n				  to accept it. However, as the Catharon Packages are\n				  copyrighted material, only this license, or another one\n				  contracted with the authors, grants you the right to use,\n				  distribute, and modify it. Therefore, by using, distributing,\n				  or modifying the Catharon Packages, you indicate that\n				  you understand and accept all the terms of this license.\n			   </p>\n\n			</li>\n		 \n</ul>\n	  "
		self.python_name = "Catharon"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPND:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Historical Permission Notice and Disclaimer\n\nCopyright <year> <copyright holder>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies, and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of <copyright holder> or <related entities> not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. <copyright holder> makes no representations about the suitability of this software for any purpose. It is provided \"as is\" without express or implied warranty.\n\n<copyright holder> DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS,. IN NO EVENT SHALL <copyright holder> BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Historical Permission Notice and Disclaimer\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright <year> <copyright holder>  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify<<beginOptional>>,<<endOptional>>and distribute this software<<beginOptional>> and its documentation<<endOptional>> for any purpose and without fee is hereby granted<<beginOptional>>,<<endOptional>>provided that the above copyright notice <<var;name=\"appear\";original=\"appear\";match=\"appear|appears\">> in all copies<<beginOptional>>, <<endOptional>><<beginOptional>> and<<endOptional>> that both <<var;name=\"that\";original=\"that\";match=\"that|the\">> copyright notice and this permission notice appear in supporting documentation<<beginOptional>> , and that the <<var;name=\"name\";original=\"name\";match=\"name|names\">><<beginOptional>> of<<endOptional>> <<var;name=\"copyrightHolder0\";original=\"<copyright holder>\";match=\".*\">> <<var;name=\"orRelated\";original=\"<or related entities>\";match=\".*\">> not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission<<endOptional>> .<<beginOptional>> <<var;name=\"copyrightHolder1\";original=\"<copyright holder>\";match=\".*\">> makes no representations about the suitability of this software for any purpose. <<var;name=\"subject\";original=\"It\";match=\"It|This software\">> is provided \"as is\" without express or implied warranty.<<endOptional>>\n\n<<beginOptional>><<var;name=\"copyrightHolder2\";original=\"<copyright holder>\";match=\".*\">> <<var;name=\"disclaim\";original=\"DISCLAIMS\";match=\"DISCLAIMS?\">> ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS <<var;name=\"period\";original=\".\";match=\"[.,]*\">> IN NO EVENT SHALL <<var;name=\"copyrightHolder3\";original=\"<copyright holder>\";match=\".*\">> BE LIABLE FOR ANY SPECIAL, INDIRECT OR <<var;name=\"consequential\";original=\"CONSEQUENTIAL\";match=\"CONSEQUENTIAL|COSEQUENTIAL\">> DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n<<endOptional>>"
		self.name = "Historical Permission Notice and Disclaimer"
		self.licenseComments = "This license has been voluntarily deprecated by its author. Original license submission in 2002 was intended to provide a template distilled from permission notices used in many packages. As per the original notes, \"It may be possible to construct a grammatically incorrect license from this template, or one that lacks a disclaimer, or one that includes a double-disclaimer. That is acceptable, as long as it remains impossible to construct a non-OSD-compliant license that matches the pattern.\""
		self.licenseId = "HPND"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/HPND", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:53Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "http://lists.opensource.org/pipermail/license-discuss_lists.opensource.org/2002-November/006304.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:54Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://opensource.org/licenses/HPND", "http://lists.opensource.org/pipermail/license-discuss_lists.opensource.org/2002-November/006304.html"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Historical Permission Notice and Disclaimer</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright &lt;year&gt; &lt;copyright holder&gt;</p>\n\n	  </div>\n\n	  <p>Permission to use, copy, modify<var class=\"optional-license-text\">,</var> and distribute this software <var class=\"optional-license-text\"> and its documentation</var> for any purpose and\n		 without fee is hereby granted<var class=\"optional-license-text\">,</var> provided that the above copyright notice <var class=\"replaceable-license-text\"> appear</var> in all copies<var class=\"optional-license-text\">, </var>\n		 <var class=\"optional-license-text\"> and</var> that both <var class=\"replaceable-license-text\"> that</var>\n		  copyright notice\n		 and this permission notice appear in supporting documentation<var class=\"optional-license-text\"> , and that the <var class=\"replaceable-license-text\"> name</var> <var class=\"optional-license-text\"> of</var>\n			<var class=\"replaceable-license-text\"> &lt;copyright holder&gt;</var>\n			<var class=\"replaceable-license-text\"> &lt;or related entities&gt;</var>\n		 not be used in advertising or publicity pertaining to distribution of the software without specific, written\n		 prior permission</var>. \n		 <var class=\"optional-license-text\"> <var class=\"replaceable-license-text\"> &lt;copyright holder&gt;</var> \n		 makes no representations about the suitability of this software for any purpose. \n		 <var class=\"replaceable-license-text\"> It</var> \n		 is provided &quot;as is&quot; without express or implied warranty.</var>\n	  </p>\n\n	  <div class=\"optional-license-text\"> \n		<p>\n			<var class=\"replaceable-license-text\"> &lt;copyright holder&gt;</var> <var class=\"replaceable-license-text\"> DISCLAIMS</var> ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING\n		   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS<var class=\"replaceable-license-text\"> .</var> IN NO EVENT SHALL\n		   <var class=\"replaceable-license-text\"> &lt;copyright holder&gt;</var> BE LIABLE FOR ANY SPECIAL, INDIRECT OR <var class=\"replaceable-license-text\"> CONSEQUENTIAL</var> DAMAGES\n		   OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,\n		   NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.</p>\n\n	  </div>\n	"
		self.python_name = "HPND"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYND30:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "Creative Commons Attribution-NoDerivs 3.0 Unported\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Adaptation\" means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered an Adaptation for the purpose of this License.\n\n	 b. \"Collection\" means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(f) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined above) for the purposes of this License.\n\n	 c. \"Distribute\" means to make available to the public the original and copies of the Work through sale or other transfer of ownership.\n\n	 d. \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License.\n\n	 e. \"Original Author\" means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast.\n\n	 f. \"Work\" means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work.\n\n	 g. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	 h. \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	 i. \"Reproduce\" means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.\n\n2. Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections; and,\n\n	 b. to Distribute and Publicly Perform the Work including as incorporated in Collections.\n\n	 c. For the avoidance of doubt:\n\n		  i. Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		  ii. Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,\n\n		  iii. Voluntary License Schemes. The Licensor waives the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License.\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Adaptations. Subject to Section 8(f), all rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(b), as requested.\n\n	 b. If You Distribute, or Publicly Perform the Work or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution (\"Attribution Parties\") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. The credit required by this Section 4(b) may be implemented in any reasonable manner; provided, however, that in the case of a Collection, at a minimum such credit will appear, if a credit for all contributing authors of the Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.\n\n	 c. Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author's honor or reputation.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 c. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 d. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	 e. The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NoDerivs 3.0 Unported\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Adaptation\" means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered an Adaptation for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Collection\" means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(f) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined above) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Distribute\" means to make available to the public the original and copies of the Work through sale or other transfer of ownership.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Original Author\" means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Work\" means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"Reproduce\" means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections; and,\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to Distribute and Publicly Perform the Work including as incorporated in Collections.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For the avoidance of doubt:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Voluntary License Schemes. The Licensor waives the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License.\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Adaptations. Subject to Section 8(f), all rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(b), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If You Distribute, or Publicly Perform the Work or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution (\"Attribution Parties\") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. The credit required by this Section 4(b) may be implemented in any reasonable manner; provided, however, that in the case of a Collection, at a minimum such credit will appear, if a credit for all contributing authors of the Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author's honor or reputation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution No Derivatives 3.0 Unported"
		self.licenseId = "CC-BY-ND-3.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nd/3.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:43Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nd/3.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NoDerivs 3.0 Unported</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE\n		 RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Adaptation&quot; means a work based upon the Work, or upon the Work and other\n			   pre-existing works, such as a translation, adaptation, derivative work, arrangement of\n			   music or other alterations of a literary or artistic work, or phonogram or performance and\n			   includes cinematographic adaptations or any other form in which the Work may be recast,\n			   transformed, or adapted including in any form recognizably derived from the original,\n			   except that a work that constitutes a Collection will not be considered an Adaptation for\n			   the purpose of this License. For the avoidance of doubt, where the Work is a musical work,\n			   performance or phonogram, the synchronization of the Work in timed-relation with a moving\n			   image (&quot;synching&quot;) will be considered an Adaptation for the purpose of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Collection&quot; means a collection of literary or artistic works, such as\n			   encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works\n			   or subject matter other than works listed in Section 1(f) below, which, by reason of the\n			   selection and arrangement of their contents, constitute intellectual creations, in which\n			   the Work is included in its entirety in unmodified form along with one or more other\n			   contributions, each constituting separate and independent works in themselves, which\n			   together are assembled into a collective whole. A work that constitutes a Collection will\n			   not be considered an Adaptation (as defined above) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Distribute&quot; means to make available to the public the original and copies of the\n			   Work through sale or other transfer of ownership.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Licensor&quot; means the individual, individuals, entity or entities that offer(s) the\n			   Work under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Original Author&quot; means, in the case of a literary or artistic work, the\n			   individual, individuals, entity or entities who created the Work or if no individual or\n			   entity can be identified, the publisher; and in addition (i) in the case of a performance\n			   the actors, singers, musicians, dancers, and other persons who act, sing, deliver,\n			   declaim, play in, interpret or otherwise perform literary or artistic works or expressions\n			   of folklore; (ii) in the case of a phonogram the producer being the person or legal entity\n			   who first fixes the sounds of a performance or other sounds; and, (iii) in the case of\n			   broadcasts, the organization that transmits the broadcast.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;Work&quot; means the literary and/or artistic work offered under the terms of this\n			   License including without limitation any production in the literary, scientific and\n			   artistic domain, whatever may be the mode or form of its expression including digital\n			   form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work\n			   of the same nature; a dramatic or dramatico-musical work; a choreographic work or\n			   entertainment in dumb show; a musical composition with or without words; a cinematographic\n			   work to which are assimilated works expressed by a process analogous to cinematography; a\n			   work of drawing, painting, architecture, sculpture, engraving or lithography; a\n			   photographic work to which are assimilated works expressed by a process analogous to\n			   photography; a work of applied art; an illustration, map, plan, sketch or\n			   three-dimensional work relative to geography, topography, architecture or science; a\n			   performance; a broadcast; a phonogram; a compilation of data to the extent it is protected\n			   as a copyrightable work; or a work performed by a variety or circus performer to the\n			   extent it is not otherwise considered a literary or artistic work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> g.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> h.</var>\n			&quot;Publicly Perform&quot; means to perform public recitations of the Work and to\n			   communicate to the public those public recitations, by any means or process, including by\n			   wire or wireless means or public digital performances; to make available to the public\n			   Works in such a way that members of the public may access these Works from a place and at\n			   a place individually chosen by them; to perform the Work to the public by any means or\n			   process and the communication to the public of the performances of the Work, including by\n			   public digital performance; to broadcast and rebroadcast the Work by any means including\n			   signs, sounds or images.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> i.</var>\n			&quot;Reproduce&quot; means to make copies of the Work by any means including without\n			   limitation by sound or visual recordings and the right of fixation and reproducing\n			   fixations of the Work, including storage of a protected performance or phonogram in\n			   digital form or other electronic medium.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses\n			 free from copyright or rights arising from limitations or exceptions that are provided for in\n			 connection with the copyright protection under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce\n			   the Work as incorporated in the Collections; and,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to Distribute and Publicly Perform the Work including as incorporated in Collections.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			For the avoidance of doubt:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to\n				 collect royalties through any statutory or compulsory licensing scheme cannot be\n				 waived, the Licensor reserves the exclusive right to collect such royalties for any\n				 exercise by You of the rights granted under this License;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect\n				 royalties through any statutory or compulsory licensing scheme can be waived, the\n				 Licensor waives the exclusive right to collect such royalties for any exercise by You\n				 of the rights granted under this License; and,\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> iii.</var>\n			  Voluntary License Schemes. The Licensor waives the right to collect royalties, whether\n				 individually or, in the event that the Licensor is a member of a collecting society\n				 that administers voluntary licensing schemes, via that society, from any exercise by\n				 You of the rights granted under this License.\n			</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n		 devised. The above rights include the right to make such modifications as are\n		 technically necessary to exercise the rights in other media and formats, but otherwise\n		 you have no rights to make Adaptations. Subject to Section 8(f), all rights not\n		 expressly granted by Licensor are hereby reserved.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may Distribute or Publicly Perform the Work only under the terms of this License. You\n			   must include a copy of, or the Uniform Resource Identifier (URI) for, this License with\n			   every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any\n			   terms on the Work that restrict the terms of this License or the ability of the recipient\n			   of the Work to exercise the rights granted to that recipient under the terms of the\n			   License. You may not sublicense the Work. You must keep intact all notices that refer to\n			   this License and to the disclaimer of warranties with every copy of the Work You\n			   Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may\n			   not impose any effective technological measures on the Work that restrict the ability of a\n			   recipient of the Work from You to exercise the rights granted to that recipient under the\n			   terms of the License. This Section 4(a) applies to the Work as incorporated in a\n			   Collection, but this does not require the Collection apart from the Work itself to be made\n			   subject to the terms of this License. If You create a Collection, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Collection any credit as\n			   required by Section 4(b), as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If You Distribute, or Publicly Perform the Work or Collections, You must, unless a request\n			   has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and\n			   provide, reasonable to the medium or means You are utilizing: (i) the name of the Original\n			   Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or\n			   Licensor designate another party or parties (e.g., a sponsor institute, publishing entity,\n			   journal) for attribution (&quot;Attribution Parties&quot;) in Licensor&apos;s copyright\n			   notice, terms of service or by other reasonable means, the name of such party or parties;\n			   (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the\n			   URI, if any, that Licensor specifies to be associated with the Work, unless such URI does\n			   not refer to the copyright notice or licensing information for the Work. The credit\n			   required by this Section 4(b) may be implemented in any reasonable manner; provided,\n			   however, that in the case of a Collection, at a minimum such credit will appear, if a\n			   credit for all contributing authors of the Collection appears, then as part of these\n			   credits and in a manner at least as prominent as the credits for the other contributing\n			   authors. For the avoidance of doubt, You may only use the credit required by this Section\n			   for the purpose of attribution in the manner set out above and, by exercising Your rights\n			   under this License, You may not implicitly or explicitly assert or imply any connection\n			   with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution\n			   Parties, as appropriate, of You or Your use of the Work, without the separate, express\n			   prior written permission of the Original Author, Licensor and/or Attribution Parties.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by\n			   applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself\n			   or as part of any Collections, You must not distort, mutilate, modify or take other\n			   derogatory action in relation to the Work which would be prejudicial to the Original\n			   Author&apos;s honor or reputation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Collections\n			   from You under this License, however, will not have their licenses terminated provided\n			   such individuals or entities remain in full compliance with those licenses. Sections 1, 2,\n			   5, 6, 7, and 8 will survive any termination of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to\n			   the recipient a license to the Work on the same terms and conditions as the license\n			   granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			The rights granted under, and the subject matter referenced, in this License were drafted\n			   utilizing the terminology of the Berne Convention for the Protection of Literary and\n			   Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO\n			   Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the\n			   Universal Copyright Convention (as revised on July 24, 1971). These rights and subject\n			   matter take effect in the relevant jurisdiction in which the License terms are sought to\n			   be enforced according to the corresponding provisions of the implementation of those\n			   treaty provisions in the applicable national law. If the standard suite of rights granted\n			   under applicable copyright law includes additional rights not granted under this License,\n			   such additional rights are deemed to be included in the License; this License is not\n			   intended to restrict the license of any rights under applicable law.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons Notice</p>\n\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 Creative Commons does not authorize the use by either party of the trademark &quot;Creative\n		 Commons&quot; or any related trademark or logo of Creative Commons without the prior written consent\n		 of Creative Commons. Any permitted use will be in compliance with Creative Commons&apos; then-current\n		 trademark usage guidelines, as may be published on its website or otherwise made available upon\n		 request from time to time. For the avoidance of doubt, this trademark restriction does not form part\n		 of this License.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYND30"

	def __str__(self):
		return json.dumps(self.__dict__)


class CMUMachnodoc:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 2002 Naval Research Laboratory (NRL/CCS)\n\nPermission to use, copy, modify and distribute this software and\nits documentation is hereby granted, provided that both the\ncopyright notice and this permission notice appear in all copies of\nthe software, derivative works or modified versions, and any\nportions thereof.\n\nNRL ALLOWS FREE USE OF THIS SOFTWARE IN ITS \"AS IS\" CONDITION AND\nDISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER\nRESULTING FROM THE USE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 2002 Naval Research Laboratory (NRL/CCS)\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify and distribute this software and its documentation is hereby granted, provided that both the copyright notice and this permission notice appear in all copies of the software, derivative works or modified versions, and any portions thereof.\n\nNRL ALLOWS FREE USE OF THIS SOFTWARE IN ITS \"AS IS\" CONDITION AND DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.\n\n"
		self.name = "CMU	Mach - no notices-in-documentation variant"
		self.licenseComments = "This is similar to CMU-Mach but omits the obligation that both notices appear in supporting documentation and omits the request to return improvements or extensions back to the copyright holder."
		self.licenseId = "CMU-Mach-nodoc"
		self.crossRef = [{"match": "False", "url": "https://web.mit.edu/kerberos/krb5-1.21/doc/mitK5license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:50Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/krb5/krb5/blob/krb5-1.21.2-final/NOTICE#L718-L728", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:51Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/krb5/krb5/blob/krb5-1.21.2-final/NOTICE#L718-L728", "https://web.mit.edu/kerberos/krb5-1.21/doc/mitK5license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (C) 2002 Naval Research Laboratory (NRL/CCS)\n		 </var>\n		 <p>\n			Permission to use, copy, modify and distribute this\n			software and its documentation is hereby granted, provided\n			that both the copyright notice and this permission\n			notice appear in all copies of the software, derivative\n			works or modified versions, and any portions thereof.\n		 </p>\n\n		 <p>\n			NRL ALLOWS FREE USE OF THIS SOFTWARE IN ITS &quot;AS IS&quot;\n			CONDITION AND DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY\n			DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.\n		 </p>\n\n	  "
		self.python_name = "CMUMachnodoc"

	def __str__(self):
		return json.dumps(self.__dict__)


class Elastic20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Elastic License 2.0\n\nURL: https://www.elastic.co/licensing/elastic-license\n\n## Acceptance\n\nBy using the software, you agree to all of the terms and conditions below.\n\n## Copyright License\n\nThe licensor grants you a non-exclusive, royalty-free, worldwide,\nnon-sublicensable, non-transferable license to use, copy, distribute, make\navailable, and prepare derivative works of the software, in each case subject to\nthe limitations and conditions below.\n\n## Limitations\n\nYou may not provide the software to third parties as a hosted or managed\nservice, where the service provides users with access to any substantial set of\nthe features or functionality of the software.\n\nYou may not move, change, disable, or circumvent the license key functionality\nin the software, and you may not remove or obscure any functionality in the\nsoftware that is protected by the license key.\n\nYou may not alter, remove, or obscure any licensing, copyright, or other notices\nof the licensor in the software. Any use of the licensor\u2019s trademarks is subject\nto applicable law.\n\n## Patents\n\nThe licensor grants you a license, under any patent claims the licensor can\nlicense, or becomes able to license, to make, have made, use, sell, offer for\nsale, import and have imported the software, in each case subject to the\nlimitations and conditions in this license. This license does not cover any\npatent claims that you cause to be infringed by modifications or additions to\nthe software. If you or your company make any written claim that the software\ninfringes or contributes to infringement of any patent, your patent license for\nthe software granted under these terms ends immediately. If your company makes\nsuch a claim, your patent license ends immediately for work on behalf of your\ncompany.\n\n## Notices\n\nYou must ensure that anyone who gets a copy of any part of the software from you\nalso gets a copy of these terms.\n\nIf you modify the software, you must include in any modified copies of the\nsoftware prominent notices stating that you have modified the software.\n\n## No Other Rights\n\nThese terms do not imply any licenses other than those expressly granted in\nthese terms.\n\n## Termination\n\nIf you use the software in violation of these terms, such use is not licensed,\nand your licenses will automatically terminate. If the licensor provides you\nwith a notice of your violation, and you cease all violation of this license no\nlater than 30 days after you receive that notice, your licenses will be\nreinstated retroactively. However, if you violate these terms after such\nreinstatement, any additional violation of these terms will cause your licenses\nto terminate automatically and permanently.\n\n## No Liability\n\n*As far as the law allows, the software comes as is, without any warranty or\ncondition, and the licensor will not be liable to you for any damages arising\nout of these terms or the use or nature of the software, under any kind of\nlegal claim.*\n\n## Definitions\n\nThe **licensor** is the entity offering these terms, and the **software** is the\nsoftware the licensor makes available under these terms, including any portion\nof it.\n\n**you** refers to the individual or entity agreeing to these terms.\n\n**your company** is any legal entity, sole proprietorship, or other kind of\norganization that you work for, plus all organizations that have control over,\nare under the control of, or are under common control with that\norganization. **control** means ownership of substantially all the assets of an\nentity, or the power to direct its management and policies by vote, contract, or\notherwise. Control can be direct or indirect.\n\n**your licenses** are all the licenses granted to you for the software under\nthese terms.\n\n**use** means anything you do with the software requiring one of your licenses.\n\n**trademark** means trademarks, service marks, and similar rights.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Elastic License 2.0\n\n<<endOptional>><<beginOptional>> URL: https://www.elastic.co/licensing/elastic-license\n\n<<endOptional>>\n\n## Acceptance\n\nBy using the software, you agree to all of the terms and conditions below.\n\n## Copyright License\n\nThe licensor grants you a non-exclusive, royalty-free, worldwide, non-sublicensable, non-transferable license to use, copy, distribute, make available, and prepare derivative works of the software, in each case subject to the limitations and conditions below.\n\n## Limitations\n\nYou may not provide the software to third parties as a hosted or managed service, where the service provides users with access to any substantial set of the features or functionality of the software.\n\nYou may not move, change, disable, or circumvent the license key functionality in the software, and you may not remove or obscure any functionality in the software that is protected by the license key.\n\nYou may not alter, remove, or obscure any licensing, copyright, or other notices of the licensor in the software. Any use of the licensor's trademarks is subject to applicable law.\n\n## Patents\n\nThe licensor grants you a license, under any patent claims the licensor can license, or becomes able to license, to make, have made, use, sell, offer for sale, import and have imported the software, in each case subject to the limitations and conditions in this license. This license does not cover any patent claims that you cause to be infringed by modifications or additions to the software. If you or your company make any written claim that the software infringes or contributes to infringement of any patent, your patent license for the software granted under these terms ends immediately. If your company makes such a claim, your patent license ends immediately for work on behalf of your company.\n\n## Notices\n\nYou must ensure that anyone who gets a copy of any part of the software from you also gets a copy of these terms.\n\nIf you modify the software, you must include in any modified copies of the software prominent notices stating that you have modified the software.\n\n## No Other Rights\n\nThese terms do not imply any licenses other than those expressly granted in these terms.\n\n## Termination\n\nIf you use the software in violation of these terms, such use is not licensed, and your licenses will automatically terminate. If the licensor provides you with a notice of your violation, and you cease all violation of this license no later than 30 days after you receive that notice, your licenses will be reinstated retroactively. However, if you violate these terms after such reinstatement, any additional violation of these terms will cause your licenses to terminate automatically and permanently.\n\n## No Liability\n\n*As far as the law allows, the software comes as is, without any warranty or condition, and the licensor will not be liable to you for any damages arising out of these terms or the use or nature of the software, under any kind of legal claim.*\n\n## Definitions\n\nThe **licensor** is the entity offering these terms, and the **software** is the software the licensor makes available under these terms, including any portion of it.\n\n**you** refers to the individual or entity agreeing to these terms.\n\n**your company** is any legal entity, sole proprietorship, or other kind of organization that you work for, plus all organizations that have control over, are under the control of, or are under common control with that organization. **control** means ownership of substantially all the assets of an entity, or the power to direct its management and policies by vote, contract, or otherwise. Control can be direct or indirect.\n\n**your licenses** are all the licenses granted to you for the software under these terms.\n\n**use** means anything you do with the software requiring one of your licenses.\n\n**trademark** means trademarks, service marks, and similar rights.\n\n"
		self.name = "Elastic License 2.0"
		self.licenseComments = "This license was released on February 3, 2021"
		self.licenseId = "Elastic-2.0"
		self.crossRef = [{"match": "False", "url": "https://www.elastic.co/licensing/elastic-license", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:33Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://github.com/elastic/elasticsearch/blob/master/licenses/ELASTIC-LICENSE-2.0.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:34Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://www.elastic.co/licensing/elastic-license", "https://github.com/elastic/elasticsearch/blob/master/licenses/ELASTIC-LICENSE-2.0.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p>Elastic License 2.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> <p>URL: https://www.elastic.co/licensing/elastic-license</p>\n</div>\n	  <p>## Acceptance</p>\n\n	  <p>By using the software, you agree to all of the terms and conditions below.</p>\n\n	  <p>## Copyright License</p>\n\n	  <p>\n		The licensor grants you a non-exclusive, royalty-free, worldwide,\n		non-sublicensable, non-transferable license to use, copy, distribute, make\n		available, and prepare derivative works of the software, in each case subject to\n		the limitations and conditions below.\n	  </p>\n\n	  <p>## Limitations</p>\n\n	  <p>\n		You may not provide the software to third parties as a hosted or managed\n		service, where the service provides users with access to any substantial set of\n		the features or functionality of the software.\n	  </p>\n\n	  <p>\n		You may not move, change, disable, or circumvent the license key functionality\n		in the software, and you may not remove or obscure any functionality in the\n		software that is protected by the license key.\n	  </p>\n\n	  <p>\n		You may not alter, remove, or obscure any licensing, copyright, or other notices\n		of the licensor in the software. Any use of the licensor&apos;s trademarks is subject\n		to applicable law.\n	  </p>\n\n	  <p>## Patents</p>\n\n	  <p>\n		The licensor grants you a license, under any patent claims the licensor can\n		license, or becomes able to license, to make, have made, use, sell, offer for\n		sale, import and have imported the software, in each case subject to the\n		limitations and conditions in this license. This license does not cover any\n		patent claims that you cause to be infringed by modifications or additions to\n		the software. If you or your company make any written claim that the software\n		infringes or contributes to infringement of any patent, your patent license for\n		the software granted under these terms ends immediately. If your company makes\n		such a claim, your patent license ends immediately for work on behalf of your\n		company.\n	  </p>\n\n	  <p>## Notices</p>\n\n	  <p>\n		You must ensure that anyone who gets a copy of any part of the software from you\n		also gets a copy of these terms.\n	  </p>\n\n	  <p>\n		If you modify the software, you must include in any modified copies of the\n		software prominent notices stating that you have modified the software.\n	  </p>\n\n	  <p>## No Other Rights</p>\n\n	  <p>\n		These terms do not imply any licenses other than those expressly granted in\n		these terms.\n	  </p>\n\n	  <p>## Termination</p>\n\n	  <p>\n		If you use the software in violation of these terms, such use is not licensed,\n		and your licenses will automatically terminate. If the licensor provides you\n		with a notice of your violation, and you cease all violation of this license no\n		later than 30 days after you receive that notice, your licenses will be\n		reinstated retroactively. However, if you violate these terms after such\n		reinstatement, any additional violation of these terms will cause your licenses\n		to terminate automatically and permanently.\n	  </p>\n\n	  <p>## No Liability</p>\n\n	  <p>\n		*As far as the law allows, the software comes as is, without any warranty or\n		condition, and the licensor will not be liable to you for any damages arising\n		out of these terms or the use or nature of the software, under any kind of\n		legal claim.*\n	  </p>\n\n	  <p>## Definitions</p>\n\n	  <p>\n		The **licensor** is the entity offering these terms, and the **software** is the\n		software the licensor makes available under these terms, including any portion\n		of it.\n	  </p>\n\n	  <p>**you** refers to the individual or entity agreeing to these terms.</p>\n\n	  <p>\n		**your company** is any legal entity, sole proprietorship, or other kind of\n		organization that you work for, plus all organizations that have control over,\n		are under the control of, or are under common control with that\n		organization. **control** means ownership of substantially all the assets of an\n		entity, or the power to direct its management and policies by vote, contract, or\n		otherwise. Control can be direct or indirect.\n	  </p>\n\n	  <p>\n		**your licenses** are all the licenses granted to you for the software under\n		these terms.\n	  </p>\n\n	  <p>**use** means anything you do with the software requiring one of your licenses.</p>\n\n	  <p>**trademark** means trademarks, service marks, and similar rights.</p>\n\n	"
		self.python_name = "Elastic20"

	def __str__(self):
		return json.dumps(self.__dict__)


class LGPL20only:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU LIBRARY GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\nCopyright (C) 1991 Free Software Foundation, Inc.\n51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the library GPL.  It is numbered 2 because it goes with version 2 of the ordinary GPL.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Library General Public License, applies to some specially designated Free Software Foundation software, and to any other libraries whose authors decide to use it. You can use it for your libraries, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library, or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link a program with the library, you must provide complete object files to the recipients so that they can relink them with the library, after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nOur method of protecting your rights has two steps: (1) copyright the library, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the library.\n\nAlso, for each distributor's protection, we want to make certain that everyone understands that there is no warranty for this free library. If the library is modified by someone else and passed on, we want its recipients to know that what they have is not the original version, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that companies distributing free software will individually obtain patent licenses, thus in effect transforming the program into proprietary software. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License, which was designed for utility programs. This license, the GNU Library General Public License, applies to certain designated libraries. This license is quite different from the ordinary one; be sure to read it in full, and don't assume that anything in it is the same as in the ordinary license.\n\nThe reason we have a separate public license for some libraries is that they blur the distinction we usually make between modifying or adding to a program and simply using it. Linking a program with a library, without changing the library, is in some sense simply using the library, and is analogous to running a utility program or application program. However, in a textual and legal sense, the linked executable is a combined work, a derivative of the original library, and the ordinary General Public License treats it as such.\n\nBecause of this blurred distinction, using the ordinary General Public License for libraries did not effectively promote software sharing, because most developers did not use the libraries. We concluded that weaker conditions might promote sharing better.\n\nHowever, unrestricted linking of non-free programs would deprive the users of those programs of all benefit from the free status of the libraries themselves. This Library General Public License is intended to permit developers of non-free programs to use free libraries, while preserving your freedom as a user of such programs to change the free libraries that are incorporated in them. (We have not seen how to achieve this as regards changes in header files, but we have achieved it as regards changes in the actual functions of the Library.) The hope is that this will lead to faster development of free libraries.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, while the latter only works together with the library.\n\nNote that it is possible for a library to be covered by the ordinary General Public License rather than by this special one.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any software library which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Library General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\nA \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\nThe \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n\"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\nActivities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n1. You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\nYou may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	 a) The modified work must itself be a software library.\n\n	 b) You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	 c) You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	 d) If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n(For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\nThese requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\nThus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\nIn addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n3. You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\nOnce this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\nThis option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n4. You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\nIf distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n5. A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\nHowever, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\nWhen a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\nIf such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\nOtherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n6. As an exception to the Sections above, you may also compile or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\nYou must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	 a) Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	 b) Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	 c) If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	 d) Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\nFor an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\nIt may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n7. You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	 a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	 b) Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n8. You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n9. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n10. Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n11. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\nIf any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\nThis section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n12. If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n13. The Free Software Foundation may publish revised and/or new versions of the Library General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n14. If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 one line to give the library's name and an idea of what it does.\n	 Copyright (C) year  name of author\n\n	 This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\n	 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public License for more details.\n\n	 You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\nthe library `Frob' (a library for tweaking knobs) written\nby James Random Hacker.\n\nsignature of Ty Coon, 1 April 1990\nTy Coon, President of Vice\n\nThat's all there is to it!\n"
		self.standardLicenseHeaderTemplate = "Copyright (C) <<var;name=\"copyright\";original=\"year name of author\";match=\".+\">>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; version 2.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.\n\nYou should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU LIBRARY GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 1991 Free Software Foundation, Inc.  51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the library GPL. It is numbered 2 because it goes with version 2 of the ordinary GPL.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Library General Public License, applies to some specially designated Free Software Foundation software, and to any other libraries whose authors decide to use it. You can use it for your libraries, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library, or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link a program with the library, you must provide complete object files to the recipients so that they can relink them with the library, after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nOur method of protecting your rights has two steps: (1) copyright the library, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the library.\n\nAlso, for each distributor's protection, we want to make certain that everyone understands that there is no warranty for this free library. If the library is modified by someone else and passed on, we want its recipients to know that what they have is not the original version, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that companies distributing free software will individually obtain patent licenses, thus in effect transforming the program into proprietary software. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License, which was designed for utility programs. This license, the GNU Library General Public License, applies to certain designated libraries. This license is quite different from the ordinary one; be sure to read it in full, and don't assume that anything in it is the same as in the ordinary license.\n\nThe reason we have a separate public license for some libraries is that they blur the distinction we usually make between modifying or adding to a program and simply using it. Linking a program with a library, without changing the library, is in some sense simply using the library, and is analogous to running a utility program or application program. However, in a textual and legal sense, the linked executable is a combined work, a derivative of the original library, and the ordinary General Public License treats it as such.\n\nBecause of this blurred distinction, using the ordinary General Public License for libraries did not effectively promote software sharing, because most developers did not use the libraries. We concluded that weaker conditions might promote sharing better.\n\nHowever, unrestricted linking of non-free programs would deprive the users of those programs of all benefit from the free status of the libraries themselves. This Library General Public License is intended to permit developers of non-free programs to use free libraries, while preserving your freedom as a user of such programs to change the free libraries that are incorporated in them. (We have not seen how to achieve this as regards changes in header files, but we have achieved it as regards changes in the actual functions of the Library.) The hope is that this will lead to faster development of free libraries.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, while the latter only works together with the library.\n\nNote that it is possible for a library to be covered by the ordinary General Public License rather than by this special one.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License Agreement applies to any software library which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Library General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\n   A \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\n   The \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n   \"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The modified work must itself be a software library.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n	  (For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\n   In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\n   Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\n   This option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\n   If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\n   However, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\n   When a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\n   If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\n   Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> As an exception to the Sections above, you may also compile or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\n   You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\n   For an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the Library General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\none line to give the library's name and an idea of what it does.\n\nCopyright (C) year name of author\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.\n\nYou should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\n\nthe library `Frob' (a library for tweaking knobs) written\n\nby James Random Hacker.\n\nsignature of Ty Coon, 1 April 1990\n\nTy Coon, President of Vice\n\nThat's all there is to it!\n\n<<endOptional>>"
		self.name = "GNU Library General Public License v2 only"
		self.licenseComments = "This license was released: June 1991. This license has been superseded by LGPL-2.1. This license identifier refers to the choice to use the code under LGPL-2.0-only, as distinguished from use of code under LGPL-2.0-or-later (i.e., LGPL-2.0 or some later version). The license notice (as seen in the Standard License Header field below) states which of these applies to the code in the file. The example in the exhibit to the license shows the license notice for the \"or later\" approach."
		self.licenseId = "LGPL-2.0-only"
		self.standardLicenseHeader = "Copyright (C) year name of author\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; version 2.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.\n\nYou should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/lgpl-2.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:24Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/lgpl-2.0-standalone.html"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU LIBRARY GENERAL PUBLIC LICENSE\n	  </p>\n\n	  <p>\n		Version 2, June 1991\n	  </p>\n\n	</div>\n	<div class=\"replaceable-license-text\"> \n	  <p>\n		Copyright (C) 1991 Free Software Foundation, Inc.<br />\n\n		51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA\n	  </p>\n\n	</div>\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  [This is the first released version of the library GPL. It is\n	  numbered 2 because it goes with version 2 of the ordinary GPL.]\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The licenses for most software are designed to take away your\n	  freedom to share and change it. By contrast, the GNU General Public\n	  Licenses are intended to guarantee your freedom to share and change\n	  free software--to make sure the software is free for all its users.\n	</p>\n\n	<p>\n	  This license, the Library General Public License, applies\n	  to some specially designated Free Software Foundation\n	  software, and to any other libraries whose authors\n	  decide to use it. You can use it for your libraries, too.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not price.\n	  Our General Public Licenses are designed to make sure that you have\n	  the freedom to distribute copies of free software (and charge for\n	  this service if you wish), that you receive source code or can get\n	  it if you want it, that you can change the software or use pieces of\n	  it in new free programs; and that you know you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to make restrictions that forbid\n	  anyone to deny you these rights or to ask you to surrender the\n	  rights. These restrictions translate to certain responsibilities for\n	  you if you distribute copies of the library, or if you modify it.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of the library, whether gratis\n	  or for a fee, you must give the recipients all the rights that we\n	  gave you. You must make sure that they, too, receive or can get the\n	  source code. If you link a program with the library, you must provide\n	  complete object files to the recipients so that they can relink them\n	  with the library, after making changes to the library and recompiling\n	  it. And you must show them these terms so they know their rights.\n	</p>\n\n	<p>\n	  Our method of protecting your rights has two steps: (1) copyright\n	  the library, and (2) offer you this license which gives you\n	  legal permission to copy, distribute and/or modify the library.\n	</p>\n\n	<p>\n	  Also, for each distributor&apos;s protection, we want to make certain\n	  that everyone understands that there is no warranty for this\n	  free library. If the library is modified by someone else and\n	  passed on, we want its recipients to know that what they have\n	  is not the original version, so that any problems introduced by\n	  others will not reflect on the original authors&apos; reputations.\n	</p>\n\n	<p>\n	  Finally, any free program is threatened constantly by software\n	  patents. We wish to avoid the danger that companies distributing\n	  free software will individually obtain patent licenses, thus\n	  in effect transforming the program into proprietary software.\n	  To prevent this, we have made it clear that any patent must\n	  be licensed for everyone&apos;s free use or not licensed at all.\n	</p>\n\n	<p>\n	  Most GNU software, including some libraries, is covered by the\n	  ordinary GNU General Public License, which was designed for utility\n	  programs. This license, the GNU Library General Public License,\n	  applies to certain designated libraries. This license is quite\n	  different from the ordinary one; be sure to read it in full, and don&apos;t\n	  assume that anything in it is the same as in the ordinary license.\n	</p>\n\n	<p>\n	  The reason we have a separate public license for some libraries is\n	  that they blur the distinction we usually make between modifying\n	  or adding to a program and simply using it. Linking a program with\n	  a library, without changing the library, is in some sense simply\n	  using the library, and is analogous to running a utility program\n	  or application program. However, in a textual and legal sense, the\n	  linked executable is a combined work, a derivative of the original\n	  library, and the ordinary General Public License treats it as such.\n	</p>\n\n	<p>\n	  Because of this blurred distinction, using the ordinary General\n	  Public License for libraries did not effectively promote software\n	  sharing, because most developers did not use the libraries. We\n	  concluded that weaker conditions might promote sharing better.\n	</p>\n\n	<p>\n	  However, unrestricted linking of non-free programs would deprive the\n	  users of those programs of all benefit from the free status of the\n	  libraries themselves. This Library General Public License is intended\n	  to permit developers of non-free programs to use free libraries, while\n	  preserving your freedom as a user of such programs to change the free\n	  libraries that are incorporated in them. (We have not seen how to\n	  achieve this as regards changes in header files, but we have achieved\n	  it as regards changes in the actual functions of the Library.) The\n	  hope is that this will lead to faster development of free libraries.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying, distribution\n	  and modification follow. Pay close attention to the difference\n	  between a &quot;work based on the library&quot; and a &quot;work that uses\n	  the library&quot;. The former contains code derived from the\n	  library, while the latter only works together with the library.\n	</p>\n\n	<p>\n	  Note that it is possible for a library to be covered by the\n	  ordinary General Public License rather than by this special one.\n	</p>\n\n	<p>\n	  TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		This License Agreement applies to any software library\n		which contains a notice placed by the copyright holder or\n		other authorized party saying it may be distributed under\n		the terms of this Library General Public License (also\n		called &quot;this License&quot;). Each licensee is addressed as &quot;you&quot;.\n		<p>\n		  A &quot;library&quot; means a collection of software functions and/or data\n		  prepared so as to be conveniently linked with application programs\n		  (which use some of those functions and data) to form executables.\n		</p>\n\n		<p>\n		  The &quot;Library&quot;, below, refers to any such software library or work\n		  which has been distributed under these terms. A &quot;work based on\n		  the Library&quot; means either the Library or any derivative work under\n		  copyright law: that is to say, a work containing the Library or a\n		  portion of it, either verbatim or with modifications and/or translated\n		  straightforwardly into another language. (Hereinafter, translation\n		  is included without limitation in the term &quot;modification&quot;.)\n		</p>\n\n		<p>\n		  &quot;Source code&quot; for a work means the preferred form of the work\n		  for making modifications to it. For a library, complete source\n		  code means all the source code for all modules it contains,\n		  plus any associated interface definition files, plus the scripts\n		  used to control compilation and installation of the library.\n		</p>\n\n		<p>\n		  Activities other than copying, distribution and modification are\n		  not covered by this License; they are outside its scope. The act of\n		  running a program using the Library is not restricted, and output\n		  from such a program is covered only if its contents constitute a\n		  work based on the Library (independent of the use of the Library\n		  in a tool for writing it). Whether that is True depends on what\n		  the Library does and what the program that uses the Library does.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		You may copy and distribute verbatim copies of the Library&apos;s complete\n		source code as you receive it, in any medium, provided that you\n		conspicuously and appropriately publish on each copy an appropriate\n		copyright notice and disclaimer of warranty; keep intact all the\n		notices that refer to this License and to the absence of any warranty;\n		and distribute a copy of this License along with the Library.\n		<p>\n		  You may charge a fee for the physical act of\n		  transferring a copy, and you may at your option\n		  offer warranty protection in exchange for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		You may modify your copy or copies of the Library or any portion\n		of it, thus forming a work based on the Library, and copy and\n		distribute such modifications or work under the terms of Section\n		1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			The modified work must itself be a software library.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			You must cause the files modified to carry prominent notices\n			stating that you changed the files and the date of any change.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			You must cause the whole of the work to be licensed at no\n			charge to all third parties under the terms of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If a facility in the modified Library refers to a function\n			or a table of data to be supplied by an application program\n			that uses the facility, other than as an argument passed\n			when the facility is invoked, then you must make a good faith\n			effort to ensure that, in the event an application does not\n			supply such function or table, the facility still operates,\n			and performs whatever part of its purpose remains meaningful.\n			<p>\n			  (For example, a function in a library to compute square roots\n			  has a purpose that is entirely well-defined independent of\n			  the application. Therefore, Subsection 2d requires that any\n			  application-supplied function or table used by this function\n			  must be optional: if the application does not supply it,\n			  the square root function must still compute square roots.)\n			</p>\n\n		  </li>\n		\n</ul>\n		<p>\n		  These requirements apply to the modified work as a whole. If\n		  identifiable sections of that work are not derived from the\n		  Library, and can be reasonably considered independent and separate\n		  works in themselves, then this License, and its terms, do not\n		  apply to those sections when you distribute them as separate\n		  works. But when you distribute the same sections as part of a\n		  whole which is a work based on the Library, the distribution\n		  of the whole must be on the terms of this License, whose\n		  permissions for other licensees extend to the entire whole,\n		  and thus to each and every part regardless of who wrote it.\n		</p>\n\n		<p>\n		  Thus, it is not the intent of this section to claim rights or\n		  contest your rights to work written entirely by you; rather,\n		  the intent is to exercise the right to control the distribution\n		  of derivative or collective works based on the Library.\n		</p>\n\n		<p>\n		  In addition, mere aggregation of another work not based on\n		  the Library with the Library (or with a work based on the\n		  Library) on a volume of a storage or distribution medium does\n		  not bring the other work under the scope of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		You may opt to apply the terms of the ordinary GNU General\n		Public License instead of this License to a given copy of the\n		Library. To do this, you must alter all the notices that refer\n		to this License, so that they refer to the ordinary GNU General\n		Public License, version 2, instead of to this License. (If a\n		newer version than version 2 of the ordinary GNU General Public\n		License has appeared, then you can specify that version instead\n		if you wish.) Do not make any other change in these notices.\n		<p>\n		  Once this change is made in a given copy, it is irreversible for\n		  that copy, so the ordinary GNU General Public License applies to\n		  all subsequent copies and derivative works made from that copy.\n		</p>\n\n		<p>\n		  This option is useful when you wish to copy part of the\n		  code of the Library into a program that is not a library.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		You may copy and distribute the Library (or a portion or derivative\n		of it, under Section 2) in object code or executable form under\n		the terms of Sections 1 and 2 above provided that you accompany\n		it with the complete corresponding machine-readable source code,\n		which must be distributed under the terms of Sections 1 and 2\n		above on a medium customarily used for software interchange.\n		<p>\n		  If distribution of object code is made by offering access to copy\n		  from a designated place, then offering equivalent access to copy\n		  the source code from the same place satisfies the requirement\n		  to distribute the source code, even though third parties are\n		  not compelled to copy the source along with the object code.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		A program that contains no derivative of any portion of the\n		Library, but is designed to work with the Library by being compiled\n		or linked with it, is called a &quot;work that uses the Library&quot;.\n		Such a work, in isolation, is not a derivative work of the\n		Library, and therefore falls outside the scope of this License.\n		<p>\n		  However, linking a &quot;work that uses the Library&quot; with the Library\n		  creates an executable that is a derivative of the Library (because\n		  it contains portions of the Library), rather than a &quot;work that uses\n		  the library&quot;. The executable is therefore covered by this License.\n		  Section 6 states terms for distribution of such executables.\n		</p>\n\n		<p>\n		  When a &quot;work that uses the Library&quot; uses material from a header\n		  file that is part of the Library, the object code for the work may\n		  be a derivative work of the Library even though the source code is\n		  not. Whether this is True is especially significant if the work can\n		  be linked without the Library, or if the work is itself a library.\n		  The threshold for this to be True is not precisely defined by law.\n		</p>\n\n		<p>\n		  If such an object file uses only numerical parameters, data\n		  structure layouts and accessors, and small macros and small inline\n		  functions (ten lines or less in length), then the use of the\n		  object file is unrestricted, regardless of whether it is legally\n		  a derivative work. (Executables containing this object code\n		  plus portions of the Library will still fall under Section 6.)\n		</p>\n\n		<p>\n		  Otherwise, if the work is a derivative of the Library, you may\n		  distribute the object code for the work under the terms of Section\n		  6. Any executables containing that work also fall under Section 6,\n		  whether or not they are linked directly with the Library itself.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		As an exception to the Sections above, you may also compile or\n		link a &quot;work that uses the Library&quot; with the Library to produce\n		a work containing portions of the Library, and distribute\n		that work under terms of your choice, provided that the terms\n		permit modification of the work for the customer&apos;s own use\n		and reverse engineering for debugging such modifications.\n		<p>\n		  You must give prominent notice with each copy of the work\n		  that the Library is used in it and that the Library and its\n		  use are covered by this License. You must supply a copy of\n		  this License. If the work during execution displays copyright\n		  notices, you must include the copyright notice for the Library\n		  among them, as well as a reference directing the user to the\n		  copy of this License. Also, you must do one of these things:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany the work with the complete corresponding machine-readable\n			source code for the Library including whatever changes were used in\n			the work (which must be distributed under Sections 1 and 2 above);\n			and, if the work is an executable linked with the Library, with the\n			complete machine-readable &quot;work that uses the Library&quot;, as object\n			code and/or source code, so that the user can modify the Library\n			and then relink to produce a modified executable containing the\n			modified Library. (It is understood that the user who changes the\n			contents of definitions files in the Library will not necessarily be\n			able to recompile the application to use the modified definitions.)\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Accompany the work with a written offer, valid for at\n			least three years, to give the same user the materials\n			specified in Subsection 6a, above, for a charge no\n			more than the cost of performing this distribution.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			If distribution of the work is made by offering access to\n			copy from a designated place, offer equivalent access to\n			copy the above specified materials from the same place.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Verify that the user has already received a copy of these\n			materials or that you have already sent this user a copy.\n		  </li>\n		\n</ul>\n		<p>\n		  For an executable, the required form of the &quot;work that uses\n		  the Library&quot; must include any data and utility programs needed\n		  for reproducing the executable from it. However, as a special\n		  exception, the source code distributed need not include\n		  anything that is normally distributed (in either source or\n		  binary form) with the major components (compiler, kernel,\n		  and so on) of the operating system on which the executable\n		  runs, unless that component itself accompanies the executable.\n		</p>\n\n		<p>\n		  It may happen that this requirement contradicts the\n		  license restrictions of other proprietary libraries that\n		  do not normally accompany the operating system. Such\n		  a contradiction means you cannot use both them and the\n		  Library together in an executable that you distribute.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		You may place library facilities that are a work based on the\n		Library side-by-side in a single library together with other library\n		facilities not covered by this License, and distribute such a\n		combined library, provided that the separate distribution of the\n		work based on the Library and of the other library facilities is\n		otherwise permitted, and provided that you do these two things:\n	  </li>\n	  \n<li>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n		  <var class=\"replaceable-license-text\"> a)</var>\n		  Accompany the combined library with a copy of the same work based\n		  on the Library, uncombined with any other library facilities.\n		  This must be distributed under the terms of the Sections above.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> b)</var>\n		  Give prominent notice with the combined library of the fact\n		  that part of it is a work based on the Library, and explaining\n		  where to find the accompanying uncombined form of the same work.\n		</li>\n	  \n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		You may not copy, modify, sublicense, link with, or distribute the\n		Library except as expressly provided under this License. Any attempt\n		otherwise to copy, modify, sublicense, link with, or distribute\n		the Library is void, and will automatically terminate your rights\n		under this License. However, parties who have received copies, or\n		rights, from you under this License will not have their licenses\n		terminated so long as such parties remain in full compliance.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		You are not required to accept this License, since you have\n		not signed it. However, nothing else grants you permission to\n		modify or distribute the Library or its derivative works. These\n		actions are prohibited by law if you do not accept this License.\n		Therefore, by modifying or distributing the Library (or any\n		work based on the Library), you indicate your acceptance of this\n		License to do so, and all its terms and conditions for copying,\n		distributing or modifying the Library or works based on it.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		Each time you redistribute the Library (or any work based on\n		the Library), the recipient automatically receives a license\n		from the original licensor to copy, distribute, link with or\n		modify the Library subject to these terms and conditions. You\n		may not impose any further restrictions on the recipients&apos;\n		exercise of the rights granted herein. You are not responsible\n		for enforcing compliance by third parties to this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		If, as a consequence of a court judgment or allegation of patent\n		infringement or for any other reason (not limited to patent issues),\n		conditions are imposed on you (whether by court order, agreement\n		or otherwise) that contradict the conditions of this License,\n		they do not excuse you from the conditions of this License. If you\n		cannot distribute so as to satisfy simultaneously your obligations\n		under this License and any other pertinent obligations, then as a\n		consequence you may not distribute the Library at all. For example,\n		if a patent license would not permit royalty-free redistribution of\n		the Library by all those who receive copies directly or indirectly\n		through you, then the only way you could satisfy both it and this\n		License would be to refrain entirely from distribution of the Library.\n		<p>\n		  If any portion of this section is held invalid or\n		  unenforceable under any particular circumstance, the\n		  balance of the section is intended to apply, and the section\n		  as a whole is intended to apply in other circumstances.\n		</p>\n\n		<p>\n		  It is not the purpose of this section to induce you to infringe\n		  any patents or other property right claims or to contest\n		  validity of any such claims; this section has the sole purpose\n		  of protecting the integrity of the free software distribution\n		  system which is implemented by public license practices. Many\n		  people have made generous contributions to the wide range of\n		  software distributed through that system in reliance on consistent\n		  application of that system; it is up to the author/donor to\n		  decide if he or she is willing to distribute software through\n		  any other system and a licensee cannot impose that choice.\n		</p>\n\n		<p>\n		  This section is intended to make thoroughly clear what is\n		  believed to be a consequence of the rest of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		If the distribution and/or use of the Library is restricted in\n		certain countries either by patents or by copyrighted interfaces,\n		the original copyright holder who places the Library under this\n		License may add an explicit geographical distribution limitation\n		excluding those countries, so that distribution is permitted only\n		in or among countries not thus excluded. In such case, this License\n		incorporates the limitation as if written in the body of this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 13.</var>\n		The Free Software Foundation may publish revised and/or new versions\n		of the Library General Public License from time to time. Such\n		new versions will be similar in spirit to the present version,\n		but may differ in detail to address new problems or concerns.\n		<p>\n		  Each version is given a distinguishing version number. If\n		  the Library specifies a version number of this License which\n		  applies to it and &quot;any later version&quot;, you have the option of\n		  following the terms and conditions either of that version or of\n		  any later version published by the Free Software Foundation. If\n		  the Library does not specify a license version number, you may\n		  choose any version ever published by the Free Software Foundation.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 14.</var>\n		If you wish to incorporate parts of the Library into other free programs\n		whose distribution conditions are incompatible with these, write to\n		the author to ask for permission. For software which is copyrighted by\n		the Free Software Foundation, write to the Free Software Foundation; we\n		sometimes make exceptions for this. Our decision will be guided by the\n		two goals of preserving the free status of all derivatives of our free\n		software and of promoting the sharing and reuse of software generally.\n		<p>\n		  NO WARRANTY\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 15.</var>\n		BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\n		FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT\n		WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER\n		PARTIES PROVIDE THE LIBRARY &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND,\n		EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\n		IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\n		THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU\n		ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 16.</var>\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n		REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR\n		DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL\n		DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY\n		(INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\n		INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF\n		THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER\n		OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Libraries\n	  </p>\n\n	  <p>\n		If you develop a new library, and you want it to be of the greatest\n		possible use to the public, we recommend making it free software\n		that everyone can redistribute and change. You can do so by\n		permitting redistribution under these terms (or, alternatively,\n		under the terms of the ordinary General Public License).\n	  </p>\n\n	  <p>\n		To apply these terms, attach the following notices to the\n		library. It is safest to attach them to the start of each\n		source file to most effectively convey the exclusion of\n		warranty; and each file should have at least the &quot;copyright&quot;\n		line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		one line to give the library&apos;s name\n		and an idea of what it does.<br />\n\n		Copyright (C) year name of author\n	  </p>\n\n	  <p>\n		This library is free software; you can redistribute it and/or\n		modify it under the terms of the GNU Library General Public\n		License as published by the Free Software Foundation; either\n		version 2 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This library is distributed in the hope that it will be useful,\n		but WITHOUT ANY WARRANTY; without even the implied warranty\n		of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See\n		the GNU Library General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU Library\n		General Public License along with this library; if\n		not, write to the Free Software Foundation, Inc., 51\n		Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n	  </p>\n\n	  <p>\n		Also add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or your school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the library, if necessary. Here is a sample; alter the names:\n	  </p>\n\n	  <p>\n		Yoyodyne, Inc., hereby disclaims all copyright interest in<br />\n\n		the library `Frob&apos; (a library for tweaking knobs) written<br />\n\n		by James Random Hacker.\n	  </p>\n\n	  <p>\n		signature of Ty Coon, 1 April 1990<br />\n\n		Ty Coon, President of Vice\n	  </p>\n\n	  <p>\n		That&apos;s all there is to it!\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (C) <var class=\"replaceable-license-text\"> year name of author</var>\n	  <p>This library is free software; you can redistribute it and/or modify it\n	  under the terms of the GNU Library General Public License as published\n		by the Free Software Foundation; version 2.</p>\n\n	  <p>This library is distributed\n	  in the hope that it will be useful, but WITHOUT ANY WARRANTY; without\n	  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU Library General Public License for more details.</p>\n\n	  <p>You should have received a copy of the GNU Library General Public\n	  License along with this library; if not, write to the Free Software\n	  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n\t  </p>\n\n	"
		self.python_name = "LGPL20only"

	def __str__(self):
		return json.dumps(self.__dict__)


class JPNIC:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2000-2002 Japan Network Information Center.  All rights reserved.\n\nBy using this file, you agree to the terms and conditions set forth bellow.\n\n						LICENSE TERMS AND CONDITIONS\n\nThe following License Terms and Conditions apply, unless a different\nlicense is obtained from Japan Network Information Center (\"JPNIC\"),\na Japanese association, Kokusai-Kougyou-Kanda Bldg 6F, 2-3-4 Uchi-Kanda,\nChiyoda-ku, Tokyo 101-0047, Japan.\n\n1. Use, Modification and Redistribution (including distribution of any\n   modified or derived work) in source and/or binary forms is permitted\n   under this License Terms and Conditions.\n\n2. Redistribution of source code must retain the copyright notices as they\n   appear in each source code file, this License Terms and Conditions.\n\n3. Redistribution in binary form must reproduce the Copyright Notice,\n   this License Terms and Conditions, in the documentation and/or other\n   materials provided with the distribution.  For the purposes of binary\n   distribution the \"Copyright Notice\" refers to the following language:\n   \"Copyright (c) 2000-2002 Japan Network Information Center.  All rights\n   reserved.\"\n\n4. The name of JPNIC may not be used to endorse or promote products\n   derived from this Software without specific prior written approval of\n   JPNIC.\n\n5. Disclaimer/Limitation of Liability: THIS SOFTWARE IS PROVIDED BY JPNIC\n   \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\n   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n   PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL JPNIC BE LIABLE\n   FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR\n   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF\n   SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR\n   BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n   WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR\n   OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n   ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Japan Network Information Center License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2000-2002 Japan Network Information Center. All rights reserved.  \";match=\".{0,5000}\">>\n\nBy using this file, you agree to the terms and conditions set forth <<var;name=\"bellow\";original=\"bellow\";match=\"bellow|below\">> .\n\nLICENSE TERMS AND CONDITIONS\n\nThe following License Terms and Conditions apply, unless a different license is obtained from <<var;name=\"organizationClause1\";original=\"Japan Network Information Center\";match=\".+\">> (\" <<var;name=\"organizationClause2\";original=\"JPNIC\";match=\".+\">> \"), <<var;name=\"organizationClause3\";original=\"a Japanese association, Kokusai-Kougyou-Kanda Bldg 6F, 2-3-4 Uchi-Kanda, Chiyoda-ku, Tokyo 101-0047, Japan\";match=\".+\">> .\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Use, Modification and Redistribution (including distribution of any modified or derived work) in source and/or binary forms is permitted under this License Terms and Conditions.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistribution of source code must retain the copyright notices as they appear in each source code file, this License Terms and Conditions.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistribution in binary form must reproduce the Copyright Notice, this License Terms and Conditions, in the documentation and/or other materials provided with the distribution. For the purposes of binary distribution the \"Copyright Notice\" refers to the following language: \"Copyright (c) <<var;name=\"copyright\";original=\"2000-2002 Japan Network Information Center\";match=\".+\">> . All rights reserved.\"\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The name of <<var;name=\"organizationClause2\";original=\"JPNIC\";match=\".+\">> may not be used to endorse or promote products derived from this Software without specific prior written approval of <<var;name=\"organizationClause2\";original=\"JPNIC\";match=\".+\">> .\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Disclaimer/Limitation of Liability: THIS SOFTWARE IS PROVIDED BY <<var;name=\"organizationClause2\";original=\"JPNIC\";match=\".+\">> \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <<var;name=\"organizationClause2\";original=\"JPNIC\";match=\".+\">> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES."
		self.name = "Japan Network Information Center License"
		self.licenseId = "JPNIC"
		self.crossRef = [{"match": "N/A", "url": "https://gitlab.isc.org/isc-projects/bind9/blob/master/COPYRIGHT#L366", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:17:14Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gitlab.isc.org/isc-projects/bind9/blob/master/COPYRIGHT#L366"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p>Japan Network Information Center License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		<p>Copyright (c) 2000-2002 Japan Network Information Center. All rights reserved.</p>\n\n	  </div>\n	  <p>By using this file, you agree to the terms and conditions set forth <var class=\"replaceable-license-text\"> bellow</var>.</p>\n\n	  <p>LICENSE TERMS AND CONDITIONS</p>\n\n	  <p>The following License Terms and Conditions apply, unless a different license is obtained from <var class=\"replaceable-license-text\"> Japan Network Information Center</var> (&quot;<var class=\"replaceable-license-text\"> JPNIC</var>&quot;), <var class=\"replaceable-license-text\"> a Japanese association, Kokusai-Kougyou-Kanda Bldg 6F, 2-3-4 Uchi-Kanda, Chiyoda-ku, Tokyo 101-0047, Japan</var>.</p>\n\n<ul style=\"list-style:none\">\n		\n<li><var class=\"replaceable-license-text\"> 1.</var>\n		  Use, Modification and Redistribution (including distribution of any modified or derived work) in source and/or binary forms is permitted under this License Terms and Conditions.\n		</li>\n		\n<li><var class=\"replaceable-license-text\"> 2.</var>\n		  Redistribution of source code must retain the copyright notices as they appear in each source code file, this License Terms and Conditions.\n		</li>\n		\n<li><var class=\"replaceable-license-text\"> 3.</var>\n		  Redistribution in binary form must reproduce the Copyright Notice, this License Terms and Conditions, in the documentation and/or other materials provided with the distribution. For the purposes of binary distribution the &quot;Copyright Notice&quot; refers to the following language: &quot;Copyright (c) <var class=\"replaceable-license-text\"> 2000-2002 Japan Network Information Center</var>. All rights reserved.&quot;\n		</li>\n		\n<li><var class=\"replaceable-license-text\"> 4.</var>\n		  The name of <var class=\"replaceable-license-text\"> JPNIC</var> may not be used to endorse or promote products derived from this Software without specific prior written approval of <var class=\"replaceable-license-text\"> JPNIC</var>.\n		</li>\n		\n<li><var class=\"replaceable-license-text\"> 5.</var>\n		  Disclaimer/Limitation of Liability: THIS SOFTWARE IS PROVIDED BY <var class=\"replaceable-license-text\"> JPNIC</var> &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <var class=\"replaceable-license-text\"> JPNIC</var> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "JPNIC"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL20withfontexception:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.licenseText = "insert GPL v2 license text here\n\nFont Exception\n\nAs a special exception, if you create a document which uses this font, and embed this font or unaltered portions of this font into the document, this font does not by itself cause the resulting document to be covered by the GNU General Public License. This exception does not however invalidate any other reasons why the document might be covered by the GNU General Public License. If you modify this font, you may extend this exception to your version of the font, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.\n\n"
		self.standardLicenseTemplate = "insert GPL v2 license text here\n\nFont Exception\n\nAs a special exception, if you create a document which uses this font, and embed this font or unaltered portions of this font into the document, this font does not by itself cause the resulting document to be covered by the GNU General Public License. This exception does not however invalidate any other reasons why the document might be covered by the GNU General Public License. If you modify this font, you may extend this exception to your version of the font, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.\n\n"
		self.name = "GNU General Public License v2.0 w/Font exception"
		self.licenseComments = "DEPRECATED: Use license expression including main license, \"WITH\" operator, and identifier: Font-exception-2.0"
		self.licenseId = "GPL-2.0-with-font-exception"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/gpl-faq.html#FontException", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:01Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/gpl-faq.html#FontException"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\t	 <p>insert GPL v2 license text here</p>\n\n\t	 <p>Font Exception</p>\n\n\t	 <p>As a special exception, if you create a document which uses this font, and embed this font or unaltered portions of this font into the document, this font does not by itself cause the resulting document to be covered by the GNU General Public License. This exception does not however invalidate any other reasons why the document might be covered by the GNU General Public License. If you modify this font, you may extend this exception to your version of the font, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.</p>\n\n	"
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "GPL20withfontexception"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL13:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "GNU Free Documentation License\nVersion 1.3, 3 November 2008\n\nCopyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\nThe \"publisher\" means any person or entity that distributes copies of the Document to the public.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\nThe Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice. H. Include an unaltered copy of this License.\n	 I. Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n	 O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.\n\n11. RELICENSING\n\n\"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A \"Massive Multiauthor Collaboration\" (or \"MMC\") contained in the site means any set of copyrightable works thus published on the MMC site.\n\n\"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.\n\n\"Incorporate\" means to publish or republish a Document, in whole or in part, as part of another Document.\n\nAn MMC is \"eligible for relicensing\" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.\n\nThe operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\n with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.3, 3 November 2008\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <http://fsf.org/>  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   The \"publisher\" means any person or entity that distributes copies of the Document to the public.\n\n   A section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\n   The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice. H. Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n\n	  <<var;name=\"bullet\";original=\"O.\";match=\".{0,20}\">> Preserve any Warranty Disclaimers.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\n   If a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> RELICENSING\n\n   \"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A \"Massive Multiauthor Collaboration\" (or \"MMC\") contained in the site means any set of copyrightable works thus published on the MMC site.\n\n   \"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.\n\n   \"Incorporate\" means to publish or republish a Document, in whole or in part, as part of another Document.\n\n   An MMC is \"eligible for relicensing\" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.\n\n   The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.3"
		self.licenseId = "GFDL-1.3"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/fdl-1.3.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:30Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/fdl-1.3.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.3, 3 November 2008\n	  </p>\n\n	</div>\n	<div class=\"replaceable-license-text\"> \n	  <p>\n		Copyright (C) 2000, 2001, 2002, 2007, 2008 Free\n		Software Foundation, Inc. &lt;http://fsf.org/&gt;\n	  </p>\n\n	</div>\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook, or\n		  other functional and useful document &quot;free&quot; in the sense of\n		  freedom: to assure everyone the effective freedom to copy and\n		  redistribute it, with or without modifying it, either commercially\n		  or noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work, in any medium,\n		  that contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. Such a\n		  notice grants a world-wide, royalty-free license, unlimited in\n		  duration, to use that work under the conditions stated herein.\n		  The &quot;Document&quot;, below, refers to any such manual or work.\n		  Any member of the public is a licensee, and is addressed as\n		  &quot;you&quot;. You accept the license if you copy, modify or distribute\n		  the work in a way requiring permission under copyright law.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter\n		  section of the Document that deals exclusively with the\n		  relationship of the publishers or authors of the Document to the\n		  Document&apos;s overall subject (or to related matters) and contains\n		  nothing that could fall directly within that overall subject.\n		  (Thus, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections,\n		  in the notice that says that the Document is released under\n		  this License. If a section does not fit the above definition of\n		  Secondary then it is not allowed to be designated as Invariant.\n		  The Document may contain zero Invariant Sections. If the Document\n		  does not identify any Invariant Sections then there are none.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are listed,\n		  as Front-Cover Texts or Back-Cover Texts, in the notice that says that\n		  the Document is released under this License. A Front-Cover Text may\n		  be at most 5 words, and a Back-Cover Text may be at most 25 words.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable\n		  copy, represented in a format whose specification is available\n		  to the general public, that is suitable for revising the document\n		  straightforwardly with generic text editors or (for images composed of\n		  pixels) generic paint programs or (for drawings) some widely available\n		  drawing editor, and that is suitable for input to text formatters or\n		  for automatic translation to a variety of formats suitable for input\n		  to text formatters. A copy made in an otherwise Transparent file\n		  format whose markup, or absence of markup, has been arranged to thwart\n		  or discourage subsequent modification by readers is not Transparent.\n		  An image format is not Transparent if used for any substantial\n		  amount of text. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include plain\n		  ASCII without markup, Texinfo input format, LaTeX input format,\n		  SGML or XML using a publicly available DTD, and standard-conforming\n		  simple HTML, PostScript or PDF designed for human modification.\n		  Examples of transparent image formats include PNG, XCF and JPG.\n		  Opaque formats include proprietary formats that can be read\n		  and edited only by proprietary word processors, SGML or XML\n		  for which the DTD and/or processing tools are not generally\n		  available, and the machine-generated HTML, PostScript or PDF\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n		<p>\n		  The &quot;publisher&quot; means any person or entity that\n		  distributes copies of the Document to the public.\n		</p>\n\n		<p>\n		  A section &quot;Entitled XYZ&quot; means a named subunit of the Document whose\n		  title either is precisely XYZ or contains XYZ in parentheses following\n		  text that translates XYZ in another language. (Here XYZ stands for\n		  a specific section name mentioned below, such as &quot;Acknowledgements&quot;,\n		  &quot;Dedications&quot;, &quot;Endorsements&quot;, or &quot;History&quot;.) To &quot;Preserve the\n		  Title&quot; of such a section when you modify the Document means that\n		  it remains a section &quot;Entitled XYZ&quot; according to this definition.\n		</p>\n\n		<p>\n		  The Document may include Warranty Disclaimers next to the notice\n		  which states that this License applies to the Document. These\n		  Warranty Disclaimers are considered to be included by reference\n		  in this License, but only as regards disclaiming warranties:\n		  any other implication that these Warranty Disclaimers may\n		  have is void and has no effect on the meaning of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies (or copies in media that commonly\n		  have printed covers) of the Document, numbering more than 100,\n		  and the Document&apos;s license notice requires Cover Texts, you must\n		  enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a computer-network location from which the general\n		  network-using public has access to download using public-standard\n		  network protocols a complete Transparent copy of the Document,\n		  free of added material. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or\n			entities responsible for authorship of the modifications in the\n			Modified Version, together with at least five of the principal\n			authors of the Document (all of its principal authors, if it has\n			fewer than five), unless they release you from this requirement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant\n			Sections and required Cover Texts given in the Document&apos;s\n			license notice. H. Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section Entitled &quot;History&quot;, Preserve its Title, and\n			add to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section Entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			For any section Entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			Preserve the Title of the section, and preserve in the\n			section all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section Entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section to be Entitled &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> O.</var>\n			Preserve any Warranty Disclaimers.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section Entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released under\n		  this License, under the terms defined in section 4 above for modified\n		  versions, provided that you include in the combination all of the\n		  Invariant Sections of all of the original documents, unmodified,\n		  and list them all as Invariant Sections of your combined work in its\n		  license notice, and that you preserve all their Warranty Disclaimers.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections Entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  Entitled &quot;History&quot;; likewise combine any sections Entitled\n		  &quot;Acknowledgements&quot;, and any sections Entitled &quot;Dedications&quot;.\n		  You must delete all sections Entitled &quot;Endorsements&quot;.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other\n		  separate and independent documents or works, in or on a volume\n		  of a storage or distribution medium, is called an &quot;aggregate&quot;\n		  if the copyright resulting from the compilation is not used to\n		  limit the legal rights of the compilation&apos;s users beyond what\n		  the individual works permit. When the Document is included in an\n		  aggregate, this License does not apply to the other works in the\n		  aggregate which are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to\n		  these copies of the Document, then if the Document is less\n		  than one half of the entire aggregate, the Document&apos;s Cover\n		  Texts may be placed on covers that bracket the Document\n		  within the aggregate, or the electronic equivalent of covers\n		  if the Document is in electronic form. Otherwise they must\n		  appear on printed covers that bracket the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of section\n		  4. Replacing Invariant Sections with translations requires special\n		  permission from their copyright holders, but you may include\n		  translations of some or all Invariant Sections in addition to the\n		  original versions of these Invariant Sections. You may include a\n		  translation of this License, and all the license notices in the\n		  Document, and any Warranty Disclaimers, provided that you also\n		  include the original English version of this License and the original\n		  versions of those notices and disclaimers. In case of a disagreement\n		  between the translation and the original version of this License\n		  or a notice or disclaimer, the original version will prevail.\n		</p>\n\n		<p>\n		  If a section in the Document is Entitled\n		  &quot;Acknowledgements&quot;, &quot;Dedications&quot;, or &quot;History&quot;, the\n		  requirement (section 4) to Preserve its Title (section\n		  1) will typically require changing the actual title.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided under this License. Any attempt\n		  otherwise to copy, modify, sublicense, or distribute it is void,\n		  and will automatically terminate your rights under this License.\n		</p>\n\n		<p>\n		  However, if you cease all violation of this License, then your\n		  license from a particular copyright holder is reinstated (a)\n		  provisionally, unless and until the copyright holder explicitly\n		  and finally terminates your license, and (b) permanently, if\n		  the copyright holder fails to notify you of the violation by\n		  some reasonable means prior to 60 days after the cessation.\n		</p>\n\n		<p>\n		  Moreover, your license from a particular copyright holder is\n		  reinstated permanently if the copyright holder notifies you\n		  of the violation by some reasonable means, this is the first\n		  time you have received notice of violation of this License\n		  (for any work) from that copyright holder, and you cure the\n		  violation prior to 30 days after your receipt of the notice.\n		</p>\n\n		<p>\n		  Termination of your rights under this section does not terminate\n		  the licenses of parties who have received copies or rights from\n		  you under this License. If your rights have been terminated and\n		  not permanently reinstated, receipt of a copy of some or all\n		  of the same material does not give you any rights to use it.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option of\n		  following the terms and conditions either of that specified version or\n		  of any later version that has been published (not as a draft) by the\n		  Free Software Foundation. If the Document does not specify a version\n		  number of this License, you may choose any version ever published (not\n		  as a draft) by the Free Software Foundation. If the Document specifies\n		  that a proxy can decide which future versions of this License can\n		  be used, that proxy&apos;s public statement of acceptance of a version\n		  permanently authorizes you to choose that version for the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		RELICENSING\n		<p>\n		  &quot;Massive Multiauthor Collaboration Site&quot; (or &quot;MMC Site&quot;) means any\n		  World Wide Web server that publishes copyrightable works and also\n		  provides prominent facilities for anybody to edit those works. A\n		  public wiki that anybody can edit is an example of such a server. A\n		  &quot;Massive Multiauthor Collaboration&quot; (or &quot;MMC&quot;) contained in the site\n		  means any set of copyrightable works thus published on the MMC site.\n		</p>\n\n		<p>\n		  &quot;CC-BY-SA&quot; means the Creative Commons Attribution-Share Alike\n		  3.0 license published by Creative Commons Corporation, a\n		  not-for-profit corporation with a principal place of business\n		  in San Francisco, California, as well as future copyleft\n		  versions of that license published by that same organization.\n		</p>\n\n		<p>\n		  &quot;Incorporate&quot; means to publish or republish a Document,\n		  in whole or in part, as part of another Document.\n		</p>\n\n		<p>\n		  An MMC is &quot;eligible for relicensing&quot; if it is licensed under this\n		  License, and if all works that were first published under this License\n		  somewhere other than this MMC, and subsequently incorporated in\n		  whole or in part into the MMC, (1) had no cover texts or invariant\n		  sections, and (2) were thus incorporated prior to November 1, 2008.\n		</p>\n\n		<p>\n		  The operator of an MMC Site may republish an MMC contained in\n		  the site under CC-BY-SA on the same site at any time before\n		  August 1, 2009, provided the MMC is eligible for relicensing.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the GNU\n		Free Documentation License, Version 1.3 or any later version published\n		by the Free Software Foundation; with no Invariant Sections, no\n		Front-Cover Texts, and no Back-Cover Texts. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections, Front-Cover Texts and\n		Back-Cover Texts, replace the &quot;with...Texts.&quot; line with this:\n	  </p>\n\n	  <p>\n		with the Invariant Sections being LIST THEIR TITLES, with the\n		Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections without Cover Texts,\n		or some other combination of the three, merge\n		those two alternatives to suit the situation.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>\n	  Permission is granted to copy, distribute and/or modify this\n	  document under the terms of the GNU Free Documentation License,\n	  Version 1.3 or any later version published by the Free Software\n	  Foundation; with no Invariant Sections, no Front-Cover Texts,\n	  and no Back-Cover Texts. A copy of the license is included\n	  in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.deprecatedVersion = "3.0"
		self.python_name = "GFDL13"

	def __str__(self):
		return json.dumps(self.__dict__)


class TGPPL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "=======================================================\nTransitive Grace Period Public Licence (\"TGPPL\") v. 1.0\n=======================================================\n\nThis Transitive Grace Period Public Licence (the \"License\") applies to any\noriginal work of authorship (the \"Original Work\") whose owner (the\n\"Licensor\") has placed the following licensing notice adjacent to the\ncopyright notice for the Original Work:\n\n *Licensed under the Transitive Grace Period Public Licence version 1.0*\n\n1.  **Grant of Copyright License.** Licensor grants You a worldwide,\n	royalty-free, non-exclusive, sublicensable license, for the duration of\n	the copyright, to do the following:\n\n	a. to reproduce the Original Work in copies, either alone or as part of a\n	   collective work;\n\n	b. to translate, adapt, alter, transform, modify, or arrange the Original\n	   Work, thereby creating derivative works (\"Derivative Works\") based upon\n	   the Original Work;\n\n	c. to distribute or communicate copies of the Original Work and Derivative\n	   Works to the public, with the proviso that copies of Original Work or\n	   Derivative Works that You distribute or communicate shall be licensed\n	   under this Transitive Grace Period Public Licence no later than 12\n	   months after You distributed or communicated said copies;\n\n	d. to perform the Original Work publicly; and\n\n	e. to display the Original Work publicly.\n\n2.  **Grant of Patent License.** Licensor grants You a worldwide,\n	royalty-free, non-exclusive, sublicensable license, under patent claims\n	owned or controlled by the Licensor that are embodied in the Original\n	Work as furnished by the Licensor, for the duration of the patents, to\n	make, use, sell, offer for sale, have made, and import the Original Work\n	and Derivative Works.\n\n3.  **Grant of Source Code License.** The term \"Source Code\" means the\n	preferred form of the Original Work for making modifications to it and\n	all available documentation describing how to modify the Original\n	Work. Licensor agrees to provide a machine-readable copy of the Source\n	Code of the Original Work along with each copy of the Original Work that\n	Licensor distributes. Licensor reserves the right to satisfy this\n	obligation by placing a machine-readable copy of the Source Code in an\n	information repository reasonably calculated to permit inexpensive and\n	convenient access by You for as long as Licensor continues to distribute\n	the Original Work.\n\n4.  **Exclusions From License Grant.** Neither the names of Licensor, nor the\n	names of any contributors to the Original Work, nor any of their\n	trademarks or service marks, may be used to endorse or promote products\n	derived from this Original Work without express prior permission of the\n	Licensor. Except as expressly stated herein, nothing in this License\n	grants any license to Licensor's trademarks, copyrights, patents, trade\n	secrets or any other intellectual property. No patent license is granted\n	to make, use, sell, offer for sale, have made, or import embodiments of\n	any patent claims other than the licensed claims defined in Section 2. No\n	license is granted to the trademarks of Licensor even if such marks are\n	included in the Original Work. Nothing in this License shall be\n	interpreted to prohibit Licensor from licensing under terms different\n	from this License any Original Work that Licensor otherwise would have a\n	right to license.\n\n5.  **External Deployment.** The term \"External Deployment\" means the use,\n	distribution, or communication of the Original Work or Derivative Works\n	in any way such that the Original Work or Derivative Works may be used by\n	anyone other than You, whether those works are distributed or\n	communicated to those persons or made available as an application\n	intended for use over a network. As an express condition for the grants\n	of license hereunder, You must treat any External Deployment by You of\n	the Original Work or a Derivative Work as a distribution under section\n	1(c).\n\n6.  **Attribution Rights.** You must retain, in the Source Code of any\n	Derivative Works that You create, all copyright, patent, or trademark\n	notices from the Source Code of the Original Work, as well as any notices\n	of licensing and any descriptive text identified therein as an\n	\"Attribution Notice.\" You must cause the Source Code for any Derivative\n	Works that You create to carry a prominent Attribution Notice reasonably\n	calculated to inform recipients that You have modified the Original Work.\n\n7.  **Warranty of Provenance and Disclaimer of Warranty.** Licensor warrants\n	that the copyright in and to the Original Work and the patent rights\n	granted herein by Licensor are owned by the Licensor or are sublicensed\n	to You under the terms of this License with the permission of the\n	contributor(s) of those copyrights and patent rights. Except as expressly\n	stated in the immediately preceding sentence, the Original Work is\n	provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY,\n	either express or implied, including, without limitation, the warranties\n	of non-infringement, merchantability or fitness for a particular\n	purpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH\n	YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this\n	License. No license to the Original Work is granted by this License\n	except under this disclaimer.\n\n8.  **Limitation of Liability.** Under no circumstances and under no legal\n	theory, whether in tort (including negligence), contract, or otherwise,\n	shall the Licensor be liable to anyone for any indirect, special,\n	incidental, or consequential damages of any character arising as a result\n	of this License or the use of the Original Work including, without\n	limitation, damages for loss of goodwill, work stoppage, computer failure\n	or malfunction, or any and all other commercial damages or losses. This\n	limitation of liability shall not apply to the extent applicable law\n	prohibits such limitation.\n\n9.  **Acceptance and Termination.** If, at any time, You expressly assented\n	to this License, that assent indicates your clear and irrevocable\n	acceptance of this License and all of its terms and conditions. If You\n	distribute or communicate copies of the Original Work or a Derivative\n	Work, You must make a reasonable effort under the circumstances to obtain\n	the express assent of recipients to the terms of this License. This\n	License conditions your rights to undertake the activities listed in\n	Section 1, including your right to create Derivative Works based upon the\n	Original Work, and doing so without honoring these terms and conditions\n	is prohibited by copyright law and international treaty. Nothing in this\n	License is intended to affect copyright exceptions and limitations\n	(including 'fair use' or 'fair dealing'). This License shall terminate\n	immediately and You may no longer exercise any of the rights granted to\n	You by this License upon your failure to honor the conditions in Section\n	1(c).\n\n10. **Termination for Patent Action.** This License shall terminate\n	automatically and You may no longer exercise any of the rights granted to\n	You by this License as of the date You commence an action, including a\n	cross-claim or counterclaim, against Licensor or any licensee alleging\n	that the Original Work infringes a patent. This termination provision\n	shall not apply for an action alleging patent infringement by\n	combinations of the Original Work with other software or hardware.\n\n11. **Jurisdiction, Venue and Governing Law.** Any action or suit relating to\n	this License may be brought only in the courts of a jurisdiction wherein\n	the Licensor resides or in which Licensor conducts its primary business,\n	and under the laws of that jurisdiction excluding its conflict-of-law\n	provisions. The application of the United Nations Convention on Contracts\n	for the International Sale of Goods is expressly excluded. Any use of the\n	Original Work outside the scope of this License or after its termination\n	shall be subject to the requirements and penalties of copyright or patent\n	law in the appropriate jurisdiction. This section shall survive the\n	termination of this License.\n\n12. **Attorneys' Fees.** In any action to enforce the terms of this License\n	or seeking damages relating thereto, the prevailing party shall be\n	entitled to recover its costs and expenses, including, without\n	limitation, reasonable attorneys' fees and costs incurred in connection\n	with such action, including any appeal of such action. This section shall\n	survive the termination of this License.\n\n13. **Miscellaneous.** If any provision of this License is held to be\n	unenforceable, such provision shall be reformed only to the extent\n	necessary to make it enforceable.\n\n14. **Definition of \"You\" in This License.** \"You\" throughout this License,\n	whether in upper or lower case, means an individual or a legal entity\n	exercising rights under, and complying with all of the terms of, this\n	License. For legal entities, \"You\" includes any entity that controls, is\n	controlled by, or is under common control with you. For purposes of this\n	definition, \"control\" means (i) the power, direct or indirect, to cause\n	the direction or management of such entity, whether by contract or\n	otherwise, or (ii) ownership of fifty percent (50%) or more of the\n	outstanding shares, or (iii) beneficial ownership of such entity.\n\n15. **Right to Use.** You may use the Original Work in all ways not otherwise\n	restricted or conditioned by this License or by law, and Licensor\n	promises not to interfere with or be responsible for such uses by You.\n\n16. **Modification of This License.** This License is Copyright \u00a9 2007 Zooko\n	Wilcox-O'Hearn. Permission is granted to copy, distribute, or communicate\n	this License without modification. Nothing in this License permits You to\n	modify this License as applied to the Original Work or to Derivative\n	Works. However, You may modify the text of this License and copy,\n	distribute or communicate your modified version (the \"Modified License\")\n	and apply it to other original works of authorship subject to the\n	following conditions: (i) You may not indicate in any way that your\n	Modified License is the \"Transitive Grace Period Public Licence\" or\n	\"TGPPL\" and you may not use those names in the name of your Modified\n	License; and (ii) You must replace the notice specified in the first\n	paragraph above with the notice \"Licensed under <insert your license name\n	here>\" or with a notice of your own that is not confusingly similar to\n	the notice in this License.\n"
		self.standardLicenseHeaderTemplate = "*Licensed under the Transitive Grace Period Public Licence version 1.0*\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>=======================================================\n\nTransitive Grace Period Public Licence (\"TGPPL\") v. 1.0\n\n=======================================================\n\n<<endOptional>>\n\nThis Transitive Grace Period Public Licence (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following licensing notice adjacent to the copyright notice for the Original Work:\n\n*Licensed under the Transitive Grace Period Public Licence version 1.0*\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> **Grant of Copyright License.** Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, for the duration of the copyright, to do the following:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Original Work in copies, either alone or as part of a collective work;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to translate, adapt, alter, transform, modify, or arrange the Original Work, thereby creating derivative works (\"Derivative Works\") based upon the Original Work;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to distribute or communicate copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work or Derivative Works that You distribute or communicate shall be licensed under this Transitive Grace Period Public Licence no later than 12 months after You distributed or communicated said copies;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to perform the Original Work publicly; and\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> to display the Original Work publicly.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> **Grant of Patent License.** Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, for the duration of the patents, to make, use, sell, offer for sale, have made, and import the Original Work and Derivative Works.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> **Grant of Source Code License.** The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> **Exclusions From License Grant.** Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior permission of the Licensor. Except as expressly stated herein, nothing in this License grants any license to Licensor's trademarks, copyrights, patents, trade secrets or any other intellectual property. No patent license is granted to make, use, sell, offer for sale, have made, or import embodiments of any patent claims other than the licensed claims defined in Section 2. No license is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under terms different from this License any Original Work that Licensor otherwise would have a right to license.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> **External Deployment.** The term \"External Deployment\" means the use, distribution, or communication of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether those works are distributed or communicated to those persons or made available as an application intended for use over a network. As an express condition for the grants of license hereunder, You must treat any External Deployment by You of the Original Work or a Derivative Work as a distribution under section 1(c).\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> **Attribution Rights.** You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent, or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> **Warranty of Provenance and Disclaimer of Warranty.** Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights. Except as expressly stated in the immediately preceding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of non-infringement, merchantability or fitness for a particular purpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to the Original Work is granted by this License except under this disclaimer.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> **Limitation of Liability.** Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to anyone for any indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to the extent applicable law prohibits such limitation.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> **Acceptance and Termination.** If, at any time, You expressly assented to this License, that assent indicates your clear and irrevocable acceptance of this License and all of its terms and conditions. If You distribute or communicate copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. This License conditions your rights to undertake the activities listed in Section 1, including your right to create Derivative Works based upon the Original Work, and doing so without honoring these terms and conditions is prohibited by copyright law and international treaty. Nothing in this License is intended to affect copyright exceptions and limitations (including 'fair use' or 'fair dealing'). This License shall terminate immediately and You may no longer exercise any of the rights granted to You by this License upon your failure to honor the conditions in Section 1(c).\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> **Termination for Patent Action.** This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, against Licensor or any licensee alleging that the Original Work infringes a patent. This termination provision shall not apply for an action alleging patent infringement by combinations of the Original Work with other software or hardware.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> **Jurisdiction, Venue and Governing Law.** Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of copyright or patent law in the appropriate jurisdiction. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> **Attorneys' Fees.** In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> **Miscellaneous.** If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> **Definition of \"You\" in This License.** \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> **Right to Use.** You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> **Modification of This License.** This License is Copyright \u00a9 2007 Zooko Wilcox-O'Hearn. Permission is granted to copy, distribute, or communicate this License without modification. Nothing in this License permits You to modify this License as applied to the Original Work or to Derivative Works. However, You may modify the text of this License and copy, distribute or communicate your modified version (the \"Modified License\") and apply it to other original works of authorship subject to the following conditions: (i) You may not indicate in any way that your Modified License is the \"Transitive Grace Period Public Licence\" or \"TGPPL\" and you may not use those names in the name of your Modified License; and (ii) You must replace the notice specified in the first paragraph above with the notice \"Licensed under <insert your license name here>\" or with a notice of your own that is not confusingly similar to the notice in this License."
		self.name = "Transitive Grace Period Public Licence 1.0"
		self.licenseId = "TGPPL-1.0"
		self.standardLicenseHeader = "*Licensed under the Transitive Grace Period Public Licence version 1.0*\n\n"
		self.crossRef = [{"match": "False", "url": "https://tahoe-lafs.org/trac/tahoe-lafs/browser/trunk/COPYING.TGPPL.rst", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:21Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/TGPPL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:22Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/TGPPL", "https://tahoe-lafs.org/trac/tahoe-lafs/browser/trunk/COPYING.TGPPL.rst"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"optional-license-text\"> \n			<p>\n			   =======================================================<br />\n\n			   Transitive Grace Period Public Licence (&quot;TGPPL&quot;) v. 1.0<br />\n\n			   =======================================================<br />\n\n			</p>\n\n		 </div>\n		 <p>\n			This Transitive Grace Period Public Licence (the &quot;License&quot;)\n			applies to any original work of authorship (the &quot;Original Work&quot;)\n			whose owner (the &quot;Licensor&quot;) has placed the following licensing\n			notice adjacent to the copyright notice for the Original Work:\n		 </p>\n\n			<p>\n			   *Licensed under the Transitive Grace\n			   Period Public Licence version 1.0*\n			</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   **Grant of Copyright License.** Licensor grants You a\n			   worldwide, royalty-free, non-exclusive, sublicensable license,\n			   for the duration of the copyright, to do the following:\n			   \n<ul style=\"list-style:none\">\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> a.</var>\n					 to reproduce the Original Work in copies,\n					 either alone or as part of a collective work;\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> b.</var>\n					 to translate, adapt, alter, transform, modify, or\n					 arrange the Original Work, thereby creating derivative\n					 works (&quot;Derivative Works&quot;) based upon the Original Work;\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> c.</var>\n					 to distribute or communicate copies of the Original Work\n					 and Derivative Works to the public, with the proviso\n					 that copies of Original Work or Derivative Works that You\n					 distribute or communicate shall be licensed under this\n					 Transitive Grace Period Public Licence no later than 12\n					 months after You distributed or communicated said copies;\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> d.</var>\n					 to perform the Original Work publicly; and\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> e.</var>\n					 to display the Original Work publicly.\n				  </li>\n			   \n</ul>\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   **Grant of Patent License.** Licensor grants You a worldwide,\n			   royalty-free, non-exclusive, sublicensable license, under patent\n			   claims owned or controlled by the Licensor that are embodied\n			   in the Original Work as furnished by the Licensor, for the\n			   duration of the patents, to make, use, sell, offer for sale,\n			   have made, and import the Original Work and Derivative Works.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   **Grant of Source Code License.** The term &quot;Source Code&quot;\n			   means the preferred form of the Original Work for making\n			   modifications to it and all available documentation describing\n			   how to modify the Original Work. Licensor agrees to provide\n			   a machine-readable copy of the Source Code of the Original\n			   Work along with each copy of the Original Work that Licensor\n			   distributes. Licensor reserves the right to satisfy this\n			   obligation by placing a machine-readable copy of the Source\n			   Code in an information repository reasonably calculated\n			   to permit inexpensive and convenient access by You for as\n			   long as Licensor continues to distribute the Original Work.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   **Exclusions From License Grant.** Neither the names of Licensor,\n			   nor the names of any contributors to the Original Work, nor any\n			   of their trademarks or service marks, may be used to endorse\n			   or promote products derived from this Original Work without\n			   express prior permission of the Licensor. Except as expressly\n			   stated herein, nothing in this License grants any license to\n			   Licensor&apos;s trademarks, copyrights, patents, trade secrets or\n			   any other intellectual property. No patent license is granted to\n			   make, use, sell, offer for sale, have made, or import embodiments\n			   of any patent claims other than the licensed claims defined in\n			   Section 2. No license is granted to the trademarks of Licensor\n			   even if such marks are included in the Original Work. Nothing\n			   in this License shall be interpreted to prohibit Licensor from\n			   licensing under terms different from this License any Original\n			   Work that Licensor otherwise would have a right to license.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   **External Deployment.** The term &quot;External Deployment&quot; means\n			   the use, distribution, or communication of the Original Work\n			   or Derivative Works in any way such that the Original Work or\n			   Derivative Works may be used by anyone other than You, whether\n			   those works are distributed or communicated to those persons or\n			   made available as an application intended for use over a network.\n			   As an express condition for the grants of license hereunder,\n			   You must treat any External Deployment by You of the Original\n			   Work or a Derivative Work as a distribution under section 1(c).\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 6.</var>\n			   **Attribution Rights.** You must retain, in the Source Code of\n			   any Derivative Works that You create, all copyright, patent,\n			   or trademark notices from the Source Code of the Original Work,\n			   as well as any notices of licensing and any descriptive text\n			   identified therein as an &quot;Attribution Notice.&quot; You must cause\n			   the Source Code for any Derivative Works that You create to\n			   carry a prominent Attribution Notice reasonably calculated to\n			   inform recipients that You have modified the Original Work.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 7.</var>\n			   **Warranty of Provenance and Disclaimer of Warranty.** Licensor\n			   warrants that the copyright in and to the Original Work\n			   and the patent rights granted herein by Licensor are owned\n			   by the Licensor or are sublicensed to You under the terms\n			   of this License with the permission of the contributor(s)\n			   of those copyrights and patent rights. Except as expressly\n			   stated in the immediately preceding sentence, the Original\n			   Work is provided under this License on an &quot;AS IS&quot; BASIS\n			   and WITHOUT WARRANTY, either express or implied, including,\n			   without limitation, the warranties of non-infringement,\n			   merchantability or fitness for a particular purpose. THE\n			   ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH\n			   YOU. This DISCLAIMER OF WARRANTY constitutes an essential\n			   part of this License. No license to the Original Work\n			   is granted by this License except under this disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 8.</var>\n			   **Limitation of Liability.** Under no circumstances and under\n			   no legal theory, whether in tort (including negligence),\n			   contract, or otherwise, shall the Licensor be liable to\n			   anyone for any indirect, special, incidental, or consequential\n			   damages of any character arising as a result of this License\n			   or the use of the Original Work including, without limitation,\n			   damages for loss of goodwill, work stoppage, computer failure\n			   or malfunction, or any and all other commercial damages\n			   or losses. This limitation of liability shall not apply\n			   to the extent applicable law prohibits such limitation.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 9.</var>\n			   **Acceptance and Termination.** If, at any time, You expressly\n			   assented to this License, that assent indicates your clear\n			   and irrevocable acceptance of this License and all of its\n			   terms and conditions. If You distribute or communicate\n			   copies of the Original Work or a Derivative Work, You must\n			   make a reasonable effort under the circumstances to obtain\n			   the express assent of recipients to the terms of this\n			   License. This License conditions your rights to undertake\n			   the activities listed in Section 1, including your right\n			   to create Derivative Works based upon the Original Work,\n			   and doing so without honoring these terms and conditions is\n			   prohibited by copyright law and international treaty. Nothing\n			   in this License is intended to affect copyright exceptions\n			   and limitations (including &apos;fair use&apos; or &apos;fair dealing&apos;).\n			   This License shall terminate immediately and You may no longer\n			   exercise any of the rights granted to You by this License\n			   upon your failure to honor the conditions in Section 1(c).\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 10.</var>\n			   **Termination for Patent Action.** This License shall terminate\n			   automatically and You may no longer exercise any of the rights\n			   granted to You by this License as of the date You commence\n			   an action, including a cross-claim or counterclaim, against\n			   Licensor or any licensee alleging that the Original Work\n			   infringes a patent. This termination provision shall not apply\n			   for an action alleging patent infringement by combinations\n			   of the Original Work with other software or hardware.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 11.</var>\n			   **Jurisdiction, Venue and Governing Law.** Any action or suit\n			   relating to this License may be brought only in the courts\n			   of a jurisdiction wherein the Licensor resides or in which\n			   Licensor conducts its primary business, and under the laws of\n			   that jurisdiction excluding its conflict-of-law provisions. The\n			   application of the United Nations Convention on Contracts for\n			   the International Sale of Goods is expressly excluded. Any use of\n			   the Original Work outside the scope of this License or after its\n			   termination shall be subject to the requirements and penalties\n			   of copyright or patent law in the appropriate jurisdiction.\n			   This section shall survive the termination of this License.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 12.</var>\n			   **Attorneys&apos; Fees.** In any action to enforce the terms\n			   of this License or seeking damages relating thereto, the\n			   prevailing party shall be entitled to recover its costs\n			   and expenses, including, without limitation, reasonable\n			   attorneys&apos; fees and costs incurred in connection with\n			   such action, including any appeal of such action. This\n			   section shall survive the termination of this License.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.</var>\n			   **Miscellaneous.** If any provision of this License is\n			   held to be unenforceable, such provision shall be reformed\n			   only to the extent necessary to make it enforceable.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 14.</var>\n			   **Definition of &quot;You&quot; in This License.** &quot;You&quot; throughout this\n			   License, whether in upper or lower case, means an individual or\n			   a legal entity exercising rights under, and complying with all\n			   of the terms of, this License. For legal entities, &quot;You&quot; includes\n			   any entity that controls, is controlled by, or is under common\n			   control with you. For purposes of this definition, &quot;control&quot;\n			   means (i) the power, direct or indirect, to cause the direction\n			   or management of such entity, whether by contract or otherwise,\n			   or (ii) ownership of fifty percent (50%) or more of the\n			   outstanding shares, or (iii) beneficial ownership of such entity.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 15.</var>\n			   **Right to Use.** You may use the Original Work in\n			   all ways not otherwise restricted or conditioned by\n			   this License or by law, and Licensor promises not to\n			   interfere with or be responsible for such uses by You.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 16.</var>\n			   **Modification of This License.** This License is Copyright\n			   \u00a9 2007 Zooko Wilcox-O&apos;Hearn. Permission is granted to copy,\n			   distribute, or communicate this License without modification.\n			   Nothing in this License permits You to modify this License\n			   as applied to the Original Work or to Derivative Works.\n			   However, You may modify the text of this License and\n			   copy, distribute or communicate your modified version (the\n			   &quot;Modified License&quot;) and apply it to other original works of\n			   authorship subject to the following conditions: (i) You may\n			   not indicate in any way that your Modified License is the\n			   &quot;Transitive Grace Period Public Licence&quot; or &quot;TGPPL&quot; and you\n			   may not use those names in the name of your Modified License;\n			   and (ii) You must replace the notice specified in the first\n			   paragraph above with the notice &quot;Licensed under &lt;insert\n			   your license name here&gt;&quot; or with a notice of your own that\n			   is not confusingly similar to the notice in this License.\n			</li>\n		 \n</ul>\n	  "
		self.standardLicenseHeaderHtml = "\n			<p>\n			   *Licensed under the Transitive Grace\n			   Period Public Licence version 1.0*\n			</p>\n\n		 "
		self.python_name = "TGPPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class NPOSL30:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Non-Profit Open Software License 3.0\n\nThis Non-Profit Open Software License (\"Non-Profit OSL\") version 3.0 (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following licensing notice adjacent to the copyright notice for the Original Work:\n\n	 Licensed under the Non-Profit Open Software License version 3.0\n\n1) Grant of Copyright License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, for the duration of the copyright, to do the following:\n\n	 a) to reproduce the Original Work in copies, either alone or as part of a collective work;\n\n	 b) to translate, adapt, alter, transform, modify, or arrange the Original Work, thereby creating derivative works (\"Derivative Works\") based upon the Original Work;\n\n	 c) to distribute or communicate copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work or Derivative Works that You distribute or communicate shall be licensed under this Non-Profit Open Software License or as provided in section 17(d);\n\n	 d) to perform the Original Work publicly; and\n\n	 e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, for the duration of the patents, to make, use, sell, offer for sale, have made, and import the Original Work and Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work.\n\n4) Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior permission of the Licensor. Except as expressly stated herein, nothing in this License grants any license to Licensor's trademarks, copyrights, patents, trade secrets or any other intellectual property. No patent license is granted to make, use, sell, offer for sale, have made, or import embodiments of any patent claims other than the licensed claims defined in Section 2. No license is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under terms different from this License any Original Work that Licensor otherwise would have a right to license.\n\n5) External Deployment. The term \"External Deployment\" means the use, distribution, or communication of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether those works are distributed or communicated to those persons or made available as an application intended for use over a network. As an express condition for the grants of license hereunder, You must treat any External Deployment by You of the Original Work or a Derivative Work as a distribution under section 1(c).\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent, or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. The Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of non-infringement, merchantability or fitness for a particular purpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to the Original Work is granted by this License except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to anyone for any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to the extent applicable law prohibits such limitation.\n\n9) Acceptance and Termination. If, at any time, You expressly assented to this License, that assent indicates your clear and irrevocable acceptance of this License and all of its terms and conditions. If You distribute or communicate copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. This License conditions your rights to undertake the activities listed in Section 1, including your right to create Derivative Works based upon the Original Work, and doing so without honoring these terms and conditions is prohibited by copyright law and international treaty. Nothing in this License is intended to affect copyright exceptions and limitations (including \"fair use\" or \"fair dealing\"). This License shall terminate immediately and You may no longer exercise any of the rights granted to You by this License upon your failure to honor the conditions in Section 1(c).\n\n10) Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, against Licensor or any licensee alleging that the Original Work infringes a patent. This termination provision shall not apply for an action alleging patent infringement by combinations of the Original Work with other software or hardware.\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of copyright or patent law in the appropriate jurisdiction. This section shall survive the termination of this License.\n\n12) Attorneys' Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n13) Miscellaneous. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\n16) Modification of This License. This License is Copyright \u00a9 2005 Lawrence Rosen. Permission is granted to copy, distribute, or communicate this License without modification. Nothing in this License permits You to modify this License as applied to the Original Work or to Derivative Works. However, You may modify the text of this License and copy, distribute or communicate your modified version (the \"Modified License\") and apply it to other original works of authorship subject to the following conditions: (i) You may not indicate in any way that your Modified License is the \"Open Software License\" or \"OSL\" and you may not use those names in the name of your Modified License; (ii) You must replace the notice specified in the first paragraph above with the notice \"Licensed under <insert your license name here>\" or with a notice of your own that is not confusingly similar to the notice in this License; and (iii) You may not claim that your original works are open source software unless your Modified License has been approved by Open Source Initiative (OSI) and You comply with its license review and certification process.\n\n17) Non-Profit Amendment. The name of this amended version of the Open Software License (\"OSL 3.0\") is \"Non-Profit Open Software License 3.0\". The original OSL 3.0 license has been amended as follows:\n\n	 (a) Licensor represents and declares that it is a not-for-profit organization that derives no revenue whatsoever from the distribution of the Original Work or Derivative Works thereof, or from support or services relating thereto.\n\n	 (b) The first sentence of Section 7 [\"Warranty of Provenance\"] of OSL 3.0 has been stricken. For Original Works licensed under this Non-Profit OSL 3.0, LICENSOR OFFERS NO WARRANTIES WHATSOEVER.\n\n	 (c) In the first sentence of Section 8 [\"Limitation of Liability\"] of this Non-Profit OSL 3.0, the list of damages for which LIABILITY IS LIMITED now includes \"direct\" damages.\n\n	 (d) The proviso in Section 1(c) of this License now refers to this \"Non-Profit Open Software License\" rather than the \"Open Software License\". You may distribute or communicate the Original Work or Derivative Works thereof under this Non-Profit OSL 3.0 license only if You make the representation and declaration in paragraph (a) of this Section 17. Otherwise, You shall distribute or communicate the Original Work or Derivative Works thereof only under the OSL 3.0 license and You shall publish clear licensing notices so stating. Also by way of clarification, this License does not authorize You to distribute or communicate works under this Non-Profit OSL 3.0 if You received them under the original OSL 3.0 license.\n\n	 (e) Original Works licensed under this license shall reference \"Non-Profit OSL 3.0\" in licensing notices to distinguish them from works licensed under the original OSL 3.0 license.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Non-Profit Open Software License 3.0\n\n<<endOptional>>\n\nThis Non-Profit Open Software License (\"Non-Profit OSL\") version 3.0 (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following licensing notice adjacent to the copyright notice for the Original Work:\n\nLicensed under the Non-Profit Open Software License version 3.0\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Grant of Copyright License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, for the duration of the copyright, to do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> to reproduce the Original Work in copies, either alone or as part of a collective work;\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> to translate, adapt, alter, transform, modify, or arrange the Original Work, thereby creating derivative works (\"Derivative Works\") based upon the Original Work;\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> to distribute or communicate copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work or Derivative Works that You distribute or communicate shall be licensed under this Non-Profit Open Software License or as provided in section 17(d);\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> to perform the Original Work publicly; and\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> to display the Original Work publicly.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Grant of Patent License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, for the duration of the patents, to make, use, sell, offer for sale, have made, and import the Original Work and Derivative Works.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior permission of the Licensor. Except as expressly stated herein, nothing in this License grants any license to Licensor's trademarks, copyrights, patents, trade secrets or any other intellectual property. No patent license is granted to make, use, sell, offer for sale, have made, or import embodiments of any patent claims other than the licensed claims defined in Section 2. No license is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under terms different from this License any Original Work that Licensor otherwise would have a right to license.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> External Deployment. The term \"External Deployment\" means the use, distribution, or communication of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether those works are distributed or communicated to those persons or made available as an application intended for use over a network. As an express condition for the grants of license hereunder, You must treat any External Deployment by You of the Original Work or a Derivative Work as a distribution under section 1(c).\n\n   <<var;name=\"bullet\";original=\"6)\";match=\".{0,20}\">> Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent, or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n   <<var;name=\"bullet\";original=\"7)\";match=\".{0,20}\">> Warranty of Provenance and Disclaimer of Warranty. The Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of non-infringement, merchantability or fitness for a particular purpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to the Original Work is granted by this License except under this disclaimer.\n\n   <<var;name=\"bullet\";original=\"8)\";match=\".{0,20}\">> Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to anyone for any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to the extent applicable law prohibits such limitation.\n\n   <<var;name=\"bullet\";original=\"9)\";match=\".{0,20}\">> Acceptance and Termination. If, at any time, You expressly assented to this License, that assent indicates your clear and irrevocable acceptance of this License and all of its terms and conditions. If You distribute or communicate copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. This License conditions your rights to undertake the activities listed in Section 1, including your right to create Derivative Works based upon the Original Work, and doing so without honoring these terms and conditions is prohibited by copyright law and international treaty. Nothing in this License is intended to affect copyright exceptions and limitations (including \"fair use\" or \"fair dealing\"). This License shall terminate immediately and You may no longer exercise any of the rights granted to You by this License upon your failure to honor the conditions in Section 1(c).\n\n   <<var;name=\"bullet\";original=\"10)\";match=\".{0,20}\">> Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, against Licensor or any licensee alleging that the Original Work infringes a patent. This termination provision shall not apply for an action alleging patent infringement by combinations of the Original Work with other software or hardware.\n\n   <<var;name=\"bullet\";original=\"11)\";match=\".{0,20}\">> Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of copyright or patent law in the appropriate jurisdiction. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"12)\";match=\".{0,20}\">> Attorneys' Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"13)\";match=\".{0,20}\">> Miscellaneous. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n   <<var;name=\"bullet\";original=\"14)\";match=\".{0,20}\">> Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"15)\";match=\".{0,20}\">> Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\n   <<var;name=\"bullet\";original=\"16)\";match=\".{0,20}\">> Modification of This License. This License is Copyright \u00a9 2005 Lawrence Rosen. Permission is granted to copy, distribute, or communicate this License without modification. Nothing in this License permits You to modify this License as applied to the Original Work or to Derivative Works. However, You may modify the text of this License and copy, distribute or communicate your modified version (the \"Modified License\") and apply it to other original works of authorship subject to the following conditions: (i) You may not indicate in any way that your Modified License is the \"Open Software License\" or \"OSL\" and you may not use those names in the name of your Modified License; (ii) You must replace the notice specified in the first paragraph above with the notice \"Licensed under <insert your license name here>\" or with a notice of your own that is not confusingly similar to the notice in this License; and (iii) You may not claim that your original works are open source software unless your Modified License has been approved by Open Source Initiative (OSI) and You comply with its license review and certification process.\n\n   <<var;name=\"bullet\";original=\"17)\";match=\".{0,20}\">> Non-Profit Amendment. The name of this amended version of the Open Software License (\"OSL 3.0\") is \"Non-Profit Open Software License 3.0\". The original OSL 3.0 license has been amended as follows:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Licensor represents and declares that it is a not-for-profit organization that derives no revenue whatsoever from the distribution of the Original Work or Derivative Works thereof, or from support or services relating thereto.\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> The first sentence of Section 7 [\"Warranty of Provenance\"] of OSL 3.0 has been stricken. For Original Works licensed under this Non-Profit OSL 3.0, LICENSOR OFFERS NO WARRANTIES WHATSOEVER.\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> In the first sentence of Section 8 [\"Limitation of Liability\"] of this Non-Profit OSL 3.0, the list of damages for which LIABILITY IS LIMITED now includes \"direct\" damages.\n\n	  <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> The proviso in Section 1(c) of this License now refers to this \"Non-Profit Open Software License\" rather than the \"Open Software License\". You may distribute or communicate the Original Work or Derivative Works thereof under this Non-Profit OSL 3.0 license only if You make the representation and declaration in paragraph (a) of this Section 17. Otherwise, You shall distribute or communicate the Original Work or Derivative Works thereof only under the OSL 3.0 license and You shall publish clear licensing notices so stating. Also by way of clarification, this License does not authorize You to distribute or communicate works under this Non-Profit OSL 3.0 if You received them under the original OSL 3.0 license.\n\n	  <<var;name=\"bullet\";original=\"(e)\";match=\".{0,20}\">> Original Works licensed under this license shall reference \"Non-Profit OSL 3.0\" in licensing notices to distinguish them from works licensed under the original OSL 3.0 license."
		self.name = "Non-Profit Open Software License 3.0"
		self.licenseId = "NPOSL-3.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/NOSL3.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:10:16Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/NOSL3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Non-Profit Open Software License 3.0</p>\n\n	  </div>\n	  <p>This Non-Profit Open Software License (&quot;Non-Profit OSL&quot;) version 3.0 (the &quot;License&quot;)\n		 applies to any original work of authorship (the &quot;Original Work&quot;) whose owner (the\n		 &quot;Licensor&quot;) has placed the following licensing notice adjacent to the copyright notice for\n		 the Original Work:</p>\n\n	  <p>Licensed under the Non-Profit Open Software License version 3.0</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Grant of Copyright License. Licensor grants You a worldwide, royalty-free, non-exclusive,\n			 sublicensable license, for the duration of the copyright, to do the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			to reproduce the Original Work in copies, either alone or as part of a collective work;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			to translate, adapt, alter, transform, modify, or arrange the Original Work, thereby creating\n			   derivative works (&quot;Derivative Works&quot;) based upon the Original Work;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			to distribute or communicate copies of the Original Work and Derivative Works to the public,\n			   with the proviso that copies of Original Work or Derivative Works that You distribute or\n			   communicate shall be licensed under this Non-Profit Open Software License or as provided\n			   in section 17(d);\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			to perform the Original Work publicly; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			to display the Original Work publicly.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Grant of Patent License. Licensor grants You a worldwide, royalty-free, non-exclusive,\n			 sublicensable license, under patent claims owned or controlled by the Licensor that are\n			 embodied in the Original Work as furnished by the Licensor, for the duration of the patents,\n			 to make, use, sell, offer for sale, have made, and import the Original Work and Derivative\n			 Works.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  Grant of Source Code License. The term &quot;Source Code&quot; means the preferred form of the\n			 Original Work for making modifications to it and all available documentation describing how to\n			 modify the Original Work. Licensor agrees to provide a machine-readable copy of the Source\n			 Code of the Original Work along with each copy of the Original Work that Licensor distributes.\n			 Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of\n			 the Source Code in an information repository reasonably calculated to permit inexpensive and\n			 convenient access by You for as long as Licensor continues to distribute the Original\n			 Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors\n			 to the Original Work, nor any of their trademarks or service marks, may be used to endorse or\n			 promote products derived from this Original Work without express prior permission of the\n			 Licensor. Except as expressly stated herein, nothing in this License grants any license to\n			 Licensor&apos;s trademarks, copyrights, patents, trade secrets or any other intellectual\n			 property. No patent license is granted to make, use, sell, offer for sale, have made, or\n			 import embodiments of any patent claims other than the licensed claims defined in Section 2.\n			 No license is granted to the trademarks of Licensor even if such marks are included in the\n			 Original Work. Nothing in this License shall be interpreted to prohibit Licensor from\n			 licensing under terms different from this License any Original Work that Licensor otherwise\n			 would have a right to license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  External Deployment. The term &quot;External Deployment&quot; means the use, distribution, or\n			 communication of the Original Work or Derivative Works in any way such that the Original Work\n			 or Derivative Works may be used by anyone other than You, whether those works are distributed\n			 or communicated to those persons or made available as an application intended for use over a\n			 network. As an express condition for the grants of license hereunder, You must treat any\n			 External Deployment by You of the Original Work or a Derivative Work as a distribution under\n			 section 1(c).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6)</var>\n		  Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create,\n			 all copyright, patent, or trademark notices from the Source Code of the Original Work, as well\n			 as any notices of licensing and any descriptive text identified therein as an\n			 &quot;Attribution Notice.&quot; You must cause the Source Code for any Derivative Works that\n			 You create to carry a prominent Attribution Notice reasonably calculated to inform recipients\n			 that You have modified the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7)</var>\n		  Warranty of Provenance and Disclaimer of Warranty. The Original Work is provided under this\n			 License on an &quot;AS IS&quot; BASIS and WITHOUT WARRANTY, either express or implied,\n			 including, without limitation, the warranties of non-infringement, merchantability or fitness\n			 for a particular purpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU.\n			 This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to the\n			 Original Work is granted by this License except under this disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8)</var>\n		  Limitation of Liability. Under no circumstances and under no legal theory, whether in tort\n			 (including negligence), contract, or otherwise, shall the Licensor be liable to anyone for any\n			 direct, indirect, special, incidental, or consequential damages of any character arising as a\n			 result of this License or the use of the Original Work including, without limitation, damages\n			 for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other\n			 commercial damages or losses. This limitation of liability shall not apply to the extent\n			 applicable law prohibits such limitation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9)</var>\n		  Acceptance and Termination. If, at any time, You expressly assented to this License, that assent\n			 indicates your clear and irrevocable acceptance of this License and all of its terms and\n			 conditions. If You distribute or communicate copies of the Original Work or a Derivative Work,\n			 You must make a reasonable effort under the circumstances to obtain the express assent of\n			 recipients to the terms of this License. This License conditions your rights to undertake the\n			 activities listed in Section 1, including your right to create Derivative Works based upon the\n			 Original Work, and doing so without honoring these terms and conditions is prohibited by\n			 copyright law and international treaty. Nothing in this License is intended to affect\n			 copyright exceptions and limitations (including &quot;fair use&quot; or &quot;fair\n			 dealing&quot;). This License shall terminate immediately and You may no longer exercise any of\n			 the rights granted to You by this License upon your failure to honor the conditions in Section\n			 1(c).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10)</var>\n		  Termination for Patent Action. This License shall terminate automatically and You may no longer\n			 exercise any of the rights granted to You by this License as of the date You commence an\n			 action, including a cross-claim or counterclaim, against Licensor or any licensee alleging\n			 that the Original Work infringes a patent. This termination provision shall not apply for an\n			 action alleging patent infringement by combinations of the Original Work with other software\n			 or hardware.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11)</var>\n		  Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought\n			 only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor\n			 conducts its primary business, and under the laws of that jurisdiction excluding its\n			 conflict-of-law provisions. The application of the United Nations Convention on Contracts for\n			 the International Sale of Goods is expressly excluded. Any use of the Original Work outside\n			 the scope of this License or after its termination shall be subject to the requirements and\n			 penalties of copyright or patent law in the appropriate jurisdiction. This section shall\n			 survive the termination of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12)</var>\n		  Attorneys&apos; Fees. In any action to enforce the terms of this License or seeking damages\n			 relating thereto, the prevailing party shall be entitled to recover its costs and expenses,\n			 including, without limitation, reasonable attorneys&apos; fees and costs incurred in\n			 connection with such action, including any appeal of such action. This section shall survive\n			 the termination of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13)</var>\n		  Miscellaneous. If any provision of this License is held to be unenforceable, such provision shall\n			 be reformed only to the extent necessary to make it enforceable.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14)</var>\n		  Definition of &quot;You&quot; in This License. &quot;You&quot; throughout this License, whether\n			 in upper or lower case, means an individual or a legal entity exercising rights under, and\n			 complying with all of the terms of, this License. For legal entities, &quot;You&quot; includes\n			 any entity that controls, is controlled by, or is under common control with you. For purposes\n			 of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the\n			 direction or management of such entity, whether by contract or otherwise, or (ii) ownership of\n			 fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such\n			 entity.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15)</var>\n		  Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned\n			 by this License or by law, and Licensor promises not to interfere with or be responsible for\n			 such uses by You.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 16)</var>\n		  Modification of This License. This License is Copyright \u00a9 2005 Lawrence Rosen. Permission is\n			 granted to copy, distribute, or communicate this License without modification. Nothing in this\n			 License permits You to modify this License as applied to the Original Work or to Derivative\n			 Works. However, You may modify the text of this License and copy, distribute or communicate\n			 your modified version (the &quot;Modified License&quot;) and apply it to other original works\n			 of authorship subject to the following conditions: (i) You may not indicate in any way that\n			 your Modified License is the &quot;Open Software License&quot; or &quot;OSL&quot; and you may\n			 not use those names in the name of your Modified License; (ii) You must replace the notice\n			 specified in the first paragraph above with the notice &quot;Licensed under &lt;insert your\n			 license name here&gt;&quot; or with a notice of your own that is not confusingly similar to\n			 the notice in this License; and (iii) You may not claim that your original works are open\n			 source software unless your Modified License has been approved by Open Source Initiative (OSI)\n			 and You comply with its license review and certification process.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 17)</var>\n		  Non-Profit Amendment. The name of this amended version of the Open Software License (&quot;OSL\n			 3.0&quot;) is &quot;Non-Profit Open Software License 3.0&quot;. The original OSL 3.0 license\n			 has been amended as follows:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			Licensor represents and declares that it is a not-for-profit organization that derives no\n			   revenue whatsoever from the distribution of the Original Work or Derivative Works thereof,\n			   or from support or services relating thereto.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			The first sentence of Section 7 [&quot;Warranty of Provenance&quot;] of OSL 3.0 has been\n			   stricken. For Original Works licensed under this Non-Profit OSL 3.0, LICENSOR OFFERS NO\n			   WARRANTIES WHATSOEVER.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			In the first sentence of Section 8 [&quot;Limitation of Liability&quot;] of this Non-Profit\n			   OSL 3.0, the list of damages for which LIABILITY IS LIMITED now includes\n			   &quot;direct&quot; damages.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (d)</var>\n			The proviso in Section 1(c) of this License now refers to this &quot;Non-Profit Open Software\n			   License&quot; rather than the &quot;Open Software License&quot;. You may distribute or\n			   communicate the Original Work or Derivative Works thereof under this Non-Profit OSL 3.0\n			   license only if You make the representation and declaration in paragraph (a) of this\n			   Section 17. Otherwise, You shall distribute or communicate the Original Work or Derivative\n			   Works thereof only under the OSL 3.0 license and You shall publish clear licensing notices\n			   so stating. Also by way of clarification, this License does not authorize You to\n			   distribute or communicate works under this Non-Profit OSL 3.0 if You received them under\n			   the original OSL 3.0 license.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (e)</var>\n			Original Works licensed under this license shall reference &quot;Non-Profit OSL 3.0&quot; in\n			   licensing notices to distinguish them from works licensed under the original OSL 3.0\n			   license.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	"
		self.python_name = "NPOSL30"

	def __str__(self):
		return json.dumps(self.__dict__)


class CDLASharing10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Community Data License Agreement \u2013 Sharing \u2013 Version 1.0\n\nThis is the Community Data License Agreement \u2013 Sharing, Version 1.0 (\u201cAgreement\u201d).  Data is provided to You under this Agreement by each of the Data Providers.  Your exercise of any of the rights and permissions granted below constitutes Your acceptance and agreement to be bound by the terms and conditions of this Agreement.\n\nThe benefits that each Data Provider receives from making Data available and that You receive from Data or otherwise under these terms and conditions shall be deemed sufficient consideration for the formation of this Agreement.  Accordingly, Data Provider(s) and You (the \u201cParties\u201d) agree as follows:\n\nSection 1.  Definitions\n\n1.1 \u201cAdd\u201d means to supplement Data with Your own or someone else\u2019s Data, resulting in Your \u201cAdditions.\u201d  Additions do not include Results.\n\n1.2 \u201cComputational Use\u201d means Your analysis (through the use of computational devices or otherwise) or other interpretation of Data.  By way of example and not limitation, \u201cComputational Use\u201d includes the application of any computational analytical technique, the purpose of which is the analysis of any Data in digital form to generate information about Data such as patterns, trends, correlations, inferences, insights and attributes.\n\n1.3 \u201cData\u201d means the information (including copyrightable information, such as images or text), collectively or individually, whether created or gathered by a Data Provider or an Entity acting on its behalf, to which rights are granted under this Agreement.\n\n1.4 \u201cData Provider\u201d means any Entity (including any employee or contractor of such Entity authorized to Publish Data on behalf of such Entity) that Publishes Data under this Agreement prior to Your Receiving it.\n\n1.5 \u201cEnhanced Data\u201d means the subset of Data that You Publish and that is composed of (a) Your Additions and/or (b) Modifications to Data You have received under this Agreement.\n\n1.6 \u201cEntity\u201d means any natural person or organization that exists under the laws of the jurisdiction in which it is organized, together with all other entities that control, are controlled by, or are under common control with that entity.  For the purposes of this definition, \u201ccontrol\u201d means (a) the power, directly or indirectly, to cause the direction or management of such entity, whether by contract or otherwise, (b) the ownership of more than fifty percent (50%) of the outstanding shares or securities, (c) the beneficial ownership of such entity or, (d) the ability to appoint, whether by agreement or right, the majority of directors of an Entity.\n\n1.7 \u201cLedger\u201d means a digital record of Data or grants of rights in Data governed by this Agreement, using any technology having functionality to record and store Data or grants, contributions, or licenses to Data governed by this Agreement.\n\n1.8 \u201cModify\u201d means to delete, erase, correct or re-arrange Data, resulting in \u201cModifications.\u201d  Modifications do not include Results.\n\n1.9 \u201cPublish\u201d means to make all or a subset of Data (including Your Enhanced Data) available in any manner which enables its Use, including by providing a copy on physical media or remote access.  For any form of Entity, that is to make the Data available to any individual who is not employed by that Entity or engaged as a contractor or agent to perform work on that Entity\u2019s behalf.  A \u201cPublication\u201d occurs each time You Publish Data.\n\n1.10 \u201cReceive\u201d or \u201cReceives\u201d means to have been given access to Data, locally or remotely.\n\n1.11 \u201cResults\u201d means the outcomes or outputs that You obtain from Your Computational Use of Data.  Results shall not include more than a de minimis portion of the Data on which the Computational Use is based.\n\n1.12 \u201cSui Generis Database Rights\u201d means rights, other than copyright, resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other equivalent rights anywhere in the world.\n\n1.13 \u201cUse\u201d means using Data (including accessing, copying, studying, reviewing, adapting, analyzing, evaluating, or making Computational Use of it), either by machines or humans, or a combination of both.\n\n1.14 \u201cYou\u201d or \u201cYour\u201d means any Entity that Receives Data under this Agreement.\n\nSection 2.  Right and License to Use and to Publish\n\n2.1 Subject to the conditions set forth in Section 3 of this Agreement, Data Provider(s) hereby grant(s) to You a worldwide, non-exclusive, irrevocable (except as provided in Section 5) right to: (a) Use Data; and (b) Publish Data.\n\n2.2 To the extent that the Data or the coordination, selection or arrangement of Data is protected or protectable under copyright, Sui Generis Database Rights, or other law, Data Provider(s) further agree(s) that such Data or coordination, selection or arrangement is hereby licensed to You and to anyone else who Receives Data under this Agreement for Use and Publication, subject to the conditions set forth in Section 3 of this Agreement.\n\n2.3 Except for these rights and licenses expressly granted, no other intellectual property rights are granted or should be implied.\n\nSection 3.  Conditions on Rights Granted\n\n3.1 If You Publish Data You Receive or Enhanced Data:\n\n(a) The Data (including the Enhanced Data) must be Published under this Agreement in accordance with this Section 3; and\n\n(b) You must cause any Data files containing Enhanced Data to carry prominent notices that You have changed those files; and\n\n(c) If You Publish Data You Receive, You must preserve all credit or attribution to the Data Provider(s). Such retained credit or attribution includes any of the following to the extent they exist in Data as You have Received it: legal notices or metadata; identification of the Data Provider(s); or hyperlinks to Data to the extent it is practical to do so.\n\n3.2 You may not restrict or deter the ability of anyone who Receives the Data (a) to Publish the Data in a publicly-accessible manner or (b) if the project has designated a Ledger for recording Data or grants of rights in Data for purposes of this Agreement, to record the Data or grants of rights in Data in the Ledger.\n\n3.3 If You Publish Data You Receive, You must do so under an unmodified form of this Agreement and include the text of this Agreement, the name of this Agreement and/or a hyperlink or other method reasonably likely to provide a copy of the text of this Agreement.  You may not modify this Agreement or impose any further restrictions on the exercise of the rights granted under this Agreement, including by adding any restriction on commercial or non-commercial Use of Data (including Your Enhanced Data) or by limiting permitted Use of such Data to any particular platform, technology or field of endeavor.  Notices that purport to modify this Agreement shall be of no effect.\n\n3.4 You and each Data Provider agree that Enhanced Data shall not be considered a work of joint authorship by virtue of its relationship to Data licensed under this Agreement and shall not require either any obligation of accounting to or the consent of any Data Provider.\n\n3.5 This Agreement imposes no obligations or restrictions on Your Use or Publication of Results.\n\nSection 4.  Data Provider(s)\u2019 Representations\n\n4.1 Each Data Provider represents that the Data Provider has exercised reasonable care, to assure that: (a) the Data it Publishes was created or generated by it or was obtained from others with the right to Publish the Data under this Agreement; and (b) Publication of such Data does not violate any privacy or confidentiality obligation undertaken by the Data Provider.\n\nSection 5.  Termination\n\n5.1 All of Your rights under this Agreement will terminate, and Your right to Receive, Use or Publish the Data will be revoked or modified if You materially fail to comply with the terms and conditions of this Agreement and You do not cure such failure in a reasonable period of time after becoming aware of such noncompliance.  If Your rights under this Agreement terminate, You agree to cease Receipt, Use and Publication of Data.  However, Your obligations and any rights and permissions granted by You under this Agreement relating to Data that You Published prior to such termination will continue and survive.\n\n5.2 If You institute litigation against a Data Provider or anyone else who Receives the Data (including a cross-claim in a lawsuit) based on the Data, other than a claim asserting breach of this Agreement, then any rights previously granted to You to Receive, Use and Publish Data under this Agreement will terminate as of the date such litigation is filed.\n\nSection 6.  Disclaimer of Warranties and Limitation of Liability\n\n6.1 EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE DATA (INCLUDING ENHANCED DATA) IS PROVIDED ON AN \u201cAS IS\u201d BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n\n6.2 NEITHER YOU NOR ANY DATA PROVIDERS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE DATA OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nSection 7.  Miscellaneous\n\n7.1 You agree that it is solely Your responsibility to comply with all applicable laws with regard to Your Use or Publication of Data, including any applicable privacy, data protection, security and export laws.  You agree to take reasonable steps to assist a Data Provider fulfilling responsibilities to comply with applicable laws with regard to Use or Publication of Data Received hereunder.\n\n7.2 You and Data Provider(s), collectively and individually, waive and/or agree not to assert, to the extent permitted by law, any moral rights You or they hold in Data.\n\n7.3 This Agreement confers no rights or remedies upon any person or entity other than the Parties and their respective heirs, executors, successors and assigns.\n\n7.4 The Data Provider(s) reserve no right or expectation of privacy, data protection or confidentiality in any Data that they Publish under this Agreement.  If You choose to Publish Data under this Agreement, You similarly do so with no reservation or expectation of any rights of privacy or confidentiality in that Data.\n\n7.5 The Community Data License Agreement workgroup under The Linux Foundation is the steward of this Agreement (\u201cSteward\u201d).  No one other than the Steward has the right to modify or publish new versions of this Agreement.  Each version will be given a distinguishing version number.  You may Use and Publish Data Received hereunder under the terms of the version of the Agreement under which You originally Received the Data, or under the terms of any subsequent version published by the Steward.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Community Data License Agreement - Sharing - Version 1.0\n\n<<endOptional>>\n\nThis is the Community Data License Agreement - Sharing, Version 1.0 (\"Agreement\"). Data is provided to You under this Agreement by each of the Data Providers. Your exercise of any of the rights and permissions granted below constitutes Your acceptance and agreement to be bound by the terms and conditions of this Agreement.\n\nThe benefits that each Data Provider receives from making Data available and that You receive from Data or otherwise under these terms and conditions shall be deemed sufficient consideration for the formation of this Agreement. Accordingly, Data Provider(s) and You (the \"Parties\") agree as follows:\n\n   <<var;name=\"bullet\";original=\"Section 1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Add\" means to supplement Data with Your own or someone else's Data, resulting in Your \"Additions.\" Additions do not include Results.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Computational Use\" means Your analysis (through the use of computational devices or otherwise) or other interpretation of Data. By way of example and not limitation, \"Computational Use\" includes the application of any computational analytical technique, the purpose of which is the analysis of any Data in digital form to generate information about Data such as patterns, trends, correlations, inferences, insights and attributes.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Data\" means the information (including copyrightable information, such as images or text), collectively or individually, whether created or gathered by a Data Provider or an Entity acting on its behalf, to which rights are granted under this Agreement.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Data Provider\" means any Entity (including any employee or contractor of such Entity authorized to Publish Data on behalf of such Entity) that Publishes Data under this Agreement prior to Your Receiving it.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Enhanced Data\" means the subset of Data that You Publish and that is composed of (a) Your Additions and/or (b) Modifications to Data You have received under this Agreement.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"Entity\" means any natural person or organization that exists under the laws of the jurisdiction in which it is organized, together with all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, \"control\" means (a) the power, directly or indirectly, to cause the direction or management of such entity, whether by contract or otherwise, (b) the ownership of more than fifty percent (50%) of the outstanding shares or securities, (c) the beneficial ownership of such entity or, (d) the ability to appoint, whether by agreement or right, the majority of directors of an Entity.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"Ledger\" means a digital record of Data or grants of rights in Data governed by this Agreement, using any technology having functionality to record and store Data or grants, contributions, or licenses to Data governed by this Agreement.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"Modify\" means to delete, erase, correct or re-arrange Data, resulting in \"Modifications.\" Modifications do not include Results.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"Publish\" means to make all or a subset of Data (including Your Enhanced Data) available in any manner which enables its Use, including by providing a copy on physical media or remote access. For any form of Entity, that is to make the Data available to any individual who is not employed by that Entity or engaged as a contractor or agent to perform work on that Entity's behalf. A \"Publication\" occurs each time You Publish Data.\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> \"Receive\" or \"Receives\" means to have been given access to Data, locally or remotely.\n\n	  <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> \"Results\" means the outcomes or outputs that You obtain from Your Computational Use of Data. Results shall not include more than a de minimis portion of the Data on which the Computational Use is based.\n\n	  <<var;name=\"bullet\";original=\"1.12\";match=\".{0,20}\">> \"Sui Generis Database Rights\" means rights, other than copyright, resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other equivalent rights anywhere in the world.\n\n	  <<var;name=\"bullet\";original=\"1.13\";match=\".{0,20}\">> \"Use\" means using Data (including accessing, copying, studying, reviewing, adapting, analyzing, evaluating, or making Computational Use of it), either by machines or humans, or a combination of both.\n\n	  <<var;name=\"bullet\";original=\"1.14\";match=\".{0,20}\">> \"You\" or \"Your\" means any Entity that Receives Data under this Agreement.\n\n   <<var;name=\"bullet\";original=\"Section 2.\";match=\".{0,20}\">> Right and License to Use and to Publish\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> Subject to the conditions set forth in Section 3 of this Agreement, Data Provider(s) hereby grant(s) to You a worldwide, non-exclusive, irrevocable (except as provided in Section 5) right to: (a) Use Data; and (b) Publish Data.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> To the extent that the Data or the coordination, selection or arrangement of Data is protected or protectable under copyright, Sui Generis Database Rights, or other law, Data Provider(s) further agree(s) that such Data or coordination, selection or arrangement is hereby licensed to You and to anyone else who Receives Data under this Agreement for Use and Publication, subject to the conditions set forth in Section 3 of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> Except for these rights and licenses expressly granted, no other intellectual property rights are granted or should be implied.\n\n   <<var;name=\"bullet\";original=\"Section 3.\";match=\".{0,20}\">> Conditions on Rights Granted\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> If You Publish Data You Receive or Enhanced Data:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> The Data (including the Enhanced Data) must be Published under this Agreement in accordance with this Section 3; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You must cause any Data files containing Enhanced Data to carry prominent notices that You have changed those files; and\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> If You Publish Data You Receive, You must preserve all credit or attribution to the Data Provider(s). Such retained credit or attribution includes any of the following to the extent they exist in Data as You have Received it: legal notices or metadata; identification of the Data Provider(s); or hyperlinks to Data to the extent it is practical to do so.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> You may not restrict or deter the ability of anyone who Receives the Data (a) to Publish the Data in a publicly-accessible manner or (b) if the project has designated a Ledger for recording Data or grants of rights in Data for purposes of this Agreement, to record the Data or grants of rights in Data in the Ledger.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> If You Publish Data You Receive, You must do so under an unmodified form of this Agreement and include the text of this Agreement, the name of this Agreement and/or a hyperlink or other method reasonably likely to provide a copy of the text of this Agreement. You may not modify this Agreement or impose any further restrictions on the exercise of the rights granted under this Agreement, including by adding any restriction on commercial or non-commercial Use of Data (including Your Enhanced Data) or by limiting permitted Use of such Data to any particular platform, technology or field of endeavor. Notices that purport to modify this Agreement shall be of no effect.\n\n	  <<var;name=\"bullet\";original=\"3.4\";match=\".{0,20}\">> You and each Data Provider agree that Enhanced Data shall not be considered a work of joint authorship by virtue of its relationship to Data licensed under this Agreement and shall not require either any obligation of accounting to or the consent of any Data Provider.\n\n	  <<var;name=\"bullet\";original=\"3.5\";match=\".{0,20}\">> This Agreement imposes no obligations or restrictions on Your Use or Publication of Results.\n\n   <<var;name=\"bullet\";original=\"Section 4.\";match=\".{0,20}\">> Data Provider(s)' Representations\n\n	  <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> Each Data Provider represents that the Data Provider has exercised reasonable care, to assure that: (a) the Data it Publishes was created or generated by it or was obtained from others with the right to Publish the Data under this Agreement; and (b) Publication of such Data does not violate any privacy or confidentiality obligation undertaken by the Data Provider.\n\n   <<var;name=\"bullet\";original=\"Section 5.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> All of Your rights under this Agreement will terminate, and Your right to Receive, Use or Publish the Data will be revoked or modified if You materially fail to comply with the terms and conditions of this Agreement and You do not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If Your rights under this Agreement terminate, You agree to cease Receipt, Use and Publication of Data. However, Your obligations and any rights and permissions granted by You under this Agreement relating to Data that You Published prior to such termination will continue and survive.\n\n	  <<var;name=\"bullet\";original=\"5.2\";match=\".{0,20}\">> If You institute litigation against a Data Provider or anyone else who Receives the Data (including a cross-claim in a lawsuit) based on the Data, other than a claim asserting breach of this Agreement, then any rights previously granted to You to Receive, Use and Publish Data under this Agreement will terminate as of the date such litigation is filed.\n\n   <<var;name=\"bullet\";original=\"Section 6.\";match=\".{0,20}\">> Disclaimer of Warranties and Limitation of Liability\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE DATA (INCLUDING ENHANCED DATA) IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> NEITHER YOU NOR ANY DATA PROVIDERS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE DATA OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"Section 7.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> You agree that it is solely Your responsibility to comply with all applicable laws with regard to Your Use or Publication of Data, including any applicable privacy, data protection, security and export laws. You agree to take reasonable steps to assist a Data Provider fulfilling responsibilities to comply with applicable laws with regard to Use or Publication of Data Received hereunder.\n\n	  <<var;name=\"bullet\";original=\"7.2\";match=\".{0,20}\">> You and Data Provider(s), collectively and individually, waive and/or agree not to assert, to the extent permitted by law, any moral rights You or they hold in Data.\n\n	  <<var;name=\"bullet\";original=\"7.3\";match=\".{0,20}\">> This Agreement confers no rights or remedies upon any person or entity other than the Parties and their respective heirs, executors, successors and assigns.\n\n	  <<var;name=\"bullet\";original=\"7.4\";match=\".{0,20}\">> The Data Provider(s) reserve no right or expectation of privacy, data protection or confidentiality in any Data that they Publish under this Agreement. If You choose to Publish Data under this Agreement, You similarly do so with no reservation or expectation of any rights of privacy or confidentiality in that Data.\n\n	  <<var;name=\"bullet\";original=\"7.5\";match=\".{0,20}\">> The Community Data License Agreement workgroup under The Linux Foundation is the steward of this Agreement (\"Steward\"). No one other than the Steward has the right to modify or publish new versions of this Agreement. Each version will be given a distinguishing version number. You may Use and Publish Data Received hereunder under the terms of the version of the Agreement under which You originally Received the Data, or under the terms of any subsequent version published by the Steward."
		self.name = "Community Data License Agreement Sharing 1.0"
		self.licenseId = "CDLA-Sharing-1.0"
		self.crossRef = [{"match": "True", "url": "https://cdla.io/sharing-1-0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:13Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://cdla.io/sharing-1-0"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		Community Data License Agreement - Sharing - Version 1.0\n	  </p>\n\n	</div>\n	<p>\n	  This is the Community Data License Agreement - Sharing, Version\n	  1.0 (&quot;Agreement&quot;). Data is provided to You under this Agreement\n	  by each of the Data Providers. Your exercise of any of the rights\n	  and permissions granted below constitutes Your acceptance and\n	  agreement to be bound by the terms and conditions of this Agreement.\n	</p>\n\n	<p>\n	  The benefits that each Data Provider receives from making\n	  Data available and that You receive from Data or otherwise\n	  under these terms and conditions shall be deemed sufficient\n	  consideration for the formation of this Agreement. Accordingly,\n	  Data Provider(s) and You (the &quot;Parties&quot;) agree as follows:\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> Section 1.</var>\n		Definitions\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.1</var>\n			&quot;Add&quot; means to supplement Data with Your own or someone else&apos;s Data,\n			resulting in Your &quot;Additions.&quot; Additions do not include Results.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.2</var>\n			&quot;Computational Use&quot; means Your analysis (through the use of\n			computational devices or otherwise) or other interpretation\n			of Data. By way of example and not limitation, &quot;Computational\n			Use&quot; includes the application of any computational analytical\n			technique, the purpose of which is the analysis of any Data in\n			digital form to generate information about Data such as patterns,\n			trends, correlations, inferences, insights and attributes.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.3</var>\n			&quot;Data&quot; means the information (including copyrightable information,\n			such as images or text), collectively or individually, whether\n			created or gathered by a Data Provider or an Entity acting on\n			its behalf, to which rights are granted under this Agreement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.4</var>\n			&quot;Data Provider&quot; means any Entity (including any\n			employee or contractor of such Entity authorized to\n			Publish Data on behalf of such Entity) that Publishes\n			Data under this Agreement prior to Your Receiving it.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.5</var>\n			&quot;Enhanced Data&quot; means the subset of Data that You Publish\n			and that is composed of (a) Your Additions and/or (b)\n			Modifications to Data You have received under this Agreement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.6</var>\n			&quot;Entity&quot; means any natural person or organization that exists under\n			the laws of the jurisdiction in which it is organized, together\n			with all other entities that control, are controlled by, or are\n			under common control with that entity. For the purposes of this\n			definition, &quot;control&quot; means (a) the power, directly or indirectly,\n			to cause the direction or management of such entity, whether by\n			contract or otherwise, (b) the ownership of more than fifty percent\n			(50%) of the outstanding shares or securities, (c) the beneficial\n			ownership of such entity or, (d) the ability to appoint, whether\n			by agreement or right, the majority of directors of an Entity.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.7</var>\n			&quot;Ledger&quot; means a digital record of Data or grants of rights\n			in Data governed by this Agreement, using any technology\n			having functionality to record and store Data or grants,\n			contributions, or licenses to Data governed by this Agreement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.8</var>\n			&quot;Modify&quot; means to delete, erase, correct or re-arrange Data,\n			resulting in &quot;Modifications.&quot; Modifications do not include Results.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.9</var>\n			&quot;Publish&quot; means to make all or a subset of Data (including Your\n			Enhanced Data) available in any manner which enables its Use,\n			including by providing a copy on physical media or remote access.\n			For any form of Entity, that is to make the Data available to\n			any individual who is not employed by that Entity or engaged\n			as a contractor or agent to perform work on that Entity&apos;s\n			behalf. A &quot;Publication&quot; occurs each time You Publish Data.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.10</var>\n			&quot;Receive&quot; or &quot;Receives&quot; means to have been\n			given access to Data, locally or remotely.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.11</var>\n			&quot;Results&quot; means the outcomes or outputs that You obtain from Your\n			Computational Use of Data. Results shall not include more than a de\n			minimis portion of the Data on which the Computational Use is based.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.12</var>\n			&quot;Sui Generis Database Rights&quot; means rights, other than\n			copyright, resulting from Directive 96/9/EC of the European\n			Parliament and of the Council of 11 March 1996 on the legal\n			protection of databases, as amended and/or succeeded, as\n			well as other equivalent rights anywhere in the world.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.13</var>\n			&quot;Use&quot; means using Data (including accessing, copying, studying,\n			reviewing, adapting, analyzing, evaluating, or making Computational\n			Use of it), either by machines or humans, or a combination of both.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.14</var>\n			&quot;You&quot; or &quot;Your&quot; means any Entity that\n			Receives Data under this Agreement.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> Section 2.</var>\n		Right and License to Use and to Publish\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 2.1</var>\n			Subject to the conditions set forth in Section 3 of this\n			Agreement, Data Provider(s) hereby grant(s) to You a\n			worldwide, non-exclusive, irrevocable (except as provided\n			in Section 5) right to: (a) Use Data; and (b) Publish Data.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 2.2</var>\n			To the extent that the Data or the coordination, selection or\n			arrangement of Data is protected or protectable under copyright,\n			Sui Generis Database Rights, or other law, Data Provider(s)\n			further agree(s) that such Data or coordination, selection or\n			arrangement is hereby licensed to You and to anyone else who\n			Receives Data under this Agreement for Use and Publication,\n			subject to the conditions set forth in Section 3 of this Agreement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 2.3</var>\n			Except for these rights and licenses expressly granted, no other\n			intellectual property rights are granted or should be implied.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> Section 3.</var>\n		Conditions on Rights Granted\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 3.1</var>\n			If You Publish Data You Receive or Enhanced Data:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				<var class=\"replaceable-license-text\"> (a)</var>\n				The Data (including the Enhanced Data) must be Published\n				under this Agreement in accordance with this Section 3; and\n			  </li>\n			  \n<li>\n				<var class=\"replaceable-license-text\"> (b)</var>\n				You must cause any Data files containing Enhanced Data to\n				carry prominent notices that You have changed those files; and\n			  </li>\n			  \n<li>\n				<var class=\"replaceable-license-text\"> (c)</var>\n				If You Publish Data You Receive, You must preserve all credit\n				or attribution to the Data Provider(s). Such retained credit\n				or attribution includes any of the following to the extent\n				they exist in Data as You have Received it: legal notices\n				or metadata; identification of the Data Provider(s); or\n				hyperlinks to Data to the extent it is practical to do so.\n			  </li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 3.2</var>\n			You may not restrict or deter the ability of anyone who Receives\n			the Data (a) to Publish the Data in a publicly-accessible manner\n			or (b) if the project has designated a Ledger for recording\n			Data or grants of rights in Data for purposes of this Agreement,\n			to record the Data or grants of rights in Data in the Ledger.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 3.3</var>\n			If You Publish Data You Receive, You must do so under an unmodified\n			form of this Agreement and include the text of this Agreement, the\n			name of this Agreement and/or a hyperlink or other method reasonably\n			likely to provide a copy of the text of this Agreement. You may\n			not modify this Agreement or impose any further restrictions on the\n			exercise of the rights granted under this Agreement, including by\n			adding any restriction on commercial or non-commercial Use of Data\n			(including Your Enhanced Data) or by limiting permitted Use of such\n			Data to any particular platform, technology or field of endeavor.\n			Notices that purport to modify this Agreement shall be of no effect.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 3.4</var>\n			You and each Data Provider agree that Enhanced Data shall not be\n			considered a work of joint authorship by virtue of its relationship\n			to Data licensed under this Agreement and shall not require either\n			any obligation of accounting to or the consent of any Data Provider.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 3.5</var>\n			This Agreement imposes no obligations or\n			restrictions on Your Use or Publication of Results.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> Section 4.</var>\n		Data Provider(s)&apos; Representations\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 4.1</var>\n			Each Data Provider represents that the Data Provider has\n			exercised reasonable care, to assure that: (a) the Data it\n			Publishes was created or generated by it or was obtained from\n			others with the right to Publish the Data under this Agreement;\n			and (b) Publication of such Data does not violate any privacy\n			or confidentiality obligation undertaken by the Data Provider.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> Section 5.</var>\n		Termination\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 5.1</var>\n			All of Your rights under this Agreement will terminate, and\n			Your right to Receive, Use or Publish the Data will be revoked\n			or modified if You materially fail to comply with the terms\n			and conditions of this Agreement and You do not cure such\n			failure in a reasonable period of time after becoming aware\n			of such noncompliance. If Your rights under this Agreement\n			terminate, You agree to cease Receipt, Use and Publication of\n			Data. However, Your obligations and any rights and permissions\n			granted by You under this Agreement relating to Data that You\n			Published prior to such termination will continue and survive.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 5.2</var>\n			If You institute litigation against a Data Provider or anyone\n			else who Receives the Data (including a cross-claim in a\n			lawsuit) based on the Data, other than a claim asserting\n			breach of this Agreement, then any rights previously granted\n			to You to Receive, Use and Publish Data under this Agreement\n			will terminate as of the date such litigation is filed.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> Section 6.</var>\n		Disclaimer of Warranties and Limitation of Liability\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 6.1</var>\n			EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE\n			DATA (INCLUDING ENHANCED DATA) IS PROVIDED ON AN &quot;AS\n			IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,\n			EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION,\n			ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT,\n			MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 6.2</var>\n			NEITHER YOU NOR ANY DATA PROVIDERS SHALL HAVE ANY LIABILITY\n			FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\n			OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST\n			PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n			WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR\n			DISTRIBUTION OF THE DATA OR THE EXERCISE OF ANY RIGHTS GRANTED\n			HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> Section 7.</var>\n		Miscellaneous\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 7.1</var>\n			You agree that it is solely Your responsibility to comply with all\n			applicable laws with regard to Your Use or Publication of Data,\n			including any applicable privacy, data protection, security and\n			export laws. You agree to take reasonable steps to assist a Data\n			Provider fulfilling responsibilities to comply with applicable\n			laws with regard to Use or Publication of Data Received hereunder.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 7.2</var>\n			You and Data Provider(s), collectively and individually,\n			waive and/or agree not to assert, to the extent permitted\n			by law, any moral rights You or they hold in Data.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 7.3</var>\n			This Agreement confers no rights or remedies upon\n			any person or entity other than the Parties and their\n			respective heirs, executors, successors and assigns.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 7.4</var>\n			The Data Provider(s) reserve no right or expectation of privacy,\n			data protection or confidentiality in any Data that they Publish\n			under this Agreement. If You choose to Publish Data under this\n			Agreement, You similarly do so with no reservation or expectation\n			of any rights of privacy or confidentiality in that Data.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 7.5</var>\n			The Community Data License Agreement workgroup under The Linux\n			Foundation is the steward of this Agreement (&quot;Steward&quot;). No\n			one other than the Steward has the right to modify or publish\n			new versions of this Agreement. Each version will be given a\n			distinguishing version number. You may Use and Publish Data\n			Received hereunder under the terms of the version of the\n			Agreement under which You originally Received the Data, or under\n			the terms of any subsequent version published by the Steward.\n		  </li>\n		\n</ul>\n	  </li>\n	\n</ul>\n	"
		self.python_name = "CDLASharing10"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP201:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The OpenLDAP Public License\nVersion 2.0.1, 21 December 1999\n\nCopyright 1999, The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain copyright statements and notices. Redistributions must also contain a copy of this document.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. The name \"OpenLDAP\" must not be used to endorse or promote products derived from this Software without prior written permission of the OpenLDAP Foundation. For written permission, please contact foundation@openldap.org.\n\n4. Products derived from this Software may not be called \"OpenLDAP\" nor may \"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP Foundation. OpenLDAP is a trademark of the OpenLDAP Foundation.\n\n5. Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 2.0.1, 21 December 1999\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 1999, The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain copyright statements and notices. Redistributions must also contain a copy of this document.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The name \"OpenLDAP\" must not be used to endorse or promote products derived from this Software without prior written permission of the OpenLDAP Foundation. For written permission, please contact foundation@openldap.org.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Products derived from this Software may not be called \"OpenLDAP\" nor may \"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP Foundation. OpenLDAP is a trademark of the OpenLDAP Foundation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Open LDAP Public License v2.0.1"
		self.licenseComments = "This license was released 21 December 1999. This license is the same as 2.0 with the word \"registered\" removed from in front of \"trademark.\""
		self.licenseId = "OLDAP-2.0.1"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=b6d68acd14e51ca3aab4428bf26522aa74873f0e", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:01Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=b6d68acd14e51ca3aab4428bf26522aa74873f0e"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 2.0.1, 21 December 1999\n	  </p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1999, The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use of this software and associated documentation (&quot;Software&quot;), with or without\n		 modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain copyright statements and notices. Redistributions must\n			 also contain a copy of this document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  The name &quot;OpenLDAP&quot; must not be used to endorse or promote products derived from this Software\n			 without prior written permission of the OpenLDAP Foundation. For written permission, please\n			 contact foundation@openldap.org.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Products derived from this Software may not be called &quot;OpenLDAP&quot; nor may &quot;OpenLDAP&quot; appear in\n			 their names without prior written permission of the OpenLDAP Foundation. OpenLDAP is a\n			 trademark of the OpenLDAP Foundation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESSED OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS\n		 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n		 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n		 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n		 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\n		 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "OLDAP201"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCND30:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-NonCommercial-NoDerivs 3.0 Unported\n\n  CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Adaptation\" means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered an Adaptation for the purpose of this License.\n\n	 b. \"Collection\" means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(f) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined above) for the purposes of this License.\n\n	 c. \"Distribute\" means to make available to the public the original and copies of the Work through sale or other transfer of ownership.\n\n	 d. \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License.\n\n	 e. \"Original Author\" means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast.\n\n	 f. \"Work\" means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work.\n\n	 g. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	 h. \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	 i. \"Reproduce\" means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.\n\n2. Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections; and,\n\n	 b. to Distribute and Publicly Perform the Work including as incorporated in Collections.\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Adaptations. Subject to 8(f), all rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Section 4(d).\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(c), as requested.\n\n	 b. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	 c. If You Distribute, or Publicly Perform the Work or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution (\"Attribution Parties\") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. The credit required by this Section 4(c) may be implemented in any reasonable manner; provided, however, that in the case of a Collection, at a minimum such credit will appear, if a credit for all contributing authors of Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.\n\n	 d. For the avoidance of doubt:\n\n		  i. Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		  ii. Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License if Your exercise of such rights is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(b) and otherwise waives the right to collect royalties through any statutory or compulsory licensing scheme; and,\n\n		  iii. Voluntary License Schemes. The Licensor reserves the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License that is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(b).\n\n	 e. Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author's honor or reputation.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 c. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 d. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	 e. The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NonCommercial-NoDerivs 3.0 Unported\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Adaptation\" means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered an Adaptation for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Collection\" means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(f) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined above) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Distribute\" means to make available to the public the original and copies of the Work through sale or other transfer of ownership.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Original Author\" means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Work\" means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"Reproduce\" means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections; and,\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to Distribute and Publicly Perform the Work including as incorporated in Collections.\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Adaptations. Subject to 8(f), all rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Section 4(d).\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(c), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If You Distribute, or Publicly Perform the Work or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution (\"Attribution Parties\") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. The credit required by this Section 4(c) may be implemented in any reasonable manner; provided, however, that in the case of a Collection, at a minimum such credit will appear, if a credit for all contributing authors of Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> For the avoidance of doubt:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License if Your exercise of such rights is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(b) and otherwise waives the right to collect royalties through any statutory or compulsory licensing scheme; and,\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Voluntary License Schemes. The Licensor reserves the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License that is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(b).\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author's honor or reputation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial No Derivatives 3.0 Unported"
		self.licenseId = "CC-BY-NC-ND-3.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-nd/3.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:53Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-nd/3.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NonCommercial-NoDerivs 3.0 Unported</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE\n		 RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Adaptation&quot; means a work based upon the Work, or upon the Work and other\n			   pre-existing works, such as a translation, adaptation, derivative work, arrangement of\n			   music or other alterations of a literary or artistic work, or phonogram or performance and\n			   includes cinematographic adaptations or any other form in which the Work may be recast,\n			   transformed, or adapted including in any form recognizably derived from the original,\n			   except that a work that constitutes a Collection will not be considered an Adaptation for\n			   the purpose of this License. For the avoidance of doubt, where the Work is a musical work,\n			   performance or phonogram, the synchronization of the Work in timed-relation with a moving\n			   image (&quot;synching&quot;) will be considered an Adaptation for the purpose of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Collection&quot; means a collection of literary or artistic works, such as\n			   encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works\n			   or subject matter other than works listed in Section 1(f) below, which, by reason of the\n			   selection and arrangement of their contents, constitute intellectual creations, in which\n			   the Work is included in its entirety in unmodified form along with one or more other\n			   contributions, each constituting separate and independent works in themselves, which\n			   together are assembled into a collective whole. A work that constitutes a Collection will\n			   not be considered an Adaptation (as defined above) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Distribute&quot; means to make available to the public the original and copies of the\n			   Work through sale or other transfer of ownership.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Licensor&quot; means the individual, individuals, entity or entities that offer(s) the\n			   Work under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Original Author&quot; means, in the case of a literary or artistic work, the\n			   individual, individuals, entity or entities who created the Work or if no individual or\n			   entity can be identified, the publisher; and in addition (i) in the case of a performance\n			   the actors, singers, musicians, dancers, and other persons who act, sing, deliver,\n			   declaim, play in, interpret or otherwise perform literary or artistic works or expressions\n			   of folklore; (ii) in the case of a phonogram the producer being the person or legal entity\n			   who first fixes the sounds of a performance or other sounds; and, (iii) in the case of\n			   broadcasts, the organization that transmits the broadcast.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;Work&quot; means the literary and/or artistic work offered under the terms of this\n			   License including without limitation any production in the literary, scientific and\n			   artistic domain, whatever may be the mode or form of its expression including digital\n			   form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work\n			   of the same nature; a dramatic or dramatico-musical work; a choreographic work or\n			   entertainment in dumb show; a musical composition with or without words; a cinematographic\n			   work to which are assimilated works expressed by a process analogous to cinematography; a\n			   work of drawing, painting, architecture, sculpture, engraving or lithography; a\n			   photographic work to which are assimilated works expressed by a process analogous to\n			   photography; a work of applied art; an illustration, map, plan, sketch or\n			   three-dimensional work relative to geography, topography, architecture or science; a\n			   performance; a broadcast; a phonogram; a compilation of data to the extent it is protected\n			   as a copyrightable work; or a work performed by a variety or circus performer to the\n			   extent it is not otherwise considered a literary or artistic work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> g.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> h.</var>\n			&quot;Publicly Perform&quot; means to perform public recitations of the Work and to\n			   communicate to the public those public recitations, by any means or process, including by\n			   wire or wireless means or public digital performances; to make available to the public\n			   Works in such a way that members of the public may access these Works from a place and at\n			   a place individually chosen by them; to perform the Work to the public by any means or\n			   process and the communication to the public of the performances of the Work, including by\n			   public digital performance; to broadcast and rebroadcast the Work by any means including\n			   signs, sounds or images.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> i.</var>\n			&quot;Reproduce&quot; means to make copies of the Work by any means including without\n			   limitation by sound or visual recordings and the right of fixation and reproducing\n			   fixations of the Work, including storage of a protected performance or phonogram in\n			   digital form or other electronic medium.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses\n			 free from copyright or rights arising from limitations or exceptions that are provided for in\n			 connection with the copyright protection under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce\n			   the Work as incorporated in the Collections; and,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to Distribute and Publicly Perform the Work including as incorporated in Collections.\n		  </li>\n			\n</ul>\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats, but otherwise you have no\n			   rights to make Adaptations. Subject to 8(f), all rights not expressly granted by Licensor\n			   are hereby reserved, including but not limited to the rights set forth in Section\n			   4(d).</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may Distribute or Publicly Perform the Work only under the terms of this License. You\n			   must include a copy of, or the Uniform Resource Identifier (URI) for, this License with\n			   every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any\n			   terms on the Work that restrict the terms of this License or the ability of the recipient\n			   of the Work to exercise the rights granted to that recipient under the terms of the\n			   License. You may not sublicense the Work. You must keep intact all notices that refer to\n			   this License and to the disclaimer of warranties with every copy of the Work You\n			   Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may\n			   not impose any effective technological measures on the Work that restrict the ability of a\n			   recipient of the Work from You to exercise the rights granted to that recipient under the\n			   terms of the License. This Section 4(a) applies to the Work as incorporated in a\n			   Collection, but this does not require the Collection apart from the Work itself to be made\n			   subject to the terms of this License. If You create a Collection, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Collection any credit as\n			   required by Section 4(c), as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may not exercise any of the rights granted to You in Section 3 above in any manner that\n			   is primarily intended for or directed toward commercial advantage or private monetary\n			   compensation. The exchange of the Work for other copyrighted works by means of digital\n			   file-sharing or otherwise shall not be considered to be intended for or directed toward\n			   commercial advantage or private monetary compensation, provided there is no payment of any\n			   monetary compensation in connection with the exchange of copyrighted works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If You Distribute, or Publicly Perform the Work or Collections, You must, unless a request\n			   has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and\n			   provide, reasonable to the medium or means You are utilizing: (i) the name of the Original\n			   Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or\n			   Licensor designate another party or parties (e.g., a sponsor institute, publishing entity,\n			   journal) for attribution (&quot;Attribution Parties&quot;) in Licensor&apos;s copyright\n			   notice, terms of service or by other reasonable means, the name of such party or parties;\n			   (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the\n			   URI, if any, that Licensor specifies to be associated with the Work, unless such URI does\n			   not refer to the copyright notice or licensing information for the Work. The credit\n			   required by this Section 4(c) may be implemented in any reasonable manner; provided,\n			   however, that in the case of a Collection, at a minimum such credit will appear, if a\n			   credit for all contributing authors of Collection appears, then as part of these credits\n			   and in a manner at least as prominent as the credits for the other contributing authors.\n			   For the avoidance of doubt, You may only use the credit required by this Section for the\n			   purpose of attribution in the manner set out above and, by exercising Your rights under\n			   this License, You may not implicitly or explicitly assert or imply any connection with,\n			   sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as\n			   appropriate, of You or Your use of the Work, without the separate, express prior written\n			   permission of the Original Author, Licensor and/or Attribution Parties.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			For the avoidance of doubt:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to\n				 collect royalties through any statutory or compulsory licensing scheme cannot be\n				 waived, the Licensor reserves the exclusive right to collect such royalties for any\n				 exercise by You of the rights granted under this License;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect\n				 royalties through any statutory or compulsory licensing scheme can be waived, the\n				 Licensor reserves the exclusive right to collect such royalties for any exercise by\n				 You of the rights granted under this License if Your exercise of such rights is for a\n				 purpose or use which is otherwise than noncommercial as permitted under Section 4(b)\n				 and otherwise waives the right to collect royalties through any statutory or\n				 compulsory licensing scheme; and,\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> iii.</var>\n			  Voluntary License Schemes. The Licensor reserves the right to collect royalties, whether\n				 individually or, in the event that the Licensor is a member of a collecting society\n				 that administers voluntary licensing schemes, via that society, from any exercise by\n				 You of the rights granted under this License that is for a purpose or use which is\n				 otherwise than noncommercial as permitted under Section 4(b).\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by\n			   applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself\n			   or as part of any Collections, You must not distort, mutilate, modify or take other\n			   derogatory action in relation to the Work which would be prejudicial to the Original\n			   Author&apos;s honor or reputation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Collections\n			   from You under this License, however, will not have their licenses terminated provided\n			   such individuals or entities remain in full compliance with those licenses. Sections 1, 2,\n			   5, 6, 7, and 8 will survive any termination of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to\n			   the recipient a license to the Work on the same terms and conditions as the license\n			   granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			The rights granted under, and the subject matter referenced, in this License were drafted\n			   utilizing the terminology of the Berne Convention for the Protection of Literary and\n			   Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO\n			   Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the\n			   Universal Copyright Convention (as revised on July 24, 1971). These rights and subject\n			   matter take effect in the relevant jurisdiction in which the License terms are sought to\n			   be enforced according to the corresponding provisions of the implementation of those\n			   treaty provisions in the applicable national law. If the standard suite of rights granted\n			   under applicable copyright law includes additional rights not granted under this License,\n			   such additional rights are deemed to be included in the License; this License is not\n			   intended to restrict the license of any rights under applicable law.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons Notice</p>\n\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 Creative Commons does not authorize the use by either party of the trademark &quot;Creative\n		 Commons&quot; or any related trademark or logo of Creative Commons without the prior written consent\n		 of Creative Commons. Any permitted use will be in compliance with Creative Commons&apos; then-current\n		 trademark usage guidelines, as may be published on its website or otherwise made available upon\n		 request from time to time. For the avoidance of doubt, this trademark restriction does not form part\n		 of this License.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYNCND30"

	def __str__(self):
		return json.dumps(self.__dict__)


class W3C19980720:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "W3C\u00ae SOFTWARE NOTICE AND LICENSE\n\nCopyright (c) 1994-2002 World Wide Web Consortium, (Massachusetts Institute of Technology, Institut National de Recherche en Informatique et en Automatique, Keio University). All Rights Reserved. http://www.w3.org/Consortium/Legal/\n\nThis W3C work (including software, documents, or other related items) is being provided by the copyright holders under the following license. By obtaining, using and/or copying this work, you (the licensee) agree that you have read, understood, and will comply with the following terms and conditions:\n\nPermission to use, copy, modify, and distribute this software and its documentation, with or without modification,  for any purpose and without fee or royalty is hereby granted, provided that you include the following on ALL copies of the software and documentation or portions thereof, including modifications, that you make:\n\n	 1.\tThe full text of this NOTICE in a location viewable to users of the redistributed or derivative work.\n\n	 2.\tAny pre-existing intellectual property disclaimers, notices, or terms and conditions. If none exist, a short notice of the following form (hypertext is preferred, text is permitted) should be used within the body of any redistributed or derivative code: \"Copyright \u00a9 [$date-of-software] World Wide Web Consortium, (Massachusetts Institute of Technology, Institut National de Recherche en Informatique et en Automatique, Keio University). All Rights Reserved. http://www.w3.org/Consortium/Legal/\"\n\n	  3. Notice of any changes or modifications to the W3C files, including the date changes were made. (We recommend you provide URIs to the location from which the code is derived.)\n\nTHIS SOFTWARE AND DOCUMENTATION IS PROVIDED \"AS IS,\" AND COPYRIGHT HOLDERS MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.\n\nCOPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENTATION.\n\nThe name and trademarks of copyright holders may NOT be used in advertising or publicity pertaining to the software without specific, written prior permission. Title to copyright in this software and any associated documentation will at all times remain with copyright holders.\n\n____________________________________\n\nThis formulation of W3C's notice and license became active on August 14 1998 so as to improve compatibility with GPL. This version ensures that W3C software licensing terms are no more restrictive than GPL and consequently W3C software may be distributed in GPL packages. See the older formulation for the policy prior to this date. Please see our Copyright FAQ for common questions about using materials from our site, including specific terms and conditions for packages like libwww, Amaya, and Jigsaw. Other questions about this notice can be directed to site-policy@w3.org.\n"
		self.standardLicenseTemplate = "<<beginOptional>>W3C\u00ae SOFTWARE NOTICE AND LICENSE\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 1994-2002 World Wide Web Consortium, (Massachusetts Institute of Technology, Institut National de Recherche en Informatique et en Automatique, Keio University). All Rights Reserved. http://www.w3.org/Consortium/Legal/  \";match=\".{0,5000}\">>\n\nThis W3C work (including software, documents, or other related items) is being provided by the copyright holders under the following license. By obtaining, using and/or copying this work, you (the licensee) agree that you have read, understood, and will comply with the following terms and conditions:\n\nPermission to use, copy, modify, and distribute this software and its documentation, with or without modification, for any purpose and without fee or royalty is hereby granted, provided that you include the following on ALL copies of the software and documentation or portions thereof, including modifications, that you make:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The full text of this NOTICE in a location viewable to users of the redistributed or derivative work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Any pre-existing intellectual property disclaimers, notices, or terms and conditions. If none exist, a short notice of the following form (hypertext is preferred, text is permitted) should be used within the body of any redistributed or derivative code: \"Copyright \u00a9 [$date-of-software] World Wide Web Consortium, (Massachusetts Institute of Technology, Institut National de Recherche en Informatique et en Automatique, Keio University). All Rights Reserved. http://www.w3.org/Consortium/Legal/\"\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Notice of any changes or modifications to the W3C files, including the date changes were made. (We recommend you provide URIs to the location from which the code is derived.)\n\nTHIS SOFTWARE AND DOCUMENTATION IS PROVIDED \"AS IS,\" AND COPYRIGHT HOLDERS MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.\n\nCOPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENTATION.\n\nThe name and trademarks of copyright holders may NOT be used in advertising or publicity pertaining to the software without specific, written prior permission. Title to copyright in this software and any associated documentation will at all times remain with copyright holders.\n\n<<beginOptional>>____________________________________\n\nThis formulation of W3C's notice and license became active on August 14 1998 so as to improve compatibility with GPL. This version ensures that W3C software licensing terms are no more restrictive than GPL and consequently W3C software may be distributed in GPL packages. See the older formulation for the policy prior to this date. Please see our Copyright FAQ for common questions about using materials from our site, including specific terms and conditions for packages like libwww, Amaya, and Jigsaw. Other questions about this notice can be directed to site-policy@w3.org.\n\n<<endOptional>>"
		self.name = "W3C Software Notice and License (1998-07-20)"
		self.licenseId = "W3C-19980720"
		self.crossRef = [{"match": "False", "url": "http://www.w3.org/Consortium/Legal/copyright-software-19980720.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:13Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.w3.org/Consortium/Legal/copyright-software-19980720.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>W3C\u00ae SOFTWARE NOTICE AND LICENSE</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1994-2002 World Wide Web Consortium, (Massachusetts Institute of Technology, Institut\n		 National de Recherche en Informatique et en Automatique, Keio University). All Rights Reserved.\n		 http://www.w3.org/Consortium/Legal/</p>\n\n	  </div>\n\n	  <p>This W3C work (including software, documents, or other related items) is being provided by the copyright\n		 holders under the following license. By obtaining, using and/or copying this work, you (the licensee)\n		 agree that you have read, understood, and will comply with the following terms and conditions:</p>\n\n	  <p>Permission to use, copy, modify, and distribute this software and its documentation, with or without\n		 modification, for any purpose and without fee or royalty is hereby granted, provided that you include\n		 the following on ALL copies of the software and documentation or portions thereof, including\n		 modifications, that you make:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  The full text of this NOTICE in a location viewable to users of the redistributed or derivative work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Any pre-existing intellectual property disclaimers, notices, or terms and conditions. If none\n			 exist, a short notice of the following form (hypertext is preferred, text is permitted) should\n			 be used within the body of any redistributed or derivative code: &quot;Copyright \u00a9\n			 [$date-of-software] World Wide Web Consortium, (Massachusetts Institute of Technology,\n			 Institut National de Recherche en Informatique et en Automatique, Keio University). All Rights\n			 Reserved. http://www.w3.org/Consortium/Legal/&quot;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Notice of any changes or modifications to the W3C files, including the date changes were made.\n			 (We recommend you provide URIs to the location from which the code is derived.)\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE AND DOCUMENTATION IS PROVIDED &quot;AS IS,&quot; AND COPYRIGHT HOLDERS MAKE NO REPRESENTATIONS OR\n		 WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS\n		 FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY\n		 THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.</p>\n\n	  <p>COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING\n		 OUT OF ANY USE OF THE SOFTWARE OR DOCUMENTATION.</p>\n\n	  <p>The name and trademarks of copyright holders may NOT be used in advertising or publicity pertaining to\n		 the software without specific, written prior permission. Title to copyright in this software and any\n		 associated documentation will at all times remain with copyright holders.</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>____________________________________</p>\n\n		 <p>This formulation of W3C&apos;s notice and license became active on August 14 1998 so as to improve\n		 compatibility with GPL. This version ensures that W3C software licensing terms are no more restrictive\n		 than GPL and consequently W3C software may be distributed in GPL packages. See the older formulation\n		 for the policy prior to this date. Please see our Copyright FAQ for common questions about using\n		 materials from our site, including specific terms and conditions for packages like libwww, Amaya, and\n		 Jigsaw. Other questions about this notice can be directed to site-policy@w3.org.</p>\n\n	  </div>\n	"
		self.python_name = "W3C19980720"

	def __str__(self):
		return json.dumps(self.__dict__)


class CAL10CombinedWorkException:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "# The Cryptographic Autonomy License, v. 1.0\n\n*This Cryptographic Autonomy License (the \"License\") applies to any\nWork whose owner has marked it with any of the following notices, or a\nsimilar demonstration of intent:*\n\nSPDX-License-Identifier: CAL-1.0\nLicensed under the Cryptographic Autonomy License version 1.0\n\n*or*\n\nSPDX-License-Identifier: CAL-1.0-Combined-Work-Exception\nLicensed under the Cryptographic Autonomy License version 1.0, with\nCombined Work Exception\n\n______________________________________________________________________\n\n## 1. Purpose\n\nThis License gives You unlimited permission to use and modify the\nsoftware to which it applies (the \"Work\"), either as-is or in modified\nform, for Your private purposes, while protecting the owners and\ncontributors to the software from liability.\n\nThis License also strives to protect the freedom and autonomy of third\nparties who receive the Work from you. If any non-affiliated third\nparty receives any part, aspect, or element of the Work from You, this\nLicense requires that You provide that third party all the permissions\nand materials needed to independently use and modify the Work without\nthat third party having a loss of data or capability due to your\nactions.\n\nThe full permissions, conditions, and other terms are laid out below.\n\n## 2. Receiving a License\n\nIn order to receive this License, You must agree to its rules. The\nrules of this License are both obligations of Your agreement with the\nLicensor and conditions to your License. You must not do anything with\nthe Work that triggers a rule You cannot or will not follow.\n\n### 2.1. Application\n\nThe terms of this License apply to the Work as you receive it from\nLicensor, as well as to any modifications, elaborations, or\nimplementations created by You that contain any licensable portion of\nthe Work (a \"Modified Work\"). Unless specified, any reference to the\nWork also applies to a Modified Work.\n\n### 2.2. Offer and Acceptance\n\nThis License is automatically offered to every person and\norganization. You show that you accept this License and agree to its\nconditions by taking any action with the Work that, absent this\nLicense, would infringe any intellectual property right held by\nLicensor.\n\n### 2.3. Compliance and Remedies\n\nAny failure to act according to the terms and conditions of this\nLicense places Your use of the Work outside the scope of the License\nand infringes the intellectual property rights of the Licensor. In the\nevent of infringement, the terms and conditions of this License may be\nenforced by Licensor under the intellectual property laws of any\njurisdiction to which You are subject. You also agree that either the\nLicensor or a Recipient (as an intended third-party beneficiary) may\nenforce the terms and conditions of this License against You via\nspecific performance.\n\n## 3. Permissions\n### 3.1. Permissions Granted\n\nConditioned on compliance with section 4, and subject to the\nlimitations of section 3.2, Licensor grants You the world-wide,\nroyalty-free, non-exclusive permission to:\n\n+ a) Take any action with the Work that would infringe the non-patent\nintellectual property laws of any jurisdiction to which You are\nsubject; and\n\n+ b) claims that Licensor can license or becomes able to\nlicense, to the extent that those claims are embodied in the Work as\ndistributed by Licensor. ### 3.2. Limitations on Permissions Granted\n\nThe following limitations apply to the permissions granted in section\n3.1:\n\n+ a) Licensor does not grant any patent license for claims that are\nonly infringed due to modification of the Work as provided by\nLicensor, or the combination of the Work as provided by Licensor,\ndirectly or indirectly, with any other component, including other\nsoftware or hardware.\n\n+ b) Licensor does not grant any license to the trademarks, service\nmarks, or logos of Licensor, except to the extent necessary to comply\nwith the attribution conditions in section 4.1 of this License.\n\n## 4. Conditions\n\nIf You exercise any permission granted by this License, such that the\nWork, or any part, aspect, or element of the Work, is distributed,\ncommunicated, made available, or made perceptible to a non-Affiliate\nthird party (a \"Recipient\"), either via physical delivery or via a\nnetwork connection to the Recipient, You must comply with the\nfollowing conditions:\n\n### 4.1. Provide Access to Source Code\n\nSubject to the exception in section 4.4, You must provide to each\nRecipient a copy of, or no-charge unrestricted network access to, the\nSource Code corresponding to the Work (\"Access\").\n\nThe \"Source Code\" of the Work means the form of the Work preferred for\nmaking modifications, including any comments, configuration\ninformation, documentation, help materials, installation instructions,\ncryptographic seeds or keys, and any information reasonably necessary\nfor the Recipient to independently compile and use the Source Code and\nto have full access to the functionality contained in the Work.\n\n#### 4.1.1. Providing Network Access to the Source Code\n\nNetwork Access to the Notices and Source Code may be provided by You\nor by a third party, such as a public software repository, and must\npersist during the same period in which You exercise any of the\npermissions granted to You under this License and for at least one\nyear thereafter.\n\n#### 4.1.2. Source Code for a Modified Work\n\nSubject to the exception in section 4.5, You must provide to each\nRecipient of a Modified Work Access to Source Code corresponding to\nthose portions of the Work remaining in the Modified Work as well as\nthe modifications used by You to create the Modified Work. The Source\nCode corresponding to the modifications in the Modified Work must be\nprovided to the Recipient either a) under this License, or b) under a\nCompatible Open Source License.\n\nA \u201cCompatible Open Source License\u201d means a license accepted by the Open Source \nInitiative that allows object code created using both Source Code provided under \nthis License and Source Code provided under the other open source license to be \ndistributed together as a single work.\n\n#### 4.1.3. Coordinated Disclosure of Security Vulnerabilities\n\nYou may delay providing the Source Code corresponding to a particular\nmodification of the Work for up to ninety (90) days (the \"Embargo\nPeriod\") if:\n\n+ a) the modification is intended to address a newly-identified\nvulnerability or a security flaw in the Work,\n\n+ b) disclosure of the vulnerability or security flaw before the end\nof the Embargo Period would put the data, identity, or autonomy of one\nor more Recipients of the Work at significant risk,\n\n+ c) You are participating in a coordinated disclosure of the\nvulnerability or security flaw with one or more additional Licensees,\nand\n\n+ d) Access to the Source Code pertaining to the modification is\nprovided to all Recipients at the end of the Embargo Period.\n\n### 4.2. Maintain User Autonomy\n\nIn addition to providing each Recipient the opportunity to have Access\nto the Source Code, You cannot use the permissions given under this\nLicense to interfere with a Recipient's ability to fully use an\nindependent copy of the Work generated from the Source Code You\nprovide with the Recipient's own User Data.\n\n\"User Data\" means any data that is an input to or an output from the\nWork, where the presence of the data is necessary for substantially\nidentical use of the Work in an equivalent context chosen by the\nRecipient, and where the Recipient has an existing ownership interest,\nan existing right to possess, or where the data has been generated by,\nfor, or has been assigned to the Recipient.\n\n#### 4.2.1. No Withholding User Data\n\nThroughout any period in which You exercise any of the permissions\ngranted to You under this License, You must also provide to any\nRecipient to whom you provide services via the Work, a no-charge copy,\nprovided in a commonly used electronic form, of the Recipient's User\nData in your possession, to the extent that such User Data is\navailable to You for use in conjunction with the Work.\n\n#### 4.2.2. No Technical Measures that Limit Access\n\nYou may not, by means of the use cryptographic methods applied to\nanything provided to the Recipient, by possession or control of\ncryptographic keys, seeds, hashes, by any other technological\nprotection measures, or by any other method, limit a Recipient's\nability to access any functionality present in Recipient's independent\ncopy of the Work, or to deny a Recipient full control of the\nRecipient's User Data.\n\n#### 4.2.3. No Legal or Contractual Measures that Limit Access\n\nYou may not contractually restrict a Recipient's ability to\nindependently exercise the permissions granted under this License. You\nwaive any legal power to forbid circumvention of technical protection\nmeasures that include use of the Work, and You waive any claim that\nthe capabilities of the Work were limited or modified as a means of\nenforcing the legal rights of third parties against Recipients.\n\n### 4.3. Provide Notices and Attribution\n\nYou must retain all licensing, authorship, or attribution notices\ncontained in the Source Code (the \"Notices\"), and provide all such\nNotices to each Recipient, together with a statement acknowledging the\nuse of the Work. Notices may be provided directly to a Recipient or\nvia an easy-to-find hyperlink to an Internet location also providing\nAccess to Source Code.\n\n### 4.4. Scope of Conditions in this License\n\nYou are required to uphold the conditions of this License only\nrelative to those who are Recipients of the Work from You. Other than\nproviding Recipients with the applicable Notices, Access to Source\nCode, and a copy of and full control of their User Data, nothing in\nthis License requires You to provide processing services to or engage\nin network interactions with anyone.\n\n### 4.5. Combined Work Exception\n\nAs an exception to condition that You provide Recipients Access to\nSource Code, any Source Code files marked by the Licensor as having\nthe \"Combined Work Exception,\" or any object code exclusively\nresulting from Source Code files so marked, may be combined with other\nSoftware into a \"Larger Work.\" So long as you comply with the\nrequirements to provide Recipients the applicable Notices and Access\nto the Source Code provided to You by Licensor, and you provide\nRecipients access to their User Data and do not limit Recipient's\nability to independently work with their User Data, any other Software\nin the Larger Work as well as the Larger Work as a whole may be\nlicensed under the terms of your choice.\n\n## 5. Term and Termination\n\nThe term of this License begins when You receive the Work, and\ncontinues until terminated for any of the reasons described herein, or\nuntil all Licensor's intellectual property rights in the Software\nexpire, whichever comes first (\"Term\"). This License cannot be\nrevoked, only terminated for the reasons listed below.\n\n### 5.1. Effect of Termination\n\nIf this License is terminated for any reason, all permissions granted\nto You under Section 3 by any Licensor automatically terminate. You\nwill immediately cease exercising any permissions granted in this\nLicense relative to the Work, including as part of any Modified Work.\n\n### 5.2. Termination for Non-Compliance; Reinstatement\n\nThis License terminates automatically if You fail to comply with any\nof the conditions in section 4. As a special exception to termination\nfor non-compliance, Your permissions for the Work under this License\nwill automatically be reinstated if You come into compliance with all\nthe conditions in section 2 within sixty (60) days of being notified\nby Licensor or an intended third-party beneficiary of Your\nnoncompliance. You are eligible for reinstatement of permissions for\nthe Work one time only, and only for the sixty days immediately after\nbecoming aware of noncompliance. Loss of permissions granted for the\nWork under this License due to either a) sustained noncompliance\nlasting more than sixty days or b) subsequent termination for\nnoncompliance after reinstatement, is permanent, unless rights are\nspecifically restored by Licensor in writing.\n\n### 5.3. Termination Due to Litigation\n\nIf You initiate litigation against Licensor, or any Recipient of the\nWork, either direct or indirect, asserting that the Work directly or\nindirectly infringes any patent, then all permissions granted to You\nby this License shall terminate. In the event of termination due to\nlitigation, all permissions validly granted by You under this License,\ndirectly or indirectly, shall survive termination. Administrative\nreview procedures, declaratory judgment actions, counterclaims in\nresponse to patent litigation, and enforcement actions against former\nLicensees terminated under this section do not cause termination due\nto litigation.\n\n## 6. Disclaimer of Warranty and Limit on Liability\n\nAs far as the law allows, the Work comes AS-IS, without any warranty\nof any kind, and no Licensor or contributor will be liable to anyone\nfor any damages related to this software or this license, under any\nkind of legal claim, or for any type of damages, including indirect,\nspecial, incidental, or consequential damages of any type arising as a\nresult of this License or the use of the Work including, without\nlimitation, damages for loss of goodwill, work stoppage, computer\nfailure or malfunction, loss of profits, revenue, or any and all other\ncommercial damages or losses.\n\n## 7. Other Provisions\n### 7.1. Affiliates\n\nAn \"Affiliate\" means any other entity that, directly or indirectly\nthrough one or more intermediaries, controls, is controlled by, or is\nunder common control with, the Licensee. Employees of a Licensee and\nnatural persons acting as contractors exclusively providing services\nto Licensee are also Affiliates.\n\n### 7.2. Choice of Jurisdiction and Governing Law\n\nA Licensor may require that any action or suit by a Licensee relating\nto a Work provided by Licensor under this License may be brought only\nin the courts of a particular jurisdiction and under the laws of a\nparticular jurisdiction (excluding its conflict-of-law provisions), if\nLicensor provides conspicuous notice of the particular jurisdiction to\nall Licensees.\n\n### 7.3. No Sublicensing\n\nThis License is not sublicensable. Each time You provide the Work or a\nModified Work to a Recipient, the Recipient automatically receives a\nlicense under the terms described in this License. You may not impose\nany further reservations, conditions, or other provisions on any\nRecipients' exercise of the permissions granted herein.\n\n### 7.4. Attorneys' Fees\n\nIn any action to enforce the terms of this License, or seeking damages\nrelating thereto, including by an intended third-party beneficiary,\nthe prevailing party shall be entitled to recover its costs and\nexpenses, including, without limitation, reasonable attorneys' fees\nand costs incurred in connection with such action, including any\nappeal of such action. A \"prevailing party\" is the party that\nachieves, or avoids, compliance with this License, including through\nsettlement. This section shall survive the termination of this\nLicense.\n\n### 7.5. No Waiver\n\nAny failure by Licensor to enforce any provision of this License will\nnot constitute a present or future waiver of such provision nor limit\nLicensor's ability to enforce such provision at a later time.\n\n### 7.6. Severability\n\nIf any provision of this License is held to be unenforceable, such\nprovision shall be reformed only to the extent necessary to make it\nenforceable. Any invalid or unenforceable portion will be interpreted\nto the effect and intent of the original portion. If such a\nconstruction is not possible, the invalid or unenforceable portion\nwill be severed from this License but the rest of this License will\nremain in full force and effect.\n\n### 7.7. License for the Text of this License\n\nThe text of this license is released under the Creative Commons\nAttribution-ShareAlike 4.0 International License, with the caveat that\nany modifications of this license may not use the name \"Cryptographic\nAutonomy License\" or any name confusingly similar thereto to describe\nany derived work of this License.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<beginOptional>>#<<endOptional>> The Cryptographic Autonomy License, v. 1.0\n\n<<endOptional>>\n\n<<var;name=\"this\";original=\"*This\";match=\"(\\*This|This)\">> Cryptographic Autonomy License (the \"License\") applies to any Work whose owner has marked it with any of the following notices, or a similar demonstration of intent:<<beginOptional>> *<<endOptional>>\n\nSPDX-License-Identifier: CAL-1.0\n\nLicensed under the Cryptographic Autonomy License version 1.0\n\n<<var;name=\"or\";original=\"*or*\";match=\"(\\*or\\*|or)\">>\n\nSPDX-License-Identifier: CAL-1.0-Combined-Work-Exception\n\nLicensed under the Cryptographic Autonomy License version 1.0, with Combined Work Exception\n\n<<beginOptional>>______________________________________________________________________\n\n<<endOptional>>\n\n   <<beginOptional>>##<<endOptional>> <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Purpose\n\n   This License gives You unlimited permission to use and modify the software to which it applies (the \"Work\"), either as-is or in modified form, for Your private purposes, while protecting the owners and contributors to the software from liability.\n\n   This License also strives to protect the freedom and autonomy of third parties who receive the Work from you. If any non-affiliated third party receives any part, aspect, or element of the Work from You, this License requires that You provide that third party all the permissions and materials needed to independently use and modify the Work without that third party having a loss of data or capability due to your actions.\n\n   The full permissions, conditions, and other terms are laid out below.\n\n   <<beginOptional>>##<<endOptional>> <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Receiving a License\n\n   In order to receive this License, You must agree to its rules. The rules of this License are both obligations of Your agreement with the Licensor and conditions to your License. You must not do anything with the Work that triggers a rule You cannot or will not follow.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> Application\n\n	  The terms of this License apply to the Work as you receive it from Licensor, as well as to any modifications, elaborations, or implementations created by You that contain any licensable portion of the Work (a \"Modified Work\"). Unless specified, any reference to the Work also applies to a Modified Work.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Offer and Acceptance\n\n	  This License is automatically offered to every person and organization. You show that you accept this License and agree to its conditions by taking any action with the Work that, absent this License, would infringe any intellectual property right held by Licensor.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"2.3.\";match=\".{0,20}\">> Compliance and Remedies\n\n	  Any failure to act according to the terms and conditions of this License places Your use of the Work outside the scope of the License and infringes the intellectual property rights of the Licensor. In the event of infringement, the terms and conditions of this License may be enforced by Licensor under the intellectual property laws of any jurisdiction to which You are subject. You also agree that either the Licensor or a Recipient (as an intended third-party beneficiary) may enforce the terms and conditions of this License against You via specific performance.\n\n   <<beginOptional>>##<<endOptional>> <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Permissions<<beginOptional>> \n\n   <<endOptional>>\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Permissions Granted\n\n	  Conditioned on compliance with section 4, and subject to the limitations of section 3.2, Licensor grants You the world-wide, royalty-free, non-exclusive permission to:\n\n		 <<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Take any action with the Work<<beginOptional>> <<endOptional>> that would infringe the non-patent intellectual<<beginOptional>> <<endOptional>> property laws of any jurisdiction to which You are<<beginOptional>> <<endOptional>> subject; and\n\n		 <<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> claims that Licensor can license<<beginOptional>> <<endOptional>> or becomes able to license, to the extent that those<<beginOptional>> <<endOptional>> claims are embodied in the Work as distributed by<<beginOptional>> <<endOptional>> Licensor.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Limitations on Permissions Granted\n\n	  The following limitations apply to the permissions granted in section 3.1:\n\n		 <<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Licensor does not grant any<<beginOptional>> <<endOptional>> patent license for claims that are only infringed due<<beginOptional>> <<endOptional>> to modification of the Work as provided by Licensor,<<beginOptional>> <<endOptional>> or the combination of the Work as provided by<<beginOptional>> <<endOptional>> Licensor, directly or indirectly, with any other<<beginOptional>> <<endOptional>> component, including other software or hardware.\n\n		 <<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Licensor does not grant any<<beginOptional>> <<endOptional>> license to the trademarks, service marks, or logos of<<beginOptional>> <<endOptional>> Licensor, except to the extent necessary to comply<<beginOptional>> <<endOptional>> with the attribution conditions in section 4.1 of<<beginOptional>> <<endOptional>> this License.\n\n   <<beginOptional>>##<<endOptional>> <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Conditions\n\n   If You exercise any permission granted by this License, such that the Work, or any part, aspect, or element of the Work, is distributed, communicated, made available, or made perceptible to a non-Affiliate third party (a \"Recipient\"), either via physical delivery or via a network connection to the Recipient, You must comply with the following conditions:\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> Provide Access to Source Code\n\n	  Subject to the exception in section 4.4, You must provide to each Recipient a copy of, or no-charge unrestricted network access to, the Source Code corresponding to the Work (\"Access\").\n\n	  The \"Source Code\" of the Work means the form of the Work preferred for making modifications, including any comments, configuration information, documentation, help materials, installation instructions, cryptographic seeds or keys, and any information reasonably necessary for the Recipient to independently compile and use the Source Code and to have full access to the functionality contained in the Work.\n\n		 <<beginOptional>>####<<endOptional>> <<var;name=\"bullet\";original=\"4.1.1.\";match=\".{0,20}\">> Providing Network Access to the Source Code\n\n		 Network Access to the Notices and Source Code may be provided by You or by a third party, such as a public software repository, and must persist during the same period in which You exercise any of the permissions granted to You under this License and for at least one year thereafter.\n\n		 <<beginOptional>>####<<endOptional>> <<var;name=\"bullet\";original=\"4.1.2.\";match=\".{0,20}\">> Source Code for a Modified Work\n\n		 Subject to the exception in section 4.5, You must provide to each Recipient of a Modified Work Access to Source Code corresponding to those portions of the Work remaining in the Modified Work as well as the modifications used by You to create the Modified Work. The Source Code corresponding to the modifications in the Modified Work must be provided to the Recipient either a) under this License, or b) under a Compatible Open Source License.\n\n		 A \"Compatible Open Source License\" means a license accepted by the Open Source Initiative that allows object code created using both Source Code provided under this License and Source Code provided under the other open source license to be distributed together as a single work.\n\n		 <<beginOptional>>####<<endOptional>> <<var;name=\"bullet\";original=\"4.1.3.\";match=\".{0,20}\">> Coordinated Disclosure of Security Vulnerabilities\n\n		 You may delay providing the Source Code corresponding to a particular modification of the Work for up to ninety (90) days (the \"Embargo Period\") if:\n\n			<<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> the modification is intended to<<beginOptional>> <<endOptional>> address a newly-identified vulnerability or a<<beginOptional>> <<endOptional>> security flaw in the Work,\n\n			<<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> disclosure of the vulnerability<<beginOptional>> <<endOptional>> or security flaw before the end of the Embargo Period<<beginOptional>> <<endOptional>> would put the data, identity, or autonomy of one or<<beginOptional>> <<endOptional>> more Recipients of the Work at significant risk,\n\n			<<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You are participating in a<<beginOptional>> <<endOptional>> coordinated disclosure of the vulnerability or<<beginOptional>> <<endOptional>> security flaw with one or more additional Licensees,<<beginOptional>> <<endOptional>> and\n\n			<<beginOptional>>+<<endOptional>> <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Access to the Source Code<<beginOptional>> <<endOptional>> pertaining to the modification is provided to all<<beginOptional>> <<endOptional>> Recipients at the end of the Embargo Period.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"4.2.\";match=\".{0,20}\">> Maintain User Autonomy\n\n	  In addition to providing each Recipient the opportunity to have Access to the Source Code, You cannot use the permissions given under this License to interfere with a Recipient's ability to fully use an independent copy of the Work generated from the Source Code You provide with the Recipient's own User Data.\n\n	  \"User Data\" means any data that is an input to or an output from the Work, where the presence of the data is necessary for substantially identical use of the Work in an equivalent context chosen by the Recipient, and where the Recipient has an existing ownership interest, an existing right to possess, or where the data has been generated by, for, or has been assigned to the Recipient.\n\n		 <<beginOptional>>####<<endOptional>> <<var;name=\"bullet\";original=\"4.2.1.\";match=\".{0,20}\">> No Withholding User Data\n\n		 Throughout any period in which You exercise any of the permissions granted to You under this License, You must also provide to any Recipient to whom you provide services via the Work, a no-charge copy, provided in a commonly used electronic form, of the Recipient's User Data in your possession, to the extent that such User Data is available to You for use in conjunction with the Work.\n\n		 <<beginOptional>>####<<endOptional>> <<var;name=\"bullet\";original=\"4.2.2.\";match=\".{0,20}\">> No Technical Measures that Limit Access\n\n		 You may not, by means of the use cryptographic methods applied to anything provided to the Recipient, by possession or control of cryptographic keys, seeds, hashes, by any other technological protection measures, or by any other method, limit a Recipient's ability to access any functionality present in Recipient's independent copy of the Work, or to deny a Recipient full control of the Recipient's User Data.\n\n		 <<beginOptional>>####<<endOptional>> <<var;name=\"bullet\";original=\"4.2.3.\";match=\".{0,20}\">> No Legal or Contractual Measures that Limit Access\n\n		 You may not contractually restrict a Recipient's ability to independently exercise the permissions granted under this License. You waive any legal power to forbid circumvention of technical protection measures that include use of the Work, and You waive any claim that the capabilities of the Work were limited or modified as a means of enforcing the legal rights of third parties against Recipients.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"4.3.\";match=\".{0,20}\">> Provide Notices and Attribution\n\n	  You must retain all licensing, authorship, or attribution notices contained in the Source Code (the \"Notices\"), and provide all such Notices to each Recipient, together with a statement acknowledging the use of the Work. Notices may be provided directly to a Recipient or via an easy-to-find hyperlink to an Internet location also providing Access to Source Code.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"4.4.\";match=\".{0,20}\">> Scope of Conditions in this License\n\n	  You are required to uphold the conditions of this License only relative to those who are Recipients of the Work from You. Other than providing Recipients with the applicable Notices, Access to Source Code, and a copy of and full control of their User Data, nothing in this License requires You to provide processing services to or engage in network interactions with anyone.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"4.5.\";match=\".{0,20}\">> Combined Work Exception\n\n	  As an exception to condition that You provide Recipients Access to Source Code, any Source Code files marked by the Licensor as having the \"Combined Work Exception,\" or any object code exclusively resulting from Source Code files so marked, may be combined with other Software into a \"Larger Work.\" So long as you comply with the requirements to provide Recipients the applicable Notices and Access to the Source Code provided to You by Licensor, and you provide Recipients access to their User Data and do not limit Recipient's ability to independently work with their User Data, any other Software in the Larger Work as well as the Larger Work as a whole may be licensed under the terms of your choice.\n\n   <<beginOptional>>##<<endOptional>> <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Term and Termination\n\n   The term of this License begins when You receive the Work, and continues until terminated for any of the reasons described herein, or until all Licensor's intellectual property rights in the Software expire, whichever comes first (\"Term\"). This License cannot be revoked, only terminated for the reasons listed below.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"5.1.\";match=\".{0,20}\">> Effect of Termination\n\n	  If this License is terminated for any reason, all permissions granted to You under Section 3 by any Licensor automatically terminate. You will immediately cease exercising any permissions granted in this License relative to the Work, including as part of any Modified Work.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"5.2.\";match=\".{0,20}\">> Termination for Non-Compliance; Reinstatement\n\n	  This License terminates automatically if You fail to comply with any of the conditions in section 4. As a special exception to termination for non-compliance, Your permissions for the Work under this License will automatically be reinstated if You come into compliance with all the conditions in section 2 within sixty (60) days of being notified by Licensor or an intended third-party beneficiary of Your noncompliance. You are eligible for reinstatement of permissions for the Work one time only, and only for the sixty days immediately after becoming aware of noncompliance. Loss of permissions granted for the Work under this License due to either a) sustained noncompliance lasting more than sixty days or b) subsequent termination for noncompliance after reinstatement, is permanent, unless rights are specifically restored by Licensor in writing.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"5.3.\";match=\".{0,20}\">> Termination Due to Litigation\n\n	  If You initiate litigation against Licensor, or any Recipient of the Work, either direct or indirect, asserting that the Work directly or indirectly infringes any patent, then all permissions granted to You by this License shall terminate. In the event of termination due to litigation, all permissions validly granted by You under this License, directly or indirectly, shall survive termination. Administrative review procedures, declaratory judgment actions, counterclaims in response to patent litigation, and enforcement actions against former Licensees terminated under this section do not cause termination due to litigation.\n\n   <<beginOptional>>##<<endOptional>> <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Disclaimer of Warranty and Limit on Liability\n\n   As far as the law allows, the Work comes AS-IS, without any warranty of any kind, and no Licensor or contributor will be liable to anyone for any damages related to this software or this license, under any kind of legal claim, or for any type of damages, including indirect, special, incidental, or consequential damages of any type arising as a result of this License or the use of the Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, loss of profits, revenue, or any and all other commercial damages or losses.\n\n   <<beginOptional>>##<<endOptional>> <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Other Provisions<<beginOptional>> \n\n   <<endOptional>>\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"7.1.\";match=\".{0,20}\">> Affiliates\n\n	  An \"Affiliate\" means any other entity that, directly or indirectly through one or more intermediaries, controls, is controlled by, or is under common control with, the Licensee. Employees of a Licensee and natural persons acting as contractors exclusively providing services to Licensee are also Affiliates.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"7.2.\";match=\".{0,20}\">> Choice of Jurisdiction and Governing Law\n\n	  A Licensor may require that any action or suit by a Licensee relating to a Work provided by Licensor under this License may be brought only in the courts of a particular jurisdiction and under the laws of a particular jurisdiction (excluding its conflict-of-law provisions), if Licensor provides conspicuous notice of the particular jurisdiction to all Licensees.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"7.3.\";match=\".{0,20}\">> No Sublicensing\n\n	  This License is not sublicensable. Each time You provide the Work or a Modified Work to a Recipient, the Recipient automatically receives a license under the terms described in this License. You may not impose any further reservations, conditions, or other provisions on any Recipients' exercise of the permissions granted herein.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"7.4.\";match=\".{0,20}\">> Attorneys' Fees\n\n	  In any action to enforce the terms of this License, or seeking damages relating thereto, including by an intended third-party beneficiary, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. A \"prevailing party\" is the party that achieves, or avoids, compliance with this License, including through settlement. This section shall survive the termination of this License.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"7.5.\";match=\".{0,20}\">> No Waiver\n\n	  Any failure by Licensor to enforce any provision of this License will not constitute a present or future waiver of such provision nor limit Licensor's ability to enforce such provision at a later time.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"7.6.\";match=\".{0,20}\">> Severability\n\n	  If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. Any invalid or unenforceable portion will be interpreted to the effect and intent of the original portion. If such a construction is not possible, the invalid or unenforceable portion will be severed from this License but the rest of this License will remain in full force and effect.\n\n	  <<beginOptional>>###<<endOptional>> <<var;name=\"bullet\";original=\"7.7.\";match=\".{0,20}\">> License for the Text of this License\n\n	  The text of this license is released under the Creative Commons Attribution-ShareAlike 4.0 International License, with the caveat that any modifications of this license may not use the name \"Cryptographic Autonomy License\" or any name confusingly similar thereto to describe any derived work of this License.\n\n	  "
		self.name = "Cryptographic Autonomy License 1.0 (Combined Work Exception)"
		self.licenseComments = "The first draft of this license was released February 2019, and the fourth revision was approved by the OSI February 2020. This license list entry is for use when the work is subject to the \"Combined Work Exception\" as described in section 4.5."
		self.licenseId = "CAL-1.0-Combined-Work-Exception"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/CAL-1.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:25Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://cryptographicautonomylicense.com/license-text.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://cryptographicautonomylicense.com/license-text.html", "https://opensource.org/licenses/CAL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p><var class=\"optional-license-text\"> # </var>The Cryptographic Autonomy License, v. 1.0</p>\n\n	  </div>\n		<p>\n<var class=\"replaceable-license-text\"> *This</var> Cryptographic Autonomy License (the &quot;License&quot;) \napplies to any Work whose owner has marked it with any of the following \nnotices, or a similar demonstration of intent:<var class=\"optional-license-text\"> * </var><br />\n\n<br />\n\nSPDX-License-Identifier: CAL-1.0 <br />\n\nLicensed under the Cryptographic Autonomy License version 1.0 <br />\n\n<br />\n\n<var class=\"replaceable-license-text\"> *or*</var><br />\n\n<br />\n\nSPDX-License-Identifier: CAL-1.0-Combined-Work-Exception <br />\n\nLicensed under the Cryptographic Autonomy License version 1.0, with Combined Work Exception <br />\n\n		</p>\n\n<var class=\"optional-license-text\"> \n______________________________________________________________________<br />\n\n</var>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n<var class=\"optional-license-text\"> ## </var><var class=\"replaceable-license-text\"> 1. </var>Purpose\n		  <p>\nThis License gives You unlimited permission to use and modify the software to \nwhich it applies (the &quot;Work&quot;), either as-is or in modified form, for Your \nprivate purposes, while protecting the owners and contributors to the software \nfrom liability. \n		  </p>\n\n		  <p>\nThis License also strives to protect the freedom and autonomy of third parties \nwho receive the Work from you.  If any non-affiliated third party receives any \npart, aspect, or element of the Work from You, this License requires that You \nprovide that third party all the permissions and materials needed to \nindependently use and modify the Work without that third party having a loss \nof data or capability due to your actions. \n		  </p>\n\n		  <p>\nThe full permissions, conditions, and other terms are laid out below.\n		  </p>\n\n		</li>\n		\n<li>\n<var class=\"optional-license-text\"> ## </var><var class=\"replaceable-license-text\"> 2. </var>Receiving a License\n		  <p>\nIn order to receive this License, You must agree to its rules. The rules of \nthis License are both obligations of Your agreement with the Licensor and \nconditions to your License. You must not do anything with the Work that \ntriggers a rule You cannot or will not follow. \n		  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 2.1. </var>Application\n			  <p>\nThe terms of this License apply to the Work as you receive it from Licensor, \nas well as to any modifications, elaborations, or implementations created by \nYou that contain any licensable portion of the Work (a &quot;Modified Work&quot;). \nUnless specified, any reference to the Work also applies to a Modified Work. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 2.2. </var>Offer and Acceptance\n			  <p>\nThis License is automatically offered to every person and organization. You \nshow that you accept this License and agree to its conditions by taking any \naction with the Work that, absent this License, would infringe any \nintellectual property right held by Licensor. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 2.3. </var> Compliance and Remedies\n			  <p>\nAny failure to act according to the terms and conditions of this License \nplaces Your use of the Work outside the scope of the License and infringes the \nintellectual property rights of the Licensor. In the event of infringement, \nthe terms and conditions of this License may be enforced by Licensor under the \nintellectual property laws of any jurisdiction to which You are subject. You \nalso agree that either the Licensor or a Recipient (as an intended third-party \nbeneficiary) may enforce the terms and conditions of this License against You \nvia specific performance. \n			  </p>\n\n			</li>\n		  \n</ul>\n		</li>\n		\n<li>\n<var class=\"optional-license-text\"> ## </var><var class=\"replaceable-license-text\"> 3. </var> Permissions\n<var class=\"optional-license-text\"> <br />\n\n   </var>\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 3.1. </var>Permissions Granted\n			  <p>\nConditioned on compliance with section 4, and subject to the limitations of \nsection 3.2, Licensor grants You the world-wide, royalty-free, non-exclusive \npermission to: \n			  </p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> a) </var>Take any action with the Work \n<var class=\"optional-license-text\">	 </var>that would infringe the non-patent intellectual \n<var class=\"optional-license-text\">	 </var>property laws of any jurisdiction to which You are \n<var class=\"optional-license-text\">	 </var>subject; and\n				</li>\n				\n<li>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> b) </var> claims that Licensor can license \n<var class=\"optional-license-text\">	 </var>or becomes able to license, to the extent that those \n<var class=\"optional-license-text\">	 </var>claims are embodied in the Work as distributed by \n<var class=\"optional-license-text\">	 </var>Licensor.\n				</li>\n			  \n</ul>\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 3.2. </var>Limitations on Permissions Granted\n			  <p>\nThe following limitations apply to the permissions granted in section 3.1:\n			  </p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n				  <p>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> a) </var>Licensor does not grant any \n<var class=\"optional-license-text\">	 </var>patent license for claims that are only infringed due \n<var class=\"optional-license-text\">	 </var>to modification of the Work as provided by Licensor, \n<var class=\"optional-license-text\">	 </var>or the combination of the Work as provided by \n<var class=\"optional-license-text\">	 </var>Licensor, directly or indirectly, with any other \n<var class=\"optional-license-text\">	 </var>component, including other software or hardware.\n				  </p>\n\n				</li>\n				\n<li>\n				  <p>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> b) </var> Licensor does not grant any \n<var class=\"optional-license-text\">	 </var>license to the trademarks, service marks, or logos of \n<var class=\"optional-license-text\">	 </var>Licensor, except to the extent necessary to comply \n<var class=\"optional-license-text\">	 </var>with the attribution conditions in section 4.1 of \n<var class=\"optional-license-text\">	 </var>this License.\n				  </p>\n\n				</li>\n			  \n</ul>\n			</li>\n		  \n</ul>  \n		</li>  \n		\n<li>\n<var class=\"optional-license-text\"> ## </var><var class=\"replaceable-license-text\"> 4. </var>Conditions\n		  <p>\nIf You exercise any permission granted by this License, such that the Work, or \nany part, aspect, or element of the Work, is distributed, communicated, made \navailable, or made perceptible to a non-Affiliate third party (a &quot;Recipient&quot;), \neither via physical delivery or via a network connection to the Recipient, You \nmust comply with the following conditions: \n		  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 4.1. </var>Provide Access to Source Code\n			  <p>\nSubject to the exception in section 4.4, You must provide to each Recipient a \ncopy of, or no-charge unrestricted network access to, the Source Code \ncorresponding to the Work (&quot;Access&quot;). \n			  </p>\n\n			  <p>\nThe &quot;Source Code&quot; of the Work means the form of the Work preferred for making \nmodifications, including any comments, configuration information, \ndocumentation, help materials, installation instructions, cryptographic seeds \nor keys, and any information reasonably necessary for the Recipient to \nindependently compile and use the Source Code and to have full access to the \nfunctionality contained in the Work. \n			  </p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n<var class=\"optional-license-text\"> #### </var><var class=\"replaceable-license-text\"> 4.1.1. </var>Providing Network Access to the Source Code\n				  <p>\nNetwork Access to the Notices and Source Code may be provided by You or by a \nthird party, such as a public software repository, and must persist during the \nsame period in which You exercise any of the permissions granted to You under \nthis License and for at least one year thereafter.\n				  </p>\n\n				</li>\n				\n<li>\n<var class=\"optional-license-text\"> #### </var><var class=\"replaceable-license-text\"> 4.1.2. </var>Source Code for a Modified Work\n				  <p>\nSubject to the exception in section 4.5, You must provide to each Recipient of \na Modified Work Access to Source Code corresponding to those portions of the \nWork remaining in the Modified Work as well as the modifications used by You \nto create the Modified Work. The Source Code corresponding to the \nmodifications in the Modified Work must be provided to the Recipient either \na) under this License, or b) under a Compatible Open Source License.\n				  </p>\n\n				   <p>\nA &quot;Compatible Open Source License&quot; means a license accepted by the Open Source \nInitiative that allows object code created using both Source Code provided under \nthis License and Source Code provided under the other open source license to be \ndistributed together as a single work.\n				  </p>\n\n				</li>\n				\n<li>\n<var class=\"optional-license-text\"> #### </var><var class=\"replaceable-license-text\"> 4.1.3. </var>Coordinated Disclosure of Security Vulnerabilities\n				  <p>\nYou may delay providing the Source Code corresponding to a particular \nmodification of the Work for up to ninety (90) days (the &quot;Embargo Period&quot;) if:\n				  </p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n					  <p>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> a) </var>the modification is intended to \n<var class=\"optional-license-text\">	 </var>address a newly-identified vulnerability or a \n<var class=\"optional-license-text\">	 </var>security flaw in the Work,\n					  </p>\n\n					</li>\n					\n<li>\n					  <p>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> b) </var>disclosure of the vulnerability \n<var class=\"optional-license-text\">	 </var>or security flaw before the end of the Embargo Period \n<var class=\"optional-license-text\">	 </var>would put the data, identity, or autonomy of one or \n<var class=\"optional-license-text\">	 </var>more Recipients of the Work at significant risk,\n					  </p>\n\n					</li>\n					\n<li>\n					  <p>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> c) </var>You are participating in a \n<var class=\"optional-license-text\">	 </var>coordinated disclosure of the vulnerability or\n<var class=\"optional-license-text\">	 </var>security flaw with one or more additional Licensees, \n<var class=\"optional-license-text\">	 </var>and \n					  </p>\n\n					</li>\n					\n<li>\n					  <p>\n<var class=\"optional-license-text\">   + </var><var class=\"replaceable-license-text\"> d) </var>Access to the Source Code \n<var class=\"optional-license-text\">	 </var>pertaining to the modification is provided to all\n<var class=\"optional-license-text\">	 </var>Recipients at the end of the Embargo Period. \n					  </p>\n\n					</li>\n				  \n</ul>\n				</li>\n			  \n</ul>\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 4.2. </var>Maintain User Autonomy\n			  <p>\nIn addition to providing each Recipient the opportunity to have Access to the \nSource Code, You cannot use the permissions given under this License to \ninterfere with a Recipient&apos;s ability to fully use an independent copy of the \nWork generated from the Source Code You provide with the Recipient&apos;s own User \nData.\n			  </p>\n\n			  <p>\n&quot;User Data&quot; means any data that is an input to or an output from the Work, \nwhere the presence of the data is necessary for substantially identical use of \nthe Work in an equivalent context chosen by the Recipient, and where the \nRecipient has an existing ownership interest, an existing right to possess, or \nwhere the data has been generated by, for, or has been assigned to the \nRecipient.\n			  </p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n<var class=\"optional-license-text\"> #### </var><var class=\"replaceable-license-text\"> 4.2.1. </var>No Withholding User Data\n				  <p>\nThroughout any period in which You exercise any of the permissions granted to \nYou under this License, You must also provide to any Recipient to whom you \nprovide services via the Work, a no-charge copy, provided in a commonly used \nelectronic form, of the Recipient&apos;s User Data in your possession, to the \nextent that such User Data is available to You for use in conjunction with the \nWork.\n				  </p>\n\n				</li>\n				\n<li>\n<var class=\"optional-license-text\"> #### </var><var class=\"replaceable-license-text\"> 4.2.2. </var>No Technical Measures that Limit Access\n				  <p>\nYou may not, by means of the use cryptographic methods applied to anything \nprovided to the Recipient, by possession or control of cryptographic keys, \nseeds, hashes, by any other technological protection measures, or by any other \nmethod, limit a Recipient&apos;s ability to access any functionality present in \nRecipient&apos;s independent copy of the Work, or to deny a Recipient full control \nof the Recipient&apos;s User Data.\n				  </p>\n\n				</li>\n				\n<li>\n<var class=\"optional-license-text\"> #### </var><var class=\"replaceable-license-text\"> 4.2.3. </var>No Legal or Contractual Measures that Limit Access\n				  <p>\nYou may not contractually restrict a Recipient&apos;s ability to independently \nexercise the permissions granted under this License. You waive any legal power \nto forbid circumvention of technical protection measures that include use of \nthe Work, and You waive any claim that the capabilities of the Work were \nlimited or modified as a means of enforcing the legal rights of third parties \nagainst Recipients.\n				  </p>\n\n				</li>\n			  \n</ul>\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 4.3. </var>Provide Notices and Attribution\n			  <p>\nYou must retain all licensing, authorship, or attribution notices contained in \nthe Source Code (the &quot;Notices&quot;), and provide all such Notices to each \nRecipient, together with a statement acknowledging the use of the Work. \nNotices may be provided directly to a Recipient or via an easy-to-find \nhyperlink to an Internet location also providing Access to Source Code.\n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 4.4. </var>Scope of Conditions in this License\n			  <p>\nYou are required to uphold the conditions of this License only relative to \nthose who are Recipients of the Work from You. Other than providing Recipients \nwith the applicable Notices, Access to Source Code, and a copy of and full \ncontrol of their User Data, nothing in this License requires You to provide \nprocessing services to or engage in network interactions with anyone.\n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 4.5. </var>Combined Work Exception\n			  <p>\nAs an exception to condition that You provide Recipients Access to Source \nCode, any Source Code files marked by the Licensor as having the &quot;Combined \nWork Exception,&quot; or any object code exclusively resulting from Source Code \nfiles so marked, may be combined with other Software into a &quot;Larger Work.&quot; So \nlong as you comply with the requirements to provide Recipients the applicable \nNotices and Access to the Source Code provided to You by Licensor, and you \nprovide Recipients access to their User Data and do not limit Recipient&apos;s \nability to independently work with their User Data, any other Software in the \nLarger Work as well as the Larger Work as a whole may be licensed under the \nterms of your choice.\n			  </p>\n\n			</li>\n		  \n</ul>  \n		</li>\n		\n<li>\n<var class=\"optional-license-text\"> ## </var><var class=\"replaceable-license-text\"> 5. </var>Term and Termination\n		  <p>\nThe term of this License begins when You receive the Work, and continues until \nterminated for any of the reasons described herein, or until all Licensor&apos;s \nintellectual property rights in the Software expire, whichever comes first \n(&quot;Term&quot;). This License cannot be revoked, only terminated for the reasons \nlisted below. \n		  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 5.1. </var>Effect of Termination\n			  <p>\nIf this License is terminated for any reason, all permissions granted to You \nunder Section 3 by any Licensor automatically terminate. You will immediately \ncease exercising any permissions granted in this License relative to the Work, \nincluding as part of any Modified Work. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 5.2. </var>Termination for Non-Compliance; Reinstatement\n			  <p>\nThis License terminates automatically if You fail to comply with any of the \nconditions in section 4. As a special exception to termination for \nnon-compliance, Your permissions for the Work under this License will \nautomatically be reinstated if You come into compliance with all the \nconditions in section 2 within sixty (60) days of being notified by Licensor \nor an intended third-party beneficiary of Your noncompliance. You are eligible \nfor reinstatement of permissions for the Work one time only, and only \nfor the sixty days immediately after becoming aware of noncompliance. Loss of \npermissions granted for the Work under   this License due to either a) \nsustained noncompliance lasting  more than sixty days or b) subsequent \ntermination for  noncompliance after reinstatement, is permanent, unless \nrights are specifically restored by Licensor in writing. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 5.3. </var>Termination Due to Litigation\n			  <p>\nIf You initiate litigation against Licensor, or any Recipient of the Work, \neither direct or indirect, asserting that the Work directly or indirectly \ninfringes any patent, then all permissions granted to You by this License \nshall terminate. In the event of termination due to litigation, all \npermissions validly granted by You under this License, directly or indirectly, \nshall survive termination. Administrative review procedures, declaratory \njudgment actions, counterclaims in response to patent litigation, and \nenforcement actions against former Licensees terminated under this section do \nnot cause termination due to litigation. \n			  </p>\n\n			</li>\n		  \n</ul>\n		</li>\n		\n<li>\n<var class=\"optional-license-text\"> ## </var><var class=\"replaceable-license-text\"> 6. </var>Disclaimer of Warranty and Limit on Liability\n		  <p>\nAs far as the law allows, the Work comes AS-IS, without any warranty of any \nkind, and no Licensor or contributor will be liable to anyone for any damages \nrelated to this software or this license, under any kind of legal claim, or \nfor any type of damages, including indirect, special, incidental, or \nconsequential damages of any type arising as a result of this License or the \nuse of the Work including, without limitation, damages for loss of goodwill, \nwork stoppage, computer failure or malfunction, loss of profits, revenue, or \nany and all other commercial damages or losses. \n		  </p>\n\n		</li>\n		\n<li>\n<var class=\"optional-license-text\"> ## </var><var class=\"replaceable-license-text\"> 7. </var>Other Provisions\n<var class=\"optional-license-text\"> <br />\n\n   </var>\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 7.1. </var>Affiliates\n			  <p>\nAn &quot;Affiliate&quot; means any other entity that, directly or indirectly through one \nor more intermediaries, controls, is controlled by, or is under common control \nwith, the Licensee. Employees of a Licensee and natural persons acting as \ncontractors exclusively providing services to Licensee are also Affiliates. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 7.2. </var>Choice of Jurisdiction and Governing Law\n			  <p>\nA Licensor may require that any action or suit by a Licensee relating to a \nWork provided by Licensor under this License may be brought only in the courts \nof a particular jurisdiction and under the laws of a particular jurisdiction \n(excluding its conflict-of-law provisions), if Licensor provides conspicuous \nnotice of the particular jurisdiction to all Licensees. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 7.3. </var>No Sublicensing\n			  <p>\nThis License is not sublicensable. Each time You provide the Work or a \nModified Work to a Recipient, the Recipient automatically receives a license \nunder the terms described in this License. You may not impose any further \nreservations, conditions, or other provisions on any Recipients&apos; exercise of \nthe permissions granted herein. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 7.4. </var>Attorneys&apos; Fees\n			  <p>\nIn any action to enforce the terms of this License, or seeking damages \nrelating thereto, including by an intended third-party beneficiary, the \nprevailing party shall be entitled to recover its costs and expenses, \nincluding, without limitation, reasonable attorneys&apos; fees and costs incurred \nin connection with such action, including any appeal of such action. A \n&quot;prevailing party&quot; is the party that achieves, or avoids, compliance with this \nLicense, including through settlement. This section shall survive the \ntermination of this License. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 7.5. </var>No Waiver\n			  <p>\nAny failure by Licensor to enforce any provision of this License will not \nconstitute a present or future waiver of such provision nor limit Licensor&apos;s \nability to enforce such provision at a later time. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 7.6. </var>Severability\n			  <p>\nIf any provision of this License is held to be unenforceable, such provision \nshall be reformed only to the extent necessary to make it enforceable. Any \ninvalid or unenforceable portion will be interpreted to the effect and intent \nof the original portion. If such a construction is not possible, the invalid \nor unenforceable portion will be severed from this License but the rest of \nthis License will remain in full force and effect. \n			  </p>\n\n			</li>\n			\n<li>\n<var class=\"optional-license-text\"> ### </var><var class=\"replaceable-license-text\"> 7.7. </var>License for the Text of this License\n			  <p>\nThe text of this license is released under the Creative Commons \nAttribution-ShareAlike 4.0 International License, with the caveat that any \nmodifications of this license may not use the name &quot;Cryptographic Autonomy \nLicense&quot; or any name confusingly similar thereto to describe any derived work \nof this License. \n			  </p>\n\n			</li>\n		  \n</ul>\n		</li>\n	  \n</ul>\n	"
		self.python_name = "CAL10CombinedWorkException"

	def __str__(self):
		return json.dumps(self.__dict__)


class SNIA:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "STORAGE NETWORKING INDUSTRY ASSOCIATION\nPUBLIC LICENSE\nVersion 1.1\n\n1. Definitions.\n\n1.1 \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n1.2 \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n1.3 \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n1.4 \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n1.5 \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n1.6 \"Executable\" means Covered Code in any form other than Source Code.\n\n1.7 \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n1.8 \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n1.9 \"License\" means this document.\n\n1.10 \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n1.11 \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n	 A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n	 B. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.12 \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n1.13 \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n1.14 \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n1.15 \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity\n\n2. Source Code License.\n\n2.1 The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n	 (a) under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n	 (b) under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n	 (c) the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n	 (d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.\n\n2.2 Contributor Grant. Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n	 (a) under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n	 (b) under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n	 (c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n	 (d) Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n3. Distribution Obligations.\n\n3.1 Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n3.2 Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n3.3 Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n3.4 Intellectual Property Matters.\n	 (a) Third Party Claims. If Contributor has actual knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter.\n	 (b) Contributor API's. If Contributor's Modifications include an application programming interface and Contributor has actual knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n	 (c) Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n3.5 Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be most likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability (excluding any liability arising from intellectual property claims relating to the Covered Code) incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n3.6 Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligation of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability (excluding any liability arising from intellectual property claims relating to the Covered Code) incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n3.7 Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation. If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License. This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n6. Versions of the License.\n\n6.1 New Versions. The Storage Networking Industry Association (the \"SNIA\") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n6.2 Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by the SNIA. No one other than the SNIA has the right to modify the terms applicable to Covered Code created under this License.\n\n6.3 Derivative Works. If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \"Storage Networking Industry Association,\" \"SNIA,\" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the SNIA Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n7. DISCLAIMER OF WARRANTY. COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. TERMINATION.\n\n8.1 This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within a reasonable time after becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n8.2 If You initiate litigation by asserting a patent infringement claim (excluding declaratory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that: o (a) such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n8.3 If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n8.4 In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n9. LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. GOVERNMENT END USERS. The Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n11. MISCELLANEOUS This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n12. RESPONSIBILITY FOR CLAIMS. As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n13. MULTIPLE-LICENSED CODE. Initial Developer may designate portions of the Covered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of this License or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\n14. ACCEPTANCE. This License is accepted by You if You retain, use, or distribute the Covered Code for any purpose.\n\nEXHIBIT A The SNIA Public License.\n\nThe contents of this file are subject to the SNIA Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at\n\nwww.snia.org/smi/developers/cim/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is .\n\nThe Initial Developer of the Original Code is [COMPLETE THIS] .\n\nContributor(s): ______________________________________.\n\nRead more about this license at http://www.snia.org/smi/developers/open_source/\n"
		self.standardLicenseTemplate = "<<beginOptional>>STORAGE NETWORKING INDUSTRY ASSOCIATION\n\nPUBLIC LICENSE\n\nVersion 1.1\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n   <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n   <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n   <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n   <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n   <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n   <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"Executable\" means Covered Code in any form other than Source Code.\n\n   <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n   <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n   <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"License\" means this document.\n\n   <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n   <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n   <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n   <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n   <<var;name=\"bullet\";original=\"1.12\";match=\".{0,20}\">> \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n   <<var;name=\"bullet\";original=\"1.13\";match=\".{0,20}\">> \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n   <<var;name=\"bullet\";original=\"1.14\";match=\".{0,20}\">> \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n   <<var;name=\"bullet\";original=\"1.15\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n   <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n   <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n   <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n   <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.\n\n   <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> Contributor Grant. Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n   <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n   <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n   <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n   <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n   <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n   <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n   <<var;name=\"bullet\";original=\"3.4\";match=\".{0,20}\">> Intellectual Property Matters.\n\n   <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims. If Contributor has actual knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter.\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor API's. If Contributor's Modifications include an application programming interface and Contributor has actual knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n   <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n   <<var;name=\"bullet\";original=\"3.5\";match=\".{0,20}\">> Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be most likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability (excluding any liability arising from intellectual property claims relating to the Covered Code) incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n   <<var;name=\"bullet\";original=\"3.6\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligation of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability (excluding any liability arising from intellectual property claims relating to the Covered Code) incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n   <<var;name=\"bullet\";original=\"3.7\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation. If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Application of this License. This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Versions of the License.\n\n   <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> New Versions. The Storage Networking Industry Association (the \"SNIA\") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n   <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by the SNIA. No one other than the SNIA has the right to modify the terms applicable to Covered Code created under this License.\n\n   <<var;name=\"bullet\";original=\"6.3\";match=\".{0,20}\">> Derivative Works. If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \"Storage Networking Industry Association,\" \"SNIA,\" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the SNIA Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY. COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TERMINATION.\n\n   <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within a reasonable time after becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n   <<var;name=\"bullet\";original=\"8.2\";match=\".{0,20}\">> If You initiate litigation by asserting a patent infringement claim (excluding declaratory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that: o (a) such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n   <<var;name=\"bullet\";original=\"8.3\";match=\".{0,20}\">> If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n   <<var;name=\"bullet\";original=\"8.4\";match=\".{0,20}\">> In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS. The Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> MISCELLANEOUS This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS. As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> MULTIPLE-LICENSED CODE. Initial Developer may designate portions of the Covered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of this License or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> ACCEPTANCE. This License is accepted by You if You retain, use, or distribute the Covered Code for any purpose.<<beginOptional>> EXHIBIT A The SNIA Public License.\n\nThe contents of this file are subject to the SNIA Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at\n\nwww.snia.org/smi/developers/cim/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is .\n\nThe Initial Developer of the Original Code is [COMPLETE THIS] .\n\nContributor(s): ______________________________________.\n\nRead more about this license at http://www.snia.org/smi/developers/open_source/\n\n<<endOptional>>"
		self.name = "SNIA Public License 1.1"
		self.licenseComments = "This is MPL-1.1 with some edits."
		self.licenseId = "SNIA"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/SNIA_Public_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:41Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/SNIA_Public_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>STORAGE NETWORKING INDUSTRY ASSOCIATION\n		<br />\n\nPUBLIC LICENSE\n		<br />\n\nVersion 1.1\n	  </p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.1</var>\n		  &quot;Commercial Use&quot; means distribution or otherwise making the Covered Code available to a third party.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.2</var>\n		  &quot;Contributor&quot; means each entity that creates or contributes to the creation of Modifications.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.3</var>\n		  &quot;Contributor Version&quot; means the combination of the Original Code, prior Modifications used by a\n			 Contributor, and the Modifications made by that particular Contributor.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.4</var>\n		  &quot;Covered Code&quot; means the Original Code or Modifications or the combination of the Original Code\n			 and Modifications, in each case including portions thereof.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.5</var>\n		  &quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the software\n			 development community for the electronic transfer of data.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.6</var>\n		  &quot;Executable&quot; means Covered Code in any form other than Source Code.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.7</var>\n		  &quot;Initial Developer&quot; means the individual or entity identified as the Initial Developer in the\n			 Source Code notice required by Exhibit A.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.8</var>\n		  &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with code not governed\n			 by the terms of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.9</var>\n		  &quot;License&quot; means this document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.10</var>\n		  &quot;Licensable&quot; means having the right to grant, to the maximum extent possible, whether at the time\n			 of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.11</var>\n		  &quot;Modifications&quot; means any addition to or deletion from the substance or structure of either the\n			 Original Code or any previous Modifications. When Covered Code is released as a series of\n			 files, a Modification is:\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n		  Any addition to or deletion from the contents of a file containing Original Code or previous\n			 Modifications.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n		  Any new file that contains any part of the Original Code or previous Modifications.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.12</var>\n		  &quot;Original Code&quot; means Source Code of computer software code which is described in the Source Code\n			 notice required by Exhibit A as Original Code, and which, at the time of its release under\n			 this License is not already Covered Code governed by this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.13</var>\n		  &quot;Patent Claims&quot; means any patent claim(s), now owned or hereafter acquired, including without\n			 limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.14</var>\n		  &quot;Source Code&quot; means the preferred form of the Covered Code for making modifications to it,\n			 including all modules it contains, plus any associated interface definition files, scripts\n			 used to control compilation and installation of an Executable, or source code differential\n			 comparisons against either the Original Code or another well known, available Covered Code of\n			 the Contributor&apos;s choice. The Source Code can be in a compressed or archival form, provided\n			 the appropriate decompression or de-archiving software is widely available for no charge.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.15</var>\n		  &quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity exercising rights under, and complying\n			 with all of the terms of, this License or a future version of this License issued under\n			 Section 6.1. For legal entities, &quot;You&quot; includes any entity which controls, is controlled by,\n			 or is under common control with You. For purposes of this definition, &quot;control&quot; means (a) the\n			 power, direct or indirect, to cause the direction or management of such entity, whether by\n			 contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding\n			 shares or beneficial ownership of such entity\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Source Code License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.1</var>\n		  The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free,\n			 non-exclusive license, subject to third party intellectual property claims:\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (a)</var>\n		  under intellectual property rights (other than patent or trademark) Licensable by Initial\n			 Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original\n			 Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work;\n			 and\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (b)</var>\n		  under Patents Claims infringed by the making, using or selling of Original Code, to make, have\n			 made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code\n			 (or portions thereof).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (c)</var>\n		  the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer\n			 first distributes Original Code under the terms of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (d)</var>\n		  Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete\n			 from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by:\n			 i) the modification of the Original Code or ii) the combination of the Original Code with\n			 other software or devices.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.2</var>\n		  Contributor Grant. Subject to third party intellectual property claims, each Contributor hereby\n			 grants You a world-wide, royalty-free, non-exclusive license\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (a)</var>\n		  under intellectual property rights (other than patent or trademark) Licensable by Contributor, to\n			 use, reproduce, modify, display, perform, sublicense and distribute the Modifications created\n			 by such Contributor (or portions thereof) either on an unmodified basis, with other\n			 Modifications, as Covered Code and/or as part of a Larger Work; and\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (b)</var>\n		  under Patent Claims infringed by the making, using, or selling of Modifications made by that\n			 Contributor either alone and/or in combination with its Contributor Version (or portions of\n			 such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of:\n			 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of\n			 Modifications made by that Contributor with its Contributor Version (or portions of such\n			 combination).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (c)</var>\n		  the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first\n			 makes Commercial Use of the Covered Code.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (d)</var>\n		  Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that\n			 Contributor has deleted from the Contributor Version; 2) separate from the Contributor\n			 Version; 3) for infringements caused by: i) third party modifications of Contributor Version\n			 or ii) the combination of Modifications made by that Contributor with other software (except\n			 as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by\n			 Covered Code in the absence of Modifications made by that Contributor.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Distribution Obligations.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.1</var>\n		  Application of License. The Modifications which You create or to which You contribute are\n			 governed by the terms of this License, including without limitation Section 2.2. The Source\n			 Code version of Covered Code may be distributed only under the terms of this License or a\n			 future version of this License released under Section 6.1, and You must include a copy of this\n			 License with every copy of the Source Code You distribute. You may not offer or impose any\n			 terms on any Source Code version that alters or restricts the applicable version of this\n			 License or the recipients&apos; rights hereunder. However, You may include an additional document\n			 offering the additional rights described in Section 3.5.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.2</var>\n		  Availability of Source Code. Any Modification which You create or to which You contribute must be\n			 made available in Source Code form under the terms of this License either on the same media as\n			 an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom\n			 you made an Executable version available; and if made available via Electronic Distribution\n			 Mechanism, must remain available for at least twelve (12) months after the date it initially\n			 became available, or at least six (6) months after a subsequent version of that particular\n			 Modification has been made available to such recipients. You are responsible for ensuring that\n			 the Source Code version remains available even if the Electronic Distribution Mechanism is\n			 maintained by a third party.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.3</var>\n		  Description of Modifications. You must cause all Covered Code to which You contribute to contain\n			 a file documenting the changes You made to create that Covered Code and the date of any\n			 change. You must include a prominent statement that the Modification is derived, directly or\n			 indirectly, from Original Code provided by the Initial Developer and including the name of the\n			 Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or\n			 related documentation in which You describe the origin or ownership of the Covered Code.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.4</var>\n		  Intellectual Property Matters.\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (a)</var>\n		  Third Party Claims. If Contributor has actual knowledge that a license under a third party&apos;s\n			 intellectual property rights is required to exercise the rights granted by such Contributor\n			 under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code\n			 distribution titled &quot;LEGAL&quot; which describes the claim and the party making the claim in\n			 sufficient detail that a recipient will know whom to contact. If Contributor obtains such\n			 knowledge after the Modification is made available as described in Section 3.2, Contributor\n			 shall promptly modify the LEGAL file in all copies Contributor makes available thereafter.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (b)</var>\n		  Contributor API&apos;s. If Contributor&apos;s Modifications include an application programming interface\n			 and Contributor has actual knowledge of patent licenses which are reasonably necessary to\n			 implement that API, Contributor must also include this information in the LEGAL file.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (c)</var>\n		  Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a)\n			 above, Contributor believes that Contributor&apos;s Modifications are Contributor&apos;s original\n			 creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this\n			 License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.5</var>\n		  Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If\n			 it is not possible to put such notice in a particular Source Code file due to its structure,\n			 then You must include such notice in a location (such as a relevant directory) where a user\n			 would be most likely to look for such a notice. If You created one or more Modification(s) You\n			 may add your name as a Contributor to the notice described in Exhibit A. You must also\n			 duplicate this License in any documentation for the Source Code where You describe recipients&apos;\n			 rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a\n			 fee for, warranty, support, indemnity or liability obligations to one or more recipients of\n			 Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial\n			 Developer or any Contributor. You must make it absolutely clear that any such warranty,\n			 support, indemnity or liability obligation is offered by You alone, and You hereby agree to\n			 indemnify the Initial Developer and every Contributor for any liability (excluding any\n			 liability arising from intellectual property claims relating to the Covered Code) incurred by\n			 the Initial Developer or such Contributor as a result of warranty, support, indemnity or\n			 liability terms You offer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.6</var>\n		  Distribution of Executable Versions. You may distribute Covered Code in Executable form only if\n			 the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a\n			 notice stating that the Source Code version of the Covered Code is available under the terms\n			 of this License, including a description of how and where You have fulfilled the obligation of\n			 Section 3.2. The notice must be conspicuously included in any notice in an Executable version,\n			 related documentation or collateral in which You describe recipients&apos; rights relating to the\n			 Covered Code. You may distribute the Executable version of Covered Code or ownership rights\n			 under a license of Your choice, which may contain terms different from this License, provided\n			 that You are in compliance with the terms of this License and that the license for the\n			 Executable version does not attempt to limit or alter the recipient&apos;s rights in the Source\n			 Code version from the rights set forth in this License. If You distribute the Executable\n			 version under a different license You must make it absolutely clear that any terms which\n			 differ from this License are offered by You alone, not by the Initial Developer or any\n			 Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any\n			 liability (excluding any liability arising from intellectual property claims relating to the\n			 Covered Code) incurred by the Initial Developer or such Contributor as a result of any such\n			 terms You offer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.7</var>\n		  Larger Works. You may create a Larger Work by combining Covered Code with other code not governed\n			 by the terms of this License and distribute the Larger Work as a single product. In such a\n			 case, You must make sure the requirements of this License are fulfilled for the Covered\n			 Code.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Inability to Comply Due to Statute or Regulation. If it is impossible for You to comply with any\n			 of the terms of this License with respect to some or all of the Covered Code due to statute,\n			 judicial order, or regulation then You must: (a) comply with the terms of this License to the\n			 maximum extent possible; and (b) describe the limitations and the code they affect. Such\n			 description must be included in the LEGAL file described in Section 3.4 and must be included\n			 with all distributions of the Source Code. Except to the extent prohibited by statute or\n			 regulation, such description must be sufficiently detailed for a recipient of ordinary skill\n			 to be able to understand it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Application of this License. This License applies to code to which the Initial Developer has\n			 attached the notice in Exhibit A and to related Covered Code.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Versions of the License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.1</var>\n		  New Versions. The Storage Networking Industry Association (the &quot;SNIA&quot;) may publish revised and/or\n			 new versions of the License from time to time. Each version will be given a distinguishing\n			 version number.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.2</var>\n		  Effect of New Versions. Once Covered Code has been published under a particular version of the\n			 License, You may always continue to use it under the terms of that version. You may also\n			 choose to use such Covered Code under the terms of any subsequent version of the License\n			 published by the SNIA. No one other than the SNIA has the right to modify the terms applicable\n			 to Covered Code created under this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.3</var>\n		  Derivative Works. If You create or use a modified version of this License (which you may only do\n			 in order to apply it to code which is not already Covered Code governed by this License), You\n			 must (a) rename Your license so that the phrases &quot;Storage Networking Industry Association,&quot;\n			 &quot;SNIA,&quot; or any confusingly similar phrase do not appear in your license (except to note that\n			 your license differs from this License) and (b) otherwise make it clear that Your version of\n			 the license contains terms which differ from the SNIA Public License. (Filling in the name of\n			 the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall\n			 not of themselves be deemed to be modifications of this License.)\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  DISCLAIMER OF WARRANTY. COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT\n			 WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\n			 THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR\n			 NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH\n			 YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR\n			 ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS\n			 DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\n			 CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  TERMINATION.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.1</var>\n		  This License and the rights granted hereunder will terminate automatically if You fail to comply\n			 with terms herein and fail to cure such breach within a reasonable time after becoming aware\n			 of the breach. All sublicenses to the Covered Code which are properly granted shall survive\n			 any termination of this License. Provisions which, by their nature, must remain in effect\n			 beyond the termination of this License shall survive.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.2</var>\n		  If You initiate litigation by asserting a patent infringement claim (excluding declaratory\n			 judgment actions) against Initial Developer or a Contributor (the Initial Developer or\n			 Contributor against whom You file such action is referred to as &quot;Participant&quot;) alleging that:\n			 o (a) such Participant&apos;s Contributor Version directly or indirectly infringes any patent, then\n			 any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this\n			 License shall, upon 60 days notice from Participant terminate prospectively, unless if within\n			 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually\n			 agreeable reasonable royalty for Your past and future use of Modifications made by such\n			 Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version\n			 against such Participant. If within 60 days of notice, a reasonable royalty and payment\n			 arrangement are not mutually agreed upon in writing by the parties or the litigation claim is\n			 not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2\n			 automatically terminate at the expiration of the 60 day notice period specified above.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.3</var>\n		  If You assert a patent infringement claim against Participant alleging that such Participant&apos;s\n			 Contributor Version directly or indirectly infringes any patent where such claim is resolved\n			 (such as by license or settlement) prior to the initiation of patent infringement litigation,\n			 then the reasonable value of the licenses granted by such Participant under Sections 2.1 or\n			 2.2 shall be taken into account in determining the amount or value of any payment or\n			 license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.4</var>\n		  In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements\n			 (excluding distributors and resellers) which have been validly granted by You or any\n			 distributor hereunder prior to termination shall survive termination.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT\n			 (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER\n			 CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE\n			 LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY\n			 CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER\n			 FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY\n			 SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\n			 SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S\n			 NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT\n			 ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION\n			 AND LIMITATION MAY NOT APPLY TO YOU.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  U.S. GOVERNMENT END USERS. The Covered Code is a &quot;commercial item,&quot; as that term is defined in 48\n			 C.F.R. 2.101 (Oct. 1995), consisting of &quot;commercial computer software&quot; and &quot;commercial\n			 computer software documentation,&quot; as such terms are used in 48 C.F.R. 12.212 (Sept. 1995).\n			 Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all\n			 U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  MISCELLANEOUS This License represents the complete agreement concerning subject matter hereof. If\n			 any provision of this License is held to be unenforceable, such provision shall be reformed\n			 only to the extent necessary to make it enforceable. This License shall be governed by\n			 California law provisions (except to the extent applicable law, if any, provides otherwise),\n			 excluding its conflict-of-law provisions. The application of the United Nations Convention on\n			 Contracts for the International Sale of Goods is expressly excluded. Any law or regulation\n			 which provides that the language of a contract shall be consTrued against the drafter shall\n			 not apply to this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  RESPONSIBILITY FOR CLAIMS. As between Initial Developer and the Contributors, each party is\n			 responsible for claims and damages arising, directly or indirectly, out of its utilization of\n			 rights under this License and You agree to work with Initial Developer and Contributors to\n			 distribute such responsibility on an equitable basis. Nothing herein is intended or shall be\n			 deemed to constitute any admission of liability.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  MULTIPLE-LICENSED CODE. Initial Developer may designate portions of the Covered Code as\n			 &quot;Multiple-Licensed&quot;. &quot;Multiple-Licensed&quot; means that the Initial Developer permits you to\n			 utilize portions of the Covered Code under Your choice of this License or the alternative\n			 licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14.</var>\n		  ACCEPTANCE. This License is accepted by You if You retain, use, or distribute the Covered Code\n			 for any purpose.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A The SNIA Public License.</p>\n\n		 <p>The contents of this file are subject to the SNIA Public License Version 1.0 (the &quot;License&quot;); you may not\n		 use this file except in compliance with the License. You may obtain a copy of the License at</p>\n\n		 <p>www.snia.org/smi/developers/cim/</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF ANY KIND,\n		 either express or implied. See the License for the specific language governing rights and limitations\n		 under the License.</p>\n\n		 <p>The Original Code is .</p>\n\n		 <p>The Initial Developer of the Original Code is [COMPLETE THIS] .</p>\n\n		 <p>Contributor(s): ______________________________________.</p>\n\n		 <p>Read more about this license at http://www.snia.org/smi/developers/open_source/</p>\n\n	  </div>\n	"
		self.python_name = "SNIA"

	def __str__(self):
		return json.dumps(self.__dict__)


class copyleftnext031:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "					  copyleft-next 0.3.1 (\"this License\")\n							Release date: 2016-04-29\n\n1. License Grants; No Trademark License\n\n   Subject to the terms of this License, I grant You:\n\n   a) A non-exclusive, worldwide, perpetual, royalty-free, irrevocable\n	  copyright license, to reproduce, Distribute, prepare derivative works\n	  of, publicly perform and publicly display My Work.\n\n   b) A non-exclusive, worldwide, perpetual, royalty-free, irrevocable\n	  patent license under Licensed Patents to make, have made, use, sell,\n	  offer for sale, and import Covered Works.\n\n   This License does not grant any rights in My name, trademarks, service\n   marks, or logos.\n\n2. Distribution: General Conditions\n\n   You may Distribute Covered Works, provided that You (i) inform\n   recipients how they can obtain a copy of this License; (ii) satisfy the\n   applicable conditions of sections 3 through 6; and (iii) preserve all\n   Legal Notices contained in My Work (to the extent they remain\n   pertinent). \"Legal Notices\" means copyright notices, license notices,\n   license texts, and author attributions, but does not include logos,\n   other graphical images, trademarks or trademark legends.\n\n3. Conditions for Distributing Derived Works; Outbound GPL Compatibility\n\n   If You Distribute a Derived Work, You must license the entire Derived\n   Work as a whole under this License, with prominent notice of such\n   licensing. This condition may not be avoided through such means as\n   separate Distribution of portions of the Derived Work.\n\n   If the Derived Work includes material licensed under the GPL, You may\n   instead license the Derived Work under the GPL.\n\n4. Condition Against Further Restrictions; Inbound License Compatibility\n\n   When Distributing a Covered Work, You may not impose further\n   restrictions on the exercise of rights in the Covered Work granted under\n   this License. This condition is not excused merely because such\n   restrictions result from Your compliance with conditions or obligations\n   extrinsic to this License (such as a court order or an agreement with a\n   third party).\n\n   However, You may Distribute a Covered Work incorporating material\n   governed by a license that is both OSI-Approved and FSF-Free as of the\n   release date of this License, provided that compliance with such\n   other license would not conflict with any conditions stated in other\n   sections of this License.\n\n5. Conditions for Distributing Object Code\n\n   You may Distribute an Object Code form of a Covered Work, provided that\n   you accompany the Object Code with a URL through which the Corresponding\n   Source is made available, at no charge, by some standard or customary\n   means of providing network access to source code.\n\n   If you Distribute the Object Code in a physical product or tangible\n   storage medium (\"Product\"), the Corresponding Source must be available\n   through such URL for two years from the date of Your most recent\n   Distribution of the Object Code in the Product. However, if the Product\n   itself contains or is accompanied by the Corresponding Source (made\n   available in a customarily accessible manner), You need not also comply\n   with the first paragraph of this section.\n\n   Each direct and indirect recipient of the Covered Work from You is an\n   intended third-party beneficiary of this License solely as to this\n   section 5, with the right to enforce its terms.\n\n6. Symmetrical Licensing Condition for Upstream Contributions\n\n   If You Distribute a work to Me specifically for inclusion in or\n   modification of a Covered Work (a \"Patch\"), and no explicit licensing\n   terms apply to the Patch, You license the Patch under this License, to\n   the extent of Your copyright in the Patch. This condition does not\n   negate the other conditions of this License, if applicable to the Patch.\n\n7. Nullification of Copyleft/Proprietary Dual Licensing\n\n   If I offer to license, for a fee, a Covered Work under terms other than\n   a license that is OSI-Approved or FSF-Free as of the release date of this\n   License or a numbered version of copyleft-next released by the\n   Copyleft-Next Project, then the license I grant You under section 1 is no\n   longer subject to the conditions in sections 3 through 5.\n\n8. Copyleft Sunset\n\n   The conditions in sections 3 through 5 no longer apply once fifteen\n   years have elapsed from the date of My first Distribution of My Work\n   under this License.\n\n9. Pass-Through\n\n   When You Distribute a Covered Work, the recipient automatically receives\n   a license to My Work from Me, subject to the terms of this License.\n\n10. Termination\n\n	Your license grants under section 1 are automatically terminated if You\n\n	a) fail to comply with the conditions of this License, unless You cure\n	   such noncompliance within thirty days after becoming aware of it, or\n\n	b) initiate a patent infringement litigation claim (excluding\n	   declaratory judgment actions, counterclaims, and cross-claims)\n	   alleging that any part of My Work directly or indirectly infringes\n	   any patent.\n\n	Termination of Your license grants extends to all copies of Covered\n	Works You subsequently obtain. Termination does not terminate the\n	rights of those who have received copies or rights from You subject to\n	this License.\n\n	To the extent permission to make copies of a Covered Work is necessary\n	merely for running it, such permission is not terminable.\n\n11. Later License Versions\n\n	The Copyleft-Next Project may release new versions of copyleft-next,\n	designated by a distinguishing version number (\"Later Versions\").\n	Unless I explicitly remove the option of Distributing Covered Works\n	under Later Versions, You may Distribute Covered Works under any Later\n	Version.\n\n** 12. No Warranty													   **\n**																	   **\n**	 My Work is provided \"as-is\", without warranty. You bear the risk  **\n**	 of using it. To the extent permitted by applicable law, each	  **\n**	 Distributor of My Work excludes the implied warranties of title,  **\n**	 merchantability, fitness for a particular purpose and			 **\n**	 non-infringement.												 **\n\n** 13. Limitation of Liability										   **\n**																	   **\n**	 To the extent permitted by applicable law, in no event will any   **\n**	 Distributor of My Work be liable to You for any damages		   **\n**	 whatsoever, whether direct, indirect, special, incidental, or	 **\n**	 consequential damages, whether arising under contract, tort	   **\n**	 (including negligence), or otherwise, even where the Distributor  **\n**	 knew or should have known about the possibility of such damages.  **\n\n14. Severability\n\n	The invalidity or unenforceability of any provision of this License\n	does not affect the validity or enforceability of the remainder of\n	this License. Such provision is to be reformed to the minimum extent\n	necessary to make it valid and enforceable.\n\n15. Definitions\n\n	\"Copyleft-Next Project\" means the project that maintains the source\n	code repository at <https://github.com/copyleft-next/copyleft-next.git/>\n	as of the release date of this License.\n\n	\"Corresponding Source\" of a Covered Work in Object Code form means (i)\n	the Source Code form of the Covered Work; (ii) all scripts,\n	instructions and similar information that are reasonably necessary for\n	a skilled developer to generate such Object Code from the Source Code\n	provided under (i); and (iii) a list clearly identifying all Separate\n	Works (other than those provided in compliance with (ii)) that were\n	specifically used in building and (if applicable) installing the\n	Covered Work (for example, a specified proprietary compiler including\n	its version number). Corresponding Source must be machine-readable.\n\n	\"Covered Work\" means My Work or a Derived Work.\n\n	\"Derived Work\" means a work of authorship that copies from, modifies,\n	adapts, is based on, is a derivative work of, transforms, translates or\n	contains all or part of My Work, such that copyright permission is\n	required. The following are not Derived Works: (i) Mere Aggregation;\n	(ii) a mere reproduction of My Work; and (iii) if My Work fails to\n	explicitly state an expectation otherwise, a work that merely makes\n	reference to My Work.\n\n	\"Distribute\" means to distribute, transfer or make a copy available to\n	someone else, such that copyright permission is required.\n\n	\"Distributor\" means Me and anyone else who Distributes a Covered Work.\n\n	\"FSF-Free\" means classified as 'free' by the Free Software Foundation.\n\n	\"GPL\" means a version of the GNU General Public License or the GNU\n	Affero General Public License.\n\n	\"I\"/\"Me\"/\"My\" refers to the individual or legal entity that places My\n	Work under this License. \"You\"/\"Your\" refers to the individual or legal\n	entity exercising rights in My Work under this License. A legal entity\n	includes each entity that controls, is controlled by, or is under\n	common control with such legal entity. \"Control\" means (a) the power to\n	direct the actions of such legal entity, whether by contract or\n	otherwise, or (b) ownership of more than fifty percent of the\n	outstanding shares or beneficial ownership of such legal entity.\n\n	\"Licensed Patents\" means all patent claims licensable royalty-free by\n	Me, now or in the future, that are necessarily infringed by making,\n	using, or selling My Work, and excludes claims that would be infringed\n	only as a consequence of further modification of My Work.\n\n	\"Mere Aggregation\" means an aggregation of a Covered Work with a\n	Separate Work.\n\n	\"My Work\" means the particular work of authorship I license to You\n	under this License.\n\n	\"Object Code\" means any form of a work that is not Source Code.\n\n	\"OSI-Approved\" means approved as 'Open Source' by the Open Source\n	Initiative.\n\n	\"Separate Work\" means a work that is separate from and independent of a\n	particular Covered Work and is not by its nature an extension or\n	enhancement of the Covered Work, and/or a runtime library, standard\n	library or similar component that is used to generate an Object Code\n	form of a Covered Work.\n\n	\"Source Code\" means the preferred form of a work for making\n	modifications to it.\n"
		self.standardLicenseTemplate = "<<beginOptional>>copyleft-next 0.3.1 (\"this License\")\n\nRelease date: 2016-04-29\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> License Grants; No Trademark License\n\n   Subject to the terms of this License, I grant You:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> A non-exclusive, worldwide, perpetual, royalty-free, irrevocable copyright license, to reproduce, Distribute, prepare derivative works of, publicly perform and publicly display My Work.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> A non-exclusive, worldwide, perpetual, royalty-free, irrevocable patent license under Licensed Patents to make, have made, use, sell, offer for sale, and import Covered Works.\n\n   This License does not grant any rights in My name, trademarks, service marks, or logos.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Distribution: General Conditions\n\n   You may Distribute Covered Works, provided that You (i) inform recipients how they can obtain a copy of this License; (ii) satisfy the applicable conditions of sections 3 through 6; and (iii) preserve all Legal Notices contained in My Work (to the extent they remain pertinent). \"Legal Notices\" means copyright notices, license notices, license texts, and author attributions, but does not include logos, other graphical images, trademarks or trademark legends.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Conditions for Distributing Derived Works; Outbound GPL Compatibility\n\n   If You Distribute a Derived Work, You must license the entire Derived Work as a whole under this License, with prominent notice of such licensing. This condition may not be avoided through such means as separate Distribution of portions of the Derived Work.\n\n   If the Derived Work includes material licensed under the GPL, You may instead license the Derived Work under the GPL.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Condition Against Further Restrictions; Inbound License Compatibility\n\n   When Distributing a Covered Work, You may not impose further restrictions on the exercise of rights in the Covered Work granted under this License. This condition is not excused merely because such restrictions result from Your compliance with conditions or obligations extrinsic to this License (such as a court order or an agreement with a third party).\n\n   However, You may Distribute a Covered Work incorporating material governed by a license that is both OSI-Approved and FSF-Free as of the release date of this License, provided that compliance with such other license would not conflict with any conditions stated in other sections of this License.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Conditions for Distributing Object Code\n\n   You may Distribute an Object Code form of a Covered Work, provided that you accompany the Object Code with a URL through which the Corresponding Source is made available, at no charge, by some standard or customary means of providing network access to source code.\n\n   If you Distribute the Object Code in a physical product or tangible storage medium (\"Product\"), the Corresponding Source must be available through such URL for two years from the date of Your most recent Distribution of the Object Code in the Product. However, if the Product itself contains or is accompanied by the Corresponding Source (made available in a customarily accessible manner), You need not also comply with the first paragraph of this section.\n\n   Each direct and indirect recipient of the Covered Work from You is an intended third-party beneficiary of this License solely as to this section 5, with the right to enforce its terms.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Symmetrical Licensing Condition for Upstream Contributions\n\n   If You Distribute a work to Me specifically for inclusion in or modification of a Covered Work (a \"Patch\"), and no explicit licensing terms apply to the Patch, You license the Patch under this License, to the extent of Your copyright in the Patch. This condition does not negate the other conditions of this License, if applicable to the Patch.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Nullification of Copyleft/Proprietary Dual Licensing\n\n   If I offer to license, for a fee, a Covered Work under terms other than a license that is OSI-Approved or FSF-Free as of the release date of this License or a numbered version of copyleft-next released by the Copyleft-Next Project, then the license I grant You under section 1 is no longer subject to the conditions in sections 3 through 5.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Copyleft Sunset\n\n   The conditions in sections 3 through 5 no longer apply once fifteen years have elapsed from the date of My first Distribution of My Work under this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Pass-Through\n\n   When You Distribute a Covered Work, the recipient automatically receives a license to My Work from Me, subject to the terms of this License.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Termination\n\n   Your license grants under section 1 are automatically terminated if You\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> fail to comply with the conditions of this License, unless You cure such noncompliance within thirty days after becoming aware of it, or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> initiate a patent infringement litigation claim (excluding declaratory judgment actions, counterclaims, and cross-claims) alleging that any part of My Work directly or indirectly infringes any patent.\n\n   Termination of Your license grants extends to all copies of Covered Works You subsequently obtain. Termination does not terminate the rights of those who have received copies or rights from You subject to this License.\n\n   To the extent permission to make copies of a Covered Work is necessary merely for running it, such permission is not terminable.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Later License Versions\n\n   The Copyleft-Next Project may release new versions of copyleft-next, designated by a distinguishing version number (\"Later Versions\"). Unless I explicitly remove the option of Distributing Covered Works under Later Versions, You may Distribute Covered Works under any Later Version.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> No Warranty\n\n   My Work is provided \"as-is\", without warranty. You bear the risk of using it. To the extent permitted by applicable law, each Distributor of My Work excludes the implied warranties of title, merchantability, fitness for a particular purpose and non-infringement.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Limitation of Liability\n\n   To the extent permitted by applicable law, in no event will any Distributor of My Work be liable to You for any damages whatsoever, whether direct, indirect, special, incidental, or consequential damages, whether arising under contract, tort (including negligence), or otherwise, even where the Distributor knew or should have known about the possibility of such damages.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Severability\n\n   The invalidity or unenforceability of any provision of this License does not affect the validity or enforceability of the remainder of this License. Such provision is to be reformed to the minimum extent necessary to make it valid and enforceable.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Definitions\n\n   \"Copyleft-Next Project\" means the project that maintains the source code repository at <https://github.com/copyleft-next/copyleft-next.git/> as of the release date of this License.\n\n   \"Corresponding Source\" of a Covered Work in Object Code form means (i) the Source Code form of the Covered Work; (ii) all scripts, instructions and similar information that are reasonably necessary for a skilled developer to generate such Object Code from the Source Code provided under (i); and (iii) a list clearly identifying all Separate Works (other than those provided in compliance with (ii)) that were specifically used in building and (if applicable) installing the Covered Work (for example, a specified proprietary compiler including its version number). Corresponding Source must be machine-readable.\n\n   \"Covered Work\" means My Work or a Derived Work.\n\n   \"Derived Work\" means a work of authorship that copies from, modifies, adapts, is based on, is a derivative work of, transforms, translates or contains all or part of My Work, such that copyright permission is required. The following are not Derived Works: (i) Mere Aggregation; (ii) a mere reproduction of My Work; and (iii) if My Work fails to explicitly state an expectation otherwise, a work that merely makes reference to My Work.\n\n   \"Distribute\" means to distribute, transfer or make a copy available to someone else, such that copyright permission is required.\n\n   \"Distributor\" means Me and anyone else who Distributes a Covered Work.\n\n   \"FSF-Free\" means classified as 'free' by the Free Software Foundation.\n\n   \"GPL\" means a version of the GNU General Public License or the GNU Affero General Public License.\n\n   \"I\"/\"Me\"/\"My\" refers to the individual or legal entity that places My Work under this License. \"You\"/\"Your\" refers to the individual or legal entity exercising rights in My Work under this License. A legal entity includes each entity that controls, is controlled by, or is under common control with such legal entity. \"Control\" means (a) the power to direct the actions of such legal entity, whether by contract or otherwise, or (b) ownership of more than fifty percent of the outstanding shares or beneficial ownership of such legal entity.\n\n   \"Licensed Patents\" means all patent claims licensable royalty-free by Me, now or in the future, that are necessarily infringed by making, using, or selling My Work, and excludes claims that would be infringed only as a consequence of further modification of My Work.\n\n   \"Mere Aggregation\" means an aggregation of a Covered Work with a Separate Work.\n\n   \"My Work\" means the particular work of authorship I license to You under this License.\n\n   \"Object Code\" means any form of a work that is not Source Code.\n\n   \"OSI-Approved\" means approved as 'Open Source' by the Open Source Initiative.\n\n   \"Separate Work\" means a work that is separate from and independent of a particular Covered Work and is not by its nature an extension or enhancement of the Covered Work, and/or a runtime library, standard library or similar component that is used to generate an Object Code form of a Covered Work.\n\n   \"Source Code\" means the preferred form of a work for making modifications to it.\n\n   "
		self.name = "copyleft-next 0.3.1"
		self.licenseId = "copyleft-next-0.3.1"
		self.crossRef = [{"match": "False", "url": "https://github.com/copyleft-next/copyleft-next/blob/master/Releases/copyleft-next-0.3.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:37Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/copyleft-next/copyleft-next/blob/master/Releases/copyleft-next-0.3.1"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>copyleft-next 0.3.1 (&quot;this License&quot;)</p>\n\n		 <p>Release date: 2016-04-29</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n			License Grants; No Trademark License\n			<p>Subject to the terms of this License, I grant You:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> a)</var>\n					A non-exclusive, worldwide, perpetual, royalty-free, irrevocable\n					copyright license, to reproduce, Distribute, prepare derivative works\n					of, publicly perform and publicly display My Work.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> b)</var>\n					A non-exclusive, worldwide, perpetual, royalty-free, irrevocable\n					patent license under Licensed Patents to make, have made, use, sell,\n					offer for sale, and import Covered Works.\n				</li>\n			\n</ul>\n\n			<p>This License does not grant any rights in My name, trademarks, service\n			marks, or logos.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n			Distribution: General Conditions\n\n			<p>You may Distribute Covered Works, provided that You (i) inform\n			recipients how they can obtain a copy of this License; (ii) satisfy the\n			applicable conditions of sections 3 through 6; and (iii) preserve all\n			Legal Notices contained in My Work (to the extent they remain\n			pertinent). &quot;Legal Notices&quot; means copyright notices, license notices,\n			license texts, and author attributions, but does not include logos,\n			other graphical images, trademarks or trademark legends.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n			Conditions for Distributing Derived Works; Outbound GPL Compatibility\n\n			<p>If You Distribute a Derived Work, You must license the entire Derived\n			Work as a whole under this License, with prominent notice of such\n			licensing. This condition may not be avoided through such means as\n			separate Distribution of portions of the Derived Work.</p>\n\n			<p>If the Derived Work includes material licensed under the GPL, You may\n			instead license the Derived Work under the GPL.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n			Condition Against Further Restrictions; Inbound License Compatibility\n\n			<p>When Distributing a Covered Work, You may not impose further\n			restrictions on the exercise of rights in the Covered Work granted under\n			this License. This condition is not excused merely because such\n			restrictions result from Your compliance with conditions or obligations\n			extrinsic to this License (such as a court order or an agreement with a\n			third party).</p>\n\n			<p>However, You may Distribute a Covered Work incorporating material\n			governed by a license that is both OSI-Approved and FSF-Free as of the\n			release date of this License, provided that compliance with such\n			other license would not conflict with any conditions stated in other\n			sections of this License.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n			Conditions for Distributing Object Code\n\n			<p>You may Distribute an Object Code form of a Covered Work, provided that\n			you accompany the Object Code with a URL through which the Corresponding\n			Source is made available, at no charge, by some standard or customary\n			means of providing network access to source code.</p>\n\n			<p>If you Distribute the Object Code in a physical product or tangible\n			storage medium (&quot;Product&quot;), the Corresponding Source must be available\n			through such URL for two years from the date of Your most recent\n			Distribution of the Object Code in the Product. However, if the Product\n			itself contains or is accompanied by the Corresponding Source (made\n			available in a customarily accessible manner), You need not also comply\n			with the first paragraph of this section.</p>\n\n			<p>Each direct and indirect recipient of the Covered Work from You is an\n			intended third-party beneficiary of this License solely as to this\n			section 5, with the right to enforce its terms.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n			Symmetrical Licensing Condition for Upstream Contributions\n\n			<p>If You Distribute a work to Me specifically for inclusion in or\n			modification of a Covered Work (a &quot;Patch&quot;), and no explicit licensing\n			terms apply to the Patch, You license the Patch under this License, to\n			the extent of Your copyright in the Patch. This condition does not\n			negate the other conditions of this License, if applicable to the Patch.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n			Nullification of Copyleft/Proprietary Dual Licensing\n\n			<p>If I offer to license, for a fee, a Covered Work under terms other than\n			a license that is OSI-Approved or FSF-Free as of the release date of this\n			License or a numbered version of copyleft-next released by the\n			Copyleft-Next Project, then the license I grant You under section 1 is no\n			longer subject to the conditions in sections 3 through 5.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n			Copyleft Sunset\n\n			<p>The conditions in sections 3 through 5 no longer apply once fifteen\n			years have elapsed from the date of My first Distribution of My Work\n			under this License.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n			Pass-Through\n\n			<p>When You Distribute a Covered Work, the recipient automatically receives\n			a license to My Work from Me, subject to the terms of this License.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n			Termination\n			<p>Your license grants under section 1 are automatically terminated if You</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> a)</var>\n					fail to comply with the conditions of this License, unless You cure\n					such noncompliance within thirty days after becoming aware of it, or\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> b)</var>\n					initiate a patent infringement litigation claim (excluding\n					declaratory judgment actions, counterclaims, and cross-claims)\n					alleging that any part of My Work directly or indirectly infringes\n					any patent.\n				</li>\n			\n</ul>\n\n			<p>Termination of Your license grants extends to all copies of Covered\n			Works You subsequently obtain. Termination does not terminate the\n			rights of those who have received copies or rights from You subject to\n			this License.</p>\n\n			<p>To the extent permission to make copies of a Covered Work is necessary\n			merely for running it, such permission is not terminable.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n			Later License Versions\n\n			<p>The Copyleft-Next Project may release new versions of copyleft-next,\n			designated by a distinguishing version number (&quot;Later Versions&quot;).\n			Unless I explicitly remove the option of Distributing Covered Works\n			under Later Versions, You may Distribute Covered Works under any Later\n			Version.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n			No Warranty\n\n			<p>My Work is provided &quot;as-is&quot;, without warranty. You bear the risk\n			of using it. To the extent permitted by applicable law, each\n			Distributor of My Work excludes the implied warranties of title,\n			merchantability, fitness for a particular purpose and\n			non-infringement.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n			Limitation of Liability\n\n			<p>To the extent permitted by applicable law, in no event will any\n			Distributor of My Work be liable to You for any damages\n			whatsoever, whether direct, indirect, special, incidental, or\n			consequential damages, whether arising under contract, tort\n			(including negligence), or otherwise, even where the Distributor\n			knew or should have known about the possibility of such damages.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 14.</var>\n			Severability\n\n			<p>The invalidity or unenforceability of any provision of this License\n			does not affect the validity or enforceability of the remainder of\n			this License. Such provision is to be reformed to the minimum extent\n			necessary to make it valid and enforceable.</p>\n\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 15.</var>\n			Definitions\n\n			<p>&quot;Copyleft-Next Project&quot; means the project that maintains the source\n			code repository at &lt;https://github.com/copyleft-next/copyleft-next.git/&gt;\n			as of the release date of this License.</p>\n\n			<p>&quot;Corresponding Source&quot; of a Covered Work in Object Code form means (i)\n			the Source Code form of the Covered Work; (ii) all scripts,\n			instructions and similar information that are reasonably necessary for\n			a skilled developer to generate such Object Code from the Source Code\n			provided under (i); and (iii) a list clearly identifying all Separate\n			Works (other than those provided in compliance with (ii)) that were\n			specifically used in building and (if applicable) installing the\n			Covered Work (for example, a specified proprietary compiler including\n			its version number). Corresponding Source must be machine-readable.</p>\n\n			<p>&quot;Covered Work&quot; means My Work or a Derived Work.</p>\n\n			<p>&quot;Derived Work&quot; means a work of authorship that copies from, modifies,\n			adapts, is based on, is a derivative work of, transforms, translates or\n			contains all or part of My Work, such that copyright permission is\n			required. The following are not Derived Works: (i) Mere Aggregation;\n			(ii) a mere reproduction of My Work; and (iii) if My Work fails to\n			explicitly state an expectation otherwise, a work that merely makes\n			reference to My Work.</p>\n\n			<p>&quot;Distribute&quot; means to distribute, transfer or make a copy available to\n			someone else, such that copyright permission is required.</p>\n\n			<p>&quot;Distributor&quot; means Me and anyone else who Distributes a Covered Work.</p>\n\n			<p>&quot;FSF-Free&quot; means classified as &apos;free&apos; by the Free Software Foundation.</p>\n\n			<p>&quot;GPL&quot; means a version of the GNU General Public License or the GNU\n			Affero General Public License.</p>\n\n			<p>&quot;I&quot;/&quot;Me&quot;/&quot;My&quot; refers to the individual or legal entity that places My\n			Work under this License. &quot;You&quot;/&quot;Your&quot; refers to the individual or legal\n			entity exercising rights in My Work under this License. A legal entity\n			includes each entity that controls, is controlled by, or is under\n			common control with such legal entity. &quot;Control&quot; means (a) the power to\n			direct the actions of such legal entity, whether by contract or\n			otherwise, or (b) ownership of more than fifty percent of the\n			outstanding shares or beneficial ownership of such legal entity.</p>\n\n			<p>&quot;Licensed Patents&quot; means all patent claims licensable royalty-free by\n			Me, now or in the future, that are necessarily infringed by making,\n			using, or selling My Work, and excludes claims that would be infringed\n			only as a consequence of further modification of My Work.</p>\n\n			<p>&quot;Mere Aggregation&quot; means an aggregation of a Covered Work with a\n			Separate Work.</p>\n\n			<p>&quot;My Work&quot; means the particular work of authorship I license to You\n			under this License.</p>\n\n			<p>&quot;Object Code&quot; means any form of a work that is not Source Code.</p>\n\n			<p>&quot;OSI-Approved&quot; means approved as &apos;Open Source&apos; by the Open Source\n			Initiative.</p>\n\n			<p>&quot;Separate Work&quot; means a work that is separate from and independent of a\n			particular Covered Work and is not by its nature an extension or\n			enhancement of the Covered Work, and/or a runtime library, standard\n			library or similar component that is used to generate an Object Code\n			form of a Covered Work.</p>\n\n			<p>&quot;Source Code&quot; means the preferred form of a work for making\n			modifications to it.</p>\n\n		</li>\n	  \n</ul>\n\n	"
		self.python_name = "copyleftnext031"

	def __str__(self):
		return json.dumps(self.__dict__)


class MakeIndex:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "MakeIndex Distribution Notice\n\n11/11/1989\n\nCopyright (C) 1989 by Chen & Harrison International Systems, Inc.\nCopyright (C) 1988 by Olivetti Research Center\nCopyright (C) 1987 by Regents of the University of California\n\nAuthor:\n	 Pehong Chen (phc@renoir.berkeley.edu)\n	 Chen & Harrison International Systems, Inc.\n	 Palo Alto, California\n	 USA\n\nPermission is hereby granted to make and distribute original copies of this program provided that the copyright notice and this permission notice are preserved and provided that the recipient is not asked to waive or limit his right to redistribute copies as allowed by this permission notice and provided that anyone who receives an executable form of this program is granted access to a machine-readable form of the source code for this program at a cost not greater than reasonable reproduction, shipping, and handling costs.  Executable forms of this program distributed without the source code must be accompanied by a conspicuous copy of this permission notice and a statement that tells the recipient how to obtain the source code.\n\nPermission is granted to distribute modified versions of all or part of this program under the conditions above with the additional requirement that the entire modified work must be covered by a permission notice identical to this permission notice. Anything distributed with and usable only in conjunction with something derived from this program, whose useful purpose is to extend or adapt or add capabilities to this program, is to be considered a modified version of this program under the requirement above.  Ports of this program to other systems not supported in the distribution are also considered modified versions.  All modified versions should be reported back to the author.\n\nThis program is distributed with no warranty of any sort.  No contributor accepts responsibility for the consequences of using this program or for whether it serves any particular purpose.\n"
		self.standardLicenseTemplate = "<<beginOptional>>MakeIndex Distribution Notice\n\n11/11/1989\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 1989 by Chen & Harrison International Systems, Inc.  Copyright (C) 1988 by Olivetti Research Center  Copyright (C) 1987 by Regents of the University of California	Author:  Pehong Chen (phc@renoir.berkeley.edu)  Chen & Harrison International Systems, Inc.  Palo Alto, California  USA  \";match=\".{0,5000}\">>\n\nPermission is hereby granted to make and distribute original copies of this program provided that the copyright notice and this permission notice are preserved and provided that the recipient is not asked to waive or limit his right to redistribute copies as allowed by this permission notice and provided that anyone who receives an executable form of this program is granted access to a machine-readable form of the source code for this program at a cost not greater than reasonable reproduction, shipping, and handling costs. Executable forms of this program distributed without the source code must be accompanied by a conspicuous copy of this permission notice and a statement that tells the recipient how to obtain the source code.\n\nPermission is granted to distribute modified versions of all or part of this program under the conditions above with the additional requirement that the entire modified work must be covered by a permission notice identical to this permission notice. Anything distributed with and usable only in conjunction with something derived from this program, whose useful purpose is to extend or adapt or add capabilities to this program, is to be considered a modified version of this program under the requirement above. Ports of this program to other systems not supported in the distribution are also considered modified versions. All modified versions should be reported back to the author.\n\nThis program is distributed with no warranty of any sort. No contributor accepts responsibility for the consequences of using this program or for whether it serves any particular purpose.\n\n"
		self.name = "MakeIndex License"
		self.licenseId = "MakeIndex"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/MakeIndex", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:31Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/MakeIndex"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>MakeIndex Distribution Notice</p>\n\n		 <p>11/11/1989</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 1989 by Chen &amp; Harrison International Systems, Inc.\n		<br />\n\nCopyright (C) 1988 by Olivetti Research Center\n		<br />\n\nCopyright (C) 1987 by Regents of the University of California\n	  </p>\n\n		 <p>Author:\n		<br />\n\nPehong Chen (phc@renoir.berkeley.edu)\n		<br />\n\nChen &amp; Harrison International Systems, Inc.\n		<br />\n\nPalo Alto, California\n		<br />\n\nUSA\n	  </p>\n\n	  </div>\n\n	  <p>Permission is hereby granted to make and distribute original copies of this program provided that the\n		 copyright notice and this permission notice are preserved and provided that the recipient is not asked\n		 to waive or limit his right to redistribute copies as allowed by this permission notice and provided\n		 that anyone who receives an executable form of this program is granted access to a machine-readable\n		 form of the source code for this program at a cost not greater than reasonable reproduction, shipping,\n		 and handling costs. Executable forms of this program distributed without the source code must be\n		 accompanied by a conspicuous copy of this permission notice and a statement that tells the recipient\n		 how to obtain the source code.</p>\n\n	  <p>Permission is granted to distribute modified versions of all or part of this program under the conditions\n		 above with the additional requirement that the entire modified work must be covered by a permission\n		 notice identical to this permission notice. Anything distributed with and usable only in conjunction\n		 with something derived from this program, whose useful purpose is to extend or adapt or add\n		 capabilities to this program, is to be considered a modified version of this program under the\n		 requirement above. Ports of this program to other systems not supported in the distribution are also\n		 considered modified versions. All modified versions should be reported back to the author.</p>\n\n	  <p>This program is distributed with no warranty of any sort. No contributor accepts responsibility for the\n		 consequences of using this program or for whether it serves any particular purpose.</p>\n\n	"
		self.python_name = "MakeIndex"

	def __str__(self):
		return json.dumps(self.__dict__)


class LPDdocument:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1996 L. Peter Deutsch\n\nPermission is granted to copy and distribute this\ndocument for any purpose and without charge, including\ntranslations into other languages and incorporation\ninto compilations, provided that the copyright notice\nand this notice are preserved, and that any substantive\nchanges or deletions from the original are clearly marked.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) Yann Collet  \";match=\".{0,5000}\">>\n\nPermission is granted to copy and distribute this document for any purpose and without charge, including translations into other languages and incorporation into compilations, provided that the copyright notice and this notice are preserved, and that any substantive changes or deletions from the original are clearly marked.<<beginOptional>> Distribution of this document is unlimited.<<endOptional>>\n\n"
		self.name = "LPD Documentation License"
		self.licenseId = "LPD-document"
		self.crossRef = [{"match": "False", "url": "https://www.ietf.org/rfc/rfc1952.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:25Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/Cyan4973/xxHash/blob/dev/doc/xxhash_spec.md", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:25Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/Cyan4973/xxHash/blob/dev/doc/xxhash_spec.md", "https://www.ietf.org/rfc/rfc1952.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n		 <p>\n			Copyright (c) Yann Collet\n		 </p>\n\n		 </div>\n		 <p>\n			Permission is granted to copy and distribute this document for\n			any purpose and without charge, including translations into\n			other languages and incorporation into compilations, provided\n			that the copyright notice and this notice are preserved, and\n			that any substantive changes or deletions from the original\n			are clearly marked.<var class=\"optional-license-text\">  Distribution\n			of this document is unlimited.</var>\n		 </p>\n\n	  "
		self.python_name = "LPDdocument"

	def __str__(self):
		return json.dumps(self.__dict__)


class LucidaBitmapFonts:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This is the LEGAL NOTICE pertaining to the Lucida fonts from Bigelow & Holmes:\n\n\tNOTICE TO USER: The source code, including the glyphs or icons\n\tforming a par of the OPEN LOOK TM Graphic User Interface, on this\n\ttape and in these files is copyrighted under U.S. and international\n\tlaws. Sun Microsystems, Inc. of Mountain View, California owns\n\tthe copyright and has design patents pending on many of the icons.\n\tAT&T is the owner of the OPEN LOOK trademark associated with the\n\tmaterials on this tape. Users and possessors of this source code\n\tare hereby granted a nonexclusive, royalty-free copyright and\n\tdesign patent license to use this code in individual and\n\tcommercial software. A royalty-free, nonexclusive trademark\n\tlicense to refer to the code and output as \"OPEN LOOK\" compatible\n\tis available from AT&T if, and only if, the appearance of the\n\ticons or glyphs is not changed in any manner except as absolutely\n\tnecessary to accommodate the standard resolution of the screen or\n\tother output device, the code and output is not changed except as\n\tauthorized herein, and the code and output is validated by AT&T.\n\tBigelow & Holmes is the owner of the Lucida (R) trademark for the\n\tfonts and bit-mapped images associated with the materials on this\n\ttape. Users are granted a royalty-free, nonexclusive license to use\n\tthe trademark only to identify the fonts and bit-mapped images if,\n\tand only if, the fonts and bit-mapped images are not modified in any\n\tway by the user.\n\n\tAny use of this source code must include, in the user documentation\n\tand internal comments to the code, notices to the end user as\n\tfollows:\n\n\t(c) Copyright 1989 Sun Microsystems, Inc. Sun design patents\n\tpending in the U.S. and foreign countries. OPEN LOOK is a\n\ttrademark of AT&T. Used by written permission of the owners.\n\n		(c) Copyright Bigelow & Holmes 1986, 1985. Lucida is a registered\n\ttrademark of Bigelow & Holmes. Permission to use the Lucida\n\ttrademark is hereby granted only in association with the images\n\tand fonts described in this file.\n\n\tSUN MICROSYSTEMS, INC., AT&T, AND BIGELOW & HOLMES\n\tMAKE NO REPRESENTATIONS ABOUT THE SUITABILITY OF\n		THIS SOURCE CODE FOR ANY PURPOSE. IT IS PROVIDED \"AS IS\"\n\tWITHOUT EXPRESS OR IMPLIED WARRANTY OF ANY KIND.\n\tSUN  MICROSYSTEMS, INC., AT&T AND BIGELOW  & HOLMES,\n\tSEVERALLY AND INDIVIDUALLY, DISCLAIM ALL WARRANTIES\n\tWITH REGARD TO THIS SOURCE CODE, INCLUDING ALL IMPLIED\n\tWARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n\tPARTICULAR PURPOSE. IN NO EVENT SHALL SUN MICROSYSTEMS,\n\tINC., AT&T OR BIGELOW & HOLMES BE LIABLE FOR ANY\n\tSPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,\n\tOR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA\n\tOR PROFITS, WHETHER IN AN ACTION OF  CONTRACT, NEGLIGENCE\n\tOR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION\n\tWITH THE USE OR PERFORMANCE OF THIS SOURCE CODE.\n"
		self.standardLicenseTemplate = "This is the LEGAL NOTICE pertaining to the Lucida fonts from Bigelow & Holmes:\n\nNOTICE TO USER: The source code, including the glyphs or icons forming a par of the OPEN LOOK TM Graphic User Interface, on this tape and in these files is copyrighted under U.S. and international laws. Sun Microsystems, Inc. of Mountain View, California owns the copyright and has design patents pending on many of the icons. AT&T is the owner of the OPEN LOOK trademark associated with the materials on this tape. Users and possessors of this source code are hereby granted a nonexclusive, royalty-free copyright and design patent license to use this code in individual and commercial software. A royalty-free, nonexclusive trademark license to refer to the code and output as \"OPEN LOOK\" compatible is available from AT&T if, and only if, the appearance of the icons or glyphs is not changed in any manner except as absolutely necessary to accommodate the standard resolution of the screen or other output device, the code and output is not changed except as authorized herein, and the code and output is validated by AT&T. Bigelow & Holmes is the owner of the Lucida (R) trademark for the fonts and bit-mapped images associated with the materials on this tape. Users are granted a royalty-free, nonexclusive license to use the trademark only to identify the fonts and bit-mapped images if, and only if, the fonts and bit-mapped images are not modified in any way by the user.\n\nAny use of this source code must include, in the user documentation and internal comments to the code, notices to the end user as follows:\n\n(c) Copyright 1989 Sun Microsystems, Inc. Sun design patents pending in the U.S. and foreign countries. OPEN LOOK is a trademark of AT&T. Used by written permission of the owners.\n\n(c) Copyright Bigelow & Holmes 1986, 1985. Lucida is a registered trademark of Bigelow & Holmes. Permission to use the Lucida trademark is hereby granted only in association with the images and fonts described in this file.\n\nSUN MICROSYSTEMS, INC., AT&T, AND BIGELOW & HOLMES MAKE NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOURCE CODE FOR ANY PURPOSE. IT IS PROVIDED \"AS IS\" WITHOUT EXPRESS OR IMPLIED WARRANTY OF ANY KIND. SUN MICROSYSTEMS, INC., AT&T AND BIGELOW & HOLMES, SEVERALLY AND INDIVIDUALLY, DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOURCE CODE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL SUN MICROSYSTEMS, INC., AT&T OR BIGELOW & HOLMES BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOURCE CODE.\n\n"
		self.name = "Lucida Bitmap Fonts License"
		self.licenseId = "Lucida-Bitmap-Fonts"
		self.crossRef = [{"match": "False", "url": "https://gitlab.freedesktop.org/xorg/font/bh-100dpi/-/blob/master/COPYING?ref_type=heads", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:32Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gitlab.freedesktop.org/xorg/font/bh-100dpi/-/blob/master/COPYING?ref_type=heads"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			This is the LEGAL NOTICE pertaining to the\n			Lucida fonts from Bigelow &amp; Holmes:\n		 </p>\n\n		 <p>\n			NOTICE TO USER: The source code, including the glyphs or icons\n			forming a par of the OPEN LOOK TM Graphic User Interface, on this\n			tape and in these files is copyrighted under U.S. and international\n			laws. Sun Microsystems, Inc. of Mountain View, California owns\n			the copyright and has design patents pending on many of the icons.\n			AT&amp;T is the owner of the OPEN LOOK trademark associated with\n			the materials on this tape. Users and possessors of this source\n			code are hereby granted a nonexclusive, royalty-free copyright\n			and design patent license to use this code in individual and\n			commercial software. A royalty-free, nonexclusive trademark\n			license to refer to the code and output as &quot;OPEN LOOK&quot; compatible\n			is available from AT&amp;T if, and only if, the appearance\n			of the icons or glyphs is not changed in any manner except as\n			absolutely necessary to accommodate the standard resolution of\n			the screen or other output device, the code and output is not\n			changed except as authorized herein, and the code and output\n			is validated by AT&amp;T. Bigelow &amp; Holmes is the owner of\n			the Lucida (R) trademark for the fonts and bit-mapped images\n			associated with the materials on this tape. Users are granted a\n			royalty-free, nonexclusive license to use the trademark only to\n			identify the fonts and bit-mapped images if, and only if, the fonts\n			and bit-mapped images are not modified in any way by the user.\n		 </p>\n\n		 <p>\n			Any use of this source code must include, in\n			the user documentation and internal comments to\n			the code, notices to the end user as follows:\n		 </p>\n\n		<p>\n				(c) Copyright 1989 Sun Microsystems, Inc. Sun\n				design patents pending in the U.S. and foreign\n				countries. OPEN LOOK is a trademark of AT&amp;T.\n				Used by written permission of the owners.\n		</p>\n\n		<p>\n				(c) Copyright Bigelow &amp; Holmes 1986, 1985. Lucida is a\n				registered trademark of Bigelow &amp; Holmes. Permission\n				to use the Lucida trademark is hereby granted only in\n				association with the images and fonts described in this file.\n		</p>\n\n		<p>\n				SUN MICROSYSTEMS, INC., AT&amp;T, AND BIGELOW &amp; HOLMES MAKE\n				NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOURCE CODE FOR\n				ANY PURPOSE. IT IS PROVIDED &quot;AS IS&quot; WITHOUT EXPRESS OR IMPLIED\n				WARRANTY OF ANY KIND. SUN MICROSYSTEMS, INC., AT&amp;T AND\n				BIGELOW &amp; HOLMES, SEVERALLY AND INDIVIDUALLY, DISCLAIM ALL\n				WARRANTIES WITH REGARD TO THIS SOURCE CODE, INCLUDING ALL\n				IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\n				FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL SUN\n				MICROSYSTEMS, INC., AT&amp;T OR BIGELOW &amp;\n				HOLMES BE LIABLE FOR ANY SPECIAL, INDIRECT,\n				INCIDENTAL, OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER\n				RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\n				ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS\n				ACTION, ARISING OUT OF OR IN CONNECTION WITH THE\n				USE OR PERFORMANCE OF THIS SOURCE CODE.\n		</p>\n\n	  "
		self.python_name = "LucidaBitmapFonts"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD2ClausePatent:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) <YEAR> <COPYRIGHT HOLDERS>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nSubject to the terms and conditions of this license, each copyright holder and contributor hereby grants to those receiving rights under this license a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except for failure to satisfy the conditions of this license) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer this software, where such license applies only to those patent claims, already acquired or hereafter acquired, licensable by such copyright holder or contributor that are necessarily infringed by:\n\n(a) their Contribution(s) (the licensed copyrights of copyright holders and non-copyrightable additions of contributors, in source or binary form) alone; or\n\n(b) combination of their Contribution(s) with the work of authorship to which such Contribution(s) was added by such copyright holder or contributor, if, at the time the Contribution is added, such addition causes such combination to be necessarily infringed. The patent license shall not apply to any other combinations which include the Contribution.\n\nExcept as expressly stated above, no rights or licenses from any copyright holder or contributor is granted under this license, whether expressly, by implication, estoppel or otherwise.\n\nDISCLAIMER\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) <YEAR> <COPYRIGHT HOLDERS>  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nSubject to the terms and conditions of this license, each copyright holder and contributor hereby grants to those receiving rights under this license a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except for failure to satisfy the conditions of this license) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer this software, where such license applies only to those patent claims, already acquired or hereafter acquired, licensable by such copyright holder or contributor that are necessarily infringed by:\n\n   <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> their Contribution(s) (the licensed copyrights of copyright holders and non-copyrightable additions of contributors, in source or binary form) alone; or\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> combination of their Contribution(s) with the work of authorship to which such Contribution(s) was added by such copyright holder or contributor, if, at the time the Contribution is added, such addition causes such combination to be necessarily infringed. The patent license shall not apply to any other combinations which include the Contribution.\n\nExcept as expressly stated above, no rights or licenses from any copyright holder or contributor is granted under this license, whether expressly, by implication, estoppel or otherwise.\n\nDISCLAIMER\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD-2-Clause Plus Patent License"
		self.licenseComments = "Note: This license is designed to provide: a) a simple permissive license; b) that is compatible with the GNU General Public License (GPL), version 2; and c) which also has an express patent grant included.\n\n"
		self.licenseId = "BSD-2-Clause-Patent"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/BSDplusPatent", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:17:47Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/BSDplusPatent"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"replaceable-license-text\"> \n	  <p>\n		Copyright (c) &lt;YEAR&gt; &lt;COPYRIGHT HOLDERS&gt;\n	  </p>\n\n	</div>\n	<p>\n	  Redistribution and use in source and binary\n	  forms, with or without modification, are permitted\n	  provided that the following conditions are met:\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		Redistributions of source code must retain the above copyright\n		notice, this list of conditions and the following disclaimer.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		Redistributions in binary form must reproduce the above copyright\n		notice, this list of conditions and the following disclaimer in the\n		documentation and/or other materials provided with the distribution.\n	  </li>\n	\n</ul>\n	<p>\n	  Subject to the terms and conditions of this license, each copyright\n	  holder and contributor hereby grants to those receiving rights under this\n	  license a perpetual, worldwide, non-exclusive, no-charge, royalty-free,\n	  irrevocable (except for failure to satisfy the conditions of this license)\n	  patent license to make, have made, use, offer to sell, sell, import,\n	  and otherwise transfer this software, where such license applies only to\n	  those patent claims, already acquired or hereafter acquired, licensable\n	  by such copyright holder or contributor that are necessarily infringed by:\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> (a)</var>\n		their Contribution(s) (the licensed copyrights of\n		copyright holders and non-copyrightable additions\n		of contributors, in source or binary form) alone; or\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> (b)</var>\n		combination of their Contribution(s) with the work of authorship\n		to which such Contribution(s) was added by such copyright\n		holder or contributor, if, at the time the Contribution\n		is added, such addition causes such combination to be\n		necessarily infringed. The patent license shall not apply\n		to any other combinations which include the Contribution.\n	  </li>\n	\n</ul>\n	<p>\n	  Except as expressly stated above, no rights or licenses from any\n	  copyright holder or contributor is granted under this license,\n	  whether expressly, by implication, estoppel or otherwise.\n	</p>\n\n	<p>\n	  DISCLAIMER\n	</p>\n\n	<p>\n	  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n	  &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\n	  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n	  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\n	  HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n	  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n	  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n	  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n	  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n	  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\n	  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n	</p>\n\n	"
		self.python_name = "BSD2ClausePatent"

	def __str__(self):
		return json.dumps(self.__dict__)


class fwlw:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1993,1995 by Donald Arseneau\nVancouver, Canada, email asnd@triumf.ca\n\nThis software package may be freely used, transmitted, reproduced, or modified provided that \nthis notice is left intact.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1993,1995 by Donald Arseneau  Vancouver, Canada, email asnd@triumf.ca\";match=\".{0,5000}\">>\n\nThis software package may be freely used, transmitted, reproduced, or modified provided that this notice is left intact.\n\n"
		self.name = "fwlw License"
		self.licenseComments = "This license is a very similar to ulem and magaz, but has slightly different obligations."
		self.licenseId = "fwlw"
		self.crossRef = [{"match": "False", "url": "https://mirrors.nic.cz/tex-archive/macros/latex/contrib/fwlw/README", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:17Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://mirrors.nic.cz/tex-archive/macros/latex/contrib/fwlw/README"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (C) 1993,1995 by Donald Arseneau<br />\n\n			Vancouver, Canada, email asnd@triumf.ca\n		 </var>\n		 <p>\n			This software package may be freely used, transmitted, reproduced, or modified\n			provided that this notice is left intact.\n		 </p>\n\n	  "
		self.python_name = "fwlw"

	def __str__(self):
		return json.dumps(self.__dict__)


class libselinux10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This library (libselinux) is public domain software, i.e. not copyrighted.\n\nWarranty Exclusion\n------------------\nYou agree that this software is a\nnon-commercially developed program that may contain \"bugs\" (as that\nterm is used in the industry) and that it may not function as intended.\nThe software is licensed \"as is\". NSA makes no, and hereby expressly\ndisclaims all, warranties, express, implied, statutory, or otherwise\nwith respect to the software, including noninfringement and the implied\nwarranties of merchantability and fitness for a particular purpose.\n\nLimitation of Liability\n-----------------------\nIn no event will NSA be liable for any damages, including loss of data,\nlost profits, cost of cover, or other special, incidental,\nconsequential, direct or indirect damages arising from the software or\nthe use thereof, however caused and on any theory of liability. This\nlimitation will apply even if NSA has been advised of the possibility\nof such damage. You acknowledge that this is a reasonable allocation of\nrisk.\n"
		self.standardLicenseTemplate = "This library (libselinux) is public domain software, i.e. not copyrighted.\n\nWarranty Exclusion\n\n<<beginOptional>>------------------\n\n<<endOptional>>\n\nYou agree that this software is a non-commercially developed program that may contain \"bugs\" (as that term is used in the industry) and that it may not function as intended. The software is licensed \"as is\". NSA makes no, and hereby expressly disclaims all, warranties, express, implied, statutory, or otherwise with respect to the software, including noninfringement and the implied warranties of merchantability and fitness for a particular purpose.\n\nLimitation of Liability\n\n<<beginOptional>>-----------------------\n\n<<endOptional>>\n\nIn no event will NSA be liable for any damages, including loss of data, lost profits, cost of cover, or other special, incidental, consequential, direct or indirect damages arising from the software or the use thereof, however caused and on any theory of liability. This limitation will apply even if NSA has been advised of the possibility of such damage. You acknowledge that this is a reasonable allocation of risk.\n\n"
		self.name = "libselinux public domain notice"
		self.licenseId = "libselinux-1.0"
		self.crossRef = [{"match": "False", "url": "https://github.com/SELinuxProject/selinux/blob/master/libselinux/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:03Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/SELinuxProject/selinux/blob/master/libselinux/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<p>This library (libselinux) is public domain software, i.e. not copyrighted.</p>\n\n		<p>Warranty Exclusion</p>\n\n		<div class=\"optional-license-text\"> <p>------------------</p>\n</div>\n		<p>You agree that this software is a\n		non-commercially developed program that may contain &quot;bugs&quot; (as that\n		term is used in the industry) and that it may not function as intended.\n		The software is licensed &quot;as is&quot;. NSA makes no, and hereby expressly\n		disclaims all, warranties, express, implied, statutory, or otherwise\n		with respect to the software, including noninfringement and the implied\n		warranties of merchantability and fitness for a particular purpose.</p>\n\n		<p>Limitation of Liability</p>\n\n		<div class=\"optional-license-text\"> <p>-----------------------</p>\n</div>\n		<p>In no event will NSA be liable for any damages, including loss of data,\n		lost profits, cost of cover, or other special, incidental,\n		consequential, direct or indirect damages arising from the software or\n		the use thereof, however caused and on any theory of liability. This\n		limitation will apply even if NSA has been advised of the possibility\n		of such damage. You acknowledge that this is a reasonable allocation of\n		risk.</p>\n\n	"
		self.python_name = "libselinux10"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYSA30DE:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Namensnennung - Weitergabe unter gleichen Bedingungen 3.0 Deutschland\n\n  CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\nLizenz\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \"SCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \"LIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n1. Definitionen\n\n	 a. Der Begriff \"Abwandlung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n\n	 b. Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	 c. \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Abwandlungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n\n	 d. Unter \"Lizenzelementen\" werden im Sinne dieser Lizenz die folgenden \u00fcbergeordneten Lizenzcharakteristika verstanden, die vom Lizenzgeber ausgew\u00e4hlt wurden und in der Bezeichnung der Lizenz zum Ausdruck kommen: \"Namensnennung\", \"Weitergabe unter gleichen Bedingungen\".\n\n	 e. Der \"*Lizenzgeber*\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	 f. \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n\n	 g. Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \"Schutzgegenstand\" im Sinne dieser Lizenz.\n\n	 h. Mit \"Sie\" bzw. \"Ihnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	 i. Unter \"\u00d6ffentlich Zeigen\" im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	 j. \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n\n	 k. \"Mit Creative Commons kompatible Lizenz\" bezeichnet eine Lizenz, die unter https://creativecommons.org/compatiblelicenses aufgelistet ist und die durch Creative Commons als grunds\u00e4tzlich zur vorliegenden Lizenz \u00e4quivalent akzeptiert wurde, da zumindest folgende Voraussetzungen erf\u00fcllt sind:\n\n		Diese mit Creative Commons kompatible Lizenz\n\n		  i. enth\u00e4lt Bestimmungen, welche die gleichen Ziele verfolgen, die gleiche Bedeutung haben und die gleichen Wirkungen erzeugen wie die Lizenzelemente der vorliegenden Lizenz; und\n\n		  ii. erlaubt ausdr\u00fccklich das Lizenzieren von ihr unterstellten Abwandlungen unter vorliegender Lizenz, unter einer anderen rechtsordnungsspezifisch angepassten Creative-Commons-Lizenz mit denselben Lizenzelementen, wie sie die vorliegende Lizenz aufweist, oder unter der entsprechenden Creative-Commons-Unported-Lizenz.\n\n2. Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n3. Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.e) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (\"unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann\"):\n\n	 a. Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	 b. Abwandlungen des Schutzgegenstandes anzufertigen, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien, sofern deutlich erkennbar gemacht wird, dass es sich um Abwandlungen handelt;\n\n	 c. den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten;\n\n	 d. Abwandlungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich zu zeigen und zu verbreiten.\n\n	 e. Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		  i. Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n\n		  ii. Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, verzichtet der Lizenzgeber f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des Schutzgegenstandes durch Sie auf jegliche Verg\u00fctung.\n\n		  iii. Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re.\n\nDas vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n\n4. Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	 a. Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Abwandlung vornehmen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin von der Abwandlung die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen.\n\n	 b. Sie d\u00fcrfen eine Abwandlung ausschlie\u00dflich unter den Bedingungen\n\n		  i. dieser Lizenz,\n\n		  ii. einer sp\u00e4teren Version dieser Lizenz mit denselben Lizenzelementen,\n\n		  iii. einer rechtsordnungsspezifischen Creative-Commons-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts (z.B. Namensnennung - Weitergabe unter gleichen Bedingungen 3.0 US),\n\n		  iv. der Creative-Commons-Unported-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts, oder\n\n		  v. einer mit Creative Commons kompatiblen Lizenz\n\n		verbreiten oder \u00f6ffentlich zeigen.\n\n		Falls Sie die Abwandlung gem\u00e4\u00df Abschnitt (v) unter einer mit Creative Commons kompatiblen Lizenz lizenzieren, m\u00fcssen Sie deren Lizenzbestimmungen Folge leisten.\n\n		Falls Sie die Abwandlungen unter einer der unter (i)-(iv) genannten Lizenzen (\"Verwendbare Lizenzen\") lizenzieren, m\u00fcssen Sie deren Lizenzbestimmungen sowie folgenden Bestimmungen Folge leisten: Sie m\u00fcssen stets eine Kopie der verwendbaren Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen, wenn Sie die Abwandlung verbreiten oder \u00f6ffentlich zeigen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen der verwendbaren Lizenz oder die durch sie gew\u00e4hrten Rechte beschr\u00e4nken. Bei jeder Abwandlung, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise auf die verwendbare Lizenz und den Haftungsausschluss unver\u00e4ndert lassen. Wenn Sie die Abwandlung verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf die Abwandlung) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer der Abwandlung in der Aus\u00fcbung der ihm durch die verwendbare Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.b) gilt auch f\u00fcr den Fall, dass die Abwandlung einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt der verwendbaren Lizenz unterstellt werden muss.\n\n	 c. Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder auf ihm aufbauender Abwandlungen oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n\n		  i. Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\"Zuschreibungsempf\u00e4nger\"), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		  ii. den Titel des Inhaltes;\n\n		  iii. in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n\n		  iv. und im Falle einer Abwandlung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Abwandlung handelt.\n\n		Die nach diesem Abschnitt 4.c) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Abwandlung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n\n	 d. Die oben unter 4.a) bis c) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	 e. Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n5. Gew\u00e4hrleistung\n\nSOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n\n6. Haftungsbeschr\u00e4nkung\n\nDER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n\n7. Erl\u00f6schen\n\n	 a. Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Abwandlungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	 b. Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n8. Sonstige Bestimmungen\n\n	 a. Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	 b. Jedes Mal wenn Sie eine Abwandlung des Schutzgegenstandes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	 c. Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n\n	 d. Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	 e. Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) und b) angeboteten Lizenzen aus.\n\n	 f. Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Namensnennung - Weitergabe unter gleichen Bedingungen 3.0 Deutschland\n\n<<endOptional>>\n\nCREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\nLizenz\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \"SCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \"LIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitionen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Der Begriff \"Abwandlung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Abwandlungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Unter \"Lizenzelementen\" werden im Sinne dieser Lizenz die folgenden \u00fcbergeordneten Lizenzcharakteristika verstanden, die vom Lizenzgeber ausgew\u00e4hlt wurden und in der Bezeichnung der Lizenz zum Ausdruck kommen: \"Namensnennung\", \"Weitergabe unter gleichen Bedingungen\".\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Der \"*Lizenzgeber*\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \"Schutzgegenstand\" im Sinne dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Mit \"Sie\" bzw. \"Ihnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Unter \"\u00d6ffentlich Zeigen\" im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	  <<var;name=\"bullet\";original=\"j.\";match=\".{0,20}\">> \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n\n	  <<var;name=\"bullet\";original=\"k.\";match=\".{0,20}\">> \"Mit Creative Commons kompatible Lizenz\" bezeichnet eine Lizenz, die unter https://creativecommons.org/compatiblelicenses aufgelistet ist und die durch Creative Commons als grunds\u00e4tzlich zur vorliegenden Lizenz \u00e4quivalent akzeptiert wurde, da zumindest folgende Voraussetzungen erf\u00fcllt sind:\n\n	  Diese mit Creative Commons kompatible Lizenz\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> enth\u00e4lt Bestimmungen, welche die gleichen Ziele verfolgen, die gleiche Bedeutung haben und die gleichen Wirkungen erzeugen wie die Lizenzelemente der vorliegenden Lizenz; und\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> erlaubt ausdr\u00fccklich das Lizenzieren von ihr unterstellten Abwandlungen unter vorliegender Lizenz, unter einer anderen rechtsordnungsspezifisch angepassten Creative-Commons-Lizenz mit denselben Lizenzelementen, wie sie die vorliegende Lizenz aufweist, oder unter der entsprechenden Creative-Commons-Unported-Lizenz.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.e) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (\"unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann\"):\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Abwandlungen des Schutzgegenstandes anzufertigen, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien, sofern deutlich erkennbar gemacht wird, dass es sich um Abwandlungen handelt;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Abwandlungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich zu zeigen und zu verbreiten.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, verzichtet der Lizenzgeber f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des Schutzgegenstandes durch Sie auf jegliche Verg\u00fctung.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re. Das vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Abwandlung vornehmen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin von der Abwandlung die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Sie d\u00fcrfen eine Abwandlung ausschlie\u00dflich unter den Bedingungen\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> dieser Lizenz,\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> einer sp\u00e4teren Version dieser Lizenz mit denselben Lizenzelementen,\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> einer rechtsordnungsspezifischen Creative-Commons-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts (z.B. Namensnennung - Weitergabe unter gleichen Bedingungen 3.0 US),\n\n		 <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> der Creative-Commons-Unported-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts, oder\n\n		 <<var;name=\"bullet\";original=\"v.\";match=\".{0,20}\">> einer mit Creative Commons kompatiblen Lizenz verbreiten oder \u00f6ffentlich zeigen.\n\n	  Falls Sie die Abwandlung gem\u00e4\u00df Abschnitt (v) unter einer mit Creative Commons kompatiblen Lizenz lizenzieren, m\u00fcssen Sie deren Lizenzbestimmungen Folge leisten.\n\n	  Falls Sie die Abwandlungen unter einer der unter (i)-(iv) genannten Lizenzen (\"Verwendbare Lizenzen\") lizenzieren, m\u00fcssen Sie deren Lizenzbestimmungen sowie folgenden Bestimmungen Folge leisten: Sie m\u00fcssen stets eine Kopie der verwendbaren Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen, wenn Sie die Abwandlung verbreiten oder \u00f6ffentlich zeigen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen der verwendbaren Lizenz oder die durch sie gew\u00e4hrten Rechte beschr\u00e4nken. Bei jeder Abwandlung, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise auf die verwendbare Lizenz und den Haftungsausschluss unver\u00e4ndert lassen. Wenn Sie die Abwandlung verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf die Abwandlung) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer der Abwandlung in der Aus\u00fcbung der ihm durch die verwendbare Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.b) gilt auch f\u00fcr den Fall, dass die Abwandlung einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt der verwendbaren Lizenz unterstellt werden muss.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder auf ihm aufbauender Abwandlungen oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\"Zuschreibungsempf\u00e4nger\"), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> den Titel des Inhaltes;\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n\n		 <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> und im Falle einer Abwandlung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Abwandlung handelt. Die nach diesem Abschnitt 4.c) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Abwandlung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Die oben unter 4.a) bis c) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Gew\u00e4hrleistung SOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Haftungsbeschr\u00e4nkung DER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Erl\u00f6schen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Abwandlungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Sonstige Bestimmungen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Jedes Mal wenn Sie eine Abwandlung des Schutzgegenstandes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) und b) angeboteten Lizenzen aus.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Share Alike 3.0 Germany"
		self.licenseId = "CC-BY-SA-3.0-DE"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-sa/3.0/de/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-sa/3.0/de/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		  <p>Creative Commons Namensnennung - Weitergabe unter gleichen Bedingungen 3.0 Deutschland</p>\n\n	  </div>\n	  <p>CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.</p>\n\n	  <p>Lizenz</p>\n\n	  <p>DER GEGENSTAND DIESER LIZENZ (WIE UNTER &quot;SCHUTZGEGENSTAND&quot; DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (&quot;CCPL&quot;, &quot;LIZENZ&quot; ODER &quot;LIZENZVERTRAG&quot;) ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.</p>\n\n	  <p>DURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			  <var class=\"replaceable-license-text\"> 1.</var> Definitionen\n			  \n<ul style=\"list-style:none\">\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> a.</var> Der Begriff &quot;Abwandlung&quot; im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> b.</var> Der Begriff &quot;Sammelwerk&quot; im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> c.</var> &quot;Verbreiten&quot; im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Abwandlungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> d.</var> Unter &quot;Lizenzelementen&quot; werden im Sinne dieser Lizenz die folgenden \u00fcbergeordneten Lizenzcharakteristika verstanden, die vom Lizenzgeber ausgew\u00e4hlt wurden und in der Bezeichnung der Lizenz zum Ausdruck kommen: &quot;Namensnennung&quot;, &quot;Weitergabe unter gleichen Bedingungen&quot;.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> e.</var> Der &quot;*Lizenzgeber*&quot; im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> f.</var> &quot;Rechteinhaber&quot; im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> g.</var> Der Begriff &quot;Schutzgegenstand&quot; bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff &quot;Schutzgegenstand&quot; im Sinne dieser Lizenz.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> h.</var> Mit &quot;Sie&quot; bzw. &quot;Ihnen&quot; ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> i.</var> Unter &quot;\u00d6ffentlich Zeigen&quot; im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> j.</var> &quot;Vervielf\u00e4ltigen&quot; im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> k.</var> &quot;Mit Creative Commons kompatible Lizenz&quot; bezeichnet eine Lizenz, die unter https://creativecommons.org/compatiblelicenses aufgelistet ist und die durch Creative Commons als grunds\u00e4tzlich zur vorliegenden Lizenz \u00e4quivalent akzeptiert wurde, da zumindest folgende Voraussetzungen erf\u00fcllt sind:\n					  <p>Diese mit Creative Commons kompatible Lizenz</p>\n\n<ul style=\"list-style:none\">\n						  \n<li>\n							  <var class=\"replaceable-license-text\"> i.</var> enth\u00e4lt Bestimmungen, welche die gleichen Ziele verfolgen, die gleiche Bedeutung haben und die gleichen Wirkungen erzeugen wie die Lizenzelemente der vorliegenden Lizenz; und\n						  </li>\n						  \n<li>\n							  <var class=\"replaceable-license-text\"> ii.</var> erlaubt ausdr\u00fccklich das Lizenzieren von ihr unterstellten Abwandlungen unter vorliegender Lizenz, unter einer anderen rechtsordnungsspezifisch angepassten Creative-Commons-Lizenz mit denselben Lizenzelementen, wie sie die vorliegende Lizenz aufweist, oder unter der entsprechenden Creative-Commons-Unported-Lizenz.\n						  </li>\n					  \n</ul>\n				  </li>\n			  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var> Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var> Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.e) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (&quot;unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann&quot;):\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Abwandlungen des Schutzgegenstandes anzufertigen, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien, sofern deutlich erkennbar gemacht wird, dass es sich um Abwandlungen handelt;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Abwandlungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich zu zeigen und zu verbreiten.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, verzichtet der Lizenzgeber f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des Schutzgegenstandes durch Sie auf jegliche Verg\u00fctung.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re.\n							  </li>\n						  \n</ul>\n					  </li>\n				  \n</ul>\n\n				  Das vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var> Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Abwandlung vornehmen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin von der Abwandlung die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Sie d\u00fcrfen eine Abwandlung ausschlie\u00dflich unter den Bedingungen\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> dieser Lizenz,\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> einer sp\u00e4teren Version dieser Lizenz mit denselben Lizenzelementen,\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> einer rechtsordnungsspezifischen Creative-Commons-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts (z.B. Namensnennung - Weitergabe unter gleichen Bedingungen 3.0 US),\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iv.</var> der Creative-Commons-Unported-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts, oder\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> v.</var> einer mit Creative Commons kompatiblen Lizenz\n							  </li>\n						  \n</ul>\n\n						  verbreiten oder \u00f6ffentlich zeigen.\n						  <p>Falls Sie die Abwandlung gem\u00e4\u00df Abschnitt (v) unter einer mit Creative Commons kompatiblen Lizenz lizenzieren, m\u00fcssen Sie deren Lizenzbestimmungen Folge leisten.</p>\n\n						  <p>Falls Sie die Abwandlungen unter einer der unter (i)-(iv) genannten Lizenzen (&quot;Verwendbare Lizenzen&quot;) lizenzieren, m\u00fcssen Sie deren Lizenzbestimmungen sowie folgenden Bestimmungen Folge leisten: Sie m\u00fcssen stets eine Kopie der verwendbaren Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen, wenn Sie die Abwandlung verbreiten oder \u00f6ffentlich zeigen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen der verwendbaren Lizenz oder die durch sie gew\u00e4hrten Rechte beschr\u00e4nken. Bei jeder Abwandlung, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise auf die verwendbare Lizenz und den Haftungsausschluss unver\u00e4ndert lassen. Wenn Sie die Abwandlung verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf die Abwandlung) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer der Abwandlung in der Aus\u00fcbung der ihm durch die verwendbare Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.b) gilt auch f\u00fcr den Fall, dass die Abwandlung einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt der verwendbaren Lizenz unterstellt werden muss.</p>\n\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder auf ihm aufbauender Abwandlungen oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (&quot;Zuschreibungsempf\u00e4nger&quot;), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> den Titel des Inhaltes;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iv.</var> und im Falle einer Abwandlung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Abwandlung handelt.\n							  </li>\n						  \n</ul>\n\n						  Die nach diesem Abschnitt 4.c) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Abwandlung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Die oben unter 4.a) bis c) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 5.</var> Gew\u00e4hrleistung\nSOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 6.</var> Haftungsbeschr\u00e4nkung\nDER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 7.</var> Erl\u00f6schen\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Abwandlungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 8.</var> Sonstige Bestimmungen\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Jedes Mal wenn Sie eine Abwandlung des Schutzgegenstandes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) und b) angeboteten Lizenzen aus.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> f.</var> Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n					  </li>\n				  \n</ul>\n			  </li>\n		  \n</ul>\n		  <p>Creative Commons Notice</p>\n\n		  <p>Creative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.</p>\n\n		  <p>Creative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke &quot;Creative Commons&quot; zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke &quot;Creative Commons&quot; oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.</p>\n\n		  <p>Creative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.</p>\n\n	  "
		self.python_name = "CCBYSA30DE"

	def __str__(self):
		return json.dumps(self.__dict__)


class CUDA10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Computational Use of Data Agreement v1.0\n\nThis is the Computational Use of Data Agreement, Version 1.0 (the \u201cC-UDA\u201d). Capitalized terms are defined in Section 5. Data Provider and you agree as follows:\n\n1. Provision of the Data\n\n1.1. You may use, modify, and distribute the Data made available to you by the Data Provider under this C-UDA for Computational Use if you follow the C-UDA's terms.\n\n1.2. Data Provider will not sue you or any Downstream Recipient for any claim arising out of the use, modification, or distribution of the Data provided you meet the terms of the C-UDA.\n\n1.3 This C-UDA does not restrict your use, modification, or distribution of any portions of the Data that are in the public domain or that may be used, modified, or distributed under any other legal exception or limitation.\n\n2. Restrictions\n\n2.1 You agree that you will use the Data solely for Computational Use.\n\n2.2 The C-UDA does not impose any restriction with respect to the use, modification, or distribution of Results.\n\n3. Redistribution of Data\n\n3.1. You may redistribute the Data, so long as:\n\n3.1.1. You include with any Data you redistribute all credit or attribution information that you received with the Data, and your terms require any Downstream Recipient to do the same; and\n\n3.1.2. You bind each recipient to whom you redistribute the Data to the terms of the C-UDA.\n\n4. No Warranty, Limitation of Liability\n\n4.1. Data Provider does not represent or warrant that it has any rights whatsoever in the Data.\n\n4.2. THE DATA IS PROVIDED ON AN \u201cAS IS\u201d BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n\n4.3. NEITHER DATA PROVIDER NOR ANY UPSTREAM DATA PROVIDER SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE DATA OR RESULTS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n5. Definitions\n\n5.1. \u201cComputational Use\u201d means activities necessary to enable the use of Data (alone or along with other material) for analysis by a computer.\n\n5.2.\u201cData\u201d means the material you receive under the C-UDA in modified or unmodified form, but not including Results.\n\n5.3. \u201cData Provider\u201d means the source from which you receive the Data and with whom you enter into the C-UDA.\n\n5.4. \u201cDownstream Recipient\u201d means any person or persons who receives the Data directly or indirectly from you in accordance with the C-UDA.\n\n5.5. \u201cResult\u201d means anything that you develop or improve from your use of Data that does not include more than a de minimis portion of the Data on which the use is based. Results may include de minimis portions of the Data necessary to report on or explain use that has been conducted with the Data, such as figures in scientific papers, but do not include more. Artificial intelligence models trained on Data (and which do not include more than a de minimis portion of Data) are Results.\n\n5.6. \u201cUpstream Data Providers\u201d means the source or sources from which the Data Provider directly or indirectly received, under the terms of the C-UDA, material that is included in the Data.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Computational Use of Data Agreement v1.0\n\n<<endOptional>>\n\nThis is the Computational Use of Data Agreement, Version 1.0 (the \"C-UDA\"). Capitalized terms are defined in Section 5. Data Provider and you agree as follows:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Provision of the Data\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> You may use, modify, and distribute the Data made available to you by the Data Provider under this C-UDA for Computational Use if you follow the C-UDA's terms.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> Data Provider will not sue you or any Downstream Recipient for any claim arising out of the use, modification, or distribution of the Data provided you meet the terms of the C-UDA.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> This C-UDA does not restrict your use, modification, or distribution of any portions of the Data that are in the public domain or that may be used, modified, or distributed under any other legal exception or limitation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Restrictions\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> You agree that you will use the Data solely for Computational Use.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> The C-UDA does not impose any restriction with respect to the use, modification, or distribution of Results.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistribution of Data\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> You may redistribute the Data, so long as:\n\n		 <<var;name=\"bullet\";original=\"3.1.1.\";match=\".{0,20}\">> You include with any Data you redistribute all credit or attribution information that you received with the Data, and your terms require any Downstream Recipient to do the same; and\n\n		 <<var;name=\"bullet\";original=\"3.1.2.\";match=\".{0,20}\">> You bind each recipient to whom you redistribute the Data to the terms of the C-UDA.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> No Warranty, Limitation of Liability\n\n	  <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> Data Provider does not represent or warrant that it has any rights whatsoever in the Data.\n\n	  <<var;name=\"bullet\";original=\"4.2.\";match=\".{0,20}\">> THE DATA IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n\n	  <<var;name=\"bullet\";original=\"4.3.\";match=\".{0,20}\">> NEITHER DATA PROVIDER NOR ANY UPSTREAM DATA PROVIDER SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE DATA OR RESULTS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"5.1.\";match=\".{0,20}\">> \"Computational Use\" means activities necessary to enable the use of Data (alone or along with other material) for analysis by a computer.\n\n	  <<var;name=\"bullet\";original=\"5.2.\";match=\".{0,20}\">> \"Data\" means the material you receive under the C-UDA in modified or unmodified form, but not including Results.\n\n	  <<var;name=\"bullet\";original=\"5.3.\";match=\".{0,20}\">> \"Data Provider\" means the source from which you receive the Data and with whom you enter into the C-UDA.\n\n	  <<var;name=\"bullet\";original=\"5.4.\";match=\".{0,20}\">> \"Downstream Recipient\" means any person or persons who receives the Data directly or indirectly from you in accordance with the C-UDA.\n\n	  <<var;name=\"bullet\";original=\"5.5.\";match=\".{0,20}\">> \"Result\" means anything that you develop or improve from your use of Data that does not include more than a de minimis portion of the Data on which the use is based. Results may include de minimis portions of the Data necessary to report on or explain use that has been conducted with the Data, such as figures in scientific papers, but do not include more. Artificial intelligence models trained on Data (and which do not include more than a de minimis portion of Data) are Results.\n\n	  <<var;name=\"bullet\";original=\"5.6.\";match=\".{0,20}\">> \"Upstream Data Providers\" means the source or sources from which the Data Provider directly or indirectly received, under the terms of the C-UDA, material that is included in the Data."
		self.name = "Computational Use of Data Agreement v1.0"
		self.licenseId = "C-UDA-1.0"
		self.crossRef = [{"match": "True", "url": "https://cdla.dev/computational-use-of-data-agreement-v1-0/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:31Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/microsoft/Computational-Use-of-Data-Agreement/blob/master/C-UDA-1.0.md", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:31Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/microsoft/Computational-Use-of-Data-Agreement/blob/master/C-UDA-1.0.md", "https://cdla.dev/computational-use-of-data-agreement-v1-0/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> \n			<p>Computational Use of Data Agreement v1.0</p>\n\n			</div>\n\n			<p>This is the Computational Use of Data Agreement, Version 1.0 (the &quot;C-UDA&quot;). Capitalized terms are defined in Section 5. Data Provider and you agree as follows:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.</var> Provision of the Data\n					\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> 1.1.</var> You may use, modify, and distribute the Data made available to you by the Data Provider under this C-UDA for Computational Use if you follow the C-UDA&apos;s terms.</li>\n						\n<li><var class=\"replaceable-license-text\"> 1.2.</var> Data Provider will not sue you or any Downstream Recipient for any claim arising out of the use, modification, or distribution of the Data provided you meet the terms of the C-UDA.</li>\n						\n<li><var class=\"replaceable-license-text\"> 1.3 </var> This C-UDA does not restrict your use, modification, or distribution of any portions of the Data that are in the public domain or that may be used, modified, or distributed under any other legal exception or limitation.</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 2.</var> Restrictions\n					\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> 2.1</var> You agree that you will use the Data solely for Computational Use.</li>\n						\n<li><var class=\"replaceable-license-text\"> 2.2</var> The C-UDA does not impose any restriction with respect to the use, modification, or distribution of Results.</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 3.</var> Redistribution of Data\n					\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> 3.1.</var> You may redistribute the Data, so long as:\n							\n<ul style=\"list-style:none\">\n								\n<li><var class=\"replaceable-license-text\"> 3.1.1.</var> You include with any Data you redistribute all credit or attribution information that you received with the Data, and your terms require any Downstream Recipient to do the same; and</li>\n								\n<li><var class=\"replaceable-license-text\"> 3.1.2.</var> You bind each recipient to whom you redistribute the Data to the terms of the C-UDA.</li>\n							\n</ul>\n						</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 4.</var> No Warranty, Limitation of Liability\n					\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> 4.1.</var> Data Provider does not represent or warrant that it has any rights whatsoever in the Data.</li>\n						\n<li><var class=\"replaceable-license-text\"> 4.2.</var> THE DATA IS PROVIDED ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.</li>\n						\n<li><var class=\"replaceable-license-text\"> 4.3.</var> NEITHER DATA PROVIDER NOR ANY UPSTREAM DATA PROVIDER SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE DATA OR RESULTS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 5.</var> Definitions\n					\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> 5.1.</var> &quot;Computational Use&quot; means activities necessary to enable the use of Data (alone or along with other material) for analysis by a computer.</li>\n						\n<li><var class=\"replaceable-license-text\"> 5.2.</var> &quot;Data&quot; means the material you receive under the C-UDA in modified or unmodified form, but not including Results.</li>\n						\n<li><var class=\"replaceable-license-text\"> 5.3.</var> &quot;Data Provider&quot; means the source from which you receive the Data and with whom you enter into the C-UDA.</li>\n						\n<li><var class=\"replaceable-license-text\"> 5.4.</var> &quot;Downstream Recipient&quot; means any person or persons who receives the Data directly or indirectly from you in accordance with the C-UDA.</li>\n						\n<li><var class=\"replaceable-license-text\"> 5.5.</var> &quot;Result&quot; means anything that you develop or improve from your use of Data that does not include more than a de minimis portion of the Data on which the use is based. Results may include de minimis portions of the Data necessary to report on or explain use that has been conducted with the Data, such as figures in scientific papers, but do not include more. Artificial intelligence models trained on Data (and which do not include more than a de minimis portion of Data) are Results.</li>\n						\n<li><var class=\"replaceable-license-text\"> 5.6.</var> &quot;Upstream Data Providers&quot; means the source or sources from which the Data Provider directly or indirectly received, under the terms of the C-UDA, material that is included in the Data.</li>\n					\n</ul>\n				</li>\n			\n</ul>\n		"
		self.python_name = "CUDA10"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL13orlater:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU Free Documentation License\nVersion 1.3, 3 November 2008\n\nCopyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\nThe \"publisher\" means any person or entity that distributes copies of the Document to the public.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\nThe Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice. H. Include an unaltered copy of this License.\n	 I. Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n	 O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.\n\n11. RELICENSING\n\n\"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A \"Massive Multiauthor Collaboration\" (or \"MMC\") contained in the site means any set of copyrightable works thus published on the MMC site.\n\n\"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.\n\n\"Incorporate\" means to publish or republish a Document, in whole or in part, as part of another Document.\n\nAn MMC is \"eligible for relicensing\" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.\n\nThe operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\n with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with <<var;name=\"invariantSections\";original=\"the Invariant Sections being LIST THEIR TITLES\";match=\"the Invariant Sections	   being .+|no Invariant Sections\">> , with <<var;name=\"frontCoverTexts\";original=\"the Front-Cover Texts being LIST\";match=\"the Front-Cover Texts being .+|no Front-Cover Texts\">> , and with <<var;name=\"backCoverTexts\";original=\"the Back-Cover Texts being LIST\";match=\"the Back-Cover Texts being .+|no Back-Cover Texts\">> . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.3, 3 November 2008\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <http://fsf.org/>  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   The \"publisher\" means any person or entity that distributes copies of the Document to the public.\n\n   A section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\n   The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice. H. Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n\n	  <<var;name=\"bullet\";original=\"O.\";match=\".{0,20}\">> Preserve any Warranty Disclaimers.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\n   If a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> RELICENSING\n\n   \"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A \"Massive Multiauthor Collaboration\" (or \"MMC\") contained in the site means any set of copyrightable works thus published on the MMC site.\n\n   \"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.\n\n   \"Incorporate\" means to publish or republish a Document, in whole or in part, as part of another Document.\n\n   An MMC is \"eligible for relicensing\" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.\n\n   The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.3 or later"
		self.licenseComments = "This license was released 3 November 2008. The identifier GFDL-1.3-or-later can be used to indicate that this license applies, without asserting whether or not any Invariant Sections, Front-Cover Texts or Back-Cover Texts are present. See GFDL-1.3-or-later-invariants and GFDL-1.3-or-later-no-invariants for alternative identifiers that can be used to express explicitly that these sections or cover texts are present or are not present, respectively."
		self.licenseId = "GFDL-1.3-or-later"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES , with the Front-Cover Texts being LIST , and with the Back-Cover Texts being LIST . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/fdl-1.3.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:21Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/fdl-1.3.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.3, 3 November 2008\n	  </p>\n\n	</div>\n	<div class=\"replaceable-license-text\"> \n	  <p>\n		Copyright (C) 2000, 2001, 2002, 2007, 2008 Free\n		Software Foundation, Inc. &lt;http://fsf.org/&gt;\n	  </p>\n\n	</div>\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook, or\n		  other functional and useful document &quot;free&quot; in the sense of\n		  freedom: to assure everyone the effective freedom to copy and\n		  redistribute it, with or without modifying it, either commercially\n		  or noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work, in any medium,\n		  that contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. Such a\n		  notice grants a world-wide, royalty-free license, unlimited in\n		  duration, to use that work under the conditions stated herein.\n		  The &quot;Document&quot;, below, refers to any such manual or work.\n		  Any member of the public is a licensee, and is addressed as\n		  &quot;you&quot;. You accept the license if you copy, modify or distribute\n		  the work in a way requiring permission under copyright law.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter\n		  section of the Document that deals exclusively with the\n		  relationship of the publishers or authors of the Document to the\n		  Document&apos;s overall subject (or to related matters) and contains\n		  nothing that could fall directly within that overall subject.\n		  (Thus, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections,\n		  in the notice that says that the Document is released under\n		  this License. If a section does not fit the above definition of\n		  Secondary then it is not allowed to be designated as Invariant.\n		  The Document may contain zero Invariant Sections. If the Document\n		  does not identify any Invariant Sections then there are none.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are listed,\n		  as Front-Cover Texts or Back-Cover Texts, in the notice that says that\n		  the Document is released under this License. A Front-Cover Text may\n		  be at most 5 words, and a Back-Cover Text may be at most 25 words.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable\n		  copy, represented in a format whose specification is available\n		  to the general public, that is suitable for revising the document\n		  straightforwardly with generic text editors or (for images composed of\n		  pixels) generic paint programs or (for drawings) some widely available\n		  drawing editor, and that is suitable for input to text formatters or\n		  for automatic translation to a variety of formats suitable for input\n		  to text formatters. A copy made in an otherwise Transparent file\n		  format whose markup, or absence of markup, has been arranged to thwart\n		  or discourage subsequent modification by readers is not Transparent.\n		  An image format is not Transparent if used for any substantial\n		  amount of text. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include plain\n		  ASCII without markup, Texinfo input format, LaTeX input format,\n		  SGML or XML using a publicly available DTD, and standard-conforming\n		  simple HTML, PostScript or PDF designed for human modification.\n		  Examples of transparent image formats include PNG, XCF and JPG.\n		  Opaque formats include proprietary formats that can be read\n		  and edited only by proprietary word processors, SGML or XML\n		  for which the DTD and/or processing tools are not generally\n		  available, and the machine-generated HTML, PostScript or PDF\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n		<p>\n		  The &quot;publisher&quot; means any person or entity that\n		  distributes copies of the Document to the public.\n		</p>\n\n		<p>\n		  A section &quot;Entitled XYZ&quot; means a named subunit of the Document whose\n		  title either is precisely XYZ or contains XYZ in parentheses following\n		  text that translates XYZ in another language. (Here XYZ stands for\n		  a specific section name mentioned below, such as &quot;Acknowledgements&quot;,\n		  &quot;Dedications&quot;, &quot;Endorsements&quot;, or &quot;History&quot;.) To &quot;Preserve the\n		  Title&quot; of such a section when you modify the Document means that\n		  it remains a section &quot;Entitled XYZ&quot; according to this definition.\n		</p>\n\n		<p>\n		  The Document may include Warranty Disclaimers next to the notice\n		  which states that this License applies to the Document. These\n		  Warranty Disclaimers are considered to be included by reference\n		  in this License, but only as regards disclaiming warranties:\n		  any other implication that these Warranty Disclaimers may\n		  have is void and has no effect on the meaning of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies (or copies in media that commonly\n		  have printed covers) of the Document, numbering more than 100,\n		  and the Document&apos;s license notice requires Cover Texts, you must\n		  enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a computer-network location from which the general\n		  network-using public has access to download using public-standard\n		  network protocols a complete Transparent copy of the Document,\n		  free of added material. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or\n			entities responsible for authorship of the modifications in the\n			Modified Version, together with at least five of the principal\n			authors of the Document (all of its principal authors, if it has\n			fewer than five), unless they release you from this requirement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant\n			Sections and required Cover Texts given in the Document&apos;s\n			license notice. H. Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section Entitled &quot;History&quot;, Preserve its Title, and\n			add to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section Entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			For any section Entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			Preserve the Title of the section, and preserve in the\n			section all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section Entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section to be Entitled &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> O.</var>\n			Preserve any Warranty Disclaimers.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section Entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released under\n		  this License, under the terms defined in section 4 above for modified\n		  versions, provided that you include in the combination all of the\n		  Invariant Sections of all of the original documents, unmodified,\n		  and list them all as Invariant Sections of your combined work in its\n		  license notice, and that you preserve all their Warranty Disclaimers.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections Entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  Entitled &quot;History&quot;; likewise combine any sections Entitled\n		  &quot;Acknowledgements&quot;, and any sections Entitled &quot;Dedications&quot;.\n		  You must delete all sections Entitled &quot;Endorsements&quot;.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other\n		  separate and independent documents or works, in or on a volume\n		  of a storage or distribution medium, is called an &quot;aggregate&quot;\n		  if the copyright resulting from the compilation is not used to\n		  limit the legal rights of the compilation&apos;s users beyond what\n		  the individual works permit. When the Document is included in an\n		  aggregate, this License does not apply to the other works in the\n		  aggregate which are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to\n		  these copies of the Document, then if the Document is less\n		  than one half of the entire aggregate, the Document&apos;s Cover\n		  Texts may be placed on covers that bracket the Document\n		  within the aggregate, or the electronic equivalent of covers\n		  if the Document is in electronic form. Otherwise they must\n		  appear on printed covers that bracket the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of section\n		  4. Replacing Invariant Sections with translations requires special\n		  permission from their copyright holders, but you may include\n		  translations of some or all Invariant Sections in addition to the\n		  original versions of these Invariant Sections. You may include a\n		  translation of this License, and all the license notices in the\n		  Document, and any Warranty Disclaimers, provided that you also\n		  include the original English version of this License and the original\n		  versions of those notices and disclaimers. In case of a disagreement\n		  between the translation and the original version of this License\n		  or a notice or disclaimer, the original version will prevail.\n		</p>\n\n		<p>\n		  If a section in the Document is Entitled\n		  &quot;Acknowledgements&quot;, &quot;Dedications&quot;, or &quot;History&quot;, the\n		  requirement (section 4) to Preserve its Title (section\n		  1) will typically require changing the actual title.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided under this License. Any attempt\n		  otherwise to copy, modify, sublicense, or distribute it is void,\n		  and will automatically terminate your rights under this License.\n		</p>\n\n		<p>\n		  However, if you cease all violation of this License, then your\n		  license from a particular copyright holder is reinstated (a)\n		  provisionally, unless and until the copyright holder explicitly\n		  and finally terminates your license, and (b) permanently, if\n		  the copyright holder fails to notify you of the violation by\n		  some reasonable means prior to 60 days after the cessation.\n		</p>\n\n		<p>\n		  Moreover, your license from a particular copyright holder is\n		  reinstated permanently if the copyright holder notifies you\n		  of the violation by some reasonable means, this is the first\n		  time you have received notice of violation of this License\n		  (for any work) from that copyright holder, and you cure the\n		  violation prior to 30 days after your receipt of the notice.\n		</p>\n\n		<p>\n		  Termination of your rights under this section does not terminate\n		  the licenses of parties who have received copies or rights from\n		  you under this License. If your rights have been terminated and\n		  not permanently reinstated, receipt of a copy of some or all\n		  of the same material does not give you any rights to use it.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option of\n		  following the terms and conditions either of that specified version or\n		  of any later version that has been published (not as a draft) by the\n		  Free Software Foundation. If the Document does not specify a version\n		  number of this License, you may choose any version ever published (not\n		  as a draft) by the Free Software Foundation. If the Document specifies\n		  that a proxy can decide which future versions of this License can\n		  be used, that proxy&apos;s public statement of acceptance of a version\n		  permanently authorizes you to choose that version for the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		RELICENSING\n		<p>\n		  &quot;Massive Multiauthor Collaboration Site&quot; (or &quot;MMC Site&quot;) means any\n		  World Wide Web server that publishes copyrightable works and also\n		  provides prominent facilities for anybody to edit those works. A\n		  public wiki that anybody can edit is an example of such a server. A\n		  &quot;Massive Multiauthor Collaboration&quot; (or &quot;MMC&quot;) contained in the site\n		  means any set of copyrightable works thus published on the MMC site.\n		</p>\n\n		<p>\n		  &quot;CC-BY-SA&quot; means the Creative Commons Attribution-Share Alike\n		  3.0 license published by Creative Commons Corporation, a\n		  not-for-profit corporation with a principal place of business\n		  in San Francisco, California, as well as future copyleft\n		  versions of that license published by that same organization.\n		</p>\n\n		<p>\n		  &quot;Incorporate&quot; means to publish or republish a Document,\n		  in whole or in part, as part of another Document.\n		</p>\n\n		<p>\n		  An MMC is &quot;eligible for relicensing&quot; if it is licensed under this\n		  License, and if all works that were first published under this License\n		  somewhere other than this MMC, and subsequently incorporated in\n		  whole or in part into the MMC, (1) had no cover texts or invariant\n		  sections, and (2) were thus incorporated prior to November 1, 2008.\n		</p>\n\n		<p>\n		  The operator of an MMC Site may republish an MMC contained in\n		  the site under CC-BY-SA on the same site at any time before\n		  August 1, 2009, provided the MMC is eligible for relicensing.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the GNU\n		Free Documentation License, Version 1.3 or any later version published\n		by the Free Software Foundation; with no Invariant Sections,\n		no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections, Front-Cover Texts and\n		Back-Cover Texts, replace the &quot;with...Texts.&quot; line with this:\n	  </p>\n\n	  <p>\n		with the Invariant Sections being LIST THEIR TITLES, with the\n		Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections without Cover Texts,\n		or some other combination of the three, merge\n		those two alternatives to suit the situation.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>. Permission is granted to copy,\n	  distribute and/or modify this document under the terms of the GNU\n	  Free Documentation License, Version 1.3 or any later version published\n	  by the Free Software Foundation; with <var class=\"replaceable-license-text\"> the Invariant Sections being LIST THEIR\n	  TITLES</var>, with <var class=\"replaceable-license-text\"> the Front-Cover Texts being LIST</var>, and with <var class=\"replaceable-license-text\"> the\n	  Back-Cover Texts being LIST</var>. A copy of the license is\n	  included in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL13orlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class FTL:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The FreeType Project LICENSE\n\n2006-Jan-27\n\nCopyright 1996-2002, 2006 by David Turner, Robert Wilhelm, and Werner Lemberg\n\nIntroduction\n\nThe FreeType Project is distributed in several archive packages; some of them may contain, in addition to the FreeType font engine, various tools and contributions which rely on, or relate to, the FreeType Project.\n\nThis license applies to all files found in such packages, and which do not fall under their own explicit license. The license affects thus the FreeType font engine, the test programs, documentation and makefiles, at the very least.\n\nThis license was inspired by the BSD, Artistic, and IJG (Independent JPEG Group) licenses, which all encourage inclusion and use of free software in commercial and freeware products alike. As a consequence, its main points are that:\n\n	 o We don't promise that this software works. However, we will be interested in any kind of bug reports. (`as is' distribution)\n\n	 o You can use this software for whatever you want, in parts or full form, without having to pay us. (`royalty-free' usage)\n\n	 o You may not pretend that you wrote this software. If you use it, or only parts of it, in a program, you must acknowledge somewhere in your documentation that you have used the FreeType code. (`credits')\n\nWe specifically permit and encourage the inclusion of this software, with or without modifications, in commercial products. We disclaim all warranties covering The FreeType Project and assume no liability related to The FreeType Project.\n\nFinally, many people asked us for a preferred form for a credit/disclaimer to use in compliance with this license. We thus encourage you to use the following text:\n\n	 \"\"\" Portions of this software are copyright \u00a9 <year> The FreeType Project (www.freetype.org). All rights reserved. \"\"\"\n\nPlease replace <year> with the value from the FreeType version you actually use.\n\nLegal Terms\n\n0. Definitions\n\nThroughout this license, the terms `package', `FreeType Project', and `FreeType archive' refer to the set of files originally distributed by the authors (David Turner, Robert Wilhelm, and Werner Lemberg) as the `FreeType Project', be they named as alpha, beta or final release.\n\n`You' refers to the licensee, or person using the project, where `using' is a generic term including compiling the project's source code as well as linking it to form a `program' or `executable'. This program is referred to as `a program using the FreeType engine'.\n\nThis license applies to all files distributed in the original FreeType Project, including all source code, binaries and documentation, unless otherwise stated in the file in its original, unmodified form as distributed in the original archive. If you are unsure whether or not a particular file is covered by this license, you must contact us to verify this.\n\nThe FreeType Project is copyright (C) 1996-2000 by David Turner, Robert Wilhelm, and Werner Lemberg. All rights reserved except as specified below.\n\n1. No Warranty\n\nTHE FREETYPE PROJECT IS PROVIDED `AS IS' WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL ANY OF THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY DAMAGES CAUSED BY THE USE OR THE INABILITY TO USE, OF THE FREETYPE PROJECT.\n\n2. Redistribution\n\nThis license grants a worldwide, royalty-free, perpetual and irrevocable right and license to use, execute, perform, compile, display, copy, create derivative works of, distribute and sublicense the FreeType Project (in both source and object code forms) and derivative works thereof for any purpose; and to authorize others to exercise some or all of the rights granted herein, subject to the following conditions:\n\n	 o Redistribution of source code must retain this license file (`FTL.TXT') unaltered; any additions, deletions or changes to the original files must be clearly indicated in accompanying documentation. The copyright notices of the unaltered, original files must be preserved in all copies of source files.\n\n	 o Redistribution in binary form must provide a disclaimer that states that the software is based in part of the work of the FreeType Team, in the distribution documentation. We also encourage you to put an URL to the FreeType web page in your documentation, though this isn't mandatory.\n\nThese conditions apply to any software derived from or based on the FreeType Project, not just the unmodified files. If you use our work, you must acknowledge us. However, no fee need be paid to us.\n\n3. Advertising\n\nNeither the FreeType authors and contributors nor you shall use the name of the other for commercial, advertising, or promotional purposes without specific prior written permission.\n\nWe suggest, but do not require, that you use one or more of the following phrases to refer to this software in your documentation or advertising materials: `FreeType Project', `FreeType Engine', `FreeType library', or `FreeType Distribution'.\n\nAs you have not signed this license, you are not required to accept it. However, as the FreeType Project is copyrighted material, only this license, or another one contracted with the authors, grants you the right to use, distribute, and modify it. Therefore, by using, distributing, or modifying the FreeType Project, you indicate that you understand and accept all the terms of this license.\n\n4. Contacts\n\nThere are two mailing lists related to FreeType:\n\n	 o freetype@nongnu.org\n\n	 Discusses general use and applications of FreeType, as well as future and wanted additions to the library and distribution. If you are looking for support, start in this list if you haven't found anything to help you in the documentation.\n\n	 o freetype-devel@nongnu.org\n\n	 Discusses bugs, as well as engine internals, design issues, specific licenses, porting, etc.\n\nOur home page can be found at\n\n http://www.freetype.org\n\n--- end of FTL.TXT ---\n"
		self.standardLicenseTemplate = "<<beginOptional>>The FreeType Project LICENSE\n\n2006-Jan-27\n\n<<endOptional>><<beginOptional>> Copyright 1996-2002, 2006 by David Turner, Robert Wilhelm, and Werner Lemberg\n\nIntroduction\n\nThe FreeType Project is distributed in several archive packages; some of them may contain, in addition to the FreeType font engine, various tools and contributions which rely on, or relate to, the FreeType Project.\n\nThis license applies to all files found in such packages, and which do not fall under their own explicit license. The license affects thus the FreeType font engine, the test programs, documentation and makefiles, at the very least.\n\nThis license was inspired by the BSD, Artistic, and IJG (Independent JPEG Group) licenses, which all encourage inclusion and use of free software in commercial and freeware products alike. As a consequence, its main points are that:\n\n   <<var;name=\"bullet\";original=\"o\";match=\".{0,20}\">> We don't promise that this software works. However, we will be interested in any kind of bug reports. (`as is' distribution)\n\n   <<var;name=\"bullet\";original=\"o\";match=\".{0,20}\">> You can use this software for whatever you want, in parts or full form, without having to pay us. (`royalty-free' usage)\n\n   <<var;name=\"bullet\";original=\"o\";match=\".{0,20}\">> You may not pretend that you wrote this software. If you use it, or only parts of it, in a program, you must acknowledge somewhere in your documentation that you have used the FreeType code. (`credits')\n\nWe specifically permit and encourage the inclusion of this software, with or without modifications, in commercial products. We disclaim all warranties covering The FreeType Project and assume no liability related to The FreeType Project.\n\nFinally, many people asked us for a preferred form for a credit/disclaimer to use in compliance with this license. We thus encourage you to use the following text:\n\n\"\"\" Portions of this software are copyright \u00a9 <year> The FreeType Project (www.freetype.org). All rights reserved. \"\"\"\n\nPlease replace <year> with the value from the FreeType version you actually use.\n\n<<endOptional>>\n\nLegal Terms\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions\n\n   Throughout this license, the terms `package', `FreeType Project', and `FreeType archive' refer to the set of files originally distributed by the authors (David Turner, Robert Wilhelm, and Werner Lemberg) as the `FreeType Project', be they named as alpha, beta or final release.\n\n   `You' refers to the licensee, or person using the project, where `using' is a generic term including compiling the project's source code as well as linking it to form a `program' or `executable'. This program is referred to as `a program using the FreeType engine'.\n\n   This license applies to all files distributed in the original FreeType Project, including all source code, binaries and documentation, unless otherwise stated in the file in its original, unmodified form as distributed in the original archive. If you are unsure whether or not a particular file is covered by this license, you must contact us to verify this.\n\n   The FreeType Project is copyright (C) 1996-2000 by David Turner, Robert Wilhelm, and Werner Lemberg. All rights reserved except as specified below.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> No Warranty\n\n   THE FREETYPE PROJECT IS PROVIDED `AS IS' WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL ANY OF THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY DAMAGES CAUSED BY THE USE OR THE INABILITY TO USE, OF THE FREETYPE PROJECT.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistribution\n\n   This license grants a worldwide, royalty-free, perpetual and irrevocable right and license to use, execute, perform, compile, display, copy, create derivative works of, distribute and sublicense the FreeType Project (in both source and object code forms) and derivative works thereof for any purpose; and to authorize others to exercise some or all of the rights granted herein, subject to the following conditions:\n\n	  <<var;name=\"bullet\";original=\"o\";match=\".{0,20}\">> Redistribution of source code must retain this license file (`FTL.TXT') unaltered; any additions, deletions or changes to the original files must be clearly indicated in accompanying documentation. The copyright notices of the unaltered, original files must be preserved in all copies of source files.\n\n	  <<var;name=\"bullet\";original=\"o\";match=\".{0,20}\">> Redistribution in binary form must provide a disclaimer that states that the software is based in part of the work of the FreeType Team, in the distribution documentation. We also encourage you to put an URL to the FreeType web page in your documentation, though this isn't mandatory.\n\n   These conditions apply to any software derived from or based on the FreeType Project, not just the unmodified files. If you use our work, you must acknowledge us. However, no fee need be paid to us.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Advertising\n\n   Neither the FreeType authors and contributors nor you shall use the name of the other for commercial, advertising, or promotional purposes without specific prior written permission.\n\n   We suggest, but do not require, that you use one or more of the following phrases to refer to this software in your documentation or advertising materials: `FreeType Project', `FreeType Engine', `FreeType library', or `FreeType Distribution'.\n\n   As you have not signed this license, you are not required to accept it. However, as the FreeType Project is copyrighted material, only this license, or another one contracted with the authors, grants you the right to use, distribute, and modify it. Therefore, by using, distributing, or modifying the FreeType Project, you indicate that you understand and accept all the terms of this license.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Contacts\n\n   There are two mailing lists related to FreeType:\n\n	  <<var;name=\"bullet\";original=\"o\";match=\".{0,20}\">> freetype@nongnu.org\n\n	  Discusses general use and applications of FreeType, as well as future and wanted additions to the library and distribution. If you are looking for support, start in this list if you haven't found anything to help you in the documentation.\n\n	  <<var;name=\"bullet\";original=\"o\";match=\".{0,20}\">> freetype-devel@nongnu.org\n\n	  Discusses bugs, as well as engine internals, design issues, specific licenses, porting, etc.\n\n   Our home page can be found at\n\n   http://www.freetype.org\n\n   <<beginOptional>>--- end of FTL.TXT ---\n\n<<endOptional>>"
		self.name = "Freetype Project License"
		self.licenseComments = "This license was released 27 Jan 2006"
		self.licenseId = "FTL"
		self.crossRef = [{"match": "N/A", "url": "http://gitlab.freedesktop.org/freetype/freetype/-/raw/master/docs/FTL.TXT", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:18:54Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "http://git.savannah.gnu.org/cgit/freetype/freetype2.git/tree/docs/FTL.TXT", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:55Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "http://freetype.fis.uniroma2.it/FTL.TXT", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:19:05Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://freetype.fis.uniroma2.it/FTL.TXT", "http://git.savannah.gnu.org/cgit/freetype/freetype2.git/tree/docs/FTL.TXT", "http://gitlab.freedesktop.org/freetype/freetype/-/raw/master/docs/FTL.TXT"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The FreeType Project LICENSE</p>\n\n		 <p>2006-Jan-27</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Copyright 1996-2002, 2006 by David Turner, Robert Wilhelm, and Werner Lemberg</p>\n\n		 <p>Introduction</p>\n\n		 <p>The FreeType Project is distributed in several archive packages; some of them may contain, in addition to\n		 the FreeType font engine, various tools and contributions which rely on, or relate to, the FreeType\n		 Project.</p>\n\n		 <p>This license applies to all files found in such packages, and which do not fall under their own explicit\n		 license. The license affects thus the FreeType font engine, the test programs, documentation and\n		 makefiles, at the very least.</p>\n\n		 <p>This license was inspired by the BSD, Artistic, and IJG (Independent JPEG Group) licenses, which all\n		 encourage inclusion and use of free software in commercial and freeware products alike. As a\n		 consequence, its main points are that:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> o</var>\n		  We don&apos;t promise that this software works. However, we will be interested in any kind of bug reports.\n			 (`as is&apos; distribution)\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> o</var>\n		  You can use this software for whatever you want, in parts or full form, without having to pay us.\n			 (`royalty-free&apos; usage)\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> o</var>\n		  You may not pretend that you wrote this software. If you use it, or only parts of it, in a program, you\n			 must acknowledge somewhere in your documentation that you have used the FreeType code. (`credits&apos;)\n		</li>\n		 \n</ul>\n		 <p>We specifically permit and encourage the inclusion of this software, with or without modifications, in\n		 commercial products. We disclaim all warranties covering The FreeType Project and assume no liability\n		 related to The FreeType Project.</p>\n\n		 <p>Finally, many people asked us for a preferred form for a credit/disclaimer to use in compliance with this\n		 license. We thus encourage you to use the following text:</p>\n\n		 <p>&quot;&quot;&quot; Portions of this software are copyright \u00a9 &lt;year&gt; The FreeType Project (www.freetype.org). All\n		 rights reserved. &quot;&quot;&quot;</p>\n\n		 <p>Please replace &lt;year&gt; with the value from the FreeType version you actually use.</p>\n\n	  </div>\n\n	  <p>Legal Terms</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  Definitions\n		  <p>Throughout this license, the terms `package&apos;, `FreeType Project&apos;, and `FreeType archive&apos; refer to\n			 the set of files originally distributed by the authors (David Turner, Robert Wilhelm, and\n			 Werner Lemberg) as the `FreeType Project&apos;, be they named as alpha, beta or final release.</p>\n\n			<p>`You&apos; refers to the licensee, or person using the project, where `using&apos; is a generic term\n			 including compiling the project&apos;s source code as well as linking it to form a `program&apos; or\n			 `executable&apos;. This program is referred to as `a program using the FreeType engine&apos;.</p>\n\n			<p>This license applies to all files distributed in the original FreeType Project, including all\n			 source code, binaries and documentation, unless otherwise stated in the file in its original,\n			 unmodified form as distributed in the original archive. If you are unsure whether or not a\n			 particular file is covered by this license, you must contact us to verify this.</p>\n\n			<p>The FreeType Project is copyright (C) 1996-2000 by David Turner, Robert Wilhelm, and Werner\n			 Lemberg. All rights reserved except as specified below.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  No Warranty\n		  <p>THE FREETYPE PROJECT IS PROVIDED `AS IS&apos; WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED,\n			 INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n			 PURPOSE. IN NO EVENT WILL ANY OF THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY DAMAGES\n			 CAUSED BY THE USE OR THE INABILITY TO USE, OF THE FREETYPE PROJECT.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistribution\n		  <p>This license grants a worldwide, royalty-free, perpetual and irrevocable right and license to\n			 use, execute, perform, compile, display, copy, create derivative works of, distribute and\n			 sublicense the FreeType Project (in both source and object code forms) and derivative works\n			 thereof for any purpose; and to authorize others to exercise some or all of the rights granted\n			 herein, subject to the following conditions:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> o</var>\n			  Redistribution of source code must retain this license file (`FTL.TXT&apos;) unaltered; any\n				 additions, deletions or changes to the original files must be clearly indicated in\n				 accompanying documentation. The copyright notices of the unaltered, original files must be\n				 preserved in all copies of source files.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> o</var>\n			  Redistribution in binary form must provide a disclaimer that states that the software is based\n				 in part of the work of the FreeType Team, in the distribution documentation. We also encourage\n				 you to put an URL to the FreeType web page in your documentation, though this isn&apos;t\n				 mandatory.\n			</li>\n			\n</ul>\n			<p>These conditions apply to any software derived from or based on the FreeType Project, not just\n			 the unmodified files. If you use our work, you must acknowledge us. However, no fee need be\n			 paid to us.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Advertising\n		  <p>Neither the FreeType authors and contributors nor you shall use the name of the other for\n			 commercial, advertising, or promotional purposes without specific prior written\n			 permission.</p>\n\n			<p>We suggest, but do not require, that you use one or more of the following phrases to refer to\n			 this software in your documentation or advertising materials: `FreeType Project&apos;, `FreeType\n			 Engine&apos;, `FreeType library&apos;, or `FreeType Distribution&apos;.</p>\n\n			<p>As you have not signed this license, you are not required to accept it. However, as the FreeType\n			 Project is copyrighted material, only this license, or another one contracted with the\n			 authors, grants you the right to use, distribute, and modify it. Therefore, by using,\n			 distributing, or modifying the FreeType Project, you indicate that you understand and accept\n			 all the terms of this license.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Contacts\n		  <p>There are two mailing lists related to FreeType:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> o</var>\n			  freetype@nongnu.org\n			  <p>Discusses general use and applications of FreeType, as well as future and wanted additions to the library\n				 and distribution. If you are looking for support, start in this list if you haven&apos;t found anything to\n				 help you in the documentation.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> o</var>\n			  freetype-devel@nongnu.org\n			  <p>Discusses bugs, as well as engine internals, design issues, specific licenses, porting, etc.</p>\n\n			   </li>\n			\n</ul>\n			<p>Our home page can be found at</p>\n\n			<p>http://www.freetype.org</p>\n\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>--- end of FTL.TXT ---</p>\n\n	  </div>\n	"
		self.python_name = "FTL"

	def __str__(self):
		return json.dumps(self.__dict__)


class Linuxmanpagescopyleft:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) <year> <owner> All rights reserved.\n\nPermission is granted to make and distribute verbatim copies of this\nmanual provided the copyright notice and this permission notice are\npreserved on all copies.\n\nPermission is granted to copy and distribute modified versions of\nthis manual under the conditions for verbatim copying, provided that\nthe entire resulting derived work is distributed under the terms of\na permission notice identical to this one.\n\nSince the Linux kernel and libraries are constantly changing, this\nmanual page may be incorrect or out-of-date.  The author(s) assume\nno responsibility for errors or omissions, or for damages resulting\nfrom the use of the information contained herein.  The author(s) may\nnot have taken the same level of care in the production of this\nmanual, which is licensed free of charge, as they might when working\nprofessionally.\n\nFormatted or processed versions of this manual, if unaccompanied by\nthe source, must acknowledge the copyright and authors of this work.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) <year>, <owner>.  \";match=\".{0,5000}\">>\n\nPermission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.\n\nPermission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.\n\nSince the Linux kernel and libraries are constantly changing, this manual page may be incorrect or out-of-date. The author(s) <<var;name=\"trailing-.-1\";original=\"assume\";match=\"assume\\.?\">> no responsibility for errors or omissions, or for damages <<var;name=\"trailing-.-2\";original=\"resulting\";match=\"resulting\\.?\">> from the use of the information contained herein. The author(s) <<var;name=\"trailing-.-3\";original=\"may\";match=\"may\\.?\">> not have taken the same level of care in the production of <<var;name=\"trailing-.-4\";original=\"this\";match=\"this\\.?\">> manual, which is licensed free of charge, as they might when <<var;name=\"trailing-.-5\";original=\"working\";match=\"working\\.?\">> professionally.\n\nFormatted or processed versions of this manual, if unaccompanied by the source, must acknowledge the copyright and authors of this work.\n\n"
		self.name = "Linux man-pages Copyleft"
		self.licenseId = "Linux-man-pages-copyleft"
		self.crossRef = [{"match": "N/A", "url": "https://www.kernel.org/doc/man-pages/licenses.html", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.kernel.org/doc/man-pages/licenses.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n			<p>Copyright (c) &lt;year&gt;, &lt;owner&gt;.</p>\n\n		 </div>\n		 <p>Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.</p>\n\n		 <p>Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.</p>\n\n		 <p>Since the Linux kernel and libraries are constantly changing, this manual page may be incorrect or out-of-date. The author(s)\n		 <var class=\"replaceable-license-text\"> assume </var>no responsibility for errors or omissions, or for damages\n		 <var class=\"replaceable-license-text\"> resulting </var>from the use of the information contained herein. The author(s)\n		 <var class=\"replaceable-license-text\"> may </var>not have taken the same level of care in the production of\n		 <var class=\"replaceable-license-text\"> this </var>manual, which is licensed free of charge, as they might when\n		 <var class=\"replaceable-license-text\"> working </var>professionally.</p>\n\n		 <p>Formatted or processed versions of this manual, if unaccompanied by the source, must acknowledge the copyright and authors of this work.</p>\n\n	  "
		self.python_name = "Linuxmanpagescopyleft"

	def __str__(self):
		return json.dumps(self.__dict__)


class TORQUE11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "TORQUE v2.5+ Software License v1.1\nCopyright (c) 2010-2011 Adaptive Computing Enterprises, Inc. All rights reserved.\n\nUse this license to use or redistribute the TORQUE software v2.5+ and later versions. For free support for TORQUE users, questions should be emailed to the community of TORQUE users at torqueusers@supercluster.org. Users can also subscribe to the user mailing list at http://www.supercluster.org/mailman/listinfo/torqueusers. Customers using TORQUE that also are licensed users of Moab branded software from Adaptive Computing Inc. can get TORQUE support from Adaptive Computing via:\nEmail: torque-support@adaptivecomputing.com.\nPhone: (801) 717-3700\nWeb: www.adaptivecomputing.com www.clusterresources.com\n\nThis license covers use of the TORQUE v2.5 software (the \"Software\") at your site or location, and, for certain users, redistribution of the Software to other sites and locations1. Later versions of TORQUE are also covered by this license. Use and redistribution of TORQUE v2.5 in source and binary forms, with or without modification, are permitted provided that all of the following conditions are met.\n\n1. Any Redistribution of source code must retain the above copyright notice and the acknowledgment contained in paragraph 5, this list of conditions and the disclaimer contained in paragraph 5.\n\n2. Any Redistribution in binary form must reproduce the above copyright notice and the acknowledgment contained in paragraph 4, this list of conditions and the disclaimer contained in paragraph 5 in the documentation and/or other materials provided with the distribution.\n\n3. Redistributions in any form must be accompanied by information on how to obtain complete source code for TORQUE and any modifications and/or additions to TORQUE. The source code must either be included in the distribution or be available for no more than the cost of distribution plus a nominal fee, and all modifications and additions to the Software must be freely redistributable by any party (including Licensor) without restriction.\n\n4. All advertising materials mentioning features or use of the Software must display the following acknowledgment:\n\"TORQUE is a modification of OpenPBS which was developed by NASA Ames Research Center, Lawrence Livermore National Laboratory, and Veridian TORQUE Open Source License v1.1. 1 Information Solutions, Inc. Visit www.clusterresources.com/products/ for more information about TORQUE and to download TORQUE. For information about Moab branded products and so receive support from Adaptive Computing for TORQUE, see www.adaptivecomputing.com.\u201d\n\n5. DISCLAIMER OF WARRANTY THIS SOFTWARE IS PROVIDED \"AS IS\" WITHOUT WARRANTY OF ANY KIND. ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT ARE EXPRESSLY DISCLAIMED. IN NO EVENT SHALL ADAPTIVE COMPUTING ENTERPRISES, INC. CORPORATION, ITS AFFILIATED COMPANIES, OR THE U.S. GOVERNMENT OR ANY OF ITS AGENCIES BE LIABLE FOR ANY DIRECT OR INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis license will be governed by the laws of Utah, without reference to its choice of law rules.\n\nNote 1: TORQUE is developed from an earlier version v2.3 of OpenPBS. TORQUE has been developed beyond OpenPBS v2.3. The OpenPBS v2.3 license and OpenPBS software can be obtained at:\nhttp://www.pbsworks.com/ResLibSearchResult.aspx?keywords=openpbs&industry=All&pro duct_service=All&category=Free%20Software%20Downloads&order_by=title. Users of TORQUE should comply with the TORQUE license as well as the OpenPBS license.\n"
		self.standardLicenseTemplate = "<<beginOptional>>TORQUE v2.5+ Software License v1.1\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2010-2011 Adaptive Computing Enterprises, Inc. All rights reserved.  \";match=\".{0,5000}\">><<beginOptional>> Use this license to use or redistribute the TORQUE software v2.5+ and later versions. For free support for TORQUE users, questions should be emailed to the community of TORQUE users at torqueusers@supercluster.org. Users can also subscribe to the user mailing list at http://www.supercluster.org/mailman/listinfo/torqueusers. Customers using TORQUE that also are licensed users of Moab branded software from Adaptive Computing Inc. can get TORQUE support from Adaptive Computing via:\n\nEmail: torque-support@adaptivecomputing.com.\n\nPhone: (801) 717-3700\n\nWeb: www.adaptivecomputing.com www.clusterresources.com\n\n<<endOptional>>\n\nThis license covers use of the TORQUE v2.5 software (the \"Software\") at your site or location, and, for certain users, redistribution of the Software to other sites and locations1. Later versions of TORQUE are also covered by this license. Use and redistribution of TORQUE v2.5 in source and binary forms, with or without modification, are permitted provided that all of the following conditions are met.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Any Redistribution of source code must retain the above copyright notice and the acknowledgment contained in paragraph 5, this list of conditions and the disclaimer contained in paragraph 5.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Any Redistribution in binary form must reproduce the above copyright notice and the acknowledgment contained in paragraph 4, this list of conditions and the disclaimer contained in paragraph 5 in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions in any form must be accompanied by information on how to obtain complete source code for TORQUE and any modifications and/or additions to TORQUE. The source code must either be included in the distribution or be available for no more than the cost of distribution plus a nominal fee, and all modifications and additions to the Software must be freely redistributable by any party (including Licensor) without restriction.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> All advertising materials mentioning features or use of the Software must display the following acknowledgment:\n\n   \"TORQUE is a modification of OpenPBS which was developed by NASA Ames Research Center, Lawrence Livermore National Laboratory, and Veridian TORQUE Open Source License v1.1. 1 Information Solutions, Inc. Visit www.clusterresources.com/products/ for more information about TORQUE and to download TORQUE. For information about Moab branded products and so receive support from Adaptive Computing for TORQUE, see www.adaptivecomputing.com.\"\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY THIS SOFTWARE IS PROVIDED \"AS IS\" WITHOUT WARRANTY OF ANY KIND. ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT ARE EXPRESSLY DISCLAIMED. IN NO EVENT SHALL ADAPTIVE COMPUTING ENTERPRISES, INC. CORPORATION, ITS AFFILIATED COMPANIES, OR THE U.S. GOVERNMENT OR ANY OF ITS AGENCIES BE LIABLE FOR ANY DIRECT OR INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis license will be governed by the laws of Utah, without reference to its choice of law rules.\n\n<<beginOptional>>Note 1: TORQUE is developed from an earlier version v2.3 of OpenPBS. TORQUE has been developed beyond OpenPBS v2.3. The OpenPBS v2.3 license and OpenPBS software can be obtained at:\n\nhttp://www.pbsworks.com/ResLibSearchResult.aspx?keywords=openpbs&industry=All&pro duct_service=All&category=Free%20Software%20Downloads&order_by=title. Users of TORQUE should comply with the TORQUE license as well as the OpenPBS license.\n\n<<endOptional>>"
		self.name = "TORQUE v2.5+ Software License v1.1"
		self.licenseId = "TORQUE-1.1"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/TORQUEv1.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:08Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/TORQUEv1.1"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>TORQUE v2.5+ Software License v1.1</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2010-2011 Adaptive Computing Enterprises, Inc. All rights reserved.</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Use this license to use or redistribute the TORQUE software v2.5+ and later versions. For free support for\n		 TORQUE users, questions should be emailed to the community of TORQUE users at\n		 torqueusers@supercluster.org. Users can also subscribe to the user mailing list at\n		 http://www.supercluster.org/mailman/listinfo/torqueusers. Customers using TORQUE that also are licensed\n		 users of Moab branded software from Adaptive Computing Inc. can get TORQUE support from Adaptive Computing\n		 via:\n		<br />\n\nEmail: torque-support@adaptivecomputing.com.\n		<br />\n\nPhone: (801) 717-3700\n		<br />\n\nWeb: www.adaptivecomputing.com www.clusterresources.com\n	  </p>\n\n	  </div>\n	  <p>This license covers use of the TORQUE v2.5 software (the &quot;Software&quot;) at your site or location, and, for\n		 certain users, redistribution of the Software to other sites and locations1. Later versions of TORQUE are\n		 also covered by this license. Use and redistribution of TORQUE v2.5 in source and binary forms, with or\n		 without modification, are permitted provided that all of the following conditions are met.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Any Redistribution of source code must retain the above copyright notice and the acknowledgment\n			 contained in paragraph 5, this list of conditions and the disclaimer contained in paragraph 5.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Any Redistribution in binary form must reproduce the above copyright notice and the acknowledgment\n			 contained in paragraph 4, this list of conditions and the disclaimer contained in paragraph 5 in\n			 the documentation and/or other materials provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Redistributions in any form must be accompanied by information on how to obtain complete source code\n			 for TORQUE and any modifications and/or additions to TORQUE. The source code must either be\n			 included in the distribution or be available for no more than the cost of distribution plus a\n			 nominal fee, and all modifications and additions to the Software must be freely redistributable by\n			 any party (including Licensor) without restriction.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  All advertising materials mentioning features or use of the Software must display the following\n			 acknowledgment:\n			<br />\n\n   &quot;TORQUE is a modification of OpenPBS which was developed by NASA Ames Research Center, Lawrence\n				 Livermore National Laboratory, and Veridian TORQUE Open Source License v1.1. 1 Information\n				 Solutions, Inc. Visit www.clusterresources.com/products/ for more information about TORQUE\n				 and to download TORQUE. For information about Moab branded products and so receive support\n				 from Adaptive Computing for TORQUE, see www.adaptivecomputing.com.&quot;\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  DISCLAIMER OF WARRANTY THIS SOFTWARE IS PROVIDED &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND. ANY EXPRESS OR\n			 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT ARE EXPRESSLY DISCLAIMED. IN NO EVENT SHALL\n			 ADAPTIVE COMPUTING ENTERPRISES, INC. CORPORATION, ITS AFFILIATED COMPANIES, OR THE U.S. GOVERNMENT\n			 OR ANY OF ITS AGENCIES BE LIABLE FOR ANY DIRECT OR INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR\n			 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n			 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\n			 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\n			 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\n			 DAMAGE.\n		</li>\n	  \n</ul>\n	  <p>This license will be governed by the laws of Utah, without reference to its choice of law rules.</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>Note 1: TORQUE is developed from an earlier version v2.3 of OpenPBS. TORQUE has been developed beyond OpenPBS\n		 v2.3. The OpenPBS v2.3 license and OpenPBS software can be obtained at:\n		<br />\n\nhttp://www.pbsworks.com/ResLibSearchResult.aspx?keywords=openpbs&amp;industry=All&amp;pro\n			 duct_service=All&amp;category=Free%20Software%20Downloads&amp;order_by=title. Users of TORQUE\n			 should comply with the TORQUE license as well as the OpenPBS license.\n	  </p>\n\n	  </div>\n	"
		self.python_name = "TORQUE11"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYSA25:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-ShareAlike 2.5\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	 g. \"License Elements\" means the following high-level license attributes as selected by Licensor and indicated in the title of this License: Attribution, ShareAlike.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to create and reproduce Derivative Works;\n\n	 c. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	 d. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works.\n\n	 e. For the avoidance of doubt, where the work is a musical composition:\n\n		  i. Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work.\n\n		  ii. Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect, whether individually or via a music rights society or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	 f. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor waives the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by clause 4(c), as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any credit as required by clause 4(c), as requested.\n\n	 b. You may distribute, publicly display, publicly perform, or publicly digitally perform a Derivative Work only under the terms of this License, a later version of this License with the same License Elements as this License, or a Creative Commons iCommons license that contains the same License Elements as this License (e.g. Attribution-ShareAlike 2.5 Japan). You must include a copy of, or the Uniform Resource Identifier for, this License or other license specified in the previous sentence with every copy or phonorecord of each Derivative Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Derivative Works that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder, and You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Derivative Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Derivative Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Derivative Work itself to be made subject to the terms of this License.\n\n	 c. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for attribution in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE MATERIALS, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-ShareAlike 2.5\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"License Elements\" means the following high-level license attributes as selected by Licensor and indicated in the title of this License: Attribution, ShareAlike.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and reproduce Derivative Works;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> For the avoidance of doubt, where the work is a musical composition:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect, whether individually or via a music rights society or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor waives the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by clause 4(c), as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any credit as required by clause 4(c), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform a Derivative Work only under the terms of this License, a later version of this License with the same License Elements as this License, or a Creative Commons iCommons license that contains the same License Elements as this License (e.g. Attribution-ShareAlike 2.5 Japan). You must include a copy of, or the Uniform Resource Identifier for, this License or other license specified in the previous sentence with every copy or phonorecord of each Derivative Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Derivative Works that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder, and You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Derivative Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Derivative Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Derivative Work itself to be made subject to the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for attribution in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE MATERIALS, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Share Alike 2.5 Generic"
		self.licenseId = "CC-BY-SA-2.5"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-sa/2.5/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-sa/2.5/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-ShareAlike 2.5</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n			   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n			   other contributions, constituting separate and independent works in themselves, are\n			   assembled into a collective whole. A work that constitutes a Collective Work will not be\n			   considered a Derivative Work (as defined below) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works, such as a translation, musical arrangement, dramatization,\n			   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n			   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n			   except that a work that constitutes a Collective Work will not be considered a Derivative\n			   Work for the purpose of this License. For the avoidance of doubt, where the Work is a\n			   musical composition or sound recording, the synchronization of the Work in timed-relation\n			   with a moving image (&quot;synching&quot;) will be considered a Derivative Work for the\n			   purpose of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n			   this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Original Author&quot; means the individual or entity who created the Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> g.</var>\n			&quot;License Elements&quot; means the following high-level license attributes as selected by\n			   Licensor and indicated in the title of this License: Attribution, ShareAlike.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to create and reproduce Derivative Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission Derivative Works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			For the avoidance of doubt, where the work is a musical composition:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to\n				 collect, whether individually or via a performance rights society (e.g. ASCAP, BMI,\n				 SESAC), royalties for the public performance or public digital performance (e.g.\n				 webcast) of the Work.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to\n				 collect, whether individually or via a music rights society or designated agent (e.g.\n				 Harry Fox Agency), royalties for any phonorecord You create from the Work (&quot;cover\n				 version&quot;) and distribute, subject to the compulsory license created by 17 USC\n				 Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a\n			   sound recording, Licensor waives the exclusive right to collect, whether individually or\n			   via a performance-rights society (e.g. SoundExchange), royalties for the public digital\n			   performance (e.g. webcast) of the Work, subject to the compulsory license created by 17\n			   USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n		  </li>\n			\n</ul>\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats. All rights not expressly\n			   granted by Licensor are hereby reserved.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n			   Work. You must keep intact all notices that refer to this License and to the disclaimer of\n			   warranties. You may not distribute, publicly display, publicly perform, or publicly\n			   digitally perform the Work with any technological measures that control access or use of\n			   the Work in a manner inconsistent with the terms of this License Agreement. The above\n			   applies to the Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Work itself to be made subject to the terms of this\n			   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n			   extent practicable, remove from the Collective Work any credit as required by clause 4(c),\n			   as requested. If You create a Derivative Work, upon notice from any Licensor You must, to\n			   the extent practicable, remove from the Derivative Work any credit as required by clause\n			   4(c), as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform a\n			   Derivative Work only under the terms of this License, a later version of this License with\n			   the same License Elements as this License, or a Creative Commons iCommons license that\n			   contains the same License Elements as this License (e.g. Attribution-ShareAlike 2.5\n			   Japan). You must include a copy of, or the Uniform Resource Identifier for, this License\n			   or other license specified in the previous sentence with every copy or phonorecord of each\n			   Derivative Work You distribute, publicly display, publicly perform, or publicly digitally\n			   perform. You may not offer or impose any terms on the Derivative Works that alter or\n			   restrict the terms of this License or the recipients&apos; exercise of the rights granted\n			   hereunder, and You must keep intact all notices that refer to this License and to the\n			   disclaimer of warranties. You may not distribute, publicly display, publicly perform, or\n			   publicly digitally perform the Derivative Work with any technological measures that\n			   control access or use of the Work in a manner inconsistent with the terms of this License\n			   Agreement. The above applies to the Derivative Work as incorporated in a Collective Work,\n			   but this does not require the Collective Work apart from the Derivative Work itself to be\n			   made subject to the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n			   or any Derivative Works or Collective Works, You must keep intact all copyright notices\n			   for the Work and provide, reasonable to the medium or means You are utilizing: (i) the\n			   name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the\n			   Original Author and/or Licensor designate another party or parties (e.g. a sponsor\n			   institute, publishing entity, journal) for attribution in Licensor&apos;s copyright\n			   notice, terms of service or by other reasonable means, the name of such party or parties;\n			   the title of the Work if supplied; to the extent reasonably practicable, the Uniform\n			   Resource Identifier, if any, that Licensor specifies to be associated with the Work,\n			   unless such URI does not refer to the copyright notice or licensing information for the\n			   Work; and in the case of a Derivative Work, a credit identifying the use of the Work in\n			   the Derivative Work (e.g., &quot;French translation of the Work by Original Author,&quot;\n			   or &quot;Screenplay based on original Work by Original Author&quot;). Such credit may be\n			   implemented in any reasonable manner; provided, however, that in the case of a Derivative\n			   Work or Collective Work, at a minimum such credit will appear where any other comparable\n			   authorship credit appears and in a manner at least as prominent as such other comparable\n			   authorship credit.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO\n			 REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE MATERIALS, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Derivative\n			   Works or Collective Works from You under this License, however, will not have their\n			   licenses terminated provided such individuals or entities remain in full compliance with\n			   those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n			   Licensor offers to the recipient a license to the Work on the same terms and conditions as\n			   the license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to\n			   the recipient a license to the original Work on the same terms and conditions as the\n			   license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYSA25"

	def __str__(self):
		return json.dumps(self.__dict__)


class InfoZIP:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Info-ZIP License\n\nCopyright (c) 1990-2009 Info-ZIP. All rights reserved.\n\nFor the purposes of this copyright and license, \"Info-ZIP\" is defined as the following set of individuals:\n\n	 Mark Adler, John Bush, Karl Davis, Harald Denker, Jean-Michel Dubois, Jean-loup Gailly, Hunter Goatley, Ed Gordon, Ian Gorman, Chris Herborth, Dirk Haase, Greg Hartwig, Robert Heath, Jonathan Hudson, Paul Kienitz, David Kirschbaum, Johnny Lee, Onno van der Linden, Igor Mandrichenko, Steve P. Miller, Sergio Monesi, Keith Owens, George Petrov, Greg Roelofs, Kai Uwe Rommel, Steve Salisbury, Dave Smith, Steven M. Schweda, Christian Spieler, Cosmin Truta, Antoine Verheijen, Paul von Behren, Rich Wales, Mike White.\n\nThis software is provided \"as is,\" without warranty of any kind, express or implied. In no event shall Info-ZIP or its contributors be held liable for any direct, indirect, incidental, special or consequential damages arising out of the use of or inability to use this software.\n\nPermission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the above disclaimer and the following restrictions:\n\n	 *\tRedistributions of source code (in whole or in part) must retain the above copyright notice, definition, disclaimer, and this list of conditions.\n	 *\tRedistributions in binary form (compiled executables and libraries) must reproduce the above copyright notice, definition, disclaimer, and this list of conditions in documentation and/or other materials provided with the distribution. Additional documentation is not needed for executables where a command line license option provides these and a note regarding this option is in the executable's startup banner. The sole exception to this condition is redistribution of a standard UnZipSFX binary (including SFXWiz) as part of a self-extracting archive; that is permitted without inclusion of this license, as long as the normal SFX banner has not been removed from the binary or disabled.\n	 *\tAltered versions--including, but not limited to, ports to new operating systems, existing ports with new graphical interfaces, versions with modified or added functionality, and dynamic, shared, or static library versions not from Info-ZIP--must be plainly marked as such and must not be misrepresented as being the original source or, if binaries, compiled from the original source. Such altered versions also must not be misrepresented as being Info-ZIP releases--including, but not limited to, labeling of the altered versions with the names \"Info-ZIP\" (or any variation thereof, including, but not limited to, different capitalizations), \"Pocket UnZip,\" \"WiZ\" or \"MacZip\" without the explicit permission of Info-ZIP. Such altered versions are further prohibited from misrepresentative use of the Zip-Bugs or Info-ZIP e-mail addresses or the Info-ZIP URL(s), such as to imply Info-ZIP will provide support for the altered versions.\n	 *\tInfo-ZIP retains the right to use the names \"Info-ZIP,\" \"Zip,\" \"UnZip,\" \"UnZipSFX,\" \"WiZ,\" \"Pocket UnZip,\" \"Pocket Zip,\" and \"MacZip\" for its own source and binary releases.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Info-ZIP License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 1990-2009 Info-ZIP. All rights reserved.  \";match=\".{0,5000}\">>\n\nFor the purposes of this copyright and license, \"Info-ZIP\" is defined as the following set of individuals:\n\nMark Adler, John Bush, Karl Davis, Harald Denker, Jean-Michel Dubois, Jean-loup Gailly, Hunter Goatley, Ed Gordon, Ian Gorman, Chris Herborth, Dirk Haase, Greg Hartwig, Robert Heath, Jonathan Hudson, Paul Kienitz, David Kirschbaum, Johnny Lee, Onno van der Linden, Igor Mandrichenko, Steve P. Miller, Sergio Monesi, Keith Owens, George Petrov, Greg Roelofs, Kai Uwe Rommel, Steve Salisbury, Dave Smith, Steven M. Schweda, Christian Spieler, Cosmin Truta, Antoine Verheijen, Paul von Behren, Rich Wales, Mike White.\n\nThis software is provided \"as is,\" without warranty of any kind, express or implied. In no event shall Info-ZIP or its contributors be held liable for any direct, indirect, incidental, special or consequential damages arising out of the use of or inability to use this software.\n\nPermission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the above disclaimer and the following restrictions:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code (in whole or in part) must retain the above copyright notice, definition, disclaimer, and this list of conditions.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in binary form (compiled executables and libraries) must reproduce the above copyright notice, definition, disclaimer, and this list of conditions in documentation and/or other materials provided with the distribution. Additional documentation is not needed for executables where a command line license option provides these and a note regarding this option is in the executable's startup banner. The sole exception to this condition is redistribution of a standard UnZipSFX binary (including SFXWiz) as part of a self-extracting archive; that is permitted without inclusion of this license, as long as the normal SFX banner has not been removed from the binary or disabled.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Altered versions--including, but not limited to, ports to new operating systems, existing ports with new graphical interfaces, versions with modified or added functionality, and dynamic, shared, or static library versions not from Info-ZIP--must be plainly marked as such and must not be misrepresented as being the original source or, if binaries, compiled from the original source. Such altered versions also must not be misrepresented as being Info-ZIP releases--including, but not limited to, labeling of the altered versions with the names \"Info-ZIP\" (or any variation thereof, including, but not limited to, different capitalizations), \"Pocket UnZip,\" \"WiZ\" or \"MacZip\" without the explicit permission of Info-ZIP. Such altered versions are further prohibited from misrepresentative use of the Zip-Bugs or Info-ZIP e-mail addresses or the Info-ZIP URL(s), such as to imply Info-ZIP will provide support for the altered versions.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Info-ZIP retains the right to use the names \"Info-ZIP,\" \"Zip,\" \"UnZip,\" \"UnZipSFX,\" \"WiZ,\" \"Pocket UnZip,\" \"Pocket Zip,\" and \"MacZip\" for its own source and binary releases."
		self.name = "Info-ZIP License"
		self.licenseId = "Info-ZIP"
		self.crossRef = [{"match": "False", "url": "http://www.info-zip.org/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:57Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.info-zip.org/license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Info-ZIP License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1990-2009 Info-ZIP. All rights reserved.</p>\n\n	  </div>\n\n	  <p>For the purposes of this copyright and license, &quot;Info-ZIP&quot; is defined as the following set of\n		 individuals:</p>\n\n	  <p>Mark Adler, John Bush, Karl Davis, Harald Denker, Jean-Michel Dubois, Jean-loup Gailly, Hunter Goatley,\n		 Ed Gordon, Ian Gorman, Chris Herborth, Dirk Haase, Greg Hartwig, Robert Heath, Jonathan Hudson, Paul\n		 Kienitz, David Kirschbaum, Johnny Lee, Onno van der Linden, Igor Mandrichenko, Steve P. Miller, Sergio\n		 Monesi, Keith Owens, George Petrov, Greg Roelofs, Kai Uwe Rommel, Steve Salisbury, Dave Smith, Steven\n		 M. Schweda, Christian Spieler, Cosmin Truta, Antoine Verheijen, Paul von Behren, Rich Wales, Mike\n		 White.</p>\n\n	  <p>This software is provided &quot;as is,&quot; without warranty of any kind, express or implied. In no\n		 event shall Info-ZIP or its contributors be held liable for any direct, indirect, incidental, special\n		 or consequential damages arising out of the use of or inability to use this software.</p>\n\n	  <p>Permission is granted to anyone to use this software for any purpose, including commercial applications,\n		 and to alter it and redistribute it freely, subject to the above disclaimer and the following\n		 restrictions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions of source code (in whole or in part) must retain the above copyright notice,\n			 definition, disclaimer, and this list of conditions.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in binary form (compiled executables and libraries) must reproduce the above\n			 copyright notice, definition, disclaimer, and this list of conditions in documentation\n			 and/or other materials provided with the distribution. Additional documentation is not\n			 needed for executables where a command line license option provides these and a note\n			 regarding this option is in the executable&apos;s startup banner. The sole exception to\n			 this condition is redistribution of a standard UnZipSFX binary (including SFXWiz) as part\n			 of a self-extracting archive; that is permitted without inclusion of this license, as long\n			 as the normal SFX banner has not been removed from the binary or disabled.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Altered versions--including, but not limited to, ports to new operating systems, existing\n			 ports with new graphical interfaces, versions with modified or added functionality, and\n			 dynamic, shared, or static library versions not from Info-ZIP--must be plainly marked as\n			 such and must not be misrepresented as being the original source or, if binaries, compiled\n			 from the original source. Such altered versions also must not be misrepresented as being\n			 Info-ZIP releases--including, but not limited to, labeling of the altered versions with\n			 the names &quot;Info-ZIP&quot; (or any variation thereof, including, but not limited to,\n			 different capitalizations), &quot;Pocket UnZip,&quot; &quot;WiZ&quot; or\n			 &quot;MacZip&quot; without the explicit permission of Info-ZIP. Such altered versions are\n			 further prohibited from misrepresentative use of the Zip-Bugs or Info-ZIP e-mail addresses\n			 or the Info-ZIP URL(s), such as to imply Info-ZIP will provide support for the altered\n			 versions.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Info-ZIP retains the right to use the names &quot;Info-ZIP,&quot; &quot;Zip,&quot;\n			 &quot;UnZip,&quot; &quot;UnZipSFX,&quot; &quot;WiZ,&quot; &quot;Pocket UnZip,&quot;\n			 &quot;Pocket Zip,&quot; and &quot;MacZip&quot; for its own source and binary releases.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "InfoZIP"

	def __str__(self):
		return json.dumps(self.__dict__)


class PDDL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Open Data Commons Public Domain Dedication & License (PDDL)\n\nPreamble\nThe Open Data Commons - Public Domain Dedication & Licence is a document intended to allow you to freely share, modify, and use this work for any purpose and without any restrictions. This licence is intended for use on databases or their contents (\"data\"), either together or individually.\n\nMany databases are covered by copyright. Some jurisdictions, mainly in Europe, have specific special rights that cover databases called the \"sui generis\" database right. Both of these sets of rights, as well as other legal rights used to protect databases and data, can create uncertainty or practical difficulty for those wishing to share databases and their underlying data but retain a limited amount of rights under a \"some rights reserved\" approach to licensing as outlined in the Science Commons Protocol for Implementing Open Access Data. As a result, this waiver and licence tries to the fullest extent possible to eliminate or fully license any rights that cover this database and data. Any Community Norms or similar statements of use of the database or data do not form a part of this document, and do not act as a contract for access or other terms of use for the database or data.\n\nThe position of the recipient of the work\n\nBecause this document places the database and its contents in or as close as possible within the public domain, there are no restrictions or requirements placed on the recipient by this document. Recipients may use this work commercially, use technical protection measures, combine this data or database with other databases or data, and share their changes and additions or keep them secret. It is not a requirement that recipients provide further users with a copy of this licence or attribute the original creator of the data or database as a source. The goal is to eliminate restrictions held by the original creator of the data and database on the use of it by others.\n\nThe position of the dedicator of the work\n\nCopyright law, as with most other law under the banner of \"intellectual property\", is inherently national law. This means that there exists several differences in how copyright and other IP rights can be relinquished, waived or licensed in the many legal jurisdictions of the world. This is despite much harmonisation of minimum levels of protection. The internet and other communication technologies span these many disparate legal jurisdictions and thus pose special difficulties for a document relinquishing and waiving intellectual property rights, including copyright and database rights, for use by the global community. Because of this feature of intellectual property law, this document first relinquishes the rights and waives the relevant rights and claims. It then goes on to license these same rights for jurisdictions or areas of law that may make it difficult to relinquish or waive rights or claims.\n\nThe purpose of this document is to enable rightsholders to place their work into the public domain. Unlike licences for free and open source software, free cultural works, or open content licences, rightsholders will not be able to \"dual license\" their work by releasing the same work under different licences. This is because they have allowed anyone to use the work in whatever way they choose. Rightsholders therefore can\u2019t re-license it under copyright or database rights on different terms because they have nothing left to license. Doing so creates truly accessible data to build rich applications and advance the progress of science and the arts.\n\nThis document can cover either or both of the database and its contents (the data). Because databases can have a wide variety of content - not just factual data - rightsholders should use the Open Data Commons - Public Domain Dedication & Licence for an entire database and its contents only if everything can be placed under the terms of this document. Because even factual data can sometimes have intellectual property rights, rightsholders should use this licence to cover both the database and its factual data when making material available under this document; even if it is likely that the data would not be covered by copyright or database rights.\n\nRightsholders can also use this document to cover any copyright or database rights claims over only a database, and leave the contents to be covered by other licences or documents. They can do this because this document refers to the \"Work\", which can be either - or both - the database and its contents. As a result, rightsholders need to clearly state what they are dedicating under this document when they dedicate it.\n\nJust like any licence or other document dealing with intellectual property, rightsholders should be aware that one can only license what one owns. Please ensure that the rights have been cleared to make this material available under this document.\n\nThis document permanently and irrevocably makes the Work available to the public for any use of any kind, and it should not be used unless the rightsholder is prepared for this to happen.\n\nPart I: Introduction\n\nThe Rightsholder (the Person holding rights or claims over the Work) agrees as follows:\n\n1.0 Definitions of Capitalised Words\n\n\"Copyright\" - Includes rights under copyright and under neighbouring rights and similarly related sets of rights under the law of the relevant jurisdiction under Section 6.4.\n\n\"Data\" - The contents of the Database, which includes the information, independent works, or other material collected into the Database offered under the terms of this Document.\n\n\"Database\" - A collection of Data arranged in a systematic or methodical way and individually accessible by electronic or other means offered under the terms of this Document.\n\n\"Database Right\" - Means rights over Data resulting from the Chapter III (\"sui generis\") rights in the Database Directive (Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases) and any future updates as well as any similar rights available in the relevant jurisdiction under Section 6.4.\n\n\"Document\" - means this relinquishment and waiver of rights and claims and back up licence agreement.\n\n\"Person\" - Means a natural or legal person or a body of persons corporate or incorporate.\n\n\"Use\" - As a verb, means doing any act that is restricted by Copyright or Database Rights whether in the original medium or any other; and includes modifying the Work as may be technically necessary to use it in a different mode or format. This includes the right to sublicense the Work.\n\n\"Work\" - Means either or both of the Database and Data offered under the terms of this Document.\n\n\"You\" - the Person acquiring rights under the licence elements of this Document.\n\nWords in the singular include the plural and vice versa.\n\n2.0 What this document covers\n\n2.1. Legal effect of this Document. This Document is:\n\n	 a. A dedication to the public domain and waiver of Copyright and Database Rights over the Work; and\n\n	 b. A licence of Copyright and Database Rights over the Work in jurisdictions that do not allow for relinquishment or waiver.\n\n2.2. Legal rights covered.\n\n	 a. Copyright. Any copyright or neighbouring rights in the Work. Copyright law varies between jurisdictions, but is likely to cover: the Database model or schema, which is the structure, arrangement, and organisation of the Database, and can also include the Database tables and table indexes; the data entry and output sheets; and the Field names of Data stored in the Database. Copyright may also cover the Data depending on the jurisdiction and type of Data; and\n\n	 b. Database Rights. Database Rights only extend to the extraction and re-utilisation of the whole or a substantial part of the Data. Database Rights can apply even when there is no copyright over the Database. Database Rights can also apply when the Data is removed from the Database and is selected and arranged in a way that would not infringe any applicable copyright.\n\n2.2 Rights not covered.\n\n	 a. This Document does not apply to computer programs used in the making or operation of the Database;\n\n	 b. This Document does not cover any patents over the Data or the Database. Please see Section 4.2 later in this Document for further details; and\n\n	 c. This Document does not cover any trade marks associated with the Database. Please see Section 4.3 later in this Document for further details.\n\nUsers of this Database are cautioned that they may have to clear other rights or consult other licences.\n\n2.3 Facts are free. The Rightsholder takes the position that factual information is not covered by Copyright. This Document however covers the Work in jurisdictions that may protect the factual information in the Work by Copyright, and to cover any information protected by Copyright that is contained in the Work.\n\nPart II: Dedication to the public domain\n\n3.0 Dedication, waiver, and licence of Copyright and Database Rights\n\n3.1 Dedication of Copyright and Database Rights to the public domain. The Rightsholder by using this Document, dedicates the Work to the public domain for the benefit of the public and relinquishes all rights in Copyright and Database Rights over the Work.\n\n	 a. The Rightsholder realises that once these rights are relinquished, that the Rightsholder has no further rights in Copyright and Database Rights over the Work, and that the Work is free and open for others to Use.\n\n	 b. The Rightsholder intends for their relinquishment to cover all present and future rights in the Work under Copyright and Database Rights, whether they are vested or contingent rights, and that this relinquishment of rights covers all their heirs and successors.\n\nThe above relinquishment of rights applies worldwide and includes media and formats now known or created in the future.\n\n3.2 Waiver of rights and claims in Copyright and Database Rights when Section 3.1 dedication inapplicable. If the dedication in Section 3.1 does not apply in the relevant jurisdiction under Section 6.4, the Rightsholder waives any rights and claims that the Rightsholder may have or acquire in the future over the Work in:\n\n	 a. Copyright; and\n\n	 b. Database Rights.\n\nTo the extent possible in the relevant jurisdiction, the above waiver of rights and claims applies worldwide and includes media and formats now known or created in the future. The Rightsholder agrees not to assert the above rights and waives the right to enforce them over the Work.\n\n3.3 Licence of Copyright and Database Rights when Sections 3.1 and 3.2 inapplicable. If the dedication and waiver in Sections 3.1 and 3.2 does not apply in the relevant jurisdiction under Section 6.4, the Rightsholder and You agree as follows:\n\n	 a. The Licensor grants to You a worldwide, royalty-free, non-exclusive, licence to Use the Work for the duration of any applicable Copyright and Database Rights. These rights explicitly include commercial use, and do not exclude any field of endeavour. To the extent possible in the relevant jurisdiction, these rights may be exercised in all media and formats whether now known or created in the future.\n\n3.4 Moral rights. This section covers moral rights, including the right to be identified as the author of the Work or to object to treatment that would otherwise prejudice the author\u2019s honour and reputation, or any other derogatory treatment:\n\n	 a. For jurisdictions allowing waiver of moral rights, Licensor waives all moral rights that Licensor may have in the Work to the fullest extent possible by the law of the relevant jurisdiction under Section 6.4;\n\n	 b. If waiver of moral rights under Section 3.4 a in the relevant jurisdiction is not possible, Licensor agrees not to assert any moral rights over the Work and waives all claims in moral rights to the fullest extent possible by the law of the relevant jurisdiction under Section 6.4; and\n\n	 c. For jurisdictions not allowing waiver or an agreement not to assert moral rights under Section 3.4 a and b, the author may retain their moral rights over the copyrighted aspects of the Work.\n\nPlease note that some jurisdictions do not allow for the waiver of moral rights, and so moral rights may still subsist over the work in some jurisdictions.\n\n4.0 Relationship to other rights\n\n4.1 No other contractual conditions. The Rightsholder makes this Work available to You without any other contractual obligations, either express or implied. Any Community Norms statement associated with the Work is not a contract and does not form part of this Document.\n\n4.2 Relationship to patents. This Document does not grant You a licence for any patents that the Rightsholder may own. Users of this Database are cautioned that they may have to clear other rights or consult other licences.\n\n4.3 Relationship to trade marks. This Document does not grant You a licence for any trade marks that the Rightsholder may own or that the Rightsholder may use to cover the Work. Users of this Database are cautioned that they may have to clear other rights or consult other licences. Part III: General provisions\n\n5.0 Warranties, disclaimer, and limitation of liability\n\n5.1 The Work is provided by the Rightsholder \"as is\" and without any warranty of any kind, either express or implied, whether of title, of accuracy or completeness, of the presence of absence of errors, of fitness for purpose, or otherwise. Some jurisdictions do not allow the exclusion of implied warranties, so this exclusion may not apply to You.\n\n5.2 Subject to any liability that may not be excluded or limited by law, the Rightsholder is not liable for, and expressly excludes, all liability for loss or damage however and whenever caused to anyone by any use under this Document, whether by You or by anyone else, and whether caused by any fault on the part of the Rightsholder or not. This exclusion of liability includes, but is not limited to, any special, incidental, consequential, punitive, or exemplary damages. This exclusion applies even if the Rightsholder has been advised of the possibility of such damages.\n\n5.3 If liability may not be excluded by law, it is limited to actual and direct financial loss to the extent it is caused by proved negligence on the part of the Rightsholder.\n\n6.0 General\n\n6.1 If any provision of this Document is held to be invalid or unenforceable, that must not affect the validity or enforceability of the remainder of the terms of this Document.\n\n6.2 This Document is the entire agreement between the parties with respect to the Work covered here. It replaces any earlier understandings, agreements or representations with respect to the Work not specified here.\n\n6.3 This Document does not affect any rights that You or anyone else may independently have under any applicable law to make any use of this Work, including (for jurisdictions where this Document is a licence) fair dealing, fair use, database exceptions, or any other legally recognised limitation or exception to infringement of copyright or other applicable laws.\n\n6.4 This Document takes effect in the relevant jurisdiction in which the Document terms are sought to be enforced. If the rights waived or granted under applicable law in the relevant jurisdiction includes additional rights not waived or granted under this Document, these additional rights are included in this Document in order to meet the intent of this Document.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Open Data Commons Public Domain Dedication & License (PDDL)\n\n<<endOptional>>\n\nPreamble\n\nThe Open Data Commons - Public Domain Dedication & Licence is a document intended to allow you to freely share, modify, and use this work for any purpose and without any restrictions. This licence is intended for use on databases or their contents (\"data\"), either together or individually.\n\nMany databases are covered by copyright. Some jurisdictions, mainly in Europe, have specific special rights that cover databases called the \"sui generis\" database right. Both of these sets of rights, as well as other legal rights used to protect databases and data, can create uncertainty or practical difficulty for those wishing to share databases and their underlying data but retain a limited amount of rights under a \"some rights reserved\" approach to licensing as outlined in the Science Commons Protocol for Implementing Open Access Data. As a result, this waiver and licence tries to the fullest extent possible to eliminate or fully license any rights that cover this database and data. Any Community Norms or similar statements of use of the database or data do not form a part of this document, and do not act as a contract for access or other terms of use for the database or data.\n\nThe position of the recipient of the work\n\nBecause this document places the database and its contents in or as close as possible within the public domain, there are no restrictions or requirements placed on the recipient by this document. Recipients may use this work commercially, use technical protection measures, combine this data or database with other databases or data, and share their changes and additions or keep them secret. It is not a requirement that recipients provide further users with a copy of this licence or attribute the original creator of the data or database as a source. The goal is to eliminate restrictions held by the original creator of the data and database on the use of it by others.\n\nThe position of the dedicator of the work\n\nCopyright law, as with most other law under the banner of \"intellectual property\", is inherently national law. This means that there exists several differences in how copyright and other IP rights can be relinquished, waived or licensed in the many legal jurisdictions of the world. This is despite much harmonisation of minimum levels of protection. The internet and other communication technologies span these many disparate legal jurisdictions and thus pose special difficulties for a document relinquishing and waiving intellectual property rights, including copyright and database rights, for use by the global community. Because of this feature of intellectual property law, this document first relinquishes the rights and waives the relevant rights and claims. It then goes on to license these same rights for jurisdictions or areas of law that may make it difficult to relinquish or waive rights or claims.\n\nThe purpose of this document is to enable rightsholders to place their work into the public domain. Unlike licences for free and open source software, free cultural works, or open content licences, rightsholders will not be able to \"dual license\" their work by releasing the same work under different licences. This is because they have allowed anyone to use the work in whatever way they choose. Rightsholders therefore can't re-license it under copyright or database rights on different terms because they have nothing left to license. Doing so creates truly accessible data to build rich applications and advance the progress of science and the arts.\n\nThis document can cover either or both of the database and its contents (the data). Because databases can have a wide variety of content - not just factual data - rightsholders should use the Open Data Commons - Public Domain Dedication & Licence for an entire database and its contents only if everything can be placed under the terms of this document. Because even factual data can sometimes have intellectual property rights, rightsholders should use this licence to cover both the database and its factual data when making material available under this document; even if it is likely that the data would not be covered by copyright or database rights.\n\nRightsholders can also use this document to cover any copyright or database rights claims over only a database, and leave the contents to be covered by other licences or documents. They can do this because this document refers to the \"Work\", which can be either - or both - the database and its contents. As a result, rightsholders need to clearly state what they are dedicating under this document when they dedicate it.\n\nJust like any licence or other document dealing with intellectual property, rightsholders should be aware that one can only license what one owns. Please ensure that the rights have been cleared to make this material available under this document.\n\nThis document permanently and irrevocably makes the Work available to the public for any use of any kind, and it should not be used unless the rightsholder is prepared for this to happen.\n\nPart I: Introduction\n\nThe Rightsholder (the Person holding rights or claims over the Work) agrees as follows:\n\n   <<var;name=\"bullet\";original=\"1.0\";match=\".{0,20}\">> Definitions of Capitalised Words\n\n   \"Copyright\" - Includes rights under copyright and under neighbouring rights and similarly related sets of rights under the law of the relevant jurisdiction under Section 6.4.\n\n   \"Data\" - The contents of the Database, which includes the information, independent works, or other material collected into the Database offered under the terms of this Document.\n\n   \"Database\" - A collection of Data arranged in a systematic or methodical way and individually accessible by electronic or other means offered under the terms of this Document.\n\n   \"Database Right\" - Means rights over Data resulting from the Chapter III (\"sui generis\") rights in the Database Directive (Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases) and any future updates as well as any similar rights available in the relevant jurisdiction under Section 6.4.\n\n   \"Document\" - means this relinquishment and waiver of rights and claims and back up licence agreement.\n\n   \"Person\" - Means a natural or legal person or a body of persons corporate or incorporate.\n\n   \"Use\" - As a verb, means doing any act that is restricted by Copyright or Database Rights whether in the original medium or any other; and includes modifying the Work as may be technically necessary to use it in a different mode or format. This includes the right to sublicense the Work.\n\n   \"Work\" - Means either or both of the Database and Data offered under the terms of this Document.\n\n   \"You\" - the Person acquiring rights under the licence elements of this Document.\n\n   Words in the singular include the plural and vice versa.\n\n   <<var;name=\"bullet\";original=\"2.0\";match=\".{0,20}\">> What this document covers\n\n   <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> Legal effect of this Document. This Document is:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> A dedication to the public domain and waiver of Copyright and Database Rights over the Work; and\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> A licence of Copyright and Database Rights over the Work in jurisdictions that do not allow for relinquishment or waiver.\n\n   <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Legal rights covered.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Copyright. Any copyright or neighbouring rights in the Work. Copyright law varies between jurisdictions, but is likely to cover: the Database model or schema, which is the structure, arrangement, and organisation of the Database, and can also include the Database tables and table indexes; the data entry and output sheets; and the Field names of Data stored in the Database. Copyright may also cover the Data depending on the jurisdiction and type of Data; and\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Database Rights. Database Rights only extend to the extraction and re-utilisation of the whole or a substantial part of the Data. Database Rights can apply even when there is no copyright over the Database. Database Rights can also apply when the Data is removed from the Database and is selected and arranged in a way that would not infringe any applicable copyright.\n\n   <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> Rights not covered.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This Document does not apply to computer programs used in the making or operation of the Database;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> This Document does not cover any patents over the Data or the Database. Please see Section 4.2 later in this Document for further details; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> This Document does not cover any trade marks associated with the Database. Please see Section 4.3 later in this Document for further details.\n\n	  Users of this Database are cautioned that they may have to clear other rights or consult other licences.\n\n   <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> Facts are free. The Rightsholder takes the position that factual information is not covered by Copyright. This Document however covers the Work in jurisdictions that may protect the factual information in the Work by Copyright, and to cover any information protected by Copyright that is contained in the Work.\n\nPart II: Dedication to the public domain\n\n   <<var;name=\"bullet\";original=\"3.0\";match=\".{0,20}\">> Dedication, waiver, and licence of Copyright and Database Rights\n\n   <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> Dedication of Copyright and Database Rights to the public domain. The Rightsholder by using this Document, dedicates the Work to the public domain for the benefit of the public and relinquishes all rights in Copyright and Database Rights over the Work.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> The Rightsholder realises that once these rights are relinquished, that the Rightsholder has no further rights in Copyright and Database Rights over the Work, and that the Work is free and open for others to Use.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> The Rightsholder intends for their relinquishment to cover all present and future rights in the Work under Copyright and Database Rights, whether they are vested or contingent rights, and that this relinquishment of rights covers all their heirs and successors.\n\n	  The above relinquishment of rights applies worldwide and includes media and formats now known or created in the future.\n\n   <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> Waiver of rights and claims in Copyright and Database Rights when Section 3.1 dedication inapplicable. If the dedication in Section 3.1 does not apply in the relevant jurisdiction under Section 6.4, the Rightsholder waives any rights and claims that the Rightsholder may have or acquire in the future over the Work in:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Copyright; and\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Database Rights.\n\n	  To the extent possible in the relevant jurisdiction, the above waiver of rights and claims applies worldwide and includes media and formats now known or created in the future. The Rightsholder agrees not to assert the above rights and waives the right to enforce them over the Work.\n\n   <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> Licence of Copyright and Database Rights when Sections 3.1 and 3.2 inapplicable. If the dedication and waiver in Sections 3.1 and 3.2 does not apply in the relevant jurisdiction under Section 6.4, the Rightsholder and You agree as follows:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> The Licensor grants to You a worldwide, royalty-free, non-exclusive, licence to Use the Work for the duration of any applicable Copyright and Database Rights. These rights explicitly include commercial use, and do not exclude any field of endeavour. To the extent possible in the relevant jurisdiction, these rights may be exercised in all media and formats whether now known or created in the future.\n\n   <<var;name=\"bullet\";original=\"3.4\";match=\".{0,20}\">> Moral rights. This section covers moral rights, including the right to be identified as the author of the Work or to object to treatment that would otherwise prejudice the author's honour and reputation, or any other derogatory treatment:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> For jurisdictions allowing waiver of moral rights, Licensor waives all moral rights that Licensor may have in the Work to the fullest extent possible by the law of the relevant jurisdiction under Section 6.4;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If waiver of moral rights under Section 3.4 a in the relevant jurisdiction is not possible, Licensor agrees not to assert any moral rights over the Work and waives all claims in moral rights to the fullest extent possible by the law of the relevant jurisdiction under Section 6.4; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For jurisdictions not allowing waiver or an agreement not to assert moral rights under Section 3.4 a and b, the author may retain their moral rights over the copyrighted aspects of the Work.\n\n	  Please note that some jurisdictions do not allow for the waiver of moral rights, and so moral rights may still subsist over the work in some jurisdictions.\n\n   <<var;name=\"bullet\";original=\"4.0\";match=\".{0,20}\">> Relationship to other rights\n\n   <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> No other contractual conditions. The Rightsholder makes this Work available to You without any other contractual obligations, either express or implied. Any Community Norms statement associated with the Work is not a contract and does not form part of this Document.\n\n   <<var;name=\"bullet\";original=\"4.2\";match=\".{0,20}\">> Relationship to patents. This Document does not grant You a licence for any patents that the Rightsholder may own. Users of this Database are cautioned that they may have to clear other rights or consult other licences.\n\n   <<var;name=\"bullet\";original=\"4.3\";match=\".{0,20}\">> Relationship to trade marks. This Document does not grant You a licence for any trade marks that the Rightsholder may own or that the Rightsholder may use to cover the Work. Users of this Database are cautioned that they may have to clear other rights or consult other licences.\n\nPart III: General provisions\n\n   <<var;name=\"bullet\";original=\"5.0\";match=\".{0,20}\">> Warranties, disclaimer, and limitation of liability\n\n   <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> The Work is provided by the Rightsholder \"as is\" and without any warranty of any kind, either express or implied, whether of title, of accuracy or completeness, of the presence of absence of errors, of fitness for purpose, or otherwise. Some jurisdictions do not allow the exclusion of implied warranties, so this exclusion may not apply to You.\n\n   <<var;name=\"bullet\";original=\"5.2\";match=\".{0,20}\">> Subject to any liability that may not be excluded or limited by law, the Rightsholder is not liable for, and expressly excludes, all liability for loss or damage however and whenever caused to anyone by any use under this Document, whether by You or by anyone else, and whether caused by any fault on the part of the Rightsholder or not. This exclusion of liability includes, but is not limited to, any special, incidental, consequential, punitive, or exemplary damages. This exclusion applies even if the Rightsholder has been advised of the possibility of such damages.\n\n   <<var;name=\"bullet\";original=\"5.3\";match=\".{0,20}\">> If liability may not be excluded by law, it is limited to actual and direct financial loss to the extent it is caused by proved negligence on the part of the Rightsholder.\n\n   <<var;name=\"bullet\";original=\"6.0\";match=\".{0,20}\">> General\n\n   <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> If any provision of this Document is held to be invalid or unenforceable, that must not affect the validity or enforceability of the remainder of the terms of this Document.\n\n   <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> This Document is the entire agreement between the parties with respect to the Work covered here. It replaces any earlier understandings, agreements or representations with respect to the Work not specified here.\n\n   <<var;name=\"bullet\";original=\"6.3\";match=\".{0,20}\">> This Document does not affect any rights that You or anyone else may independently have under any applicable law to make any use of this Work, including (for jurisdictions where this Document is a licence) fair dealing, fair use, database exceptions, or any other legally recognised limitation or exception to infringement of copyright or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"6.4\";match=\".{0,20}\">> This Document takes effect in the relevant jurisdiction in which the Document terms are sought to be enforced. If the rights waived or granted under applicable law in the relevant jurisdiction includes additional rights not waived or granted under this Document, these additional rights are included in this Document in order to meet the intent of this Document."
		self.name = "Open Data Commons Public Domain Dedication & License 1.0"
		self.licenseId = "PDDL-1.0"
		self.crossRef = [{"match": "False", "url": "https://opendatacommons.org/licenses/pddl/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:02Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://opendatacommons.org/licenses/pddl/1.0/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:02Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://opendatacommons.org/licenses/pddl/1.0/", "https://opendatacommons.org/licenses/pddl/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Open Data Commons Public Domain Dedication &amp; License (PDDL)</p>\n\n	  </div>\n\n	  <p>Preamble\n		<br />\n\nThe Open Data Commons - Public Domain Dedication &amp; Licence is a document intended to allow you\n			 to freely share, modify, and use this work for any purpose and without any restrictions. This\n			 licence is intended for use on databases or their contents (&quot;data&quot;), either together\n			 or individually.\n	  </p>\n\n	  <p>Many databases are covered by copyright. Some jurisdictions, mainly in Europe, have specific special\n		 rights that cover databases called the &quot;sui generis&quot; database right. Both of these sets of\n		 rights, as well as other legal rights used to protect databases and data, can create uncertainty or\n		 practical difficulty for those wishing to share databases and their underlying data but retain a\n		 limited amount of rights under a &quot;some rights reserved&quot; approach to licensing as outlined in\n		 the Science Commons Protocol for Implementing Open Access Data. As a result, this waiver and licence\n		 tries to the fullest extent possible to eliminate or fully license any rights that cover this database\n		 and data. Any Community Norms or similar statements of use of the database or data do not form a part\n		 of this document, and do not act as a contract for access or other terms of use for the database or\n		 data.</p>\n\n	  <p>The position of the recipient of the work</p>\n\n	  <p>Because this document places the database and its contents in or as close as possible within the public\n		 domain, there are no restrictions or requirements placed on the recipient by this document. Recipients\n		 may use this work commercially, use technical protection measures, combine this data or database with\n		 other databases or data, and share their changes and additions or keep them secret. It is not a\n		 requirement that recipients provide further users with a copy of this licence or attribute the\n		 original creator of the data or database as a source. The goal is to eliminate restrictions held by\n		 the original creator of the data and database on the use of it by others.</p>\n\n	  <p>The position of the dedicator of the work</p>\n\n	  <p>Copyright law, as with most other law under the banner of &quot;intellectual property&quot;, is\n		 inherently national law. This means that there exists several differences in how copyright and other\n		 IP rights can be relinquished, waived or licensed in the many legal jurisdictions of the world. This\n		 is despite much harmonisation of minimum levels of protection. The internet and other communication\n		 technologies span these many disparate legal jurisdictions and thus pose special difficulties for a\n		 document relinquishing and waiving intellectual property rights, including copyright and database\n		 rights, for use by the global community. Because of this feature of intellectual property law, this\n		 document first relinquishes the rights and waives the relevant rights and claims. It then goes on to\n		 license these same rights for jurisdictions or areas of law that may make it difficult to relinquish\n		 or waive rights or claims.</p>\n\n	  <p>The purpose of this document is to enable rightsholders to place their work into the public domain.\n		 Unlike licences for free and open source software, free cultural works, or open content licences,\n		 rightsholders will not be able to &quot;dual license&quot; their work by releasing the same work under\n		 different licences. This is because they have allowed anyone to use the work in whatever way they\n		 choose. Rightsholders therefore can&apos;t re-license it under copyright or database rights on\n		 different terms because they have nothing left to license. Doing so creates truly accessible data to\n		 build rich applications and advance the progress of science and the arts.</p>\n\n	  <p>This document can cover either or both of the database and its contents (the data). Because databases can\n		 have a wide variety of content - not just factual data - rightsholders should use the Open Data\n		 Commons - Public Domain Dedication &amp; Licence for an entire database and its contents only if\n		 everything can be placed under the terms of this document. Because even factual data can sometimes\n		 have intellectual property rights, rightsholders should use this licence to cover both the database\n		 and its factual data when making material available under this document; even if it is likely that the\n		 data would not be covered by copyright or database rights.</p>\n\n	  <p>Rightsholders can also use this document to cover any copyright or database rights claims over only a\n		 database, and leave the contents to be covered by other licences or documents. They can do this\n		 because this document refers to the &quot;Work&quot;, which can be either - or both - the database and\n		 its contents. As a result, rightsholders need to clearly state what they are dedicating under this\n		 document when they dedicate it.</p>\n\n	  <p>Just like any licence or other document dealing with intellectual property, rightsholders should be aware\n		 that one can only license what one owns. Please ensure that the rights have been cleared to make this\n		 material available under this document.</p>\n\n	  <p>This document permanently and irrevocably makes the Work available to the public for any use of any kind,\n		 and it should not be used unless the rightsholder is prepared for this to happen.</p>\n\n	  <p>Part I: Introduction</p>\n\n	  <p>The Rightsholder (the Person holding rights or claims over the Work) agrees as follows:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.0</var>\n		  Definitions of Capitalised Words\n		  <p>&quot;Copyright&quot; - Includes rights under copyright and under neighbouring rights and\n			 similarly related sets of rights under the law of the relevant jurisdiction under Section\n			 6.4.</p>\n\n			<p>&quot;Data&quot; - The contents of the Database, which includes the information, independent\n			 works, or other material collected into the Database offered under the terms of this\n			 Document.</p>\n\n			<p>&quot;Database&quot; - A collection of Data arranged in a systematic or methodical way and\n			 individually accessible by electronic or other means offered under the terms of this\n			 Document.</p>\n\n			<p>&quot;Database Right&quot; - Means rights over Data resulting from the Chapter III (&quot;sui\n			 generis&quot;) rights in the Database Directive (Directive 96/9/EC of the European Parliament\n			 and of the Council of 11 March 1996 on the legal protection of databases) and any future\n			 updates as well as any similar rights available in the relevant jurisdiction under Section\n			 6.4.</p>\n\n			<p>&quot;Document&quot; - means this relinquishment and waiver of rights and claims and back up\n			 licence agreement.</p>\n\n			<p>&quot;Person&quot; - Means a natural or legal person or a body of persons corporate or incorporate.</p>\n\n			<p>&quot;Use&quot; - As a verb, means doing any act that is restricted by Copyright or Database\n			 Rights whether in the original medium or any other; and includes modifying the Work as may be\n			 technically necessary to use it in a different mode or format. This includes the right to\n			 sublicense the Work.</p>\n\n			<p>&quot;Work&quot; - Means either or both of the Database and Data offered under the terms of this\n			 Document.</p>\n\n			<p>&quot;You&quot; - the Person acquiring rights under the licence elements of this Document.</p>\n\n			<p>Words in the singular include the plural and vice versa.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.0</var>\n		  What this document covers\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.1.</var>\n		  Legal effect of this Document. This Document is:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			A dedication to the public domain and waiver of Copyright and Database Rights over the Work; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			A licence of Copyright and Database Rights over the Work in jurisdictions that do not allow\n			   for relinquishment or waiver.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.2.</var>\n		  Legal rights covered.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Copyright. Any copyright or neighbouring rights in the Work. Copyright law varies between\n			   jurisdictions, but is likely to cover: the Database model or schema, which is the\n			   structure, arrangement, and organisation of the Database, and can also include the\n			   Database tables and table indexes; the data entry and output sheets; and the Field names\n			   of Data stored in the Database. Copyright may also cover the Data depending on the\n			   jurisdiction and type of Data; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Database Rights. Database Rights only extend to the extraction and re-utilisation of the\n			   whole or a substantial part of the Data. Database Rights can apply even when there is no\n			   copyright over the Database. Database Rights can also apply when the Data is removed from\n			   the Database and is selected and arranged in a way that would not infringe any applicable\n			   copyright.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.2</var>\n		  Rights not covered.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This Document does not apply to computer programs used in the making or operation of the Database;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			This Document does not cover any patents over the Data or the Database. Please see Section\n			   4.2 later in this Document for further details; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			This Document does not cover any trade marks associated with the Database. Please see Section\n			   4.3 later in this Document for further details.\n			<p>Users of this Database are cautioned that they may have to clear other rights or consult\n			   other licences.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.3</var>\n		  Facts are free. The Rightsholder takes the position that factual information is not covered by\n			 Copyright. This Document however covers the Work in jurisdictions that may protect the factual\n			 information in the Work by Copyright, and to cover any information protected by Copyright that\n			 is contained in the Work.\n		</li>\n	  \n</ul>\n	  <p>Part II: Dedication to the public domain</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.0</var>\n		  Dedication, waiver, and licence of Copyright and Database Rights\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.1</var>\n		  Dedication of Copyright and Database Rights to the public domain. The Rightsholder by using this\n			 Document, dedicates the Work to the public domain for the benefit of the public and\n			 relinquishes all rights in Copyright and Database Rights over the Work.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			The Rightsholder realises that once these rights are relinquished, that the Rightsholder has\n			   no further rights in Copyright and Database Rights over the Work, and that the Work is\n			   free and open for others to Use.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			The Rightsholder intends for their relinquishment to cover all present and future rights in\n			   the Work under Copyright and Database Rights, whether they are vested or contingent\n			   rights, and that this relinquishment of rights covers all their heirs and successors.\n			<p>The above relinquishment of rights applies worldwide and includes media and formats now known\n			   or created in the future.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.2</var>\n		  Waiver of rights and claims in Copyright and Database Rights when Section 3.1 dedication\n			 inapplicable. If the dedication in Section 3.1 does not apply in the relevant jurisdiction\n			 under Section 6.4, the Rightsholder waives any rights and claims that the Rightsholder may\n			 have or acquire in the future over the Work in:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Copyright; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Database Rights.\n			<p>To the extent possible in the relevant jurisdiction, the above waiver of rights and claims\n			   applies worldwide and includes media and formats now known or created in the future. The\n			   Rightsholder agrees not to assert the above rights and waives the right to enforce them\n			   over the Work.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.3</var>\n		  Licence of Copyright and Database Rights when Sections 3.1 and 3.2 inapplicable. If the\n			 dedication and waiver in Sections 3.1 and 3.2 does not apply in the relevant jurisdiction\n			 under Section 6.4, the Rightsholder and You agree as follows:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			The Licensor grants to You a worldwide, royalty-free, non-exclusive, licence to Use the Work\n			   for the duration of any applicable Copyright and Database Rights. These rights explicitly\n			   include commercial use, and do not exclude any field of endeavour. To the extent possible\n			   in the relevant jurisdiction, these rights may be exercised in all media and formats\n			   whether now known or created in the future.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.4</var>\n		  Moral rights. This section covers moral rights, including the right to be identified as the\n			 author of the Work or to object to treatment that would otherwise prejudice the\n			 author&apos;s honour and reputation, or any other derogatory treatment:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			For jurisdictions allowing waiver of moral rights, Licensor waives all moral rights that\n			   Licensor may have in the Work to the fullest extent possible by the law of the relevant\n			   jurisdiction under Section 6.4;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If waiver of moral rights under Section 3.4 a in the relevant jurisdiction is not possible,\n			   Licensor agrees not to assert any moral rights over the Work and waives all claims in\n			   moral rights to the fullest extent possible by the law of the relevant jurisdiction under\n			   Section 6.4; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			For jurisdictions not allowing waiver or an agreement not to assert moral rights under\n			   Section 3.4 a and b, the author may retain their moral rights over the copyrighted aspects\n			   of the Work.\n			<p>Please note that some jurisdictions do not allow for the waiver of moral rights, and so moral\n			   rights may still subsist over the work in some jurisdictions.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.0</var>\n		  Relationship to other rights\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.1</var>\n		  No other contractual conditions. The Rightsholder makes this Work available to You without any\n			 other contractual obligations, either express or implied. Any Community Norms statement\n			 associated with the Work is not a contract and does not form part of this Document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.2</var>\n		  Relationship to patents. This Document does not grant You a licence for any patents that the\n			 Rightsholder may own. Users of this Database are cautioned that they may have to clear other\n			 rights or consult other licences.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.3</var>\n		  Relationship to trade marks. This Document does not grant You a licence for any trade marks that\n			 the Rightsholder may own or that the Rightsholder may use to cover the Work. Users of this\n			 Database are cautioned that they may have to clear other rights or consult other licences.\n		</li>\n	  \n</ul>\n	  <p>Part III: General provisions</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.0</var>\n		  Warranties, disclaimer, and limitation of liability\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.1</var>\n		  The Work is provided by the Rightsholder &quot;as is&quot; and without any warranty of any kind,\n			 either express or implied, whether of title, of accuracy or completeness, of the presence of\n			 absence of errors, of fitness for purpose, or otherwise. Some jurisdictions do not allow the\n			 exclusion of implied warranties, so this exclusion may not apply to You.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.2</var>\n		  Subject to any liability that may not be excluded or limited by law, the Rightsholder is not\n			 liable for, and expressly excludes, all liability for loss or damage however and whenever\n			 caused to anyone by any use under this Document, whether by You or by anyone else, and whether\n			 caused by any fault on the part of the Rightsholder or not. This exclusion of liability\n			 includes, but is not limited to, any special, incidental, consequential, punitive, or\n			 exemplary damages. This exclusion applies even if the Rightsholder has been advised of the\n			 possibility of such damages.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.3</var>\n		  If liability may not be excluded by law, it is limited to actual and direct financial loss to the\n			 extent it is caused by proved negligence on the part of the Rightsholder.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.0</var>\n		  General\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.1</var>\n		  If any provision of this Document is held to be invalid or unenforceable, that must not affect\n			 the validity or enforceability of the remainder of the terms of this Document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.2</var>\n		  This Document is the entire agreement between the parties with respect to the Work covered here.\n			 It replaces any earlier understandings, agreements or representations with respect to the Work\n			 not specified here.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.3</var>\n		  This Document does not affect any rights that You or anyone else may independently have under any\n			 applicable law to make any use of this Work, including (for jurisdictions where this Document\n			 is a licence) fair dealing, fair use, database exceptions, or any other legally recognised\n			 limitation or exception to infringement of copyright or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.4</var>\n		  This Document takes effect in the relevant jurisdiction in which the Document terms are sought to\n			 be enforced. If the rights waived or granted under applicable law in the relevant jurisdiction\n			 includes additional rights not waived or granted under this Document, these additional rights\n			 are included in this Document in order to meet the intent of this Document.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "PDDL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class MulanPSL20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "\n\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1, \u7b2c2\u7248\n\n\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c \u7b2c2\u7248\n\n2020\u5e741\u6708 http://license.coscl.org.cn/MulanPSL2\n\n\u60a8\u5bf9\u201c\u8f6f\u4ef6\u201d\u7684\u590d\u5236\u3001\u4f7f\u7528\u3001\u4fee\u6539\u53ca\u5206\u53d1\u53d7\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c2\u7248\uff08\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\uff09\u7684\u5982\u4e0b\u6761\u6b3e\u7684\u7ea6\u675f\uff1a\n\n0.   \u5b9a\u4e49\n\n\u201c\u8f6f\u4ef6\u201d \u662f\u6307\u7531\u201c\u8d21\u732e\u201d\u6784\u6210\u7684\u8bb8\u53ef\u5728\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u4e0b\u7684\u7a0b\u5e8f\u548c\u76f8\u5173\u6587\u6863\u7684\u96c6\u5408\u3002\n\n\u201c\u8d21\u732e\u201d \u662f\u6307\u7531\u4efb\u4e00\u201c\u8d21\u732e\u8005\u201d\u8bb8\u53ef\u5728\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u4e0b\u7684\u53d7\u7248\u6743\u6cd5\u4fdd\u62a4\u7684\u4f5c\u54c1\u3002\n\n\u201c\u8d21\u732e\u8005\u201d \u662f\u6307\u5c06\u53d7\u7248\u6743\u6cd5\u4fdd\u62a4\u7684\u4f5c\u54c1\u8bb8\u53ef\u5728\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u4e0b\u7684\u81ea\u7136\u4eba\u6216\u201c\u6cd5\u4eba\u5b9e\u4f53\u201d\u3002\n\n\u201c\u6cd5\u4eba\u5b9e\u4f53\u201d \u662f\u6307\u63d0\u4ea4\u8d21\u732e\u7684\u673a\u6784\u53ca\u5176\u201c\u5173\u8054\u5b9e\u4f53\u201d\u3002\n\n\u201c\u5173\u8054\u5b9e\u4f53\u201d \u662f\u6307\uff0c\u5bf9\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u4e0b\u7684\u884c\u4e3a\u65b9\u800c\u8a00\uff0c\u63a7\u5236\u3001\u53d7\u63a7\u5236\u6216\u4e0e\u5176\u5171\u540c\u53d7\u63a7\u5236\u7684\u673a\u6784\uff0c\u6b64\u5904\u7684\u63a7\u5236\u662f\u6307\u6709\u53d7\u63a7\u65b9\u6216\u5171\u540c\u53d7\u63a7\u65b9\u81f3\u5c1150%\u76f4\u63a5\u6216\u95f4\u63a5\u7684\u6295\u7968\u6743\u3001\u8d44\u91d1\u6216\u5176\u4ed6\u6709\u4ef7\u8bc1\u5238\u3002\n\n1.   \u6388\u4e88\u7248\u6743\u8bb8\u53ef\n\n\u6bcf\u4e2a\u201c\u8d21\u732e\u8005\u201d\u6839\u636e\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u6388\u4e88\u60a8\u6c38\u4e45\u6027\u7684\u3001\u5168\u7403\u6027\u7684\u3001\u514d\u8d39\u7684\u3001\u975e\u72ec\u5360\u7684\u3001\u4e0d\u53ef\u64a4\u9500\u7684\u7248\u6743\u8bb8\u53ef\uff0c\u60a8\u53ef\u4ee5\u590d\u5236\u3001\u4f7f\u7528\u3001\u4fee\u6539\u3001\u5206\u53d1\u5176\u201c\u8d21\u732e\u201d\uff0c\u4e0d\u8bba\u4fee\u6539\u4e0e\u5426\u3002\n\n2.   \u6388\u4e88\u4e13\u5229\u8bb8\u53ef\n\n\u6bcf\u4e2a\u201c\u8d21\u732e\u8005\u201d\u6839\u636e\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u6388\u4e88\u60a8\u6c38\u4e45\u6027\u7684\u3001\u5168\u7403\u6027\u7684\u3001\u514d\u8d39\u7684\u3001\u975e\u72ec\u5360\u7684\u3001\u4e0d\u53ef\u64a4\u9500\u7684\uff08\u6839\u636e\u672c\u6761\u89c4\u5b9a\u64a4\u9500\u9664\u5916\uff09\u4e13\u5229\u8bb8\u53ef\uff0c\u4f9b\u60a8\u5236\u9020\u3001\u59d4\u6258\u5236\u9020\u3001\u4f7f\u7528\u3001\u8bb8\u8bfa\u9500\u552e\u3001\u9500\u552e\u3001\u8fdb\u53e3\u5176\u201c\u8d21\u732e\u201d\u6216\u4ee5\u5176\u4ed6\u65b9\u5f0f\u8f6c\u79fb\u5176\u201c\u8d21\u732e\u201d\u3002\u524d\u8ff0\u4e13\u5229\u8bb8\u53ef\u4ec5\u9650\u4e8e\u201c\u8d21\u732e\u8005\u201d\u73b0\u5728\u6216\u5c06\u6765\u62e5\u6709\u6216\u63a7\u5236\u7684\u5176\u201c\u8d21\u732e\u201d\u672c\u8eab\u6216\u5176\u201c\u8d21\u732e\u201d\u4e0e\u8bb8\u53ef\u201c\u8d21\u732e\u201d\u65f6\u7684\u201c\u8f6f\u4ef6\u201d\u7ed3\u5408\u800c\u5c06\u5fc5\u7136\u4f1a\u4fb5\u72af\u7684\u4e13\u5229\u6743\u5229\u8981\u6c42\uff0c\u4e0d\u5305\u62ec\u5bf9\u201c\u8d21\u732e\u201d\u7684\u4fee\u6539\u6216\u5305\u542b\u201c\u8d21\u732e\u201d\u7684\u5176\u4ed6\u7ed3\u5408\u3002\u5982\u679c\u60a8\u6216\u60a8\u7684\u201c\u5173\u8054\u5b9e\u4f53\u201d\u76f4\u63a5\u6216\u95f4\u63a5\u5730\uff0c\u5c31\u201c\u8f6f\u4ef6\u201d\u6216\u5176\u4e2d\u7684\u201c\u8d21\u732e\u201d\u5bf9\u4efb\u4f55\u4eba\u53d1\u8d77\u4e13\u5229\u4fb5\u6743\u8bc9\u8bbc\uff08\u5305\u62ec\u53cd\u8bc9\u6216\u4ea4\u53c9\u8bc9\u8bbc\uff09\u6216\u5176\u4ed6\u4e13\u5229\u7ef4\u6743\u884c\u52a8\uff0c\u6307\u63a7\u5176\u4fb5\u72af\u4e13\u5229\u6743\uff0c\u5219\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u6388\u4e88\u60a8\u5bf9\u201c\u8f6f\u4ef6\u201d\u7684\u4e13\u5229\u8bb8\u53ef\u81ea\u60a8\u63d0\u8d77\u8bc9\u8bbc\u6216\u53d1\u8d77\u7ef4\u6743\u884c\u52a8\u4e4b\u65e5\u7ec8\u6b62\u3002\n\n3.   \u65e0\u5546\u6807\u8bb8\u53ef\n\n\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u4e0d\u63d0\u4f9b\u5bf9\u201c\u8d21\u732e\u8005\u201d\u7684\u5546\u54c1\u540d\u79f0\u3001\u5546\u6807\u3001\u670d\u52a1\u6807\u5fd7\u6216\u4ea7\u54c1\u540d\u79f0\u7684\u5546\u6807\u8bb8\u53ef\uff0c\u4f46\u60a8\u4e3a\u6ee1\u8db3\u7b2c4\u6761\u89c4\u5b9a\u7684\u58f0\u660e\u4e49\u52a1\u800c\u5fc5\u987b\u4f7f\u7528\u9664\u5916\u3002\n\n4.   \u5206\u53d1\u9650\u5236\n\n\u60a8\u53ef\u4ee5\u5728\u4efb\u4f55\u5a92\u4ecb\u4e2d\u5c06\u201c\u8f6f\u4ef6\u201d\u4ee5\u6e90\u7a0b\u5e8f\u5f62\u5f0f\u6216\u53ef\u6267\u884c\u5f62\u5f0f\u91cd\u65b0\u5206\u53d1\uff0c\u4e0d\u8bba\u4fee\u6539\u4e0e\u5426\uff0c\u4f46\u60a8\u5fc5\u987b\u5411\u63a5\u6536\u8005\u63d0\u4f9b\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u7684\u526f\u672c\uff0c\u5e76\u4fdd\u7559\u201c\u8f6f\u4ef6\u201d\u4e2d\u7684\u7248\u6743\u3001\u5546\u6807\u3001\u4e13\u5229\u53ca\u514d\u8d23\u58f0\u660e\u3002\n\n5.   \u514d\u8d23\u58f0\u660e\u4e0e\u8d23\u4efb\u9650\u5236\n\n\u201c\u8f6f\u4ef6\u201d\u53ca\u5176\u4e2d\u7684\u201c\u8d21\u732e\u201d\u5728\u63d0\u4f9b\u65f6\u4e0d\u5e26\u4efb\u4f55\u660e\u793a\u6216\u9ed8\u793a\u7684\u62c5\u4fdd\u3002\u5728\u4efb\u4f55\u60c5\u51b5\u4e0b\uff0c\u201c\u8d21\u732e\u8005\u201d\u6216\u7248\u6743\u6240\u6709\u8005\u4e0d\u5bf9\u4efb\u4f55\u4eba\u56e0\u4f7f\u7528\u201c\u8f6f\u4ef6\u201d\u6216\u5176\u4e2d\u7684\u201c\u8d21\u732e\u201d\u800c\u5f15\u53d1\u7684\u4efb\u4f55\u76f4\u63a5\u6216\u95f4\u63a5\u635f\u5931\u627f\u62c5\u8d23\u4efb\uff0c\u4e0d\u8bba\u56e0\u4f55\u79cd\u539f\u56e0\u5bfc\u81f4\u6216\u8005\u57fa\u4e8e\u4f55\u79cd\u6cd5\u5f8b\u7406\u8bba\uff0c\u5373\u4f7f\u5176\u66fe\u88ab\u5efa\u8bae\u6709\u6b64\u79cd\u635f\u5931\u7684\u53ef\u80fd\u6027\u3002\n\n6.   \u8bed\u8a00\n\n\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u4ee5\u4e2d\u82f1\u6587\u53cc\u8bed\u8868\u8ff0\uff0c\u4e2d\u82f1\u6587\u7248\u672c\u5177\u6709\u540c\u7b49\u6cd5\u5f8b\u6548\u529b\u3002\u5982\u679c\u4e2d\u82f1\u6587\u7248\u672c\u5b58\u5728\u4efb\u4f55\u51b2\u7a81\u4e0d\u4e00\u81f4\uff0c\u4ee5\u4e2d\u6587\u7248\u4e3a\u51c6\u3002\n\n\u6761\u6b3e\u7ed3\u675f\n\n\u5982\u4f55\u5c06\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c2\u7248\uff0c\u5e94\u7528\u5230\u60a8\u7684\u8f6f\u4ef6\n\n\u5982\u679c\u60a8\u5e0c\u671b\u5c06\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c2\u7248\uff0c\u5e94\u7528\u5230\u60a8\u7684\u65b0\u8f6f\u4ef6\uff0c\u4e3a\u4e86\u65b9\u4fbf\u63a5\u6536\u8005\u67e5\u9605\uff0c\u5efa\u8bae\u60a8\u5b8c\u6210\u5982\u4e0b\u4e09\u6b65\uff1a\n\n1\uff0c \u8bf7\u60a8\u8865\u5145\u5982\u4e0b\u58f0\u660e\u4e2d\u7684\u7a7a\u767d\uff0c\u5305\u62ec\u8f6f\u4ef6\u540d\u3001\u8f6f\u4ef6\u7684\u9996\u6b21\u53d1\u8868\u5e74\u4efd\u4ee5\u53ca\u60a8\u4f5c\u4e3a\u7248\u6743\u4eba\u7684\u540d\u5b57\uff1b\n\n2\uff0c \u8bf7\u60a8\u5728\u8f6f\u4ef6\u5305\u7684\u4e00\u7ea7\u76ee\u5f55\u4e0b\u521b\u5efa\u4ee5\u201cLICENSE\u201d\u4e3a\u540d\u7684\u6587\u4ef6\uff0c\u5c06\u6574\u4e2a\u8bb8\u53ef\u8bc1\u6587\u672c\u653e\u5165\u8be5\u6587\u4ef6\u4e2d\uff1b\n\n3\uff0c \u8bf7\u5c06\u5982\u4e0b\u58f0\u660e\u6587\u672c\u653e\u5165\u6bcf\u4e2a\u6e90\u6587\u4ef6\u7684\u5934\u90e8\u6ce8\u91ca\u4e2d\u3002\n\nCopyright (c) [Year] [name of copyright holder]\n[Software Name] is licensed under Mulan PSL v2.\nYou can use this software according to the terms and conditions of the Mulan PSL v2.\nYou may obtain a copy of Mulan PSL v2 at:\n		 http://license.coscl.org.cn/MulanPSL2\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND,\nEITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,\nMERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\nSee the Mulan PSL v2 for more details.\n\nMulan Permissive Software License\uff0cVersion 2\n\nMulan Permissive Software License\uff0cVersion 2 (Mulan PSL v2)\n\nJanuary 2020 http://license.coscl.org.cn/MulanPSL2\n\nYour reproduction, use, modification and distribution of the Software shall be subject to Mulan PSL v2 (this License) with the following terms and conditions:\n\n0. Definition\n\nSoftware means the program and related documents which are licensed under this License and comprise all Contribution(s).\n\nContribution means the copyrightable work licensed by a particular Contributor under this License.\n\nContributor means the Individual or Legal Entity who licenses its copyrightable work under this License.\n\nLegal Entity means the entity making a Contribution and all its Affiliates.\n\nAffiliates means entities that control, are controlled by, or are under common control with the acting entity under this License, \u2018control\u2019 means direct or indirect ownership of at least fifty percent (50%) of the voting power, capital or other securities of controlled or commonly controlled entity.\n\n1. Grant of Copyright License\n\nSubject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable copyright license to reproduce, use, modify, or distribute its Contribution, with modification or not.\n\n2. Grant of Patent License\n\nSubject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable (except for revocation under this Section) patent license to make, have made, use, offer for sale, sell, import or otherwise transfer its Contribution, where such patent license is only limited to the patent claims owned or controlled by such Contributor now or in future which will be necessarily infringed by its Contribution alone, or by combination of the Contribution with the Software to which the Contribution was contributed. The patent license shall not apply to any modification of the Contribution, and any other combination which includes the Contribution. If you or your Affiliates directly or indirectly institute patent litigation (including a cross claim or counterclaim in a litigation) or other patent enforcement activities against any individual or entity by alleging that the Software or any Contribution in it infringes patents, then any patent license granted to you under this License for the Software shall terminate as of the date such litigation or activity is filed or taken.\n\n3. No Trademark License\n\nNo trademark license is granted to use the trade names, trademarks, service marks, or product names of Contributor, except as required to fulfill notice requirements in section 4.\n\n4. Distribution Restriction\n\nYou may distribute the Software in any medium with or without modification, whether in source or executable forms, provided that you provide recipients with a copy of this License and retain copyright, patent, trademark and disclaimer statements in the Software.\n\n5. Disclaimer of Warranty and Limitation of Liability\n\nTHE SOFTWARE AND CONTRIBUTION IN IT ARE PROVIDED WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED. IN NO EVENT SHALL ANY CONTRIBUTOR OR COPYRIGHT HOLDER BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING, BUT NOT LIMITED TO ANY DIRECT, OR INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING FROM YOUR USE OR INABILITY TO USE THE SOFTWARE OR THE CONTRIBUTION IN IT, NO MATTER HOW IT\u2019S CAUSED OR BASED ON WHICH LEGAL THEORY, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n6. Language\n\nTHIS LICENSE IS WRITTEN IN BOTH CHINESE AND ENGLISH, AND THE CHINESE VERSION AND ENGLISH VERSION SHALL HAVE THE SAME LEGAL EFFECT. IN THE CASE OF DIVERGENCE BETWEEN THE CHINESE AND ENGLISH VERSIONS, THE CHINESE VERSION SHALL PREVAIL.\n\nEND OF THE TERMS AND CONDITIONS\n\nHow to Apply the Mulan Permissive Software License\uff0cVersion 2 (Mulan PSL v2) to Your Software\n\nTo apply the Mulan PSL v2 to your work, for easy identification by recipients, you are suggested to complete following three steps:\n\ni. Fill in the blanks in following statement, including insert your software name, the year of the first publication of your software, and your name identified as the copyright owner;\nii. Create a file named \"LICENSE\" which contains the whole context of this License in the first directory of your software package;\niii. Attach the statement to the appropriate annotated syntax at the beginning of each source file.\n\nCopyright (c) [Year] [name of copyright holder]\n[Software Name] is licensed under Mulan PSL v2.\nYou can use this software according to the terms and conditions of the Mulan PSL v2.\nYou may obtain a copy of Mulan PSL v2 at:\n		 http://license.coscl.org.cn/MulanPSL2\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND,\nEITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,\nMERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\nSee the Mulan PSL v2 for more details.\n\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) [Year] [name of copyright holder]\n\n[Software Name] is licensed under Mulan PSL v2.\n\nYou can use this software according to the terms and conditions of the Mulan PSL v2.\n\nYou may obtain a copy of Mulan PSL v2 at:\n\nhttp://license.coscl.org.cn/MulanPSL2\n\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND,\n\nEITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,\n\nMERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\n\nSee the Mulan PSL v2 for more details.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1, \u7b2c2\u7248\n\n<<endOptional>><<beginOptional>> \u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c \u7b2c2\u7248\n\n2020\u5e741\u6708 http://license.coscl.org.cn/MulanPSL2\n\n<<endOptional>>\n\n\u60a8\u5bf9\"\u8f6f\u4ef6\"\u7684\u590d\u5236\u3001\u4f7f\u7528\u3001\u4fee\u6539\u53ca\u5206\u53d1\u53d7\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c2\u7248\uff08\"\u672c\u8bb8\u53ef\u8bc1\"\uff09\u7684\u5982\u4e0b\u6761\u6b3e\u7684\u7ea6\u675f\uff1a\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> \u5b9a\u4e49\n\n   \"\u8f6f\u4ef6\" \u662f\u6307\u7531\"\u8d21\u732e\"\u6784\u6210\u7684\u8bb8\u53ef\u5728\"\u672c\u8bb8\u53ef\u8bc1\"\u4e0b\u7684\u7a0b\u5e8f\u548c\u76f8\u5173\u6587\u6863\u7684\u96c6\u5408\u3002\n\n   \"\u8d21\u732e\" \u662f\u6307\u7531\u4efb\u4e00\"\u8d21\u732e\u8005\"\u8bb8\u53ef\u5728\"\u672c\u8bb8\u53ef\u8bc1\"\u4e0b\u7684\u53d7\u7248\u6743\u6cd5\u4fdd\u62a4\u7684\u4f5c\u54c1\u3002\n\n   \"\u8d21\u732e\u8005\" \u662f\u6307\u5c06\u53d7\u7248\u6743\u6cd5\u4fdd\u62a4\u7684\u4f5c\u54c1\u8bb8\u53ef\u5728\"\u672c\u8bb8\u53ef\u8bc1\"\u4e0b\u7684\u81ea\u7136\u4eba\u6216\"\u6cd5\u4eba\u5b9e\u4f53\"\u3002\n\n   \"\u6cd5\u4eba\u5b9e\u4f53\" \u662f\u6307\u63d0\u4ea4\u8d21\u732e\u7684\u673a\u6784\u53ca\u5176\"\u5173\u8054\u5b9e\u4f53\"\u3002\n\n   \"\u5173\u8054\u5b9e\u4f53\" \u662f\u6307\uff0c\u5bf9\"\u672c\u8bb8\u53ef\u8bc1\"\u4e0b\u7684\u884c\u4e3a\u65b9\u800c\u8a00\uff0c\u63a7\u5236\u3001\u53d7\u63a7\u5236\u6216\u4e0e\u5176\u5171\u540c\u53d7\u63a7\u5236\u7684\u673a\u6784\uff0c\u6b64\u5904\u7684\u63a7\u5236\u662f\u6307\u6709\u53d7\u63a7\u65b9\u6216\u5171\u540c\u53d7\u63a7\u65b9\u81f3\u5c1150%\u76f4\u63a5\u6216\u95f4\u63a5\u7684\u6295\u7968\u6743\u3001\u8d44\u91d1\u6216\u5176\u4ed6\u6709\u4ef7\u8bc1\u5238\u3002\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> \u6388\u4e88\u7248\u6743\u8bb8\u53ef\n\n   \u6bcf\u4e2a\"\u8d21\u732e\u8005\"\u6839\u636e\"\u672c\u8bb8\u53ef\u8bc1\"\u6388\u4e88\u60a8\u6c38\u4e45\u6027\u7684\u3001\u5168\u7403\u6027\u7684\u3001\u514d\u8d39\u7684\u3001\u975e\u72ec\u5360\u7684\u3001\u4e0d\u53ef\u64a4\u9500\u7684\u7248\u6743\u8bb8\u53ef\uff0c\u60a8\u53ef\u4ee5\u590d\u5236\u3001\u4f7f\u7528\u3001\u4fee\u6539\u3001\u5206\u53d1\u5176\"\u8d21\u732e\"\uff0c\u4e0d\u8bba\u4fee\u6539\u4e0e\u5426\u3002\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> \u6388\u4e88\u4e13\u5229\u8bb8\u53ef\n\n   \u6bcf\u4e2a\"\u8d21\u732e\u8005\"\u6839\u636e\"\u672c\u8bb8\u53ef\u8bc1\"\u6388\u4e88\u60a8\u6c38\u4e45\u6027\u7684\u3001\u5168\u7403\u6027\u7684\u3001\u514d\u8d39\u7684\u3001\u975e\u72ec\u5360\u7684\u3001\u4e0d\u53ef\u64a4\u9500\u7684\uff08\u6839\u636e\u672c\u6761\u89c4\u5b9a\u64a4\u9500\u9664\u5916\uff09\u4e13\u5229\u8bb8\u53ef\uff0c\u4f9b\u60a8\u5236\u9020\u3001\u59d4\u6258\u5236\u9020\u3001\u4f7f\u7528\u3001\u8bb8\u8bfa\u9500\u552e\u3001\u9500\u552e\u3001\u8fdb\u53e3\u5176\"\u8d21\u732e\"\u6216\u4ee5\u5176\u4ed6\u65b9\u5f0f\u8f6c\u79fb\u5176\"\u8d21\u732e\"\u3002\u524d\u8ff0\u4e13\u5229\u8bb8\u53ef\u4ec5\u9650\u4e8e\"\u8d21\u732e\u8005\"\u73b0\u5728\u6216\u5c06\u6765\u62e5\u6709\u6216\u63a7\u5236\u7684\u5176\"\u8d21\u732e\"\u672c\u8eab\u6216\u5176\"\u8d21\u732e\"\u4e0e\u8bb8\u53ef\"\u8d21\u732e\"\u65f6\u7684\"\u8f6f\u4ef6\"\u7ed3\u5408\u800c\u5c06\u5fc5\u7136\u4f1a\u4fb5\u72af\u7684\u4e13\u5229\u6743\u5229\u8981\u6c42\uff0c\u4e0d\u5305\u62ec\u5bf9\"\u8d21\u732e\"\u7684\u4fee\u6539\u6216\u5305\u542b\"\u8d21\u732e\"\u7684\u5176\u4ed6\u7ed3\u5408\u3002\u5982\u679c\u60a8\u6216\u60a8\u7684\"\u5173\u8054\u5b9e\u4f53\"\u76f4\u63a5\u6216\u95f4\u63a5\u5730\uff0c\u5c31\"\u8f6f\u4ef6\"\u6216\u5176\u4e2d\u7684\"\u8d21\u732e\"\u5bf9\u4efb\u4f55\u4eba\u53d1\u8d77\u4e13\u5229\u4fb5\u6743\u8bc9\u8bbc\uff08\u5305\u62ec\u53cd\u8bc9\u6216\u4ea4\u53c9\u8bc9\u8bbc\uff09\u6216\u5176\u4ed6\u4e13\u5229\u7ef4\u6743\u884c\u52a8\uff0c\u6307\u63a7\u5176\u4fb5\u72af\u4e13\u5229\u6743\uff0c\u5219\"\u672c\u8bb8\u53ef\u8bc1\"\u6388\u4e88\u60a8\u5bf9\"\u8f6f\u4ef6\"\u7684\u4e13\u5229\u8bb8\u53ef\u81ea\u60a8\u63d0\u8d77\u8bc9\u8bbc\u6216\u53d1\u8d77\u7ef4\u6743\u884c\u52a8\u4e4b\u65e5\u7ec8\u6b62\u3002\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> \u65e0\u5546\u6807\u8bb8\u53ef\n\n   \"\u672c\u8bb8\u53ef\u8bc1\"\u4e0d\u63d0\u4f9b\u5bf9\"\u8d21\u732e\u8005\"\u7684\u5546\u54c1\u540d\u79f0\u3001\u5546\u6807\u3001\u670d\u52a1\u6807\u5fd7\u6216\u4ea7\u54c1\u540d\u79f0\u7684\u5546\u6807\u8bb8\u53ef\uff0c\u4f46\u60a8\u4e3a\u6ee1\u8db3\u7b2c4\u6761\u89c4\u5b9a\u7684\u58f0\u660e\u4e49\u52a1\u800c\u5fc5\u987b\u4f7f\u7528\u9664\u5916\u3002\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> \u5206\u53d1\u9650\u5236\n\n   \u60a8\u53ef\u4ee5\u5728\u4efb\u4f55\u5a92\u4ecb\u4e2d\u5c06\"\u8f6f\u4ef6\"\u4ee5\u6e90\u7a0b\u5e8f\u5f62\u5f0f\u6216\u53ef\u6267\u884c\u5f62\u5f0f\u91cd\u65b0\u5206\u53d1\uff0c\u4e0d\u8bba\u4fee\u6539\u4e0e\u5426\uff0c\u4f46\u60a8\u5fc5\u987b\u5411\u63a5\u6536\u8005\u63d0\u4f9b\"\u672c\u8bb8\u53ef\u8bc1\"\u7684\u526f\u672c\uff0c\u5e76\u4fdd\u7559\"\u8f6f\u4ef6\"\u4e2d\u7684\u7248\u6743\u3001\u5546\u6807\u3001\u4e13\u5229\u53ca\u514d\u8d23\u58f0\u660e\u3002\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> \u514d\u8d23\u58f0\u660e\u4e0e\u8d23\u4efb\u9650\u5236\n\n   \"\u8f6f\u4ef6\"\u53ca\u5176\u4e2d\u7684\"\u8d21\u732e\"\u5728\u63d0\u4f9b\u65f6\u4e0d\u5e26\u4efb\u4f55\u660e\u793a\u6216\u9ed8\u793a\u7684\u62c5\u4fdd\u3002\u5728\u4efb\u4f55\u60c5\u51b5\u4e0b\uff0c\"\u8d21\u732e\u8005\"\u6216\u7248\u6743\u6240\u6709\u8005\u4e0d\u5bf9\u4efb\u4f55\u4eba\u56e0\u4f7f\u7528\"\u8f6f\u4ef6\"\u6216\u5176\u4e2d\u7684\"\u8d21\u732e\"\u800c\u5f15\u53d1\u7684\u4efb\u4f55\u76f4\u63a5\u6216\u95f4\u63a5\u635f\u5931\u627f\u62c5\u8d23\u4efb\uff0c\u4e0d\u8bba\u56e0\u4f55\u79cd\u539f\u56e0\u5bfc\u81f4\u6216\u8005\u57fa\u4e8e\u4f55\u79cd\u6cd5\u5f8b\u7406\u8bba\uff0c\u5373\u4f7f\u5176\u66fe\u88ab\u5efa\u8bae\u6709\u6b64\u79cd\u635f\u5931\u7684\u53ef\u80fd\u6027\u3002\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> \u8bed\u8a00\n\n   \"\u672c\u8bb8\u53ef\u8bc1\"\u4ee5\u4e2d\u82f1\u6587\u53cc\u8bed\u8868\u8ff0\uff0c\u4e2d\u82f1\u6587\u7248\u672c\u5177\u6709\u540c\u7b49\u6cd5\u5f8b\u6548\u529b\u3002\u5982\u679c\u4e2d\u82f1\u6587\u7248\u672c\u5b58\u5728\u4efb\u4f55\u51b2\u7a81\u4e0d\u4e00\u81f4\uff0c\u4ee5\u4e2d\u6587\u7248\u4e3a\u51c6\u3002\n\n\u6761\u6b3e\u7ed3\u675f\n\n\u5982\u4f55\u5c06\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c2\u7248\uff0c\u5e94\u7528\u5230\u60a8\u7684\u8f6f\u4ef6\n\n\u5982\u679c\u60a8\u5e0c\u671b\u5c06\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c2\u7248\uff0c\u5e94\u7528\u5230\u60a8\u7684\u65b0\u8f6f\u4ef6\uff0c\u4e3a\u4e86\u65b9\u4fbf\u63a5\u6536\u8005\u67e5\u9605\uff0c\u5efa\u8bae\u60a8\u5b8c\u6210\u5982\u4e0b\u4e09\u6b65\uff1a\n\n   <<var;name=\"bullet\";original=\"1\uff0c\";match=\".{0,20}\">> \u8bf7\u60a8\u8865\u5145\u5982\u4e0b\u58f0\u660e\u4e2d\u7684\u7a7a\u767d\uff0c\u5305\u62ec\u8f6f\u4ef6\u540d\u3001\u8f6f\u4ef6\u7684\u9996\u6b21\u53d1\u8868\u5e74\u4efd\u4ee5\u53ca\u60a8\u4f5c\u4e3a\u7248\u6743\u4eba\u7684\u540d\u5b57\uff1b\n\n   <<var;name=\"bullet\";original=\"2\uff0c\";match=\".{0,20}\">> \u8bf7\u60a8\u5728\u8f6f\u4ef6\u5305\u7684\u4e00\u7ea7\u76ee\u5f55\u4e0b\u521b\u5efa\u4ee5\"LICENSE\"\u4e3a\u540d\u7684\u6587\u4ef6\uff0c\u5c06\u6574\u4e2a\u8bb8\u53ef\u8bc1\u6587\u672c\u653e\u5165\u8be5\u6587\u4ef6\u4e2d\uff1b\n\n   <<var;name=\"bullet\";original=\"3\uff0c\";match=\".{0,20}\">> \u8bf7\u5c06\u5982\u4e0b\u58f0\u660e\u6587\u672c\u653e\u5165\u6bcf\u4e2a\u6e90\u6587\u4ef6\u7684\u5934\u90e8\u6ce8\u91ca\u4e2d\u3002\n\nCopyright (c) [Year] [name of copyright holder]\n\n[Software Name] is licensed under Mulan PSL v2.\n\nYou can use this software according to the terms and conditions of the Mulan PSL v2.\n\nYou may obtain a copy of Mulan PSL v2 at:\n\nhttp://license.coscl.org.cn/MulanPSL2\n\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND,\n\nEITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,\n\nMERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\n\nSee the Mulan PSL v2 for more details.\n\n<<beginOptional>>Mulan Permissive Software License\uff0cVersion 2\n\n<<endOptional>><<beginOptional>> Mulan Permissive Software License\uff0cVersion 2 (Mulan PSL v2)\n\nJanuary 2020 http://license.coscl.org.cn/MulanPSL2\n\n<<endOptional>>\n\nYour reproduction, use, modification and distribution of the Software shall be subject to Mulan PSL v2 (this License) with the following terms and conditions:\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definition\n\n   Software means the program and related documents which are licensed under this License and comprise all Contribution(s).\n\n   Contribution means the copyrightable work licensed by a particular Contributor under this License.\n\n   Contributor means the Individual or Legal Entity who licenses its copyrightable work under this License.\n\n   Legal Entity means the entity making a Contribution and all its Affiliates.\n\n   Affiliates means entities that control, are controlled by, or are under common control with the acting entity under this License, 'control' means direct or indirect ownership of at least fifty percent (50%) of the voting power, capital or other securities of controlled or commonly controlled entity.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Grant of Copyright License\n\n   Subject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable copyright license to reproduce, use, modify, or distribute its Contribution, with modification or not.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Grant of Patent License\n\n   Subject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable (except for revocation under this Section) patent license to make, have made, use, offer for sale, sell, import or otherwise transfer its Contribution, where such patent license is only limited to the patent claims owned or controlled by such Contributor now or in future which will be necessarily infringed by its Contribution alone, or by combination of the Contribution with the Software to which the Contribution was contributed. The patent license shall not apply to any modification of the Contribution, and any other combination which includes the Contribution. If you or your Affiliates directly or indirectly institute patent litigation (including a cross claim or counterclaim in a litigation) or other patent enforcement activities against any individual or entity by alleging that the Software or any Contribution in it infringes patents, then any patent license granted to you under this License for the Software shall terminate as of the date such litigation or activity is filed or taken.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> No Trademark License\n\n   No trademark license is granted to use the trade names, trademarks, service marks, or product names of Contributor, except as required to fulfill notice requirements in section 4.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Distribution Restriction\n\n   You may distribute the Software in any medium with or without modification, whether in source or executable forms, provided that you provide recipients with a copy of this License and retain copyright, patent, trademark and disclaimer statements in the Software.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Disclaimer of Warranty and Limitation of Liability\n\n   THE SOFTWARE AND CONTRIBUTION IN IT ARE PROVIDED WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED. IN NO EVENT SHALL ANY CONTRIBUTOR OR COPYRIGHT HOLDER BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING, BUT NOT LIMITED TO ANY DIRECT, OR INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING FROM YOUR USE OR INABILITY TO USE THE SOFTWARE OR THE CONTRIBUTION IN IT, NO MATTER HOW IT'S CAUSED OR BASED ON WHICH LEGAL THEORY, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Language\n\n   THIS LICENSE IS WRITTEN IN BOTH CHINESE AND ENGLISH, AND THE CHINESE VERSION AND ENGLISH VERSION SHALL HAVE THE SAME LEGAL EFFECT. IN THE CASE OF DIVERGENCE BETWEEN THE CHINESE AND ENGLISH VERSIONS, THE CHINESE VERSION SHALL PREVAIL.\n\nEND OF THE TERMS AND CONDITIONS\n\nHow to Apply the Mulan Permissive Software License\uff0cVersion 2 (Mulan PSL v2) to Your Software\n\nTo apply the Mulan PSL v2 to your work, for easy identification by recipients, you are suggested to complete following three steps:\n\n   <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Fill in the blanks in following statement, including insert your software name, the year of the first publication of your software, and your name identified as the copyright owner;\n\n   <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Create a file named \"LICENSE\" which contains the whole context of this License in the first directory of your software package;\n\n   <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Attach the statement to the appropriate annotated syntax at the beginning of each source file.\n\nCopyright (c) [Year] [name of copyright holder]\n\n[Software Name] is licensed under Mulan PSL v2.\n\nYou can use this software according to the terms and conditions of the Mulan PSL v2.\n\nYou may obtain a copy of Mulan PSL v2 at:\n\nhttp://license.coscl.org.cn/MulanPSL2\n\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND,\n\nEITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,\n\nMERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\n\nSee the Mulan PSL v2 for more details.\n\n"
		self.name = "Mulan Permissive Software License, Version 2"
		self.licenseComments = "Both the Chinese and English translations of this license have been included in the markup, because current examples of use appear to include both translations in license documents."
		self.licenseId = "MulanPSL-2.0"
		self.standardLicenseHeader = "Copyright (c) [Year] [name of copyright holder]\n\n[Software Name] is licensed under Mulan PSL v2.\n\nYou can use this software according to the terms and conditions of the Mulan PSL v2.\n\nYou may obtain a copy of Mulan PSL v2 at:\n\nhttp://license.coscl.org.cn/MulanPSL2\n\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND,\n\nEITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,\n\nMERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\n\nSee the Mulan PSL v2 for more details.\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://license.coscl.org.cn/MulanPSL2", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:57Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://license.coscl.org.cn/MulanPSL2"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n		<div class=\"optional-license-text\"> <p>\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1, \u7b2c2\u7248</p>\n</div>\n\n		<div class=\"optional-license-text\"> <p>\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c \u7b2c2\u7248</p>\n\n		<p>2020\u5e741\u6708 http://license.coscl.org.cn/MulanPSL2</p>\n</div>\n\n		<p>\u60a8\u5bf9&quot;\u8f6f\u4ef6&quot;\u7684\u590d\u5236\u3001\u4f7f\u7528\u3001\u4fee\u6539\u53ca\u5206\u53d1\u53d7\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c2\u7248\uff08&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\uff09\u7684\u5982\u4e0b\u6761\u6b3e\u7684\u7ea6\u675f\uff1a</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> 0.</var> \u5b9a\u4e49\n				<p>&quot;\u8f6f\u4ef6&quot; \u662f\u6307\u7531&quot;\u8d21\u732e&quot;\u6784\u6210\u7684\u8bb8\u53ef\u5728&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u4e0b\u7684\u7a0b\u5e8f\u548c\u76f8\u5173\u6587\u6863\u7684\u96c6\u5408\u3002</p>\n\n				<p>&quot;\u8d21\u732e&quot; \u662f\u6307\u7531\u4efb\u4e00&quot;\u8d21\u732e\u8005&quot;\u8bb8\u53ef\u5728&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u4e0b\u7684\u53d7\u7248\u6743\u6cd5\u4fdd\u62a4\u7684\u4f5c\u54c1\u3002</p>\n\n				<p>&quot;\u8d21\u732e\u8005&quot; \u662f\u6307\u5c06\u53d7\u7248\u6743\u6cd5\u4fdd\u62a4\u7684\u4f5c\u54c1\u8bb8\u53ef\u5728&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u4e0b\u7684\u81ea\u7136\u4eba\u6216&quot;\u6cd5\u4eba\u5b9e\u4f53&quot;\u3002</p>\n\n				<p>&quot;\u6cd5\u4eba\u5b9e\u4f53&quot; \u662f\u6307\u63d0\u4ea4\u8d21\u732e\u7684\u673a\u6784\u53ca\u5176&quot;\u5173\u8054\u5b9e\u4f53&quot;\u3002</p>\n\n				<p>&quot;\u5173\u8054\u5b9e\u4f53&quot; \u662f\u6307\uff0c\u5bf9&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u4e0b\u7684\u884c\u4e3a\u65b9\u800c\u8a00\uff0c\u63a7\u5236\u3001\u53d7\u63a7\u5236\u6216\u4e0e\u5176\u5171\u540c\u53d7\u63a7\u5236\u7684\u673a\u6784\uff0c\u6b64\u5904\u7684\u63a7\u5236\u662f\u6307\u6709\u53d7\u63a7\u65b9\u6216\u5171\u540c\u53d7\u63a7\u65b9\u81f3\u5c1150%\u76f4\u63a5\u6216\u95f4\u63a5\u7684\u6295\u7968\u6743\u3001\u8d44\u91d1\u6216\u5176\u4ed6\u6709\u4ef7\u8bc1\u5238\u3002</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 1.</var> \u6388\u4e88\u7248\u6743\u8bb8\u53ef\n				<p>\u6bcf\u4e2a&quot;\u8d21\u732e\u8005&quot;\u6839\u636e&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u6388\u4e88\u60a8\u6c38\u4e45\u6027\u7684\u3001\u5168\u7403\u6027\u7684\u3001\u514d\u8d39\u7684\u3001\u975e\u72ec\u5360\u7684\u3001\u4e0d\u53ef\u64a4\u9500\u7684\u7248\u6743\u8bb8\u53ef\uff0c\u60a8\u53ef\u4ee5\u590d\u5236\u3001\u4f7f\u7528\u3001\u4fee\u6539\u3001\u5206\u53d1\u5176&quot;\u8d21\u732e&quot;\uff0c\u4e0d\u8bba\u4fee\u6539\u4e0e\u5426\u3002</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 2.</var> \u6388\u4e88\u4e13\u5229\u8bb8\u53ef\n				<p>\u6bcf\u4e2a&quot;\u8d21\u732e\u8005&quot;\u6839\u636e&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u6388\u4e88\u60a8\u6c38\u4e45\u6027\u7684\u3001\u5168\u7403\u6027\u7684\u3001\u514d\u8d39\u7684\u3001\u975e\u72ec\u5360\u7684\u3001\u4e0d\u53ef\u64a4\u9500\u7684\uff08\u6839\u636e\u672c\u6761\u89c4\u5b9a\u64a4\u9500\u9664\u5916\uff09\u4e13\u5229\u8bb8\u53ef\uff0c\u4f9b\u60a8\u5236\u9020\u3001\u59d4\u6258\u5236\u9020\u3001\u4f7f\u7528\u3001\u8bb8\u8bfa\u9500\u552e\u3001\u9500\u552e\u3001\u8fdb\u53e3\u5176&quot;\u8d21\u732e&quot;\u6216\u4ee5\u5176\u4ed6\u65b9\u5f0f\u8f6c\u79fb\u5176&quot;\u8d21\u732e&quot;\u3002\u524d\u8ff0\u4e13\u5229\u8bb8\u53ef\u4ec5\u9650\u4e8e&quot;\u8d21\u732e\u8005&quot;\u73b0\u5728\u6216\u5c06\u6765\u62e5\u6709\u6216\u63a7\u5236\u7684\u5176&quot;\u8d21\u732e&quot;\u672c\u8eab\u6216\u5176&quot;\u8d21\u732e&quot;\u4e0e\u8bb8\u53ef&quot;\u8d21\u732e&quot;\u65f6\u7684&quot;\u8f6f\u4ef6&quot;\u7ed3\u5408\u800c\u5c06\u5fc5\u7136\u4f1a\u4fb5\u72af\u7684\u4e13\u5229\u6743\u5229\u8981\u6c42\uff0c\u4e0d\u5305\u62ec\u5bf9&quot;\u8d21\u732e&quot;\u7684\u4fee\u6539\u6216\u5305\u542b&quot;\u8d21\u732e&quot;\u7684\u5176\u4ed6\u7ed3\u5408\u3002\u5982\u679c\u60a8\u6216\u60a8\u7684&quot;\u5173\u8054\u5b9e\u4f53&quot;\u76f4\u63a5\u6216\u95f4\u63a5\u5730\uff0c\u5c31&quot;\u8f6f\u4ef6&quot;\u6216\u5176\u4e2d\u7684&quot;\u8d21\u732e&quot;\u5bf9\u4efb\u4f55\u4eba\u53d1\u8d77\u4e13\u5229\u4fb5\u6743\u8bc9\u8bbc\uff08\u5305\u62ec\u53cd\u8bc9\u6216\u4ea4\u53c9\u8bc9\u8bbc\uff09\u6216\u5176\u4ed6\u4e13\u5229\u7ef4\u6743\u884c\u52a8\uff0c\u6307\u63a7\u5176\u4fb5\u72af\u4e13\u5229\u6743\uff0c\u5219&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u6388\u4e88\u60a8\u5bf9&quot;\u8f6f\u4ef6&quot;\u7684\u4e13\u5229\u8bb8\u53ef\u81ea\u60a8\u63d0\u8d77\u8bc9\u8bbc\u6216\u53d1\u8d77\u7ef4\u6743\u884c\u52a8\u4e4b\u65e5\u7ec8\u6b62\u3002</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 3.</var> \u65e0\u5546\u6807\u8bb8\u53ef\n				<p>&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u4e0d\u63d0\u4f9b\u5bf9&quot;\u8d21\u732e\u8005&quot;\u7684\u5546\u54c1\u540d\u79f0\u3001\u5546\u6807\u3001\u670d\u52a1\u6807\u5fd7\u6216\u4ea7\u54c1\u540d\u79f0\u7684\u5546\u6807\u8bb8\u53ef\uff0c\u4f46\u60a8\u4e3a\u6ee1\u8db3\u7b2c4\u6761\u89c4\u5b9a\u7684\u58f0\u660e\u4e49\u52a1\u800c\u5fc5\u987b\u4f7f\u7528\u9664\u5916\u3002</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 4.</var> \u5206\u53d1\u9650\u5236\n				<p>\u60a8\u53ef\u4ee5\u5728\u4efb\u4f55\u5a92\u4ecb\u4e2d\u5c06&quot;\u8f6f\u4ef6&quot;\u4ee5\u6e90\u7a0b\u5e8f\u5f62\u5f0f\u6216\u53ef\u6267\u884c\u5f62\u5f0f\u91cd\u65b0\u5206\u53d1\uff0c\u4e0d\u8bba\u4fee\u6539\u4e0e\u5426\uff0c\u4f46\u60a8\u5fc5\u987b\u5411\u63a5\u6536\u8005\u63d0\u4f9b&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u7684\u526f\u672c\uff0c\u5e76\u4fdd\u7559&quot;\u8f6f\u4ef6&quot;\u4e2d\u7684\u7248\u6743\u3001\u5546\u6807\u3001\u4e13\u5229\u53ca\u514d\u8d23\u58f0\u660e\u3002</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 5.</var> \u514d\u8d23\u58f0\u660e\u4e0e\u8d23\u4efb\u9650\u5236\n				<p>&quot;\u8f6f\u4ef6&quot;\u53ca\u5176\u4e2d\u7684&quot;\u8d21\u732e&quot;\u5728\u63d0\u4f9b\u65f6\u4e0d\u5e26\u4efb\u4f55\u660e\u793a\u6216\u9ed8\u793a\u7684\u62c5\u4fdd\u3002\u5728\u4efb\u4f55\u60c5\u51b5\u4e0b\uff0c&quot;\u8d21\u732e\u8005&quot;\u6216\u7248\u6743\u6240\u6709\u8005\u4e0d\u5bf9\u4efb\u4f55\u4eba\u56e0\u4f7f\u7528&quot;\u8f6f\u4ef6&quot;\u6216\u5176\u4e2d\u7684&quot;\u8d21\u732e&quot;\u800c\u5f15\u53d1\u7684\u4efb\u4f55\u76f4\u63a5\u6216\u95f4\u63a5\u635f\u5931\u627f\u62c5\u8d23\u4efb\uff0c\u4e0d\u8bba\u56e0\u4f55\u79cd\u539f\u56e0\u5bfc\u81f4\u6216\u8005\u57fa\u4e8e\u4f55\u79cd\u6cd5\u5f8b\u7406\u8bba\uff0c\u5373\u4f7f\u5176\u66fe\u88ab\u5efa\u8bae\u6709\u6b64\u79cd\u635f\u5931\u7684\u53ef\u80fd\u6027\u3002</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 6.</var> \u8bed\u8a00\n				<p>&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u4ee5\u4e2d\u82f1\u6587\u53cc\u8bed\u8868\u8ff0\uff0c\u4e2d\u82f1\u6587\u7248\u672c\u5177\u6709\u540c\u7b49\u6cd5\u5f8b\u6548\u529b\u3002\u5982\u679c\u4e2d\u82f1\u6587\u7248\u672c\u5b58\u5728\u4efb\u4f55\u51b2\u7a81\u4e0d\u4e00\u81f4\uff0c\u4ee5\u4e2d\u6587\u7248\u4e3a\u51c6\u3002</p>\n\n			</li>\n		\n</ul>\n\n		<p>\u6761\u6b3e\u7ed3\u675f</p>\n\n		<p>\u5982\u4f55\u5c06\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c2\u7248\uff0c\u5e94\u7528\u5230\u60a8\u7684\u8f6f\u4ef6</p>\n\n		<p>\u5982\u679c\u60a8\u5e0c\u671b\u5c06\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c2\u7248\uff0c\u5e94\u7528\u5230\u60a8\u7684\u65b0\u8f6f\u4ef6\uff0c\u4e3a\u4e86\u65b9\u4fbf\u63a5\u6536\u8005\u67e5\u9605\uff0c\u5efa\u8bae\u60a8\u5b8c\u6210\u5982\u4e0b\u4e09\u6b65\uff1a</p>\n\n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 1\uff0c</var> \u8bf7\u60a8\u8865\u5145\u5982\u4e0b\u58f0\u660e\u4e2d\u7684\u7a7a\u767d\uff0c\u5305\u62ec\u8f6f\u4ef6\u540d\u3001\u8f6f\u4ef6\u7684\u9996\u6b21\u53d1\u8868\u5e74\u4efd\u4ee5\u53ca\u60a8\u4f5c\u4e3a\u7248\u6743\u4eba\u7684\u540d\u5b57\uff1b</li>\n\n<li><var class=\"replaceable-license-text\"> 2\uff0c</var> \u8bf7\u60a8\u5728\u8f6f\u4ef6\u5305\u7684\u4e00\u7ea7\u76ee\u5f55\u4e0b\u521b\u5efa\u4ee5&quot;LICENSE&quot;\u4e3a\u540d\u7684\u6587\u4ef6\uff0c\u5c06\u6574\u4e2a\u8bb8\u53ef\u8bc1\u6587\u672c\u653e\u5165\u8be5\u6587\u4ef6\u4e2d\uff1b</li>\n\n<li><var class=\"replaceable-license-text\"> 3\uff0c</var> \u8bf7\u5c06\u5982\u4e0b\u58f0\u660e\u6587\u672c\u653e\u5165\u6bcf\u4e2a\u6e90\u6587\u4ef6\u7684\u5934\u90e8\u6ce8\u91ca\u4e2d\u3002</li>\n		\n</ul>\n\n			<p>Copyright (c) [Year] [name of copyright holder]</p>\n\n			<p>[Software Name] is licensed under Mulan PSL v2.</p>\n\n			<p>You can use this software according to the terms and conditions of the Mulan PSL v2.</p>\n\n			<p>You may obtain a copy of Mulan PSL v2 at:</p>\n\n				<p>http://license.coscl.org.cn/MulanPSL2</p>\n\n			<p>THIS SOFTWARE IS PROVIDED ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OF ANY KIND,</p>\n\n			<p>EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,</p>\n\n			<p>MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.</p>\n\n			<p>See the Mulan PSL v2 for more details.</p>\n\n		<div class=\"optional-license-text\"> <p>Mulan Permissive Software License\uff0cVersion 2</p>\n</div>\n\n		<div class=\"optional-license-text\"> <p>Mulan Permissive Software License\uff0cVersion 2 (Mulan PSL v2)</p>\n\n		<p>January 2020 http://license.coscl.org.cn/MulanPSL2</p>\n</div>\n\n		<p>Your reproduction, use, modification and distribution of the Software shall be subject to Mulan PSL v2 (this License) with the following terms and conditions:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> 0.</var> Definition\n\n				<p>Software means the program and related documents which are licensed under this License and comprise all Contribution(s).</p>\n\n				<p>Contribution means the copyrightable work licensed by a particular Contributor under this License.</p>\n\n				<p>Contributor means the Individual or Legal Entity who licenses its copyrightable work under this License.</p>\n\n				<p>Legal Entity means the entity making a Contribution and all its Affiliates.</p>\n\n				<p>Affiliates means entities that control, are controlled by, or are under common control with the acting entity under this License, &apos;control&apos; means direct or indirect ownership of at least fifty percent (50%) of the voting power, capital or other securities of controlled or commonly controlled entity.</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 1.</var> Grant of Copyright License\n\n				<p>Subject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable copyright license to reproduce, use, modify, or distribute its Contribution, with modification or not.</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 2.</var> Grant of Patent License\n\n				<p>Subject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable (except for revocation under this Section) patent license to make, have made, use, offer for sale, sell, import or otherwise transfer its Contribution, where such patent license is only limited to the patent claims owned or controlled by such Contributor now or in future which will be necessarily infringed by its Contribution alone, or by combination of the Contribution with the Software to which the Contribution was contributed. The patent license shall not apply to any modification of the Contribution, and any other combination which includes the Contribution. If you or your Affiliates directly or indirectly institute patent litigation (including a cross claim or counterclaim in a litigation) or other patent enforcement activities against any individual or entity by alleging that the Software or any Contribution in it infringes patents, then any patent license granted to you under this License for the Software shall terminate as of the date such litigation or activity is filed or taken.</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 3.</var> No Trademark License\n\n				<p>No trademark license is granted to use the trade names, trademarks, service marks, or product names of Contributor, except as required to fulfill notice requirements in section 4.</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 4.</var> Distribution Restriction\n\n				<p>You may distribute the Software in any medium with or without modification, whether in source or executable forms, provided that you provide recipients with a copy of this License and retain copyright, patent, trademark and disclaimer statements in the Software.</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 5.</var> Disclaimer of Warranty and Limitation of Liability\n\n				<p>THE SOFTWARE AND CONTRIBUTION IN IT ARE PROVIDED WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED. IN NO EVENT SHALL ANY CONTRIBUTOR OR COPYRIGHT HOLDER BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING, BUT NOT LIMITED TO ANY DIRECT, OR INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING FROM YOUR USE OR INABILITY TO USE THE SOFTWARE OR THE CONTRIBUTION IN IT, NO MATTER HOW IT&apos;S CAUSED OR BASED ON WHICH LEGAL THEORY, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 6.</var> Language\n\n				<p>THIS LICENSE IS WRITTEN IN BOTH CHINESE AND ENGLISH, AND THE CHINESE VERSION AND ENGLISH VERSION SHALL HAVE THE SAME LEGAL EFFECT. IN THE CASE OF DIVERGENCE BETWEEN THE CHINESE AND ENGLISH VERSIONS, THE CHINESE VERSION SHALL PREVAIL.</p>\n\n			</li>\n		\n</ul>\n\n		<p>END OF THE TERMS AND CONDITIONS</p>\n\n		<p>How to Apply the Mulan Permissive Software License\uff0cVersion 2 (Mulan PSL v2) to Your Software</p>\n\n		<p>To apply the Mulan PSL v2 to your work, for easy identification by recipients, you are suggested to complete following three steps:</p>\n\n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> i.</var> Fill in the blanks in following statement, including insert your software name, the year of the first publication of your software, and your name identified as the copyright owner;</li>\n			\n<li><var class=\"replaceable-license-text\"> ii.</var> Create a file named &quot;LICENSE&quot; which contains the whole context of this License in the first directory of your software package;</li>\n			\n<li><var class=\"replaceable-license-text\"> iii.</var> Attach the statement to the appropriate annotated syntax at the beginning of each source file.</li>\n		\n</ul>\n\n		<p>Copyright (c) [Year] [name of copyright holder]</p>\n\n		<p>[Software Name] is licensed under Mulan PSL v2.</p>\n\n		<p>You can use this software according to the terms and conditions of the Mulan PSL v2.</p>\n\n		<p>You may obtain a copy of Mulan PSL v2 at:</p>\n\n			<p>http://license.coscl.org.cn/MulanPSL2</p>\n\n		<p>THIS SOFTWARE IS PROVIDED ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OF ANY KIND,</p>\n\n		<p>EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,</p>\n\n		<p>MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.</p>\n\n		<p>See the Mulan PSL v2 for more details.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n			<p>Copyright (c) [Year] [name of copyright holder]</p>\n\n			<p>[Software Name] is licensed under Mulan PSL v2.</p>\n\n			<p>You can use this software according to the terms and conditions of the Mulan PSL v2.</p>\n\n			<p>You may obtain a copy of Mulan PSL v2 at:</p>\n\n				<p>http://license.coscl.org.cn/MulanPSL2</p>\n\n			<p>THIS SOFTWARE IS PROVIDED ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OF ANY KIND,</p>\n\n			<p>EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,</p>\n\n			<p>MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.</p>\n\n			<p>See the Mulan PSL v2 for more details.</p>\n\n		"
		self.python_name = "MulanPSL20"

	def __str__(self):
		return json.dumps(self.__dict__)


class Qhull:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Qhull, Copyright (c) 1993-2003\n\nThe National Science and Technology Research Center for Computation and Visualization of Geometric Structures (The Geometry Center) University of Minnesota\n\nemail: qhull@qhull.org\n\nThis software includes Qhull from The Geometry Center. Qhull is copyrighted as noted above. Qhull is free software and may be obtained via http from www.qhull.org. It may be freely copied, modified, and redistributed under the following conditions:\n\n1. All copyright notices must remain intact in all files.\n\n2. A copy of this text file must be distributed along with any copies of Qhull that you redistribute; this includes copies that you have modified, or copies of programs or other software products that include Qhull.\n\n3. If you modify Qhull, you must include a notice giving the name of the person performing the modification, the date of modification, and the reason for such modification.\n\n4. When distributing modified versions of Qhull, or other software products that include Qhull, you must provide notice that the original source code may be obtained as noted above.\n\n5. There is no warranty or other guarantee of fitness for Qhull, it is provided solely \"as is\". Bug reports or fixes may be sent to qhull_bug@qhull.org; the authors may or may not act on them as they desire.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Qhull, Copyright (c) 1993-2003	The National Science and Technology Research Center for Computation and Visualization of Geometric Structures (The Geometry Center) University of Minnesota  \";match=\".{0,5000}\">>\n\nemail: qhull@qhull.org\n\nThis software includes Qhull from The Geometry Center. Qhull is copyrighted as noted above. Qhull is free software and may be obtained via http from www.qhull.org. It may be freely copied, modified, and redistributed under the following conditions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> All copyright notices must remain intact in all files.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> A copy of this text file must be distributed along with any copies of Qhull that you redistribute; this includes copies that you have modified, or copies of programs or other software products that include Qhull.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> If you modify Qhull, you must include a notice giving the name of the person performing the modification, the date of modification, and the reason for such modification.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> When distributing modified versions of Qhull, or other software products that include Qhull, you must provide notice that the original source code may be obtained as noted above.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> There is no warranty or other guarantee of fitness for Qhull, it is provided solely \"as is\". Bug reports or fixes may be sent to qhull_bug@qhull.org; the authors may or may not act on them as they desire."
		self.name = "Qhull License"
		self.licenseId = "Qhull"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Qhull", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:01Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Qhull"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Qhull, Copyright (c) 1993-2003</p>\n\n		 <p>The National Science and Technology Research Center for Computation and Visualization of Geometric\n		 Structures (The Geometry Center) University of Minnesota</p>\n\n	  </div>\n	  <p>email: qhull@qhull.org</p>\n\n	  <p>This software includes Qhull from The Geometry Center. Qhull is copyrighted as noted above. Qhull is free\n		 software and may be obtained via http from www.qhull.org. It may be freely copied, modified, and\n		 redistributed under the following conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  All copyright notices must remain intact in all files.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  A copy of this text file must be distributed along with any copies of Qhull that you\n			 redistribute; this includes copies that you have modified, or copies of programs or other\n			 software products that include Qhull.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  If you modify Qhull, you must include a notice giving the name of the person performing the\n			 modification, the date of modification, and the reason for such modification.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  When distributing modified versions of Qhull, or other software products that include Qhull, you\n			 must provide notice that the original source code may be obtained as noted above.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  There is no warranty or other guarantee of fitness for Qhull, it is provided solely &quot;as is&quot;. Bug\n			 reports or fixes may be sent to qhull_bug@qhull.org; the authors may or may not act on them as\n			 they desire.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "Qhull"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCSA10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-NonCommercial-ShareAlike 1.0\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to create and reproduce Derivative Works;\n\n	 c. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	 d. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	 b. You may distribute, publicly display, publicly perform, or publicly digitally perform a Derivative Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of each Derivative Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Derivative Works that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder, and You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Derivative Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Derivative Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Derivative Work itself to be made subject to the terms of this License.\n\n	 c. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	 d. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n5. Representations, Warranties and Disclaimer\n\n	 a. By offering the Work for public release under this License, Licensor represents and warrants that, to the best of Licensor's knowledge after reasonable inquiry:\n\n		  i. Licensor has secured all rights in the Work necessary to grant the license rights hereunder and to permit the lawful exercise of the rights granted hereunder without You having any obligation to pay any royalties, compulsory license fees, residuals or any other payments;\n\n		  ii. The Work does not infringe the copyright, trademark, publicity rights, common law rights or any other right of any third party or constitute defamation, invasion of privacy or other tortious injury to any third party.\n\n	 b. EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NonCommercial-ShareAlike 1.0\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and reproduce Derivative Works;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform a Derivative Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of each Derivative Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Derivative Works that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder, and You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Derivative Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Derivative Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Derivative Work itself to be made subject to the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> By offering the Work for public release under this License, Licensor represents and warrants that, to the best of Licensor's knowledge after reasonable inquiry:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Licensor has secured all rights in the Work necessary to grant the license rights hereunder and to permit the lawful exercise of the rights granted hereunder without You having any obligation to pay any royalties, compulsory license fees, residuals or any other payments;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> The Work does not infringe the copyright, trademark, publicity rights, common law rights or any other right of any third party or constitute defamation, invasion of privacy or other tortious injury to any third party.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial Share Alike 1.0 Generic"
		self.licenseId = "CC-BY-NC-SA-1.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-sa/1.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:38Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-sa/1.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NonCommercial-ShareAlike 1.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS\n		 INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE\n		 INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n			   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n			   other contributions, constituting separate and independent works in themselves, are\n			   assembled into a collective whole. A work that constitutes a Collective Work will not be\n			   considered a Derivative Work (as defined below) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works, such as a translation, musical arrangement, dramatization,\n			   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n			   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n			   except that a work that constitutes a Collective Work will not be considered a Derivative\n			   Work for the purpose of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n			   this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Original Author&quot; means the individual or entity who created the Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to create and reproduce Derivative Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission Derivative Works;\n		  </li>\n  \t	\n</ul>\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats. All rights not expressly\n			   granted by Licensor are hereby reserved.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n			   Work. You must keep intact all notices that refer to this License and to the disclaimer of\n			   warranties. You may not distribute, publicly display, publicly perform, or publicly\n			   digitally perform the Work with any technological measures that control access or use of\n			   the Work in a manner inconsistent with the terms of this License Agreement. The above\n			   applies to the Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Work itself to be made subject to the terms of this\n			   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n			   extent practicable, remove from the Collective Work any reference to such Licensor or the\n			   Original Author, as requested. If You create a Derivative Work, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Derivative Work any\n			   reference to such Licensor or the Original Author, as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform a\n			   Derivative Work only under the terms of this License, and You must include a copy of, or\n			   the Uniform Resource Identifier for, this License with every copy or phonorecord of each\n			   Derivative Work You distribute, publicly display, publicly perform, or publicly digitally\n			   perform. You may not offer or impose any terms on the Derivative Works that alter or\n			   restrict the terms of this License or the recipients&apos; exercise of the rights granted\n			   hereunder, and You must keep intact all notices that refer to this License and to the\n			   disclaimer of warranties. You may not distribute, publicly display, publicly perform, or\n			   publicly digitally perform the Derivative Work with any technological measures that\n			   control access or use of the Work in a manner inconsistent with the terms of this License\n			   Agreement. The above applies to the Derivative Work as incorporated in a Collective Work,\n			   but this does not require the Collective Work apart from the Derivative Work itself to be\n			   made subject to the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			You may not exercise any of the rights granted to You in Section 3 above in any manner that\n			   is primarily intended for or directed toward commercial advantage or private monetary\n			   compensation. The exchange of the Work for other copyrighted works by means of digital\n			   file-sharing or otherwise shall not be considered to be intended for or directed toward\n			   commercial advantage or private monetary compensation, provided there is no payment of any\n			   monetary compensation in connection with the exchange of copyrighted works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n			   or any Derivative Works or Collective Works, You must keep intact all copyright notices\n			   for the Work and give the Original Author credit reasonable to the medium or means You are\n			   utilizing by conveying the name (or pseudonym if applicable) of the Original Author if\n			   supplied; the title of the Work if supplied; in the case of a Derivative Work, a credit\n			   identifying the use of the Work in the Derivative Work (e.g., &quot;French translation of\n			   the Work by Original Author,&quot; or &quot;Screenplay based on original Work by Original\n			   Author&quot;). Such credit may be implemented in any reasonable manner; provided, however,\n			   that in the case of a Derivative Work or Collective Work, at a minimum such credit will\n			   appear where any other comparable authorship credit appears and in a manner at least as\n			   prominent as such other comparable authorship credit.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			By offering the Work for public release under this License, Licensor represents and warrants\n			   that, to the best of Licensor&apos;s knowledge after reasonable inquiry:\n		  </li>\n\t  \t\n<li>\n\t  \t\n<ul style=\"list-style:none\">\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> i.</var>\n			  Licensor has secured all rights in the Work necessary to grant the license rights\n				 hereunder and to permit the lawful exercise of the rights granted hereunder without\n				 You having any obligation to pay any royalties, compulsory license fees, residuals or\n				 any other payments;\n			</li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> ii.</var>\n			  The Work does not infringe the copyright, trademark, publicity rights, common law rights\n				 or any other right of any third party or constitute defamation, invasion of privacy or\n				 other tortious injury to any third party.\n			</li>\n			   \n</ul>\n\t	   </li>\n\t	   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY\n			   APPLICABLE LAW, THE WORK IS LICENSED ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OF\n			   ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES\n			   REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES\n			 ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5,\n			 IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL,\n			 CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE\n			 WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Derivative\n			   Works or Collective Works from You under this License, however, will not have their\n			   licenses terminated provided such individuals or entities remain in full compliance with\n			   those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n			   Licensor offers to the recipient a license to the Work on the same terms and conditions as\n			   the license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to\n			   the recipient a license to the original Work on the same terms and conditions as the\n			   license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYNCSA10"

	def __str__(self):
		return json.dumps(self.__dict__)


class Arphic1999:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "ARPHIC PUBLIC LICENSE\n\nCopyright (C) 1999 Arphic Technology Co., Ltd.\n11Fl. No.168, Yung Chi Rd., Taipei, 110 Taiwan\nAll rights reserved except as specified below.\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is forbidden.\n\nPreamble\n\n   The licenses for most software are designed to take away your freedom to share and change it. By contrast, the ARPHIC PUBLIC LICENSE specifically permits and encourages you to use this software, provided that you give the recipients all the rights that we gave you and make sure they can get the modifications of this software.\n\nLegal Terms\n\n0. Definitions:\n   Throughout this License, \"Font\" means the TrueType fonts \"AR PL Mingti2L Big5\", \"AR PL KaitiM Big5\" (BIG-5 character set) and \"AR PL SungtiL GB\", \"AR PL KaitiM GB\" (GB character set) which are originally distributed by Arphic, and the derivatives of those fonts created through any modification including modifying glyph, reordering glyph, converting format, changing font name, or adding/deleting some characters in/from glyph table.\n\n   \"PL\" means \"Public License\".\n\n   \"Copyright Holder\" means whoever is named in the copyright or copyrights for the Font.\n\n   \"You\" means the licensee, or person copying, redistributing or modifying the Font.\n\n   \"Freely Available\" means that you have the freedom to copy or modify the Font as well as redistribute copies of the Font under the same conditions you received, not price. If you wish, you can charge for this service.\n\n1. Copying & Distribution\n   You may copy and distribute verbatim copies of this Font in any medium, without restriction, provided that you retain this license file (ARPHICPL.TXT) unaltered in all copies.\n\n2. Modification\n   You may otherwise modify your copy of this Font in any way, including modifying glyph, reordering glyph, converting format, changing font name, or adding/deleting some characters in/from glyph table, and copy and distribute such modifications under the terms of Section 1 above, provided that the following conditions are met:\n\n   a) You must insert a prominent notice in each modified file stating how and when you changed that file.\n\n   b) You must make such modifications Freely Available as a whole to all third parties under the terms of this License, such as by offering access to copy the modifications from a designated place, or distributing the modifications on a medium customarily used for software interchange.\n\n   c) If the modified fonts normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the Font under these conditions, and telling the user how to view a copy of this License.\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Font, and can be reasonably considered independent and separate works in themselves, then this License and its terms, do not apply to those sections when you distribute them as separate works. Therefore, mere aggregation of another work not based on the Font with the Font on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n3. Condition Subsequent\n   You may not copy, modify, sublicense, or distribute the Font except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Font will automatically retroactively void your rights under this License. However, parties who have received copies or rights from you under this License will keep their licenses valid so long as such parties remain in full compliance.\n\n4. Acceptance\n   You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to copy, modify, sublicense or distribute the Font. These actions are prohibited by law if you do not accept this License. Therefore, by copying, modifying, sublicensing or distributing the Font, you indicate your acceptance of this License and all its terms and conditions.\n\n5. Automatic Receipt\n   Each time you redistribute the Font, the recipient automatically receives a license from the original licensor to copy, distribute or modify the Font subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License. \n\n6. Contradiction\n   If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Font at all. For example, if a patent license would not permit royalty-free redistribution of the Font by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Font.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances. \n\n7. NO WARRANTY\n   BECAUSE THE FONT IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE FONT, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS OR OTHER PARTIES PROVIDE THE FONT \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE FONT IS WITH YOU. SHOULD THE FONT PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n8. DAMAGES WAIVER\n   UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING, IN NO EVENT WILL ANY COPYRIGHTT HOLDERS, OR OTHER PARTIES WHO MAY COPY, MODIFY OR REDISTRIBUTE THE FONT AS PERMITTED ABOVE, BE LIABLE TO YOU FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL, INCIDENTAL, SPECIAL OR EXEMPLARY DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE FONT (INCLUDING BUT NOT LIMITED TO PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA OR PROFITS; OR BUSINESS INTERRUPTION), EVEN IF SUCH HOLDERS OR OTHER PARTIES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n"
		self.standardLicenseTemplate = "ARPHIC PUBLIC LICENSE\n\nCopyright (C) 1999 Arphic Technology Co., Ltd. 11Fl. No.168, Yung Chi Rd., Taipei, 110 Taiwan All rights reserved except as specified below.\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is forbidden.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the ARPHIC PUBLIC LICENSE specifically permits and encourages you to use this software, provided that you give the recipients all the rights that we gave you and make sure they can get the modifications of this software.\n\nLegal Terms\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">>\n\n   Definitions: Throughout this License, \"Font\" means the TrueType fonts \"AR PL Mingti2L Big5\", \"AR PL KaitiM Big5\" (BIG-5 character set) and \"AR PL SungtiL GB\", \"AR PL KaitiM GB\" (GB character set) which are originally distributed by Arphic, and the derivatives of those fonts created through any modification including modifying glyph, reordering glyph, converting format, changing font name, or adding/deleting some characters in/from glyph table.\n\n   \"PL\" means \"Public License\".\n\n   \"Copyright Holder\" means whoever is named in the copyright or copyrights for the Font.\n\n   \"You\" means the licensee, or person copying, redistributing or modifying the Font.\n\n   \"Freely Available\" means that you have the freedom to copy or modify the Font as well as redistribute copies of the Font under the same conditions you received, not price. If you wish, you can charge for this service.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">>\n\n   Copying & Distribution You may copy and distribute verbatim copies of this Font in any medium, without restriction, provided that you retain this license file (ARPHICPL.TXT) unaltered in all copies.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">>\n\n   Modification You may otherwise modify your copy of this Font in any way, including modifying glyph, reordering glyph, converting format, changing font name, or adding/deleting some characters in/from glyph table, and copy and distribute such modifications under the terms of Section 1 above, provided that the following conditions are met:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">>\n\n	  You must insert a prominent notice in each modified file stating how and when you changed that file.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">>\n\n	  You must make such modifications Freely Available as a whole to all third parties under the terms of this License, such as by offering access to copy the modifications from a designated place, or distributing the modifications on a medium customarily used for software interchange.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">>\n\n	  If the modified fonts normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the Font under these conditions, and telling the user how to view a copy of this License.\n\n	  These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Font, and can be reasonably considered independent and separate works in themselves, then this License and its terms, do not apply to those sections when you distribute them as separate works. Therefore, mere aggregation of another work not based on the Font with the Font on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">>\n\n   Condition Subsequent You may not copy, modify, sublicense, or distribute the Font except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Font will automatically retroactively void your rights under this License. However, parties who have received copies or rights from you under this License will keep their licenses valid so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">>\n\n   Acceptance You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to copy, modify, sublicense or distribute the Font. These actions are prohibited by law if you do not accept this License. Therefore, by copying, modifying, sublicensing or distributing the Font, you indicate your acceptance of this License and all its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">>\n\n   Automatic Receipt Each time you redistribute the Font, the recipient automatically receives a license from the original licensor to copy, distribute or modify the Font subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">>\n\n   Contradiction If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Font at all. For example, if a patent license would not permit royalty-free redistribution of the Font by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Font.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">>\n\n   NO WARRANTY BECAUSE THE FONT IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE FONT, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS OR OTHER PARTIES PROVIDE THE FONT \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE FONT IS WITH YOU. SHOULD THE FONT PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">>\n\n   DAMAGES WAIVER UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING, IN NO EVENT WILL ANY COPYRIGHTT HOLDERS, OR OTHER PARTIES WHO MAY COPY, MODIFY OR REDISTRIBUTE THE FONT AS PERMITTED ABOVE, BE LIABLE TO YOU FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL, INCIDENTAL, SPECIAL OR EXEMPLARY DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE FONT (INCLUDING BUT NOT LIMITED TO PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA OR PROFITS; OR BUSINESS INTERRUPTION), EVEN IF SUCH HOLDERS OR OTHER PARTIES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   "
		self.name = "Arphic Public License"
		self.licenseId = "Arphic-1999"
		self.crossRef = [{"match": "False", "url": "http://ftp.gnu.org/gnu/non-gnu/chinese-fonts-Truetype/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://ftp.gnu.org/gnu/non-gnu/chinese-fonts-Truetype/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			ARPHIC PUBLIC LICENSE\n		 </p>\n\n		 <p>\n			Copyright (C) 1999 Arphic Technology Co., Ltd.\n			11Fl. No.168, Yung Chi Rd., Taipei, 110 Taiwan\n			All rights reserved except as specified below.\n		 </p>\n\n		 <p>\n			Everyone is permitted to copy and distribute verbatim copies\n			of this license document, but changing it is forbidden.\n		 </p>\n\n		 <p>\n			Preamble\n		 </p>\n\n		 <p>\n			The licenses for most software are designed to take away\n			your freedom to share and change it. By contrast, the\n			ARPHIC PUBLIC LICENSE specifically permits and encourages\n			you to use this software, provided that you give the\n			recipients all the rights that we gave you and make\n			sure they can get the modifications of this software.\n		 </p>\n\n		 <p>\n			Legal Terms\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 0.</var>\n			   <p>\n				  Definitions: Throughout this License, &quot;Font&quot; means the\n				  TrueType fonts &quot;AR PL Mingti2L Big5&quot;, &quot;AR PL KaitiM\n				  Big5&quot; (BIG-5 character set) and &quot;AR PL SungtiL GB&quot;, &quot;AR\n				  PL KaitiM GB&quot; (GB character set) which are originally\n				  distributed by Arphic, and the derivatives of those fonts\n				  created through any modification including modifying glyph,\n				  reordering glyph, converting format, changing font name,\n				  or adding/deleting some characters in/from glyph table.\n			   </p>\n\n			   <p>\n				  &quot;PL&quot; means &quot;Public License&quot;.\n			   </p>\n\n			   <p>\n				  &quot;Copyright Holder&quot; means whoever is named\n				  in the copyright or copyrights for the Font.\n			   </p>\n\n			   <p>\n				  &quot;You&quot; means the licensee, or person copying,\n				  redistributing or modifying the Font.\n			   </p>\n\n			   <p>\n				  &quot;Freely Available&quot; means that you have the freedom to\n				  copy or modify the Font as well as redistribute copies\n				  of the Font under the same conditions you received, not\n				  price. If you wish, you can charge for this service.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   <p>\n				  Copying &amp; Distribution You may copy and distribute\n				  verbatim copies of this Font in any medium, without\n				  restriction, provided that you retain this license\n				  file (ARPHICPL.TXT) unaltered in all copies.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   <p>\n				  Modification You may otherwise modify your copy of this Font\n				  in any way, including modifying glyph, reordering glyph,\n				  converting format, changing font name, or adding/deleting\n				  some characters in/from glyph table, and copy and\n				  distribute such modifications under the terms of Section\n				  1 above, provided that the following conditions are met:\n			   </p>\n\n<ul style=\"list-style:none\">\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> a)</var>\n					 <p>\n						You must insert a prominent notice in each modified\n						file stating how and when you changed that file.\n					 </p>\n\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> b)</var>\n					 <p>\n						You must make such modifications Freely Available\n						as a whole to all third parties under the terms\n						of this License, such as by offering access to\n						copy the modifications from a designated place,\n						or distributing the modifications on a medium\n						customarily used for software interchange.\n					 </p>\n\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> c)</var>\n					 <p>\n						If the modified fonts normally reads commands\n						interactively when run, you must cause it, when\n						started running for such interactive use in the most\n						ordinary way, to print or display an announcement\n						including an appropriate copyright notice and a\n						notice that there is no warranty (or else, saying\n						that you provide a warranty) and that users may\n						redistribute the Font under these conditions, and\n						telling the user how to view a copy of this License.\n					 </p>\n\n					 <p>\n						These requirements apply to the modified work as\n						a whole. If identifiable sections of that work are\n						not derived from the Font, and can be reasonably\n						considered independent and separate works in themselves,\n						then this License and its terms, do not apply to\n						those sections when you distribute them as separate\n						works. Therefore, mere aggregation of another work\n						not based on the Font with the Font on a volume\n						of a storage or distribution medium does not bring\n						the other work under the scope of this License.\n					 </p>\n\n				  </li>\n			   \n</ul>\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   <p>\n				  Condition Subsequent You may not copy, modify, sublicense,\n				  or distribute the Font except as expressly provided under\n				  this License. Any attempt otherwise to copy, modify,\n				  sublicense or distribute the Font will automatically\n				  retroactively void your rights under this License.\n				  However, parties who have received copies or rights\n				  from you under this License will keep their licenses\n				  valid so long as such parties remain in full compliance.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   <p>\n				  Acceptance You are not required to accept this License,\n				  since you have not signed it. However, nothing else grants\n				  you permission to copy, modify, sublicense or distribute\n				  the Font. These actions are prohibited by law if you do\n				  not accept this License. Therefore, by copying, modifying,\n				  sublicensing or distributing the Font, you indicate your\n				  acceptance of this License and all its terms and conditions.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   <p>\n				  Automatic Receipt Each time you redistribute the Font,\n				  the recipient automatically receives a license from the\n				  original licensor to copy, distribute or modify the Font\n				  subject to these terms and conditions. You may not impose\n				  any further restrictions on the recipients&apos; exercise of\n				  the rights granted herein. You are not responsible for\n				  enforcing compliance by third parties to this License.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 6.</var>\n			   <p>\n				  Contradiction If, as a consequence of a court judgment or\n				  allegation of patent infringement or for any other reason\n				  (not limited to patent issues), conditions are imposed\n				  on you (whether by court order, agreement or otherwise)\n				  that contradict the conditions of this License, they do\n				  not excuse you from the conditions of this License. If\n				  you cannot distribute so as to satisfy simultaneously your\n				  obligations under this License and any other pertinent\n				  obligations, then as a consequence you may not distribute\n				  the Font at all. For example, if a patent license would not\n				  permit royalty-free redistribution of the Font by all those\n				  who receive copies directly or indirectly through you, then\n				  the only way you could satisfy both it and this License\n				  would be to refrain entirely from distribution of the Font.\n			   </p>\n\n			   <p>\n				  If any portion of this section is held invalid or\n				  unenforceable under any particular circumstance, the\n				  balance of the section is intended to apply and the section\n				  as a whole is intended to apply in other circumstances.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 7.</var>\n			   <p>\n				  NO WARRANTY BECAUSE THE FONT IS LICENSED FREE OF CHARGE,\n				  THERE IS NO WARRANTY FOR THE FONT, TO THE EXTENT PERMITTED\n				  BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING\n				  THE COPYRIGHT HOLDERS OR OTHER PARTIES PROVIDE THE FONT\n				  &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR\n				  IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES\n				  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE\n				  ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE FONT\n				  IS WITH YOU. SHOULD THE FONT PROVE DEFECTIVE, YOU ASSUME\n				  THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 8.</var>\n			   <p>\n				  DAMAGES WAIVER UNLESS REQUIRED BY APPLICABLE LAW OR AGREED\n				  TO IN WRITING, IN NO EVENT WILL ANY COPYRIGHTT HOLDERS,\n				  OR OTHER PARTIES WHO MAY COPY, MODIFY OR REDISTRIBUTE\n				  THE FONT AS PERMITTED ABOVE, BE LIABLE TO YOU FOR ANY\n				  DIRECT, INDIRECT, CONSEQUENTIAL, INCIDENTAL, SPECIAL OR\n				  EXEMPLARY DAMAGES ARISING OUT OF THE USE OR INABILITY TO\n				  USE THE FONT (INCLUDING BUT NOT LIMITED TO PROCUREMENT OF\n				  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA OR PROFITS;\n				  OR BUSINESS INTERRUPTION), EVEN IF SUCH HOLDERS OR OTHER\n				  PARTIES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n			   </p>\n\n			</li>\n		 \n</ul>\n	  "
		self.python_name = "Arphic1999"

	def __str__(self):
		return json.dumps(self.__dict__)


class CNRIPythonGPLCompatible:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "CNRI OPEN SOURCE GPL-COMPATIBLE LICENSE AGREEMENT\n\nIMPORTANT: PLEASE READ THE FOLLOWING AGREEMENT CAREFULLY.\n\nBY CLICKING ON \"ACCEPT\" WHERE INDICATED BELOW, OR BY COPYING, INSTALLING OR OTHERWISE USING PYTHON 1.6.1 SOFTWARE, YOU ARE DEEMED TO HAVE AGREED TO THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT.\n\n1. This LICENSE AGREEMENT is between the Corporation for National Research Initiatives, having an office at 1895 Preston White Drive, Reston, VA 20191 (\"CNRI\"), and the Individual or Organization (\"Licensee\") accessing and otherwise using Python 1.6.1 software in source or binary form and its associated documentation.\n\n2. Subject to the terms and conditions of this License Agreement, CNRI hereby grants Licensee a nonexclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use Python 1.6.1 alone or in any derivative version, provided, however, that CNRI's License Agreement and CNRI's notice of copyright, i.e., \"Copyright \u00a9 1995-2001 Corporation for National Research Initiatives; All Rights Reserved\" are retained in Python 1.6.1 alone or in any derivative version prepared by Licensee. Alternately, in lieu of CNRI's License Agreement, Licensee may substitute the following text (omitting the quotes): \"Python 1.6.1 is made available subject to the terms and conditions in CNRI's License Agreement. This Agreement together with Python 1.6.1 may be located on the Internet using the following unique, persistent identifier (known as a handle): 1895.22/1013. This Agreement may also be obtained from a proxy server on the Internet using the following URL: http://hdl.handle.net/1895.22/1013\".\n\n3. In the event Licensee prepares a derivative work that is based on or incorporates Python 1.6.1 or any part thereof, and wants to make the derivative work available to others as provided herein, then Licensee hereby agrees to include in any such work a brief summary of the changes made to Python 1.6.1.\n\n4. CNRI is making Python 1.6.1 available to Licensee on an \"AS IS\" basis. CNRI MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, CNRI MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF PYTHON 1.6.1 WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n5. CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON 1.6.1 FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE USING PYTHON 1.6.1, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n6. This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n7. This License Agreement shall be governed by the federal intellectual property law of the United States, including without limitation the federal copyright law, and, to the extent such U.S. federal law does not apply, by the law of the Commonwealth of Virginia, excluding Virginia's conflict of law provisions. Notwithstanding the foregoing, with regard to derivative works based on Python 1.6.1 that incorporate non-separable material that was previously distributed under the GNU General Public License (GPL), the law of the Commonwealth of Virginia shall govern this License Agreement only as to issues arising under or with respect to Paragraphs 4, 5, and 7 of this License Agreement. Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between CNRI and Licensee. This License Agreement does not grant permission to use CNRI trademarks or trade name in a trademark sense to endorse or promote products or services of Licensee, or any third party.\n\n8. By clicking on the \"ACCEPT\" button where indicated, or by copying, installing or otherwise using Python 1.6.1, Licensee agrees to be bound by the terms and conditions of this License Agreement.\n\nACCEPT\n"
		self.standardLicenseTemplate = "<<beginOptional>>CNRI OPEN SOURCE GPL-COMPATIBLE LICENSE AGREEMENT\n\n<<endOptional>>\n\nIMPORTANT: PLEASE READ THE FOLLOWING AGREEMENT CAREFULLY.\n\nBY CLICKING ON \"ACCEPT\" WHERE INDICATED BELOW, OR BY COPYING, INSTALLING OR OTHERWISE USING PYTHON 1.6.1 SOFTWARE, YOU ARE DEEMED TO HAVE AGREED TO THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> This LICENSE AGREEMENT is between the Corporation for National Research Initiatives, having an office at 1895 Preston White Drive, Reston, VA 20191 (\"CNRI\"), and the Individual or Organization (\"Licensee\") accessing and otherwise using Python 1.6.1 software in source or binary form and its associated documentation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Subject to the terms and conditions of this License Agreement, CNRI hereby grants Licensee a nonexclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use Python 1.6.1 alone or in any derivative version, provided, however, that CNRI's License Agreement and CNRI's notice of copyright, i.e., \"Copyright \u00a9 1995-2001 Corporation for National Research Initiatives; All Rights Reserved\" are retained in Python 1.6.1 alone or in any derivative version prepared by Licensee. Alternately, in lieu of CNRI's License Agreement, Licensee may substitute the following text (omitting the quotes): \"Python 1.6.1 is made available subject to the terms and conditions in CNRI's License Agreement. This Agreement together with Python 1.6.1 may be located on the Internet using the following unique, persistent identifier (known as a handle): 1895.22/1013. This Agreement may also be obtained from a proxy server on the Internet using the following URL: http://hdl.handle.net/1895.22/1013\".\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> In the event Licensee prepares a derivative work that is based on or incorporates Python 1.6.1 or any part thereof, and wants to make the derivative work available to others as provided herein, then Licensee hereby agrees to include in any such work a brief summary of the changes made to Python 1.6.1.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> CNRI is making Python 1.6.1 available to Licensee on an \"AS IS\" basis. CNRI MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, CNRI MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF PYTHON 1.6.1 WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON 1.6.1 FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE USING PYTHON 1.6.1, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> This License Agreement shall be governed by the federal intellectual property law of the United States, including without limitation the federal copyright law, and, to the extent such U.S. federal law does not apply, by the law of the Commonwealth of Virginia, excluding Virginia's conflict of law provisions. Notwithstanding the foregoing, with regard to derivative works based on Python 1.6.1 that incorporate non-separable material that was previously distributed under the GNU General Public License (GPL), the law of the Commonwealth of Virginia shall govern this License Agreement only as to issues arising under or with respect to Paragraphs 4, 5, and 7 of this License Agreement. Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between CNRI and Licensee. This License Agreement does not grant permission to use CNRI trademarks or trade name in a trademark sense to endorse or promote products or services of Licensee, or any third party.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> By clicking on the \"ACCEPT\" button where indicated, or by copying, installing or otherwise using Python 1.6.1, Licensee agrees to be bound by the terms and conditions of this License Agreement.<<beginOptional>> ACCEPT\n\n<<endOptional>>"
		self.name = "CNRI Python Open Source GPL Compatible License Agreement"
		self.licenseId = "CNRI-Python-GPL-Compatible"
		self.crossRef = [{"match": "False", "url": "http://www.python.org/download/releases/1.6.1/download_win/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:36Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.python.org/download/releases/1.6.1/download_win/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>CNRI OPEN SOURCE GPL-COMPATIBLE LICENSE AGREEMENT</p>\n\n	  </div>\n	  <p>IMPORTANT: PLEASE READ THE FOLLOWING AGREEMENT CAREFULLY.</p>\n\n	  <p>BY CLICKING ON &quot;ACCEPT&quot; WHERE INDICATED BELOW, OR BY COPYING, INSTALLING OR OTHERWISE USING PYTHON 1.6.1\n		 SOFTWARE, YOU ARE DEEMED TO HAVE AGREED TO THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  This LICENSE AGREEMENT is between the Corporation for National Research Initiatives, having an\n			 office at 1895 Preston White Drive, Reston, VA 20191 (&quot;CNRI&quot;), and the Individual or\n			 Organization (&quot;Licensee&quot;) accessing and otherwise using Python 1.6.1 software in source or\n			 binary form and its associated documentation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Subject to the terms and conditions of this License Agreement, CNRI hereby grants Licensee a\n			 nonexclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or\n			 display publicly, prepare derivative works, distribute, and otherwise use Python 1.6.1 alone\n			 or in any derivative version, provided, however, that CNRI&apos;s License Agreement and CNRI&apos;s\n			 notice of copyright, i.e., &quot;Copyright \u00a9 1995-2001 Corporation for National Research\n			 Initiatives; All Rights Reserved&quot; are retained in Python 1.6.1 alone or in any derivative\n			 version prepared by Licensee. Alternately, in lieu of CNRI&apos;s License Agreement, Licensee may\n			 substitute the following text (omitting the quotes): &quot;Python 1.6.1 is made available subject\n			 to the terms and conditions in CNRI&apos;s License Agreement. This Agreement together with Python\n			 1.6.1 may be located on the Internet using the following unique, persistent identifier (known\n			 as a handle): 1895.22/1013. This Agreement may also be obtained from a proxy server on the\n			 Internet using the following URL: http://hdl.handle.net/1895.22/1013&quot;.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  In the event Licensee prepares a derivative work that is based on or incorporates Python 1.6.1 or\n			 any part thereof, and wants to make the derivative work available to others as provided\n			 herein, then Licensee hereby agrees to include in any such work a brief summary of the changes\n			 made to Python 1.6.1.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  CNRI is making Python 1.6.1 available to Licensee on an &quot;AS IS&quot; basis. CNRI MAKES NO\n			 REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, CNRI\n			 MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY\n			 PARTICULAR PURPOSE OR THAT THE USE OF PYTHON 1.6.1 WILL NOT INFRINGE ANY THIRD PARTY\n			 RIGHTS.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON 1.6.1 FOR ANY INCIDENTAL,\n			 SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE\n			 USING PYTHON 1.6.1, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  This License Agreement shall be governed by the federal intellectual property law of the United\n			 States, including without limitation the federal copyright law, and, to the extent such U.S.\n			 federal law does not apply, by the law of the Commonwealth of Virginia, excluding Virginia&apos;s\n			 conflict of law provisions. Notwithstanding the foregoing, with regard to derivative works\n			 based on Python 1.6.1 that incorporate non-separable material that was previously distributed\n			 under the GNU General Public License (GPL), the law of the Commonwealth of Virginia shall\n			 govern this License Agreement only as to issues arising under or with respect to Paragraphs 4,\n			 5, and 7 of this License Agreement. Nothing in this License Agreement shall be deemed to\n			 create any relationship of agency, partnership, or joint venture between CNRI and Licensee.\n			 This License Agreement does not grant permission to use CNRI trademarks or trade name in a\n			 trademark sense to endorse or promote products or services of Licensee, or any third\n			 party.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  By clicking on the &quot;ACCEPT&quot; button where indicated, or by copying, installing or otherwise using\n			 Python 1.6.1, Licensee agrees to be bound by the terms and conditions of this License\n			 Agreement.\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>ACCEPT</p>\n\n	  </div>\n	"
		self.python_name = "CNRIPythonGPLCompatible"

	def __str__(self):
		return json.dumps(self.__dict__)


class checkcvs:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Permission is granted to copy and/or distribute this file, with or\nwithout modifications, provided this notice is preserved.\n"
		self.standardLicenseTemplate = "Permission is granted to copy and/or distribute this file, with or without modifications, provided this notice is preserved.\n\n"
		self.name = "check-cvs License"
		self.licenseComments = "This license is similar to FSFULLR."
		self.licenseId = "check-cvs"
		self.crossRef = [{"match": "False", "url": "http://cvs.savannah.gnu.org/viewvc/cvs/ccvs/contrib/check_cvs.in?revision=1.1.4.3&view=markup&pathrev=cvs1-11-23#l2", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:51Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://cvs.savannah.gnu.org/viewvc/cvs/ccvs/contrib/check_cvs.in?revision=1.1.4.3&view=markup&pathrev=cvs1-11-23#l2"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			Permission is granted to copy and/or distribute this file, with\n			or without modifications, provided this notice is preserved.\n		 </p>\n\n	  "
		self.python_name = "checkcvs"

	def __str__(self):
		return json.dumps(self.__dict__)


class TAPROHL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The TAPR Open Hardware License\nVersion 1.0 (May 25, 2007)\nCopyright 2007 TAPR - http://www.tapr.org/OHL\n\nPREAMBLE\n\nOpen Hardware is a thing - a physical artifact, either electrical or\nmechanical - whose design information is available to, and usable by,\nthe public in a way that allows anyone to make, modify, distribute, and\nuse that thing.  In this preface, design information is called\n\"documentation\" and things created from it are called \"products.\"\n\nThe TAPR Open Hardware License (\"OHL\") agreement provides a legal\nframework for Open Hardware projects.  It may be used for any kind of\nproduct, be it a hammer or a computer motherboard, and is TAPR's\ncontribution to the community; anyone may use the OHL for their Open\nHardware project.\n\nLike the GNU General Public License, the OHL is designed to guarantee\nyour freedom to share and to create.  It forbids anyone who receives\nrights under the OHL to deny any other licensee those same rights to\ncopy, modify, and distribute documentation, and to make, use and\ndistribute products based on that documentation.\n\nUnlike the GPL, the OHL is not primarily a copyright license.  While\ncopyright protects documentation from unauthorized copying, modification,\nand distribution, it has little to do with your right to make, distribute,\nor use a product based on that documentation.  For better or worse, patents\nplay a significant role in those activities.  Although it does not prohibit\nanyone from patenting inventions embodied in an Open Hardware design, and\nof course cannot prevent a third party from enforcing their patent rights,\nthose who benefit from an OHL design may not bring lawsuits claiming that\ndesign infringes their patents or other intellectual property.\n\nThe OHL addresses unique issues involved in the creation of tangible,\nphysical things, but does not cover software, firmware, or code loaded\ninto programmable devices.  A copyright-oriented license such as the GPL\nbetter suits these creations.\n\nHow can you use the OHL, or a design based upon it?  While the terms and\nconditions below take precedence over this preamble, here is a summary:\n\n*  You may modify the documentation and make products based upon it.\n\n*  You may use products for any legal purpose without limitation.\n\n*  You may distribute unmodified documentation, but you must include the\ncomplete package as you received it.\n\n*  You may distribute products you make to third parties, if you either\ninclude the documentation on which the product is based, or make it\navailable without charge for at least three years to anyone who requests\nit.\n\n*  You may distribute modified documentation or products based on it, if\nyou:\n	*  License your modifications under the OHL.\n	*  Include those modifications, following the requirements stated\n	   below.\n	*  Attempt to send the modified documentation by email to any of the\n	   developers who have provided their email address.  This is a good\n	   faith obligation - if the email fails, you need do nothing more\n	   and may go on with your distribution.\n\n*  If you create a design that you want to license under the OHL, you\nshould:\n	*  Include this document in a file named LICENSE (with the appropriate\n	   extension) that is included in the documentation package.\n	*  If the file format allows, include a notice like \"Licensed under\n	   the TAPR Open Hardware License (www.tapr.org/OHL)\" in each\n	   documentation file.  While not required, you should also include\n	   this notice on printed circuit board artwork and the product\n	   itself; if space is limited the notice can be shortened or\n	   abbreviated.\n	*  Include a copyright notice in each file and on printed circuit\n	   board artwork.\n	*  If you wish to be notified of modifications that others may make,\n	   include your email address in a file named \"CONTRIB.TXT\" or\n	   something similar.\n\n*  Any time the OHL requires you to make documentation available to\nothers, you must include all the materials you received from the\nupstream licensors.  In addition, if you have modified the\ndocumentation:\n	*  You must identify the modifications in a text file (preferably\n	   named \"CHANGES.TXT\") that you include with the documentation.\n	   That file must also include a statement like \"These modifications\n	   are licensed under the TAPR Open Hardware License.\"\n	*  You must include any new files you created, including any\n	   manufacturing files (such as Gerber files) you create in the\n	   course of making products.\n	*  You must include both \"before\" and \"after\" versions of all files\n	   you modified.\n	*  You may include files in proprietary formats, but you must also\n	   include open format versions (such as Gerber, ASCII, Postscript,\n	   or PDF) if your tools can create them.\n\nTERMS AND CONDITIONS\n\n1.   Introduction\n1.1  This Agreement governs how you may use, copy, modify, and\ndistribute Documentation, and how you may make, have made, and\ndistribute Products based on that Documentation.  As used in this\nAgreement, to \"distribute\" Documentation means to directly or indirectly\nmake copies available to a third party, and to \"distribute\" Products\nmeans to directly or indirectly give, loan, sell or otherwise transfer\nthem to a third party.\n\n1.2  \"Documentation\" includes:\n	 (a) schematic diagrams;\n	 (b) circuit or circuit board layouts, including Gerber and other\n		 data files used for manufacture;\n	 (c) mechanical drawings, including CAD, CAM, and other data files\n		 used for manufacture;\n	 (d) flow charts and descriptive text; and\n	 (e) other explanatory material.\nDocumentation may be in any tangible or intangible form of expression,\nincluding but not limited to computer files in open or proprietary\nformats and representations on paper, film, or other media.\n\n1.3  \"Products\" include:\n	 (a) circuit boards, mechanical assemblies, and other physical parts\n		 and components;\n	 (b) assembled or partially assembled units (including components\n		 and subassemblies); and\n	 (c) parts and components combined into kits intended for assembly\n		 by others;\nwhich are based in whole or in part on the Documentation.\n\n1.4  This Agreement applies to any Documentation which contains a\nnotice stating it is subject to the TAPR Open Hardware License, and to\nall Products based in whole or in part on that Documentation.  If\nDocumentation is distributed in an archive (such as a \"zip\" file) which\nincludes this document, all files in that archive are subject to this\nAgreement unless they are specifically excluded.  Each person who\ncontributes content to the Documentation is referred to in this\nAgreement as a \"Licensor.\"\n\n1.5  By (a) using, copying, modifying, or distributing the\nDocumentation, or (b) making or having Products made or distributing\nthem, you accept this Agreement, agree to comply with its terms, and\nbecome a \"Licensee.\"  Any activity inconsistent with this Agreement will\nautomatically terminate your rights under it (including the immunities\nfrom suit granted in Section 2), but the rights of others who have\nreceived Documentation, or have obtained Products, directly or\nindirectly from you will not be affected so long as they fully comply\nwith it themselves.\n\n1.6  This Agreement does not apply to software, firmware, or code\nloaded into programmable devices which may be used in conjunction with\nDocumentation or Products.  Such software is subject to the license\nterms established by its copyright holder(s).\n\n2.   Patents\n2.1  Each Licensor grants you, every other Licensee, and every\npossessor or user of Products a perpetual, worldwide, and royalty-free\nimmunity from suit under any patent, patent application, or other\nintellectual property right which he or she controls, to the extent\nnecessary to make, have made, possess, use, and distribute Products.\nThis immunity does not extend to infringement arising from modifications\nsubsequently made by others.\n\n2.2  If you make or have Products made, or distribute Documentation\nthat you have modified, you grant every Licensor, every other Licensee,\nand every possessor or user of Products a perpetual, worldwide, and\nroyalty-free immunity from suit under any patent, patent application, or\nother intellectual property right which you control, to the extent\nnecessary to make, have made, possess, use, and distribute Products.\nThis immunity does not extend to infringement arising from modifications\nsubsequently made by others.\n\n2.3  To avoid doubt, providing Documentation to a third party for the\nsole purpose of having that party make Products on your behalf is not\nconsidered \"distribution,\"\\\" and a third party's act of making Products\nsolely on your behalf does not cause that party to grant the immunity\ndescribed in the preceding paragraph.\n\n2.4  These grants of immunity are a material part of this Agreement,\nand form a portion of the consideration given by each party to the\nother.  If any court judgment or legal agreement prevents you from\ngranting the immunity required by this Section, your rights under this\nAgreement will terminate and you may no longer use, copy, modify or\ndistribute the Documentation, or make, have made, or distribute\nProducts.\n\n3.   Modifications\nYou may modify the Documentation, and those modifications will become\npart of the Documentation.  They are subject to this Agreement, as are\nProducts based in whole or in part on them.  If you distribute the\nmodified Documentation, or Products based in whole or in part upon it,\nyou must email the modified Documentation in a form compliant with\nSection 4 to each Licensor who has provided an email address with the\nDocumentation.  Attempting to send the email completes your obligations\nunder this Section and you need take no further action if any address\nfails.\n\n4.   Distributing Documentation\n4.1  You may distribute unmodified copies of the Documentation in its\nentirety in any medium, provided that you retain all copyright and other\nnotices (including references to this Agreement) included by each\nLicensor, and include an unaltered copy of this Agreement.\n4.2  You may distribute modified copies of the Documentation if you\ncomply with all the requirements of the preceding paragraph and:\n	 (a) include a prominent notice in an ASCII or other open format\n		 file identifying those elements of the Documentation that you\n		 changed, and stating that the modifications are licensed under\n		 the terms of this Agreement;\n	 (b) include all new documentation files that you create, as well as\n		 both the original and modified versions of each file you change\n		 (files may be in your development tool's native file format,\n		 but if reasonably possible, you must also include open format,\n		 such as Gerber, ASCII, Postscript, or PDF, versions);\n	 (c) do not change the terms of this Agreement with respect to\n		 subsequent licensees; and\n	 (d) if you make or have Products made, include in the Documentation\n		 all elements reasonably required to permit others to make\n		 Products, including Gerber, CAD/CAM and other files used for\n		 manufacture.\n\n5.   Making Products\n5.1  You may use the Documentation to make or have Products made,\nprovided that each Product retains any notices included by the Licensor\n(including, but not limited to, copyright notices on circuit boards).\n5.2  You may distribute Products you make or have made, provided that\nyou include with each unit a copy of the Documentation in a form\nconsistent with Section 4.  Alternatively, you may include either (i) an\noffer valid for at least three years to provide that Documentation, at\nno charge other than the reasonable cost of media and postage, to any\nperson who requests it; or (ii) a URL where that Documentation may be\ndownloaded, available for at least three years after you last distribute\nthe Product.\n\n6.   NEW LICENSE VERSIONS\nTAPR may publish updated versions of the OHL which retain the same\ngeneral provisions as the present version, but differ in detail to\naddress new problems or concerns, and carry a distinguishing version\nnumber.  If the Documentation specifies a version number which applies\nto it and \"any later version\", you may choose either that version or any\nlater version published by TAPR.  If the Documentation does not specify\na version number, you may choose any version ever published by TAPR.\nTAPR owns the copyright to the OHL, but grants permission to any person\nto copy, distribute, and use it in unmodified form.\n\n7.   WARRANTY AND LIABILITY LIMITATIONS\n7.1  THE DOCUMENTATION IS PROVIDED ON AN\"AS-IS\" BASIS WITHOUT\nWARRANTY OF ANY KIND, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  ALL\nWARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY\nWARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND\nTITLE, ARE HEREBY EXPRESSLY DISCLAIMED.\n7.2  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW WILL ANY LICENSOR\nBE LIABLE TO YOU OR ANY THIRD PARTY FOR ANY DIRECT, INDIRECT,\nINCIDENTAL, CONSEQUENTIAL, PUNITIVE, OR EXEMPLARY DAMAGES ARISING OUT OF\nTHE USE OF, OR INABILITY TO USE, THE DOCUMENTATION OR PRODUCTS,\nINCLUDING BUT NOT LIMITED TO CLAIMS OF INTELLECTUAL PROPERTY\nINFRINGEMENT OR LOSS OF DATA, EVEN IF THAT PARTY HAS BEEN ADVISED OF THE\nPOSSIBILITY OF SUCH DAMAGES.\n7.3  You agree that the foregoing limitations are reasonable due to\nthe non-financial nature of the transaction represented by this\nAgreement, and acknowledge that were it not for these limitations, the\nLicensor(s) would not be willing to make the Documentation available to\nyou.\n7.4  You agree to defend, indemnify, and hold each Licensor harmless\nfrom any claim brought by a third party alleging any defect in the\ndesign, manufacture, or operation of any Product which you make, have\nmade, or distribute pursuant to this Agreement.\n								 ####\n"
		self.standardLicenseTemplate = "<<beginOptional>>The TAPR Open Hardware License Version 1.0 (May 25, 2007)<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 2007 TAPR - http://www.tapr.org/OHL\";match=\".{0,5000}\">>\n\nPREAMBLE\n\nOpen Hardware is a thing - a physical artifact, either electrical or mechanical - whose design information is available to, and usable by, the public in a way that allows anyone to make, modify, distribute, and use that thing. In this preface, design information is called \"documentation\" and things created from it are called \"products.\"\n\nThe TAPR Open Hardware License (\"OHL\") agreement provides a legal framework for Open Hardware projects. It may be used for any kind of product, be it a hammer or a computer motherboard, and is TAPR's contribution to the community; anyone may use the OHL for their Open Hardware project.\n\nLike the GNU General Public License, the OHL is designed to guarantee your freedom to share and to create. It forbids anyone who receives rights under the OHL to deny any other licensee those same rights to copy, modify, and distribute documentation, and to make, use and distribute products based on that documentation.\n\nUnlike the GPL, the OHL is not primarily a copyright license. While copyright protects documentation from unauthorized copying, modification, and distribution, it has little to do with your right to make, distribute, or use a product based on that documentation. For better or worse, patents play a significant role in those activities. Although it does not prohibit anyone from patenting inventions embodied in an Open Hardware design, and of course cannot prevent a third party from enforcing their patent rights, those who benefit from an OHL design may not bring lawsuits claiming that design infringes their patents or other intellectual property.\n\nThe OHL addresses unique issues involved in the creation of tangible, physical things, but does not cover software, firmware, or code loaded into programmable devices. A copyright-oriented license such as the GPL better suits these creations.\n\nHow can you use the OHL, or a design based upon it? While the terms and conditions below take precedence over this preamble, here is a summary:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> You may modify the documentation and make products based upon it.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> You may use products for any legal purpose without limitation.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> You may distribute unmodified documentation, but you must include the complete package as you received it.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> You may distribute products you make to third parties, if you either include the documentation on which the product is based, or make it available without charge for at least three years to anyone who requests it.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> You may distribute modified documentation or products based on it, if you:\n\n	  <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> License your modifications under the OHL.\n\n	  <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Include those modifications, following the requirements stated below.\n\n	  <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Attempt to send the modified documentation by email to any of the developers who have provided their email address. This is a good faith obligation - if the email fails, you need do nothing more and may go on with your distribution.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> If you create a design that you want to license under the OHL, you should:\n\n	  <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Include this document in a file named LICENSE (with the appropriate extension) that is included in the documentation package.\n\n	  <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> If the file format allows, include a notice like \"Licensed under the TAPR Open Hardware License (www.tapr.org/OHL)\" in each documentation file. While not required, you should also include this notice on printed circuit board artwork and the product itself; if space is limited the notice can be shortened or abbreviated.\n\n	  <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Include a copyright notice in each file and on printed circuit board artwork.\n\n	  <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> If you wish to be notified of modifications that others may make, include your email address in a file named \"CONTRIB.TXT\" or something similar.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Any time the OHL requires you to make documentation available to others, you must include all the materials you received from the upstream licensors. In addition, if you have modified the documentation:\n\n	  <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> You must identify the modifications in a text file (preferably named \"CHANGES.TXT\") that you include with the documentation. That file must also include a statement like \"These modifications are licensed under the TAPR Open Hardware License.\"\n\n	  <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> You must include any new files you created, including any manufacturing files (such as Gerber files) you create in the course of making products.\n\n	  <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> You must include both \"before\" and \"after\" versions of all files you modified.\n\n	  <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> You may include files in proprietary formats, but you must also include open format versions (such as Gerber, ASCII, Postscript, or PDF) if your tools can create them.\n\nTERMS AND CONDITIONS\n\n1. Introduction\n\n   <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> This Agreement governs how you may use, copy, modify, and distribute Documentation, and how you may make, have made, and distribute Products based on that Documentation. As used in this Agreement, to \"distribute\" Documentation means to directly or indirectly make copies available to a third party, and to \"distribute\" Products means to directly or indirectly give, loan, sell or otherwise transfer them to a third party.\n\n   <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Documentation\" includes:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> schematic diagrams;\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> circuit or circuit board layouts, including Gerber and other data files used for manufacture;\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> mechanical drawings, including CAD, CAM, and other data files used for manufacture;\n\n	  <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> flow charts and descriptive text; and\n\n	  <<var;name=\"bullet\";original=\"(e)\";match=\".{0,20}\">> other explanatory material.\n\n   Documentation may be in any tangible or intangible form of expression, including but not limited to computer files in open or proprietary formats and representations on paper, film, or other media.\n\n   <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Products\" include:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> circuit boards, mechanical assemblies, and other physical parts and components;\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> assembled or partially assembled units (including components and subassemblies); and\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> parts and components combined into kits intended for assembly by others; which are based in whole or in part on the Documentation.\n\n   <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> This Agreement applies to any Documentation which contains a notice stating it is subject to the TAPR Open Hardware License, and to all Products based in whole or in part on that Documentation. If Documentation is distributed in an archive (such as a \"zip\" file) which includes this document, all files in that archive are subject to this Agreement unless they are specifically excluded. Each person who contributes content to the Documentation is referred to in this Agreement as a \"Licensor.\"\n\n   <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> By (a) using, copying, modifying, or distributing the Documentation, or (b) making or having Products made or distributing them, you accept this Agreement, agree to comply with its terms, and become a \"Licensee.\" Any activity inconsistent with this Agreement will automatically terminate your rights under it (including the immunities from suit granted in Section 2), but the rights of others who have received Documentation, or have obtained Products, directly or indirectly from you will not be affected so long as they fully comply with it themselves.\n\n   <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> This Agreement does not apply to software, firmware, or code loaded into programmable devices which may be used in conjunction with Documentation or Products. Such software is subject to the license terms established by its copyright holder(s).\n\n2. Patents\n\n   <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> Each Licensor grants you, every other Licensee, and every possessor or user of Products a perpetual, worldwide, and royalty-free immunity from suit under any patent, patent application, or other intellectual property right which he or she controls, to the extent necessary to make, have made, possess, use, and distribute Products. This immunity does not extend to infringement arising from modifications subsequently made by others.\n\n   <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> If you make or have Products made, or distribute Documentation that you have modified, you grant every Licensor, every other Licensee, and every possessor or user of Products a perpetual, worldwide, and royalty-free immunity from suit under any patent, patent application, or other intellectual property right which you control, to the extent necessary to make, have made, possess, use, and distribute Products. This immunity does not extend to infringement arising from modifications subsequently made by others.\n\n   <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> To avoid doubt, providing Documentation to a third party for the sole purpose of having that party make Products on your behalf is not considered \"distribution,\"\\\" and a third party's act of making Products solely on your behalf does not cause that party to grant the immunity described in the preceding paragraph.\n\n   <<var;name=\"bullet\";original=\"2.4\";match=\".{0,20}\">> These grants of immunity are a material part of this Agreement, and form a portion of the consideration given by each party to the other. If any court judgment or legal agreement prevents you from granting the immunity required by this Section, your rights under this Agreement will terminate and you may no longer use, copy, modify or distribute the Documentation, or make, have made, or distribute Products.\n\n3. Modifications\n\nYou may modify the Documentation, and those modifications will become part of the Documentation. They are subject to this Agreement, as are Products based in whole or in part on them. If you distribute the modified Documentation, or Products based in whole or in part upon it, you must email the modified Documentation in a form compliant with Section 4 to each Licensor who has provided an email address with the Documentation. Attempting to send the email completes your obligations under this Section and you need take no further action if any address fails.\n\n4. Distributing Documentation\n\n   <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> You may distribute unmodified copies of the Documentation in its entirety in any medium, provided that you retain all copyright and other notices (including references to this Agreement) included by each Licensor, and include an unaltered copy of this Agreement.\n\n   <<var;name=\"bullet\";original=\"4.2\";match=\".{0,20}\">> You may distribute modified copies of the Documentation if you comply with all the requirements of the preceding paragraph and:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> include a prominent notice in an ASCII or other open format file identifying those elements of the Documentation that you changed, and stating that the modifications are licensed under the terms of this Agreement;\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> include all new documentation files that you create, as well as both the original and modified versions of each file you change (files may be in your development tool's native file format, but if reasonably possible, you must also include open format, such as Gerber, ASCII, Postscript, or PDF, versions);\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> do not change the terms of this Agreement with respect to subsequent licensees; and\n\n	  <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> if you make or have Products made, include in the Documentation all elements reasonably required to permit others to make Products, including Gerber, CAD/CAM and other files used for manufacture.\n\n5. Making Products\n\n   <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> You may use the Documentation to make or have Products made, provided that each Product retains any notices included by the Licensor (including, but not limited to, copyright notices on circuit boards).\n\n   <<var;name=\"bullet\";original=\"5.2\";match=\".{0,20}\">> You may distribute Products you make or have made, provided that you include with each unit a copy of the Documentation in a form consistent with Section 4. Alternatively, you may include either (i) an offer valid for at least three years to provide that Documentation, at no charge other than the reasonable cost of media and postage, to any person who requests it; or (ii) a URL where that Documentation may be downloaded, available for at least three years after you last distribute the Product.\n\n6. NEW LICENSE VERSIONS\n\nTAPR may publish updated versions of the OHL which retain the same general provisions as the present version, but differ in detail to address new problems or concerns, and carry a distinguishing version number. If the Documentation specifies a version number which applies to it and \"any later version\", you may choose either that version or any later version published by TAPR. If the Documentation does not specify a version number, you may choose any version ever published by TAPR. TAPR owns the copyright to the OHL, but grants permission to any person to copy, distribute, and use it in unmodified form.\n\n7. WARRANTY AND LIABILITY LIMITATIONS\n\n   <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> THE DOCUMENTATION IS PROVIDED ON AN\"AS-IS\" BASIS WITHOUT WARRANTY OF ANY KIND, TO THE EXTENT PERMITTED BY APPLICABLE LAW. ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND TITLE, ARE HEREBY EXPRESSLY DISCLAIMED.\n\n   <<var;name=\"bullet\";original=\"7.2\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW WILL ANY LICENSOR BE LIABLE TO YOU OR ANY THIRD PARTY FOR ANY DIRECT, INDIRECT, INCIDENTAL, CONSEQUENTIAL, PUNITIVE, OR EXEMPLARY DAMAGES ARISING OUT OF THE USE OF, OR INABILITY TO USE, THE DOCUMENTATION OR PRODUCTS, INCLUDING BUT NOT LIMITED TO CLAIMS OF INTELLECTUAL PROPERTY INFRINGEMENT OR LOSS OF DATA, EVEN IF THAT PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.3\";match=\".{0,20}\">> You agree that the foregoing limitations are reasonable due to the non-financial nature of the transaction represented by this Agreement, and acknowledge that were it not for these limitations, the Licensor(s) would not be willing to make the Documentation available to you.\n\n   <<var;name=\"bullet\";original=\"7.4\";match=\".{0,20}\">> You agree to defend, indemnify, and hold each Licensor harmless from any claim brought by a third party alleging any defect in the design, manufacture, or operation of any Product which you make, have made, or distribute pursuant to this Agreement.\n\n####\n\n"
		self.name = "TAPR Open Hardware License v1.0"
		self.licenseId = "TAPR-OHL-1.0"
		self.crossRef = [{"match": "False", "url": "https://www.tapr.org/OHL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:34Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.tapr.org/OHL"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<var class=\"optional-license-text\"> The TAPR Open Hardware License\n				Version 1.0 (May 25, 2007)</var>\n			<var class=\"replaceable-license-text\"> Copyright 2007 TAPR - http://www.tapr.org/OHL</var>\n			<p>PREAMBLE</p>\n\n			<p>Open Hardware is a thing - a physical artifact, either electrical or\nmechanical - whose design information is available to, and usable by,\nthe public in a way that allows anyone to make, modify, distribute, and\nuse that thing.  In this preface, design information is called\n&quot;documentation&quot; and things created from it are called &quot;products.&quot;</p>\n\n			<p>\nThe TAPR Open Hardware License (&quot;OHL&quot;) agreement provides a legal\nframework for Open Hardware projects.  It may be used for any kind of\nproduct, be it a hammer or a computer motherboard, and is TAPR&apos;s\ncontribution to the community; anyone may use the OHL for their Open\nHardware project.</p>\n\n			<p>\nLike the GNU General Public License, the OHL is designed to guarantee\nyour freedom to share and to create.  It forbids anyone who receives\nrights under the OHL to deny any other licensee those same rights to\ncopy, modify, and distribute documentation, and to make, use and\ndistribute products based on that documentation.</p>\n\n			<p>\nUnlike the GPL, the OHL is not primarily a copyright license.  While\ncopyright protects documentation from unauthorized copying, modification,\nand distribution, it has little to do with your right to make, distribute,\nor use a product based on that documentation.  For better or worse, patents\nplay a significant role in those activities.  Although it does not prohibit\nanyone from patenting inventions embodied in an Open Hardware design, and\nof course cannot prevent a third party from enforcing their patent rights,\nthose who benefit from an OHL design may not bring lawsuits claiming that\ndesign infringes their patents or other intellectual property.</p>\n\n			<p>\nThe OHL addresses unique issues involved in the creation of tangible,\nphysical things, but does not cover software, firmware, or code loaded\ninto programmable devices.  A copyright-oriented license such as the GPL\nbetter suits these creations.</p>\n\n			<p>\nHow can you use the OHL, or a design based upon it?  While the terms and\nconditions below take precedence over this preamble, here is a summary:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var>  You may modify the documentation and make products based upon it.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var>  You may use products for any legal purpose without limitation.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var>  You may distribute unmodified documentation, but you must include the\ncomplete package as you received it.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var>  You may distribute products you make to third parties, if you either\ninclude the documentation on which the product is based, or make it\navailable without charge for at least three years to anyone who requests it.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var>  You may distribute modified documentation or products based on it, if\nyou:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> *</var>  License your modifications under the OHL.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> *</var>  Include those modifications, following the requirements stated\n	   below.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> *</var>  Attempt to send the modified documentation by email to any of the\ndevelopers who have provided their email address.  This is a good\n	   faith obligation - if the email fails, you need do nothing more\n	   and may go on with your distribution.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var>  If you create a design that you want to license under the OHL, you\nshould:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> *</var>  Include this document in a file named LICENSE (with the appropriate\n	   extension) that is included in the documentation package.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> *</var>  If the file format allows, include a notice like &quot;Licensed under\n	   the TAPR Open Hardware License (www.tapr.org/OHL)&quot; in each\n	   documentation file.  While not required, you should also include\n	   this notice on printed circuit board artwork and the product\n	   itself; if space is limited the notice can be shortened or\n	   abbreviated.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> *</var>  Include a copyright notice in each file and on printed circuit\n	   board artwork.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> *</var>  If you wish to be notified of modifications that others may make,\n	   include your email address in a file named &quot;CONTRIB.TXT&quot; or\n	   something similar.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var>  Any time the OHL requires you to make documentation available to\nothers, you must include all the materials you received from the\nupstream licensors.  In addition, if you have modified the\ndocumentation:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> *</var>  You must identify the modifications in a text file (preferably\n	   named &quot;CHANGES.TXT&quot;) that you include with the documentation.\n	   That file must also include a statement like &quot;These modifications\n	   are licensed under the TAPR Open Hardware License.&quot;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> *</var> You must include any new files you created, including any\n	   manufacturing files (such as Gerber files) you create in the\n	   course of making products.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> *</var> You must include both &quot;before&quot; and &quot;after&quot; versions of all files\n	   you modified.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> *</var> You may include files in proprietary formats, but you must also\n	   include open format versions (such as Gerber, ASCII, Postscript,\n	   or PDF) if your tools can create them.\n						</li>\n					\n</ul>\n				</li>\n			\n</ul>\n			<p>\nTERMS AND CONDITIONS\n			</p>\n\n			<p>\n1.   Introduction</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.1</var>  This Agreement governs how you may use, copy, modify, and\ndistribute Documentation, and how you may make, have made, and\ndistribute Products based on that Documentation.  As used in this\nAgreement, to &quot;distribute&quot; Documentation means to directly or indirectly\nmake copies available to a third party, and to &quot;distribute&quot; Products\nmeans to directly or indirectly give, loan, sell or otherwise transfer\n							them to a third party.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.2</var>  &quot;Documentation&quot; includes:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> (a)</var> schematic diagrams;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> (b)</var> circuit or circuit board layouts, including Gerber and other\n				data files used for manufacture;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> (c)</var> mechanical drawings, including CAD, CAM, and other data files\n		 used for manufacture;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> (d)</var> flow charts and descriptive text; and\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> (e)</var> other explanatory material.\n						</li>\n					\n</ul>\n					<p>Documentation may be in any tangible or intangible form of expression,\nincluding but not limited to computer files in open or proprietary\n	formats and representations on paper, film, or other media.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.3</var>  &quot;Products&quot; include:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> (a)</var> circuit boards, mechanical assemblies, and other physical parts\n	and components;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> (b)</var> assembled or partially assembled units (including components\n		and subassemblies); and\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> (c)</var> parts and components combined into kits intended for assembly\n		by others;\n						</li>\n					\n</ul>\n	which are based in whole or in part on the Documentation.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.4</var>  This Agreement applies to any Documentation which contains a\nnotice stating it is subject to the TAPR Open Hardware License, and to\nall Products based in whole or in part on that Documentation.  If\nDocumentation is distributed in an archive (such as a &quot;zip&quot; file) which\nincludes this document, all files in that archive are subject to this\nAgreement unless they are specifically excluded.  Each person who\ncontributes content to the Documentation is referred to in this\n	Agreement as a &quot;Licensor.&quot;\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.5</var>  By (a) using, copying, modifying, or distributing the\nDocumentation, or (b) making or having Products made or distributing\nthem, you accept this Agreement, agree to comply with its terms, and\nbecome a &quot;Licensee.&quot;  Any activity inconsistent with this Agreement will\nautomatically terminate your rights under it (including the immunities\nfrom suit granted in Section 2), but the rights of others who have\nreceived Documentation, or have obtained Products, directly or\nindirectly from you will not be affected so long as they fully comply\nwith it themselves.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.6</var>  This Agreement does not apply to software, firmware, or code\nloaded into programmable devices which may be used in conjunction with\nDocumentation or Products.  Such software is subject to the license\nterms established by its copyright holder(s).\n				</li>\n			\n</ul>\n			<p>\n2.   Patents</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.1</var>  Each Licensor grants you, every other Licensee, and every\npossessor or user of Products a perpetual, worldwide, and royalty-free\nimmunity from suit under any patent, patent application, or other\nintellectual property right which he or she controls, to the extent\nnecessary to make, have made, possess, use, and distribute Products.\nThis immunity does not extend to infringement arising from modifications\nsubsequently made by others.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.2</var>  If you make or have Products made, or distribute Documentation\nthat you have modified, you grant every Licensor, every other Licensee,\nand every possessor or user of Products a perpetual, worldwide, and\nroyalty-free immunity from suit under any patent, patent application, or\nother intellectual property right which you control, to the extent\nnecessary to make, have made, possess, use, and distribute Products.\nThis immunity does not extend to infringement arising from modifications\nsubsequently made by others.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.3</var>  To avoid doubt, providing Documentation to a third party for the\nsole purpose of having that party make Products on your behalf is not\nconsidered &quot;distribution,&quot;\\&quot; and a third party&apos;s act of making Products\nsolely on your behalf does not cause that party to grant the immunity\ndescribed in the preceding paragraph.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.4</var>  These grants of immunity are a material part of this Agreement,\nand form a portion of the consideration given by each party to the\nother.  If any court judgment or legal agreement prevents you from\ngranting the immunity required by this Section, your rights under this\nAgreement will terminate and you may no longer use, copy, modify or\ndistribute the Documentation, or make, have made, or distribute\nProducts.\n				</li>\n			\n</ul>\n			<p>\n3.   Modifications</p>\n\n			<p>You may modify the Documentation, and those modifications will become\npart of the Documentation.  They are subject to this Agreement, as are\nProducts based in whole or in part on them.  If you distribute the\nmodified Documentation, or Products based in whole or in part upon it,\nyou must email the modified Documentation in a form compliant with\nSection 4 to each Licensor who has provided an email address with the\nDocumentation.  Attempting to send the email completes your obligations\nunder this Section and you need take no further action if any address\nfails.</p>\n\n			<p>\n4.   Distributing Documentation</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.1</var>  You may distribute unmodified copies of the Documentation in its\nentirety in any medium, provided that you retain all copyright and other\nnotices (including references to this Agreement) included by each\nLicensor, and include an unaltered copy of this Agreement.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.2</var>  You may distribute modified copies of the Documentation if you\ncomply with all the requirements of the preceding paragraph and:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> (a)</var> include a prominent notice in an ASCII or other open format\n		 file identifying those elements of the Documentation that you\n		 changed, and stating that the modifications are licensed under\n		the terms of this Agreement;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> (b)</var> include all new documentation files that you create, as well as\n		 both the original and modified versions of each file you change\n		 (files may be in your development tool&apos;s native file format,\n		 but if reasonably possible, you must also include open format,\n		 such as Gerber, ASCII, Postscript, or PDF, versions);\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> (c)</var> do not change the terms of this Agreement with respect to\n		 subsequent licensees; and\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> (d)</var> if you make or have Products made, include in the Documentation\n		 all elements reasonably required to permit others to make\n		 Products, including Gerber, CAD/CAM and other files used for\n		manufacture.\n						</li>\n					\n</ul>\n				</li>\n			\n</ul>\n			<p>\n5.   Making Products</p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 5.1</var>  You may use the Documentation to make or have Products made,\nprovided that each Product retains any notices included by the Licensor\n(including, but not limited to, copyright notices on circuit boards).\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 5.2</var>  You may distribute Products you make or have made, provided that\nyou include with each unit a copy of the Documentation in a form\nconsistent with Section 4.  Alternatively, you may include either (i) an\noffer valid for at least three years to provide that Documentation, at\nno charge other than the reasonable cost of media and postage, to any\nperson who requests it; or (ii) a URL where that Documentation may be\ndownloaded, available for at least three years after you last distribute\nthe Product.\n					</li>\n				\n</ul>\n				<p>\n6.   NEW LICENSE VERSIONS</p>\n\n				<p>\nTAPR may publish updated versions of the OHL which retain the same\ngeneral provisions as the present version, but differ in detail to\naddress new problems or concerns, and carry a distinguishing version\nnumber.  If the Documentation specifies a version number which applies\nto it and &quot;any later version&quot;, you may choose either that version or any\nlater version published by TAPR.  If the Documentation does not specify\na version number, you may choose any version ever published by TAPR.\nTAPR owns the copyright to the OHL, but grants permission to any person\nto copy, distribute, and use it in unmodified form.</p>\n\n				<p>\n7.   WARRANTY AND LIABILITY LIMITATIONS</p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 7.1</var>  THE DOCUMENTATION IS PROVIDED ON AN&quot;AS-IS&quot; BASIS WITHOUT\nWARRANTY OF ANY KIND, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  ALL\nWARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY\nWARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND\nTITLE, ARE HEREBY EXPRESSLY DISCLAIMED.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 7.2</var> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW WILL ANY LICENSOR\nBE LIABLE TO YOU OR ANY THIRD PARTY FOR ANY DIRECT, INDIRECT,\nINCIDENTAL, CONSEQUENTIAL, PUNITIVE, OR EXEMPLARY DAMAGES ARISING OUT OF\nTHE USE OF, OR INABILITY TO USE, THE DOCUMENTATION OR PRODUCTS,\nINCLUDING BUT NOT LIMITED TO CLAIMS OF INTELLECTUAL PROPERTY\nINFRINGEMENT OR LOSS OF DATA, EVEN IF THAT PARTY HAS BEEN ADVISED OF THE\n	POSSIBILITY OF SUCH DAMAGES.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 7.3</var> You agree that the foregoing limitations are reasonable due to\nthe non-financial nature of the transaction represented by this\nAgreement, and acknowledge that were it not for these limitations, the\nLicensor(s) would not be willing to make the Documentation available to\nyou.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 7.4</var>  You agree to defend, indemnify, and hold each Licensor harmless\nfrom any claim brought by a third party alleging any defect in the\ndesign, manufacture, or operation of any Product which you make, have\nmade, or distribute pursuant to this Agreement.\n					</li>\n				\n</ul>\n				<p>\n								 ####</p>\n\n			"
		self.python_name = "TAPROHL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class LGPL21orlater:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 2.1, February 1999\n\nCopyright (C) 1991, 1999 Free Software Foundation, Inc.\n51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the Lesser GPL.  It also counts as the successor of the GNU Library Public License, version 2, hence the version number 2.1.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Lesser General Public License, applies to some specially designated software packages--typically libraries--of the Free Software Foundation and other authors who decide to use it. You can use it too, but we suggest you first think carefully about whether this license or the ordinary General Public License is the better strategy to use in any particular case, based on the explanations below.\n\nWhen we speak of free software, we are referring to freedom of use, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish); that you receive source code or can get it if you want it; that you can change the software and use pieces of it in new free programs; and that you are informed that you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid distributors to deny you these rights or to ask you to surrender these rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link other code with the library, you must provide complete object files to the recipients, so that they can relink them with the library after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nWe protect your rights with a two-step method: (1) we copyright the library, and (2) we offer you this license, which gives you legal permission to copy, distribute and/or modify the library.\n\nTo protect each distributor, we want to make it very clear that there is no warranty for the free library. Also, if the library is modified by someone else and passed on, the recipients should know that what they have is not the original version, so that the original author's reputation will not be affected by problems that might be introduced by others.\n\nFinally, software patents pose a constant threat to the existence of any free program. We wish to make sure that a company cannot effectively restrict the users of a free program by obtaining a restrictive license from a patent holder. Therefore, we insist that any patent license obtained for a version of the library must be consistent with the full freedom of use specified in this license.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License. This license, the GNU Lesser General Public License, applies to certain designated libraries, and is quite different from the ordinary General Public License. We use this license for certain libraries in order to permit linking those libraries into non-free programs.\n\nWhen a program is linked with a library, whether statically or using a shared library, the combination of the two is legally speaking a combined work, a derivative of the original library. The ordinary General Public License therefore permits such linking only if the entire combination fits its criteria of freedom. The Lesser General Public License permits more lax criteria for linking other code with the library.\n\nWe call this license the \"Lesser\" General Public License because it does Less to protect the user's freedom than the ordinary General Public License. It also provides other free software developers Less of an advantage over competing non-free programs. These disadvantages are the reason we use the ordinary General Public License for many libraries. However, the Lesser license provides advantages in certain special circumstances.\n\nFor example, on rare occasions, there may be a special need to encourage the widest possible use of a certain library, so that it becomes a de-facto standard. To achieve this, non-free programs must be allowed to use the library. A more frequent case is that a free library does the same job as widely used non-free libraries. In this case, there is little to gain by limiting the free library to free software only, so we use the Lesser General Public License.\n\nIn other cases, permission to use a particular library in non-free programs enables a greater number of people to use a large body of free software. For example, permission to use the GNU C Library in non-free programs enables many more people to use the whole GNU operating system, as well as its variant, the GNU/Linux operating system.\n\nAlthough the Lesser General Public License is Less protective of the users' freedom, it does ensure that the user of a program that is linked with the Library has the freedom and the wherewithal to run that program using a modified version of the Library.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, whereas the latter must be combined with the library in order to run.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any software library or other program which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\nA \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\nThe \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n\"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\nActivities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n1. You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\nYou may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	 a) The modified work must itself be a software library.\n\n	 b) You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	 c) You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	 d) If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n(For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\nThese requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\nThus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\nIn addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n3. You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\nOnce this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\nThis option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n4. You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\nIf distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n5. A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\nHowever, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\nWhen a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\nIf such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\nOtherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n6. As an exception to the Sections above, you may also combine or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\nYou must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	 a) Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	 b) Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (1) uses at run time a copy of the library already present on the user's computer system, rather than copying library functions into the executable, and (2) will operate properly with a modified version of the library, if the user installs one, as long as the modified version is interface-compatible with the version that the work was made with.\n\n	 c) Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	 d) If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	 e) Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\nFor an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\nIt may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n7. You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	 a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	 b) Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n8. You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n9. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n10. Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.\n\n11. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\nIf any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\nThis section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n12. If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n13. The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n14. If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 one line to give the library's name and an idea of what it does.\n	 Copyright (C) year  name of author\n\n	 This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.\n\n	 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.\n\n	 You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA Also add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\nthe library `Frob' (a library for tweaking knobs) written\nby James Random Hacker.\n\nsignature of Ty Coon, 1 April 1990\nTy Coon, President of Vice\nThat's all there is to it!\n"
		self.standardLicenseHeaderTemplate = "<<var;name=\"description\";original=\"<one line to give the library's name and an idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"<year> <name of author>\";match=\".+\">>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 2.1, February 1999\n\n<<endOptional>>\n\nCopyright (C) 1991, 1999 Free Software Foundation, Inc.\n\n51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the Lesser GPL. It also counts as the successor of the GNU Library Public License, version 2, hence the version number 2.1.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Lesser General Public License, applies to some specially designated software packages--typically libraries--of the Free Software Foundation and other authors who decide to use it. You can use it too, but we suggest you first think carefully about whether this license or the ordinary General Public License is the better strategy to use in any particular case, based on the explanations below.\n\nWhen we speak of free software, we are referring to freedom of use, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish); that you receive source code or can get it if you want it; that you can change the software and use pieces of it in new free programs; and that you are informed that you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid distributors to deny you these rights or to ask you to surrender these rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link other code with the library, you must provide complete object files to the recipients, so that they can relink them with the library after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nWe protect your rights with a two-step method: (1) we copyright the library, and (2) we offer you this license, which gives you legal permission to copy, distribute and/or modify the library.\n\nTo protect each distributor, we want to make it very clear that there is no warranty for the free library. Also, if the library is modified by someone else and passed on, the recipients should know that what they have is not the original version, so that the original author's reputation will not be affected by problems that might be introduced by others.\n\nFinally, software patents pose a constant threat to the existence of any free program. We wish to make sure that a company cannot effectively restrict the users of a free program by obtaining a restrictive license from a patent holder. Therefore, we insist that any patent license obtained for a version of the library must be consistent with the full freedom of use specified in this license.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License. This license, the GNU Lesser General Public License, applies to certain designated libraries, and is quite different from the ordinary General Public License. We use this license for certain libraries in order to permit linking those libraries into non-free programs.\n\nWhen a program is linked with a library, whether statically or using a shared library, the combination of the two is legally speaking a combined work, a derivative of the original library. The ordinary General Public License therefore permits such linking only if the entire combination fits its criteria of freedom. The Lesser General Public License permits more lax criteria for linking other code with the library.\n\nWe call this license the \"Lesser\" General Public License because it does Less to protect the user's freedom than the ordinary General Public License. It also provides other free software developers Less of an advantage over competing non-free programs. These disadvantages are the reason we use the ordinary General Public License for many libraries. However, the Lesser license provides advantages in certain special circumstances.\n\nFor example, on rare occasions, there may be a special need to encourage the widest possible use of a certain library, so that it becomes a de-facto standard. To achieve this, non-free programs must be allowed to use the library. A more frequent case is that a free library does the same job as widely used non-free libraries. In this case, there is little to gain by limiting the free library to free software only, so we use the Lesser General Public License.\n\nIn other cases, permission to use a particular library in non-free programs enables a greater number of people to use a large body of free software. For example, permission to use the GNU C Library in non-free programs enables many more people to use the whole GNU operating system, as well as its variant, the GNU/Linux operating system.\n\nAlthough the Lesser General Public License is Less protective of the users' freedom, it does ensure that the user of a program that is linked with the Library has the freedom and the wherewithal to run that program using a modified version of the Library.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, whereas the latter must be combined with the library in order to run.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License Agreement applies to any software library or other program which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\n   A \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\n   The \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n   \"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The modified work must itself be a software library.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n   (For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\n   In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\n   Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\n   This option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\n   If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\n   However, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\n   When a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\n   If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\n   Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> As an exception to the Sections above, you may also combine or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\n   You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (1) uses at run time a copy of the library already present on the user's computer system, rather than copying library functions into the executable, and (2) will operate properly with a modified version of the library, if the user installs one, as long as the modified version is interface-compatible with the version that the work was made with.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\n   For an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<var;name=\"description\";original=\"<one line to give the library's name and an idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"<year> <name of author>\";match=\".+\">>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\nAlso add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\n\nthe library `Frob' (a library for tweaking knobs) written\n\nby James Random Hacker.\n\n<<beginOptional>><<<endOptional>> signature of Ty Coon<<beginOptional>> ><<endOptional>> , 1 April 1990\n\nTy Coon, President of Vice\n\nThat's all there is to it!\n\n<<endOptional>>"
		self.name = "GNU Lesser General Public License v2.1 or later"
		self.licenseComments = "This license was released: February 1999. This license identifier refers to the choice to use code under LGPL-2.1-or-later (i.e., LGPL-2.1 or some later version), as distinguished from use of code under LGPL-2.1-only. The license notice (as seen in the Standard License Header field below) states which of these applies the code in the file. The example in the exhibit to the license shows the license notice for the \"or later\" approach."
		self.licenseId = "LGPL-2.1-or-later"
		self.standardLicenseHeader = "<one line to give the library's name and an idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/lgpl-2.1-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:31Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/LGPL-2.1", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:13:31Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/lgpl-2.1-standalone.html", "https://opensource.org/licenses/LGPL-2.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU LESSER GENERAL PUBLIC LICENSE\n	  </p>\n\n	  <p>\n		Version 2.1, February 1999\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 1991, 1999 Free Software Foundation, Inc.<br />\n\n	  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  [This is the first released version of the Lesser GPL.\n	  It also counts as the successor of the GNU Library\n	  Public License, version 2, hence the version number 2.1.]\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The licenses for most software are designed to take away your\n	  freedom to share and change it. By contrast, the GNU General Public\n	  Licenses are intended to guarantee your freedom to share and change\n	  free software--to make sure the software is free for all its users.\n	</p>\n\n	<p>\n	  This license, the Lesser General Public License, applies to some\n	  specially designated software packages--typically libraries--of the\n	  Free Software Foundation and other authors who decide to use it. You\n	  can use it too, but we suggest you first think carefully about whether\n	  this license or the ordinary General Public License is the better\n	  strategy to use in any particular case, based on the explanations below.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom of use, not\n	  price. Our General Public Licenses are designed to make sure that you\n	  have the freedom to distribute copies of free software (and charge for\n	  this service if you wish); that you receive source code or can get it if\n	  you want it; that you can change the software and use pieces of it in new\n	  free programs; and that you are informed that you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to make restrictions that forbid\n	  distributors to deny you these rights or to ask you to surrender\n	  these rights. These restrictions translate to certain responsibilities\n	  for you if you distribute copies of the library or if you modify it.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of the library, whether gratis\n	  or for a fee, you must give the recipients all the rights that we\n	  gave you. You must make sure that they, too, receive or can get the\n	  source code. If you link other code with the library, you must provide\n	  complete object files to the recipients, so that they can relink them\n	  with the library after making changes to the library and recompiling\n	  it. And you must show them these terms so they know their rights.\n	</p>\n\n	<p>\n	  We protect your rights with a two-step method: (1) we copyright\n	  the library, and (2) we offer you this license, which gives you\n	  legal permission to copy, distribute and/or modify the library.\n	</p>\n\n	<p>\n	  To protect each distributor, we want to make it very clear that there\n	  is no warranty for the free library. Also, if the library is modified\n	  by someone else and passed on, the recipients should know that what they\n	  have is not the original version, so that the original author&apos;s reputation\n	  will not be affected by problems that might be introduced by others.\n	</p>\n\n	<p>\n	  Finally, software patents pose a constant threat to the existence\n	  of any free program. We wish to make sure that a company cannot\n	  effectively restrict the users of a free program by obtaining a\n	  restrictive license from a patent holder. Therefore, we insist that\n	  any patent license obtained for a version of the library must be\n	  consistent with the full freedom of use specified in this license.\n	</p>\n\n	<p>\n	  Most GNU software, including some libraries, is covered by\n	  the ordinary GNU General Public License. This license, the GNU\n	  Lesser General Public License, applies to certain designated\n	  libraries, and is quite different from the ordinary General\n	  Public License. We use this license for certain libraries in\n	  order to permit linking those libraries into non-free programs.\n	</p>\n\n	<p>\n	  When a program is linked with a library, whether statically or using\n	  a shared library, the combination of the two is legally speaking a\n	  combined work, a derivative of the original library. The ordinary\n	  General Public License therefore permits such linking only if the entire\n	  combination fits its criteria of freedom. The Lesser General Public\n	  License permits more lax criteria for linking other code with the library.\n	</p>\n\n	<p>\n	  We call this license the &quot;Lesser&quot; General Public License\n	  because it does Less to protect the user&apos;s freedom than the\n	  ordinary General Public License. It also provides other free\n	  software developers Less of an advantage over competing non-free\n	  programs. These disadvantages are the reason we use the ordinary\n	  General Public License for many libraries. However, the Lesser\n	  license provides advantages in certain special circumstances.\n	</p>\n\n	<p>\n	  For example, on rare occasions, there may be a special need to\n	  encourage the widest possible use of a certain library, so that\n	  it becomes a de-facto standard. To achieve this, non-free programs\n	  must be allowed to use the library. A more frequent case is that a\n	  free library does the same job as widely used non-free libraries.\n	  In this case, there is little to gain by limiting the free library\n	  to free software only, so we use the Lesser General Public License.\n	</p>\n\n	<p>\n	  In other cases, permission to use a particular library in non-free\n	  programs enables a greater number of people to use a large body of free\n	  software. For example, permission to use the GNU C Library in non-free\n	  programs enables many more people to use the whole GNU operating\n	  system, as well as its variant, the GNU/Linux operating system.\n	</p>\n\n	<p>\n	  Although the Lesser General Public License is Less protective of\n	  the users&apos; freedom, it does ensure that the user of a program that\n	  is linked with the Library has the freedom and the wherewithal\n	  to run that program using a modified version of the Library.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying, distribution and\n	  modification follow. Pay close attention to the difference between\n	  a &quot;work based on the library&quot; and a &quot;work that uses the library&quot;.\n	  The former contains code derived from the library, whereas\n	  the latter must be combined with the library in order to run.\n	</p>\n\n	<p>\n	  TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		This License Agreement applies to any software library or\n		other program which contains a notice placed by the copyright\n		holder or other authorized party saying it may be distributed\n		under the terms of this Lesser General Public License (also\n		called &quot;this License&quot;). Each licensee is addressed as &quot;you&quot;.\n		<p>\n		  A &quot;library&quot; means a collection of software functions and/or data\n		  prepared so as to be conveniently linked with application programs\n		  (which use some of those functions and data) to form executables.\n		</p>\n\n		<p>\n		  The &quot;Library&quot;, below, refers to any such software library or work\n		  which has been distributed under these terms. A &quot;work based on\n		  the Library&quot; means either the Library or any derivative work under\n		  copyright law: that is to say, a work containing the Library or a\n		  portion of it, either verbatim or with modifications and/or translated\n		  straightforwardly into another language. (Hereinafter, translation\n		  is included without limitation in the term &quot;modification&quot;.)\n		</p>\n\n		<p>\n		  &quot;Source code&quot; for a work means the preferred form of the work\n		  for making modifications to it. For a library, complete source\n		  code means all the source code for all modules it contains,\n		  plus any associated interface definition files, plus the scripts\n		  used to control compilation and installation of the library.\n		</p>\n\n		<p>\n		  Activities other than copying, distribution and modification are\n		  not covered by this License; they are outside its scope. The act of\n		  running a program using the Library is not restricted, and output\n		  from such a program is covered only if its contents constitute a\n		  work based on the Library (independent of the use of the Library\n		  in a tool for writing it). Whether that is True depends on what\n		  the Library does and what the program that uses the Library does.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		You may copy and distribute verbatim copies of the Library&apos;s complete\n		source code as you receive it, in any medium, provided that you\n		conspicuously and appropriately publish on each copy an appropriate\n		copyright notice and disclaimer of warranty; keep intact all the\n		notices that refer to this License and to the absence of any warranty;\n		and distribute a copy of this License along with the Library.\n		<p>\n		  You may charge a fee for the physical act of\n		  transferring a copy, and you may at your option\n		  offer warranty protection in exchange for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		You may modify your copy or copies of the Library or any portion\n		of it, thus forming a work based on the Library, and copy and\n		distribute such modifications or work under the terms of Section\n		1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			The modified work must itself be a software library.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			You must cause the files modified to carry prominent notices\n			stating that you changed the files and the date of any change.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			You must cause the whole of the work to be licensed at no\n			charge to all third parties under the terms of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If a facility in the modified Library refers to a function\n			or a table of data to be supplied by an application program\n			that uses the facility, other than as an argument passed\n			when the facility is invoked, then you must make a good faith\n			effort to ensure that, in the event an application does not\n			supply such function or table, the facility still operates,\n			and performs whatever part of its purpose remains meaningful.\n		  </li>\n		\n</ul>\n		<p>\n		  (For example, a function in a library to compute square roots\n		  has a purpose that is entirely well-defined independent of\n		  the application. Therefore, Subsection 2d requires that any\n		  application-supplied function or table used by this function\n		  must be optional: if the application does not supply it,\n		  the square root function must still compute square roots.)\n		</p>\n\n		<p>\n		  These requirements apply to the modified work as a whole. If\n		  identifiable sections of that work are not derived from the\n		  Library, and can be reasonably considered independent and separate\n		  works in themselves, then this License, and its terms, do not\n		  apply to those sections when you distribute them as separate\n		  works. But when you distribute the same sections as part of a\n		  whole which is a work based on the Library, the distribution\n		  of the whole must be on the terms of this License, whose\n		  permissions for other licensees extend to the entire whole,\n		  and thus to each and every part regardless of who wrote it.\n		</p>\n\n		<p>\n		  Thus, it is not the intent of this section to claim rights or\n		  contest your rights to work written entirely by you; rather,\n		  the intent is to exercise the right to control the distribution\n		  of derivative or collective works based on the Library.\n		</p>\n\n		<p>\n		  In addition, mere aggregation of another work not based on\n		  the Library with the Library (or with a work based on the\n		  Library) on a volume of a storage or distribution medium does\n		  not bring the other work under the scope of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		You may opt to apply the terms of the ordinary GNU General\n		Public License instead of this License to a given copy of the\n		Library. To do this, you must alter all the notices that refer\n		to this License, so that they refer to the ordinary GNU General\n		Public License, version 2, instead of to this License. (If a\n		newer version than version 2 of the ordinary GNU General Public\n		License has appeared, then you can specify that version instead\n		if you wish.) Do not make any other change in these notices.\n		<p>\n		  Once this change is made in a given copy, it is irreversible for\n		  that copy, so the ordinary GNU General Public License applies to\n		  all subsequent copies and derivative works made from that copy.\n		</p>\n\n		<p>\n		  This option is useful when you wish to copy part of the\n		  code of the Library into a program that is not a library.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		You may copy and distribute the Library (or a portion or derivative\n		of it, under Section 2) in object code or executable form under\n		the terms of Sections 1 and 2 above provided that you accompany\n		it with the complete corresponding machine-readable source code,\n		which must be distributed under the terms of Sections 1 and 2\n		above on a medium customarily used for software interchange.\n		<p>\n		  If distribution of object code is made by offering access to copy\n		  from a designated place, then offering equivalent access to copy\n		  the source code from the same place satisfies the requirement\n		  to distribute the source code, even though third parties are\n		  not compelled to copy the source along with the object code.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		A program that contains no derivative of any portion of the\n		Library, but is designed to work with the Library by being compiled\n		or linked with it, is called a &quot;work that uses the Library&quot;.\n		Such a work, in isolation, is not a derivative work of the\n		Library, and therefore falls outside the scope of this License.\n		<p>\n		  However, linking a &quot;work that uses the Library&quot; with the Library\n		  creates an executable that is a derivative of the Library (because\n		  it contains portions of the Library), rather than a &quot;work that uses\n		  the library&quot;. The executable is therefore covered by this License.\n		  Section 6 states terms for distribution of such executables.\n		</p>\n\n		<p>\n		  When a &quot;work that uses the Library&quot; uses material from a header\n		  file that is part of the Library, the object code for the work may\n		  be a derivative work of the Library even though the source code is\n		  not. Whether this is True is especially significant if the work can\n		  be linked without the Library, or if the work is itself a library.\n		  The threshold for this to be True is not precisely defined by law.\n		</p>\n\n		<p>\n		  If such an object file uses only numerical parameters, data\n		  structure layouts and accessors, and small macros and small inline\n		  functions (ten lines or less in length), then the use of the\n		  object file is unrestricted, regardless of whether it is legally\n		  a derivative work. (Executables containing this object code\n		  plus portions of the Library will still fall under Section 6.)\n		</p>\n\n		<p>\n		  Otherwise, if the work is a derivative of the Library, you may\n		  distribute the object code for the work under the terms of Section\n		  6. Any executables containing that work also fall under Section 6,\n		  whether or not they are linked directly with the Library itself.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		As an exception to the Sections above, you may also combine or\n		link a &quot;work that uses the Library&quot; with the Library to produce\n		a work containing portions of the Library, and distribute\n		that work under terms of your choice, provided that the terms\n		permit modification of the work for the customer&apos;s own use\n		and reverse engineering for debugging such modifications.\n		<p>\n		  You must give prominent notice with each copy of the work\n		  that the Library is used in it and that the Library and its\n		  use are covered by this License. You must supply a copy of\n		  this License. If the work during execution displays copyright\n		  notices, you must include the copyright notice for the Library\n		  among them, as well as a reference directing the user to the\n		  copy of this License. Also, you must do one of these things:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany the work with the complete corresponding machine-readable\n			source code for the Library including whatever changes were used in\n			the work (which must be distributed under Sections 1 and 2 above);\n			and, if the work is an executable linked with the Library, with the\n			complete machine-readable &quot;work that uses the Library&quot;, as object\n			code and/or source code, so that the user can modify the Library\n			and then relink to produce a modified executable containing the\n			modified Library. (It is understood that the user who changes the\n			contents of definitions files in the Library will not necessarily be\n			able to recompile the application to use the modified definitions.)\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Use a suitable shared library mechanism for linking with the\n			Library. A suitable mechanism is one that (1) uses at run time a\n			copy of the library already present on the user&apos;s computer system,\n			rather than copying library functions into the executable, and\n			(2) will operate properly with a modified version of the library,\n			if the user installs one, as long as the modified version is\n			interface-compatible with the version that the work was made with.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Accompany the work with a written offer, valid for at\n			least three years, to give the same user the materials\n			specified in Subsection 6a, above, for a charge no\n			more than the cost of performing this distribution.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If distribution of the work is made by offering access to\n			copy from a designated place, offer equivalent access to\n			copy the above specified materials from the same place.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Verify that the user has already received a copy of these\n			materials or that you have already sent this user a copy.\n		  </li>\n		\n</ul>\n		<p>\n		  For an executable, the required form of the &quot;work that uses\n		  the Library&quot; must include any data and utility programs needed\n		  for reproducing the executable from it. However, as a special\n		  exception, the materials to be distributed need not include\n		  anything that is normally distributed (in either source or\n		  binary form) with the major components (compiler, kernel,\n		  and so on) of the operating system on which the executable\n		  runs, unless that component itself accompanies the executable.\n		</p>\n\n		<p>\n		  It may happen that this requirement contradicts the\n		  license restrictions of other proprietary libraries that\n		  do not normally accompany the operating system. Such\n		  a contradiction means you cannot use both them and the\n		  Library together in an executable that you distribute.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		You may place library facilities that are a work based on the\n		Library side-by-side in a single library together with other library\n		facilities not covered by this License, and distribute such a\n		combined library, provided that the separate distribution of the\n		work based on the Library and of the other library facilities is\n		otherwise permitted, and provided that you do these two things:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany the combined library with a copy of the same work based\n			on the Library, uncombined with any other library facilities.\n			This must be distributed under the terms of the Sections above.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Give prominent notice with the combined library of the fact\n			that part of it is a work based on the Library, and explaining\n			where to find the accompanying uncombined form of the same work.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		You may not copy, modify, sublicense, link with, or distribute the\n		Library except as expressly provided under this License. Any attempt\n		otherwise to copy, modify, sublicense, link with, or distribute\n		the Library is void, and will automatically terminate your rights\n		under this License. However, parties who have received copies, or\n		rights, from you under this License will not have their licenses\n		terminated so long as such parties remain in full compliance.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		You are not required to accept this License, since you have\n		not signed it. However, nothing else grants you permission to\n		modify or distribute the Library or its derivative works. These\n		actions are prohibited by law if you do not accept this License.\n		Therefore, by modifying or distributing the Library (or any\n		work based on the Library), you indicate your acceptance of this\n		License to do so, and all its terms and conditions for copying,\n		distributing or modifying the Library or works based on it.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		Each time you redistribute the Library (or any work based on\n		the Library), the recipient automatically receives a license\n		from the original licensor to copy, distribute, link with or\n		modify the Library subject to these terms and conditions. You\n		may not impose any further restrictions on the recipients&apos;\n		exercise of the rights granted herein. You are not responsible\n		for enforcing compliance by third parties with this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		If, as a consequence of a court judgment or allegation of patent\n		infringement or for any other reason (not limited to patent issues),\n		conditions are imposed on you (whether by court order, agreement\n		or otherwise) that contradict the conditions of this License,\n		they do not excuse you from the conditions of this License. If you\n		cannot distribute so as to satisfy simultaneously your obligations\n		under this License and any other pertinent obligations, then as a\n		consequence you may not distribute the Library at all. For example,\n		if a patent license would not permit royalty-free redistribution of\n		the Library by all those who receive copies directly or indirectly\n		through you, then the only way you could satisfy both it and this\n		License would be to refrain entirely from distribution of the Library.\n		<p>\n		  If any portion of this section is held invalid or\n		  unenforceable under any particular circumstance, the\n		  balance of the section is intended to apply, and the section\n		  as a whole is intended to apply in other circumstances.\n		</p>\n\n		<p>\n		  It is not the purpose of this section to induce you to infringe\n		  any patents or other property right claims or to contest\n		  validity of any such claims; this section has the sole purpose\n		  of protecting the integrity of the free software distribution\n		  system which is implemented by public license practices. Many\n		  people have made generous contributions to the wide range of\n		  software distributed through that system in reliance on consistent\n		  application of that system; it is up to the author/donor to\n		  decide if he or she is willing to distribute software through\n		  any other system and a licensee cannot impose that choice.\n		</p>\n\n		<p>\n		  This section is intended to make thoroughly clear what is\n		  believed to be a consequence of the rest of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		If the distribution and/or use of the Library is restricted in\n		certain countries either by patents or by copyrighted interfaces,\n		the original copyright holder who places the Library under this\n		License may add an explicit geographical distribution limitation\n		excluding those countries, so that distribution is permitted only\n		in or among countries not thus excluded. In such case, this License\n		incorporates the limitation as if written in the body of this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 13.</var>\n		The Free Software Foundation may publish revised and/or new\n		versions of the Lesser General Public License from time to time.\n		Such new versions will be similar in spirit to the present version,\n		but may differ in detail to address new problems or concerns.\n		<p>\n		  Each version is given a distinguishing version number. If\n		  the Library specifies a version number of this License which\n		  applies to it and &quot;any later version&quot;, you have the option of\n		  following the terms and conditions either of that version or of\n		  any later version published by the Free Software Foundation. If\n		  the Library does not specify a license version number, you may\n		  choose any version ever published by the Free Software Foundation.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 14.</var>\n		If you wish to incorporate parts of the Library into other free programs\n		whose distribution conditions are incompatible with these, write to\n		the author to ask for permission. For software which is copyrighted by\n		the Free Software Foundation, write to the Free Software Foundation; we\n		sometimes make exceptions for this. Our decision will be guided by the\n		two goals of preserving the free status of all derivatives of our free\n		software and of promoting the sharing and reuse of software generally.\n		<p>\n		  NO WARRANTY\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 15.</var>\n		BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\n		FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT\n		WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER\n		PARTIES PROVIDE THE LIBRARY &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND,\n		EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\n		IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\n		THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU\n		ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 16.</var>\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n		REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR\n		DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL\n		DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY\n		(INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\n		INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF\n		THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER\n		OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Libraries\n	  </p>\n\n	  <p>\n		If you develop a new library, and you want it to be of the greatest\n		possible use to the public, we recommend making it free software\n		that everyone can redistribute and change. You can do so by\n		permitting redistribution under these terms (or, alternatively,\n		under the terms of the ordinary General Public License).\n	  </p>\n\n	  <p>\n		To apply these terms, attach the following notices to the\n		library. It is safest to attach them to the start of each\n		source file to most effectively convey the exclusion of\n		warranty; and each file should have at least the &quot;copyright&quot;\n		line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p><var class=\"replaceable-license-text\"> &lt;one line to give the library&apos;s name and an idea of what it does.&gt;</var><br />\n\n	  Copyright (C) <var class=\"replaceable-license-text\"> &lt;year&gt; &lt;name of author&gt;</var></p>\n\n	  <p>\n		This library is free software; you can redistribute it and/or\n		modify it under the terms of the GNU Lesser General Public\n		License as published by the Free Software Foundation; either\n		version 2.1 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This library is distributed in the hope that it will be useful,\n		but WITHOUT ANY WARRANTY; without even the implied warranty\n		of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n		See the GNU Lesser General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU Lesser General Public License\n		along with this library; if not, write to the Free Software Foundation,\n		Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n	  </p>\n\n	  <p>\n		Also add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or your school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the library, if necessary. Here is a sample; alter the names:\n	  </p>\n\n	  <p>\n		Yoyodyne, Inc., hereby disclaims all copyright interest in<br />\n\n		the library `Frob&apos; (a library for tweaking knobs) written<br />\n\n		by James Random Hacker.\n	  </p>\n\n	  <p>\n\t<var class=\"optional-license-text\"> &lt;</var>signature of Ty Coon<var class=\"optional-license-text\"> &gt;</var>,\n\t1 April 1990<br />\n\n		Ty Coon, President of Vice<br />\n\n		That&apos;s all there is to it!\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  <p><var class=\"replaceable-license-text\"> &lt;one line to give the library&apos;s name and an idea of what it does.&gt;</var><br />\n\n	  Copyright (C) <var class=\"replaceable-license-text\"> &lt;year&gt; &lt;name of author&gt;</var></p>\n\n	  <p>\n		This library is free software; you can redistribute it and/or\n		modify it under the terms of the GNU Lesser General Public\n		License as published by the Free Software Foundation; either\n		version 2.1 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This library is distributed in the hope that it will be useful,\n		but WITHOUT ANY WARRANTY; without even the implied warranty\n		of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n		See the GNU Lesser General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU Lesser General Public License\n		along with this library; if not, write to the Free Software Foundation,\n		Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n	  </p>\n\n	  "
		self.python_name = "LGPL21orlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCSA20FR:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Paternit\u00e9 - Pas d'Utilisation Commerciale - Partage Des Conditions Initiales A l'Identique 2.0\n\n Creative Commons n'est pas un cabinet d'avocats et ne fournit pas de services de conseil juridique. La distribution de la pr\u00e9sente version de ce contrat ne cr\u00e9e aucune relation juridique entre les parties au contrat pr\u00e9sent\u00e9 ci-apr\u00e8s et Creative Commons. Creative Commons fournit cette offre de contrat-type en l'\u00e9tat, \u00e0 seule fin d'information. Creative Commons ne saurait \u00eatre tenu responsable des \u00e9ventuels pr\u00e9judices r\u00e9sultant du contenu ou de l'utilisation de ce contrat.\n\nContrat\n\nL'Oeuvre (telle que d\u00e9finie ci-dessous) est mise \u00e0 disposition selon les termes du pr\u00e9sent contrat appel\u00e9 Contrat Public Creative Commons (d\u00e9nomm\u00e9 ici \u00ab CPCC \u00bb ou \u00ab Contrat \u00bb). L'Oeuvre est prot\u00e9g\u00e9e par le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique (droit d'auteur, droits voisins, droits des producteurs de bases de donn\u00e9es) ou toute autre loi applicable. Toute utilisation de l'Oeuvre autrement qu'explicitement autoris\u00e9e selon ce Contrat ou le droit applicable est interdite.\n\nL'exercice sur l'Oeuvre de tout droit propos\u00e9 par le pr\u00e9sent contrat vaut acceptation de celui-ci. Selon les termes et les obligations du pr\u00e9sent contrat, la partie Offrante propose \u00e0 la partie Acceptante l'exercice de certains droits pr\u00e9sent\u00e9s ci-apr\u00e8s, et l'Acceptant en approuve les termes et conditions d'utilisation.\n\n1. D\u00e9finitions\n\n	a. \u00ab Oeuvre \u00bb : oeuvre de l'esprit prot\u00e9geable par le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique ou toute loi applicable et qui est mise \u00e0 disposition selon les termes du pr\u00e9sent Contrat.\n\n	b. \u00ab Oeuvre dite Collective \u00bb : une oeuvre dans laquelle l'oeuvre, dans sa forme int\u00e9grale et non modifi\u00e9e, est assembl\u00e9e en un ensemble collectif avec d'autres contributions qui constituent en elles-m\u00eames des oeuvres s\u00e9par\u00e9es et ind\u00e9pendantes. Constituent notamment des Oeuvres dites Collectives les publications p\u00e9riodiques, les anthologies ou les encyclop\u00e9dies. Aux termes de la pr\u00e9sente autorisation, une oeuvre qui constitue une Oeuvre dite Collective ne sera pas consid\u00e9r\u00e9e comme une Oeuvre dite D\u00e9riv\u00e9e (telle que d\u00e9finie ci-apr\u00e8s).\n\n	c. \u00ab Oeuvre dite D\u00e9riv\u00e9e \u00bb : une oeuvre cr\u00e9\u00e9e soit \u00e0 partir de l'Oeuvre seule, soit \u00e0 partir de l'Oeuvre et d'autres oeuvres pr\u00e9existantes. Constituent notamment des Oeuvres dites D\u00e9riv\u00e9es les traductions, les arrangements musicaux, les adaptations th\u00e9\u00e2trales, litt\u00e9raires ou cin\u00e9matographiques, les enregistrements sonores, les reproductions par un art ou un proc\u00e9d\u00e9 quelconque, les r\u00e9sum\u00e9s, ou toute autre forme sous laquelle l'Oeuvre puisse \u00eatre remani\u00e9e, modifi\u00e9e, transform\u00e9e ou adapt\u00e9e, \u00e0 l'exception d'une oeuvre qui constitue une Oeuvre dite Collective. Une Oeuvre dite Collective ne sera pas consid\u00e9r\u00e9e comme une Oeuvre dite D\u00e9riv\u00e9e aux termes du pr\u00e9sent Contrat. Dans le cas o\u00f9 l'Oeuvre serait une composition musicale ou un enregistrement sonore, la synchronisation de l'oeuvre avec une image anim\u00e9e sera consid\u00e9r\u00e9e comme une Oeuvre dite D\u00e9riv\u00e9e pour les propos de ce Contrat.\n\n	d. \u00ab Auteur original \u00bb : la ou les personnes physiques qui ont cr\u00e9\u00e9 l'Oeuvre.\n\n	e. \u00ab Offrant \u00bb : la ou les personne(s) physique(s) ou morale(s) qui proposent la mise \u00e0 disposition de l'Oeuvre selon les termes du pr\u00e9sent Contrat.\n\n	f. \u00ab Acceptant \u00bb : la personne physique ou morale qui accepte le pr\u00e9sent contrat et exerce des droits sans en avoir viol\u00e9 les termes au pr\u00e9alable ou qui a re\u00e7u l'autorisation expresse de l'Offrant d'exercer des droits dans le cadre du pr\u00e9sent contrat malgr\u00e9 une pr\u00e9c\u00e9dente violation de ce contrat.\n\n	g. \u00ab Options du Contrat \u00bb : les attributs g\u00e9n\u00e9riques du Contrat tels qu'ils ont \u00e9t\u00e9 choisis par l'Offrant et indiqu\u00e9s dans le titre de ce Contrat : Paternit\u00e9 - Pas d'Utilisation Commerciale - Partage Des Conditions Initiales A l'Identique.\n\n2. Exceptions aux droits exclusifs. Aucune disposition de ce contrat n'a pour intention de r\u00e9duire, limiter ou restreindre les pr\u00e9rogatives issues des exceptions aux droits, de l'\u00e9puisement des droits ou d'autres limitations aux droits exclusifs des ayants droit selon le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique ou les autres lois applicables.\n\n3. Autorisation. Soumis aux termes et conditions d\u00e9finis dans cette autorisation, et ceci pendant toute la dur\u00e9e de protection de l'Oeuvre par le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique ou le droit applicable, l'Offrant accorde \u00e0 l'Acceptant l'autorisation mondiale d'exercer \u00e0 titre gratuit et non exclusif les droits suivants :\n\n	a. reproduire l'Oeuvre, incorporer l'Oeuvre dans une ou plusieurs Oeuvres dites Collectives et reproduire l'Oeuvre telle qu'incorpor\u00e9e dans lesdites Oeuvres dites Collectives;\n\n	b. cr\u00e9er et reproduire des Oeuvres dites D\u00e9riv\u00e9es;\n\n	c. distribuer des exemplaires ou enregistrements, pr\u00e9senter, repr\u00e9senter ou communiquer l'Oeuvre au public par tout proc\u00e9d\u00e9 technique, y compris incorpor\u00e9e dans des Oeuvres Collectives;\n\n	d. distribuer des exemplaires ou phonogrammes, pr\u00e9senter, repr\u00e9senter ou communiquer au public des Oeuvres dites D\u00e9riv\u00e9es par tout proc\u00e9d\u00e9 technique;\n\n	e. lorsque l'Oeuvre est une base de donn\u00e9es, extraire et r\u00e9utiliser des parties substantielles de l'Oeuvre.\n\nLes droits mentionn\u00e9s ci-dessus peuvent \u00eatre exerc\u00e9s sur tous les supports, m\u00e9dias, proc\u00e9d\u00e9s techniques et formats. Les droits ci-dessus incluent le droit d'effectuer les modifications n\u00e9cessaires techniquement \u00e0 l'exercice des droits dans d'autres formats et proc\u00e9d\u00e9s techniques. L'exercice de tous les droits qui ne sont pas express\u00e9ment autoris\u00e9s par l'Offrant ou dont il n'aurait pas la gestion demeure r\u00e9serv\u00e9, notamment les m\u00e9canismes de gestion collective obligatoire applicables d\u00e9crits \u00e0 l'article 4(e).\n\n4. Restrictions. L'autorisation accord\u00e9e par l'article 3 est express\u00e9ment assujettie et limit\u00e9e par le respect des restrictions suivantes :\n\n\n	a. L'Acceptant peut reproduire, distribuer, repr\u00e9senter ou communiquer au public l'Oeuvre y compris par voie num\u00e9rique uniquement selon les termes de ce Contrat. L'Acceptant doit inclure une copie ou l'adresse Internet (Identifiant Uniforme de Ressource) du pr\u00e9sent Contrat \u00e0 toute reproduction ou enregistrement de l'Oeuvre que l'Acceptant distribue, repr\u00e9sente ou communique au public y compris par voie num\u00e9rique. L'Acceptant ne peut pas offrir ou imposer de conditions d'utilisation de l'Oeuvre qui alt\u00e8rent ou restreignent les termes du pr\u00e9sent Contrat ou l'exercice des droits qui y sont accord\u00e9s au b\u00e9n\u00e9ficiaire. L'Acceptant ne peut pas c\u00e9der de droits sur l'Oeuvre. L'Acceptant doit conserver intactes toutes les informations qui renvoient \u00e0 ce Contrat et \u00e0 l'exon\u00e9ration de responsabilit\u00e9. L'Acceptant ne peut pas reproduire, distribuer, repr\u00e9senter ou communiquer au public l'Oeuvre, y compris par voie num\u00e9rique, en utilisant une mesure technique de contr\u00f4le d'acc\u00e8s ou de contr\u00f4le d'utilisation qui serait contradictoire avec les termes de cet Accord contractuel. Les mentions ci-dessus s'appliquent \u00e0 l'Oeuvre telle qu'incorpor\u00e9e dans une Oeuvre dite Collective, mais, en dehors de l'Oeuvre en elle-m\u00eame, ne soumettent pas l'Oeuvre dite Collective, aux termes du pr\u00e9sent Contrat. Si l'Acceptant cr\u00e9e une Oeuvre dite Collective, \u00e0 la demande de tout Offrant, il devra, dans la mesure du possible, retirer de l'Oeuvre dite Collective toute r\u00e9f\u00e9rence au dit Offrant, comme demand\u00e9. Si l'Acceptant cr\u00e9e une Oeuvre dite Collective, \u00e0 la demande de tout Auteur, il devra, dans la mesure du possible, retirer de l'Oeuvre dite Collective toute r\u00e9f\u00e9rence au dit Auteur, comme demand\u00e9. Si l'Acceptant cr\u00e9e une Oeuvre dite D\u00e9riv\u00e9e, \u00e0 la demande de tout Offrant, il devra, dans la mesure du possible, retirer de l'Oeuvre dite D\u00e9riv\u00e9e toute r\u00e9f\u00e9rence au dit Offrant, comme demand\u00e9. Si l'Acceptant cr\u00e9e une Oeuvre dite D\u00e9riv\u00e9e, \u00e0 la demande de tout Auteur, il devra, dans la mesure du possible, retirer de l'Oeuvre dite D\u00e9riv\u00e9e toute r\u00e9f\u00e9rence au dit Auteur, comme demand\u00e9.\n\n	b. L'Acceptant peut reproduire, distribuer, repr\u00e9senter ou communiquer au public une Oeuvre dite D\u00e9riv\u00e9e y compris par voie num\u00e9rique uniquement sous les termes de ce Contrat, ou d'une version ult\u00e9rieure de ce Contrat comprenant les m\u00eames Options du Contrat que le pr\u00e9sent Contrat, ou un Contrat Creative Commons iCommons comprenant les m\u00eames Options du Contrat que le pr\u00e9sent Contrat (par exemple Paternit\u00e9 - Pas d'Utilisation Commerciale - Partage Des Conditions Initiales A l'Identique 2.0 Japon). L'Acceptant doit inclure une copie ou l'adresse Internet (Identifiant Uniforme de Ressource) du pr\u00e9sent Contrat, ou d'un autre Contrat tel que d\u00e9crit \u00e0 la phrase pr\u00e9c\u00e9dente, \u00e0 toute reproduction ou enregistrement de l'Oeuvre dite D\u00e9riv\u00e9e que l'Acceptant distribue, repr\u00e9sente ou communique au public y compris par voie num\u00e9rique. L'Acceptant ne peut pas offrir ou imposer de conditions d'utilisation sur l'Oeuvre dite D\u00e9riv\u00e9e qui alt\u00e8rent ou restreignent les termes du pr\u00e9sent Contrat ou l'exercice des droits qui y sont accord\u00e9s au b\u00e9n\u00e9ficiaire, et doit conserver intactes toutes les informations qui renvoient \u00e0 ce Contrat et \u00e0 l'avertissement sur les garanties. L'Acceptant ne peut pas reproduire, distribuer, repr\u00e9senter ou communiquer au public y compris par voie num\u00e9rique l'Oeuvre dite D\u00e9riv\u00e9e en utilisant une mesure technique de contr\u00f4le d'acc\u00e8s ou de contr\u00f4le d'utilisation qui serait contradictoire avec les termes de cet Accord contractuel. Les mentions ci-dessus s'appliquent \u00e0 l'Oeuvre dite D\u00e9riv\u00e9e telle qu'incorpor\u00e9e dans une Oeuvre dite Collective, mais, en dehors de l'Oeuvre dite D\u00e9riv\u00e9e en elle-m\u00eame, ne soumettent pas l'Oeuvre Collective, aux termes du pr\u00e9sent Contrat.\n\n	c. L'Acceptant ne peut exercer aucun des droits conf\u00e9r\u00e9s par l'article 3 avec l'intention ou l'objectif d'obtenir un profit commercial ou une compensation financi\u00e8re personnelle. L'\u00e9change de l'Oeuvre avec d'autres Oeuvres prot\u00e9g\u00e9es par le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique par le partage \u00e9lectronique de fichiers, ou par tout autre moyen, n'est pas consid\u00e9r\u00e9 comme un \u00e9change avec l'intention ou l'objectif d'un profit commercial ou d'une compensation financi\u00e8re personnelle, dans la mesure o\u00f9 aucun paiement ou compensation financi\u00e8re n'intervient en relation avec l'\u00e9change d'Oeuvres prot\u00e9g\u00e9es.\n\n	d. Si l'Acceptant reproduit, distribue, repr\u00e9sente ou communique au public, y compris par voie num\u00e9rique, l'Oeuvre ou toute Oeuvre dite D\u00e9riv\u00e9e ou toute Oeuvre dite Collective, il doit conserver intactes toutes les informations sur le r\u00e9gime des droits et en attribuer la paternit\u00e9 \u00e0 l'Auteur Original, de mani\u00e8re raisonnable au regard au m\u00e9dium ou au moyen utilis\u00e9. Il doit communiquer le nom de l'Auteur Original ou son \u00e9ventuel pseudonyme s'il est indiqu\u00e9 ; le titre de l'Oeuvre Originale s'il est indiqu\u00e9 ; dans la mesure du possible, l'adresse Internet ou Identifiant Uniforme de Ressource (URI), s'il existe, sp\u00e9cifi\u00e9 par l'Offrant comme associ\u00e9 \u00e0 l'Oeuvre, \u00e0 moins que cette adresse ne renvoie pas aux informations l\u00e9gales (paternit\u00e9 et conditions d'utilisation de l'Oeuvre). Dans le cas d'une Oeuvre dite D\u00e9riv\u00e9e, il doit indiquer les \u00e9l\u00e9ments identifiant l'utilisation l'Oeuvre dans l'Oeuvre dite D\u00e9riv\u00e9e par exemple \u00ab Traduction anglaise de l'Oeuvre par l'Auteur Original \u00bb ou \u00ab Sc\u00e9nario bas\u00e9 sur l'Oeuvre par l'Auteur Original \u00bb. Ces obligations d'attribution de paternit\u00e9 doivent \u00eatre ex\u00e9cut\u00e9es de mani\u00e8re raisonnable. Cependant, dans le cas d'une Oeuvre dite D\u00e9riv\u00e9e ou d'une Oeuvre dite Collective, ces informations doivent, au minimum, appara\u00eetre \u00e0 la place et de mani\u00e8re aussi visible que celles \u00e0 laquelle apparaissent les informations de m\u00eame nature.\n\n	e. Dans le cas o\u00f9 une utilisation de l'Oeuvre serait soumise \u00e0 un r\u00e9gime l\u00e9gal de gestion collective obligatoire, l'Offrant se r\u00e9serve le droit exclusif de collecter ces redevances par l'interm\u00e9diaire de la soci\u00e9t\u00e9 de perception et de r\u00e9partition des droits comp\u00e9tente. Sont notamment concern\u00e9s la radiodiffusion et la communication dans un lieu public de phonogrammes publi\u00e9s \u00e0 des fins de commerce, certains cas de retransmission par c\u00e2ble et satellite, la copie priv\u00e9e d'Oeuvres fix\u00e9es sur phonogrammes ou vid\u00e9ogrammes, la reproduction par reprographie.\n\n5. Garantie et exon\u00e9ration de responsabilit\u00e9\n\n\n	a. En mettant l'Oeuvre \u00e0 la disposition du public selon les termes de ce Contrat, l'Offrant d\u00e9clare de bonne foi qu'\u00e0 sa connaissance et dans les limites d'une enqu\u00eate raisonnable :\n\n		i. L'Offrant a obtenu tous les droits sur l'Oeuvre n\u00e9cessaires pour pouvoir autoriser l'exercice des droits accord\u00e9s par le pr\u00e9sent Contrat, et permettre la jouissance paisible et l'exercice licite de ces droits, ceci sans que l'Acceptant n'ait aucune obligation de verser de r\u00e9mun\u00e9ration ou tout autre paiement ou droits, dans la limite des m\u00e9canismes de gestion collective obligatoire applicables d\u00e9crits \u00e0 l'article 4(e);\n\n		ii. L'Oeuvre n'est constitutive ni d'une violation des droits de tiers, notamment du droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique, du droit des marques, du droit de l'information, du droit civil ou de tout autre droit, ni de diffamation, de violation de la vie priv\u00e9e ou de tout autre pr\u00e9judice d\u00e9lictuel \u00e0 l'\u00e9gard de toute tierce partie.\n\n	b. A l'exception des situations express\u00e9ment mentionn\u00e9es dans le pr\u00e9sent Contrat ou dans un autre accord \u00e9crit, ou exig\u00e9es par la loi applicable, l'Oeuvre est mise \u00e0 disposition en l'\u00e9tat sans garantie d'aucune sorte, qu'elle soit expresse ou tacite, y compris \u00e0 l'\u00e9gard du contenu ou de l'exactitude de l'Oeuvre.\n\n6. Limitation de responsabilit\u00e9. A l'exception des garanties d'ordre public impos\u00e9es par la loi applicable et des r\u00e9parations impos\u00e9es par le r\u00e9gime de la responsabilit\u00e9 vis-\u00e0-vis d'un tiers en raison de la violation des garanties pr\u00e9vues par l'article 5 du pr\u00e9sent contrat, l'Offrant ne sera en aucun cas tenu responsable vis-\u00e0-vis de l'Acceptant, sur la base d'aucune th\u00e9orie l\u00e9gale ni en raison d'aucun pr\u00e9judice direct, indirect, mat\u00e9riel ou moral, r\u00e9sultant de l'ex\u00e9cution du pr\u00e9sent Contrat ou de l'utilisation de l'Oeuvre, y compris dans l'hypoth\u00e8se o\u00f9 l'Offrant avait connaissance de la possible existence d'un tel pr\u00e9judice.\n\n7. R\u00e9siliation\n\n	a. Tout manquement aux termes du contrat par l'Acceptant entra\u00eene la r\u00e9siliation automatique du Contrat et la fin des droits qui en d\u00e9coulent. Cependant, le contrat conserve ses effets envers les personnes physiques ou morales qui ont re\u00e7u de la part de l'Acceptant, en ex\u00e9cution du pr\u00e9sent contrat, la mise \u00e0 disposition d'Oeuvres dites D\u00e9riv\u00e9es, ou d'Oeuvres dites Collectives, ceci tant qu'elles respectent pleinement leurs obligations. Les sections 1, 2, 5, 6 et 7 du contrat continuent \u00e0 s'appliquer apr\u00e8s la r\u00e9siliation de celui-ci.\n\n	b. Dans les limites indiqu\u00e9es ci-dessus, le pr\u00e9sent Contrat s'applique pendant toute la dur\u00e9e de protection de l'Oeuvre selon le droit applicable. N\u00e9anmoins, l'Offrant se r\u00e9serve \u00e0 tout moment le droit d'exploiter l'Oeuvre sous des conditions contractuelles diff\u00e9rentes, ou d'en cesser la diffusion; cependant, le recours \u00e0 cette option ne doit pas conduire \u00e0 retirer les effets du pr\u00e9sent Contrat (ou de tout contrat qui a \u00e9t\u00e9 ou doit \u00eatre accord\u00e9 selon les termes de ce Contrat), et ce Contrat continuera \u00e0 s'appliquer dans tous ses effets jusqu'\u00e0 ce que sa r\u00e9siliation intervienne dans les conditions d\u00e9crites ci-dessus.\n\n8. Divers\n\n	a. A chaque reproduction ou communication au public par voie num\u00e9rique de l'Oeuvre ou d'une Oeuvre dite Collective par l'Acceptant, l'Offrant propose au b\u00e9n\u00e9ficiaire une offre de mise \u00e0 disposition de l'Oeuvre dans des termes et conditions identiques \u00e0 ceux accord\u00e9s \u00e0 la partie Acceptante dans le pr\u00e9sent Contrat.\n\n	b. A chaque reproduction ou communication au public par voie num\u00e9rique d'une Oeuvre dite D\u00e9riv\u00e9e par l'Acceptant, l'Offrant propose au b\u00e9n\u00e9ficiaire une offre de mise \u00e0 disposition du b\u00e9n\u00e9ficiaire de l'Oeuvre originale dans des termes et conditions identiques \u00e0 ceux accord\u00e9s \u00e0 la partie Acceptante dans le pr\u00e9sent Contrat.\n\n	c. La nullit\u00e9 ou l'inapplicabilit\u00e9 d'une quelconque disposition de ce Contrat au regard de la loi applicable n'affecte pas celle des autres dispositions qui resteront pleinement valides et applicables. Sans action additionnelle par les parties \u00e0 cet accord, lesdites dispositions devront \u00eatre interpr\u00e9t\u00e9es dans la mesure minimum n\u00e9cessaire \u00e0 leur validit\u00e9 et leur applicabilit\u00e9.\n\n	d. Aucune limite, renonciation ou modification des termes ou dispositions du pr\u00e9sent Contrat ne pourra \u00eatre accept\u00e9e sans le consentement \u00e9crit et sign\u00e9 de la partie comp\u00e9tente.\n\n	e. Ce Contrat constitue le seul accord entre les parties \u00e0 propos de l'Oeuvre mise ici \u00e0 disposition. Il n'existe aucun \u00e9l\u00e9ment annexe, accord suppl\u00e9mentaire ou mandat portant sur cette Oeuvre en dehors des \u00e9l\u00e9ments mentionn\u00e9s ici. L'Offrant ne sera tenu par aucune disposition suppl\u00e9mentaire qui pourrait appara\u00eetre dans une quelconque communication en provenance de l'Acceptant. Ce Contrat ne peut \u00eatre modifi\u00e9 sans l'accord mutuel \u00e9crit de l'Offrant et de l'Acceptant.\n\n	f. Le droit applicable est le droit fran\u00e7ais.\n\nCreative Commons n'est pas partie \u00e0 ce Contrat et n'offre aucune forme de garantie relative \u00e0 l'Oeuvre. Creative Commons d\u00e9cline toute responsabilit\u00e9 \u00e0 l'\u00e9gard de l'Acceptant ou de toute autre partie, quel que soit le fondement l\u00e9gal de cette responsabilit\u00e9 et quel que soit le pr\u00e9judice subi, direct, indirect, mat\u00e9riel ou moral, qui surviendrait en rapport avec le pr\u00e9sent Contrat. Cependant, si Creative Commons s'est express\u00e9ment identifi\u00e9 comme Offrant pour mettre une Oeuvre \u00e0 disposition selon les termes de ce Contrat, Creative Commons jouira de tous les droits et obligations d'un Offrant.\n\nA l'exception des fins limit\u00e9es \u00e0 informer le public que l'Oeuvre est mise \u00e0 disposition sous CPCC, aucune des parties n'utilisera la marque \u00ab Creative Commons \u00bb ou toute autre indication ou logo aff\u00e9rent sans le consentement pr\u00e9alable \u00e9crit de Creative Commons. Toute utilisation autoris\u00e9e devra \u00eatre effectu\u00e9e en conformit\u00e9 avec les lignes directrices de Creative Commons \u00e0 jour au moment de l'utilisation, telles qu'elles sont disponibles sur son site Internet ou sur simple demande.\n\nCreative Commons peut \u00eatre contact\u00e9 \u00e0 https://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Paternit\u00e9 - Pas d'Utilisation Commerciale - Partage Des Conditions Initiales A l'Identique 2.0\n\n<<endOptional>><<beginOptional>> Creative Commons n'est pas un cabinet d'avocats et ne fournit pas de services de conseil juridique. La distribution de la pr\u00e9sente version de ce contrat ne cr\u00e9e aucune relation juridique entre les parties au contrat pr\u00e9sent\u00e9 ci-apr\u00e8s et Creative Commons. Creative Commons fournit cette offre de contrat-type en l'\u00e9tat, \u00e0 seule fin d'information. Creative Commons ne saurait \u00eatre tenu responsable des \u00e9ventuels pr\u00e9judices r\u00e9sultant du contenu ou de l'utilisation de ce contrat.\n\nContrat\n\n<<endOptional>>\n\nL'Oeuvre (telle que d\u00e9finie ci-dessous) est mise \u00e0 disposition selon les termes du pr\u00e9sent contrat appel\u00e9 Contrat Public Creative Commons (d\u00e9nomm\u00e9 ici \u00ab CPCC \u00bb ou \u00ab Contrat \u00bb). L'Oeuvre est prot\u00e9g\u00e9e par le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique (droit d'auteur, droits voisins, droits des producteurs de bases de donn\u00e9es) ou toute autre loi applicable. Toute utilisation de l'Oeuvre autrement qu'explicitement autoris\u00e9e selon ce Contrat ou le droit applicable est interdite.\n\nL'exercice sur l'Oeuvre de tout droit propos\u00e9 par le pr\u00e9sent contrat vaut acceptation de celui-ci. Selon les termes et les obligations du pr\u00e9sent contrat, la partie Offrante propose \u00e0 la partie Acceptante l'exercice de certains droits pr\u00e9sent\u00e9s ci-apr\u00e8s, et l'Acceptant en approuve les termes et conditions d'utilisation.\n\n   <<var;name=\"bullet\";original=\"1\";match=\".{0,20}\">> . D\u00e9finitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \u00ab Oeuvre \u00bb : oeuvre de l'esprit prot\u00e9geable par le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique ou toute loi applicable et qui est mise \u00e0 disposition selon les termes du pr\u00e9sent Contrat.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \u00ab Oeuvre dite Collective \u00bb : une oeuvre dans laquelle l'oeuvre, dans sa forme int\u00e9grale et non modifi\u00e9e, est assembl\u00e9e en un ensemble collectif avec d'autres contributions qui constituent en elles-m\u00eames des oeuvres s\u00e9par\u00e9es et ind\u00e9pendantes. Constituent notamment des Oeuvres dites Collectives les publications p\u00e9riodiques, les anthologies ou les encyclop\u00e9dies. Aux termes de la pr\u00e9sente autorisation, une oeuvre qui constitue une Oeuvre dite Collective ne sera pas consid\u00e9r\u00e9e comme une Oeuvre dite D\u00e9riv\u00e9e (telle que d\u00e9finie ci-apr\u00e8s).\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \u00ab Oeuvre dite D\u00e9riv\u00e9e \u00bb : une oeuvre cr\u00e9\u00e9e soit \u00e0 partir de l'Oeuvre seule, soit \u00e0 partir de l'Oeuvre et d'autres oeuvres pr\u00e9existantes. Constituent notamment des Oeuvres dites D\u00e9riv\u00e9es les traductions, les arrangements musicaux, les adaptations th\u00e9\u00e2trales, litt\u00e9raires ou cin\u00e9matographiques, les enregistrements sonores, les reproductions par un art ou un proc\u00e9d\u00e9 quelconque, les r\u00e9sum\u00e9s, ou toute autre forme sous laquelle l'Oeuvre puisse \u00eatre remani\u00e9e, modifi\u00e9e, transform\u00e9e ou adapt\u00e9e, \u00e0 l'exception d'une oeuvre qui constitue une Oeuvre dite Collective. Une Oeuvre dite Collective ne sera pas consid\u00e9r\u00e9e comme une Oeuvre dite D\u00e9riv\u00e9e aux termes du pr\u00e9sent Contrat. Dans le cas o\u00f9 l'Oeuvre serait une composition musicale ou un enregistrement sonore, la synchronisation de l'oeuvre avec une image anim\u00e9e sera consid\u00e9r\u00e9e comme une Oeuvre dite D\u00e9riv\u00e9e pour les propos de ce Contrat.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \u00ab Auteur original \u00bb : la ou les personnes physiques qui ont cr\u00e9\u00e9 l'Oeuvre.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \u00ab Offrant \u00bb : la ou les personne(s) physique(s) ou morale(s) qui proposent la mise \u00e0 disposition de l'Oeuvre selon les termes du pr\u00e9sent Contrat.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \u00ab Acceptant \u00bb : la personne physique ou morale qui accepte le pr\u00e9sent contrat et exerce des droits sans en avoir viol\u00e9 les termes au pr\u00e9alable ou qui a re\u00e7u l'autorisation expresse de l'Offrant d'exercer des droits dans le cadre du pr\u00e9sent contrat malgr\u00e9 une pr\u00e9c\u00e9dente violation de ce contrat.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \u00ab Options du Contrat \u00bb : les attributs g\u00e9n\u00e9riques du Contrat tels qu'ils ont \u00e9t\u00e9 choisis par l'Offrant et indiqu\u00e9s dans le titre de ce Contrat : Paternit\u00e9 - Pas d'Utilisation Commerciale - Partage Des Conditions Initiales A l'Identique.\n\n   <<var;name=\"bullet\";original=\"2\";match=\".{0,20}\">> . Exceptions aux droits exclusifs. Aucune disposition de ce contrat n'a pour intention de r\u00e9duire, limiter ou restreindre les pr\u00e9rogatives issues des exceptions aux droits, de l'\u00e9puisement des droits ou d'autres limitations aux droits exclusifs des ayants droit selon le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique ou les autres lois applicables.\n\n   <<var;name=\"bullet\";original=\"3\";match=\".{0,20}\">> . Autorisation. Soumis aux termes et conditions d\u00e9finis dans cette autorisation, et ceci pendant toute la dur\u00e9e de protection de l'Oeuvre par le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique ou le droit applicable, l'Offrant accorde \u00e0 l'Acceptant l'autorisation mondiale d'exercer \u00e0 titre gratuit et non exclusif les droits suivants :\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> reproduire l'Oeuvre, incorporer l'Oeuvre dans une ou plusieurs Oeuvres dites Collectives et reproduire l'Oeuvre telle qu'incorpor\u00e9e dans lesdites Oeuvres dites Collectives;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> cr\u00e9er et reproduire des Oeuvres dites D\u00e9riv\u00e9es;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> distribuer des exemplaires ou enregistrements, pr\u00e9senter, repr\u00e9senter ou communiquer l'Oeuvre au public par tout proc\u00e9d\u00e9 technique, y compris incorpor\u00e9e dans des Oeuvres Collectives;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> distribuer des exemplaires ou phonogrammes, pr\u00e9senter, repr\u00e9senter ou communiquer au public des Oeuvres dites D\u00e9riv\u00e9es par tout proc\u00e9d\u00e9 technique;\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> lorsque l'Oeuvre est une base de donn\u00e9es, extraire et r\u00e9utiliser des parties substantielles de l'Oeuvre.\n\n   Les droits mentionn\u00e9s ci-dessus peuvent \u00eatre exerc\u00e9s sur tous les supports, m\u00e9dias, proc\u00e9d\u00e9s techniques et formats. Les droits ci-dessus incluent le droit d'effectuer les modifications n\u00e9cessaires techniquement \u00e0 l'exercice des droits dans d'autres formats et proc\u00e9d\u00e9s techniques. L'exercice de tous les droits qui ne sont pas express\u00e9ment autoris\u00e9s par l'Offrant ou dont il n'aurait pas la gestion demeure r\u00e9serv\u00e9, notamment les m\u00e9canismes de gestion collective obligatoire applicables d\u00e9crits \u00e0 l'article 4(e).\n\n   <<var;name=\"bullet\";original=\"4\";match=\".{0,20}\">> . Restrictions. L'autorisation accord\u00e9e par l'article 3 est express\u00e9ment assujettie et limit\u00e9e par le respect des restrictions suivantes :\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> L'Acceptant peut reproduire, distribuer, repr\u00e9senter ou communiquer au public l'Oeuvre y compris par voie num\u00e9rique uniquement selon les termes de ce Contrat. L'Acceptant doit inclure une copie ou l'adresse Internet (Identifiant Uniforme de Ressource) du pr\u00e9sent Contrat \u00e0 toute reproduction ou enregistrement de l'Oeuvre que l'Acceptant distribue, repr\u00e9sente ou communique au public y compris par voie num\u00e9rique. L'Acceptant ne peut pas offrir ou imposer de conditions d'utilisation de l'Oeuvre qui alt\u00e8rent ou restreignent les termes du pr\u00e9sent Contrat ou l'exercice des droits qui y sont accord\u00e9s au b\u00e9n\u00e9ficiaire. L'Acceptant ne peut pas c\u00e9der de droits sur l'Oeuvre. L'Acceptant doit conserver intactes toutes les informations qui renvoient \u00e0 ce Contrat et \u00e0 l'exon\u00e9ration de responsabilit\u00e9. L'Acceptant ne peut pas reproduire, distribuer, repr\u00e9senter ou communiquer au public l'Oeuvre, y compris par voie num\u00e9rique, en utilisant une mesure technique de contr\u00f4le d'acc\u00e8s ou de contr\u00f4le d'utilisation qui serait contradictoire avec les termes de cet Accord contractuel. Les mentions ci-dessus s'appliquent \u00e0 l'Oeuvre telle qu'incorpor\u00e9e dans une Oeuvre dite Collective, mais, en dehors de l'Oeuvre en elle-m\u00eame, ne soumettent pas l'Oeuvre dite Collective, aux termes du pr\u00e9sent Contrat. Si l'Acceptant cr\u00e9e une Oeuvre dite Collective, \u00e0 la demande de tout Offrant, il devra, dans la mesure du possible, retirer de l'Oeuvre dite Collective toute r\u00e9f\u00e9rence au dit Offrant, comme demand\u00e9. Si l'Acceptant cr\u00e9e une Oeuvre dite Collective, \u00e0 la demande de tout Auteur, il devra, dans la mesure du possible, retirer de l'Oeuvre dite Collective toute r\u00e9f\u00e9rence au dit Auteur, comme demand\u00e9. Si l'Acceptant cr\u00e9e une Oeuvre dite D\u00e9riv\u00e9e, \u00e0 la demande de tout Offrant, il devra, dans la mesure du possible, retirer de l'Oeuvre dite D\u00e9riv\u00e9e toute r\u00e9f\u00e9rence au dit Offrant, comme demand\u00e9. Si l'Acceptant cr\u00e9e une Oeuvre dite D\u00e9riv\u00e9e, \u00e0 la demande de tout Auteur, il devra, dans la mesure du possible, retirer de l'Oeuvre dite D\u00e9riv\u00e9e toute r\u00e9f\u00e9rence au dit Auteur, comme demand\u00e9.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> L'Acceptant peut reproduire, distribuer, repr\u00e9senter ou communiquer au public une Oeuvre dite D\u00e9riv\u00e9e y compris par voie num\u00e9rique uniquement sous les termes de ce Contrat, ou d'une version ult\u00e9rieure de ce Contrat comprenant les m\u00eames Options du Contrat que le pr\u00e9sent Contrat, ou un Contrat Creative Commons iCommons comprenant les m\u00eames Options du Contrat que le pr\u00e9sent Contrat (par exemple Paternit\u00e9 - Pas d'Utilisation Commerciale - Partage Des Conditions Initiales A l'Identique 2.0 Japon). L'Acceptant doit inclure une copie ou l'adresse Internet (Identifiant Uniforme de Ressource) du pr\u00e9sent Contrat, ou d'un autre Contrat tel que d\u00e9crit \u00e0 la phrase pr\u00e9c\u00e9dente, \u00e0 toute reproduction ou enregistrement de l'Oeuvre dite D\u00e9riv\u00e9e que l'Acceptant distribue, repr\u00e9sente ou communique au public y compris par voie num\u00e9rique. L'Acceptant ne peut pas offrir ou imposer de conditions d'utilisation sur l'Oeuvre dite D\u00e9riv\u00e9e qui alt\u00e8rent ou restreignent les termes du pr\u00e9sent Contrat ou l'exercice des droits qui y sont accord\u00e9s au b\u00e9n\u00e9ficiaire, et doit conserver intactes toutes les informations qui renvoient \u00e0 ce Contrat et \u00e0 l'avertissement sur les garanties. L'Acceptant ne peut pas reproduire, distribuer, repr\u00e9senter ou communiquer au public y compris par voie num\u00e9rique l'Oeuvre dite D\u00e9riv\u00e9e en utilisant une mesure technique de contr\u00f4le d'acc\u00e8s ou de contr\u00f4le d'utilisation qui serait contradictoire avec les termes de cet Accord contractuel. Les mentions ci-dessus s'appliquent \u00e0 l'Oeuvre dite D\u00e9riv\u00e9e telle qu'incorpor\u00e9e dans une Oeuvre dite Collective, mais, en dehors de l'Oeuvre dite D\u00e9riv\u00e9e en elle-m\u00eame, ne soumettent pas l'Oeuvre Collective, aux termes du pr\u00e9sent Contrat.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> L'Acceptant ne peut exercer aucun des droits conf\u00e9r\u00e9s par l'article 3 avec l'intention ou l'objectif d'obtenir un profit commercial ou une compensation financi\u00e8re personnelle. L'\u00e9change de l'Oeuvre avec d'autres Oeuvres prot\u00e9g\u00e9es par le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique par le partage \u00e9lectronique de fichiers, ou par tout autre moyen, n'est pas consid\u00e9r\u00e9 comme un \u00e9change avec l'intention ou l'objectif d'un profit commercial ou d'une compensation financi\u00e8re personnelle, dans la mesure o\u00f9 aucun paiement ou compensation financi\u00e8re n'intervient en relation avec l'\u00e9change d'Oeuvres prot\u00e9g\u00e9es.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Si l'Acceptant reproduit, distribue, repr\u00e9sente ou communique au public, y compris par voie num\u00e9rique, l'Oeuvre ou toute Oeuvre dite D\u00e9riv\u00e9e ou toute Oeuvre dite Collective, il doit conserver intactes toutes les informations sur le r\u00e9gime des droits et en attribuer la paternit\u00e9 \u00e0 l'Auteur Original, de mani\u00e8re raisonnable au regard au m\u00e9dium ou au moyen utilis\u00e9. Il doit communiquer le nom de l'Auteur Original ou son \u00e9ventuel pseudonyme s'il est indiqu\u00e9 ; le titre de l'Oeuvre Originale s'il est indiqu\u00e9 ; dans la mesure du possible, l'adresse Internet ou Identifiant Uniforme de Ressource (URI), s'il existe, sp\u00e9cifi\u00e9 par l'Offrant comme associ\u00e9 \u00e0 l'Oeuvre, \u00e0 moins que cette adresse ne renvoie pas aux informations l\u00e9gales (paternit\u00e9 et conditions d'utilisation de l'Oeuvre). Dans le cas d'une Oeuvre dite D\u00e9riv\u00e9e, il doit indiquer les \u00e9l\u00e9ments identifiant l'utilisation l'Oeuvre dans l'Oeuvre dite D\u00e9riv\u00e9e par exemple \u00ab Traduction anglaise de l'Oeuvre par l'Auteur Original \u00bb ou \u00ab Sc\u00e9nario bas\u00e9 sur l'Oeuvre par l'Auteur Original \u00bb. Ces obligations d'attribution de paternit\u00e9 doivent \u00eatre ex\u00e9cut\u00e9es de mani\u00e8re raisonnable. Cependant, dans le cas d'une Oeuvre dite D\u00e9riv\u00e9e ou d'une Oeuvre dite Collective, ces informations doivent, au minimum, appara\u00eetre \u00e0 la place et de mani\u00e8re aussi visible que celles \u00e0 laquelle apparaissent les informations de m\u00eame nature.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Dans le cas o\u00f9 une utilisation de l'Oeuvre serait soumise \u00e0 un r\u00e9gime l\u00e9gal de gestion collective obligatoire, l'Offrant se r\u00e9serve le droit exclusif de collecter ces redevances par l'interm\u00e9diaire de la soci\u00e9t\u00e9 de perception et de r\u00e9partition des droits comp\u00e9tente. Sont notamment concern\u00e9s la radiodiffusion et la communication dans un lieu public de phonogrammes publi\u00e9s \u00e0 des fins de commerce, certains cas de retransmission par c\u00e2ble et satellite, la copie priv\u00e9e d'Oeuvres fix\u00e9es sur phonogrammes ou vid\u00e9ogrammes, la reproduction par reprographie.\n\n   <<var;name=\"bullet\";original=\"5\";match=\".{0,20}\">> . Garantie et exon\u00e9ration de responsabilit\u00e9\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> En mettant l'Oeuvre \u00e0 la disposition du public selon les termes de ce Contrat, l'Offrant d\u00e9clare de bonne foi qu'\u00e0 sa connaissance et dans les limites d'une enqu\u00eate raisonnable :\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> L'Offrant a obtenu tous les droits sur l'Oeuvre n\u00e9cessaires pour pouvoir autoriser l'exercice des droits accord\u00e9s par le pr\u00e9sent Contrat, et permettre la jouissance paisible et l'exercice licite de ces droits, ceci sans que l'Acceptant n'ait aucune obligation de verser de r\u00e9mun\u00e9ration ou tout autre paiement ou droits, dans la limite des m\u00e9canismes de gestion collective obligatoire applicables d\u00e9crits \u00e0 l'article 4(e);\n\n		 <<var;name=\"bullet\";original=\"ii\";match=\".{0,20}\">> . L'Oeuvre n'est constitutive ni d'une violation des droits de tiers, notamment du droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique, du droit des marques, du droit de l'information, du droit civil ou de tout autre droit, ni de diffamation, de violation de la vie priv\u00e9e ou de tout autre pr\u00e9judice d\u00e9lictuel \u00e0 l'\u00e9gard de toute tierce partie.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> A l'exception des situations express\u00e9ment mentionn\u00e9es dans le pr\u00e9sent Contrat ou dans un autre accord \u00e9crit, ou exig\u00e9es par la loi applicable, l'Oeuvre est mise \u00e0 disposition en l'\u00e9tat sans garantie d'aucune sorte, qu'elle soit expresse ou tacite, y compris \u00e0 l'\u00e9gard du contenu ou de l'exactitude de l'Oeuvre.\n\n   <<var;name=\"bullet\";original=\"6\";match=\".{0,20}\">> . Limitation de responsabilit\u00e9. A l'exception des garanties d'ordre public impos\u00e9es par la loi applicable et des r\u00e9parations impos\u00e9es par le r\u00e9gime de la responsabilit\u00e9 vis-\u00e0-vis d'un tiers en raison de la violation des garanties pr\u00e9vues par l'article 5 du pr\u00e9sent contrat, l'Offrant ne sera en aucun cas tenu responsable vis-\u00e0-vis de l'Acceptant, sur la base d'aucune th\u00e9orie l\u00e9gale ni en raison d'aucun pr\u00e9judice direct, indirect, mat\u00e9riel ou moral, r\u00e9sultant de l'ex\u00e9cution du pr\u00e9sent Contrat ou de l'utilisation de l'Oeuvre, y compris dans l'hypoth\u00e8se o\u00f9 l'Offrant avait connaissance de la possible existence d'un tel pr\u00e9judice.\n\n   <<var;name=\"bullet\";original=\"7\";match=\".{0,20}\">> . R\u00e9siliation\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Tout manquement aux termes du contrat par l'Acceptant entra\u00eene la r\u00e9siliation automatique du Contrat et la fin des droits qui en d\u00e9coulent. Cependant, le contrat conserve ses effets envers les personnes physiques ou morales qui ont re\u00e7u de la part de l'Acceptant, en ex\u00e9cution du pr\u00e9sent contrat, la mise \u00e0 disposition d'Oeuvres dites D\u00e9riv\u00e9es, ou d'Oeuvres dites Collectives, ceci tant qu'elles respectent pleinement leurs obligations. Les sections 1, 2, 5, 6 et 7 du contrat continuent \u00e0 s'appliquer apr\u00e8s la r\u00e9siliation de celui-ci.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Dans les limites indiqu\u00e9es ci-dessus, le pr\u00e9sent Contrat s'applique pendant toute la dur\u00e9e de protection de l'Oeuvre selon le droit applicable. N\u00e9anmoins, l'Offrant se r\u00e9serve \u00e0 tout moment le droit d'exploiter l'Oeuvre sous des conditions contractuelles diff\u00e9rentes, ou d'en cesser la diffusion; cependant, le recours \u00e0 cette option ne doit pas conduire \u00e0 retirer les effets du pr\u00e9sent Contrat (ou de tout contrat qui a \u00e9t\u00e9 ou doit \u00eatre accord\u00e9 selon les termes de ce Contrat), et ce Contrat continuera \u00e0 s'appliquer dans tous ses effets jusqu'\u00e0 ce que sa r\u00e9siliation intervienne dans les conditions d\u00e9crites ci-dessus.\n\n   <<var;name=\"bullet\";original=\"8\";match=\".{0,20}\">> . Divers\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> A chaque reproduction ou communication au public par voie num\u00e9rique de l'Oeuvre ou d'une Oeuvre dite Collective par l'Acceptant, l'Offrant propose au b\u00e9n\u00e9ficiaire une offre de mise \u00e0 disposition de l'Oeuvre dans des termes et conditions identiques \u00e0 ceux accord\u00e9s \u00e0 la partie Acceptante dans le pr\u00e9sent Contrat.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> A chaque reproduction ou communication au public par voie num\u00e9rique d'une Oeuvre dite D\u00e9riv\u00e9e par l'Acceptant, l'Offrant propose au b\u00e9n\u00e9ficiaire une offre de mise \u00e0 disposition du b\u00e9n\u00e9ficiaire de l'Oeuvre originale dans des termes et conditions identiques \u00e0 ceux accord\u00e9s \u00e0 la partie Acceptante dans le pr\u00e9sent Contrat.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> La nullit\u00e9 ou l'inapplicabilit\u00e9 d'une quelconque disposition de ce Contrat au regard de la loi applicable n'affecte pas celle des autres dispositions qui resteront pleinement valides et applicables. Sans action additionnelle par les parties \u00e0 cet accord, lesdites dispositions devront \u00eatre interpr\u00e9t\u00e9es dans la mesure minimum n\u00e9cessaire \u00e0 leur validit\u00e9 et leur applicabilit\u00e9.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Aucune limite, renonciation ou modification des termes ou dispositions du pr\u00e9sent Contrat ne pourra \u00eatre accept\u00e9e sans le consentement \u00e9crit et sign\u00e9 de la partie comp\u00e9tente.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Ce Contrat constitue le seul accord entre les parties \u00e0 propos de l'Oeuvre mise ici \u00e0 disposition. Il n'existe aucun \u00e9l\u00e9ment annexe, accord suppl\u00e9mentaire ou mandat portant sur cette Oeuvre en dehors des \u00e9l\u00e9ments mentionn\u00e9s ici. L'Offrant ne sera tenu par aucune disposition suppl\u00e9mentaire qui pourrait appara\u00eetre dans une quelconque communication en provenance de l'Acceptant. Ce Contrat ne peut \u00eatre modifi\u00e9 sans l'accord mutuel \u00e9crit de l'Offrant et de l'Acceptant.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Le droit applicable est le droit fran\u00e7ais.\n\nCreative Commons n'est pas partie \u00e0 ce Contrat et n'offre aucune forme de garantie relative \u00e0 l'Oeuvre. Creative Commons d\u00e9cline toute responsabilit\u00e9 \u00e0 l'\u00e9gard de l'Acceptant ou de toute autre partie, quel que soit le fondement l\u00e9gal de cette responsabilit\u00e9 et quel que soit le pr\u00e9judice subi, direct, indirect, mat\u00e9riel ou moral, qui surviendrait en rapport avec le pr\u00e9sent Contrat. Cependant, si Creative Commons s'est express\u00e9ment identifi\u00e9 comme Offrant pour mettre une Oeuvre \u00e0 disposition selon les termes de ce Contrat, Creative Commons jouira de tous les droits et obligations d'un Offrant.\n\nA l'exception des fins limit\u00e9es \u00e0 informer le public que l'Oeuvre est mise \u00e0 disposition sous CPCC, aucune des parties n'utilisera la marque \u00ab Creative Commons \u00bb ou toute autre indication ou logo aff\u00e9rent sans le consentement pr\u00e9alable \u00e9crit de Creative Commons. Toute utilisation autoris\u00e9e devra \u00eatre effectu\u00e9e en conformit\u00e9 avec les lignes directrices de Creative Commons \u00e0 jour au moment de l'utilisation, telles qu'elles sont disponibles sur son site Internet ou sur simple demande.\n\nCreative Commons peut \u00eatre contact\u00e9 \u00e0 https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution-NonCommercial-ShareAlike 2.0 France"
		self.licenseId = "CC-BY-NC-SA-2.0-FR"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-sa/2.0/fr/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:47Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-sa/2.0/fr/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> \n				<p>Creative Commons Paternit\u00e9 - Pas d&apos;Utilisation Commerciale - Partage Des Conditions Initiales A l&apos;Identique 2.0</p>\n\n			</div>\n\n			<div class=\"optional-license-text\"> \n				<p>Creative Commons n&apos;est pas un cabinet d&apos;avocats et ne fournit pas de services de conseil juridique. La distribution de la pr\u00e9sente version de ce contrat ne cr\u00e9e aucune relation juridique entre les parties au contrat pr\u00e9sent\u00e9 ci-apr\u00e8s et Creative Commons. Creative Commons fournit cette offre de contrat-type en l&apos;\u00e9tat, \u00e0 seule fin d&apos;information. Creative Commons ne saurait \u00eatre tenu responsable des \u00e9ventuels pr\u00e9judices r\u00e9sultant du contenu ou de l&apos;utilisation de ce contrat.</p>\n\n				<p>Contrat</p>\n\n			</div>\n\n			<p>L&apos;Oeuvre (telle que d\u00e9finie ci-dessous) est mise \u00e0 disposition selon les termes du pr\u00e9sent contrat appel\u00e9 Contrat Public Creative Commons (d\u00e9nomm\u00e9 ici \u00ab CPCC \u00bb ou \u00ab Contrat \u00bb). L&apos;Oeuvre est prot\u00e9g\u00e9e par le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique (droit d&apos;auteur, droits voisins, droits des producteurs de bases de donn\u00e9es) ou toute autre loi applicable. Toute utilisation de l&apos;Oeuvre autrement qu&apos;explicitement autoris\u00e9e selon ce Contrat ou le droit applicable est interdite.</p>\n\n			<p>L&apos;exercice sur l&apos;Oeuvre de tout droit propos\u00e9 par le pr\u00e9sent contrat vaut acceptation de celui-ci. Selon les termes et les obligations du pr\u00e9sent contrat, la partie Offrante propose \u00e0 la partie Acceptante l&apos;exercice de certains droits pr\u00e9sent\u00e9s ci-apr\u00e8s, et l&apos;Acceptant en approuve les termes et conditions d&apos;utilisation.</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1</var>. D\u00e9finitions\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> \u00ab Oeuvre \u00bb : oeuvre de l&apos;esprit prot\u00e9geable par le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique ou toute loi applicable et qui est mise \u00e0 disposition selon les termes du pr\u00e9sent Contrat.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> \u00ab Oeuvre dite Collective \u00bb : une oeuvre dans laquelle l&apos;oeuvre, dans sa forme int\u00e9grale et non modifi\u00e9e, est assembl\u00e9e en un ensemble collectif avec d&apos;autres contributions qui constituent en elles-m\u00eames des oeuvres s\u00e9par\u00e9es et ind\u00e9pendantes. Constituent notamment des Oeuvres dites Collectives les publications p\u00e9riodiques, les anthologies ou les encyclop\u00e9dies. Aux termes de la pr\u00e9sente autorisation, une oeuvre qui constitue une Oeuvre dite Collective ne sera pas consid\u00e9r\u00e9e comme une Oeuvre dite D\u00e9riv\u00e9e (telle que d\u00e9finie ci-apr\u00e8s).\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> c.</var> \u00ab Oeuvre dite D\u00e9riv\u00e9e \u00bb : une oeuvre cr\u00e9\u00e9e soit \u00e0 partir de l&apos;Oeuvre seule, soit \u00e0 partir de l&apos;Oeuvre et d&apos;autres oeuvres pr\u00e9existantes. Constituent notamment des Oeuvres dites D\u00e9riv\u00e9es les traductions, les arrangements musicaux, les adaptations th\u00e9\u00e2trales, litt\u00e9raires ou cin\u00e9matographiques, les enregistrements sonores, les reproductions par un art ou un proc\u00e9d\u00e9 quelconque, les r\u00e9sum\u00e9s, ou toute autre forme sous laquelle l&apos;Oeuvre puisse \u00eatre remani\u00e9e, modifi\u00e9e, transform\u00e9e ou adapt\u00e9e, \u00e0 l&apos;exception d&apos;une oeuvre qui constitue une Oeuvre dite Collective. Une Oeuvre dite Collective ne sera pas consid\u00e9r\u00e9e comme une Oeuvre dite D\u00e9riv\u00e9e aux termes du pr\u00e9sent Contrat. Dans le cas o\u00f9 l&apos;Oeuvre serait une composition musicale ou un enregistrement sonore, la synchronisation de l&apos;oeuvre avec une image anim\u00e9e sera consid\u00e9r\u00e9e comme une Oeuvre dite D\u00e9riv\u00e9e pour les propos de ce Contrat.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> d.</var> \u00ab Auteur original \u00bb : la ou les personnes physiques qui ont cr\u00e9\u00e9 l&apos;Oeuvre.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> e.</var> \u00ab Offrant \u00bb : la ou les personne(s) physique(s) ou morale(s) qui proposent la mise \u00e0 disposition de l&apos;Oeuvre selon les termes du pr\u00e9sent Contrat.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> f.</var> \u00ab Acceptant \u00bb : la personne physique ou morale qui accepte le pr\u00e9sent contrat et exerce des droits sans en avoir viol\u00e9 les termes au pr\u00e9alable ou qui a re\u00e7u l&apos;autorisation expresse de l&apos;Offrant d&apos;exercer des droits dans le cadre du pr\u00e9sent contrat malgr\u00e9 une pr\u00e9c\u00e9dente violation de ce contrat.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> g.</var> \u00ab Options du Contrat \u00bb : les attributs g\u00e9n\u00e9riques du Contrat tels qu&apos;ils ont \u00e9t\u00e9 choisis par l&apos;Offrant et indiqu\u00e9s dans le titre de ce Contrat : Paternit\u00e9 - Pas d&apos;Utilisation Commerciale - Partage Des Conditions Initiales A l&apos;Identique.\n						</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 2</var>. Exceptions aux droits exclusifs. Aucune disposition de ce contrat n&apos;a pour intention de r\u00e9duire, limiter ou restreindre les pr\u00e9rogatives issues des exceptions aux droits, de l&apos;\u00e9puisement des droits ou d&apos;autres limitations aux droits exclusifs des ayants droit selon le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique ou les autres lois applicables.\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 3</var>. Autorisation. Soumis aux termes et conditions d\u00e9finis dans cette autorisation, et ceci pendant toute la dur\u00e9e de protection de l&apos;Oeuvre par le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique ou le droit applicable, l&apos;Offrant accorde \u00e0 l&apos;Acceptant l&apos;autorisation mondiale d&apos;exercer \u00e0 titre gratuit et non exclusif les droits suivants :\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> reproduire l&apos;Oeuvre, incorporer l&apos;Oeuvre dans une ou plusieurs Oeuvres dites Collectives et reproduire l&apos;Oeuvre telle qu&apos;incorpor\u00e9e dans lesdites Oeuvres dites Collectives;\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> cr\u00e9er et reproduire des Oeuvres dites D\u00e9riv\u00e9es;\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> c.</var> distribuer des exemplaires ou enregistrements, pr\u00e9senter, repr\u00e9senter ou communiquer l&apos;Oeuvre au public par tout proc\u00e9d\u00e9 technique, y compris incorpor\u00e9e dans des   Oeuvres Collectives;\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> d.</var> distribuer des exemplaires ou phonogrammes, pr\u00e9senter, repr\u00e9senter ou communiquer au public des Oeuvres dites D\u00e9riv\u00e9es par tout proc\u00e9d\u00e9 technique;\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> e.</var> lorsque l&apos;Oeuvre est une base de donn\u00e9es, extraire et r\u00e9utiliser des parties substantielles de l&apos;Oeuvre.\n						</li>\n					\n</ul>\n\n					<p>Les droits mentionn\u00e9s ci-dessus peuvent \u00eatre exerc\u00e9s sur tous les supports, m\u00e9dias, proc\u00e9d\u00e9s techniques et formats. Les droits ci-dessus incluent le droit d&apos;effectuer les modifications n\u00e9cessaires techniquement \u00e0 l&apos;exercice des droits dans d&apos;autres formats et proc\u00e9d\u00e9s techniques. L&apos;exercice de tous les droits qui ne sont pas express\u00e9ment autoris\u00e9s par l&apos;Offrant ou dont il n&apos;aurait pas la gestion demeure r\u00e9serv\u00e9, notamment les m\u00e9canismes de gestion collective obligatoire applicables d\u00e9crits \u00e0 l&apos;article 4(e).</p>\n\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 4</var>. Restrictions. L&apos;autorisation accord\u00e9e par l&apos;article 3 est express\u00e9ment assujettie et limit\u00e9e par le respect des restrictions suivantes :\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> L&apos;Acceptant peut reproduire, distribuer, repr\u00e9senter ou communiquer au public l&apos;Oeuvre y compris par voie num\u00e9rique uniquement selon les termes de ce Contrat. L&apos;Acceptant doit inclure une copie ou l&apos;adresse Internet (Identifiant Uniforme de Ressource) du pr\u00e9sent Contrat \u00e0 toute reproduction ou enregistrement de l&apos;Oeuvre que l&apos;Acceptant distribue, repr\u00e9sente ou communique au public y compris par voie num\u00e9rique. L&apos;Acceptant ne peut pas offrir ou imposer de conditions d&apos;utilisation de l&apos;Oeuvre qui alt\u00e8rent ou restreignent les termes du pr\u00e9sent Contrat ou l&apos;exercice des droits qui y sont accord\u00e9s au b\u00e9n\u00e9ficiaire. L&apos;Acceptant ne peut pas c\u00e9der de droits sur l&apos;Oeuvre. L&apos;Acceptant doit conserver intactes toutes les informations qui renvoient \u00e0 ce Contrat et \u00e0 l&apos;exon\u00e9ration de responsabilit\u00e9. L&apos;Acceptant ne peut pas reproduire, distribuer, repr\u00e9senter ou communiquer au public l&apos;Oeuvre, y compris par voie num\u00e9rique, en utilisant une mesure technique de contr\u00f4le d&apos;acc\u00e8s ou de contr\u00f4le d&apos;utilisation qui serait contradictoire avec les termes de cet Accord contractuel. Les mentions ci-dessus s&apos;appliquent \u00e0 l&apos;Oeuvre telle qu&apos;incorpor\u00e9e dans une Oeuvre dite Collective, mais, en dehors de l&apos;Oeuvre en elle-m\u00eame, ne soumettent pas l&apos;Oeuvre dite Collective, aux termes du pr\u00e9sent Contrat. Si l&apos;Acceptant cr\u00e9e une Oeuvre dite Collective, \u00e0 la demande de tout Offrant, il devra, dans la mesure du possible, retirer de l&apos;Oeuvre dite Collective toute r\u00e9f\u00e9rence au dit Offrant, comme demand\u00e9. Si l&apos;Acceptant cr\u00e9e une Oeuvre dite Collective, \u00e0 la demande de tout Auteur, il devra, dans la mesure du possible, retirer de l&apos;Oeuvre dite Collective toute r\u00e9f\u00e9rence au dit Auteur, comme demand\u00e9. Si l&apos;Acceptant cr\u00e9e une Oeuvre dite D\u00e9riv\u00e9e, \u00e0 la demande de tout Offrant, il devra, dans la mesure du possible, retirer de l&apos;Oeuvre dite D\u00e9riv\u00e9e toute r\u00e9f\u00e9rence au dit Offrant, comme demand\u00e9. Si l&apos;Acceptant cr\u00e9e une Oeuvre dite D\u00e9riv\u00e9e, \u00e0 la demande de tout Auteur, il devra, dans la mesure du possible, retirer de l&apos;Oeuvre dite D\u00e9riv\u00e9e toute r\u00e9f\u00e9rence au dit Auteur, comme demand\u00e9.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> L&apos;Acceptant peut reproduire, distribuer, repr\u00e9senter ou communiquer au public une Oeuvre dite D\u00e9riv\u00e9e y compris par voie num\u00e9rique uniquement sous les termes de ce Contrat, ou d&apos;une version ult\u00e9rieure de ce Contrat comprenant les m\u00eames Options du Contrat que le pr\u00e9sent Contrat, ou un Contrat Creative Commons iCommons comprenant les m\u00eames Options du Contrat que le pr\u00e9sent Contrat (par exemple Paternit\u00e9 - Pas d&apos;Utilisation Commerciale - Partage Des Conditions Initiales A l&apos;Identique 2.0 Japon). L&apos;Acceptant doit inclure une copie ou l&apos;adresse Internet (Identifiant Uniforme de Ressource) du pr\u00e9sent Contrat, ou d&apos;un autre Contrat tel que d\u00e9crit \u00e0 la phrase pr\u00e9c\u00e9dente, \u00e0 toute reproduction ou enregistrement de l&apos;Oeuvre dite D\u00e9riv\u00e9e que l&apos;Acceptant distribue, repr\u00e9sente ou communique au public y compris par voie num\u00e9rique. L&apos;Acceptant ne peut pas offrir ou imposer de conditions d&apos;utilisation sur l&apos;Oeuvre dite D\u00e9riv\u00e9e qui alt\u00e8rent ou restreignent les termes du pr\u00e9sent Contrat ou l&apos;exercice des droits qui y sont accord\u00e9s au b\u00e9n\u00e9ficiaire, et doit conserver intactes toutes les informations qui renvoient \u00e0 ce Contrat et \u00e0 l&apos;avertissement sur les garanties. L&apos;Acceptant ne peut pas reproduire, distribuer, repr\u00e9senter ou communiquer au public y compris par voie num\u00e9rique l&apos;Oeuvre dite D\u00e9riv\u00e9e en utilisant une mesure technique de contr\u00f4le d&apos;acc\u00e8s ou de contr\u00f4le d&apos;utilisation qui serait contradictoire avec les termes de cet Accord contractuel. Les mentions ci-dessus s&apos;appliquent \u00e0 l&apos;Oeuvre dite D\u00e9riv\u00e9e telle qu&apos;incorpor\u00e9e dans une Oeuvre dite Collective, mais, en dehors de l&apos;Oeuvre dite D\u00e9riv\u00e9e en elle-m\u00eame, ne soumettent pas l&apos;Oeuvre Collective, aux termes du pr\u00e9sent Contrat.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> c.</var> L&apos;Acceptant ne peut exercer aucun des droits conf\u00e9r\u00e9s par l&apos;article 3 avec l&apos;intention ou l&apos;objectif d&apos;obtenir un profit commercial ou une compensation financi\u00e8re personnelle. L&apos;\u00e9change de l&apos;Oeuvre avec d&apos;autres Oeuvres prot\u00e9g\u00e9es par le droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique par le partage \u00e9lectronique de fichiers, ou par tout autre moyen, n&apos;est pas consid\u00e9r\u00e9 comme un \u00e9change avec l&apos;intention ou l&apos;objectif d&apos;un profit commercial ou d&apos;une compensation financi\u00e8re personnelle, dans la mesure o\u00f9 aucun paiement ou compensation financi\u00e8re n&apos;intervient en relation avec l&apos;\u00e9change d&apos;Oeuvres prot\u00e9g\u00e9es.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> d.</var> Si l&apos;Acceptant reproduit, distribue, repr\u00e9sente ou communique au public, y compris par voie num\u00e9rique, l&apos;Oeuvre ou toute Oeuvre dite D\u00e9riv\u00e9e ou toute Oeuvre dite Collective, il doit conserver intactes toutes les informations sur le r\u00e9gime des droits et en attribuer la paternit\u00e9 \u00e0 l&apos;Auteur Original, de mani\u00e8re raisonnable au regard au m\u00e9dium ou au moyen utilis\u00e9. Il doit communiquer le nom de l&apos;Auteur Original ou son \u00e9ventuel pseudonyme s&apos;il est indiqu\u00e9 ; le titre de l&apos;Oeuvre Originale s&apos;il est indiqu\u00e9 ; dans la mesure du possible, l&apos;adresse Internet ou Identifiant Uniforme de Ressource (URI), s&apos;il existe, sp\u00e9cifi\u00e9 par l&apos;Offrant comme associ\u00e9 \u00e0 l&apos;Oeuvre, \u00e0 moins que cette adresse ne renvoie pas aux informations l\u00e9gales (paternit\u00e9 et conditions d&apos;utilisation de l&apos;Oeuvre). Dans le cas d&apos;une Oeuvre dite D\u00e9riv\u00e9e, il doit indiquer les \u00e9l\u00e9ments identifiant l&apos;utilisation l&apos;Oeuvre dans l&apos;Oeuvre dite D\u00e9riv\u00e9e par exemple \u00ab Traduction anglaise de l&apos;Oeuvre par l&apos;Auteur Original \u00bb ou \u00ab Sc\u00e9nario bas\u00e9 sur l&apos;Oeuvre par l&apos;Auteur Original \u00bb. Ces obligations d&apos;attribution de paternit\u00e9 doivent \u00eatre ex\u00e9cut\u00e9es de mani\u00e8re raisonnable. Cependant, dans le cas d&apos;une Oeuvre dite D\u00e9riv\u00e9e ou d&apos;une Oeuvre dite Collective, ces informations doivent, au minimum, appara\u00eetre \u00e0 la place et de mani\u00e8re aussi visible que celles \u00e0 laquelle apparaissent les informations de m\u00eame nature.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> e.</var> Dans le cas o\u00f9 une utilisation de l&apos;Oeuvre serait soumise \u00e0 un r\u00e9gime l\u00e9gal de gestion collective obligatoire, l&apos;Offrant se r\u00e9serve le droit exclusif de collecter ces redevances par l&apos;interm\u00e9diaire de la soci\u00e9t\u00e9 de perception et de r\u00e9partition des droits comp\u00e9tente. Sont notamment concern\u00e9s la radiodiffusion et la communication dans un lieu public de phonogrammes publi\u00e9s \u00e0 des fins de commerce, certains cas de retransmission par c\u00e2ble et satellite, la copie priv\u00e9e d&apos;Oeuvres fix\u00e9es sur phonogrammes ou vid\u00e9ogrammes, la reproduction par reprographie.\n						</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 5</var>. Garantie et exon\u00e9ration de responsabilit\u00e9\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> En mettant l&apos;Oeuvre \u00e0 la disposition du public selon les termes de ce Contrat, l&apos;Offrant d\u00e9clare de bonne foi qu&apos;\u00e0 sa connaissance et dans les limites d&apos;une enqu\u00eate raisonnable :\n\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> i.</var> L&apos;Offrant a obtenu tous les droits sur l&apos;Oeuvre n\u00e9cessaires pour pouvoir autoriser l&apos;exercice des droits accord\u00e9s par le pr\u00e9sent Contrat, et permettre la jouissance paisible et l&apos;exercice licite de ces droits, ceci sans que l&apos;Acceptant n&apos;ait aucune obligation de verser de r\u00e9mun\u00e9ration ou tout autre paiement ou droits, dans la limite des m\u00e9canismes de gestion collective obligatoire applicables d\u00e9crits \u00e0 l&apos;article 4(e);\n								</li>\n\n<li>\n									<var class=\"replaceable-license-text\"> ii</var>. L&apos;Oeuvre n&apos;est constitutive ni d&apos;une violation des droits de tiers, notamment du droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique, du droit des marques, du droit de l&apos;information, du droit civil ou de tout autre droit, ni de diffamation, de violation de la vie priv\u00e9e ou de tout autre pr\u00e9judice d\u00e9lictuel \u00e0 l&apos;\u00e9gard de toute tierce partie.\n								</li>\n							\n</ul>\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> A l&apos;exception des situations express\u00e9ment mentionn\u00e9es dans le pr\u00e9sent Contrat ou dans un autre accord \u00e9crit, ou exig\u00e9es par la loi applicable, l&apos;Oeuvre est mise \u00e0 disposition en l&apos;\u00e9tat sans garantie d&apos;aucune sorte, qu&apos;elle soit expresse ou tacite, y compris \u00e0 l&apos;\u00e9gard du contenu ou de l&apos;exactitude de l&apos;Oeuvre.\n						</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 6</var>. Limitation de responsabilit\u00e9. A l&apos;exception des garanties d&apos;ordre public impos\u00e9es par la loi applicable et des r\u00e9parations impos\u00e9es par le r\u00e9gime de la responsabilit\u00e9 vis-\u00e0-vis d&apos;un tiers en raison de la violation des garanties pr\u00e9vues par l&apos;article 5 du pr\u00e9sent contrat, l&apos;Offrant ne sera en aucun cas tenu responsable vis-\u00e0-vis de l&apos;Acceptant, sur la base d&apos;aucune th\u00e9orie l\u00e9gale ni en raison d&apos;aucun pr\u00e9judice direct, indirect, mat\u00e9riel ou moral, r\u00e9sultant de l&apos;ex\u00e9cution du pr\u00e9sent Contrat ou de l&apos;utilisation de l&apos;Oeuvre, y compris dans l&apos;hypoth\u00e8se o\u00f9 l&apos;Offrant avait connaissance de la possible existence d&apos;un tel pr\u00e9judice.\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 7</var>. R\u00e9siliation\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> Tout manquement aux termes du contrat par l&apos;Acceptant entra\u00eene la r\u00e9siliation automatique du Contrat et la fin des droits qui en d\u00e9coulent. Cependant, le contrat conserve ses effets envers les personnes physiques ou morales qui ont re\u00e7u de la part de l&apos;Acceptant, en ex\u00e9cution du pr\u00e9sent contrat, la mise \u00e0 disposition d&apos;Oeuvres dites D\u00e9riv\u00e9es, ou d&apos;Oeuvres dites Collectives, ceci tant qu&apos;elles respectent pleinement leurs obligations. Les sections 1, 2, 5, 6 et 7 du contrat continuent \u00e0 s&apos;appliquer apr\u00e8s la r\u00e9siliation de celui-ci.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> Dans les limites indiqu\u00e9es ci-dessus, le pr\u00e9sent Contrat s&apos;applique pendant toute la dur\u00e9e de protection de l&apos;Oeuvre selon le droit applicable. N\u00e9anmoins, l&apos;Offrant se r\u00e9serve \u00e0 tout moment le droit d&apos;exploiter l&apos;Oeuvre sous des conditions contractuelles diff\u00e9rentes, ou d&apos;en cesser la diffusion; cependant, le recours \u00e0 cette option ne doit pas conduire \u00e0 retirer les effets du pr\u00e9sent Contrat (ou de tout contrat qui a \u00e9t\u00e9 ou doit \u00eatre accord\u00e9 selon les termes de ce Contrat), et ce Contrat continuera \u00e0 s&apos;appliquer dans tous ses effets jusqu&apos;\u00e0 ce que sa r\u00e9siliation intervienne dans les conditions d\u00e9crites ci-dessus.\n						</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> 8</var>. Divers\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> A chaque reproduction ou communication au public par voie num\u00e9rique de l&apos;Oeuvre ou d&apos;une Oeuvre dite Collective par l&apos;Acceptant, l&apos;Offrant propose au b\u00e9n\u00e9ficiaire une offre de mise \u00e0 disposition de l&apos;Oeuvre dans des termes et conditions identiques \u00e0 ceux accord\u00e9s \u00e0 la partie Acceptante dans le pr\u00e9sent Contrat.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> A chaque reproduction ou communication au public par voie num\u00e9rique d&apos;une Oeuvre dite D\u00e9riv\u00e9e par l&apos;Acceptant, l&apos;Offrant propose au b\u00e9n\u00e9ficiaire une offre de mise \u00e0 disposition du b\u00e9n\u00e9ficiaire de l&apos;Oeuvre originale dans des termes et conditions identiques \u00e0 ceux accord\u00e9s \u00e0 la partie Acceptante dans le pr\u00e9sent Contrat.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> c.</var> La nullit\u00e9 ou l&apos;inapplicabilit\u00e9 d&apos;une quelconque disposition de ce Contrat au regard de la loi applicable n&apos;affecte pas celle des autres dispositions qui resteront pleinement valides et applicables. Sans action additionnelle par les parties \u00e0 cet accord, lesdites dispositions devront \u00eatre interpr\u00e9t\u00e9es dans la mesure minimum n\u00e9cessaire \u00e0 leur validit\u00e9 et leur applicabilit\u00e9.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> d.</var> Aucune limite, renonciation ou modification des termes ou dispositions du pr\u00e9sent Contrat ne pourra \u00eatre accept\u00e9e sans le consentement \u00e9crit et sign\u00e9 de la partie comp\u00e9tente.\n							</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> e.</var> Ce Contrat constitue le seul accord entre les parties \u00e0 propos de l&apos;Oeuvre mise ici \u00e0 disposition. Il n&apos;existe aucun \u00e9l\u00e9ment annexe, accord suppl\u00e9mentaire ou mandat portant sur cette Oeuvre en dehors des \u00e9l\u00e9ments mentionn\u00e9s ici. L&apos;Offrant ne sera tenu par aucune disposition suppl\u00e9mentaire qui pourrait appara\u00eetre dans une quelconque communication en provenance de l&apos;Acceptant. Ce Contrat ne peut \u00eatre modifi\u00e9 sans l&apos;accord mutuel \u00e9crit de l&apos;Offrant et de l&apos;Acceptant.\n						</li>\n\n<li>\n							<var class=\"replaceable-license-text\"> f.</var> Le droit applicable est le droit fran\u00e7ais.\n						</li>\n					\n</ul>\n				</li>\n			\n</ul>\n\n			<p>Creative Commons n&apos;est pas partie \u00e0 ce Contrat et n&apos;offre aucune forme de garantie relative \u00e0 l&apos;Oeuvre. Creative Commons d\u00e9cline toute responsabilit\u00e9 \u00e0 l&apos;\u00e9gard de l&apos;Acceptant ou de toute autre partie, quel que soit le fondement l\u00e9gal de cette responsabilit\u00e9 et quel que soit le pr\u00e9judice subi, direct, indirect, mat\u00e9riel ou moral, qui surviendrait en rapport avec le pr\u00e9sent Contrat. Cependant, si Creative Commons s&apos;est express\u00e9ment identifi\u00e9 comme Offrant pour mettre une Oeuvre \u00e0 disposition selon les termes de ce Contrat, Creative Commons jouira de tous les droits et obligations d&apos;un Offrant.</p>\n\n			<p>A l&apos;exception des fins limit\u00e9es \u00e0 informer le public que l&apos;Oeuvre est mise \u00e0 disposition sous CPCC, aucune des parties n&apos;utilisera la marque \u00ab Creative Commons \u00bb ou toute autre indication ou logo aff\u00e9rent sans le consentement pr\u00e9alable \u00e9crit de Creative Commons. Toute utilisation autoris\u00e9e devra \u00eatre effectu\u00e9e en conformit\u00e9 avec les lignes directrices de Creative Commons \u00e0 jour au moment de l&apos;utilisation, telles qu&apos;elles sont disponibles sur son site Internet ou sur simple demande.</p>\n\n			<p>Creative Commons peut \u00eatre contact\u00e9 \u00e0 https://creativecommons.org/.</p>\n\n		"
		self.python_name = "CCBYNCSA20FR"

	def __str__(self):
		return json.dumps(self.__dict__)


class YPL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Yahoo! Public License, Version 1.0 (YPL)\n\nThis Yahoo! Public License (this \"Agreement\") is a legal agreement that describes the terms under which Yahoo! Inc., a Delaware corporation having its principal place of business at 701 First Avenue, Sunnyvale, California 94089 (\"Yahoo!\") will provide software to you via download or otherwise (\"Software\"). By using the Software, you, an individual or an entity (\"You\") agree to the terms of this Agreement.\n\nIn consideration of the mutual promises and upon the terms and conditions set forth below, the parties agree as follows:\n\n1. Grant of Copyright License\n\n	 1.1 - Subject to the terms and conditions of this Agreement, Yahoo! hereby grants to You, under any and all of its copyright interest in and to the Software, a royalty-free, non-exclusive, non-transferable license to copy, modify, compile, execute, and distribute the Software and Modifications. For the purposes of this Agreement, any change to, addition to, or abridgement of the Software made by You is a \"Modification;\" however, any file You add to the Software that does not contain any part of the Software is not a \"Modification.\"\n\n	 1.2 - If You are an individual acting on behalf of a corporation or other entity, Your use of the Software or any Modification is subject to Your having the authority to bind such corporation or entity to this Agreement. Providing copies to persons within such corporation or entity is not considered distribution for purposes of this Agreement.\n\n	 1.3 - For the Software or any Modification You distribute in source code format, You must do so only under the terms of this Agreement, and You must include a complete copy of this Agreement with Your distribution. With respect to any Modification You distribute in source code format, the terms of this Agreement will apply to You in the same way those terms apply to Yahoo! with respect to the Software. In other words, when You are distributing Modifications under this Agreement, You \"stand in the shoes\" of Yahoo! in terms of the rights You grant and how the terms and conditions apply to You and the licensees of Your Modifications. Notwithstanding the foregoing, when You \"stand in the shoes\" of Yahoo!, You are not subject to the jurisdiction provision under Section 7, which requires all disputes under this Agreement to be subject to the jurisdiction of federal or state courts of northern California.\n\n	 1.4 - For the Software or any Modification You distribute in compiled or object code format, You must also provide recipients with access to the Software or Modification in source code format along with a complete copy of this Agreement. The distribution of the Software or Modifications in compiled or object code format may be under a license of Your choice, provided that You are in compliance with the terms of this Agreement. In addition, You must make absolutely clear that any license terms applying to such Software or Modification that differ from this Agreement are offered by You alone and not by Yahoo!, and that such license does not restrict recipients from exercising rights in the source code to the Software granted by Yahoo! under this Agreement or rights in the source code to any Modification granted by You as described in Section 1.3.\n\n	 1.5 - This Agreement does not limit Your right to distribute files that are entirely Your own work (i.e., which do not incorporate any portion of the Software and are not Modifications) under any terms You choose.\n\n2. Support\nYahoo! has no obligation to provide technical support or updates to You. Nothing in this Agreement requires Yahoo! to enter into any license with You for any other edition of the Software.\n\n3.  Intellectual Property Rights\n\n	 3.1 - Except for the license expressly granted under copyright in Section 1.1, no rights, licenses or forbearances are granted or may arise in relation to this Agreement whether expressly, by implication, exhaustion, estoppel or otherwise. All rights, including all intellectual property rights, that are not expressly granted under this Agreement are hereby reserved.\n\n	 3.2 - In any copy of the Software or in any Modification you create, You must retain and reproduce, any and all copyright, patent, trademark, and attribution notices that are included in the Software in the same form as they appear in the Software. This includes the preservation of attribution notices in the form of trademarks or logos that exist within a user interface of the Software.\n\n	 3.3 - This license does not grant You rights to use any party's name, logo, or trademarks, except solely as necessary to comply with Section 3.2.\n\n4.  Disclaimer of Warranties\nTHE SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY OF ANY KIND. YAHOO! MAKES NO WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY REGARDING OR RELATING TO THE SOFTWARE. SPECIFICALLY, YAHOO! DOES NOT WARRANT THAT THE SOFTWARE WILL BE ERROR FREE OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST EXTENT ALLOWED BY LAW, YAHOO! SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE (EVEN IF YAHOO! HAD BEEN INFORMED OF SUCH PURPOSE), AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE, ANY MODIFICATIONS THERETO AND WITH RESPECT TO THE USE OF THE FOREGOING.\n\n5.  Limitation of Liability\nIN NO EVENT WILL YAHOO! BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION LOSS OF PROFITS, LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, COST OF COVER) IN CONNECTION WITH OR ARISING OUT OF OR RELATING TO THE FURNISHING, PERFORMANCE OR USE OF THE SOFTWARE OR ANY OTHER RIGHTS GRANTED HEREUNDER, WHETHER ALLEGED AS A BREACH OF CONTRACT OR TORTIOUS CONDUCT, INCLUDING NEGLIGENCE, AND EVEN IF YAHOO! HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n6.  Term and Termination\n\n	 6.1 - This Agreement will continue in effect unless and until terminated earlier pursuant to this Section 6.\n\n	 6.2 - In the event Yahoo! determines that You have breached this Agreement, Yahoo! may terminate this Agreement.\n\n	 6.3 - All licenses granted hereunder shall terminate upon the termination of this Agreement. Termination will be in addition to any rights and remedies available to Yahoo! at law or equity or under this Agreement.\n\n	 6.4 - Termination of this Agreement will not affect the provisions regarding reservation of rights (Section 3.1), provisions disclaiming or limiting Yahoo!'s liability (Sections 4 and 5), Termination (Section 6) or Miscellaneous (Section 7), which provisions will survive termination of this Agreement.\n\n7.  Miscellaneous\nThis Agreement contains the entire agreement of the parties with respect to the subject matter of this Agreement and supersedes all previous communications, representations, understandings and agreements, either oral or written, between the parties with respect to said subject matter. The relationship of the parties hereunder is that of independent contractors, and this Agreement will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between the parties. If any term, condition, or provision in this Agreement is found to be invalid, unlawful or unenforceable to any extent, this Agreement will be consTrued in a manner that most closely effectuates the intent of this Agreement. Such invalid term, condition or provision will be severed from the remaining terms, conditions and provisions, which will continue to be valid and enforceable to the fullest extent permitted by law. This Agreement will be interpreted and consTrued in accordance with the laws of the State of California and the United States of America, without regard to conflict of law principles. The U.N. Convention on Contracts for the International Sale of Goods shall not apply to this Agreement. All disputes arising out of this Agreement involving Yahoo! or any of its subsidiaries shall be subject to the jurisdiction of the federal or state courts of northern California, with venue lying in Santa Clara County, California. No rights may be assigned, no obligations may be delegated, and this Agreement may not be transferred by You, in whole or in part, whether voluntary or by operation of law, including by way of sale of assets, merger or consolidation, without the prior written consent of Yahoo!, and any purported assignment, delegation or transfer without such consent shall be void ab initio. Any waiver of the provisions of this Agreement or of a party's rights or remedies under this Agreement must be in writing to be effective. Failure, neglect or delay by a party to enforce the provisions of this Agreement or its rights or remedies at any time, will not be consTrued or be deemed to be a waiver of such party's rights under this Agreement and will not in any way affect the validity of the whole or any part of this Agreement or prejudice such party's right to take subsequent action.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Yahoo! Public License, Version 1.0 (YPL)\n\n<<endOptional>>\n\nThis Yahoo! Public License (this \"Agreement\") is a legal agreement that describes the terms under which Yahoo! Inc., a Delaware corporation having its principal place of business at 701 First Avenue, Sunnyvale, California 94089 (\"Yahoo!\") will provide software to you via download or otherwise (\"Software\"). By using the Software, you, an individual or an entity (\"You\") agree to the terms of this Agreement.\n\nIn consideration of the mutual promises and upon the terms and conditions set forth below, the parties agree as follows:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Grant of Copyright License\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> - Subject to the terms and conditions of this Agreement, Yahoo! hereby grants to You, under any and all of its copyright interest in and to the Software, a royalty-free, non-exclusive, non-transferable license to copy, modify, compile, execute, and distribute the Software and Modifications. For the purposes of this Agreement, any change to, addition to, or abridgement of the Software made by You is a \"Modification;\" however, any file You add to the Software that does not contain any part of the Software is not a \"Modification.\"\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> - If You are an individual acting on behalf of a corporation or other entity, Your use of the Software or any Modification is subject to Your having the authority to bind such corporation or entity to this Agreement. Providing copies to persons within such corporation or entity is not considered distribution for purposes of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> - For the Software or any Modification You distribute in source code format, You must do so only under the terms of this Agreement, and You must include a complete copy of this Agreement with Your distribution. With respect to any Modification You distribute in source code format, the terms of this Agreement will apply to You in the same way those terms apply to Yahoo! with respect to the Software. In other words, when You are distributing Modifications under this Agreement, You \"stand in the shoes\" of Yahoo! in terms of the rights You grant and how the terms and conditions apply to You and the licensees of Your Modifications. Notwithstanding the foregoing, when You \"stand in the shoes\" of Yahoo!, You are not subject to the jurisdiction provision under Section 7, which requires all disputes under this Agreement to be subject to the jurisdiction of federal or state courts of northern California.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> - For the Software or any Modification You distribute in compiled or object code format, You must also provide recipients with access to the Software or Modification in source code format along with a complete copy of this Agreement. The distribution of the Software or Modifications in compiled or object code format may be under a license of Your choice, provided that You are in compliance with the terms of this Agreement. In addition, You must make absolutely clear that any license terms applying to such Software or Modification that differ from this Agreement are offered by You alone and not by Yahoo!, and that such license does not restrict recipients from exercising rights in the source code to the Software granted by Yahoo! under this Agreement or rights in the source code to any Modification granted by You as described in Section 1.3.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> - This Agreement does not limit Your right to distribute files that are entirely Your own work (i.e., which do not incorporate any portion of the Software and are not Modifications) under any terms You choose.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Support\n\n   Yahoo! has no obligation to provide technical support or updates to You. Nothing in this Agreement requires Yahoo! to enter into any license with You for any other edition of the Software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Intellectual Property Rights\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> - Except for the license expressly granted under copyright in Section 1.1, no rights, licenses or forbearances are granted or may arise in relation to this Agreement whether expressly, by implication, exhaustion, estoppel or otherwise. All rights, including all intellectual property rights, that are not expressly granted under this Agreement are hereby reserved.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> - In any copy of the Software or in any Modification you create, You must retain and reproduce, any and all copyright, patent, trademark, and attribution notices that are included in the Software in the same form as they appear in the Software. This includes the preservation of attribution notices in the form of trademarks or logos that exist within a user interface of the Software.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> - This license does not grant You rights to use any party's name, logo, or trademarks, except solely as necessary to comply with Section 3.2.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Disclaimer of Warranties\n\n   THE SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY OF ANY KIND. YAHOO! MAKES NO WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY REGARDING OR RELATING TO THE SOFTWARE. SPECIFICALLY, YAHOO! DOES NOT WARRANT THAT THE SOFTWARE WILL BE ERROR FREE OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST EXTENT ALLOWED BY LAW, YAHOO! SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE (EVEN IF YAHOO! HAD BEEN INFORMED OF SUCH PURPOSE), AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE, ANY MODIFICATIONS THERETO AND WITH RESPECT TO THE USE OF THE FOREGOING.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Limitation of Liability\n\n   IN NO EVENT WILL YAHOO! BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION LOSS OF PROFITS, LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, COST OF COVER) IN CONNECTION WITH OR ARISING OUT OF OR RELATING TO THE FURNISHING, PERFORMANCE OR USE OF THE SOFTWARE OR ANY OTHER RIGHTS GRANTED HEREUNDER, WHETHER ALLEGED AS A BREACH OF CONTRACT OR TORTIOUS CONDUCT, INCLUDING NEGLIGENCE, AND EVEN IF YAHOO! HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Term and Termination\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> - This Agreement will continue in effect unless and until terminated earlier pursuant to this Section 6.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> - In the event Yahoo! determines that You have breached this Agreement, Yahoo! may terminate this Agreement.\n\n	  <<var;name=\"bullet\";original=\"6.3\";match=\".{0,20}\">> - All licenses granted hereunder shall terminate upon the termination of this Agreement. Termination will be in addition to any rights and remedies available to Yahoo! at law or equity or under this Agreement.\n\n	  <<var;name=\"bullet\";original=\"6.4\";match=\".{0,20}\">> - Termination of this Agreement will not affect the provisions regarding reservation of rights (Section 3.1), provisions disclaiming or limiting Yahoo!'s liability (Sections 4 and 5), Termination (Section 6) or Miscellaneous (Section 7), which provisions will survive termination of this Agreement.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Miscellaneous\n\n   This Agreement contains the entire agreement of the parties with respect to the subject matter of this Agreement and supersedes all previous communications, representations, understandings and agreements, either oral or written, between the parties with respect to said subject matter. The relationship of the parties hereunder is that of independent contractors, and this Agreement will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between the parties. If any term, condition, or provision in this Agreement is found to be invalid, unlawful or unenforceable to any extent, this Agreement will be consTrued in a manner that most closely effectuates the intent of this Agreement. Such invalid term, condition or provision will be severed from the remaining terms, conditions and provisions, which will continue to be valid and enforceable to the fullest extent permitted by law. This Agreement will be interpreted and consTrued in accordance with the laws of the State of California and the United States of America, without regard to conflict of law principles. The U.N. Convention on Contracts for the International Sale of Goods shall not apply to this Agreement. All disputes arising out of this Agreement involving Yahoo! or any of its subsidiaries shall be subject to the jurisdiction of the federal or state courts of northern California, with venue lying in Santa Clara County, California. No rights may be assigned, no obligations may be delegated, and this Agreement may not be transferred by You, in whole or in part, whether voluntary or by operation of law, including by way of sale of assets, merger or consolidation, without the prior written consent of Yahoo!, and any purported assignment, delegation or transfer without such consent shall be void ab initio. Any waiver of the provisions of this Agreement or of a party's rights or remedies under this Agreement must be in writing to be effective. Failure, neglect or delay by a party to enforce the provisions of this Agreement or its rights or remedies at any time, will not be consTrued or be deemed to be a waiver of such party's rights under this Agreement and will not in any way affect the validity of the whole or any part of this Agreement or prejudice such party's right to take subsequent action."
		self.name = "Yahoo! Public License v1.0"
		self.licenseId = "YPL-1.0"
		self.crossRef = [{"match": "True", "url": "http://www.zimbra.com/license/yahoo_public_license_1.0.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:36Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.zimbra.com/license/yahoo_public_license_1.0.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Yahoo! Public License, Version 1.0 (YPL)</p>\n\n	  </div>\n\n	  <p>This Yahoo! Public License (this &quot;Agreement&quot;) is a legal agreement that describes the terms under which\n		 Yahoo! Inc., a Delaware corporation having its principal place of business at 701 First Avenue,\n		 Sunnyvale, California 94089 (&quot;Yahoo!&quot;) will provide software to you via download or otherwise\n		 (&quot;Software&quot;). By using the Software, you, an individual or an entity (&quot;You&quot;) agree to the terms of\n		 this Agreement.</p>\n\n	  <p>In consideration of the mutual promises and upon the terms and conditions set forth below, the parties\n		 agree as follows:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Grant of Copyright License\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1</var>\n			  - Subject to the terms and conditions of this Agreement, Yahoo! hereby grants to You, under any\n				 and all of its copyright interest in and to the Software, a royalty-free, non-exclusive,\n				 non-transferable license to copy, modify, compile, execute, and distribute the Software and\n				 Modifications. For the purposes of this Agreement, any change to, addition to, or abridgement\n				 of the Software made by You is a &quot;Modification;&quot; however, any file You add to the Software\n				 that does not contain any part of the Software is not a &quot;Modification.&quot;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2</var>\n			  - If You are an individual acting on behalf of a corporation or other entity, Your use of the\n				 Software or any Modification is subject to Your having the authority to bind such corporation\n				 or entity to this Agreement. Providing copies to persons within such corporation or entity is\n				 not considered distribution for purposes of this Agreement.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3</var>\n			  - For the Software or any Modification You distribute in source code format, You must do so only\n				 under the terms of this Agreement, and You must include a complete copy of this Agreement with\n				 Your distribution. With respect to any Modification You distribute in source code format, the\n				 terms of this Agreement will apply to You in the same way those terms apply to Yahoo! with\n				 respect to the Software. In other words, when You are distributing Modifications under this\n				 Agreement, You &quot;stand in the shoes&quot; of Yahoo! in terms of the rights You grant and how the\n				 terms and conditions apply to You and the licensees of Your Modifications. Notwithstanding the\n				 foregoing, when You &quot;stand in the shoes&quot; of Yahoo!, You are not subject to the jurisdiction\n				 provision under Section 7, which requires all disputes under this Agreement to be subject to\n				 the jurisdiction of federal or state courts of northern California.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4</var>\n			  - For the Software or any Modification You distribute in compiled or object code format, You must\n				 also provide recipients with access to the Software or Modification in source code format\n				 along with a complete copy of this Agreement. The distribution of the Software or\n				 Modifications in compiled or object code format may be under a license of Your choice,\n				 provided that You are in compliance with the terms of this Agreement. In addition, You must\n				 make absolutely clear that any license terms applying to such Software or Modification that\n				 differ from this Agreement are offered by You alone and not by Yahoo!, and that such license\n				 does not restrict recipients from exercising rights in the source code to the Software granted\n				 by Yahoo! under this Agreement or rights in the source code to any Modification granted by You\n				 as described in Section 1.3.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5</var>\n			  - This Agreement does not limit Your right to distribute files that are entirely Your own work\n				 (i.e., which do not incorporate any portion of the Software and are not Modifications) under\n				 any terms You choose.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Support\n			<br />\n\n   Yahoo! has no obligation to provide technical support or updates to You. Nothing in this\n				 Agreement requires Yahoo! to enter into any license with You for any other edition of\n				 the Software.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Intellectual Property Rights\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n		  - Except for the license expressly granted under copyright in Section 1.1, no rights, licenses or\n			 forbearances are granted or may arise in relation to this Agreement whether expressly, by\n			 implication, exhaustion, estoppel or otherwise. All rights, including all intellectual\n			 property rights, that are not expressly granted under this Agreement are hereby reserved.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n		  - In any copy of the Software or in any Modification you create, You must retain and reproduce,\n			 any and all copyright, patent, trademark, and attribution notices that are included in the\n			 Software in the same form as they appear in the Software. This includes the preservation of\n			 attribution notices in the form of trademarks or logos that exist within a user interface of\n			 the Software.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3</var>\n		  - This license does not grant You rights to use any party&apos;s name, logo, or trademarks, except\n			 solely as necessary to comply with Section 3.2.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Disclaimer of Warranties\n			<br />\n\n   THE SOFTWARE IS PROVIDED &quot;AS IS&quot; AND WITHOUT WARRANTY OF ANY KIND. YAHOO! MAKES NO\n				 WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY REGARDING OR RELATING TO THE\n				 SOFTWARE. SPECIFICALLY, YAHOO! DOES NOT WARRANT THAT THE SOFTWARE WILL BE ERROR FREE\n				 OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST EXTENT ALLOWED BY LAW,\n				 YAHOO! SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A\n				 PARTICULAR PURPOSE (EVEN IF YAHOO! HAD BEEN INFORMED OF SUCH PURPOSE), AND\n				 NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE, ANY MODIFICATIONS THERETO AND WITH\n				 RESPECT TO THE USE OF THE FOREGOING.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Limitation of Liability\n			<br />\n\n   IN NO EVENT WILL YAHOO! BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\n				 OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION LOSS OF PROFITS,\n				 LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, COST OF COVER) IN CONNECTION WITH OR\n				 ARISING OUT OF OR RELATING TO THE FURNISHING, PERFORMANCE OR USE OF THE SOFTWARE OR\n				 ANY OTHER RIGHTS GRANTED HEREUNDER, WHETHER ALLEGED AS A BREACH OF CONTRACT OR\n				 TORTIOUS CONDUCT, INCLUDING NEGLIGENCE, AND EVEN IF YAHOO! HAS BEEN ADVISED OF THE\n				 POSSIBILITY OF SUCH DAMAGES.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Term and Termination\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1</var>\n			  - This Agreement will continue in effect unless and until terminated earlier pursuant to this\n				 Section 6.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2</var>\n			  - In the event Yahoo! determines that You have breached this Agreement, Yahoo! may terminate this\n				 Agreement.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3</var>\n			  - All licenses granted hereunder shall terminate upon the termination of this Agreement.\n				 Termination will be in addition to any rights and remedies available to Yahoo! at law or\n				 equity or under this Agreement.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.4</var>\n			  - Termination of this Agreement will not affect the provisions regarding reservation of rights\n				 (Section 3.1), provisions disclaiming or limiting Yahoo!&apos;s liability (Sections 4 and 5),\n				 Termination (Section 6) or Miscellaneous (Section 7), which provisions will survive\n				 termination of this Agreement.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Miscellaneous\n	  <br />\n\n   This Agreement contains the entire agreement of the parties with respect to the subject matter of this\n		 Agreement and supersedes all previous communications, representations, understandings and agreements,\n		 either oral or written, between the parties with respect to said subject matter. The relationship of\n		 the parties hereunder is that of independent contractors, and this Agreement will not be consTrued as\n		 creating an agency, partnership, joint venture or any other form of legal association between the\n		 parties. If any term, condition, or provision in this Agreement is found to be invalid, unlawful or\n		 unenforceable to any extent, this Agreement will be consTrued in a manner that most closely\n		 effectuates the intent of this Agreement. Such invalid term, condition or provision will be severed\n		 from the remaining terms, conditions and provisions, which will continue to be valid and enforceable\n		 to the fullest extent permitted by law. This Agreement will be interpreted and consTrued in accordance\n		 with the laws of the State of California and the United States of America, without regard to conflict\n		 of law principles. The U.N. Convention on Contracts for the International Sale of Goods shall not\n		 apply to this Agreement. All disputes arising out of this Agreement involving Yahoo! or any of its\n		 subsidiaries shall be subject to the jurisdiction of the federal or state courts of northern\n		 California, with venue lying in Santa Clara County, California. No rights may be assigned, no\n		 obligations may be delegated, and this Agreement may not be transferred by You, in whole or in part,\n		 whether voluntary or by operation of law, including by way of sale of assets, merger or consolidation,\n		 without the prior written consent of Yahoo!, and any purported assignment, delegation or transfer\n		 without such consent shall be void ab initio. Any waiver of the provisions of this Agreement or of a\n		 party&apos;s rights or remedies under this Agreement must be in writing to be effective. Failure, neglect\n		 or delay by a party to enforce the provisions of this Agreement or its rights or remedies at any time,\n		 will not be consTrued or be deemed to be a waiver of such party&apos;s rights under this Agreement and will\n		 not in any way affect the validity of the whole or any part of this Agreement or prejudice such\n		 party&apos;s right to take subsequent action.\n	  </li>\n	  \n</ul>\n	"
		self.python_name = "YPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBY30US:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution 3.0 United States\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with one or more other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	c. \"Licensor\" means the individual, individuals, entity or entities that offers the Work under the terms of this License.\n\n	d. \"Original Author\" means the individual, individuals, entity or entities who created the Work.\n\n	e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	b. to create and reproduce Derivative Works provided that any such Derivative Work, including any translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise identify that changes were made to the original Work. For example, a translation could be marked \"The original work was translated from English to Spanish,\" or a modification could indicate \"The original work has been modified.\";;\n\n	c. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	d. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works.\n\n	e. For the avoidance of doubt, where the Work is a musical composition:\n\n		i. Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to collect, whether individually or, in the event that Licensor is a member of a performance rights society (e.g. ASCAP, BMI, SESAC), via that society, royalties for the public performance or public digital performance (e.g. webcast) of the Work.\n\n		ii. Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	f. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor waives the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of a recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. When You distribute, publicly display, publicly perform, or publicly digitally perform the Work, You may not impose any technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by Section 4(b), as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any credit as required by Section 4(b), as requested.\n\n	b. If You distribute, publicly display, publicly perform, or publicly digitally perform the Work (as defined in Section 1 above) or any Derivative Works (as defined in Section 1 above) or Collective Works (as defined in Section 1 above), You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for attribution (\"Attribution Parties\") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, consistent with Section 3(b) in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). The credit required by this Section 4(b) may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear, if a credit for all contributing authors of the Derivative Work or Collective Work appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND ONLY TO THE EXTENT OF ANY RIGHTS HELD IN THE LICENSED WORK BY THE LICENSOR. THE LICENSOR MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MARKETABILITY, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works (as defined in Section 1 above) or Collective Works (as defined in Section 1 above) from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	a. Each time You distribute or publicly digitally perform the Work (as defined in Section 1 above) or a Collective Work (as defined in Section 1 above), the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	b. Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of the License.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution 3.0 United States\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with one or more other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual, individuals, entity or entities that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual, individuals, entity or entities who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and reproduce Derivative Works provided that any such Derivative Work, including any translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise identify that changes were made to the original Work. For example, a translation could be marked \"The original work was translated from English to Spanish,\" or a modification could indicate \"The original work has been modified.\";;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> For the avoidance of doubt, where the Work is a musical composition:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to collect, whether individually or, in the event that Licensor is a member of a performance rights society (e.g. ASCAP, BMI, SESAC), via that society, royalties for the public performance or public digital performance (e.g. webcast) of the Work.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor waives the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of a recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. When You distribute, publicly display, publicly perform, or publicly digitally perform the Work, You may not impose any technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by Section 4(b), as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any credit as required by Section 4(b), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If You distribute, publicly display, publicly perform, or publicly digitally perform the Work (as defined in Section 1 above) or any Derivative Works (as defined in Section 1 above) or Collective Works (as defined in Section 1 above), You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for attribution (\"Attribution Parties\") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, consistent with Section 3(b) in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). The credit required by this Section 4(b) may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear, if a credit for all contributing authors of the Derivative Work or Collective Work appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND ONLY TO THE EXTENT OF ANY RIGHTS HELD IN THE LICENSED WORK BY THE LICENSOR. THE LICENSOR MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MARKETABILITY, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works (as defined in Section 1 above) or Collective Works (as defined in Section 1 above) from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work (as defined in Section 1 above) or a Collective Work (as defined in Section 1 above), the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of the License.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution 3.0 United States"
		self.licenseId = "CC-BY-3.0-US"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by/3.0/us/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:14Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by/3.0/us/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> \n				<p>Creative Commons Attribution 3.0 United States</p>\n\n			</div>\n			<div class=\"optional-license-text\"> \n				<p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION\n				OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS\n				INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION\n				PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n				<p>License</p>\n\n			</div>\n\n			<p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n			(&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF\n			THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.</p>\n\n			<p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF\n			THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU\n			THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.</var>\n					Definitions\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or encyclopedia, in\n							which the Work in its entirety in unmodified form, along with one or more other contributions,\n							constituting separate and independent works in themselves, are assembled into a collective\n							whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as\n							defined below) for the purposes of this License.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other pre-existing\n							works, such as a translation, musical arrangement, dramatization, fictionalization, motion\n							picture version, sound recording, art reproduction, abridgment, condensation, or any other\n							form in which the Work may be recast, transformed, or adapted, except that a work that\n							constitutes a Collective Work will not be considered a Derivative Work for the purpose of this\n							License. For the avoidance of doubt, where the Work is a musical composition or sound\n							recording, the synchronization of the Work in timed-relation with a moving image (&quot;synching&quot;)\n							will be considered a Derivative Work for the purpose of this License.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var>\n							&quot;Licensor&quot; means the individual, individuals, entity or entities that offers the Work under\n							the terms of this License.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var>\n							&quot;Original Author&quot; means the individual, individuals, entity or entities who created the Work.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e.</var>\n							&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> f.</var>\n							&quot;You&quot; means an individual or entity exercising rights under this License who has not\n							previously violated the terms of this License with respect to the Work, or who has received\n							express permission from the Licensor to exercise rights under this License despite a previous\n							violation.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.</var>\n					Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising\n					from fair use, first sale or other limitations on the exclusive rights of the copyright owner under\n					copyright law or other applicable laws.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.</var>\n					License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n					worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright)\n					license to exercise the rights in the Work as stated below:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n							reproduce the Work as incorporated in the Collective Works;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							to create and reproduce Derivative Works provided that any such Derivative Work, including\n							any translation in any medium, takes reasonable steps to clearly label, demarcate or\n							otherwise identify that changes were made to the original Work. For example, a translation\n							could be marked &quot;The original work was translated from English to Spanish,&quot; or a modification\n							could indicate &quot;The original work has been modified.&quot;;;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var>\n							to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n							publicly by means of a digital audio transmission the Work including as incorporated in\n							Collective Works;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var>\n							to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n							publicly by means of a digital audio transmission Derivative Works.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e.</var>\n							For the avoidance of doubt, where the Work is a musical composition:\n							\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> i.</var>\n									Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to\n									collect, whether individually or, in the event that Licensor is a member of a\n									performance rights society (e.g. ASCAP, BMI, SESAC), via that society, royalties for\n									the public performance or public digital performance (e.g. webcast) of the Work.\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> ii.</var>\n									Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to\n									collect, whether individually or via a music rights agency or designated agent (e.g.\n									Harry Fox Agency), royalties for any phonorecord You create from the Work (&quot;cover\n									version&quot;) and distribute, subject to the compulsory license created by 17 USC Section\n									115 of the US Copyright Act (or the equivalent in other jurisdictions).\n								</li>\n							\n</ul>\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> f.</var>\n							Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a\n							sound recording, Licensor waives the exclusive right to collect, whether individually or via\n							a performance-rights society (e.g. SoundExchange), royalties for the public digital performance\n							(e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of\n							the US Copyright Act (or the equivalent in other jurisdictions).\n						</li>\n					\n</ul>\n					<p>The above rights may be exercised in all media and formats whether now known or hereafter devised.\n						The above rights include the right to make such modifications as are technically necessary to\n						exercise the rights in other media and formats. All rights not expressly granted by Licensor are\n						hereby reserved.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.</var>\n					Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the\n					following restrictions:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							You may distribute, publicly display, publicly perform, or publicly digitally perform the Work\n							only under the terms of this License, and You must include a copy of, or the Uniform Resource\n							Identifier for, this License with every copy or phonorecord of the Work You distribute,\n							publicly display, publicly perform, or publicly digitally perform. You may not offer or impose\n							any terms on the Work that restrict the terms of this License or the ability of a recipient of\n							the Work to exercise the rights granted to that recipient under the terms of the License. You\n							may not sublicense the Work. You must keep intact all notices that refer to this License and\n							to the disclaimer of warranties. When You distribute, publicly display, publicly perform, or\n							publicly digitally perform the Work, You may not impose any technological measures on the Work\n							that restrict the ability of a recipient of the Work from You to exercise the rights granted to\n							that recipient under the terms of the License. This Section 4(a) applies to the Work as\n							incorporated in a Collective Work, but this does not require the Collective Work apart from the\n							Work itself to be made subject to the terms of this License. If You create a Collective Work,\n							upon notice from any Licensor You must, to the extent practicable, remove from the Collective\n							Work any credit as required by Section 4(b), as requested. If You create a Derivative Work,\n							upon notice from any Licensor You must, to the extent practicable, remove from the Derivative\n							Work any credit as required by Section 4(b), as requested.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							If You distribute, publicly display, publicly perform, or publicly digitally perform the Work\n							(as defined in Section 1 above) or any Derivative Works (as defined in Section 1 above) or\n							Collective Works (as defined in Section 1 above), You must, unless a request has been made\n							pursuant to Section 4(a), keep intact all copyright notices for the Work and provide,\n							reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or\n							pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor\n							designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for\n							attribution (&quot;Attribution Parties&quot;) in Licensor&apos;s copyright notice, terms of service or by\n							other reasonable means, the name of such party or parties; the title of the Work if supplied;\n							to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor\n							specifies to be associated with the Work, unless such URI does not refer to the copyright\n							notice or licensing information for the Work; and, consistent with Section 3(b) in the case\n							of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g.,\n							&quot;French translation of the Work by Original Author,&quot; or &quot;Screenplay based on original Work by\n							Original Author&quot;). The credit required by this Section 4(b) may be implemented in any\n							reasonable manner; provided, however, that in the case of a Derivative Work or Collective\n							Work, at a minimum such credit will appear, if a credit for all contributing authors of the\n							Derivative Work or Collective Work appears, then as part of these credits and in a manner at\n							least as prominent as the credits for the other contributing authors. For the avoidance of\n							doubt, You may only use the credit required by this Section for the purpose of attribution in\n							the manner set out above and, by exercising Your rights under this License, You may not\n							implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by\n							the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use\n							of the Work, without the separate, express prior written permission of the Original Author,\n							Licensor and/or Attribution Parties.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 5.</var>\n					Representations, Warranties and Disclaimer\n					<p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n						ONLY TO THE EXTENT OF ANY RIGHTS HELD IN THE LICENSED WORK BY THE LICENSOR. THE LICENSOR MAKES NO\n						REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR\n						OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MARKETABILITY, MERCHANTIBILITY,\n						FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n						ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS\n						DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 6.</var>\n					Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR\n					BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY\n					DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE\n					POSSIBILITY OF SUCH DAMAGES.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 7.</var>\n					Termination\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							This License and the rights granted hereunder will terminate automatically upon any breach by\n							You of the terms of this License. Individuals or entities who have received Derivative Works\n							(as defined in Section 1 above) or Collective Works (as defined in Section 1 above) from You\n							under this License, however, will not have their licenses terminated provided such individuals\n							or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will\n							survive any termination of this License.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							Subject to the above terms and conditions, the license granted here is perpetual (for the\n							duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n							reserves the right to release the Work under different license terms or to stop distributing\n							the Work at any time; provided, however that any such election will not serve to withdraw\n							this License (or any other license that has been, or is required to be, granted under the\n							terms of this License), and this License will continue in full force and effect unless\n							terminated as stated above.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 8.</var>\n					Miscellaneous\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							Each time You distribute or publicly digitally perform the Work (as defined in Section 1\n							above) or a Collective Work (as defined in Section 1 above), the Licensor offers to the\n							recipient a license to the Work on the same terms and conditions as the license granted to\n							You under this License.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to\n							the recipient a license to the original Work on the same terms and conditions as the license\n							granted to You under this License.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var>\n							If any provision of this License is invalid or unenforceable under applicable law, it shall\n							not affect the validity or enforceability of the remainder of the terms of this License, and\n							without further action by the parties to this agreement, such provision shall be reformed to\n							the minimum extent necessary to make such provision valid and enforceable.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var>\n							No term or provision of this License shall be deemed waived and no breach consented to unless\n							such waiver or consent shall be in writing and signed by the party to be charged with such\n							waiver or consent.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e.</var>\n							This License constitutes the entire agreement between the parties with respect to the Work\n							licensed here. There are no understandings, agreements or representations with respect to the\n							Work not specified here. Licensor shall not be bound by any additional provisions that may\n							appear in any communication from You. This License may not be modified without the mutual\n							written agreement of the Licensor and You.\n						</li>\n					\n</ul>\n				</li>\n			\n</ul>\n\n			<p>Creative Commons Notice</p>\n\n			<p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n				Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n				whatsoever, including without limitation any general, special, incidental or consequential damages arising\n				in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has\n				expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of\n				Licensor.</p>\n\n			<p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n				Creative Commons does not authorize the use by either party of the trademark &quot;Creative Commons&quot; or any\n				related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any\n				permitted use will be in compliance with Creative Commons&apos; then-current trademark usage guidelines, as may\n				be published on its website or otherwise made available upon request from time to time. For the avoidance\n				of doubt, this trademark restriction does not form part of the License.</p>\n\n			<p>Creative Commons may be contacted at https://creativecommons.org/.</p>\n\n		"
		self.python_name = "CCBY30US"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCSA25:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-NonCommercial-ShareAlike 2.5\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	 g. \"License Elements\" means the following high-level license attributes as selected by Licensor and indicated in the title of this License: Attribution, Noncommercial, ShareAlike.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to create and reproduce Derivative Works;\n\n	 c. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	 d. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Sections 4(e) and 4(f).\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by clause 4(d), as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any credit as required by clause 4(d), as requested.\n\n	 b. You may distribute, publicly display, publicly perform, or publicly digitally perform a Derivative Work only under the terms of this License, a later version of this License with the same License Elements as this License, or a Creative Commons iCommons license that contains the same License Elements as this License (e.g. Attribution-NonCommercial-ShareAlike 2.5 Japan). You must include a copy of, or the Uniform Resource Identifier for, this License or other license specified in the previous sentence with every copy or phonorecord of each Derivative Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Derivative Works that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder, and You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Derivative Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Derivative Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Derivative Work itself to be made subject to the terms of this License.\n\n	 c. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	 d. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for attribution in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n	 e. For the avoidance of doubt, where the Work is a musical composition:\n\n		  i. Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work if that performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n		  ii. Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if Your distribution of such cover version is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n	 f. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor reserves the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if Your public digital performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NonCommercial-ShareAlike 2.5\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"License Elements\" means the following high-level license attributes as selected by Licensor and indicated in the title of this License: Attribution, Noncommercial, ShareAlike.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and reproduce Derivative Works;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Sections 4(e) and 4(f).\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by clause 4(d), as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any credit as required by clause 4(d), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform a Derivative Work only under the terms of this License, a later version of this License with the same License Elements as this License, or a Creative Commons iCommons license that contains the same License Elements as this License (e.g. Attribution-NonCommercial-ShareAlike 2.5 Japan). You must include a copy of, or the Uniform Resource Identifier for, this License or other license specified in the previous sentence with every copy or phonorecord of each Derivative Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Derivative Works that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder, and You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Derivative Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Derivative Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Derivative Work itself to be made subject to the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for attribution in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> For the avoidance of doubt, where the Work is a musical composition:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work if that performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if Your distribution of such cover version is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor reserves the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if Your public digital performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial Share Alike 2.5 Generic"
		self.licenseId = "CC-BY-NC-SA-2.5"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-sa/2.5/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:59Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-sa/2.5/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NonCommercial-ShareAlike 2.5</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  &quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n				 encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n				 other contributions, constituting separate and independent works in themselves, are\n				 assembled into a collective whole. A work that constitutes a Collective Work will not be\n				 considered a Derivative Work (as defined below) for the purposes of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  &quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n				 pre-existing works, such as a translation, musical arrangement, dramatization,\n				 fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n				 condensation, or any other form in which the Work may be recast, transformed, or adapted,\n				 except that a work that constitutes a Collective Work will not be considered a Derivative\n				 Work for the purpose of this License. For the avoidance of doubt, where the Work is a\n				 musical composition or sound recording, the synchronization of the Work in timed-relation\n				 with a moving image (&quot;synching&quot;) will be considered a Derivative Work for the\n				 purpose of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			  &quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n				 this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			  &quot;Original Author&quot; means the individual or entity who created the Work.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			  &quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			  &quot;You&quot; means an individual or entity exercising rights under this License who has\n				 not previously violated the terms of this License with respect to the Work, or who has\n				 received express permission from the Licensor to exercise rights under this License\n				 despite a previous violation.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> g.</var>\n			  &quot;License Elements&quot; means the following high-level license attributes as selected by\n				 Licensor and indicated in the title of this License: Attribution, Noncommercial,\n				 ShareAlike.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n				 reproduce the Work as incorporated in the Collective Works;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  to create and reproduce Derivative Works;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			  to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n				 publicly by means of a digital audio transmission the Work including as incorporated in\n				 Collective Works;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			  to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n				 publicly by means of a digital audio transmission Derivative Works;\n			</li>\n			\n</ul>\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			 devised. The above rights include the right to make such modifications as are technically\n			 necessary to exercise the rights in other media and formats. All rights not expressly\n			 granted by Licensor are hereby reserved, including but not limited to the rights set forth\n			 in Sections 4(e) and 4(f).</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  You may distribute, publicly display, publicly perform, or publicly digitally perform the\n				 Work only under the terms of this License, and You must include a copy of, or the Uniform\n				 Resource Identifier for, this License with every copy or phonorecord of the Work You\n				 distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n				 offer or impose any terms on the Work that alter or restrict the terms of this License or\n				 the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n				 Work. You must keep intact all notices that refer to this License and to the disclaimer of\n				 warranties. You may not distribute, publicly display, publicly perform, or publicly\n				 digitally perform the Work with any technological measures that control access or use of\n				 the Work in a manner inconsistent with the terms of this License Agreement. The above\n				 applies to the Work as incorporated in a Collective Work, but this does not require the\n				 Collective Work apart from the Work itself to be made subject to the terms of this\n				 License. If You create a Collective Work, upon notice from any Licensor You must, to the\n				 extent practicable, remove from the Collective Work any credit as required by clause 4(d),\n				 as requested. If You create a Derivative Work, upon notice from any Licensor You must, to\n				 the extent practicable, remove from the Derivative Work any credit as required by clause\n				 4(d), as requested.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  You may distribute, publicly display, publicly perform, or publicly digitally perform a\n				 Derivative Work only under the terms of this License, a later version of this License with\n				 the same License Elements as this License, or a Creative Commons iCommons license that\n				 contains the same License Elements as this License (e.g.\n				 Attribution-NonCommercial-ShareAlike 2.5 Japan). You must include a copy of, or the\n				 Uniform Resource Identifier for, this License or other license specified in the previous\n				 sentence with every copy or phonorecord of each Derivative Work You distribute, publicly\n				 display, publicly perform, or publicly digitally perform. You may not offer or impose any\n				 terms on the Derivative Works that alter or restrict the terms of this License or the\n				 recipients&apos; exercise of the rights granted hereunder, and You must keep intact all\n				 notices that refer to this License and to the disclaimer of warranties. You may not\n				 distribute, publicly display, publicly perform, or publicly digitally perform the\n				 Derivative Work with any technological measures that control access or use of the Work in\n				 a manner inconsistent with the terms of this License Agreement. The above applies to the\n				 Derivative Work as incorporated in a Collective Work, but this does not require the\n				 Collective Work apart from the Derivative Work itself to be made subject to the terms of\n				 this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			  You may not exercise any of the rights granted to You in Section 3 above in any manner that\n				 is primarily intended for or directed toward commercial advantage or private monetary\n				 compensation. The exchange of the Work for other copyrighted works by means of digital\n				 file-sharing or otherwise shall not be considered to be intended for or directed toward\n				 commercial advantage or private monetary compensation, provided there is no payment of any\n				 monetary compensation in connection with the exchange of copyrighted works.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			  If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n				 or any Derivative Works or Collective Works, You must keep intact all copyright notices\n				 for the Work and provide, reasonable to the medium or means You are utilizing: (i) the\n				 name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the\n				 Original Author and/or Licensor designate another party or parties (e.g. a sponsor\n				 institute, publishing entity, journal) for attribution in Licensor&apos;s copyright\n				 notice, terms of service or by other reasonable means, the name of such party or parties;\n				 the title of the Work if supplied; to the extent reasonably practicable, the Uniform\n				 Resource Identifier, if any, that Licensor specifies to be associated with the Work,\n				 unless such URI does not refer to the copyright notice or licensing information for the\n				 Work; and in the case of a Derivative Work, a credit identifying the use of the Work in\n				 the Derivative Work (e.g., &quot;French translation of the Work by Original Author,&quot;\n				 or &quot;Screenplay based on original Work by Original Author&quot;). Such credit may be\n				 implemented in any reasonable manner; provided, however, that in the case of a Derivative\n				 Work or Collective Work, at a minimum such credit will appear where any other comparable\n				 authorship credit appears and in a manner at least as prominent as such other comparable\n				 authorship credit.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			  For the avoidance of doubt, where the Work is a musical composition:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n				  Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to\n					 collect, whether individually or via a performance rights society (e.g. ASCAP, BMI,\n					 SESAC), royalties for the public performance or public digital performance (e.g.\n					 webcast) of the Work if that performance is primarily intended for or directed toward\n					 commercial advantage or private monetary compensation.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n				  Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to\n					 collect, whether individually or via a music rights agency or designated agent (e.g.\n					 Harry Fox Agency), royalties for any phonorecord You create from the Work (&quot;cover\n					 version&quot;) and distribute, subject to the compulsory license created by 17 USC\n					 Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if\n					 Your distribution of such cover version is primarily intended for or directed toward\n					 commercial advantage or private monetary compensation.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			  Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a\n				 sound recording, Licensor reserves the exclusive right to collect, whether individually or\n				 via a performance-rights society (e.g. SoundExchange), royalties for the public digital\n				 performance (e.g. webcast) of the Work, subject to the compulsory license created by 17\n				 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if\n				 Your public digital performance is primarily intended for or directed toward commercial\n				 advantage or private monetary compensation.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  This License and the rights granted hereunder will terminate automatically upon any breach by\n				 You of the terms of this License. Individuals or entities who have received Derivative\n				 Works or Collective Works from You under this License, however, will not have their\n				 licenses terminated provided such individuals or entities remain in full compliance with\n				 those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this\n				 License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  Subject to the above terms and conditions, the license granted here is perpetual (for the\n				 duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n				 reserves the right to release the Work under different license terms or to stop\n				 distributing the Work at any time; provided, however that any such election will not serve\n				 to withdraw this License (or any other license that has been, or is required to be,\n				 granted under the terms of this License), and this License will continue in full force and\n				 effect unless terminated as stated above.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n				 Licensor offers to the recipient a license to the Work on the same terms and conditions as\n				 the license granted to You under this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to\n				 the recipient a license to the original Work on the same terms and conditions as the\n				 license granted to You under this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			  If any provision of this License is invalid or unenforceable under applicable law, it shall\n				 not affect the validity or enforceability of the remainder of the terms of this License,\n				 and without further action by the parties to this agreement, such provision shall be\n				 reformed to the minimum extent necessary to make such provision valid and enforceable.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			  No term or provision of this License shall be deemed waived and no breach consented to unless\n				 such waiver or consent shall be in writing and signed by the party to be charged with such\n				 waiver or consent.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			  This License constitutes the entire agreement between the parties with respect to the Work\n				 licensed here. There are no understandings, agreements or representations with respect to\n				 the Work not specified here. Licensor shall not be bound by any additional provisions that\n				 may appear in any communication from You. This License may not be modified without the\n				 mutual written agreement of the Licensor and You.\n			</li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYNCSA25"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSDInfernoNettverk:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "  Copyright (c) 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006,\n				2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016\n				2017, 2018, 2019, 2020\n	   Inferno Nettverk A/S, Norway.  All rights reserved.\n \n  Redistribution and use in source and binary forms, with or without\n  modification, are permitted provided that the following conditions\n  are met:\n  1. The above copyright notice, this list of conditions and the following\n	 disclaimer must appear in all copies of the software, derivative works\n	 or modified versions, and any portions thereof, aswell as in all\n	 supporting documentation.\n  2. All advertising materials mentioning features or use of this software\n	 must display the following acknowledgement:\n	   This product includes software developed by\n	   Inferno Nettverk A/S, Norway.\n  3. The name of the author may not be used to endorse or promote products\n	 derived from this software without specific prior written permission.\n \n  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR\n  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\n  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.\n  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,\n  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\n  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n \n  Inferno Nettverk A/S requests users of this software to return to\n \n   Software Distribution Coordinator  or  sdc@inet.no\n   Inferno Nettverk A/S\n   Oslo Research Park\n   Gaustadall\u00e9en 21\n   NO-0349 Oslo\n   Norway\n \n  any improvements or extensions that they make and grant Inferno Nettverk A/S\n  the rights to redistribute these changes.\n\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016 2017, 2018, 2019, 2020 Inferno Nettverk A/S, Norway. All rights reserved.\";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The above copyright notice, this list of conditions and the following disclaimer must appear in all copies of the software, derivative works or modified versions, and any portions thereof, aswell as in all supporting documentation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> All advertising materials mentioning features or use of this software must display the following acknowledgement:\n\n   This product includes software developed by Inferno Nettverk A/S, Norway.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The name of the author may not be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nInferno Nettverk A/S requests users of this software to return to\n\nSoftware Distribution Coordinator or sdc@inet.no\n\nInferno Nettverk A/S\n\nOslo Research Park\n\nGaustadall\u00e9en 21\n\nNO-0349 Oslo\n\nNorway\n\nany improvements or extensions that they make and grant Inferno Nettverk A/S the rights to redistribute these changes.\n\n"
		self.name = "BSD-Inferno-Nettverk"
		self.licenseComments = "This license is similar to BSD-4-Clause but it combines first two clauses and includes a request that improvements or extensions be sent to the author."
		self.licenseId = "BSD-Inferno-Nettverk"
		self.crossRef = [{"match": "False", "url": "https://www.inet.no/dante/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:18Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.inet.no/dante/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<var class=\"replaceable-license-text\"> \n Copyright (c) 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006,\n				2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016\n				2017, 2018, 2019, 2020\n	   Inferno Nettverk A/S, Norway.  All rights reserved.\n \n		</var>\n		<p>\n  Redistribution and use in source and binary forms, with or without\n  modification, are permitted provided that the following conditions\n  are met:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n  The above copyright notice, this list of conditions and the following\n  disclaimer must appear in all copies of the software, derivative works\n  or modified versions, and any portions thereof, aswell as in all\n  supporting documentation.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n  All advertising materials mentioning features or use of this software\n  must display the following acknowledgement:<br />\n\n	  This product includes software developed by\n	  Inferno Nettverk A/S, Norway.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n  The name of the author may not be used to endorse or promote products\n  derived from this software without specific prior written permission.\n		  </li>\n		\n</ul>\n		<p>\n \n  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS&apos;&apos; AND ANY EXPRESS OR\n  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\n  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.\n  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,\n  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\n  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		</p>\n\n		<p>\n  Inferno Nettverk A/S requests users of this software to return to\n		</p>\n\n		<p>\n   Software Distribution Coordinator  or  sdc@inet.no<br />\n\n   Inferno Nettverk A/S<br />\n\n   Oslo Research Park<br />\n\n   Gaustadall\u00e9en 21<br />\n\n   NO-0349 Oslo<br />\n\n   Norway\n		</p>\n\n		<p>\n  any improvements or extensions that they make and grant Inferno Nettverk A/S\n  the rights to redistribute these changes.\n		</p>\n\n	  "
		self.python_name = "BSDInfernoNettverk"

	def __str__(self):
		return json.dumps(self.__dict__)


class sshkeyscan:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "* Copyright 1995, 1996 by David Mazieres <dm@lcs.mit.edu>.\n*\n* Modification and redistribution in source and binary forms is\n* permitted provided that due credit is given to the author and the\n* OpenBSD project by leaving this copyright notice intact.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1995, 1996 by David Mazieres <dm@lcs.mit.edu>.\";match=\".{0,5000}\">>\n\nModification and redistribution in source and binary forms is permitted provided that due credit is given to the author and the OpenBSD project by leaving this copyright notice intact.\n\n"
		self.name = "ssh-keyscan License"
		self.licenseId = "ssh-keyscan"
		self.crossRef = [{"match": "False", "url": "https://github.com/openssh/openssh-portable/blob/master/LICENCE#L82", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:43Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/openssh/openssh-portable/blob/master/LICENCE#L82"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			   <var class=\"replaceable-license-text\"> \n				  Copyright 1995, 1996 by David Mazieres &lt;dm@lcs.mit.edu&gt;.\n			   </var>\n			   <p>\n				  Modification and redistribution in source and binary forms is\n				  permitted provided that due credit is given to the author and\n				  the OpenBSD project by leaving this copyright notice intact.\n			   </p>\n\n	  "
		self.python_name = "sshkeyscan"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL30orlater:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU GENERAL PUBLIC LICENSE\nVersion 3, 29 June 2007\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n0. Definitions.\n\n\u201cThis License\u201d refers to version 3 of the GNU General Public License.\n\n\u201cCopyright\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n\u201cThe Program\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \u201cyou\u201d. \u201cLicensees\u201d and \u201crecipients\u201d may be individuals or organizations.\n\nTo \u201cmodify\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \u201cmodified version\u201d of the earlier work or a work \u201cbased on\u201d the earlier work.\n\nA \u201ccovered work\u201d means either the unmodified Program or a work based on the Program.\n\nTo \u201cpropagate\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\nTo \u201cconvey\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\nAn interactive user interface displays \u201cAppropriate Legal Notices\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n1. Source Code.\nThe \u201csource code\u201d for a work means the preferred form of the work for making modifications to it. \u201cObject code\u201d means any non-source form of a work.\n\nA \u201cStandard Interface\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\nThe \u201cSystem Libraries\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \u201cMajor Component\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\nThe \u201cCorresponding Source\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\nThe Corresponding Source for a work in source code form is that same work.\n\n2. Basic Permissions.\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n4. Conveying Verbatim Copies.\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n5. Conveying Modified Source Versions.\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	 a) The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	 b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \u201ckeep intact all notices\u201d.\n\n	 c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	 d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \u201caggregate\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n6. Conveying Non-Source Forms.\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	 a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	 b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	 c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	 d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	 e) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\nA \u201cUser Product\u201d is either (1) a \u201cconsumer product\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \u201cnormally used\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n\u201cInstallation Information\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n7. Additional Terms.\n\u201cAdditional permissions\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	 a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	 b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	 c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	 d) Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	 e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	 f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\nAll other non-permissive additional terms are considered \u201cfurther restrictions\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n8. Termination.\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n9. Acceptance Not Required for Having Copies.\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n10. Automatic Licensing of Downstream Recipients.\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\nAn \u201centity transaction\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n11. Patents.\nA \u201ccontributor\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \u201ccontributor version\u201d.\n\nA contributor's \u201cessential patent claims\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \u201ccontrol\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\nIn the following three paragraphs, a \u201cpatent license\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \u201cgrant\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \u201cKnowingly relying\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\nA patent license is \u201cdiscriminatory\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\nNothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n12. No Surrender of Others' Freedom.\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n13. Use with the GNU Affero General Public License.\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n14. Revised Versions of this License.\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \u201cor any later version\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n15. Disclaimer of Warranty.\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \u201cAS IS\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. Limitation of Liability.\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n17. Interpretation of Sections 15 and 16.\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \u201ccopyright\u201d line and a pointer to where the full notice is found.\n\n	 <one line to give the program's name and a brief idea of what it does.>\n	 Copyright (C) <year>  <name of author>\n\n	 This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.\n\n	 You should have received a copy of the GNU General Public License along with this program.  If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n	 <program>  Copyright (C) <year>  <name of author>\n	 This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n	 This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \u201cabout box\u201d.\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \u201ccopyright disclaimer\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <https://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <https://www.gnu.org/philosophy/why-not-lgpl.html>.\n"
		self.standardLicenseHeaderTemplate = "<<var;name=\"description\";original=\"<one line to give the program's name and a brief idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"<year> <name of author>\";match=\".+\">>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\n<<endOptional>>\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n   \"This License\" refers to version 3 of the GNU General Public License.\n\n   \"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n   \"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\n   To \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\n   A \"covered work\" means either the unmodified Program or a work based on the Program.\n\n   To \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\n   To \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\n   An interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Source Code.\n\n   The \"source code\" for a work means the preferred form of the work for making modifications to it. \"Object code\" means any non-source form of a work.\n\n   A \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\n   The \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\n   The \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\n   The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Basic Permissions.\n\n   All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\n   You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\n   Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n   No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\n   When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Conveying Verbatim Copies.\n\n   You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\n   You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Conveying Modified Source Versions.\n\n   You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\n   A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Conveying Non-Source Forms.\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\n   A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\n   A \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n   \"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\n   If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\n   The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\n   Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Additional Terms.\n\n   \"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\n   When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\n   Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	  <<var;name=\"bullet\";original=\"f)\";match=\".{0,20}\">> Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\n   All other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\n   If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\n   Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination.\n\n   You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Acceptance Not Required for Having Copies.\n\n   You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Automatic Licensing of Downstream Recipients.\n\n   Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\n   An \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\n   You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Patents.\n\n   A \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \"contributor version\".\n\n   A contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\n   Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\n   In the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\n   If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\n   If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\n   A patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\n   Nothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> No Surrender of Others' Freedom.\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Use with the GNU Affero General Public License.\n\n   Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Revised Versions of this License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\n   If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\n   Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> Limitation of Liability.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"17.\";match=\".{0,20}\">> Interpretation of Sections 15 and 16.\n\n   If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\n   <<beginOptional>>END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<var;name=\"description\";original=\"<one line to give the program's name and a brief idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"<year> <name of author>\";match=\".+\">>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n<program> Copyright (C) <year> <name of author>\n\nThis program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n\nThis is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \"about box\".\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <https://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <https: <<var;name=\"philicenses\";original=\"//www.gnu.org/licenses/why-not-lgpl.html>.\";match=\"//www.gnu.org/philosophy/why-not-lgpl\\.html>\\.|//www.gnu.org/licenses/why-not-lgpl\\.html>\\.\">>\n\n<<endOptional>>"
		self.name = "GNU General Public License v3.0 or later"
		self.licenseComments = "This license was released: 29 June 2007. This license identifier refers to the choice to use code under GPL-3.0-or-later (i.e., GPL-3.0 or some later version), as distinguished from the use of code under GPL-3.0-only. The license notice (as seen in the Standard License Header field below) states which of these applies to the code in the file. The example in the How to Apply These Terms appendix of the license shows the \"or later\" approach."
		self.licenseId = "GPL-3.0-or-later"
		self.standardLicenseHeader = "<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/gpl-3.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:56Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/GPL-3.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:10:56Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://www.gnu.org/licenses/gpl-3.0-standalone.html", "https://opensource.org/licenses/GPL-3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU GENERAL PUBLIC LICENSE<br />\n\n		Version 3, 29 June 2007\n	  </p>\n\n	</div>\n	<p>\n	  Copyright \u00a9 2007 Free Software Foundation, Inc.\n	  &lt;https://fsf.org/&gt;\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The GNU General Public License is a free, copyleft\n	  license for software and other kinds of works.\n	</p>\n\n	<p>\n	  The licenses for most software and other practical works are designed to\n	  take away your freedom to share and change the works. By contrast, the GNU\n	  General Public License is intended to guarantee your freedom to share and\n	  change all versions of a program--to make sure it remains free software\n	  for all its users. We, the Free Software Foundation, use the GNU General\n	  Public License for most of our software; it applies also to any other work\n	  released this way by its authors. You can apply it to your programs, too.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not\n	  price. Our General Public Licenses are designed to make sure that you\n	  have the freedom to distribute copies of free software (and charge\n	  for them if you wish), that you receive source code or can get it\n	  if you want it, that you can change the software or use pieces of\n	  it in new free programs, and that you know you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to prevent others from denying you\n	  these rights or asking you to surrender the rights. Therefore, you have\n	  certain responsibilities if you distribute copies of the software, or\n	  if you modify it: responsibilities to respect the freedom of others.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of such a program, whether gratis\n	  or for a fee, you must pass on to the recipients the same freedoms that\n	  you received. You must make sure that they, too, receive or can get the\n	  source code. And you must show them these terms so they know their rights.\n	</p>\n\n	<p>\n	  Developers that use the GNU GPL protect your rights with two steps:\n	  (1) assert copyright on the software, and (2) offer you this License\n	  giving you legal permission to copy, distribute and/or modify it.\n	</p>\n\n	<p>\n	  For the developers&apos; and authors&apos; protection, the GPL clearly\n	  explains that there is no warranty for this free software. For\n	  both users&apos; and authors&apos; sake, the GPL requires that modified\n	  versions be marked as changed, so that their problems will\n	  not be attributed erroneously to authors of previous versions.\n	</p>\n\n	<p>\n	  Some devices are designed to deny users access to install or run modified\n	  versions of the software inside them, although the manufacturer can\n	  do so. This is fundamentally incompatible with the aim of protecting\n	  users&apos; freedom to change the software. The systematic pattern of\n	  such abuse occurs in the area of products for individuals to use,\n	  which is precisely where it is most unacceptable. Therefore, we have\n	  designed this version of the GPL to prohibit the practice for those\n	  products. If such problems arise substantially in other domains,\n	  we stand ready to extend this provision to those domains in future\n	  versions of the GPL, as needed to protect the freedom of users.\n	</p>\n\n	<p>\n	  Finally, every program is threatened constantly by software patents.\n	  States should not allow patents to restrict development and use of\n	  software on general-purpose computers, but in those that do, we wish\n	  to avoid the special danger that patents applied to a free program\n	  could make it effectively proprietary. To prevent this, the GPL\n	  assures that patents cannot be used to render the program non-free.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying,\n	  distribution and modification follow.\n	</p>\n\n	<p>\n	  TERMS AND CONDITIONS\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		Definitions.\n		<p>\n		  &quot;This License&quot; refers to version 3 of the GNU General Public License.\n		</p>\n\n		<p>\n		  &quot;Copyright&quot; also means copyright-like laws that apply\n		  to other kinds of works, such as semiconductor masks.\n		</p>\n\n		<p>\n		  &quot;The Program&quot; refers to any copyrightable work licensed under\n		  this License. Each licensee is addressed as &quot;you&quot;. &quot;Licensees&quot;\n		  and &quot;recipients&quot; may be individuals or organizations.\n		</p>\n\n		<p>\n		  To &quot;modify&quot; a work means to copy from or adapt all or part of the\n		  work in a fashion requiring copyright permission, other than the\n		  making of an exact copy. The resulting work is called a &quot;modified\n		  version&quot; of the earlier work or a work &quot;based on&quot; the earlier work.\n		</p>\n\n		<p>\n		  A &quot;covered work&quot; means either the unmodified\n		  Program or a work based on the Program.\n		</p>\n\n		<p>\n		  To &quot;propagate&quot; a work means to do anything with it that, without\n		  permission, would make you directly or secondarily liable for\n		  infringement under applicable copyright law, except executing it\n		  on a computer or modifying a private copy. Propagation includes\n		  copying, distribution (with or without modification), making available\n		  to the public, and in some countries other activities as well.\n		</p>\n\n		<p>\n		  To &quot;convey&quot; a work means any kind of propagation\n		  that enables other parties to make or receive copies.\n		  Mere interaction with a user through a computer\n		  network, with no transfer of a copy, is not conveying.\n		</p>\n\n		<p>\n		  An interactive user interface displays &quot;Appropriate Legal Notices&quot;\n		  to the extent that it includes a convenient and prominently visible\n		  feature that (1) displays an appropriate copyright notice, and (2)\n		  tells the user that there is no warranty for the work (except to\n		  the extent that warranties are provided), that licensees may convey\n		  the work under this License, and how to view a copy of this License.\n		  If the interface presents a list of user commands or options,\n		  such as a menu, a prominent item in the list meets this criterion.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		Source Code.<br />\n\n		The &quot;source code&quot; for a work means the preferred\n		form of the work for making modifications to it.\n		&quot;Object code&quot; means any non-source form of a work.\n		<p>\n		  A &quot;Standard Interface&quot; means an interface that either is an official\n		  standard defined by a recognized standards body, or, in the case\n		  of interfaces specified for a particular programming language,\n		  one that is widely used among developers working in that language.\n		</p>\n\n		<p>\n		  The &quot;System Libraries&quot; of an executable work include anything, other\n		  than the work as a whole, that (a) is included in the normal form\n		  of packaging a Major Component, but which is not part of that Major\n		  Component, and (b) serves only to enable use of the work with that\n		  Major Component, or to implement a Standard Interface for which an\n		  implementation is available to the public in source code form. A\n		  &quot;Major Component&quot;, in this context, means a major essential component\n		  (kernel, window system, and so on) of the specific operating system\n		  (if any) on which the executable work runs, or a compiler used to\n		  produce the work, or an object code interpreter used to run it.\n		</p>\n\n		<p>\n		  The &quot;Corresponding Source&quot; for a work in object code form means all\n		  the source code needed to generate, install, and (for an executable\n		  work) run the object code and to modify the work, including scripts\n		  to control those activities. However, it does not include the work&apos;s\n		  System Libraries, or general-purpose tools or generally available\n		  free programs which are used unmodified in performing those activities\n		  but which are not part of the work. For example, Corresponding\n		  Source includes interface definition files associated with source\n		  files for the work, and the source code for shared libraries\n		  and dynamically linked subprograms that the work is specifically\n		  designed to require, such as by intimate data communication or\n		  control flow between those subprograms and other parts of the work.\n		</p>\n\n		<p>\n		  The Corresponding Source need not include anything that users can\n		  regenerate automatically from other parts of the Corresponding Source.\n		</p>\n\n		<p>\n		  The Corresponding Source for a work\n		  in source code form is that same work.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		Basic Permissions.<br />\n\n		All rights granted under this License are granted for the term of\n		copyright on the Program, and are irrevocable provided the stated\n		conditions are met. This License explicitly affirms your unlimited\n		permission to run the unmodified Program. The output from running a\n		covered work is covered by this License only if the output, given its\n		content, constitutes a covered work. This License acknowledges your\n		rights of fair use or other equivalent, as provided by copyright law.\n		<p>\n		  You may make, run and propagate covered works that you do not convey,\n		  without conditions so long as your license otherwise remains in force.\n		  You may convey covered works to others for the sole purpose of having\n		  them make modifications exclusively for you, or provide you with\n		  facilities for running those works, provided that you comply with\n		  the terms of this License in conveying all material for which you do\n		  not control copyright. Those thus making or running the covered works\n		  for you must do so exclusively on your behalf, under your direction\n		  and control, on terms that prohibit them from making any copies\n		  of your copyrighted material outside their relationship with you.\n		</p>\n\n		<p>\n		  Conveying under any other circumstances is permitted\n		  solely under the conditions stated below. Sublicensing\n		  is not allowed; section 10 makes it unnecessary.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		Protecting Users&apos; Legal Rights From Anti-Circumvention Law.<br />\n\n		No covered work shall be deemed part of an effective technological\n		measure under any applicable law fulfilling obligations under article\n		11 of the WIPO copyright treaty adopted on 20 December 1996, or\n		similar laws prohibiting or restricting circumvention of such measures.\n		<p>\n		  When you convey a covered work, you waive any legal power to\n		  forbid circumvention of technological measures to the extent\n		  such circumvention is effected by exercising rights under this\n		  License with respect to the covered work, and you disclaim any\n		  intention to limit operation or modification of the work as a means\n		  of enforcing, against the work&apos;s users, your or third parties&apos;\n		  legal rights to forbid circumvention of technological measures.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		Conveying Verbatim Copies.<br />\n\n		You may convey verbatim copies of the Program&apos;s source code as\n		you receive it, in any medium, provided that you conspicuously\n		and appropriately publish on each copy an appropriate copyright\n		notice; keep intact all notices stating that this License and any\n		non-permissive terms added in accord with section 7 apply to the\n		code; keep intact all notices of the absence of any warranty; and\n		give all recipients a copy of this License along with the Program.\n		<p>\n		  You may charge any price or no price for each copy that you\n		  convey, and you may offer support or warranty protection for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		Conveying Modified Source Versions.<br />\n\n		You may convey a work based on the Program, or the modifications to\n		produce it from the Program, in the form of source code under the terms\n		of section 4, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			The work must carry prominent notices stating\n			that you modified it, and giving a relevant date.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			The work must carry prominent notices stating that\n			it is released under this License and any conditions\n			added under section 7. This requirement modifies the\n			requirement in section 4 to &quot;keep intact all notices&quot;.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			You must license the entire work, as a whole, under this License\n			to anyone who comes into possession of a copy. This License\n			will therefore apply, along with any applicable section 7\n			additional terms, to the whole of the work, and all its parts,\n			regardless of how they are packaged. This License gives no\n			permission to license the work in any other way, but it does not\n			invalidate such permission if you have separately received it.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If the work has interactive user interfaces, each must\n			display Appropriate Legal Notices; however, if the Program\n			has interactive interfaces that do not display Appropriate\n			Legal Notices, your work need not make them do so.\n		  </li>\n		\n</ul>\n		<p>\n		  A compilation of a covered work with other separate and independent\n		  works, which are not by their nature extensions of the covered\n		  work, and which are not combined with it such as to form a larger\n		  program, in or on a volume of a storage or distribution medium,\n		  is called an &quot;aggregate&quot; if the compilation and its resulting\n		  copyright are not used to limit the access or legal rights\n		  of the compilation&apos;s users beyond what the individual works\n		  permit. Inclusion of a covered work in an aggregate does not\n		  cause this License to apply to the other parts of the aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Conveying Non-Source Forms.<br />\n\n		You may convey a covered work in object code form\n		under the terms of sections 4 and 5, provided that you\n		also convey the machine-readable Corresponding Source\n		under the terms of this License, in one of these ways:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Convey the object code in, or embodied in, a physical\n			product (including a physical distribution medium),\n			accompanied by the Corresponding Source fixed on a durable\n			physical medium customarily used for software interchange.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Convey the object code in, or embodied in, a physical product\n			(including a physical distribution medium), accompanied by a\n			written offer, valid for at least three years and valid for\n			as long as you offer spare parts or customer support for that\n			product model, to give anyone who possesses the object code\n			either (1) a copy of the Corresponding Source for all the software\n			in the product that is covered by this License, on a durable\n			physical medium customarily used for software interchange,\n			for a price no more than your reasonable cost of physically\n			performing this conveying of source, or (2) access to copy\n			the Corresponding Source from a network server at no charge.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Convey individual copies of the object code with a\n			copy of the written offer to provide the Corresponding\n			Source. This alternative is allowed only occasionally\n			and noncommercially, and only if you received the object\n			code with such an offer, in accord with subsection 6b.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Convey the object code by offering access from a designated place\n			(gratis or for a charge), and offer equivalent access to the\n			Corresponding Source in the same way through the same place at\n			no further charge. You need not require recipients to copy the\n			Corresponding Source along with the object code. If the place\n			to copy the object code is a network server, the Corresponding\n			Source may be on a different server (operated by you or a third\n			party) that supports equivalent copying facilities, provided you\n			maintain clear directions next to the object code saying where\n			to find the Corresponding Source. Regardless of what server hosts\n			the Corresponding Source, you remain obligated to ensure that it\n			is available for as long as needed to satisfy these requirements.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Convey the object code using peer-to-peer transmission,\n			provided you inform other peers where the object code\n			and Corresponding Source of the work are being offered\n			to the general public at no charge under subsection 6d.\n		  </li>\n		\n</ul>\n		<p>\n		  A separable portion of the object code, whose source code is\n		  excluded from the Corresponding Source as a System Library,\n		  need not be included in conveying the object code work.\n		</p>\n\n		<p>\n		  A &quot;User Product&quot; is either (1) a &quot;consumer product&quot;, which means\n		  any tangible personal property which is normally used for personal,\n		  family, or household purposes, or (2) anything designed or sold\n		  for incorporation into a dwelling. In determining whether a product\n		  is a consumer product, doubtful cases shall be resolved in favor\n		  of coverage. For a particular product received by a particular\n		  user, &quot;normally used&quot; refers to a typical or common use of that\n		  class of product, regardless of the status of the particular\n		  user or of the way in which the particular user actually uses,\n		  or expects or is expected to use, the product. A product is a\n		  consumer product regardless of whether the product has substantial\n		  commercial, industrial or non-consumer uses, unless such uses\n		  represent the only significant mode of use of the product.\n		</p>\n\n		<p>\n		  &quot;Installation Information&quot; for a User Product means any methods,\n		  procedures, authorization keys, or other information required\n		  to install and execute modified versions of a covered work in\n		  that User Product from a modified version of its Corresponding\n		  Source. The information must suffice to ensure that the continued\n		  functioning of the modified object code is in no case prevented\n		  or interfered with solely because modification has been made.\n		</p>\n\n		<p>\n		  If you convey an object code work under this section in, or with,\n		  or specifically for use in, a User Product, and the conveying\n		  occurs as part of a transaction in which the right of possession\n		  and use of the User Product is transferred to the recipient in\n		  perpetuity or for a fixed term (regardless of how the transaction\n		  is characterized), the Corresponding Source conveyed under this\n		  section must be accompanied by the Installation Information.\n		  But this requirement does not apply if neither you nor any third\n		  party retains the ability to install modified object code on the\n		  User Product (for example, the work has been installed in ROM).\n		</p>\n\n		<p>\n		  The requirement to provide Installation Information does not\n		  include a requirement to continue to provide support service,\n		  warranty, or updates for a work that has been modified\n		  or installed by the recipient, or for the User Product in\n		  which it has been modified or installed. Access to a network\n		  may be denied when the modification itself materially and\n		  adversely affects the operation of the network or violates\n		  the rules and protocols for communication across the network.\n		</p>\n\n		<p>\n		  Corresponding Source conveyed, and Installation Information\n		  provided, in accord with this section must be in a format that\n		  is publicly documented (and with an implementation available\n		  to the public in source code form), and must require no\n		  special password or key for unpacking, reading or copying.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		Additional Terms.<br />\n\n		&quot;Additional permissions&quot; are terms that supplement the terms of this\n		License by making exceptions from one or more of its conditions.\n		Additional permissions that are applicable to the entire Program\n		shall be treated as though they were included in this License, to\n		the extent that they are valid under applicable law. If additional\n		permissions apply only to part of the Program, that part may be used\n		separately under those permissions, but the entire Program remains\n		governed by this License without regard to the additional permissions.\n		<p>\n		  When you convey a copy of a covered work, you may at your option\n		  remove any additional permissions from that copy, or from any part\n		  of it. (Additional permissions may be written to require their own\n		  removal in certain cases when you modify the work.) You may place\n		  additional permissions on material, added by you to a covered work,\n		  for which you have or can give appropriate copyright permission.\n		</p>\n\n		<p>\n		  Notwithstanding any other provision of this License, for material you\n		  add to a covered work, you may (if authorized by the copyright holders\n		  of that material) supplement the terms of this License with terms:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Disclaiming warranty or limiting liability differently\n			from the terms of sections 15 and 16 of this License; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Requiring preservation of specified reasonable legal\n			notices or author attributions in that material or in the\n			Appropriate Legal Notices displayed by works containing it; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Prohibiting misrepresentation of the origin of that material,\n			or requiring that modified versions of such material be marked\n			in reasonable ways as different from the original version; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Limiting the use for publicity purposes of names\n			of licensors or authors of the material; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Declining to grant rights under trademark law for use\n			of some trade names, trademarks, or service marks; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> f)</var>\n			Requiring indemnification of licensors and authors of that\n			material by anyone who conveys the material (or modified\n			versions of it) with contractual assumptions of liability\n			to the recipient, for any liability that these contractual\n			assumptions directly impose on those licensors and authors.\n		  </li>\n		\n</ul>\n		<p>\n		  All other non-permissive additional terms are considered &quot;further\n		  restrictions&quot; within the meaning of section 10. If the Program\n		  as you received it, or any part of it, contains a notice stating\n		  that it is governed by this License along with a term that is\n		  a further restriction, you may remove that term. If a license\n		  document contains a further restriction but permits relicensing or\n		  conveying under this License, you may add to a covered work material\n		  governed by the terms of that license document, provided that the\n		  further restriction does not survive such relicensing or conveying.\n		</p>\n\n		<p>\n		  If you add terms to a covered work in accord with this\n		  section, you must place, in the relevant source files, a\n		  statement of the additional terms that apply to those files,\n		  or a notice indicating where to find the applicable terms.\n		</p>\n\n		<p>\n		  Additional terms, permissive or non-permissive, may be\n		  stated in the form of a separately written license, or stated\n		  as exceptions; the above requirements apply either way.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		Termination.<br />\n\n		You may not propagate or modify a covered work except as\n		expressly provided under this License. Any attempt otherwise\n		to propagate or modify it is void, and will automatically\n		terminate your rights under this License (including any patent\n		licenses granted under the third paragraph of section 11).\n		<p>\n		  However, if you cease all violation of this License, then your\n		  license from a particular copyright holder is reinstated (a)\n		  provisionally, unless and until the copyright holder explicitly\n		  and finally terminates your license, and (b) permanently, if\n		  the copyright holder fails to notify you of the violation by\n		  some reasonable means prior to 60 days after the cessation.\n		</p>\n\n		<p>\n		  Moreover, your license from a particular copyright holder is\n		  reinstated permanently if the copyright holder notifies you\n		  of the violation by some reasonable means, this is the first\n		  time you have received notice of violation of this License\n		  (for any work) from that copyright holder, and you cure the\n		  violation prior to 30 days after your receipt of the notice.\n		</p>\n\n		<p>\n		  Termination of your rights under this section does not\n		  terminate the licenses of parties who have received copies or\n		  rights from you under this License. If your rights have been\n		  terminated and not permanently reinstated, you do not qualify\n		  to receive new licenses for the same material under section 10.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		Acceptance Not Required for Having Copies.<br />\n\n		You are not required to accept this License in order to receive or\n		run a copy of the Program. Ancillary propagation of a covered work\n		occurring solely as a consequence of using peer-to-peer transmission\n		to receive a copy likewise does not require acceptance. However,\n		nothing other than this License grants you permission to propagate\n		or modify any covered work. These actions infringe copyright if you\n		do not accept this License. Therefore, by modifying or propagating a\n		covered work, you indicate your acceptance of this License to do so.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		Automatic Licensing of Downstream Recipients.<br />\n\n		Each time you convey a covered work, the recipient automatically\n		receives a license from the original licensors, to run, modify and\n		propagate that work, subject to this License. You are not responsible\n		for enforcing compliance by third parties with this License.\n		<p>\n		  An &quot;entity transaction&quot; is a transaction transferring control of\n		  an organization, or substantially all assets of one, or subdividing\n		  an organization, or merging organizations. If propagation of a\n		  covered work results from an entity transaction, each party to that\n		  transaction who receives a copy of the work also receives whatever\n		  licenses to the work the party&apos;s predecessor in interest had or could\n		  give under the previous paragraph, plus a right to possession of the\n		  Corresponding Source of the work from the predecessor in interest,\n		  if the predecessor has it or can get it with reasonable efforts.\n		</p>\n\n		<p>\n		  You may not impose any further restrictions on the exercise of the\n		  rights granted or affirmed under this License. For example, you\n		  may not impose a license fee, royalty, or other charge for exercise\n		  of rights granted under this License, and you may not initiate\n		  litigation (including a cross-claim or counterclaim in a lawsuit)\n		  alleging that any patent claim is infringed by making, using, selling,\n		  offering for sale, or importing the Program or any portion of it.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		Patents.<br />\n\n		A &quot;contributor&quot; is a copyright holder who authorizes use under this\n		License of the Program or a work on which the Program is based. The\n		work thus licensed is called the contributor&apos;s &quot;contributor version&quot;.\n		<p>\n		  A contributor&apos;s &quot;essential patent claims&quot; are all patent\n		  claims owned or controlled by the contributor, whether already\n		  acquired or hereafter acquired, that would be infringed by some\n		  manner, permitted by this License, of making, using, or selling\n		  its contributor version, but do not include claims that would\n		  be infringed only as a consequence of further modification\n		  of the contributor version. For purposes of this definition,\n		  &quot;control&quot; includes the right to grant patent sublicenses in\n		  a manner consistent with the requirements of this License.\n		</p>\n\n		<p>\n		  Each contributor grants you a non-exclusive, worldwide, royalty-free\n		  patent license under the contributor&apos;s essential patent claims,\n		  to make, use, sell, offer for sale, import and otherwise run,\n		  modify and propagate the contents of its contributor version.\n		</p>\n\n		<p>\n		  In the following three paragraphs, a &quot;patent license&quot; is any\n		  express agreement or commitment, however denominated, not to\n		  enforce a patent (such as an express permission to practice\n		  a patent or covenant not to sue for patent infringement). To\n		  &quot;grant&quot; such a patent license to a party means to make such an\n		  agreement or commitment not to enforce a patent against the party.\n		</p>\n\n		<p>\n		  If you convey a covered work, knowingly relying on a patent license,\n		  and the Corresponding Source of the work is not available for anyone\n		  to copy, free of charge and under the terms of this License, through\n		  a publicly available network server or other readily accessible\n		  means, then you must either (1) cause the Corresponding Source to\n		  be so available, or (2) arrange to deprive yourself of the benefit\n		  of the patent license for this particular work, or (3) arrange, in\n		  a manner consistent with the requirements of this License, to extend\n		  the patent license to downstream recipients. &quot;Knowingly relying&quot;\n		  means you have actual knowledge that, but for the patent license, your\n		  conveying the covered work in a country, or your recipient&apos;s use of\n		  the covered work in a country, would infringe one or more identifiable\n		  patents in that country that you have reason to believe are valid.\n		</p>\n\n		<p>\n		  If, pursuant to or in connection with a single transaction or\n		  arrangement, you convey, or propagate by procuring conveyance\n		  of, a covered work, and grant a patent license to some of the\n		  parties receiving the covered work authorizing them to use,\n		  propagate, modify or convey a specific copy of the covered work,\n		  then the patent license you grant is automatically extended\n		  to all recipients of the covered work and works based on it.\n		</p>\n\n		<p>\n		  A patent license is &quot;discriminatory&quot; if it does not include within the\n		  scope of its coverage, prohibits the exercise of, or is conditioned\n		  on the non-exercise of one or more of the rights that are specifically\n		  granted under this License. You may not convey a covered work if\n		  you are a party to an arrangement with a third party that is in the\n		  business of distributing software, under which you make payment to\n		  the third party based on the extent of your activity of conveying\n		  the work, and under which the third party grants, to any of the\n		  parties who would receive the covered work from you, a discriminatory\n		  patent license (a) in connection with copies of the covered work\n		  conveyed by you (or copies made from those copies), or (b) primarily\n		  for and in connection with specific products or compilations that\n		  contain the covered work, unless you entered into that arrangement,\n		  or that patent license was granted, prior to 28 March 2007.\n		</p>\n\n		<p>\n		  Nothing in this License shall be consTrued as excluding or\n		  limiting any implied license or other defenses to infringement\n		  that may otherwise be available to you under applicable patent law.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		No Surrender of Others&apos; Freedom.<br />\n\n		If conditions are imposed on you (whether by court order, agreement\n		or otherwise) that contradict the conditions of this License,\n		they do not excuse you from the conditions of this License. If\n		you cannot convey a covered work so as to satisfy simultaneously\n		your obligations under this License and any other pertinent\n		obligations, then as a consequence you may not convey it at all.\n		For example, if you agree to terms that obligate you to collect\n		a royalty for further conveying from those to whom you convey the\n		Program, the only way you could satisfy both those terms and this\n		License would be to refrain entirely from conveying the Program.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 13.</var>\n		Use with the GNU Affero General Public License.<br />\n\n		Notwithstanding any other provision of this License, you have\n		permission to link or combine any covered work with a work licensed\n		under version 3 of the GNU Affero General Public License into\n		a single combined work, and to convey the resulting work. The\n		terms of this License will continue to apply to the part which\n		is the covered work, but the special requirements of the GNU\n		Affero General Public License, section 13, concerning interaction\n		through a network will apply to the combination as such.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 14.</var>\n		Revised Versions of this License.<br />\n\n		The Free Software Foundation may publish revised and/or new\n		versions of the GNU General Public License from time to time. Such\n		new versions will be similar in spirit to the present version,\n		but may differ in detail to address new problems or concerns.\n		<p>\n		  Each version is given a distinguishing version number. If the\n		  Program specifies that a certain numbered version of the GNU\n		  General Public License &quot;or any later version&quot; applies to it,\n		  you have the option of following the terms and conditions either\n		  of that numbered version or of any later version published by\n		  the Free Software Foundation. If the Program does not specify a\n		  version number of the GNU General Public License, you may choose\n		  any version ever published by the Free Software Foundation.\n		</p>\n\n		<p>\n		  If the Program specifies that a proxy can decide which future\n		  versions of the GNU General Public License can be used, that\n		  proxy&apos;s public statement of acceptance of a version permanently\n		  authorizes you to choose that version for the Program.\n		</p>\n\n		<p>\n		  Later license versions may give you additional or\n		  different permissions. However, no additional obligations\n		  are imposed on any author or copyright holder as a\n		  result of your choosing to follow a later version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 15.</var>\n		Disclaimer of Warranty.<br />\n\n		THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY\n		APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT\n		HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT\n		WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT\n		LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n		A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\n		OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU\n		ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 16.</var>\n		Limitation of Liability.<br />\n\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR\n		CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\n		INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n		ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING\n		BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE\n		OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\n		PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 17.</var>\n		Interpretation of Sections 15 and 16.\n	<p>\n	  If the disclaimer of warranty and limitation of liability\n	  provided above cannot be given local legal effect according to\n	  their terms, reviewing courts shall apply local law that most\n	  closely approximates an absolute waiver of all civil liability in\n	  connection with the Program, unless a warranty or assumption of\n	  liability accompanies a copy of the Program in return for a fee.\n	</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Programs\n	  </p>\n\n	  <p>\n		If you develop a new program, and you want it to be\n		of the greatest possible use to the public, the best\n		way to achieve this is to make it free software which\n		everyone can redistribute and change under these terms.\n	  </p>\n\n	  <p>\n		To do so, attach the following notices to the program. It is safest\n		to attach them to the start of each source file to most effectively\n		state the exclusion of warranty; and each file should have at least\n		the &quot;copyright&quot; line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> &lt;one line to give the program&apos;s name and\n		a brief idea of what it does.&gt;</var><br />\n\n		Copyright (C) <var class=\"replaceable-license-text\"> &lt;year&gt; &lt;name of author&gt;</var>\n	  </p>\n\n	  <p>\n		This program is free software: you can redistribute it and/or\n		modify it under the terms of the GNU General Public License\n		as published by the Free Software Foundation, either version\n		3 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General\n\tPublic License along with this program. If not, see\n\t&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	  <p>\n		Also add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		If the program does terminal interaction, make it output a\n		short notice like this when it starts in an interactive mode:\n	  </p>\n\n	  <p>\n\t&lt;program&gt; Copyright (C) &lt;year&gt;\n\t&lt;name of author&gt;<br />\n\n		This program comes with ABSOLUTELY NO\n		WARRANTY; for details type `show w&apos;.<br />\n\n		This is free software, and you are welcome to redistribute\n		it under certain conditions; type `show c&apos; for details.\n	  </p>\n\n	  <p>\n		The hypothetical commands `show w&apos; and `show c&apos; should\n		show the appropriate parts of the General Public License.\n		Of course, your program&apos;s commands might be different;\n		for a GUI interface, you would use an &quot;about box&quot;.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a\n		programmer) or school, if any, to sign a &quot;copyright disclaimer&quot;\n		for the program, if necessary. For more information on\n\tthis, and how to apply and follow the GNU GPL, see\n\t&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	  <p>\n		The GNU General Public License does not permit incorporating\n		your program into proprietary programs. If your program is a\n		subroutine library, you may consider it more useful to permit\n		linking proprietary applications with the library. If this\n		is what you want to do, use the GNU Lesser General Public\n\tLicense instead of this License. But first, please read\n\t&lt;https:<var class=\"replaceable-license-text\"> //www.gnu.org/licenses/why-not-lgpl.html&gt;.</var>\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  <p>\n		<var class=\"replaceable-license-text\"> &lt;one line to give the program&apos;s name and\n		a brief idea of what it does.&gt;</var><br />\n\n		Copyright (C) <var class=\"replaceable-license-text\"> &lt;year&gt; &lt;name of author&gt;</var>\n	  </p>\n\n	  <p>\n		This program is free software: you can redistribute it and/or\n		modify it under the terms of the GNU General Public License\n		as published by the Free Software Foundation, either version\n		3 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General\n\tPublic License along with this program. If not, see\n\t&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	  "
		self.python_name = "GPL30orlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD2ClauseViews:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) <year> <owner> All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe views and conclusions contained in the software and documentation are those of the authors and should not be interpreted as representing official policies, either expressed or implied, of the copyright holders or contributors.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) <year> <owner> All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY <<var;name=\"copyrightHolderAsIs\";original=\"THE COPYRIGHT HOLDERS AND CONTRIBUTORS\";match=\".+\">> \"AS IS\" AND ANY <<var;name=\"express\";original=\"EXPRESS\";match=\"EXPRESS(ED)?\">> OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <<var;name=\"copyrightHolderLiability\";original=\"THE COPYRIGHT HOLDER OR CONTRIBUTORS\";match=\".+\">> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe views and conclusions contained in the software and documentation are those of the authors and should not be interpreted as representing official policies, either expressed or implied, of <<var;name=\"copyrightHolderViews\";original=\"the copyright holders or contributors.\";match=\".+\">>\n\n"
		self.name = "BSD 2-Clause with views sentence"
		self.licenseComments = "This is a more generalized version of BSD-2-Clause-FreeBSD, which is now deprecated. It is identical to BSD-2-Clause with the addition of the \"views and conclusions\" sentence at the end."
		self.licenseId = "BSD-2-Clause-Views"
		self.crossRef = [{"match": "False", "url": "https://github.com/protegeproject/protege/blob/master/license.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:18Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://people.freebsd.org/~ivoras/wine/patch-wine-nvidia.sh", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:18Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://www.freebsd.org/copyright/freebsd-license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:18Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.freebsd.org/copyright/freebsd-license.html", "https://people.freebsd.org/~ivoras/wine/patch-wine-nvidia.sh", "https://github.com/protegeproject/protege/blob/master/license.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) &lt;year&gt; &lt;owner&gt; All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY\n		<var class=\"replaceable-license-text\"> THE COPYRIGHT HOLDERS AND CONTRIBUTORS</var> &quot;AS IS&quot; AND ANY\n		<var class=\"replaceable-license-text\"> EXPRESS</var> OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY\n		AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL\n		<var class=\"replaceable-license-text\"> THE COPYRIGHT HOLDER OR CONTRIBUTORS</var> BE LIABLE FOR\n		ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n		LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>The views and conclusions contained in the software and documentation are those of the authors and should\n		 not be interpreted as representing official policies, either expressed or implied, of <var class=\"replaceable-license-text\"> the copyright holders or contributors.</var></p>\n\n	"
		self.python_name = "BSD2ClauseViews"

	def __str__(self):
		return json.dumps(self.__dict__)


class ANTLRPD:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "ANTLR 2 License\n\nWe reserve no legal rights to the ANTLR--it is fully in the public domain. An individual or company may do whatever they wish with source code distributed with ANTLR or the code generated by ANTLR, including the incorporation of ANTLR, or its output, into commerical software.\n\nWe encourage users to develop software with ANTLR. However, we do ask that credit is given to us for developing ANTLR. By \"credit\", we mean that if you use ANTLR or incorporate any source code into one of your programs (commercial product, research project, or otherwise) that you acknowledge this fact somewhere in the documentation, research report, etc... If you like ANTLR and have developed a nice tool with the output, please mention that you developed it using ANTLR. In addition, we ask that the headers remain intact in our source code. As long as these guidelines are kept, we expect to continue enhancing this system and expect to make other tools available as they are completed.\n"
		self.standardLicenseTemplate = "<<beginOptional>>ANTLR 2 License\n\n<<endOptional>>\n\nWe reserve no legal rights to the ANTLR--it is fully in the public domain. An individual or company may do whatever they wish with source code distributed with ANTLR or the code generated by ANTLR, including the incorporation of ANTLR, or its output, into commerical software.\n\nWe encourage users to develop software with ANTLR. However, we do ask that credit is given to us for developing ANTLR. By \"credit\", we mean that if you use ANTLR or incorporate any source code into one of your programs (commercial product, research project, or otherwise) that you acknowledge this fact somewhere in the documentation, research report, etc... If you like ANTLR and have developed a nice tool with the output, please mention that you developed it using ANTLR. In addition, we ask that the headers remain intact in our source code. As long as these guidelines are kept, we expect to continue enhancing this system and expect to make other tools available as they are completed.\n\n"
		self.name = "ANTLR Software Rights Notice"
		self.licenseComments = "ANTLR used this public domain notice through version 2.7 and then switched to a BSD license for version 3.0 and later."
		self.licenseId = "ANTLR-PD"
		self.crossRef = [{"match": "True", "url": "http://www.antlr2.org/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:53Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.antlr2.org/license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>ANTLR 2 License</p>\n\n	  </div>\n\n	  <p>We reserve no legal rights to the ANTLR--it is fully in the public domain. An individual or company may\n		 do whatever they wish with source code distributed with ANTLR or the code generated by ANTLR,\n		 including the incorporation of ANTLR, or its output, into commerical software.</p>\n\n	  <p>We encourage users to develop software with ANTLR. However, we do ask that credit is given to us for\n		 developing ANTLR. By &quot;credit&quot;, we mean that if you use ANTLR or incorporate any source code into one\n		 of your programs (commercial product, research project, or otherwise) that you acknowledge this fact\n		 somewhere in the documentation, research report, etc... If you like ANTLR and have developed a nice\n		 tool with the output, please mention that you developed it using ANTLR. In addition, we ask that the\n		 headers remain intact in our source code. As long as these guidelines are kept, we expect to continue\n		 enhancing this system and expect to make other tools available as they are completed.</p>\n\n	"
		self.python_name = "ANTLRPD"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.licenseText = "GNU GENERAL PUBLIC LICENSE\nVersion 1, February 1989\n\nCopyright (C) 1989 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe license agreements of most software companies try to keep users at the mercy of those companies. By contrast, our General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. The General Public License applies to the Free Software Foundation's software and to any other program whose authors commit to using it. You can use it for your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Specifically, the General Public License is designed to make sure that you have the freedom to give away or sell copies of free software, that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of a such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must tell them their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nGNU GENERAL PUBLIC LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any work containing the Program or a portion of it, either verbatim or with modifications. Each licensee is addressed as \"you\".\n\n1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this General Public License and to the absence of any warranty; and give any other recipients of the Program a copy of this General Public License along with the Program. You may charge a fee for the physical act of transferring a copy.\n\n2. You may modify your copy or copies of the Program or any portion of it, and copy and distribute such modifications under the terms of Paragraph 1 above, provided that you also do the following:\n\n	 a) cause the modified files to carry prominent notices stating that you changed the files and the date of any change; and\n\n	 b) cause the whole of any work that you distribute or publish, that in whole or in part contains the Program or any part thereof, either with or without modifications, to be licensed at no charge to all third parties under the terms of this General Public License (except that you may choose to grant warranty protection to some or all third parties, at your option).\n\n	 c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the simplest and most usual way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this General Public License.\n\n	 d) You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\nMere aggregation of another independent work with the Program (or its derivative) on a volume of a storage or distribution medium does not bring the other work under the scope of these terms.\n\n3. You may copy and distribute the Program (or a portion or derivative of it, under Paragraph 2) in object code or executable form under the terms of Paragraphs 1 and 2 above provided that you also do one of the following:\n\n	 a) accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	 b) accompany it with a written offer, valid for at least three years, to give any third party free (except for a nominal charge for the cost of distribution) a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	 c) accompany it with the information you received as to where the corresponding source code may be obtained. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form alone.)\n\nSource code for a work means the preferred form of the work for making modifications to it. For an executable file, complete source code means all the source code for all modules it contains; but, as a special exception, it need not include source code for modules which are standard libraries that accompany the operating system on which the executable file runs, or for standard header files or definitions files that accompany that operating system.\n\n4. You may not copy, modify, sublicense, distribute or transfer the Program except as expressly provided under this General Public License. Any attempt otherwise to copy, modify, sublicense, distribute or transfer the Program is void, and will automatically terminate your rights to use the Program under this License. However, parties who have received copies, or rights to use copies, from you under this General Public License will not have their licenses terminated so long as such parties remain in full compliance.\n\n5. By copying, distributing or modifying the Program (or any work based on the Program) you indicate your acceptance of this license to do so, and all its terms and conditions.\n\n6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein.\n\n7. The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies a version number of the license which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the license, you may choose any version ever published by the Free Software Foundation.\n\n8. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n9. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n10. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nEND OF TERMS AND CONDITIONS\n\nAppendix: How to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to humanity, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 <one line to give the program's name and a brief idea of what it does.> Copyright (C) 19yy <name of author>\n\n	 This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 1, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\n	 You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\n	 Gnomovision version 69, Copyright (C) 19xx name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here a sample; alter the names:\n\n	 Yoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (a program to direct compilers to make passes at assemblers) written by James Hacker.\n\n	 <signature of Ty Coon>, 1 April 1989 Ty Coon, President of Vice\n\nThat's all there is to it!\n"
		self.standardLicenseHeaderTemplate = "Copyright (C) <<var;name=\"copyright\";original=\"19xx name of author\";match=\".+\">>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 1.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 1, February 1989\n\n<<endOptional>>\n\nCopyright (C) 1989 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe license agreements of most software companies try to keep users at the mercy of those companies. By contrast, our General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. The General Public License applies to the Free Software Foundation's software and to any other program whose authors commit to using it. You can use it for your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Specifically, the General Public License is designed to make sure that you have the freedom to give away or sell copies of free software, that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of a such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must tell them their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nGNU GENERAL PUBLIC LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License Agreement applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any work containing the Program or a portion of it, either verbatim or with modifications. Each licensee is addressed as \"you\".\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this General Public License and to the absence of any warranty; and give any other recipients of the Program a copy of this General Public License along with the Program. You may charge a fee for the physical act of transferring a copy.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Program or any portion of it, and copy and distribute such modifications under the terms of Paragraph 1 above, provided that you also do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> cause the modified files to carry prominent notices stating that you changed the files and the date of any change; and\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> cause the whole of any work that you distribute or publish, that in whole or in part contains the Program or any part thereof, either with or without modifications, to be licensed at no charge to all third parties under the terms of this General Public License (except that you may choose to grant warranty protection to some or all third parties, at your option).\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the simplest and most usual way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this General Public License.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   Mere aggregation of another independent work with the Program (or its derivative) on a volume of a storage or distribution medium does not bring the other work under the scope of these terms.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may copy and distribute the Program (or a portion or derivative of it, under Paragraph 2) in object code or executable form under the terms of Paragraphs 1 and 2 above provided that you also do one of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany it with a written offer, valid for at least three years, to give any third party free (except for a nominal charge for the cost of distribution) a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> accompany it with the information you received as to where the corresponding source code may be obtained. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form alone.)\n\n   Source code for a work means the preferred form of the work for making modifications to it. For an executable file, complete source code means all the source code for all modules it contains; but, as a special exception, it need not include source code for modules which are standard libraries that accompany the operating system on which the executable file runs, or for standard header files or definitions files that accompany that operating system.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may not copy, modify, sublicense, distribute or transfer the Program except as expressly provided under this General Public License. Any attempt otherwise to copy, modify, sublicense, distribute or transfer the Program is void, and will automatically terminate your rights to use the Program under this License. However, parties who have received copies, or rights to use copies, from you under this General Public License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> By copying, distributing or modifying the Program (or any work based on the Program) you indicate your acceptance of this license to do so, and all its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies a version number of the license which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the license, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">>\n\n   BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nAppendix: How to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to humanity, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the program's name and a brief idea of what it does.> Copyright (C) 19yy <name of author>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 1, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\nGnomovision version 69, Copyright (C) 19xx name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (a program to direct compilers to make passes at assemblers) written by James Hacker.\n\n<signature of Ty Coon>, 1 April 1989 Ty Coon, President of Vice\n\nThat's all there is to it!\n\n<<endOptional>>"
		self.name = "GNU General Public License v1.0 only"
		self.licenseId = "GPL-1.0"
		self.standardLicenseHeader = "Copyright (C) 19xx name of author\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 1.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/gpl-1.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:34Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/gpl-1.0-standalone.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU GENERAL PUBLIC LICENSE<br />\n\n		Version 1, February 1989\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 1989 Free Software Foundation, Inc. 51\n	  Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The license agreements of most software companies try to keep\n	  users at the mercy of those companies. By contrast, our General\n	  Public License is intended to guarantee your freedom to share\n	  and change free software--to make sure the software is free for\n	  all its users. The General Public License applies to the Free\n	  Software Foundation&apos;s software and to any other program whose\n	  authors commit to using it. You can use it for your programs, too.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not\n	  price. Specifically, the General Public License is designed to\n	  make sure that you have the freedom to give away or sell copies\n	  of free software, that you receive source code or can get it if\n	  you want it, that you can change the software or use pieces of it\n	  in new free programs; and that you know you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to make restrictions that forbid\n	  anyone to deny you these rights or to ask you to surrender the\n	  rights. These restrictions translate to certain responsibilities for\n	  you if you distribute copies of the software, or if you modify it.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of a such a program, whether\n	  gratis or for a fee, you must give the recipients all the rights\n	  that you have. You must make sure that they, too, receive or\n	  can get the source code. And you must tell them their rights.\n	</p>\n\n	<p>\n	  We protect your rights with two steps: (1) copyright the\n	  software, and (2) offer you this license which gives you legal\n	  permission to copy, distribute and/or modify the software.\n	</p>\n\n	<p>\n	  Also, for each author&apos;s protection and ours, we want to make\n	  certain that everyone understands that there is no warranty for\n	  this free software. If the software is modified by someone else\n	  and passed on, we want its recipients to know that what they\n	  have is not the original, so that any problems introduced by\n	  others will not reflect on the original authors&apos; reputations.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying,\n	  distribution and modification follow.\n	</p>\n\n	<p>\n	  GNU GENERAL PUBLIC LICENSE TERMS AND CONDITIONS\n	  FOR COPYING, DISTRIBUTION AND MODIFICATION\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		This License Agreement applies to any program or other work which\n		contains a notice placed by the copyright holder saying it may\n		be distributed under the terms of this General Public License.\n		The &quot;Program&quot;, below, refers to any such program or work, and\n		a &quot;work based on the Program&quot; means either the Program or any\n		work containing the Program or a portion of it, either verbatim\n		or with modifications. Each licensee is addressed as &quot;you&quot;.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		You may copy and distribute verbatim copies of the Program&apos;s\n		source code as you receive it, in any medium, provided that you\n		conspicuously and appropriately publish on each copy an appropriate\n		copyright notice and disclaimer of warranty; keep intact all the\n		notices that refer to this General Public License and to the absence\n		of any warranty; and give any other recipients of the Program a\n		copy of this General Public License along with the Program. You\n		may charge a fee for the physical act of transferring a copy.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		You may modify your copy or copies of the Program or any portion\n		of it, and copy and distribute such modifications under the terms\n		of Paragraph 1 above, provided that you also do the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			cause the modified files to carry prominent notices stating\n			that you changed the files and the date of any change; and\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			cause the whole of any work that you distribute or publish, that\n			in whole or in part contains the Program or any part thereof,\n			either with or without modifications, to be licensed at no\n			charge to all third parties under the terms of this General\n			Public License (except that you may choose to grant warranty\n			protection to some or all third parties, at your option).\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			If the modified program normally reads commands interactively\n			when run, you must cause it, when started running for such\n			interactive use in the simplest and most usual way, to\n			print or display an announcement including an appropriate\n			copyright notice and a notice that there is no warranty (or\n			else, saying that you provide a warranty) and that users may\n			redistribute the program under these conditions, and telling\n			the user how to view a copy of this General Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			You may charge a fee for the physical act of\n			transferring a copy, and you may at your option\n			offer warranty protection in exchange for a fee.\n		  </li>\n		\n</ul>\n		<p>\n		  Mere aggregation of another independent work with the Program (or\n		  its derivative) on a volume of a storage or distribution medium\n		  does not bring the other work under the scope of these terms.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		You may copy and distribute the Program (or a portion\n		or derivative of it, under Paragraph 2) in object code\n		or executable form under the terms of Paragraphs 1 and\n		2 above provided that you also do one of the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			accompany it with the complete corresponding\n			machine-readable source code, which must be distributed\n			under the terms of Paragraphs 1 and 2 above; or,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			accompany it with a written offer, valid for at least\n			three years, to give any third party free (except for a\n			nominal charge for the cost of distribution) a complete\n			machine-readable copy of the corresponding source code, to be\n			distributed under the terms of Paragraphs 1 and 2 above; or,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			accompany it with the information you received as to where the\n			corresponding source code may be obtained. (This alternative\n			is allowed only for noncommercial distribution and only if you\n			received the program in object code or executable form alone.)\n		  </li>\n		\n</ul>\n		<p>\n		  Source code for a work means the preferred form of the work for\n		  making modifications to it. For an executable file, complete\n		  source code means all the source code for all modules it contains;\n		  but, as a special exception, it need not include source code for\n		  modules which are standard libraries that accompany the operating\n		  system on which the executable file runs, or for standard header\n		  files or definitions files that accompany that operating system.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		You may not copy, modify, sublicense, distribute or transfer the\n		Program except as expressly provided under this General Public\n		License. Any attempt otherwise to copy, modify, sublicense,\n		distribute or transfer the Program is void, and will automatically\n		terminate your rights to use the Program under this License. However,\n		parties who have received copies, or rights to use copies, from\n		you under this General Public License will not have their licenses\n		terminated so long as such parties remain in full compliance.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		By copying, distributing or modifying the Program (or any\n		work based on the Program) you indicate your acceptance of\n		this license to do so, and all its terms and conditions.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Each time you redistribute the Program (or any work based on the\n		Program), the recipient automatically receives a license from the\n		original licensor to copy, distribute or modify the Program subject\n		to these terms and conditions. You may not impose any further\n		restrictions on the recipients&apos; exercise of the rights granted herein.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		The Free Software Foundation may publish revised and/or new\n		versions of the General Public License from time to time. Such\n		new versions will be similar in spirit to the present version,\n		but may differ in detail to address new problems or concerns.\n		<p>\n		  Each version is given a distinguishing version number. If the\n		  Program specifies a version number of the license which applies\n		  to it and &quot;any later version&quot;, you have the option of following\n		  the terms and conditions either of that version or of any later\n		  version published by the Free Software Foundation. If the Program\n		  does not specify a version number of the license, you may choose\n		  any version ever published by the Free Software Foundation.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		If you wish to incorporate parts of the Program into other free\n		programs whose distribution conditions are different, write to the\n		author to ask for permission. For software which is copyrighted by the\n		Free Software Foundation, write to the Free Software Foundation; we\n		sometimes make exceptions for this. Our decision will be guided by the\n		two goals of preserving the free status of all derivatives of our free\n		software and of promoting the sharing and reuse of software generally.\n	  </li>\n	  \n<li>\n		<p>\n		  NO WARRANTY\n		</p>\n\n		<var class=\"replaceable-license-text\"> 9.</var>\n		<p>\n		  BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\n		  FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT\n		  WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER\n		  PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND,\n		  EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\n		  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		  PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\n		  THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU\n		  ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n		REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR\n		DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL\n		DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM\n		(INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\n		INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF\n		THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		Appendix: How to Apply These Terms to Your New Programs\n	  </p>\n\n	  <p>\n		If you develop a new program, and you want it to be\n		of the greatest possible use to humanity, the best\n		way to achieve this is to make it free software which\n		everyone can redistribute and change under these terms.\n	  </p>\n\n	  <p>\n		To do so, attach the following notices to the program. It is safest\n		to attach them to the start of each source file to most effectively\n		convey the exclusion of warranty; and each file should have at least\n		the &quot;copyright&quot; line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		&lt;one line to give the program&apos;s name and a brief idea\n		of what it does.&gt; Copyright (C) 19yy &lt;name of author&gt;\n	  </p>\n\n	  <p>\n		This program is free software; you can redistribute it\n		and/or modify it under the terms of the GNU General Public\n		License as published by the Free Software Foundation;\n		either version 1, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General Public License\n		along with this program; if not, write to the Free Software\n		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n	  </p>\n\n	  <p>\n		Also add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		If the program is interactive, make it output a short\n		notice like this when it starts in an interactive mode:\n	  </p>\n\n	  <p>\n		Gnomovision version 69, Copyright (C) 19xx name of author\n		Gnomovision comes with ABSOLUTELY NO WARRANTY; for details\n		type `show w&apos;. This is free software, and you are welcome to\n		redistribute it under certain conditions; type `show c&apos; for details.\n	  </p>\n\n	  <p>\n		The hypothetical commands `show w&apos; and `show c&apos; should show the\n		appropriate parts of the General Public License. Of course, the commands\n		you use may be called something other than `show w&apos; and `show c&apos;; they\n		could even be mouse-clicks or menu items--whatever suits your program.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or your school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the program, if necessary. Here a sample; alter the names:\n	  </p>\n\n	  <p>\n		Yoyodyne, Inc., hereby disclaims all copyright interest in\n		the program `Gnomovision&apos; (a program to direct compilers\n		to make passes at assemblers) written by James Hacker.\n	  </p>\n\n	  <p>\n		&lt;signature of Ty Coon&gt;, 1 April 1989 Ty Coon, President of Vice\n	  </p>\n\n	  <p>\n		That&apos;s all there is to it!\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (C) <var class=\"replaceable-license-text\"> 19xx name of author</var>\n	  <p>\n		This program is free software; you can redistribute it and/or\n		modify it under the terms of the GNU General Public License\n		as published by the Free Software Foundation; version 1.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General Public License\n		along with this program; if not, write to the Free Software\n		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n	  </p>\n\n	"
		self.deprecatedVersion = "3.0"
		self.python_name = "GPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL13noinvariantsorlater:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU Free Documentation License\nVersion 1.3, 3 November 2008\n\nCopyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\nThe \"publisher\" means any person or entity that distributes copies of the Document to the public.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\nThe Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice. H. Include an unaltered copy of this License.\n	 I. Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n	 O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.\n\n11. RELICENSING\n\n\"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A \"Massive Multiauthor Collaboration\" (or \"MMC\") contained in the site means any set of copyrightable works thus published on the MMC site.\n\n\"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.\n\n\"Incorporate\" means to publish or republish a Document, in whole or in part, as part of another Document.\n\nAn MMC is \"eligible for relicensing\" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.\n\nThe operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\n with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.3, 3 November 2008\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <http://fsf.org/>  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   The \"publisher\" means any person or entity that distributes copies of the Document to the public.\n\n   A section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\n   The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice. H. Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n\n	  <<var;name=\"bullet\";original=\"O.\";match=\".{0,20}\">> Preserve any Warranty Disclaimers.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\n   If a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> RELICENSING\n\n   \"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A \"Massive Multiauthor Collaboration\" (or \"MMC\") contained in the site means any set of copyrightable works thus published on the MMC site.\n\n   \"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.\n\n   \"Incorporate\" means to publish or republish a Document, in whole or in part, as part of another Document.\n\n   An MMC is \"eligible for relicensing\" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.\n\n   The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.3 or later - no invariants"
		self.licenseComments = "This license was released 3 November 2008. The identifier GFDL-1.3-or-later-no-invariants should only be used when there are no Invariant Sections, Front-Cover Texts or Back-Cover Texts. See GFDL-1.3-or-later and GFDL-1.3-or-later-invariants for alternatives."
		self.licenseId = "GFDL-1.3-no-invariants-or-later"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/fdl-1.3.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:43Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/fdl-1.3.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.3, 3 November 2008\n	  </p>\n\n	</div>\n	<div class=\"replaceable-license-text\"> \n	  <p>\n		Copyright (C) 2000, 2001, 2002, 2007, 2008 Free\n		Software Foundation, Inc. &lt;http://fsf.org/&gt;\n	  </p>\n\n	</div>\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook, or\n		  other functional and useful document &quot;free&quot; in the sense of\n		  freedom: to assure everyone the effective freedom to copy and\n		  redistribute it, with or without modifying it, either commercially\n		  or noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work, in any medium,\n		  that contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. Such a\n		  notice grants a world-wide, royalty-free license, unlimited in\n		  duration, to use that work under the conditions stated herein.\n		  The &quot;Document&quot;, below, refers to any such manual or work.\n		  Any member of the public is a licensee, and is addressed as\n		  &quot;you&quot;. You accept the license if you copy, modify or distribute\n		  the work in a way requiring permission under copyright law.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter\n		  section of the Document that deals exclusively with the\n		  relationship of the publishers or authors of the Document to the\n		  Document&apos;s overall subject (or to related matters) and contains\n		  nothing that could fall directly within that overall subject.\n		  (Thus, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections,\n		  in the notice that says that the Document is released under\n		  this License. If a section does not fit the above definition of\n		  Secondary then it is not allowed to be designated as Invariant.\n		  The Document may contain zero Invariant Sections. If the Document\n		  does not identify any Invariant Sections then there are none.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are listed,\n		  as Front-Cover Texts or Back-Cover Texts, in the notice that says that\n		  the Document is released under this License. A Front-Cover Text may\n		  be at most 5 words, and a Back-Cover Text may be at most 25 words.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable\n		  copy, represented in a format whose specification is available\n		  to the general public, that is suitable for revising the document\n		  straightforwardly with generic text editors or (for images composed of\n		  pixels) generic paint programs or (for drawings) some widely available\n		  drawing editor, and that is suitable for input to text formatters or\n		  for automatic translation to a variety of formats suitable for input\n		  to text formatters. A copy made in an otherwise Transparent file\n		  format whose markup, or absence of markup, has been arranged to thwart\n		  or discourage subsequent modification by readers is not Transparent.\n		  An image format is not Transparent if used for any substantial\n		  amount of text. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include plain\n		  ASCII without markup, Texinfo input format, LaTeX input format,\n		  SGML or XML using a publicly available DTD, and standard-conforming\n		  simple HTML, PostScript or PDF designed for human modification.\n		  Examples of transparent image formats include PNG, XCF and JPG.\n		  Opaque formats include proprietary formats that can be read\n		  and edited only by proprietary word processors, SGML or XML\n		  for which the DTD and/or processing tools are not generally\n		  available, and the machine-generated HTML, PostScript or PDF\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n		<p>\n		  The &quot;publisher&quot; means any person or entity that\n		  distributes copies of the Document to the public.\n		</p>\n\n		<p>\n		  A section &quot;Entitled XYZ&quot; means a named subunit of the Document whose\n		  title either is precisely XYZ or contains XYZ in parentheses following\n		  text that translates XYZ in another language. (Here XYZ stands for\n		  a specific section name mentioned below, such as &quot;Acknowledgements&quot;,\n		  &quot;Dedications&quot;, &quot;Endorsements&quot;, or &quot;History&quot;.) To &quot;Preserve the\n		  Title&quot; of such a section when you modify the Document means that\n		  it remains a section &quot;Entitled XYZ&quot; according to this definition.\n		</p>\n\n		<p>\n		  The Document may include Warranty Disclaimers next to the notice\n		  which states that this License applies to the Document. These\n		  Warranty Disclaimers are considered to be included by reference\n		  in this License, but only as regards disclaiming warranties:\n		  any other implication that these Warranty Disclaimers may\n		  have is void and has no effect on the meaning of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies (or copies in media that commonly\n		  have printed covers) of the Document, numbering more than 100,\n		  and the Document&apos;s license notice requires Cover Texts, you must\n		  enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a computer-network location from which the general\n		  network-using public has access to download using public-standard\n		  network protocols a complete Transparent copy of the Document,\n		  free of added material. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or\n			entities responsible for authorship of the modifications in the\n			Modified Version, together with at least five of the principal\n			authors of the Document (all of its principal authors, if it has\n			fewer than five), unless they release you from this requirement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant\n			Sections and required Cover Texts given in the Document&apos;s\n			license notice. H. Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section Entitled &quot;History&quot;, Preserve its Title, and\n			add to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section Entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			For any section Entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			Preserve the Title of the section, and preserve in the\n			section all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section Entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section to be Entitled &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> O.</var>\n			Preserve any Warranty Disclaimers.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section Entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released under\n		  this License, under the terms defined in section 4 above for modified\n		  versions, provided that you include in the combination all of the\n		  Invariant Sections of all of the original documents, unmodified,\n		  and list them all as Invariant Sections of your combined work in its\n		  license notice, and that you preserve all their Warranty Disclaimers.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections Entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  Entitled &quot;History&quot;; likewise combine any sections Entitled\n		  &quot;Acknowledgements&quot;, and any sections Entitled &quot;Dedications&quot;.\n		  You must delete all sections Entitled &quot;Endorsements&quot;.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other\n		  separate and independent documents or works, in or on a volume\n		  of a storage or distribution medium, is called an &quot;aggregate&quot;\n		  if the copyright resulting from the compilation is not used to\n		  limit the legal rights of the compilation&apos;s users beyond what\n		  the individual works permit. When the Document is included in an\n		  aggregate, this License does not apply to the other works in the\n		  aggregate which are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to\n		  these copies of the Document, then if the Document is less\n		  than one half of the entire aggregate, the Document&apos;s Cover\n		  Texts may be placed on covers that bracket the Document\n		  within the aggregate, or the electronic equivalent of covers\n		  if the Document is in electronic form. Otherwise they must\n		  appear on printed covers that bracket the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of section\n		  4. Replacing Invariant Sections with translations requires special\n		  permission from their copyright holders, but you may include\n		  translations of some or all Invariant Sections in addition to the\n		  original versions of these Invariant Sections. You may include a\n		  translation of this License, and all the license notices in the\n		  Document, and any Warranty Disclaimers, provided that you also\n		  include the original English version of this License and the original\n		  versions of those notices and disclaimers. In case of a disagreement\n		  between the translation and the original version of this License\n		  or a notice or disclaimer, the original version will prevail.\n		</p>\n\n		<p>\n		  If a section in the Document is Entitled\n		  &quot;Acknowledgements&quot;, &quot;Dedications&quot;, or &quot;History&quot;, the\n		  requirement (section 4) to Preserve its Title (section\n		  1) will typically require changing the actual title.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided under this License. Any attempt\n		  otherwise to copy, modify, sublicense, or distribute it is void,\n		  and will automatically terminate your rights under this License.\n		</p>\n\n		<p>\n		  However, if you cease all violation of this License, then your\n		  license from a particular copyright holder is reinstated (a)\n		  provisionally, unless and until the copyright holder explicitly\n		  and finally terminates your license, and (b) permanently, if\n		  the copyright holder fails to notify you of the violation by\n		  some reasonable means prior to 60 days after the cessation.\n		</p>\n\n		<p>\n		  Moreover, your license from a particular copyright holder is\n		  reinstated permanently if the copyright holder notifies you\n		  of the violation by some reasonable means, this is the first\n		  time you have received notice of violation of this License\n		  (for any work) from that copyright holder, and you cure the\n		  violation prior to 30 days after your receipt of the notice.\n		</p>\n\n		<p>\n		  Termination of your rights under this section does not terminate\n		  the licenses of parties who have received copies or rights from\n		  you under this License. If your rights have been terminated and\n		  not permanently reinstated, receipt of a copy of some or all\n		  of the same material does not give you any rights to use it.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option of\n		  following the terms and conditions either of that specified version or\n		  of any later version that has been published (not as a draft) by the\n		  Free Software Foundation. If the Document does not specify a version\n		  number of this License, you may choose any version ever published (not\n		  as a draft) by the Free Software Foundation. If the Document specifies\n		  that a proxy can decide which future versions of this License can\n		  be used, that proxy&apos;s public statement of acceptance of a version\n		  permanently authorizes you to choose that version for the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		RELICENSING\n		<p>\n		  &quot;Massive Multiauthor Collaboration Site&quot; (or &quot;MMC Site&quot;) means any\n		  World Wide Web server that publishes copyrightable works and also\n		  provides prominent facilities for anybody to edit those works. A\n		  public wiki that anybody can edit is an example of such a server. A\n		  &quot;Massive Multiauthor Collaboration&quot; (or &quot;MMC&quot;) contained in the site\n		  means any set of copyrightable works thus published on the MMC site.\n		</p>\n\n		<p>\n		  &quot;CC-BY-SA&quot; means the Creative Commons Attribution-Share Alike\n		  3.0 license published by Creative Commons Corporation, a\n		  not-for-profit corporation with a principal place of business\n		  in San Francisco, California, as well as future copyleft\n		  versions of that license published by that same organization.\n		</p>\n\n		<p>\n		  &quot;Incorporate&quot; means to publish or republish a Document,\n		  in whole or in part, as part of another Document.\n		</p>\n\n		<p>\n		  An MMC is &quot;eligible for relicensing&quot; if it is licensed under this\n		  License, and if all works that were first published under this License\n		  somewhere other than this MMC, and subsequently incorporated in\n		  whole or in part into the MMC, (1) had no cover texts or invariant\n		  sections, and (2) were thus incorporated prior to November 1, 2008.\n		</p>\n\n		<p>\n		  The operator of an MMC Site may republish an MMC contained in\n		  the site under CC-BY-SA on the same site at any time before\n		  August 1, 2009, provided the MMC is eligible for relicensing.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the GNU\n		Free Documentation License, Version 1.3 or any later version published\n		by the Free Software Foundation; with no Invariant Sections,\n		no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections, Front-Cover Texts and\n		Back-Cover Texts, replace the &quot;with...Texts.&quot; line with this:\n	  </p>\n\n	  <p>\n		with the Invariant Sections being LIST THEIR TITLES, with the\n		Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections without Cover Texts,\n		or some other combination of the three, merge\n		those two alternatives to suit the situation.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>. Permission is granted to copy,\n	  distribute and/or modify this document under the terms of the GNU\n	  Free Documentation License, Version 1.3 or any later version published\n	  by the Free Software Foundation; with no Invariant Sections,\n	  no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is\n	  included in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL13noinvariantsorlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class APSL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "APPLE PUBLIC SOURCE LICENSE\nVersion 1.0 - March 16, 1999\n\nPlease read this License carefully before downloading this software. By downloading and using this software, you are agreeing to be bound by the terms of this License. If you do not or cannot agree to the terms of this License, please do not download or use the software.\n\n1. General; Definitions. This License applies to any program or other work which Apple Computer, Inc. (\"Apple\") publicly announces as subject to this Apple Public Source License and which contains a notice placed by Apple identifying such program or work as \"Original Code\" and stating that it is subject to the terms of this Apple Public Source License version 1.0 (or subsequent version thereof), as it may be revised from time to time by Apple (\"License\"). As used in this License:\n\n	 1.1 \"Applicable Patents\" mean: (a) in the case where Apple is the grantor of rights, (i) patents or patent applications that are now or hereafter acquired, owned by or assigned to Apple and (ii) whose claims cover subject matter contained in the Original Code, but only to the extent necessary to use, reproduce and/or distribute the Original Code without infringement; and (b) in the case where You are the grantor of rights, (i) patents and patent applications that are now or hereafter acquired, owned by or assigned to You and (ii) whose claims cover subject matter in Your Modifications, taken alone or in combination with Original Code.\n\n	 1.2 \"Covered Code\" means the Original Code, Modifications, the combination of Original Code and any Modifications, and/or any respective portions thereof.\n\n	 1.3 \"Deploy\" means to use, sublicense or distribute Covered Code other than for Your internal research and development (R&D), and includes without limitation, any and all internal use or distribution of Covered Code within Your business or organization except for R&D use, as well as direct or indirect sublicensing or distribution of Covered Code by You to any third party in any form or manner.\n\n	 1.4 \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.5 \"Modifications\" mean any addition to, deletion from, and/or change to, the substance and/or structure of Covered Code. When code is released as a series of files, a Modification is: (a) any addition to or deletion from the contents of a file containing Covered Code; and/or (b) any new file or other representation of computer program statements that contains any part of Covered Code.\n\n	 1.6 \"Original Code\" means the Source Code of a program or other work as originally made available by Apple under this License, including the Source Code of any updates or upgrades to such programs or works made available by Apple under this License, and that has been expressly identified by Apple as such in the header file(s) of such work.\n\n	 1.7 \"Source Code\" means the human readable form of a program or other work that is suitable for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an executable (object code).\n\n	 1.8 \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n2. Permitted Uses; Conditions & Restrictions. Subject to the terms and conditions of this License, Apple hereby grants You, effective on the date You accept this License and download the Original Code, a world-wide, royalty-free, non-exclusive license, to the extent of Apple's Applicable Patents and copyrights covering the Original Code, to do the following:\n\n	 2.1 You may use, copy, modify and distribute Original Code, with or without Modifications, solely for Your internal research and development, provided that You must in each instance:\n\n		  (a) retain and reproduce in all copies of Original Code the copyright and other proprietary notices and disclaimers of Apple as they appear in the Original Code, and keep intact all notices in the Original Code that refer to this License;\n\n		  (b) include a copy of this License with every copy of Source Code of Covered Code and documentation You distribute, and You may not offer or impose any terms on such Source Code that alter or restrict this License or the recipients' rights hereunder, except as permitted under Section 6; and\n\n		  (c) completely and accurately document all Modifications that you have made and the date of each such Modification, designate the version of the Original Code you used, prominently include a file carrying such information with the Modifications, and duplicate the notice in Exhibit A in each file of the Source Code of all such Modifications.\n\n	 2.2 You may Deploy Covered Code, provided that You must in each instance:\n\n		  (a) satisfy all the conditions of Section 2.1 with respect to the Source Code of the Covered Code;\n\n		  (b) make all Your Deployed Modifications publicly available in Source Code form via electronic distribution (e.g. download from a web site) under the terms of this License and subject to the license grants set forth in Section 3 below, and any additional terms You may choose to offer under Section 6. You must continue to make the Source Code of Your Deployed Modifications available for as long as you Deploy the Covered Code or twelve (12) months from the date of initial Deployment, whichever is longer;\n\n		  (c) must notify Apple and other third parties of how to obtain Your Deployed Modifications by filling out and submitting the required information found at http://www.apple.com/publicsource/modifications.html; and\n\n		  (d) if you Deploy Covered Code in object code, executable form only, include a prominent notice, in the code itself as well as in related documentation, stating that Source Code of the Covered Code is available under the terms of this License with information on how and where to obtain such Source Code.\n\n3. Your Grants. In consideration of, and as a condition to, the licenses granted to You under this License:\n\n		  (a) You hereby grant to Apple and all third parties a non-exclusive, royalty-free license, under Your Applicable Patents and other intellectual property rights owned or controlled by You, to use, reproduce, modify, distribute and Deploy Your Modifications of the same scope and extent as Apple's licenses under Sections 2.1 and 2.2; and\n\n		  (b) You hereby grant to Apple and its subsidiaries a non-exclusive, worldwide, royalty-free, perpetual and irrevocable license, under Your Applicable Patents and other intellectual property rights owned or controlled by You, to use, reproduce, execute, compile, display, perform, modify or have modified (for Apple and/or its subsidiaries), sublicense and distribute Your Modifications, in any form, through multiple tiers of distribution.\n\n4. Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof.\n\n5. Limitations on Patent License. Except as expressly stated in Section 2, no other patent rights, express or implied, are granted by Apple herein. Modifications and/or Larger Works may require additional patent licenses from Apple which Apple may grant in its sole discretion.\n\n6. Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations and/or other rights consistent with the scope of the license granted herein (\"Additional Terms\") to one or more recipients of Covered Code. However, You may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Apple. You must obtain the recipient's agreement that any such Additional Terms are offered by You alone, and You hereby agree to indemnify, defend and hold Apple harmless for any liability incurred by or claims asserted against Apple by reason of any such Additional Terms.\n\n7. Versions of the License. Apple may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Once Original Code has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of this License published by Apple. No one other than Apple has the right to modify the terms applicable to Covered Code created under this License.\n\n8. NO WARRANTY OR SUPPORT. The Original Code may contain in whole or in part pre-release, untested, or not fully tested works. The Original Code may contain errors that could cause failures or loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and agree that use of the Original Code, or any portion thereof, is at Your sole and entire risk. THE ORIGINAL CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF ANY KIND AND APPLE AND APPLE'S LICENSOR(S) (FOR THE PURPOSES OF SECTIONS 8 AND 9, APPLE AND APPLE'S LICENSOR(S) ARE COLLECTIVELY REFERRED TO AS \"APPLE\") EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY OR SATISFACTORY QUALITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. APPLE DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED IN THE ORIGINAL CODE WILL MEET YOUR REQUIREMENTS, OR THAT THE OPERATION OF THE ORIGINAL CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE ORIGINAL CODE WILL BE CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY APPLE OR AN APPLE AUTHORIZED REPRESENTATIVE SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY. You acknowledge that the Original Code is not intended for use in the operation of nuclear facilities, aircraft navigation, communication systems, or air traffic control machines in which case the failure of the Original Code could lead to death, personal injury, or severe physical or environmental damage.\n\n9. Liability.\n\n	 9.1 Infringement. If any of the Original Code becomes the subject ofa claim of infringement (\"Affected Original Code\"), Apple may, at its sole discretion and option: (a) attempt to procure the rights necessary for You to continue using the Affected Original Code; (b) modify the Affected Original Code so that it is no longer infringing; or (c) terminate Your rights to use the Affected Original Code, effective immediately upon Apple's posting of a notice to such effect on the Apple web site that is used for implementation of this License.\n\n	 9.2 LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES SHALL APPLE BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE ORIGINAL CODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF APPLE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. In no event shall Apple's total liability to You for all damages under this License exceed the amount of fifty dollars ($50.00).\n\n10. Trademarks. This License does not grant any rights to use the trademarks or trade names \"Apple\", \"Apple Computer\", \"Mac OS X\", \"Mac OS X Server\" or any other trademarks or trade names belonging to Apple (collectively \"Apple Marks\") and no Apple Marks may be used to endorse or promote products derived from the Original Code\nother than as permitted by and in strict compliance at all times with Apple's third party trademark usage guidelines which are posted at http://www.apple.com/legal/guidelinesfor3rdparties.html.\n\n11. Ownership. Apple retains all rights, title and interest in and to the Original Code and any Modifications made by or on behalf of Apple (\"Apple Modifications\"), and such Apple Modifications will not be automatically subject to this License. Apple may, at its sole discretion, choose to license such Apple Modifications under this License, or on different terms from those contained in this License or may choose not to license them at all. Apple's development, use, reproduction, modification, sublicensing and distribution of Covered Code will not be subject to this License.\n\n12. Termination.\n\n	 12.1 Termination. This License and the rights granted hereunder will terminate:\n\n		  (a) automatically without notice from Apple if You fail to comply with any term(s) of this License and fail to cure such breach within 30 days of becoming aware of such breach;\n\n		  (b) immediately in the event of the circumstances described in Sections 9.1 and/or 13.6(b); or\n\n		  (c) automatically without notice from Apple if You, at any time during the term of this License, commence an action for patent infringement against Apple.\n\n	 12.2 Effect of Termination. Upon termination, You agree to immediately stop any further use, reproduction, modification and distribution of the Covered Code, or Affected Original Code in the case of termination under Section 9.1, and to destroy all copies of the Covered Code or Affected Original Code (in the case of\ntermination under Section 9.1) that are in your possession or control. All sublicenses to the Covered Code which have been properly granted prior to termination shall survive any termination of this License. Provisions which, by their nature, should remain in effect beyond the termination of this License shall survive, including but not limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13. Neither party will be liable to the other for compensation, indemnity or damages of any sort solely as a result of terminating this License in accordance with its terms, and termination of this License will be without prejudice to any other right or remedy of either party.\n\n13. Miscellaneous.\n\n	 13.1 Export Law Assurances. You may not use or otherwise export or re-export the Original Code except as authorized by United States law and the laws of the jurisdiction in which the Original Code was obtained. In particular, but without limitation, the Original Code may not be exported or re-exported (a) into (or to a national or resident of) any U.S. embargoed country or (b) to anyone on the U.S. Treasury Department's list of Specially Designated Nationals or the U.S. Department of Commerce's Table of Denial Orders. By using the Original Code, You represent and warrant that You are not located in, under control of, or a national or resident of any such country or on any such list.\n\n	 13.2 Government End Users. The Covered Code is a \"commercial item\" as defined in FAR 2.101. Government software and technical data rights in the Covered Code include only those rights customarily provided to the public as defined in this License. This customary commercial license in technical data and software is provided in\naccordance with FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation). Accordingly, all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n	 13.3 Relationship of Parties. This License will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between You and Apple, and You will not represent to the contrary, whether expressly, by implication, appearance or otherwise.\n\n	 13.4 Independent Development. Nothing in this License will impair Apple's right to acquire, license, develop, have others develop for it, market and/or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Modifications, Larger Works, technology or products that You may develop, produce, market or distribute.\n\n	 13.5 Waiver; Construction. Failure by Apple to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter will not apply to this License.\n\n	 13.6 Severability. (a) If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You from fully and/or specifically complying with Sections 2 and/or 3 or prevents the enforceability of either of those Sections, this License will immediately terminate and You must immediately discontinue any use of the Covered Code and destroy all copies of it that are in your possession or control.\n\n	 13.7 Dispute Resolution. Any litigation or other dispute resolution between You and Apple relating to this License shall take place in the Northern District of California, and You and Apple hereby consent to the personal jurisdiction of, and venue in, the state and federal courts within that District with respect to this License. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n	 13.8 Entire Agreement; Governing Law. This License constitutes the entire agreement between the parties with respect to the subject matter hereof. This License shall be governed by the laws of the United States and the State of California, except that body of California law concerning conflicts of law.\n\n	 Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby confirm that they have requested that this License and all related documents be drafted in English. Les parties ont exige que le present contrat et tous les documents connexes soient rediges en anglais.\n\nEXHIBIT A.\n\n\"Portions Copyright (c) 1999 Apple Computer, Inc. All Rights Reserved. This file contains Original Code and/or Modifications of Original Code as defined in and that are subject to the Apple Public Source License Version 1.0 (the 'License'). You may not use this file except in compliance with the License. Please obtain a copy of the License at http://www.apple.com/publicsource and read it before using this file.\n\nThe Original Code and all software distributed under the License are distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT. Please see the License for the specific language governing rights and limitations under the License.\"\n"
		self.standardLicenseTemplate = "<<beginOptional>>APPLE PUBLIC SOURCE LICENSE\n\nVersion 1.0 - March 16, 1999\n\n<<endOptional>><<beginOptional>> Please read this License carefully before downloading this software. By downloading and using this software, you are agreeing to be bound by the terms of this License. If you do not or cannot agree to the terms of this License, please do not download or use the software.\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> General; Definitions. This License applies to any program or other work which Apple Computer, Inc. (\"Apple\") publicly announces as subject to this Apple Public Source License and which contains a notice placed by Apple identifying such program or work as \"Original Code\" and stating that it is subject to the terms of this Apple Public Source License version 1.0 (or subsequent version thereof), as it may be revised from time to time by Apple (\"License\"). As used in this License:\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Applicable Patents\" mean: (a) in the case where Apple is the grantor of rights, (i) patents or patent applications that are now or hereafter acquired, owned by or assigned to Apple and (ii) whose claims cover subject matter contained in the Original Code, but only to the extent necessary to use, reproduce and/or distribute the Original Code without infringement; and (b) in the case where You are the grantor of rights, (i) patents and patent applications that are now or hereafter acquired, owned by or assigned to You and (ii) whose claims cover subject matter in Your Modifications, taken alone or in combination with Original Code.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Covered Code\" means the Original Code, Modifications, the combination of Original Code and any Modifications, and/or any respective portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Deploy\" means to use, sublicense or distribute Covered Code other than for Your internal research and development (R&D), and includes without limitation, any and all internal use or distribution of Covered Code within Your business or organization except for R&D use, as well as direct or indirect sublicensing or distribution of Covered Code by You to any third party in any form or manner.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Modifications\" mean any addition to, deletion from, and/or change to, the substance and/or structure of Covered Code. When code is released as a series of files, a Modification is: (a) any addition to or deletion from the contents of a file containing Covered Code; and/or (b) any new file or other representation of computer program statements that contains any part of Covered Code.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"Original Code\" means the Source Code of a program or other work as originally made available by Apple under this License, including the Source Code of any updates or upgrades to such programs or works made available by Apple under this License, and that has been expressly identified by Apple as such in the header file(s) of such work.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"Source Code\" means the human readable form of a program or other work that is suitable for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an executable (object code).\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Permitted Uses; Conditions & Restrictions. Subject to the terms and conditions of this License, Apple hereby grants You, effective on the date You accept this License and download the Original Code, a world-wide, royalty-free, non-exclusive license, to the extent of Apple's Applicable Patents and copyrights covering the Original Code, to do the following:\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> You may use, copy, modify and distribute Original Code, with or without Modifications, solely for Your internal research and development, provided that You must in each instance:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> retain and reproduce in all copies of Original Code the copyright and other proprietary notices and disclaimers of Apple as they appear in the Original Code, and keep intact all notices in the Original Code that refer to this License;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> include a copy of this License with every copy of Source Code of Covered Code and documentation You distribute, and You may not offer or impose any terms on such Source Code that alter or restrict this License or the recipients' rights hereunder, except as permitted under Section 6; and\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> completely and accurately document all Modifications that you have made and the date of each such Modification, designate the version of the Original Code you used, prominently include a file carrying such information with the Modifications, and duplicate the notice in Exhibit A in each file of the Source Code of all such Modifications.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> You may Deploy Covered Code, provided that You must in each instance:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> satisfy all the conditions of Section 2.1 with respect to the Source Code of the Covered Code;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> make all Your Deployed Modifications publicly available in Source Code form via electronic distribution (e.g. download from a web site) under the terms of this License and subject to the license grants set forth in Section 3 below, and any additional terms You may choose to offer under Section 6. You must continue to make the Source Code of Your Deployed Modifications available for as long as you Deploy the Covered Code or twelve (12) months from the date of initial Deployment, whichever is longer;\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> must notify Apple and other third parties of how to obtain Your Deployed Modifications by filling out and submitting the required information found at http://www.apple.com/publicsource/modifications.html; and\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> if you Deploy Covered Code in object code, executable form only, include a prominent notice, in the code itself as well as in related documentation, stating that Source Code of the Covered Code is available under the terms of this License with information on how and where to obtain such Source Code.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Your Grants. In consideration of, and as a condition to, the licenses granted to You under this License:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> You hereby grant to Apple and all third parties a non-exclusive, royalty-free license, under Your Applicable Patents and other intellectual property rights owned or controlled by You, to use, reproduce, modify, distribute and Deploy Your Modifications of the same scope and extent as Apple's licenses under Sections 2.1 and 2.2; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You hereby grant to Apple and its subsidiaries a non-exclusive, worldwide, royalty-free, perpetual and irrevocable license, under Your Applicable Patents and other intellectual property rights owned or controlled by You, to use, reproduce, execute, compile, display, perform, modify or have modified (for Apple and/or its subsidiaries), sublicense and distribute Your Modifications, in any form, through multiple tiers of distribution.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Limitations on Patent License. Except as expressly stated in Section 2, no other patent rights, express or implied, are granted by Apple herein. Modifications and/or Larger Works may require additional patent licenses from Apple which Apple may grant in its sole discretion.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations and/or other rights consistent with the scope of the license granted herein (\"Additional Terms\") to one or more recipients of Covered Code. However, You may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Apple. You must obtain the recipient's agreement that any such Additional Terms are offered by You alone, and You hereby agree to indemnify, defend and hold Apple harmless for any liability incurred by or claims asserted against Apple by reason of any such Additional Terms.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Versions of the License. Apple may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Once Original Code has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of this License published by Apple. No one other than Apple has the right to modify the terms applicable to Covered Code created under this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> NO WARRANTY OR SUPPORT. The Original Code may contain in whole or in part pre-release, untested, or not fully tested works. The Original Code may contain errors that could cause failures or loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and agree that use of the Original Code, or any portion thereof, is at Your sole and entire risk. THE ORIGINAL CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF ANY KIND AND APPLE AND APPLE'S LICENSOR(S) (FOR THE PURPOSES OF SECTIONS 8 AND 9, APPLE AND APPLE'S LICENSOR(S) ARE COLLECTIVELY REFERRED TO AS \"APPLE\") EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY OR SATISFACTORY QUALITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. APPLE DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED IN THE ORIGINAL CODE WILL MEET YOUR REQUIREMENTS, OR THAT THE OPERATION OF THE ORIGINAL CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE ORIGINAL CODE WILL BE CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY APPLE OR AN APPLE AUTHORIZED REPRESENTATIVE SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY. You acknowledge that the Original Code is not intended for use in the operation of nuclear facilities, aircraft navigation, communication systems, or air traffic control machines in which case the failure of the Original Code could lead to death, personal injury, or severe physical or environmental damage.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Liability.\n\n	  <<var;name=\"bullet\";original=\"9.1\";match=\".{0,20}\">> Infringement. If any of the Original Code becomes the subject ofa claim of infringement (\"Affected Original Code\"), Apple may, at its sole discretion and option: (a) attempt to procure the rights necessary for You to continue using the Affected Original Code; (b) modify the Affected Original Code so that it is no longer infringing; or (c) terminate Your rights to use the Affected Original Code, effective immediately upon Apple's posting of a notice to such effect on the Apple web site that is used for implementation of this License.\n\n	  <<var;name=\"bullet\";original=\"9.2\";match=\".{0,20}\">> LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES SHALL APPLE BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE ORIGINAL CODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF APPLE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. In no event shall Apple's total liability to You for all damages under this License exceed the amount of fifty dollars ($50.00).\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Trademarks. This License does not grant any rights to use the trademarks or trade names \"Apple\", \"Apple Computer\", \"Mac OS X\", \"Mac OS X Server\" or any other trademarks or trade names belonging to Apple (collectively \"Apple Marks\") and no Apple Marks may be used to endorse or promote products derived from the Original Code\n\n   other than as permitted by and in strict compliance at all times with Apple's third party trademark usage guidelines which are posted at http://www.apple.com/legal/guidelinesfor3rdparties.html.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Ownership. Apple retains all rights, title and interest in and to the Original Code and any Modifications made by or on behalf of Apple (\"Apple Modifications\"), and such Apple Modifications will not be automatically subject to this License. Apple may, at its sole discretion, choose to license such Apple Modifications under this License, or on different terms from those contained in this License or may choose not to license them at all. Apple's development, use, reproduction, modification, sublicensing and distribution of Covered Code will not be subject to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Termination.\n\n	  <<var;name=\"bullet\";original=\"12.1\";match=\".{0,20}\">> Termination. This License and the rights granted hereunder will terminate:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> automatically without notice from Apple if You fail to comply with any term(s) of this License and fail to cure such breach within 30 days of becoming aware of such breach;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> immediately in the event of the circumstances described in Sections 9.1 and/or 13.6(b); or\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> automatically without notice from Apple if You, at any time during the term of this License, commence an action for patent infringement against Apple.\n\n	  <<var;name=\"bullet\";original=\"12.2\";match=\".{0,20}\">> Effect of Termination. Upon termination, You agree to immediately stop any further use, reproduction, modification and distribution of the Covered Code, or Affected Original Code in the case of termination under Section 9.1, and to destroy all copies of the Covered Code or Affected Original Code (in the case of\n\n	  termination under Section 9.1) that are in your possession or control. All sublicenses to the Covered Code which have been properly granted prior to termination shall survive any termination of this License. Provisions which, by their nature, should remain in effect beyond the termination of this License shall survive, including but not limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13. Neither party will be liable to the other for compensation, indemnity or damages of any sort solely as a result of terminating this License in accordance with its terms, and termination of this License will be without prejudice to any other right or remedy of either party.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Miscellaneous.\n\n	  <<var;name=\"bullet\";original=\"13.1\";match=\".{0,20}\">> Export Law Assurances. You may not use or otherwise export or re-export the Original Code except as authorized by United States law and the laws of the jurisdiction in which the Original Code was obtained. In particular, but without limitation, the Original Code may not be exported or re-exported (a) into (or to a national or resident of) any U.S. embargoed country or (b) to anyone on the U.S. Treasury Department's list of Specially Designated Nationals or the U.S. Department of Commerce's Table of Denial Orders. By using the Original Code, You represent and warrant that You are not located in, under control of, or a national or resident of any such country or on any such list.\n\n	  <<var;name=\"bullet\";original=\"13.2\";match=\".{0,20}\">> Government End Users. The Covered Code is a \"commercial item\" as defined in FAR 2.101. Government software and technical data rights in the Covered Code include only those rights customarily provided to the public as defined in this License. This customary commercial license in technical data and software is provided in\n\n	  accordance with FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation). Accordingly, all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n	  <<var;name=\"bullet\";original=\"13.3\";match=\".{0,20}\">> Relationship of Parties. This License will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between You and Apple, and You will not represent to the contrary, whether expressly, by implication, appearance or otherwise.\n\n	  <<var;name=\"bullet\";original=\"13.4\";match=\".{0,20}\">> Independent Development. Nothing in this License will impair Apple's right to acquire, license, develop, have others develop for it, market and/or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Modifications, Larger Works, technology or products that You may develop, produce, market or distribute.\n\n	  <<var;name=\"bullet\";original=\"13.5\";match=\".{0,20}\">> Waiver; Construction. Failure by Apple to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter will not apply to this License.\n\n	  <<var;name=\"bullet\";original=\"13.6\";match=\".{0,20}\">> Severability. (a) If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You from fully and/or specifically complying with Sections 2 and/or 3 or prevents the enforceability of either of those Sections, this License will immediately terminate and You must immediately discontinue any use of the Covered Code and destroy all copies of it that are in your possession or control.\n\n	  <<var;name=\"bullet\";original=\"13.7\";match=\".{0,20}\">> Dispute Resolution. Any litigation or other dispute resolution between You and Apple relating to this License shall take place in the Northern District of California, and You and Apple hereby consent to the personal jurisdiction of, and venue in, the state and federal courts within that District with respect to this License. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n	  <<var;name=\"bullet\";original=\"13.8\";match=\".{0,20}\">> Entire Agreement; Governing Law. This License constitutes the entire agreement between the parties with respect to the subject matter hereof. This License shall be governed by the laws of the United States and the State of California, except that body of California law concerning conflicts of law.\n\n	  Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby confirm that they have requested that this License and all related documents be drafted in English. Les parties ont exige que le present contrat et tous les documents connexes soient rediges en anglais.\n\n	  <<beginOptional>>EXHIBIT A.\n\n\"Portions Copyright (c) 1999 Apple Computer, Inc. All Rights Reserved. This file contains Original Code and/or Modifications of Original Code as defined in and that are subject to the Apple Public Source License Version 1.0 (the 'License'). You may not use this file except in compliance with the License. Please obtain a copy of the License at http://www.apple.com/publicsource and read it before using this file.\n\nThe Original Code and all software distributed under the License are distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT. Please see the License for the specific language governing rights and limitations under the License.\"\n\n<<endOptional>>"
		self.name = "Apple Public Source License 1.0"
		self.licenseComments = "This license was released 16 March 1999."
		self.licenseId = "APSL-1.0"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Apple_Public_Source_License_1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:29Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Apple_Public_Source_License_1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>APPLE PUBLIC SOURCE LICENSE\n		<br />\n\nVersion 1.0 - March 16, 1999\n	  </p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Please read this License carefully before downloading this software. By downloading and using this\n		 software, you are agreeing to be bound by the terms of this License. If you do not or cannot agree to\n		 the terms of this License, please do not download or use the software.</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  General; Definitions. This License applies to any program or other work which Apple Computer,\n			 Inc. (&quot;Apple&quot;) publicly announces as subject to this Apple Public Source License and\n			 which contains a notice placed by Apple identifying such program or work as &quot;Original\n			 Code&quot; and stating that it is subject to the terms of this Apple Public Source License\n			 version 1.0 (or subsequent version thereof), as it may be revised from time to time by Apple\n			 (&quot;License&quot;). As used in this License:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.1</var>\n			&quot;Applicable Patents&quot; mean: (a) in the case where Apple is the grantor of rights,\n			   (i) patents or patent applications that are now or hereafter acquired, owned by or\n			   assigned to Apple and (ii) whose claims cover subject matter contained in the Original\n			   Code, but only to the extent necessary to use, reproduce and/or distribute the Original\n			   Code without infringement; and (b) in the case where You are the grantor of rights, (i)\n			   patents and patent applications that are now or hereafter acquired, owned by or assigned\n			   to You and (ii) whose claims cover subject matter in Your Modifications, taken alone or in\n			   combination with Original Code.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.2</var>\n			&quot;Covered Code&quot; means the Original Code, Modifications, the combination of Original\n			   Code and any Modifications, and/or any respective portions thereof.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.3</var>\n			&quot;Deploy&quot; means to use, sublicense or distribute Covered Code other than for Your\n			   internal research and development (R&amp;D), and includes without limitation, any and all\n			   internal use or distribution of Covered Code within Your business or organization except\n			   for R&amp;D use, as well as direct or indirect sublicensing or distribution of Covered\n			   Code by You to any third party in any form or manner.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.4</var>\n			&quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with\n			   code not governed by the terms of this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.5</var>\n			&quot;Modifications&quot; mean any addition to, deletion from, and/or change to, the\n			   substance and/or structure of Covered Code. When code is released as a series of files, a\n			   Modification is: (a) any addition to or deletion from the contents of a file containing\n			   Covered Code; and/or (b) any new file or other representation of computer program\n			   statements that contains any part of Covered Code.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.6</var>\n			&quot;Original Code&quot; means the Source Code of a program or other work as originally made\n			   available by Apple under this License, including the Source Code of any updates or\n			   upgrades to such programs or works made available by Apple under this License, and that\n			   has been expressly identified by Apple as such in the header file(s) of such work.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.7</var>\n			&quot;Source Code&quot; means the human readable form of a program or other work that is\n			   suitable for making modifications to it, including all modules it contains, plus any\n			   associated interface definition files, scripts used to control compilation and\n			   installation of an executable (object code).\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.8</var>\n			&quot;You&quot; or &quot;Your&quot; means an individual or a legal entity exercising rights\n			   under this License. For legal entities, &quot;You&quot; or &quot;Your&quot; includes any\n			   entity which controls, is controlled by, or is under common control with, You, where\n			   &quot;control&quot; means (a) the power, direct or indirect, to cause the direction or\n			   management of such entity, whether by contract or otherwise, or (b) ownership of fifty\n			   percent (50%) or more of the outstanding shares or beneficial ownership of such\n			   entity.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Permitted Uses; Conditions &amp; Restrictions. Subject to the terms and conditions of this\n			 License, Apple hereby grants You, effective on the date You accept this License and download\n			 the Original Code, a world-wide, royalty-free, non-exclusive license, to the extent of\n			 Apple&apos;s Applicable Patents and copyrights covering the Original Code, to do the\n			 following:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.1</var>\n			You may use, copy, modify and distribute Original Code, with or without Modifications, solely\n			   for Your internal research and development, provided that You must in each instance:\n		  </li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  retain and reproduce in all copies of Original Code the copyright and other proprietary\n				 notices and disclaimers of Apple as they appear in the Original Code, and keep intact\n				 all notices in the Original Code that refer to this License;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  include a copy of this License with every copy of Source Code of Covered Code and\n				 documentation You distribute, and You may not offer or impose any terms on such Source\n				 Code that alter or restrict this License or the recipients&apos; rights hereunder,\n				 except as permitted under Section 6; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			  completely and accurately document all Modifications that you have made and the date of\n				 each such Modification, designate the version of the Original Code you used,\n				 prominently include a file carrying such information with the Modifications, and\n				 duplicate the notice in Exhibit A in each file of the Source Code of all such\n				 Modifications.\n			</li>\n			\n</ul>\n\t	</li>\n\t	\n<li>\n			   <var class=\"replaceable-license-text\"> 2.2</var>\n			You may Deploy Covered Code, provided that You must in each instance:\n		  </li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  satisfy all the conditions of Section 2.1 with respect to the Source Code of the Covered Code;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  make all Your Deployed Modifications publicly available in Source Code form via\n				 electronic distribution (e.g. download from a web site) under the terms of this\n				 License and subject to the license grants set forth in Section 3 below, and any\n				 additional terms You may choose to offer under Section 6. You must continue to make\n				 the Source Code of Your Deployed Modifications available for as long as you Deploy the\n				 Covered Code or twelve (12) months from the date of initial Deployment, whichever is\n				 longer;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			  must notify Apple and other third parties of how to obtain Your Deployed Modifications by\n				 filling out and submitting the required information found at\n				 http://www.apple.com/publicsource/modifications.html; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (d)</var>\n			  if you Deploy Covered Code in object code, executable form only, include a prominent\n				 notice, in the code itself as well as in related documentation, stating that Source\n				 Code of the Covered Code is available under the terms of this License with information\n				 on how and where to obtain such Source Code.\n			</li>\n			\n</ul>\n	\t	</li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Your Grants. In consideration of, and as a condition to, the licenses granted to You under this\n			 License:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n\t	 \n<li>\t\n\t	 \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  You hereby grant to Apple and all third parties a non-exclusive, royalty-free license,\n				 under Your Applicable Patents and other intellectual property rights owned or\n				 controlled by You, to use, reproduce, modify, distribute and Deploy Your Modifications\n				 of the same scope and extent as Apple&apos;s licenses under Sections 2.1 and 2.2;\n				 and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  You hereby grant to Apple and its subsidiaries a non-exclusive, worldwide, royalty-free,\n				 perpetual and irrevocable license, under Your Applicable Patents and other\n				 intellectual property rights owned or controlled by You, to use, reproduce, execute,\n				 compile, display, perform, modify or have modified (for Apple and/or its\n				 subsidiaries), sublicense and distribute Your Modifications, in any form, through\n				 multiple tiers of distribution.\n			</li>\n			\n</ul>\n	\t	</li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Larger Works. You may create a Larger Work by combining Covered Code with other code not governed\n			 by the terms of this License and distribute the Larger Work as a single product. In each such\n			 instance, You must make sure the requirements of this License are fulfilled for the Covered\n			 Code or any portion thereof.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Limitations on Patent License. Except as expressly stated in Section 2, no other patent rights,\n			 express or implied, are granted by Apple herein. Modifications and/or Larger Works may require\n			 additional patent licenses from Apple which Apple may grant in its sole discretion.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity\n			 or liability obligations and/or other rights consistent with the scope of the license granted\n			 herein (&quot;Additional Terms&quot;) to one or more recipients of Covered Code. However, You\n			 may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Apple.\n			 You must obtain the recipient&apos;s agreement that any such Additional Terms are offered by\n			 You alone, and You hereby agree to indemnify, defend and hold Apple harmless for any liability\n			 incurred by or claims asserted against Apple by reason of any such Additional Terms.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Versions of the License. Apple may publish revised and/or new versions of this License from time\n			 to time. Each version will be given a distinguishing version number. Once Original Code has\n			 been published under a particular version of this License, You may continue to use it under\n			 the terms of that version. You may also choose to use such Original Code under the terms of\n			 any subsequent version of this License published by Apple. No one other than Apple has the\n			 right to modify the terms applicable to Covered Code created under this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  NO WARRANTY OR SUPPORT. The Original Code may contain in whole or in part pre-release, untested,\n			 or not fully tested works. The Original Code may contain errors that could cause failures or\n			 loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and\n			 agree that use of the Original Code, or any portion thereof, is at Your sole and entire risk.\n			 THE ORIGINAL CODE IS PROVIDED &quot;AS IS&quot; AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF\n			 ANY KIND AND APPLE AND APPLE&apos;S LICENSOR(S) (FOR THE PURPOSES OF SECTIONS 8 AND 9, APPLE\n			 AND APPLE&apos;S LICENSOR(S) ARE COLLECTIVELY REFERRED TO AS &quot;APPLE&quot;) EXPRESSLY\n			 DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,\n			 THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY OR SATISFACTORY QUALITY AND\n			 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. APPLE DOES NOT\n			 WARRANT THAT THE FUNCTIONS CONTAINED IN THE ORIGINAL CODE WILL MEET YOUR REQUIREMENTS, OR THAT\n			 THE OPERATION OF THE ORIGINAL CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE\n			 ORIGINAL CODE WILL BE CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY APPLE OR AN\n			 APPLE AUTHORIZED REPRESENTATIVE SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF\n			 THIS WARRANTY. You acknowledge that the Original Code is not intended for use in the operation\n			 of nuclear facilities, aircraft navigation, communication systems, or air traffic control\n			 machines in which case the failure of the Original Code could lead to death, personal injury,\n			 or severe physical or environmental damage.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Liability.\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 9.1</var>\n			Infringement. If any of the Original Code becomes the subject ofa claim of infringement\n			   (&quot;Affected Original Code&quot;), Apple may, at its sole discretion and option: (a)\n			   attempt to procure the rights necessary for You to continue using the Affected Original\n			   Code; (b) modify the Affected Original Code so that it is no longer infringing; or (c)\n			   terminate Your rights to use the Affected Original Code, effective immediately upon\n			   Apple&apos;s posting of a notice to such effect on the Apple web site that is used for\n			   implementation of this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 9.2</var>\n			LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES SHALL APPLE BE LIABLE FOR ANY INCIDENTAL,\n			   SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR\n			   YOUR USE OR INABILITY TO USE THE ORIGINAL CODE, OR ANY PORTION THEREOF, WHETHER UNDER A\n			   THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR\n			   OTHERWISE, EVEN IF APPLE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND\n			   NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. In no event shall\n			   Apple&apos;s total liability to You for all damages under this License exceed the amount\n			   of fifty dollars ($50.00).\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Trademarks. This License does not grant any rights to use the trademarks or trade names\n			 &quot;Apple&quot;, &quot;Apple Computer&quot;, &quot;Mac OS X&quot;, &quot;Mac OS X\n			 Server&quot; or any other trademarks or trade names belonging to Apple (collectively\n			 &quot;Apple Marks&quot;) and no Apple Marks may be used to endorse or promote products derived\n			 from the Original Code\n			<br />\n\n   other than as permitted by and in strict compliance at all times with Apple&apos;s third\n				 party trademark usage guidelines which are posted at\n				 http://www.apple.com/legal/guidelinesfor3rdparties.html.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Ownership. Apple retains all rights, title and interest in and to the Original Code and any\n			 Modifications made by or on behalf of Apple (&quot;Apple Modifications&quot;), and such Apple\n			 Modifications will not be automatically subject to this License. Apple may, at its sole\n			 discretion, choose to license such Apple Modifications under this License, or on different\n			 terms from those contained in this License or may choose not to license them at all.\n			 Apple&apos;s development, use, reproduction, modification, sublicensing and distribution of\n			 Covered Code will not be subject to this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  Termination.\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 12.1</var>\n			Termination. This License and the rights granted hereunder will terminate:\n		  </li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  automatically without notice from Apple if You fail to comply with any term(s) of this\n				 License and fail to cure such breach within 30 days of becoming aware of such\n				 breach;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  immediately in the event of the circumstances described in Sections 9.1 and/or 13.6(b); or\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			  automatically without notice from Apple if You, at any time during the term of this\n				 License, commence an action for patent infringement against Apple.\n			</li>\n			\n</ul>\n\t	</li>\n\t	\n<li>\n			   <var class=\"replaceable-license-text\"> 12.2</var>\n			Effect of Termination. Upon termination, You agree to immediately stop any further use,\n			   reproduction, modification and distribution of the Covered Code, or Affected Original Code\n			   in the case of termination under Section 9.1, and to destroy all copies of the Covered\n			   Code or Affected Original Code (in the case of\n			  <br />\n\n	  termination under Section 9.1) that are in your possession or control. All sublicenses\n				   to the Covered Code which have been properly granted prior to termination shall\n				   survive any termination of this License. Provisions which, by their nature, should\n				   remain in effect beyond the termination of this License shall survive, including\n				   but not limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13. Neither party will be\n				   liable to the other for compensation, indemnity or damages of any sort solely as a\n				   result of terminating this License in accordance with its terms, and termination\n				   of this License will be without prejudice to any other right or remedy of either\n				   party.\n\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  Miscellaneous.\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.1</var>\n			Export Law Assurances. You may not use or otherwise export or re-export the Original Code\n			   except as authorized by United States law and the laws of the jurisdiction in which the\n			   Original Code was obtained. In particular, but without limitation, the Original Code may\n			   not be exported or re-exported (a) into (or to a national or resident of) any U.S.\n			   embargoed country or (b) to anyone on the U.S. Treasury Department&apos;s list of\n			   Specially Designated Nationals or the U.S. Department of Commerce&apos;s Table of Denial\n			   Orders. By using the Original Code, You represent and warrant that You are not located in,\n			   under control of, or a national or resident of any such country or on any such list.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.2</var>\n			Government End Users. The Covered Code is a &quot;commercial item&quot; as defined in FAR\n			   2.101. Government software and technical data rights in the Covered Code include only\n			   those rights customarily provided to the public as defined in this License. This customary\n			   commercial license in technical data and software is provided in\n			  <br />\n\n	  accordance with FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for\n				   Department of Defense purchases, DFAR 252.227-7015 (Technical Data -- Commercial\n				   Items) and 227.7202-3 (Rights in Commercial Computer Software or Computer Software\n				   Documentation). Accordingly, all U.S. Government End Users acquire Covered Code\n				   with only those rights set forth herein.\n\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.3</var>\n			Relationship of Parties. This License will not be consTrued as creating an agency,\n			   partnership, joint venture or any other form of legal association between You and Apple,\n			   and You will not represent to the contrary, whether expressly, by implication, appearance\n			   or otherwise.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.4</var>\n			Independent Development. Nothing in this License will impair Apple&apos;s right to acquire,\n			   license, develop, have others develop for it, market and/or distribute technology or\n			   products that perform the same or similar functions as, or otherwise compete with,\n			   Modifications, Larger Works, technology or products that You may develop, produce, market\n			   or distribute.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.5</var>\n			Waiver; Construction. Failure by Apple to enforce any provision of this License will not be\n			   deemed a waiver of future enforcement of that or any other provision. Any law or\n			   regulation which provides that the language of a contract shall be consTrued against the\n			   drafter will not apply to this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.6</var>\n			Severability. (a) If for any reason a court of competent jurisdiction finds any provision of\n			   this License, or portion thereof, to be unenforceable, that provision of the License will\n			   be enforced to the maximum extent permissible so as to effect the economic benefits and\n			   intent of the parties, and the remainder of this License will continue in full force and\n			   effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You\n			   from fully and/or specifically complying with Sections 2 and/or 3 or prevents the\n			   enforceability of either of those Sections, this License will immediately terminate and\n			   You must immediately discontinue any use of the Covered Code and destroy all copies of it\n			   that are in your possession or control.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.7</var>\n			Dispute Resolution. Any litigation or other dispute resolution between You and Apple relating\n			   to this License shall take place in the Northern District of California, and You and Apple\n			   hereby consent to the personal jurisdiction of, and venue in, the state and federal courts\n			   within that District with respect to this License. The application of the United Nations\n			   Convention on Contracts for the International Sale of Goods is expressly excluded.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.8</var>\n			Entire Agreement; Governing Law. This License constitutes the entire agreement between the\n			   parties with respect to the subject matter hereof. This License shall be governed by the\n			   laws of the United States and the State of California, except that body of California law\n			   concerning conflicts of law.\n	  <p>Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby\n		 confirm that they have requested that this License and all related documents be drafted in English.\n		 Les parties ont exige que le present contrat et tous les documents connexes soient rediges en\n		 anglais.</p>\n\n			  </li>\n		\n</ul>\n\t</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A.</p>\n\n		 <p>&quot;Portions Copyright (c) 1999 Apple Computer, Inc. All Rights Reserved. This file contains Original\n		 Code and/or Modifications of Original Code as defined in and that are subject to the Apple Public\n		 Source License Version 1.0 (the &apos;License&apos;). You may not use this file except in compliance\n		 with the License. Please obtain a copy of the License at http://www.apple.com/publicsource and read it\n		 before using this file.</p>\n\n		 <p>The Original Code and all software distributed under the License are distributed on an &apos;AS IS&apos;\n		 basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH\n		 WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\n		 PURPOSE OR NON-INFRINGEMENT. Please see the License for the specific language governing rights and\n		 limitations under the License.&quot;</p>\n\n	  </div>\n	"
		self.python_name = "APSL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP23:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The OpenLDAP Public License\nVersion 2.3, 28 July 2000\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain copyright statements and notices.\n\n2. Redistributions in binary form must reproduce applicable copyright statements and notices, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. Redistributions must contain a verbatim copy of this document.\n\n4. The name \"OpenLDAP\" must not be used to endorse or promote products derived from this Software without prior written permission of the OpenLDAP Foundation.\n\n5. Products derived from this Software may not be called \"OpenLDAP\" nor may \"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP Foundation.\n\n6. Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n7. The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved. Permission to copy and distributed verbatim copies of this document is granted.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 2.3, 28 July 2000\n\n<<endOptional>>\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain copyright statements and notices.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce applicable copyright statements and notices, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions must contain a verbatim copy of this document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The name \"OpenLDAP\" must not be used to endorse or promote products derived from this Software without prior written permission of the OpenLDAP Foundation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Products derived from this Software may not be called \"OpenLDAP\" nor may \"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP Foundation.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\n<<var;name=\"copyright\";original=\"Copyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.\";match=\".{0,5000}\">> Permission to copy and distributed verbatim copies of this document is granted.\n\n"
		self.name = "Open LDAP Public License v2.3"
		self.licenseComments = "This license was released 28 July 2000."
		self.licenseId = "OLDAP-2.3"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=d32cf54a32d581ab475d23c810b0a7fbaf8d63c3", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:33Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=d32cf54a32d581ab475d23c810b0a7fbaf8d63c3"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 2.3, 28 July 2000\n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use of this software and associated documentation (&quot;Software&quot;), with or without\n		 modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain copyright statements and notices.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce applicable copyright statements and notices, this\n			 list of conditions, and the following disclaimer in the documentation and/or other materials\n			 provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Redistributions must contain a verbatim copy of this document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  The name &quot;OpenLDAP&quot; must not be used to endorse or promote products derived from this Software\n			 without prior written permission of the OpenLDAP Foundation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Products derived from this Software may not be called &quot;OpenLDAP&quot; nor may &quot;OpenLDAP&quot; appear in\n			 their names without prior written permission of the OpenLDAP Foundation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished\n			 by a version number. You may use the Software under terms of this license revision or under\n			 the terms of any subsequent revision of the license.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESSED OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS\n		 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n		 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n		 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n		 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\n		 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>OpenLDAP is a trademark of the OpenLDAP Foundation.</p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> Copyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.</var>\n		Permission to copy and distributed verbatim copies of this document is granted.\n	  </p>\n\n	"
		self.python_name = "OLDAP23"

	def __str__(self):
		return json.dumps(self.__dict__)


class Abstyles:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This is APREAMBL.TEX, version 1.10e, written by Hans-Hermann Bode\n(HHBODE@DOSUNI1.BITNET), for the BibTeX `adaptable' family, version 1.10.\nSee the file APREAMBL.DOC for a detailed documentation.\n\nThis program is distributed WITHOUT ANY WARRANTY, express or implied.\n\nCopyright (C) 1991, 1992 Hans-Hermann Bode\n\nPermission is granted to make and distribute verbatim copies of this  document provided that the copyright notice and this permission notice are preserved on all copies.\n\nPermission is granted to copy and distribute modified versions of this document under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.\n"
		self.standardLicenseTemplate = "<<beginOptional>>This is APREAMBL.TEX, version 1.10e, written by Hans-Hermann Bode\n\n(HHBODE@DOSUNI1.BITNET), for the BibTeX `adaptable' family, version 1.10.\n\nSee the file APREAMBL.DOC for a detailed documentation.\n\n<<endOptional>>\n\nThis program is distributed WITHOUT ANY WARRANTY, express or implied.\n\nCopyright (C) 1991, 1992 Hans-Hermann Bode\n\nPermission is granted to make and distribute verbatim copies of this document provided that the copyright notice and this permission notice are preserved on all copies.\n\nPermission is granted to copy and distribute modified versions of this document under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.\n\n"
		self.name = "Abstyles License"
		self.licenseId = "Abstyles"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Abstyles", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Abstyles"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>This is APREAMBL.TEX, version 1.10e, written by Hans-Hermann Bode\n		<br />\n\n(HHBODE@DOSUNI1.BITNET), for the BibTeX `adaptable&apos; family, version 1.10.\n		<br />\n\nSee the file APREAMBL.DOC for a detailed documentation.\n	  </p>\n\n	  </div>\n\n	  <p>This program is distributed WITHOUT ANY WARRANTY, express or implied.</p>\n\n	  <p>Copyright (C) 1991, 1992 Hans-Hermann Bode</p>\n\n	  <p>Permission is granted to make and distribute verbatim copies of this document provided that the copyright\n		 notice and this permission notice are preserved on all copies.</p>\n\n	  <p>Permission is granted to copy and distribute modified versions of this document under the conditions for\n		 verbatim copying, provided that the entire resulting derived work is distributed under the terms of a\n		 permission notice identical to this one.</p>\n\n	"
		self.python_name = "Abstyles"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL20only:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU GENERAL PUBLIC LICENSE\nVersion 2, June 1991\n\nCopyright (C) 1989, 1991 Free Software Foundation, Inc.\n51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This General Public License applies to most of the Free Software Foundation's software and to any other program whose authors commit to using it. (Some other Free Software Foundation software is covered by the GNU Lesser General Public License instead.) You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n\nActivities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is True depends on what the Program does.\n\n1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\nYou may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	 a) You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\n	 b) You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n\n	 c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n\nThese requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\nThus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n\nIn addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n3. You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n\n	 a) Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	 b) Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	 c) Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n\nThe source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\nIf distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n4. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n5. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n\n6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n7. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n\nIf any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\nThis section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n8. If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n9. The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation.\n\n10. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 one line to give the program's name and an idea of what it does. Copyright (C) yyyy name of author\n\n	 This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\n	 You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA. Also add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\n	 Gnomovision version 69, Copyright (C) year name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here is a sample; alter the names:\n\n	 Yoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (which makes passes at compilers) written by James Hacker.\n\nsignature of Ty Coon, 1 April 1989 Ty Coon, President of Vice\n"
		self.standardLicenseHeaderTemplate = "Copyright (C) <<var;name=\"copyright\";original=\"yyyy name of author\";match=\".+\">>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., <<var;name=\"freeSoftwareFoundationAddress\";original=\"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA\";match=\".{54,64}\">> .\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\n<<endOptional>>\n\nCopyright (C) 1989, 1991 Free Software Foundation, Inc. <<var;name=\"incComma\";original=\"\";match=\",|\">>\n\n<<var;name=\"freeSoftwareFoundationAddress\";original=\"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA\";match=\".{54,64}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This General Public License applies to most of the Free Software Foundation's software and to any other program whose authors commit to using it. (Some other Free Software Foundation software is covered by the GNU Lesser General Public License instead.) You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\n<<var;name=\"termsTitle\";original=\"\";match=\"GNU GENERAL PUBLIC LICENSE|\">> TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is True depends on what the Program does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n\n   In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n\n   The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   If distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<beginOptional>><<<endOptional>>one line to give the program's name and <<var;name=\"ideaArticle\";original=\"an\";match=\"a brief|an\">> idea of what it does.<<beginOptional>>><<endOptional>>\n\nCopyright (C)<<beginOptional>><<<endOptional>> <<var;name=\"templateYear\";original=\"yyyy\";match=\"yyyy|year\">><<beginOptional>>> <<endOptional>><<beginOptional>> <<<endOptional>>name of author<<beginOptional>>><<endOptional>>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., <<var;name=\"freeSoftwareFoundationAddress\";original=\"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA\";match=\".{54,64}\">> .\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\nGnomovision version 69, Copyright (C) year name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (which makes passes at compilers) written by James Hacker.\n\n<<beginOptional>><<<endOptional>>signature of Ty Coon<<beginOptional>> ><<endOptional>>, 1 April 1989 Ty Coon, President of Vice\n\n<<endOptional>><<beginOptional>> This General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License.\n\n<<endOptional>>"
		self.name = "GNU General Public License v2.0 only"
		self.licenseComments = "This license was released: June 1991. This license identifier refers to the choice to use the code under GPL-2.0-only, as distinguished from the use of code under GPL-2.0-or-later (i.e., GPL-2.0 or some later version). The license notice (as seen in the Standard License Header field below) states which of these applies to the code in the file. The example in the How to Apply These Terms appendix of the license shows the \"or later\" approach."
		self.licenseId = "GPL-2.0-only"
		self.standardLicenseHeader = "Copyright (C) yyyy name of author\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA .\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:51Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:51Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/GPL-2.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:22:51Z", "isWayBackLink": False, "order": 2}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html", "https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt", "https://opensource.org/licenses/GPL-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU GENERAL PUBLIC LICENSE<br />\n\n		Version 2, June 1991\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 1989, 1991 Free Software Foundation, Inc.<var class=\"replaceable-license-text\"> </var><br />\n\n	  <var class=\"replaceable-license-text\"> 51 Franklin\n	  Street, Fifth Floor, Boston, MA 02110-1301, USA</var>\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The licenses for most software are designed to take away your freedom\n	  to share and change it. By contrast, the GNU General Public License is\n	  intended to guarantee your freedom to share and change free software--to\n	  make sure the software is free for all its users. This General Public\n	  License applies to most of the Free Software Foundation&apos;s software\n	  and to any other program whose authors commit to using it. (Some other\n	  Free Software Foundation software is covered by the GNU Lesser General\n	  Public License instead.) You can apply it to your programs, too.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not price.\n	  Our General Public Licenses are designed to make sure that you have\n	  the freedom to distribute copies of free software (and charge for\n	  this service if you wish), that you receive source code or can get\n	  it if you want it, that you can change the software or use pieces of\n	  it in new free programs; and that you know you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to make restrictions that forbid\n	  anyone to deny you these rights or to ask you to surrender the\n	  rights. These restrictions translate to certain responsibilities for\n	  you if you distribute copies of the software, or if you modify it.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of such a program, whether gratis\n	  or for a fee, you must give the recipients all the rights that you\n	  have. You must make sure that they, too, receive or can get the source\n	  code. And you must show them these terms so they know their rights.\n	</p>\n\n	<p>\n	  We protect your rights with two steps: (1) copyright the\n	  software, and (2) offer you this license which gives you legal\n	  permission to copy, distribute and/or modify the software.\n	</p>\n\n	<p>\n	  Also, for each author&apos;s protection and ours, we want to make\n	  certain that everyone understands that there is no warranty for\n	  this free software. If the software is modified by someone else\n	  and passed on, we want its recipients to know that what they\n	  have is not the original, so that any problems introduced by\n	  others will not reflect on the original authors&apos; reputations.\n	</p>\n\n	<p>\n	  Finally, any free program is threatened constantly by software patents.\n	  We wish to avoid the danger that redistributors of a free program\n	  will individually obtain patent licenses, in effect making the program\n	  proprietary. To prevent this, we have made it clear that any patent\n	  must be licensed for everyone&apos;s free use or not licensed at all.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying,\n	  distribution and modification follow.\n	</p>\n\n	<p>\n	  <var class=\"replaceable-license-text\"> </var>\n	  TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		This License applies to any program or other work which contains a\n		notice placed by the copyright holder saying it may be distributed\n		under the terms of this General Public License. The &quot;Program&quot;, below,\n		refers to any such program or work, and a &quot;work based on the Program&quot;\n		means either the Program or any derivative work under copyright law:\n		that is to say, a work containing the Program or a portion of it,\n		either verbatim or with modifications and/or translated into another\n		language. (Hereinafter, translation is included without limitation\n		in the term &quot;modification&quot;.) Each licensee is addressed as &quot;you&quot;.\n		<p>\n		  Activities other than copying, distribution and modification are\n		  not covered by this License; they are outside its scope. The act\n		  of running the Program is not restricted, and the output from the\n		  Program is covered only if its contents constitute a work based\n		  on the Program (independent of having been made by running the\n		  Program). Whether that is True depends on what the Program does.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		You may copy and distribute verbatim copies of the Program&apos;s source\n		code as you receive it, in any medium, provided that you conspicuously\n		and appropriately publish on each copy an appropriate copyright notice\n		and disclaimer of warranty; keep intact all the notices that refer to\n		this License and to the absence of any warranty; and give any other\n		recipients of the Program a copy of this License along with the Program.\n		<p>\n		  You may charge a fee for the physical act of\n		  transferring a copy, and you may at your option\n		  offer warranty protection in exchange for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		You may modify your copy or copies of the Program or any portion\n		of it, thus forming a work based on the Program, and copy and\n		distribute such modifications or work under the terms of Section\n		1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			You must cause the modified files to carry prominent notices\n			stating that you changed the files and the date of any change.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			You must cause any work that you distribute or publish,\n			that in whole or in part contains or is derived from the\n			Program or any part thereof, to be licensed as a whole at no\n			charge to all third parties under the terms of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			If the modified program normally reads commands interactively\n			when run, you must cause it, when started running for such\n			interactive use in the most ordinary way, to print or display\n			an announcement including an appropriate copyright notice and\n			a notice that there is no warranty (or else, saying that you\n			provide a warranty) and that users may redistribute the program\n			under these conditions, and telling the user how to view a copy\n			of this License. (Exception: if the Program itself is interactive\n			but does not normally print such an announcement, your work\n			based on the Program is not required to print an announcement.)\n		  </li>\n		\n</ul>\n		<p>\n		  These requirements apply to the modified work as a whole. If\n		  identifiable sections of that work are not derived from the\n		  Program, and can be reasonably considered independent and separate\n		  works in themselves, then this License, and its terms, do not\n		  apply to those sections when you distribute them as separate\n		  works. But when you distribute the same sections as part of a\n		  whole which is a work based on the Program, the distribution\n		  of the whole must be on the terms of this License, whose\n		  permissions for other licensees extend to the entire whole,\n		  and thus to each and every part regardless of who wrote it.\n		</p>\n\n		<p>\n		  Thus, it is not the intent of this section to claim rights or\n		  contest your rights to work written entirely by you; rather,\n		  the intent is to exercise the right to control the distribution\n		  of derivative or collective works based on the Program.\n		</p>\n\n		<p>\n		  In addition, mere aggregation of another work not based on\n		  the Program with the Program (or with a work based on the\n		  Program) on a volume of a storage or distribution medium does\n		  not bring the other work under the scope of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		You may copy and distribute the Program (or a work based on it,\n		under Section 2) in object code or executable form under the terms of\n		Sections 1 and 2 above provided that you also do one of the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany it with the complete corresponding machine-readable source\n			code, which must be distributed under the terms of Sections 1 and\n			2 above on a medium customarily used for software interchange; or,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Accompany it with a written offer, valid for at least three\n			years, to give any third party, for a charge no more than your\n			cost of physically performing source distribution, a complete\n			machine-readable copy of the corresponding source code, to\n			be distributed under the terms of Sections 1 and 2 above\n			on a medium customarily used for software interchange; or,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Accompany it with the information you received as to the offer\n			to distribute corresponding source code. (This alternative\n			is allowed only for noncommercial distribution and only if\n			you received the program in object code or executable form\n			with such an offer, in accord with Subsection b above.)\n		  </li>\n		\n</ul>\n		<p>\n		  The source code for a work means the preferred form of the work\n		  for making modifications to it. For an executable work, complete\n		  source code means all the source code for all modules it contains,\n		  plus any associated interface definition files, plus the scripts\n		  used to control compilation and installation of the executable.\n		  However, as a special exception, the source code distributed\n		  need not include anything that is normally distributed (in either\n		  source or binary form) with the major components (compiler,\n		  kernel, and so on) of the operating system on which the executable\n		  runs, unless that component itself accompanies the executable.\n		</p>\n\n		<p>\n		  If distribution of executable or object code is made by offering\n		  access to copy from a designated place, then offering equivalent\n		  access to copy the source code from the same place counts as\n		  distribution of the source code, even though third parties are\n		  not compelled to copy the source along with the object code.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		You may not copy, modify, sublicense, or distribute the Program\n		except as expressly provided under this License. Any attempt\n		otherwise to copy, modify, sublicense or distribute the Program\n		is void, and will automatically terminate your rights under\n		this License. However, parties who have received copies, or\n		rights, from you under this License will not have their licenses\n		terminated so long as such parties remain in full compliance.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		You are not required to accept this License, since you have\n		not signed it. However, nothing else grants you permission to\n		modify or distribute the Program or its derivative works. These\n		actions are prohibited by law if you do not accept this License.\n		Therefore, by modifying or distributing the Program (or any\n		work based on the Program), you indicate your acceptance of this\n		License to do so, and all its terms and conditions for copying,\n		distributing or modifying the Program or works based on it.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Each time you redistribute the Program (or any work based on the\n		Program), the recipient automatically receives a license from the\n		original licensor to copy, distribute or modify the Program subject to\n		these terms and conditions. You may not impose any further restrictions\n		on the recipients&apos; exercise of the rights granted herein. You are not\n		responsible for enforcing compliance by third parties to this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		If, as a consequence of a court judgment or allegation of patent\n		infringement or for any other reason (not limited to patent issues),\n		conditions are imposed on you (whether by court order, agreement\n		or otherwise) that contradict the conditions of this License,\n		they do not excuse you from the conditions of this License. If you\n		cannot distribute so as to satisfy simultaneously your obligations\n		under this License and any other pertinent obligations, then as a\n		consequence you may not distribute the Program at all. For example,\n		if a patent license would not permit royalty-free redistribution of\n		the Program by all those who receive copies directly or indirectly\n		through you, then the only way you could satisfy both it and this\n		License would be to refrain entirely from distribution of the Program.\n		<p>\n		  If any portion of this section is held invalid or\n		  unenforceable under any particular circumstance, the\n		  balance of the section is intended to apply and the section\n		  as a whole is intended to apply in other circumstances.\n		</p>\n\n		<p>\n		  It is not the purpose of this section to induce you to infringe\n		  any patents or other property right claims or to contest\n		  validity of any such claims; this section has the sole purpose\n		  of protecting the integrity of the free software distribution\n		  system, which is implemented by public license practices. Many\n		  people have made generous contributions to the wide range of\n		  software distributed through that system in reliance on consistent\n		  application of that system; it is up to the author/donor to\n		  decide if he or she is willing to distribute software through\n		  any other system and a licensee cannot impose that choice.\n		</p>\n\n		<p>\n		  This section is intended to make thoroughly clear what is\n		  believed to be a consequence of the rest of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		If the distribution and/or use of the Program is restricted in\n		certain countries either by patents or by copyrighted interfaces,\n		the original copyright holder who places the Program under this\n		License may add an explicit geographical distribution limitation\n		excluding those countries, so that distribution is permitted only\n		in or among countries not thus excluded. In such case, this License\n		incorporates the limitation as if written in the body of this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		The Free Software Foundation may publish revised and/or new\n		versions of the General Public License from time to time. Such\n		new versions will be similar in spirit to the present version,\n		but may differ in detail to address new problems or concerns.\n		<p>\n		  Each version is given a distinguishing version number. If the\n		  Program specifies a version number of this License which applies\n		  to it and &quot;any later version&quot;, you have the option of following\n		  the terms and conditions either of that version or of any later\n		  version published by the Free Software Foundation. If the Program\n		  does not specify a version number of this License, you may choose\n		  any version ever published by the Free Software Foundation.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		If you wish to incorporate parts of the Program into other free\n		programs whose distribution conditions are different, write to the\n		author to ask for permission. For software which is copyrighted by the\n		Free Software Foundation, write to the Free Software Foundation; we\n		sometimes make exceptions for this. Our decision will be guided by the\n		two goals of preserving the free status of all derivatives of our free\n		software and of promoting the sharing and reuse of software generally.\n		<p>\n		  NO WARRANTY\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\n		FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT\n		WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER\n		PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND,\n		EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\n		IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\n		THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU\n		ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n		REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR\n		DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL\n		DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM\n		(INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\n		INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF\n		THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Programs\n	  </p>\n\n	  <p>\n		If you develop a new program, and you want it to be\n		of the greatest possible use to the public, the best\n		way to achieve this is to make it free software which\n		everyone can redistribute and change under these terms.\n	  </p>\n\n	  <p>\n		To do so, attach the following notices to the program. It is safest\n		to attach them to the start of each source file to most effectively\n		convey the exclusion of warranty; and each file should have at least\n		the &quot;copyright&quot; line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		<var class=\"optional-license-text\">&lt;</var>one line to give the program&apos;s name and <var class=\"replaceable-license-text\"> an</var> idea of what it does.<var class=\"optional-license-text\">&gt;</var>\n		<br />\n\n		Copyright (C)\n		<var class=\"optional-license-text\">&lt;</var><var class=\"replaceable-license-text\"> yyyy</var><var class=\"optional-license-text\">&gt; </var>\n		<var class=\"optional-license-text\"> &lt;</var>name of author<var class=\"optional-license-text\">&gt;</var>\n	  </p>\n\n	  <p>\n		This program is free software; you can redistribute it and/or\n		modify it under the terms of the GNU General Public License\n		as published by the Free Software Foundation; either version\n		2 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General Public License\n		along with this program; if not, write to the Free Software Foundation,\n		Inc., <var class=\"replaceable-license-text\"> 51\n		Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA</var>.\n	  </p>\n\n	  <p>\n		Also add information on how to\n		contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		If the program is interactive, make it output a short\n		notice like this when it starts in an interactive mode:\n	  </p>\n\n	  <p>\n		Gnomovision version 69, Copyright (C) year name of author\n		Gnomovision comes with ABSOLUTELY NO WARRANTY; for details\n		type `show w&apos;. This is free software, and you are welcome to\n		redistribute it under certain conditions; type `show c&apos; for details.\n	  </p>\n\n	  <p>\n		The hypothetical commands `show w&apos; and `show c&apos; should show the\n		appropriate parts of the General Public License. Of course, the commands\n		you use may be called something other than `show w&apos; and `show c&apos;; they\n		could even be mouse-clicks or menu items--whatever suits your program.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or your school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the program, if necessary. Here is a sample; alter the names:\n	  </p>\n\n	  <p>\n		Yoyodyne, Inc., hereby disclaims all copyright interest in the program\n		`Gnomovision&apos; (which makes passes at compilers) written by James Hacker.\n	  </p>\n\n	  <p>\n\t<var class=\"optional-license-text\">&lt;</var>signature of Ty Coon<var class=\"optional-license-text\"> &gt;</var>,\n\t1 April 1989 Ty Coon, President of Vice\n	  </p>\n\n	</div>\n	<div class=\"optional-license-text\"> \n	  <p>\n		This General Public License does not permit incorporating your program into\n		proprietary programs.  If your program is a subroutine library, you may\n		consider it more useful to permit linking proprietary applications with the\n		library.  If this is what you want to do, use the GNU Lesser General\n		Public License instead of this License.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (C) <var class=\"replaceable-license-text\"> yyyy name of author</var>\n	  <p>\n		This program is free software; you can redistribute it and/or\n		modify it under the terms of the GNU General Public License\n		as published by the Free Software Foundation; version 2.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General Public License\n		along with this program; if not, write to the Free Software Foundation,\n		Inc., <var class=\"replaceable-license-text\"> 51\n		Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA</var>.\n	  </p>\n\n	"
		self.python_name = "GPL20only"

	def __str__(self):
		return json.dumps(self.__dict__)


class BrianGladman2Clause:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1998-2013, Brian Gladman, Worcester, UK. All\n   rights reserved.\n\nThe redistribution and use of this software (with or without\nchanges) is allowed without the payment of fees or royalties\nprovided that:\n\n   source code distributions include the above copyright notice,\n   this list of conditions and the following disclaimer;\n\n   binary distributions include the above copyright notice, this\n   list of conditions and the following disclaimer in their\n   documentation.\n\nThis software is provided 'as is' with no explicit or implied\nwarranties in respect of its operation, including, but not limited\nto, correctness and fitness for purpose.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1998-2013, Brian Gladman,  Worcester, UK. All rights reserved.\";match=\".{0,5000}\">>\n\nThe redistribution and use of this software (with or without changes) is allowed without the payment of fees or royalties provided that:\n\nsource code distributions include the above copyright notice, this list of conditions and the following disclaimer;\n\nbinary distributions include the above copyright notice, this list of conditions and the following disclaimer in their documentation.\n\nThis software is provided 'as is' with no explicit or implied warranties in respect of its operation, including, but not limited to, correctness and fitness for purpose.\n\n"
		self.name = "Brian Gladman 2-Clause License"
		self.licenseComments = "This is similar to Brian-Gladman-3-Clause but sort omits the third clause, adds \"without the payment of fees or royalties\", and re-words the lead-in and first two clauses."
		self.licenseId = "Brian-Gladman-2-Clause"
		self.crossRef = [{"match": "False", "url": "https://web.mit.edu/kerberos/krb5-1.21/doc/mitK5license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:27Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/krb5/krb5/blob/krb5-1.21.2-final/NOTICE#L140-L156", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:27Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/krb5/krb5/blob/krb5-1.21.2-final/NOTICE#L140-L156", "https://web.mit.edu/kerberos/krb5-1.21/doc/mitK5license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (C) 1998-2013, Brian Gladman,<br />\n\n			Worcester, UK. All rights reserved.\n		 </var>\n		 <p>\n			The redistribution and use of this software\n			(with or without changes) is allowed without\n			the payment of fees or royalties provided that:\n		 </p>\n\n		 <p>\n			source code distributions include the above copyright\n			notice, this list of conditions and the following disclaimer;\n		 </p>\n\n		 <p>\n			binary distributions include the above copyright notice, this list\n			of conditions and the following disclaimer in their documentation.\n		 </p>\n\n		 <p>\n			This software is provided &apos;as is&apos; with no explicit or\n			implied warranties in respect of its operation, including,\n			but not limited to, correctness and fitness for purpose.\n		 </p>\n\n	  "
		self.python_name = "BrianGladman2Clause"

	def __str__(self):
		return json.dumps(self.__dict__)


class LZMASDK911to920:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "LICENSE\n-------\n\nLZMA SDK is written and placed in the public domain by Igor Pavlov.\n\nSome code in LZMA is based on public domain code from another developers:\n  1) PPMd var.H (2001): Dmitry Shkarin\n  2) SHA-256: Wei Dai (Crypto++ library)\n"
		self.standardLicenseTemplate = "<<beginOptional>>LICENSE\n\n-------\n\n<<endOptional>>\n\nLZMA SDK is written and placed in the public domain by Igor Pavlov.\n\nSome code in LZMA is based on public domain code from another developers: 1) PPMd var.H (2001): Dmitry Shkarin 2) SHA-256: Wei Dai (Crypto++ library)\n\n"
		self.name = "LZMA SDK License (versions 9.11 to 9.20)"
		self.licenseComments = "The license text currently displayed on the 7-zip SDK website is not the same as any of the lzma.txt file in the root folders of the .tar.bz SDK distributions (versions 922 and below) that are hosted on SourceForge, nor is it the same as the .7z distributions (versions 935 and above) which shifted the license text to DOC\\lzma-sdk.txt. This license applies to versions between 9.11 and 9.20 (inclusive)."
		self.licenseId = "LZMA-SDK-9.11-to-9.20"
		self.crossRef = [{"match": "False", "url": "https://sourceforge.net/projects/sevenzip/files/LZMA%20SDK/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:15Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.7-zip.org/sdk.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:16Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.7-zip.org/sdk.html", "https://sourceforge.net/projects/sevenzip/files/LZMA%20SDK/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"optional-license-text\"> \n		 <p>\n		  LICENSE\n		 </p>\n\n		 <p>\n		  -------\n		 </p>\n\n		 </div>\n		<p>\n		  LZMA SDK is written and placed in the public domain by Igor Pavlov.\n		</p>\n\n		<p>\n		  Some code in LZMA is based on public domain code from another developers:\n			1) PPMd var.H (2001): Dmitry Shkarin\n			2) SHA-256: Wei Dai (Crypto++ library)\n		 </p>\n\n	  "
		self.python_name = "LZMASDK911to920"

	def __str__(self):
		return json.dumps(self.__dict__)


class NLOD10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Norwegian Licence for Open Government Data (NLOD) 1.0\n\nPreface of licence\n\nThis licence grants you the right to copy, use and distribute information, provided you acknowledge the contributors and comply with the terms and conditions stipulated in this licence. By using information made available under this licence, you accept the terms and conditions set forth in this licence. As set out in Section 7, the licensor disclaims any and all liability for the quality of the information and what the information is used for.\n\nThis licence shall not impose any limitations on the rights or freedoms of the licensee under the Norwegian Freedom of Information Act or any other legislation granting the general public a right of access to public sector information, or that follow from exemptions or limitations stipulated in the Norwegian Copyright Act. Further, the licence shall not impose any limitations on the licensee's freedom of expression recognized by law.\n\n1. Definitions\n\n	 \u00abDatabase\u00bb shall mean a database or similar protected under Section 43 of the Norwegian Copyright Act.\n	 \u00abInformation\u00bb shall mean texts, images, recordings, data sets or other works protected under Section 1 of the Norwegian Copyright Act, or which are protected under provisions addressing what is referred to as \u00abneighbouring rights\u00bb in Chapter 5 of the Norwegian Copyright Act (including databases and photographs), and which are distributed under this licence.\n	 \u00abCopy\u00bb shall mean reproduction in any form.\n	 \u00abLicensee\u00bb and \u00abyou\u00bb shall mean natural or legal persons using information under this licence.\n	 \u00abLicensor\u00bb shall mean the natural or legal person that makes information available under this licence.\n	 \u00abDistribute\u00bb shall mean any actions whereby information is made available, including to distribute, transfer, communicate, disperse, show, perform, sell, lend and rent.\n	 \u00abUse\u00bb shall mean one or more actions relevant to copyright law requiring permission from the owner of the copyright.\n\n2. Licence\nThe licensee, subject to the limitations that follow from this licence, may use the information for any purpose and in all contexts, by:\n\n	 * copying the information and distributing the information to others,\n	 * modifying the information and/or combining the information with other information, and\n	 * copying and distributing such changed or combined information.\n	 * This is a non-exclusive, free, perpetual and worldwide licence. The information may be used in any medium and format known today and/or which will become known in the future. The Licensee shall not sub-license or transfer this licence.\n\n3. Exemptions\nThe licence does not apply to and therefore does not grant a right to use:\n\n	 * information which contains personal data covered by the Norwegian Personal Data Act unless there is a legitimate basis for the disclosure and further processing of the personal data\n	 * information distributed in violation of a statutory obligation to observe confidentiality\n	 * information excluded from public disclosure pursuant to law, including information deemed sensitive under the Norwegian National Security Act\n	 * information subject to third party rights which the licensor is not authorised to license to the licensee\n	 * information protected by intellectual property rights other than copyright and neighbouring rights in accordance with Chapter 5 of the Norwegian Copyright Act, such as trademarks, patents and design rights, but this does not entail an impediment to use information where the licensor's logo has been permanently integrated into the information or to attribute the origin of the information in accordance with the article below relating to attribution.\n\nIf the licensor has made available information not covered by the licence according to the above list, the licensee must cease all use of the information under the licence, and erase the information as soon as he or she becomes aware of or should have understood that the information is not covered by the licence.\n\n4. Effects of breach of the licence\nThe licence is subject to the licensee's compliance with the terms and conditions of this licence. In the event that the licensee commits a breach of this licence, this will entail that the licensee's right to use the information will be revoked immediately without further notice. In case of such a breach, the licensee must immediately and without further notice take measures to cause the infringement to end. Because the right to use the information has been terminated, the licensee must cease all use of the information by virtue of the licence.\n\n5. Attribution\nThe licensee shall attribute the licensor as specified by the licensor and include a reference to this licence. To the extent practically possible, the licensee shall provide a link to both this licence and the source of the information.\n\nIf the licensor has not specified how attributions shall be made, the licensee shall normally state the following: \u00abContains data under the Norwegian licence for Open Government data (NLOD) distributed by [name of licensor]\u00bb.\n\nIf the licensor has specified that the information shall only be available under a specific version of this licence, cf. Section 10, the licensee shall also state this.\n\nIf the information has been changed, the licensee must clearly indicate that changes have been made by the licensee.\n\n6. Proper use\nThe licensee shall not use the information in a manner that appears misleading nor present the information in a distorted or incorrect manner.\nNeither the licensor's nor other contributors' names or trademarks must be used to support, recommend or market the licensee or any products or services using the information.\n\n7. Disclaimer of liability\nThe information is licensed \u00abas is\u00bb. The information may contain errors and omissions. The licensor provides no warranties, including relating to the content and relevance of the information.\n\nThe licensor disclaims any liability for errors and defects associated with the information to the maximum extent permitted by law.\n\nThe licensor shall not be liable for direct or indirect losses as a result of use of the information or in connection with copying or further distribution of the information.\n\n8. Guarantees regarding data quality and accessibility\nThis licence does not prevent the licensor from issuing supplementary statements regarding expected or intended data quality and accessibility. Such statements shall be regarded as indicative in nature and not binding on the part of the licensor. The disclaimers in Section 7 also apply in full for such indicative statements. Based on separate agreement, the licensor may provide guarantees and distribute the information on terms and conditions different from those set forth in this licence.\n\n9. Licence compatibility\nIf the licensee is to distribute an adapted or combined work based on information covered by this licence and some other work licensed under a licence compatible by contract, such distribution may be based on an appropriate licence compatible by contract, cf. the list below.\n\nA licence compatible by contract shall mean the following licences:\n\n	 * for all information: Open Government Licence (version 1.0),\n	 * for those parts of the information which do not constitute databases: Creative Commons Attribution Licence (generic version 1.0, 2.0, 2.5 and unported version 3.0) and Creative Commons Navngivelse 3.0 Norge,\n	 * for those parts of the information which constitute databases: Open Data Commons Attribution License (version 1.0).\n\nThis provision does not prevent other licences from being compatible with this licence based on their content.\n\n10. New versions of the licence\nThe licensee may choose to use the information covered by this licence under any new versions of the Norwegian licence for Open Government data (NLOD) issued by the responsible ministry (currently the Ministry of Government Administration, Reform and Church Affairs) when these versions are final and official, unless the licensor when making the information available under this licence specifically has stated that solely version 1.0 of this licence may be used.\n\n11. Governing law and legal venue\nThis licence, including its formation, and any disputes and claims arising in connection with or relating to this licence, shall be regulated by Norwegian law. The legal venue shall be the licensor's ordinary legal venue. The licensor may, with regard to intellectual proprietary rights, choose to pursue a claim at other competent legal venues and/or based on the laws of the country where the intellectual property rights are sought enforced.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Norwegian Licence for Open Government Data (NLOD) 1.0\n\n<<endOptional>>\n\nPreface of licence\n\nThis licence grants you the right to copy, use and distribute information, provided you acknowledge the contributors and comply with the terms and conditions stipulated in this licence. By using information made available under this licence, you accept the terms and conditions set forth in this licence. As set out in Section 7, the licensor disclaims any and all liability for the quality of the information and what the information is used for.\n\nThis licence shall not impose any limitations on the rights or freedoms of the licensee under the Norwegian Freedom of Information Act or any other legislation granting the general public a right of access to public sector information, or that follow from exemptions or limitations stipulated in the Norwegian Copyright Act. Further, the licence shall not impose any limitations on the licensee's freedom of expression recognized by law.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n   \u00abDatabase\u00bb shall mean a database or similar protected under Section 43 of the Norwegian Copyright Act.\n\n   \u00abInformation\u00bb shall mean texts, images, recordings, data sets or other works protected under Section 1 of the Norwegian Copyright Act, or which are protected under provisions addressing what is referred to as \u00abneighbouring rights\u00bb in Chapter 5 of the Norwegian Copyright Act (including databases and photographs), and which are distributed under this licence.\n\n   \u00abCopy\u00bb shall mean reproduction in any form.\n\n   \u00abLicensee\u00bb and \u00abyou\u00bb shall mean natural or legal persons using information under this licence.\n\n   \u00abLicensor\u00bb shall mean the natural or legal person that makes information available under this licence.\n\n   \u00abDistribute\u00bb shall mean any actions whereby information is made available, including to distribute, transfer, communicate, disperse, show, perform, sell, lend and rent.\n\n   \u00abUse\u00bb shall mean one or more actions relevant to copyright law requiring permission from the owner of the copyright.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Licence\n\n   The licensee, subject to the limitations that follow from this licence, may use the information for any purpose and in all contexts, by:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> copying the information and distributing the information to others,\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> modifying the information and/or combining the information with other information, and\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> copying and distributing such changed or combined information.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> This is a non-exclusive, free, perpetual and worldwide licence. The information may be used in any medium and format known today and/or which will become known in the future. The Licensee shall not sub-license or transfer this licence.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Exemptions\n\n   The licence does not apply to and therefore does not grant a right to use:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> information which contains personal data covered by the Norwegian Personal Data Act unless there is a legitimate basis for the disclosure and further processing of the personal data\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> information distributed in violation of a statutory obligation to observe confidentiality\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> information excluded from public disclosure pursuant to law, including information deemed sensitive under the Norwegian National Security Act\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> information subject to third party rights which the licensor is not authorised to license to the licensee\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> information protected by intellectual property rights other than copyright and neighbouring rights in accordance with Chapter 5 of the Norwegian Copyright Act, such as trademarks, patents and design rights, but this does not entail an impediment to use information where the licensor's logo has been permanently integrated into the information or to attribute the origin of the information in accordance with the article below relating to attribution.\n\n   If the licensor has made available information not covered by the licence according to the above list, the licensee must cease all use of the information under the licence, and erase the information as soon as he or she becomes aware of or should have understood that the information is not covered by the licence.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Effects of breach of the licence\n\n   The licence is subject to the licensee's compliance with the terms and conditions of this licence. In the event that the licensee commits a breach of this licence, this will entail that the licensee's right to use the information will be revoked immediately without further notice. In case of such a breach, the licensee must immediately and without further notice take measures to cause the infringement to end. Because the right to use the information has been terminated, the licensee must cease all use of the information by virtue of the licence.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Attribution\n\n   The licensee shall attribute the licensor as specified by the licensor and include a reference to this licence. To the extent practically possible, the licensee shall provide a link to both this licence and the source of the information.\n\n   If the licensor has not specified how attributions shall be made, the licensee shall normally state the following: \u00abContains data under the Norwegian licence for Open Government data (NLOD) distributed by [name of licensor]\u00bb.\n\n   If the licensor has specified that the information shall only be available under a specific version of this licence, cf. Section 10, the licensee shall also state this.\n\n   If the information has been changed, the licensee must clearly indicate that changes have been made by the licensee.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Proper use\n\n   The licensee shall not use the information in a manner that appears misleading nor present the information in a distorted or incorrect manner.\n\n   Neither the licensor's nor other contributors' names or trademarks must be used to support, recommend or market the licensee or any products or services using the information.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Disclaimer of liability\n\n   The information is licensed \u00abas is\u00bb. The information may contain errors and omissions. The licensor provides no warranties, including relating to the content and relevance of the information.\n\n   The licensor disclaims any liability for errors and defects associated with the information to the maximum extent permitted by law.\n\n   The licensor shall not be liable for direct or indirect losses as a result of use of the information or in connection with copying or further distribution of the information.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Guarantees regarding data quality and accessibility\n\n   This licence does not prevent the licensor from issuing supplementary statements regarding expected or intended data quality and accessibility. Such statements shall be regarded as indicative in nature and not binding on the part of the licensor. The disclaimers in Section 7 also apply in full for such indicative statements. Based on separate agreement, the licensor may provide guarantees and distribute the information on terms and conditions different from those set forth in this licence.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Licence compatibility\n\n   If the licensee is to distribute an adapted or combined work based on information covered by this licence and some other work licensed under a licence compatible by contract, such distribution may be based on an appropriate licence compatible by contract, cf. the list below.\n\n   A licence compatible by contract shall mean the following licences:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> for all information: Open Government Licence (version 1.0),\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> for those parts of the information which do not constitute databases: Creative Commons Attribution Licence (generic version 1.0, 2.0, 2.5 and unported version 3.0) and Creative Commons Navngivelse 3.0 Norge,\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> for those parts of the information which constitute databases: Open Data Commons Attribution License (version 1.0).\n\n   This provision does not prevent other licences from being compatible with this licence based on their content.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> New versions of the licence\n\n   The licensee may choose to use the information covered by this licence under any new versions of the Norwegian licence for Open Government data (NLOD) issued by the responsible ministry (currently the Ministry of Government Administration, Reform and Church Affairs) when these versions are final and official, unless the licensor when making the information available under this licence specifically has stated that solely version 1.0 of this licence may be used.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Governing law and legal venue\n\nThis licence, including its formation, and any disputes and claims arising in connection with or relating to this licence, shall be regulated by Norwegian law. The legal venue shall be the licensor's ordinary legal venue. The licensor may, with regard to intellectual proprietary rights, choose to pursue a claim at other competent legal venues and/or based on the laws of the country where the intellectual property rights are sought enforced.\n\n"
		self.name = "Norwegian Licence for Open Government Data (NLOD) 1.0"
		self.licenseComments = "Norwegian translation available here: http://data.norge.no/nlod/no/1.0"
		self.licenseId = "NLOD-1.0"
		self.crossRef = [{"match": "False", "url": "http://data.norge.no/nlod/en/1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:14Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://data.norge.no/nlod/en/1.0"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Norwegian Licence for Open Government Data (NLOD) 1.0</p>\n\n	  </div>\n		  <p>Preface of licence</p>\n\n	  <p>This licence grants you the right to copy, use and distribute\n		 information, provided you acknowledge the contributors and\n		 comply with the terms and conditions stipulated in this\n		 licence. By using information made available under this\n		 licence, you accept the terms and conditions set forth in this\n		 licence. As set out in Section 7, the licensor disclaims any\n		 and all liability for the quality of the information and what\n		 the information is used for.</p>\n\n	  <p>This licence shall not impose any limitations on the rights or\n		 freedoms of the licensee under the Norwegian Freedom of\n		 Information Act or any other legislation granting the general\n		 public a right of access to public sector information, or that\n		 follow from exemptions or limitations stipulated in the\n		 Norwegian Copyright Act. Further, the licence shall not impose\n		 any limitations on the licensee&apos;s freedom of expression\n		 recognized by law.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		  <p>\u00abDatabase\u00bb shall mean a database or similar protected\n			 under Section 43 of the Norwegian Copyright Act.\n			<br />\n\n   \u00abInformation\u00bb shall mean texts, images, recordings,\n				 data sets or other works protected under\n				 Section 1 of the Norwegian Copyright Act, or\n				 which are protected under provisions\n				 addressing what is referred to as\n				 \u00abneighbouring rights\u00bb in Chapter 5 of the\n				 Norwegian Copyright Act (including databases\n				 and photographs), and which are distributed\n				 under this licence.\n			<br />\n\n   \u00abCopy\u00bb shall mean reproduction in any form.\n			<br />\n\n   \u00abLicensee\u00bb and \u00abyou\u00bb shall mean natural or legal\n				 persons using information under this licence.\n			<br />\n\n   \u00abLicensor\u00bb shall mean the natural or legal person\n				 that makes information available under this\n				 licence.\n			<br />\n\n   \u00abDistribute\u00bb shall mean any actions whereby\n				 information is made available, including to\n				 distribute, transfer, communicate, disperse,\n				 show, perform, sell, lend and rent.\n			<br />\n\n   \u00abUse\u00bb shall mean one or more actions relevant to\n				 copyright law requiring permission from the\n				 owner of the copyright.\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Licence\n			<br />\n\n   The licensee, subject to the limitations that\n				 follow from this licence, may use the\n				 information for any purpose and in all\n				 contexts, by:\n\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  copying the information and distributing the information\n			 to others,\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  modifying the information and/or combining the\n			 information with other information, and\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  copying and distributing such changed or combined information.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  This is a non-exclusive, free, perpetual and worldwide\n			 licence. The information may be used in any medium and\n			 format known today and/or which will become known in\n			 the future. The Licensee shall not sub-license or\n			 transfer this licence.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Exemptions\n			<br />\n\n   The licence does not apply to and therefore does\n				 not grant a right to use:\n\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  information which contains personal data covered by the\n			 Norwegian Personal Data Act unless there is a\n			 legitimate basis for the disclosure and further\n			 processing of the personal data\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  information distributed in violation of a statutory\n			 obligation to observe confidentiality\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  information excluded from public disclosure pursuant to\n			 law, including information deemed sensitive under the\n			 Norwegian National Security Act\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  information subject to third party rights which the\n			 licensor is not authorised to license to the\n			 licensee\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  information protected by intellectual property rights\n			 other than copyright and neighbouring rights in\n			 accordance with Chapter 5 of the Norwegian Copyright\n			 Act, such as trademarks, patents and design rights,\n			 but this does not entail an impediment to use\n			 information where the licensor&apos;s logo has been\n			 permanently integrated into the information or to\n			 attribute the origin of the information in accordance\n			 with the article below relating to attribution.\n		  <p>If the licensor has made available information not\n			 covered by the licence according to the above list,\n			 the licensee must cease all use of the information\n			 under the licence, and erase the information as soon\n			 as he or she becomes aware of or should have\n			 understood that the information is not covered by the\n			 licence.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Effects of breach of the licence\n			<br />\n\n   The licence is subject to the licensee&apos;s compliance\n				 with the terms and conditions of this licence.\n				 In the event that the licensee commits a\n				 breach of this licence, this will entail that\n				 the licensee&apos;s right to use the information\n				 will be revoked immediately without further\n				 notice. In case of such a breach, the licensee\n				 must immediately and without further notice\n				 take measures to cause the infringement to\n				 end. Because the right to use the information\n				 has been terminated, the licensee must cease\n				 all use of the information by virtue of the\n				 licence.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Attribution\n			<br />\n\n   The licensee shall attribute the licensor as\n				 specified by the licensor and include a\n				 reference to this licence. To the extent\n				 practically possible, the licensee shall\n				 provide a link to both this licence and the\n				 source of the information.\n\n		  <p>If the licensor has not specified how attributions shall\n			 be made, the licensee shall normally state the\n			 following: \u00abContains data under the Norwegian licence\n			 for Open Government data (NLOD) distributed by [name\n			 of licensor]\u00bb.</p>\n\n			<p>If the licensor has specified that the information shall\n			 only be available under a specific version of this\n			 licence, cf. Section 10, the licensee shall also state\n			 this.</p>\n\n			<p>If the information has been changed, the licensee must\n			 clearly indicate that changes have been made by the\n			 licensee.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Proper use\n			<br />\n\n   The licensee shall not use the information in a\n				 manner that appears misleading nor present the\n				 information in a distorted or incorrect\n				 manner.\n			<br />\n\n   Neither the licensor&apos;s nor other contributors&apos;\n				 names or trademarks must be used to support,\n				 recommend or market the licensee or any\n				 products or services using the information.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Disclaimer of liability\n			<br />\n\n   The information is licensed \u00abas is\u00bb. The\n				 information may contain errors and omissions.\n				 The licensor provides no warranties, including\n				 relating to the content and relevance of the\n				 information.\n\n		  <p>The licensor disclaims any liability for errors and\n			 defects associated with the information to the maximum\n			 extent permitted by law.</p>\n\n			<p>The licensor shall not be liable for direct or indirect\n			 losses as a result of use of the information or in\n			 connection with copying or further distribution of the\n			 information.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Guarantees regarding data quality and accessibility\n			<br />\n\n   This licence does not prevent the licensor from\n				 issuing supplementary statements regarding\n				 expected or intended data quality and\n				 accessibility. Such statements shall be\n				 regarded as indicative in nature and not\n				 binding on the part of the licensor. The\n				 disclaimers in Section 7 also apply in full\n				 for such indicative statements. Based on\n				 separate agreement, the licensor may provide\n				 guarantees and distribute the information on\n				 terms and conditions different from those set\n				 forth in this licence.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Licence compatibility\n			<br />\n\n   If the licensee is to distribute an adapted or\n				 combined work based on information covered by\n				 this licence and some other work licensed\n				 under a licence compatible by contract, such\n				 distribution may be based on an appropriate\n				 licence compatible by contract, cf. the list\n				 below.\n\n		  <p>A licence compatible by contract shall mean the following\n			 licences:</p>\n\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  for all information: Open Government Licence (version 1.0),\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  for those parts of the information which do not\n			 constitute databases: Creative Commons Attribution\n			 Licence (generic version 1.0, 2.0, 2.5 and unported\n			 version 3.0) and Creative Commons Navngivelse 3.0\n			 Norge,\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  for those parts of the information which constitute\n			 databases: Open Data Commons Attribution License\n			 (version 1.0).\n		  <p>This provision does not prevent other licences from being\n			 compatible with this licence based on their\n			 content.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  New versions of the licence\n			<br />\n\n   The licensee may choose to use the information\n				 covered by this licence under any new versions\n				 of the Norwegian licence for Open Government\n				 data (NLOD) issued by the responsible ministry\n				 (currently the Ministry of Government\n				 Administration, Reform and Church Affairs)\n				 when these versions are final and official,\n				 unless the licensor when making the\n				 information available under this licence\n				 specifically has stated that solely version\n				 1.0 of this licence may be used.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Governing law and legal venue\n		</li>\n	  \n</ul>\n	  <p>This licence, including its formation, and any disputes and\n		 claims arising in connection with or relating to this licence,\n		 shall be regulated by Norwegian law. The legal venue shall be\n		 the licensor&apos;s ordinary legal venue. The licensor may, with\n		 regard to intellectual proprietary rights, choose to pursue a\n		 claim at other competent legal venues and/or based on the laws\n		 of the country where the intellectual property rights are\n		 sought enforced.</p>\n\n	"
		self.python_name = "NLOD10"

	def __str__(self):
		return json.dumps(self.__dict__)


class metamail:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1991 Bell Communications Research, Inc. (Bellcore)\n\nPermission to use, copy, modify, and distribute this material\nfor any purpose and without fee is hereby granted, provided\nthat the above copyright notice and this permission notice\nappear in all copies, and that the name of Bellcore not be\nused in advertising or publicity pertaining to this\nmaterial without the specific, prior written permission\nof an authorized representative of Bellcore.\tBELLCORE\nMAKES NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY\nOF THIS MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED \"AS IS\",\nWITHOUT ANY EXPRESS OR IMPLIED WARRANTIES.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1991 Bell Communications Research, Inc. (Bellcore)  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this material for any purpose and without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies, and that the name of Bellcore not be used in advertising or publicity pertaining to this material without the specific, prior written permission of an authorized representative of Bellcore. BELLCORE MAKES NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY OF THIS MATERIAL FOR ANY PURPOSE. IT IS PROVIDED \"AS IS\", WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES.\n\n"
		self.name = "metamail License"
		self.licenseId = "metamail"
		self.crossRef = [{"match": "False", "url": "https://github.com/Dual-Life/mime-base64/blob/master/Base64.xs#L12", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:14Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/Dual-Life/mime-base64/blob/master/Base64.xs#L12"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n			<p>\n\t	   Copyright (c) 1991 Bell Communications Research, Inc. (Bellcore)\n			</p>\n\n		 </div>\n		 <p>\n			Permission to use, copy, modify, and distribute this material\n			for any purpose and without fee is hereby granted, provided\n			that the above copyright notice and this permission notice\n			appear in all copies, and that the name of Bellcore not be\n			used in advertising or publicity pertaining to this\n			material without the specific, prior written permission\n			of an authorized representative of Bellcore. BELLCORE\n			MAKES NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY\n			OF THIS MATERIAL FOR ANY PURPOSE. IT IS PROVIDED &quot;AS IS&quot;,\n			WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES.\n		 </p>\n\n	  "
		self.python_name = "metamail"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYSA10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-ShareAlike 1.0\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to create and reproduce Derivative Works;\n\n	 c. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	 d. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	 b. You may distribute, publicly display, publicly perform, or publicly digitally perform a Derivative Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of each Derivative Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Derivative Works that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder, and You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Derivative Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Derivative Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Derivative Work itself to be made subject to the terms of this License.\n\n	 c. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n5. Representations, Warranties and Disclaimer\n\n	 a. By offering the Work for public release under this License, Licensor represents and warrants that, to the best of Licensor's knowledge after reasonable inquiry:\n\n		   i. Licensor has secured all rights in the Work necessary to grant the license rights hereunder and to permit the lawful exercise of the rights granted hereunder without You having any obligation to pay any royalties, compulsory license fees, residuals or any other payments;\n\n		  ii. The Work does not infringe the copyright, trademark, publicity rights, common law rights or any other right of any third party or constitute defamation, invasion of privacy or other tortious injury to any third party.\n\n	 b. EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-ShareAlike 1.0\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and reproduce Derivative Works;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform a Derivative Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of each Derivative Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Derivative Works that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder, and You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Derivative Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Derivative Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Derivative Work itself to be made subject to the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> By offering the Work for public release under this License, Licensor represents and warrants that, to the best of Licensor's knowledge after reasonable inquiry:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Licensor has secured all rights in the Work necessary to grant the license rights hereunder and to permit the lawful exercise of the rights granted hereunder without You having any obligation to pay any royalties, compulsory license fees, residuals or any other payments;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> The Work does not infringe the copyright, trademark, publicity rights, common law rights or any other right of any third party or constitute defamation, invasion of privacy or other tortious injury to any third party.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Share Alike 1.0 Generic"
		self.licenseId = "CC-BY-SA-1.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-sa/1.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:51Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-sa/1.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-ShareAlike 1.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS\n		 INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE\n		 INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n			   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n			   other contributions, constituting separate and independent works in themselves, are\n			   assembled into a collective whole. A work that constitutes a Collective Work will not be\n			   considered a Derivative Work (as defined below) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works, such as a translation, musical arrangement, dramatization,\n			   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n			   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n			   except that a work that constitutes a Collective Work will not be considered a Derivative\n			   Work for the purpose of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n			   this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Original Author&quot; means the individual or entity who created the Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to create and reproduce Derivative Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission Derivative Works;\n		  </li>\n			\n</ul>\n\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats. All rights not expressly\n			   granted by Licensor are hereby reserved.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n			   Work. You must keep intact all notices that refer to this License and to the disclaimer of\n			   warranties. You may not distribute, publicly display, publicly perform, or publicly\n			   digitally perform the Work with any technological measures that control access or use of\n			   the Work in a manner inconsistent with the terms of this License Agreement. The above\n			   applies to the Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Work itself to be made subject to the terms of this\n			   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n			   extent practicable, remove from the Collective Work any reference to such Licensor or the\n			   Original Author, as requested. If You create a Derivative Work, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Derivative Work any\n			   reference to such Licensor or the Original Author, as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform a\n			   Derivative Work only under the terms of this License, and You must include a copy of, or\n			   the Uniform Resource Identifier for, this License with every copy or phonorecord of each\n			   Derivative Work You distribute, publicly display, publicly perform, or publicly digitally\n			   perform. You may not offer or impose any terms on the Derivative Works that alter or\n			   restrict the terms of this License or the recipients&apos; exercise of the rights granted\n			   hereunder, and You must keep intact all notices that refer to this License and to the\n			   disclaimer of warranties. You may not distribute, publicly display, publicly perform, or\n			   publicly digitally perform the Derivative Work with any technological measures that\n			   control access or use of the Work in a manner inconsistent with the terms of this License\n			   Agreement. The above applies to the Derivative Work as incorporated in a Collective Work,\n			   but this does not require the Collective Work apart from the Derivative Work itself to be\n			   made subject to the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n			   or any Derivative Works or Collective Works, You must keep intact all copyright notices\n			   for the Work and give the Original Author credit reasonable to the medium or means You are\n			   utilizing by conveying the name (or pseudonym if applicable) of the Original Author if\n			   supplied; the title of the Work if supplied; in the case of a Derivative Work, a credit\n			   identifying the use of the Work in the Derivative Work (e.g., &quot;French translation of\n			   the Work by Original Author,&quot; or &quot;Screenplay based on original Work by Original\n			   Author&quot;). Such credit may be implemented in any reasonable manner; provided, however,\n			   that in the case of a Derivative Work or Collective Work, at a minimum such credit will\n			   appear where any other comparable authorship credit appears and in a manner at least as\n			   prominent as such other comparable authorship credit.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			By offering the Work for public release under this License, Licensor represents and warrants\n			   that, to the best of Licensor&apos;s knowledge after reasonable inquiry:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Licensor has secured all rights in the Work necessary to grant the license rights\n				 hereunder and to permit the lawful exercise of the rights granted hereunder without\n				 You having any obligation to pay any royalties, compulsory license fees, residuals or\n				 any other payments;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  The Work does not infringe the copyright, trademark, publicity rights, common law rights\n				 or any other right of any third party or constitute defamation, invasion of privacy or\n				 other tortious injury to any third party.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY\n			   APPLICABLE LAW, THE WORK IS LICENSED ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OF\n			   ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES\n			   REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES\n			 ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5,\n			 IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL,\n			 CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE\n			 WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Derivative\n			   Works or Collective Works from You under this License, however, will not have their\n			   licenses terminated provided such individuals or entities remain in full compliance with\n			   those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n			   Licensor offers to the recipient a license to the Work on the same terms and conditions as\n			   the license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to\n			   the recipient a license to the original Work on the same terms and conditions as the\n			   license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYSA10"

	def __str__(self):
		return json.dumps(self.__dict__)


class mailprio:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1994, 1996, Tony Sanders <sanders@earth.com>\n\nRights are hereby granted to download, use, modify, sell, copy, and\nredistribute this software so long as the original copyright notice\nand this list of conditions remain intact and modified versions are\nnoted as such.\n\nI would also very much appreciate it if you could send me a copy of\nany changes you make so I can possibly integrate them into my version.\n"
		self.standardLicenseTemplate = "Copyright 1994, 1996, Tony Sanders <sanders@earth.com>\n\nRights are hereby granted to download, use, modify, sell, copy, and redistribute this software so long as the original copyright notice and this list of conditions remain intact and modified versions are noted as such.\n\nI would also very much appreciate it if you could send me a copy of any changes you make so I can possibly integrate them into my version.\n\n"
		self.name = "mailprio License"
		self.licenseId = "mailprio"
		self.crossRef = [{"match": "False", "url": "https://fossies.org/linux/sendmail/contrib/mailprio", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:15Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fossies.org/linux/sendmail/contrib/mailprio"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			Copyright 1994, 1996, Tony Sanders &lt;sanders@earth.com&gt;\n		 </p>\n\n		 <p>\n			Rights are hereby granted to download, use, modify,\n			sell, copy, and redistribute this software so long as\n			the original copyright notice and this list of conditions\n			remain intact and modified versions are noted as such.\n		 </p>\n\n		 <p>\n			I would also very much appreciate it if you\n			could send me a copy of any changes you make so\n			I can possibly integrate them into my version.\n		 </p>\n\n	  "
		self.python_name = "mailprio"

	def __str__(self):
		return json.dumps(self.__dict__)


class HP1986:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "(c) Copyright 1986 HEWLETT-PACKARD COMPANY \n\nTo anyone who acknowledges that this file is provided \"AS IS\" \nwithout any express or implied warranty: permission to use, copy, \nmodify, and distribute this file for any purpose is hereby granted \nwithout fee, provided that the above copyright notice and this notice \nappears in all copies, and that the name of Hewlett-Packard Company \nnot be used in advertising or publicity pertaining to distribution \nof the software without specific, written prior permission. Hewlett-Packard \nCompany makes no representations about the suitability of this software for any purpose.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"(c) Copyright 1986 HEWLETT-PACKARD COMPANY\";match=\".{0,5000}\">>\n\nTo anyone who acknowledges that this file is provided \"AS IS\" without any express or implied warranty: permission to use, copy, modify, and distribute this file for any purpose is hereby granted without fee, provided that the above copyright notice and this notice appears in all copies, and that the name of Hewlett-Packard Company not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. Hewlett-Packard Company makes no representations about the suitability of this software for any purpose.\n\n"
		self.name = "Hewlett-Packard 1986 License"
		self.licenseId = "HP-1986"
		self.crossRef = [{"match": "False", "url": "https://sourceware.org/git/?p=newlib-cygwin.git;a=blob;f=newlib/libc/machine/hppa/memchr.S;h=1cca3e5e8867aa4bffef1f75a5c1bba25c0c441e;hb=HEAD#l2", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://sourceware.org/git/?p=newlib-cygwin.git;a=blob;f=newlib/libc/machine/hppa/memchr.S;h=1cca3e5e8867aa4bffef1f75a5c1bba25c0c441e;hb=HEAD#l2"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			(c) Copyright 1986 HEWLETT-PACKARD COMPANY\n		 </var>\n		 <p>\n			To anyone who acknowledges that this file is provided &quot;AS IS&quot;\n			without any express or implied warranty: permission to use, copy,\n			modify, and distribute this file for any purpose is hereby granted\n			without fee, provided that the above copyright notice and this\n			notice appears in all copies, and that the name of Hewlett-Packard\n			Company not be used in advertising or publicity pertaining to\n			distribution of the software without specific, written prior\n			permission. Hewlett-Packard Company makes no representations\n			about the suitability of this software for any purpose.\n		 </p>\n\n	  "
		self.python_name = "HP1986"

	def __str__(self):
		return json.dumps(self.__dict__)


class XSkat:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This program is free software; you can redistribute it freely.\nUse it at your own risk; there is NO WARRANTY.\n\nRedistribution of modified versions is permitted provided that the following conditions are met:\n\n1. All copyright & permission notices are preserved.\n\n2.a) Only changes required for packaging or porting are made.\n	 or\n2.b) It is clearly stated who last changed the program. The program is renamed or the version number is of the form x.y.z, where x.y is the version of the original program and z is an arbitrary suffix.\n"
		self.standardLicenseTemplate = "This program is free software; you can redistribute it freely.\n\nUse it at your own risk; there is NO WARRANTY.\n\nRedistribution of modified versions is permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> All copyright & permission notices are preserved.\n\n   <<var;name=\"bullet\";original=\"2.a)\";match=\".{0,20}\">> Only changes required for packaging or porting are made.\n\n   or\n\n   <<var;name=\"bullet\";original=\"2.b)\";match=\".{0,20}\">> It is clearly stated who last changed the program. The program is renamed or the version number is of the form x.y.z, where x.y is the version of the original program and z is an arbitrary suffix."
		self.name = "XSkat License"
		self.licenseId = "XSkat"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/XSkat_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:07Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/XSkat_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>This program is free software; you can redistribute it freely.\n		<br />\n\nUse it at your own risk; there is NO WARRANTY.\n	  </p>\n\n	  <p>Redistribution of modified versions is permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  All copyright &amp; permission notices are preserved.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.a)</var>\n		  Only changes required for packaging or porting are made.<br />\n\n   or\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.b)</var>\n		  It is clearly stated who last changed the program. The program is renamed or the version\n			 number is of the form x.y.z, where x.y is the version of the original program and z is an\n			 arbitrary suffix.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "XSkat"

	def __str__(self):
		return json.dumps(self.__dict__)


class COIL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "# Copyfree Open Innovation License\n\nThis is version 1.0 of the Copyfree Open Innovation License.\n\n## Terms and Conditions\n\nRedistributions, modified or unmodified, in whole or in part, must retain\napplicable notices of copyright or other legal privilege, these conditions, and\nthe following license terms and disclaimer.  Subject to these conditions, each\nholder of copyright or other legal privileges, author or assembler, and\ncontributor of this work, henceforth \"licensor\", hereby grants to any person\nwho obtains a copy of this work in any form:\n\n1. Permission to reproduce, modify, distribute, publish, sell, sublicense, use,\nand/or otherwise deal in the licensed material without restriction.\n\n2. A perpetual, worldwide, non-exclusive, royalty-free, gratis, irrevocable\npatent license to make, have made, provide, transfer, import, use, and/or\notherwise deal in the licensed material without restriction, for any and all\npatents held by such licensor and necessarily infringed by the form of the work\nupon distribution of that licensor's contribution to the work under the terms\nof this license.\n\nNO WARRANTY OF ANY KIND IS IMPLIED BY, OR SHOULD BE INFERRED FROM, THIS LICENSE\nOR THE ACT OF DISTRIBUTION UNDER THE TERMS OF THIS LICENSE, INCLUDING BUT NOT\nLIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,\nAND NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS, ASSEMBLERS, OR HOLDERS OF\nCOPYRIGHT OR OTHER LEGAL PRIVILEGE BE LIABLE FOR ANY CLAIM, DAMAGES, OR OTHER\nLIABILITY, WHETHER IN ACTION OF CONTRACT, TORT, OR OTHERWISE ARISING FROM, OUT\nOF, OR IN CONNECTION WITH THE WORK OR THE USE OF OR OTHER DEALINGS IN THE WORK.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Copyfree Open Innovation License\n\n<<endOptional>>\n\nThis is version 1.0 of the Copyfree Open Innovation License.\n\nTerms and Conditions\n\nRedistributions, modified or unmodified, in whole or in part, must retain applicable notices of copyright or other legal privilege, these conditions, and the following license terms and disclaimer. Subject to these conditions, each holder of copyright or other legal privileges, author or assembler, and contributor of this work, henceforth \"licensor\", hereby grants to any person who obtains a copy of this work in any form:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Permission to reproduce, modify, distribute, publish, sell, sublicense, use, and/or otherwise deal in the licensed material without restriction.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> A perpetual, worldwide, non-exclusive, royalty-free, gratis, irrevocable patent license to make, have made, provide, transfer, import, use, and/or otherwise deal in the licensed material without restriction, for any and all patents held by such licensor and necessarily infringed by the form of the work upon distribution of that licensor's contribution to the work under the terms of this license.\n\nNO WARRANTY OF ANY KIND IS IMPLIED BY, OR SHOULD BE INFERRED FROM, THIS LICENSE OR THE ACT OF DISTRIBUTION UNDER THE TERMS OF THIS LICENSE, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS, ASSEMBLERS, OR HOLDERS OF COPYRIGHT OR OTHER LEGAL PRIVILEGE BE LIABLE FOR ANY CLAIM, DAMAGES, OR OTHER LIABILITY, WHETHER IN ACTION OF CONTRACT, TORT, OR OTHERWISE ARISING FROM, OUT OF, OR IN CONNECTION WITH THE WORK OR THE USE OF OR OTHER DEALINGS IN THE WORK.\n\n"
		self.name = "Copyfree Open Innovation License"
		self.licenseId = "COIL-1.0"
		self.crossRef = [{"match": "False", "url": "https://coil.apotheon.org/plaintext/01.0.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:19Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://coil.apotheon.org/plaintext/01.0.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> \n				<p>Copyfree Open Innovation License</p>\n\n			</div>\n			<p>This is version 1.0 of the Copyfree Open Innovation License.</p>\n\n			<br />\n\n			<p>Terms and Conditions</p>\n\n			<br />\n\n			<p>Redistributions, modified or unmodified, in whole or in part, must retain\n				applicable notices of copyright or other legal privilege, these conditions, and\n				the following license terms and disclaimer. Subject to these conditions, each\n				holder of copyright or other legal privileges, author or assembler, and\n				contributor of this work, henceforth &quot;licensor&quot;, hereby grants to any person\n				who obtains a copy of this work in any form:\n			</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.</var>\n					Permission to reproduce, modify, distribute, publish, sell, sublicense, use,\n					and/or otherwise deal in the licensed material without restriction.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.</var>\n					A perpetual, worldwide, non-exclusive, royalty-free, gratis, irrevocable\n					patent license to make, have made, provide, transfer, import, use, and/or\n					otherwise deal in the licensed material without restriction, for any and all\n					patents held by such licensor and necessarily infringed by the form of the work\n					upon distribution of that licensor&apos;s contribution to the work under the terms\n					of this license.\n				</li>\n			\n</ul>\n			<p>NO WARRANTY OF ANY KIND IS IMPLIED BY, OR SHOULD BE INFERRED FROM, THIS LICENSE\n				OR THE ACT OF DISTRIBUTION UNDER THE TERMS OF THIS LICENSE, INCLUDING BUT NOT\n				LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,\n				AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS, ASSEMBLERS, OR HOLDERS OF\n				COPYRIGHT OR OTHER LEGAL PRIVILEGE BE LIABLE FOR ANY CLAIM, DAMAGES, OR OTHER\n				LIABILITY, WHETHER IN ACTION OF CONTRACT, TORT, OR OTHERWISE ARISING FROM, OUT\n				OF, OR IN CONNECTION WITH THE WORK OR THE USE OF OR OTHER DEALINGS IN THE WORK.\n			</p>\n\n		"
		self.python_name = "COIL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class bcryptSolarDesigner:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Written by Solar Designer <solar at openwall.com> in 1998-2014.\nNo copyright is claimed, and the software is hereby placed in the public\ndomain.  In case this attempt to disclaim copyright and place the software\nin the public domain is deemed null and void, then the software is\nCopyright (c) 1998-2014 Solar Designer and it is hereby released to the\ngeneral public under the following terms:\n\nRedistribution and use in source and binary forms, with or without\nmodification, are permitted.\n\nThere's ABSOLUTELY NO WARRANTY, express or implied.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Written by Solar Designer <solar at openwall.com> in 1998-2014.\";match=\".{0,5000}\">>\n\nNo copyright is claimed, and the software is hereby placed in the public domain. In case this attempt to disclaim copyright and place the software in the public domain is deemed null and void, then the software is <<var;name=\"CopyrightHolder\";original=\"Copyright (c) 1998-2014 Solar Designer\";match=\".+\">> and it is hereby released to the general public under the following terms:\n\nRedistribution and use in source and binary forms, with or without modification, are permitted.\n\nThere's ABSOLUTELY NO WARRANTY, express or implied.\n\n"
		self.name = "bcrypt Solar Designer License"
		self.licenseId = "bcrypt-Solar-Designer"
		self.crossRef = [{"match": "False", "url": "https://github.com/bcrypt-ruby/bcrypt-ruby/blob/master/ext/mri/crypt_blowfish.c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:15Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/bcrypt-ruby/bcrypt-ruby/blob/master/ext/mri/crypt_blowfish.c"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Written by Solar Designer &lt;solar\n			at openwall.com&gt; in 1998-2014.\n		 </var>\n		 <p>\n			No copyright is claimed, and the software is hereby placed in\n			the public domain. In case this attempt to disclaim copyright\n			and place the software in the public domain is deemed null\n			and void, then the software is<var class=\"replaceable-license-text\"> Copyright (c) 1998-2014 Solar Designer</var>\n			and it is hereby released to the general\n			public under the following terms:\n		 </p>\n\n		 <p>\n			Redistribution and use in source and binary forms,\n			with or without modification, are permitted.\n		 </p>\n\n		 <p>\n			There&apos;s ABSOLUTELY NO WARRANTY, express or implied.\n		 </p>\n\n	  "
		self.python_name = "bcryptSolarDesigner"

	def __str__(self):
		return json.dumps(self.__dict__)


class Nunit:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "Copyright \u00a9 2002-2004 James W. Newkirk, Michael C. Two, Alexei A. Vorontsov, Charlie Poole\nCopyright \u00a9 2000-2004 Philip A. Craig\n\nThis software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.\n\nPermission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:\n\n1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment (see the following) in the product documentation is required.\n\nPortions Copyright \u00a9 2002-2004 James W. Newkirk, Michael C. Two, Alexei A. Vorontsov, Charlie Poole or Copyright \u00a9 2000-2004 Philip A. Craig\n\n2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n3. This notice may not be removed or altered from any source distribution.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright \u00a9 2002-2004 James W. Newkirk, Michael C. Two, Alexei A. Vorontsov, Charlie Poole  Copyright \u00a9 2000-2004 Philip A. Craig  \";match=\".{0,5000}\">>\n\nThis software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.\n\nPermission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment (see the following) in the product documentation is required.\n\n   Portions Copyright \u00a9 2002-2004 James W. Newkirk, Michael C. Two, Alexei A. Vorontsov, Charlie Poole or Copyright \u00a9 2000-2004 Philip A. Craig\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> This notice may not be removed or altered from any source distribution."
		self.name = "Nunit License"
		self.licenseId = "Nunit"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Nunit", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:50Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Nunit"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright \u00a9 2002-2004 James W. Newkirk, Michael C. Two, Alexei A. Vorontsov, Charlie Poole\n		<br />\n\nCopyright \u00a9 2000-2004 Philip A. Craig\n	  </p>\n\n	  </div>\n\n	  <p>This software is provided &apos;as-is&apos;, without any express or implied warranty. In no event will the authors\n		 be held liable for any damages arising from the use of this software.</p>\n\n	  <p>Permission is granted to anyone to use this software for any purpose, including commercial applications,\n		 and to alter it and redistribute it freely, subject to the following restrictions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  The origin of this software must not be misrepresented; you must not claim that you wrote the\n			 original software. If you use this software in a product, an acknowledgment (see the\n			 following) in the product documentation is required.\n		  <p>Portions Copyright \u00a9 2002-2004 James W. Newkirk, Michael C. Two, Alexei A. Vorontsov, Charlie\n			 Poole or Copyright \u00a9 2000-2004 Philip A. Craig</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Altered source versions must be plainly marked as such, and must not be misrepresented as being\n			 the original software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  This notice may not be removed or altered from any source distribution.\n		</li>\n	  \n</ul>\n	"
		self.deprecatedVersion = "3.0"
		self.python_name = "Nunit"

	def __str__(self):
		return json.dumps(self.__dict__)


class Apache20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Apache License\nVersion 2.0, January 2004\nhttp://www.apache.org/licenses/\n\nTERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n1. Definitions.\n\n\"License\" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.\n\n\"Licensor\" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.\n\n\"Legal Entity\" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n\"You\" (or \"Your\") shall mean an individual or Legal Entity exercising permissions granted by this License.\n\n\"Source\" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.\n\n\"Object\" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.\n\n\"Work\" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).\n\n\"Derivative Works\" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.\n\n\"Contribution\" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, \"submitted\" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as \"Not a Contribution.\"\n\n\"Contributor\" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.\n\n2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.\n\n3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.\n\n4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:\n\n	 (a) You must give any other recipients of the Work or Derivative Works a copy of this License; and\n\n	 (b) You must cause any modified files to carry prominent notices stating that You changed the files; and\n\n	 (c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and\n\n	 (d) If the Work includes a \"NOTICE\" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be consTrued as modifying the License.\n\n	 You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.\n\n5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.\n\n6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.\n\n7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.\n\n8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.\n\n9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.\n\nEND OF TERMS AND CONDITIONS\n\nAPPENDIX: How to apply the Apache License to your work.\n\nTo apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets \"[]\" replaced with your own identifying information. (Don't include the brackets!)  The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same \"printed page\" as the copyright notice for easier identification within third-party archives.\n\nCopyright [yyyy] [name of copyright owner]\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\nhttp://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.\n"
		self.standardLicenseHeaderTemplate = "Copyright <<var;name=\"copyright\";original=\"[yyyy] [name of copyright owner]\";match=\".+\">>\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\n\nyou may not use this file except in compliance with the License.\n\nYou may obtain a copy of the License at\n\nhttp://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\n\ndistributed under the License is distributed on an \"AS IS\" BASIS,\n\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n\nSee the License for the specific language governing permissions and\n\nlimitations under the License.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Apache License\n\nVersion 2.0, January 2004\n\nhttp://www.apache.org/licenses/\n\n<<endOptional>><<beginOptional>> TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  \"License\" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.\n\n	  \"Licensor\" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.\n\n	  \"Legal Entity\" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n	  \"You\" (or \"Your\") shall mean an individual or Legal Entity exercising permissions granted by this License.\n\n	  \"Source\" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.\n\n	  \"Object\" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.\n\n	  \"Work\" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).\n\n	  \"Derivative Works\" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.\n\n	  \"Contribution\" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, \"submitted\" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as \"Not a Contribution.\"\n\n	  \"Contributor\" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> You must give any other recipients of the Work or Derivative Works a copy of this License; and\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You must cause any modified files to carry prominent notices stating that You changed the files; and\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and\n\n	  <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> If the Work includes a \"NOTICE\" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be consTrued as modifying the License.\n\n   You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nAPPENDIX: How to apply the Apache License to your work.\n\nTo apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets \"[]\" replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same \"printed page\" as the copyright notice for easier identification within third-party archives.\n\nCopyright <<var;name=\"copyright\";original=\"[yyyy] [name of copyright owner]\";match=\".+\">>\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\n\nyou may not use this file except in compliance with the License.\n\nYou may obtain a copy of the License at\n\nhttp://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\n\ndistributed under the License is distributed on an \"AS IS\" BASIS,\n\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n\nSee the License for the specific language governing permissions and\n\nlimitations under the License.\n\n<<endOptional>>"
		self.name = "Apache License 2.0"
		self.licenseComments = "This license was released January 2004"
		self.licenseId = "Apache-2.0"
		self.standardLicenseHeader = "Copyright [yyyy] [name of copyright owner]\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\n\nyou may not use this file except in compliance with the License.\n\nYou may obtain a copy of the License at\n\nhttp://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\n\ndistributed under the License is distributed on an \"AS IS\" BASIS,\n\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n\nSee the License for the specific language governing permissions and\n\nlimitations under the License.\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.apache.org/licenses/LICENSE-2.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:40Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/Apache-2.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:40Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://www.apache.org/licenses/LICENSE-2.0", "https://opensource.org/licenses/Apache-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Apache License\n		<br />\n\nVersion 2.0, January 2004\n		<br />\n\nhttp://www.apache.org/licenses/\n	  </p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <p>&quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution\n			  as defined by Sections 1 through 9 of this document.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner\n				 that is granting the License.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that\n				 control, are controlled by, or are under common control with that entity. For the purposes of\n				 this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the\n				 direction or management of such entity, whether by contract or otherwise, or (ii) ownership of\n				 fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such\n				 entity.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising\n				permissions granted by this License.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Source&quot; form shall mean the preferred form for making modifications, including but not\n				limited to software source code, documentation source, and configuration files.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Object&quot; form shall mean any form resulting from mechanical transformation or\n				 translation of a Source form, including but not limited to compiled object code, generated\n				 documentation, and conversions to other media types.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made\n				 available under the License, as indicated by a copyright notice that is included in or\n				 attached to the work (an example is provided in the Appendix below).</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based\n				 on (or derived from) the Work and for which the editorial revisions, annotations,\n				 elaborations, or other modifications represent, as a whole, an original work of authorship.\n				 For the purposes of this License, Derivative Works shall not include works that remain\n				 separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative\n				 Works thereof.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Contribution&quot; shall mean any work of authorship, including the original version of the\n				 Work and any modifications or additions to that Work or Derivative Works thereof, that is\n				 intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an\n				 individual or Legal Entity authorized to submit on behalf of the copyright owner. For the\n				 purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or\n				 written communication sent to the Licensor or its representatives, including but not limited\n				 to communication on electronic mailing lists, source code control systems, and issue tracking\n				 systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and\n				 improving the Work, but excluding communication that is conspicuously marked or otherwise\n				 designated in writing by the copyright owner as &quot;Not a Contribution.&quot;</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom\n				 a Contribution has been received by Licensor and subsequently incorporated within the\n				 Work.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor\n			 hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free,\n			 irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display,\n			 publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or\n			 Object form.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Grant of Patent License. Subject to the terms and conditions of this License, each Contributor\n			 hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free,\n			 irrevocable (except as stated in this section) patent license to make, have made, use, offer\n			 to sell, sell, import, and otherwise transfer the Work, where such license applies only to\n			 those patent claims licensable by such Contributor that are necessarily infringed by their\n			 Contribution(s) alone or by combination of their Contribution(s) with the Work to which such\n			 Contribution(s) was submitted. If You institute patent litigation against any entity\n			 (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a\n			 Contribution incorporated within the Work constitutes direct or contributory patent\n			 infringement, then any patent licenses granted to You under this License for that Work shall\n			 terminate as of the date such litigation is filed.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof\n			 in any medium, with or without modifications, and in Source or Object form, provided that You\n			 meet the following conditions:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  You must give any other recipients of the Work or Derivative Works a copy of this License; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  You must cause any modified files to carry prominent notices stating that You changed the files; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			  You must retain, in the Source form of any Derivative Works that You distribute, all\n				 copyright, patent, trademark, and attribution notices from the Source form of the Work,\n				 excluding those notices that do not pertain to any part of the Derivative Works; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (d)</var>\n			  If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any\n				 Derivative Works that You distribute must include a readable copy of the attribution\n				 notices contained within such NOTICE file, excluding those notices that do not pertain to\n				 any part of the Derivative Works, in at least one of the following places: within a NOTICE\n				 text file distributed as part of the Derivative Works; within the Source form or\n				 documentation, if provided along with the Derivative Works; or, within a display generated\n				 by the Derivative Works, if and wherever such third-party notices normally appear. The\n				 contents of the NOTICE file are for informational purposes only and do not modify the\n				 License. You may add Your own attribution notices within Derivative Works that You\n				 distribute, alongside or as an addendum to the NOTICE text from the Work, provided that\n				 such additional attribution notices cannot be consTrued as modifying the License.\n			   </li>\n			\n</ul>\n			  <p>You may add Your own copyright statement to Your modifications and may provide additional or\n				 different license terms and conditions for use, reproduction, or distribution of Your\n				 modifications, or for any such Derivative Works as a whole, provided Your use,\n				 reproduction, and distribution of the Work otherwise complies with the conditions stated\n				 in this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Submission of Contributions. Unless You explicitly state otherwise, any Contribution\n			 intentionally submitted for inclusion in the Work by You to the Licensor shall be under the\n			 terms and conditions of this License, without any additional terms or conditions.\n			 Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate\n			 license agreement you may have executed with Licensor regarding such Contributions.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Trademarks. This License does not grant permission to use the trade names, trademarks, service\n			 marks, or product names of the Licensor, except as required for reasonable and customary use\n			 in describing the origin of the Work and reproducing the content of the NOTICE file.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor\n			 provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot;\n			 BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including,\n			 without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY,\n			 or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the\n			 appropriateness of using or redistributing the Work and assume any risks associated with Your\n			 exercise of permissions under this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Limitation of Liability. In no event and under no legal theory, whether in tort (including\n			 negligence), contract, or otherwise, unless required by applicable law (such as deliberate and\n			 grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for\n			 damages, including any direct, indirect, special, incidental, or consequential damages of any\n			 character arising as a result of this License or out of the use or inability to use the Work\n			 (including but not limited to damages for loss of goodwill, work stoppage, computer failure or\n			 malfunction, or any and all other commercial damages or losses), even if such Contributor has\n			 been advised of the possibility of such damages.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works\n			 thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty,\n			 indemnity, or other liability obligations and/or rights consistent with this License. However,\n			 in accepting such obligations, You may act only on Your own behalf and on Your sole\n			 responsibility, not on behalf of any other Contributor, and only if You agree to indemnify,\n			 defend, and hold each Contributor harmless for any liability incurred by, or claims asserted\n			 against, such Contributor by reason of your accepting any such warranty or additional\n			 liability.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>END OF TERMS AND CONDITIONS</p>\n\n		 <p>APPENDIX: How to apply the Apache License to your work.</p>\n\n		 <p>To apply the Apache License to your work, attach the following boilerplate notice, with the fields\n		 enclosed by brackets &quot;[]&quot; replaced with your own identifying information. (Don&apos;t\n		 include the brackets!) The text should be enclosed in the appropriate comment syntax for the file\n		 format. We also recommend that a file or class name and description of purpose be included on the same\n		 &quot;printed page&quot; as the copyright notice for easier identification within third-party\n		 archives.</p>\n\n		 <p>Copyright <var class=\"replaceable-license-text\"> [yyyy] [name of copyright owner]</var></p>\n\n		 <p>Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);\n		<br />\n\nyou may not use this file except in compliance with the License.\n		<br />\n\nYou may obtain a copy of the License at\n	  </p>\n\n		 <p>http://www.apache.org/licenses/LICENSE-2.0</p>\n\n		 <p>Unless required by applicable law or agreed to in writing, software\n		<br />\n\ndistributed under the License is distributed on an &quot;AS IS&quot; BASIS,\n		<br />\n\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n		<br />\n\nSee the License for the specific language governing permissions and\n		<br />\n\nlimitations under the License.\n	  </p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p>Copyright <var class=\"replaceable-license-text\"> [yyyy] [name of copyright owner]</var></p>\n\n		 <p>Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);\n		<br />\n\nyou may not use this file except in compliance with the License.\n		<br />\n\nYou may obtain a copy of the License at\n	  </p>\n\n		 <p>http://www.apache.org/licenses/LICENSE-2.0</p>\n\n		 <p>Unless required by applicable law or agreed to in writing, software\n		<br />\n\ndistributed under the License is distributed on an &quot;AS IS&quot; BASIS,\n		<br />\n\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n		<br />\n\nSee the License for the specific language governing permissions and\n		<br />\n\nlimitations under the License.\n	  </p>\n\n		"
		self.python_name = "Apache20"

	def __str__(self):
		return json.dumps(self.__dict__)


class Spencer86:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1986 by University of Toronto. Written by Henry Spencer. Not derived from licensed software.\n\nPermission is granted to anyone to use this software for any purpose on any computer system, and to redistribute it freely, subject to the following restrictions:\n\n1. The author is not responsible for the consequences of use of this software, no matter how awful, even if they arise from defects in it.\n\n2. The origin of this software must not be misrepresented, either by explicit claim or by omission.\n\n3. Altered versions must be plainly marked as such, and must not be misrepresented as being the original software.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1986 by University of Toronto.  Written by Henry Spencer. Not derived from licensed software.  \";match=\".{0,5000}\">>\n\nPermission is granted to anyone to use this software for any purpose on any computer system, and to redistribute it freely, subject to the following restrictions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The author is not responsible for the consequences of use of this software, no matter how awful, even if they arise from defects in it.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> The origin of this software must not be misrepresented, either by explicit claim or by omission.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Altered versions must be plainly marked as such, and must not be misrepresented as being the original software."
		self.name = "Spencer License 86"
		self.licenseId = "Spencer-86"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Henry_Spencer_Reg-Ex_Library_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Henry_Spencer_Reg-Ex_Library_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1986 by University of Toronto. <br />\n\nWritten by Henry Spencer. Not derived from licensed software.</p>\n\n	  </div>\n\n	  <p>Permission is granted to anyone to use this software for any purpose on any computer system, and to\n		 redistribute it freely, subject to the following restrictions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  The author is not responsible for the consequences of use of this software, no matter how awful,\n			 even if they arise from defects in it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  The origin of this software must not be misrepresented, either by explicit claim or by omission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Altered versions must be plainly marked as such, and must not be misrepresented as being the\n			 original software.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "Spencer86"

	def __str__(self):
		return json.dumps(self.__dict__)


class LGPL21plus:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 2.1, February 1999\n\nCopyright (C) 1991, 1999 Free Software Foundation, Inc.\n\n51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the Lesser GPL. It also counts as the successor of the GNU Library Public License, version 2, hence the version number 2.1.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Lesser General Public License, applies to some specially designated software packages--typically libraries--of the Free Software Foundation and other authors who decide to use it. You can use it too, but we suggest you first think carefully about whether this license or the ordinary General Public License is the better strategy to use in any particular case, based on the explanations below.\n\nWhen we speak of free software, we are referring to freedom of use, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish); that you receive source code or can get it if you want it; that you can change the software and use pieces of it in new free programs; and that you are informed that you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid distributors to deny you these rights or to ask you to surrender these rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link other code with the library, you must provide complete object files to the recipients, so that they can relink them with the library after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nWe protect your rights with a two-step method: (1) we copyright the library, and (2) we offer you this license, which gives you legal permission to copy, distribute and/or modify the library.\n\nTo protect each distributor, we want to make it very clear that there is no warranty for the free library. Also, if the library is modified by someone else and passed on, the recipients should know that what they have is not the original version, so that the original author's reputation will not be affected by problems that might be introduced by others.\n\nFinally, software patents pose a constant threat to the existence of any free program. We wish to make sure that a company cannot effectively restrict the users of a free program by obtaining a restrictive license from a patent holder. Therefore, we insist that any patent license obtained for a version of the library must be consistent with the full freedom of use specified in this license.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License. This license, the GNU Lesser General Public License, applies to certain designated libraries, and is quite different from the ordinary General Public License. We use this license for certain libraries in order to permit linking those libraries into non-free programs.\n\nWhen a program is linked with a library, whether statically or using a shared library, the combination of the two is legally speaking a combined work, a derivative of the original library. The ordinary General Public License therefore permits such linking only if the entire combination fits its criteria of freedom. The Lesser General Public License permits more lax criteria for linking other code with the library.\n\nWe call this license the \"Lesser\" General Public License because it does Less to protect the user's freedom than the ordinary General Public License. It also provides other free software developers Less of an advantage over competing non-free programs. These disadvantages are the reason we use the ordinary General Public License for many libraries. However, the Lesser license provides advantages in certain special circumstances.\n\nFor example, on rare occasions, there may be a special need to encourage the widest possible use of a certain library, so that it becomes a de-facto standard. To achieve this, non-free programs must be allowed to use the library. A more frequent case is that a free library does the same job as widely used non-free libraries. In this case, there is little to gain by limiting the free library to free software only, so we use the Lesser General Public License.\n\nIn other cases, permission to use a particular library in non-free programs enables a greater number of people to use a large body of free software. For example, permission to use the GNU C Library in non-free programs enables many more people to use the whole GNU operating system, as well as its variant, the GNU/Linux operating system.\n\nAlthough the Lesser General Public License is Less protective of the users' freedom, it does ensure that the user of a program that is linked with the Library has the freedom and the wherewithal to run that program using a modified version of the Library.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, whereas the latter must be combined with the library in order to run.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   0. This License Agreement applies to any software library or other program which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\n   A \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\n   The \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n   \"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n   1. You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   2. You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  a) The modified work must itself be a software library.\n\n	  b) You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	  c) You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	  d) If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n   (For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\n   In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   3. You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\n   Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\n   This option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n   4. You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\n   If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   5. A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\n   However, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\n   When a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\n   If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\n   Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n   6. As an exception to the Sections above, you may also combine or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\n   You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	  a) Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	  b) Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (1) uses at run time a copy of the library already present on the user's computer system, rather than copying library functions into the executable, and (2) will operate properly with a modified version of the library, if the user installs one, as long as the modified version is interface-compatible with the version that the work was made with.\n\n	  c) Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	  d) If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	  e) Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\n   For an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n   7. You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	  a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	  b) Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   8. You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   9. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n   10. Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.\n\n   11. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   12. If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   13. The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n   14. If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the library's name and an idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\nAlso add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\n\nthe library `Frob' (a library for tweaking knobs) written\n\nby James Random Hacker.\n\n< signature of Ty Coon > , 1 April 1990\n\nTy Coon, President of Vice\n\nThat's all there is to it!\n\n"
		self.standardLicenseHeaderTemplate = "<<var;name=\"description\";original=\"<one line to give the library's name and an idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"<year> <name of author>\";match=\".+\">>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 2.1, February 1999\n\n<<endOptional>>\n\nCopyright (C) 1991, 1999 Free Software Foundation, Inc.\n\n51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the Lesser GPL. It also counts as the successor of the GNU Library Public License, version 2, hence the version number 2.1.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Lesser General Public License, applies to some specially designated software packages--typically libraries--of the Free Software Foundation and other authors who decide to use it. You can use it too, but we suggest you first think carefully about whether this license or the ordinary General Public License is the better strategy to use in any particular case, based on the explanations below.\n\nWhen we speak of free software, we are referring to freedom of use, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish); that you receive source code or can get it if you want it; that you can change the software and use pieces of it in new free programs; and that you are informed that you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid distributors to deny you these rights or to ask you to surrender these rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link other code with the library, you must provide complete object files to the recipients, so that they can relink them with the library after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nWe protect your rights with a two-step method: (1) we copyright the library, and (2) we offer you this license, which gives you legal permission to copy, distribute and/or modify the library.\n\nTo protect each distributor, we want to make it very clear that there is no warranty for the free library. Also, if the library is modified by someone else and passed on, the recipients should know that what they have is not the original version, so that the original author's reputation will not be affected by problems that might be introduced by others.\n\nFinally, software patents pose a constant threat to the existence of any free program. We wish to make sure that a company cannot effectively restrict the users of a free program by obtaining a restrictive license from a patent holder. Therefore, we insist that any patent license obtained for a version of the library must be consistent with the full freedom of use specified in this license.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License. This license, the GNU Lesser General Public License, applies to certain designated libraries, and is quite different from the ordinary General Public License. We use this license for certain libraries in order to permit linking those libraries into non-free programs.\n\nWhen a program is linked with a library, whether statically or using a shared library, the combination of the two is legally speaking a combined work, a derivative of the original library. The ordinary General Public License therefore permits such linking only if the entire combination fits its criteria of freedom. The Lesser General Public License permits more lax criteria for linking other code with the library.\n\nWe call this license the \"Lesser\" General Public License because it does Less to protect the user's freedom than the ordinary General Public License. It also provides other free software developers Less of an advantage over competing non-free programs. These disadvantages are the reason we use the ordinary General Public License for many libraries. However, the Lesser license provides advantages in certain special circumstances.\n\nFor example, on rare occasions, there may be a special need to encourage the widest possible use of a certain library, so that it becomes a de-facto standard. To achieve this, non-free programs must be allowed to use the library. A more frequent case is that a free library does the same job as widely used non-free libraries. In this case, there is little to gain by limiting the free library to free software only, so we use the Lesser General Public License.\n\nIn other cases, permission to use a particular library in non-free programs enables a greater number of people to use a large body of free software. For example, permission to use the GNU C Library in non-free programs enables many more people to use the whole GNU operating system, as well as its variant, the GNU/Linux operating system.\n\nAlthough the Lesser General Public License is Less protective of the users' freedom, it does ensure that the user of a program that is linked with the Library has the freedom and the wherewithal to run that program using a modified version of the Library.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, whereas the latter must be combined with the library in order to run.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License Agreement applies to any software library or other program which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\n   A \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\n   The \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n   \"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The modified work must itself be a software library.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n   (For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\n   In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\n   Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\n   This option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\n   If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\n   However, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\n   When a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\n   If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\n   Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> As an exception to the Sections above, you may also combine or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\n   You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (1) uses at run time a copy of the library already present on the user's computer system, rather than copying library functions into the executable, and (2) will operate properly with a modified version of the library, if the user installs one, as long as the modified version is interface-compatible with the version that the work was made with.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\n   For an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<var;name=\"description\";original=\"<one line to give the library's name and an idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"<year> <name of author>\";match=\".+\">>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\nAlso add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\n\nthe library `Frob' (a library for tweaking knobs) written\n\nby James Random Hacker.\n\n<<beginOptional>><<<endOptional>> signature of Ty Coon<<beginOptional>> ><<endOptional>> , 1 April 1990\n\nTy Coon, President of Vice\n\nThat's all there is to it!\n\n<<endOptional>>"
		self.name = "GNU Lesser General Public License v2.1 or later"
		self.licenseId = "LGPL-2.1+"
		self.standardLicenseHeader = "<one line to give the library's name and an idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.\n\nYou should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/LGPL-2.1", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:20:22Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/lgpl-2.1-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/lgpl-2.1-standalone.html", "https://opensource.org/licenses/LGPL-2.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>GNU LESSER GENERAL PUBLIC LICENSE</p>\n\n		 <p>Version 2.1, February 1999</p>\n\n	  </div>\n	  <p>Copyright (C) 1991, 1999 Free Software Foundation, Inc.\n		<br />\n\n51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n	  </p>\n\n	  <p>Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is\n		 not allowed.</p>\n\n	  <p>[This is the first released version of the Lesser GPL. It also counts as the successor of the GNU Library\n		 Public License, version 2, hence the version number 2.1.]</p>\n\n	  <p>Preamble</p>\n\n	  <p>The licenses for most software are designed to take away your freedom to share and change it. By\n		 contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change\n		 free software--to make sure the software is free for all its users.</p>\n\n	  <p>This license, the Lesser General Public License, applies to some specially designated software\n		 packages--typically libraries--of the Free Software Foundation and other authors who decide to use it.\n		 You can use it too, but we suggest you first think carefully about whether this license or the\n		 ordinary General Public License is the better strategy to use in any particular case, based on the\n		 explanations below.</p>\n\n	  <p>When we speak of free software, we are referring to freedom of use, not price. Our General Public\n		 Licenses are designed to make sure that you have the freedom to distribute copies of free software\n		 (and charge for this service if you wish); that you receive source code or can get it if you want it;\n		 that you can change the software and use pieces of it in new free programs; and that you are informed\n		 that you can do these things.</p>\n\n	  <p>To protect your rights, we need to make restrictions that forbid distributors to deny you these rights or\n		 to ask you to surrender these rights. These restrictions translate to certain responsibilities for you\n		 if you distribute copies of the library or if you modify it.</p>\n\n	  <p>For example, if you distribute copies of the library, whether gratis or for a fee, you must give the\n		 recipients all the rights that we gave you. You must make sure that they, too, receive or can get the\n		 source code. If you link other code with the library, you must provide complete object files to the\n		 recipients, so that they can relink them with the library after making changes to the library and\n		 recompiling it. And you must show them these terms so they know their rights.</p>\n\n	  <p>We protect your rights with a two-step method: (1) we copyright the library, and (2) we offer you this\n		 license, which gives you legal permission to copy, distribute and/or modify the library.</p>\n\n	  <p>To protect each distributor, we want to make it very clear that there is no warranty for the free\n		 library. Also, if the library is modified by someone else and passed on, the recipients should know\n		 that what they have is not the original version, so that the original author&apos;s reputation will\n		 not be affected by problems that might be introduced by others.</p>\n\n	  <p>Finally, software patents pose a constant threat to the existence of any free program. We wish to make\n		 sure that a company cannot effectively restrict the users of a free program by obtaining a restrictive\n		 license from a patent holder. Therefore, we insist that any patent license obtained for a version of\n		 the library must be consistent with the full freedom of use specified in this license.</p>\n\n	  <p>Most GNU software, including some libraries, is covered by the ordinary GNU General Public License. This\n		 license, the GNU Lesser General Public License, applies to certain designated libraries, and is quite\n		 different from the ordinary General Public License. We use this license for certain libraries in order\n		 to permit linking those libraries into non-free programs.</p>\n\n	  <p>When a program is linked with a library, whether statically or using a shared library, the combination of\n		 the two is legally speaking a combined work, a derivative of the original library. The ordinary\n		 General Public License therefore permits such linking only if the entire combination fits its criteria\n		 of freedom. The Lesser General Public License permits more lax criteria for linking other code with\n		 the library.</p>\n\n	  <p>We call this license the &quot;Lesser&quot; General Public License because it does Less to protect the\n		 user&apos;s freedom than the ordinary General Public License. It also provides other free software\n		 developers Less of an advantage over competing non-free programs. These disadvantages are the reason\n		 we use the ordinary General Public License for many libraries. However, the Lesser license provides\n		 advantages in certain special circumstances.</p>\n\n	  <p>For example, on rare occasions, there may be a special need to encourage the widest possible use of a\n		 certain library, so that it becomes a de-facto standard. To achieve this, non-free programs must be\n		 allowed to use the library. A more frequent case is that a free library does the same job as widely\n		 used non-free libraries. In this case, there is little to gain by limiting the free library to free\n		 software only, so we use the Lesser General Public License.</p>\n\n	  <p>In other cases, permission to use a particular library in non-free programs enables a greater number of\n		 people to use a large body of free software. For example, permission to use the GNU C Library in\n		 non-free programs enables many more people to use the whole GNU operating system, as well as its\n		 variant, the GNU/Linux operating system.</p>\n\n	  <p>Although the Lesser General Public License is Less protective of the users&apos; freedom, it does ensure\n		 that the user of a program that is linked with the Library has the freedom and the wherewithal to run\n		 that program using a modified version of the Library.</p>\n\n	  <p>The precise terms and conditions for copying, distribution and modification follow. Pay close attention\n		 to the difference between a &quot;work based on the library&quot; and a &quot;work that uses the\n		 library&quot;. The former contains code derived from the library, whereas the latter must be combined\n		 with the library in order to run.</p>\n\n	  <p>TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  This License Agreement applies to any software library or other program which contains a notice\n			 placed by the copyright holder or other authorized party saying it may be distributed under\n			 the terms of this Lesser General Public License (also called &quot;this License&quot;). Each\n			 licensee is addressed as &quot;you&quot;.\n		  <p>A &quot;library&quot; means a collection of software functions and/or data prepared so as to be\n			 conveniently linked with application programs (which use some of those functions and data) to\n			 form executables.</p>\n\n			<p>The &quot;Library&quot;, below, refers to any such software library or work which has been\n			 distributed under these terms. A &quot;work based on the Library&quot; means either the\n			 Library or any derivative work under copyright law: that is to say, a work containing the\n			 Library or a portion of it, either verbatim or with modifications and/or translated\n			 straightforwardly into another language. (Hereinafter, translation is included without\n			 limitation in the term &quot;modification&quot;.)</p>\n\n			<p>&quot;Source code&quot; for a work means the preferred form of the work for making modifications\n			 to it. For a library, complete source code means all the source code for all modules it\n			 contains, plus any associated interface definition files, plus the scripts used to control\n			 compilation and installation of the library.</p>\n\n			<p>Activities other than copying, distribution and modification are not covered by this License;\n			 they are outside its scope. The act of running a program using the Library is not restricted,\n			 and output from such a program is covered only if its contents constitute a work based on the\n			 Library (independent of the use of the Library in a tool for writing it). Whether that is True\n			 depends on what the Library does and what the program that uses the Library does.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may copy and distribute verbatim copies of the Library&apos;s complete source code as you\n			 receive it, in any medium, provided that you conspicuously and appropriately publish on each\n			 copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices\n			 that refer to this License and to the absence of any warranty; and distribute a copy of this\n			 License along with the Library.\n		  <p>You may charge a fee for the physical act of transferring a copy, and you may at your option\n			 offer warranty protection in exchange for a fee.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may modify your copy or copies of the Library or any portion of it, thus forming a work based\n			 on the Library, and copy and distribute such modifications or work under the terms of Section\n			 1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			The modified work must itself be a software library.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			You must cause the files modified to carry prominent notices stating that you changed the\n			   files and the date of any change.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			You must cause the whole of the work to be licensed at no charge to all third parties under\n			   the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			If a facility in the modified Library refers to a function or a table of data to be supplied\n			   by an application program that uses the facility, other than as an argument passed when\n			   the facility is invoked, then you must make a good faith effort to ensure that, in the\n			   event an application does not supply such function or table, the facility still operates,\n			   and performs whatever part of its purpose remains meaningful.\n			</li>\n			\n</ul>\n			<p>(For example, a function in a library to compute square roots has a purpose that is entirely\n			   well-defined independent of the application. Therefore, Subsection 2d requires that any\n			   application-supplied function or table used by this function must be optional: if the\n			   application does not supply it, the square root function must still compute square\n			   roots.)</p>\n\n			<p>These requirements apply to the modified work as a whole. If identifiable sections of that\n			   work are not derived from the Library, and can be reasonably considered independent and\n			   separate works in themselves, then this License, and its terms, do not apply to those\n			   sections when you distribute them as separate works. But when you distribute the same\n			   sections as part of a whole which is a work based on the Library, the distribution of the\n			   whole must be on the terms of this License, whose permissions for other licensees extend\n			   to the entire whole, and thus to each and every part regardless of who wrote it.</p>\n\n			<p>Thus, it is not the intent of this section to claim rights or contest your rights to work\n			   written entirely by you; rather, the intent is to exercise the right to control the\n			   distribution of derivative or collective works based on the Library.</p>\n\n			<p>In addition, mere aggregation of another work not based on the Library with the Library (or\n			   with a work based on the Library) on a volume of a storage or distribution medium does not\n			   bring the other work under the scope of this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may opt to apply the terms of the ordinary GNU General Public License instead of this License\n			 to a given copy of the Library. To do this, you must alter all the notices that refer to this\n			 License, so that they refer to the ordinary GNU General Public License, version 2, instead of\n			 to this License. (If a newer version than version 2 of the ordinary GNU General Public License\n			 has appeared, then you can specify that version instead if you wish.) Do not make any other\n			 change in these notices.\n		  <p>Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU\n			 General Public License applies to all subsequent copies and derivative works made from that\n			 copy.</p>\n\n			<p>This option is useful when you wish to copy part of the code of the Library into a program that\n			 is not a library.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in\n			 object code or executable form under the terms of Sections 1 and 2 above provided that you\n			 accompany it with the complete corresponding machine-readable source code, which must be\n			 distributed under the terms of Sections 1 and 2 above on a medium customarily used for\n			 software interchange.\n		  <p>If distribution of object code is made by offering access to copy from a designated place, then\n			 offering equivalent access to copy the source code from the same place satisfies the\n			 requirement to distribute the source code, even though third parties are not compelled to copy\n			 the source along with the object code.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  A program that contains no derivative of any portion of the Library, but is designed to work with\n			 the Library by being compiled or linked with it, is called a &quot;work that uses the\n			 Library&quot;. Such a work, in isolation, is not a derivative work of the Library, and\n			 therefore falls outside the scope of this License.\n		  <p>However, linking a &quot;work that uses the Library&quot; with the Library creates an executable\n			 that is a derivative of the Library (because it contains portions of the Library), rather than\n			 a &quot;work that uses the library&quot;. The executable is therefore covered by this License.\n			 Section 6 states terms for distribution of such executables.</p>\n\n			<p>When a &quot;work that uses the Library&quot; uses material from a header file that is part of\n			 the Library, the object code for the work may be a derivative work of the Library even though\n			 the source code is not. Whether this is True is especially significant if the work can be\n			 linked without the Library, or if the work is itself a library. The threshold for this to be\n			 True is not precisely defined by law.</p>\n\n			<p>If such an object file uses only numerical parameters, data structure layouts and accessors, and\n			 small macros and small inline functions (ten lines or less in length), then the use of the\n			 object file is unrestricted, regardless of whether it is legally a derivative work.\n			 (Executables containing this object code plus portions of the Library will still fall under\n			 Section 6.)</p>\n\n			<p>Otherwise, if the work is a derivative of the Library, you may distribute the object code for the\n			 work under the terms of Section 6. Any executables containing that work also fall under\n			 Section 6, whether or not they are linked directly with the Library itself.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  As an exception to the Sections above, you may also combine or link a &quot;work that uses the\n			 Library&quot; with the Library to produce a work containing portions of the Library, and\n			 distribute that work under terms of your choice, provided that the terms permit modification\n			 of the work for the customer&apos;s own use and reverse engineering for debugging such\n			 modifications.\n		  <p>You must give prominent notice with each copy of the work that the Library is used in it and that\n			 the Library and its use are covered by this License. You must supply a copy of this License.\n			 If the work during execution displays copyright notices, you must include the copyright notice\n			 for the Library among them, as well as a reference directing the user to the copy of this\n			 License. Also, you must do one of these things:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			Accompany the work with the complete corresponding machine-readable source code for the\n			   Library including whatever changes were used in the work (which must be distributed under\n			   Sections 1 and 2 above); and, if the work is an executable linked with the Library, with\n			   the complete machine-readable &quot;work that uses the Library&quot;, as object code\n			   and/or source code, so that the user can modify the Library and then relink to produce a\n			   modified executable containing the modified Library. (It is understood that the user who\n			   changes the contents of definitions files in the Library will not necessarily be able to\n			   recompile the application to use the modified definitions.)\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is\n			   one that (1) uses at run time a copy of the library already present on the user&apos;s\n			   computer system, rather than copying library functions into the executable, and (2) will\n			   operate properly with a modified version of the library, if the user installs one, as long\n			   as the modified version is interface-compatible with the version that the work was made\n			   with.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			Accompany the work with a written offer, valid for at least three years, to give the same\n			   user the materials specified in Subsection 6a, above, for a charge no more than the cost\n			   of performing this distribution.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			If distribution of the work is made by offering access to copy from a designated place, offer\n			   equivalent access to copy the above specified materials from the same place.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			Verify that the user has already received a copy of these materials or that you have already\n			   sent this user a copy.\n		  </li>\n			\n</ul>\n			<p>For an executable, the required form of the &quot;work that uses the Library&quot; must\n			   include any data and utility programs needed for reproducing the executable from it.\n			   However, as a special exception, the materials to be distributed need not include anything\n			   that is normally distributed (in either source or binary form) with the major components\n			   (compiler, kernel, and so on) of the operating system on which the executable runs, unless\n			   that component itself accompanies the executable.</p>\n\n			<p>It may happen that this requirement contradicts the license restrictions of other proprietary\n			   libraries that do not normally accompany the operating system. Such a contradiction means\n			   you cannot use both them and the Library together in an executable that you\n			   distribute.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  You may place library facilities that are a work based on the Library side-by-side in a single\n			 library together with other library facilities not covered by this License, and distribute\n			 such a combined library, provided that the separate distribution of the work based on the\n			 Library and of the other library facilities is otherwise permitted, and provided that you do\n			 these two things:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			Accompany the combined library with a copy of the same work based on the Library, uncombined\n			   with any other library facilities. This must be distributed under the terms of the\n			   Sections above.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			Give prominent notice with the combined library of the fact that part of it is a work based\n			   on the Library, and explaining where to find the accompanying uncombined form of the same\n			   work.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  You may not copy, modify, sublicense, link with, or distribute the Library except as expressly\n			 provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or\n			 distribute the Library is void, and will automatically terminate your rights under this\n			 License. However, parties who have received copies, or rights, from you under this License\n			 will not have their licenses terminated so long as such parties remain in full compliance.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  You are not required to accept this License, since you have not signed it. However, nothing else\n			 grants you permission to modify or distribute the Library or its derivative works. These\n			 actions are prohibited by law if you do not accept this License. Therefore, by modifying or\n			 distributing the Library (or any work based on the Library), you indicate your acceptance of\n			 this License to do so, and all its terms and conditions for copying, distributing or modifying\n			 the Library or works based on it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Each time you redistribute the Library (or any work based on the Library), the recipient\n			 automatically receives a license from the original licensor to copy, distribute, link with or\n			 modify the Library subject to these terms and conditions. You may not impose any further\n			 restrictions on the recipients&apos; exercise of the rights granted herein. You are not\n			 responsible for enforcing compliance by third parties with this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  If, as a consequence of a court judgment or allegation of patent infringement or for any other\n			 reason (not limited to patent issues), conditions are imposed on you (whether by court order,\n			 agreement or otherwise) that contradict the conditions of this License, they do not excuse you\n			 from the conditions of this License. If you cannot distribute so as to satisfy simultaneously\n			 your obligations under this License and any other pertinent obligations, then as a consequence\n			 you may not distribute the Library at all. For example, if a patent license would not permit\n			 royalty-free redistribution of the Library by all those who receive copies directly or\n			 indirectly through you, then the only way you could satisfy both it and this License would be\n			 to refrain entirely from distribution of the Library.\n		  <p>If any portion of this section is held invalid or unenforceable under any particular\n			 circumstance, the balance of the section is intended to apply, and the section as a whole is\n			 intended to apply in other circumstances.</p>\n\n			<p>It is not the purpose of this section to induce you to infringe any patents or other property\n			 right claims or to contest validity of any such claims; this section has the sole purpose of\n			 protecting the integrity of the free software distribution system which is implemented by\n			 public license practices. Many people have made generous contributions to the wide range of\n			 software distributed through that system in reliance on consistent application of that system;\n			 it is up to the author/donor to decide if he or she is willing to distribute software through\n			 any other system and a licensee cannot impose that choice.</p>\n\n			<p>This section is intended to make thoroughly clear what is believed to be a consequence of the\n			 rest of this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  If the distribution and/or use of the Library is restricted in certain countries either by\n			 patents or by copyrighted interfaces, the original copyright holder who places the Library\n			 under this License may add an explicit geographical distribution limitation excluding those\n			 countries, so that distribution is permitted only in or among countries not thus excluded. In\n			 such case, this License incorporates the limitation as if written in the body of this\n			 License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  The Free Software Foundation may publish revised and/or new versions of the Lesser General Public\n			 License from time to time. Such new versions will be similar in spirit to the present version,\n			 but may differ in detail to address new problems or concerns.\n		  <p>Each version is given a distinguishing version number. If the Library specifies a version number\n			 of this License which applies to it and &quot;any later version&quot;, you have the option of\n			 following the terms and conditions either of that version or of any later version published by\n			 the Free Software Foundation. If the Library does not specify a license version number, you\n			 may choose any version ever published by the Free Software Foundation.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14.</var>\n		  If you wish to incorporate parts of the Library into other free programs whose distribution\n			 conditions are incompatible with these, write to the author to ask for permission. For\n			 software which is copyrighted by the Free Software Foundation, write to the Free Software\n			 Foundation; we sometimes make exceptions for this. Our decision will be guided by the two\n			 goals of preserving the free status of all derivatives of our free software and of promoting\n			 the sharing and reuse of software generally.\n		  <p>NO WARRANTY</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15.</var>\n		  BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE\n			 EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT\n			 HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY &quot;AS IS&quot; WITHOUT WARRANTY OF ANY\n			 KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n			 MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND\n			 PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE\n			 COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 16.</var>\n		  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER,\n			 OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE\n			 LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n			 ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF\n			 DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A\n			 FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY\n			 HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>END OF TERMS AND CONDITIONS</p>\n\n		 <p>How to Apply These Terms to Your New Libraries</p>\n\n		 <p>If you develop a new library, and you want it to be of the greatest possible use to the public, we\n		 recommend making it free software that everyone can redistribute and change. You can do so by\n		 permitting redistribution under these terms (or, alternatively, under the terms of the ordinary\n		 General Public License).</p>\n\n		 <p>To apply these terms, attach the following notices to the library. It is safest to attach them to the\n		 start of each source file to most effectively convey the exclusion of warranty; and each file should\n		 have at least the &quot;copyright&quot; line and a pointer to where the full notice is found.</p>\n\n		 <p><var class=\"replaceable-license-text\"> &lt;one line to give the library&apos;s name and an idea of what it does.&gt;</var><br />\n\n		 Copyright (C) <var class=\"replaceable-license-text\"> &lt;year&gt; &lt;name of author&gt;</var></p>\n\n		 <p>This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser\n		 General Public License as published by the Free Software Foundation; either version 2.1 of the\n		 License, or (at your option) any later version.</p>\n\n		 <p>This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even\n		 the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser\n		 General Public License for more details.</p>\n\n		 <p>You should have received a copy of the GNU Lesser General Public License along with this library; if not,\n		 write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301\n		 USA</p>\n\n		 <p>Also add information on how to contact you by electronic and paper mail.</p>\n\n		 <p>You should also get your employer (if you work as a programmer) or your school, if any, to sign a\n		 &quot;copyright disclaimer&quot; for the library, if necessary. Here is a sample; alter the names:</p>\n\n		 <p>Yoyodyne, Inc., hereby disclaims all copyright interest in\n		<br />\n\nthe library `Frob&apos; (a library for tweaking knobs) written\n		<br />\n\nby James Random Hacker.\n	  </p>\n\n		 <p><var class=\"optional-license-text\"> &lt;</var>signature of Ty Coon<var class=\"optional-license-text\"> &gt;</var>, 1 April 1990\n		<br />\n\nTy Coon, President of Vice\n		<br />\n\nThat&apos;s all there is to it!\n	  </p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p><var class=\"replaceable-license-text\"> &lt;one line to give the library&apos;s name and an idea of what it does.&gt;</var><br />\n\n		 Copyright (C) <var class=\"replaceable-license-text\"> &lt;year&gt; &lt;name of author&gt;</var></p>\n\n		 <p>This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser\n		 General Public License as published by the Free Software Foundation; either version 2.1 of the\n		 License, or (at your option) any later version.</p>\n\n		 <p>This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even\n		 the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser\n		 General Public License for more details.</p>\n\n		 <p>You should have received a copy of the GNU Lesser General Public License along with this library; if not,\n		 write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301\n		 USA</p>\n\n		 "
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "LGPL21plus"

	def __str__(self):
		return json.dumps(self.__dict__)


class IPL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "IBM Public License Version 1.0\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS IBM\nPUBLIC LICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION\nOF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.\n\n1. DEFINITIONS\n\"Contribution\" means:\n\na.  in the case of International Business Machines Corporation (\"IBM\"), the Original Program, and\n\nb.  in the case of each Contributor,\n\ti.  changes to the Program, and\n\tii.  additions to the Program;\nwhere such changes and/or additions to the Program originate from and\nare distributed by that particular Contributor. A Contribution\n'originates' from a Contributor if it was added to the Program by\nsuch Contributor itself or anyone acting on such Contributor's\nbehalf. Contributions do not include additions to the Program which:\n(i) are separate modules of software distributed in conjunction with\nthe Program under their own license agreement, and (ii) are not\nderivative works of the Program.\n\n\"Contributor\" means IBM and any other entity that distributes the Program.\n\n\"Licensed Patents \" mean patent claims licensable by a\nContributor which are necessarily infringed by the use or sale of its\nContribution alone or when combined with the Program.\n\n\"Original Program\" means the original version of the software\naccompanying this Agreement as released by IBM, including source\ncode, object code and documentation, if any.\n\n\"Program\" means the Original Program and Contributions.\n\n\"Recipient\" means anyone who receives the Program under this\nAgreement, including all Contributors.\n\n2. GRANT OF RIGHTS\na.  Subject to the terms of this Agreement, each Contributor hereby\ngrants Recipient a non-exclusive, worldwide, royalty-free copyright\nlicense to reproduce, prepare derivative works of, publicly display,\npublicly perform, distribute and sublicense the Contribution of such\nContributor, if any, and such derivative works, in source code and\nobject code form.\n\nb.  Subject to the terms of this Agreement, each Contributor hereby\ngrants Recipient a non-exclusive, worldwide, royalty-free patent\nlicense under Licensed Patents to make, use, sell, offer to sell,\nimport and otherwise transfer the Contribution of such Contributor,\nif any, in source code and object code form. This patent license\nshall apply to the combination of the Contribution and the Program\nif, at the time the Contribution is added by the Contributor, such\naddition of the Contribution causes such combination to be covered by\nthe Licensed Patents. The patent license shall not apply to any\nother combinations which include the Contribution. No hardware per\nse is licensed hereunder.\n\nc.  Recipient understands that although each Contributor grants the\nlicenses to its Contributions set forth herein, no assurances are\nprovided by any Contributor that the Program does not infringe the\npatent or other intellectual property rights of any other entity.\nEach Contributor disclaims any liability to Recipient for claims\nbrought by any other entity based on infringement of intellectual\nproperty rights or otherwise. As a condition to exercising the\nrights and licenses granted hereunder, each Recipient hereby assumes\nsole responsibility to secure any other intellectual property rights\nneeded, if any. For example, if a third party patent license is\nrequired to allow Recipient to distribute the Program, it is\nRecipient's responsibility to acquire that license before\ndistributing the Program.\n\nd.  Each Contributor represents that to its knowledge it has\nsufficient copyright rights in its Contribution, if any, to grant the\ncopyright license set forth in this Agreement.\n\n3. REQUIREMENTS\nA Contributor may choose to distribute\nthe Program in object code form under its own license agreement,\nprovided that:\n\na.  it complies with the terms and conditions of this Agreement; and\nb.  its license agreement:\n\ti.  effectively disclaims on behalf of all Contributors all warranties\n\tand conditions, express and implied, including warranties or\n\tconditions of title and non-infringement, and implied warranties or\n\tconditions of merchantability and fitness for a particular purpose;\n\tii.  effectively excludes on behalf of all Contributors all liability\n\tfor damages, including direct, indirect, special, incidental and\n\tconsequential damages, such as lost profits;\n\tiii.  states that any provisions which differ from this Agreement are\n\toffered by that Contributor alone and not by any other party; and\n\tiv.  states that source code for the Program is available from such\n\tContributor, and informs licensees how to obtain it in a reasonable\n\tmanner on or through a medium customarily used for software exchange.\n\nWhen the Program is made available in source code form:\na.  it must be made available under this Agreement; and\nb.  a copy of this Agreement must be included with each copy of the\nProgram.\n\nEach Contributor must include the following in a conspicuous location in the Program:\n\n\tCopyright (C) 1996, 1999 International Business Machines Corporation and others. All Rights Reserved.\n\nIn addition, each Contributor must identify itself as the originator\nof its Contribution, if any, in a manner that reasonably allows\nsubsequent Recipients to identify the originator of the Contribution.\n\n4. COMMERCIAL DISTRIBUTION\nCommercial distributors of software may accept certain\nresponsibilities with respect to end users, business partners and the\nlike. While this license is intended to facilitate the commercial\nuse of the Program, the Contributor who includes the Program in a\ncommercial product offering should do so in a manner which does not\ncreate potential liability for other Contributors. Therefore, if a\nContributor includes the Program in a commercial product offering,\nsuch Contributor (\"Commercial Contributor\") hereby agrees to defend\nand indemnify every other Contributor (\"Indemnified Contributor\")\nagainst any losses, damages and costs (collectively \"Losses\") arising\nfrom claims, lawsuits and other legal actions brought by a third\nparty against the Indemnified Contributor to the extent caused by the\nacts or omissions of such Commercial Contributor in connection with\nits distribution of the Program in a commercial product offering.\nThe obligations in this section do not apply to any claims or Losses\nrelating to any actual or alleged intellectual property infringement.\nIn order to qualify, an Indemnified Contributor must: a) promptly\nnotify the Commercial Contributor in writing of such claim, and b)\nallow the Commercial Contributor to control, and cooperate with the\nCommercial Contributor in, the defense and any related settlement\nnegotiations. The Indemnified Contributor may participate in any\nsuch claim at its own expense.\n\nFor example, a Contributor might include the Program in a commercial\nproduct offering, Product X. That Contributor is then a Commercial\nContributor. If that Commercial Contributor then makes performance\nclaims, or offers warranties related to Product X, those performance\nclaims and warranties are such Commercial Contributor's\nresponsibility alone. Under this section, the Commercial Contributor\nwould have to defend claims against the other Contributors related to\nthose performance claims and warranties, and if a court requires any\nother Contributor to pay any damages as a result, the Commercial\nContributor must pay those damages.\n\n5. NO WARRANTY\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS\nPROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY\nWARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY\nOR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely\nresponsible for determining the appropriateness of using and\ndistributing the Program and assumes all risks associated with its\nexercise of rights under this Agreement, including but not limited to\nthe risks and costs of program errors, compliance with applicable\nlaws, damage to or loss of data, programs or equipment, and\nunavailability or interruption of operations.\n\n6. DISCLAIMER OF LIABILITY\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT\nNOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT,\nINDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n(INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON\nANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\nTORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF\nTHE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS\nGRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. GENERAL\nIf any provision of this Agreement is invalid or unenforceable under\napplicable law, it shall not affect the validity or enforceability of\nthe remainder of the terms of this Agreement, and without further\naction by the parties hereto, such provision shall be reformed to the\nminimum extent necessary to make such provision valid and enforceable.\n\nIf Recipient institutes patent litigation against a Contributor with\nrespect to a patent applicable to software (including a cross-claim\nor counterclaim in a lawsuit), then any patent licenses granted by\nthat Contributor to such Recipient under this Agreement shall\nterminate as of the date such litigation is filed. In addition, if\nRecipient institutes patent litigation against any entity (including\na cross-claim or counterclaim in a lawsuit) alleging that the Program\nitself (excluding combinations of the Program with other software or\nhardware) infringes such Recipient's patent(s), then such Recipient's\nrights granted under Section 2(b) shall terminate as of the date such\nlitigation is filed.\n\nAll Recipient's rights under this Agreement shall terminate if it\nfails to comply with any of the material terms or conditions of this\nAgreement and does not cure such failure in a reasonable period of\ntime after becoming aware of such noncompliance. If all Recipient's\nrights under this Agreement terminate, Recipient agrees to cease use\nand distribution of the Program as soon as reasonably practicable.\nHowever, Recipient's obligations under this Agreement and any\nlicenses granted by Recipient relating to the Program shall continue\nand survive.\n\nIBM may publish new versions (including revisions) of this Agreement\nfrom time to time. Each new version of the Agreement will be given a\ndistinguishing version number. The Program (including Contributions)\nmay always be distributed subject to the version of the Agreement\nunder which it was received. In addition, after a new version of the\nAgreement is published, Contributor may elect to distribute the\nProgram (including its Contributions) under the new version. No one\nother than IBM has the right to modify this Agreement. Except as\nexpressly stated in Sections 2(a) and 2(b) above, Recipient receives\nno rights or licenses to the intellectual property of any Contributor\nunder this Agreement, whether expressly, by implication, estoppel or\notherwise. All rights in the Program not expressly granted under\nthis Agreement are reserved.\n\nThis Agreement is governed by the laws of the State of New York and\nthe intellectual property laws of the United States of America. No\nparty to this Agreement will bring a legal action under this\nAgreement more than one year after the cause of action arose. Each\nparty waives its rights to a jury trial in any resulting litigation.\n"
		self.standardLicenseTemplate = "<<beginOptional>>IBM Public License Version 1.0\n\n<<endOptional>>\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS IBM\n\nPUBLIC LICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION\n\nOF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> DEFINITIONS\n\n   \"Contribution\" means:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> in the case of International Business Machines Corporation (\"IBM\"), the Original Program, and\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> in the case of each Contributor,\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> changes to the Program, and\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> additions to the Program; where such changes and/or additions to the Program originate from and are distributed by that particular Contributor. A Contribution 'originates' from a Contributor if it was added to the Program by such Contributor itself or anyone acting on such Contributor's behalf. Contributions do not include additions to the Program which:\n\n			<<var;name=\"bullet\";original=\"(i)\";match=\".{0,20}\">> are separate modules of software distributed in conjunction with\n\n			the Program under their own license agreement, and (ii) are not\n\n			derivative works of the Program.\n\n   \"Contributor\" means IBM and any other entity that distributes the Program.\n\n   \"Licensed Patents \" mean patent claims licensable by a Contributor which are necessarily infringed by the use or sale of its Contribution alone or when combined with the Program.\n\n   \"Original Program\" means the original version of the software accompanying this Agreement as released by IBM, including source code, object code and documentation, if any.\n\n   \"Program\" means the Original Program and Contributions.\n\n   \"Recipient\" means anyone who receives the Program under this Agreement, including all Contributors.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> GRANT OF RIGHTS\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, and such derivative works, in source code and object code form.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell, import and otherwise transfer the Contribution of such Contributor, if any, in source code and object code form. This patent license shall apply to the combination of the Contribution and the Program if, at the time the Contribution is added by the Contributor, such addition of the Contribution causes such combination to be covered by the Licensed Patents. The patent license shall not apply to any other combinations which include the Contribution. No hardware per se is licensed hereunder.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Recipient understands that although each Contributor grants the\n\n	  licenses to its Contributions set forth herein, no assurances are\n\n	  provided by any Contributor that the Program does not infringe the\n\n	  patent or other intellectual property rights of any other entity.\n\n	  Each Contributor disclaims any liability to Recipient for claims\n\n	  brought by any other entity based on infringement of intellectual\n\n	  property rights or otherwise. As a condition to exercising the\n\n	  rights and licenses granted hereunder, each Recipient hereby assumes\n\n	  sole responsibility to secure any other intellectual property rights\n\n	  needed, if any. For example, if a third party patent license is\n\n	  required to allow Recipient to distribute the Program, it is\n\n	  Recipient's responsibility to acquire that license before\n\n	  distributing the Program.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Each Contributor represents that to its knowledge it has\n\n	  sufficient copyright rights in its Contribution, if any, to grant the\n\n	  copyright license set forth in this Agreement.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> REQUIREMENTS\n\n   A Contributor may choose to distribute the Program in object code form under its own license agreement, provided that:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> it complies with the terms and conditions of this Agreement; and\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> its license agreement:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> effectively disclaims on behalf of all Contributors all warranties and conditions, express and implied, including warranties or conditions of title and non-infringement, and implied warranties or conditions of merchantability and fitness for a particular purpose;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> effectively excludes on behalf of all Contributors all liability for damages, including direct, indirect, special, incidental and consequential damages, such as lost profits;\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> states that any provisions which differ from this Agreement are offered by that Contributor alone and not by any other party; and\n\n		 <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> states that source code for the Program is available from such Contributor, and informs licensees how to obtain it in a reasonable manner on or through a medium customarily used for software exchange.\n\n   When the Program is made available in source code form:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> it must be made available under this Agreement; and\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> a copy of this Agreement must be included with each copy of the Program.\n\n   Each Contributor must include the following in a conspicuous location in the Program:\n\n   Copyright (C) 1996, 1999 International Business Machines Corporation and others. All Rights Reserved.\n\n   In addition, each Contributor must identify itself as the originator of its Contribution, if any, in a manner that reasonably allows subsequent Recipients to identify the originator of the Contribution.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> COMMERCIAL DISTRIBUTION\n\n   Commercial distributors of software may accept certain responsibilities with respect to end users, business partners and the like. While this license is intended to facilitate the commercial use of the Program, the Contributor who includes the Program in a commercial product offering should do so in a manner which does not create potential liability for other Contributors. Therefore, if a Contributor includes the Program in a commercial product offering, such Contributor (\"Commercial Contributor\") hereby agrees to defend and indemnify every other Contributor (\"Indemnified Contributor\") against any losses, damages and costs (collectively \"Losses\") arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Contributor to the extent caused by the acts or omissions of such Commercial Contributor in connection with its distribution of the Program in a commercial product offering. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the Commercial Contributor in writing of such claim, and b) allow the Commercial Contributor to control, and cooperate with the Commercial Contributor in, the defense and any related settlement negotiations. The Indemnified Contributor may participate in any such claim at its own expense.\n\n   For example, a Contributor might include the Program in a commercial product offering, Product X. That Contributor is then a Commercial Contributor. If that Commercial Contributor then makes performance claims, or offers warranties related to Product X, those performance claims and warranties are such Commercial Contributor's responsibility alone. Under this section, the Commercial Contributor would have to defend claims against the other Contributors related to those performance claims and warranties, and if a court requires any other Contributor to pay any damages as a result, the Commercial Contributor must pay those damages.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> NO WARRANTY\n\n   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness of using and distributing the Program and assumes all risks associated with its exercise of rights under this Agreement, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> DISCLAIMER OF LIABILITY\n\n   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> GENERAL\n\n   If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Agreement, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n   If Recipient institutes patent litigation against a Contributor with respect to a patent applicable to software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted by that Contributor to such Recipient under this Agreement shall terminate as of the date such litigation is filed. In addition, if Recipient institutes patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of the Program with other software or hardware) infringes such Recipient's patent(s), then such Recipient's rights granted under Section 2(b) shall terminate as of the date such litigation is filed.\n\n   All Recipient's rights under this Agreement shall terminate if it fails to comply with any of the material terms or conditions of this Agreement and does not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If all Recipient's rights under this Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as reasonably practicable. However, Recipient's obligations under this Agreement and any licenses granted by Recipient relating to the Program shall continue and survive.\n\n   IBM may publish new versions (including revisions) of this Agreement from time to time. Each new version of the Agreement will be given a distinguishing version number. The Program (including Contributions) may always be distributed subject to the version of the Agreement under which it was received. In addition, after a new version of the Agreement is published, Contributor may elect to distribute the Program (including its Contributions) under the new version. No one other than IBM has the right to modify this Agreement. Except as expressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights or licenses to the intellectual property of any Contributor under this Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not expressly granted under this Agreement are reserved.\n\n   This Agreement is governed by the laws of the State of New York and the intellectual property laws of the United States of America. No party to this Agreement will bring a legal action under this Agreement more than one year after the cause of action arose. Each party waives its rights to a jury trial in any resulting litigation.\n\n   "
		self.name = "IBM Public License v1.0"
		self.licenseComments = "This license was superseded by CPL."
		self.licenseId = "IPL-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/IPL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:39Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/IPL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>IBM Public License Version 1.0</p>\n\n	  </div>\n\n	  <p>THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS IBM\n		<br />\n\nPUBLIC LICENSE (&quot;AGREEMENT&quot;). ANY USE, REPRODUCTION OR DISTRIBUTION\n		<br />\n\nOF THE PROGRAM CONSTITUTES RECIPIENT&apos;S ACCEPTANCE OF THIS AGREEMENT.\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  DEFINITIONS\n			<br />\n\n   &quot;Contribution&quot; means:\n\n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				  in the case of International Business Machines Corporation (&quot;IBM&quot;), the Original Program, and\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				  in the case of each Contributor,\n				\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n					changes to the Program, and\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n					additions to the Program;\n					  where such changes and/or additions to the Program originate from and\n					  are distributed by that particular Contributor. A Contribution\n					  &apos;originates&apos; from a Contributor if it was added to the Program by\n					  such Contributor itself or anyone acting on such Contributor&apos;s\n					  behalf. Contributions do not include additions to the Program which:\n\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> (i)</var>\n						  are separate modules of software distributed in conjunction with\n							<br />\n\n			the Program under their own license agreement, and (ii) are not\n							<br />\n\n			derivative works of the Program.\n\n						</li>\n						\n</ul>\n					 </li>\n				  \n</ul>\n				</li>\n			\n</ul>\n			<p>&quot;Contributor&quot; means IBM and any other entity that distributes the Program.</p>\n\n			<p>&quot;Licensed Patents &quot; mean patent claims licensable by a\n			Contributor which are necessarily infringed by the use or sale of its\n			Contribution alone or when combined with the Program.\n		  </p>\n\n			<p>&quot;Original Program&quot; means the original version of the software\n			accompanying this Agreement as released by IBM, including source\n			code, object code and documentation, if any.\n		  </p>\n\n			<p>&quot;Program&quot; means the Original Program and Contributions.</p>\n\n			<p>&quot;Recipient&quot; means anyone who receives the Program under this\n			Agreement, including all Contributors.\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  GRANT OF RIGHTS\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  Subject to the terms of this Agreement, each Contributor hereby\n				grants Recipient a non-exclusive, worldwide, royalty-free copyright\n				license to reproduce, prepare derivative works of, publicly display,\n				publicly perform, distribute and sublicense the Contribution of such\n				Contributor, if any, and such derivative works, in source code and\n				object code form.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  Subject to the terms of this Agreement, each Contributor hereby\n				grants Recipient a non-exclusive, worldwide, royalty-free patent\n				license under Licensed Patents to make, use, sell, offer to sell,\n				import and otherwise transfer the Contribution of such Contributor,\n				if any, in source code and object code form. This patent license\n				shall apply to the combination of the Contribution and the Program\n				if, at the time the Contribution is added by the Contributor, such\n				addition of the Contribution causes such combination to be covered by\n				the Licensed Patents. The patent license shall not apply to any\n				other combinations which include the Contribution. No hardware per\n				se is licensed hereunder.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			  Recipient understands that although each Contributor grants the\n				<br />\n\n	  licenses to its Contributions set forth herein, no assurances are\n				<br />\n\n	  provided by any Contributor that the Program does not infringe the\n				<br />\n\n	  patent or other intellectual property rights of any other entity.\n				<br />\n\n	  Each Contributor disclaims any liability to Recipient for claims\n				<br />\n\n	  brought by any other entity based on infringement of intellectual\n				<br />\n\n	  property rights or otherwise. As a condition to exercising the\n				<br />\n\n	  rights and licenses granted hereunder, each Recipient hereby assumes\n				<br />\n\n	  sole responsibility to secure any other intellectual property rights\n				<br />\n\n	  needed, if any. For example, if a third party patent license is\n				<br />\n\n	  required to allow Recipient to distribute the Program, it is\n				<br />\n\n	  Recipient&apos;s responsibility to acquire that license before\n				<br />\n\n	  distributing the Program.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			  Each Contributor represents that to its knowledge it has\n				<br />\n\n	  sufficient copyright rights in its Contribution, if any, to grant the\n				<br />\n\n	  copyright license set forth in this Agreement.\n\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  REQUIREMENTS\n			<br />\n\n   A Contributor may choose to distribute\n			the Program in object code form under its own license agreement,\n			provided that:\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  it complies with the terms and conditions of this Agreement; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  its license agreement:\n				\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n					effectively disclaims on behalf of all Contributors all warranties\n					  and conditions, express and implied, including warranties or\n					  conditions of title and non-infringement, and implied warranties or\n					  conditions of merchantability and fitness for a particular purpose;\n\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n					effectively excludes on behalf of all Contributors all liability\n					  for damages, including direct, indirect, special, incidental and\n					  consequential damages, such as lost profits;\n\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> iii.</var>\n					states that any provisions which differ from this Agreement are\n					  offered by that Contributor alone and not by any other party; and\n\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> iv.</var>\n					states that source code for the Program is available from such\n					  Contributor, and informs licensees how to obtain it in a reasonable\n					  manner on or through a medium customarily used for software exchange.\n				  </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n			<p>When the Program is made available in source code form: </p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  it must be made available under this Agreement; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  a copy of this Agreement must be included with each copy of the Program.\n			</li>\n			\n</ul>\n			<p>Each Contributor must include the following in a conspicuous location in the Program:</p>\n\n			<p>Copyright (C) 1996, 1999 International Business Machines Corporation and others. All Rights Reserved.</p>\n\n			<p>In addition, each Contributor must identify itself as the originator\n			of its Contribution, if any, in a manner that reasonably allows\n			subsequent Recipients to identify the originator of the Contribution.\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  COMMERCIAL DISTRIBUTION\n			<br />\n\n   Commercial distributors of software may accept certain\n			responsibilities with respect to end users, business partners and the\n			like. While this license is intended to facilitate the commercial\n			use of the Program, the Contributor who includes the Program in a\n			commercial product offering should do so in a manner which does not\n			create potential liability for other Contributors. Therefore, if a\n			Contributor includes the Program in a commercial product offering,\n			such Contributor (&quot;Commercial Contributor&quot;) hereby agrees to defend\n			and indemnify every other Contributor (&quot;Indemnified Contributor&quot;)\n			against any losses, damages and costs (collectively &quot;Losses&quot;) arising\n			from claims, lawsuits and other legal actions brought by a third\n			party against the Indemnified Contributor to the extent caused by the\n			acts or omissions of such Commercial Contributor in connection with\n			its distribution of the Program in a commercial product offering.\n			The obligations in this section do not apply to any claims or Losses\n			relating to any actual or alleged intellectual property infringement.\n			In order to qualify, an Indemnified Contributor must: a) promptly\n			notify the Commercial Contributor in writing of such claim, and b)\n			allow the Commercial Contributor to control, and cooperate with the\n			Commercial Contributor in, the defense and any related settlement\n			negotiations. The Indemnified Contributor may participate in any\n			such claim at its own expense.\n\n		  <p>For example, a Contributor might include the Program in a commercial\n			product offering, Product X. That Contributor is then a Commercial\n			Contributor. If that Commercial Contributor then makes performance\n			claims, or offers warranties related to Product X, those performance\n			claims and warranties are such Commercial Contributor&apos;s\n			responsibility alone. Under this section, the Commercial Contributor\n			would have to defend claims against the other Contributors related to\n			those performance claims and warranties, and if a court requires any\n			other Contributor to pay any damages as a result, the Commercial\n			Contributor must pay those damages.\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  NO WARRANTY\n			<br />\n\n   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS\n			PROVIDED ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\n			KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY\n			WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY\n			OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely\n			responsible for determining the appropriateness of using and\n			distributing the Program and assumes all risks associated with its\n			exercise of rights under this Agreement, including but not limited to\n			the risks and costs of program errors, compliance with applicable\n			laws, damage to or loss of data, programs or equipment, and\n			unavailability or interruption of operations.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  DISCLAIMER OF LIABILITY\n			<br />\n\n   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT\n			NOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT,\n			INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n			(INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON\n			ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n			TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF\n			THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS\n			GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  GENERAL\n			<br />\n\n   If any provision of this Agreement is invalid or unenforceable under\n			applicable law, it shall not affect the validity or enforceability of\n			the remainder of the terms of this Agreement, and without further\n			action by the parties hereto, such provision shall be reformed to the\n			minimum extent necessary to make such provision valid and enforceable.\n\n		  <p>If Recipient institutes patent litigation against a Contributor with\n			respect to a patent applicable to software (including a cross-claim\n			or counterclaim in a lawsuit), then any patent licenses granted by\n			that Contributor to such Recipient under this Agreement shall\n			terminate as of the date such litigation is filed. In addition, if\n			Recipient institutes patent litigation against any entity (including\n			a cross-claim or counterclaim in a lawsuit) alleging that the Program\n			itself (excluding combinations of the Program with other software or\n			hardware) infringes such Recipient&apos;s patent(s), then such Recipient&apos;s\n			rights granted under Section 2(b) shall terminate as of the date such\n			litigation is filed.\n		  </p>\n\n			<p>All Recipient&apos;s rights under this Agreement shall terminate if it\n			fails to comply with any of the material terms or conditions of this\n			Agreement and does not cure such failure in a reasonable period of\n			time after becoming aware of such noncompliance. If all Recipient&apos;s\n			rights under this Agreement terminate, Recipient agrees to cease use\n			and distribution of the Program as soon as reasonably practicable.\n			However, Recipient&apos;s obligations under this Agreement and any\n			licenses granted by Recipient relating to the Program shall continue\n			and survive.\n		  </p>\n\n			<p>IBM may publish new versions (including revisions) of this Agreement\n			from time to time. Each new version of the Agreement will be given a\n			distinguishing version number. The Program (including Contributions)\n			may always be distributed subject to the version of the Agreement\n			under which it was received. In addition, after a new version of the\n			Agreement is published, Contributor may elect to distribute the\n			Program (including its Contributions) under the new version. No one\n			other than IBM has the right to modify this Agreement. Except as\n			expressly stated in Sections 2(a) and 2(b) above, Recipient receives\n			no rights or licenses to the intellectual property of any Contributor\n			under this Agreement, whether expressly, by implication, estoppel or\n			otherwise. All rights in the Program not expressly granted under\n			this Agreement are reserved.\n		  </p>\n\n			<p>This Agreement is governed by the laws of the State of New York and\n			the intellectual property laws of the United States of America. No\n			party to this Agreement will bring a legal action under this\n			Agreement more than one year after the cause of action arose. Each\n			party waives its rights to a jury trial in any resulting litigation.\n		  </p>\n\n		 </li>\n	  \n</ul>\n	"
		self.python_name = "IPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class OGLUK10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Open Government Licence v1.0\n\nYou are encouraged to use and re-use the Information that is available under this licence, the Open Government Licence, freely and flexibly, with only a few conditions.\nUsing information under this licence\n\nUse of copyright and database right material expressly made available under this licence (the \u2018Information\u2019) indicates your acceptance of the terms and conditions below.\n\nThe Licensor grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information subject to the conditions below.\n\nThis licence does not affect your freedom under fair dealing or fair use or any other copyright or database right exceptions and limitations.\n\nYou are free to:\n\t\tcopy, publish, distribute and transmit the Information;\n\t\tadapt the Information;\n\t\texploit the Information commercially for example, by combining it with other Information, or by including it in your own product or application.\n\nYou must, where you do any of the above:\n\t\tacknowledge the source of the Information by including any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence;\n\t\t If the Information Provider does not provide a specific attribution statement, or if you are using Information from several Information Providers and multiple attributions are not practical in your product or application, you may consider using the following: Contains public sector information licensed under the Open Government Licence v1.0.\n\t\tensure that you do not use the Information in a way that suggests any official status or that the Information Provider endorses you or your use of the Information;\n\t\tensure that you do not mislead others or misrepresent the Information or its source;\n\t\tensure that your use of the Information does not breach the Data Protection Act 1998 or the Privacy and Electronic Communications (EC Directive) Regulations 2003.\n\nThese are important conditions of this licence and if you fail to comply with them the rights granted to you under this licence, or any similar licence granted by the Licensor, will end automatically.\n\n Exemptions\n\nThis licence does not cover the use of:\n\t- personal data in the Information;\n\t- Information that has neither been published nor disclosed under information access legislation (including the Freedom of Information Acts for the UK and Scotland) by or with the consent of the Information Provider;\n\t- departmental or public sector organisation logos, crests and the Royal Arms except where they form an integral part of a document or dataset;\n\t- military insignia;\n\t- third party rights the Information Provider is not authorised to license;\n\t- Information subject to other intellectual property rights, including patents, trademarks, and design rights; and\n\t- identity documents such as the British Passport.\n\nNo warranty\n\nThe Information is licensed \u2018as is\u2019 and the Information Provider excludes all representations, warranties, obligations and liabilities in relation to the Information to the maximum extent permitted by law.\n\nThe Information Provider is not liable for any errors or omissions in the Information and shall not be liable for any loss, injury or damage of any kind caused by its use. The Information Provider does not guarantee the continued supply of the Information.\n\nGoverning Law\n\nThis licence is governed by the laws of the jurisdiction in which the Information Provider has its principal place of business, unless otherwise specified by the Information Provider.\n\nDefinitions\n\nIn this licence, the terms below have the following meanings:\n\n\u2018Information\u2019 means information protected by copyright or by database right (for example, literary and artistic works, content, data and source code) offered for use under the terms of this licence.\n\n\u2018Information Provider\u2019 means the person or organisation providing the Information under this licence.\n\n\u2018Licensor\u2019 means any Information Provider which has the authority to offer Information under the terms of this licence or the Controller of Her Majesty\u2019s Stationery Office, who has the authority to offer Information subject to Crown copyright and Crown database rights and Information subject to copyright and database right that has been assigned to or acquired by the Crown, under the terms of this licence.\n\n\u2018Use\u2019 as a verb, means doing any act which is restricted by copyright or database right, whether in the original medium or in any other medium, and includes without limitation distributing, copying, adapting, modifying as may be technically necessary to use it in a different mode or format.\n\n\u2018You\u2019 means the natural or legal person, or body of persons corporate or incorporate, acquiring rights under this licence.\n\nAbout the Open Government Licence\nThe Controller of Her Majesty\u2019s Stationery Office (HMSO) has developed this licence as a tool to enable Information Providers in the public sector to license the use and re-use of their Information under a common open licence. The Controller invites public sector bodies owning their own copyright and database rights to permit the use of their Information under this licence.\n\nThe Controller of HMSO has authority to license Information subject to copyright and database right owned by the Crown. The extent of the Controller\u2019s offer to license this Information under the terms of this licence is set out in the UK Government Licensing Framework.\n\nThis is version 1.0 of the Open Government Licence. The Controller of HMSO may, from time to time, issue new versions of the Open Government Licence. However, you may continue to use Information licensed under this version should you wish to do so.\nThese terms have been aligned to be interoperable with any Creative Commons Attribution Licence, which covers copyright, and Open Data Commons Attribution License, which covers database rights and applicable copyrights.\n\nFurther context, best practice and guidance can be found in the UK Government Licensing Framework section on The National Archives website.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Open Government Licence v1.0<<endOptional>>\n\nYou are encouraged to use and re-use the Information that is available under this licence, the Open Government Licence, freely and flexibly, with only a few conditions.\n\nUsing Information under this licence\n\nUse of copyright and database right material expressly made available under this licence (the 'Information') indicates your acceptance of the terms and conditions below.\n\nThe Licensor grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information subject to the conditions below.\n\nThis licence does not affect your freedom under fair dealing or fair use or any other copyright or database right exceptions and limitations.\n\nYou are free to:\n\n   copy, publish, distribute and transmit the Information;\n\n   adapt the Information;\n\n   exploit the Information commercially for example, by combining it with other Information, or by including it in your own product or application.\n\nYou must, where you do any of the above:\n\n   acknowledge the source of the Information by including any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence;\n\n   If the Information Provider does not provide a specific attribution statement, or if you are using Information from several Information Providers and multiple attributions are not practical in your product or application, you may consider using the following:\n\n   Contains public sector information licensed under the Open Government Licence v1.0.\n\n   ensure that you do not use the Information in a way that suggests any official status or that the Information Provider endorses you or your use of the Information;\n\n   ensure that you do not mislead others or misrepresent the Information or its source;\n\n   ensure that your use of the Information does not breach the Data Protection Act 1998 or the Privacy and Electronic Communications (EC Directive) Regulations 2003.\n\nThese are important conditions of this licence and if you fail to comply with them the rights granted to you under this licence, or any similar licence granted by the Licensor, will end automatically.\n\nExemptions\n\nThis licence does not cover the use of:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> personal data in the Information;\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Information that has neither been published nor disclosed under information access legislation (including the Freedom of Information Acts for the UK and Scotland) by or with the consent of the Information Provider;\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> departmental or public sector organisation logos, crests and the Royal Arms except where they form an integral part of a document or dataset;\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> military insignia;\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> third party rights the Information Provider is not authorised to license;\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Information subject to other intellectual property rights, including patents, trademarks, and design rights; and\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> identity documents such as the British Passport.\n\nNo warranty\n\nThe Information is licensed 'as is' and the Information Provider excludes all representations, warranties, obligations and liabilities in relation to the Information to the maximum extent permitted by law.\n\nThe Information Provider is not liable for any errors or omissions in the Information and shall not be liable for any loss, injury or damage of any kind caused by its use. The Information Provider does not guarantee the continued supply of the Information.\n\nGoverning Law\n\nThis licence is governed by the laws of the jurisdiction in which the Information Provider has its principal place of business, unless otherwise specified by the Information Provider.\n\nDefinitions\n\nIn this licence, the terms below have the following meanings:\n\n   'Information' means information protected by copyright or by database right (for example, literary and artistic works, content, data and source code) offered for use under the terms of this licence.\n\n   'Information Provider' means the person or organisation providing the Information under this licence.\n\n   'Licensor' means any Information Provider which has the authority to offer Information under the terms of this licence or the Controller of Her Majesty's Stationery Office, who has the authority to offer Information subject to Crown copyright and Crown database rights and Information subject to copyright and database right that has been assigned to or acquired by the Crown, under the terms of this licence.\n\n   'Use' as a verb, means doing any act which is restricted by copyright or database right, whether in the original medium or in any other medium, and includes without limitation distributing, copying, adapting, modifying as may be technically necessary to use it in a different mode or format.\n\n   'You' means the natural or legal person, or body of persons corporate or incorporate, acquiring rights under this licence.\n\nAbout the Open Government Licence\n\nThe Controller of Her Majesty's Stationery Office (HMSO) has developed this licence as a tool to enable Information Providers in the public sector to license the use and re-use of their Information under a common open licence. The Controller invites public sector bodies owning their own copyright and database rights to permit the use of their Information under this licence.\n\nThe Controller of HMSO has authority to license Information subject to copyright and database right owned by the Crown. The extent of the Controller's offer to license this Information under the terms of this licence is set out in the UK Government Licensing Framework.\n\nThis is version 1.0 of the Open Government Licence. The Controller of HMSO may, from time to time, issue new versions of the Open Government Licence. However, you may continue to use Information licensed under this version should you wish to do so.\n\nThese terms have been aligned to be interoperable with any Creative Commons Attribution Licence, which covers copyright, and Open Data Commons Attribution License, which covers database rights and applicable copyrights.\n\nFurther context, best practice and guidance can be found in the UK Government Licensing Framework section on The National Archives website.\n\n"
		self.name = "Open Government Licence v1.0"
		self.licenseId = "OGL-UK-1.0"
		self.crossRef = [{"match": "False", "url": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/1/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:01Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.nationalarchives.gov.uk/doc/open-government-licence/version/1/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<var class=\"optional-license-text\"> Open Government Licence v1.0</var>\n			<p>You are encouraged to use and re-use the Information that is available under this licence, the Open Government Licence, freely and flexibly, with only a few conditions.</p>\n\n			<p>Using Information under this licence</p>\n\n			<p>Use of copyright and database right material expressly made available under this licence (the &apos;Information&apos;) indicates your acceptance of the terms and conditions below.</p>\n\n			<p>The Licensor grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information subject to the conditions below.</p>\n\n			<p>This licence does not affect your freedom under fair dealing or fair use or any other copyright or database right exceptions and limitations.</p>\n\n			<p>You are free to:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>copy, publish, distribute and transmit the Information;</li>\n				\n<li>adapt the Information;</li>\n				\n<li>exploit the Information commercially for example, by combining it with other Information, or by including it in your own product or application.</li>\n			\n</ul>\n			<p>You must, where you do any of the above:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>acknowledge the source of the Information by including any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence;\n					<p>  If the Information Provider does not provide a specific attribution statement, or if you are using Information from several Information Providers and multiple attributions are not practical in your product or application, you may consider using the following:\n						<br />\n\n   Contains public sector information licensed under the Open Government Licence v1.0.\n					</p>\n\n				</li>\n				\n<li>ensure that you do not use the Information in a way that suggests any official status or that the Information Provider endorses you or your use of the Information;</li>\n				\n<li>ensure that you do not mislead others or misrepresent the Information or its source;</li>\n				\n<li>ensure that your use of the Information does not breach the Data Protection Act 1998 or the Privacy and Electronic Communications (EC Directive) Regulations 2003.</li>\n			\n</ul>\n			<p>These are important conditions of this licence and if you fail to comply with them the rights granted to you under this licence, or any similar licence granted by the Licensor, will end automatically.</p>\n\n			<p>Exemptions</p>\n\n			<p>This licence does not cover the use of:</p>\n\n<ul style=\"list-style:none\">\n				\n<li><var class=\"replaceable-license-text\"> -</var> personal data in the Information;</li>\n				\n<li><var class=\"replaceable-license-text\"> -</var> Information that has neither been published nor disclosed under information access legislation (including the Freedom of Information Acts for the UK and Scotland) by or with the consent of the Information Provider;</li>\n				\n<li><var class=\"replaceable-license-text\"> -</var> departmental or public sector organisation logos, crests and the Royal Arms except where they form an integral part of a document or dataset;</li>\n				\n<li><var class=\"replaceable-license-text\"> -</var> military insignia;</li>\n				\n<li><var class=\"replaceable-license-text\"> -</var> third party rights the Information Provider is not authorised to license;</li>\n				\n<li><var class=\"replaceable-license-text\"> -</var> Information subject to other intellectual property rights, including patents, trademarks, and design rights; and</li>\n				\n<li><var class=\"replaceable-license-text\"> -</var> identity documents such as the British Passport.</li>\n			\n</ul>\n			<p>No warranty</p>\n\n			<p>The Information is licensed &apos;as is&apos; and the Information Provider excludes all representations, warranties, obligations and liabilities in relation to the Information to the maximum extent permitted by law.</p>\n\n			<p>The Information Provider is not liable for any errors or omissions in the Information and shall not be liable for any loss, injury or damage of any kind caused by its use. The Information Provider does not guarantee the continued supply of the Information.</p>\n\n			<p>Governing Law</p>\n\n			<p>This licence is governed by the laws of the jurisdiction in which the Information Provider has its principal place of business, unless otherwise specified by the Information Provider.</p>\n\n			<p>Definitions</p>\n\n			<p>In this licence, the terms below have the following meanings:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>&apos;Information&apos; means information protected by copyright or by database right (for example, literary and artistic works, content, data and source code) offered for use under the terms of this licence.</li>\n				\n<li>&apos;Information Provider&apos; means the person or organisation providing the Information under this licence.</li>\n				\n<li>&apos;Licensor&apos; means any Information Provider which has the authority to offer Information under the terms of this licence or the Controller of Her Majesty&apos;s Stationery Office, who has the authority to offer Information subject to Crown copyright and Crown database rights and Information subject to copyright and database right that has been assigned to or acquired by the Crown, under the terms of this licence.</li>\n				\n<li>&apos;Use&apos; as a verb, means doing any act which is restricted by copyright or database right, whether in the original medium or in any other medium, and includes without limitation distributing, copying, adapting, modifying as may be technically necessary to use it in a different mode or format.</li>\n				\n<li>&apos;You&apos; means the natural or legal person, or body of persons corporate or incorporate, acquiring rights under this licence.</li>\n			\n</ul>\n			<p>About the Open Government Licence</p>\n\n			<p>The Controller of Her Majesty&apos;s Stationery Office (HMSO) has developed this licence as a tool to enable Information Providers in the public sector to license the use and re-use of their Information under a common open licence. The Controller invites public sector bodies owning their own copyright and database rights to permit the use of their Information under this licence.</p>\n\n			<p>The Controller of HMSO has authority to license Information subject to copyright and database right owned by the Crown. The extent of the Controller&apos;s offer to license this Information under the terms of this licence is set out in the UK Government Licensing Framework.</p>\n\n			<p>This is version 1.0 of the Open Government Licence. The Controller of HMSO may, from time to time, issue new versions of the Open Government Licence. However, you may continue to use Information licensed under this version should you wish to do so.</p>\n\n			<p>These terms have been aligned to be interoperable with any Creative Commons Attribution Licence, which covers copyright, and Open Data Commons Attribution License, which covers database rights and applicable copyrights.</p>\n\n			<p>Further context, best practice and guidance can be found in the UK Government Licensing Framework section on The National Archives website.</p>\n\n		"
		self.python_name = "OGLUK10"

	def __str__(self):
		return json.dumps(self.__dict__)


class Linuxmanpagescopyleftvar:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Permission is granted to make and distribute verbatim copies of \nthis manual provided the copyright notice and this permission \nnotice are preserved on all copies.\n\nPermission is granted to copy and distribute modified versions of \nthis manual under the conditions for verbatim copying, provided \nthat the entire resulting derived work is distributed under the \nterms of a permission notice identical to this one.\n\nSince the Linux kernel and libraries are constantly changing, this \nmanual page may be incorrect or out-of-date. The author(s) assume \nno responsibility for errors or omissions, or for damages resulting \nfrom the use of the information contained herein.\n\nFormatted or processed versions of this manual, if unaccompanied by \nthe source, must acknowledge the copyright and authors of this work.\n"
		self.standardLicenseTemplate = "Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.\n\nPermission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.\n\nSince the Linux kernel and libraries are constantly changing, this manual page may be incorrect or out-of-date. The author(s) assume no responsibility for errors or omissions, or for damages resulting from the use of the information contained herein.\n\nFormatted or processed versions of this manual, if unaccompanied by the source, must acknowledge the copyright and authors of this work.\n\n"
		self.name = "Linux man-pages Copyleft Variant"
		self.licenseComments = "This is the same as Linux-man-pages-copyleft but omits the last sentence of the third paragraph."
		self.licenseId = "Linux-man-pages-copyleft-var"
		self.crossRef = [{"match": "False", "url": "https://git.kernel.org/pub/scm/docs/man-pages/man-pages.git/tree/man2/set_mempolicy.2#n5", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:36Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://git.kernel.org/pub/scm/docs/man-pages/man-pages.git/tree/man2/set_mempolicy.2#n5"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			Permission is granted to make and distribute verbatim\n			copies of this manual provided the copyright notice\n			and this permission notice are preserved on all copies.\n		 </p>\n\n		 <p>\n			Permission is granted to copy and distribute modified versions\n			of this manual under the conditions for verbatim copying,\n			provided that the entire resulting derived work is distributed\n			under the terms of a permission notice identical to this one.\n		 </p>\n\n		 <p>\n			Since the Linux kernel and libraries are constantly changing,\n			this manual page may be incorrect or out-of-date. The author(s)\n			assume no responsibility for errors or omissions, or for damages\n			resulting from the use of the information contained herein.\n		 </p>\n\n		 <p>\n			Formatted or processed versions of this manual, if unaccompanied by\n			the source, must acknowledge the copyright and authors of this work.\n		 </p>\n\n	  "
		self.python_name = "Linuxmanpagescopyleftvar"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCSA40:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International\n\n Creative Commons Corporation (\u201cCreative Commons\u201d) is not a law firm and does not provide legal services or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or other relationship. Creative Commons makes its licenses and related information available on an \u201cas-is\u201d basis. Creative Commons gives no warranties regarding its licenses, any material licensed under their terms and conditions, or any related information. Creative Commons disclaims all liability for damages resulting from their use to the fullest extent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions that creators and other rights holders may use to share original works of authorship and other material subject to copyright and certain other rights specified in the public license below. The following considerations are for informational purposes only, are not exhaustive, and do not form part of our licenses.\n\nConsiderations for licensors: Our public licenses are intended for use by those authorized to give the public permission to use material in ways otherwise restricted by copyright and certain other rights. Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the license they choose before applying it. Licensors should also secure all rights necessary before applying our licenses so that the public can reuse the material as expected. Licensors should clearly mark any material not subject to the license. This includes other CC-licensed material, or material used under an exception or limitation to copyright. More considerations for licensors.\n\nConsiderations for the public: By using one of our public licenses, a licensor grants the public permission to use the licensed material under specified terms and conditions. If the licensor\u2019s permission is not necessary for any reason\u2013for example, because of any applicable exception or limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only permissions under copyright and certain other rights that a licensor has authority to grant. Use of the licensed material may still be restricted for other reasons, including because others have copyright or other rights in the material. A licensor may make special requests, such as asking that all changes be marked or described. Although not required by our licenses, you are encouraged to respect those requests where reasonable. More considerations for the public.\n\nCreative Commons Attribution-NonCommercial-ShareAlike 4.0 International Public License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and conditions of this Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International Public License (\"Public License\"). To the extent this Public License may be interpreted as a contract, You are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the Licensor grants You such rights in consideration of benefits the Licensor receives from making the Licensed Material available under these terms and conditions.\n\nSection 1 \u2013 Definitions.\n\n	 a.\tAdapted Material means material subject to Copyright and Similar Rights that is derived from or based upon the Licensed Material and in which the Licensed Material is translated, altered, arranged, transformed, or otherwise modified in a manner requiring permission under the Copyright and Similar Rights held by the Licensor. For purposes of this Public License, where the Licensed Material is a musical work, performance, or sound recording, Adapted Material is always produced where the Licensed Material is synched in timed relation with a moving image.\n\n	 b.\tAdapter's License means the license You apply to Your Copyright and Similar Rights in Your contributions to Adapted Material in accordance with the terms and conditions of this Public License.\n\n	 c.\tBY-NC-SA Compatible License means a license listed at creativecommons.org/compatiblelicenses, approved by Creative Commons as essentially the equivalent of this Public License.\n\n	 d.\tCopyright and Similar Rights means copyright and/or similar rights closely related to copyright including, without limitation, performance, broadcast, sound recording, and Sui Generis Database Rights, without regard to how the rights are labeled or categorized. For purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\n	 e.\tEffective Technological Measures means those measures that, in the absence of proper authority, may not be circumvented under laws fulfilling obligations under Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international agreements.\n\n	 f.\tExceptions and Limitations means fair use, fair dealing, and/or any other exception or limitation to Copyright and Similar Rights that applies to Your use of the Licensed Material.\n\n	 g.\tLicense Elements means the license attributes listed in the name of a Creative Commons Public License. The License Elements of this Public License are Attribution, NonCommercial, and ShareAlike.\n\n	 h.\tLicensed Material means the artistic or literary work, database, or other material to which the Licensor applied this Public License.\n\n	 i.\tLicensed Rights means the rights granted to You subject to the terms and conditions of this Public License, which are limited to all Copyright and Similar Rights that apply to Your use of the Licensed Material and that the Licensor has authority to license.\n\n	 j.\tLicensor means the individual(s) or entity(ies) granting rights under this Public License.\n\n	 k.\tNonCommercial means not primarily intended for or directed towards commercial advantage or monetary compensation. For purposes of this Public License, the exchange of the Licensed Material for other material subject to Copyright and Similar Rights by digital file-sharing or similar means is NonCommercial provided there is no payment of monetary compensation in connection with the exchange.\n\n	 l.\tShare means to provide material to the public by any means or process that requires permission under the Licensed Rights, such as reproduction, public display, public performance, distribution, dissemination, communication, or importation, and to make material available to the public including in ways that members of the public may access the material from a place and at a time individually chosen by them.\n\n	 m.\tSui Generis Database Rights means rights other than copyright resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other essentially equivalent rights anywhere in the world.\n\n	 n.\tYou means the individual or entity exercising the Licensed Rights under this Public License. Your has a corresponding meaning.\n\nSection 2 \u2013 Scope.\n\n	 a.\tLicense grant.\n\n		  1. Subject to the terms and conditions of this Public License, the Licensor hereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license to exercise the Licensed Rights in the Licensed Material to:\n\n			   A. reproduce and Share the Licensed Material, in whole or in part, for NonCommercial purposes only; and\n\n			   B. produce, reproduce, and Share Adapted Material for NonCommercial purposes only.\n\n		  2. Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations apply to Your use, this Public License does not apply, and You do not need to comply with its terms and conditions.\n\n		  3. Term. The term of this Public License is specified in Section 6(a).\n\n		  4. Media and formats; technical modifications allowed. The Licensor authorizes You to exercise the Licensed Rights in all media and formats whether now known or hereafter created, and to make technical modifications necessary to do so. The Licensor waives and/or agrees not to assert any right or authority to forbid You from making technical modifications necessary to exercise the Licensed Rights, including technical modifications necessary to circumvent Effective Technological Measures. For purposes of this Public License, simply making modifications authorized by this Section 2(a)(4) never produces Adapted Material.\n\n		  5. Downstream recipients.\n\n			   A. Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material automatically receives an offer from the Licensor to exercise the Licensed Rights under the terms and conditions of this Public License.\n\n			   B. Additional offer from the Licensor \u2013 Adapted Material. Every recipient of Adapted Material from You automatically receives an offer from the Licensor to exercise the Licensed Rights in the Adapted Material under the conditions of the Adapter\u2019s License You apply.\n\n			   C. No downstream restrictions. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, the Licensed Material if doing so restricts exercise of the Licensed Rights by any recipient of the Licensed Material.\n\n		  6. No endorsement. Nothing in this Public License constitutes or may be consTrued as permission to assert or imply that You are, or that Your use of the Licensed Material is, connected with, or sponsored, endorsed, or granted official status by, the Licensor or others designated to receive attribution as provided in Section 3(a)(1)(A)(i).\n\n	 b.\tOther rights.\n\n		  1. Moral rights, such as the right of integrity, are not licensed under this Public License, nor are publicity, privacy, and/or other similar personality rights; however, to the extent possible, the Licensor waives and/or agrees not to assert any such rights held by the Licensor to the limited extent necessary to allow You to exercise the Licensed Rights, but not otherwise.\n\n		  2. Patent and trademark rights are not licensed under this Public License.\n\n		  3. To the extent possible, the Licensor waives any right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary or waivable statutory or compulsory licensing scheme. In all other cases the Licensor expressly reserves any right to collect such royalties, including when the Licensed Material is used other than for NonCommercial purposes.\n\nSection 3 \u2013 License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following conditions.\n\n	 a.\tAttribution.\n\n		  1. If You Share the Licensed Material (including in modified form), You must:\n\n			   A. retain the following if it is supplied by the Licensor with the Licensed Material:\n\n					i.\tidentification of the creator(s) of the Licensed Material and any others designated to receive attribution, in any reasonable manner requested by the Licensor (including by pseudonym if designated);\n\n					ii.\ta copyright notice;\n\n					iii. a notice that refers to this Public License;\n\n					iv.\ta notice that refers to the disclaimer of warranties;\n\n					v.\ta URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\n			   B. indicate if You modified the Licensed Material and retain an indication of any previous modifications; and\n\n			   C. indicate the Licensed Material is licensed under this Public License, and include the text of, or the URI or hyperlink to, this Public License.\n\n		  2. You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the medium, means, and context in which You Share the Licensed Material. For example, it may be reasonable to satisfy the conditions by providing a URI or hyperlink to a resource that includes the required information.\n\n		  3. If requested by the Licensor, You must remove any of the information required by Section 3(a)(1)(A) to the extent reasonably practicable.\n\n	 b.\tShareAlike.In addition to the conditions in Section 3(a), if You Share Adapted Material You produce, the following conditions also apply.\n\n		  1. The Adapter\u2019s License You apply must be a Creative Commons license with the same License Elements, this version or later, or a BY-NC-SA Compatible License.\n\n		  2. You must include the text of, or the URI or hyperlink to, the Adapter's License You apply. You may satisfy this condition in any reasonable manner based on the medium, means, and context in which You Share Adapted Material.\n\n		  3. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, Adapted Material that restrict exercise of the rights granted under the Adapter's License You apply.\n\nSection 4 \u2013 Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to Your use of the Licensed Material:\n\n	 a.\tfor the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse, reproduce, and Share all or a substantial portion of the contents of the database for NonCommercial purposes only;\n\n	 b.\tif You include all or a substantial portion of the database contents in a database in which You have Sui Generis Database Rights, then the database in which You have Sui Generis Database Rights (but not its individual contents) is Adapted Material, including for purposes of Section 3(b); and\n\n	 c.\tYou must comply with the conditions in Section 3(a) if You Share all or a substantial portion of the contents of the database.\nFor the avoidance of doubt, this Section 4 supplements and does not replace Your obligations under this Public License where the Licensed Rights include other Copyright and Similar Rights.\n\nSection 5 \u2013 Disclaimer of Warranties and Limitation of Liability.\n\n	 a.\tUnless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor offers the Licensed Material as-is and as-available, and makes no representations or warranties of any kind concerning the Licensed Material, whether express, implied, statutory, or other. This includes, without limitation, warranties of title, merchantability, fitness for a particular purpose, non-infringement, absence of latent or other defects, accuracy, or the presence or absence of errors, whether or not known or discoverable. Where disclaimers of warranties are not allowed in full or in part, this disclaimer may not apply to You.\n\n	 b.\tTo the extent possible, in no event will the Licensor be liable to You on any legal theory (including, without limitation, negligence) or otherwise for any direct, special, indirect, incidental, consequential, punitive, exemplary, or other losses, costs, expenses, or damages arising out of this Public License or use of the Licensed Material, even if the Licensor has been advised of the possibility of such losses, costs, expenses, or damages. Where a limitation of liability is not allowed in full or in part, this limitation may not apply to You.\n\n	 c.\tThe disclaimer of warranties and limitation of liability provided above shall be interpreted in a manner that, to the extent possible, most closely approximates an absolute disclaimer and waiver of all liability.\n\nSection 6 \u2013 Term and Termination.\n\n	 a.\tThis Public License applies for the term of the Copyright and Similar Rights licensed here. However, if You fail to comply with this Public License, then Your rights under this Public License terminate automatically.\n\n	 b.\tWhere Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n\n		  1.\tautomatically as of the date the violation is cured, provided it is cured within 30 days of Your discovery of the violation; or\n\n		  2.\tupon express reinstatement by the Licensor.\n\n	 For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have to seek remedies for Your violations of this Public License.\n\n	 c.\tFor the avoidance of doubt, the Licensor may also offer the Licensed Material under separate terms or conditions or stop distributing the Licensed Material at any time; however, doing so will not terminate this Public License.\n\n	 d.\tSections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\nSection 7 \u2013 Other Terms and Conditions.\n\n	 a.\tThe Licensor shall not be bound by any additional or different terms or conditions communicated by You unless expressly agreed.\n\n	 b.\tAny arrangements, understandings, or agreements regarding the Licensed Material not stated herein are separate from and independent of the terms and conditions of this Public License.\n\nSection 8 \u2013 Interpretation.\n\n	 a.\tFor the avoidance of doubt, this Public License does not, and shall not be interpreted to, reduce, limit, restrict, or impose conditions on any use of the Licensed Material that could lawfully be made without permission under this Public License.\n\n	 b.\tTo the extent possible, if any provision of this Public License is deemed unenforceable, it shall be automatically reformed to the minimum extent necessary to make it enforceable. If the provision cannot be reformed, it shall be severed from this Public License without affecting the enforceability of the remaining terms and conditions.\n\n	 c.\tNo term or condition of this Public License will be waived and no failure to comply consented to unless expressly agreed to by the Licensor.\n\n	 d.\tNothing in this Public License constitutes or may be interpreted as a limitation upon, or waiver of, any privileges and immunities that apply to the Licensor or You, including from the legal processes of any jurisdiction or authority.\n\nCreative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to apply one of its public licenses to material it publishes and in those instances will be considered the \u201cLicensor.\u201d Except for the limited purpose of indicating that material is shared under a Creative Commons public license or as otherwise permitted by the Creative Commons policies published at creativecommons.org/policies, Creative Commons does not authorize the use of the trademark \u201cCreative Commons\u201d or any other trademark or logo of Creative Commons without its prior written consent including, without limitation, in connection with any unauthorized modifications to any of its public licenses or any other arrangements, understandings, or agreements concerning use of licensed material. For the avoidance of doubt, this paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<beginOptional>>Creative Commons<<endOptional>> Attribution-NonCommercial-ShareAlike 4.0 International\n\n<<endOptional>><<beginOptional>> Creative Commons Corporation (\"Creative Commons\") is not a law firm and does not provide legal services or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or other relationship. Creative Commons makes its licenses and related information available on an \"as-is\" basis. Creative Commons gives no warranties regarding its licenses, any material licensed under their terms and conditions, or any related information. Creative Commons disclaims all liability for damages resulting from their use to the fullest extent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions that creators and other rights holders may use to share original works of authorship and other material subject to copyright and certain other rights specified in the public license below. The following considerations are for informational purposes only, are not exhaustive, and do not form part of our licenses.\n\nConsiderations for licensors: Our public licenses are intended for use by those authorized to give the public permission to use material in ways otherwise restricted by copyright and certain other rights. Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the license they choose before applying it. Licensors should also secure all rights necessary before applying our licenses so that the public can reuse the material as expected. Licensors should clearly mark any material not subject to the license. This includes other <<var;name=\"ccLicensed\";original=\"\";match=\"CC-[ \\t\\r\\n\\f]{0,10}licensed\">> material, or material used under an exception or limitation to copyright. More considerations for licensors <<var;name=\"considerationsLicensors\";original=\": wiki.creativecommons.org/Considerations_for_licensors\";match=\":[ \\t\\r\\n\\f]{1,10}wiki\\.creativecommons\\.org/Considerations_for_licensors|\\.\">>\n\nConsiderations for the public: By using one of our public licenses, a licensor grants the public permission to use the licensed material under specified terms and conditions. If the licensor's permission is not necessary for any reason\u2013for example, because of any applicable exception or limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only permissions under copyright and certain other rights that a licensor has authority to grant. Use of the licensed material may still be restricted for other reasons, including because others have copyright or other rights in the material. A licensor may make special requests, such as asking that all changes be marked or described. Although not required by our licenses, you are encouraged to respect those requests where reasonable. <<var;name=\"spaceUnderscore\";original=\"More considerations\";match=\"More considerations|More_considerations\">> for the public <<var;name=\"considerationsLicensees\";original=\": wiki.creativecommons.org/Considerations_for_licensees\";match=\":[ \\t\\r\\n\\f]{1,10}wiki\\.creativecommons\\.org/Considerations_for_licensees|\\.\">>\n\n<<endOptional>>\n\nCreative Commons Attribution-NonCommercial-ShareAlike 4.0 International Public License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and conditions of this Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International Public License (\"Public License\"). To the extent this Public License may be interpreted as a contract, You are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the Licensor grants You such rights in consideration of benefits the Licensor receives from making the Licensed Material available under these terms and conditions.\n\nSection 1 <<var;name=\"section1TitleHyphens\";original=\"\";match=\"-{1,2}\">> Definitions.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Adapted Material means material subject to Copyright and Similar Rights that is derived from or based upon the Licensed Material and in which the Licensed Material is translated, altered, arranged, transformed, or otherwise modified in a manner requiring permission under the Copyright and Similar Rights held by the Licensor. For purposes of this Public License, where the Licensed Material is a musical work, performance, or sound recording, Adapted Material is always produced where the Licensed Material is synched in timed relation with a moving image.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Adapter's License means the license You apply to Your Copyright and Similar Rights in Your contributions to Adapted Material in accordance with the terms and conditions of this Public License.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> BY-NC-SA Compatible License means a license listed at creativecommons.org/compatiblelicenses, approved by Creative Commons as essentially the equivalent of this Public License.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Copyright and Similar Rights means copyright and/or similar rights closely related to copyright including, without limitation, performance, broadcast, sound recording, and Sui Generis Database Rights, without regard to how the rights are labeled or categorized. For purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\n   <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Effective Technological Measures means those measures that, in the absence of proper authority, may not be circumvented under laws fulfilling obligations under Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international agreements.\n\n   <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Exceptions and Limitations means fair use, fair dealing, and/or any other exception or limitation to Copyright and Similar Rights that applies to Your use of the Licensed Material.\n\n   <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> License Elements means the license attributes listed in the name of a Creative Commons Public License. The License Elements of this Public License are Attribution, NonCommercial, and ShareAlike.\n\n   <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Licensed Material means the artistic or literary work, database, or other material to which the Licensor applied this Public License.\n\n   <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Licensed Rights means the rights granted to You subject to the terms and conditions of this Public License, which are limited to all Copyright and Similar Rights that apply to Your use of the Licensed Material and that the Licensor has authority to license.\n\n   <<var;name=\"bullet\";original=\"j.\";match=\".{0,20}\">> Licensor means the individual(s) or entity(ies) granting rights under this Public License.\n\n   <<var;name=\"bullet\";original=\"k.\";match=\".{0,20}\">> NonCommercial means not primarily intended for or directed towards commercial advantage or monetary compensation. For purposes of this Public License, the exchange of the Licensed Material for other material subject to Copyright and Similar Rights by digital file-sharing or similar means is NonCommercial provided there is no payment of monetary compensation in connection with the exchange.\n\n   <<var;name=\"bullet\";original=\"l.\";match=\".{0,20}\">> Share means to provide material to the public by any means or process that requires permission under the Licensed Rights, such as reproduction, public display, public performance, distribution, dissemination, communication, or importation, and to make material available to the public including in ways that members of the public may access the material from a place and at a time individually chosen by them.\n\n   <<var;name=\"bullet\";original=\"m.\";match=\".{0,20}\">> Sui Generis Database Rights means rights other than copyright resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other essentially equivalent rights anywhere in the world.\n\n   <<var;name=\"bullet\";original=\"n.\";match=\".{0,20}\">> You means the individual or entity exercising the Licensed Rights under this Public License. Your has a corresponding meaning.\n\nSection 2 <<var;name=\"section2TitleHyphens\";original=\"\";match=\"-{1,2}\">> Scope.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> License grant.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Subject to the terms and conditions of this Public License, the Licensor hereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license to exercise the Licensed Rights in the Licensed Material to:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> reproduce and Share the Licensed Material, in whole or in part, for NonCommercial purposes only; and\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> produce, reproduce, and Share Adapted Material for NonCommercial purposes only.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations apply to Your use, this Public License does not apply, and You do not need to comply with its terms and conditions.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Term. The term of this Public License is specified in Section 6(a).\n\n	  <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Media and formats; technical modifications allowed. The Licensor authorizes You to exercise the Licensed Rights in all media and formats whether now known or hereafter created, and to make technical modifications necessary to do so. The Licensor waives and/or agrees not to assert any right or authority to forbid You from making technical modifications necessary to exercise the Licensed Rights, including technical modifications necessary to circumvent Effective Technological Measures. For purposes of this Public License, simply making modifications authorized by this Section 2(a)(4) never produces Adapted Material.\n\n	  <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Downstream recipients.\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material automatically receives an offer from the Licensor to exercise the Licensed Rights under the terms and conditions of this Public License.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Additional offer from the Licensor \u2013 Adapted Material. Every recipient of Adapted Material from You automatically receives an offer from the Licensor to exercise the Licensed Rights in the Adapted Material under the conditions of the Adapter's License You apply.\n\n		 <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> No downstream restrictions. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, the Licensed Material if doing so restricts exercise of the Licensed Rights by any recipient of the Licensed Material.\n\n	  <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> No endorsement. Nothing in this Public License constitutes or may be consTrued as permission to assert or imply that You are, or that Your use of the Licensed Material is, connected with, or sponsored, endorsed, or granted official status by, the Licensor or others designated to receive attribution as provided in Section 3(a)(1)(A)(i).\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Other rights.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Moral rights, such as the right of integrity, are not licensed under this Public License, nor are publicity, privacy, and/or other similar personality rights; however, to the extent possible, the Licensor waives and/or agrees not to assert any such rights held by the Licensor to the limited extent necessary to allow You to exercise the Licensed Rights, but not otherwise.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Patent and trademark rights are not licensed under this Public License.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> To the extent possible, the Licensor waives any right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary or waivable statutory or compulsory licensing scheme. In all other cases the Licensor expressly reserves any right to collect such royalties, including when the Licensed Material is used other than for NonCommercial purposes.\n\nSection 3 <<var;name=\"section3TitleHyphens\";original=\"\";match=\"-{1,2}\">> License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following conditions.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Attribution.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> If You Share the Licensed Material (including in modified form), You must:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> retain the following if it is supplied by the Licensor with the Licensed Material:\n\n			<<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> identification of the creator(s) of the Licensed Material and any others designated to receive attribution, in any reasonable manner requested by the Licensor (including by pseudonym if designated);\n\n			<<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> a copyright notice;\n\n			<<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> a notice that refers to this Public License;\n\n			<<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> a notice that refers to the disclaimer of warranties;\n\n			v. a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> indicate if You modified the Licensed Material and retain an indication of any previous modifications; and\n\n		 <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> indicate the Licensed Material is licensed under this Public License, and include the text of, or the URI or hyperlink to, this Public License.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the medium, means, and context in which You Share the Licensed Material. For example, it may be reasonable to satisfy the conditions by providing a URI or hyperlink to a resource that includes the required information.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> If requested by the Licensor, You must remove any of the information required by Section 3(a)(1)(A) to the extent reasonably practicable.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> ShareAlike.In addition to the conditions in Section 3(a), if You Share Adapted Material You produce, the following conditions also apply.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The Adapter's License You apply must be a Creative Commons license with the same License Elements, this version or later, or a BY-NC-SA Compatible License.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You must include the text of, or the URI or hyperlink to, the Adapter's License You apply. You may satisfy this condition in any reasonable manner based on the medium, means, and context in which You Share Adapted Material.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, Adapted Material that restrict exercise of the rights granted under the Adapter's License You apply.\n\nSection 4 <<var;name=\"section4TitleHyphens\";original=\"\";match=\"-{1,2}\">> Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to Your use of the Licensed Material:\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> for the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse, reproduce, and Share all or a substantial portion of the contents of the database for NonCommercial purposes only;\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> if You include all or a substantial portion of the database contents in a database in which You have Sui Generis Database Rights, then the database in which You have Sui Generis Database Rights (but not its individual contents) is Adapted Material, including for purposes of Section 3(b); and\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You must comply with the conditions in Section 3(a) if You Share all or a substantial portion of the contents of the database.\n\n   For the avoidance of doubt, this Section 4 supplements and does not replace Your obligations under this Public License where the Licensed Rights include other Copyright and Similar Rights.\n\nSection 5 <<var;name=\"section5TitleHyphens\";original=\"\";match=\"-{1,2}\">> Disclaimer of Warranties and Limitation of Liability.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Unless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor offers the Licensed Material as-is and as-available, and makes no representations or warranties of any kind concerning the Licensed Material, whether express, implied, statutory, or other. This includes, without limitation, warranties of title, merchantability, fitness for a particular purpose, non-infringement, absence of latent or other defects, accuracy, or the presence or absence of errors, whether or not known or discoverable. Where disclaimers of warranties are not allowed in full or in part, this disclaimer may not apply to You.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> To the extent possible, in no event will the Licensor be liable to You on any legal theory (including, without limitation, negligence) or otherwise for any direct, special, indirect, incidental, consequential, punitive, exemplary, or other losses, costs, expenses, or damages arising out of this Public License or use of the Licensed Material, even if the Licensor has been advised of the possibility of such losses, costs, expenses, or damages. Where a limitation of liability is not allowed in full or in part, this limitation may not apply to You.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> The disclaimer of warranties and limitation of liability provided above shall be interpreted in a manner that, to the extent possible, most closely approximates an absolute disclaimer and waiver of all liability.\n\nSection 6 <<var;name=\"section6TitleHyphens\";original=\"\";match=\"-{1,2}\">> Term and Termination.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This Public License applies for the term of the Copyright and Similar Rights licensed here. However, if You fail to comply with this Public License, then Your rights under this Public License terminate automatically.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Where Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> automatically as of the date the violation is cured, provided it is cured within 30 days of Your discovery of the violation; or\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> upon express reinstatement by the Licensor.\n\n   For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have to seek remedies for Your violations of this Public License.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For the avoidance of doubt, the Licensor may also offer the Licensed Material under separate terms or conditions or stop distributing the Licensed Material at any time; however, doing so will not terminate this Public License.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\nSection 7 <<var;name=\"section7TitleHyphens\";original=\"\";match=\"-{1,2}\">> Other Terms and Conditions.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> The Licensor shall not be bound by any additional or different terms or conditions communicated by You unless expressly agreed.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Any arrangements, understandings, or agreements regarding the Licensed Material not stated herein are separate from and independent of the terms and conditions of this Public License.\n\nSection 8 <<var;name=\"section8TitleHyphens\";original=\"\";match=\"-{1,2}\">> Interpretation.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> For the avoidance of doubt, this Public License does not, and shall not be interpreted to, reduce, limit, restrict, or impose conditions on any use of the Licensed Material that could lawfully be made without permission under this Public License.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> To the extent possible, if any provision of this Public License is deemed unenforceable, it shall be automatically reformed to the minimum extent necessary to make it enforceable. If the provision cannot be reformed, it shall be severed from this Public License without affecting the enforceability of the remaining terms and conditions.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or condition of this Public License will be waived and no failure to comply consented to unless expressly agreed to by the Licensor.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Nothing in this Public License constitutes or may be interpreted as a limitation upon, or waiver of, any privileges and immunities that apply to the Licensor or You, including from the legal processes of any jurisdiction or authority.<<beginOptional>> Creative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to apply one of its public licenses to material it publishes and in those instances will be considered the \"Licensor.\"<<beginOptional>> The text of the Creative Commons public licenses is dedicated to the public domain under the CC0 Public Domain Dedication.<<endOptional>> Except for the limited purpose of indicating that material is shared under a Creative Commons public license or as otherwise permitted by the Creative Commons policies published at creativecommons.org/policies, Creative Commons does not authorize the use of the trademark \"Creative Commons\" or any other trademark or logo of Creative Commons without its prior written consent including, without limitation, in connection with any unauthorized modifications to any of its public licenses or any other arrangements, understandings, or agreements concerning use of licensed material. For the avoidance of doubt, this paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n\n<<endOptional>>"
		self.name = "Creative Commons Attribution Non Commercial Share Alike 4.0 International"
		self.licenseId = "CC-BY-NC-SA-4.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-sa/4.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:06Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-sa/4.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p><var class=\"optional-license-text\"> Creative Commons </var>Attribution-NonCommercial-ShareAlike 4.0 International</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Corporation (&quot;Creative Commons&quot;) is not a law firm and does not provide legal services\n		 or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or\n		 other relationship. Creative Commons makes its licenses and related information available on an\n		 &quot;as-is&quot; basis. Creative Commons gives no warranties regarding its licenses, any material licensed\n		 under their terms and conditions, or any related information. Creative Commons disclaims all liability\n		 for damages resulting from their use to the fullest extent possible.</p>\n\n		 <p>Using Creative Commons Public Licenses</p>\n\n		 <p>Creative Commons public licenses provide a standard set of terms and conditions that creators and other\n		 rights holders may use to share original works of authorship and other material subject to copyright\n		 and certain other rights specified in the public license below. The following considerations are for\n		 informational purposes only, are not exhaustive, and do not form part of our licenses.</p>\n\n		 <p>Considerations for licensors: Our public licenses are intended for use by those authorized to give the\n		 public permission to use material in ways otherwise restricted by copyright and certain other rights.\n		 Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the\n		 license they choose before applying it. Licensors should also secure all rights necessary before\n		 applying our licenses so that the public can reuse the material as expected. Licensors should clearly\n		 mark any material not subject to the license. This includes other <var class=\"replaceable-license-text\"> </var> material, or material\n		 used under an exception or limitation to copyright. More considerations for licensors<var class=\"replaceable-license-text\"> : wiki.creativecommons.org/Considerations_for_licensors</var></p>\n\n		 <p>Considerations for the public: By using one of our public licenses, a licensor grants the public\n		 permission to use the licensed material under specified terms and conditions. If the licensor&apos;s\n		 permission is not necessary for any reason\u2013for example, because of any applicable exception or\n		 limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only\n		 permissions under copyright and certain other rights that a licensor has authority to grant. Use of\n		 the licensed material may still be restricted for other reasons, including because others have\n		 copyright or other rights in the material. A licensor may make special requests, such as asking that\n		 all changes be marked or described. Although not required by our licenses, you are encouraged to\n		 respect those requests where reasonable. <var class=\"replaceable-license-text\"> More considerations</var> for the public<var class=\"replaceable-license-text\"> : wiki.creativecommons.org/Considerations_for_licensees</var></p>\n\n	  </div>\n\n		<p>Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International Public License</p>\n\n		<p>By exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and\n		 conditions of this Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International Public\n		 License (&quot;Public License&quot;). To the extent this Public License may be interpreted as a contract, You\n		 are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and\n		 the Licensor grants You such rights in consideration of benefits the Licensor receives from making the\n		 Licensed Material available under these terms and conditions.</p>\n\n		 <p>Section 1 <var class=\"replaceable-license-text\"> </var> Definitions.</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  Adapted Material means material subject to Copyright and Similar Rights that is derived from\n			   or based upon the Licensed Material and in which the Licensed Material is translated,\n			   altered, arranged, transformed, or otherwise modified in a manner requiring permission\n			   under the Copyright and Similar Rights held by the Licensor. For purposes of this Public\n			   License, where the Licensed Material is a musical work, performance, or sound recording,\n			   Adapted Material is always produced where the Licensed Material is synched in timed\n			   relation with a moving image.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  Adapter&apos;s License means the license You apply to Your Copyright and Similar Rights in Your\n			   contributions to Adapted Material in accordance with the terms and conditions of this\n			   Public License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			  BY-NC-SA Compatible License means a license listed at creativecommons.org/compatiblelicenses,\n			   approved by Creative Commons as essentially the equivalent of this Public License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			  Copyright and Similar Rights means copyright and/or similar rights closely related to\n			   copyright including, without limitation, performance, broadcast, sound recording, and Sui\n			   Generis Database Rights, without regard to how the rights are labeled or categorized. For\n			   purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not\n			   Copyright and Similar Rights.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			  Effective Technological Measures means those measures that, in the absence of proper\n			   authority, may not be circumvented under laws fulfilling obligations under Article 11 of\n			   the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international\n			   agreements.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			  Exceptions and Limitations means fair use, fair dealing, and/or any other exception or\n			   limitation to Copyright and Similar Rights that applies to Your use of the Licensed\n			   Material.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> g.</var>\n			  License Elements means the license attributes listed in the name of a Creative Commons Public\n			   License. The License Elements of this Public License are Attribution, NonCommercial, and\n			   ShareAlike.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> h.</var>\n			  Licensed Material means the artistic or literary work, database, or other material to which\n			   the Licensor applied this Public License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> i.</var>\n			  Licensed Rights means the rights granted to You subject to the terms and conditions of this\n			   Public License, which are limited to all Copyright and Similar Rights that apply to Your\n			   use of the Licensed Material and that the Licensor has authority to license.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> j.</var>\n			  Licensor means the individual(s) or entity(ies) granting rights under this Public License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> k.</var>\n			  NonCommercial means not primarily intended for or directed towards commercial advantage or\n			   monetary compensation. For purposes of this Public License, the exchange of the Licensed\n			   Material for other material subject to Copyright and Similar Rights by digital\n			   file-sharing or similar means is NonCommercial provided there is no payment of monetary\n			   compensation in connection with the exchange.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> l.</var>\n			  Share means to provide material to the public by any means or process that requires\n			   permission under the Licensed Rights, such as reproduction, public display, public\n			   performance, distribution, dissemination, communication, or importation, and to make\n			   material available to the public including in ways that members of the public may access\n			   the material from a place and at a time individually chosen by them.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> m.</var>\n			  Sui Generis Database Rights means rights other than copyright resulting from Directive\n			   96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal\n			   protection of databases, as amended and/or succeeded, as well as other essentially\n			   equivalent rights anywhere in the world.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> n.</var>\n			  You means the individual or entity exercising the Licensed Rights under this Public License.\n				Your has a corresponding meaning.\n			</li>\n			\n</ul>\n		 <p>Section 2 <var class=\"replaceable-license-text\"> </var> Scope.</p>\n\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				License grant.\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n					  Subject to the terms and conditions of this Public License, the Licensor hereby grants\n						You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license\n						to exercise the Licensed Rights in the Licensed Material to:\n					  \n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> A.</var>\n						  reproduce and Share the Licensed Material, in whole or in part, for NonCommercial\n							purposes only; and\n						</li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> B.</var>\n						  produce, reproduce, and Share Adapted Material for NonCommercial purposes only.\n						</li>\n						\n</ul>\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n					  Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations\n						apply to Your use, this Public License does not apply, and You do not need to comply\n						with its terms and conditions.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 3.</var>\n					  Term. The term of this Public License is specified in Section 6(a).\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 4.</var>\n					  Media and formats; technical modifications allowed. The Licensor authorizes You to\n						 exercise the Licensed Rights in all media and formats whether now known or hereafter\n						 created, and to make technical modifications necessary to do so. The Licensor waives\n						 and/or agrees not to assert any right or authority to forbid You from making technical\n						 modifications necessary to exercise the Licensed Rights, including technical\n						 modifications necessary to circumvent Effective Technological Measures. For purposes\n						 of this Public License, simply making modifications authorized by this Section 2(a)(4)\n						 never produces Adapted Material.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 5.</var>\n					  Downstream recipients.\n					  \n<ul style=\"list-style:none\">\n						  \n<li>\n							  <var class=\"replaceable-license-text\"> A.</var>\n							Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material\n							   automatically receives an offer from the Licensor to exercise the Licensed Rights\n							   under the terms and conditions of this Public License.\n						  </li>\n						  \n<li>\n							  <var class=\"replaceable-license-text\"> B.</var>\n							Additional offer from the Licensor \u2013 Adapted Material. Every recipient of Adapted\n							   Material from You automatically receives an offer from the Licensor to exercise\n							   the Licensed Rights in the Adapted Material under the conditions of the Adapter&apos;s\n							   License You apply.\n						  </li>\n						  \n<li>\n							  <var class=\"replaceable-license-text\"> C.</var>\n							No downstream restrictions. You may not offer or impose any additional or different\n							   terms or conditions on, or apply any Effective Technological Measures to, the\n							   Licensed Material if doing so restricts exercise of the Licensed Rights by any\n							   recipient of the Licensed Material.\n						  </li>\n						\n</ul>\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> 6.</var>\n					  No endorsement. Nothing in this Public License constitutes or may be consTrued as\n						 permission to assert or imply that You are, or that Your use of the Licensed Material\n						 is, connected with, or sponsored, endorsed, or granted official status by, the\n						 Licensor or others designated to receive attribution as provided in Section\n						 3(a)(1)(A)(i).\n					</li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				Other rights.\n				\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n					Moral rights, such as the right of integrity, are not licensed under this Public License,\n					 nor are publicity, privacy, and/or other similar personality rights; however, to the\n					 extent possible, the Licensor waives and/or agrees not to assert any such rights held\n					 by the Licensor to the limited extent necessary to allow You to exercise the Licensed\n					 Rights, but not otherwise.\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n					Patent and trademark rights are not licensed under this Public License.\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.</var>\n					To the extent possible, the Licensor waives any right to collect royalties from You for\n					 the exercise of the Licensed Rights, whether directly or through a collecting society\n					 under any voluntary or waivable statutory or compulsory licensing scheme. In all other\n					 cases the Licensor expressly reserves any right to collect such royalties, including\n					 when the Licensed Material is used other than for NonCommercial purposes.\n				  </li>\n				  \n</ul>\n			  </li>\n			\n</ul>\n		 <p>Section 3 <var class=\"replaceable-license-text\"> </var> License Conditions.</p>\n\n		 <p>Your exercise of the Licensed Rights is expressly made subject to the following conditions.</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a.</var>\n			  Attribution.\n			  \n<ul style=\"list-style:none\">\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> 1.</var>\n				  If You Share the Licensed Material (including in modified form), You must:\n				  \n<ul style=\"list-style:none\">\n						\n<li>\n						   <var class=\"replaceable-license-text\"> A.</var>\n					  retain the following if it is supplied by the Licensor with the Licensed Material:\n					  \n<ul style=\"list-style:none\">\n							  \n<li>\n								 <var class=\"replaceable-license-text\"> i.</var>\n						  identification of the creator(s) of the Licensed Material and any others\n							 designated to receive attribution, in any reasonable manner requested by\n							 the Licensor (including by pseudonym if designated);\n						</li>\n							  \n<li>\n								 <var class=\"replaceable-license-text\"> ii.</var>\n						  a copyright notice;\n						</li>\n							  \n<li>\n								 <var class=\"replaceable-license-text\"> iii.</var>\n						  a notice that refers to this Public License;\n						</li>\n							  \n<li>\n								 <var class=\"replaceable-license-text\"> iv.</var>\n						  a notice that refers to the disclaimer of warranties;\n						</li>\n							  \n<li>\n								 <p>v. a URI or hyperlink to the Licensed Material to the extent reasonably practicable;</p>\n\n							  </li>\n						   \n</ul>\n						</li>\n						\n<li>\n						   <var class=\"replaceable-license-text\"> B.</var>\n					  indicate if You modified the Licensed Material and retain an indication of any\n					   previous modifications; and\n					</li>\n						\n<li>\n						   <var class=\"replaceable-license-text\"> C.</var>\n					  indicate the Licensed Material is licensed under this Public License, and include the\n					   text of, or the URI or hyperlink to, this Public License.\n					</li>\n					 \n</ul>\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> 2.</var>\n				  You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the\n					 medium, means, and context in which You Share the Licensed Material. For example, it\n					 may be reasonable to satisfy the conditions by providing a URI or hyperlink to a\n					 resource that includes the required information.\n				</li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> 3.</var>\n				  If requested by the Licensor, You must remove any of the information required by Section\n					 3(a)(1)(A) to the extent reasonably practicable.\n				</li>\n			  \n</ul>\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> b.</var>\n			  ShareAlike.In addition to the conditions in Section 3(a), if You Share Adapted Material You\n				 produce, the following conditions also apply.\n			  \n<ul style=\"list-style:none\">\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> 1.</var>\n				  The Adapter&apos;s License You apply must be a Creative Commons license with the same License\n					 Elements, this version or later, or a BY-NC-SA Compatible License.\n				</li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> 2.</var>\n				  You must include the text of, or the URI or hyperlink to, the Adapter&apos;s License You\n					 apply. You may satisfy this condition in any reasonable manner based on the medium,\n					 means, and context in which You Share Adapted Material.\n				</li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> 3.</var>\n				  You may not offer or impose any additional or different terms or conditions on, or apply\n					 any Effective Technological Measures to, Adapted Material that restrict exercise of\n					 the rights granted under the Adapter&apos;s License You apply.\n				</li>\n			  \n</ul>\n			</li>\n		\n</ul>\n			<p>Section 4 <var class=\"replaceable-license-text\"> </var> Sui Generis Database Rights.</p>\n\n			<p>Where the Licensed Rights include Sui Generis Database Rights that apply to Your use of\n			  the Licensed Material:</p>\n\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				for the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse,\n				   reproduce, and Share all or a substantial portion of the contents of the database for\n				   NonCommercial purposes only;\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				if You include all or a substantial portion of the database contents in a database in which\n				   You have Sui Generis Database Rights, then the database in which You have Sui Generis\n				   Database Rights (but not its individual contents) is Adapted Material, including for\n				   purposes of Section 3(b); and\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n				You must comply with the conditions in Section 3(a) if You Share all or a substantial portion\n				   of the contents of the database.\n					<br />\n\n					For the avoidance of doubt, this Section 4 supplements and does not replace Your\n					obligations under this Public License where the Licensed Rights include other\n					Copyright and Similar Rights.\n			  </li>\n			\n</ul>\n			<p>Section 5 <var class=\"replaceable-license-text\"> </var> Disclaimer of Warranties and Limitation of Liability.</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n				  Unless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor\n				   offers the Licensed Material as-is and as-available, and makes no representations or\n				   warranties of any kind concerning the Licensed Material, whether express, implied,\n				   statutory, or other. This includes, without limitation, warranties of title,\n				   merchantability, fitness for a particular purpose, non-infringement, absence of latent or\n				   other defects, accuracy, or the presence or absence of errors, whether or not known or\n				   discoverable. Where disclaimers of warranties are not allowed in full or in part, this\n				   disclaimer may not apply to You.\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n				  To the extent possible, in no event will the Licensor be liable to You on any legal theory\n				   (including, without limitation, negligence) or otherwise for any direct, special,\n				   indirect, incidental, consequential, punitive, exemplary, or other losses, costs,\n				   expenses, or damages arising out of this Public License or use of the Licensed Material,\n				   even if the Licensor has been advised of the possibility of such losses, costs, expenses,\n				   or damages. Where a limitation of liability is not allowed in full or in part, this\n				   limitation may not apply to You.\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n				  The disclaimer of warranties and limitation of liability provided above shall be interpreted\n				   in a manner that, to the extent possible, most closely approximates an absolute disclaimer\n				   and waiver of all liability.\n				</li>\n			\n</ul>\n			<p>Section 6 <var class=\"replaceable-license-text\"> </var> Term and Termination.</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> a.</var>\n					This Public License applies for the term of the Copyright and Similar Rights licensed here.\n					   However, if You fail to comply with this Public License, then Your rights under this\n					   Public License terminate automatically.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> b.</var>\n					Where Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 1.</var>\n							automatically as of the date the violation is cured, provided it is cured within 30 days\n							 of Your discovery of the violation; or\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 2.</var>\n							upon express reinstatement by the Licensor.\n						</li>\n					\n</ul>\n					<p>For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have\n					   to seek remedies for Your violations of this Public License.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> c.</var>\n					For the avoidance of doubt, the Licensor may also offer the Licensed Material under separate\n					   terms or conditions or stop distributing the Licensed Material at any time; however, doing\n					   so will not terminate this Public License.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> d.</var>\n					Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n				</li>\n			\n</ul>\n		<p>Section 7 <var class=\"replaceable-license-text\"> </var> Other Terms and Conditions.</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> a.</var>\n				The Licensor shall not be bound by any additional or different terms or conditions\n				   communicated by You unless expressly agreed.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> b.</var>\n				Any arrangements, understandings, or agreements regarding the Licensed Material not stated\n				   herein are separate from and independent of the terms and conditions of this Public\n				   License.\n			</li>\n		\n</ul>\n			<p>Section 8 <var class=\"replaceable-license-text\"> </var> Interpretation.</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> a.</var>\n					For the avoidance of doubt, this Public License does not, and shall not be interpreted to,\n					   reduce, limit, restrict, or impose conditions on any use of the Licensed Material that\n					   could lawfully be made without permission under this Public License.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> b.</var>\n					To the extent possible, if any provision of this Public License is deemed unenforceable, it\n					   shall be automatically reformed to the minimum extent necessary to make it enforceable. If\n					   the provision cannot be reformed, it shall be severed from this Public License without\n					   affecting the enforceability of the remaining terms and conditions.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> c.</var>\n					No term or condition of this Public License will be waived and no failure to comply consented\n					   to unless expressly agreed to by the Licensor.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> d.</var>\n					Nothing in this Public License constitutes or may be interpreted as a limitation upon, or\n					   waiver of, any privileges and immunities that apply to the Licensor or You, including from\n					   the legal processes of any jurisdiction or authority.\n				</li>\n			\n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>Creative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to\n		   apply one of its public licenses to material it publishes and in those instances will be considered\n		   the &quot;Licensor.&quot; <var class=\"optional-license-text\"> The text of the Creative Commons public licenses is dedicated to the public\n		   domain under the CC0 Public Domain Dedication.</var> Except for the limited purpose of indicating that material is shared under a Creative\n		   Commons public license or as otherwise permitted by the Creative Commons policies published at\n		   creativecommons.org/policies, Creative Commons does not authorize the use of the trademark &quot;Creative\n		   Commons&quot; or any other trademark or logo of Creative Commons without its prior written consent\n		   including, without limitation, in connection with any unauthorized modifications to any of its public\n		   licenses or any other arrangements, understandings, or agreements concerning use of licensed material.\n		   For the avoidance of doubt, this paragraph does not form part of the public licenses.</p>\n\n		<p>Creative Commons may be contacted at creativecommons.org.</p>\n\n	  </div>\n	"
		self.python_name = "CCBYNCSA40"

	def __str__(self):
		return json.dumps(self.__dict__)


class AMLglslang:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2002, NVIDIA Corporation.\n\nNVIDIA Corporation(\"NVIDIA\") supplies this software to you in\nconsideration of your agreement to the following terms, and your use,\ninstallation, modification or redistribution of this NVIDIA software\nconstitutes acceptance of these terms.  If you do not agree with these\nterms, please do not use, install, modify or redistribute this NVIDIA\nsoftware.\n\nIn consideration of your agreement to abide by the following terms, and\nsubject to these terms, NVIDIA grants you a personal, non-exclusive\nlicense, under NVIDIA's copyrights in this original NVIDIA software (the\n\"NVIDIA Software\"), to use, reproduce, modify and redistribute the\nNVIDIA Software, with or without modifications, in source and/or binary\nforms; provided that if you redistribute the NVIDIA Software, you must\nretain the copyright notice of NVIDIA, this notice and the following\ntext and disclaimers in all such redistributions of the NVIDIA Software.\nNeither the name, trademarks, service marks nor logos of NVIDIA\nCorporation may be used to endorse or promote products derived from the\nNVIDIA Software without specific prior written permission from NVIDIA.\nExcept as expressly stated in this notice, no other rights or licenses\nexpress or implied, are granted by NVIDIA herein, including but not\nlimited to any patent rights that may be infringed by your derivative\nworks or by other works in which the NVIDIA Software may be\nincorporated. No hardware is licensed hereunder.\n\nTHE NVIDIA SOFTWARE IS BEING PROVIDED ON AN \"AS IS\" BASIS, WITHOUT\nWARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED,\nINCLUDING WITHOUT LIMITATION, WARRANTIES OR CONDITIONS OF TITLE,\nNON-INFRINGEMENT, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR\nITS USE AND OPERATION EITHER ALONE OR IN COMBINATION WITH OTHER\nPRODUCTS.\n\nIN NO EVENT SHALL NVIDIA BE LIABLE FOR ANY SPECIAL, INDIRECT,\nINCIDENTAL, EXEMPLARY, CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED\nTO, LOST PROFITS; PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF\nUSE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) OR ARISING IN ANY WAY\nOUT OF THE USE, REPRODUCTION, MODIFICATION AND/OR DISTRIBUTION OF THE\nNVIDIA SOFTWARE, HOWEVER CAUSED AND WHETHER UNDER THEORY OF CONTRACT,\nTORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN IF\nNVIDIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2002, NVIDIA Corporation.  \";match=\".{0,5000}\">>\n\n<<var;name=\"author\";original=\"NVIDIA Corporation(\"NVIDIA\")\";match=\".*\">> supplies this software to you in consideration of your agreement to the following terms, and your use, installation, modification or redistribution of this <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> software constitutes acceptance of these terms. If you do not agree with these terms, please do not use, install, modify or redistribute this <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> software.\n\nIn consideration of your agreement to abide by the following terms, and subject to these terms, <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> grants you a personal, non-exclusive license, under <<var;name=\"author\";original=\"NVIDIA's\";match=\".*\">> copyrights in this original <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> software (the \" <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> Software\"), to use, reproduce, modify and redistribute the <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> Software, with or without modifications, in source and/or binary forms; provided that if you redistribute the <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> Software, you must retain the copyright notice of <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> , this notice and the following text and disclaimers in all such redistributions of the <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> Software. Neither the name, trademarks, service marks nor logos of <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> Corporation may be used to endorse or promote products derived from the <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> Software without specific prior written permission from <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> . Except as expressly stated in this notice, no other rights or licenses express or implied, are granted by <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> herein, including but not limited to any patent rights that may be infringed by your derivative works or by other works in which the <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> Software may be incorporated. No hardware is licensed hereunder.\n\nTHE <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> SOFTWARE IS BEING PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR ITS USE AND OPERATION EITHER ALONE OR IN COMBINATION WITH OTHER PRODUCTS.\n\nIN NO EVENT SHALL <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL, EXEMPLARY, CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, LOST PROFITS; PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) OR ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION, MODIFICATION AND/OR DISTRIBUTION OF THE <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> SOFTWARE, HOWEVER CAUSED AND WHETHER UNDER THEORY OF CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN IF <<var;name=\"author\";original=\"NVIDIA\";match=\".*\">> HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "AML glslang variant License"
		self.licenseId = "AML-glslang"
		self.crossRef = [{"match": "False", "url": "https://github.com/KhronosGroup/glslang/blob/main/LICENSE.txt#L949", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:35Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://docs.omniverse.nvidia.com/install-guide/latest/common/licenses.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:35Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://github.com/KhronosGroup/glslang/blob/main/LICENSE.txt#L949", "https://docs.omniverse.nvidia.com/install-guide/latest/common/licenses.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n		 <p>\n			Copyright (c) 2002, NVIDIA Corporation.\n		 </p>\n\n		 </div>\n		 <p>\n			<var class=\"replaceable-license-text\"> NVIDIA Corporation(&quot;NVIDIA&quot;)</var> supplies this software to you\n			in consideration of your agreement to the following terms,\n			and your use, installation, modification or redistribution\n			of this <var class=\"replaceable-license-text\"> NVIDIA</var> software constitutes acceptance of these\n			terms. If you do not agree with these terms, please do not\n			use, install, modify or redistribute this <var class=\"replaceable-license-text\"> NVIDIA</var> software.\n		 </p>\n\n		 <p>\n			In consideration of your agreement to abide by the following\n			terms, and subject to these terms, <var class=\"replaceable-license-text\"> NVIDIA</var> grants you a personal,\n			non-exclusive license, under <var class=\"replaceable-license-text\"> NVIDIA&apos;s</var> copyrights in this original\n			<var class=\"replaceable-license-text\"> NVIDIA</var> software (the &quot;<var class=\"replaceable-license-text\"> NVIDIA</var> Software&quot;), to use, reproduce, modify\n			and redistribute the <var class=\"replaceable-license-text\"> NVIDIA</var> Software, with or without modifications,\n			in source and/or binary forms; provided that if you redistribute\n			the <var class=\"replaceable-license-text\"> NVIDIA</var> Software, you must retain the copyright notice of\n			<var class=\"replaceable-license-text\"> NVIDIA</var>, this notice and the following text and disclaimers in all\n			such redistributions of the <var class=\"replaceable-license-text\"> NVIDIA</var> Software. Neither the name,\n			trademarks, service marks nor logos of <var class=\"replaceable-license-text\"> NVIDIA</var> Corporation may\n			be used to endorse or promote products derived from the <var class=\"replaceable-license-text\"> NVIDIA</var>\n			Software without specific prior written permission from <var class=\"replaceable-license-text\"> NVIDIA</var>.\n			Except as expressly stated in this notice, no other rights or\n			licenses express or implied, are granted by <var class=\"replaceable-license-text\"> NVIDIA</var> herein, including\n			but not limited to any patent rights that may be infringed by\n			your derivative works or by other works in which the <var class=\"replaceable-license-text\"> NVIDIA</var>\n			Software may be incorporated. No hardware is licensed hereunder.\n		 </p>\n\n		 <p>\n			THE <var class=\"replaceable-license-text\"> NVIDIA</var> SOFTWARE IS BEING PROVIDED ON AN &quot;AS IS&quot; BASIS,\n			WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS\n			OR IMPLIED, INCLUDING WITHOUT LIMITATION, WARRANTIES OR\n			CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY,\n			FITNESS FOR A PARTICULAR PURPOSE, OR ITS USE AND OPERATION\n			EITHER ALONE OR IN COMBINATION WITH OTHER PRODUCTS.\n		 </p>\n\n		 <p>\n			IN NO EVENT SHALL <var class=\"replaceable-license-text\"> NVIDIA</var> BE LIABLE FOR ANY SPECIAL, INDIRECT,\n			INCIDENTAL, EXEMPLARY, CONSEQUENTIAL DAMAGES (INCLUDING,\n			BUT NOT LIMITED TO, LOST PROFITS; PROCUREMENT OF SUBSTITUTE\n			GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n			INTERRUPTION) OR ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION,\n			MODIFICATION AND/OR DISTRIBUTION OF THE <var class=\"replaceable-license-text\"> NVIDIA</var> SOFTWARE,\n			HOWEVER CAUSED AND WHETHER UNDER THEORY OF CONTRACT, TORT\n			(INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN\n			IF <var class=\"replaceable-license-text\"> NVIDIA</var> HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		 </p>\n\n	  "
		self.python_name = "AMLglslang"

	def __str__(self):
		return json.dumps(self.__dict__)


class GLWTPL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "			   GLWT(Good Luck With That) Public License\n				 Copyright (c) Everyone, except Author\n\nEveryone is permitted to copy, distribute, modify, merge, sell, publish,\nsublicense or whatever they want with this software but at their OWN RISK.\n\n							Preamble\n\nThe author has absolutely no clue what the code in this project does.\nIt might just work or not, there is no third option.\n\n\n				GOOD LUCK WITH THAT PUBLIC LICENSE\n   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION, AND MODIFICATION\n\n  0. You just DO WHATEVER YOU WANT TO as long as you NEVER LEAVE A\nTRACE TO TRACK THE AUTHOR of the original product to blame for or hold\nresponsible.\n\nIN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\nFROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\nDEALINGS IN THE SOFTWARE.\n\nGood luck and Godspeed.\n"
		self.standardLicenseTemplate = "<<beginOptional>>GLWT(Good Luck With That) Public License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) Everyone, except Author  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy, distribute, modify, merge, sell, publish, sublicense or whatever they want with this software but at their OWN RISK.\n\nPreamble\n\nThe author has absolutely no clue what the code in this project does. It might just work or not, there is no third option.\n\nGOOD LUCK WITH THAT PUBLIC LICENSE\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION, AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> You just DO WHATEVER YOU WANT TO as long as you NEVER LEAVE A TRACE TO TRACK THE AUTHOR of the original product to blame for or hold responsible.\n\nIN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nGood luck and Godspeed.\n\n"
		self.name = "Good Luck With That Public License"
		self.licenseId = "GLWTPL"
		self.crossRef = [{"match": "False", "url": "https://github.com/me-shaon/GLWTPL/commit/da5f6bc734095efbacb442c0b31e33a65b9d6e85", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:42Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/me-shaon/GLWTPL/commit/da5f6bc734095efbacb442c0b31e33a65b9d6e85"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> \n				<p>GLWT(Good Luck With That) Public License</p>\n\n			</div>\n			<div class=\"replaceable-license-text\"> \n				<p>Copyright (c) Everyone, except Author</p>\n\n			</div>\n\n			<p>Everyone is permitted to copy, distribute, modify, merge, sell, publish, sublicense or whatever they want with this software but at their OWN RISK.</p>\n\n			<p>Preamble</p>\n\n			<p>The author has absolutely no clue what the code in this project does. It might just work or not, there is no third option.</p>\n\n			<p>GOOD LUCK WITH THAT PUBLIC LICENSE</p>\n\n			<p>TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION, AND MODIFICATION</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 0.</var> You just DO WHATEVER YOU WANT TO as long as you NEVER LEAVE A TRACE TO TRACK THE AUTHOR of the original product to blame for or hold responsible.\n				</li>\n			\n</ul>\n			<p>IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>\n\n			<p>Good luck and Godspeed.</p>\n\n		"
		self.python_name = "GLWTPL"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Boost Software License - Version 1.0 - August 17th, 2003\n\nPermission is hereby granted, free of charge, to any person or organization obtaining a copy of the software and accompanying documentation covered by this license (the \"Software\") to use, reproduce, display, distribute, execute, and transmit the Software, and to prepare derivative works of the Software, and to permit third-parties to whom the Software is furnished to do so, all subject to the following:\n\nThe copyright notices in the Software and this entire statement, including the above license grant, this restriction and the following disclaimer, must be included in all copies of the Software, in whole or in part, and all derivative works of the Software, unless such copies or derivative works are solely in the form of machine-executable object code generated by a source language processor.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Boost Software License - Version 1.0 - August 17th, 2003\n\n<<endOptional>>\n\nPermission is hereby granted, free of charge, to any person or organization obtaining a copy of the software and accompanying documentation covered by this license (the \"Software\") to use, reproduce, display, distribute, execute, and transmit the Software, and to prepare derivative works of the Software, and to permit third-parties to whom the Software is furnished to do so, all subject to the following:\n\nThe copyright notices in the Software and this entire statement, including the above license grant, this restriction and the following disclaimer, must be included in all copies of the Software, in whole or in part, and all derivative works of the Software, unless such copies or derivative works are solely in the form of machine-executable object code generated by a source language processor.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.name = "Boost Software License 1.0"
		self.licenseComments = "This license was released: 17 August 2003"
		self.licenseId = "BSL-1.0"
		self.crossRef = [{"match": "False", "url": "http://www.boost.org/LICENSE_1_0.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:16Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/BSL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:16Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["http://www.boost.org/LICENSE_1_0.txt", "https://opensource.org/licenses/BSL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Boost Software License - Version 1.0 - August 17th, 2003</p>\n\n	  </div>\n\n	  <p>Permission is hereby granted, free of charge, to any person or organization obtaining a copy of the\n		 software and accompanying documentation covered by this license (the &quot;Software&quot;) to use, reproduce,\n		 display, distribute, execute, and transmit the Software, and to prepare derivative works of the\n		 Software, and to permit third-parties to whom the Software is furnished to do so, all subject to the\n		 following:</p>\n\n	  <p>The copyright notices in the Software and this entire statement, including the above license grant, this\n		 restriction and the following disclaimer, must be included in all copies of the Software, in whole or\n		 in part, and all derivative works of the Software, unless such copies or derivative works are solely\n		 in the form of machine-executable object code generated by a source language processor.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND\n		 NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE\n		 LIABLE FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT\n		 OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	"
		self.python_name = "BSL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class ASWFDigitalAssets11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "ASWF Digital Assets License v1.1\n\nLicense for <Asset Name> (the \"Asset Name\").\n\n<Asset Name> Copyright <Year> <Asset Owner>. All rights reserved.\n\nRedistribution and use of these digital assets, with or without modification, solely for education, training, research, software and hardware development, performance benchmarking (including publication of benchmark results and permitting reproducibility of the benchmark results by third parties), or software and hardware product demonstrations, are permitted provided that the following conditions are met:\n\n1. Redistributions of these digital assets or any part of them must include the above copyright notice, this list of conditions and the disclaimer below, and if applicable, a description of how the redistributed versions of the digital assets differ from the originals.\n\n2. Publications showing images derived from these digital assets must include the above copyright notice.\n\n3. The names of copyright holder or the names of its contributors may NOT be used to promote or to imply endorsement, sponsorship, or affiliation with products developed or tested utilizing these digital assets or benchmarking results obtained from these digital assets, without prior written permission from copyright holder.\n\n4. The assets and their output may only be referred to as the Asset Name listed above, and your use of the Asset Name shall be solely to identify the digital assets. Other than as expressly permitted by this License, you may NOT use any trade names, trademarks, service marks, or product names of the copyright holder for any purpose.\n\nDISCLAIMER: THESE DIGITAL ASSETS ARE PROVIDED BY THE COPYRIGHT HOLDER \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THESE DIGITAL ASSETS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>ASWF Digital Assets License v1.1 License for <Asset Name> (the \"Asset Name\").<<endOptional>> <<var;name=\"copyright\";original=\"<Asset Name> Copyright <Year> <Asset Owner>. All rights reserved.\";match=\".{0,5000}\">>\n\nRedistribution and use of these digital assets, with or without modification, solely for education, training, research, software and hardware development, performance benchmarking (including publication of benchmark results and permitting reproducibility of the benchmark results by third parties), or software and hardware product demonstrations, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of these digital assets or any part of them must include the above copyright notice, this list of conditions and the disclaimer below, and if applicable, a description of how the redistributed versions of the digital assets differ from the originals.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Publications showing images derived from these digital assets must include the above copyright notice.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The names of copyright holder or the names of its contributors may NOT be used to promote or to imply endorsement, sponsorship, or affiliation with products developed or tested utilizing these digital assets or benchmarking results obtained from these digital assets, without prior written permission from copyright holder.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The assets and their output may only be referred to as the Asset Name listed above, and your use of the Asset Name shall be solely to identify the digital assets. Other than as expressly permitted by this License, you may NOT use any trade names, trademarks, service marks, or product names of the copyright holder for any purpose.\n\nDISCLAIMER: THESE DIGITAL ASSETS ARE PROVIDED BY THE COPYRIGHT HOLDER \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THESE DIGITAL ASSETS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "ASWF Digital Assets License 1.1"
		self.licenseId = "ASWF-Digital-Assets-1.1"
		self.crossRef = [{"match": "False", "url": "https://github.com/AcademySoftwareFoundation/foundation/blob/main/digital_assets/aswf_digital_assets_license_v1.1.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:10Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/AcademySoftwareFoundation/foundation/blob/main/digital_assets/aswf_digital_assets_license_v1.1.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\t<var class=\"optional-license-text\"> \n\t\tASWF Digital Assets License v1.1\n\n\t\tLicense for &lt;Asset Name&gt; (the &quot;Asset Name&quot;).\n\t</var>\n\n\t<var class=\"replaceable-license-text\"> \n\t\t&lt;Asset Name&gt; Copyright &lt;Year&gt; &lt;Asset Owner&gt;. All rights reserved.\n\t</var>\n\n\t<p>Redistribution and use of these digital assets, with or without modification, solely for education, training, research, software and hardware development, performance benchmarking (including publication of benchmark results and permitting reproducibility of the benchmark results by third parties), or software and hardware product demonstrations, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n\t\t\n<li><var class=\"replaceable-license-text\"> 1.</var> Redistributions of these digital assets or any part of them must include the above copyright notice, this list of conditions and the disclaimer below, and if applicable, a description of how the redistributed versions of the digital assets differ from the originals.</li>\n\n<li><var class=\"replaceable-license-text\"> 2.</var> Publications showing images derived from these digital assets must include the above copyright notice.</li>\n\n<li><var class=\"replaceable-license-text\"> 3.</var> The names of copyright holder or the names of its contributors may NOT be used to promote or to imply endorsement, sponsorship, or affiliation with products developed or tested utilizing these digital assets or benchmarking results obtained from these digital assets, without prior written permission from copyright holder.</li>\n\n<li><var class=\"replaceable-license-text\"> 4.</var> The assets and their output may only be referred to as the Asset Name listed above, and your use of the Asset Name shall be solely to identify the digital assets. Other than as expressly permitted by this License, you may NOT use any trade names, trademarks, service marks, or product names of the copyright holder for any purpose.</li>\n\n</ul>\n\n\t<p>DISCLAIMER: THESE DIGITAL ASSETS ARE PROVIDED BY THE COPYRIGHT HOLDER &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THESE DIGITAL ASSETS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n\t"
		self.python_name = "ASWFDigitalAssets11"

	def __str__(self):
		return json.dumps(self.__dict__)


class ANTLRPDfallback:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "ANTLR 2 License\n\nWe reserve no legal rights to the ANTLR--it is fully in the public domain. An individual or company may do whatever they wish with source code distributed with ANTLR or the code generated by ANTLR, including the incorporation of ANTLR, or its output, into commerical software.\n\nWe encourage users to develop software with ANTLR. However, we do ask that credit is given to us for developing ANTLR. By \"credit\", we mean that if you use ANTLR or incorporate any source code into one of your programs (commercial product, research project, or otherwise) that you acknowledge this fact somewhere in the documentation, research report, etc... If you like ANTLR and have developed a nice tool with the output, please mention that you developed it using ANTLR. In addition, we ask that the headers remain intact in our source code. As long as these guidelines are kept, we expect to continue enhancing this system and expect to make other tools available as they are completed.\n\nIn countries where the Public Domain status of the work may not be valid, the author grants a copyright licence to the general public to deal in the work without restriction and permission to sublicence derivates under the terms of any (OSI approved) Open Source licence. \n"
		self.standardLicenseTemplate = "<<beginOptional>>ANTLR 2 License\n\n<<endOptional>>\n\nWe reserve no legal rights to the ANTLR--it is fully in the public domain. An individual or company may do whatever they wish with source code distributed with ANTLR or the code generated by ANTLR, including the incorporation of ANTLR, or its output, into commerical software.\n\nWe encourage users to develop software with ANTLR. However, we do ask that credit is given to us for developing ANTLR. By \"credit\", we mean that if you use ANTLR or incorporate any source code into one of your programs (commercial product, research project, or otherwise) that you acknowledge this fact somewhere in the documentation, research report, etc... If you like ANTLR and have developed a nice tool with the output, please mention that you developed it using ANTLR. In addition, we ask that the headers remain intact in our source code. As long as these guidelines are kept, we expect to continue enhancing this system and expect to make other tools available as they are completed.\n\nIn countries where the Public Domain status of the work may not be valid, the author grants a copyright licence to the general public to deal in the work without restriction and permission to sublicence derivates under the terms of any (OSI approved) Open Source licence.\n\n"
		self.name = "ANTLR Software Rights Notice with license fallback"
		self.licenseComments = "ANTLR used a public domain notice through version 2.7 and then switched to a BSD license for version 3.0 and later. Their original notice did not include the third paragraph with the fallback license listed here; see ANTLR-PD for the version without this third paragraph."
		self.licenseId = "ANTLR-PD-fallback"
		self.crossRef = [{"match": "True", "url": "http://www.antlr2.org/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.antlr2.org/license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>ANTLR 2 License</p>\n\n	  </div>\n\n	  <p>We reserve no legal rights to the ANTLR--it is fully in the public domain. An individual or company may\n		 do whatever they wish with source code distributed with ANTLR or the code generated by ANTLR,\n		 including the incorporation of ANTLR, or its output, into commerical software.</p>\n\n	  <p>We encourage users to develop software with ANTLR. However, we do ask that credit is given to us for\n		 developing ANTLR. By &quot;credit&quot;, we mean that if you use ANTLR or incorporate any source code into one\n		 of your programs (commercial product, research project, or otherwise) that you acknowledge this fact\n		 somewhere in the documentation, research report, etc... If you like ANTLR and have developed a nice\n		 tool with the output, please mention that you developed it using ANTLR. In addition, we ask that the\n		 headers remain intact in our source code. As long as these guidelines are kept, we expect to continue\n		 enhancing this system and expect to make other tools available as they are completed.</p>\n\n	  <p>In countries where the Public Domain status of the work may not be valid, the author grants a copyright\n		 licence to the general public to deal in the work without restriction and permission to sublicence\n		 derivates under the terms of any (OSI approved) Open Source licence.</p>\n\n	"
		self.python_name = "ANTLRPDfallback"

	def __str__(self):
		return json.dumps(self.__dict__)


class xinetd:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "ORIGINAL LICENSE: This software is\n\n(c) Copyright 1992 by Panagiotis Tsirigotis\n\nThe author (Panagiotis Tsirigotis) grants permission to use, copy, and distribute this software and its documentation for any purpose and without fee, provided that the above copyright notice extant in files in this distribution is not removed from files included in any redistribution and that this copyright notice is also included in any redistribution.\n\nModifications to this software may be distributed, either by distributing the modified software or by distributing patches to the original software, under the following additional terms:\n\n1. The version number will be modified as follows:\n	 a. The first 3 components of the version number (i.e <number>.<number>.<number>) will remain unchanged.\n	 b. A new component will be appended to the version number to indicate the modification level. The form of this component is up to the author of the modifications.\n\n2. The author of the modifications will include his/her name by appending it along with the new version number to this file and will be responsible for any wrong behavior of the modified software.\n\nThe author makes no representations about the suitability of this software for any purpose. It is provided \"as is\" without any express or implied warranty.\n\nModifications: Version: 2.1.8.7-current Copyright 1998-2001 by Rob Braun\n\nSensor Addition Version: 2.1.8.9pre14a Copyright 2001 by Steve Grubb\n\nThis is an exerpt from an email I recieved from the original author, allowing xinetd as maintained by me (Rob Braun), to use the higher version numbers:\n\nI appreciate your maintaining the version string guidelines as specified in the copyright. But I did not mean them to last as long as they did.\n\nSo, if you want, you may use any 2.N.* (N >= 3) version string for future xinetd versions that you release. Note that I am excluding the 2.2.* line; using that would only create confusion. Naming the next release 2.3.0 would put to rest the confusion about 2.2.1 and 2.1.8.*.\n"
		self.standardLicenseTemplate = "<<beginOptional>>ORIGINAL LICENSE: This software is\n\n<<endOptional>> <<var;name=\"copyright\";original=\"(c) Copyright 1992 by Panagiotis Tsirigotis  \";match=\".{0,5000}\">>\n\nThe author (Panagiotis Tsirigotis) grants permission to use, copy, and distribute this software and its documentation for any purpose and without fee, provided that the above copyright notice extant in files in this distribution is not removed from files included in any redistribution and that this copyright notice is also included in any redistribution.\n\nModifications to this software may be distributed, either by distributing the modified software or by distributing patches to the original software, under the following additional terms:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The version number will be modified as follows:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> The first 3 components of the version number (i.e <number>.<number>.<number>) will remain unchanged.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> A new component will be appended to the version number to indicate the modification level. The form of this component is up to the author of the modifications.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> The author of the modifications will include his/her name by appending it along with the new version number to this file and will be responsible for any wrong behavior of the modified software.\n\nThe author makes no representations about the suitability of this software for any purpose. It is provided \"as is\" without any express or implied warranty.\n\nModifications: Version: 2.1.8.7-current Copyright 1998-2001 by Rob Braun\n\nSensor Addition Version: 2.1.8.9pre14a Copyright 2001 by Steve Grubb\n\nThis is an exerpt from an email I recieved from the original author, allowing xinetd as maintained by me (Rob Braun), to use the higher version numbers:\n\nI appreciate your maintaining the version string guidelines as specified in the copyright. But I did not mean them to last as long as they did.\n\nSo, if you want, you may use any 2.N.* (N >= 3) version string for future xinetd versions that you release. Note that I am excluding the 2.2.* line; using that would only create confusion. Naming the next release 2.3.0 would put to rest the confusion about 2.2.1 and 2.1.8.*.\n\n"
		self.name = "xinetd License"
		self.licenseId = "xinetd"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Xinetd_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:36Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Xinetd_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>ORIGINAL LICENSE: This software is</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>(c) Copyright 1992 by Panagiotis Tsirigotis</p>\n\n	  </div>\n	  <p>The author (Panagiotis Tsirigotis) grants permission to use, copy, and distribute this software and its\n		 documentation for any purpose and without fee, provided that the above copyright notice extant in\n		 files in this distribution is not removed from files included in any redistribution and that this\n		 copyright notice is also included in any redistribution.</p>\n\n	  <p>Modifications to this software may be distributed, either by distributing the modified software or by\n		 distributing patches to the original software, under the following additional terms:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  The version number will be modified as follows:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  The first 3 components of the version number (i.e &lt;number&gt;.&lt;number&gt;.&lt;number&gt;)\n				 will remain unchanged.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  A new component will be appended to the version number to indicate the modification level. The\n				 form of this component is up to the author of the modifications.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  The author of the modifications will include his/her name by appending it along with the new\n			 version number to this file and will be responsible for any wrong behavior of the modified\n			 software.\n		</li>\n	  \n</ul>\n		<p>The author makes no representations about the suitability of this software for any purpose. It is\n		   provided &quot;as is&quot; without any express or implied warranty.</p>\n\n		<p>Modifications: Version: 2.1.8.7-current Copyright 1998-2001 by Rob Braun</p>\n\n		<p>Sensor Addition Version: 2.1.8.9pre14a Copyright 2001 by Steve Grubb</p>\n\n		<p>This is an exerpt from an email I recieved from the original author, allowing xinetd as maintained by me\n		   (Rob Braun), to use the higher version numbers:</p>\n\n		<p>I appreciate your maintaining the version string guidelines as specified in the copyright. But I did not\n		   mean them to last as long as they did.</p>\n\n		<p>So, if you want, you may use any 2.N.* (N &gt;= 3) version string for future xinetd versions that you\n		   release. Note that I am excluding the 2.2.* line; using that would only create confusion. Naming the\n		   next release 2.3.0 would put to rest the confusion about 2.2.1 and 2.1.8.*.</p>\n\n	"
		self.python_name = "xinetd"

	def __str__(self):
		return json.dumps(self.__dict__)


class Latex2e:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 2007, 2008, 2009, 2010 Karl Berry.\nCopyright (C) 1988, 1994, 2007 Stephen Gilmore.\nCopyright (C) 1994, 1995, 1996 Torsten Martinsen.\n\nPermission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.\n\nPermission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.\n\nPermission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 2007, 2008, 2009, 2010 Karl Berry.  Copyright (C) 1988, 1994, 2007 Stephen Gilmore.  Copyright (C) 1994, 1995, 1996 Torsten Martinsen.  \";match=\".{0,5000}\">>\n\nPermission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.\n\nPermission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.\n\nPermission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions.\n\n"
		self.name = "Latex2e License"
		self.licenseId = "Latex2e"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Latex2e", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:14Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Latex2e"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 2007, 2008, 2009, 2010 Karl Berry.\n		<br />\n\nCopyright (C) 1988, 1994, 2007 Stephen Gilmore.\n		<br />\n\nCopyright (C) 1994, 1995, 1996 Torsten Martinsen.\n	  </p>\n\n	  </div>\n\n	  <p>Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice\n		 and this permission notice are preserved on all copies.</p>\n\n	  <p>Permission is granted to copy and distribute modified versions of this manual under the conditions for\n		 verbatim copying, provided that the entire resulting derived work is distributed under the terms of a\n		 permission notice identical to this one.</p>\n\n	  <p>Permission is granted to copy and distribute translations of this manual into another language, under the\n		 above conditions for modified versions.</p>\n\n	"
		self.python_name = "Latex2e"

	def __str__(self):
		return json.dumps(self.__dict__)


class JPLimage:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "JPL Image Use Policy\n\nUnless otherwise noted, images and video on JPL public web sites (public sites ending with a jpl.nasa.gov address) may be used for any purpose without prior permission, subject to the special cases noted below. Publishers who wish to have authorization may print this page and retain it for their records; JPL does not issue image permissions on an image by image basis.\n\nBy electing to download the material from this web site the user agrees:\n\n1. that Caltech makes no representations or warranties with respect to ownership of copyrights in the images, and does not represent others who may claim to be authors or owners of copyright of any of the images, and makes no warranties as to the quality of the images. Caltech shall not be responsible for any loss or expenses resulting from the use of the images, and you release and hold Caltech harmless from all liability arising from such use.\n2. to use a credit line in connection with images. Unless otherwise noted in the caption information for an image, the credit line should be \"Courtesy NASA/JPL-Caltech.\"\n3. that the endorsement of any product or service by Caltech, JPL or NASA must not be claimed or implied.\n\nSpecial Cases:\n\n* Prior written approval must be obtained to use the NASA insignia logo (the blue \"meatball\" insignia), the NASA logotype (the red \"worm\" logo) and the NASA seal. These images may not be used by persons who are not NASA employees or on products (including Web pages) that are not NASA sponsored. In addition, no image may be used to explicitly or implicitly suggest endorsement by NASA, JPL or Caltech of commercial goods or services. Requests to use NASA logos may be directed to Bert Ulrich, Public Services Division, NASA Headquarters, Code POS, Washington, DC 20546, telephone (202) 358-1713, fax (202) 358-4331, email bert.ulrich@hq.nasa.gov.\n\n* Prior written approval must be obtained to use the JPL logo (stylized JPL letters in red or other colors). Requests to use the JPL logo may be directed to the Institutional Communications Office, email instcomm@jpl.nasa.gov.\n\n* If an image includes an identifiable person, using the image for commercial purposes may infringe that person's right of privacy or publicity, and permission should be obtained from the person. NASA and JPL generally do not permit likenesses of current employees to appear on commercial products. For more information, consult the NASA and JPL points of contact listed above.\n\n* JPL/Caltech contractors and vendors who wish to use JPL images in advertising or public relation materials should direct requests to the Institutional Communications Office, email instcomm@jpl.nasa.gov.\n\n* Some image and video materials on JPL public web sites are owned by organizations other than JPL or NASA. These owners have agreed to make their images and video available for journalistic, educational and personal uses, but restrictions are placed on commercial uses. To obtain permission for commercial use, contact the copyright owner listed in each image caption. Ownership of images and video by parties other than JPL and NASA is noted in the caption material with each image.\n"
		self.standardLicenseTemplate = "<<beginOptional>>JPL Image Use Policy<<endOptional>>\n\nUnless otherwise noted, images and video on JPL public web sites (public sites ending with a jpl.nasa.gov address) may be used for any purpose without prior permission, subject to the special cases noted below. Publishers who wish to have authorization may print this page and retain it for their records; JPL does not issue image permissions on an image by image basis.\n\nBy electing to download the material from this web site the user agrees:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> that Caltech makes no representations or warranties with respect to ownership of copyrights in the images, and does not represent others who may claim to be authors or owners of copyright of any of the images, and makes no warranties as to the quality of the images. Caltech shall not be responsible for any loss or expenses resulting from the use of the images, and you release and hold Caltech harmless from all liability arising from such use.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> to use a credit line in connection with images. Unless otherwise noted in the caption information for an image, the credit line should be \"Courtesy NASA/JPL-Caltech.\"\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> that the endorsement of any product or service by Caltech, JPL or NASA must not be claimed or implied.\n\nSpecial Cases:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">>\n\n   Prior written approval must be obtained to use the NASA insignia logo (the blue \"meatball\" insignia), the NASA logotype (the red \"worm\" logo) and the NASA seal. These images may not be used by persons who are not NASA employees or on products (including Web pages) that are not NASA sponsored. In addition, no image may be used to explicitly or implicitly suggest endorsement by NASA, JPL or Caltech of commercial goods or services. Requests to use NASA logos may be directed to Bert Ulrich, Public Services Division, NASA Headquarters, Code POS, Washington, DC 20546, telephone (202) 358-1713, fax (202) 358-4331, email bert.ulrich@hq.nasa.gov.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">>\n\n   Prior written approval must be obtained to use the JPL logo (stylized JPL letters in red or other colors). Requests to use the JPL logo may be directed to the Institutional Communications Office, email instcomm@jpl.nasa.gov.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> If an image includes an identifiable person, using the image for commercial purposes may infringe that person's right of privacy or publicity, and permission should be obtained from the person. NASA and JPL generally do not permit likenesses of current employees to appear on commercial products. For more information, consult the NASA and JPL points of contact listed above.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> JPL/Caltech contractors and vendors who wish to use JPL images in advertising or public relation materials should direct requests to the Institutional Communications Office, email instcomm@jpl.nasa.gov.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Some image and video materials on JPL public web sites are owned by organizations other than JPL or NASA. These owners have agreed to make their images and video available for journalistic, educational and personal uses, but restrictions are placed on commercial uses. To obtain permission for commercial use, contact the copyright owner listed in each image caption. Ownership of images and video by parties other than JPL and NASA is noted in the caption material with each image."
		self.name = "JPL Image Use Policy"
		self.licenseId = "JPL-image"
		self.crossRef = [{"match": "False", "url": "https://www.jpl.nasa.gov/jpl-image-use-policy", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.jpl.nasa.gov/jpl-image-use-policy"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"optional-license-text\"> \n			JPL Image Use Policy\n		 </var>\n		 <p>\n			Unless otherwise noted, images and video on JPL public web sites\n			(public sites ending with a jpl.nasa.gov address) may be used\n			for any purpose without prior permission, subject to the special\n			cases noted below. Publishers who wish to have authorization\n			may print this page and retain it for their records; JPL\n			does not issue image permissions on an image by image basis.\n		 </p>\n\n		 <p>\n			By electing to download the material\n			from this web site the user agrees:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   that Caltech makes no representations or warranties with respect\n			   to ownership of copyrights in the images, and does not represent\n			   others who may claim to be authors or owners of copyright of any\n			   of the images, and makes no warranties as to the quality of the\n			   images. Caltech shall not be responsible for any loss or expenses\n			   resulting from the use of the images, and you release and hold\n			   Caltech harmless from all liability arising from such use.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   to use a credit line in connection with images. Unless\n			   otherwise noted in the caption information for an image,\n			   the credit line should be &quot;Courtesy NASA/JPL-Caltech.&quot;\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   that the endorsement of any product or service by\n			   Caltech, JPL or NASA must not be claimed or implied.\n			</li>\n		 \n</ul>\n		 <p>\n			Special Cases:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			   <p>\n				  Prior written approval must be obtained to use the NASA\n				  insignia logo (the blue &quot;meatball&quot; insignia), the NASA\n				  logotype (the red &quot;worm&quot; logo) and the NASA seal. These\n				  images may not be used by persons who are not NASA employees\n				  or on products (including Web pages) that are not NASA\n				  sponsored. In addition, no image may be used to explicitly\n				  or implicitly suggest endorsement by NASA, JPL or Caltech of\n				  commercial goods or services. Requests to use NASA logos may\n				  be directed to Bert Ulrich, Public Services Division, NASA\n				  Headquarters, Code POS, Washington, DC 20546, telephone (202)\n				  358-1713, fax (202) 358-4331, email bert.ulrich@hq.nasa.gov.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			   <p>\n				  Prior written approval must be obtained to use the JPL logo\n				  (stylized JPL letters in red or other colors). Requests\n				  to use the JPL logo may be directed to the Institutional\n				  Communications Office, email instcomm@jpl.nasa.gov.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n				  If an image includes an identifiable person, using the\n				  image for commercial purposes may infringe that person&apos;s\n				  right of privacy or publicity, and permission should\n				  be obtained from the person. NASA and JPL generally do\n				  not permit likenesses of current employees to appear\n				  on commercial products. For more information, consult\n				  the NASA and JPL points of contact listed above.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n				  JPL/Caltech contractors and vendors who wish to\n				  use JPL images in advertising or public relation\n				  materials should direct requests to the Institutional\n				  Communications Office, email instcomm@jpl.nasa.gov.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n				  Some image and video materials on JPL public web sites\n				  are owned by organizations other than JPL or NASA.\n				  These owners have agreed to make their images and video\n				  available for journalistic, educational and personal\n				  uses, but restrictions are placed on commercial uses.\n				  To obtain permission for commercial use, contact the\n				  copyright owner listed in each image caption. Ownership\n				  of images and video by parties other than JPL and\n				  NASA is noted in the caption material with each image.\n			</li>\n		 \n</ul>\n	  "
		self.python_name = "JPLimage"

	def __str__(self):
		return json.dumps(self.__dict__)


class MSLPL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Microsoft Limited Public License (Ms-LPL)\n\nThis license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.\n\n1.  Definitions\nThe terms \"reproduce,\" \"reproduction,\" \"derivative works,\" and \"distribution\" have the same meaning here as under U.S. copyright law. A \"contribution\" is the original software, or any additions or changes to the software. A \"contributor\" is any person that distributes its contribution under this license. \"Licensed patents\" are a contributor's patent claims that read directly on its contribution.\n\n2.  Grant of Rights\n	 (A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.\n\n	 (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.\n\n3.  Conditions and Limitations\n	 (A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.\n\n	 (B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.\n\n	 (C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.\n\n	 (D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.\n\n	 (E) The software is licensed \"as-is.\" You bear the risk of using it. The contributors give no express warranties, guarantees, or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.\n\n	 (F) Platform Limitation- The licenses granted in sections 2(A) & 2(B) extend only to the software or derivative works that you create that run on a Microsoft Windows operating system product.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Microsoft Limited Public License (Ms-LPL)\n\n<<endOptional>>\n\nThis license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n   The terms \"reproduce,\" \"reproduction,\" \"derivative works,\" and \"distribution\" have the same meaning here as under U.S. copyright law. A \"contribution\" is the original software, or any additions or changes to the software. A \"contributor\" is any person that distributes its contribution under this license. \"Licensed patents\" are a contributor's patent claims that read directly on its contribution.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Grant of Rights\n\n	  <<var;name=\"bullet\";original=\"(A)\";match=\".{0,20}\">> Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.\n\n	  <<var;name=\"bullet\";original=\"(B)\";match=\".{0,20}\">> Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Conditions and Limitations\n\n	  <<var;name=\"bullet\";original=\"(A)\";match=\".{0,20}\">> No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.\n\n	  <<var;name=\"bullet\";original=\"(B)\";match=\".{0,20}\">> If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.\n\n	  <<var;name=\"bullet\";original=\"(C)\";match=\".{0,20}\">> If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.\n\n	  <<var;name=\"bullet\";original=\"(D)\";match=\".{0,20}\">> If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.\n\n	  <<var;name=\"bullet\";original=\"(E)\";match=\".{0,20}\">> The software is licensed \"as-is.\" You bear the risk of using it. The contributors give no express warranties, guarantees, or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.\n\n	  <<var;name=\"bullet\";original=\"(F)\";match=\".{0,20}\">> Platform Limitation- The licenses granted in sections 2(A) & 2(B) extend only to the software or derivative works that you create that run on a Microsoft Windows operating system product."
		self.name = "Microsoft Limited Public License"
		self.licenseId = "MS-LPL"
		self.crossRef = [{"match": "False", "url": "https://en.wikipedia.org/wiki/Shared_Source_Initiative#Microsoft_Limited_Public_License_(Ms-LPL)", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:55Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://github.com/gabegundy/atlserver/blob/master/License.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:55Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.openhub.net/licenses/mslpl", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:56Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.openhub.net/licenses/mslpl", "https://github.com/gabegundy/atlserver/blob/master/License.txt", "https://en.wikipedia.org/wiki/Shared_Source_Initiative#Microsoft_Limited_Public_License_(Ms-LPL)"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"optional-license-text\"> \n			<p>Microsoft Limited Public License (Ms-LPL)</p>\n\n		 </div>\n\n		 <p>This license governs use of the accompanying software. If you use the software, you accept this license.\n			If you do not accept the license, do not use the software.</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   Definitions\n			   <br />\n\n   The terms &quot;reproduce,&quot; &quot;reproduction,&quot; &quot;derivative works,&quot;\n					and &quot;distribution&quot; have the same meaning here as under U.S. copyright law. A\n					&quot;contribution&quot; is the original software, or any additions or changes to the\n					software. A &quot;contributor&quot; is any person that distributes its contribution\n					under this license. &quot;Licensed patents&quot; are a contributor&apos;s patent\n					claims that read directly on its contribution.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Grant of Rights\n			   \n<ul style=\"list-style:none\">\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> (A)</var>\n					 Copyright Grant- Subject to the terms of this license, including the license conditions and\n					 limitations in section 3, each contributor grants you a non-exclusive, worldwide,\n					 royalty-free copyright license to reproduce its contribution, prepare derivative works of\n					 its contribution, and distribute its contribution or any derivative works that you\n					 create.\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> (B)</var>\n					 Patent Grant- Subject to the terms of this license, including the license conditions and\n					 limitations in section 3, each contributor grants you a non-exclusive, worldwide,\n					 royalty-free license under its licensed patents to make, have made, use, sell, offer for\n					 sale, import, and/or otherwise dispose of its contribution in the software or derivative\n					 works of the contribution in the software.\n				  </li>\n			   \n</ul>\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   Conditions and Limitations\n			   \n<ul style=\"list-style:none\">\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> (A)</var>\n					 No Trademark License- This license does not grant you rights to use any contributors&apos;\n					 name, logo, or trademarks.\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> (B)</var>\n					 If you bring a patent claim against any contributor over patents that you claim are infringed\n					 by the software, your patent license from such contributor to the software ends\n					 automatically.\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> (C)</var>\n					 If you distribute any portion of the software, you must retain all copyright, patent,\n					 trademark, and attribution notices that are present in the software.\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> (D)</var>\n					 If you distribute any portion of the software in source code form, you may do so only under\n					 this license by including a complete copy of this license with your distribution. If you\n					 distribute any portion of the software in compiled or object code form, you may only do so\n					 under a license that complies with this license.\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> (E)</var>\n					 The software is licensed &quot;as-is.&quot; You bear the risk of using it. The contributors\n					 give no express warranties, guarantees, or conditions. You may have additional consumer\n					 rights under your local laws which this license cannot change. To the extent permitted\n					 under your local laws, the contributors exclude the implied warranties of merchantability,\n					 fitness for a particular purpose and non-infringement.\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> (F)</var>\n					 Platform Limitation- The licenses granted in sections 2(A) &amp; 2(B) extend only to the\n					 software or derivative works that you create that run on a Microsoft Windows operating\n					 system product.\n				  </li>\n			   \n</ul>\n			</li>\n		 \n</ul>\n	  "
		self.python_name = "MSLPL"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCND30IGO:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Attribution-NonCommercial-NoDerivs 3.0 IGO\n\nCREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE. THE LICENSOR IS NOT NECESSARILY AN INTERGOVERNMENTAL ORGANIZATION (IGO), AS DEFINED IN THE LICENSE BELOW.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"LICENSE\"). THE LICENSOR (DEFINED BELOW) HOLDS COPYRIGHT AND OTHER RIGHTS IN THE WORK. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION FOR YOUR ACCEPTANCE AND AGREEMENT TO THE TERMS OF THE LICENSE.\n\n1. Definitions\n\n	a. \"IGO\" means, solely and exclusively for purposes of this License, an organization established by a treaty or other instrument governed by international law and possessing its own international legal personality. Other organizations established to carry out activities across national borders and that accordingly enjoy immunity from legal process are also IGOs for the sole and exclusive purposes of this License. IGOs may include as members, in addition to states, other entities.\n\n	b. \"Work\" means the literary and/or artistic work eligible for copyright protection, whatever may be the mode or form of its expression including digital form, and offered under the terms of this License. It is understood that a database, which by reason of the selection and arrangement of its contents constitutes an intellectual creation, is considered a Work.\n\n	c. \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License and may be, but is not necessarily, an IGO.\n\n	d. \"You\" means an individual or entity exercising rights under this License.\n\n	e. \"Reproduce\" means to make a copy of the Work in any manner or form, and by any means.\n\n	f. \"Distribute\" means the activity of making publicly available the Work (or copies of the Work), as applicable, by sale, rental, public lending or any other known form of transfer of ownership or possession of the Work or copy of the Work.\n\n	g. \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	h. \"Adaptation\" means a work derived from or based upon the Work, or upon the Work and other pre-existing works. Adaptations may include works such as translations, derivative works, or any alterations and arrangements of any kind involving the Work. For purposes of this License, where the Work is a musical work, performance, or phonogram, the synchronization of the Work in timed-relation with a moving image is an Adaptation. For the avoidance of doubt, including the Work in a Collection is not an Adaptation.\n\n	i. \"Collection\" means a collection of literary or artistic works or other works or subject matter other than works listed in Section 1(b) which by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. For the avoidance of doubt, a Collection will not be considered as an Adaptation.\n\n2. Scope of this License. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright protection.\n\n3. License Grant. Subject to the terms and conditions of this License, the Licensor hereby grants You a worldwide, royalty-free, non-exclusive license to exercise the rights in the Work as follows:\n\n	a. to Reproduce, Distribute and Publicly Perform the Work, to incorporate the Work into one or more Collections, and to Reproduce, Distribute and Publicly Perform the Work as incorporated in the Collections.\n\nThis License lasts for the duration of the term of the copyright in the Work licensed by the Licensor. The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Adaptations. All rights not expressly granted by the Licensor are hereby reserved, including but not limited to the rights set forth in Section 4(d).\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	a. You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work (see section 8(a)). You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from a Licensor You must, to the extent practicable, remove from the Collection any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(c), as requested.\n\n	b. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be primarily intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	c. If You Distribute, or Publicly Perform the Work or any Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) any attributions that the Licensor indicates be associated with the Work as indicated in a copyright notice, (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. The credit required by this Section 4(c) may be implemented in any reasonable manner; provided, however, that in the case of a Collection, at a minimum such credit will appear, if a credit for all contributors to the Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Licensor or others designated for attribution, of You or Your use of the Work, without the separate, express prior written permission of the Licensor or such others.\n\n	d. For the avoidance of doubt:\n\n		i. Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		ii. Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License if Your exercise of such rights is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(b) and otherwise waives the right to collect royalties through any statutory or compulsory licensing scheme; and,\n\n		iii. Voluntary License Schemes. To the extent possible, the Licensor waives the right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary licensing scheme. In all other cases the Licensor expressly reserves the right to collect such royalties.\n\n	e. Except as otherwise agreed in writing by the Licensor, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the honor or reputation of the Licensor where moral rights apply.\n\n5. Representations, Warranties and Disclaimer\n\nTHE LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.\n\n6. Limitation on Liability\n\nIN NO EVENT WILL THE LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	a. Subject to the terms and conditions set forth in this License, the license granted here lasts for the duration of the term of the copyright in the Work licensed by the Licensor as stated in Section 3. Notwithstanding the above, the Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated below.\n\n	b. If You fail to comply with this License, then this License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License. Notwithstanding the foregoing, this License reinstates automatically as of the date the violation is cured, provided it is cured within 30 days of You discovering the violation, or upon express reinstatement by the Licensor. For the avoidance of doubt, this Section 7(b) does not affect any rights the Licensor may have to seek remedies for violations of this License by You.\n\n8. Miscellaneous\n\n	a. Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	b. If any provision of this License is invalid or unenforceable, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	c. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the Licensor.\n\n	d. This License constitutes the entire agreement between You and the Licensor with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	e. The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). Interpretation of the scope of the rights granted by the Licensor and the conditions imposed on You under this License, this License, and the rights and conditions set forth herein shall be made with reference to copyright as determined in accordance with general principles of international law, including the above mentioned conventions.\n\n	f. Nothing in this License constitutes or may be interpreted as a limitation upon or waiver of any privileges and immunities that may apply to the Licensor or You, including immunity from the legal processes of any jurisdiction, national court or other authority.\n\n	g. Where the Licensor is an IGO, any and all disputes arising under this License that cannot be settled amicably shall be resolved in accordance with the following procedure:\n\n		i. Pursuant to a notice of mediation communicated by reasonable means by either You or the Licensor to the other, the dispute shall be submitted to non-binding mediation conducted in accordance with rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with those communicated in the notice of mediation. The language used in the mediation proceedings shall be English unless otherwise agreed.\n\n		ii. If any such dispute has not been settled within 45 days following the date on which the notice of mediation is provided, either You or the Licensor may, pursuant to a notice of arbitration communicated by reasonable means to the other, elect to have the dispute referred to and finally determined by arbitration. The arbitration shall be conducted in accordance with the rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with the UNCITRAL Arbitration Rules as then in force. The arbitral tribunal shall consist of a sole arbitrator and the language of the proceedings shall be English unless otherwise agreed. The place of arbitration shall be where the Licensor has its headquarters. The arbitral proceedings shall be conducted remotely (e.g., via telephone conference or written submissions) whenever practicable.\n\n		iii. Interpretation of this License in any dispute submitted to mediation or arbitration shall be as set forth in Section 8(e), above.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of the Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Attribution-NonCommercial-NoDerivs 3.0 IGO\n\n<<endOptional>>\n\nCREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE. THE LICENSOR IS NOT NECESSARILY AN INTERGOVERNMENTAL ORGANIZATION (IGO), AS DEFINED IN THE LICENSE BELOW.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"LICENSE\"). THE LICENSOR (DEFINED BELOW) HOLDS COPYRIGHT AND OTHER RIGHTS IN THE WORK. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION FOR YOUR ACCEPTANCE AND AGREEMENT TO THE TERMS OF THE LICENSE.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"IGO\" means, solely and exclusively for purposes of this License, an organization established by a treaty or other instrument governed by international law and possessing its own international legal personality. Other organizations established to carry out activities across national borders and that accordingly enjoy immunity from legal process are also IGOs for the sole and exclusive purposes of this License. IGOs may include as members, in addition to states, other entities.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Work\" means the literary and/or artistic work eligible for copyright protection, whatever may be the mode or form of its expression including digital form, and offered under the terms of this License. It is understood that a database, which by reason of the selection and arrangement of its contents constitutes an intellectual creation, is considered a Work.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License and may be, but is not necessarily, an IGO.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Reproduce\" means to make a copy of the Work in any manner or form, and by any means.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Distribute\" means the activity of making publicly available the Work (or copies of the Work), as applicable, by sale, rental, public lending or any other known form of transfer of ownership or possession of the Work or copy of the Work.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \"Adaptation\" means a work derived from or based upon the Work, or upon the Work and other pre-existing works. Adaptations may include works such as translations, derivative works, or any alterations and arrangements of any kind involving the Work. For purposes of this License, where the Work is a musical work, performance, or phonogram, the synchronization of the Work in timed-relation with a moving image is an Adaptation. For the avoidance of doubt, including the Work in a Collection is not an Adaptation.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"Collection\" means a collection of literary or artistic works or other works or subject matter other than works listed in Section 1(b) which by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. For the avoidance of doubt, a Collection will not be considered as an Adaptation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Scope of this License. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright protection.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, the Licensor hereby grants You a worldwide, royalty-free, non-exclusive license to exercise the rights in the Work as follows:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to Reproduce, Distribute and Publicly Perform the Work, to incorporate the Work into one or more Collections, and to Reproduce, Distribute and Publicly Perform the Work as incorporated in the Collections. This License lasts for the duration of the term of the copyright in the Work licensed by the Licensor. The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Adaptations. All rights not expressly granted by the Licensor are hereby reserved, including but not limited to the rights set forth in Section 4(d).\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work (see section 8(a)). You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from a Licensor You must, to the extent practicable, remove from the Collection any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(c), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be primarily intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If You Distribute, or Publicly Perform the Work or any Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) any attributions that the Licensor indicates be associated with the Work as indicated in a copyright notice, (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. The credit required by this Section 4(c) may be implemented in any reasonable manner; provided, however, that in the case of a Collection, at a minimum such credit will appear, if a credit for all contributors to the Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Licensor or others designated for attribution, of You or Your use of the Work, without the separate, express prior written permission of the Licensor or such others.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> For the avoidance of doubt:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License if Your exercise of such rights is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(b) and otherwise waives the right to collect royalties through any statutory or compulsory licensing scheme; and,\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Voluntary License Schemes. To the extent possible, the Licensor waives the right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary licensing scheme. In all other cases the Licensor expressly reserves the right to collect such royalties.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Except as otherwise agreed in writing by the Licensor, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the honor or reputation of the Licensor where moral rights apply.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer THE LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability IN NO EVENT WILL THE LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Subject to the terms and conditions set forth in this License, the license granted here lasts for the duration of the term of the copyright in the Work licensed by the Licensor as stated in Section 3. Notwithstanding the above, the Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated below.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If You fail to comply with this License, then this License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License. Notwithstanding the foregoing, this License reinstates automatically as of the date the violation is cured, provided it is cured within 30 days of You discovering the violation, or upon express reinstatement by the Licensor. For the avoidance of doubt, this Section 7(b) does not affect any rights the Licensor may have to seek remedies for violations of this License by You.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the Licensor.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> This License constitutes the entire agreement between You and the Licensor with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). Interpretation of the scope of the rights granted by the Licensor and the conditions imposed on You under this License, this License, and the rights and conditions set forth herein shall be made with reference to copyright as determined in accordance with general principles of international law, including the above mentioned conventions.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Nothing in this License constitutes or may be interpreted as a limitation upon or waiver of any privileges and immunities that may apply to the Licensor or You, including immunity from the legal processes of any jurisdiction, national court or other authority.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Where the Licensor is an IGO, any and all disputes arising under this License that cannot be settled amicably shall be resolved in accordance with the following procedure:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Pursuant to a notice of mediation communicated by reasonable means by either You or the Licensor to the other, the dispute shall be submitted to non-binding mediation conducted in accordance with rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with those communicated in the notice of mediation. The language used in the mediation proceedings shall be English unless otherwise agreed.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> If any such dispute has not been settled within 45 days following the date on which the notice of mediation is provided, either You or the Licensor may, pursuant to a notice of arbitration communicated by reasonable means to the other, elect to have the dispute referred to and finally determined by arbitration. The arbitration shall be conducted in accordance with the rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with the UNCITRAL Arbitration Rules as then in force. The arbitral tribunal shall consist of a sole arbitrator and the language of the proceedings shall be English unless otherwise agreed. The place of arbitration shall be where the Licensor has its headquarters. The arbitral proceedings shall be conducted remotely (e.g., via telephone conference or written submissions) whenever practicable.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Interpretation of this License in any dispute submitted to mediation or arbitration shall be as set forth in Section 8(e), above.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of the Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial No Derivatives 3.0 IGO"
		self.licenseId = "CC-BY-NC-ND-3.0-IGO"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-nd/3.0/igo/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:53Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-nd/3.0/igo/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		  <p>Attribution-NonCommercial-NoDerivs 3.0 IGO</p>\n\n	  </div>\n	  <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE. THE LICENSOR IS NOT NECESSARILY AN INTERGOVERNMENTAL ORGANIZATION (IGO), AS DEFINED IN THE LICENSE BELOW.</p>\n\n	  <p>License</p>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (&quot;LICENSE&quot;). THE LICENSOR (DEFINED BELOW) HOLDS COPYRIGHT AND OTHER RIGHTS IN THE WORK. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION FOR YOUR ACCEPTANCE AND AGREEMENT TO THE TERMS OF THE LICENSE.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			  <var class=\"replaceable-license-text\"> 1.</var> Definitions\n			  \n<ul style=\"list-style:none\">\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> a.</var> &quot;IGO&quot; means, solely and exclusively for purposes of this License, an organization established by a treaty or other instrument governed by international law and possessing its own international legal personality. Other organizations established to carry out activities across national borders and that accordingly enjoy immunity from legal process are also IGOs for the sole and exclusive purposes of this License. IGOs may include as members, in addition to states, other entities.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> b.</var> &quot;Work&quot; means the literary and/or artistic work eligible for copyright protection, whatever may be the mode or form of its expression including digital form, and offered under the terms of this License. It is understood that a database, which by reason of the selection and arrangement of its contents constitutes an intellectual creation, is considered a Work.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> c.</var> &quot;Licensor&quot; means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License and may be, but is not necessarily, an IGO.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> d.</var> &quot;You&quot; means an individual or entity exercising rights under this License.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> e.</var> &quot;Reproduce&quot; means to make a copy of the Work in any manner or form, and by any means.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> f.</var> &quot;Distribute&quot; means the activity of making publicly available the Work (or copies of the Work), as applicable, by sale, rental, public lending or any other known form of transfer of ownership or possession of the Work or copy of the Work.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> g.</var> &quot;Publicly Perform&quot; means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> h.</var> &quot;Adaptation&quot; means a work derived from or based upon the Work, or upon the Work and other pre-existing works. Adaptations may include works such as translations, derivative works, or any alterations and arrangements of any kind involving the Work. For purposes of this License, where the Work is a musical work, performance, or phonogram, the synchronization of the Work in timed-relation with a moving image is an Adaptation. For the avoidance of doubt, including the Work in a Collection is not an Adaptation.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> i.</var> &quot;Collection&quot; means a collection of literary or artistic works or other works or subject matter other than works listed in Section 1(b) which by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. For the avoidance of doubt, a Collection will not be considered as an Adaptation.\n				  </li>\n			  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var> Scope of this License. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright protection.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var> License Grant. Subject to the terms and conditions of this License, the Licensor hereby grants You a worldwide, royalty-free, non-exclusive license to exercise the rights in the Work as follows:\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> to Reproduce, Distribute and Publicly Perform the Work, to incorporate the Work into one or more Collections, and to Reproduce, Distribute and Publicly Perform the Work as incorporated in the Collections.\n					  </li>\n				  \n</ul>\n\nThis License lasts for the duration of the term of the copyright in the Work licensed by the Licensor. The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Adaptations. All rights not expressly granted by the Licensor are hereby reserved, including but not limited to the rights set forth in Section 4(d).\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work (see section 8(a)). You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from a Licensor You must, to the extent practicable, remove from the Collection any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(c), as requested.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be primarily intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> If You Distribute, or Publicly Perform the Work or any Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) any attributions that the Licensor indicates be associated with the Work as indicated in a copyright notice, (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. The credit required by this Section 4(c) may be implemented in any reasonable manner; provided, however, that in the case of a Collection, at a minimum such credit will appear, if a credit for all contributors to the Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Licensor or others designated for attribution, of You or Your use of the Work, without the separate, express prior written permission of the Licensor or such others.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> For the avoidance of doubt:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License if Your exercise of such rights is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(b) and otherwise waives the right to collect royalties through any statutory or compulsory licensing scheme; and,\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> Voluntary License Schemes. To the extent possible, the Licensor waives the right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary licensing scheme. In all other cases the Licensor expressly reserves the right to collect such royalties.\n							  </li>\n						  \n</ul>\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Except as otherwise agreed in writing by the Licensor, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the honor or reputation of the Licensor where moral rights apply.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 5.</var> Representations, Warranties and Disclaimer\nTHE LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 6.</var> Limitation on Liability\nIN NO EVENT WILL THE LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 7.</var> Termination\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Subject to the terms and conditions set forth in this License, the license granted here lasts for the duration of the term of the copyright in the Work licensed by the Licensor as stated in Section 3. Notwithstanding the above, the Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated below.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> If You fail to comply with this License, then this License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License. Notwithstanding the foregoing, this License reinstates automatically as of the date the violation is cured, provided it is cured within 30 days of You discovering the violation, or upon express reinstatement by the Licensor. For the avoidance of doubt, this Section 7(b) does not affect any rights the Licensor may have to seek remedies for violations of this License by You.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 8.</var> Miscellaneous\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> If any provision of this License is invalid or unenforceable, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the Licensor.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> This License constitutes the entire agreement between You and the Licensor with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). Interpretation of the scope of the rights granted by the Licensor and the conditions imposed on You under this License, this License, and the rights and conditions set forth herein shall be made with reference to copyright as determined in accordance with general principles of international law, including the above mentioned conventions.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> f.</var> Nothing in this License constitutes or may be interpreted as a limitation upon or waiver of any privileges and immunities that may apply to the Licensor or You, including immunity from the legal processes of any jurisdiction, national court or other authority.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> g.</var> Where the Licensor is an IGO, any and all disputes arising under this License that cannot be settled amicably shall be resolved in accordance with the following procedure:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Pursuant to a notice of mediation communicated by reasonable means by either You or the Licensor to the other, the dispute shall be submitted to non-binding mediation conducted in accordance with rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with those communicated in the notice of mediation. The language used in the mediation proceedings shall be English unless otherwise agreed.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> If any such dispute has not been settled within 45 days following the date on which the notice of mediation is provided, either You or the Licensor may, pursuant to a notice of arbitration communicated by reasonable means to the other, elect to have the dispute referred to and finally determined by arbitration. The arbitration shall be conducted in accordance with the rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with the UNCITRAL Arbitration Rules as then in force. The arbitral tribunal shall consist of a sole arbitrator and the language of the proceedings shall be English unless otherwise agreed. The place of arbitration shall be where the Licensor has its headquarters. The arbitral proceedings shall be conducted remotely (e.g., via telephone conference or written submissions) whenever practicable.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> Interpretation of this License in any dispute submitted to mediation or arbitration shall be as set forth in Section 8(e), above.\n							  </li>\n						  \n</ul>\n					  </li>\n				  \n</ul>\n			  </li>\n		  \n</ul>\n		  <p>Creative Commons Notice</p>\n\n		  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of the Licensor.</p>\n\n		  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark &quot;Creative Commons&quot; or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.</p>\n\n		  <p>Creative Commons may be contacted at https://creativecommons.org/.</p>\n\n	  "
		self.python_name = "CCBYNCND30IGO"

	def __str__(self):
		return json.dumps(self.__dict__)


class NCSA:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "University of Illinois/NCSA Open Source License\n\nCopyright (c) <Year> <Owner Organization Name>. All rights reserved.\n\nDeveloped by: <Name of Development Group> <Name of Institution> <URL for Development Group/Institution>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal with the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\n	 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimers.\n\n	 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimers in the documentation and/or other materials provided with the distribution.\n\n	 * Neither the names of <Name of Development Group, Name of Institution>, nor the names of its contributors may be used to endorse or promote products derived from this Software without specific prior written permission.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>University of Illinois/NCSA Open Source License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) <Year> <Owner Organization Name>. All rights reserved.  \";match=\".{0,5000}\">>\n\nDeveloped by: <<var;name=\"organization\";original=\"  <Name of Development Group>  <Name of Institution>  <URL for Development Group/Institution>\";match=\".+\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal with the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimers.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimers in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Neither the names of <<var;name=\"organizationClause3\";original=\"<Name of Development Group, Name of Institution>\";match=\".+\">> , nor the names of its contributors may be used to endorse or promote products derived from this Software without specific prior written permission.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE.\n\n"
		self.name = "University of Illinois/NCSA Open Source License"
		self.licenseId = "NCSA"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/NCSA", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:55Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://otm.illinois.edu/uiuc_openSource", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:56Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://otm.illinois.edu/uiuc_openSource", "https://opensource.org/licenses/NCSA"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>University of Illinois/NCSA Open Source License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n\n		 <p>Copyright (c) &lt;Year&gt; &lt;Owner Organization Name&gt;. All rights reserved. \n	  </p>\n\n	  </div>\n\n	  <p>Developed by:\n		<var class=\"replaceable-license-text\"> \n\t\t<br />\n\n&lt;Name of Development Group&gt;\n\t\t<br />\n\n&lt;Name of Institution&gt;\n		<br />\n\n&lt;URL for Development Group/Institution&gt;</var>\n	  </p>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and\n		 associated documentation files (the &quot;Software&quot;), to deal with the Software without restriction,\n		 including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,\n		 and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,\n		 subject to the following conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimers.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimers in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Neither the names of\n			<var class=\"replaceable-license-text\"> &lt;Name of Development Group, Name of\n			Institution&gt;</var>, nor the names of its contributors may be used to endorse or promote\n			products derived from this Software without specific prior written permission.\n\n		</li>\n	  \n</ul>\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL THE CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n		 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION\n		 WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE.</p>\n\n	"
		self.python_name = "NCSA"

	def __str__(self):
		return json.dumps(self.__dict__)


class AGPL10orlater:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "AFFERO GENERAL PUBLIC LICENSE\nVersion 1, March 2002 Copyright \u00a9 2002 Affero Inc. 510 Third Street - Suite 225, San Francisco, CA 94107, USA\n\nThis license is a modified version of the GNU General Public License copyright (C) 1989, 1991 Free Software Foundation, Inc. made with their permission. Section 2(d) has been added to cover use of software over a computer network.\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the Affero General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This Public License applies to most of Affero's software and to any other program whose authors commit to using it. (Some other Affero software is covered by the GNU Library General Public License instead.) You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. This General Public License is designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this Affero General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n\nActivities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is True depends on what the Program does.\n\n1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\nYou may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	 a) You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n	 b) You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n	 c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n	 d) If the Program as you received it is intended to interact with users through a computer network and if, in the version you received, any user interacting with the Program was given the opportunity to request transmission to that user of the Program's complete source code, you must not remove that facility from your modified version of the Program or work based on the Program, and must offer an equivalent opportunity for all users interacting with your Program through a computer network to request immediate transmission by HTTP of the complete source code of your modified version or other derivative work.\n\nThese requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\nThus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n\nIn addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n3. You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n	 a) Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n	 b) Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n	 c) Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n\nThe source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\nIf distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n4. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n5. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n\n6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n7. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n\nIf any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\nThis section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n8. If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n9. Affero Inc. may publish revised and/or new versions of the Affero General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by Affero, Inc. If the Program does not specify a version number of this License, you may choose any version ever published by Affero, Inc.\n\nYou may also choose to redistribute modified versions of this program under any version of the Free Software Foundation's GNU General Public License version 3 or higher, so long as that version of the GNU GPL includes terms and conditions substantially equivalent to those of this license.\n\n10. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by Affero, Inc., write to us; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n"
		self.standardLicenseTemplate = "<<beginOptional>>AFFERO GENERAL PUBLIC LICENSE\n\nVersion 1, March 2002\n\n<<endOptional>>\n\nCopyright \u00a9 2002 Affero Inc.\n\n510 Third Street - Suite 225, San Francisco, CA 94107, USA\n\nThis license is a modified version of the GNU General Public License copyright (C) 1989, 1991 Free Software Foundation, Inc. made with their permission. Section 2(d) has been added to cover use of software over a computer network.\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the Affero General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This Public License applies to most of Affero's software and to any other program whose authors commit to using it. (Some other Affero software is covered by the GNU Library General Public License instead.) You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. This General Public License is designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this Affero General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is True depends on what the Program does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the Program as you received it is intended to interact with users through a computer network and if, in the version you received, any user interacting with the Program was given the opportunity to request transmission to that user of the Program's complete source code, you must not remove that facility from your modified version of the Program or work based on the Program, and must offer an equivalent opportunity for all users interacting with your Program through a computer network to request immediate transmission by HTTP of the complete source code of your modified version or other derivative work.\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n\n   In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n\n   The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   If distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Affero Inc. may publish revised and/or new versions of the Affero General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by Affero, Inc. If the Program does not specify a version number of this License, you may choose any version ever published by Affero, Inc.\n\n   You may also choose to redistribute modified versions of this program under any version of the Free Software Foundation's GNU General Public License version 3 or higher, so long as that version of the GNU GPL includes terms and conditions substantially equivalent to those of this license.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by Affero, Inc., write to us; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES."
		self.name = "Affero General Public License v1.0 or later"
		self.licenseComments = "Section 9 of this license allows content under this \"any later version\" grant to be redistributed under the GPL-3.0-or-later. Affero Inc. also released an AGPL-2.0 (http://www.affero.org/agpl2.html) to allow AGPL-1.0-or-later work to be distributed under the AGPL-3.0-or-later.\n\n"
		self.licenseId = "AGPL-1.0-or-later"
		self.crossRef = [{"match": "N/A", "url": "http://www.affero.org/oagpl.html", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:13:36Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.affero.org/oagpl.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>AFFERO GENERAL PUBLIC LICENSE\n		  <br />\n\nVersion 1, March 2002 </p>\n\n	  </div>\n	  <p>Copyright \u00a9 2002 Affero Inc.\n	  <br />\n\n 510 Third Street - Suite 225, San Francisco, CA 94107, USA</p>\n\n	  <p>This license is a modified version of the GNU General Public License copyright (C) 1989, 1991 Free\n		 Software Foundation, Inc. made with their permission. Section 2(d) has been added to cover use of\n		 software over a computer network.</p>\n\n	  <p>Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is\n		 not allowed.</p>\n\n	  <p>Preamble</p>\n\n	  <p>The licenses for most software are designed to take away your freedom to share and change it. By\n		 contrast, the Affero General Public License is intended to guarantee your freedom to share and change\n		 free software--to make sure the software is free for all its users. This Public License applies to\n		 most of Affero&apos;s software and to any other program whose authors commit to using it. (Some other\n		 Affero software is covered by the GNU Library General Public License instead.) You can apply it to\n		 your programs, too.</p>\n\n	  <p>When we speak of free software, we are referring to freedom, not price. This General Public License is\n		 designed to make sure that you have the freedom to distribute copies of free software (and charge for\n		 this service if you wish), that you receive source code or can get it if you want it, that you can\n		 change the software or use pieces of it in new free programs; and that you know you can do these\n		 things.</p>\n\n	  <p>To protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to\n		 ask you to surrender the rights. These restrictions translate to certain responsibilities for you if\n		 you distribute copies of the software, or if you modify it.</p>\n\n	  <p>For example, if you distribute copies of such a program, whether gratis or for a fee, you must give the\n		 recipients all the rights that you have. You must make sure that they, too, receive or can get the\n		 source code. And you must show them these terms so they know their rights.</p>\n\n	  <p>We protect your rights with two steps: (1) copyright the software, and (2) offer you this license which\n		 gives you legal permission to copy, distribute and/or modify the software.</p>\n\n	  <p>Also, for each author&apos;s protection and ours, we want to make certain that everyone understands that there\n		 is no warranty for this free software. If the software is modified by someone else and passed on, we\n		 want its recipients to know that what they have is not the original, so that any problems introduced\n		 by others will not reflect on the original authors&apos; reputations.</p>\n\n	  <p>Finally, any free program is threatened constantly by software patents. We wish to avoid the danger that\n		 redistributors of a free program will individually obtain patent licenses, in effect making the\n		 program proprietary. To prevent this, we have made it clear that any patent must be licensed for\n		 everyone&apos;s free use or not licensed at all.</p>\n\n	  <p>The precise terms and conditions for copying, distribution and modification follow.</p>\n\n	  <p>TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  This License applies to any program or other work which contains a notice placed by the copyright\n			 holder saying it may be distributed under the terms of this Affero General Public License. The\n			 &quot;Program&quot;, below, refers to any such program or work, and a &quot;work based on the Program&quot; means\n			 either the Program or any derivative work under copyright law: that is to say, a work\n			 containing the Program or a portion of it, either verbatim or with modifications and/or\n			 translated into another language. (Hereinafter, translation is included without limitation in\n			 the term &quot;modification&quot;.) Each licensee is addressed as &quot;you&quot;.\n		  <p>Activities other than copying, distribution and modification are not covered by this License;\n			 they are outside its scope. The act of running the Program is not restricted, and the output\n			 from the Program is covered only if its contents constitute a work based on the Program\n			 (independent of having been made by running the Program). Whether that is True depends on what\n			 the Program does.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may copy and distribute verbatim copies of the Program&apos;s source code as you receive it, in\n			 any medium, provided that you conspicuously and appropriately publish on each copy an\n			 appropriate copyright notice and disclaimer of warranty; keep intact all the notices that\n			 refer to this License and to the absence of any warranty; and give any other recipients of the\n			 Program a copy of this License along with the Program.\n		  <p>You may charge a fee for the physical act of transferring a copy, and you may at your option\n			 offer warranty protection in exchange for a fee.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may modify your copy or copies of the Program or any portion of it, thus forming a work based\n			 on the Program, and copy and distribute such modifications or work under the terms of Section\n			 1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			You must cause the modified files to carry prominent notices stating that you changed the\n			   files and the date of any change.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			You must cause any work that you distribute or publish, that in whole or in part contains or\n			   is derived from the Program or any part thereof, to be licensed as a whole at no charge to\n			   all third parties under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			If the modified program normally reads commands interactively when run, you must cause it,\n			   when started running for such interactive use in the most ordinary way, to print or\n			   display an announcement including an appropriate copyright notice and a notice that there\n			   is no warranty (or else, saying that you provide a warranty) and that users may\n			   redistribute the program under these conditions, and telling the user how to view a copy\n			   of this License. (Exception: if the Program itself is interactive but does not normally\n			   print such an announcement, your work based on the Program is not required to print an\n			   announcement.)\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			If the Program as you received it is intended to interact with users through a computer\n			   network and if, in the version you received, any user interacting with the Program was\n			   given the opportunity to request transmission to that user of the Program&apos;s complete\n			   source code, you must not remove that facility from your modified version of the Program\n			   or work based on the Program, and must offer an equivalent opportunity for all users\n			   interacting with your Program through a computer network to request immediate transmission\n			   by HTTP of the complete source code of your modified version or other derivative work.\n		  </li>\n			\n</ul>\n			<p>These requirements apply to the modified work as a whole. If identifiable sections of that\n			   work are not derived from the Program, and can be reasonably considered independent and\n			   separate works in themselves, then this License, and its terms, do not apply to those\n			   sections when you distribute them as separate works. But when you distribute the same\n			   sections as part of a whole which is a work based on the Program, the distribution of the\n			   whole must be on the terms of this License, whose permissions for other licensees extend\n			   to the entire whole, and thus to each and every part regardless of who wrote it.</p>\n\n			<p>Thus, it is not the intent of this section to claim rights or contest your rights to work\n			   written entirely by you; rather, the intent is to exercise the right to control the\n			   distribution of derivative or collective works based on the Program.</p>\n\n			<p>In addition, mere aggregation of another work not based on the Program with the Program (or\n			   with a work based on the Program) on a volume of a storage or distribution medium does not\n			   bring the other work under the scope of this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may copy and distribute the Program (or a work based on it, under Section 2) in object code\n			 or executable form under the terms of Sections 1 and 2 above provided that you also do one of\n			 the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			Accompany it with the complete corresponding machine-readable source code, which must be\n			   distributed under the terms of Sections 1 and 2 above on a medium customarily used for\n			   software interchange; or,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			Accompany it with a written offer, valid for at least three years, to give any third party,\n			   for a charge no more than your cost of physically performing source distribution, a\n			   complete machine-readable copy of the corresponding source code, to be distributed under\n			   the terms of Sections 1 and 2 above on a medium customarily used for software interchange;\n			   or,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			Accompany it with the information you received as to the offer to distribute corresponding\n			   source code. (This alternative is allowed only for noncommercial distribution and only if\n			   you received the program in object code or executable form with such an offer, in accord\n			   with Subsection b above.)\n		  </li>\n			\n</ul>\n			<p>The source code for a work means the preferred form of the work for making modifications to\n			   it. For an executable work, complete source code means all the source code for all modules\n			   it contains, plus any associated interface definition files, plus the scripts used to\n			   control compilation and installation of the executable. However, as a special exception,\n			   the source code distributed need not include anything that is normally distributed (in\n			   either source or binary form) with the major components (compiler, kernel, and so on) of\n			   the operating system on which the executable runs, unless that component itself\n			   accompanies the executable.</p>\n\n			<p>If distribution of executable or object code is made by offering access to copy from a\n			   designated place, then offering equivalent access to copy the source code from the same\n			   place counts as distribution of the source code, even though third parties are not\n			   compelled to copy the source along with the object code.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may not copy, modify, sublicense, or distribute the Program except as expressly provided\n			 under this License. Any attempt otherwise to copy, modify, sublicense or distribute the\n			 Program is void, and will automatically terminate your rights under this License. However,\n			 parties who have received copies, or rights, from you under this License will not have their\n			 licenses terminated so long as such parties remain in full compliance.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You are not required to accept this License, since you have not signed it. However, nothing else\n			 grants you permission to modify or distribute the Program or its derivative works. These\n			 actions are prohibited by law if you do not accept this License. Therefore, by modifying or\n			 distributing the Program (or any work based on the Program), you indicate your acceptance of\n			 this License to do so, and all its terms and conditions for copying, distributing or modifying\n			 the Program or works based on it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Each time you redistribute the Program (or any work based on the Program), the recipient\n			 automatically receives a license from the original licensor to copy, distribute or modify the\n			 Program subject to these terms and conditions. You may not impose any further restrictions on\n			 the recipients&apos; exercise of the rights granted herein. You are not responsible for enforcing\n			 compliance by third parties to this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  If, as a consequence of a court judgment or allegation of patent infringement or for any other\n			 reason (not limited to patent issues), conditions are imposed on you (whether by court order,\n			 agreement or otherwise) that contradict the conditions of this License, they do not excuse you\n			 from the conditions of this License. If you cannot distribute so as to satisfy simultaneously\n			 your obligations under this License and any other pertinent obligations, then as a consequence\n			 you may not distribute the Program at all. For example, if a patent license would not permit\n			 royalty-free redistribution of the Program by all those who receive copies directly or\n			 indirectly through you, then the only way you could satisfy both it and this License would be\n			 to refrain entirely from distribution of the Program.\n		  <p>If any portion of this section is held invalid or unenforceable under any particular\n			 circumstance, the balance of the section is intended to apply and the section as a whole is\n			 intended to apply in other circumstances.</p>\n\n			<p>It is not the purpose of this section to induce you to infringe any patents or other property\n			 right claims or to contest validity of any such claims; this section has the sole purpose of\n			 protecting the integrity of the free software distribution system, which is implemented by\n			 public license practices. Many people have made generous contributions to the wide range of\n			 software distributed through that system in reliance on consistent application of that system;\n			 it is up to the author/donor to decide if he or she is willing to distribute software through\n			 any other system and a licensee cannot impose that choice.</p>\n\n			<p>This section is intended to make thoroughly clear what is believed to be a consequence of the\n			 rest of this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  If the distribution and/or use of the Program is restricted in certain countries either by\n			 patents or by copyrighted interfaces, the original copyright holder who places the Program\n			 under this License may add an explicit geographical distribution limitation excluding those\n			 countries, so that distribution is permitted only in or among countries not thus excluded. In\n			 such case, this License incorporates the limitation as if written in the body of this\n			 License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Affero Inc. may publish revised and/or new versions of the Affero General Public License from\n			 time to time. Such new versions will be similar in spirit to the present version, but may\n			 differ in detail to address new problems or concerns.\n		  <p>Each version is given a distinguishing version number. If the Program specifies a version number\n			 of this License which applies to it and &quot;any later version&quot;, you have the option of following\n			 the terms and conditions either of that version or of any later version published by Affero,\n			 Inc. If the Program does not specify a version number of this License, you may choose any\n			 version ever published by Affero, Inc.</p>\n\n			<p>You may also choose to redistribute modified versions of this program under any version of the\n			 Free Software Foundation&apos;s GNU General Public License version 3 or higher, so long as that\n			 version of the GNU GPL includes terms and conditions substantially equivalent to those of this\n			 license.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  If you wish to incorporate parts of the Program into other free programs whose distribution\n			 conditions are different, write to the author to ask for permission. For software which is\n			 copyrighted by Affero, Inc., write to us; we sometimes make exceptions for this. Our decision\n			 will be guided by the two goals of preserving the free status of all derivatives of our free\n			 software and of promoting the sharing and reuse of software generally.\n		  <p>NO WARRANTY</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE\n			 EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT\n			 HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND, EITHER\n			 EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY\n			 AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE\n			 PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY\n			 SERVICING, REPAIR OR CORRECTION.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER,\n			 OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE\n			 LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n			 ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF\n			 DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A\n			 FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY\n			 HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "AGPL10orlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class gtkbook:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 2005 Syd Logan, All Rights Reserved\n\nThis code is distributed without warranty. You are free to use\nthis code for any purpose, however, if this code is republished or\nredistributed in its original form, as hardcopy or electronically,\nthen you must include this copyright notice along with the code.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 2005 Syd Logan, All Rights Reserved\";match=\".{0,5000}\">>\n\nThis code is distributed without warranty. You are free to use this code for any purpose, however, if this code is republished or redistributed in its original form, as hardcopy or electronically, then you must include this copyright notice along with the code.\n\n"
		self.name = "gtkbook License"
		self.licenseId = "gtkbook"
		self.crossRef = [{"match": "False", "url": "https://github.com/slogan621/gtkbook", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:31Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://github.com/oetiker/rrdtool-1.x/blob/master/src/plbasename.c#L8-L11", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:31Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://github.com/slogan621/gtkbook", "https://github.com/oetiker/rrdtool-1.x/blob/master/src/plbasename.c#L8-L11"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright 2005 Syd Logan, All Rights Reserved\n		 </var>\n		 <p>\n			This code is distributed without warranty. You are free to use\n			this code for any purpose, however, if this code is republished or\n			redistributed in its original form, as hardcopy or electronically,\n			then you must include this copyright notice along with the code.\n		 </p>\n\n	  "
		self.python_name = "gtkbook"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD3ClauseNoNuclearWarranty:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "\nCopyright (c) 2003-2005 Sun Microsystems, Inc. All Rights Reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 - Redistribution of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 - Redistribution in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 - Neither the name of Sun Microsystems, Inc. or the names of contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nThis software is provided \"AS IS,\" without a warranty of any kind. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN MICROSYSTEMS, INC. (\"SUN\") AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE THIS SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nYou acknowledge that this software is not designed or intended for use in the design, construction, operation or maintenance of any nuclear facility.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2003-2005 Sun Microsystems, Inc. All Rights Reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistribution of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistribution in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Neither the name of Sun Microsystems, Inc. or the names of contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nThis software is provided \"AS IS,\" without a warranty of any kind. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN MICROSYSTEMS, INC. (\"SUN\") AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE THIS SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nYou acknowledge that this software is not designed or intended for use in the design, construction, operation or maintenance of any nuclear facility.\n\n"
		self.name = "BSD 3-Clause No Nuclear Warranty"
		self.licenseComments = "This license has a Sun copyright notice. It is the same license as BSD-3-Clause-No-Nuclear-License, except it has a disclaimer for nuclear factility use, instead of the software \"not licensed\" for such use."
		self.licenseId = "BSD-3-Clause-No-Nuclear-Warranty"
		self.crossRef = [{"match": "False", "url": "https://jogamp.org/git/?p=gluegen.git;a=blob_plain;f=LICENSE.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:18Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://jogamp.org/git/?p=gluegen.git;a=blob_plain;f=LICENSE.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2003-2005 Sun Microsystems, Inc. All Rights Reserved.</p>\n\n	  </div>\n	  <p>Redistribution and use in source and binary forms, with or\n		 without modification, are permitted provided that the\n		 following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Redistribution of source code must retain the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Redistribution in binary form must reproduce the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer in the documentation and/or other\n			 materials provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Neither the name of Sun Microsystems, Inc. or the names\n			 of contributors may be used to endorse or promote\n			 products derived from this software without specific\n			 prior written permission.\n		</li>\n	  \n</ul>\n	  <p>This software is provided &quot;AS IS,&quot; without a warranty of any\n		 kind. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND\n		 WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY,\n		 FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE\n		 HEREBY EXCLUDED. SUN MICROSYSTEMS, INC. (&quot;SUN&quot;) AND ITS\n		 LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY\n		 LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS\n		 SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS\n		 LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR\n		 FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR\n		 PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY\n		 OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE\n		 THIS SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY\n		 OF SUCH DAMAGES.</p>\n\n	  <p>You acknowledge that this software is not designed or intended\n		 for use in the design, construction, operation or maintenance\n		 of any nuclear facility.</p>\n\n	"
		self.python_name = "BSD3ClauseNoNuclearWarranty"

	def __str__(self):
		return json.dumps(self.__dict__)


class RPL11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Reciprocal Public License, version 1.1\n\nCopyright (C) 2001-2002 Technical Pursuit Inc., All Rights Reserved.\n\nPREAMBLE\n\nThis Preamble is intended to describe, in plain English, the nature, intent, and scope of this License. However, this Preamble is not a part of this License. The legal effect of this License is dependent only upon the terms of the License and not this Preamble.\n\nThis License is based on the concept of reciprocity. In exchange for being granted certain rights under the terms of this License to Licensor's Software, whose Source Code You have access to, You are required to reciprocate by providing equal access and rights to all third parties to the Source Code of any Modifications, Derivative Works, and Required Components for execution of same (collectively defined as Extensions) that You Deploy by Deploying Your Extensions under the terms of this License. In this fashion the available Source Code related to the original Licensed Software is enlarged for the benefit of everyone.\n\nUnder the terms of this License You may:\n\na. Distribute the Licensed Software exactly as You received it under the terms of this License either alone or as a component of an aggregate software distribution containing programs from several different sources without payment of a royalty or other fee.\n\nb. Use the Licensed Software for any purpose consistent with the rights granted by this License, but the Licensor is not providing You any warranty whatsoever, nor is the Licensor accepting any liability in the event that the Licensed Software doesn't work properly or causes You any injury or damages.\n\nc. Create Extensions to the Licensed Software consistent with the rights granted by this License, provided that You make the Source Code to any Extensions You Deploy available to all third parties under the terms of this License, document Your Modifications clearly, and title all Extensions distinctly from the Licensed Software.\n\nd. Charge a fee for warranty or support, or for accepting indemnity or liability obligations for Your customers.\n\nUnder the terms of this License You may not:\n\na. Charge for the Source Code to the Licensed Software, or Your Extensions, other than a nominal fee not to exceed Your cost for reproduction and distribution where such reproduction and distribution involve physical media.\n\nb. Modify or delete any pre-existing copyright notices, change notices, or License text in the Licensed Software.\n\nc. Assert any patent claims against the Licensor or Contributors, or which would in any way restrict the ability of any third party to use the Licensed Software or portions thereof in any form under the terms of this License, or Your rights to the Licensed Software under this License automatically terminate.\n\nd. Represent either expressly or by implication, appearance, or otherwise that You represent Licensor or\n\nContributors in any capacity or that You have any form of legal association by virtue of this License.\n\nUnder the terms of this License You must:\n\na. Document any Modifications You make to the Licensed Software including the nature of the change, the authors of the change, and the date of the change. This documentation must appear both in the Source Code and in a text file titled \"CHANGES\" distributed with the Licensed Software and Your Extensions.\n\nb. Make the Source Code for any Extensions You Deploy available in a timely fashion via an Electronic Distribution Mechanism such as FTP or HTTP download.\n\nc. Notify the Licensor of the availability of Source Code to Your Extensions in a timely fashion and include in such notice a brief description of the Extensions, the distinctive title used, and instructions on how to acquire the Source Code and future updates.\n\nd. Grant Licensor and all third parties a world-wide, non-exclusive, royalty-free license under any intellectual property rights owned or controlled by You to use, reproduce, display, perform, modify, sublicense, and distribute Your Extensions, in any form, under the terms of this License.\n\nLICENSE TERMS\n\n1.0 General; Applicability & Definitions. This Reciprocal Public License Version 1.1 (\"License\") applies to any programs or other works as well as any and all updates or maintenance releases of said programs or works (\"Software\") not already covered by this License which the Software copyright holder (\"Licensor\") makes publicly available containing a Notice (hereinafter defined) from the Licensor specifying or allowing use or distribution under the terms of this License. As used in this License and Preamble:\n\n	 1.1 \"Contributor\" means any person or entity who created or contributed to the creation of an Extension.\n\n	 1.2 \"Deploy\" means to use, Serve, sublicense or distribute Licensed Software other than for Your internal Research and/or Personal Use, and includes without limitation, any and all internal use or distribution of Licensed Software within Your business or organization other than for Research and/or Personal Use, as well as direct or indirect sublicensing or distribution of Licensed Software by You to any third party in any form or manner.\n\n	 1.3 \"Derivative Works\" as used in this License is defined under U.S. copyright law.\n\n	 1.4 \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data such as download from an FTP or web site, where such mechanism is publicly accessible.\n\n	 1.5 \"Extensions\" means any Modifications, Derivative Works, or Required Components as those terms are defined in this License.\n\n	 1.6 \"License\" means this Reciprocal Public License.\n\n	 1.7 \"Licensed Software\" means any Software licensed pursuant to this License. Licensed Software also includes all previous Extensions from any Contributor that You receive.\n\n	 1.8 \"Licensor\" means the copyright holder of any Software previously uncovered by this License who releases the Software under the terms of this License.\n\n	 1.9 \"Modifications\" means any additions to or deletions from the substance or structure of (i) a file or other storage containing Licensed Software, or (ii) any new file or storage that contains any part of Licensed Software, or (iii) any file or storage which replaces or otherwise alters the original functionality of Licensed Software at runtime.\n\n	 1.10 \"Notice\" means the notice contained in EXHIBIT A.\n\n	 1.11 \"Personal Use\" means use of Licensed Software by an individual solely for his or her personal, private and non-commercial purposes. An individual's use of Licensed Software in his or her capacity as an officer, employee, member, independent contractor or agent of a corporation, business or organization (commercial or non-commercial) does not qualify as Personal Use.\n\n	 1.12 \"Required Components\" means any text, programs, scripts, schema, interface definitions, control files, or other works created by You which are required by a third party of average skill to successfully install and run Licensed Software containing Your Modifications, or to install and run Your Derivative Works.\n\n	 1.13 \"Research\" means investigation or experimentation for the purpose of understanding the nature and limits of the Licensed Software and its potential uses.\n\n	 1.14 \"Serve\" means to deliver Licensed Software and/or Your Extensions by means of a computer network to one or more computers for purposes of execution of Licensed Software and/or Your Extensions.\n\n	 1.15 \"Software\" means any computer programs or other works as well as any updates or maintenance releases of those programs or works which are distributed publicly by Licensor.\n\n	 1.16 \"Source Code\" means the preferred form for making modifications to the Licensed Software and/or Your Extensions, including all modules contained therein, plus any associated text, interface definition files, scripts used to control compilation and installation of an executable program or other components required by a third party of average skill to build a running version of the Licensed Software or Your Extensions.\n\n	 1.17 \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n2.0 Acceptance Of License. You are not required to accept this License since you have not signed it, however nothing else grants you permission to use, copy, distribute, modify, or create derivatives of either the Software or any Extensions created by a Contributor. These actions are prohibited by law if you do not accept this License. Therefore, by performing any of these actions You indicate Your acceptance of this License and Your agreement to be bound by all its terms and conditions. IF YOU DO NOT AGREE WITH ALL THE TERMS AND CONDITIONS OF THIS LICENSE DO NOT USE, MODIFY, CREATE DERIVATIVES, OR DISTRIBUTE THE SOFTWARE. IF IT IS IMPOSSIBLE FOR YOU TO COMPLY WITH ALL THE TERMS AND CONDITIONS OF THIS LICENSE THEN YOU CAN NOT USE, MODIFY, CREATE DERIVATIVES, OR DISTRIBUTE THE SOFTWARE.\n\n3.0 Grant of License From Licensor. Subject to the terms and conditions of this License, Licensor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to Licensor's intellectual property rights, and any third party intellectual property claims derived from the Licensed Software under this License, to do the following:\n\n	 3.1 Use, reproduce, modify, display, perform, sublicense and distribute Licensed Software and Your Extensions in both Source Code form or as an executable program.\n\n	 3.2 Create Derivative Works (as that term is defined under U.S. copyright law) of Licensed Software by adding to or deleting from the substance or structure of said Licensed Software.\n\n	 3.3 Under claims of patents now or hereafter owned or controlled by Licensor, to make, use, have made, and/or otherwise dispose of Licensed Software or portions thereof, but solely to the extent that any such claim is necessary to enable You to make, use, have made, and/or otherwise dispose of Licensed Software or portions thereof.\n\n	 3.4 Licensor reserves the right to release new versions of the Software with different features, specifications, capabilities, functions, licensing terms, general availability or other characteristics. Title, ownership rights, and intellectual property rights in and to the Licensed Software shall remain in Licensor and/or its Contributors.\n\n4.0 Grant of License From Contributor. By application of the provisions in Section 6 below, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to said Contributor's intellectual property rights, and any third party intellectual property claims derived from the Licensed Software under this License, to do the following:\n\n	 4.1 Use, reproduce, modify, display, perform, sublicense and distribute any Extensions Deployed by such Contributor or portions thereof, in both Source Code form or as an executable program, either on an unmodified basis or as part of Derivative Works.\n\n	 4.2 Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, have made, and/or otherwise dispose of Extensions or portions thereof, but solely to the extent that any such claim is necessary to enable You to make, use, have made, and/or otherwise dispose of Contributor's Extensions or portions thereof.\n\n5.0 Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor or any Contributor except as expressly stated herein. Except as expressly stated in Sections 3 and 4, no other patent rights, express or implied, are granted herein. Your Extensions may require additional patent licenses from Licensor or Contributors which each may grant in its sole discretion. No right is granted to the trademarks of Licensor or any Contributor even if such marks are included in the Licensed Software. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any code that Licensor otherwise would have a right to license.\n\n	 5.1 You expressly acknowledge and agree that although Licensor and each Contributor grants the licenses to their respective portions of the Licensed Software set forth herein, no assurances are provided by Licensor or any Contributor that the Licensed Software does not infringe the patent or other intellectual property rights of any other entity. Licensor and each Contributor disclaim any liability to You for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, You hereby assume sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow You to distribute the Licensed Software, it is Your responsibility to acquire that license before distributing the Licensed Software.\n\n6.0 Your Obligations And Grants. In consideration of, and as an express condition to, the licenses granted to You under this License You hereby agree that any Modifications, Derivative Works, or Required Components (collectively Extensions) that You create or to which You contribute are governed by the terms of this License including, without limitation, Section 4. Any Extensions that You create or to which You contribute must be Deployed under the terms of this License or a future version of this License released under Section 7. You hereby grant to Licensor and all third parties a world-wide, non-exclusive, royalty-free license under those intellectual property rights You own or control to use, reproduce, display, perform, modify, create derivatives, sublicense, and distribute Your Extensions, in any form. Any Extensions You make and Deploy must have a distinct title so as to readily tell any subsequent user or Contributor that the Extensions are by You. You must include a copy of this License with every copy of the Extensions You distribute. You agree not to offer or impose any terms on any Source Code or executable version of the Licensed Software, or its Extensions that alter or restrict the applicable version of this License or the recipients' rights hereunder.\n\n	 6.1 Availability of Source Code. You must make available, under the terms of this License, the Source Code of the Licensed Software and any Extensions that You Deploy, either on the same media as You distribute any executable or other form of the Licensed Software, or via an Electronic Distribution Mechanism. The Source Code for any version of Licensed Software, or its Extensions that You Deploy must be made available at the time of Deployment and must remain available for as long as You Deploy the Extensions or at least twelve (12) months after the date You Deploy, whichever is longer. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party. You may not charge a fee for the Source Code distributed under this Section in excess of Your actual cost of duplication and distribution where such duplication and distribution involve physical media.\n\n	 6.2 Description of Modifications. You must cause any Modifications that You create or to which You contribute, to update the file titled \"CHANGES\" distributed with Licensed Software documenting the additions, changes or deletions You made, the authors of such Modifications, and the dates of any such additions, changes or deletions. You must also cause a cross-reference to appear in the Source Code at the location of each change. You must include a prominent statement that the Modifications are derived, directly or indirectly, from the Licensed Software and include the names of the Licensor and any Contributor to the Licensed Software in (i) the Source Code and (ii) in any notice displayed by the Licensed Software You distribute or in related documentation in which You describe the origin or ownership of the Licensed Software. You may not modify or delete any pre-existing copyright notices, change notices or License text in the Licensed Software.\n\n	 6.3 Intellectual Property Matters.\n\n		  a. Third Party Claims. If You have knowledge that a license to a third party's intellectual property right is required to exercise the rights granted by this License, You must include a text file with the Source Code distribution titled \"LEGAL\" that describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If You obtain such knowledge after You make any Extensions available as described in Section 6.1, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Licensed Software from You that new knowledge has been obtained.\n\n		  b. Contributor APIs. If Your Extensions include an application programming interface (\"API\") and You have knowledge of patent licenses that are reasonably necessary to implement that API, You must also include this information in the LEGAL file.\n\n		  c. Representations. You represent that, except as disclosed pursuant to 6.3(a) above, You believe that any Extensions You distribute are Your original creations and that You have sufficient rights to grant the rights conveyed by this License.\n\n	 6.4 Required Notices.\n\n		  a. License Text. You must duplicate this License in any documentation You provide along with the Source Code of any Extensions You create or to which You contribute, wherever You describe recipients' rights relating to Licensed Software. You must duplicate the notice contained in EXHIBIT A (the \"Notice\") in each file of the Source Code of any copy You distribute of the Licensed Software and Your Extensions. If You create an Extension, You may add Your name as a Contributor to the text file titled \"CONTRIB\" distributed with the Licensed Software along with a description of the contribution. If it is not possible to put the Notice in a particular Source Code file due to its structure, then You must include such Notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice.\n\n		  b. Source Code Availability. You must notify Licensor within one (1) month of the date You initially Deploy of the availability of Source Code to Your Extensions and include in such notification the name under which you Deployed Your Extensions, a description of the Extensions, and instructions on how to acquire the Source Code, including instructions on how to acquire updates over time. Should such instructions change you must provide Licensor with revised instructions within one (1) month of the date of change. Should you be unable to notify Licensor directly, you must provide notification by posting to appropriate news groups, mailing lists, or web sites where a search engine would reasonably be expected to index them.\n\n	 6.5 Additional Terms. You may choose to offer, and charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Licensed Software. However, You may do so only on Your own behalf, and not on behalf of the Licensor or any Contributor. You must make it clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Licensor and every Contributor for any liability plus attorney fees, costs, and related expenses due to any such action or claim incurred by the Licensor or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	 6.6 Conflicts With Other Licenses. Where any portion of Your Extensions, by virtue of being Derivative Works of another product or similar circumstance, fall under the terms of another license, the terms of that license should be honored however You must also make Your Extensions available under this License. If the terms of this License continue to conflict with the terms of the other license you may write the Licensor for permission to resolve the conflict in a fashion that remains consistent with the intent of this License. Such permission will be granted at the sole discretion of the Licensor.\n\n7.0 Versions of This License. Licensor may publish from time to time revised and/or new versions of the License. Once Licensed Software has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Licensed Software under the terms of any subsequent version of the License published by Licensor. No one other than Licensor has the right to modify the terms applicable to Licensed Software created under this License.\n\n	 7.1 If You create or use a modified version of this License, which You may do only in order to apply it to software that is not already Licensed Software under this License, You must rename Your license so that it is not confusingly similar to this License, and must make it clear that Your license contains terms that differ from this License. In so naming Your license, You may not use any trademark of Licensor or of any Contributor. Should Your modifications to this License be limited to alteration of EXHIBIT A purely for purposes of adjusting the Notice You require of licensees, You may continue to refer to Your License as the Reciprocal Public License or simply the RPL.\n\n8.0 Disclaimer of Warranty. LICENSED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE LICENSED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. FURTHER THERE IS NO WARRANTY MADE AND ALL IMPLIED WARRANTIES ARE DISCLAIMED THAT THE LICENSED SOFTWARE MEETS OR COMPLIES WITH ANY DESCRIPTION OF PERFORMANCE OR OPERATION, SAID COMPATIBILITY AND SUITABILITY BEING YOUR RESPONSIBILITY. LICENSOR DISCLAIMS ANY WARRANTY, IMPLIED OR EXPRESSED, THAT ANY CONTRIBUTOR'S EXTENSIONS MEET ANY STANDARD OF COMPATIBILITY OR DESCRIPTION OF PERFORMANCE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED SOFTWARE IS WITH YOU. SHOULD LICENSED SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, YOU (AND NOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. UNDER THE TERMS OF THIS LICENSOR WILL NOT SUPPORT THIS SOFTWARE AND IS UNDER NO OBLIGATION TO ISSUE UPDATES TO THIS SOFTWARE. LICENSOR HAS NO KNOWLEDGE OF ERRANT CODE OR VIRUS IN THIS SOFTWARE, BUT DOES NOT WARRANT THAT THE SOFTWARE IS FREE FROM SUCH ERRORS OR VIRUSES. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF LICENSED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n9.0 Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF LICENSED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10.0 High Risk Activities. THE LICENSED SOFTWARE IS NOT FAULT-TOLERANT AND IS NOT DESIGNED, MANUFACTURED, OR INTENDED FOR USE OR DISTRIBUTION AS ON-LINE CONTROL EQUIPMENT IN HAZARDOUS ENVIRONMENTS REQUIRING FAIL-SAFE PERFORMANCE, SUCH AS IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATIONS SYSTEMS, AIR TRAFFIC CONTROL, DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE LICENSED SOFTWARE COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE (\"HIGH RISK ACTIVITIES\"). LICENSOR AND CONTRIBUTORS SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.\n\n11.0 Responsibility for Claims. As between Licensor and Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License which specifically disclaims warranties and limits any liability of the Licensor. This paragraph is to be used in conjunction with and controlled by the Disclaimer Of Warranties of Section 8, the Limitation Of Damages in Section 9, and the disclaimer against use for High Risk Activities in Section 10. The Licensor has thereby disclaimed all warranties and limited any damages that it is or may be liable for. You agree to work with Licensor and Contributors to distribute such responsibility on an equitable basis consistent with the terms of this License including Sections 8, 9, and 10. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n12.0 Termination. This License and all rights granted hereunder will terminate immediately in the event of the circumstances described in Section 13.6 or if applicable law prohibits or restricts You from fully and or specifically complying with Sections 3, 4 and/or 6, or prevents the enforceability of any of those Sections, and You must immediately discontinue any use of Licensed Software.\n\n	 12.1 Automatic Termination Upon Breach. This License and the rights granted hereunder will terminate automatically if You fail to comply with the terms herein and fail to cure such breach within thirty (30) days of becoming aware of the breach. All sublicenses to the Licensed Software that are properly granted shall survive any termination of this License. Provisions that, by their nature, must remain in effect beyond the termination of this License, shall survive.\n\n	 12.2 Termination Upon Assertion of Patent Infringement. If You initiate litigation by asserting a patent infringement claim (excluding declaratory judgment actions) against Licensor or a Contributor (Licensor or Contributor against whom You file such an action is referred to herein as \"Respondent\") alleging that Licensed Software directly or indirectly infringes any patent, then any and all rights granted by such Respondent to You under Sections 3 or 4 of this License shall terminate prospectively upon sixty (60) days notice from Respondent (the \"Notice Period\") unless within that Notice Period You either agree in writing (i) to pay Respondent a mutually agreeable reasonably royalty for Your past or future use of Licensed Software made by such Respondent, or (ii) withdraw Your litigation claim with respect to Licensed Software against such Respondent. If within said Notice Period a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Licensor to You under Sections 3 and 4 automatically terminate at the expiration of said Notice Period.\n\n	 12.3 Reasonable Value of This License. If You assert a patent infringement claim against Respondent alleging that Licensed Software directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by said Respondent under Sections 3 and 4 shall be taken into account in determining the amount or value of any payment or license.\n\n	 12.4 No Retroactive Effect of Termination. In the event of termination under this Section all end user license agreements (excluding licenses to distributors and resellers) that have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n13.0 Miscellaneous.\n\n	 13.1 U.S. Government End Users. The Licensed Software is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Licensed Software with only those rights set forth herein.\n\n	 13.2 Relationship of Parties. This License will not be consTrued as creating an agency, partnership, joint venture, or any other form of legal association between or among You, Licensor, or any Contributor, and You will not represent to the contrary, whether expressly, by implication, appearance, or otherwise.\n\n	 13.3 Independent Development. Nothing in this License will impair Licensor's right to acquire, license, develop, subcontract, market, or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Extensions that You may develop, produce, market, or distribute.\n\n	 13.4 Consent To Breach Not Waiver. Failure by Licensor or Contributor to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision.\n\n	 13.5 Severability. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n	 13.6 Inability to Comply Due to Statute or Regulation. If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Licensed Software due to statute, judicial order, or regulation, then You cannot use, modify, or distribute the software.\n\n	 13.7 Export Restrictions. You may be restricted with respect to downloading or otherwise acquiring, exporting, or reexporting the Licensed Software or any underlying information or technology by United States and other applicable laws and regulations. By downloading or by otherwise obtaining the Licensed Software, You are agreeing to be responsible for compliance with all applicable laws and regulations.\n\n	 13.8 Arbitration, Jurisdiction & Venue. This License shall be governed by Colorado law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. You expressly agree that any dispute relating to this License shall be submitted to binding arbitration under the rules then prevailing of the American Arbitration Association. You further agree that Adams County, Colorado USA is proper venue and grant such arbitration proceeding jurisdiction as may be appropriate for purposes of resolving any dispute under this License. Judgement upon any award made in arbitration may be entered and enforced in any court of competent jurisdiction. The arbitrator shall award attorney's fees and costs of arbitration to the prevailing party. Should either party find it necessary to enforce its arbitration award or seek specific performance of such award in a civil court of competent jurisdiction, the prevailing party shall be entitled to reasonable attorney's fees and costs. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. You and Licensor expressly waive any rights to a jury trial in any litigation concerning Licensed Software or this License. Any law or regulation that provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n	 13.9 Entire Agreement. This License constitutes the entire agreement between the parties with respect to the subject matter hereof.\n\nEXHIBIT A\n\nThe Notice below must appear in each file of the Source Code of any copy You distribute of the Licensed Software or any Extensions thereto, except as may be modified as allowed under the terms of Section 7.1\nCopyright (C) 1999-2002 Technical Pursuit Inc., All Rights Reserved. Patent Pending, Technical Pursuit Inc.\n\nUnless explicitly acquired and licensed from Licensor under the Technical Pursuit License (\"TPL\") Version 1.0 or greater, the contents of this file are subject to the Reciprocal Public License (\"RPL\") Version 1.1, or subsequent versions as allowed by the RPL, and You may not copy or use this file in either source code or executable form, except in compliance with the terms and conditions of the RPL.\nYou may obtain a copy of both the TPL and the RPL (the \"Licenses\") from Technical Pursuit Inc. at http://www.technicalpursuit.com.\n\nAll software distributed under the Licenses is provided strictly on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND TECHNICAL PURSUIT INC. HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT, OR NON-INFRINGEMENT. See the Licenses for specific language governing rights and limitations under the Licenses.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Reciprocal Public License, version 1.1\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 2001-2002 Technical Pursuit Inc., All Rights Reserved.  \";match=\".{0,5000}\">><<beginOptional>> PREAMBLE\n\nThis Preamble is intended to describe, in plain English, the nature, intent, and scope of this License. However, this Preamble is not a part of this License. The legal effect of this License is dependent only upon the terms of the License and not this Preamble.\n\nThis License is based on the concept of reciprocity. In exchange for being granted certain rights under the terms of this License to Licensor's Software, whose Source Code You have access to, You are required to reciprocate by providing equal access and rights to all third parties to the Source Code of any Modifications, Derivative Works, and Required Components for execution of same (collectively defined as Extensions) that You Deploy by Deploying Your Extensions under the terms of this License. In this fashion the available Source Code related to the original Licensed Software is enlarged for the benefit of everyone.\n\nUnder the terms of this License You may:\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Distribute the Licensed Software exactly as You received it under the terms of this License either alone or as a component of an aggregate software distribution containing programs from several different sources without payment of a royalty or other fee.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Use the Licensed Software for any purpose consistent with the rights granted by this License, but the Licensor is not providing You any warranty whatsoever, nor is the Licensor accepting any liability in the event that the Licensed Software doesn't work properly or causes You any injury or damages.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Create Extensions to the Licensed Software consistent with the rights granted by this License, provided that You make the Source Code to any Extensions You Deploy available to all third parties under the terms of this License, document Your Modifications clearly, and title all Extensions distinctly from the Licensed Software.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Charge a fee for warranty or support, or for accepting indemnity or liability obligations for Your customers.\n\nUnder the terms of this License You may not:\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Charge for the Source Code to the Licensed Software, or Your Extensions, other than a nominal fee not to exceed Your cost for reproduction and distribution where such reproduction and distribution involve physical media.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Modify or delete any pre-existing copyright notices, change notices, or License text in the Licensed Software.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Assert any patent claims against the Licensor or Contributors, or which would in any way restrict the ability of any third party to use the Licensed Software or portions thereof in any form under the terms of this License, or Your rights to the Licensed Software under this License automatically terminate.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Represent either expressly or by implication, appearance, or otherwise that You represent Licensor or\n\n   Contributors in any capacity or that You have any form of legal association by virtue of this License.\n\nUnder the terms of this License You must:\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Document any Modifications You make to the Licensed Software including the nature of the change, the authors of the change, and the date of the change. This documentation must appear both in the Source Code and in a text file titled \"CHANGES\" distributed with the Licensed Software and Your Extensions.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Make the Source Code for any Extensions You Deploy available in a timely fashion via an Electronic Distribution Mechanism such as FTP or HTTP download.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Notify the Licensor of the availability of Source Code to Your Extensions in a timely fashion and include in such notice a brief description of the Extensions, the distinctive title used, and instructions on how to acquire the Source Code and future updates.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Grant Licensor and all third parties a world-wide, non-exclusive, royalty-free license under any intellectual property rights owned or controlled by You to use, reproduce, display, perform, modify, sublicense, and distribute Your Extensions, in any form, under the terms of this License.<<endOptional>>\n\nLICENSE TERMS\n\n   <<var;name=\"bullet\";original=\"1.0\";match=\".{0,20}\">> General; Applicability & Definitions. This Reciprocal Public License Version 1.1 (\"License\") applies to any programs or other works as well as any and all updates or maintenance releases of said programs or works (\"Software\") not already covered by this License which the Software copyright holder (\"Licensor\") makes publicly available containing a Notice (hereinafter defined) from the Licensor specifying or allowing use or distribution under the terms of this License. As used in this License and Preamble:\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Contributor\" means any person or entity who created or contributed to the creation of an Extension.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Deploy\" means to use, Serve, sublicense or distribute Licensed Software other than for Your internal Research and/or Personal Use, and includes without limitation, any and all internal use or distribution of Licensed Software within Your business or organization other than for Research and/or Personal Use, as well as direct or indirect sublicensing or distribution of Licensed Software by You to any third party in any form or manner.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Derivative Works\" as used in this License is defined under U.S. copyright law.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data such as download from an FTP or web site, where such mechanism is publicly accessible.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Extensions\" means any Modifications, Derivative Works, or Required Components as those terms are defined in this License.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"License\" means this Reciprocal Public License.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"Licensed Software\" means any Software licensed pursuant to this License. Licensed Software also includes all previous Extensions from any Contributor that You receive.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"Licensor\" means the copyright holder of any Software previously uncovered by this License who releases the Software under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"Modifications\" means any additions to or deletions from the substance or structure of (i) a file or other storage containing Licensed Software, or (ii) any new file or storage that contains any part of Licensed Software, or (iii) any file or storage which replaces or otherwise alters the original functionality of Licensed Software at runtime.\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> \"Notice\" means the notice contained in EXHIBIT A.\n\n	  <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> \"Personal Use\" means use of Licensed Software by an individual solely for his or her personal, private and non-commercial purposes. An individual's use of Licensed Software in his or her capacity as an officer, employee, member, independent contractor or agent of a corporation, business or organization (commercial or non-commercial) does not qualify as Personal Use.\n\n	  <<var;name=\"bullet\";original=\"1.12\";match=\".{0,20}\">> \"Required Components\" means any text, programs, scripts, schema, interface definitions, control files, or other works created by You which are required by a third party of average skill to successfully install and run Licensed Software containing Your Modifications, or to install and run Your Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"1.13\";match=\".{0,20}\">> \"Research\" means investigation or experimentation for the purpose of understanding the nature and limits of the Licensed Software and its potential uses.\n\n	  <<var;name=\"bullet\";original=\"1.14\";match=\".{0,20}\">> \"Serve\" means to deliver Licensed Software and/or Your Extensions by means of a computer network to one or more computers for purposes of execution of Licensed Software and/or Your Extensions.\n\n	  <<var;name=\"bullet\";original=\"1.15\";match=\".{0,20}\">> \"Software\" means any computer programs or other works as well as any updates or maintenance releases of those programs or works which are distributed publicly by Licensor.\n\n	  <<var;name=\"bullet\";original=\"1.16\";match=\".{0,20}\">> \"Source Code\" means the preferred form for making modifications to the Licensed Software and/or Your Extensions, including all modules contained therein, plus any associated text, interface definition files, scripts used to control compilation and installation of an executable program or other components required by a third party of average skill to build a running version of the Licensed Software or Your Extensions.\n\n	  <<var;name=\"bullet\";original=\"1.17\";match=\".{0,20}\">> \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.0\";match=\".{0,20}\">> Acceptance Of License. You are not required to accept this License since you have not signed it, however nothing else grants you permission to use, copy, distribute, modify, or create derivatives of either the Software or any Extensions created by a Contributor. These actions are prohibited by law if you do not accept this License. Therefore, by performing any of these actions You indicate Your acceptance of this License and Your agreement to be bound by all its terms and conditions. IF YOU DO NOT AGREE WITH ALL THE TERMS AND CONDITIONS OF THIS LICENSE DO NOT USE, MODIFY, CREATE DERIVATIVES, OR DISTRIBUTE THE SOFTWARE. IF IT IS IMPOSSIBLE FOR YOU TO COMPLY WITH ALL THE TERMS AND CONDITIONS OF THIS LICENSE THEN YOU CAN NOT USE, MODIFY, CREATE DERIVATIVES, OR DISTRIBUTE THE SOFTWARE.\n\n   <<var;name=\"bullet\";original=\"3.0\";match=\".{0,20}\">> Grant of License From Licensor. Subject to the terms and conditions of this License, Licensor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to Licensor's intellectual property rights, and any third party intellectual property claims derived from the Licensed Software under this License, to do the following:\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> Use, reproduce, modify, display, perform, sublicense and distribute Licensed Software and Your Extensions in both Source Code form or as an executable program.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> Create Derivative Works (as that term is defined under U.S. copyright law) of Licensed Software by adding to or deleting from the substance or structure of said Licensed Software.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> Under claims of patents now or hereafter owned or controlled by Licensor, to make, use, have made, and/or otherwise dispose of Licensed Software or portions thereof, but solely to the extent that any such claim is necessary to enable You to make, use, have made, and/or otherwise dispose of Licensed Software or portions thereof.\n\n	  <<var;name=\"bullet\";original=\"3.4\";match=\".{0,20}\">> Licensor reserves the right to release new versions of the Software with different features, specifications, capabilities, functions, licensing terms, general availability or other characteristics. Title, ownership rights, and intellectual property rights in and to the Licensed Software shall remain in Licensor and/or its Contributors.\n\n   <<var;name=\"bullet\";original=\"4.0\";match=\".{0,20}\">> Grant of License From Contributor. By application of the provisions in Section 6 below, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to said Contributor's intellectual property rights, and any third party intellectual property claims derived from the Licensed Software under this License, to do the following:\n\n	  <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> Use, reproduce, modify, display, perform, sublicense and distribute any Extensions Deployed by such Contributor or portions thereof, in both Source Code form or as an executable program, either on an unmodified basis or as part of Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"4.2\";match=\".{0,20}\">> Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, have made, and/or otherwise dispose of Extensions or portions thereof, but solely to the extent that any such claim is necessary to enable You to make, use, have made, and/or otherwise dispose of Contributor's Extensions or portions thereof.\n\n   <<var;name=\"bullet\";original=\"5.0\";match=\".{0,20}\">> Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor or any Contributor except as expressly stated herein. Except as expressly stated in Sections 3 and 4, no other patent rights, express or implied, are granted herein. Your Extensions may require additional patent licenses from Licensor or Contributors which each may grant in its sole discretion. No right is granted to the trademarks of Licensor or any Contributor even if such marks are included in the Licensed Software. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any code that Licensor otherwise would have a right to license.\n\n	  <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> You expressly acknowledge and agree that although Licensor and each Contributor grants the licenses to their respective portions of the Licensed Software set forth herein, no assurances are provided by Licensor or any Contributor that the Licensed Software does not infringe the patent or other intellectual property rights of any other entity. Licensor and each Contributor disclaim any liability to You for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, You hereby assume sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow You to distribute the Licensed Software, it is Your responsibility to acquire that license before distributing the Licensed Software.\n\n   <<var;name=\"bullet\";original=\"6.0\";match=\".{0,20}\">> Your Obligations And Grants. In consideration of, and as an express condition to, the licenses granted to You under this License You hereby agree that any Modifications, Derivative Works, or Required Components (collectively Extensions) that You create or to which You contribute are governed by the terms of this License including, without limitation, Section 4. Any Extensions that You create or to which You contribute must be Deployed under the terms of this License or a future version of this License released under Section 7. You hereby grant to Licensor and all third parties a world-wide, non-exclusive, royalty-free license under those intellectual property rights You own or control to use, reproduce, display, perform, modify, create derivatives, sublicense, and distribute Your Extensions, in any form. Any Extensions You make and Deploy must have a distinct title so as to readily tell any subsequent user or Contributor that the Extensions are by You. You must include a copy of this License with every copy of the Extensions You distribute. You agree not to offer or impose any terms on any Source Code or executable version of the Licensed Software, or its Extensions that alter or restrict the applicable version of this License or the recipients' rights hereunder.\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> Availability of Source Code. You must make available, under the terms of this License, the Source Code of the Licensed Software and any Extensions that You Deploy, either on the same media as You distribute any executable or other form of the Licensed Software, or via an Electronic Distribution Mechanism. The Source Code for any version of Licensed Software, or its Extensions that You Deploy must be made available at the time of Deployment and must remain available for as long as You Deploy the Extensions or at least twelve (12) months after the date You Deploy, whichever is longer. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party. You may not charge a fee for the Source Code distributed under this Section in excess of Your actual cost of duplication and distribution where such duplication and distribution involve physical media.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> Description of Modifications. You must cause any Modifications that You create or to which You contribute, to update the file titled \"CHANGES\" distributed with Licensed Software documenting the additions, changes or deletions You made, the authors of such Modifications, and the dates of any such additions, changes or deletions. You must also cause a cross-reference to appear in the Source Code at the location of each change. You must include a prominent statement that the Modifications are derived, directly or indirectly, from the Licensed Software and include the names of the Licensor and any Contributor to the Licensed Software in (i) the Source Code and (ii) in any notice displayed by the Licensed Software You distribute or in related documentation in which You describe the origin or ownership of the Licensed Software. You may not modify or delete any pre-existing copyright notices, change notices or License text in the Licensed Software.\n\n	  <<var;name=\"bullet\";original=\"6.3\";match=\".{0,20}\">> Intellectual Property Matters.\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Third Party Claims. If You have knowledge that a license to a third party's intellectual property right is required to exercise the rights granted by this License, You must include a text file with the Source Code distribution titled \"LEGAL\" that describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If You obtain such knowledge after You make any Extensions available as described in Section 6.1, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Licensed Software from You that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Contributor APIs. If Your Extensions include an application programming interface (\"API\") and You have knowledge of patent licenses that are reasonably necessary to implement that API, You must also include this information in the LEGAL file.\n\n		 <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Representations. You represent that, except as disclosed pursuant to 6.3(a) above, You believe that any Extensions You distribute are Your original creations and that You have sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"6.4\";match=\".{0,20}\">> Required Notices.\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> License Text. You must duplicate this License in any documentation You provide along with the Source Code of any Extensions You create or to which You contribute, wherever You describe recipients' rights relating to Licensed Software. You must duplicate the notice contained in EXHIBIT A (the \"Notice\") in each file of the Source Code of any copy You distribute of the Licensed Software and Your Extensions. If You create an Extension, You may add Your name as a Contributor to the text file titled \"CONTRIB\" distributed with the Licensed Software along with a description of the contribution. If it is not possible to put the Notice in a particular Source Code file due to its structure, then You must include such Notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice.\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Source Code Availability. You must notify Licensor within one (1) month of the date You initially Deploy of the availability of Source Code to Your Extensions and include in such notification the name under which you Deployed Your Extensions, a description of the Extensions, and instructions on how to acquire the Source Code, including instructions on how to acquire updates over time. Should such instructions change you must provide Licensor with revised instructions within one (1) month of the date of change. Should you be unable to notify Licensor directly, you must provide notification by posting to appropriate news groups, mailing lists, or web sites where a search engine would reasonably be expected to index them.\n\n	  <<var;name=\"bullet\";original=\"6.5\";match=\".{0,20}\">> Additional Terms. You may choose to offer, and charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Licensed Software. However, You may do so only on Your own behalf, and not on behalf of the Licensor or any Contributor. You must make it clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Licensor and every Contributor for any liability plus attorney fees, costs, and related expenses due to any such action or claim incurred by the Licensor or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"6.6\";match=\".{0,20}\">> Conflicts With Other Licenses. Where any portion of Your Extensions, by virtue of being Derivative Works of another product or similar circumstance, fall under the terms of another license, the terms of that license should be honored however You must also make Your Extensions available under this License. If the terms of this License continue to conflict with the terms of the other license you may write the Licensor for permission to resolve the conflict in a fashion that remains consistent with the intent of this License. Such permission will be granted at the sole discretion of the Licensor.\n\n   <<var;name=\"bullet\";original=\"7.0\";match=\".{0,20}\">> Versions of This License. Licensor may publish from time to time revised and/or new versions of the License. Once Licensed Software has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Licensed Software under the terms of any subsequent version of the License published by Licensor. No one other than Licensor has the right to modify the terms applicable to Licensed Software created under this License.\n\n	  <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> If You create or use a modified version of this License, which You may do only in order to apply it to software that is not already Licensed Software under this License, You must rename Your license so that it is not confusingly similar to this License, and must make it clear that Your license contains terms that differ from this License. In so naming Your license, You may not use any trademark of Licensor or of any Contributor. Should Your modifications to this License be limited to alteration of EXHIBIT A purely for purposes of adjusting the Notice You require of licensees, You may continue to refer to Your License as the Reciprocal Public License or simply the RPL.\n\n   <<var;name=\"bullet\";original=\"8.0\";match=\".{0,20}\">> Disclaimer of Warranty. LICENSED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE LICENSED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. FURTHER THERE IS NO WARRANTY MADE AND ALL IMPLIED WARRANTIES ARE DISCLAIMED THAT THE LICENSED SOFTWARE MEETS OR COMPLIES WITH ANY DESCRIPTION OF PERFORMANCE OR OPERATION, SAID COMPATIBILITY AND SUITABILITY BEING YOUR RESPONSIBILITY. LICENSOR DISCLAIMS ANY WARRANTY, IMPLIED OR EXPRESSED, THAT ANY CONTRIBUTOR'S EXTENSIONS MEET ANY STANDARD OF COMPATIBILITY OR DESCRIPTION OF PERFORMANCE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED SOFTWARE IS WITH YOU. SHOULD LICENSED SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, YOU (AND NOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. UNDER THE TERMS OF THIS LICENSOR WILL NOT SUPPORT THIS SOFTWARE AND IS UNDER NO OBLIGATION TO ISSUE UPDATES TO THIS SOFTWARE. LICENSOR HAS NO KNOWLEDGE OF ERRANT CODE OR VIRUS IN THIS SOFTWARE, BUT DOES NOT WARRANT THAT THE SOFTWARE IS FREE FROM SUCH ERRORS OR VIRUSES. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF LICENSED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"9.0\";match=\".{0,20}\">> Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF LICENSED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.0\";match=\".{0,20}\">> High Risk Activities. THE LICENSED SOFTWARE IS NOT FAULT-TOLERANT AND IS NOT DESIGNED, MANUFACTURED, OR INTENDED FOR USE OR DISTRIBUTION AS ON-LINE CONTROL EQUIPMENT IN HAZARDOUS ENVIRONMENTS REQUIRING FAIL-SAFE PERFORMANCE, SUCH AS IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATIONS SYSTEMS, AIR TRAFFIC CONTROL, DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE LICENSED SOFTWARE COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE (\"HIGH RISK ACTIVITIES\"). LICENSOR AND CONTRIBUTORS SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.\n\n   <<var;name=\"bullet\";original=\"11.0\";match=\".{0,20}\">> Responsibility for Claims. As between Licensor and Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License which specifically disclaims warranties and limits any liability of the Licensor. This paragraph is to be used in conjunction with and controlled by the Disclaimer Of Warranties of Section 8, the Limitation Of Damages in Section 9, and the disclaimer against use for High Risk Activities in Section 10. The Licensor has thereby disclaimed all warranties and limited any damages that it is or may be liable for. You agree to work with Licensor and Contributors to distribute such responsibility on an equitable basis consistent with the terms of this License including Sections 8, 9, and 10. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   <<var;name=\"bullet\";original=\"12.0\";match=\".{0,20}\">> Termination. This License and all rights granted hereunder will terminate immediately in the event of the circumstances described in Section 13.6 or if applicable law prohibits or restricts You from fully and or specifically complying with Sections 3, 4 and/or 6, or prevents the enforceability of any of those Sections, and You must immediately discontinue any use of Licensed Software.\n\n	  <<var;name=\"bullet\";original=\"12.1\";match=\".{0,20}\">> Automatic Termination Upon Breach. This License and the rights granted hereunder will terminate automatically if You fail to comply with the terms herein and fail to cure such breach within thirty (30) days of becoming aware of the breach. All sublicenses to the Licensed Software that are properly granted shall survive any termination of this License. Provisions that, by their nature, must remain in effect beyond the termination of this License, shall survive.\n\n	  <<var;name=\"bullet\";original=\"12.2\";match=\".{0,20}\">> Termination Upon Assertion of Patent Infringement. If You initiate litigation by asserting a patent infringement claim (excluding declaratory judgment actions) against Licensor or a Contributor (Licensor or Contributor against whom You file such an action is referred to herein as \"Respondent\") alleging that Licensed Software directly or indirectly infringes any patent, then any and all rights granted by such Respondent to You under Sections 3 or 4 of this License shall terminate prospectively upon sixty (60) days notice from Respondent (the \"Notice Period\") unless within that Notice Period You either agree in writing (i) to pay Respondent a mutually agreeable reasonably royalty for Your past or future use of Licensed Software made by such Respondent, or (ii) withdraw Your litigation claim with respect to Licensed Software against such Respondent. If within said Notice Period a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Licensor to You under Sections 3 and 4 automatically terminate at the expiration of said Notice Period.\n\n	  <<var;name=\"bullet\";original=\"12.3\";match=\".{0,20}\">> Reasonable Value of This License. If You assert a patent infringement claim against Respondent alleging that Licensed Software directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by said Respondent under Sections 3 and 4 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"12.4\";match=\".{0,20}\">> No Retroactive Effect of Termination. In the event of termination under this Section all end user license agreements (excluding licenses to distributors and resellers) that have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"13.0\";match=\".{0,20}\">> Miscellaneous.\n\n	  <<var;name=\"bullet\";original=\"13.1\";match=\".{0,20}\">> U.S. Government End Users. The Licensed Software is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Licensed Software with only those rights set forth herein.\n\n	  <<var;name=\"bullet\";original=\"13.2\";match=\".{0,20}\">> Relationship of Parties. This License will not be consTrued as creating an agency, partnership, joint venture, or any other form of legal association between or among You, Licensor, or any Contributor, and You will not represent to the contrary, whether expressly, by implication, appearance, or otherwise.\n\n	  <<var;name=\"bullet\";original=\"13.3\";match=\".{0,20}\">> Independent Development. Nothing in this License will impair Licensor's right to acquire, license, develop, subcontract, market, or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Extensions that You may develop, produce, market, or distribute.\n\n	  <<var;name=\"bullet\";original=\"13.4\";match=\".{0,20}\">> Consent To Breach Not Waiver. Failure by Licensor or Contributor to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision.\n\n	  <<var;name=\"bullet\";original=\"13.5\";match=\".{0,20}\">> Severability. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n	  <<var;name=\"bullet\";original=\"13.6\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation. If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Licensed Software due to statute, judicial order, or regulation, then You cannot use, modify, or distribute the software.\n\n	  <<var;name=\"bullet\";original=\"13.7\";match=\".{0,20}\">> Export Restrictions. You may be restricted with respect to downloading or otherwise acquiring, exporting, or reexporting the Licensed Software or any underlying information or technology by United States and other applicable laws and regulations. By downloading or by otherwise obtaining the Licensed Software, You are agreeing to be responsible for compliance with all applicable laws and regulations.\n\n	  <<var;name=\"bullet\";original=\"13.8\";match=\".{0,20}\">> Arbitration, Jurisdiction & Venue. This License shall be governed by Colorado law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. You expressly agree that any dispute relating to this License shall be submitted to binding arbitration under the rules then prevailing of the American Arbitration Association. You further agree that Adams County, Colorado USA is proper venue and grant such arbitration proceeding jurisdiction as may be appropriate for purposes of resolving any dispute under this License. Judgement upon any award made in arbitration may be entered and enforced in any court of competent jurisdiction. The arbitrator shall award attorney's fees and costs of arbitration to the prevailing party. Should either party find it necessary to enforce its arbitration award or seek specific performance of such award in a civil court of competent jurisdiction, the prevailing party shall be entitled to reasonable attorney's fees and costs. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. You and Licensor expressly waive any rights to a jury trial in any litigation concerning Licensed Software or this License. Any law or regulation that provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n	  <<var;name=\"bullet\";original=\"13.9\";match=\".{0,20}\">> Entire Agreement. This License constitutes the entire agreement between the parties with respect to the subject matter hereof.<<beginOptional>> EXHIBIT A\n\nThe Notice below must appear in each file of the Source Code of any copy You distribute of the Licensed Software or any Extensions thereto, except as may be modified as allowed under the terms of Section 7.1\n\nCopyright (C) 1999-2002 Technical Pursuit Inc., All Rights Reserved. Patent Pending, Technical Pursuit Inc.\n\nUnless explicitly acquired and licensed from Licensor under the Technical Pursuit License (\"TPL\") Version 1.0 or greater, the contents of this file are subject to the Reciprocal Public License (\"RPL\") Version 1.1, or subsequent versions as allowed by the RPL, and You may not copy or use this file in either source code or executable form, except in compliance with the terms and conditions of the RPL.\n\nYou may obtain a copy of both the TPL and the RPL (the \"Licenses\") from Technical Pursuit Inc. at http://www.technicalpursuit.com.\n\nAll software distributed under the Licenses is provided strictly on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND TECHNICAL PURSUIT INC. HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT, OR NON-INFRINGEMENT. See the Licenses for specific language governing rights and limitations under the Licenses.\n\n<<endOptional>>"
		self.name = "Reciprocal Public License 1.1"
		self.licenseComments = "This license has been superseded by the Reciprocal Public License, version 1.5"
		self.licenseId = "RPL-1.1"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/RPL-1.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:59Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/RPL-1.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Reciprocal Public License, version 1.1</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 2001-2002 Technical Pursuit Inc., All Rights Reserved.</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>PREAMBLE</p>\n\n		 <p>This Preamble is intended to describe, in plain English, the nature, intent, and scope of this License.\n		 However, this Preamble is not a part of this License. The legal effect of this License is dependent\n		 only upon the terms of the License and not this Preamble.</p>\n\n		 <p>This License is based on the concept of reciprocity. In exchange for being granted certain rights under\n		 the terms of this License to Licensor&apos;s Software, whose Source Code You have access to, You are\n		 required to reciprocate by providing equal access and rights to all third parties to the Source Code\n		 of any Modifications, Derivative Works, and Required Components for execution of same (collectively\n		 defined as Extensions) that You Deploy by Deploying Your Extensions under the terms of this License.\n		 In this fashion the available Source Code related to the original Licensed Software is enlarged for\n		 the benefit of everyone.</p>\n\n		 <p>Under the terms of this License You may:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a.</var>\n		  Distribute the Licensed Software exactly as You received it under the terms of this License\n			 either alone or as a component of an aggregate software distribution containing programs from\n			 several different sources without payment of a royalty or other fee.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b.</var>\n		  Use the Licensed Software for any purpose consistent with the rights granted by this License, but\n			 the Licensor is not providing You any warranty whatsoever, nor is the Licensor accepting any\n			 liability in the event that the Licensed Software doesn&apos;t work properly or causes You any\n			 injury or damages.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c.</var>\n		  Create Extensions to the Licensed Software consistent with the rights granted by this License,\n			 provided that You make the Source Code to any Extensions You Deploy available to all third\n			 parties under the terms of this License, document Your Modifications clearly, and title all\n			 Extensions distinctly from the Licensed Software.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d.</var>\n		  Charge a fee for warranty or support, or for accepting indemnity or liability obligations for\n			 Your customers.\n		</li>\n		 \n</ul>\n		 <p>Under the terms of this License You may not:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a.</var>\n		  Charge for the Source Code to the Licensed Software, or Your Extensions, other than a nominal fee\n			 not to exceed Your cost for reproduction and distribution where such reproduction and\n			 distribution involve physical media.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b.</var>\n		  Modify or delete any pre-existing copyright notices, change notices, or License text in the\n			 Licensed Software.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c.</var>\n		  Assert any patent claims against the Licensor or Contributors, or which would in any way restrict\n			 the ability of any third party to use the Licensed Software or portions thereof in any form\n			 under the terms of this License, or Your rights to the Licensed Software under this License\n			 automatically terminate.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d.</var>\n		  Represent either expressly or by implication, appearance, or otherwise that You represent Licensor or\n		  <p>Contributors in any capacity or that You have any form of legal association by virtue of this License.</p>\n\n			</li>\n		 \n</ul>\n		 <p>Under the terms of this License You must:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a.</var>\n		  Document any Modifications You make to the Licensed Software including the nature of the change,\n			 the authors of the change, and the date of the change. This documentation must appear both in\n			 the Source Code and in a text file titled &quot;CHANGES&quot; distributed with the Licensed Software and\n			 Your Extensions.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b.</var>\n		  Make the Source Code for any Extensions You Deploy available in a timely fashion via an\n			 Electronic Distribution Mechanism such as FTP or HTTP download.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c.</var>\n		  Notify the Licensor of the availability of Source Code to Your Extensions in a timely fashion and\n			 include in such notice a brief description of the Extensions, the distinctive title used, and\n			 instructions on how to acquire the Source Code and future updates.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d.</var>\n		  Grant Licensor and all third parties a world-wide, non-exclusive, royalty-free license under any\n			 intellectual property rights owned or controlled by You to use, reproduce, display, perform,\n			 modify, sublicense, and distribute Your Extensions, in any form, under the terms of this\n			 License.\n		</li>\n		 \n</ul>\n	  </div>\n	  <p>LICENSE TERMS</p>\n\n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 1.0</var>\n		  General; Applicability &amp; Definitions. This Reciprocal Public License Version 1.1 (&quot;License&quot;)\n			 applies to any programs or other works as well as any and all updates or maintenance releases\n			 of said programs or works (&quot;Software&quot;) not already covered by this License which the Software\n			 copyright holder (&quot;Licensor&quot;) makes publicly available containing a Notice (hereinafter\n			 defined) from the Licensor specifying or allowing use or distribution under the terms of this\n			 License. As used in this License and Preamble:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1</var>\n		  &quot;Contributor&quot; means any person or entity who created or contributed to the creation of an Extension.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2</var>\n		  &quot;Deploy&quot; means to use, Serve, sublicense or distribute Licensed Software other than for Your\n			 internal Research and/or Personal Use, and includes without limitation, any and all internal\n			 use or distribution of Licensed Software within Your business or organization other than for\n			 Research and/or Personal Use, as well as direct or indirect sublicensing or distribution of\n			 Licensed Software by You to any third party in any form or manner.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3</var>\n		  &quot;Derivative Works&quot; as used in this License is defined under U.S. copyright law.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4</var>\n		  &quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the software\n			 development community for the electronic transfer of data such as download from an FTP or web\n			 site, where such mechanism is publicly accessible.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5</var>\n		  &quot;Extensions&quot; means any Modifications, Derivative Works, or Required Components as those terms are\n			 defined in this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6</var>\n		  &quot;License&quot; means this Reciprocal Public License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7</var>\n		  &quot;Licensed Software&quot; means any Software licensed pursuant to this License. Licensed Software also\n			 includes all previous Extensions from any Contributor that You receive.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8</var>\n		  &quot;Licensor&quot; means the copyright holder of any Software previously uncovered by this License who\n			 releases the Software under the terms of this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9</var>\n		  &quot;Modifications&quot; means any additions to or deletions from the substance or structure of (i) a file\n			 or other storage containing Licensed Software, or (ii) any new file or storage that contains\n			 any part of Licensed Software, or (iii) any file or storage which replaces or otherwise alters\n			 the original functionality of Licensed Software at runtime.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10</var>\n		  &quot;Notice&quot; means the notice contained in EXHIBIT A.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11</var>\n		  &quot;Personal Use&quot; means use of Licensed Software by an individual solely for his or her personal,\n			 private and non-commercial purposes. An individual&apos;s use of Licensed Software in his or her\n			 capacity as an officer, employee, member, independent contractor or agent of a corporation,\n			 business or organization (commercial or non-commercial) does not qualify as Personal Use.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12</var>\n		  &quot;Required Components&quot; means any text, programs, scripts, schema, interface definitions, control\n			 files, or other works created by You which are required by a third party of average skill to\n			 successfully install and run Licensed Software containing Your Modifications, or to install\n			 and run Your Derivative Works.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13</var>\n		  &quot;Research&quot; means investigation or experimentation for the purpose of understanding the nature and\n			 limits of the Licensed Software and its potential uses.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.14</var>\n		  &quot;Serve&quot; means to deliver Licensed Software and/or Your Extensions by means of a computer network\n			 to one or more computers for purposes of execution of Licensed Software and/or Your\n			 Extensions.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.15</var>\n		  &quot;Software&quot; means any computer programs or other works as well as any updates or maintenance\n			 releases of those programs or works which are distributed publicly by Licensor.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.16</var>\n		  &quot;Source Code&quot; means the preferred form for making modifications to the Licensed Software and/or\n			 Your Extensions, including all modules contained therein, plus any associated text, interface\n			 definition files, scripts used to control compilation and installation of an executable\n			 program or other components required by a third party of average skill to build a running\n			 version of the Licensed Software or Your Extensions.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.17</var>\n		  &quot;You&quot; or &quot;Your&quot; means an individual or a legal entity exercising rights under this License. For\n			 legal entities, &quot;You&quot; or &quot;Your&quot; includes any entity which controls, is controlled by, or is\n			 under common control with, You, where &quot;control&quot; means (a) the power, direct or indirect, to\n			 cause the direction or management of such entity, whether by contract or otherwise, or (b)\n			 ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of\n			 such entity.\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 2.0</var>\n		  Acceptance Of License. You are not required to accept this License since you have not signed it,\n			 however nothing else grants you permission to use, copy, distribute, modify, or create\n			 derivatives of either the Software or any Extensions created by a Contributor. These actions\n			 are prohibited by law if you do not accept this License. Therefore, by performing any of these\n			 actions You indicate Your acceptance of this License and Your agreement to be bound by all its\n			 terms and conditions. IF YOU DO NOT AGREE WITH ALL THE TERMS AND CONDITIONS OF THIS LICENSE DO\n			 NOT USE, MODIFY, CREATE DERIVATIVES, OR DISTRIBUTE THE SOFTWARE. IF IT IS IMPOSSIBLE FOR YOU\n			 TO COMPLY WITH ALL THE TERMS AND CONDITIONS OF THIS LICENSE THEN YOU CAN NOT USE, MODIFY,\n			 CREATE DERIVATIVES, OR DISTRIBUTE THE SOFTWARE.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 3.0</var>\n		  Grant of License From Licensor. Subject to the terms and conditions of this License, Licensor\n			 hereby grants You a world-wide, royalty-free, non-exclusive license, subject to Licensor&apos;s\n			 intellectual property rights, and any third party intellectual property claims derived from\n			 the Licensed Software under this License, to do the following:\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n		  Use, reproduce, modify, display, perform, sublicense and distribute Licensed Software and Your\n			 Extensions in both Source Code form or as an executable program.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n		  Create Derivative Works (as that term is defined under U.S. copyright law) of Licensed Software\n			 by adding to or deleting from the substance or structure of said Licensed Software.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3</var>\n		  Under claims of patents now or hereafter owned or controlled by Licensor, to make, use, have\n			 made, and/or otherwise dispose of Licensed Software or portions thereof, but solely to the\n			 extent that any such claim is necessary to enable You to make, use, have made, and/or\n			 otherwise dispose of Licensed Software or portions thereof.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4</var>\n		  Licensor reserves the right to release new versions of the Software with different features,\n			 specifications, capabilities, functions, licensing terms, general availability or other\n			 characteristics. Title, ownership rights, and intellectual property rights in and to the\n			 Licensed Software shall remain in Licensor and/or its Contributors.\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 4.0</var>\n		  Grant of License From Contributor. By application of the provisions in Section 6 below, each\n			 Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to\n			 said Contributor&apos;s intellectual property rights, and any third party intellectual property\n			 claims derived from the Licensed Software under this License, to do the following:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.1</var>\n			  Use, reproduce, modify, display, perform, sublicense and distribute any Extensions Deployed by\n				 such Contributor or portions thereof, in both Source Code form or as an executable program,\n				 either on an unmodified basis or as part of Derivative Works.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.2</var>\n			  Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, have\n				 made, and/or otherwise dispose of Extensions or portions thereof, but solely to the extent\n				 that any such claim is necessary to enable You to make, use, have made, and/or otherwise\n				 dispose of Contributor&apos;s Extensions or portions thereof.\n			</li>\n			\n</ul>\n		</li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 5.0</var>\n		  Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to\n			 trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor\n			 or any Contributor except as expressly stated herein. Except as expressly stated in Sections 3\n			 and 4, no other patent rights, express or implied, are granted herein. Your Extensions may\n			 require additional patent licenses from Licensor or Contributors which each may grant in its\n			 sole discretion. No right is granted to the trademarks of Licensor or any Contributor even if\n			 such marks are included in the Licensed Software. Nothing in this License shall be interpreted\n			 to prohibit Licensor from licensing under different terms from this License any code that\n			 Licensor otherwise would have a right to license.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.1</var>\n		  You expressly acknowledge and agree that although Licensor and each Contributor grants the\n			 licenses to their respective portions of the Licensed Software set forth herein, no assurances\n			 are provided by Licensor or any Contributor that the Licensed Software does not infringe the\n			 patent or other intellectual property rights of any other entity. Licensor and each\n			 Contributor disclaim any liability to You for claims brought by any other entity based on\n			 infringement of intellectual property rights or otherwise. As a condition to exercising the\n			 rights and licenses granted hereunder, You hereby assume sole responsibility to secure any\n			 other intellectual property rights needed, if any. For example, if a third party patent\n			 license is required to allow You to distribute the Licensed Software, it is Your\n			 responsibility to acquire that license before distributing the Licensed Software.\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 6.0</var>\n	  Your Obligations And Grants. In consideration of, and as an express condition to, the licenses\n		 granted to You under this License You hereby agree that any Modifications, Derivative Works,\n		 or Required Components (collectively Extensions) that You create or to which You contribute\n		 are governed by the terms of this License including, without limitation, Section 4. Any\n		 Extensions that You create or to which You contribute must be Deployed under the terms of this\n		 License or a future version of this License released under Section 7. You hereby grant to\n		 Licensor and all third parties a world-wide, non-exclusive, royalty-free license under those\n		 intellectual property rights You own or control to use, reproduce, display, perform, modify,\n		 create derivatives, sublicense, and distribute Your Extensions, in any form. Any Extensions\n		 You make and Deploy must have a distinct title so as to readily tell any subsequent user or\n		 Contributor that the Extensions are by You. You must include a copy of this License with every\n		 copy of the Extensions You distribute. You agree not to offer or impose any terms on any\n		 Source Code or executable version of the Licensed Software, or its Extensions that alter or\n		 restrict the applicable version of this License or the recipients&apos; rights hereunder.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1</var>\n			  Availability of Source Code. You must make available, under the terms of this License, the Source\n				 Code of the Licensed Software and any Extensions that You Deploy, either on the same media as\n				 You distribute any executable or other form of the Licensed Software, or via an Electronic\n				 Distribution Mechanism. The Source Code for any version of Licensed Software, or its\n				 Extensions that You Deploy must be made available at the time of Deployment and must remain\n				 available for as long as You Deploy the Extensions or at least twelve (12) months after the\n				 date You Deploy, whichever is longer. You are responsible for ensuring that the Source Code\n				 version remains available even if the Electronic Distribution Mechanism is maintained by a\n				 third party. You may not charge a fee for the Source Code distributed under this Section in\n				 excess of Your actual cost of duplication and distribution where such duplication and\n				 distribution involve physical media.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2</var>\n			  Description of Modifications. You must cause any Modifications that You create or to which You\n				 contribute, to update the file titled &quot;CHANGES&quot; distributed with Licensed Software documenting\n				 the additions, changes or deletions You made, the authors of such Modifications, and the dates\n				 of any such additions, changes or deletions. You must also cause a cross-reference to appear\n				 in the Source Code at the location of each change. You must include a prominent statement that\n				 the Modifications are derived, directly or indirectly, from the Licensed Software and include\n				 the names of the Licensor and any Contributor to the Licensed Software in (i) the Source Code\n				 and (ii) in any notice displayed by the Licensed Software You distribute or in related\n				 documentation in which You describe the origin or ownership of the Licensed Software. You may\n				 not modify or delete any pre-existing copyright notices, change notices or License text in the\n				 Licensed Software.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3</var>\n			  Intellectual Property Matters.\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n				  Third Party Claims. If You have knowledge that a license to a third party&apos;s intellectual property\n					 right is required to exercise the rights granted by this License, You must include a text file\n					 with the Source Code distribution titled &quot;LEGAL&quot; that describes the claim and the party making\n					 the claim in sufficient detail that a recipient will know whom to contact. If You obtain such\n					 knowledge after You make any Extensions available as described in Section 6.1, You shall\n					 promptly modify the LEGAL file in all copies You make available thereafter and shall take\n					 other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated\n					 to inform those who received the Licensed Software from You that new knowledge has been\n					 obtained.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n				  Contributor APIs. If Your Extensions include an application programming interface (&quot;API&quot;) and You\n					 have knowledge of patent licenses that are reasonably necessary to implement that API, You\n					 must also include this information in the LEGAL file.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> c.</var>\n				  Representations. You represent that, except as disclosed pursuant to 6.3(a) above, You believe\n					 that any Extensions You distribute are Your original creations and that You have sufficient\n					 rights to grant the rights conveyed by this License.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.4</var>\n			  Required Notices.\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n			  License Text. You must duplicate this License in any documentation You provide along with the\n				 Source Code of any Extensions You create or to which You contribute, wherever You describe\n				 recipients&apos; rights relating to Licensed Software. You must duplicate the notice contained in\n				 EXHIBIT A (the &quot;Notice&quot;) in each file of the Source Code of any copy You distribute of the\n				 Licensed Software and Your Extensions. If You create an Extension, You may add Your name as a\n				 Contributor to the text file titled &quot;CONTRIB&quot; distributed with the Licensed Software along\n				 with a description of the contribution. If it is not possible to put the Notice in a\n				 particular Source Code file due to its structure, then You must include such Notice in a\n				 location (such as a relevant directory file) where a user would be likely to look for such a\n				 notice.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n			  Source Code Availability. You must notify Licensor within one (1) month of the date You initially\n				 Deploy of the availability of Source Code to Your Extensions and include in such notification\n				 the name under which you Deployed Your Extensions, a description of the Extensions, and\n				 instructions on how to acquire the Source Code, including instructions on how to acquire\n				 updates over time. Should such instructions change you must provide Licensor with revised\n				 instructions within one (1) month of the date of change. Should you be unable to notify\n				 Licensor directly, you must provide notification by posting to appropriate news groups,\n				 mailing lists, or web sites where a search engine would reasonably be expected to index\n				 them.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.5</var>\n			  Additional Terms. You may choose to offer, and charge a fee for, warranty, support, indemnity or\n				 liability obligations to one or more recipients of Licensed Software. However, You may do so\n				 only on Your own behalf, and not on behalf of the Licensor or any Contributor. You must make\n				 it clear that any such warranty, support, indemnity or liability obligation is offered by You\n				 alone, and You hereby agree to indemnify the Licensor and every Contributor for any liability\n				 plus attorney fees, costs, and related expenses due to any such action or claim incurred by\n				 the Licensor or such Contributor as a result of warranty, support, indemnity or liability\n				 terms You offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.6</var>\n			  Conflicts With Other Licenses. Where any portion of Your Extensions, by virtue of being\n				 Derivative Works of another product or similar circumstance, fall under the terms of another\n				 license, the terms of that license should be honored however You must also make Your\n				 Extensions available under this License. If the terms of this License continue to conflict\n				 with the terms of the other license you may write the Licensor for permission to resolve the\n				 conflict in a fashion that remains consistent with the intent of this License. Such permission\n				 will be granted at the sole discretion of the Licensor.\n			</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 7.0</var>\n	  Versions of This License. Licensor may publish from time to time revised and/or new versions of\n		 the License. Once Licensed Software has been published under a particular version of the\n		 License, You may always continue to use it under the terms of that version. You may also\n		 choose to use such Licensed Software under the terms of any subsequent version of the License\n		 published by Licensor. No one other than Licensor has the right to modify the terms applicable\n		 to Licensed Software created under this License.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.1</var>\n		  If You create or use a modified version of this License, which You may do only in order to apply\n			 it to software that is not already Licensed Software under this License, You must rename Your\n			 license so that it is not confusingly similar to this License, and must make it clear that\n			 Your license contains terms that differ from this License. In so naming Your license, You may\n			 not use any trademark of Licensor or of any Contributor. Should Your modifications to this\n			 License be limited to alteration of EXHIBIT A purely for purposes of adjusting the Notice You\n			 require of licensees, You may continue to refer to Your License as the Reciprocal Public\n			 License or simply the RPL.\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 8.0</var>\n	  Disclaimer of Warranty. LICENSED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS,\n		 WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\n		 WARRANTIES THAT THE LICENSED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\n		 PURPOSE OR NON-INFRINGING. FURTHER THERE IS NO WARRANTY MADE AND ALL IMPLIED WARRANTIES ARE\n		 DISCLAIMED THAT THE LICENSED SOFTWARE MEETS OR COMPLIES WITH ANY DESCRIPTION OF PERFORMANCE OR\n		 OPERATION, SAID COMPATIBILITY AND SUITABILITY BEING YOUR RESPONSIBILITY. LICENSOR DISCLAIMS\n		 ANY WARRANTY, IMPLIED OR EXPRESSED, THAT ANY CONTRIBUTOR&apos;S EXTENSIONS MEET ANY STANDARD OF\n		 COMPATIBILITY OR DESCRIPTION OF PERFORMANCE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\n		 OF THE LICENSED SOFTWARE IS WITH YOU. SHOULD LICENSED SOFTWARE PROVE DEFECTIVE IN ANY RESPECT,\n		 YOU (AND NOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY\n		 SERVICING, REPAIR OR CORRECTION. UNDER THE TERMS OF THIS LICENSOR WILL NOT SUPPORT THIS\n		 SOFTWARE AND IS UNDER NO OBLIGATION TO ISSUE UPDATES TO THIS SOFTWARE. LICENSOR HAS NO\n		 KNOWLEDGE OF ERRANT CODE OR VIRUS IN THIS SOFTWARE, BUT DOES NOT WARRANT THAT THE SOFTWARE IS\n		 FREE FROM SUCH ERRORS OR VIRUSES. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF\n		 THIS LICENSE. NO USE OF LICENSED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS\n		 DISCLAIMER.\n	</li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 9.0</var>\n		  Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT\n			 (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY\n			 DISTRIBUTOR OF LICENSED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY\n			 PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER\n			 INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE\n			 OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL\n			 HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT\n			 APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE\n			 EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION\n			 OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT\n			 APPLY TO YOU.\n		</li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 10.0</var>\n	  High Risk Activities. THE LICENSED SOFTWARE IS NOT FAULT-TOLERANT AND IS NOT DESIGNED,\n		 MANUFACTURED, OR INTENDED FOR USE OR DISTRIBUTION AS ON-LINE CONTROL EQUIPMENT IN HAZARDOUS\n		 ENVIRONMENTS REQUIRING FAIL-SAFE PERFORMANCE, SUCH AS IN THE OPERATION OF NUCLEAR FACILITIES,\n		 AIRCRAFT NAVIGATION OR COMMUNICATIONS SYSTEMS, AIR TRAFFIC CONTROL, DIRECT LIFE SUPPORT\n		 MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE LICENSED SOFTWARE COULD LEAD\n		 DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE (&quot;HIGH RISK\n		 ACTIVITIES&quot;). LICENSOR AND CONTRIBUTORS SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED WARRANTY\n		 OF FITNESS FOR HIGH RISK ACTIVITIES.\n	</li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 11.0</var>\n	  Responsibility for Claims. As between Licensor and Contributors, each party is responsible for\n		 claims and damages arising, directly or indirectly, out of its utilization of rights under\n		 this License which specifically disclaims warranties and limits any liability of the Licensor.\n		 This paragraph is to be used in conjunction with and controlled by the Disclaimer Of\n		 Warranties of Section 8, the Limitation Of Damages in Section 9, and the disclaimer against\n		 use for High Risk Activities in Section 10. The Licensor has thereby disclaimed all warranties\n		 and limited any damages that it is or may be liable for. You agree to work with Licensor and\n		 Contributors to distribute such responsibility on an equitable basis consistent with the terms\n		 of this License including Sections 8, 9, and 10. Nothing herein is intended or shall be deemed\n		 to constitute any admission of liability.\n	</li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 12.0</var>\n	  Termination. This License and all rights granted hereunder will terminate immediately in the\n		 event of the circumstances described in Section 13.6 or if applicable law prohibits or\n		 restricts You from fully and or specifically complying with Sections 3, 4 and/or 6, or\n		 prevents the enforceability of any of those Sections, and You must immediately discontinue any\n		 use of Licensed Software.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.1</var>\n		  Automatic Termination Upon Breach. This License and the rights granted hereunder will terminate\n			 automatically if You fail to comply with the terms herein and fail to cure such breach within\n			 thirty (30) days of becoming aware of the breach. All sublicenses to the Licensed Software\n			 that are properly granted shall survive any termination of this License. Provisions that, by\n			 their nature, must remain in effect beyond the termination of this License, shall survive.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.2</var>\n		  Termination Upon Assertion of Patent Infringement. If You initiate litigation by asserting a\n			 patent infringement claim (excluding declaratory judgment actions) against Licensor or a\n			 Contributor (Licensor or Contributor against whom You file such an action is referred to\n			 herein as &quot;Respondent&quot;) alleging that Licensed Software directly or indirectly infringes any\n			 patent, then any and all rights granted by such Respondent to You under Sections 3 or 4 of\n			 this License shall terminate prospectively upon sixty (60) days notice from Respondent (the\n			 &quot;Notice Period&quot;) unless within that Notice Period You either agree in writing (i) to pay\n			 Respondent a mutually agreeable reasonably royalty for Your past or future use of Licensed\n			 Software made by such Respondent, or (ii) withdraw Your litigation claim with respect to\n			 Licensed Software against such Respondent. If within said Notice Period a reasonable royalty\n			 and payment arrangement are not mutually agreed upon in writing by the parties or the\n			 litigation claim is not withdrawn, the rights granted by Licensor to You under Sections 3 and\n			 4 automatically terminate at the expiration of said Notice Period.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.3</var>\n		  Reasonable Value of This License. If You assert a patent infringement claim against Respondent\n			 alleging that Licensed Software directly or indirectly infringes any patent where such claim\n			 is resolved (such as by license or settlement) prior to the initiation of patent infringement\n			 litigation, then the reasonable value of the licenses granted by said Respondent under\n			 Sections 3 and 4 shall be taken into account in determining the amount or value of any payment\n			 or license.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.4</var>\n		  No Retroactive Effect of Termination. In the event of termination under this Section all end user\n			 license agreements (excluding licenses to distributors and resellers) that have been validly\n			 granted by You or any distributor hereunder prior to termination shall survive\n			 termination.\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 13.0</var>\n	  Miscellaneous.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.1</var>\n		  U.S. Government End Users. The Licensed Software is a &quot;commercial item,&quot; as that term is defined\n			 in 48 C.F.R. 2.101 (Oct. 1995), consisting of &quot;commercial computer software&quot; and &quot;commercial\n			 computer software documentation,&quot; as such terms are used in 48 C.F.R. 12.212 (Sept. 1995).\n			 Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all\n			 U.S. Government End Users acquire Licensed Software with only those rights set forth\n			 herein.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.2</var>\n		  Relationship of Parties. This License will not be consTrued as creating an agency, partnership,\n			 joint venture, or any other form of legal association between or among You, Licensor, or any\n			 Contributor, and You will not represent to the contrary, whether expressly, by implication,\n			 appearance, or otherwise.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.3</var>\n		  Independent Development. Nothing in this License will impair Licensor&apos;s right to acquire,\n			 license, develop, subcontract, market, or distribute technology or products that perform the\n			 same or similar functions as, or otherwise compete with, Extensions that You may develop,\n			 produce, market, or distribute.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.4</var>\n		  Consent To Breach Not Waiver. Failure by Licensor or Contributor to enforce any provision of this\n			 License will not be deemed a waiver of future enforcement of that or any other provision.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.5</var>\n		  Severability. This License represents the complete agreement concerning the subject matter\n			 hereof. If any provision of this License is held to be unenforceable, such provision shall be\n			 reformed only to the extent necessary to make it enforceable.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.6</var>\n		  Inability to Comply Due to Statute or Regulation. If it is impossible for You to comply with any\n			 of the terms of this License with respect to some or all of the Licensed Software due to\n			 statute, judicial order, or regulation, then You cannot use, modify, or distribute the\n			 software.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.7</var>\n		  Export Restrictions. You may be restricted with respect to downloading or otherwise acquiring,\n			 exporting, or reexporting the Licensed Software or any underlying information or technology by\n			 United States and other applicable laws and regulations. By downloading or by otherwise\n			 obtaining the Licensed Software, You are agreeing to be responsible for compliance with all\n			 applicable laws and regulations.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.8</var>\n		  Arbitration, Jurisdiction &amp; Venue. This License shall be governed by Colorado law provisions\n			 (except to the extent applicable law, if any, provides otherwise), excluding its\n			 conflict-of-law provisions. You expressly agree that any dispute relating to this License\n			 shall be submitted to binding arbitration under the rules then prevailing of the American\n			 Arbitration Association. You further agree that Adams County, Colorado USA is proper venue and\n			 grant such arbitration proceeding jurisdiction as may be appropriate for purposes of resolving\n			 any dispute under this License. Judgement upon any award made in arbitration may be entered\n			 and enforced in any court of competent jurisdiction. The arbitrator shall award attorney&apos;s\n			 fees and costs of arbitration to the prevailing party. Should either party find it necessary\n			 to enforce its arbitration award or seek specific performance of such award in a civil court\n			 of competent jurisdiction, the prevailing party shall be entitled to reasonable attorney&apos;s\n			 fees and costs. The application of the United Nations Convention on Contracts for the\n			 International Sale of Goods is expressly excluded. You and Licensor expressly waive any rights\n			 to a jury trial in any litigation concerning Licensed Software or this License. Any law or\n			 regulation that provides that the language of a contract shall be consTrued against the\n			 drafter shall not apply to this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.9</var>\n		  Entire Agreement. This License constitutes the entire agreement between the parties with respect\n			 to the subject matter hereof.\n		</li>\n			\n</ul>\n		 </li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A</p>\n\n		 <p>The Notice below must appear in each file of the Source Code of any copy You distribute of the Licensed\n		 Software or any Extensions thereto, except as may be modified as allowed under the terms of Section\n		 7.1\n		<br />\n\nCopyright (C) 1999-2002 Technical Pursuit Inc., All Rights Reserved. Patent Pending, Technical\n			 Pursuit Inc.\n	  </p>\n\n		 <p>Unless explicitly acquired and licensed from Licensor under the Technical Pursuit License (&quot;TPL&quot;) Version\n		 1.0 or greater, the contents of this file are subject to the Reciprocal Public License (&quot;RPL&quot;) Version\n		 1.1, or subsequent versions as allowed by the RPL, and You may not copy or use this file in either\n		 source code or executable form, except in compliance with the terms and conditions of the RPL.\n		<br />\n\nYou may obtain a copy of both the TPL and the RPL (the &quot;Licenses&quot;) from Technical Pursuit Inc. at\n			 http://www.technicalpursuit.com.\n	  </p>\n\n		 <p>All software distributed under the Licenses is provided strictly on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF\n		 ANY KIND, EITHER EXPRESS OR IMPLIED, AND TECHNICAL PURSUIT INC. HEREBY DISCLAIMS ALL SUCH WARRANTIES,\n		 INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,\n		 QUIET ENJOYMENT, OR NON-INFRINGEMENT. See the Licenses for specific language governing rights and\n		 limitations under the Licenses.</p>\n\n	  </div>\n	"
		self.python_name = "RPL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class PSF20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "PYTHON SOFTWARE FOUNDATION LICENSE VERSION 2\n\n1. This LICENSE AGREEMENT is between the Python Software Foundation\n(\"PSF\"), and the Individual or Organization (\"Licensee\") accessing and\notherwise using this software (\"Python\") in source or binary form and\nits associated documentation.\n\n2. Subject to the terms and conditions of this License Agreement, PSF hereby\ngrants Licensee a nonexclusive, royalty-free, world-wide license to reproduce,\nanalyze, test, perform and/or display publicly, prepare derivative works,\ndistribute, and otherwise use Python alone or in any derivative version,\nprovided, however, that PSF's License Agreement and PSF's notice of copyright,\ni.e., \"Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010,\n2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019 Python Software Foundation;\nAll Rights Reserved\" are retained in Python alone or in any derivative version\nprepared by Licensee.\n\n3. In the event Licensee prepares a derivative work that is based on\nor incorporates Python or any part thereof, and wants to make\nthe derivative work available to others as provided herein, then\nLicensee hereby agrees to include in any such work a brief summary of\nthe changes made to Python.\n\n4. PSF is making Python available to Licensee on an \"AS IS\"\nbasis.  PSF MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR\nIMPLIED.  BY WAY OF EXAMPLE, BUT NOT LIMITATION, PSF MAKES NO AND\nDISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS\nFOR ANY PARTICULAR PURPOSE OR THAT THE USE OF PYTHON WILL NOT\nINFRINGE ANY THIRD PARTY RIGHTS.\n\n5. PSF SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON\nFOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS\nA RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE USING PYTHON,\nOR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n6. This License Agreement will automatically terminate upon a material\nbreach of its terms and conditions.\n\n7. Nothing in this License Agreement shall be deemed to create any\nrelationship of agency, partnership, or joint venture between PSF and\nLicensee.  This License Agreement does not grant permission to use PSF\ntrademarks or trade name in a trademark sense to endorse or promote\nproducts or services of Licensee, or any third party.\n\n8. By copying, installing or otherwise using Python, Licensee\nagrees to be bound by the terms and conditions of this License\nAgreement.\n"
		self.standardLicenseTemplate = "<<beginOptional>>PYTHON SOFTWARE FOUNDATION LICENSE VERSION 2\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> This LICENSE AGREEMENT is between the <<var;name=\"copyrightHolder0\";original=\"Python Software Foundation (\"PSF\"),\";match=\".*\">> and the Individual or Organization (\"Licensee\") accessing and otherwise using <<var;name=\"software0\";original=\"this software (\"Python\")\";match=\".*\">> in source or binary form and its associated documentation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Subject to the terms and conditions of this License Agreement, <<var;name=\"copyrightHolder1\";original=\"PSF\";match=\".*\">> hereby <<var;name=\"grantPlural\";original=\"grants\";match=\"grant|grants\">> Licensee a nonexclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use <<var;name=\"software1\";original=\"Python\";match=\".*\">> alone or in any derivative version, provided, however, that <<var;name=\"copyrightHolder2\";original=\"PSF's\";match=\".*\">> License Agreement and <<var;name=\"copyrightHolder3\";original=\"PSF's\";match=\".*\">> notice of copyright <<var;name=\"copyrightHolder4\";original=\", i.e., \"Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006 Python Software Foundation All Rights Reserved\"\";match=\".*\">> are retained in <<var;name=\"software2\";original=\"Python\";match=\".*\">> alone or in any derivative version prepared by Licensee.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> In the event Licensee prepares a derivative work that is based on or incorporates <<var;name=\"software3\";original=\"Python\";match=\".*\">> or any part thereof, and wants to make the derivative work available to others as provided herein, then Licensee hereby agrees to include in any such work a brief summary of the changes made to <<var;name=\"software4\";original=\"Python\";match=\".*\">> .\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> <<var;name=\"copyrightHolder5\";original=\"PSF is\";match=\".*\">> making <<var;name=\"software5\";original=\"Python\";match=\".*\">> available to Licensee on an \"AS IS\" basis. <<var;name=\"copyrightHolder6\";original=\"PSF\";match=\".*\">> <<var;name=\"makePlural1\";original=\"MAKES\";match=\"MAKE|MAKES\">> NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, <<var;name=\"copyrightHolder7\";original=\"PSF\";match=\".*\">> <<var;name=\"makePlural2\";original=\"MAKES\";match=\"MAKE|MAKES\">> NO AND <<var;name=\"disclaimPlural\";original=\"DISCLAIMS\";match=\"DISCLAIM|DISCLAIMS\">> ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF <<var;name=\"software6\";original=\"PYTHON\";match=\".*\">> WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> <<var;name=\"copyrightHolder8\";original=\"PSF\";match=\".*\">> SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF <<var;name=\"software7\";original=\"PYTHON\";match=\".*\">> FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE USING <<var;name=\"software8\";original=\"PYTHON\";match=\".*\">> , OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between <<var;name=\"copyrightHolder9\";original=\"PSF\";match=\".*\">> and Licensee. This License Agreement does not grant permission to use <<var;name=\"copyrightHolder10\";original=\"PSF\";match=\".*\">> trademarks or trade name in a trademark sense to endorse or promote products or services of Licensee, or any third party.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> By copying, installing or otherwise using <<var;name=\"software9\";original=\"Python\";match=\".*\">> , Licensee agrees to be bound by the terms and conditions of this License Agreement."
		self.name = "Python Software Foundation License 2.0"
		self.licenseComments = "This is the PSF-2.0 license, which is part of the complete Python license text, but also used independently by some projects."
		self.licenseId = "PSF-2.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Python-2.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:23:12Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/Python-2.0"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p>PYTHON SOFTWARE FOUNDATION LICENSE VERSION 2</p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 1.</var>\n		  This LICENSE AGREEMENT is between the <var class=\"replaceable-license-text\"> Python Software Foundation (&quot;PSF&quot;),</var> and the\n		  Individual or Organization (&quot;Licensee&quot;) accessing and otherwise using <var class=\"replaceable-license-text\"> this software\n		  (&quot;Python&quot;)</var> in source or binary form and its associated documentation.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 2.</var>\n\t  Subject to the terms and conditions of this License Agreement, <var class=\"replaceable-license-text\"> PSF</var> hereby <var class=\"replaceable-license-text\"> grants</var> Licensee\n		  a nonexclusive, royalty-free, world-wide license to reproduce, analyze, test, perform\n		  and/or display publicly, prepare derivative works, distribute, and otherwise use <var class=\"replaceable-license-text\"> Python</var>\n		  alone or in any derivative version, provided, however, that <var class=\"replaceable-license-text\"> PSF&apos;s</var> License Agreement and\n		  <var class=\"replaceable-license-text\"> PSF&apos;s</var> notice of copyright<var class=\"replaceable-license-text\"> , i.e., &quot;Copyright (c)\n		  2001, 2002, 2003, 2004, 2005, 2006 Python Software Foundation All Rights Reserved&quot;</var> are retained in <var class=\"replaceable-license-text\"> Python</var> alone or in any\n		  derivative version prepared by Licensee.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 3.</var>\n		  In the event Licensee prepares a derivative work that is based on or incorporates <var class=\"replaceable-license-text\"> Python</var>\n		  or any part thereof, and wants to make the derivative work available to others as provided\n		  herein, then Licensee hereby agrees to include in any such work a brief summary of the\n		  changes made to <var class=\"replaceable-license-text\"> Python</var>.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 4.</var>\n\t  <var class=\"replaceable-license-text\"> PSF is</var> making <var class=\"replaceable-license-text\"> Python</var>\n\t  available to Licensee on an &quot;AS IS&quot; basis. <var class=\"replaceable-license-text\"> PSF</var> <var class=\"replaceable-license-text\"> MAKES</var> NO\n		  REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION,\n\t  <var class=\"replaceable-license-text\"> PSF</var> <var class=\"replaceable-license-text\"> MAKES</var> NO AND <var class=\"replaceable-license-text\"> DISCLAIMS</var> ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS\n		  FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF <var class=\"replaceable-license-text\"> PYTHON</var> WILL NOT INFRINGE ANY THIRD PARTY\n		  RIGHTS.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 5.</var>\n		  <var class=\"replaceable-license-text\"> PSF</var> SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF <var class=\"replaceable-license-text\"> PYTHON</var> FOR ANY INCIDENTAL,\n		  SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF MODIFYING, DISTRIBUTING, OR\n		  OTHERWISE USING <var class=\"replaceable-license-text\"> PYTHON</var>, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY\n		  THEREOF.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 6.</var>\n		  This License Agreement will automatically terminate upon a material breach of its terms\n		  and conditions.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 7.</var>\n		  Nothing in this License Agreement shall be deemed to create any relationship of agency,\n		  partnership, or joint venture between <var class=\"replaceable-license-text\"> PSF</var> and Licensee. This License Agreement does not\n		  grant permission to use <var class=\"replaceable-license-text\"> PSF</var> trademarks or trade name in a trademark sense to endorse or\n		  promote products or services of Licensee, or any third party.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 8.</var>\n		  By copying, installing or otherwise using <var class=\"replaceable-license-text\"> Python</var>, Licensee agrees to be bound by the terms\n		  and conditions of this License Agreement.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "PSF20"

	def __str__(self):
		return json.dumps(self.__dict__)


class swrule:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The style package is copyrighted but may be used and extended in any way, as long as a pointer to the original author is maintained. The author is not liable for any problem that may or may not result from using this package. Use at your own risk.\n"
		self.standardLicenseTemplate = "The style package is copyrighted but may be used and extended in any way, as long as a pointer to the original author is maintained. The author is not liable for any problem that may or may not result from using this package. Use at your own risk.\n\n"
		self.name = "swrule License"
		self.licenseId = "swrule"
		self.crossRef = [{"match": "False", "url": "https://ctan.math.utah.edu/ctan/tex-archive/macros/generic/misc/swrule.sty", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://ctan.math.utah.edu/ctan/tex-archive/macros/generic/misc/swrule.sty"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			The style package is copyrighted but may be used and extended\n			in any way, as long as a pointer to the original author is\n			maintained. The author is not liable for any problem that may\n			or may not result from using this package. Use at your own risk.\n		 </p>\n\n	  "
		self.python_name = "swrule"

	def __str__(self):
		return json.dumps(self.__dict__)


class CNRIPython:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "CNRI OPEN SOURCE LICENSE AGREEMENT\n\nIMPORTANT: PLEASE READ THE FOLLOWING AGREEMENT CAREFULLY.\n\nBY CLICKING ON \"ACCEPT\" WHERE INDICATED BELOW, OR BY COPYING, INSTALLING OR OTHERWISE USING PYTHON 1.6, beta 1 SOFTWARE, YOU ARE DEEMED TO HAVE AGREED TO THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT.\n\n1. This LICENSE AGREEMENT is between the Corporation for National Research Initiatives, having an office at 1895 Preston White Drive, Reston, VA 20191 (\"CNRI\"), and the Individual or Organization (\"Licensee\") accessing and otherwise using Python 1.6, beta 1 software in source or binary form and its associated documentation, as released at the www.python.org Internet site on August 4, 2000 (\"Python 1.6b1\").\n\n2. Subject to the terms and conditions of this License Agreement, CNRI hereby grants Licensee a non-exclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use Python 1.6b1 alone or in any derivative version, provided, however, that CNRIs License Agreement is retained in Python 1.6b1, alone or in any derivative version prepared by Licensee.\n\nAlternately, in lieu of CNRIs License Agreement, Licensee may substitute the following text (omitting the quotes): \"Python 1.6, beta 1, is made available subject to the terms and conditions in CNRIs License Agreement. This Agreement may be located on the Internet using the following unique, persistent identifier (known as a handle): 1895.22/1011. This Agreement may also be obtained from a proxy server on the Internet using the URL:http://hdl.handle.net/1895.22/1011\".\n\n3. In the event Licensee prepares a derivative work that is based on or incorporates Python 1.6b1 or any part thereof, and wants to make the derivative work available to the public as provided herein, then Licensee hereby agrees to indicate in any such work the nature of the modifications made to Python 1.6b1.\n\n4. CNRI is making Python 1.6b1 available to Licensee on an \"AS IS\" basis. CNRI MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, CNRI MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF PYTHON 1.6b1 WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n5. CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING, MODIFYING OR DISTRIBUTING PYTHON 1.6b1, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n6. This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n7. This License Agreement shall be governed by and interpreted in all respects by the law of the State of Virginia, excluding conflict of law provisions. Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between CNRI and Licensee. This License Agreement does not grant permission to use CNRI trademarks or trade name in a trademark sense to endorse or promote products or services of Licensee, or any third party.\n\n8. By clicking on the \"ACCEPT\" button where indicated, or by copying, installing or otherwise using Python 1.6b1, Licensee agrees to be bound by the terms and conditions of this License Agreement.\n\nACCEPT\n"
		self.standardLicenseTemplate = "<<beginOptional>>CNRI OPEN SOURCE LICENSE AGREEMENT\n\n<<endOptional>>\n\nIMPORTANT: PLEASE READ THE FOLLOWING AGREEMENT CAREFULLY.\n\nBY CLICKING ON \"ACCEPT\" WHERE INDICATED BELOW, OR BY COPYING, INSTALLING OR OTHERWISE USING PYTHON 1.6, beta 1 SOFTWARE, YOU ARE DEEMED TO HAVE AGREED TO THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> This LICENSE AGREEMENT is between the Corporation for National Research Initiatives, having an office at 1895 Preston White Drive, Reston, VA 20191 (\"CNRI\"), and the Individual or Organization (\"Licensee\") accessing and otherwise using Python 1.6, beta 1 software in source or binary form and its associated documentation, as released at the www.python.org Internet site on August 4, 2000 (\"Python 1.6b1\").\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Subject to the terms and conditions of this License Agreement, CNRI hereby grants Licensee a non-exclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use Python 1.6b1 alone or in any derivative version, provided, however, that CNRIs License Agreement is retained in Python 1.6b1, alone or in any derivative version prepared by Licensee.\n\n   Alternately, in lieu of CNRIs License Agreement, Licensee may substitute the following text (omitting the quotes): \"Python 1.6, beta 1, is made available subject to the terms and conditions in CNRIs License Agreement. This Agreement may be located on the Internet using the following unique, persistent identifier (known as a handle): 1895.22/1011. This Agreement may also be obtained from a proxy server on the Internet using the URL:http://hdl.handle.net/1895.22/1011\".\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> In the event Licensee prepares a derivative work that is based on or incorporates Python 1.6b1 or any part thereof, and wants to make the derivative work available to the public as provided herein, then Licensee hereby agrees to indicate in any such work the nature of the modifications made to Python 1.6b1.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> CNRI is making Python 1.6b1 available to Licensee on an \"AS IS\" basis. CNRI MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, CNRI MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF PYTHON 1.6b1 WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING, MODIFYING OR DISTRIBUTING PYTHON 1.6b1, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> This License Agreement shall be governed by and interpreted in all respects by the law of the State of Virginia, excluding conflict of law provisions. Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between CNRI and Licensee. This License Agreement does not grant permission to use CNRI trademarks or trade name in a trademark sense to endorse or promote products or services of Licensee, or any third party.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> By clicking on the \"ACCEPT\" button where indicated, or by copying, installing or otherwise using Python 1.6b1, Licensee agrees to be bound by the terms and conditions of this License Agreement.\n\nACCEPT\n\n"
		self.name = "CNRI Python License"
		self.licenseComments = "CNRI portion of the multi-part Python License (Python-2.0)"
		self.licenseId = "CNRI-Python"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/CNRI-Python", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:50Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/CNRI-Python"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>CNRI OPEN SOURCE LICENSE AGREEMENT</p>\n\n	  </div>\n	  <p>IMPORTANT: PLEASE READ THE FOLLOWING AGREEMENT CAREFULLY.</p>\n\n	  <p>BY CLICKING ON &quot;ACCEPT&quot; WHERE INDICATED BELOW, OR BY COPYING, INSTALLING OR OTHERWISE USING PYTHON 1.6,\n		 beta 1 SOFTWARE, YOU ARE DEEMED TO HAVE AGREED TO THE TERMS AND CONDITIONS OF THIS LICENSE\n		 AGREEMENT.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  This LICENSE AGREEMENT is between the Corporation for National Research Initiatives, having an\n			 office at 1895 Preston White Drive, Reston, VA 20191 (&quot;CNRI&quot;), and the Individual or\n			 Organization (&quot;Licensee&quot;) accessing and otherwise using Python 1.6, beta 1 software in source\n			 or binary form and its associated documentation, as released at the www.python.org Internet\n			 site on August 4, 2000 (&quot;Python 1.6b1&quot;).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Subject to the terms and conditions of this License Agreement, CNRI hereby grants Licensee a\n			 non-exclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or\n			 display publicly, prepare derivative works, distribute, and otherwise use Python 1.6b1 alone\n			 or in any derivative version, provided, however, that CNRIs License Agreement is retained in\n			 Python 1.6b1, alone or in any derivative version prepared by Licensee.\n		  <p>Alternately, in lieu of CNRIs License Agreement, Licensee may substitute the following text\n			 (omitting the quotes): &quot;Python 1.6, beta 1, is made available subject to the terms and\n			 conditions in CNRIs License Agreement. This Agreement may be located on the Internet using the\n			 following unique, persistent identifier (known as a handle): 1895.22/1011. This Agreement may\n			 also be obtained from a proxy server on the Internet using the\n			 URL:http://hdl.handle.net/1895.22/1011&quot;.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  In the event Licensee prepares a derivative work that is based on or incorporates Python 1.6b1 or\n			 any part thereof, and wants to make the derivative work available to the public as provided\n			 herein, then Licensee hereby agrees to indicate in any such work the nature of the\n			 modifications made to Python 1.6b1.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  CNRI is making Python 1.6b1 available to Licensee on an &quot;AS IS&quot; basis. CNRI MAKES NO\n			 REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, CNRI\n			 MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY\n			 PARTICULAR PURPOSE OR THAT THE USE OF PYTHON 1.6b1 WILL NOT INFRINGE ANY THIRD PARTY\n			 RIGHTS.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL,\n			 SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING, MODIFYING OR DISTRIBUTING\n			 PYTHON 1.6b1, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  This License Agreement shall be governed by and interpreted in all respects by the law of the\n			 State of Virginia, excluding conflict of law provisions. Nothing in this License Agreement\n			 shall be deemed to create any relationship of agency, partnership, or joint venture between\n			 CNRI and Licensee. This License Agreement does not grant permission to use CNRI trademarks or\n			 trade name in a trademark sense to endorse or promote products or services of Licensee, or any\n			 third party.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  By clicking on the &quot;ACCEPT&quot; button where indicated, or by copying, installing or otherwise using\n			 Python 1.6b1, Licensee agrees to be bound by the terms and conditions of this License\n			 Agreement.\n		</li>\n	  \n</ul>\n\n	  <p>ACCEPT</p>\n\n	"
		self.python_name = "CNRIPython"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL20withclasspathexception:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.licenseText = "insert GPL v2 license text here\n\nClass Path Exception\n\nLinking this library statically or dynamically with other modules is making a combined work based on this library. Thus, the terms and conditions of the GNU General Public License cover the whole combination.\n\nAs a special exception, the copyright holders of this library give you permission to link this library with independent modules to produce an executable, regardless of the license terms of these independent modules, and to copy and distribute the resulting executable under terms of your choice, provided that you also meet, for each linked independent module, the terms and conditions of the license of that module. An independent module is a module which is not derived from or based on this library. If you modify this library, you may extend this exception to your version of the library, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.\n\n"
		self.standardLicenseTemplate = "insert GPL v2 license text here\n\nClass Path Exception\n\nLinking this library statically or dynamically with other modules is making a combined work based on this library. Thus, the terms and conditions of the GNU General Public License cover the whole combination.\n\nAs a special exception, the copyright holders of this library give you permission to link this library with independent modules to produce an executable, regardless of the license terms of these independent modules, and to copy and distribute the resulting executable under terms of your choice, provided that you also meet, for each linked independent module, the terms and conditions of the license of that module. An independent module is a module which is not derived from or based on this library. If you modify this library, you may extend this exception to your version of the library, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.\n\n"
		self.name = "GNU General Public License v2.0 w/Classpath exception"
		self.licenseComments = "DEPRECATED: Use license expression including main license, \"WITH\" operator, and identifier: Classpath-exception-2.0"
		self.licenseId = "GPL-2.0-with-classpath-exception"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/software/classpath/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:45Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/software/classpath/license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\t	 <p>insert GPL v2 license text here</p>\n\n\t	 <p>Class Path Exception</p>\n\n\t	 <p>Linking this library statically or dynamically with other modules is making a combined work based on this library. Thus, the terms and conditions of the GNU General Public License cover the whole combination.</p>\n\n\t	 <p>As a special exception, the copyright holders of this library give you permission to link this library with independent modules to produce an executable, regardless of the license terms of these independent modules, and to copy and distribute the resulting executable under terms of your choice, provided that you also meet, for each linked independent module, the terms and conditions of the license of that module. An independent module is a module which is not derived from or based on this library. If you modify this library, you may extend this exception to your version of the library, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.</p>\n\n	"
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "GPL20withclasspathexception"

	def __str__(self):
		return json.dumps(self.__dict__)


class AMDPLPA:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2006, 2007 Advanced Micro Devices, Inc.\nAll rights reserved.\n\nRedistribution and use in any form of this material and any product thereof including software in source or binary forms, along with any related documentation, with or without modification (\"this material\"), is permitted provided that the following conditions are met:\n\n	 Redistributions of source code of any software must retain the above copyright notice and all terms of this license as part of the code.\n\n	 Redistributions in binary form of any software must reproduce the above copyright notice and all terms of this license in any related documentation and/or other materials.\n\n	 Neither the names nor trademarks of Advanced Micro Devices, Inc. or any copyright holders or contributors may be used to endorse or promote products derived from this material without specific prior written permission.\n\n	 Notice about U.S. Government restricted rights: This material is provided with \"RESTRICTED RIGHTS.\" Use, duplication or disclosure by the U.S. Government is subject to the full extent of restrictions set forth in FAR52.227 and DFARS252.227 et seq., or any successor or applicable regulations. Use of this material by the U.S. Government constitutes acknowledgment of the proprietary rights of Advanced Micro Devices, Inc. and any copyright holders and contributors.\n\n	 ANY BREACH OF ANY TERM OF THIS LICENSE SHALL RESULT IN THE IMMEDIATE REVOCATION OF ALL RIGHTS TO REDISTRIBUTE, ACCESS OR USE THIS MATERIAL.\n\nTHIS MATERIAL IS PROVIDED BY ADVANCED MICRO DEVICES, INC. AND ANY COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" IN ITS CURRENT CONDITION AND WITHOUT ANY REPRESENTATIONS, GUARANTEE, OR WARRANTY OF ANY KIND OR IN ANY WAY RELATED TO SUPPORT, INDEMNITY, ERROR FREE OR UNINTERRUPTED OPERATION, OR THAT IT IS FREE FROM DEFECTS OR VIRUSES. ALL OBLIGATIONS ARE HEREBY DISCLAIMED - WHETHER EXPRESS, IMPLIED, OR STATUTORY - INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, ACCURACY, COMPLETENESS, OPERABILITY, QUALITY OF SERVICE, OR NON-INFRINGEMENT. IN NO EVENT SHALL ADVANCED MICRO DEVICES, INC. OR ANY COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, PUNITIVE, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, REVENUE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED OR BASED ON ANY THEORY OF LIABILITY ARISING IN ANY WAY RELATED TO THIS MATERIAL, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THE ENTIRE AND AGGREGATE LIABILITY OF ADVANCED MICRO DEVICES, INC. AND ANY COPYRIGHT HOLDERS AND CONTRIBUTORS SHALL NOT EXCEED TEN DOLLARS (US $10.00). ANYONE REDISTRIBUTING OR ACCESSING OR USING THIS MATERIAL ACCEPTS THIS ALLOCATION OF RISK AND AGREES TO RELEASE ADVANCED MICRO DEVICES, INC. AND ANY COPYRIGHT HOLDERS AND CONTRIBUTORS FROM ANY AND ALL LIABILITIES, OBLIGATIONS, CLAIMS, OR DEMANDS IN EXCESS OF TEN DOLLARS (US $10.00). THE FOREGOING ARE ESSENTIAL TERMS OF THIS LICENSE AND, IF ANY OF THESE TERMS ARE CONSTRUED AS UNENFORCEABLE, FAIL IN ESSENTIAL PURPOSE, OR BECOME VOID OR DETRIMENTAL TO ADVANCED MICRO DEVICES, INC. OR ANY COPYRIGHT HOLDERS OR CONTRIBUTORS FOR ANY REASON, THEN ALL RIGHTS TO REDISTRIBUTE, ACCESS OR USE THIS MATERIAL SHALL TERMINATE IMMEDIATELY. MOREOVER, THE FOREGOING SHALL SURVIVE ANY EXPIRATION OR TERMINATION OF THIS LICENSE OR ANY AGREEMENT OR ACCESS OR USE RELATED TO THIS MATERIAL.\n\nNOTICE IS HEREBY PROVIDED, AND BY REDISTRIBUTING OR ACCESSING OR USING THIS MATERIAL SUCH NOTICE IS ACKNOWLEDGED, THAT THIS MATERIAL MAY BE SUBJECT TO RESTRICTIONS UNDER THE LAWS AND REGULATIONS OF THE UNITED STATES OR OTHER COUNTRIES, WHICH INCLUDE BUT ARE NOT LIMITED TO, U.S. EXPORT CONTROL LAWS SUCH AS THE EXPORT ADMINISTRATION REGULATIONS AND NATIONAL SECURITY CONTROLS AS DEFINED THEREUNDER, AS WELL AS STATE DEPARTMENT CONTROLS UNDER THE U.S. MUNITIONS LIST. THIS MATERIAL MAY NOT BE USED, RELEASED, TRANSFERRED, IMPORTED, EXPORTED AND/OR RE- EXPORTED IN ANY MANNER PROHIBITED UNDER ANY APPLICABLE LAWS, INCLUDING U.S. EXPORT CONTROL LAWS REGARDING SPECIFICALLY DESIGNATED PERSONS, COUNTRIES AND NATIONALS OF COUNTRIES SUBJECT TO NATIONAL SECURITY CONTROLS. MOREOVER, THE FOREGOING SHALL SURVIVE ANY EXPIRATION OR TERMINATION OF ANY LICENSE OR AGREEMENT OR ACCESS OR USE RELATED TO THIS MATERIAL.\n\nThis license forms the entire agreement regarding the subject matter hereof and supersedes all proposals and prior discussions and writings between the parties with respect thereto. This license does not affect any ownership, rights, title, or interest in, or relating to, this material. No terms of this license can be modified or waived, and no breach of this license can be excused, unless done so in a writing signed by all affected parties. Each term of this license is separately enforceable. If any term of this license is determined to be or becomes unenforceable or illegal, such term shall be reformed to the minimum extent necessary in order for this license to remain in effect in accordance with its terms as modified by such reformation. This license shall be governed by and consTrued in accordance with the laws of the State of Texas without regard to rules on conflicts of law of any state or jurisdiction or the United Nations Convention on the International Sale of Goods. All disputes arising out of this license shall be subject to the jurisdiction of the federal and state courts in Austin, Texas, and all defenses are hereby waived concerning personal jurisdiction and venue of these courts.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2006, 2007 Advanced Micro Devices, Inc.  All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in any form of this material and any product thereof including software in source or binary forms, along with any related documentation, with or without modification (\"this material\"), is permitted provided that the following conditions are met:\n\nRedistributions of source code of any software must retain the above copyright notice and all terms of this license as part of the code.\n\nRedistributions in binary form of any software must reproduce the above copyright notice and all terms of this license in any related documentation and/or other materials.\n\nNeither the names nor trademarks of Advanced Micro Devices, Inc. or any copyright holders or contributors may be used to endorse or promote products derived from this material without specific prior written permission.\n\nNotice about U.S. Government restricted rights: This material is provided with \"RESTRICTED RIGHTS.\" Use, duplication or disclosure by the U.S. Government is subject to the full extent of restrictions set forth in FAR52.227 and DFARS252.227 et seq., or any successor or applicable regulations. Use of this material by the U.S. Government constitutes acknowledgment of the proprietary rights of Advanced Micro Devices, Inc. and any copyright holders and contributors.\n\nANY BREACH OF ANY TERM OF THIS LICENSE SHALL RESULT IN THE IMMEDIATE REVOCATION OF ALL RIGHTS TO REDISTRIBUTE, ACCESS OR USE THIS MATERIAL.\n\nTHIS MATERIAL IS PROVIDED BY ADVANCED MICRO DEVICES, INC. AND ANY COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" IN ITS CURRENT CONDITION AND WITHOUT ANY REPRESENTATIONS, GUARANTEE, OR WARRANTY OF ANY KIND OR IN ANY WAY RELATED TO SUPPORT, INDEMNITY, ERROR FREE OR UNINTERRUPTED OPERATION, OR THAT IT IS FREE FROM DEFECTS OR VIRUSES. ALL OBLIGATIONS ARE HEREBY DISCLAIMED - WHETHER EXPRESS, IMPLIED, OR STATUTORY - INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, ACCURACY, COMPLETENESS, OPERABILITY, QUALITY OF SERVICE, OR NON-INFRINGEMENT. IN NO EVENT SHALL ADVANCED MICRO DEVICES, INC. OR ANY COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, PUNITIVE, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, REVENUE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED OR BASED ON ANY THEORY OF LIABILITY ARISING IN ANY WAY RELATED TO THIS MATERIAL, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THE ENTIRE AND AGGREGATE LIABILITY OF ADVANCED MICRO DEVICES, INC. AND ANY COPYRIGHT HOLDERS AND CONTRIBUTORS SHALL NOT EXCEED TEN DOLLARS (US $10.00). ANYONE REDISTRIBUTING OR ACCESSING OR USING THIS MATERIAL ACCEPTS THIS ALLOCATION OF RISK AND AGREES TO RELEASE ADVANCED MICRO DEVICES, INC. AND ANY COPYRIGHT HOLDERS AND CONTRIBUTORS FROM ANY AND ALL LIABILITIES, OBLIGATIONS, CLAIMS, OR DEMANDS IN EXCESS OF TEN DOLLARS (US $10.00). THE FOREGOING ARE ESSENTIAL TERMS OF THIS LICENSE AND, IF ANY OF THESE TERMS ARE CONSTRUED AS UNENFORCEABLE, FAIL IN ESSENTIAL PURPOSE, OR BECOME VOID OR DETRIMENTAL TO ADVANCED MICRO DEVICES, INC. OR ANY COPYRIGHT HOLDERS OR CONTRIBUTORS FOR ANY REASON, THEN ALL RIGHTS TO REDISTRIBUTE, ACCESS OR USE THIS MATERIAL SHALL TERMINATE IMMEDIATELY. MOREOVER, THE FOREGOING SHALL SURVIVE ANY EXPIRATION OR TERMINATION OF THIS LICENSE OR ANY AGREEMENT OR ACCESS OR USE RELATED TO THIS MATERIAL.\n\nNOTICE IS HEREBY PROVIDED, AND BY REDISTRIBUTING OR ACCESSING OR USING THIS MATERIAL SUCH NOTICE IS ACKNOWLEDGED, THAT THIS MATERIAL MAY BE SUBJECT TO RESTRICTIONS UNDER THE LAWS AND REGULATIONS OF THE UNITED STATES OR OTHER COUNTRIES, WHICH INCLUDE BUT ARE NOT LIMITED TO, U.S. EXPORT CONTROL LAWS SUCH AS THE EXPORT ADMINISTRATION REGULATIONS AND NATIONAL SECURITY CONTROLS AS DEFINED THEREUNDER, AS WELL AS STATE DEPARTMENT CONTROLS UNDER THE U.S. MUNITIONS LIST. THIS MATERIAL MAY NOT BE USED, RELEASED, TRANSFERRED, IMPORTED, EXPORTED AND/OR RE- EXPORTED IN ANY MANNER PROHIBITED UNDER ANY APPLICABLE LAWS, INCLUDING U.S. EXPORT CONTROL LAWS REGARDING SPECIFICALLY DESIGNATED PERSONS, COUNTRIES AND NATIONALS OF COUNTRIES SUBJECT TO NATIONAL SECURITY CONTROLS. MOREOVER, THE FOREGOING SHALL SURVIVE ANY EXPIRATION OR TERMINATION OF ANY LICENSE OR AGREEMENT OR ACCESS OR USE RELATED TO THIS MATERIAL.\n\nThis license forms the entire agreement regarding the subject matter hereof and supersedes all proposals and prior discussions and writings between the parties with respect thereto. This license does not affect any ownership, rights, title, or interest in, or relating to, this material. No terms of this license can be modified or waived, and no breach of this license can be excused, unless done so in a writing signed by all affected parties. Each term of this license is separately enforceable. If any term of this license is determined to be or becomes unenforceable or illegal, such term shall be reformed to the minimum extent necessary in order for this license to remain in effect in accordance with its terms as modified by such reformation. This license shall be governed by and consTrued in accordance with the laws of the State of Texas without regard to rules on conflicts of law of any state or jurisdiction or the United Nations Convention on the International Sale of Goods. All disputes arising out of this license shall be subject to the jurisdiction of the federal and state courts in Austin, Texas, and all defenses are hereby waived concerning personal jurisdiction and venue of these courts.\n\n"
		self.name = "AMD's plpa_map.c License"
		self.licenseId = "AMDPLPA"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/AMD_plpa_map_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:29Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/AMD_plpa_map_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 Copyright (c) 2006, 2007 Advanced Micro Devices, Inc.\n		 <p>All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in any form of this material and any product thereof including software in source\n		 or binary forms, along with any related documentation, with or without modification (&quot;this material&quot;),\n		 is permitted provided that the following conditions are met:</p>\n\n	  <p>Redistributions of source code of any software must retain the above copyright notice and all terms of\n		 this license as part of the code.</p>\n\n	  <p>Redistributions in binary form of any software must reproduce the above copyright notice and all terms of\n		 this license in any related documentation and/or other materials.</p>\n\n	  <p>Neither the names nor trademarks of Advanced Micro Devices, Inc. or any copyright holders or contributors\n		 may be used to endorse or promote products derived from this material without specific prior written\n		 permission.</p>\n\n	  <p>Notice about U.S. Government restricted rights: This material is provided with &quot;RESTRICTED RIGHTS.&quot; Use,\n		 duplication or disclosure by the U.S. Government is subject to the full extent of restrictions set\n		 forth in FAR52.227 and DFARS252.227 et seq., or any successor or applicable regulations. Use of this\n		 material by the U.S. Government constitutes acknowledgment of the proprietary rights of Advanced Micro\n		 Devices, Inc. and any copyright holders and contributors.</p>\n\n	  <p>ANY BREACH OF ANY TERM OF THIS LICENSE SHALL RESULT IN THE IMMEDIATE REVOCATION OF ALL RIGHTS TO\n		 REDISTRIBUTE, ACCESS OR USE THIS MATERIAL.</p>\n\n	  <p>THIS MATERIAL IS PROVIDED BY ADVANCED MICRO DEVICES, INC. AND ANY COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS\n		 IS&quot; IN ITS CURRENT CONDITION AND WITHOUT ANY REPRESENTATIONS, GUARANTEE, OR WARRANTY OF ANY KIND OR IN\n		 ANY WAY RELATED TO SUPPORT, INDEMNITY, ERROR FREE OR UNINTERRUPTED OPERATION, OR THAT IT IS FREE FROM\n		 DEFECTS OR VIRUSES. ALL OBLIGATIONS ARE HEREBY DISCLAIMED - WHETHER EXPRESS, IMPLIED, OR STATUTORY -\n		 INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A\n		 PARTICULAR PURPOSE, ACCURACY, COMPLETENESS, OPERABILITY, QUALITY OF SERVICE, OR NON-INFRINGEMENT. IN\n		 NO EVENT SHALL ADVANCED MICRO DEVICES, INC. OR ANY COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY\n		 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, PUNITIVE, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\n		 NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, REVENUE, DATA, OR PROFITS;\n		 OR BUSINESS INTERRUPTION) HOWEVER CAUSED OR BASED ON ANY THEORY OF LIABILITY ARISING IN ANY WAY\n		 RELATED TO THIS MATERIAL, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THE ENTIRE AND AGGREGATE\n		 LIABILITY OF ADVANCED MICRO DEVICES, INC. AND ANY COPYRIGHT HOLDERS AND CONTRIBUTORS SHALL NOT EXCEED\n		 TEN DOLLARS (US $10.00). ANYONE REDISTRIBUTING OR ACCESSING OR USING THIS MATERIAL ACCEPTS THIS\n		 ALLOCATION OF RISK AND AGREES TO RELEASE ADVANCED MICRO DEVICES, INC. AND ANY COPYRIGHT HOLDERS AND\n		 CONTRIBUTORS FROM ANY AND ALL LIABILITIES, OBLIGATIONS, CLAIMS, OR DEMANDS IN EXCESS OF TEN DOLLARS\n		 (US $10.00). THE FOREGOING ARE ESSENTIAL TERMS OF THIS LICENSE AND, IF ANY OF THESE TERMS ARE\n		 CONSTRUED AS UNENFORCEABLE, FAIL IN ESSENTIAL PURPOSE, OR BECOME VOID OR DETRIMENTAL TO ADVANCED MICRO\n		 DEVICES, INC. OR ANY COPYRIGHT HOLDERS OR CONTRIBUTORS FOR ANY REASON, THEN ALL RIGHTS TO\n		 REDISTRIBUTE, ACCESS OR USE THIS MATERIAL SHALL TERMINATE IMMEDIATELY. MOREOVER, THE FOREGOING SHALL\n		 SURVIVE ANY EXPIRATION OR TERMINATION OF THIS LICENSE OR ANY AGREEMENT OR ACCESS OR USE RELATED TO\n		 THIS MATERIAL.</p>\n\n	  <p>NOTICE IS HEREBY PROVIDED, AND BY REDISTRIBUTING OR ACCESSING OR USING THIS MATERIAL SUCH NOTICE IS\n		 ACKNOWLEDGED, THAT THIS MATERIAL MAY BE SUBJECT TO RESTRICTIONS UNDER THE LAWS AND REGULATIONS OF THE\n		 UNITED STATES OR OTHER COUNTRIES, WHICH INCLUDE BUT ARE NOT LIMITED TO, U.S. EXPORT CONTROL LAWS SUCH\n		 AS THE EXPORT ADMINISTRATION REGULATIONS AND NATIONAL SECURITY CONTROLS AS DEFINED THEREUNDER, AS WELL\n		 AS STATE DEPARTMENT CONTROLS UNDER THE U.S. MUNITIONS LIST. THIS MATERIAL MAY NOT BE USED, RELEASED,\n		 TRANSFERRED, IMPORTED, EXPORTED AND/OR RE- EXPORTED IN ANY MANNER PROHIBITED UNDER ANY APPLICABLE\n		 LAWS, INCLUDING U.S. EXPORT CONTROL LAWS REGARDING SPECIFICALLY DESIGNATED PERSONS, COUNTRIES AND\n		 NATIONALS OF COUNTRIES SUBJECT TO NATIONAL SECURITY CONTROLS. MOREOVER, THE FOREGOING SHALL SURVIVE\n		 ANY EXPIRATION OR TERMINATION OF ANY LICENSE OR AGREEMENT OR ACCESS OR USE RELATED TO THIS\n		 MATERIAL.</p>\n\n	  <p>This license forms the entire agreement regarding the subject matter hereof and supersedes all proposals\n		 and prior discussions and writings between the parties with respect thereto. This license does not\n		 affect any ownership, rights, title, or interest in, or relating to, this material. No terms of this\n		 license can be modified or waived, and no breach of this license can be excused, unless done so in a\n		 writing signed by all affected parties. Each term of this license is separately enforceable. If any\n		 term of this license is determined to be or becomes unenforceable or illegal, such term shall be\n		 reformed to the minimum extent necessary in order for this license to remain in effect in accordance\n		 with its terms as modified by such reformation. This license shall be governed by and consTrued in\n		 accordance with the laws of the State of Texas without regard to rules on conflicts of law of any\n		 state or jurisdiction or the United Nations Convention on the International Sale of Goods. All\n		 disputes arising out of this license shall be subject to the jurisdiction of the federal and state\n		 courts in Austin, Texas, and all defenses are hereby waived concerning personal jurisdiction and venue\n		 of these courts.</p>\n\n	"
		self.python_name = "AMDPLPA"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYSA40:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Creative Commons Attribution-ShareAlike 4.0 International\n\n Creative Commons Corporation (\u201cCreative Commons\u201d) is not a law firm and does not provide legal services or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or other relationship. Creative Commons makes its licenses and related information available on an \u201cas-is\u201d basis. Creative Commons gives no warranties regarding its licenses, any material licensed under their terms and conditions, or any related information. Creative Commons disclaims all liability for damages resulting from their use to the fullest extent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions that creators and other rights holders may use to share original works of authorship and other material subject to copyright and certain other rights specified in the public license below. The following considerations are for informational purposes only, are not exhaustive, and do not form part of our licenses.\n\nConsiderations for licensors: Our public licenses are intended for use by those authorized to give the public permission to use material in ways otherwise restricted by copyright and certain other rights. Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the license they choose before applying it. Licensors should also secure all rights necessary before applying our licenses so that the public can reuse the material as expected. Licensors should clearly mark any material not subject to the license. This includes other CC-licensed material, or material used under an exception or limitation to copyright. More considerations for licensors.\n\nConsiderations for the public: By using one of our public licenses, a licensor grants the public permission to use the licensed material under specified terms and conditions. If the licensor\u2019s permission is not necessary for any reason\u2013for example, because of any applicable exception or limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only permissions under copyright and certain other rights that a licensor has authority to grant. Use of the licensed material may still be restricted for other reasons, including because others have copyright or other rights in the material. A licensor may make special requests, such as asking that all changes be marked or described.\n\nAlthough not required by our licenses, you are encouraged to respect those requests where reasonable. More considerations for the public.\n\nCreative Commons Attribution-ShareAlike 4.0 International Public License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and conditions of this Creative Commons Attribution-ShareAlike 4.0 International Public License (\"Public License\"). To the extent this Public License may be interpreted as a contract, You are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the Licensor grants You such rights in consideration of benefits the Licensor receives from making the Licensed Material available under these terms and conditions.\n\nSection 1 \u2013 Definitions.\n\n	 a.\tAdapted Material means material subject to Copyright and Similar Rights that is derived from or based upon the Licensed Material and in which the Licensed Material is translated, altered, arranged, transformed, or otherwise modified in a manner requiring permission under the Copyright and Similar Rights held by the Licensor. For purposes of this Public License, where the Licensed Material is a musical work, performance, or sound recording, Adapted Material is always produced where the Licensed Material is synched in timed relation with a moving image.\n\n	 b.\tAdapter's License means the license You apply to Your Copyright and Similar Rights in Your contributions to Adapted Material in accordance with the terms and conditions of this Public License.\n\n	 c.\tBY-SA Compatible License means a license listed at creativecommons.org/compatiblelicenses, approved by Creative Commons as essentially the equivalent of this Public License.\n\n	 d.\tCopyright and Similar Rights means copyright and/or similar rights closely related to copyright including, without limitation, performance, broadcast, sound recording, and Sui Generis Database Rights, without regard to how the rights are labeled or categorized. For purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\n	 e.\tEffective Technological Measures means those measures that, in the absence of proper authority, may not be circumvented under laws fulfilling obligations under Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international agreements.\n\n	 f.\tExceptions and Limitations means fair use, fair dealing, and/or any other exception or limitation to Copyright and Similar Rights that applies to Your use of the Licensed Material.\n\n	 g.\tLicense Elements means the license attributes listed in the name of a Creative Commons Public License. The License Elements of this Public License are Attribution and ShareAlike.\n\n	 h.\tLicensed Material means the artistic or literary work, database, or other material to which the Licensor applied this Public License.\n\n	 i.\tLicensed Rights means the rights granted to You subject to the terms and conditions of this Public License, which are limited to all Copyright and Similar Rights that apply to Your use of the Licensed Material and that the Licensor has authority to license.\n\n	 j.\tLicensor means the individual(s) or entity(ies) granting rights under this Public License.\n\n	 k.\tShare means to provide material to the public by any means or process that requires permission under the Licensed Rights, such as reproduction, public display, public performance, distribution, dissemination, communication, or importation, and to make material available to the public including in ways that members of the public may access the material from a place and at a time individually chosen by them.\n\n	 l.\tSui Generis Database Rights means rights other than copyright resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other essentially equivalent rights anywhere in the world.\n\n	 m.\tYou means the individual or entity exercising the Licensed Rights under this Public License. Your has a corresponding meaning.\n\nSection 2 \u2013 Scope.\n\n	 a.\tLicense grant.\n\n		  1. Subject to the terms and conditions of this Public License, the Licensor hereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license to exercise the Licensed Rights in the Licensed Material to:\n\n			   A. reproduce and Share the Licensed Material, in whole or in part; and\n\n			   B. produce, reproduce, and Share Adapted Material.\n\n		  2. Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations apply to Your use, this Public License does not apply, and You do not need to comply with its terms and conditions.\n\n		  3. Term. The term of this Public License is specified in Section 6(a).\n\n		  4. Media and formats; technical modifications allowed. The Licensor authorizes You to exercise the Licensed Rights in all media and formats whether now known or hereafter created, and to make technical modifications necessary to do so. The Licensor waives and/or agrees not to assert any right or authority to forbid You from making technical modifications necessary to exercise the Licensed Rights, including technical modifications necessary to circumvent Effective Technological Measures. For purposes of this Public License, simply making modifications authorized by this Section 2(a)(4) never produces Adapted Material.\n\n		  5. Downstream recipients.\n\n			   A. Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material automatically receives an offer from the Licensor to exercise the Licensed Rights under the terms and conditions of this Public License.\n\n			   B. Additional offer from the Licensor \u2013 Adapted Material. Every recipient of Adapted Material from You automatically receives an offer from the Licensor to exercise the Licensed Rights in the Adapted Material under the conditions of the Adapter\u2019s License You apply.\n\n			   C. No downstream restrictions. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, the Licensed Material if doing so restricts exercise of the Licensed Rights by any recipient of the Licensed Material.\n\n		  6. No endorsement. Nothing in this Public License constitutes or may be consTrued as permission to assert or imply that You are, or that Your use of the Licensed Material is, connected with, or sponsored, endorsed, or granted official status by, the Licensor or others designated to receive attribution as provided in Section 3(a)(1)(A)(i).\n\n	 b.\tOther rights.\n\n		  1. Moral rights, such as the right of integrity, are not licensed under this Public License, nor are publicity, privacy, and/or other similar personality rights; however, to the extent possible, the Licensor waives and/or agrees not to assert any such rights held by the Licensor to the limited extent necessary to allow You to exercise the Licensed Rights, but not otherwise.\n\n		  2. Patent and trademark rights are not licensed under this Public License.\n\n		  3. To the extent possible, the Licensor waives any right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary or waivable statutory or compulsory licensing scheme. In all other cases the Licensor expressly reserves any right to collect such royalties.\n\nSection 3 \u2013 License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following conditions.\n\n	 a.\tAttribution.\n\n		  1. If You Share the Licensed Material (including in modified form), You must:\n\n			   A. retain the following if it is supplied by the Licensor with the Licensed Material:\n\n					i.\tidentification of the creator(s) of the Licensed Material and any others designated to receive attribution, in any reasonable manner requested by the Licensor (including by pseudonym if designated);\n\n					ii.\ta copyright notice;\n\n					iii. a notice that refers to this Public License;\n\n					iv.\ta notice that refers to the disclaimer of warranties;\n\n					v.\ta URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\n			   B. indicate if You modified the Licensed Material and retain an indication of any previous modifications; and\n\n			   C. indicate the Licensed Material is licensed under this Public License, and include the text of, or the URI or hyperlink to, this Public License.\n\n		  2. You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the medium, means, and context in which You Share the Licensed Material. For example, it may be reasonable to satisfy the conditions by providing a URI or hyperlink to a resource that includes the required information.\n\n		  3. If requested by the Licensor, You must remove any of the information required by Section 3(a)(1)(A) to the extent reasonably practicable.\n\n	 b.\tShareAlike.In addition to the conditions in Section 3(a), if You Share Adapted Material You produce, the following conditions also apply.\n\n		  1. The Adapter\u2019s License You apply must be a Creative Commons license with the same License Elements, this version or later, or a BY-SA Compatible License.\n\n		  2. You must include the text of, or the URI or hyperlink to, the Adapter's License You apply. You may satisfy this condition in any reasonable manner based on the medium, means, and context in which You Share Adapted Material.\n\n		  3. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, Adapted Material that restrict exercise of the rights granted under the Adapter's License You apply.\n\nSection 4 \u2013 Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to Your use of the Licensed Material:\n\n	 a.\tfor the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse, reproduce, and Share all or a substantial portion of the contents of the database;\n\n	 b.\tif You include all or a substantial portion of the database contents in a database in which You have Sui Generis Database Rights, then the database in which You have Sui Generis Database Rights (but not its individual contents) is Adapted Material, including for purposes of Section 3(b); and\n\n	 c.\tYou must comply with the conditions in Section 3(a) if You Share all or a substantial portion of the contents of the database.\nFor the avoidance of doubt, this Section 4 supplements and does not replace Your obligations under this Public License where the Licensed Rights include other Copyright and Similar Rights.\n\nSection 5 \u2013 Disclaimer of Warranties and Limitation of Liability.\n\n	 a.\tUnless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor offers the Licensed Material as-is and as-available, and makes no representations or warranties of any kind concerning the Licensed Material, whether express, implied, statutory, or other. This includes, without limitation, warranties of title, merchantability, fitness for a particular purpose, non-infringement, absence of latent or other defects, accuracy, or the presence or absence of errors, whether or not known or discoverable. Where disclaimers of warranties are not allowed in full or in part, this disclaimer may not apply to You.\n\n	 b.\tTo the extent possible, in no event will the Licensor be liable to You on any legal theory (including, without limitation, negligence) or otherwise for any direct, special, indirect, incidental, consequential, punitive, exemplary, or other losses, costs, expenses, or damages arising out of this Public License or use of the Licensed Material, even if the Licensor has been advised of the possibility of such losses, costs, expenses, or damages. Where a limitation of liability is not allowed in full or in part, this limitation may not apply to You.\n\n	 c.\tThe disclaimer of warranties and limitation of liability provided above shall be interpreted in a manner that, to the extent possible, most closely approximates an absolute disclaimer and waiver of all liability.\n\nSection 6 \u2013 Term and Termination.\n\n	 a.\tThis Public License applies for the term of the Copyright and Similar Rights licensed here. However, if You fail to comply with this Public License, then Your rights under this Public License terminate automatically.\n\n	 b.\tWhere Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n\n		  1. automatically as of the date the violation is cured, provided it is cured within 30 days of Your discovery of the violation; or\n\n		  2. upon express reinstatement by the Licensor.\n\n	 c.\tFor the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have to seek remedies for Your violations of this Public License.\n\n	 d.\tFor the avoidance of doubt, the Licensor may also offer the Licensed Material under separate terms or conditions or stop distributing the Licensed Material at any time; however, doing so will not terminate this Public License.\n\n	 e.\tSections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\nSection 7 \u2013 Other Terms and Conditions.\n\n	 a.\tThe Licensor shall not be bound by any additional or different terms or conditions communicated by You unless expressly agreed.\n\n	 b.\tAny arrangements, understandings, or agreements regarding the Licensed Material not stated herein are separate from and independent of the terms and conditions of this Public License.\n\nSection 8 \u2013 Interpretation.\n\n	 a.\tFor the avoidance of doubt, this Public License does not, and shall not be interpreted to, reduce, limit, restrict, or impose conditions on any use of the Licensed Material that could lawfully be made without permission under this Public License.\n\n	 b.\tTo the extent possible, if any provision of this Public License is deemed unenforceable, it shall be automatically reformed to the minimum extent necessary to make it enforceable. If the provision cannot be reformed, it shall be severed from this Public License without affecting the enforceability of the remaining terms and conditions.\n\n	 c.\tNo term or condition of this Public License will be waived and no failure to comply consented to unless expressly agreed to by the Licensor.\n\n	 d.\tNothing in this Public License constitutes or may be interpreted as a limitation upon, or waiver of, any privileges and immunities that apply to the Licensor or You, including from the legal processes of any jurisdiction or authority.\n\nCreative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to apply one of its public licenses to material it publishes and in those instances will be considered the \u201cLicensor.\u201d Except for the limited purpose of indicating that material is shared under a Creative Commons public license or as otherwise permitted by the Creative Commons policies published at creativecommons.org/policies, Creative Commons does not authorize the use of the trademark \u201cCreative Commons\u201d or any other trademark or logo of Creative Commons without its prior written consent including, without limitation, in connection with any unauthorized modifications to any of its public licenses or any other arrangements, understandings, or agreements concerning use of licensed material. For the avoidance of doubt, this paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<beginOptional>>Creative Commons<<endOptional>> Attribution-ShareAlike 4.0 International\n\n<<endOptional>><<beginOptional>> Creative Commons Corporation (\"Creative Commons\") is not a law firm and does not provide legal services or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or other relationship. Creative Commons makes its licenses and related information available on an \"as-is\" basis. Creative Commons gives no warranties regarding its licenses, any material licensed under their terms and conditions, or any related information. Creative Commons disclaims all liability for damages resulting from their use to the fullest extent possible.\n\n<<endOptional>>\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions that creators and other rights holders may use to share original works of authorship and other material subject to copyright and certain other rights specified in the public license below. The following considerations are for informational purposes only, are not exhaustive, and do not form part of our licenses.\n\nConsiderations for licensors: Our public licenses are intended for use by those authorized to give the public permission to use material in ways otherwise restricted by copyright and certain other rights. Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the license they choose before applying it. Licensors should also secure all rights necessary before applying our licenses so that the public can reuse the material as expected. Licensors should clearly mark any material not subject to the license. This includes other <<var;name=\"ccLicensed\";original=\"\";match=\"CC-[ \\t\\r\\n\\f]{0,10}licensed\">> material, or material used under an exception or limitation to copyright. More considerations for licensors <<var;name=\"considerationsLicensors\";original=\": wiki.creativecommons.org/Considerations_for_licensors\";match=\":[ \\t\\r\\n\\f]{1,10}wiki\\.creativecommons\\.org/Considerations_for_licensors|\\.\">>\n\nConsiderations for the public: By using one of our public licenses, a licensor grants the public permission to use the licensed material under specified terms and conditions. If the licensor's permission is not necessary for any reason\u2013for example, because of any applicable exception or limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only permissions under copyright and certain other rights that a licensor has authority to grant. Use of the licensed material may still be restricted for other reasons, including because others have copyright or other rights in the material. A licensor may make special requests, such as asking that all changes be marked or described.\n\nAlthough not required by our licenses, you are encouraged to respect those requests where reasonable. <<var;name=\"spaceUnderscore\";original=\"More considerations\";match=\"More considerations|More_considerations\">> for the public <<var;name=\"considerationsLicensees\";original=\": wiki.creativecommons.org/Considerations_for_licensees\";match=\":[ \\t\\r\\n\\f]{1,10}wiki\\.creativecommons\\.org/Considerations_for_licensees|\\.\">>\n\nCreative Commons Attribution-ShareAlike 4.0 International Public License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and conditions of this Creative Commons Attribution-ShareAlike 4.0 International Public License (\"Public License\"). To the extent this Public License may be interpreted as a contract, You are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the Licensor grants You such rights in consideration of benefits the Licensor receives from making the Licensed Material available under these terms and conditions.\n\nSection 1 <<var;name=\"section1TitleHyphens\";original=\"\";match=\"-{1,2}\">> Definitions.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Adapted Material means material subject to Copyright and Similar Rights that is derived from or based upon the Licensed Material and in which the Licensed Material is translated, altered, arranged, transformed, or otherwise modified in a manner requiring permission under the Copyright and Similar Rights held by the Licensor. For purposes of this Public License, where the Licensed Material is a musical work, performance, or sound recording, Adapted Material is always produced where the Licensed Material is synched in timed relation with a moving image.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Adapter's License means the license You apply to Your Copyright and Similar Rights in Your contributions to Adapted Material in accordance with the terms and conditions of this Public License.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> BY-SA Compatible License means a license listed at creativecommons.org/compatiblelicenses, approved by Creative Commons as essentially the equivalent of this Public License.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Copyright and Similar Rights means copyright and/or similar rights closely related to copyright including, without limitation, performance, broadcast, sound recording, and Sui Generis Database Rights, without regard to how the rights are labeled or categorized. For purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\n   <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Effective Technological Measures means those measures that, in the absence of proper authority, may not be circumvented under laws fulfilling obligations under Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international agreements.\n\n   <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Exceptions and Limitations means fair use, fair dealing, and/or any other exception or limitation to Copyright and Similar Rights that applies to Your use of the Licensed Material.\n\n   <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> License Elements means the license attributes listed in the name of a Creative Commons Public License. The License Elements of this Public License are Attribution and ShareAlike.\n\n   <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Licensed Material means the artistic or literary work, database, or other material to which the Licensor applied this Public License.\n\n   <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Licensed Rights means the rights granted to You subject to the terms and conditions of this Public License, which are limited to all Copyright and Similar Rights that apply to Your use of the Licensed Material and that the Licensor has authority to license.\n\n   <<var;name=\"bullet\";original=\"j.\";match=\".{0,20}\">> Licensor means the individual(s) or entity(ies) granting rights under this Public License.\n\n   <<var;name=\"bullet\";original=\"k.\";match=\".{0,20}\">> Share means to provide material to the public by any means or process that requires permission under the Licensed Rights, such as reproduction, public display, public performance, distribution, dissemination, communication, or importation, and to make material available to the public including in ways that members of the public may access the material from a place and at a time individually chosen by them.\n\n   <<var;name=\"bullet\";original=\"l.\";match=\".{0,20}\">> Sui Generis Database Rights means rights other than copyright resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other essentially equivalent rights anywhere in the world.\n\n   <<var;name=\"bullet\";original=\"m.\";match=\".{0,20}\">> You means the individual or entity exercising the Licensed Rights under this Public License. Your has a corresponding meaning.\n\nSection 2 <<var;name=\"section2TitleHyphens\";original=\"\";match=\"-{1,2}\">> Scope.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> License grant.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Subject to the terms and conditions of this Public License, the Licensor hereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license to exercise the Licensed Rights in the Licensed Material to:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> reproduce and Share the Licensed Material, in whole or in part; and\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> produce, reproduce, and Share Adapted Material.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations apply to Your use, this Public License does not apply, and You do not need to comply with its terms and conditions.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Term. The term of this Public License is specified in Section 6(a).\n\n	  <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Media and formats; technical modifications allowed. The Licensor authorizes You to exercise the Licensed Rights in all media and formats whether now known or hereafter created, and to make technical modifications necessary to do so. The Licensor waives and/or agrees not to assert any right or authority to forbid You from making technical modifications necessary to exercise the Licensed Rights, including technical modifications necessary to circumvent Effective Technological Measures. For purposes of this Public License, simply making modifications authorized by this Section 2(a)(4) never produces Adapted Material.\n\n	  <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Downstream recipients.\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material automatically receives an offer from the Licensor to exercise the Licensed Rights under the terms and conditions of this Public License.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Additional offer from the Licensor \u2013 Adapted Material. Every recipient of Adapted Material from You automatically receives an offer from the Licensor to exercise the Licensed Rights in the Adapted Material under the conditions of the Adapter's License You apply.\n\n		 <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> No downstream restrictions. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, the Licensed Material if doing so restricts exercise of the Licensed Rights by any recipient of the Licensed Material.\n\n	  <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> No endorsement. Nothing in this Public License constitutes or may be consTrued as permission to assert or imply that You are, or that Your use of the Licensed Material is, connected with, or sponsored, endorsed, or granted official status by, the Licensor or others designated to receive attribution as provided in Section 3(a)(1)(A)(i).\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Other rights.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Moral rights, such as the right of integrity, are not licensed under this Public License, nor are publicity, privacy, and/or other similar personality rights; however, to the extent possible, the Licensor waives and/or agrees not to assert any such rights held by the Licensor to the limited extent necessary to allow You to exercise the Licensed Rights, but not otherwise.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Patent and trademark rights are not licensed under this Public License.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> To the extent possible, the Licensor waives any right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary or waivable statutory or compulsory licensing scheme. In all other cases the Licensor expressly reserves any right to collect such royalties.\n\nSection 3 <<var;name=\"section3TitleHyphens\";original=\"\";match=\"-{1,2}\">> License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following conditions.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Attribution.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> If You Share the Licensed Material (including in modified form), You must:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> retain the following if it is supplied by the Licensor with the Licensed Material:\n\n			<<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> identification of the creator(s) of the Licensed Material and any others designated to receive attribution, in any reasonable manner requested by the Licensor (including by pseudonym if designated);\n\n			<<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> a copyright notice;\n\n			<<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> a notice that refers to this Public License;\n\n			<<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> a notice that refers to the disclaimer of warranties;\n\n			v. a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> indicate if You modified the Licensed Material and retain an indication of any previous modifications; and\n\n		 <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> indicate the Licensed Material is licensed under this Public License, and include the text of, or the URI or hyperlink to, this Public License.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the medium, means, and context in which You Share the Licensed Material. For example, it may be reasonable to satisfy the conditions by providing a URI or hyperlink to a resource that includes the required information.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> If requested by the Licensor, You must remove any of the information required by Section 3(a)(1)(A) to the extent reasonably practicable.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> ShareAlike.In addition to the conditions in Section 3(a), if You Share Adapted Material You produce, the following conditions also apply.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The Adapter's License You apply must be a Creative Commons license with the same License Elements, this version or later, or a BY-SA Compatible License.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You must include the text of, or the URI or hyperlink to, the Adapter's License You apply. You may satisfy this condition in any reasonable manner based on the medium, means, and context in which You Share Adapted Material.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, Adapted Material that restrict exercise of the rights granted under the Adapter's License You apply.\n\nSection 4 <<var;name=\"section4TitleHyphens\";original=\"\";match=\"-{1,2}\">> Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to Your use of the Licensed Material:\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> for the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse, reproduce, and Share all or a substantial portion of the contents of the database;\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> if You include all or a substantial portion of the database contents in a database in which You have Sui Generis Database Rights, then the database in which You have Sui Generis Database Rights (but not its individual contents) is Adapted Material, including for purposes of Section 3(b); and\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You must comply with the conditions in Section 3(a) if You Share all or a substantial portion of the contents of the database.\n\n   For the avoidance of doubt, this Section 4 supplements and does not replace Your obligations under this Public License where the Licensed Rights include other Copyright and Similar Rights.\n\nSection 5 <<var;name=\"section5TitleHyphens\";original=\"\";match=\"-{1,2}\">> Disclaimer of Warranties and Limitation of Liability.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Unless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor offers the Licensed Material as-is and as-available, and makes no representations or warranties of any kind concerning the Licensed Material, whether express, implied, statutory, or other. This includes, without limitation, warranties of title, merchantability, fitness for a particular purpose, non-infringement, absence of latent or other defects, accuracy, or the presence or absence of errors, whether or not known or discoverable. Where disclaimers of warranties are not allowed in full or in part, this disclaimer may not apply to You.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> To the extent possible, in no event will the Licensor be liable to You on any legal theory (including, without limitation, negligence) or otherwise for any direct, special, indirect, incidental, consequential, punitive, exemplary, or other losses, costs, expenses, or damages arising out of this Public License or use of the Licensed Material, even if the Licensor has been advised of the possibility of such losses, costs, expenses, or damages. Where a limitation of liability is not allowed in full or in part, this limitation may not apply to You.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> The disclaimer of warranties and limitation of liability provided above shall be interpreted in a manner that, to the extent possible, most closely approximates an absolute disclaimer and waiver of all liability.\n\nSection 6 <<var;name=\"section6TitleHyphens\";original=\"\";match=\"-{1,2}\">> Term and Termination.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This Public License applies for the term of the Copyright and Similar Rights licensed here. However, if You fail to comply with this Public License, then Your rights under this Public License terminate automatically.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Where Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> automatically as of the date the violation is cured, provided it is cured within 30 days of Your discovery of the violation; or\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> upon express reinstatement by the Licensor.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have to seek remedies for Your violations of this Public License.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> For the avoidance of doubt, the Licensor may also offer the Licensed Material under separate terms or conditions or stop distributing the Licensed Material at any time; however, doing so will not terminate this Public License.\n\n   <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\nSection 7 <<var;name=\"section7TitleHyphens\";original=\"\";match=\"-{1,2}\">> Other Terms and Conditions.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> The Licensor shall not be bound by any additional or different terms or conditions communicated by You unless expressly agreed.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Any arrangements, understandings, or agreements regarding the Licensed Material not stated herein are separate from and independent of the terms and conditions of this Public License.\n\nSection 8 <<var;name=\"section8TitleHyphens\";original=\"\";match=\"-{1,2}\">> Interpretation.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> For the avoidance of doubt, this Public License does not, and shall not be interpreted to, reduce, limit, restrict, or impose conditions on any use of the Licensed Material that could lawfully be made without permission under this Public License.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> To the extent possible, if any provision of this Public License is deemed unenforceable, it shall be automatically reformed to the minimum extent necessary to make it enforceable. If the provision cannot be reformed, it shall be severed from this Public License without affecting the enforceability of the remaining terms and conditions.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or condition of this Public License will be waived and no failure to comply consented to unless expressly agreed to by the Licensor.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Nothing in this Public License constitutes or may be interpreted as a limitation upon, or waiver of, any privileges and immunities that apply to the Licensor or You, including from the legal processes of any jurisdiction or authority.<<beginOptional>> Creative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to apply one of its public licenses to material it publishes and in those instances will be considered the \"Licensor.\"<<beginOptional>> The text of the Creative Commons public licenses is dedicated to the public domain under the CC0 Public Domain Dedication.<<endOptional>> Except for the limited purpose of indicating that material is shared under a Creative Commons public license or as otherwise permitted by the Creative Commons policies published at creativecommons.org/policies, Creative Commons does not authorize the use of the trademark \"Creative Commons\" or any other trademark or logo of Creative Commons without its prior written consent including, without limitation, in connection with any unauthorized modifications to any of its public licenses or any other arrangements, understandings, or agreements concerning use of licensed material. For the avoidance of doubt, this paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n\n<<endOptional>>"
		self.name = "Creative Commons Attribution Share Alike 4.0 International"
		self.licenseId = "CC-BY-SA-4.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-sa/4.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:01Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-sa/4.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p><var class=\"optional-license-text\"> Creative Commons </var>Attribution-ShareAlike 4.0 International</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Corporation (&quot;Creative Commons&quot;) is not a law firm and does not provide legal services\n		 or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or\n		 other relationship. Creative Commons makes its licenses and related information available on an\n		 &quot;as-is&quot; basis. Creative Commons gives no warranties regarding its licenses, any material licensed\n		 under their terms and conditions, or any related information. Creative Commons disclaims all liability\n		 for damages resulting from their use to the fullest extent possible.</p>\n\n	  </div>\n	  <p>Using Creative Commons Public Licenses</p>\n\n	  <p>Creative Commons public licenses provide a standard set of terms and conditions that creators and other\n		 rights holders may use to share original works of authorship and other material subject to copyright\n		 and certain other rights specified in the public license below. The following considerations are for\n		 informational purposes only, are not exhaustive, and do not form part of our licenses.</p>\n\n	  <p>Considerations for licensors: Our public licenses are intended for use by those authorized to give the\n		 public permission to use material in ways otherwise restricted by copyright and certain other rights.\n		 Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the\n		 license they choose before applying it. Licensors should also secure all rights necessary before\n		 applying our licenses so that the public can reuse the material as expected. Licensors should clearly\n		 mark any material not subject to the license. This includes other <var class=\"replaceable-license-text\"> </var> material, or material\n		 used under an exception or limitation to copyright. More considerations for licensors<var class=\"replaceable-license-text\"> : wiki.creativecommons.org/Considerations_for_licensors</var></p>\n\n	  <p>Considerations for the public: By using one of our public licenses, a licensor grants the public\n		 permission to use the licensed material under specified terms and conditions. If the licensor&apos;s\n		 permission is not necessary for any reason\u2013for example, because of any applicable exception or\n		 limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only\n		 permissions under copyright and certain other rights that a licensor has authority to grant. Use of\n		 the licensed material may still be restricted for other reasons, including because others have\n		 copyright or other rights in the material. A licensor may make special requests, such as asking that\n		 all changes be marked or described.</p>\n\n	  <p>Although not required by our licenses, you are encouraged to respect those requests where reasonable.\n		 <var class=\"replaceable-license-text\"> More considerations</var> for the public<var class=\"replaceable-license-text\"> : wiki.creativecommons.org/Considerations_for_licensees</var></p>\n\n	  <p>Creative Commons Attribution-ShareAlike 4.0 International Public License</p>\n\n	  <p>By exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and\n		 conditions of this Creative Commons Attribution-ShareAlike 4.0 International Public License (&quot;Public\n		 License&quot;). To the extent this Public License may be interpreted as a contract, You are granted the\n		 Licensed Rights in consideration of Your acceptance of these terms and conditions, and the Licensor\n		 grants You such rights in consideration of benefits the Licensor receives from making the Licensed\n		 Material available under these terms and conditions.</p>\n\n	  <p>Section 1 <var class=\"replaceable-license-text\"> </var> Definitions.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			Adapted Material means material subject to Copyright and Similar Rights that is derived from\n			   or based upon the Licensed Material and in which the Licensed Material is translated,\n			   altered, arranged, transformed, or otherwise modified in a manner requiring permission\n			   under the Copyright and Similar Rights held by the Licensor. For purposes of this Public\n			   License, where the Licensed Material is a musical work, performance, or sound recording,\n			   Adapted Material is always produced where the Licensed Material is synched in timed\n			   relation with a moving image.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			Adapter&apos;s License means the license You apply to Your Copyright and Similar Rights in Your\n			   contributions to Adapted Material in accordance with the terms and conditions of this\n			   Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			BY-SA Compatible License means a license listed at creativecommons.org/compatiblelicenses,\n			   approved by Creative Commons as essentially the equivalent of this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d.</var>\n			Copyright and Similar Rights means copyright and/or similar rights closely related to\n			   copyright including, without limitation, performance, broadcast, sound recording, and Sui\n			   Generis Database Rights, without regard to how the rights are labeled or categorized. For\n			   purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not\n			   Copyright and Similar Rights.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e.</var>\n			Effective Technological Measures means those measures that, in the absence of proper\n			   authority, may not be circumvented under laws fulfilling obligations under Article 11 of\n			   the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international\n			   agreements.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> f.</var>\n			Exceptions and Limitations means fair use, fair dealing, and/or any other exception or\n			   limitation to Copyright and Similar Rights that applies to Your use of the Licensed\n			   Material.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> g.</var>\n			License Elements means the license attributes listed in the name of a Creative Commons Public\n			   License. The License Elements of this Public License are Attribution and ShareAlike.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> h.</var>\n			Licensed Material means the artistic or literary work, database, or other material to which\n			   the Licensor applied this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> i.</var>\n			Licensed Rights means the rights granted to You subject to the terms and conditions of this\n			   Public License, which are limited to all Copyright and Similar Rights that apply to Your\n			   use of the Licensed Material and that the Licensor has authority to license.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> j.</var>\n			Licensor means the individual(s) or entity(ies) granting rights under this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> k.</var>\n			Share means to provide material to the public by any means or process that requires\n			   permission under the Licensed Rights, such as reproduction, public display, public\n			   performance, distribution, dissemination, communication, or importation, and to make\n			   material available to the public including in ways that members of the public may access\n			   the material from a place and at a time individually chosen by them.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> l.</var>\n			Sui Generis Database Rights means rights other than copyright resulting from Directive\n			   96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal\n			   protection of databases, as amended and/or succeeded, as well as other essentially\n			   equivalent rights anywhere in the world.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> m.</var>\n			You means the individual or entity exercising the Licensed Rights under this Public License.\n			   Your has a corresponding meaning.\n		  </li>\n		\n</ul>\n	  <p>Section 2 <var class=\"replaceable-license-text\"> </var> Scope.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			License grant.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n			  Subject to the terms and conditions of this Public License, the Licensor hereby grants\n				 You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license\n				 to exercise the Licensed Rights in the Licensed Material to:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				reproduce and Share the Licensed Material, in whole or in part; and\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				produce, reproduce, and Share Adapted Material.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n			  Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations\n				 apply to Your use, this Public License does not apply, and You do not need to comply\n				 with its terms and conditions.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n			  Term. The term of this Public License is specified in Section 6(a).\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var>\n			  Media and formats; technical modifications allowed. The Licensor authorizes You to\n				 exercise the Licensed Rights in all media and formats whether now known or hereafter\n				 created, and to make technical modifications necessary to do so. The Licensor waives\n				 and/or agrees not to assert any right or authority to forbid You from making technical\n				 modifications necessary to exercise the Licensed Rights, including technical\n				 modifications necessary to circumvent Effective Technological Measures. For purposes\n				 of this Public License, simply making modifications authorized by this Section 2(a)(4)\n				 never produces Adapted Material.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.</var>\n			  Downstream recipients.\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material\n				   automatically receives an offer from the Licensor to exercise the Licensed Rights\n				   under the terms and conditions of this Public License.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				Additional offer from the Licensor \u2013 Adapted Material. Every recipient of Adapted\n				   Material from You automatically receives an offer from the Licensor to exercise\n				   the Licensed Rights in the Adapted Material under the conditions of the Adapter&apos;s\n				   License You apply.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> C.</var>\n				No downstream restrictions. You may not offer or impose any additional or different\n				   terms or conditions on, or apply any Effective Technological Measures to, the\n				   Licensed Material if doing so restricts exercise of the Licensed Rights by any\n				   recipient of the Licensed Material.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.</var>\n			  No endorsement. Nothing in this Public License constitutes or may be consTrued as\n				 permission to assert or imply that You are, or that Your use of the Licensed Material\n				 is, connected with, or sponsored, endorsed, or granted official status by, the\n				 Licensor or others designated to receive attribution as provided in Section\n				 3(a)(1)(A)(i).\n			</li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			Other rights.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n			  Moral rights, such as the right of integrity, are not licensed under this Public License,\n				 nor are publicity, privacy, and/or other similar personality rights; however, to the\n				 extent possible, the Licensor waives and/or agrees not to assert any such rights held\n				 by the Licensor to the limited extent necessary to allow You to exercise the Licensed\n				 Rights, but not otherwise.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n			  Patent and trademark rights are not licensed under this Public License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n			  To the extent possible, the Licensor waives any right to collect royalties from You for\n				 the exercise of the Licensed Rights, whether directly or through a collecting society\n				 under any voluntary or waivable statutory or compulsory licensing scheme. In all other\n				 cases the Licensor expressly reserves any right to collect such royalties.\n			</li>\n			\n</ul>\n		  </li>\n		\n</ul>\n	  <p>Section 3 <var class=\"replaceable-license-text\"> </var> License Conditions.</p>\n\n	  <p>Your exercise of the Licensed Rights is expressly made subject to the following conditions.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			Attribution.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n			  If You Share the Licensed Material (including in modified form), You must:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				retain the following if it is supplied by the Licensor with the Licensed Material:\n			  \n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> i.</var>\n				  identification of the creator(s) of the Licensed Material and any others\n					   designated to receive attribution, in any reasonable manner requested by\n					   the Licensor (including by pseudonym if designated);\n				  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> ii.</var>\n					a copyright notice;\n				  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> iii.</var>\n					a notice that refers to this Public License;\n				  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> iv.</var>\n					a notice that refers to the disclaimer of warranties;\n					<p>v. a URI or hyperlink to the Licensed Material to the extent reasonably practicable;</p>\n\n						   </li>\n						\n</ul>\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				indicate if You modified the Licensed Material and retain an indication of any\n				   previous modifications; and\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> C.</var>\n				indicate the Licensed Material is licensed under this Public License, and include the\n				   text of, or the URI or hyperlink to, this Public License.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n			  You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the\n				 medium, means, and context in which You Share the Licensed Material. For example, it\n				 may be reasonable to satisfy the conditions by providing a URI or hyperlink to a\n				 resource that includes the required information.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n			  If requested by the Licensor, You must remove any of the information required by Section\n				 3(a)(1)(A) to the extent reasonably practicable.\n			</li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			ShareAlike.In addition to the conditions in Section 3(a), if You Share Adapted Material You\n			   produce, the following conditions also apply.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n			  The Adapter&apos;s License You apply must be a Creative Commons license with the same License\n				 Elements, this version or later, or a BY-SA Compatible License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n			  You must include the text of, or the URI or hyperlink to, the Adapter&apos;s License You\n				 apply. You may satisfy this condition in any reasonable manner based on the medium,\n				 means, and context in which You Share Adapted Material.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n			  You may not offer or impose any additional or different terms or conditions on, or apply\n				 any Effective Technological Measures to, Adapted Material that restrict exercise of\n				 the rights granted under the Adapter&apos;s License You apply.\n			  </li>\n			\n</ul>\n		  </li>\n		\n</ul>\n	  <p>Section 4 <var class=\"replaceable-license-text\"> </var> Sui Generis Database Rights.</p>\n\n	  <p>Where the Licensed Rights include Sui Generis Database Rights that apply to Your use of\n		 the Licensed Material:</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			for the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse,\n			   reproduce, and Share all or a substantial portion of the contents of the database;\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			if You include all or a substantial portion of the database contents in a database in which\n			   You have Sui Generis Database Rights, then the database in which You have Sui Generis\n			   Database Rights (but not its individual contents) is Adapted Material, including for\n			   purposes of Section 3(b); and\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			You must comply with the conditions in Section 3(a) if You Share all or a substantial portion\n			   of the contents of the database.\n			  <br />\n\n   For the avoidance of doubt, this Section 4 supplements and does not replace Your\n				   obligations under this Public License where the Licensed Rights include other\n				   Copyright and Similar Rights.\n\n		  </li>\n		\n</ul>\n	  <p>Section 5 <var class=\"replaceable-license-text\"> </var> Disclaimer of Warranties and Limitation of Liability.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			Unless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor\n			   offers the Licensed Material as-is and as-available, and makes no representations or\n			   warranties of any kind concerning the Licensed Material, whether express, implied,\n			   statutory, or other. This includes, without limitation, warranties of title,\n			   merchantability, fitness for a particular purpose, non-infringement, absence of latent or\n			   other defects, accuracy, or the presence or absence of errors, whether or not known or\n			   discoverable. Where disclaimers of warranties are not allowed in full or in part, this\n			   disclaimer may not apply to You.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			To the extent possible, in no event will the Licensor be liable to You on any legal theory\n			   (including, without limitation, negligence) or otherwise for any direct, special,\n			   indirect, incidental, consequential, punitive, exemplary, or other losses, costs,\n			   expenses, or damages arising out of this Public License or use of the Licensed Material,\n			   even if the Licensor has been advised of the possibility of such losses, costs, expenses,\n			   or damages. Where a limitation of liability is not allowed in full or in part, this\n			   limitation may not apply to You.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			The disclaimer of warranties and limitation of liability provided above shall be interpreted\n			   in a manner that, to the extent possible, most closely approximates an absolute disclaimer\n			   and waiver of all liability.\n		  </li>\n		\n</ul>\n	  <p>Section 6 <var class=\"replaceable-license-text\"> </var> Term and Termination.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			This Public License applies for the term of the Copyright and Similar Rights licensed here.\n			   However, if You fail to comply with this Public License, then Your rights under this\n			   Public License terminate automatically.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			Where Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n			  automatically as of the date the violation is cured, provided it is cured within 30 days\n				 of Your discovery of the violation; or\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n			  upon express reinstatement by the Licensor.\n			</li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have\n			   to seek remedies for Your violations of this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d.</var>\n			For the avoidance of doubt, the Licensor may also offer the Licensed Material under separate\n			   terms or conditions or stop distributing the Licensed Material at any time; however, doing\n			   so will not terminate this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e.</var>\n			Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n		  </li>\n		\n</ul>\n	  <p>Section 7 <var class=\"replaceable-license-text\"> </var> Other Terms and Conditions.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			The Licensor shall not be bound by any additional or different terms or conditions\n			   communicated by You unless expressly agreed.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			Any arrangements, understandings, or agreements regarding the Licensed Material not stated\n			   herein are separate from and independent of the terms and conditions of this Public\n			   License.\n		  </li>\n		\n</ul>\n	  <p>Section 8 <var class=\"replaceable-license-text\"> </var> Interpretation.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			For the avoidance of doubt, this Public License does not, and shall not be interpreted to,\n			   reduce, limit, restrict, or impose conditions on any use of the Licensed Material that\n			   could lawfully be made without permission under this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			To the extent possible, if any provision of this Public License is deemed unenforceable, it\n			   shall be automatically reformed to the minimum extent necessary to make it enforceable. If\n			   the provision cannot be reformed, it shall be severed from this Public License without\n			   affecting the enforceability of the remaining terms and conditions.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			No term or condition of this Public License will be waived and no failure to comply consented\n			   to unless expressly agreed to by the Licensor.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d.</var>\n			Nothing in this Public License constitutes or may be interpreted as a limitation upon, or\n			   waiver of, any privileges and immunities that apply to the Licensor or You, including from\n			   the legal processes of any jurisdiction or authority.\n		  </li>\n		\n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>Creative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to\n		   apply one of its public licenses to material it publishes and in those instances will be considered\n		   the &quot;Licensor.&quot; <var class=\"optional-license-text\"> The text of the Creative Commons public licenses is dedicated to the public\n		   domain under the CC0 Public Domain Dedication.</var> Except for the limited purpose of indicating that material is shared under a Creative\n		   Commons public license or as otherwise permitted by the Creative Commons policies published at\n		   creativecommons.org/policies, Creative Commons does not authorize the use of the trademark &quot;Creative\n		   Commons&quot; or any other trademark or logo of Creative Commons without its prior written consent\n		   including, without limitation, in connection with any unauthorized modifications to any of its public\n		   licenses or any other arrangements, understandings, or agreements concerning use of licensed material.\n		   For the avoidance of doubt, this paragraph does not form part of the public licenses.</p>\n\n		<p>Creative Commons may be contacted at creativecommons.org.</p>\n\n	  </div>\n	"
		self.python_name = "CCBYSA40"

	def __str__(self):
		return json.dumps(self.__dict__)


class ImageMagick:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Before we get to the text of the license, lets just review what the license says in simple terms:\n\nIt allows you to:\n\n	 * freely download and use ImageMagick software, in whole or in part, for personal, company internal, or commercial purposes;\n	 * use ImageMagick software in packages or distributions that you create;\n	 * link against a library under a different license;\n	 * link code under a different license against a library under this license;\n	 * merge code into a work under a different license;\n	 * extend patent grants to any code using code under this license;\n	 * and extend patent protection.\n\nIt forbids you to:\n\n	 * redistribute any piece of ImageMagick-originated software without proper attribution;\n	 * use any marks owned by ImageMagick Studio LLC in any way that might state or imply that ImageMagick Studio LLC endorses your distribution;\n	 * use any marks owned by ImageMagick Studio LLC in any way that might state or imply that you created the ImageMagick software in question.\n\nIt requires you to:\n\n	 * include a copy of the license in any redistribution you may make that includes ImageMagick software;\n	 * provide clear attribution to ImageMagick Studio LLC for any distributions that include ImageMagick software.\n\nIt does not require you to:\n\n	 * include the source of the ImageMagick software itself, or of any modifications you may have made to it, in any redistribution you may assemble that includes it;\n	 * submit changes that you make to the software back to the ImageMagick Studio LLC (though such feedback is encouraged).\n\nA few other clarifications include:\n\n	 * ImageMagick is freely available without charge;\n	 * you may include ImageMagick on a DVD as long as you comply with the terms of the license;\n	 * you can give modified code away for free or sell it under the terms of the ImageMagick license or distribute the result under a different license, but you need to acknowledge the use of the ImageMagick software;\n	 * the license is compatible with the GPL V3.\n	 * when exporting the ImageMagick software, review its export classification.\n\nTerms and Conditions for Use, Reproduction, and Distribution\n\nThe legally binding and authoritative terms and conditions for use, reproduction, and distribution of ImageMagick follow:\n\nCopyright 1999-2013 ImageMagick Studio LLC, a non-profit organization dedicated to making software imaging solutions freely available.\n\n1. Definitions.\n\nLicense shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.\n\nLicensor shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.\n\nLegal Entity shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, control means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\nYou (or Your) shall mean an individual or Legal Entity exercising permissions granted by this License.\n\nSource form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.\n\nObject form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.\n\nWork shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).\n\nDerivative Works shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.\n\nContribution shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, \"submitted\" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as Not a Contribution.\n\nContributor shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.\n\n2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.\n\n3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.\n\n4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:\n\n	 a. You must give any other recipients of the Work or Derivative Works a copy of this License; and\n	 b. You must cause any modified files to carry prominent notices stating that You changed the files; and\n	 c. You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and\n	 d. If the Work includes a \"NOTICE\" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be consTrued as modifying the License.\n\nYou may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.\n\n5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.\n\n6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.\n\n7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an AS IS BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.\n\n8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.\n\n9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.\n\nHow to Apply the License to your Work\n\nTo apply the ImageMagick License to your work, attach the following boilerplate notice, with the fields enclosed by brackets \"[]\" replaced with your own identifying information (don't include the brackets). The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same \"printed page\" as the copyright notice for easier identification within third-party archives.\n\n	 Copyright [yyyy] [name of copyright owner]\n\n	 Licensed under the ImageMagick License (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at\n\n	 http://www.imagemagick.org/script/license.php\n\n	 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Before we get to the text of the license, lets just review what the license says in simple terms:\n\nIt allows you to:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> freely download and use ImageMagick software, in whole or in part, for personal, company internal, or commercial purposes;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> use ImageMagick software in packages or distributions that you create;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> link against a library under a different license;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> link code under a different license against a library under this license;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> merge code into a work under a different license;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> extend patent grants to any code using code under this license;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> and extend patent protection.\n\nIt forbids you to:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> redistribute any piece of ImageMagick-originated software without proper attribution;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> use any marks owned by ImageMagick Studio LLC in any way that might state or imply that ImageMagick Studio LLC endorses your distribution;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> use any marks owned by ImageMagick Studio LLC in any way that might state or imply that you created the ImageMagick software in question.\n\nIt requires you to:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> include a copy of the license in any redistribution you may make that includes ImageMagick software;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> provide clear attribution to ImageMagick Studio LLC for any distributions that include ImageMagick software.\n\nIt does not require you to:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> include the source of the ImageMagick software itself, or of any modifications you may have made to it, in any redistribution you may assemble that includes it;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> submit changes that you make to the software back to the ImageMagick Studio LLC (though such feedback is encouraged).\n\nA few other clarifications include:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> ImageMagick is freely available without charge;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> you may include ImageMagick on a DVD as long as you comply with the terms of the license;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> you can give modified code away for free or sell it under the terms of the ImageMagick license or distribute the result under a different license, but you need to acknowledge the use of the ImageMagick software;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> the license is compatible with the GPL V3.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> when exporting the ImageMagick software, review its export classification.<<endOptional>>\n\nTerms and Conditions for Use, Reproduction, and Distribution\n\nThe legally binding and authoritative terms and conditions for use, reproduction, and distribution of ImageMagick follow:\n\n<<var;name=\"copyright\";original=\"Copyright 1999-2013 ImageMagick Studio LLC, a non-profit organization dedicated to making software imaging solutions freely available.  \";match=\".{0,5000}\">>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n   License shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.\n\n   Licensor shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.\n\n   Legal Entity shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, control means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n   You (or Your) shall mean an individual or Legal Entity exercising permissions granted by this License.\n\n   Source form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.\n\n   Object form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.\n\n   Work shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).\n\n   Derivative Works shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.\n\n   Contribution shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, \"submitted\" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as Not a Contribution.\n\n   Contributor shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You must give any other recipients of the Work or Derivative Works a copy of this License; and\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You must cause any modified files to carry prominent notices stating that You changed the files; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> If the Work includes a \"NOTICE\" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be consTrued as modifying the License.\n\n   You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an AS IS BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.<<beginOptional>> How to Apply the License to your Work\n\nTo apply the ImageMagick License to your work, attach the following boilerplate notice, with the fields enclosed by brackets \"[]\" replaced with your own identifying information (don't include the brackets). The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same \"printed page\" as the copyright notice for easier identification within third-party archives.\n\nCopyright [yyyy] [name of copyright owner]\n\nLicensed under the ImageMagick License (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at\n\nhttp://www.imagemagick.org/script/license.php\n\nUnless required by applicable law or agreed to in writing, software distributed under the License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.\n\n<<endOptional>>"
		self.name = "ImageMagick License"
		self.licenseComments = "The ImageMagick license is nearly identical to the Apache-2.0 license. The differences are the title and additional preamble, and the omission of the parenthetical \"(except as stated in this section)\" from Section 3."
		self.licenseId = "ImageMagick"
		self.crossRef = [{"match": "False", "url": "http://www.imagemagick.org/script/license.php", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.imagemagick.org/script/license.php"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Before we get to the text of the license, lets just review what the license says in simple terms:</p>\n\n		 <p>It allows you to:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			freely download and use ImageMagick software, in whole or in part, for personal, company\n			internal, or commercial purposes;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			use ImageMagick software in packages or distributions that you create;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			link against a library under a different license;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			link code under a different license against a library under this license;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			merge code into a work under a different license;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			extend patent grants to any code using code under this license;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			and extend patent protection.\n		  </li>\n		\n</ul>\n			<p>It forbids you to:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			redistribute any piece of ImageMagick-originated software without proper attribution;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			use any marks owned by ImageMagick Studio LLC in any way that might state or imply that\n			   ImageMagick Studio LLC endorses your distribution;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			use any marks owned by ImageMagick Studio LLC in any way that might state or imply that you\n			   created the ImageMagick software in question.\n		  </li>\n		\n</ul>\n			<p>It requires you to:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			include a copy of the license in any redistribution you may make that includes ImageMagick software;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			provide clear attribution to ImageMagick Studio LLC for any distributions that include\n			   ImageMagick software.\n		  </li>\n		\n</ul>\n			<p>It does not require you to:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			include the source of the ImageMagick software itself, or of any modifications you may have\n			   made to it, in any redistribution you may assemble that includes it;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			submit changes that you make to the software back to the ImageMagick Studio LLC (though such\n			   feedback is encouraged).\n		  </li>\n		\n</ul>\n			<p>A few other clarifications include:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			ImageMagick is freely available without charge;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			you may include ImageMagick on a DVD as long as you comply with the terms of the license;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			you can give modified code away for free or sell it under the terms of the ImageMagick\n			   license or distribute the result under a different license, but you need to acknowledge\n			   the use of the ImageMagick software;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			the license is compatible with the GPL V3.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n			when exporting the ImageMagick software, review its export classification.\n		  </li>\n		\n</ul>\n	  </div>\n	  <p>Terms and Conditions for Use, Reproduction, and Distribution</p>\n\n	  <p>The legally binding and authoritative terms and conditions for use, reproduction, and distribution of\n		 ImageMagick follow:</p>\n\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1999-2013 ImageMagick Studio LLC, a non-profit organization dedicated to making software\n		 imaging solutions freely available.</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  <p>License shall mean the terms and conditions for use, reproduction, and distribution as defined by\n			 Sections 1 through 9 of this document.</p>\n\n			<p>Licensor shall mean the copyright owner or entity authorized by the copyright owner that is\n			 granting the License.</p>\n\n			<p>Legal Entity shall mean the union of the acting entity and all other entities that control, are\n			 controlled by, or are under common control with that entity. For the purposes of this\n			 definition, control means (i) the power, direct or indirect, to cause the direction or\n			 management of such entity, whether by contract or otherwise, or (ii) ownership of fifty\n			 percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such\n			 entity.</p>\n\n			<p>You (or Your) shall mean an individual or Legal Entity exercising permissions granted by this License.</p>\n\n			<p>Source form shall mean the preferred form for making modifications, including but not limited to\n			 software source code, documentation source, and configuration files.</p>\n\n			<p>Object form shall mean any form resulting from mechanical transformation or translation of a\n			 Source form, including but not limited to compiled object code, generated documentation, and\n			 conversions to other media types.</p>\n\n			<p>Work shall mean the work of authorship, whether in Source or Object form, made available under\n			 the License, as indicated by a copyright notice that is included in or attached to the work\n			 (an example is provided in the Appendix below).</p>\n\n			<p>Derivative Works shall mean any work, whether in Source or Object form, that is based on (or\n			 derived from) the Work and for which the editorial revisions, annotations, elaborations, or\n			 other modifications represent, as a whole, an original work of authorship. For the purposes of\n			 this License, Derivative Works shall not include works that remain separable from, or merely\n			 link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.</p>\n\n			<p>Contribution shall mean any work of authorship, including the original version of the Work and\n			 any modifications or additions to that Work or Derivative Works thereof, that is intentionally\n			 submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or\n			 Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this\n			 definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to\n			 the Licensor or its representatives, including but not limited to communication on electronic\n			 mailing lists, source code control systems, and issue tracking systems that are managed by, or\n			 on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding\n			 communication that is conspicuously marked or otherwise designated in writing by the copyright\n			 owner as Not a Contribution.</p>\n\n			<p>Contributor shall mean Licensor and any individual or Legal Entity on behalf of whom a\n			 Contribution has been received by Licensor and subsequently incorporated within the Work.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor\n			 hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free,\n			 irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display,\n			 publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or\n			 Object form.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Grant of Patent License. Subject to the terms and conditions of this License, each Contributor\n			 hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free,\n			 irrevocable patent license to make, have made, use, offer to sell, sell, import, and otherwise\n			 transfer the Work, where such license applies only to those patent claims licensable by such\n			 Contributor that are necessarily infringed by their Contribution(s) alone or by combination of\n			 their Contribution(s) with the Work to which such Contribution(s) was submitted. If You\n			 institute patent litigation against any entity (including a cross-claim or counterclaim in a\n			 lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes\n			 direct or contributory patent infringement, then any patent licenses granted to You under this\n			 License for that Work shall terminate as of the date such litigation is filed.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof\n			 in any medium, with or without modifications, and in Source or Object form, provided that You\n			 meet the following conditions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You must give any other recipients of the Work or Derivative Works a copy of this License; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You must cause any modified files to carry prominent notices stating that You changed the files; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			You must retain, in the Source form of any Derivative Works that You distribute, all\n			   copyright, patent, trademark, and attribution notices from the Source form of the Work,\n			   excluding those notices that do not pertain to any part of the Derivative Works; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative\n			   Works that You distribute must include a readable copy of the attribution notices\n			   contained within such NOTICE file, excluding those notices that do not pertain to any part\n			   of the Derivative Works, in at least one of the following places: within a NOTICE text\n			   file distributed as part of the Derivative Works; within the Source form or documentation,\n			   if provided along with the Derivative Works; or, within a display generated by the\n			   Derivative Works, if and wherever such third-party notices normally appear. The contents\n			   of the NOTICE file are for informational purposes only and do not modify the License. You\n			   may add Your own attribution notices within Derivative Works that You distribute,\n			   alongside or as an addendum to the NOTICE text from the Work, provided that such\n			   additional attribution notices cannot be consTrued as modifying the License.\n		   </li>\n		   \n</ul>\n			<p>You may add Your own copyright statement to Your modifications and may provide additional or\n			   different license terms and conditions for use, reproduction, or distribution of Your\n			   modifications, or for any such Derivative Works as a whole, provided Your use,\n			   reproduction, and distribution of the Work otherwise complies with the conditions stated\n			   in this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Submission of Contributions. Unless You explicitly state otherwise, any Contribution\n			 intentionally submitted for inclusion in the Work by You to the Licensor shall be under the\n			 terms and conditions of this License, without any additional terms or conditions.\n			 Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate\n			 license agreement you may have executed with Licensor regarding such Contributions.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Trademarks. This License does not grant permission to use the trade names, trademarks, service\n			 marks, or product names of the Licensor, except as required for reasonable and customary use\n			 in describing the origin of the Work and reproducing the content of the NOTICE file.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor\n			 provides the Work (and each Contributor provides its Contributions) on an AS IS BASIS, WITHOUT\n			 WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without\n			 limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or\n			 FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the\n			 appropriateness of using or redistributing the Work and assume any risks associated with Your\n			 exercise of permissions under this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Limitation of Liability. In no event and under no legal theory, whether in tort (including\n			 negligence), contract, or otherwise, unless required by applicable law (such as deliberate and\n			 grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for\n			 damages, including any direct, indirect, special, incidental, or consequential damages of any\n			 character arising as a result of this License or out of the use or inability to use the Work\n			 (including but not limited to damages for loss of goodwill, work stoppage, computer failure or\n			 malfunction, or any and all other commercial damages or losses), even if such Contributor has\n			 been advised of the possibility of such damages.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works\n			 thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty,\n			 indemnity, or other liability obligations and/or rights consistent with this License. However,\n			 in accepting such obligations, You may act only on Your own behalf and on Your sole\n			 responsibility, not on behalf of any other Contributor, and only if You agree to indemnify,\n			 defend, and hold each Contributor harmless for any liability incurred by, or claims asserted\n			 against, such Contributor by reason of your accepting any such warranty or additional\n			 liability.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>How to Apply the License to your Work</p>\n\n		 <p>To apply the ImageMagick License to your work, attach the following boilerplate notice, with the fields\n		 enclosed by brackets &quot;[]&quot; replaced with your own identifying information (don&apos;t include the brackets).\n		 The text should be enclosed in the appropriate comment syntax for the file format. We also recommend\n		 that a file or class name and description of purpose be included on the same &quot;printed page&quot; as the\n		 copyright notice for easier identification within third-party archives.</p>\n\n		 <p>Copyright [yyyy] [name of copyright owner]</p>\n\n		 <p>Licensed under the ImageMagick License (the &quot;License&quot;); you may not use this file except in compliance\n		 with the License. You may obtain a copy of the License at</p>\n\n		 <p>http://www.imagemagick.org/script/license.php</p>\n\n		 <p>Unless required by applicable law or agreed to in writing, software distributed under the License is\n		 distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or\n		 implied. See the License for the specific language governing permissions and limitations under the\n		 License.</p>\n\n	  </div>\n	"
		self.python_name = "ImageMagick"

	def __str__(self):
		return json.dumps(self.__dict__)


class OpenVision:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright, OpenVision Technologies, Inc., 1993-1996, All Rights\nReserved\n\nWARNING:  Retrieving the OpenVision Kerberos Administration system\nsource code, as described below, indicates your acceptance of the\nfollowing terms.  If you do not agree to the following terms, do\nnot retrieve the OpenVision Kerberos administration system.\n\nYou may freely use and distribute the Source Code and Object Code\ncompiled from it, with or without modification, but this Source\nCode is provided to you \"AS IS\" EXCLUSIVE OF ANY WARRANTY,\nINCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR\nFITNESS FOR A PARTICULAR PURPOSE, OR ANY OTHER WARRANTY, WHETHER\nEXPRESS OR IMPLIED. IN NO EVENT WILL OPENVISION HAVE ANY LIABILITY\nFOR ANY LOST PROFITS, LOSS OF DATA OR COSTS OF PROCUREMENT OF\nSUBSTITUTE GOODS OR SERVICES, OR FOR ANY SPECIAL, INDIRECT, OR\nCONSEQUENTIAL DAMAGES ARISING OUT OF THIS AGREEMENT, INCLUDING,\nWITHOUT LIMITATION, THOSE RESULTING FROM THE USE OF THE SOURCE\nCODE, OR THE FAILURE OF THE SOURCE CODE TO PERFORM, OR FOR ANY\nOTHER REASON.\n\nOpenVision retains all copyrights in the donated Source Code.\nOpenVision also retains copyright to derivative works of the Source\nCode, whether created by OpenVision or by a third party. The\nOpenVision copyright notice must be preserved if derivative works\nare made based on the donated Source Code.\n\nOpenVision Technologies, Inc. has donated this Kerberos\nAdministration system to MIT for inclusion in the standard Kerberos\n5 distribution. This donation underscores our commitment to\ncontinuing Kerberos technology development and our gratitude for\nthe valuable work which has been performed by MIT and the Kerberos\ncommunity.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright, OpenVision Technologies, Inc., 1993-1996, All Rights Reserved\";match=\".{0,5000}\">>\n\nWARNING: Retrieving the OpenVision Kerberos Administration system source code, as described below, indicates your acceptance of the following terms. If you do not agree to the following terms, do not retrieve the OpenVision Kerberos administration system.\n\nYou may freely use and distribute the Source Code and Object Code compiled from it, with or without modification, but this Source Code is provided to you \"AS IS\" EXCLUSIVE OF ANY WARRANTY, INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, OR ANY OTHER WARRANTY, WHETHER EXPRESS OR IMPLIED. IN NO EVENT WILL OPENVISION HAVE ANY LIABILITY FOR ANY LOST PROFITS, LOSS OF DATA OR COSTS OF PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, OR FOR ANY SPECIAL, INDIRECT, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THIS AGREEMENT, INCLUDING, WITHOUT LIMITATION, THOSE RESULTING FROM THE USE OF THE SOURCE CODE, OR THE FAILURE OF THE SOURCE CODE TO PERFORM, OR FOR ANY OTHER REASON.\n\nOpenVision retains all copyrights in the donated Source Code. OpenVision also retains copyright to derivative works of the Source Code, whether created by OpenVision or by a third party. The OpenVision copyright notice must be preserved if derivative works are made based on the donated Source Code.\n\nOpenVision Technologies, Inc. has donated this Kerberos Administration system to MIT for inclusion in the standard Kerberos 5 distribution. This donation underscores our commitment to continuing Kerberos technology development and our gratitude for the valuable work which has been performed by MIT and the Kerberos community.\n\n"
		self.name = "OpenVision License"
		self.licenseId = "OpenVision"
		self.crossRef = [{"match": "False", "url": "https://github.com/krb5/krb5/blob/krb5-1.21.2-final/NOTICE#L66-L98", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:24Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://fedoraproject.org/wiki/Licensing:MIT#OpenVision_Variant", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:24Z", "isWayBackLink": False, "order": 2}, {"match": "True", "url": "https://web.mit.edu/kerberos/krb5-1.21/doc/mitK5license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:25Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://github.com/krb5/krb5/blob/krb5-1.21.2-final/NOTICE#L66-L98", "https://web.mit.edu/kerberos/krb5-1.21/doc/mitK5license.html", "https://fedoraproject.org/wiki/Licensing:MIT#OpenVision_Variant"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright, OpenVision Technologies,\n			Inc., 1993-1996, All Rights Reserved\n		 </var>\n		 <p>\n			WARNING: Retrieving the OpenVision Kerberos Administration system\n			source code, as described below, indicates your acceptance of\n			the following terms. If you do not agree to the following terms,\n			do not retrieve the OpenVision Kerberos administration system.\n		 </p>\n\n		 <p>\n			You may freely use and distribute the Source Code and Object Code\n			compiled from it, with or without modification, but this Source Code\n			is provided to you &quot;AS IS&quot; EXCLUSIVE OF ANY WARRANTY, INCLUDING,\n			WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY OR FITNESS\n			FOR A PARTICULAR PURPOSE, OR ANY OTHER WARRANTY, WHETHER EXPRESS\n			OR IMPLIED. IN NO EVENT WILL OPENVISION HAVE ANY LIABILITY FOR ANY\n			LOST PROFITS, LOSS OF DATA OR COSTS OF PROCUREMENT OF SUBSTITUTE\n			GOODS OR SERVICES, OR FOR ANY SPECIAL, INDIRECT, OR CONSEQUENTIAL\n			DAMAGES ARISING OUT OF THIS AGREEMENT, INCLUDING, WITHOUT\n			LIMITATION, THOSE RESULTING FROM THE USE OF THE SOURCE CODE, OR\n			THE FAILURE OF THE SOURCE CODE TO PERFORM, OR FOR ANY OTHER REASON.\n		 </p>\n\n		 <p>\n			OpenVision retains all copyrights in the donated Source Code.\n			OpenVision also retains copyright to derivative works of\n			the Source Code, whether created by OpenVision or by a third\n			party. The OpenVision copyright notice must be preserved if\n			derivative works are made based on the donated Source Code.\n		 </p>\n\n		 <p>\n			OpenVision Technologies, Inc. has donated this Kerberos\n			Administration system to MIT for inclusion in the standard\n			Kerberos 5 distribution. This donation underscores our\n			commitment to continuing Kerberos technology development\n			and our gratitude for the valuable work which has\n			been performed by MIT and the Kerberos community.\n		 </p>\n\n	  "
		self.python_name = "OpenVision"

	def __str__(self):
		return json.dumps(self.__dict__)


class TTWL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1996-2002,2005,2006 David Muir Sharnoff.  \nCopyright (C) 2005 Aristotle Pagaltzis \nCopyright (C) 2012-2013 Google, Inc.\n\nThis module may be modified, used, copied, and redistributed at your own risk.\nAlthough allowed by the preceding license, please do not publicly\nredistribute modified versions of this code with the name \"Text::Tabs\"\nunless it passes the unmodified Text::Tabs test suite.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1996-2002,2005,2006 David Muir Sharnoff.  Copyright (C) 2005 Aristotle Pagaltzis  Copyright (C) 2012-2013 Google, Inc.  \";match=\".{0,5000}\">>\n\nThis module may be modified, used, copied, and redistributed at your own risk. Although allowed by the preceding license, please do not publicly redistribute modified versions of this code with the name \"Text::Tabs\" unless it passes the unmodified Text::Tabs test suite.\n\n"
		self.name = "Text-Tabs+Wrap License"
		self.licenseId = "TTWL"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/TTWL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:24Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://github.com/ap/Text-Tabs/blob/master/lib.modern/Text/Tabs.pm#L148", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:25Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/TTWL", "https://github.com/ap/Text-Tabs/blob/master/lib.modern/Text/Tabs.pm#L148"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n			<p>\n			   Copyright (C) 1996-2002,2005,2006 David Muir Sharnoff.<br />\n\n			   Copyright (C) 2005 Aristotle Pagaltzis<br />\n\n			   Copyright (C) 2012-2013 Google, Inc.\n			</p>\n\n		 </div>\n		 <p>\n			This module may be modified, used, copied, and redistributed at your\n			own risk. Although allowed by the preceding license, please do not\n			publicly redistribute modified versions of this code with the name\n			&quot;Text::Tabs&quot; unless it passes the unmodified Text::Tabs test suite.\n		 </p>\n\n	  "
		self.python_name = "TTWL"

	def __str__(self):
		return json.dumps(self.__dict__)


class Intel:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Intel Open Source License\n\nCopyright (c) 1996-2000 Intel Corporation All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 \u2022\tRedistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n	 \u2022\tRedistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n	 \u2022\tNeither the name of the Intel Corporation nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE INTEL OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nEXPORT LAWS: THIS LICENSE ADDS NO RESTRICTIONS TO THE EXPORT LAWS OF YOUR JURISDICTION. It is licensee's responsibility to comply with any export regulations applicable in licensee's jurisdiction. Under CURRENT (May 2000) U.S. export regulations this software is eligible for export from the U.S. and can be downloaded by or otherwise exported or reexported worldwide EXCEPT to U.S. embargoed destinations which include Cuba, Iraq, Libya, North Korea, Iran, Syria, Sudan, Afghanistan and any other country to which the U.S. has embargoed goods and services.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Intel Open Source License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 1996-2000 Intel Corporation  All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> Neither the name of the Intel Corporation nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE INTEL OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nEXPORT LAWS: THIS LICENSE ADDS NO RESTRICTIONS TO THE EXPORT LAWS OF YOUR JURISDICTION. It is licensee's responsibility to comply with any export regulations applicable in licensee's jurisdiction. Under CURRENT (May 2000) U.S. export regulations this software is eligible for export from the U.S. and can be downloaded by or otherwise exported or reexported worldwide EXCEPT to U.S. embargoed destinations which include Cuba, Iraq, Libya, North Korea, Iran, Syria, Sudan, Afghanistan and any other country to which the U.S. has embargoed goods and services.\n\n"
		self.name = "Intel Open Source License"
		self.licenseComments = "This license has been deprecated. A note at the top of the OSI license page states, \"The Intel Open Source License for CDSA/CSSM Implementation (BSD License with Export Notice) (Intel has ceased to use or recommend this license)\""
		self.licenseId = "Intel"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Intel", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:44Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/Intel"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Intel Open Source License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1996-2000 Intel Corporation\n		   <br />\n\nAll rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u2022</var>\n		  Redistributions of source code must retain the above copyright notice, this list of\n			 conditions and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u2022</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of\n			 conditions and the following disclaimer in the documentation and/or other materials\n			 provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u2022</var>\n		  Neither the name of the Intel Corporation nor the names of its contributors may be used to\n			 endorse or promote products derived from this software without specific prior written\n			 permission.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE INTEL OR CONTRIBUTORS BE LIABLE\n		 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n		 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>EXPORT LAWS: THIS LICENSE ADDS NO RESTRICTIONS TO THE EXPORT LAWS OF YOUR JURISDICTION. It is\n		 licensee&apos;s responsibility to comply with any export regulations applicable in licensee&apos;s\n		 jurisdiction. Under CURRENT (May 2000) U.S. export regulations this software is eligible for export\n		 from the U.S. and can be downloaded by or otherwise exported or reexported worldwide EXCEPT to U.S.\n		 embargoed destinations which include Cuba, Iraq, Libya, North Korea, Iran, Syria, Sudan, Afghanistan\n		 and any other country to which the U.S. has embargoed goods and services.</p>\n\n	"
		self.python_name = "Intel"

	def __str__(self):
		return json.dumps(self.__dict__)


class Newsletr:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1989--2004 by Hunter Goatley.\n\nPermission is granted to anyone to use this software for any purpose  on any computer system, and to redistribute it freely, subject to the  following restrictions:\n\n1. This software is distributed in the hope that it will be useful,  but WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n\n2. Altered versions must be plainly marked as such, and must not be  misrepresented as being the original software.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1989--2004 by Hunter Goatley.  \";match=\".{0,5000}\">>\n\nPermission is granted to anyone to use this software for any purpose on any computer system, and to redistribute it freely, subject to the following restrictions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Altered versions must be plainly marked as such, and must not be misrepresented as being the original software."
		self.name = "Newsletr License"
		self.licenseId = "Newsletr"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Newsletr", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:09Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Newsletr"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1989--2004 by Hunter Goatley.</p>\n\n	  </div>\n\n	  <p>Permission is granted to anyone to use this software for any purpose on any computer system, and to\n		 redistribute it freely, subject to the following restrictions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;\n			 without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Altered versions must be plainly marked as such, and must not be misrepresented as being the\n			 original software.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "Newsletr"

	def __str__(self):
		return json.dumps(self.__dict__)


class FergusonTwofish:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = " The author hereby grants a perpetual license to everybody to \n use this code for any purpose as long as the copyright message is included \n in the source code of this or any derived work. \n  \n Yes, this means that you, your company, your club, and anyone else \n can use this code anywhere you want. You can change it and distribute it \n under the GPL, include it in your commercial product without releasing \n the source code, put it on the web, etc.  \n The only thing you cannot do is remove my copyright message,  \n or distribute any source code based on this implementation that does not  \n include my copyright message.  \n  \n I appreciate a mention in the documentation or credits,  \n but I understand if that is difficult to do. \n I also appreciate it if you tell me where and why you used my code. \n"
		self.standardLicenseTemplate = "The author hereby grants a perpetual license to everybody to use this code for any purpose as long as the copyright message is included in the source code of this or any derived work.\n\nYes, this means that you, your company, your club, and anyone else can use this code anywhere you want. You can change it and distribute it under the GPL, include it in your commercial product without releasing the source code, put it on the web, etc.\n\nThe only thing you cannot do is remove my copyright message, or distribute any source code based on this implementation that does not include my copyright message.\n\nI appreciate a mention in the documentation or credits, but I understand if that is difficult to do. I also appreciate it if you tell me where and why you used my code.\n\n"
		self.name = "Ferguson Twofish License"
		self.licenseId = "Ferguson-Twofish"
		self.crossRef = [{"match": "False", "url": "https://github.com/wernerd/ZRTPCPP/blob/6b3cd8e6783642292bad0c21e3e5e5ce45ff3e03/cryptcommon/twofish.c#L113C3-L127", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:47Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/wernerd/ZRTPCPP/blob/6b3cd8e6783642292bad0c21e3e5e5ce45ff3e03/cryptcommon/twofish.c#L113C3-L127"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			The author hereby grants a perpetual license to everybody to\n			use this code for any purpose as long as the copyright message is included\n			in the source code of this or any derived work.\n		 </p>\n\n		 <p>\n			Yes, this means that you, your company, your club, and anyone else\n			can use this code anywhere you want. You can change it and distribute it\n			under the GPL, include it in your commercial product without releasing\n			the source code, put it on the web, etc.<br />\n\n			The only thing you cannot do is remove my copyright message,\n			or distribute any source code based on this implementation that does not\n			include my copyright message.\n		 </p>\n\n		 <p>\n			I appreciate a mention in the documentation or credits,\n			but I understand if that is difficult to do.\n			I also appreciate it if you tell me where and why you used my code.\n		 </p>\n\n	  "
		self.python_name = "FergusonTwofish"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL30withautoconfexception:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.licenseText = "insert GPL v3 text here\n\nAUTOCONF CONFIGURE SCRIPT EXCEPTION\n\nVersion 3.0, 18 August 2009\n\nCopyright \u00a9 2009 Free Software Foundation, Inc. >http://fsf.org/<\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nThis Exception is an additional permission under section 7 of the GNU General Public License, version 3 (\"GPLv3\"). It applies to a given file that bears a notice placed by the copyright holder of the file stating that the file is governed by GPLv3 along with this Exception.\n\nThe purpose of this Exception is to allow distribution of Autoconf's typical output under terms of the recipient's choice (including proprietary).\n\n   0. Definitions.\n\n   \"Covered Code\" is the source or object code of a version of Autoconf that is a covered work under this License.\n\n   \"Normally Copied Code\" for a version of Autoconf means all parts of its Covered Code which that version can copy from its code (i.e., not from its input file) into its minimally verbose, non-debugging and non-tracing output.\n\n   \"Ineligible Code\" is Covered Code that is not Normally Copied Code.\n\n   1. Grant of Additional Permission.\n\n   You have permission to propagate output of Autoconf, even if such propagation would otherwise violate the terms of GPLv3. However, if by modifying Autoconf you cause any Ineligible Code of the version you received to become Normally Copied Code of your modified version, then you void this Exception for the resulting covered work. If you convey that resulting covered work, you must remove this Exception in accordance with the second paragraph of Section 7 of GPLv3.\n\n   2. No Weakening of Autoconf Copyleft.\n\n   The availability of this Exception does not imply any general presumption that third-party software is unaffected by the copyleft requirements of the license of Autoconf.\n\n   "
		self.standardLicenseTemplate = "insert GPL v3 text here\n\nAUTOCONF CONFIGURE SCRIPT EXCEPTION\n\nVersion 3.0, 18 August 2009\n\nCopyright \u00a9 2009 Free Software Foundation, Inc. >http://fsf.org/<\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nThis Exception is an additional permission under section 7 of the GNU General Public License, version 3 (\"GPLv3\"). It applies to a given file that bears a notice placed by the copyright holder of the file stating that the file is governed by GPLv3 along with this Exception.\n\nThe purpose of this Exception is to allow distribution of Autoconf's typical output under terms of the recipient's choice (including proprietary).\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n   \"Covered Code\" is the source or object code of a version of Autoconf that is a covered work under this License.\n\n   \"Normally Copied Code\" for a version of Autoconf means all parts of its Covered Code which that version can copy from its code (i.e., not from its input file) into its minimally verbose, non-debugging and non-tracing output.\n\n   \"Ineligible Code\" is Covered Code that is not Normally Copied Code.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Grant of Additional Permission.\n\n   You have permission to propagate output of Autoconf, even if such propagation would otherwise violate the terms of GPLv3. However, if by modifying Autoconf you cause any Ineligible Code of the version you received to become Normally Copied Code of your modified version, then you void this Exception for the resulting covered work. If you convey that resulting covered work, you must remove this Exception in accordance with the second paragraph of Section 7 of GPLv3.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> No Weakening of Autoconf Copyleft.\n\n   The availability of this Exception does not imply any general presumption that third-party software is unaffected by the copyleft requirements of the license of Autoconf.\n\n   "
		self.name = "GNU General Public License v3.0 w/Autoconf exception"
		self.licenseComments = "DEPRECATED: Use license expression including main license, \"WITH\" operator, and identifier: Autoconf-exception-3.0"
		self.licenseId = "GPL-3.0-with-autoconf-exception"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/autoconf-exception-3.0.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:28Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/autoconf-exception-3.0.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\t	 <p>insert GPL v3 text here</p>\n\n\t	 <p>AUTOCONF CONFIGURE SCRIPT EXCEPTION</p>\n\n\t	 <p>Version 3.0, 18 August 2009</p>\n\n\t	 <p>Copyright \u00a9 2009 Free Software Foundation, Inc. &gt;http://fsf.org/&lt;</p>\n\n\t	 <p>Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.</p>\n\n\t	 <p>This Exception is an additional permission under section 7 of the GNU General Public License, version 3 (&quot;GPLv3&quot;). It applies to a given file that bears a notice placed by the copyright holder of the file stating that the file is governed by GPLv3 along with this Exception.</p>\n\n\t	 <p>The purpose of this Exception is to allow distribution of Autoconf&apos;s typical output under terms of the recipient&apos;s choice (including proprietary).</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n\t\t\t		 <var class=\"replaceable-license-text\"> 0.</var>\n\t\t\t Definitions.\n\t\t\t<p>&quot;Covered Code&quot; is the source or object code of a version of Autoconf that is a covered work under this License.</p>\n\n\t\t\t		 <p>&quot;Normally Copied Code&quot; for a version of Autoconf means all parts of its Covered Code which that version can copy from its code (i.e., not from its input file) into its minimally verbose, non-debugging and non-tracing output.</p>\n\n\t\t\t		 <p>&quot;Ineligible Code&quot; is Covered Code that is not Normally Copied Code.</p>\n\n\t\t	   </li>\n\t\t	   \n<li>\n\t\t\t		 <var class=\"replaceable-license-text\"> 1.</var>\n\t\t\t Grant of Additional Permission.\n\t\t\t<p>You have permission to propagate output of Autoconf, even if such propagation would otherwise violate the terms of GPLv3. However, if by modifying Autoconf you cause any Ineligible Code of the version you received to become Normally Copied Code of your modified version, then you void this Exception for the resulting covered work. If you convey that resulting covered work, you must remove this Exception in accordance with the second paragraph of Section 7 of GPLv3.</p>\n\n\t\t	   </li>\n\t\t	   \n<li>\n\t\t\t		 <var class=\"replaceable-license-text\"> 2.</var>\n\t\t\tNo Weakening of Autoconf Copyleft.\n\t\t\t<p>The availability of this Exception does not imply any general presumption that third-party software is unaffected by the copyleft requirements of the license of Autoconf.</p>\n\n\t\t	   </li>\n\t	 \n</ul>\n	"
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "GPL30withautoconfexception"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The OpenLDAP Public License\nVersion 2.0, 7 June 1999\n\nCopyright 1999, The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain copyright statements and notices. Redistributions must also contain a copy of this document.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. The name \"OpenLDAP\" must not be used to endorse or promote products derived from this Software without prior written permission of the OpenLDAP Foundation. For written permission, please contact foundation@openldap.org.\n\n4. Products derived from this Software may not be called \"OpenLDAP\" nor may \"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP Foundation. OpenLDAP is a registered trademark of the OpenLDAP Foundation.\n\n5. Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 2.0, 7 June 1999\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 1999, The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain copyright statements and notices. Redistributions must also contain a copy of this document.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The name \"OpenLDAP\" must not be used to endorse or promote products derived from this Software without prior written permission of the OpenLDAP Foundation. For written permission, please contact foundation@openldap.org.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Products derived from this Software may not be called \"OpenLDAP\" nor may \"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP Foundation. OpenLDAP is a registered trademark of the OpenLDAP Foundation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Open LDAP Public License v2.0 (or possibly 2.0A and 2.0B)"
		self.licenseComments = "This license was released 7 June 1999."
		self.licenseId = "OLDAP-2.0"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=cbf50f4e1185a21abd4c0a54d3f4341fe28f36ea", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:57Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=cbf50f4e1185a21abd4c0a54d3f4341fe28f36ea"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 2.0, 7 June 1999\n	  </p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1999, The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use of this software and associated documentation (&quot;Software&quot;), with or without\n		 modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain copyright statements and notices. Redistributions must\n			 also contain a copy of this document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  The name &quot;OpenLDAP&quot; must not be used to endorse or promote products derived from this Software\n			 without prior written permission of the OpenLDAP Foundation. For written permission, please\n			 contact foundation@openldap.org.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Products derived from this Software may not be called &quot;OpenLDAP&quot; nor may &quot;OpenLDAP&quot; appear in\n			 their names without prior written permission of the OpenLDAP Foundation. OpenLDAP is a\n			 registered trademark of the OpenLDAP Foundation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESSED OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS\n		 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n		 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n		 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n		 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\n		 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "OLDAP20"

	def __str__(self):
		return json.dumps(self.__dict__)


class SchemeReport:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "We intend this report to belong to the entire Scheme community, and so we grant permission \nto copy it in whole or in part without fee. In particular, we encourage implementors of Scheme\nto use this report as a starting point for manuals and other documentation, modifying it as necessary.\n"
		self.standardLicenseTemplate = "We intend this report to belong to the entire Scheme community, and so we grant permission to copy it in whole or in part without fee. In particular, we encourage implementors of Scheme to use this report as a starting point for manuals and other documentation, modifying it as necessary.\n\n"
		self.name = "Scheme Language Report License"
		self.licenseComments = "Code derived from the document \"Revised Report on Scheme\" and subsequent revisions, is distributed under the following license:\n\n"
		self.licenseId = "SchemeReport"
		self.crossRef = []
		self.seeAlso = []
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	 \n	  <p>We intend this report to belong to the entire Scheme community,\n		and so we grant permission to copy it in whole or in part without fee.\n		In particular, we encourage implementors of Scheme to use this report\n		as a starting point for manuals and other documentation, modifying it as necessary.\n	  </p>\n\n	"
		self.python_name = "SchemeReport"

	def __str__(self):
		return json.dumps(self.__dict__)


class Sendmail:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "SENDMAIL LICENSE\n\nThe following license terms and conditions apply, unless a redistribution agreement or other license is obtained from Sendmail, Inc., 6475 Christie Ave, Third Floor, Emeryville, CA 94608, USA, or by electronic mail at license@sendmail.com.\n\nLicense Terms:\n\nUse, Modification and Redistribution (including distribution of any modified or derived work) in source and binary forms is permitted only if each of the following conditions is met:\n\n1. Redistributions qualify as \"freeware\" or \"Open Source Software\" under one of the following terms:\n\n	 (a) Redistributions are made at no charge beyond the reasonable cost of materials and delivery.\n\n	 (b) Redistributions are accompanied by a copy of the Source Code or by an irrevocable offer to provide a copy of the Source Code for up to three years at the cost of materials and delivery. Such redistributions must allow further use, modification, and redistribution of the Source Code under substantially the same terms as this license. For the purposes of redistribution \"Source Code\" means the complete compilable and linkable source code of sendmail including all modifications.\n\n2. Redistributions of Source Code must retain the copyright notices as they appear in each Source Code file, these license terms, and the disclaimer/limitation of liability set forth as paragraph 6 below.\n\n3. Redistributions in binary form must reproduce the Copyright Notice, these license terms, and the disclaimer/limitation of liability set forth as paragraph 6 below, in the documentation and/or other materials provided with the distribution. For the purposes of binary distribution the \"Copyright Notice\" refers to the following language:\n\"Copyright (c) 1998-2010 Sendmail, Inc. All rights reserved.\"\n\n4. Neither the name of Sendmail, Inc. nor the University of California nor names of their contributors may be used to endorse or promote products derived from this software without specific prior written permission. The name \"sendmail\" is a trademark of Sendmail, Inc.\n\n5. All redistributions must comply with the conditions imposed by the University of California on certain embedded code, which copyright Notice and conditions for redistribution are as follows:\n\n	 (a) Copyright (c) 1988, 1993 The Regents of the University of California. All rights reserved.\n\n	 (b) Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n		  (i) Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n		  (ii) Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n		  (iii) Neither the name of the University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\n6. Disclaimer/Limitation of Liability: THIS SOFTWARE IS PROVIDED BY SENDMAIL, INC. AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SENDMAIL, INC., THE REGENTS OF THE UNIVERSITY OF CALIFORNIA OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n$Revision: 8.16 $, Last updated $Date: 2010/10/25 23:11:19 $, Document 139848.1\n"
		self.standardLicenseTemplate = "<<beginOptional>>SENDMAIL LICENSE\n\n<<endOptional>><<beginOptional>> The following license terms and conditions apply, unless a redistribution agreement or other license is obtained from Sendmail, Inc., 6475 Christie Ave, Third Floor, Emeryville, CA 94608, USA, or by electronic mail at license@sendmail.com.\n\nLicense Terms:\n\n<<endOptional>>\n\nUse, Modification and Redistribution (including distribution of any modified or derived work) in source and binary forms is permitted only if each of the following conditions is met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions qualify as \"freeware\" or \"Open Source Software\" under one of the following terms:\n\n   <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Redistributions are made at no charge beyond the reasonable cost of materials and delivery.\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Redistributions are accompanied by a copy of the Source Code or by an irrevocable offer to provide a copy of the Source Code for up to three years at the cost of materials and delivery. Such redistributions must allow further use, modification, and redistribution of the Source Code under substantially the same terms as this license. For the purposes of redistribution \"Source Code\" means the complete compilable and linkable source code of sendmail including all modifications.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions of Source Code must retain the copyright notices as they appear in each Source Code file, these license terms, and the disclaimer/limitation of liability set forth as paragraph 6 below.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the Copyright Notice, these license terms, and the disclaimer/limitation of liability set forth as paragraph 6 below, in the documentation and/or other materials provided with the distribution. For the purposes of binary distribution the \"Copyright Notice\" refers to the following language:\n\n   \"Copyright (c) 1998-2010 Sendmail, Inc. All rights reserved.\"\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Neither the name of Sendmail, Inc. nor the University of California nor names of their contributors may be used to endorse or promote products derived from this software without specific prior written permission. The name \"sendmail\" is a trademark of Sendmail, Inc.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> All redistributions must comply with the conditions imposed by the University of California on certain embedded code, which copyright Notice and conditions for redistribution are as follows:\n\n   <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Copyright (c) 1988, 1993 The Regents of the University of California. All rights reserved.\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"(i)\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"(ii)\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"(iii)\";match=\".{0,20}\">> Neither the name of the University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Disclaimer/Limitation of Liability: THIS SOFTWARE IS PROVIDED BY SENDMAIL, INC. AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SENDMAIL, INC., THE REGENTS OF THE UNIVERSITY OF CALIFORNIA OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> $Revision: 8.16 $, Last updated $Date: 2010/10/25 23:11:19 $, Document 139848.1\n\n<<endOptional>>"
		self.name = "Sendmail License"
		self.licenseId = "Sendmail"
		self.crossRef = [{"match": "N/A", "url": "https://web.archive.org/web/20160322142305/https://www.sendmail.com/pdfs/open_source/sendmail_license.pdf", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:17:37Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://www.sendmail.com/pdfs/open_source/sendmail_license.pdf", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:37Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.sendmail.com/pdfs/open_source/sendmail_license.pdf", "https://web.archive.org/web/20160322142305/https://www.sendmail.com/pdfs/open_source/sendmail_license.pdf"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>SENDMAIL LICENSE</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>The following license terms and conditions apply, unless a redistribution agreement or other license is\n		 obtained from Sendmail, Inc., 6475 Christie Ave, Third Floor, Emeryville, CA 94608, USA, or by\n		 electronic mail at license@sendmail.com.</p>\n\n		 <p>License Terms:</p>\n\n	  </div>\n\n	  <p>Use, Modification and Redistribution (including distribution of any modified or derived work) in source\n		 and binary forms is permitted only if each of the following conditions is met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions qualify as &quot;freeware&quot; or &quot;Open Source Software&quot; under one of the following terms:\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (a)</var>\n		  Redistributions are made at no charge beyond the reasonable cost of materials and delivery.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (b)</var>\n		  Redistributions are accompanied by a copy of the Source Code or by an irrevocable offer to\n			 provide a copy of the Source Code for up to three years at the cost of materials and delivery.\n			 Such redistributions must allow further use, modification, and redistribution of the Source\n			 Code under substantially the same terms as this license. For the purposes of redistribution\n			 &quot;Source Code&quot; means the complete compilable and linkable source code of sendmail including all\n			 modifications.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions of Source Code must retain the copyright notices as they appear in each Source\n			 Code file, these license terms, and the disclaimer/limitation of liability set forth as\n			 paragraph 6 below.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Redistributions in binary form must reproduce the Copyright Notice, these license terms, and the\n			 disclaimer/limitation of liability set forth as paragraph 6 below, in the documentation and/or\n			 other materials provided with the distribution. For the purposes of binary distribution the\n			 &quot;Copyright Notice&quot; refers to the following language:\n			<br />\n\n   &quot;Copyright (c) 1998-2010 Sendmail, Inc. All rights reserved.&quot;\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Neither the name of Sendmail, Inc. nor the University of California nor names of their\n			 contributors may be used to endorse or promote products derived from this software without\n			 specific prior written permission. The name &quot;sendmail&quot; is a trademark of Sendmail, Inc.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  All redistributions must comply with the conditions imposed by the University of California on\n			 certain embedded code, which copyright Notice and conditions for redistribution are as\n			 follows:\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (a)</var>\n		  Copyright (c) 1988, 1993 The Regents of the University of California. All rights reserved.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (b)</var>\n		  Redistribution and use in source and binary forms, with or without modification, are permitted\n			 provided that the following conditions are met:\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (i)</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (ii)</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (iii)</var>\n		  Neither the name of the University nor the names of its contributors may be used to endorse or\n			 promote products derived from this software without specific prior written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Disclaimer/Limitation of Liability: THIS SOFTWARE IS PROVIDED BY SENDMAIL, INC. AND CONTRIBUTORS\n			 &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\n			 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT\n			 SHALL SENDMAIL, INC., THE REGENTS OF THE UNIVERSITY OF CALIFORNIA OR CONTRIBUTORS BE LIABLE\n			 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\n			 BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR\n			 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n			 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT\n			 OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>$Revision: 8.16 $, Last updated $Date: 2010/10/25 23:11:19 $, Document 139848.1</p>\n\n	  </div>\n	"
		self.python_name = "Sendmail"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCPDDC:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "\nThe person or persons who have associated work with this document (the \"Dedicator\" or \"Certifier\") hereby either (a) certifies that, to the best of his knowledge, the work of authorship identified is in the public domain of the country from which the work is published, or (b) hereby dedicates whatever copyright the dedicators holds in the work of authorship identified below (the \"Work\") to the public domain. A certifier, moreover, dedicates any copyright interest he may have in the associated work, and for these purposes, is described as a \"dedicator\" below.\n\nA certifier has taken reasonable steps to verify the copyright status of this work. Certifier recognizes that his good faith efforts may not shield him from liability if in fact the work certified is not in the public domain.\n\nDedicator makes this dedication for the benefit of the public at large and to the detriment of the Dedicator's heirs and successors. Dedicator intends this dedication to be an overt act of relinquishment in perpetuity of all present and future rights under copyright law, whether vested or contingent, in the Work. Dedicator understands that such relinquishment of all rights includes the relinquishment of all rights to enforce (by lawsuit or otherwise) those copyrights in the Work.\n\nDedicator recognizes that, once placed in the public domain, the Work may be freely reproduced, distributed, transmitted, used, modified, built upon, or otherwise exploited by anyone for any purpose, commercial or non-commercial, and in any way, including by methods that have not yet been invented or conceived.\n"
		self.standardLicenseTemplate = "The person or persons who have associated work with this document (the \"Dedicator\" or \"Certifier\") hereby either (a) certifies that, to the best of his knowledge, the work of authorship identified is in the public domain of the country from which the work is published, or (b) hereby dedicates whatever copyright the dedicators holds in the work of authorship identified below (the \"Work\") to the public domain. A certifier, moreover, dedicates any copyright interest he may have in the associated work, and for these purposes, is described as a \"dedicator\" below.\n\nA certifier has taken reasonable steps to verify the copyright status of this work. Certifier recognizes that his good faith efforts may not shield him from liability if in fact the work certified is not in the public domain.\n\nDedicator makes this dedication for the benefit of the public at large and to the detriment of the Dedicator's heirs and successors. Dedicator intends this dedication to be an overt act of relinquishment in perpetuity of all present and future rights under copyright law, whether vested or contingent, in the Work. Dedicator understands that such relinquishment of all rights includes the relinquishment of all rights to enforce (by lawsuit or otherwise) those copyrights in the Work.\n\nDedicator recognizes that, once placed in the public domain, the Work may be freely reproduced, distributed, transmitted, used, modified, built upon, or otherwise exploited by anyone for any purpose, commercial or non-commercial, and in any way, including by methods that have not yet been invented or conceived.\n\n"
		self.name = "Creative Commons Public Domain Dedication and Certification"
		self.licenseId = "CC-PDDC"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/publicdomain/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:22Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/publicdomain/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<p>\nThe person or persons who have associated work with this document\n(the &quot;Dedicator&quot; or &quot;Certifier&quot;) hereby either (a) certifies that, to the best\nof his knowledge, the work of authorship identified is in the public domain of\nthe country from which the work is published, or (b) hereby dedicates whatever\ncopyright the dedicators holds in the work of authorship identified below\n(the &quot;Work&quot;) to the public domain. A certifier, moreover, dedicates any\ncopyright interest he may have in the associated work, and for these purposes,\nis described as a &quot;dedicator&quot; below.</p>\n\n			<p>A certifier has taken reasonable steps to verify the copyright status of this\nwork. Certifier recognizes that his good faith efforts may not shield him from\nliability if in fact the work certified is not in the public domain.</p>\n\n			<p>Dedicator makes this dedication for the benefit of the public at large and to\nthe detriment of the Dedicator&apos;s heirs and successors. Dedicator intends this\ndedication to be an overt act of relinquishment in perpetuity of all present\nand future rights under copyright law, whether vested or contingent, in the\nWork. Dedicator understands that such relinquishment of all rights includes the\nrelinquishment of all rights to enforce (by lawsuit or otherwise) those\ncopyrights in the Work.</p>\n\n			<p>\nDedicator recognizes that, once placed in the public domain, the Work may be\nfreely reproduced, distributed, transmitted, used, modified, built upon, or\notherwise exploited by anyone for any purpose, commercial or non-commercial,\nand in any way, including by methods that have not yet been invented or\nconceived.</p>\n\n		"
		self.python_name = "CCPDDC"

	def __str__(self):
		return json.dumps(self.__dict__)


class NGPL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "NETHACK GENERAL PUBLIC LICENSE\n(Copyright 1989 M. Stephenson)\n(Based on the BISON general public license, copyright 1988 Richard M. Stallman)\nEveryone is permitted to copy and distribute verbatim copies of this license, but changing it is not allowed. You can also use this wording to make the terms for other programs.\nThe license agreements of most software companies keep you at the mercy of those companies. By contrast, our general public license is intended to give everyone the right to share NetHack. To make sure that you get the rights we want you to have, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. Hence this license agreement.\nSpecifically, we want to make sure that you have the right to give away copies of NetHack, that you receive source code or else can get it if you want it, that you can change NetHack or use pieces of it in new free programs, and that you know you can do these things.\nTo make sure that everyone has such rights, we have to forbid you to deprive anyone else of these rights. For example, if you distribute copies of NetHack, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must tell them their rights.\nAlso, for our own protection, we must make certain that everyone finds out that there is no warranty for NetHack. If NetHack is modified by someone else and passed on, we want its recipients to know that what they have is not what we distributed.\nTherefore we (Mike Stephenson and other holders of NetHack copyrights) make the following terms which say what you must do to be allowed to distribute or change NetHack.\nCOPYING POLICIES\n   1. You may copy and distribute verbatim copies of NetHack source code as you receive it, in any medium, provided that you keep intact the notices on all files that refer to copyrights, to this License Agreement, and to the absence of any warranty; and give any other recipients of the NetHack program a copy of this License Agreement along with the program.\n   2. You may modify your copy or copies of NetHack or any portion of it, and copy and distribute such modifications under the terms of Paragraph 1 above (including distributing this License Agreement), provided that you also do the following:\n	  a) cause the modified files to carry prominent notices stating that you changed the files and the date of any change; and\n	  b) cause the whole of any work that you distribute or publish, that in whole or in part contains or is a derivative of NetHack or any part thereof, to be licensed at no charge to all third parties on terms identical to those contained in this License Agreement (except that you may choose to grant more extensive warranty protection to some or all third parties, at your option)\n	  c) You may charge a distribution fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n   3. You may copy and distribute NetHack (or a portion or derivative of it, under Paragraph 2) in object code or executable form under the terms of Paragraphs 1 and 2 above provided that you also do one of the following:\n	  a) accompany it with the complete machine-readable source code, which must be distributed under the terms of Paragraphs 1 and 2 above; or,\n	  b) accompany it with full information as to how to obtain the complete machine-readable source code from an appropriate archive site. (This alternative is allowed only for noncommercial distribution.)\n   For these purposes, complete source code means either the full source distribution as originally released over Usenet or updated copies of the files in this distribution used to create the object code or executable.\n   4. You may not copy, sublicense, distribute or transfer NetHack except as expressly provided under this License Agreement. Any attempt otherwise to copy, sublicense, distribute or transfer NetHack is void and your rights to use the program under this License agreement shall be automatically terminated. However, parties who have received computer software programs from you with this License Agreement will not have their licenses terminated so long as such parties remain in full compliance.\nStated plainly: You are permitted to modify NetHack, or otherwise use parts of NetHack, provided that you comply with the conditions specified above; in particular, your modified NetHack or program containing parts of NetHack must remain freely available as provided in this License Agreement. In other words, go ahead and share NetHack, but don't try to stop anyone else from sharing it farther.\n"
		self.standardLicenseTemplate = "<<beginOptional>>NETHACK GENERAL PUBLIC LICENSE\n\n<<endOptional>> <<var;name=\"copyright\";original=\"(Copyright 1989 M. Stephenson)  \";match=\".{0,5000}\">>\n\n(Based on the BISON general public license, copyright 1988 Richard M. Stallman)\n\nEveryone is permitted to copy and distribute verbatim copies of this license, but changing it is not allowed. You can also use this wording to make the terms for other programs.\n\nThe license agreements of most software companies keep you at the mercy of those companies. By contrast, our general public license is intended to give everyone the right to share NetHack. To make sure that you get the rights we want you to have, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. Hence this license agreement.\n\nSpecifically, we want to make sure that you have the right to give away copies of NetHack, that you receive source code or else can get it if you want it, that you can change NetHack or use pieces of it in new free programs, and that you know you can do these things.\n\nTo make sure that everyone has such rights, we have to forbid you to deprive anyone else of these rights. For example, if you distribute copies of NetHack, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must tell them their rights.\n\nAlso, for our own protection, we must make certain that everyone finds out that there is no warranty for NetHack. If NetHack is modified by someone else and passed on, we want its recipients to know that what they have is not what we distributed.\n\nTherefore we (Mike Stephenson and other holders of NetHack copyrights) make the following terms which say what you must do to be allowed to distribute or change NetHack.\n\nCOPYING POLICIES\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of NetHack source code as you receive it, in any medium, provided that you keep intact the notices on all files that refer to copyrights, to this License Agreement, and to the absence of any warranty; and give any other recipients of the NetHack program a copy of this License Agreement along with the program.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of NetHack or any portion of it, and copy and distribute such modifications under the terms of Paragraph 1 above (including distributing this License Agreement), provided that you also do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> cause the modified files to carry prominent notices stating that you changed the files and the date of any change; and\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> cause the whole of any work that you distribute or publish, that in whole or in part contains or is a derivative of NetHack or any part thereof, to be licensed at no charge to all third parties on terms identical to those contained in this License Agreement (except that you may choose to grant more extensive warranty protection to some or all third parties, at your option)\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You may charge a distribution fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may copy and distribute NetHack (or a portion or derivative of it, under Paragraph 2) in object code or executable form under the terms of Paragraphs 1 and 2 above provided that you also do one of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> accompany it with the complete machine-readable source code, which must be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany it with full information as to how to obtain the complete machine-readable source code from an appropriate archive site. (This alternative is allowed only for noncommercial distribution.)\n\n   For these purposes, complete source code means either the full source distribution as originally released over Usenet or updated copies of the files in this distribution used to create the object code or executable.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may not copy, sublicense, distribute or transfer NetHack except as expressly provided under this License Agreement. Any attempt otherwise to copy, sublicense, distribute or transfer NetHack is void and your rights to use the program under this License agreement shall be automatically terminated. However, parties who have received computer software programs from you with this License Agreement will not have their licenses terminated so long as such parties remain in full compliance.\n\nStated plainly: You are permitted to modify NetHack, or otherwise use parts of NetHack, provided that you comply with the conditions specified above; in particular, your modified NetHack or program containing parts of NetHack must remain freely available as provided in this License Agreement. In other words, go ahead and share NetHack, but don't try to stop anyone else from sharing it farther.\n\n"
		self.name = "Nethack General Public License"
		self.licenseId = "NGPL"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/NGPL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:34Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/NGPL"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>NETHACK GENERAL PUBLIC LICENSE</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>(Copyright 1989 M. Stephenson)</p>\n\n	  </div>\n\n	  <p>(Based on the BISON general public license, copyright 1988 Richard M. Stallman)</p>\n\n	  <p>Everyone is permitted to copy and distribute verbatim copies of this license, but changing it is not\n		 allowed. You can also use this wording to make the terms for other programs.</p>\n\n	  <p>The license agreements of most software companies keep you at the mercy of those companies. By contrast,\n		 our general public license is intended to give everyone the right to share NetHack. To make sure that\n		 you get the rights we want you to have, we need to make restrictions that forbid anyone to deny you\n		 these rights or to ask you to surrender the rights. Hence this license agreement.</p>\n\n	  <p>Specifically, we want to make sure that you have the right to give away copies of NetHack, that you\n		 receive source code or else can get it if you want it, that you can change NetHack or use pieces of it\n		 in new free programs, and that you know you can do these things.</p>\n\n	  <p>To make sure that everyone has such rights, we have to forbid you to deprive anyone else of these rights.\n		 For example, if you distribute copies of NetHack, you must give the recipients all the rights that you\n		 have. You must make sure that they, too, receive or can get the source code. And you must tell them\n		 their rights.</p>\n\n	  <p>Also, for our own protection, we must make certain that everyone finds out that there is no warranty for\n		 NetHack. If NetHack is modified by someone else and passed on, we want its recipients to know that\n		 what they have is not what we distributed.</p>\n\n	  <p>Therefore we (Mike Stephenson and other holders of NetHack copyrights) make the following terms which say\n		 what you must do to be allowed to distribute or change NetHack.</p>\n\n	  <p>COPYING POLICIES</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may copy and distribute verbatim copies of NetHack source code as you receive it, in any medium,\n			 provided that you keep intact the notices on all files that refer to copyrights, to this License\n			 Agreement, and to the absence of any warranty; and give any other recipients of the NetHack program a\n			 copy of this License Agreement along with the program.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may modify your copy or copies of NetHack or any portion of it, and copy and distribute such\n			modifications under the terms of Paragraph 1 above (including distributing this License Agreement),\n			provided that you also do the following:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			  cause the modified files to carry prominent notices stating that you changed the files and\n				 the date of any change; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			  cause the whole of any work that you distribute or publish, that in whole or in part contains\n				 or is a derivative of NetHack or any part thereof, to be licensed at no charge to all\n				 third parties on terms identical to those contained in this License Agreement (except that\n				 you may choose to grant more extensive warranty protection to some or all third parties,\n				 at your option)\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			  You may charge a distribution fee for the physical act of transferring a copy, and you may at\n				 your option offer warranty protection in exchange for a fee.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may copy and distribute NetHack (or a portion or derivative of it, under Paragraph 2) in\n			 object code or executable form under the terms of Paragraphs 1 and 2 above provided that\n			 you also do one of the following:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			  accompany it with the complete machine-readable source code, which must be distributed under\n				 the terms of Paragraphs 1 and 2 above; or,\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			  accompany it with full information as to how to obtain the complete machine-readable source\n				 code from an appropriate archive site. (This alternative is allowed only for noncommercial\n				 distribution.)\n			</li>\n		   \n</ul>\n		   <p>For these purposes, complete source code means either the full source distribution as originally released\n			  over Usenet or updated copies of the files in this distribution used to create the object code or\n			  executable.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may not copy, sublicense, distribute or transfer NetHack except as expressly provided under this\n			 License Agreement. Any attempt otherwise to copy, sublicense, distribute or transfer NetHack is void\n			 and your rights to use the program under this License agreement shall be automatically terminated.\n			 However, parties who have received computer software programs from you with this License Agreement\n			 will not have their licenses terminated so long as such parties remain in full compliance.\n		</li>\n	  \n</ul>\n	  <p>Stated plainly: You are permitted to modify NetHack, or otherwise use parts of NetHack, provided\n		 that you comply with the conditions specified above; in particular, your modified NetHack or\n		 program containing parts of NetHack must remain freely available as provided in this License\n		 Agreement. In other words, go ahead and share NetHack, but don&apos;t try to stop anyone else\n		 from sharing it farther.\n	  </p>\n\n	"
		self.python_name = "NGPL"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL12noinvariantsonly:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU Free Documentation License\nVersion 1.2, November 2002\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\nThe Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n	 H. Include an unaltered copy of this License.\n	 I. Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n	 O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\n with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.2, November 2002\n\n<<endOptional>>\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   A section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\n   The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n\n	  <<var;name=\"bullet\";original=\"O.\";match=\".{0,20}\">> Preserve any Warranty Disclaimers.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\n   If a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.2 only - no invariants"
		self.licenseComments = "This license was released November 2002. The identifier GFDL-1.2-only-no-invariants should only be used when there are no Invariant Sections, Front-Cover Texts or Back-Cover Texts. See GFDL-1.2-only and GFDL-1.2-only-invariants for alternatives."
		self.licenseId = "GFDL-1.2-no-invariants-only"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/fdl-1.2.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:13Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/fdl-1.2.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.2, November 2002\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2000,2001,2002 Free Software Foundation,\n	  Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook, or\n		  other functional and useful document &quot;free&quot; in the sense of\n		  freedom: to assure everyone the effective freedom to copy and\n		  redistribute it, with or without modifying it, either commercially\n		  or noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work, in any medium,\n		  that contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. Such a\n		  notice grants a world-wide, royalty-free license, unlimited in\n		  duration, to use that work under the conditions stated herein.\n		  The &quot;Document&quot;, below, refers to any such manual or work.\n		  Any member of the public is a licensee, and is addressed as\n		  &quot;you&quot;. You accept the license if you copy, modify or distribute\n		  the work in a way requiring permission under copyright law.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter\n		  section of the Document that deals exclusively with the\n		  relationship of the publishers or authors of the Document to the\n		  Document&apos;s overall subject (or to related matters) and contains\n		  nothing that could fall directly within that overall subject.\n		  (Thus, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections,\n		  in the notice that says that the Document is released under\n		  this License. If a section does not fit the above definition of\n		  Secondary then it is not allowed to be designated as Invariant.\n		  The Document may contain zero Invariant Sections. If the Document\n		  does not identify any Invariant Sections then there are none.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are listed,\n		  as Front-Cover Texts or Back-Cover Texts, in the notice that says that\n		  the Document is released under this License. A Front-Cover Text may\n		  be at most 5 words, and a Back-Cover Text may be at most 25 words.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable\n		  copy, represented in a format whose specification is available\n		  to the general public, that is suitable for revising the document\n		  straightforwardly with generic text editors or (for images composed of\n		  pixels) generic paint programs or (for drawings) some widely available\n		  drawing editor, and that is suitable for input to text formatters or\n		  for automatic translation to a variety of formats suitable for input\n		  to text formatters. A copy made in an otherwise Transparent file\n		  format whose markup, or absence of markup, has been arranged to thwart\n		  or discourage subsequent modification by readers is not Transparent.\n		  An image format is not Transparent if used for any substantial\n		  amount of text. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include plain\n		  ASCII without markup, Texinfo input format, LaTeX input format,\n		  SGML or XML using a publicly available DTD, and standard-conforming\n		  simple HTML, PostScript or PDF designed for human modification.\n		  Examples of transparent image formats include PNG, XCF and JPG.\n		  Opaque formats include proprietary formats that can be read\n		  and edited only by proprietary word processors, SGML or XML\n		  for which the DTD and/or processing tools are not generally\n		  available, and the machine-generated HTML, PostScript or PDF\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n		<p>\n		  A section &quot;Entitled XYZ&quot; means a named subunit of the Document whose\n		  title either is precisely XYZ or contains XYZ in parentheses following\n		  text that translates XYZ in another language. (Here XYZ stands for\n		  a specific section name mentioned below, such as &quot;Acknowledgements&quot;,\n		  &quot;Dedications&quot;, &quot;Endorsements&quot;, or &quot;History&quot;.) To &quot;Preserve the\n		  Title&quot; of such a section when you modify the Document means that\n		  it remains a section &quot;Entitled XYZ&quot; according to this definition.\n		</p>\n\n		<p>\n		  The Document may include Warranty Disclaimers next to the notice\n		  which states that this License applies to the Document. These\n		  Warranty Disclaimers are considered to be included by reference\n		  in this License, but only as regards disclaiming warranties:\n		  any other implication that these Warranty Disclaimers may\n		  have is void and has no effect on the meaning of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies (or copies in media that commonly\n		  have printed covers) of the Document, numbering more than 100,\n		  and the Document&apos;s license notice requires Cover Texts, you must\n		  enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a computer-network location from which the general\n		  network-using public has access to download using public-standard\n		  network protocols a complete Transparent copy of the Document,\n		  free of added material. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or\n			entities responsible for authorship of the modifications in the\n			Modified Version, together with at least five of the principal\n			authors of the Document (all of its principal authors, if it has\n			fewer than five), unless they release you from this requirement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant Sections\n			and required Cover Texts given in the Document&apos;s license notice.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> H.</var>\n			Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section Entitled &quot;History&quot;, Preserve its Title, and\n			add to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section Entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			For any section Entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			Preserve the Title of the section, and preserve in the\n			section all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section Entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section to be Entitled &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> O.</var>\n			Preserve any Warranty Disclaimers.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section Entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released under\n		  this License, under the terms defined in section 4 above for modified\n		  versions, provided that you include in the combination all of the\n		  Invariant Sections of all of the original documents, unmodified,\n		  and list them all as Invariant Sections of your combined work in its\n		  license notice, and that you preserve all their Warranty Disclaimers.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections Entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  Entitled &quot;History&quot;; likewise combine any sections Entitled\n		  &quot;Acknowledgements&quot;, and any sections Entitled &quot;Dedications&quot;.\n		  You must delete all sections Entitled &quot;Endorsements&quot;.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other\n		  separate and independent documents or works, in or on a volume\n		  of a storage or distribution medium, is called an &quot;aggregate&quot;\n		  if the copyright resulting from the compilation is not used to\n		  limit the legal rights of the compilation&apos;s users beyond what\n		  the individual works permit. When the Document is included in an\n		  aggregate, this License does not apply to the other works in the\n		  aggregate which are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to\n		  these copies of the Document, then if the Document is less\n		  than one half of the entire aggregate, the Document&apos;s Cover\n		  Texts may be placed on covers that bracket the Document\n		  within the aggregate, or the electronic equivalent of covers\n		  if the Document is in electronic form. Otherwise they must\n		  appear on printed covers that bracket the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of section\n		  4. Replacing Invariant Sections with translations requires special\n		  permission from their copyright holders, but you may include\n		  translations of some or all Invariant Sections in addition to the\n		  original versions of these Invariant Sections. You may include a\n		  translation of this License, and all the license notices in the\n		  Document, and any Warranty Disclaimers, provided that you also\n		  include the original English version of this License and the original\n		  versions of those notices and disclaimers. In case of a disagreement\n		  between the translation and the original version of this License\n		  or a notice or disclaimer, the original version will prevail.\n		</p>\n\n		<p>\n		  If a section in the Document is Entitled\n		  &quot;Acknowledgements&quot;, &quot;Dedications&quot;, or &quot;History&quot;, the\n		  requirement (section 4) to Preserve its Title (section\n		  1) will typically require changing the actual title.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided for under this License. Any other\n		  attempt to copy, modify, sublicense or distribute the Document\n		  is void, and will automatically terminate your rights under\n		  this License. However, parties who have received copies, or\n		  rights, from you under this License will not have their licenses\n		  terminated so long as such parties remain in full compliance.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option\n		  of following the terms and conditions either of that specified\n		  version or of any later version that has been published (not as a\n		  draft) by the Free Software Foundation. If the Document does not\n		  specify a version number of this License, you may choose any version\n		  ever published (not as a draft) by the Free Software Foundation.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the GNU\n		Free Documentation License, Version 1.2 or any later version published\n		by the Free Software Foundation; with no Invariant Sections, no\n		Front-Cover Texts, and no Back-Cover Texts. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections, Front-Cover Texts and\n		Back-Cover Texts, replace the &quot;with...Texts.&quot; line with this:\n	  </p>\n\n	  <p>\n		with the Invariant Sections being LIST THEIR TITLES, with the\n		Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections without Cover Texts,\n		or some other combination of the three, merge\n		those two alternatives to suit the situation.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>.\n	  Permission is granted to copy, distribute and/or modify this\n	  document under the terms of the GNU Free Documentation License,\n	  Version 1.2; with no Invariant Sections, no Front-Cover Texts,\n	  and no Back-Cover Texts. A copy of the license is included\n	  in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL12noinvariantsonly"

	def __str__(self):
		return json.dumps(self.__dict__)


class Rdisc:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Rdisc (this program) was developed by Sun Microsystems, Inc. and is  provided for unrestricted use provided that this legend is included on  all tape media and as a part of the software program in whole or part.  Users may copy or modify Rdisc without charge, and they may freely  distribute it.\n\nRDISC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE  WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR  PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.\n\nRdisc is provided with no support and without any obligation on the  part of Sun Microsystems, Inc. to assist in its use, correction,  modification or enhancement.\n\nSUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE  INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY RDISC  OR ANY PART THEREOF.\n\nIn no event will Sun Microsystems, Inc. be liable for any lost revenue  or profits or other special, indirect and consequential damages, even  if Sun has been advised of the possibility of such damages.\n\nSun Microsystems, Inc.\n2550 Garcia Avenue\nMountain View, California 94043\n"
		self.standardLicenseTemplate = "Rdisc (this program) was developed by Sun Microsystems, Inc. and is provided for unrestricted use provided that this legend is included on all tape media and as a part of the software program in whole or part. Users may copy or modify Rdisc without charge, and they may freely distribute it.\n\nRDISC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.\n\nRdisc is provided with no support and without any obligation on the part of Sun Microsystems, Inc. to assist in its use, correction, modification or enhancement.\n\nSUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY RDISC OR ANY PART THEREOF.\n\nIn no event will Sun Microsystems, Inc. be liable for any lost revenue or profits or other special, indirect and consequential damages, even if Sun has been advised of the possibility of such damages.\n\nSun Microsystems, Inc.\n\n2550 Garcia Avenue\n\nMountain View, California 94043\n\n"
		self.name = "Rdisc License"
		self.licenseId = "Rdisc"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Rdisc_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:29Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Rdisc_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>Rdisc (this program) was developed by Sun Microsystems, Inc. and is provided for unrestricted use\n		 provided that this legend is included on all tape media and as a part of the software program in whole\n		 or part. Users may copy or modify Rdisc without charge, and they may freely distribute it.</p>\n\n	  <p>RDISC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE WARRANTIES OF DESIGN,\n		 MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR\n		 TRADE PRACTICE.</p>\n\n	  <p>Rdisc is provided with no support and without any obligation on the part of Sun Microsystems, Inc. to\n		 assist in its use, correction, modification or enhancement.</p>\n\n	  <p>SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE INFRINGEMENT OF COPYRIGHTS, TRADE\n		 SECRETS OR ANY PATENTS BY RDISC OR ANY PART THEREOF.</p>\n\n	  <p>In no event will Sun Microsystems, Inc. be liable for any lost revenue or profits or other special,\n		 indirect and consequential damages, even if Sun has been advised of the possibility of such\n		 damages.</p>\n\n	  <p>Sun Microsystems, Inc.\n		<br />\n\n2550 Garcia Avenue\n		<br />\n\nMountain View, California 94043\n	  </p>\n\n	"
		self.python_name = "Rdisc"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYSA30AT:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\nLizenz\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \u201eSCHUTZGEGENSTAND\u201c DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \u201eLIZENZ\u201c ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n1. Definitionen\n\n	a. Der Begriff \"Bearbeitung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange dieses erkennbar vom Schutzgegenstand abgeleitet wurde. Dies kann insbesondere auch eine Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Bearbeitung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Nutzung des Schutzgegenstandes.\n\n	b. Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten zu einem einheitlichen Ganzen, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine eigent\u00fcmliche geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	c. \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Bearbeitungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit zug\u00e4nglich zu machen oder in Verkehr zu bringen.\n\n	d. Unter \"Lizenzelementen\" werden im Sinne dieser Lizenz die folgenden \u00fcbergeordneten Lizenzcharakteristika verstanden, die vom Lizenzgeber ausgew\u00e4hlt wurden und in der Bezeichnung der Lizenz zum Ausdruck kommen: \"Namensnennung\", \"Weitergabe unter gleichen Bedingungen\".\n\n	e. Der \"Lizenzgeber\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	f. \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und eine Erteilung, \u00dcbertragung oder Einr\u00e4umung von Nutzungsbewilligungen bzw Nutzungsrechten an Dritte erlaubt.\n\n	g. Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine eigent\u00fcmliche geistige Sch\u00f6pfung jeglicher Art oder ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \u201eSchutzgegenstand\u201c im Sinne dieser Lizenz.\n\n	h. Mit \"Sie\" bzw. \"Ihnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrte Nutzungsbewilligung trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	i. Unter \"\u00d6ffentlich Wiedergeben\" im Sinne dieser Lizenz sind Wahrnehmbarmachungen des Schutzgegenstandes in unk\u00f6rperlicher Form zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung oder zeit- und ortsunabh\u00e4ngiger Zurverf\u00fcgungstellung erfolgen, unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	j. \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, gleichviel in welchem Verfahren, auf welchem Tr\u00e4ger, in welcher Menge und ob vor\u00fcbergehend oder dauerhaft, Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch das erstmalige Festhalten des Schutzgegenstandes oder dessen Wahrnehmbarmachung auf Mitteln der wiederholbaren Wiedergabe sowie das Herstellen von Vervielf\u00e4ltigungsst\u00fccken dieser Festhaltung, sowie die Speicherung einer gesch\u00fctzten Darbietung oder eines Bild- und/oder Schalltr\u00e4gers in digitaler Form oder auf einem anderen elektronischen Medium.\n\n	k. \"Mit Creative Commons kompatible Lizenz\" bezeichnet eine Lizenz, die unter https://creativecommons.org/compatiblelicenses aufgelistet ist und die durch Creative Commons als grunds\u00e4tzlich zur vorliegenden Lizenz \u00e4quivalent akzeptiert wurde, da zumindest folgende Voraussetzungen erf\u00fcllt sind:\n\n	Diese mit Creative Commons kompatible Lizenz\n\n		i. enth\u00e4lt Bestimmungen, welche die gleichen Ziele verfolgen, die gleiche Bedeutung haben und die gleichen Wirkungen erzeugen wie die Lizenzelemente der vorliegenden Lizenz; und\n\n		ii. erlaubt ausdr\u00fccklich das Lizenzieren von ihr unterstellten Abwandlungen unter vorliegender Lizenz, unter einer anderen rechtsordnungsspezifisch angepassten Creative-Commons-Lizenz mit denselben Lizenzelementen wie vorliegende Lizenz aufweist oder unter der entsprechenden Creative-Commons-Unported-Lizenz.\n\n2. Beschr\u00e4nkungen der Verwertungsrechte\n\nDiese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die sich aus den Beschr\u00e4nkungen der Verwertungsrechte, anderen Beschr\u00e4nkungen der Ausschlie\u00dflichkeitsrechte des Rechtsinhabers oder anderen entsprechenden Rechtsnormen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n3. Lizenzierung\n\nUnter den Bedingungen dieser Lizenz erteilt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.e) - die verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Urheberrechts oder verwandten Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte Nutzungsbewilligung, den Schutzgegenstand in der folgenden Art und Weise zu nutzen:\n\n	a. Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	b. Den Schutzgegenstand zu bearbeiten, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien anzufertigen, sofern deutlich erkennbar gemacht wird, dass es sich um eine Bearbeitung handelt;\n\n	c. Den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich wiederzugeben und zu verbreiten; und\n\n	d. Bearbeitungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich wiederzugeben und zu verbreiten.\n\n	e. Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		i. Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechenden Verg\u00fctungsanspr\u00fcche f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie geltend zu machen.\n\n		ii. Verg\u00fctung bei Zwangslizenzen: Soweit Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, verzichtet der Lizenzgeber f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des Schutzgegenstandes durch Sie auf jegliche Verg\u00fctung.\n\n		iii. Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Geltendmachung der Verg\u00fctungsanspr\u00fcche durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re.\n\nDie vorgenannte Nutzungsbewilligung wird f\u00fcr alle bekannten sowie alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Sie beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich vom Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf die Geltendmachung s\u00e4mtlicher daraus resultierender Rechte.\n\n4. Bedingungen\n\nDie Erteilung der Nutzungsbewilligung gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	a. Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich wiedergeben. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich wiedergeben, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich wiedergeben, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dasselbe gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie - soweit dies praktikabel ist - auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Bearbeitung vornehmen, m\u00fcssen Sie \u2013 soweit dies praktikabel ist \u2013 auf die Mitteilung eines Lizenzgebers hin von der Bearbeitung die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen.\n\n	b. Sie d\u00fcrfen eine Bearbeitung ausschlie\u00dflich unter den Bedingungen\n\n		i. dieser Lizenz,\n\n		ii. einer sp\u00e4teren Version dieser Lizenz mit denselben Lizenzelementen,\n\n		iii. einer rechtsordnungsspezifischen Creative-Commons-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts (z.B. Namensnennung - Weitergabe unter gleichen Bedingungen 3.0 US),\n\n		iv. der Creative-Commons-Unported-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts, oder\n\n		v. einer mit Creative Commons kompatiblen Lizenz\n\n	verbreiten oder \u00f6ffentlich wiedergeben.\n\n	Falls Sie die Bearbeitung gem\u00e4\u00df Abschnitt b)(v) unter einer mit Creative Commons kompatiblen Lizenz lizenzieren, m\u00fcssen Sie deren Lizenzbestimmungen Folge leisten.\n\n	Falls Sie die Bearbeitung unter einer der unter b)(i)-(iv) genannten Lizenzen (\"Verwendbare Lizenzen\") lizenzieren, m\u00fcssen Sie deren Lizenzbestimmungen sowie folgenden Bestimmungen Folge leisten: Sie m\u00fcssen stets eine Kopie der verwendbaren Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen, wenn Sie die Bearbeitung verbreiten oder \u00f6ffentlich wiedergeben. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen der verwendbaren Lizenz oder die durch sie gew\u00e4hrten Rechte beschr\u00e4nken. Bei jeder Bearbeitung, die Sie verbreiten oder \u00f6ffentlich wiedergeben, m\u00fcssen Sie alle Hinweise auf die verwendbare Lizenz und den Haftungsausschluss unver\u00e4ndert lassen. Wenn Sie die Bearbeitung verbreiten oder \u00f6ffentlich wiedergeben, d\u00fcrfen Sie (in Bezug auf die Bearbeitung) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer der Bearbeitung in der Aus\u00fcbung der ihm durch die verwendbare Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.b) gilt auch f\u00fcr den Fall, dass die Bearbeitung einen Bestandteil eines Sammelwerkes bildet; dies bedeutet jedoch nicht, dass das Sammelwerk insgesamt der verwendbaren Lizenz unterstellt werden muss.\n\n	c. Die Verbreitung und die \u00f6ffentliche Wiedergabe des Schutzgegenstandes oder auf ihm aufbauender Inhalte oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Urheberschaft oder die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie selbst \u2013 soweit bekannt \u2013 Folgendes angeben:\n\n		i. Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers, und/oder falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\u201eZuschreibungsempf\u00e4nger\u201c), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		ii. den Titel des Inhaltes;\n\n		iii. in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n\n		iv. und im Falle einer Bearbeitung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Bearbeitung handelt.\n\n	Die nach diesem Abschnitt 4.c) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Bearbeitung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung aller Beitragenden dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Urhebers, des Lizenzgebers und/oder des Zuschreibungsempf\u00e4ngers weder implizit noch explizit irgendeine Verbindung mit dem oder eine Unterst\u00fctzung oder Billigung durch den Lizenzgeber oder den Zuschreibungsempf\u00e4nger andeuten oder erkl\u00e4ren.\n\n	d. Die oben unter 4.a) bis c) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	e. (Urheber)Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n5. Gew\u00e4hrleistung\n\nSOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE ERTEILUNG DER NUTZUNGSBEWILLIGUNG UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN.\n\n6. Haftungsbeschr\u00e4nkung\n\n\u00dcBER DIE IN ZIFFER 5 GENANNTE GEW\u00c4HRLEISTUNG HINAUS HAFTET DER LIZENZGEBER IHNEN GEGEN\u00dcBER F\u00dcR SCH\u00c4DEN JEGLICHER ART NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG F\u00dcR FOLGE- ODER ANDERE SCH\u00c4DEN, AUCH WENN ER \u00dcBER DIE M\u00d6GLICHKEIT IHRES EINTRITTS UNTERRICHTET WURDE.\n\n7. Erl\u00f6schen\n\n	a. Diese Lizenz und die durch sie erteilte Nutzungsbewilligung erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Bearbeitungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke sowie entsprechende Vervielf\u00e4ltigungsst\u00fccke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	b. Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n8. Sonstige Bestimmungen\n\n	a. Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	b. Jedes Mal wenn Sie eine Bearbeitung des Schutzgegenstandes verbreiten oder \u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	c. Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n\n	d. Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	e. Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df 8.a) und b) angebotenen Lizenzen aus.\n\n	f. Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Republik \u00d6sterreich Anwendung.\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n"
		self.standardLicenseTemplate = "CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\n<<beginOptional>>Lizenz\n\n<<endOptional>>\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \u201eSCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \u201eLIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitionen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Der Begriff \"Bearbeitung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange dieses erkennbar vom Schutzgegenstand abgeleitet wurde. Dies kann insbesondere auch eine Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Bearbeitung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Nutzung des Schutzgegenstandes.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten zu einem einheitlichen Ganzen, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine eigent\u00fcmliche geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Bearbeitungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit zug\u00e4nglich zu machen oder in Verkehr zu bringen.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Unter \"Lizenzelementen\" werden im Sinne dieser Lizenz die folgenden \u00fcbergeordneten Lizenzcharakteristika verstanden, die vom Lizenzgeber ausgew\u00e4hlt wurden und in der Bezeichnung der Lizenz zum Ausdruck kommen: \"Namensnennung\", \"Weitergabe unter gleichen Bedingungen\".\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Der \"Lizenzgeber\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und eine Erteilung, \u00dcbertragung oder Einr\u00e4umung von Nutzungsbewilligungen bzw Nutzungsrechten an Dritte erlaubt.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine eigent\u00fcmliche geistige Sch\u00f6pfung jeglicher Art oder ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \u201eSchutzgegenstand\" im Sinne dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Mit \"Sie\" bzw. \"Ihnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrte Nutzungsbewilligung trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Unter \"\u00d6ffentlich Wiedergeben\" im Sinne dieser Lizenz sind Wahrnehmbarmachungen des Schutzgegenstandes in unk\u00f6rperlicher Form zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung oder zeit- und ortsunabh\u00e4ngiger Zurverf\u00fcgungstellung erfolgen, unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	  <<var;name=\"bullet\";original=\"j.\";match=\".{0,20}\">> \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, gleichviel in welchem Verfahren, auf welchem Tr\u00e4ger, in welcher Menge und ob vor\u00fcbergehend oder dauerhaft, Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch das erstmalige Festhalten des Schutzgegenstandes oder dessen Wahrnehmbarmachung auf Mitteln der wiederholbaren Wiedergabe sowie das Herstellen von Vervielf\u00e4ltigungsst\u00fccken dieser Festhaltung, sowie die Speicherung einer gesch\u00fctzten Darbietung oder eines Bild- und/oder Schalltr\u00e4gers in digitaler Form oder auf einem anderen elektronischen Medium.\n\n	  <<var;name=\"bullet\";original=\"k.\";match=\".{0,20}\">> \"Mit Creative Commons kompatible Lizenz\" bezeichnet eine Lizenz, die unter https://creativecommons.org/compatiblelicenses aufgelistet ist und die durch Creative Commons als grunds\u00e4tzlich zur vorliegenden Lizenz \u00e4quivalent akzeptiert wurde, da zumindest folgende Voraussetzungen erf\u00fcllt sind:\n\n	  Diese mit Creative Commons kompatible Lizenz\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> enth\u00e4lt Bestimmungen, welche die gleichen Ziele verfolgen, die gleiche Bedeutung haben und die gleichen Wirkungen erzeugen wie die Lizenzelemente der vorliegenden Lizenz; und\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> erlaubt ausdr\u00fccklich das Lizenzieren von ihr unterstellten Abwandlungen unter vorliegender Lizenz, unter einer anderen rechtsordnungsspezifisch angepassten Creative-Commons-Lizenz mit denselben Lizenzelementen wie vorliegende Lizenz aufweist oder unter der entsprechenden Creative-Commons-Unported-Lizenz.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Beschr\u00e4nkungen der Verwertungsrechte\n\n   Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die sich aus den Beschr\u00e4nkungen der Verwertungsrechte, anderen Beschr\u00e4nkungen der Ausschlie\u00dflichkeitsrechte des Rechtsinhabers oder anderen entsprechenden Rechtsnormen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Lizenzierung\n\n   Unter den Bedingungen dieser Lizenz erteilt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.e) - die verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Urheberrechts oder verwandten Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte Nutzungsbewilligung, den Schutzgegenstand in der folgenden Art und Weise zu nutzen:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Den Schutzgegenstand zu bearbeiten, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien anzufertigen, sofern deutlich erkennbar gemacht wird, dass es sich um eine Bearbeitung handelt;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich wiederzugeben und zu verbreiten; und\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Bearbeitungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich wiederzugeben und zu verbreiten.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechenden Verg\u00fctungsanspr\u00fcche f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie geltend zu machen.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Verg\u00fctung bei Zwangslizenzen: Soweit Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, verzichtet der Lizenzgeber f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des Schutzgegenstandes durch Sie auf jegliche Verg\u00fctung.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Geltendmachung der Verg\u00fctungsanspr\u00fcche durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re.\n\n   Die vorgenannte Nutzungsbewilligung wird f\u00fcr alle bekannten sowie alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Sie beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich vom Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf die Geltendmachung s\u00e4mtlicher daraus resultierender Rechte.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Bedingungen\n\n   Die Erteilung der Nutzungsbewilligung gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich wiedergeben. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich wiedergeben, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich wiedergeben, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dasselbe gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie - soweit dies praktikabel ist - auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Bearbeitung vornehmen, m\u00fcssen Sie \u2013 soweit dies praktikabel ist \u2013 auf die Mitteilung eines Lizenzgebers hin von der Bearbeitung die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Sie d\u00fcrfen eine Bearbeitung ausschlie\u00dflich unter den Bedingungen\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> dieser Lizenz,\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> einer sp\u00e4teren Version dieser Lizenz mit denselben Lizenzelementen,\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> einer rechtsordnungsspezifischen Creative-Commons-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts (z.B. Namensnennung - Weitergabe unter gleichen Bedingungen 3.0 US),\n\n		 <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> der Creative-Commons-Unported-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts, oder\n\n		 <<var;name=\"bullet\";original=\"v.\";match=\".{0,20}\">> einer mit Creative Commons kompatiblen Lizenz\n\n	  verbreiten oder \u00f6ffentlich wiedergeben.\n\n	  Falls Sie die Bearbeitung gem\u00e4\u00df Abschnitt b)(v) unter einer mit Creative Commons kompatiblen Lizenz lizenzieren, m\u00fcssen Sie deren Lizenzbestimmungen Folge leisten.\n\n	  Falls Sie die Bearbeitung unter einer der unter b)(i)-(iv) genannten Lizenzen (\"Verwendbare Lizenzen\") lizenzieren, m\u00fcssen Sie deren Lizenzbestimmungen sowie folgenden Bestimmungen Folge leisten: Sie m\u00fcssen stets eine Kopie der verwendbaren Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen, wenn Sie die Bearbeitung verbreiten oder \u00f6ffentlich wiedergeben. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen der verwendbaren Lizenz oder die durch sie gew\u00e4hrten Rechte beschr\u00e4nken. Bei jeder Bearbeitung, die Sie verbreiten oder \u00f6ffentlich wiedergeben, m\u00fcssen Sie alle Hinweise auf die verwendbare Lizenz und den Haftungsausschluss unver\u00e4ndert lassen. Wenn Sie die Bearbeitung verbreiten oder \u00f6ffentlich wiedergeben, d\u00fcrfen Sie (in Bezug auf die Bearbeitung) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer der Bearbeitung in der Aus\u00fcbung der ihm durch die verwendbare Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.b) gilt auch f\u00fcr den Fall, dass die Bearbeitung einen Bestandteil eines Sammelwerkes bildet; dies bedeutet jedoch nicht, dass das Sammelwerk insgesamt der verwendbaren Lizenz unterstellt werden muss.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Die Verbreitung und die \u00f6ffentliche Wiedergabe des Schutzgegenstandes oder auf ihm aufbauender Inhalte oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Urheberschaft oder die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie selbst \u2013 soweit bekannt \u2013 Folgendes angeben:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers, und/oder falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\u201eZuschreibungsempf\u00e4nger\"), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> den Titel des Inhaltes;\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n\n		 <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> und im Falle einer Bearbeitung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Bearbeitung handelt.\n\n	  Die nach diesem Abschnitt 4.c) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Bearbeitung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung aller Beitragenden dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Urhebers, des Lizenzgebers und/oder des Zuschreibungsempf\u00e4ngers weder implizit noch explizit irgendeine Verbindung mit dem oder eine Unterst\u00fctzung oder Billigung durch den Lizenzgeber oder den Zuschreibungsempf\u00e4nger andeuten oder erkl\u00e4ren.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Die oben unter 4.a) bis c) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> (Urheber)Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Gew\u00e4hrleistung\n\n   SOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE ERTEILUNG DER NUTZUNGSBEWILLIGUNG UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Haftungsbeschr\u00e4nkung\n\n   \u00dcBER DIE IN ZIFFER 5 GENANNTE GEW\u00c4HRLEISTUNG HINAUS HAFTET DER LIZENZGEBER IHNEN GEGEN\u00dcBER F\u00dcR SCH\u00c4DEN JEGLICHER ART NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG F\u00dcR FOLGE- ODER ANDERE SCH\u00c4DEN, AUCH WENN ER \u00dcBER DIE M\u00d6GLICHKEIT IHRES EINTRITTS UNTERRICHTET WURDE.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Erl\u00f6schen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Diese Lizenz und die durch sie erteilte Nutzungsbewilligung erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Bearbeitungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke sowie entsprechende Vervielf\u00e4ltigungsst\u00fccke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Sonstige Bestimmungen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Jedes Mal wenn Sie eine Bearbeitung des Schutzgegenstandes verbreiten oder \u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df 8.a) und b) angebotenen Lizenzen aus.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Republik \u00d6sterreich Anwendung.\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Share Alike 3.0 Austria"
		self.licenseId = "CC-BY-SA-3.0-AT"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-sa/3.0/at/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:22Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-sa/3.0/at/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<p>CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE\n			RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM\n			MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE\n			GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG\n			F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN\n			AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.</p>\n\n			<div class=\"optional-license-text\"> \n				<p>Lizenz</p>\n\n			</div>\n			<p>DER GEGENSTAND DIESER LIZENZ (WIE UNTER \u201eSCHUTZGEGENSTAND&quot; DEFINIERT)\n			WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE\n			(&quot;CCPL&quot;, \u201eLIZENZ&quot; ODER &quot;LIZENZVERTRAG&quot;) ZUR VERF\u00dcGUNG GESTELLT. DER\n			SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE\n			GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT\n			AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.</p>\n\n			<p>DURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM\n			SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN\n			RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG\n			ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN\n			RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN\n			AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.</var>\n					Definitionen\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							Der Begriff &quot;Bearbeitung&quot; im Sinne dieser Lizenz bezeichnet das Ergebnis\n							jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange dieses\n							erkennbar vom Schutzgegenstand abgeleitet wurde. Dies kann insbesondere\n							auch eine Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder\n							Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein.\n							Nicht als Bearbeitung des Schutzgegenstandes gelten seine Aufnahme in eine\n							Sammlung oder ein Sammelwerk und die freie Nutzung des\n							Schutzgegenstandes.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							Der Begriff &quot;Sammelwerk&quot; im Sinne dieser Lizenz meint eine\n							Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen\n							Inhalten zu einem einheitlichen Ganzen, sofern diese Zusammenstellung\n							aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen\n							Elemente eine eigent\u00fcmliche geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon,\n							ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln\n							zug\u00e4nglich sind oder nicht.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var>\n							&quot;Verbreiten&quot; im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder\n							Bearbeitungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in\n							k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit zug\u00e4nglich zu machen oder in\n							Verkehr zu bringen.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var>\n							Unter &quot;Lizenzelementen&quot; werden im Sinne dieser Lizenz die folgenden\n							\u00fcbergeordneten Lizenzcharakteristika verstanden, die vom Lizenzgeber\n							ausgew\u00e4hlt wurden und in der Bezeichnung der Lizenz zum Ausdruck kommen:\n							&quot;Namensnennung&quot;, &quot;Weitergabe unter gleichen Bedingungen&quot;.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e.</var>\n							Der &quot;Lizenzgeber&quot; im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder\n							juristische Person oder Gruppe, die den Schutzgegenstand unter den\n							Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> f.</var>\n							&quot;Rechteinhaber&quot; im Sinne dieser Lizenz ist der Urheber des\n							Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person, die\n							am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in\n							Abschnitt 3 genannten Handlungen erfasst und eine Erteilung, \u00dcbertragung\n							oder Einr\u00e4umung von Nutzungsbewilligungen bzw Nutzungsrechten an Dritte\n							erlaubt.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> g.</var>\n							Der Begriff &quot;Schutzgegenstand&quot; bezeichnet in dieser Lizenz den literarischen,\n							k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen\n							dieser Lizenz angeboten wird. Das kann insbesondere eine eigent\u00fcmliche\n							geistige Sch\u00f6pfung jeglicher Art oder ein Werk der kleinen M\u00fcnze, ein\n							nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines\n							verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und\n							unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann,\n							gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder\n							Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz\n							eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \u201eSchutzgegenstand&quot; im\n							Sinne dieser Lizenz.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> h.</var>\n							Mit &quot;Sie&quot; bzw. &quot;Ihnen&quot; ist die nat\u00fcrliche oder juristische Person gemeint, die in\n							dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes\n							vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen\n							Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des\n							Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrte\n							Nutzungsbewilligung trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> i.</var>\n							Unter &quot;\u00d6ffentlich Wiedergeben&quot; im Sinne dieser Lizenz sind\n							Wahrnehmbarmachungen des Schutzgegenstandes in unk\u00f6rperlicher Form zu\n							verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt\n							sind und mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung,\n							Vorf\u00fchrung, Darbietung, Sendung, Weitersendung oder zeit- und\n							ortsunabh\u00e4ngiger Zurverf\u00fcgungstellung erfolgen, unabh\u00e4ngig von den zum\n							Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener\n							oder drahtloser Mittel und Einstellen in das Internet.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> j.</var>\n							&quot;Vervielf\u00e4ltigen&quot; im Sinne dieser Lizenz bedeutet, gleichviel in welchem\n							Verfahren, auf welchem Tr\u00e4ger, in welcher Menge und ob vor\u00fcbergehend oder\n							dauerhaft, Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen,\n							insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch das\n							erstmalige Festhalten des Schutzgegenstandes oder dessen\n							Wahrnehmbarmachung auf Mitteln der wiederholbaren Wiedergabe sowie das\n							Herstellen von Vervielf\u00e4ltigungsst\u00fccken dieser Festhaltung, sowie die\n							Speicherung einer gesch\u00fctzten Darbietung oder eines Bild- und/oder\n							Schalltr\u00e4gers in digitaler Form oder auf einem anderen elektronischen Medium.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> k.</var>\n							&quot;Mit Creative Commons kompatible Lizenz&quot; bezeichnet eine Lizenz, die unter https://creativecommons.org/compatiblelicenses aufgelistet ist und die durch Creative Commons als grunds\u00e4tzlich zur vorliegenden Lizenz \u00e4quivalent akzeptiert wurde, da zumindest folgende Voraussetzungen erf\u00fcllt sind:\n							<p>Diese mit Creative Commons kompatible Lizenz</p>\n\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> i.</var>\n									enth\u00e4lt Bestimmungen, welche die gleichen Ziele verfolgen, die gleiche\n									Bedeutung haben und die gleichen Wirkungen erzeugen wie die\n									Lizenzelemente der vorliegenden Lizenz; und\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> ii.</var>\n									erlaubt ausdr\u00fccklich das Lizenzieren von ihr unterstellten Abwandlungen\n									unter vorliegender Lizenz, unter einer anderen rechtsordnungsspezifisch\n									angepassten Creative-Commons-Lizenz mit denselben Lizenzelementen\n									wie vorliegende Lizenz aufweist oder unter der entsprechenden\n									Creative-Commons-Unported-Lizenz.\n								</li>\n							\n</ul>\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.</var>\n					Beschr\u00e4nkungen der Verwertungsrechte\n					<p>Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des\n					Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die sich aus\n					den Beschr\u00e4nkungen der Verwertungsrechte, anderen Beschr\u00e4nkungen der\n					Ausschlie\u00dflichkeitsrechte des Rechtsinhabers oder anderen entsprechenden\n					Rechtsnormen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes\n					ergeben.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.</var>\n					Lizenzierung\n					<p>Unter den Bedingungen dieser Lizenz erteilt Ihnen der Lizenzgeber -\n					unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.e) - die\n					verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Urheberrechts oder\n					verwandten Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte\n					Nutzungsbewilligung, den Schutzgegenstand in der folgenden Art und Weise zu\n					nutzen:</p>\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in\n							Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu\n							vervielf\u00e4ltigen;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							Den Schutzgegenstand zu bearbeiten, einschlie\u00dflich \u00dcbersetzungen unter\n							Nutzung jedweder Medien anzufertigen, sofern deutlich erkennbar gemacht\n							wird, dass es sich um eine Bearbeitung handelt;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var>\n							Den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich\n							wiederzugeben und zu verbreiten; und\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var>\n							Bearbeitungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich\n							wiederzugeben und zu verbreiten.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e.</var>\n							Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n							\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> i.</var>\n									Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare\n									Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen\n									oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden\n									sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die\n									entsprechenden Verg\u00fctungsanspr\u00fcche f\u00fcr jede Aus\u00fcbung eines Rechts\n									aus dieser Lizenz durch Sie geltend zu machen.\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> ii.</var>\n									Verg\u00fctung bei Zwangslizenzen: Soweit Zwangslizenzen au\u00dferhalb dieser\n									Lizenz vorgesehen sind und zustande kommen, verzichtet der\n									Lizenzgeber f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des\n									Schutzgegenstandes durch Sie auf jegliche Verg\u00fctung.\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> iii.</var>\n									Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des\n									Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen\n									Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche\n									Verg\u00fctung, unabh\u00e4ngig davon, ob eine Geltendmachung der\n									Verg\u00fctungsanspr\u00fcche durch ihn selbst oder nur durch eine\n									Verwertungsgesellschaft m\u00f6glich w\u00e4re.\n								</li>\n							\n</ul>\n						</li>\n					\n</ul>\n					<p>Die vorgenannte Nutzungsbewilligung wird f\u00fcr alle bekannten sowie alle noch\n					nicht bekannten Nutzungsarten einger\u00e4umt. Sie beinhaltet auch das Recht, solche\n					\u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser\n					Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die\n					\u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich vom Lizenzgeber einger\u00e4umt\n					werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder\n					Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen\n					sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet\n					der Lizenzgeber auf die Geltendmachung s\u00e4mtlicher daraus resultierender Rechte.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.</var>\n					Bedingungen\n					<p>Die Erteilung der Nutzungsbewilligung gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt\n					ausdr\u00fccklich nur unter den folgenden Bedingungen:</p>\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser\n							Lizenz verbreiten oder \u00f6ffentlich wiedergeben. Sie m\u00fcssen dabei stets eine\n							Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des\n							Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder\n							Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser\n							Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen\n							den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des\n							Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich wiedergeben, m\u00fcssen\n							Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den\n							Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten\n							oder \u00f6ffentlich wiedergeben, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand)\n							keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des\n							Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten\n							Rechte behindern k\u00f6nnen. Dasselbe gilt auch f\u00fcr den Fall, dass der\n							Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch\n							nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt\n							werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie - soweit dies\n							praktikabel ist - auf die Mitteilung eines Lizenzgebers hin aus dem\n							Sammelwerk die in Abschnitt 4.c) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie\n							eine Bearbeitung vornehmen, m\u00fcssen Sie \u2013 soweit dies praktikabel ist \u2013 auf\n							die Mitteilung eines Lizenzgebers hin von der Bearbeitung die in Abschnitt 4.c)\n							aufgez\u00e4hlten Hinweise entfernen.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							Sie d\u00fcrfen eine Bearbeitung ausschlie\u00dflich unter den Bedingungen\n							\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> i.</var>\n									dieser Lizenz,\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> ii.</var>\n									einer sp\u00e4teren Version dieser Lizenz mit denselben Lizenzelementen,\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> iii.</var>\n									einer rechtsordnungsspezifischen Creative-Commons-Lizenz mit\n									denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts (z.B.\n									Namensnennung - Weitergabe unter gleichen Bedingungen 3.0 US),\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> iv.</var>\n									der Creative-Commons-Unported-Lizenz mit denselben Lizenzelementen\n									ab Version 3.0 aufw\u00e4rts, oder\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> v.</var>\n									einer mit Creative Commons kompatiblen Lizenz\n								</li>\n							\n</ul>\n							<p>verbreiten oder \u00f6ffentlich wiedergeben.</p>\n\n							<p>Falls Sie die Bearbeitung gem\u00e4\u00df Abschnitt b)(v) unter einer mit Creative\n							Commons kompatiblen Lizenz lizenzieren, m\u00fcssen Sie deren\n							Lizenzbestimmungen Folge leisten.</p>\n\n							<p>Falls Sie die Bearbeitung unter einer der unter b)(i)-(iv) genannten\n							Lizenzen (&quot;Verwendbare Lizenzen&quot;) lizenzieren, m\u00fcssen Sie deren\n							Lizenzbestimmungen sowie folgenden Bestimmungen Folge leisten: Sie m\u00fcssen\n							stets eine Kopie der verwendbaren Lizenz oder deren vollst\u00e4ndige\n							Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen, wenn\n							Sie die Bearbeitung verbreiten oder \u00f6ffentlich wiedergeben. Sie d\u00fcrfen keine\n							Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die\n							Bedingungen der verwendbaren Lizenz oder die durch sie gew\u00e4hrten Rechte\n							beschr\u00e4nken. Bei jeder Bearbeitung, die Sie verbreiten oder \u00f6ffentlich\n							wiedergeben, m\u00fcssen Sie alle Hinweise auf die verwendbare Lizenz und den\n							Haftungsausschluss unver\u00e4ndert lassen. Wenn Sie die Bearbeitung verbreiten\n							oder \u00f6ffentlich wiedergeben, d\u00fcrfen Sie (in Bezug auf die Bearbeitung) keine\n							technischen Ma\u00dfnahmen ergreifen, die den Nutzer der Bearbeitung in der\n							Aus\u00fcbung der ihm durch die verwendbare Lizenz gew\u00e4hrten Rechte behindern\n							k\u00f6nnen. Dieser Abschnitt 4.b) gilt auch f\u00fcr den Fall, dass die Bearbeitung einen\n							Bestandteil eines Sammelwerkes bildet; dies bedeutet jedoch nicht, dass das\n							Sammelwerk insgesamt der verwendbaren Lizenz unterstellt werden muss.</p>\n\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var>\n							Die Verbreitung und die \u00f6ffentliche Wiedergabe des Schutzgegenstandes oder\n							auf ihm aufbauender Inhalte oder ihn enthaltender Sammelwerke ist Ihnen nur\n							unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im\n							Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt\n							lassen. Sie sind verpflichtet, die Urheberschaft oder die Rechteinhaberschaft in\n							einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem\n							Sie selbst \u2013 soweit bekannt \u2013 Folgendes angeben:\n							\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> i.</var>\n									Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des\n									Rechteinhabers, und/oder falls der Lizenzgeber im Rechtevermerk, in den\n									Nutzungsbedingungen oder auf andere angemessene Weise eine\n									Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein\n									Verlagshaus oder eine Zeitung) (\u201eZuschreibungsempf\u00e4nger&quot;), Namen\n									bzw. Bezeichnung dieses oder dieser Dritten;\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> ii.</var>\n									den Titel des Inhaltes;\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> iii.</var>\n									in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B.\n									Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben\n									hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder\n									die Lizenzinformationen zum Schutzgegenstand;\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> iv.</var>\n									und im Falle einer Bearbeitung des Schutzgegenstandes in\n									\u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich\n									um eine Bearbeitung handelt.\n								</li>\n							\n</ul>\n							<p>Die nach diesem Abschnitt 4.c) erforderlichen Angaben k\u00f6nnen in jeder\n							angemessenen Form gemacht werden; im Falle einer Bearbeitung des\n							Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das\n							Minimum darstellen und bei gemeinsamer Nennung aller Beitragenden\n							dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die\n							Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt\n							d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben\n							bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser\n							Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende\n							Zustimmung des Urhebers, des Lizenzgebers und/oder des\n							Zuschreibungsempf\u00e4ngers weder implizit noch explizit irgendeine Verbindung\n							mit dem oder eine Unterst\u00fctzung oder Billigung durch den Lizenzgeber oder\n							den Zuschreibungsempf\u00e4nger andeuten oder erkl\u00e4ren.</p>\n\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var>\n							Die oben unter 4.a) bis c) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche\n							Teile des Schutzgegenstandes, die allein deshalb unter den\n							Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder\n							Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz\n							eigener Art genie\u00dfen.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e.</var>\n							(Urheber)Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser\n							Lizenz unber\u00fchrt.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 5.</var>\n					Gew\u00e4hrleistung\n					<p>SOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN\n					DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL\n					NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN\n					SCHUTZGEGENSTAND UND DIE ERTEILUNG DER NUTZUNGSBEWILLIGUNG UNTER\n					AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER\n					AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST\n					INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG\n					VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT\n					DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN\n					ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 6.</var>\n					Haftungsbeschr\u00e4nkung\n					<p>\u00dcBER DIE IN ZIFFER 5 GENANNTE GEW\u00c4HRLEISTUNG HINAUS HAFTET DER\n					LIZENZGEBER IHNEN GEGEN\u00dcBER F\u00dcR SCH\u00c4DEN JEGLICHER ART NUR BEI GROBER\n					FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI\n					FREIWILLIGE HAFTUNG F\u00dcR FOLGE- ODER ANDERE SCH\u00c4DEN, AUCH WENN ER\n					\u00dcBER DIE M\u00d6GLICHKEIT IHRES EINTRITTS UNTERRICHTET WURDE.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 7.</var>\n					Erl\u00f6schen\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							Diese Lizenz und die durch sie erteilte Nutzungsbewilligung erl\u00f6schen mit\n							Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen\n							durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder\n							einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder\n							juristischen Personen, die Bearbeitungen des Schutzgegenstandes oder diesen\n							enthaltende Sammelwerke sowie entsprechende Vervielf\u00e4ltigungsst\u00fccke unter\n							den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen\n							nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die\n							genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten.\n							Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem\n							Erl\u00f6schen dieser Lizenz fort.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis\n							der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen\n							beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen\n							Lizenzbedingungen anzubieten oder die eigene Weitergabe des\n							Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts\n							nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner\n							Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw.\n							zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung\n							der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 8.</var>\n					Sonstige Bestimmungen\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil\n							eines Sammelwerkes verbreiten oder \u00f6ffentlich wiedergeben, bietet der\n							Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im\n							gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							Jedes Mal wenn Sie eine Bearbeitung des Schutzgegenstandes verbreiten oder\n							\u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am\n							urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im\n							gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var>\n							Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die\n							Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var>\n							Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen\n							sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df\n							betroffene Seite nicht schriftlich zugestimmt hat.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e.</var>\n							Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen,\n							Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die\n							vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf\n							den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder\n							Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht\n							genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem\n							Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der\n							Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte\n							Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche\n							Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei\n							Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und\n							wirken sich nicht auf die Dritten gem\u00e4\u00df 8.a) und b) angebotenen Lizenzen aus.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> f.</var>\n							Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung\n							getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen\n							Lizenzvertrag das Recht der Republik \u00d6sterreich Anwendung.\n						</li>\n					\n</ul>\n				</li>\n			\n</ul>\n			<p>Creative Commons Notice</p>\n\n			<p>Creative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder\n			dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder\n			einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den,\n			die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser\n			Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons\n			alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im\n			Sinne dieser Lizenz bezeichnet.</p>\n\n			<p>Creative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die\n			Marke &quot;Creative Commons&quot; zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit\n			gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein\n			dar\u00fcber hinaus gehender Gebrauch der Marke &quot;Creative Commons&quot; oder einer verwandten\n			Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von\n			Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons\n			Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der\n			Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur\n			Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil\n			dieser Lizenz.</p>\n\n			<p>Creative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.</p>\n\n		"
		self.python_name = "CCBYSA30AT"

	def __str__(self):
		return json.dumps(self.__dict__)


class MITKhronosold:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2014-2020 The Khronos Group Inc.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and/or associated documentation files (the \"Materials\"),\nto deal in the Materials without restriction, including without limitation\nthe rights to use, copy, modify, merge, publish, distribute, sublicense,\nand/or sell copies of the Materials, and to permit persons to whom the\nMaterials are furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in\nall copies or substantial portions of the Materials.\n\nMODIFICATIONS TO THIS FILE MAY MEAN IT NO LONGER ACCURATELY REFLECTS KHRONOS\nSTANDARDS. THE UNMODIFIED, NORMATIVE VERSIONS OF KHRONOS SPECIFICATIONS AND\nHEADER INFORMATION ARE LOCATED AT https://www.khronos.org/registry/\n\nTHE MATERIALS ARE PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\nOR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL\nTHE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\nFROM,OUT OF OR IN CONNECTION WITH THE MATERIALS OR THE USE OR OTHER DEALINGS\nIN THE MATERIALS.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2014-2020 The Khronos Group Inc.\";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and/or associated documentation files (the \"Materials\"), to deal in the Materials without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Materials, and to permit persons to whom the Materials are furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Materials.\n\nMODIFICATIONS TO THIS FILE MAY MEAN IT NO LONGER ACCURATELY REFLECTS KHRONOS STANDARDS. THE UNMODIFIED, NORMATIVE VERSIONS OF KHRONOS SPECIFICATIONS AND HEADER INFORMATION ARE LOCATED AT https://www.khronos.org/registry/\n\nTHE MATERIALS ARE PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,OUT OF OR IN CONNECTION WITH THE MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.\n\n"
		self.name = "MIT Khronos - old variant"
		self.licenseComments = "This license is considered obsolete by the Khronos Group, but may still be in use in older projects or versions."
		self.licenseId = "MIT-Khronos-old"
		self.crossRef = [{"match": "False", "url": "https://github.com/KhronosGroup/SPIRV-Cross/blob/main/LICENSES/LicenseRef-KhronosFreeUse.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:09Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/KhronosGroup/SPIRV-Cross/blob/main/LICENSES/LicenseRef-KhronosFreeUse.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (c) 2014-2020 The Khronos Group Inc.\n		 </var>\n		 <p>\n			Permission is hereby granted, free of charge, to any person\n			obtaining a copy of this software and/or associated documentation\n			files (the &quot;Materials&quot;), to deal in the Materials without\n			restriction, including without limitation the rights to use, copy,\n			modify, merge, publish, distribute, sublicense, and/or sell copies\n			of the Materials, and to permit persons to whom the Materials\n			are furnished to do so, subject to the following conditions:\n		 </p>\n\n		 <p>\n			The above copyright notice and this permission notice shall be\n			included in all copies or substantial portions of the Materials.\n		 </p>\n\n		 <p>\n			MODIFICATIONS TO THIS FILE MAY MEAN IT NO LONGER ACCURATELY\n			REFLECTS KHRONOS STANDARDS. THE UNMODIFIED, NORMATIVE\n			VERSIONS OF KHRONOS SPECIFICATIONS AND HEADER INFORMATION\n			ARE LOCATED AT https://www.khronos.org/registry/\n		 </p>\n\n		 <p>\n			THE MATERIALS ARE PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF\n			ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO\n			THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\n			PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS\n			OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR\n			OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR\n			OTHERWISE, ARISING FROM,OUT OF OR IN CONNECTION WITH THE\n			MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.\n		 </p>\n\n	  "
		self.python_name = "MITKhronosold"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD2Clause:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Copyright (c) <year> <owner> \n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) <year> <owner>.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nTHIS<<beginOptional>> SOFTWARE<<endOptional>> IS PROVIDED BY <<var;name=\"copyrightHolderAsIs\";original=\"THE COPYRIGHT HOLDERS AND CONTRIBUTORS\";match=\".+\">> \"AS IS\" AND ANY <<var;name=\"express\";original=\"EXPRESS\";match=\"EXPRESS(ED)?\">> OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <<var;name=\"copyrightHolderLiability\";original=\"THE COPYRIGHT HOLDER OR CONTRIBUTORS\";match=\".+\">> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS<<beginOptional>> SOFTWARE<<endOptional>>, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD 2-Clause \"Simplified\" License"
		self.licenseId = "BSD-2-Clause"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/BSD-2-Clause", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:08Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/BSD-2-Clause"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) &lt;year&gt; &lt;owner&gt;. \n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n	  \n</ul>\n	  <p>THIS <var class=\"optional-license-text\"> SOFTWARE</var> IS PROVIDED BY\n		<var class=\"replaceable-license-text\"> THE COPYRIGHT HOLDERS AND CONTRIBUTORS</var> &quot;AS IS&quot; AND ANY\n		<var class=\"replaceable-license-text\"> EXPRESS</var> OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY\n		AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL\n		<var class=\"replaceable-license-text\"> THE COPYRIGHT HOLDER OR CONTRIBUTORS</var> BE LIABLE FOR\n		ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n		LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS <var class=\"optional-license-text\"> SOFTWARE</var>, EVEN IF\n		ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n	  </p>\n\n	"
		self.python_name = "BSD2Clause"

	def __str__(self):
		return json.dumps(self.__dict__)


class SSLeaystandalone:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Original SSLeay License\n -----------------------\n\n  Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)\n  All rights reserved.\n \n  This package is an SSL implementation written\n  by Eric Young (eay@cryptsoft.com).\n  The implementation was written so as to conform with Netscapes SSL.\n \n  This library is free for commercial and non-commercial use as long as\n  the following conditions are aheared to.  The following conditions\n  apply to all code found in this distribution, be it the RC4, RSA,\n  lhash, DES, etc., code; not just the SSL code.  The SSL documentation\n  included with this distribution is covered by the same copyright terms\n  except that the holder is Tim Hudson (tjh@cryptsoft.com).\n \n  Copyright remains Eric Young's, and as such any Copyright notices in\n  the code are not to be removed.\n  If this package is used in a product, Eric Young should be given attribution\n  as the author of the parts of the library used.\n  This can be in the form of a textual message at program startup or\n  in documentation (online or textual) provided with the package.\n \n  Redistribution and use in source and binary forms, with or without\n  modification, are permitted provided that the following conditions\n  are met:\n  1. Redistributions of source code must retain the copyright\n	 notice, this list of conditions and the following disclaimer.\n  2. Redistributions in binary form must reproduce the above copyright\n	 notice, this list of conditions and the following disclaimer in the\n	 documentation and/or other materials provided with the distribution.\n  3. All advertising materials mentioning features or use of this software\n	 must display the following acknowledgement:\n	 \"This product includes cryptographic software written by\n	  Eric Young (eay@cryptsoft.com)\"\n	 The word 'cryptographic' can be left out if the rouines from the library\n	 being used are not cryptographic related :-).\n  4. If you include any Windows specific code (or a derivative thereof) from\n	 the apps directory (application code) you must include an acknowledgement:\n	 \"This product includes software written by Tim Hudson (tjh@cryptsoft.com)\"\n \n  THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND\n  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\n  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\n  ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE\n  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\n  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\n  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\n  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\n  SUCH DAMAGE.\n \n  The licence and distribution terms for any publically available version or\n  derivative of this code cannot be changed.  i.e. this code cannot simply be\n  copied and put under another distribution licence\n  [including the GNU Public Licence.]\n"
		self.standardLicenseTemplate = "<<beginOptional>>Original SSLeay License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)  All rights reserved.  \";match=\".{0,5000}\">>\n\nThis package is an SSL implementation written by Eric Young (eay@cryptsoft.com). The implementation was written so as to conform with Netscapes SSL.\n\nThis library is free for commercial and non-commercial use as long as the following conditions are aheared to. The following conditions apply to all code found in this distribution, be it the RC4, RSA, lhash, DES, etc., code; not just the SSL code. The SSL documentation included with this distribution is covered by the same copyright terms except that the holder is Tim Hudson (tjh@cryptsoft.com).\n\nCopyright remains Eric Young's, and as such any Copyright notices in the code are not to be removed. If this package is used in a product, Eric Young should be given attribution as the author of the parts of the library used. This can be in the form of a textual message at program startup or in documentation (online or textual) provided with the package.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> All advertising materials mentioning features or use of this software must display the following acknowledgement:\n\n   \"This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)\"\n\n   The word 'cryptographic' can be left out if the rouines from the library being used are not cryptographic related :-).\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> If you include any Windows specific code (or a derivative thereof) from the apps directory (application code) you must include an acknowledgement: \"This product includes software written by Tim Hudson (tjh@cryptsoft.com)\"\n\nTHIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe licence and distribution terms for any publically available version or derivative of this code cannot be changed. i.e. this code cannot simply be copied and put under another distribution licence [including the GNU Public Licence.]\n\n"
		self.name = "SSLeay License - standalone"
		self.licenseComments = "This is the second license in the OpenSSL two-license stack as a standalone option."
		self.licenseId = "SSLeay-standalone"
		self.crossRef = [{"match": "False", "url": "https://www.tq-group.com/filedownloads/files/software-license-conditions/OriginalSSLeay/OriginalSSLeay.pdf", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:49Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.tq-group.com/filedownloads/files/software-license-conditions/OriginalSSLeay/OriginalSSLeay.pdf"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"optional-license-text\"> \n			<p>\n			   Original SSLeay License\n			</p>\n\n		 </div>\n		 <div class=\"replaceable-license-text\"> \n			<p>\n			   Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)<br />\n\n			   All rights reserved.\n			</p>\n\n		 </div>\n		 <p>\n			This package is an SSL implementation written by\n			Eric Young (eay@cryptsoft.com). The implementation\n			was written so as to conform with Netscapes SSL.\n		 </p>\n\n		 <p>\n			This library is free for commercial and non-commercial use as long\n			as the following conditions are aheared to. The following conditions\n			apply to all code found in this distribution, be it the RC4, RSA,\n			lhash, DES, etc., code; not just the SSL code. The SSL documentation\n			included with this distribution is covered by the same copyright\n			terms except that the holder is Tim Hudson (tjh@cryptsoft.com).\n		 </p>\n\n		 <p>\n			Copyright remains Eric Young&apos;s, and as such any Copyright\n			notices in the code are not to be removed. If this package\n			is used in a product, Eric Young should be given attribution\n			as the author of the parts of the library used. This can be\n			in the form of a textual message at program startup or in\n			documentation (online or textual) provided with the package.\n		 </p>\n\n		 <p>\n			Redistribution and use in source and binary\n			forms, with or without modification, are permitted\n			provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   Redistributions of source code must retain the copyright\n			   notice, this list of conditions and the following disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Redistributions in binary form must reproduce the\n			   above copyright notice, this list of conditions and\n			   the following disclaimer in the documentation and/or\n			   other materials provided with the distribution.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   All advertising materials mentioning features or use of this\n			   software must display the following acknowledgement:<br />\n\n			   &quot;This product includes cryptographic software\n			   written by Eric Young (eay@cryptsoft.com)&quot;<br />\n\n			   The word &apos;cryptographic&apos; can be left out if the rouines from\n			   the library being used are not cryptographic related :-).\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   If you include any Windows specific code (or a derivative\n			   thereof) from the apps directory (application code) you\n			   must include an acknowledgement: &quot;This product includes\n			   software written by Tim Hudson (tjh@cryptsoft.com)&quot;\n			</li>\n		 \n</ul>\n		 <p>\n			THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS&apos;&apos; AND ANY EXPRESS\n			OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\n			WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\n			ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE\n			LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR\n			CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\n			OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;\n			OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\n			LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n			THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		 </p>\n\n		 <p>\n			The licence and distribution terms for any publically available\n			version or derivative of this code cannot be changed. i.e.\n			this code cannot simply be copied and put under another\n			distribution licence [including the GNU Public Licence.]\n		 </p>\n\n	  "
		self.python_name = "SSLeaystandalone"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDMITdisclaimer:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "		LICENSE\n		=======\n \nPermission to use, copy, modify, and distribute this software and its\ndocumentation for any purpose and without fee is hereby granted, provided\nthat the original copyright notices appear in all copies and that both\ncopyright notice and this permission notice appear in supporting\ndocumentation, and that the name of the author not be used in advertising\nor publicity pertaining to distribution of the software without specific\nprior written permission.\n \nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL\nTHE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\nFROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\nDEALINGS IN THE SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>LICENSE\n\n=======\n\n<<endOptional>>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the original copyright notices appear in all copies and that both copyright notice and this permission notice appear in supporting documentation, and that the name of the author not be used in advertising or publicity pertaining to distribution of the software without specific prior written permission.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.name = "Historical Permission Notice and Disclaimer with MIT disclaimer"
		self.licenseComments = "This is essentially HPND with the disclaimer from MIT license."
		self.licenseId = "HPND-MIT-disclaimer"
		self.crossRef = [{"match": "False", "url": "https://metacpan.org/release/NLNETLABS/Net-DNS-SEC-1.22/source/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:40Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://metacpan.org/release/NLNETLABS/Net-DNS-SEC-1.22/source/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<div class=\"optional-license-text\"> \n				<p>\n						LICENSE\n						<br />\n\n						=======\n				</p>\n\n		</div>\n		<p>\n				Permission to use, copy, modify, and distribute this\n				software and its documentation for any purpose and without\n				fee is hereby granted, provided that the original copyright\n				notices appear in all copies and that both copyright notice\n				and this permission notice appear in supporting documentation,\n				and that the name of the author not be used in advertising or\n				publicity pertaining to distribution of the software without\n				specific prior written permission.\n		</p>\n\n		<p>\n				THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY\n				OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n				LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\n				FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT\n				SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,\n				DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\n				TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH\n				THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n		</p>\n\n	  "
		self.python_name = "HPNDMITdisclaimer"

	def __str__(self):
		return json.dumps(self.__dict__)


class eGenix:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "EGENIX.COM PUBLIC LICENSE AGREEMENT\nVersion 1.1.0\n\nThis license agreement is based on the Python CNRI License Agreement, a widely accepted open- source license.\n\n1. Introduction\nThis \"License Agreement\" is between eGenix.com Software, Skills and Services GmbH (\"eGenix.com\"), having an office at Pastor-Loeh-Str. 48, D-40764 Langenfeld, Germany, and the Individual or Organization (\"Licensee\") accessing and otherwise using this software in source or binary form and its associated documentation (\"the Software\").\n\n2. License\nSubject to the terms and conditions of this eGenix.com Public License Agreement, eGenix.com hereby grants Licensee a non-exclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use the Software alone or in any derivative version, provided, however, that the eGenix.com Public License Agreement is retained in the Software, or in any derivative version of the Software prepared by Licensee.\n\n3. NO WARRANTY\neGenix.com is making the Software available to Licensee on an \"AS IS\" basis. SUBJECT TO ANY STATUTORY WARRANTIES WHICH CAN NOT BE EXCLUDED, EGENIX.COM MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, EGENIX.COM MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n4. LIMITATION OF LIABILITY\nEGENIX.COM SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THE SOFTWARE, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE EXCLUSION OR LIMITATION MAY NOT APPLY TO LICENSEE.\n\n5. Termination\nThis License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n6. Third Party Rights\nAny software or documentation in source or binary form provided along with the Software that is associated with a separate license agreement is licensed to Licensee under the terms of that license agreement. This License Agreement does not apply to those portions of the Software. Copies of the third party licenses are included in the Software Distribution.\n\n7. General\nNothing in this License Agreement affects any statutory rights of consumers that cannot be waived or limited by contract.\n\nNothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between eGenix.com and Licensee.\n\nIf any provision of this License Agreement shall be unlawful, void, or for any reason unenforceable, such provision shall be modified to the extent necessary to render it enforceable without losing its intent, or, if no such modification is possible, be severed from this License Agreement and shall not affect the validity and enforceability of the remaining provisions of this License Agreement.\n\nThis License Agreement shall be governed by and interpreted in all respects by the law of Germany, excluding conflict of law provisions. It shall not be governed by the United Nations Convention on Contracts for International Sale of Goods. This License Agreement does not grant permission to use eGenix.com trademarks or trade names in a trademark sense to endorse or promote products or services of Licensee, or any third party.\n\nThe controlling language of this License Agreement is English. If Licensee has received a translation into another language, it has been provided for Licensee's convenience only.\n\n8. Agreement\nBy downloading, copying, installing or otherwise using the Software, Licensee agrees to be bound by the terms and conditions of this License Agreement. For question regarding this License Agreement, please write to:\n	 eGenix.com Software, Skills and Services GmbH\n	 Pastor-Loeh-Str. 48\n	 D-40764 Langenfeld\n	 Germany\n"
		self.standardLicenseTemplate = "<<beginOptional>>EGENIX.COM PUBLIC LICENSE AGREEMENT\n\nVersion 1.1.0\n\n<<endOptional>><<beginOptional>> This license agreement is based on the Python CNRI License Agreement, a widely accepted open- source license.\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Introduction\n\n   This \"License Agreement\" is between eGenix.com Software, Skills and Services GmbH (\"eGenix.com\"), having an office at Pastor-Loeh-Str. 48, D-40764 Langenfeld, Germany, and the Individual or Organization (\"Licensee\") accessing and otherwise using this software in source or binary form and its associated documentation (\"the Software\").\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> License\n\n   Subject to the terms and conditions of this eGenix.com Public License Agreement, eGenix.com hereby grants Licensee a non-exclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use the Software alone or in any derivative version, provided, however, that the eGenix.com Public License Agreement is retained in the Software, or in any derivative version of the Software prepared by Licensee.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> NO WARRANTY\n\n   eGenix.com is making the Software available to Licensee on an \"AS IS\" basis. SUBJECT TO ANY STATUTORY WARRANTIES WHICH CAN NOT BE EXCLUDED, EGENIX.COM MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, EGENIX.COM MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> LIMITATION OF LIABILITY\n\n   EGENIX.COM SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THE SOFTWARE, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE EXCLUSION OR LIMITATION MAY NOT APPLY TO LICENSEE.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Termination\n\n   This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Third Party Rights\n\n   Any software or documentation in source or binary form provided along with the Software that is associated with a separate license agreement is licensed to Licensee under the terms of that license agreement. This License Agreement does not apply to those portions of the Software. Copies of the third party licenses are included in the Software Distribution.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> General\n\n   Nothing in this License Agreement affects any statutory rights of consumers that cannot be waived or limited by contract.\n\n   Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between eGenix.com and Licensee.\n\n   If any provision of this License Agreement shall be unlawful, void, or for any reason unenforceable, such provision shall be modified to the extent necessary to render it enforceable without losing its intent, or, if no such modification is possible, be severed from this License Agreement and shall not affect the validity and enforceability of the remaining provisions of this License Agreement.\n\n   This License Agreement shall be governed by and interpreted in all respects by the law of Germany, excluding conflict of law provisions. It shall not be governed by the United Nations Convention on Contracts for International Sale of Goods. This License Agreement does not grant permission to use eGenix.com trademarks or trade names in a trademark sense to endorse or promote products or services of Licensee, or any third party.\n\n   The controlling language of this License Agreement is English. If Licensee has received a translation into another language, it has been provided for Licensee's convenience only.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Agreement\n\nBy downloading, copying, installing or otherwise using the Software, Licensee agrees to be bound by the terms and conditions of this License Agreement. For question regarding this License Agreement, please write to:\n\neGenix.com Software, Skills and Services GmbH\n\nPastor-Loeh-Str. 48\n\nD-40764 Langenfeld\n\nGermany\n\n"
		self.name = "eGenix.com Public License 1.1.0"
		self.licenseId = "eGenix"
		self.crossRef = [{"match": "True", "url": "https://fedoraproject.org/wiki/Licensing/eGenix.com_Public_License_1.1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:13Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://www.egenix.com/products/eGenix.com-Public-License-1.1.0.pdf", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:14Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.egenix.com/products/eGenix.com-Public-License-1.1.0.pdf", "https://fedoraproject.org/wiki/Licensing/eGenix.com_Public_License_1.1.0"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>EGENIX.COM PUBLIC LICENSE AGREEMENT\n		<br />\n\nVersion 1.1.0\n	  </p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>This license agreement is based on the Python CNRI License Agreement, a widely accepted open- source\n		 license.</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Introduction\n			<br />\n\n   This &quot;License Agreement&quot; is between eGenix.com Software, Skills and Services GmbH\n				 (&quot;eGenix.com&quot;), having an office at Pastor-Loeh-Str. 48, D-40764 Langenfeld, Germany,\n				 and the Individual or Organization (&quot;Licensee&quot;) accessing and otherwise using this\n				 software in source or binary form and its associated documentation (&quot;the Software&quot;).\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  License\n			<br />\n\n   Subject to the terms and conditions of this eGenix.com Public License Agreement, eGenix.com\n				 hereby grants Licensee a non-exclusive, royalty-free, world-wide license to reproduce,\n				 analyze, test, perform and/or display publicly, prepare derivative works, distribute,\n				 and otherwise use the Software alone or in any derivative version, provided, however,\n				 that the eGenix.com Public License Agreement is retained in the Software, or in any\n				 derivative version of the Software prepared by Licensee.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  NO WARRANTY\n			<br />\n\n   eGenix.com is making the Software available to Licensee on an &quot;AS IS&quot; basis. SUBJECT TO ANY\n				 STATUTORY WARRANTIES WHICH CAN NOT BE EXCLUDED, EGENIX.COM MAKES NO REPRESENTATIONS OR\n				 WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, EGENIX.COM\n				 MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS\n				 FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE WILL NOT INFRINGE ANY THIRD\n				 PARTY RIGHTS.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  LIMITATION OF LIABILITY\n			<br />\n\n   EGENIX.COM SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE FOR ANY\n				 INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS (INCLUDING, WITHOUT LIMITATION,\n				 DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS\n				 INFORMATION, OR OTHER PECUNIARY LOSS) AS A RESULT OF USING, MODIFYING OR DISTRIBUTING\n				 THE SOFTWARE, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n				 SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR\n				 CONSEQUENTIAL DAMAGES, SO THE ABOVE EXCLUSION OR LIMITATION MAY NOT APPLY TO LICENSEE.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Termination\n			<br />\n\n   This License Agreement will automatically terminate upon a material breach of its terms and\n				 conditions.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Third Party Rights\n			<br />\n\n   Any software or documentation in source or binary form provided along with the Software\n				 that is associated with a separate license agreement is licensed to Licensee under the\n				 terms of that license agreement. This License Agreement does not apply to those\n				 portions of the Software. Copies of the third party licenses are included in the\n				 Software Distribution.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  General\n			<br />\n\n   Nothing in this License Agreement affects any statutory rights of consumers that cannot be\n				 waived or limited by contract.\n\n		  <p>Nothing in this License Agreement shall be deemed to create any relationship of agency,\n			 partnership, or joint venture between eGenix.com and Licensee.</p>\n\n			<p>If any provision of this License Agreement shall be unlawful, void, or for any reason\n			 unenforceable, such provision shall be modified to the extent necessary to render it\n			 enforceable without losing its intent, or, if no such modification is possible, be severed\n			 from this License Agreement and shall not affect the validity and enforceability of the\n			 remaining provisions of this License Agreement.</p>\n\n			<p>This License Agreement shall be governed by and interpreted in all respects by the law of\n			 Germany, excluding conflict of law provisions. It shall not be governed by the United Nations\n			 Convention on Contracts for International Sale of Goods. This License Agreement does not grant\n			 permission to use eGenix.com trademarks or trade names in a trademark sense to endorse or\n			 promote products or services of Licensee, or any third party.</p>\n\n			<p>The controlling language of this License Agreement is English. If Licensee has received a\n			 translation into another language, it has been provided for Licensee&apos;s convenience only.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Agreement\n		</li>\n	  \n</ul>\n	  <p>By downloading, copying, installing or otherwise using the Software, Licensee agrees to be bound by the\n		 terms and conditions of this License Agreement. For question regarding this License Agreement, please\n		 write to:\n		<br />\n\neGenix.com Software, Skills and Services GmbH\n		<br />\n\nPastor-Loeh-Str. 48\n		<br />\n\nD-40764 Langenfeld\n		<br />\n\nGermany\n	  </p>\n\n	"
		self.python_name = "eGenix"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBY30AU:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution 3.0 Australia\n\nCREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENCE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\nLicence\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENCE (\"LICENCE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORISED UNDER THIS LICENCE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENCE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	a. \"Collection\" means the Work in its entirety in unmodified form along with one or more other separate and independent works, assembled into a collective whole. A Collection may, for example, include a periodical, encyclopedia or anthology. A Collection will not be considered a Derivative Work for the purposes of this Licence.\n	b. \"Derivative Work\" means material in any form that is created by editing, modifying or adapting the Work, a substantial part of the Work, or the Work and other pre-existing works. Derivative Works may, for example, include a translation, adaptation, musical arrangement, dramatisation, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be transformed or adapted, except that a Collection will not be considered a Derivative Work for the purpose of this Licence. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this Licence.\n	c. \"Distribute\" means to make available to the public by any means, including publication, electronic communication, or broadcast.\n	d. \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this Licence.\n	e. \"Original Author\" means the individual, individuals, entity or entities who created the Work.\n	f. \"Reproduce\" means to make a copy of the Work in any material form (eg storage in digital form).\n	g. \"Work\" means the material (including any work or other subject matter) protected by copyright which is offered under the terms of this Licence. This may include (without limitation) a literary, dramatic, musical or artistic work; a sound recording or cinematograph film; a published edition of a literary, dramatic, musical or artistic work; or a television or sound broadcast.\n	h. \"You\" means an individual or entity exercising rights under this Licence who has not previously violated the terms of this Licence with respect to the Work, or who has received express permission from the Licensor to exercise rights under this Licence despite a previous violation.\n\n2. Fair Dealing and Other Rights\n\nNothing in this Licence is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions under copyright law or any other applicable laws.\n\n3. Licence Grant\n\n3A Grant of Rights\n\nProvided that the terms set out in this Licence are satisfied, the Licensor grants to You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) licence to exercise the following rights:\n	a. Reproduce the Work;\n	b. incorporate the Work into one or more Collections;\n	c. Reproduce the Work as incorporated in any Collection;\n	d. create and Reproduce one or more Derivative Works; and\n	e. Distribute and publicly perform the Work, a Derivative Work or the Work as incorporated in any Collection.\n\n3B Media and Formats\n\nThe above rights may be exercised in any media or format whether now known or hereafter created. They include the right to make modifications that are technically necessary to exercise the rights in other media and formats.\n\n3C Other Rights Reserved\n\nAll rights not expressly granted by the Licensor are reserved. The Licensor waives the right to collect royalties for any exercise by You of the rights granted under this Licence.\n\n4. Restrictions\n\nThe licence granted above is limited by the following restrictions.\n\n4A Restrictions on Distribution and Public Performance of the Work\n\n	a. You may Distribute and publicly perform the Work only under the terms of this Licence.\n	b. You must include a copy of, or the Uniform Resource Identifier (such as a web link) for, this Licence with every copy of the Work You Distribute or publicly perform.\n	c. You must not offer or impose any terms on the Work that restrict this Licence or the ability of a recipient of the Work from You to exercise the rights granted to them by this Licence.\n	d. You are not granted the right to sublicense the Work. The rights of recipients of the Work from You are governed by clause 9.\n	e. You must keep intact all notices that refer to this Licence and to the disclaimer of warranties with every copy of the Work You Distribute or publicly perform.\n	f. When You Distribute or publicly perform the Work, You must not impose any technological measures on it that restrict the ability of a recipient of the Work from You to exercise the rights granted to them by this Licence.\n	g. For the avoidance of doubt, while this clause 4A applies to the Work as incorporated into a Collection, it does not require other material within the Collection, or the Collection apart from the Work itself, to be made subject to this Licence.\n\n4B Attribution and Notice Requirements\n\n	a. When You Distribute or publicly perform the Work or any Derivative Work or Collection You must keep intact all copyright notices for the Work.\n	b. When You Distribute or publicly perform the Work or any Derivative Work or Collection You must provide, in a manner reasonable to the medium or means You are using:\n		i. the name or pseudonym (if provided) of the Original Author and/or of any other party (such as a sponsor institute, publishing entity or journal) that the Original Author or Licensor has requested be attributed (such as in the copyright notice or terms of use). In this clause 4B these parties are referred to as \"Attribution Parties\";\n		ii. the title of the Work (if provided); and\n		iii. to the extent reasonably practicable, any Uniform Resource Identifier (such as a web link) that the Licensor specifies should be associated with the Work that refers to the copyright notice or licensing information for the Work.\n	c. For any Derivative Work You Distribute or publicly perform, You must take reasonable steps to clearly identify that changes were made to the Work. For example, a translation could be marked \"The original work was translated from English to Spanish\".\n	d. In the case of a Derivative Work or Collection, the above attribution should, at a minimum, appear as part of any credits for other contributing authors and be as prominent as the credits for those other authors.\n	e. You must, to the extent practicable, remove the above attribution from any Collection or Derivative Work if requested to do so by the Licensor or Original Author.\n	f. For the avoidance of doubt, You may only use the credit required by this clause 4B for the purpose of attribution in the manner set out above. By exercising Your rights under this Licence, You must not assert or imply:\n		i. any connection between the Original Author, Licensor or any other Attribution Party and You or Your use of the Work; or\n		ii. sponsorship or endorsement by the Original Author, Licensor or any other Attribution Party of You or Your use of the Work,\n	without their separate, express prior written permission.\n\n4C Moral Rights\n\nMoral rights remain unaffected to the extent they are recognised and nonwaivable at law. In this clause 4C, \"moral rights\" means the personal rights granted by law to the Original Author of a copyright work. For example, Part IX of the Copyright Act 1968 (Cth) grants authors the right of integrity of authorship, the right of attribution of authorship, and the right not to have authorship Falsely attributed.\n\n5. Representations, Warranties and Disclaimer\n\nExcept as expressly stated in this Licence or otherwise agreed to by the parties in writing, and to the full extent permitted by applicable law, the Licensor offers the Work \"as-is\" and makes no representations, warranties or conditions of any kind concerning the Work, express, implied, statutory or otherwise. This includes, without limitation, any representations, warranties or conditions regarding:\n	a. the contents or accuracy of the Work;\n		i. title, merchantability, or fitness for a particular purpose;\n		ii. non-infringement;\n		iii. the absence of latent or other defects; or\n		iv. the presence or absence of errors, whether or not discoverable.\n	b. The Trade Practices Act 1974 (Cth), and the corresponding State and Territory fair trading legislation, imply certain warranties and conditions in certain circumstances, such as the right to supply or fitness for purpose of goods or services supplied to a consumer. Clause 5(a) cannot and is not intended to exclude, restrict or modify these warranties.\n\n6. Limit of Liability\n\n	a. To the full extent permitted by applicable law, and except for any liability arising from contrary agreement, in no event will the Licensor be liable to You on any legal basis (including without limitation, negligence) for any loss or damage whatsoever, including (without limitation):\n		i. loss of production or operation time, loss, damage or corruption of data or records; or\n		ii. loss of anticipated savings, opportunity, revenue, profit or goodwill, or other economic loss; or\n		iii. any special, incidental, consequential, punitive or exemplary damages arising out of or in connection with this Licence or the use of the Work, even if the Licensor has been advised of the possibility of such damages.\n	b. If applicable legislation implies warranties or conditions, or imposes obligations or liability on the Licensor in respect of this Licence that cannot be wholly or partly excluded, restricted or modified, the Licensor\u2019s liability is limited, to the full extent permitted by the applicable legislation, at its option, to:\n		i. in the case of goods, any one or more of the following:\n			* the replacement of the goods or the supply of equivalent goods;\n			* the repair of the goods;\n			* the payment of the cost of replacing the goods or of acquiring equivalent goods;\n			* the payment of the cost of having the goods repaired; or\n		ii. in the case of services:\n			* the supplying of the services again; or\n			* the payment of the cost of having the services supplied again.\n	c. The Trade Practices Act 1974 (Cth), and the corresponding State and Territory fair trading legislation, restrict the limitation of liability in certain circumstances, such as a contract for the supply of goods or services of a kind ordinarily acquired for personal, domestic, or household use. Clauses 6(a) and 6(b) cannot and are not intended to apply in circumstances where it is prohibited by law.\n\n7. Termination\n\nThis Licence and the rights granted to You under this Licence shall terminate automatically upon any breach by You of the terms of the Licence. Individuals or entities who have received a Derivative Work or a Collection from You pursuant to this Licence, however, will not have their licences terminated provided they remain in full compliance with those licences. Clauses 1, 2, 5, 6, 7, 8, 9, 10, 11, 12 and 13 shall survive any termination of this Licence.\n\n8. Licensor\u2019s Rights Retained\n\nSubject to the above terms, the Licence granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding this, the Licensor reserves the right to release the Work under different licence terms or to stop distributing the Work at any time. However, any such release will not serve to withdraw this Licence (or any other licence that has been granted under the terms of this Licence), and this Licence will continue in full force and effect unless terminated as stated above.\n\n9. Licence Grant to Recipients of the Work from You\n\nEach time You Distribute or publicly perform the Work, a Derivative Work or a Collection the Licensor offers the recipient a licence to the Work on the same terms as are granted to You under this Licence.\n\n10. Severability\n\nIf any provision of this Licence is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Licence. Without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n11. Waivers and Consents\n\nNo term of this Licence shall be deemed waived and no breach consented to unless such waiver or consent is in writing and signed by the relevant party.\n\n12. Entire Agreement\n\nThis Licence constitutes the entire agreement between the parties. To the full extent permitted by law, there are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication from You. This Licence may not be modified without the written agreement of the Licensor and You.\n\n13. Governing Law\n\nThe construction, validity and performance of this Licence shall be governed by the laws in force in the Australian Capital Territory, Australia.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this Licence, and, to the full extent permitted by applicable law, makes no representation or warranty whatsoever in connection with the Work. To the full extent permitted by applicable law, Creative Commons will not be liable to You or any party on any legal theory (including, without limitation, negligence) for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this licence. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor. Except for the limited purpose of indicating to the public that the Work is licensed under the Licence, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons\u2019 then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at https://creativecommons.org/ .\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution 3.0 Australia\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENCE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENCE (\"LICENCE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORISED UNDER THIS LICENCE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENCE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collection\" means the Work in its entirety in unmodified form along with one or more other separate and independent works, assembled into a collective whole. A Collection may, for example, include a periodical, encyclopedia or anthology. A Collection will not be considered a Derivative Work for the purposes of this Licence.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means material in any form that is created by editing, modifying or adapting the Work, a substantial part of the Work, or the Work and other pre-existing works. Derivative Works may, for example, include a translation, adaptation, musical arrangement, dramatisation, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be transformed or adapted, except that a Collection will not be considered a Derivative Work for the purpose of this Licence. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this Licence.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Distribute\" means to make available to the public by any means, including publication, electronic communication, or broadcast.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this Licence.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Original Author\" means the individual, individuals, entity or entities who created the Work.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Reproduce\" means to make a copy of the Work in any material form (eg storage in digital form).\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"Work\" means the material (including any work or other subject matter) protected by copyright which is offered under the terms of this Licence. This may include (without limitation) a literary, dramatic, musical or artistic work; a sound recording or cinematograph film; a published edition of a literary, dramatic, musical or artistic work; or a television or sound broadcast.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this Licence who has not previously violated the terms of this Licence with respect to the Work, or who has received express permission from the Licensor to exercise rights under this Licence despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Dealing and Other Rights Nothing in this Licence is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions under copyright law or any other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant\n\n   3A Grant of Rights\n\n   Provided that the terms set out in this Licence are satisfied, the Licensor grants to You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) licence to exercise the following rights:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Reproduce the Work;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> incorporate the Work into one or more Collections;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Reproduce the Work as incorporated in any Collection;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> create and Reproduce one or more Derivative Works; and\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Distribute and publicly perform the Work, a Derivative Work or the Work as incorporated in any Collection.\n\n   3B Media and Formats\n\n   The above rights may be exercised in any media or format whether now known or hereafter created. They include the right to make modifications that are technically necessary to exercise the rights in other media and formats.\n\n   3C Other Rights Reserved\n\n   All rights not expressly granted by the Licensor are reserved. The Licensor waives the right to collect royalties for any exercise by You of the rights granted under this Licence.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions\n\n   The licence granted above is limited by the following restrictions.\n\n	  4A Restrictions on Distribution and Public Performance of the Work\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may Distribute and publicly perform the Work only under the terms of this Licence.\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You must include a copy of, or the Uniform Resource Identifier (such as a web link) for, this Licence with every copy of the Work You Distribute or publicly perform.\n\n		 <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You must not offer or impose any terms on the Work that restrict this Licence or the ability of a recipient of the Work from You to exercise the rights granted to them by this Licence.\n\n		 <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> You are not granted the right to sublicense the Work. The rights of recipients of the Work from You are governed by clause 9.\n\n		 <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> You must keep intact all notices that refer to this Licence and to the disclaimer of warranties with every copy of the Work You Distribute or publicly perform.\n\n		 <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> When You Distribute or publicly perform the Work, You must not impose any technological measures on it that restrict the ability of a recipient of the Work from You to exercise the rights granted to them by this Licence.\n\n		 <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> For the avoidance of doubt, while this clause 4A applies to the Work as incorporated into a Collection, it does not require other material within the Collection, or the Collection apart from the Work itself, to be made subject to this Licence.\n\n	  4B Attribution and Notice Requirements\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> When You Distribute or publicly perform the Work or any Derivative Work or Collection You must keep intact all copyright notices for the Work.\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> When You Distribute or publicly perform the Work or any Derivative Work or Collection You must provide, in a manner reasonable to the medium or means You are using:\n\n			<<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> the name or pseudonym (if provided) of the Original Author and/or of any other party (such as a sponsor institute, publishing entity or journal) that the Original Author or Licensor has requested be attributed (such as in the copyright notice or terms of use). In this clause 4B these parties are referred to as \"Attribution Parties\";\n\n			<<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> the title of the Work (if provided); and\n\n			<<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> to the extent reasonably practicable, any Uniform Resource Identifier (such as a web link) that the Licensor specifies should be associated with the Work that refers to the copyright notice or licensing information for the Work.\n\n		 <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For any Derivative Work You Distribute or publicly perform, You must take reasonable steps to clearly identify that changes were made to the Work. For example, a translation could be marked \"The original work was translated from English to Spanish\".\n\n		 <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> In the case of a Derivative Work or Collection, the above attribution should, at a minimum, appear as part of any credits for other contributing authors and be as prominent as the credits for those other authors.\n\n		 <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> You must, to the extent practicable, remove the above attribution from any Collection or Derivative Work if requested to do so by the Licensor or Original Author.\n\n		 <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> For the avoidance of doubt, You may only use the credit required by this clause 4B for the purpose of attribution in the manner set out above. By exercising Your rights under this Licence, You must not assert or imply:\n\n			<<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> any connection between the Original Author, Licensor or any other Attribution Party and You or Your use of the Work; or\n\n			<<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> sponsorship or endorsement by the Original Author, Licensor or any other Attribution Party of You or Your use of the Work,\n\n		 without their separate, express prior written permission.\n\n	  4C Moral Rights\n\n	  Moral rights remain unaffected to the extent they are recognised and nonwaivable at law. In this clause 4C, \"moral rights\" means the personal rights granted by law to the Original Author of a copyright work. For example, Part IX of the Copyright Act 1968 (Cth) grants authors the right of integrity of authorship, the right of attribution of authorship, and the right not to have authorship Falsely attributed.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Except as expressly stated in this Licence or otherwise agreed to by the parties in writing, and to the full extent permitted by applicable law, the Licensor offers the Work \"as-is\" and makes no representations, warranties or conditions of any kind concerning the Work, express, implied, statutory or otherwise. This includes, without limitation, any representations, warranties or conditions regarding:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> the contents or accuracy of the Work;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> title, merchantability, or fitness for a particular purpose;\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> non-infringement;\n\n		 <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> the absence of latent or other defects; or\n\n		 <<var;name=\"bullet\";original=\"v.\";match=\".{0,20}\">> the presence or absence of errors, whether or not discoverable.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> The Trade Practices Act 1974 (Cth), and the corresponding State and Territory fair trading legislation, imply certain warranties and conditions in certain circumstances, such as the right to supply or fitness for purpose of goods or services supplied to a consumer. Clause 5(a) cannot and is not intended to exclude, restrict or modify these warranties.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limit of Liability\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> To the full extent permitted by applicable law, and except for any liability arising from contrary agreement, in no event will the Licensor be liable to You on any legal basis (including without limitation, negligence) for any loss or damage whatsoever, including (without limitation):\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> loss of production or operation time, loss, damage or corruption of data or records; or\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> loss of anticipated savings, opportunity, revenue, profit or goodwill, or other economic loss; or\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> any special, incidental, consequential, punitive or exemplary damages arising out of or in connection with this Licence or the use of the Work, even if the Licensor has been advised of the possibility of such damages.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If applicable legislation implies warranties or conditions, or imposes obligations or liability on the Licensor in respect of this Licence that cannot be wholly or partly excluded, restricted or modified, the Licensor's liability is limited, to the full extent permitted by the applicable legislation, at its option, to:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> in the case of goods, any one or more of the following:\n\n			<<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> the replacement of the goods or the supply of equivalent goods;\n\n			<<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> the repair of the goods;\n\n			<<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> the payment of the cost of replacing the goods or of acquiring equivalent goods;\n\n			<<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> the payment of the cost of having the goods repaired; or\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> in the case of services:\n\n			<<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> the supplying of the services again; or\n\n			<<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> the payment of the cost of having the services supplied again.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> The Trade Practices Act 1974 (Cth), and the corresponding State and Territory fair trading legislation, restrict the limitation of liability in certain circumstances, such as a contract for the supply of goods or services of a kind ordinarily acquired for personal, domestic, or household use. Clauses 6(a) and 6(b) cannot and are not intended to apply in circumstances where it is prohibited by law.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n   This Licence and the rights granted to You under this Licence shall terminate automatically upon any breach by You of the terms of the Licence. Individuals or entities who have received a Derivative Work or a Collection from You pursuant to this Licence, however, will not have their licences terminated provided they remain in full compliance with those licences. Clauses 1, 2, 5, 6, 7, 8, 9, 10, 11, 12 and 13 shall survive any termination of this Licence.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Licensor's Rights Retained\n\n   Subject to the above terms, the Licence granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding this, the Licensor reserves the right to release the Work under different licence terms or to stop distributing the Work at any time. However, any such release will not serve to withdraw this Licence (or any other licence that has been granted under the terms of this Licence), and this Licence will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Licence Grant to Recipients of the Work from You\n\n   Each time You Distribute or publicly perform the Work, a Derivative Work or a Collection the Licensor offers the recipient a licence to the Work on the same terms as are granted to You under this Licence.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Severability\n\n   If any provision of this Licence is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Licence. Without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Waivers and Consents\n\n   No term of this Licence shall be deemed waived and no breach consented to unless such waiver or consent is in writing and signed by the relevant party.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Entire Agreement\n\n   This Licence constitutes the entire agreement between the parties. To the full extent permitted by law, there are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication from You. This Licence may not be modified without the written agreement of the Licensor and You.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Governing Law\n\n   The construction, validity and performance of this Licence shall be governed by the laws in force in the Australian Capital Territory, Australia.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this Licence, and, to the full extent permitted by applicable law, makes no representation or warranty whatsoever in connection with the Work. To the full extent permitted by applicable law, Creative Commons will not be liable to You or any party on any legal theory (including, without limitation, negligence) for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this licence.\n\nNotwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor. Except for the limited purpose of indicating to the public that the Work is licensed under the Licence, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at https://creativecommons.org/ .\n\n"
		self.name = "Creative Commons Attribution 3.0 Australia"
		self.licenseId = "CC-BY-3.0-AU"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by/3.0/au/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:39Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by/3.0/au/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> \n				<p>Creative Commons Attribution 3.0 Australia</p>\n\n			</div>\n			<div class=\"optional-license-text\"> \n				<p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL\n					SERVICES. DISTRIBUTION OF THIS LICENCE DOES NOT CREATE AN ATTORNEY-CLIENT\n					RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN &quot;AS-IS&quot; BASIS.\n					CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND\n					DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n				<p>License</p>\n\n			</div>\n			<p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\n				PUBLIC LICENCE (&quot;LICENCE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER\n				APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORISED UNDER THIS LICENCE OR\n				COPYRIGHT LAW IS PROHIBITED.</p>\n\n			<p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND\n				BY THE TERMS OF THIS LICENCE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN\n				CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.</var> Definitions \n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> &quot;Collection&quot; means the Work in its entirety in\n							unmodified form along with one or more other separate and independent\n							works, assembled into a collective whole. A Collection may, for example,\n							include a periodical, encyclopedia or anthology. A Collection will not\n							be considered a Derivative Work for the purposes of this Licence. </li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> &quot;Derivative Work&quot; means material in any form that is\n							created by editing, modifying or adapting the Work, a substantial part\n							of the Work, or the Work and other pre-existing works. Derivative Works\n							may, for example, include a translation, adaptation, musical\n							arrangement, dramatisation, motion picture version, sound recording, art\n							reproduction, abridgment, condensation, or any other form in which the\n							Work may be transformed or adapted, except that a Collection will not be\n							considered a Derivative Work for the purpose of this Licence. For the\n							avoidance of doubt, where the Work is a musical composition or sound\n							recording, the synchronization of the Work in timed-relation with a\n							moving image (&quot;synching&quot;) will be considered a Derivative Work for the\n							purpose of this Licence. </li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var> &quot;Distribute&quot; means to make available to the public\n							by any means, including publication, electronic communication, or\n							broadcast. </li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var> &quot;Licensor&quot; means the individual, individuals, entity\n							or entities that offer(s) the Work under the terms of this Licence. </li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e.</var> &quot;Original Author&quot; means the individual, individuals,\n							entity or entities who created the Work. </li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> f.</var> &quot;Reproduce&quot; means to make a copy of the Work in any\n							material form (eg storage in digital form). </li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> g.</var> &quot;Work&quot; means the material (including any work or\n							other subject matter) protected by copyright which is offered under the\n							terms of this Licence. This may include (without limitation) a literary,\n							dramatic, musical or artistic work; a sound recording or cinematograph\n							film; a published edition of a literary, dramatic, musical or artistic\n							work; or a television or sound broadcast. </li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> h.</var> &quot;You&quot; means an individual or entity exercising\n							rights under this Licence who has not previously violated the terms of\n							this Licence with respect to the Work, or who has received express\n							permission from the Licensor to exercise rights under this Licence\n							despite a previous violation. </li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.</var> Fair Dealing and Other Rights\n					Nothing in this Licence is\n					intended to reduce, limit, or restrict any uses free from copyright or rights\n					arising from limitations or exceptions under copyright law or any other\n					applicable laws. </li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.</var> License Grant\n					<p>3A Grant of Rights</p>\n\n					<p>Provided that the\n						terms set out in this Licence are satisfied, the Licensor grants to You a\n						worldwide, royalty-free, non-exclusive, perpetual (for the duration of the\n						applicable copyright) licence to exercise the following rights: </p>\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> Reproduce the Work; </li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> incorporate the Work into one or more Collections; </li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var> Reproduce the Work as incorporated in any\n							Collection; </li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var> create and Reproduce one or more Derivative Works;\n							and </li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e.</var> Distribute and publicly perform the Work, a\n							Derivative Work or the Work as incorporated in any Collection. </li>\n					\n</ul>\n					<p>3B Media and Formats</p>\n\n					<p>The above rights may be exercised in any media or\n						format whether now known or hereafter created. They include the right to\n						make modifications that are technically necessary to exercise the rights in\n						other media and formats.</p>\n\n					<p>3C Other Rights Reserved</p>\n\n					<p>All rights not expressly granted by the Licensor\n						are reserved. The Licensor waives the right to collect royalties for any\n						exercise by You of the rights granted under this Licence.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.</var> Restrictions\n					<p>The licence granted above is limited by the\n					following restrictions.</p>\n \n<ul style=\"list-style:none\">\n						\n<li>4A Restrictions on Distribution and Public Performance of the\n							Work</li>\n						\n<li>\n							\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> a.</var> You may Distribute and publicly perform the\n									Work only under the terms of this Licence. </li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> b.</var> You must include a copy of, or the Uniform\n									Resource Identifier (such as a web link) for, this Licence with\n									every copy of the Work You Distribute or publicly perform. </li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> c.</var> You must not offer or impose any terms on\n									the Work that restrict this Licence or the ability of a\n									recipient of the Work from You to exercise the rights granted to\n									them by this Licence. </li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> d.</var> You are not granted the right to sublicense\n									the Work. The rights of recipients of the Work from You are\n									governed by clause 9. </li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> e.</var> You must keep intact all notices that refer\n									to this Licence and to the disclaimer of warranties with every\n									copy of the Work You Distribute or publicly perform. </li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> f.</var> When You Distribute or publicly perform the\n									Work, You must not impose any technological measures on it that\n									restrict the ability of a recipient of the Work from You to\n									exercise the rights granted to them by this Licence. </li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> g.</var> For the avoidance of doubt, while this\n									clause 4A applies to the Work as incorporated into a Collection,\n									it does not require other material within the Collection, or the\n									Collection apart from the Work itself, to be made subject to\n									this Licence. </li>\n							\n</ul>\n						</li>\n						\n<li>4B Attribution and Notice Requirements</li>\n						\n<li>\n							\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> a.</var> When You Distribute or publicly perform the\n									Work or any Derivative Work or Collection You must keep intact\n									all copyright notices for the Work. </li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> b.</var> When You Distribute or publicly perform the\n									Work or any Derivative Work or Collection You must provide, in a\n									manner reasonable to the medium or means You are using: \n<ul style=\"list-style:none\">\n										\n<li>\n											<var class=\"replaceable-license-text\"> i.</var> the name or pseudonym (if provided)\n											of the Original Author and/or of any other party (such\n											as a sponsor institute, publishing entity or journal)\n											that the Original Author or Licensor has requested be\n											attributed (such as in the copyright notice or terms of\n											use). In this clause 4B these parties are referred to as\n											&quot;Attribution Parties&quot;; </li>\n										\n<li>\n											<var class=\"replaceable-license-text\"> ii.</var> the title of the Work (if\n											provided); and </li>\n										\n<li>\n											<var class=\"replaceable-license-text\"> iii.</var> to the extent reasonably\n											practicable, any Uniform Resource Identifier (such as a\n											web link) that the Licensor specifies should be\n											associated with the Work that refers to the copyright\n											notice or licensing information for the Work. </li>\n									\n</ul>\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> c.</var> For any Derivative Work You Distribute or\n									publicly perform, You must take reasonable steps to clearly\n									identify that changes were made to the Work. For example, a\n									translation could be marked &quot;The original work was translated\n									from English to Spanish&quot;. </li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> d.</var> In the case of a Derivative Work or\n									Collection, the above attribution should, at a minimum, appear\n									as part of any credits for other contributing authors and be as\n									prominent as the credits for those other authors. </li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> e.</var> You must, to the extent practicable, remove\n									the above attribution from any Collection or Derivative Work if\n									requested to do so by the Licensor or Original Author. </li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> f.</var> For the avoidance of doubt, You may only use\n									the credit required by this clause 4B for the purpose of\n									attribution in the manner set out above. By exercising Your\n									rights under this Licence, You must not assert or imply: \n<ul style=\"list-style:none\">\n										\n<li>\n											<var class=\"replaceable-license-text\"> i.</var> any connection between the Original\n											Author, Licensor or any other Attribution Party and You\n											or Your use of the Work; or </li>\n										\n<li>\n											<var class=\"replaceable-license-text\"> ii.</var> sponsorship or endorsement by the\n											Original Author, Licensor or any other Attribution Party\n											of You or Your use of the Work, </li>\n									\n</ul>\n									<p>without their separate, express prior written permission.</p>\n\n								</li>\n							\n</ul>\n						</li>\n						\n<li>4C Moral Rights <p> Moral rights remain unaffected to the extent they\n								are recognised and nonwaivable at law. In this clause 4C, &quot;moral\n								rights&quot; means the personal rights granted by law to the Original\n								Author of a copyright work. For example, Part IX of the Copyright\n								Act 1968 (Cth) grants authors the right of integrity of authorship,\n								the right of attribution of authorship, and the right not to have\n								authorship Falsely attributed.</p>\n</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 5.</var> Representations, Warranties and Disclaimer \n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> Except as expressly stated in this Licence or\n							otherwise agreed to by the parties in writing, and to the full extent\n							permitted by applicable law, the Licensor offers the Work &quot;as-is&quot; and\n							makes no representations, warranties or conditions of any kind\n							concerning the Work, express, implied, statutory or otherwise. This\n							includes, without limitation, any representations, warranties or\n							conditions regarding: </li>\n						\n<li>\n							\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> i.</var> the contents or accuracy of the Work; </li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> ii.</var> title, merchantability, or fitness for a\n									particular purpose; </li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> iii.</var> non-infringement; </li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> iv.</var> the absence of latent or other defects; or </li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> v.</var> the presence or absence of errors, whether\n									or not discoverable. </li>\n							\n</ul>\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> The Trade Practices Act 1974 (Cth), and the\n							corresponding State and Territory fair trading legislation, imply\n							certain warranties and conditions in certain circumstances, such as the\n							right to supply or fitness for purpose of goods or services supplied to\n							a consumer. Clause 5(a) cannot and is not intended to exclude, restrict\n							or modify these warranties. </li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 6.</var> Limit of Liability\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> To the full extent permitted by applicable law, and\n							except for any liability arising from contrary agreement, in no event\n							will the Licensor be liable to You on any legal basis (including without\n							limitation, negligence) for any loss or damage whatsoever, including\n							(without limitation): </li>\n						\n<li>\n							\n<ul style=\"list-style:none\">\n								\n<li><var class=\"replaceable-license-text\"> i.</var> loss of production or operation time,\n									loss, damage or corruption of data or records; or </li>\n								\n<li><var class=\"replaceable-license-text\"> ii.</var> loss of anticipated savings, opportunity,\n									revenue, profit or goodwill, or other economic loss; or </li>\n								\n<li><var class=\"replaceable-license-text\"> iii.</var> any special, incidental, consequential,\n									punitive or exemplary damages arising out of or in connection\n									with this Licence or the use of the Work, even if the Licensor\n									has been advised of the possibility of such damages.</li>\n							\n</ul>\n						</li>\n						\n<li><var class=\"replaceable-license-text\"> b.</var> If applicable legislation implies warranties or\n							conditions, or imposes obligations or liability on the Licensor in\n							respect of this Licence that cannot be wholly or partly excluded,\n							restricted or modified, the Licensor&apos;s liability is limited, to the full\n							extent permitted by the applicable legislation, at its option, to: </li>\n						\n<li>\n							\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> i.</var> in the case of goods, any one or more of the\n									following: </li>\n								\n<li>\n									\n<ul style=\"list-style:none\">\n										\n<li><var class=\"replaceable-license-text\"> *</var> the replacement of the goods or the supply\n											of equivalent goods; </li>\n										\n<li><var class=\"replaceable-license-text\"> *</var> the repair of the goods; </li>\n										\n<li><var class=\"replaceable-license-text\"> *</var> the payment of the cost of replacing the\n											goods or of acquiring equivalent goods; </li>\n										\n<li><var class=\"replaceable-license-text\"> *</var> the payment of the cost of having the goods\n											repaired; or </li>\n									\n</ul>\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> ii.</var> in the case of services: </li>\n								\n<li>\n									\n<ul style=\"list-style:none\">\n										\n<li><var class=\"replaceable-license-text\"> *</var> the supplying of the services again; or </li>\n										\n<li><var class=\"replaceable-license-text\"> *</var> the payment of the cost of having the\n											services supplied again.</li>\n									\n</ul>\n								</li>\n							\n</ul>\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var> The Trade Practices Act 1974 (Cth), and the\n							corresponding State and Territory fair trading legislation, restrict the\n							limitation of liability in certain circumstances, such as a contract for\n							the supply of goods or services of a kind ordinarily acquired for\n							personal, domestic, or household use. Clauses 6(a) and 6(b) cannot and\n							are not intended to apply in circumstances where it is prohibited by\n							law. </li>\n					\n</ul></li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 7.</var> Termination <p>This Licence and the rights granted to You\n						under this Licence shall terminate automatically upon any breach by You of\n						the terms of the Licence. Individuals or entities who have received a\n						Derivative Work or a Collection from You pursuant to this Licence, however,\n						will not have their licences terminated provided they remain in full\n						compliance with those licences. Clauses 1, 2, 5, 6, 7, 8, 9, 10, 11, 12 and\n						13 shall survive any termination of this Licence.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 8.</var> Licensor&apos;s Rights Retained <p>Subject to the above terms,\n						the Licence granted here is perpetual (for the duration of the applicable\n						copyright in the Work). Notwithstanding this, the Licensor reserves the\n						right to release the Work under different licence terms or to stop\n						distributing the Work at any time. However, any such release will not serve\n						to withdraw this Licence (or any other licence that has been granted under\n						the terms of this Licence), and this Licence will continue in full force and\n						effect unless terminated as stated above.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 9.</var> Licence Grant to Recipients of the Work from You <p>Each\n						time You Distribute or publicly perform the Work, a Derivative Work or a\n						Collection the Licensor offers the recipient a licence to the Work on the\n						same terms as are granted to You under this Licence.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 10.</var> Severability <p>If any provision of this Licence is invalid\n						or unenforceable under applicable law, it shall not affect the validity or\n						enforceability of the remainder of the terms of this Licence. Without\n						further action by the parties to this agreement, such provision shall be\n						reformed to the minimum extent necessary to make such provision valid and\n						enforceable.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 11.</var> Waivers and Consents <p>No term of this Licence shall be\n						deemed waived and no breach consented to unless such waiver or consent is in\n						writing and signed by the relevant party.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 12.</var> Entire Agreement <p>This Licence constitutes the entire\n						agreement between the parties. To the full extent permitted by law, there\n						are no understandings, agreements or representations with respect to the\n						Work not specified here. The Licensor shall not be bound by any additional\n						provisions that may appear in any communication from You. This Licence may\n						not be modified without the written agreement of the Licensor and You.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 13.</var> Governing Law <p>The construction, validity and performance\n						of this Licence shall be governed by the laws in force in the Australian\n						Capital Territory, Australia.</p>\n\n				</li>\n			\n</ul><p>Creative Commons Notice</p>\n\n			<p>Creative Commons is not a party to this Licence, and, to the full extent permitted by\n				applicable law, makes no representation or warranty whatsoever in connection with\n				the Work. To the full extent permitted by applicable law, Creative Commons will not\n				be liable to You or any party on any legal theory (including, without limitation,\n				negligence) for any damages whatsoever, including without limitation any general,\n				special, incidental or consequential damages arising in connection to this\n				licence.</p>\n\n			<p>Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly\n				identified itself as the Licensor hereunder, it shall have all rights and\n				obligations of Licensor. Except for the limited purpose of indicating to the public\n				that the Work is licensed under the Licence, neither party will use the trademark\n				&quot;Creative Commons&quot; or any related trademark or logo of Creative Commons without the\n				prior written consent of Creative Commons. Any permitted use will be in compliance\n				with Creative Commons&apos; then-current trademark usage guidelines, as may be published\n				on its website or otherwise made available upon request from time to time.</p>\n\n			<p>Creative Commons may be contacted at https://creativecommons.org/ .</p>\n\n		"
		self.python_name = "CCBY30AU"

	def __str__(self):
		return json.dumps(self.__dict__)


class NetCDF:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1993-2014 University Corporation for Atmospheric Research/Unidata\n\nPortions of this software were developed by the Unidata Program at the University Corporation for Atmospheric Research.\n\nAccess and use of this software shall impose the following obligations and understandings on the user. The user is granted the right, without any fee or cost, to use, copy, modify, alter, enhance and distribute this software, and any derivative works thereof, and its supporting documentation for any purpose whatsoever, provided that this entire notice appears in all copies of the software, derivative works and supporting documentation. Further, UCAR requests that the user credit UCAR/Unidata in any publications that result from the use of this software or in any product that includes this software, although this is not an obligation. The names UCAR and/or Unidata, however, may not be used in any advertising or publicity to endorse or promote any products or commercial entity unless specific written permission is obtained from UCAR/Unidata. The user also understands that UCAR/Unidata is not obligated to provide the user with any support, consulting, training or assistance of any kind with regard to the use, operation and performance of this software nor to provide the user with any updates, revisions, new versions or \"bug fixes.\"\n\nTHIS SOFTWARE IS PROVIDED BY UCAR/UNIDATA \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL UCAR/UNIDATA BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE ACCESS, USE OR PERFORMANCE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1993-2014 University Corporation for Atmospheric Research/Unidata  \";match=\".{0,5000}\">>\n\nPortions of this software were developed by the Unidata Program at the University Corporation for Atmospheric Research.\n\nAccess and use of this software shall impose the following obligations and understandings on the user. The user is granted the right, without any fee or cost, to use, copy, modify, alter, enhance and distribute this software, and any derivative works thereof, and its supporting documentation for any purpose whatsoever, provided that this entire notice appears in all copies of the software, derivative works and supporting documentation. Further, UCAR requests that the user credit UCAR/Unidata in any publications that result from the use of this software or in any product that includes this software, although this is not an obligation. The names UCAR and/or Unidata, however, may not be used in any advertising or publicity to endorse or promote any products or commercial entity unless specific written permission is obtained from UCAR/Unidata. The user also understands that UCAR/Unidata is not obligated to provide the user with any support, consulting, training or assistance of any kind with regard to the use, operation and performance of this software nor to provide the user with any updates, revisions, new versions or \"bug fixes.\"\n\nTHIS SOFTWARE IS PROVIDED BY UCAR/UNIDATA \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL UCAR/UNIDATA BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE ACCESS, USE OR PERFORMANCE OF THIS SOFTWARE.\n\n"
		self.name = "NetCDF license"
		self.licenseId = "NetCDF"
		self.crossRef = [{"match": "False", "url": "http://www.unidata.ucar.edu/software/netcdf/copyright.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:49Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.unidata.ucar.edu/software/netcdf/copyright.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1993-2014 University Corporation for Atmospheric Research/Unidata</p>\n\n	  </div>\n\n	  <p>Portions of this software were developed by the Unidata Program at the University Corporation for\n		 Atmospheric Research.</p>\n\n	  <p>Access and use of this software shall impose the following obligations and understandings on the user.\n		 The user is granted the right, without any fee or cost, to use, copy, modify, alter, enhance and\n		 distribute this software, and any derivative works thereof, and its supporting documentation for any\n		 purpose whatsoever, provided that this entire notice appears in all copies of the software, derivative\n		 works and supporting documentation. Further, UCAR requests that the user credit UCAR/Unidata in any\n		 publications that result from the use of this software or in any product that includes this software,\n		 although this is not an obligation. The names UCAR and/or Unidata, however, may not be used in any\n		 advertising or publicity to endorse or promote any products or commercial entity unless specific\n		 written permission is obtained from UCAR/Unidata. The user also understands that UCAR/Unidata is not\n		 obligated to provide the user with any support, consulting, training or assistance of any kind with\n		 regard to the use, operation and performance of this software nor to provide the user with any\n		 updates, revisions, new versions or &quot;bug fixes.&quot;</p>\n\n	  <p>THIS SOFTWARE IS PROVIDED BY UCAR/UNIDATA &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT\n		 NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE\n		 DISCLAIMED. IN NO EVENT SHALL UCAR/UNIDATA BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL\n		 DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF\n		 CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE ACCESS, USE OR\n		 PERFORMANCE OF THIS SOFTWARE.</p>\n\n	"
		self.python_name = "NetCDF"

	def __str__(self):
		return json.dumps(self.__dict__)


class Symlinks:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = " My \"symlinks\" utility pre-dates the \"open source licensing\"\nfad by a number of years. Just to clarify, this is 100%\nfreeware, written entirely by myself. The intent is to use\nit to detect missing/obsolete symlink targets on an installed\ndistro, before creating the \"gold\" (or \"final\") release discs.\n\nUse and distribute and modify as you (or anyone\nelse) sees fit. There have no formal restrictions or\nrequirements whatsoever regarding distribution of either\nbinaries or source code, whether modified or original.\n"
		self.standardLicenseTemplate = "My \"symlinks\" utility pre-dates the \"open source licensing\" fad by a number of years. Just to clarify, this is 100% freeware, written entirely by myself. The intent is to use it to detect missing/obsolete symlink targets on an installed distro, before creating the \"gold\" (or \"final\") release discs.\n\nUse and distribute and modify as you (or anyone else) sees fit. There have no formal restrictions or requirements whatsoever regarding distribution of either binaries or source code, whether modified or original.\n\n"
		self.name = "Symlinks License"
		self.licenseId = "Symlinks"
		self.crossRef = [{"match": "False", "url": "https://www.mail-archive.com/debian-bugs-rc@lists.debian.org/msg11494.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:31Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.mail-archive.com/debian-bugs-rc@lists.debian.org/msg11494.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			My &quot;symlinks&quot; utility pre-dates the &quot;open source licensing&quot;\n			fad by a number of years. Just to clarify, this is 100%\n			freeware, written entirely by myself. The intent is to use\n			it to detect missing/obsolete symlink targets on an installed\n			distro, before creating the &quot;gold&quot; (or &quot;final&quot;) release discs.\n		 </p>\n\n		 <p>\n			Use and distribute and modify as you (or anyone\n			else) sees fit. There have no formal restrictions or\n			requirements whatsoever regarding distribution of either\n			binaries or source code, whether modified or original.\n		 </p>\n\n	  "
		self.python_name = "Symlinks"

	def __str__(self):
		return json.dumps(self.__dict__)


class LGPL30:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "GNU LESSER GENERAL PUBLIC LICENSE\nVersion 3, 29 June 2007\n\nCopyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nThis version of the GNU Lesser General Public License incorporates the terms and conditions of version 3 of the GNU General Public License, supplemented by the additional permissions listed below.\n\n0. Additional Definitions.\n\nAs used herein, \"this License\" refers to version 3 of the GNU Lesser General Public License, and the \"GNU GPL\" refers to version 3 of the GNU General Public License.\n\n\"The Library\" refers to a covered work governed by this License, other than an Application or a Combined Work as defined below.\n\nAn \"Application\" is any work that makes use of an interface provided by the Library, but which is not otherwise based on the Library. Defining a subclass of a class defined by the Library is deemed a mode of using an interface provided by the Library.\n\nA \"Combined Work\" is a work produced by combining or linking an Application with the Library.  The particular version of the Library with which the Combined Work was made is also called the \"Linked Version\".\n\nThe \"Minimal Corresponding Source\" for a Combined Work means the Corresponding Source for the Combined Work, excluding any source code for portions of the Combined Work that, considered in isolation, are based on the Application, and not on the Linked Version.\n\nThe \"Corresponding Application Code\" for a Combined Work means the object code and/or source code for the Application, including any data and utility programs needed for reproducing the Combined Work from the Application, but excluding the System Libraries of the Combined Work.\n\n1. Exception to Section 3 of the GNU GPL.\nYou may convey a covered work under sections 3 and 4 of this License without being bound by section 3 of the GNU GPL.\n\n2. Conveying Modified Versions.\nIf you modify a copy of the Library, and, in your modifications, a facility refers to a function or data to be supplied by an Application that uses the facility (other than as an argument passed when the facility is invoked), then you may convey a copy of the modified version:\n\n	 a) under this License, provided that you make a good faith effort to ensure that, in the event an Application does not supply the function or data, the facility still operates, and performs whatever part of its purpose remains meaningful, or\n\n	 b) under the GNU GPL, with none of the additional permissions of this License applicable to that copy.\n\n3. Object Code Incorporating Material from Library Header Files.\nThe object code form of an Application may incorporate material from a header file that is part of the Library.  You may convey such object code under terms of your choice, provided that, if the incorporated material is not limited to numerical parameters, data structure layouts and accessors, or small macros, inline functions and templates (ten or fewer lines in length), you do both of the following:\n\n	 a) Give prominent notice with each copy of the object code that the Library is used in it and that the Library and its use are covered by this License.\n\n	 b) Accompany the object code with a copy of the GNU GPL and this license document.\n\n4. Combined Works.\nYou may convey a Combined Work under terms of your choice that, taken together, effectively do not restrict modification of the portions of the Library contained in the Combined Work and reverse engineering for debugging such modifications, if you also do each of the following:\n\n	 a) Give prominent notice with each copy of the Combined Work that the Library is used in it and that the Library and its use are covered by this License.\n\n	 b) Accompany the Combined Work with a copy of the GNU GPL and this license document.\n\n	 c) For a Combined Work that displays copyright notices during execution, include the copyright notice for the Library among these notices, as well as a reference directing the user to the copies of the GNU GPL and this license document.\n\n	 d) Do one of the following:\n\n		   0) Convey the Minimal Corresponding Source under the terms of this License, and the Corresponding Application Code in a form suitable for, and under terms that permit, the user to recombine or relink the Application with a modified version of the Linked Version to produce a modified Combined Work, in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.\n\n		  1) Use a suitable shared library mechanism for linking with the Library.  A suitable mechanism is one that (a) uses at run time a copy of the Library already present on the user's computer system, and (b) will operate properly with a modified version of the Library that is interface-compatible with the Linked Version.\n\n	 e) Provide Installation Information, but only if you would otherwise be required to provide such information under section 6 of the GNU GPL, and only to the extent that such information is necessary to install and execute a modified version of the Combined Work produced by recombining or relinking the Application with a modified version of the Linked Version. (If you use option 4d0, the Installation Information must accompany the Minimal Corresponding Source and Corresponding Application Code. If you use option 4d1, you must provide the Installation Information in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.)\n\n5. Combined Libraries.\nYou may place library facilities that are a work based on the Library side by side in a single library together with other library facilities that are not Applications and are not covered by this License, and convey such a combined library under terms of your choice, if you do both of the following:\n\n	 a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities, conveyed under the terms of this License.\n\n	 b) Give prominent notice with the combined library that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n6. Revised Versions of the GNU Lesser General Public License.\nThe Free Software Foundation may publish revised and/or new versions of the GNU Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Library as you received it specifies that a certain numbered version of the GNU Lesser General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that published version or of any later version published by the Free Software Foundation. If the Library as you received it does not specify a version number of the GNU Lesser General Public License, you may choose any version of the GNU Lesser General Public License ever published by the Free Software Foundation.\n\nIf the Library as you received it specifies that a proxy can decide whether future versions of the GNU Lesser General Public License shall\napply, that proxy's public statement of acceptance of any version is permanent authorization for you to choose that version for the Library.\n\nGNU GENERAL PUBLIC LICENSE\nVersion 3, 29 June 2007\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n0. Definitions.\n\n\u201cThis License\u201d refers to version 3 of the GNU General Public License.\n\n\u201cCopyright\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n\u201cThe Program\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \u201cyou\u201d. \u201cLicensees\u201d and \u201crecipients\u201d may be individuals or organizations.\n\nTo \u201cmodify\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \u201cmodified version\u201d of the earlier work or a work \u201cbased on\u201d the earlier work.\n\nA \u201ccovered work\u201d means either the unmodified Program or a work based on the Program.\n\nTo \u201cpropagate\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\nTo \u201cconvey\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\nAn interactive user interface displays \u201cAppropriate Legal Notices\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n1. Source Code.\nThe \u201csource code\u201d for a work means the preferred form of the work for making modifications to it. \u201cObject code\u201d means any non-source form of a work.\n\nA \u201cStandard Interface\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\nThe \u201cSystem Libraries\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \u201cMajor Component\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\nThe \u201cCorresponding Source\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\nThe Corresponding Source for a work in source code form is that same work.\n\n2. Basic Permissions.\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n4. Conveying Verbatim Copies.\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n5. Conveying Modified Source Versions.\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	 a) The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	 b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \u201ckeep intact all notices\u201d.\n\n	 c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	 d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \u201caggregate\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n6. Conveying Non-Source Forms.\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	 a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	 b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	 c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	 d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	 e) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\nA \u201cUser Product\u201d is either (1) a \u201cconsumer product\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \u201cnormally used\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n\u201cInstallation Information\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n7. Additional Terms.\n\u201cAdditional permissions\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	 a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	 b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	 c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	 d) Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	 e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	 f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\nAll other non-permissive additional terms are considered \u201cfurther restrictions\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n8. Termination.\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n9. Acceptance Not Required for Having Copies.\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n10. Automatic Licensing of Downstream Recipients.\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\nAn \u201centity transaction\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n11. Patents.\nA \u201ccontributor\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \u201ccontributor version\u201d.\n\nA contributor's \u201cessential patent claims\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \u201ccontrol\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\nIn the following three paragraphs, a \u201cpatent license\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \u201cgrant\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \u201cKnowingly relying\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\nA patent license is \u201cdiscriminatory\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\nNothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n12. No Surrender of Others' Freedom.\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n13. Use with the GNU Affero General Public License.\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n14. Revised Versions of this License.\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \u201cor any later version\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n15. Disclaimer of Warranty.\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \u201cAS IS\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. Limitation of Liability.\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n17. Interpretation of Sections 15 and 16.\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \u201ccopyright\u201d line and a pointer to where the full notice is found.\n\n	 <one line to give the program's name and a brief idea of what it does.>\n	 Copyright (C) <year>  <name of author>\n\n	 This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.\n\n	 You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n	 <program>  Copyright (C) <year>  <name of author>\n	 This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n	 This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \u201cabout box\u201d.\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \u201ccopyright disclaimer\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <http://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <http://www.gnu.org/philosophy/why-not-lgpl.html>.\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\n<<endOptional>>\n\nCopyright (C) 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nThis version of the GNU Lesser General Public License incorporates the terms and conditions of version 3 of the GNU General Public License, supplemented by the additional permissions listed below.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Additional Definitions.\n\n	  As used herein, \"this License\" refers to version 3 of the GNU Lesser General Public License, and the \"GNU GPL\" refers to version 3 of the GNU General Public License.\n\n	  \"The Library\" refers to a covered work governed by this License, other than an Application or a Combined Work as defined below.\n\n	  An \"Application\" is any work that makes use of an interface provided by the Library, but which is not otherwise based on the Library. Defining a subclass of a class defined by the Library is deemed a mode of using an interface provided by the Library.\n\n	  A \"Combined Work\" is a work produced by combining or linking an Application with the Library. The particular version of the Library with which the Combined Work was made is also called the \"Linked Version\".\n\n	  The \"Minimal Corresponding Source\" for a Combined Work means the Corresponding Source for the Combined Work, excluding any source code for portions of the Combined Work that, considered in isolation, are based on the Application, and not on the Linked Version.\n\n	  The \"Corresponding Application Code\" for a Combined Work means the object code and/or source code for the Application, including any data and utility programs needed for reproducing the Combined Work from the Application, but excluding the System Libraries of the Combined Work.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Exception to Section 3 of the GNU GPL.\n\n   You may convey a covered work under sections 3 and 4 of this License without being bound by section 3 of the GNU GPL.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Conveying Modified Versions.\n\n   If you modify a copy of the Library, and, in your modifications, a facility refers to a function or data to be supplied by an Application that uses the facility (other than as an argument passed when the facility is invoked), then you may convey a copy of the modified version:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> under this License, provided that you make a good faith effort to ensure that, in the event an Application does not supply the function or data, the facility still operates, and performs whatever part of its purpose remains meaningful, or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> under the GNU GPL, with none of the additional permissions of this License applicable to that copy.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Object Code Incorporating Material from Library Header Files.\n\n   The object code form of an Application may incorporate material from a header file that is part of the Library. You may convey such object code under terms of your choice, provided that, if the incorporated material is not limited to numerical parameters, data structure layouts and accessors, or small macros, inline functions and templates (ten or fewer lines in length), you do both of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Give prominent notice with each copy of the object code that the Library is used in it and that the Library and its use are covered by this License.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany the object code with a copy of the GNU GPL and this license document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Combined Works.\n\n   You may convey a Combined Work under terms of your choice that, taken together, effectively do not restrict modification of the portions of the Library contained in the Combined Work and reverse engineering for debugging such modifications, if you also do each of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Give prominent notice with each copy of the Combined Work that the Library is used in it and that the Library and its use are covered by this License.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany the Combined Work with a copy of the GNU GPL and this license document.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> For a Combined Work that displays copyright notices during execution, include the copyright notice for the Library among these notices, as well as a reference directing the user to the copies of the GNU GPL and this license document.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Do one of the following:\n\n		 <<var;name=\"bullet\";original=\"0)\";match=\".{0,20}\">> Convey the Minimal Corresponding Source under the terms of this License, and the Corresponding Application Code in a form suitable for, and under terms that permit, the user to recombine or relink the Application with a modified version of the Linked Version to produce a modified Combined Work, in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.\n\n		 <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (a) uses at run time a copy of the Library already present on the user's computer system, and (b) will operate properly with a modified version of the Library that is interface-compatible with the Linked Version.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Provide Installation Information, but only if you would otherwise be required to provide such information under section 6 of the GNU GPL, and only to the extent that such information is necessary to install and execute a modified version of the Combined Work produced by recombining or relinking the Application with a modified version of the Linked Version. (If you use option 4d0, the Installation Information must accompany the Minimal Corresponding Source and Corresponding Application Code. If you use option 4d1, you must provide the Installation Information in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.)\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Combined Libraries.\n\n   You may place library facilities that are a work based on the Library side by side in a single library together with other library facilities that are not Applications and are not covered by this License, and convey such a combined library under terms of your choice, if you do both of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities, conveyed under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Give prominent notice with the combined library that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Revised Versions of the GNU Lesser General Public License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library as you received it specifies that a certain numbered version of the GNU Lesser General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that published version or of any later version published by the Free Software Foundation. If the Library as you received it does not specify a version number of the GNU Lesser General Public License, you may choose any version of the GNU Lesser General Public License ever published by the Free Software Foundation.\n\n   If the Library as you received it specifies that a proxy can decide whether future versions of the GNU Lesser General Public License shall apply, that proxy's public statement of acceptance of any version is permanent authorization for you to choose that version for the Library.\n\n   <<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n   \"This License\" refers to version 3 of the GNU General Public License.\n\n   \"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n   \"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\n   To \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\n   A \"covered work\" means either the unmodified Program or a work based on the Program.\n\n   To \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\n   To \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\n   An interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Source Code.\n\n   The \"source code\" for a work means the preferred form of the work for making modifications to it. \"Object code\" means any non-source form of a work.\n\n   A \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\n   The \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\n   The \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\n   The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Basic Permissions.\n\n   All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\n   You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\n   Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n   No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\n   When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Conveying Verbatim Copies.\n\n   You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\n   You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Conveying Modified Source Versions.\n\n   You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\n   A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Conveying Non-Source Forms.\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\n   A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\n   A \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n   \"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\n   If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\n   The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\n   Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Additional Terms.\n\n   \"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\n   When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\n   Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	  <<var;name=\"bullet\";original=\"f)\";match=\".{0,20}\">> Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\n   All other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\n   If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\n   Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination.\n\n   You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Acceptance Not Required for Having Copies.\n\n   You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Automatic Licensing of Downstream Recipients.\n\n   Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\n   An \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\n   You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Patents.\n\n   A \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \"contributor version\".\n\n   A contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\n   Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\n   In the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\n   If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\n   If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\n   A patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\n   Nothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> No Surrender of Others' Freedom.\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Use with the GNU Affero General Public License.\n\n   Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Revised Versions of this License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\n   If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\n   Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> Limitation of Liability.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"17.\";match=\".{0,20}\">> Interpretation of Sections 15 and 16.\n\n   If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\n   <<beginOptional>>END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n<program> Copyright (C) <year> <name of author>\n\nThis program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n\nThis is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \"about box\".\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <https://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <https://www.gnu.org/ <<var;name=\"philicenses\";original=\"licenses\";match=\"philosophy|licenses\">> /why-not-lgpl.html>.\n\n<<endOptional>><<endOptional>>"
		self.name = "GNU Lesser General Public License v3.0 only"
		self.licenseComments = "The identifier \"LGPL-3.0\" has been deprecated; LGPL-3.0-only is the preferred identifier to indicate only version 3.0 of the LGPL."
		self.licenseId = "LGPL-3.0"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/lgpl+gpl-3.0.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:05Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.gnu.org/licenses/lgpl-3.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:06Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/LGPL-3.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:06Z", "isWayBackLink": False, "order": 2}]
		self.seeAlso = ["https://www.gnu.org/licenses/lgpl-3.0-standalone.html", "https://www.gnu.org/licenses/lgpl+gpl-3.0.txt", "https://opensource.org/licenses/LGPL-3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU LESSER GENERAL PUBLIC LICENSE<br />\n\n		Version 3, 29 June 2007\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2007 Free Software Foundation, Inc.\n	  &lt;https://fsf.org/&gt;\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  This version of the GNU Lesser General Public License incorporates\n	  the terms and conditions of version 3 of the GNU General Public\n	  License, supplemented by the additional permissions listed below.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		Additional Definitions.\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<p>\n			  As used herein, &quot;this License&quot; refers to version 3 of\n			  the GNU Lesser General Public License, and the &quot;GNU GPL&quot;\n			  refers to version 3 of the GNU General Public License.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  &quot;The Library&quot; refers to a covered work governed by this License,\n			  other than an Application or a Combined Work as defined below.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  An &quot;Application&quot; is any work that makes use of an interface\n			  provided by the Library, but which is not otherwise based on the\n			  Library. Defining a subclass of a class defined by the Library\n			  is deemed a mode of using an interface provided by the Library.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  A &quot;Combined Work&quot; is a work produced by combining or\n			  linking an Application with the Library. The particular\n			  version of the Library with which the Combined\n			  Work was made is also called the &quot;Linked Version&quot;.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  The &quot;Minimal Corresponding Source&quot; for a Combined\n			  Work means the Corresponding Source for the Combined\n			  Work, excluding any source code for portions of the\n			  Combined Work that, considered in isolation, are based\n			  on the Application, and not on the Linked Version.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  The &quot;Corresponding Application Code&quot; for a Combined\n			  Work means the object code and/or source code for the\n			  Application, including any data and utility programs needed\n			  for reproducing the Combined Work from the Application,\n			  but excluding the System Libraries of the Combined Work.\n			</p>\n\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		Exception to Section 3 of the GNU GPL.<br />\n\n		You may convey a covered work under sections 3 and 4 of this\n		License without being bound by section 3 of the GNU GPL.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		Conveying Modified Versions.<br />\n\n		If you modify a copy of the Library, and, in your\n		modifications, a facility refers to a function or data\n		to be supplied by an Application that uses the facility\n		(other than as an argument passed when the facility is\n		invoked), then you may convey a copy of the modified version:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			under this License, provided that you make a good faith\n			effort to ensure that, in the event an Application does not\n			supply the function or data, the facility still operates, and\n			performs whatever part of its purpose remains meaningful, or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			under the GNU GPL, with none of the additional\n			permissions of this License applicable to that copy.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		Object Code Incorporating Material from Library Header Files.<br />\n\n		The object code form of an Application may incorporate material from\n		a header file that is part of the Library. You may convey such object\n		code under terms of your choice, provided that, if the incorporated\n		material is not limited to numerical parameters, data structure\n		layouts and accessors, or small macros, inline functions and templates\n		(ten or fewer lines in length), you do both of the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Give prominent notice with each copy of the object\n			code that the Library is used in it and that the\n			Library and its use are covered by this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Accompany the object code with a copy of\n			the GNU GPL and this license document.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		Combined Works.<br />\n\n		You may convey a Combined Work under terms of your choice that, taken\n		together, effectively do not restrict modification of the portions of\n		the Library contained in the Combined Work and reverse engineering for\n		debugging such modifications, if you also do each of the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Give prominent notice with each copy of the Combined\n			Work that the Library is used in it and that the\n			Library and its use are covered by this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Accompany the Combined Work with a copy\n			of the GNU GPL and this license document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			For a Combined Work that displays copyright notices during\n			execution, include the copyright notice for the Library\n			among these notices, as well as a reference directing the\n			user to the copies of the GNU GPL and this license document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Do one of the following:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				<var class=\"replaceable-license-text\"> 0)</var>\n				Convey the Minimal Corresponding Source under the terms\n				of this License, and the Corresponding Application Code\n				in a form suitable for, and under terms that permit,\n				the user to recombine or relink the Application with\n				a modified version of the Linked Version to produce a\n				modified Combined Work, in the manner specified by section\n				6 of the GNU GPL for conveying Corresponding Source.\n			  </li>\n			  \n<li>\n				<var class=\"replaceable-license-text\"> 1)</var>\n				Use a suitable shared library mechanism for linking\n				with the Library. A suitable mechanism is one that\n				(a) uses at run time a copy of the Library already\n				present on the user&apos;s computer system, and (b) will\n				operate properly with a modified version of the Library\n				that is interface-compatible with the Linked Version.\n			  </li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Provide Installation Information, but only if you would otherwise\n			be required to provide such information under section 6 of the GNU\n			GPL, and only to the extent that such information is necessary to\n			install and execute a modified version of the Combined Work produced\n			by recombining or relinking the Application with a modified version\n			of the Linked Version. (If you use option 4d0, the Installation\n			Information must accompany the Minimal Corresponding Source and\n			Corresponding Application Code. If you use option 4d1, you must\n			provide the Installation Information in the manner specified by\n			section 6 of the GNU GPL for conveying Corresponding Source.)\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		Combined Libraries.<br />\n\n		You may place library facilities that are a work based on\n		the Library side by side in a single library together with\n		other library facilities that are not Applications and are not\n		covered by this License, and convey such a combined library\n		under terms of your choice, if you do both of the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany the combined library with a copy of the same work\n			based on the Library, uncombined with any other library\n			facilities, conveyed under the terms of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Give prominent notice with the combined library that part\n			of it is a work based on the Library, and explaining where\n			to find the accompanying uncombined form of the same work.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Revised Versions of the GNU Lesser General Public License.\n		<p>\n		  The Free Software Foundation may publish revised and/or new versions\n		  of the GNU Lesser General Public License from time to time. Such\n		  new versions will be similar in spirit to the present version,\n		  but may differ in detail to address new problems or concerns.\n		</p>\n\n		<p>\n		  Each version is given a distinguishing version number. If the Library\n		  as you received it specifies that a certain numbered version of the\n		  GNU Lesser General Public License &quot;or any later version&quot; applies\n		  to it, you have the option of following the terms and conditions\n		  either of that published version or of any later version published\n		  by the Free Software Foundation. If the Library as you received it\n		  does not specify a version number of the GNU Lesser General Public\n		  License, you may choose any version of the GNU Lesser General\n		  Public License ever published by the Free Software Foundation.\n		</p>\n\n		<p>\n		  If the Library as you received it specifies that a proxy\n		  can decide whether future versions of the GNU Lesser\n		  General Public License shall apply, that proxy&apos;s public\n		  statement of acceptance of any version is permanent\n		  authorization for you to choose that version for the Library.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU GENERAL PUBLIC LICENSE<br />\n\n		Version 3, 29 June 2007\n	  </p>\n\n	  <p>\n		Copyright \u00a9 2007 Free Software Foundation, Inc.\n		&lt;https://fsf.org/&gt;\n	  </p>\n\n	  <p>\n		Everyone is permitted to copy and distribute verbatim copies\n		of this license document, but changing it is not allowed.\n	  </p>\n\n	  <p>\n		Preamble\n	  </p>\n\n	  <p>\n		The GNU General Public License is a free, copyleft\n		license for software and other kinds of works.\n	  </p>\n\n	  <p>\n		The licenses for most software and other practical works are designed to\n		take away your freedom to share and change the works. By contrast, the GNU\n		General Public License is intended to guarantee your freedom to share and\n		change all versions of a program--to make sure it remains free software\n		for all its users. We, the Free Software Foundation, use the GNU General\n		Public License for most of our software; it applies also to any other work\n		released this way by its authors. You can apply it to your programs, too.\n	  </p>\n\n	  <p>\n		When we speak of free software, we are referring to freedom, not\n		price. Our General Public Licenses are designed to make sure that you\n		have the freedom to distribute copies of free software (and charge\n		for them if you wish), that you receive source code or can get it\n		if you want it, that you can change the software or use pieces of\n		it in new free programs, and that you know you can do these things.\n	  </p>\n\n	  <p>\n		To protect your rights, we need to prevent others from denying you\n		these rights or asking you to surrender the rights. Therefore, you have\n		certain responsibilities if you distribute copies of the software, or\n		if you modify it: responsibilities to respect the freedom of others.\n	  </p>\n\n	  <p>\n		For example, if you distribute copies of such a program, whether gratis\n		or for a fee, you must pass on to the recipients the same freedoms that\n		you received. You must make sure that they, too, receive or can get the\n		source code. And you must show them these terms so they know their rights.\n	  </p>\n\n	  <p>\n		Developers that use the GNU GPL protect your rights with two steps:\n		(1) assert copyright on the software, and (2) offer you this License\n		giving you legal permission to copy, distribute and/or modify it.\n	  </p>\n\n	  <p>\n		For the developers&apos; and authors&apos; protection, the GPL clearly\n		explains that there is no warranty for this free software. For\n		both users&apos; and authors&apos; sake, the GPL requires that modified\n		versions be marked as changed, so that their problems will\n		not be attributed erroneously to authors of previous versions.\n	  </p>\n\n	  <p>\n		Some devices are designed to deny users access to install or run modified\n		versions of the software inside them, although the manufacturer can\n		do so. This is fundamentally incompatible with the aim of protecting\n		users&apos; freedom to change the software. The systematic pattern of\n		such abuse occurs in the area of products for individuals to use,\n		which is precisely where it is most unacceptable. Therefore, we have\n		designed this version of the GPL to prohibit the practice for those\n		products. If such problems arise substantially in other domains,\n		we stand ready to extend this provision to those domains in future\n		versions of the GPL, as needed to protect the freedom of users.\n	  </p>\n\n	  <p>\n		Finally, every program is threatened constantly by software patents.\n		States should not allow patents to restrict development and use of\n		software on general-purpose computers, but in those that do, we wish\n		to avoid the special danger that patents applied to a free program\n		could make it effectively proprietary. To prevent this, the GPL\n		assures that patents cannot be used to render the program non-free.\n	  </p>\n\n	  <p>\n		The precise terms and conditions for copying,\n		distribution and modification follow.\n	  </p>\n\n	  <p>\n		TERMS AND CONDITIONS\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 0.</var>\n		  Definitions.\n		  <p>\n			&quot;This License&quot; refers to version 3 of the GNU General Public License.\n		  </p>\n\n		  <p>\n			&quot;Copyright&quot; also means copyright-like laws that apply\n			to other kinds of works, such as semiconductor masks.\n		  </p>\n\n		  <p>\n			&quot;The Program&quot; refers to any copyrightable work licensed under\n			this License. Each licensee is addressed as &quot;you&quot;. &quot;Licensees&quot;\n			and &quot;recipients&quot; may be individuals or organizations.\n		  </p>\n\n		  <p>\n			To &quot;modify&quot; a work means to copy from or adapt all or part of the\n			work in a fashion requiring copyright permission, other than the\n			making of an exact copy. The resulting work is called a &quot;modified\n			version&quot; of the earlier work or a work &quot;based on&quot; the earlier work.\n		  </p>\n\n		  <p>\n			A &quot;covered work&quot; means either the unmodified\n			Program or a work based on the Program.\n		  </p>\n\n		  <p>\n			To &quot;propagate&quot; a work means to do anything with it that, without\n			permission, would make you directly or secondarily liable for\n			infringement under applicable copyright law, except executing it\n			on a computer or modifying a private copy. Propagation includes\n			copying, distribution (with or without modification), making available\n			to the public, and in some countries other activities as well.\n		  </p>\n\n		  <p>\n			To &quot;convey&quot; a work means any kind of propagation\n			that enables other parties to make or receive copies.\n			Mere interaction with a user through a computer\n			network, with no transfer of a copy, is not conveying.\n		  </p>\n\n		  <p>\n			An interactive user interface displays &quot;Appropriate Legal Notices&quot;\n			to the extent that it includes a convenient and prominently visible\n			feature that (1) displays an appropriate copyright notice, and (2)\n			tells the user that there is no warranty for the work (except to\n			the extent that warranties are provided), that licensees may convey\n			the work under this License, and how to view a copy of this License.\n			If the interface presents a list of user commands or options,\n			such as a menu, a prominent item in the list meets this criterion.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 1.</var>\n		  Source Code.<br />\n\n		  The &quot;source code&quot; for a work means the preferred\n		  form of the work for making modifications to it.\n		  &quot;Object code&quot; means any non-source form of a work.\n		  <p>\n			A &quot;Standard Interface&quot; means an interface that either is an official\n			standard defined by a recognized standards body, or, in the case\n			of interfaces specified for a particular programming language,\n			one that is widely used among developers working in that language.\n		  </p>\n\n		  <p>\n			The &quot;System Libraries&quot; of an executable work include anything, other\n			than the work as a whole, that (a) is included in the normal form\n			of packaging a Major Component, but which is not part of that Major\n			Component, and (b) serves only to enable use of the work with that\n			Major Component, or to implement a Standard Interface for which an\n			implementation is available to the public in source code form. A\n			&quot;Major Component&quot;, in this context, means a major essential component\n			(kernel, window system, and so on) of the specific operating system\n			(if any) on which the executable work runs, or a compiler used to\n			produce the work, or an object code interpreter used to run it.\n		  </p>\n\n		  <p>\n			The &quot;Corresponding Source&quot; for a work in object code form means all\n			the source code needed to generate, install, and (for an executable\n			work) run the object code and to modify the work, including scripts\n			to control those activities. However, it does not include the work&apos;s\n			System Libraries, or general-purpose tools or generally available\n			free programs which are used unmodified in performing those activities\n			but which are not part of the work. For example, Corresponding\n			Source includes interface definition files associated with source\n			files for the work, and the source code for shared libraries\n			and dynamically linked subprograms that the work is specifically\n			designed to require, such as by intimate data communication or\n			control flow between those subprograms and other parts of the work.\n		  </p>\n\n		  <p>\n			The Corresponding Source need not include anything that users can\n			regenerate automatically from other parts of the Corresponding Source.\n		  </p>\n\n		  <p>\n			The Corresponding Source for a work\n			in source code form is that same work.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 2.</var>\n		  Basic Permissions.<br />\n\n		  All rights granted under this License are granted for the term of\n		  copyright on the Program, and are irrevocable provided the stated\n		  conditions are met. This License explicitly affirms your unlimited\n		  permission to run the unmodified Program. The output from running a\n		  covered work is covered by this License only if the output, given its\n		  content, constitutes a covered work. This License acknowledges your\n		  rights of fair use or other equivalent, as provided by copyright law.\n		  <p>\n			You may make, run and propagate covered works that you do not convey,\n			without conditions so long as your license otherwise remains in force.\n			You may convey covered works to others for the sole purpose of having\n			them make modifications exclusively for you, or provide you with\n			facilities for running those works, provided that you comply with\n			the terms of this License in conveying all material for which you do\n			not control copyright. Those thus making or running the covered works\n			for you must do so exclusively on your behalf, under your direction\n			and control, on terms that prohibit them from making any copies\n			of your copyrighted material outside their relationship with you.\n		  </p>\n\n		  <p>\n			Conveying under any other circumstances is permitted\n			solely under the conditions stated below. Sublicensing\n			is not allowed; section 10 makes it unnecessary.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 3.</var>\n		  Protecting Users&apos; Legal Rights From Anti-Circumvention Law.<br />\n\n		  No covered work shall be deemed part of an effective technological\n		  measure under any applicable law fulfilling obligations under article\n		  11 of the WIPO copyright treaty adopted on 20 December 1996, or\n		  similar laws prohibiting or restricting circumvention of such measures.\n		  <p>\n			When you convey a covered work, you waive any legal power to\n			forbid circumvention of technological measures to the extent\n			such circumvention is effected by exercising rights under this\n			License with respect to the covered work, and you disclaim any\n			intention to limit operation or modification of the work as a means\n			of enforcing, against the work&apos;s users, your or third parties&apos;\n			legal rights to forbid circumvention of technological measures.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 4.</var>\n		  Conveying Verbatim Copies.<br />\n\n		  You may convey verbatim copies of the Program&apos;s source code as\n		  you receive it, in any medium, provided that you conspicuously\n		  and appropriately publish on each copy an appropriate copyright\n		  notice; keep intact all notices stating that this License and any\n		  non-permissive terms added in accord with section 7 apply to the\n		  code; keep intact all notices of the absence of any warranty; and\n		  give all recipients a copy of this License along with the Program.\n		  <p>\n			You may charge any price or no price for each copy that you\n			convey, and you may offer support or warranty protection for a fee.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 5.</var>\n		  Conveying Modified Source Versions.<br />\n\n		  You may convey a work based on the Program, or the modifications to\n		  produce it from the Program, in the form of source code under the terms\n		  of section 4, provided that you also meet all of these conditions:\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a)</var>\n			  The work must carry prominent notices stating\n			  that you modified it, and giving a relevant date.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> b)</var>\n			  The work must carry prominent notices stating that\n			  it is released under this License and any conditions\n			  added under section 7. This requirement modifies the\n			  requirement in section 4 to &quot;keep intact all notices&quot;.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> c)</var>\n			  You must license the entire work, as a whole, under this License\n			  to anyone who comes into possession of a copy. This License\n			  will therefore apply, along with any applicable section 7\n			  additional terms, to the whole of the work, and all its parts,\n			  regardless of how they are packaged. This License gives no\n			  permission to license the work in any other way, but it does not\n			  invalidate such permission if you have separately received it.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> d)</var>\n			  If the work has interactive user interfaces, each must\n			  display Appropriate Legal Notices; however, if the Program\n			  has interactive interfaces that do not display Appropriate\n			  Legal Notices, your work need not make them do so.\n			</li>\n		  \n</ul>\n		  <p>\n			A compilation of a covered work with other separate and independent\n			works, which are not by their nature extensions of the covered\n			work, and which are not combined with it such as to form a larger\n			program, in or on a volume of a storage or distribution medium,\n			is called an &quot;aggregate&quot; if the compilation and its resulting\n			copyright are not used to limit the access or legal rights\n			of the compilation&apos;s users beyond what the individual works\n			permit. Inclusion of a covered work in an aggregate does not\n			cause this License to apply to the other parts of the aggregate.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 6.</var>\n		  Conveying Non-Source Forms.<br />\n\n		  You may convey a covered work in object code form\n		  under the terms of sections 4 and 5, provided that you\n		  also convey the machine-readable Corresponding Source\n		  under the terms of this License, in one of these ways:\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a)</var>\n			  Convey the object code in, or embodied in, a physical\n			  product (including a physical distribution medium),\n			  accompanied by the Corresponding Source fixed on a durable\n			  physical medium customarily used for software interchange.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> b)</var>\n			  Convey the object code in, or embodied in, a physical product\n			  (including a physical distribution medium), accompanied by a\n			  written offer, valid for at least three years and valid for\n			  as long as you offer spare parts or customer support for that\n			  product model, to give anyone who possesses the object code\n			  either (1) a copy of the Corresponding Source for all the software\n			  in the product that is covered by this License, on a durable\n			  physical medium customarily used for software interchange,\n			  for a price no more than your reasonable cost of physically\n			  performing this conveying of source, or (2) access to copy\n			  the Corresponding Source from a network server at no charge.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> c)</var>\n			  Convey individual copies of the object code with a\n			  copy of the written offer to provide the Corresponding\n			  Source. This alternative is allowed only occasionally\n			  and noncommercially, and only if you received the object\n			  code with such an offer, in accord with subsection 6b.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> d)</var>\n			  Convey the object code by offering access from a designated place\n			  (gratis or for a charge), and offer equivalent access to the\n			  Corresponding Source in the same way through the same place at\n			  no further charge. You need not require recipients to copy the\n			  Corresponding Source along with the object code. If the place\n			  to copy the object code is a network server, the Corresponding\n			  Source may be on a different server (operated by you or a third\n			  party) that supports equivalent copying facilities, provided you\n			  maintain clear directions next to the object code saying where\n			  to find the Corresponding Source. Regardless of what server hosts\n			  the Corresponding Source, you remain obligated to ensure that it\n			  is available for as long as needed to satisfy these requirements.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> e)</var>\n			  Convey the object code using peer-to-peer transmission,\n			  provided you inform other peers where the object code\n			  and Corresponding Source of the work are being offered\n			  to the general public at no charge under subsection 6d.\n			</li>\n		  \n</ul>\n		  <p>\n			A separable portion of the object code, whose source code is\n			excluded from the Corresponding Source as a System Library,\n			need not be included in conveying the object code work.\n		  </p>\n\n		  <p>\n			A &quot;User Product&quot; is either (1) a &quot;consumer product&quot;, which means\n			any tangible personal property which is normally used for personal,\n			family, or household purposes, or (2) anything designed or sold\n			for incorporation into a dwelling. In determining whether a product\n			is a consumer product, doubtful cases shall be resolved in favor\n			of coverage. For a particular product received by a particular\n			user, &quot;normally used&quot; refers to a typical or common use of that\n			class of product, regardless of the status of the particular\n			user or of the way in which the particular user actually uses,\n			or expects or is expected to use, the product. A product is a\n			consumer product regardless of whether the product has substantial\n			commercial, industrial or non-consumer uses, unless such uses\n			represent the only significant mode of use of the product.\n		  </p>\n\n		  <p>\n			&quot;Installation Information&quot; for a User Product means any methods,\n			procedures, authorization keys, or other information required\n			to install and execute modified versions of a covered work in\n			that User Product from a modified version of its Corresponding\n			Source. The information must suffice to ensure that the continued\n			functioning of the modified object code is in no case prevented\n			or interfered with solely because modification has been made.\n		  </p>\n\n		  <p>\n			If you convey an object code work under this section in, or with,\n			or specifically for use in, a User Product, and the conveying\n			occurs as part of a transaction in which the right of possession\n			and use of the User Product is transferred to the recipient in\n			perpetuity or for a fixed term (regardless of how the transaction\n			is characterized), the Corresponding Source conveyed under this\n			section must be accompanied by the Installation Information.\n			But this requirement does not apply if neither you nor any third\n			party retains the ability to install modified object code on the\n			User Product (for example, the work has been installed in ROM).\n		  </p>\n\n		  <p>\n			The requirement to provide Installation Information does not\n			include a requirement to continue to provide support service,\n			warranty, or updates for a work that has been modified\n			or installed by the recipient, or for the User Product in\n			which it has been modified or installed. Access to a network\n			may be denied when the modification itself materially and\n			adversely affects the operation of the network or violates\n			the rules and protocols for communication across the network.\n		  </p>\n\n		  <p>\n			Corresponding Source conveyed, and Installation Information\n			provided, in accord with this section must be in a format that\n			is publicly documented (and with an implementation available\n			to the public in source code form), and must require no\n			special password or key for unpacking, reading or copying.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 7.</var>\n		  Additional Terms.<br />\n\n		  &quot;Additional permissions&quot; are terms that supplement the terms of this\n		  License by making exceptions from one or more of its conditions.\n		  Additional permissions that are applicable to the entire Program\n		  shall be treated as though they were included in this License, to\n		  the extent that they are valid under applicable law. If additional\n		  permissions apply only to part of the Program, that part may be used\n		  separately under those permissions, but the entire Program remains\n		  governed by this License without regard to the additional permissions.\n		  <p>\n			When you convey a copy of a covered work, you may at your option\n			remove any additional permissions from that copy, or from any part\n			of it. (Additional permissions may be written to require their own\n			removal in certain cases when you modify the work.) You may place\n			additional permissions on material, added by you to a covered work,\n			for which you have or can give appropriate copyright permission.\n		  </p>\n\n		  <p>\n			Notwithstanding any other provision of this License, for material you\n			add to a covered work, you may (if authorized by the copyright holders\n			of that material) supplement the terms of this License with terms:\n		  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a)</var>\n			  Disclaiming warranty or limiting liability differently\n			  from the terms of sections 15 and 16 of this License; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> b)</var>\n			  Requiring preservation of specified reasonable legal\n			  notices or author attributions in that material or in the\n			  Appropriate Legal Notices displayed by works containing it; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> c)</var>\n			  Prohibiting misrepresentation of the origin of that material,\n			  or requiring that modified versions of such material be marked\n			  in reasonable ways as different from the original version; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> d)</var>\n			  Limiting the use for publicity purposes of names\n			  of licensors or authors of the material; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> e)</var>\n			  Declining to grant rights under trademark law for use\n			  of some trade names, trademarks, or service marks; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> f)</var>\n			  Requiring indemnification of licensors and authors of that\n			  material by anyone who conveys the material (or modified\n			  versions of it) with contractual assumptions of liability\n			  to the recipient, for any liability that these contractual\n			  assumptions directly impose on those licensors and authors.\n			</li>\n		  \n</ul>\n		  <p>\n			All other non-permissive additional terms are considered &quot;further\n			restrictions&quot; within the meaning of section 10. If the Program\n			as you received it, or any part of it, contains a notice stating\n			that it is governed by this License along with a term that is\n			a further restriction, you may remove that term. If a license\n			document contains a further restriction but permits relicensing or\n			conveying under this License, you may add to a covered work material\n			governed by the terms of that license document, provided that the\n			further restriction does not survive such relicensing or conveying.\n		  </p>\n\n		  <p>\n			If you add terms to a covered work in accord with this\n			section, you must place, in the relevant source files, a\n			statement of the additional terms that apply to those files,\n			or a notice indicating where to find the applicable terms.\n		  </p>\n\n		  <p>\n			Additional terms, permissive or non-permissive, may be\n			stated in the form of a separately written license, or stated\n			as exceptions; the above requirements apply either way.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 8.</var>\n		  Termination.<br />\n\n		  You may not propagate or modify a covered work except as\n		  expressly provided under this License. Any attempt otherwise\n		  to propagate or modify it is void, and will automatically\n		  terminate your rights under this License (including any patent\n		  licenses granted under the third paragraph of section 11).\n		  <p>\n			However, if you cease all violation of this License, then your\n			license from a particular copyright holder is reinstated (a)\n			provisionally, unless and until the copyright holder explicitly\n			and finally terminates your license, and (b) permanently, if\n			the copyright holder fails to notify you of the violation by\n			some reasonable means prior to 60 days after the cessation.\n		  </p>\n\n		  <p>\n			Moreover, your license from a particular copyright holder is\n			reinstated permanently if the copyright holder notifies you\n			of the violation by some reasonable means, this is the first\n			time you have received notice of violation of this License\n			(for any work) from that copyright holder, and you cure the\n			violation prior to 30 days after your receipt of the notice.\n		  </p>\n\n		  <p>\n			Termination of your rights under this section does not\n			terminate the licenses of parties who have received copies or\n			rights from you under this License. If your rights have been\n			terminated and not permanently reinstated, you do not qualify\n			to receive new licenses for the same material under section 10.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 9.</var>\n		  Acceptance Not Required for Having Copies.<br />\n\n		  You are not required to accept this License in order to receive or\n		  run a copy of the Program. Ancillary propagation of a covered work\n		  occurring solely as a consequence of using peer-to-peer transmission\n		  to receive a copy likewise does not require acceptance. However,\n		  nothing other than this License grants you permission to propagate\n		  or modify any covered work. These actions infringe copyright if you\n		  do not accept this License. Therefore, by modifying or propagating a\n		  covered work, you indicate your acceptance of this License to do so.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 10.</var>\n		  Automatic Licensing of Downstream Recipients.<br />\n\n		  Each time you convey a covered work, the recipient automatically\n		  receives a license from the original licensors, to run, modify and\n		  propagate that work, subject to this License. You are not responsible\n		  for enforcing compliance by third parties with this License.\n		  <p>\n			An &quot;entity transaction&quot; is a transaction transferring control of\n			an organization, or substantially all assets of one, or subdividing\n			an organization, or merging organizations. If propagation of a\n			covered work results from an entity transaction, each party to that\n			transaction who receives a copy of the work also receives whatever\n			licenses to the work the party&apos;s predecessor in interest had or could\n			give under the previous paragraph, plus a right to possession of the\n			Corresponding Source of the work from the predecessor in interest,\n			if the predecessor has it or can get it with reasonable efforts.\n		  </p>\n\n		  <p>\n			You may not impose any further restrictions on the exercise of the\n			rights granted or affirmed under this License. For example, you\n			may not impose a license fee, royalty, or other charge for exercise\n			of rights granted under this License, and you may not initiate\n			litigation (including a cross-claim or counterclaim in a lawsuit)\n			alleging that any patent claim is infringed by making, using, selling,\n			offering for sale, or importing the Program or any portion of it.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 11.</var>\n		  Patents.<br />\n\n		  A &quot;contributor&quot; is a copyright holder who authorizes use under this\n		  License of the Program or a work on which the Program is based. The\n		  work thus licensed is called the contributor&apos;s &quot;contributor version&quot;.\n		  <p>\n			A contributor&apos;s &quot;essential patent claims&quot; are all patent\n			claims owned or controlled by the contributor, whether already\n			acquired or hereafter acquired, that would be infringed by some\n			manner, permitted by this License, of making, using, or selling\n			its contributor version, but do not include claims that would\n			be infringed only as a consequence of further modification\n			of the contributor version. For purposes of this definition,\n			&quot;control&quot; includes the right to grant patent sublicenses in\n			a manner consistent with the requirements of this License.\n		  </p>\n\n		  <p>\n			Each contributor grants you a non-exclusive, worldwide, royalty-free\n			patent license under the contributor&apos;s essential patent claims,\n			to make, use, sell, offer for sale, import and otherwise run,\n			modify and propagate the contents of its contributor version.\n		  </p>\n\n		  <p>\n			In the following three paragraphs, a &quot;patent license&quot; is any\n			express agreement or commitment, however denominated, not to\n			enforce a patent (such as an express permission to practice\n			a patent or covenant not to sue for patent infringement). To\n			&quot;grant&quot; such a patent license to a party means to make such an\n			agreement or commitment not to enforce a patent against the party.\n		  </p>\n\n		  <p>\n			If you convey a covered work, knowingly relying on a patent license,\n			and the Corresponding Source of the work is not available for anyone\n			to copy, free of charge and under the terms of this License, through\n			a publicly available network server or other readily accessible\n			means, then you must either (1) cause the Corresponding Source to\n			be so available, or (2) arrange to deprive yourself of the benefit\n			of the patent license for this particular work, or (3) arrange, in\n			a manner consistent with the requirements of this License, to extend\n			the patent license to downstream recipients. &quot;Knowingly relying&quot;\n			means you have actual knowledge that, but for the patent license, your\n			conveying the covered work in a country, or your recipient&apos;s use of\n			the covered work in a country, would infringe one or more identifiable\n			patents in that country that you have reason to believe are valid.\n		  </p>\n\n		  <p>\n			If, pursuant to or in connection with a single transaction or\n			arrangement, you convey, or propagate by procuring conveyance\n			of, a covered work, and grant a patent license to some of the\n			parties receiving the covered work authorizing them to use,\n			propagate, modify or convey a specific copy of the covered work,\n			then the patent license you grant is automatically extended\n			to all recipients of the covered work and works based on it.\n		  </p>\n\n		  <p>\n			A patent license is &quot;discriminatory&quot; if it does not include within the\n			scope of its coverage, prohibits the exercise of, or is conditioned\n			on the non-exercise of one or more of the rights that are specifically\n			granted under this License. You may not convey a covered work if\n			you are a party to an arrangement with a third party that is in the\n			business of distributing software, under which you make payment to\n			the third party based on the extent of your activity of conveying\n			the work, and under which the third party grants, to any of the\n			parties who would receive the covered work from you, a discriminatory\n			patent license (a) in connection with copies of the covered work\n			conveyed by you (or copies made from those copies), or (b) primarily\n			for and in connection with specific products or compilations that\n			contain the covered work, unless you entered into that arrangement,\n			or that patent license was granted, prior to 28 March 2007.\n		  </p>\n\n		  <p>\n			Nothing in this License shall be consTrued as excluding or\n			limiting any implied license or other defenses to infringement\n			that may otherwise be available to you under applicable patent law.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 12.</var>\n		  No Surrender of Others&apos; Freedom.<br />\n\n		  If conditions are imposed on you (whether by court order, agreement\n		  or otherwise) that contradict the conditions of this License,\n		  they do not excuse you from the conditions of this License. If\n		  you cannot convey a covered work so as to satisfy simultaneously\n		  your obligations under this License and any other pertinent\n		  obligations, then as a consequence you may not convey it at all.\n		  For example, if you agree to terms that obligate you to collect\n		  a royalty for further conveying from those to whom you convey the\n		  Program, the only way you could satisfy both those terms and this\n		  License would be to refrain entirely from conveying the Program.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 13.</var>\n		  Use with the GNU Affero General Public License.<br />\n\n		  Notwithstanding any other provision of this License, you have\n		  permission to link or combine any covered work with a work licensed\n		  under version 3 of the GNU Affero General Public License into\n		  a single combined work, and to convey the resulting work. The\n		  terms of this License will continue to apply to the part which\n		  is the covered work, but the special requirements of the GNU\n		  Affero General Public License, section 13, concerning interaction\n		  through a network will apply to the combination as such.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 14.</var>\n		  Revised Versions of this License.<br />\n\n		  The Free Software Foundation may publish revised and/or new\n		  versions of the GNU General Public License from time to time. Such\n		  new versions will be similar in spirit to the present version,\n		  but may differ in detail to address new problems or concerns.\n		  <p>\n			Each version is given a distinguishing version number. If the\n			Program specifies that a certain numbered version of the GNU\n			General Public License &quot;or any later version&quot; applies to it,\n			you have the option of following the terms and conditions either\n			of that numbered version or of any later version published by\n			the Free Software Foundation. If the Program does not specify a\n			version number of the GNU General Public License, you may choose\n			any version ever published by the Free Software Foundation.\n		  </p>\n\n		  <p>\n			If the Program specifies that a proxy can decide which future\n			versions of the GNU General Public License can be used, that\n			proxy&apos;s public statement of acceptance of a version permanently\n			authorizes you to choose that version for the Program.\n		  </p>\n\n		  <p>\n			Later license versions may give you additional or\n			different permissions. However, no additional obligations\n			are imposed on any author or copyright holder as a\n			result of your choosing to follow a later version.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 15.</var>\n		  Disclaimer of Warranty.<br />\n\n		  THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY\n		  APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT\n		  HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT\n		  WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT\n		  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n		  A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\n		  OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU\n		  ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 16.</var>\n		  Limitation of Liability.<br />\n\n		  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		  WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR\n		  CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\n		  INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n		  ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING\n		  BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE\n		  OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\n		  PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		  OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 17.</var>\n		  Interpretation of Sections 15 and 16.\n	  <p>\n		If the disclaimer of warranty and limitation of liability\n		provided above cannot be given local legal effect according to\n		their terms, reviewing courts shall apply local law that most\n		closely approximates an absolute waiver of all civil liability in\n		connection with the Program, unless a warranty or assumption of\n		liability accompanies a copy of the Program in return for a fee.\n	  </p>\n\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>\n		  END OF TERMS AND CONDITIONS\n		</p>\n\n		<p>\n		  How to Apply These Terms to Your New Programs\n		</p>\n\n		<p>\n		  If you develop a new program, and you want it to be\n		  of the greatest possible use to the public, the best\n		  way to achieve this is to make it free software which\n		  everyone can redistribute and change under these terms.\n		</p>\n\n		<p>\n		  To do so, attach the following notices to the program. It is safest\n		  to attach them to the start of each source file to most effectively\n		  state the exclusion of warranty; and each file should have at least\n		  the &quot;copyright&quot; line and a pointer to where the full notice is found.\n		</p>\n\n		<p>\n		  &lt;one line to give the program&apos;s name and\n		  a brief idea of what it does.&gt;<br />\n\n		  Copyright (C) &lt;year&gt; &lt;name of author&gt;\n		</p>\n\n		<p>\n		  This program is free software: you can redistribute it and/or\n		  modify it under the terms of the GNU General Public License\n		  as published by the Free Software Foundation, either version\n		  3 of the License, or (at your option) any later version.\n		</p>\n\n		<p>\n		  This program is distributed in the hope that it will be\n		  useful, but WITHOUT ANY WARRANTY; without even the implied\n		  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		  PURPOSE. See the GNU General Public License for more details.\n		</p>\n\n		<p>\n		  You should have received a copy of the GNU General\n	Public License along with this program. If not, see\n	&lt;https://www.gnu.org/licenses/&gt;.\n		</p>\n\n		<p>\n		  Also add information on how to contact you by electronic and paper mail.\n		</p>\n\n		<p>\n		  If the program does terminal interaction, make it output a\n		  short notice like this when it starts in an interactive mode:\n		</p>\n\n		<p>\n	&lt;program&gt; Copyright (C) &lt;year&gt;\n	&lt;name of author&gt;<br />\n\n		  This program comes with ABSOLUTELY NO\n		  WARRANTY; for details type `show w&apos;.<br />\n\n		  This is free software, and you are welcome to redistribute\n		  it under certain conditions; type `show c&apos; for details.\n		</p>\n\n		<p>\n		  The hypothetical commands `show w&apos; and `show c&apos; should\n		  show the appropriate parts of the General Public License.\n		  Of course, your program&apos;s commands might be different;\n		  for a GUI interface, you would use an &quot;about box&quot;.\n		</p>\n\n		<p>\n		  You should also get your employer (if you work as a\n		  programmer) or school, if any, to sign a &quot;copyright disclaimer&quot;\n		  for the program, if necessary. For more information on\n	this, and how to apply and follow the GNU GPL, see\n	&lt;https://www.gnu.org/licenses/&gt;.\n		</p>\n\n		<p>\n		  The GNU General Public License does not permit incorporating\n		  your program into proprietary programs. If your program is a\n		  subroutine library, you may consider it more useful to permit\n		  linking proprietary applications with the library. If this\n		  is what you want to do, use the GNU Lesser General Public\n	License instead of this License. But first, please read\n	&lt;https://www.gnu.org/<var class=\"replaceable-license-text\"> licenses</var>/why-not-lgpl.html&gt;.\n		</p>\n\n	  </div>\n  \n	</div>\n	"
		self.deprecatedVersion = "3.0"
		self.python_name = "LGPL30"

	def __str__(self):
		return json.dumps(self.__dict__)


class hdparm:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "BSD-Style Open Source License:\n\nYou may freely use, modify, and redistribute the hdparm program,\nas either binary or source, or both.\n\nThe only condition is that my name and copyright notice\nremain in the source code as-is.\n\nMark Lord (mlord@pobox.com)\n"
		self.standardLicenseTemplate = "BSD-Style Open Source License:\n\nYou may freely use, modify, and redistribute the hdparm program, as either binary or source, or both.\n\nThe only condition is that my name and copyright notice remain in the source code as-is.\n\n<<var;name=\"copyright\";original=\"Mark Lord (mlord@pobox.com)  \";match=\".{0,5000}\">>"
		self.name = "hdparm License"
		self.licenseId = "hdparm"
		self.crossRef = [{"match": "False", "url": "https://github.com/Distrotech/hdparm/blob/4517550db29a91420fb2b020349523b1b4512df2/LICENSE.TXT", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/Distrotech/hdparm/blob/4517550db29a91420fb2b020349523b1b4512df2/LICENSE.TXT"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			BSD-Style Open Source License:\n		 </p>\n\n		 <p>\n			You may freely use, modify, and redistribute the\n			hdparm program, as either binary or source, or both.\n		 </p>\n\n		 <p>\n			The only condition is that my name and copyright\n			notice remain in the source code as-is.\n		 </p>\n\n		 <div class=\"replaceable-license-text\"> \n		 <p>\n			Mark Lord (mlord@pobox.com)\n		 </p>\n\n		 </div>\n	  "
		self.python_name = "hdparm"

	def __str__(self):
		return json.dumps(self.__dict__)


class Python201:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "PYTHON SOFTWARE FOUNDATION LICENSE VERSION 2\n--------------------------------------------\n\n1. This LICENSE AGREEMENT is between the Python Software Foundation\n(\"PSF\"), and the Individual or Organization (\"Licensee\") accessing and\notherwise using this software (\"Python\") in source or binary form and\nits associated documentation.\n\n2. Subject to the terms and conditions of this License Agreement, PSF hereby\ngrants Licensee a nonexclusive, royalty-free, world-wide license to reproduce,\nanalyze, test, perform and/or display publicly, prepare derivative works,\ndistribute, and otherwise use Python alone or in any derivative version,\nprovided, however, that PSF's License Agreement and PSF's notice of copyright,\ni.e., \"Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010,\n2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020, 2021, 2022 Python Software Foundation;\nAll Rights Reserved\" are retained in Python alone or in any derivative version\nprepared by Licensee.\n\n3. In the event Licensee prepares a derivative work that is based on\nor incorporates Python or any part thereof, and wants to make\nthe derivative work available to others as provided herein, then\nLicensee hereby agrees to include in any such work a brief summary of\nthe changes made to Python.\n\n4. PSF is making Python available to Licensee on an \"AS IS\"\nbasis.  PSF MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR\nIMPLIED.  BY WAY OF EXAMPLE, BUT NOT LIMITATION, PSF MAKES NO AND\nDISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS\nFOR ANY PARTICULAR PURPOSE OR THAT THE USE OF PYTHON WILL NOT\nINFRINGE ANY THIRD PARTY RIGHTS.\n\n5. PSF SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON\nFOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS\nA RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE USING PYTHON,\nOR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n6. This License Agreement will automatically terminate upon a material\nbreach of its terms and conditions.\n\n7. Nothing in this License Agreement shall be deemed to create any\nrelationship of agency, partnership, or joint venture between PSF and\nLicensee.  This License Agreement does not grant permission to use PSF\ntrademarks or trade name in a trademark sense to endorse or promote\nproducts or services of Licensee, or any third party.\n\n8. By copying, installing or otherwise using Python, Licensee\nagrees to be bound by the terms and conditions of this License\nAgreement.\n\n\nBEOPEN.COM LICENSE AGREEMENT FOR PYTHON 2.0\n-------------------------------------------\n\nBEOPEN PYTHON OPEN SOURCE LICENSE AGREEMENT VERSION 1\n\n1. This LICENSE AGREEMENT is between BeOpen.com (\"BeOpen\"), having an\noffice at 160 Saratoga Avenue, Santa Clara, CA 95051, and the\nIndividual or Organization (\"Licensee\") accessing and otherwise using\nthis software in source or binary form and its associated\ndocumentation (\"the Software\").\n\n2. Subject to the terms and conditions of this BeOpen Python License\nAgreement, BeOpen hereby grants Licensee a non-exclusive,\nroyalty-free, world-wide license to reproduce, analyze, test, perform\nand/or display publicly, prepare derivative works, distribute, and\notherwise use the Software alone or in any derivative version,\nprovided, however, that the BeOpen Python License is retained in the\nSoftware, alone or in any derivative version prepared by Licensee.\n\n3. BeOpen is making the Software available to Licensee on an \"AS IS\"\nbasis.  BEOPEN MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR\nIMPLIED.  BY WAY OF EXAMPLE, BUT NOT LIMITATION, BEOPEN MAKES NO AND\nDISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS\nFOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE WILL NOT\nINFRINGE ANY THIRD PARTY RIGHTS.\n\n4. BEOPEN SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE\nSOFTWARE FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS\nAS A RESULT OF USING, MODIFYING OR DISTRIBUTING THE SOFTWARE, OR ANY\nDERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n5. This License Agreement will automatically terminate upon a material\nbreach of its terms and conditions.\n\n6. This License Agreement shall be governed by and interpreted in all\nrespects by the law of the State of California, excluding conflict of\nlaw provisions.  Nothing in this License Agreement shall be deemed to\ncreate any relationship of agency, partnership, or joint venture\nbetween BeOpen and Licensee.  This License Agreement does not grant\npermission to use BeOpen trademarks or trade names in a trademark\nsense to endorse or promote products or services of Licensee, or any\nthird party.  As an exception, the \"BeOpen Python\" logos available at\nhttp://www.pythonlabs.com/logos.html may be used according to the\npermissions granted on that web page.\n\n7. By copying, installing or otherwise using the software, Licensee\nagrees to be bound by the terms and conditions of this License\nAgreement.\n\n\nCNRI LICENSE AGREEMENT FOR PYTHON 1.6.1\n---------------------------------------\n\n1. This LICENSE AGREEMENT is between the Corporation for National\nResearch Initiatives, having an office at 1895 Preston White Drive,\nReston, VA 20191 (\"CNRI\"), and the Individual or Organization\n(\"Licensee\") accessing and otherwise using Python 1.6.1 software in\nsource or binary form and its associated documentation.\n\n2. Subject to the terms and conditions of this License Agreement, CNRI\nhereby grants Licensee a nonexclusive, royalty-free, world-wide\nlicense to reproduce, analyze, test, perform and/or display publicly,\nprepare derivative works, distribute, and otherwise use Python 1.6.1\nalone or in any derivative version, provided, however, that CNRI's\nLicense Agreement and CNRI's notice of copyright, i.e., \"Copyright (c)\n1995-2001 Corporation for National Research Initiatives; All Rights\nReserved\" are retained in Python 1.6.1 alone or in any derivative\nversion prepared by Licensee.  Alternately, in lieu of CNRI's License\nAgreement, Licensee may substitute the following text (omitting the\nquotes): \"Python 1.6.1 is made available subject to the terms and\nconditions in CNRI's License Agreement.  This Agreement together with\nPython 1.6.1 may be located on the internet using the following\nunique, persistent identifier (known as a handle): 1895.22/1013.  This\nAgreement may also be obtained from a proxy server on the internet\nusing the following URL: http://hdl.handle.net/1895.22/1013\".\n\n3. In the event Licensee prepares a derivative work that is based on\nor incorporates Python 1.6.1 or any part thereof, and wants to make\nthe derivative work available to others as provided herein, then\nLicensee hereby agrees to include in any such work a brief summary of\nthe changes made to Python 1.6.1.\n\n4. CNRI is making Python 1.6.1 available to Licensee on an \"AS IS\"\nbasis.  CNRI MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR\nIMPLIED.  BY WAY OF EXAMPLE, BUT NOT LIMITATION, CNRI MAKES NO AND\nDISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS\nFOR ANY PARTICULAR PURPOSE OR THAT THE USE OF PYTHON 1.6.1 WILL NOT\nINFRINGE ANY THIRD PARTY RIGHTS.\n\n5. CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON\n1.6.1 FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS\nA RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE USING PYTHON 1.6.1,\nOR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n6. This License Agreement will automatically terminate upon a material\nbreach of its terms and conditions.\n\n7. This License Agreement shall be governed by the federal\nintellectual property law of the United States, including without\nlimitation the federal copyright law, and, to the extent such\nU.S. federal law does not apply, by the law of the Commonwealth of\nVirginia, excluding Virginia's conflict of law provisions.\nNotwithstanding the foregoing, with regard to derivative works based\non Python 1.6.1 that incorporate non-separable material that was\npreviously distributed under the GNU General Public License (GPL), the\nlaw of the Commonwealth of Virginia shall govern this License\nAgreement only as to issues arising under or with respect to\nParagraphs 4, 5, and 7 of this License Agreement.  Nothing in this\nLicense Agreement shall be deemed to create any relationship of\nagency, partnership, or joint venture between CNRI and Licensee.  This\nLicense Agreement does not grant permission to use CNRI trademarks or\ntrade name in a trademark sense to endorse or promote products or\nservices of Licensee, or any third party.\n\n8. By clicking on the \"ACCEPT\" button where indicated, or by copying,\ninstalling or otherwise using Python 1.6.1, Licensee agrees to be\nbound by the terms and conditions of this License Agreement.\n\n		ACCEPT\n\n\nCWI LICENSE AGREEMENT FOR PYTHON 0.9.0 THROUGH 1.2\n--------------------------------------------------\n\nCopyright (c) 1991 - 1995, Stichting Mathematisch Centrum Amsterdam,\nThe Netherlands.  All rights reserved.\n\nPermission to use, copy, modify, and distribute this software and its\ndocumentation for any purpose and without fee is hereby granted,\nprovided that the above copyright notice appear in all copies and that\nboth that copyright notice and this permission notice appear in\nsupporting documentation, and that the name of Stichting Mathematisch\nCentrum or CWI not be used in advertising or publicity pertaining to\ndistribution of the software without specific, written prior\npermission.\n\nSTICHTING MATHEMATISCH CENTRUM DISCLAIMS ALL WARRANTIES WITH REGARD TO\nTHIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND\nFITNESS, IN NO EVENT SHALL STICHTING MATHEMATISCH CENTRUM BE LIABLE\nFOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\nWHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\nACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT\nOF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>PYTHON SOFTWARE FOUNDATION LICENSE VERSION 2\n\n--------------------------------------------\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> This LICENSE AGREEMENT is between the Python Software Foundation (\"PSF\"), and the Individual or Organization (\"Licensee\") accessing and otherwise using <<var;name=\"software\";original=\"this software (\"Python\")\";match=\"this software \\(\\\"Python\\\"\\)|Python(( [0-9]+)\\.([0-9]+)\\.([0-9]+))?\">> in source or binary form and its associated documentation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Subject to the terms and conditions of this License Agreement, PSF hereby grants Licensee a nonexclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use Python <<var;name=\"version\";original=\"2.0.1\";match=\"(([0-9]+)\\.([0-9]+)\\.([0-9]+))?\">> alone or in any derivative version, provided, however, that PSF's License Agreement and PSF's notice of copyright, i.e., \"Copyright (c) <<var;name=\"exampleCopyrightYears\";original=\"2001, 2002, 2003, 2004, 2005, 2006\";match=\"([0-9]{4},\\s)*[0-9]{4}\">> Python Software Foundation; All Rights Reserved\" are retained in Python <<var;name=\"version\";original=\"2.0.1\";match=\"(([0-9]+)\\.([0-9]+)\\.([0-9]+))?\">> alone or in any derivative version prepared by Licensee.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> In the event Licensee prepares a derivative work that is based on or incorporates Python <<var;name=\"version\";original=\"2.0.1\";match=\"(([0-9]+)\\.([0-9]+)\\.([0-9]+))?\">> or any part thereof, and wants to make the derivative work available to others as provided herein, then Licensee hereby agrees to include in any such work a brief summary of the changes made to Python <<var;name=\"version\";original=\"2.0.1\";match=\"(([0-9]+)\\.([0-9]+)\\.([0-9]+))?\">> .\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> PSF is making Python <<var;name=\"version\";original=\"2.0.1\";match=\"(([0-9]+)\\.([0-9]+)\\.([0-9]+))?\">> available to Licensee on an \"AS IS\" basis. PSF MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, PSF MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF PYTHON <<var;name=\"version\";original=\"2.0.1\";match=\"(([0-9]+)\\.([0-9]+)\\.([0-9]+))?\">> WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> PSF SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON <<var;name=\"version\";original=\"2.0.1\";match=\"(([0-9]+)\\.([0-9]+)\\.([0-9]+))?\">> FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE USING PYTHON <<var;name=\"version\";original=\"2.0.1\";match=\"(([0-9]+)\\.([0-9]+)\\.([0-9]+))?\">> , OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between PSF and Licensee. This License Agreement does not grant permission to use PSF trademarks or trade name in a trademark sense to endorse or promote products or services of Licensee, or any third party.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> By copying, installing or otherwise using Python <<var;name=\"version\";original=\"2.0.1\";match=\"(([0-9]+)\\.([0-9]+)\\.([0-9]+))?\">> , Licensee agrees to be bound by the terms and conditions of this License Agreement.<<beginOptional>> BEOPEN.COM LICENSE AGREEMENT FOR PYTHON 2.0\n\n-------------------------------------------\n\nBEOPEN PYTHON OPEN SOURCE LICENSE AGREEMENT VERSION 1\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> This LICENSE AGREEMENT is between BeOpen.com (\"BeOpen\"), having an office at 160 Saratoga Avenue, Santa Clara, CA 95051, and the Individual or Organization (\"Licensee\") accessing and otherwise using this software in source or binary form and its associated documentation (\"the Software\").\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Subject to the terms and conditions of this BeOpen Python License Agreement, BeOpen hereby grants Licensee a non-exclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use the Software alone or in any derivative version, provided, however, that the BeOpen Python License is retained in the Software, alone or in any derivative version prepared by Licensee.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> BeOpen is making the Software available to Licensee on an \"AS IS\" basis. BEOPEN MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, BEOPEN MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> BEOPEN SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THE SOFTWARE, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> This License Agreement shall be governed by and interpreted in all respects by the law of the State of California, excluding conflict of law provisions. Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between BeOpen and Licensee. This License Agreement does not grant permission to use BeOpen trademarks or trade names in a trademark sense to endorse or promote products or services of Licensee, or any third party. As an exception, the \"BeOpen Python\" logos available at http://www.pythonlabs.com/logos.html may be used according to the permissions granted on that web page.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> By copying, installing or otherwise using the software, Licensee agrees to be bound by the terms and conditions of this License Agreement.<<beginOptional>> CNRI LICENSE AGREEMENT FOR PYTHON 1.6.1\n\n---------------------------------------\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> This LICENSE AGREEMENT is between the Corporation for National Research Initiatives, having an office at 1895 Preston White Drive, Reston, VA 20191 (\"CNRI\"), and the Individual or Organization (\"Licensee\") accessing and otherwise using Python 1.6.1 software in source or binary form and its associated documentation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Subject to the terms and conditions of this License Agreement, CNRI hereby grants Licensee a nonexclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use Python 1.6.1 alone or in any derivative version, provided, however, that CNRI's License Agreement and CNRI's notice of copyright, i.e., \"Copyright \u00a9 1995-2001 Corporation for National Research Initiatives; All Rights Reserved\" are retained in Python 1.6.1 alone or in any derivative version prepared by Licensee. Alternately, in lieu of CNRI's License Agreement, Licensee may substitute the following text (omitting the quotes): \"Python 1.6.1 is made available subject to the terms and conditions in CNRI's License Agreement. This Agreement together with Python 1.6.1 may be located on the Internet using the following unique, persistent identifier (known as a handle): 1895.22/1013. This Agreement may also be obtained from a proxy server on the Internet using the following URL: http://hdl.handle.net/1895.22/1013\".\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> In the event Licensee prepares a derivative work that is based on or incorporates Python 1.6.1 or any part thereof, and wants to make the derivative work available to others as provided herein, then Licensee hereby agrees to include in any such work a brief summary of the changes made to Python 1.6.1.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> CNRI is making Python 1.6.1 available to Licensee on an \"AS IS\" basis. CNRI MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, CNRI MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF PYTHON 1.6.1 WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON 1.6.1 FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE USING PYTHON 1.6.1, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> This License Agreement shall be governed by the federal intellectual property law of the United States, including without limitation the federal copyright law, and, to the extent such U.S. federal law does not apply, by the law of the Commonwealth of Virginia, excluding Virginia's conflict of law provisions. Notwithstanding the foregoing, with regard to derivative works based on Python 1.6.1 that incorporate non-separable material that was previously distributed under the GNU General Public License (GPL), the law of the Commonwealth of Virginia shall govern this License Agreement only as to issues arising under or with respect to Paragraphs 4, 5, and 7 of this License Agreement. Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between CNRI and Licensee. This License Agreement does not grant permission to use CNRI trademarks or trade name in a trademark sense to endorse or promote products or services of Licensee, or any third party.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> By clicking on the \"ACCEPT\" button where indicated, or by copying, installing or otherwise using Python 1.6.1, Licensee agrees to be bound by the terms and conditions of this License Agreement.<<beginOptional>> CWI LICENSE AGREEMENT FOR PYTHON 0.9.0 THROUGH 1.2\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 1991 - 1995, Stichting Mathematisch Centrum Amsterdam, The Netherlands. All rights reserved.  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of Stichting Mathematisch Centrum or CWI not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.\n\nSTICHTING MATHEMATISCH CENTRUM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL STICHTING MATHEMATISCH CENTRUM BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n"
		self.name = "Python License 2.0.1"
		self.licenseComments = "For Python release 1.6.1, apparently the CNRI-Python license part of the stack was replaced with CNRI-Python-GPL-Compatible"
		self.licenseId = "Python-2.0.1"
		self.crossRef = [{"match": "False", "url": "https://docs.python.org/3/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:28Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.python.org/download/releases/2.0.1/license/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:29Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://github.com/python/cpython/blob/main/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:29Z", "isWayBackLink": False, "order": 2}]
		self.seeAlso = ["https://www.python.org/download/releases/2.0.1/license/", "https://docs.python.org/3/license.html", "https://github.com/python/cpython/blob/main/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"optional-license-text\"> \n			<p>\n			   PYTHON SOFTWARE FOUNDATION LICENSE VERSION 2\n			</p>\n\n			<p>\n			   --------------------------------------------\n			</p>\n\n		 </div>\n		 \n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   This LICENSE AGREEMENT is between the Python Software Foundation\n			   (&quot;PSF&quot;), and the Individual or Organization (&quot;Licensee&quot;)\n			   accessing and otherwise using <var class=\"replaceable-license-text\">  this software (&quot;Python&quot;)</var>\n			   in source or binary form and its associated documentation.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Subject to the terms and conditions of this License Agreement,\n			   PSF hereby grants Licensee a nonexclusive, royalty-free,\n			   world-wide license to reproduce, analyze, test, perform\n			   and/or display publicly, prepare derivative works, distribute,\n			   and otherwise use Python <var class=\"replaceable-license-text\"> 2.0.1</var> alone or in any derivative\n			   version, provided, however, that PSF&apos;s License Agreement\n			   and PSF&apos;s notice of copyright, i.e., &quot;Copyright (c)<var class=\"replaceable-license-text\"> 2001,\n			   2002, 2003, 2004, 2005, 2006</var>\n			   Python Software Foundation; All Rights Reserved&quot; are retained in\n			   Python <var class=\"replaceable-license-text\"> 2.0.1</var> alone or in any derivative version prepared by Licensee.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   In the event Licensee prepares a derivative work that is\n			   based on or incorporates Python <var class=\"replaceable-license-text\"> 2.0.1</var> or any part thereof, and\n			   wants to make the derivative work available to others as\n			   provided herein, then Licensee hereby agrees to include in\n			   any such work a brief summary of the changes made to Python <var class=\"replaceable-license-text\"> 2.0.1</var>.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   PSF is making Python <var class=\"replaceable-license-text\"> 2.0.1</var> available to Licensee on an &quot;AS IS&quot;\n			   basis. PSF MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS\n			   OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, PSF\n			   MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF\n			   MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT\n			   THE USE OF PYTHON <var class=\"replaceable-license-text\"> 2.0.1</var> WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   PSF SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER\n			   USERS OF PYTHON <var class=\"replaceable-license-text\"> 2.0.1</var> FOR ANY INCIDENTAL, SPECIAL, OR\n			   CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF MODIFYING,\n			   DISTRIBUTING, OR OTHERWISE USING PYTHON <var class=\"replaceable-license-text\"> 2.0.1</var>, OR ANY DERIVATIVE\n			   THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 6.</var>\n			   This License Agreement will automatically terminate\n			   upon a material breach of its terms and conditions.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 7.</var>\n			   Nothing in this License Agreement shall be deemed to create any\n			   relationship of agency, partnership, or joint venture between PSF\n			   and Licensee. This License Agreement does not grant permission to\n			   use PSF trademarks or trade name in a trademark sense to endorse\n			   or promote products or services of Licensee, or any third party.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 8.</var>\n			   By copying, installing or otherwise using\n			   Python <var class=\"replaceable-license-text\"> 2.0.1</var>, Licensee agrees to be bound by the\n			   terms and conditions of this License Agreement.\n			</li>\n		 \n</ul>\n		 <div class=\"optional-license-text\"> \n			<p>\n			   BEOPEN.COM LICENSE AGREEMENT FOR PYTHON 2.0\n			</p>\n\n			<p>\n			   -------------------------------------------\n			</p>\n\n			<p>\n			   BEOPEN PYTHON OPEN SOURCE LICENSE AGREEMENT VERSION 1\n			</p>\n\n		 </div>\n		 \n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   This LICENSE AGREEMENT is between BeOpen.com (&quot;BeOpen&quot;),\n			   having an office at 160 Saratoga Avenue, Santa Clara, CA\n			   95051, and the Individual or Organization (&quot;Licensee&quot;)\n			   accessing and otherwise using this software in source or\n			   binary form and its associated documentation (&quot;the Software&quot;).\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Subject to the terms and conditions of this BeOpen\n			   Python License Agreement, BeOpen hereby grants Licensee a\n			   non-exclusive, royalty-free, world-wide license to reproduce,\n			   analyze, test, perform and/or display publicly, prepare\n			   derivative works, distribute, and otherwise use the Software\n			   alone or in any derivative version, provided, however,\n			   that the BeOpen Python License is retained in the Software,\n			   alone or in any derivative version prepared by Licensee.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   BeOpen is making the Software available to Licensee on an\n			   &quot;AS IS&quot; basis. BEOPEN MAKES NO REPRESENTATIONS OR WARRANTIES,\n			   EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION,\n			   BEOPEN MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF\n			   MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT\n			   THE USE OF THE SOFTWARE WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   BEOPEN SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER\n			   USERS OF THE SOFTWARE FOR ANY INCIDENTAL, SPECIAL, OR\n			   CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING,\n			   MODIFYING OR DISTRIBUTING THE SOFTWARE, OR ANY DERIVATIVE\n			   THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   This License Agreement will automatically terminate\n			   upon a material breach of its terms and conditions.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 6.</var>\n			   This License Agreement shall be governed by and interpreted\n			   in all respects by the law of the State of California,\n			   excluding conflict of law provisions. Nothing in this License\n			   Agreement shall be deemed to create any relationship of\n			   agency, partnership, or joint venture between BeOpen and\n			   Licensee. This License Agreement does not grant permission\n			   to use BeOpen trademarks or trade names in a trademark sense\n			   to endorse or promote products or services of Licensee, or\n			   any third party. As an exception, the &quot;BeOpen Python&quot; logos\n			   available at http://www.pythonlabs.com/logos.html may be\n			   used according to the permissions granted on that web page.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 7.</var>\n			   By copying, installing or otherwise using the\n			   software, Licensee agrees to be bound by the\n			   terms and conditions of this License Agreement.\n			</li>\n		 \n</ul>\n		 <div class=\"optional-license-text\"> \n			<p>\n			   CNRI LICENSE AGREEMENT FOR PYTHON 1.6.1\n			</p>\n\n			<p>\n			   ---------------------------------------\n			</p>\n\n		 </div>\n		 \n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   This LICENSE AGREEMENT is between the Corporation for\n			   National Research Initiatives, having an office at 1895\n			   Preston White Drive, Reston, VA 20191 (&quot;CNRI&quot;), and\n			   the Individual or Organization (&quot;Licensee&quot;) accessing\n			   and otherwise using Python 1.6.1 software in source\n			   or binary form and its associated documentation.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Subject to the terms and conditions of this License Agreement,\n			   CNRI hereby grants Licensee a nonexclusive, royalty-free,\n			   world-wide license to reproduce, analyze, test, perform and/or\n			   display publicly, prepare derivative works, distribute, and\n			   otherwise use Python 1.6.1 alone or in any derivative version,\n			   provided, however, that CNRI&apos;s License Agreement and CNRI&apos;s\n			   notice of copyright, i.e., &quot;Copyright \u00a9 1995-2001 Corporation\n			   for National Research Initiatives; All Rights Reserved&quot; are\n			   retained in Python 1.6.1 alone or in any derivative version\n			   prepared by Licensee. Alternately, in lieu of CNRI&apos;s License\n			   Agreement, Licensee may substitute the following text (omitting\n			   the quotes): &quot;Python 1.6.1 is made available subject to\n			   the terms and conditions in CNRI&apos;s License Agreement. This\n			   Agreement together with Python 1.6.1 may be located on the\n			   Internet using the following unique, persistent identifier\n			   (known as a handle): 1895.22/1013. This Agreement may\n			   also be obtained from a proxy server on the Internet using\n			   the following URL: http://hdl.handle.net/1895.22/1013&quot;.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   In the event Licensee prepares a derivative work that is based\n			   on or incorporates Python 1.6.1 or any part thereof, and wants\n			   to make the derivative work available to others as provided\n			   herein, then Licensee hereby agrees to include in any such\n			   work a brief summary of the changes made to Python 1.6.1.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   CNRI is making Python 1.6.1 available to Licensee on an\n			   &quot;AS IS&quot; basis. CNRI MAKES NO REPRESENTATIONS OR WARRANTIES,\n			   EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION,\n			   CNRI MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF\n			   MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT\n			   THE USE OF PYTHON 1.6.1 WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF\n			   PYTHON 1.6.1 FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL\n			   DAMAGES OR LOSS AS A RESULT OF MODIFYING, DISTRIBUTING,\n			   OR OTHERWISE USING PYTHON 1.6.1, OR ANY DERIVATIVE\n			   THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 6.</var>\n			   This License Agreement will automatically terminate\n			   upon a material breach of its terms and conditions.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 7.</var>\n			   This License Agreement shall be governed by the federal\n			   intellectual property law of the United States, including\n			   without limitation the federal copyright law, and, to the\n			   extent such U.S. federal law does not apply, by the law of\n			   the Commonwealth of Virginia, excluding Virginia&apos;s conflict\n			   of law provisions. Notwithstanding the foregoing, with regard\n			   to derivative works based on Python 1.6.1 that incorporate\n			   non-separable material that was previously distributed\n			   under the GNU General Public License (GPL), the law of the\n			   Commonwealth of Virginia shall govern this License Agreement\n			   only as to issues arising under or with respect to Paragraphs\n			   4, 5, and 7 of this License Agreement. Nothing in this License\n			   Agreement shall be deemed to create any relationship of agency,\n			   partnership, or joint venture between CNRI and Licensee.\n			   This License Agreement does not grant permission to use CNRI\n			   trademarks or trade name in a trademark sense to endorse or\n			   promote products or services of Licensee, or any third party.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 8.</var>\n			   By clicking on the &quot;ACCEPT&quot; button where indicated,\n			   or by copying, installing or otherwise using\n			   Python 1.6.1, Licensee agrees to be bound by the\n			   terms and conditions of this License Agreement.\n			</li>\n		 \n</ul>\n		 <div class=\"optional-license-text\"> \n			<p>\n			   CWI LICENSE AGREEMENT FOR PYTHON 0.9.0 THROUGH 1.2\n			</p>\n\n		 </div>\n		 <div class=\"replaceable-license-text\"> \n			<p>\n			   Copyright (c) 1991 - 1995, Stichting Mathematisch\n			   Centrum Amsterdam, The Netherlands. All rights reserved.\n			</p>\n\n		 </div>\n		 <p>\n			Permission to use, copy, modify, and distribute this software\n			and its documentation for any purpose and without fee is\n			hereby granted, provided that the above copyright notice\n			appear in all copies and that both that copyright notice and\n			this permission notice appear in supporting documentation, and\n			that the name of Stichting Mathematisch Centrum or CWI not be\n			used in advertising or publicity pertaining to distribution\n			of the software without specific, written prior permission.\n		 </p>\n\n		 <p>\n			STICHTING MATHEMATISCH CENTRUM DISCLAIMS ALL WARRANTIES WITH\n			REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES\n			OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL STICHTING\n			MATHEMATISCH CENTRUM BE LIABLE FOR ANY SPECIAL, INDIRECT OR\n			CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING\n			FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF\n			CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\n			OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n		 </p>\n\n	  "
		self.python_name = "Python201"

	def __str__(self):
		return json.dumps(self.__dict__)


class RSAMD:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1991-2, RSA Data Security, Inc. Created 1991. All rights reserved.\n\nLicense to copy and use this software is granted provided that it is identified as the \"RSA Data Security, Inc. MD5 Message-Digest Algorithm\" in all material mentioning or referencing this software or this function.\n\nLicense is also granted to make and use derivative works provided that such works are identified as \"derived from the RSA Data Security, Inc. MD5 Message-Digest Algorithm\" in all material mentioning or referencing the derived work.\n\nRSA Data Security, Inc. makes no representations concerning either the merchantability of this software or the suitability of this software for any particular purpose. It is provided \"as is\" without express or implied warranty of any kind.\n\nThese notices must be retained in any copies of any part of this documentation and/or software.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1991-2, RSA Data Security, Inc. Created 1991. All rights reserved.  \";match=\".{0,5000}\">>\n\nLicense to copy and use this software is granted provided that it is identified as the \"RSA Data Security, Inc. <<var;name=\"algorithm\";original=\"MD5\";match=\"(MD5|MD4)\">> Message-Digest Algorithm\" in all material mentioning or referencing this software or this function.\n\nLicense is also granted to make and use derivative works provided that such works are identified as \"derived from the RSA Data Security, Inc. <<var;name=\"algorithm\";original=\"MD5\";match=\"(MD5|MD4)\">> Message-Digest Algorithm\" in all material mentioning or referencing the derived work.\n\nRSA Data Security, Inc. makes no representations concerning either the merchantability of this software or the suitability of this software for any particular purpose. It is provided \"as is\" without express or implied warranty of any kind.\n\nThese notices must be retained in any copies of any part of this documentation and/or software.\n\n"
		self.name = "RSA Message-Digest License"
		self.licenseId = "RSA-MD"
		self.crossRef = [{"match": "False", "url": "http://www.faqs.org/rfcs/rfc1321.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:32Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.faqs.org/rfcs/rfc1321.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 1991-2, RSA Data Security, Inc. Created 1991. All rights reserved.</p>\n\n	  </div>\n\n	  <p>License to copy and use this software is granted provided that it is identified as the &quot;RSA Data\n		 Security, Inc.\n		<var class=\"replaceable-license-text\"> MD5</var> Message-Digest Algorithm&quot; in all material mentioning\n		or referencing this software or this function.\n	  </p>\n\n	  <p>License is also granted to make and use derivative works provided that such works are identified as\n		 &quot;derived from the RSA Data Security, Inc.\n		<var class=\"replaceable-license-text\"> MD5</var> Message-Digest Algorithm&quot; in all material mentioning\n		or referencing the derived work.\n	  </p>\n\n	  <p>RSA Data Security, Inc. makes no representations concerning either the merchantability of this software\n		 or the suitability of this software for any particular purpose. It is provided &quot;as is&quot; without express\n		 or implied warranty of any kind.</p>\n\n	  <p>These notices must be retained in any copies of any part of this documentation and/or software.</p>\n\n	"
		self.python_name = "RSAMD"

	def __str__(self):
		return json.dumps(self.__dict__)


class GL2PS:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GL2PS LICENSE Version 2, November 2003\n\nCopyright (C) 2003, Christophe Geuzaine\n\nPermission to use, copy, and distribute this software and its documentation for any purpose with or without fee is hereby granted, provided that the copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.\n\nPermission to modify and distribute modified versions of this software is granted, provided that:\n\n1) the modifications are licensed under the same terms as this software;\n\n2) you make available the source code of any modifications that you distribute, either on the same media as you distribute any executable or other form of this software, or via a mechanism generally accepted in the software development community for the electronic transfer of data.\n\nThis software is provided \"as is\" without express or implied warranty.\n"
		self.standardLicenseTemplate = "<<beginOptional>>GL2PS LICENSE Version 2, November 2003\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 2003, Christophe Geuzaine  \";match=\".{0,5000}\">>\n\nPermission to use, copy, and distribute this software and its documentation for any purpose with or without fee is hereby granted, provided that the copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.\n\nPermission to modify and distribute modified versions of this software is granted, provided that:\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> the modifications are licensed under the same terms as this software;\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> you make available the source code of any modifications that you distribute, either on the same media as you distribute any executable or other form of this software, or via a mechanism generally accepted in the software development community for the electronic transfer of data.\n\nThis software is provided \"as is\" without express or implied warranty.\n\n"
		self.name = "GL2PS License"
		self.licenseId = "GL2PS"
		self.crossRef = [{"match": "False", "url": "http://www.geuz.org/gl2ps/COPYING.GL2PS", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:17Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.geuz.org/gl2ps/COPYING.GL2PS"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>GL2PS LICENSE Version 2, November 2003</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 2003, Christophe Geuzaine</p>\n\n	  </div>\n\n	  <p>Permission to use, copy, and distribute this software and its documentation for any purpose with or\n		 without fee is hereby granted, provided that the copyright notice appear in all copies and that both\n		 that copyright notice and this permission notice appear in supporting documentation.</p>\n\n	  <p>Permission to modify and distribute modified versions of this software is granted, provided that:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  the modifications are licensed under the same terms as this software;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  you make available the source code of any modifications that you distribute, either on the same\n			 media as you distribute any executable or other form of this software, or via a mechanism\n			 generally accepted in the software development community for the electronic transfer of\n			 data.\n		</li>\n	  \n</ul>\n	  <p>This software is provided &quot;as is&quot; without express or implied warranty.</p>\n\n	"
		self.python_name = "GL2PS"

	def __str__(self):
		return json.dumps(self.__dict__)


class OSL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The Open Software License v. 1.0\n\nThis Open Software License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\n	 \"Licensed under the Open Software License version 1.0\"\n\nLicense Terms\n\n1) Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license to do the following:\n\n	 a) to reproduce the Original Work in copies;\n\n	 b) to prepare derivative works (\"Derivative Works\") based upon the Original Work;\n\n	 c) to distribute copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work or Derivative Works that You distribute shall be licensed under the Open Software License;\n\n	 d) to perform the Original Work publicly; and\n\n	 e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor (\"Licensed Claims\") to make, use, sell and offer for sale the Original Work. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license under the Licensed Claims to make, use, sell and offer for sale Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to access and modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\n4) Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor except as expressly stated herein. No patent license is granted to make, use, sell or offer to sell embodiments of any patent claims other than the Licensed Claims defined in Section 2. No right is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any Original Work that Licensor otherwise would have a right to license.\n\n5) External Deployment. The term \"External Deployment\" means the use or distribution of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be accessed or used by anyone other than You, whether the Original Work or Derivative Works are distributed to those persons, made available as an application intended for use over a computer network, or used to provide services or otherwise deliver content to anyone other than You. As an express condition for the grants of license hereunder, You agree that any External Deployment by You shall be deemed a distribution and shall be licensed to all under the terms of this License, as prescribed in section 1(c) herein.\n\n6) Warranty and Disclaimer of Warranty. LICENSOR WARRANTS THAT THE COPYRIGHT IN AND TO THE ORIGINAL WORK IS OWNED BY THE LICENSOR OR THAT THE ORIGINAL WORK IS DISTRIBUTED BY LICENSOR UNDER A VALID CURRENT LICENSE FROM THE COPYRIGHT OWNER. EXCEPT AS EXPRESSLY STATED IN THE IMMEDIATELY PRECEEDING SENTENCE, THE ORIGINAL WORK IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE WARRANTY OF NON-INFRINGEMENT AND WARRANTIES THAT THE ORIGINAL WORK IS MERCHANTABLE OR FIT FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO LICENSE TO ORIGINAL WORK IS GRANTED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n7) Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR BE LIABLE TO ANY PERSON FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER ARISING AS A RESULT OF THIS LICENSE OR THE USE OF THE ORIGINAL WORK INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PERSON SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n8) Acceptance and Termination. Nothing else but this License (or another written agreement between Licensor and You) grants You permission to create Derivative Works based upon the Original Work, and any attempt to do so except under the terms of this License (or another written agreement between Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other countries, and by international treaty. Therefore, by exercising any of the rights granted to You in Sections 1 and 2 herein, You indicate Your acceptance of this License and all of its terms and conditions. This license shall terminate immediately and you may no longer exercise any of the rights granted to You by this License upon Your failure to honor the proviso in Section 1(c) herein.\n\n9) Mutual Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License if You file a lawsuit in any court alleging that any OSI Certified open source software that is licensed under any license containing this \"Mutual Termination for Patent Action\" clause infringes any patent claims that are essential to use that software.\n\n10) Jurisdiction, Venue and Governing Law. You agree that any lawsuit arising under or relating to this License shall be maintained in the courts of the jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of the U.S. Copyright Act, 17 U.S.C. \u00a7 101 et seq., the equivalent laws of other countries, and international treaty. This section shall survive the termination of this License.\n\n11) Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n12) Miscellaneous. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n13) Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\nThis license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved. Permission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>\"<<endOptional>>Licensed under the Open Software License version 1.0<<beginOptional>>\"<<endOptional>>\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Open Software License v. 1.0\n\n<<endOptional>>\n\nThis Open Software License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\n<<beginOptional>>\"<<endOptional>>Licensed under the Open Software License version 1.0<<beginOptional>>\"<<endOptional>>\n\nLicense Terms\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license to do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> to reproduce the Original Work in copies;\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> to prepare derivative works (\"Derivative Works\") based upon the Original Work;\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> to distribute copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work or Derivative Works that You distribute shall be licensed under the Open Software License;\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> to perform the Original Work publicly; and\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> to display the Original Work publicly.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor (\"Licensed Claims\") to make, use, sell and offer for sale the Original Work. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license under the Licensed Claims to make, use, sell and offer for sale Derivative Works.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to access and modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor except as expressly stated herein. No patent license is granted to make, use, sell or offer to sell embodiments of any patent claims other than the Licensed Claims defined in Section 2. No right is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any Original Work that Licensor otherwise would have a right to license.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> External Deployment. The term \"External Deployment\" means the use or distribution of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be accessed or used by anyone other than You, whether the Original Work or Derivative Works are distributed to those persons, made available as an application intended for use over a computer network, or used to provide services or otherwise deliver content to anyone other than You. As an express condition for the grants of license hereunder, You agree that any External Deployment by You shall be deemed a distribution and shall be licensed to all under the terms of this License, as prescribed in section 1(c) herein.\n\n   <<var;name=\"bullet\";original=\"6)\";match=\".{0,20}\">> Warranty and Disclaimer of Warranty. LICENSOR WARRANTS THAT THE COPYRIGHT IN AND TO THE ORIGINAL WORK IS OWNED BY THE LICENSOR OR THAT THE ORIGINAL WORK IS DISTRIBUTED BY LICENSOR UNDER A VALID CURRENT LICENSE FROM THE COPYRIGHT OWNER. EXCEPT AS EXPRESSLY STATED IN THE IMMEDIATELY PRECEEDING SENTENCE, THE ORIGINAL WORK IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE WARRANTY OF NON-INFRINGEMENT AND WARRANTIES THAT THE ORIGINAL WORK IS MERCHANTABLE OR FIT FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO LICENSE TO ORIGINAL WORK IS GRANTED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"7)\";match=\".{0,20}\">> Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR BE LIABLE TO ANY PERSON FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER ARISING AS A RESULT OF THIS LICENSE OR THE USE OF THE ORIGINAL WORK INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PERSON SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"8)\";match=\".{0,20}\">> Acceptance and Termination. Nothing else but this License (or another written agreement between Licensor and You) grants You permission to create Derivative Works based upon the Original Work, and any attempt to do so except under the terms of this License (or another written agreement between Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other countries, and by international treaty. Therefore, by exercising any of the rights granted to You in Sections 1 and 2 herein, You indicate Your acceptance of this License and all of its terms and conditions. This license shall terminate immediately and you may no longer exercise any of the rights granted to You by this License upon Your failure to honor the proviso in Section 1(c) herein.\n\n   <<var;name=\"bullet\";original=\"9)\";match=\".{0,20}\">> Mutual Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License if You file a lawsuit in any court alleging that any OSI Certified open source software that is licensed under any license containing this \"Mutual Termination for Patent Action\" clause infringes any patent claims that are essential to use that software.\n\n   <<var;name=\"bullet\";original=\"10)\";match=\".{0,20}\">> Jurisdiction, Venue and Governing Law. You agree that any lawsuit arising under or relating to this License shall be maintained in the courts of the jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of the U.S. Copyright Act, 17 U.S.C. \u00a7 101 et seq., the equivalent laws of other countries, and international treaty. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"11)\";match=\".{0,20}\">> Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"12)\";match=\".{0,20}\">> Miscellaneous. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n   <<var;name=\"bullet\";original=\"13)\";match=\".{0,20}\">> Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\nThis license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved. Permission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n\n"
		self.name = "Open Software License 1.0"
		self.licenseComments = "This license has been superseded."
		self.licenseId = "OSL-1.0"
		self.standardLicenseHeader = "\"Licensed under the Open Software License version 1.0\"\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/OSL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:40Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/OSL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Open Software License v. 1.0</p>\n\n	  </div>\n\n	  <p>This Open Software License (the &quot;License&quot;) applies to any original work of authorship (the\n		 &quot;Original Work&quot;) whose owner (the &quot;Licensor&quot;) has placed the following notice\n		 immediately following the copyright notice for the Original Work:</p>\n\n	  <p><var class=\"optional-license-text\">&quot;</var>Licensed under the Open Software License version 1.0<var class=\"optional-license-text\">&quot;</var></p>\n\n	  <p>License Terms</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive,\n			 perpetual, non-sublicenseable license to do the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			to reproduce the Original Work in copies;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			to prepare derivative works (&quot;Derivative Works&quot;) based upon the Original Work;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			to distribute copies of the Original Work and Derivative Works to the public, with the\n			   proviso that copies of Original Work or Derivative Works that You distribute shall be\n			   licensed under the Open Software License;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			to perform the Original Work publicly; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			to display the Original Work publicly.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive,\n			 perpetual, non-sublicenseable license, under patent claims owned or controlled by the Licensor\n			 that are embodied in the Original Work as furnished by the Licensor (&quot;Licensed\n			 Claims&quot;) to make, use, sell and offer for sale the Original Work. Licensor hereby grants\n			 You a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license under the\n			 Licensed Claims to make, use, sell and offer for sale Derivative Works.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  Grant of Source Code License. The term &quot;Source Code&quot; means the preferred form of the\n			 Original Work for making modifications to it and all available documentation describing how to\n			 access and modify the Original Work. Licensor hereby agrees to provide a machine-readable copy\n			 of the Source Code of the Original Work along with each copy of the Original Work that\n			 Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a\n			 machine-readable copy of the Source Code in an information repository reasonably calculated to\n			 permit inexpensive and convenient access by You for as long as Licensor continues to\n			 distribute the Original Work, and by publishing the address of that information repository in\n			 a notice immediately following the copyright notice that applies to the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to\n			 trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor\n			 except as expressly stated herein. No patent license is granted to make, use, sell or offer to\n			 sell embodiments of any patent claims other than the Licensed Claims defined in Section 2. No\n			 right is granted to the trademarks of Licensor even if such marks are included in the Original\n			 Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under\n			 different terms from this License any Original Work that Licensor otherwise would have a right\n			 to license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  External Deployment. The term &quot;External Deployment&quot; means the use or distribution of\n			 the Original Work or Derivative Works in any way such that the Original Work or Derivative\n			 Works may be accessed or used by anyone other than You, whether the Original Work or\n			 Derivative Works are distributed to those persons, made available as an application intended\n			 for use over a computer network, or used to provide services or otherwise deliver content to\n			 anyone other than You. As an express condition for the grants of license hereunder, You agree\n			 that any External Deployment by You shall be deemed a distribution and shall be licensed to\n			 all under the terms of this License, as prescribed in section 1(c) herein.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6)</var>\n		  Warranty and Disclaimer of Warranty. LICENSOR WARRANTS THAT THE COPYRIGHT IN AND TO THE ORIGINAL\n			 WORK IS OWNED BY THE LICENSOR OR THAT THE ORIGINAL WORK IS DISTRIBUTED BY LICENSOR UNDER A\n			 VALID CURRENT LICENSE FROM THE COPYRIGHT OWNER. EXCEPT AS EXPRESSLY STATED IN THE IMMEDIATELY\n			 PRECEEDING SENTENCE, THE ORIGINAL WORK IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot;\n			 BASIS, WITHOUT WARRANTY, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE\n			 WARRANTY OF NON-INFRINGEMENT AND WARRANTIES THAT THE ORIGINAL WORK IS MERCHANTABLE OR FIT FOR\n			 A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. THIS\n			 DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO LICENSE TO ORIGINAL\n			 WORK IS GRANTED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7)</var>\n		  Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT\n			 (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR BE LIABLE TO ANY PERSON FOR\n			 ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER ARISING\n			 AS A RESULT OF THIS LICENSE OR THE USE OF THE ORIGINAL WORK INCLUDING, WITHOUT LIMITATION,\n			 DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL\n			 OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PERSON SHALL HAVE BEEN INFORMED OF THE\n			 POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR\n			 DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE\n			 LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF\n			 INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\n			 YOU.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8)</var>\n		  Acceptance and Termination. Nothing else but this License (or another written agreement between\n			 Licensor and You) grants You permission to create Derivative Works based upon the Original\n			 Work, and any attempt to do so except under the terms of this License (or another written\n			 agreement between Licensor and You) is expressly prohibited by U.S. copyright law, the\n			 equivalent laws of other countries, and by international treaty. Therefore, by exercising any\n			 of the rights granted to You in Sections 1 and 2 herein, You indicate Your acceptance of this\n			 License and all of its terms and conditions. This license shall terminate immediately and you\n			 may no longer exercise any of the rights granted to You by this License upon Your failure to\n			 honor the proviso in Section 1(c) herein.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9)</var>\n		  Mutual Termination for Patent Action. This License shall terminate automatically and You may no\n			 longer exercise any of the rights granted to You by this License if You file a lawsuit in any\n			 court alleging that any OSI Certified open source software that is licensed under any license\n			 containing this &quot;Mutual Termination for Patent Action&quot; clause infringes any patent\n			 claims that are essential to use that software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10)</var>\n		  Jurisdiction, Venue and Governing Law. You agree that any lawsuit arising under or relating to\n			 this License shall be maintained in the courts of the jurisdiction wherein the Licensor\n			 resides or in which Licensor conducts its primary business, and under the laws of that\n			 jurisdiction excluding its conflict-of-law provisions. The application of the United Nations\n			 Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of\n			 the Original Work outside the scope of this License or after its termination shall be subject\n			 to the requirements and penalties of the U.S. Copyright Act, 17 U.S.C. \u00a7 101 et seq., the\n			 equivalent laws of other countries, and international treaty. This section shall survive the\n			 termination of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11)</var>\n		  Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating\n			 thereto, the prevailing party shall be entitled to recover its costs and expenses, including,\n			 without limitation, reasonable attorneys&apos; fees and costs incurred in connection with such\n			 action, including any appeal of such action. This section shall survive the termination of\n			 this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12)</var>\n		  Miscellaneous. This License represents the complete agreement concerning the subject matter\n			 hereof. If any provision of this License is held to be unenforceable, such provision shall be\n			 reformed only to the extent necessary to make it enforceable.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13)</var>\n		  Definition of &quot;You&quot; in This License. &quot;You&quot; throughout this License, whether\n			 in upper or lower case, means an individual or a legal entity exercising rights under, and\n			 complying with all of the terms of, this License. For legal entities, &quot;You&quot; includes\n			 any entity that controls, is controlled by, or is under common control with you. For purposes\n			 of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the\n			 direction or management of such entity, whether by contract or otherwise, or (ii) ownership of\n			 fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such\n			 entity.\n		</li>\n	  \n</ul>\n	  <p>This license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved. Permission is hereby granted\n		 to copy and distribute this license without modification. This license may not be modified without the\n		 express written permission of its copyright owner.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n	  <p><var class=\"optional-license-text\">&quot;</var>Licensed under the Open Software License version 1.0<var class=\"optional-license-text\">&quot;</var></p>\n\n	  "
		self.python_name = "OSL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class SISSL:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Sun Industry Standards Source License - Version 1.1\n\n1.0 DEFINITIONS\n\n	 1.1 \"Commercial Use\" means distribution or otherwise making the Original Code available to a third party.\n\n	 1.2 \"Contributor Version\" means the combination of the Original Code, and the Modifications made by that particular Contributor.\n\n	 1.3 \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	 1.4 \"Executable\" means Original Code in any form other than Source Code.\n\n	 1.5 \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	 1.6 \"Larger Work\" means a work which combines Original Code or portions thereof with code not governed by the terms of this License.\n\n	 1.7 \"License\" means this document.\n\n	 1.8 \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	 1.9 \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. A Modification is:\n\n		  A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		  B. Any new file that contains any part of the Original Code or previous Modifications.\n\n	 1.10 \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code.\n\n	 1.11 \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	 1.12 \"Source Code\" means the preferred form of the Original Code for making modifications to it, including all modules it contains, plus any associated interface definition files, or scripts used to control compilation and installation of an Executable.\n\n	 1.13 \"Standards\" means the standards identified in Exhibit B.\n\n	 1.14 \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You'' includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control'' means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n2.0 SOURCE CODE LICENSE\n\n	 2.1 The Initial Developer Grant  The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims: \n\n		  (a) under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n		  (b) under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n		  (c) the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n		  (d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices, including but not limited to Modifications. \n\n3.0 DISTRIBUTION OBLIGATIONS\n\n	 3.1 Application of License. The Source Code version of Original Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. Your license for shipment of the Contributor Version is conditioned upon Your full compliance with this Section. The Modifications which You create must comply with all requirements set out by the Standards body in effect one hundred twenty (120) days before You ship the Contributor Version. In the event that the Modifications do not meet such requirements, You agree to publish either (i) any deviation from the Standards protocol resulting from implementation of Your Modifications and a reference implementation of Your Modifications or (ii) Your Modifications in Source Code form, and to make any such deviation and reference implementation or Modifications available to all third parties under the same terms as this license on a royalty free basis within thirty (30) days of Your first customer shipment of Your Modifications.\n\n	 3.2 Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add Your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Initial Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Your version of the Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer for any liability incurred by the Initial Developer as a result of warranty, support, indemnity or liability terms You offer.\n\n	 3.3 Distribution of Executable Versions. You may distribute Original Code in Executable and Source form only if the requirements of Sections 3.1 and 3.2 have been met for that Original Code, and if You include a notice stating that the Source Code version of the Original Code is available under the terms of this License. The notice must be conspicuously included in any notice in an Executable or Source versions, related documentation or collateral in which You describe recipients' rights relating to the Original Code. You may distribute the Executable and Source versions of Your version of the Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License. If You distribute the Executable and Source versions under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer. You hereby agree to indemnify the Initial Developer for any liability incurred by the Initial Developer as a result of any such terms You offer.\n\n	 3.4 Larger Works. You may create a Larger Work by combining Original Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Original Code.\n\n4.0 INABILITY TO COMPLY DUE TO STATUTE OR REGULATION\n\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Original Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.2 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5.0 APPLICATION OF THIS LICENSE\n\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Modifications as set out in Section 3.1.\n\n6.0 VERSIONS OF THE LICENSE\n\n	 6.1 New Versions. Sun may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	 6.2 Effect of New Versions. Once Original Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of the License published by Sun. No one other than Sun has the right to modify the terms applicable to Original Code.\n\n7.0 DISCLAIMER OF WARRANTY\n\nORIGINAL CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE ORIGINAL CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE ORIGINAL CODE IS WITH YOU. SHOULD ANY ORIGINAL CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY ORIGINAL CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8.0 TERMINATION\n\n	 8.1 This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Original Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	 8.2 In the event of termination under Section 8.1 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n9.0 LIMIT OF LIABILITY\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF ORIGINAL CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10.0 U.S. GOVERNMENT END USERS\n\nU.S. Government: If this Software is being acquired by or on behalf of the U.S. Government or by a U.S. Government prime contractor or subcontractor (at any tier), then the Government's rights in the Software and accompanying documentation shall be only as set forth in this license; this is in accordance with 48 C.F.R. 227.7201 through 227.7202-4 (for Department of Defense (DoD) acquisitions) and with 48 C.F.R. 2.101 and 12.212 (for non-DoD acquisitions).\n\n11.0 MISCELLANEOUS\n\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\nEXHIBIT A - Sun Standards License\n\n\"The contents of this file are subject to the Sun Standards License Version 1.1 (the \"License\"); You may not use this file except in compliance with the License. You may obtain a copy of the License at _______________________________.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either \nexpress or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________________________.\n\nThe Initial Developer of the Original Code is: \nSun Microsystems, Inc..\n\nPortions created by: _______________________________________\n\nare Copyright (C): _______________________________________\n\nAll Rights Reserved.\n\nContributor(s): _______________________________________\nEXHIBIT B - Standards\n\nThe Standard is defined as the following:\nOpenOffice.org XML File Format Specification, located at http://xml.openoffice.org\nOpenOffice.org Application Programming Interface Specification, located at http://api.openoffice.org\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>\"<<endOptional>>The contents of this file are subject to the Sun Standards License Version 1.1 (the \"License\"); You may not use this file except in compliance with the License. You may obtain a copy of the License at <<var;name=\"source\";original=\"_______________________________\";match=\".+\">> .\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either\n\nexpress or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is <<var;name=\"code\";original=\"______________________________________\";match=\".+\">> .\n\nThe Initial Developer of the Original Code is: <<var;name=\"initialDeveloper\";original=\"Sun Microsystems, Inc.\";match=\".+\">> .\n\nPortions created by: <<var;name=\"creator\";original=\"_______________________________________\";match=\".+\">>\n\nare Copyright (C): <<var;name=\"copyright\";original=\"_______________________________________\";match=\".+\">>\n\nAll Rights Reserved.\n\nContributor(s): <<var;name=\"contributor\";original=\"_______________________________________\";match=\".+\">>\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Sun Industry Standards Source License - Version 1.1\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.0\";match=\".{0,20}\">> DEFINITIONS\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Commercial Use\" means distribution or otherwise making the Original Code available to a third party.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Executable\" means Original Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Original Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. A Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code.\n\n	  <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	  <<var;name=\"bullet\";original=\"1.12\";match=\".{0,20}\">> \"Source Code\" means the preferred form of the Original Code for making modifications to it, including all modules it contains, plus any associated interface definition files, or scripts used to control compilation and installation of an Executable.\n\n	  <<var;name=\"bullet\";original=\"1.13\";match=\".{0,20}\">> \"Standards\" means the standards identified in Exhibit B.\n\n	  <<var;name=\"bullet\";original=\"1.14\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You'' includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control'' means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.0\";match=\".{0,20}\">> SOURCE CODE LICENSE\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> The Initial Developer Grant The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices, including but not limited to Modifications.\n\n   <<var;name=\"bullet\";original=\"3.0\";match=\".{0,20}\">> DISTRIBUTION OBLIGATIONS\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> Application of License. The Source Code version of Original Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. Your license for shipment of the Contributor Version is conditioned upon Your full compliance with this Section. The Modifications which You create must comply with all requirements set out by the Standards body in effect one hundred twenty (120) days before You ship the Contributor Version. In the event that the Modifications do not meet such requirements, You agree to publish either (i) any deviation from the Standards protocol resulting from implementation of Your Modifications and a reference implementation of Your Modifications or (ii) Your Modifications in Source Code form, and to make any such deviation and reference implementation or Modifications available to all third parties under the same terms as this license on a royalty free basis within thirty (30) days of Your first customer shipment of Your Modifications.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add Your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Initial Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Your version of the Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer for any liability incurred by the Initial Developer as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Original Code in Executable and Source form only if the requirements of Sections 3.1 and 3.2 have been met for that Original Code, and if You include a notice stating that the Source Code version of the Original Code is available under the terms of this License. The notice must be conspicuously included in any notice in an Executable or Source versions, related documentation or collateral in which You describe recipients' rights relating to the Original Code. You may distribute the Executable and Source versions of Your version of the Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License. If You distribute the Executable and Source versions under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer. You hereby agree to indemnify the Initial Developer for any liability incurred by the Initial Developer as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.4\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Original Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Original Code.\n\n   <<var;name=\"bullet\";original=\"4.0\";match=\".{0,20}\">> INABILITY TO COMPLY DUE TO STATUTE OR REGULATION\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Original Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.2 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.0\";match=\".{0,20}\">> APPLICATION OF THIS LICENSE\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Modifications as set out in Section 3.1.\n\n   <<var;name=\"bullet\";original=\"6.0\";match=\".{0,20}\">> VERSIONS OF THE LICENSE\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> New Versions. Sun may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> Effect of New Versions. Once Original Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of the License published by Sun. No one other than Sun has the right to modify the terms applicable to Original Code.\n\n   <<var;name=\"bullet\";original=\"7.0\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY\n\n   ORIGINAL CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE ORIGINAL CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE ORIGINAL CODE IS WITH YOU. SHOULD ANY ORIGINAL CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY ORIGINAL CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.0\";match=\".{0,20}\">> TERMINATION\n\n	  <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Original Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	  <<var;name=\"bullet\";original=\"8.2\";match=\".{0,20}\">> In the event of termination under Section 8.1 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"9.0\";match=\".{0,20}\">> LIMIT OF LIABILITY\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF ORIGINAL CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.0\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS\n\n   U.S. Government: If this Software is being acquired by or on behalf of the U.S. Government or by a U.S. Government prime contractor or subcontractor (at any tier), then the Government's rights in the Software and accompanying documentation shall be only as set forth in this license; this is in accordance with 48 C.F.R. 227.7201 through 227.7202-4 (for Department of Defense (DoD) acquisitions) and with 48 C.F.R. 2.101 and 12.212 (for non-DoD acquisitions).\n\n   <<var;name=\"bullet\";original=\"11.0\";match=\".{0,20}\">> MISCELLANEOUS\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<beginOptional>>EXHIBIT A - Sun Standards License\n\n<<beginOptional>>\"<<endOptional>>The contents of this file are subject to the Sun Standards License Version 1.1 (the \"License\"); You may not use this file except in compliance with the License. You may obtain a copy of the License at <<var;name=\"source\";original=\"_______________________________\";match=\".+\">> .\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either\n\nexpress or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is <<var;name=\"code\";original=\"______________________________________\";match=\".+\">> .\n\nThe Initial Developer of the Original Code is: <<var;name=\"initialDeveloper\";original=\"Sun Microsystems, Inc.\";match=\".+\">> .\n\nPortions created by: <<var;name=\"creator\";original=\"_______________________________________\";match=\".+\">>\n\nare Copyright (C): <<var;name=\"copyright\";original=\"_______________________________________\";match=\".+\">>\n\nAll Rights Reserved.\n\nContributor(s): <<var;name=\"contributor\";original=\"_______________________________________\";match=\".+\">>\n\nEXHIBIT B - Standards\n\nThe Standard is defined as the following:\n\nOpenOffice.org XML File Format Specification, located at http://xml.openoffice.org\n\nOpenOffice.org Application Programming Interface Specification, located at\n\nhttp://api.openoffice.org\n\n<<endOptional>>"
		self.name = "Sun Industry Standards Source License v1.1"
		self.licenseId = "SISSL"
		self.standardLicenseHeader = "\"The contents of this file are subject to the Sun Standards License Version 1.1 (the \"License\"); You may not use this file except in compliance with the License. You may obtain a copy of the License at _______________________________ .\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either\n\nexpress or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________________________ .\n\nThe Initial Developer of the Original Code is: Sun Microsystems, Inc. .\n\nPortions created by: _______________________________________\n\nare Copyright (C): _______________________________________\n\nAll Rights Reserved.\n\nContributor(s): _______________________________________\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/SISSL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:41Z", "isWayBackLink": False, "order": 1}, {"match": "True", "url": "http://www.openoffice.org/licenses/sissl_license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:42Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openoffice.org/licenses/sissl_license.html", "https://opensource.org/licenses/SISSL"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Sun Industry Standards Source License - Version 1.1</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.0</var>\n		  DEFINITIONS\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1</var>\n			  &quot;Commercial Use&quot; means distribution or otherwise making the Original Code available to a third party.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2</var>\n			  &quot;Contributor Version&quot; means the combination of the Original Code, and the Modifications made by\n				 that particular Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3</var>\n			  &quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the software\n				 development community for the electronic transfer of data.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4</var>\n			  &quot;Executable&quot; means Original Code in any form other than Source Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5</var>\n			  &quot;Initial Developer&quot; means the individual or entity identified as the Initial Developer in the\n				 Source Code notice required by Exhibit A.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6</var>\n			  &quot;Larger Work&quot; means a work which combines Original Code or portions thereof with code not\n				 governed by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7</var>\n			  &quot;License&quot; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8</var>\n			  &quot;Licensable&quot; means having the right to grant, to the maximum extent possible, whether at the time\n				 of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9</var>\n			  &quot;Modifications&quot; means any addition to or deletion from the substance or structure of either the\n				 Original Code or any previous Modifications. A Modification is:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				  Any addition to or deletion from the contents of a file containing Original Code or previous\n					 Modifications.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				  Any new file that contains any part of the Original Code or previous Modifications.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10</var>\n			  &quot;Original Code&quot; means Source Code of computer software code which is described in the Source Code\n				 notice required by Exhibit A as Original Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11</var>\n			  &quot;Patent Claims&quot; means any patent claim(s), now owned or hereafter acquired, including without\n				 limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12</var>\n			  &quot;Source Code&quot; means the preferred form of the Original Code for making modifications to it,\n				 including all modules it contains, plus any associated interface definition files, or scripts\n				 used to control compilation and installation of an Executable.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13</var>\n			  &quot;Standards&quot; means the standards identified in Exhibit B.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.14</var>\n			  &quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity exercising rights under, and complying\n				 with all of the terms of, this License or a future version of this License issued under\n				 Section 6.1. For legal entities, &quot;You&apos;&apos; includes any entity which controls, is controlled by,\n				 or is under common control with You. For purposes of this definition, &quot;control&apos;&apos; means (a) the\n				 power, direct or indirect, to cause the direction or management of such entity, whether by\n				 contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding\n				 shares or beneficial ownership of such entity.\n			</li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.0</var>\n		  SOURCE CODE LICENSE\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1</var>\n			  The Initial Developer Grant The Initial Developer hereby grants You a world-wide, royalty-free,\n				 non-exclusive license, subject to third party intellectual property claims:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  under intellectual property rights (other than patent or trademark) Licensable by Initial\n					 Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original\n					 Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work;\n					 and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  under Patents Claims infringed by the making, using or selling of Original Code, to make, have\n					 made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code\n					 (or portions thereof).\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n					the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer\n					   first distributes Original Code under the terms of this License.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				  Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete\n					 from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by:\n					 i) the modification of the Original Code or ii) the combination of the Original Code with\n					 other software or devices, including but not limited to Modifications.\n				</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.0</var>\n		  DISTRIBUTION OBLIGATIONS\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n			  Application of License. The Source Code version of Original Code may be distributed only under\n				 the terms of this License or a future version of this License released under Section 6.1, and\n				 You must include a copy of this License with every copy of the Source Code You distribute. You\n				 may not offer or impose any terms on any Source Code version that alters or restricts the\n				 applicable version of this License or the recipients&apos; rights hereunder. Your license for\n				 shipment of the Contributor Version is conditioned upon Your full compliance with this\n				 Section. The Modifications which You create must comply with all requirements set out by the\n				 Standards body in effect one hundred twenty (120) days before You ship the Contributor\n				 Version. In the event that the Modifications do not meet such requirements, You agree to\n				 publish either (i) any deviation from the Standards protocol resulting from implementation of\n				 Your Modifications and a reference implementation of Your Modifications or (ii) Your\n				 Modifications in Source Code form, and to make any such deviation and reference implementation\n				 or Modifications available to all third parties under the same terms as this license on a\n				 royalty free basis within thirty (30) days of Your first customer shipment of Your\n				 Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n			  Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If\n				 it is not possible to put such notice in a particular Source Code file due to its structure,\n				 then You must include such notice in a location (such as a relevant directory) where a user\n				 would be likely to look for such a notice. If You created one or more Modification(s) You may\n				 add Your name as a Contributor to the notice described in Exhibit A. You must also duplicate\n				 this License in any documentation for the Source Code where You describe recipients&apos; rights or\n				 ownership rights relating to Initial Code. You may choose to offer, and to charge a fee for,\n				 warranty, support, indemnity or liability obligations to one or more recipients of Your\n				 version of the Code. However, You may do so only on Your own behalf, and not on behalf of the\n				 Initial Developer. You must make it absolutely clear than any such warranty, support,\n				 indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify\n				 the Initial Developer for any liability incurred by the Initial Developer as a result of\n				 warranty, support, indemnity or liability terms You offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3</var>\n			  Distribution of Executable Versions. You may distribute Original Code in Executable and Source\n				 form only if the requirements of Sections 3.1 and 3.2 have been met for that Original Code,\n				 and if You include a notice stating that the Source Code version of the Original Code is\n				 available under the terms of this License. The notice must be conspicuously included in any\n				 notice in an Executable or Source versions, related documentation or collateral in which You\n				 describe recipients&apos; rights relating to the Original Code. You may distribute the Executable\n				 and Source versions of Your version of the Code or ownership rights under a license of Your\n				 choice, which may contain terms different from this License, provided that You are in\n				 compliance with the terms of this License. If You distribute the Executable and Source\n				 versions under a different license You must make it absolutely clear that any terms which\n				 differ from this License are offered by You alone, not by the Initial Developer. You hereby\n				 agree to indemnify the Initial Developer for any liability incurred by the Initial Developer\n				 as a result of any such terms You offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4</var>\n			  Larger Works. You may create a Larger Work by combining Original Code with other code not\n				 governed by the terms of this License and distribute the Larger Work as a single product. In\n				 such a case, You must make sure the requirements of this License are fulfilled for the\n				 Original Code.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.0</var>\n		  INABILITY TO COMPLY DUE TO STATUTE OR REGULATION\n		  <p>If it is impossible for You to comply with any of the terms of this License with respect to some\n			 or all of the Original Code due to statute, judicial order, or regulation then You must: (a)\n			 comply with the terms of this License to the maximum extent possible; and (b) describe the\n			 limitations and the code they affect. Such description must be included in the LEGAL file\n			 described in Section 3.2 and must be included with all distributions of the Source Code.\n			 Except to the extent prohibited by statute or regulation, such description must be\n			 sufficiently detailed for a recipient of ordinary skill to be able to understand it.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.0</var>\n		  APPLICATION OF THIS LICENSE\n		  <p>This License applies to code to which the Initial Developer has attached the notice in Exhibit A\n			 and to related Modifications as set out in Section 3.1.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.0</var>\n		  VERSIONS OF THE LICENSE\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1</var>\n			  New Versions. Sun may publish revised and/or new versions of the License from time to time. Each\n				 version will be given a distinguishing version number.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2</var>\n			  Effect of New Versions. Once Original Code has been published under a particular version of the\n				 License, You may always continue to use it under the terms of that version. You may also\n				 choose to use such Original Code under the terms of any subsequent version of the License\n				 published by Sun. No one other than Sun has the right to modify the terms applicable to\n				 Original Code.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.0</var>\n		  DISCLAIMER OF WARRANTY\n		  <p>ORIGINAL CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTY OF ANY KIND,\n			 EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE ORIGINAL CODE\n			 IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE\n			 RISK AS TO THE QUALITY AND PERFORMANCE OF THE ORIGINAL CODE IS WITH YOU. SHOULD ANY ORIGINAL\n			 CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER) ASSUME THE COST OF ANY\n			 NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN\n			 ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY ORIGINAL CODE IS AUTHORIZED HEREUNDER EXCEPT\n			 UNDER THIS DISCLAIMER.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.0</var>\n		  TERMINATION\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1</var>\n			  This License and the rights granted hereunder will terminate automatically if You fail to comply\n				 with terms herein and fail to cure such breach within 30 days of becoming aware of the breach.\n				 All sublicenses to the Original Code which are properly granted shall survive any termination\n				 of this License. Provisions which, by their nature, must remain in effect beyond the\n				 termination of this License shall survive.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2</var>\n			  In the event of termination under Section 8.1 above, all end user license agreements (excluding\n				 distributors and resellers) which have been validly granted by You or any distributor\n				 hereunder prior to termination shall survive termination.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.0</var>\n		  LIMIT OF LIABILITY\n		  <p>UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT,\n			 OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF\n			 ORIGINAL CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY\n			 INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT\n			 LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR\n			 ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF\n			 THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR\n			 DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE LAW\n			 PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF\n			 INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\n			 YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.0</var>\n		  U.S. GOVERNMENT END USERS\n		  <p>U.S. Government: If this Software is being acquired by or on behalf of the U.S. Government or by\n			 a U.S. Government prime contractor or subcontractor (at any tier), then the Government&apos;s\n			 rights in the Software and accompanying documentation shall be only as set forth in this\n			 license; this is in accordance with 48 C.F.R. 227.7201 through 227.7202-4 (for Department of\n			 Defense (DoD) acquisitions) and with 48 C.F.R. 2.101 and 12.212 (for non-DoD\n			 acquisitions).</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.0</var>\n		  MISCELLANEOUS\n		  <p>This License represents the complete agreement concerning subject matter hereof. If any provision of this\n			 License is held to be unenforceable, such provision shall be reformed only to the extent necessary to\n			 make it enforceable. This License shall be governed by California law provisions (except to the extent\n			 applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to\n			 disputes in which at least one party is a citizen of, or an entity chartered or registered to do\n			 business in the United States of America, any litigation relating to this License shall be subject to\n			 the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in\n			 Santa Clara County, California, with the losing party responsible for costs, including without\n			 limitation, court costs and reasonable attorneys&apos; fees and expenses. The application of the United\n			 Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or\n			 regulation which provides that the language of a contract shall be consTrued against the drafter shall\n			 not apply to this License.</p>\n\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A - Sun Standards License</p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>The contents of this file are subject to the Sun Standards License Version 1.1 (the &quot;License&quot;); You may\n		 not use this file except in compliance with the License. You may obtain a copy of the License at\n		 <var class=\"replaceable-license-text\"> _______________________________</var>.</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF ANY KIND,\n		 either\n		<br />\n\nexpress or implied. See the License for the specific language governing rights and limitations\n			 under the License.\n	  </p>\n\n		 <p>The Original Code is <var class=\"replaceable-license-text\"> ______________________________________</var>.</p>\n\n		 <p>The Initial Developer of the Original Code is: <var class=\"replaceable-license-text\"> Sun Microsystems, Inc.</var>.</p>\n\n		 <p>Portions created by: <var class=\"replaceable-license-text\"> _______________________________________</var></p>\n\n		 <p>are Copyright (C): <var class=\"replaceable-license-text\"> _______________________________________</var></p>\n\n		 <p>All Rights Reserved.</p>\n\n		 <p>Contributor(s): <var class=\"replaceable-license-text\"> _______________________________________</var></p>\n\n		 <p>EXHIBIT B - Standards</p>\n\n		 <p>The Standard is defined as the following:\n		<br />\n\nOpenOffice.org XML File Format Specification, located at http://xml.openoffice.org\n		<br />\n\nOpenOffice.org Application Programming Interface Specification, located at\n		<br />\n\nhttp://api.openoffice.org\n	  </p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p><var class=\"optional-license-text\">&quot;</var>The contents of this file are subject to the Sun Standards License Version 1.1 (the &quot;License&quot;); You may\n		 not use this file except in compliance with the License. You may obtain a copy of the License at\n		 <var class=\"replaceable-license-text\"> _______________________________</var>.</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF ANY KIND,\n		 either\n		<br />\n\nexpress or implied. See the License for the specific language governing rights and limitations\n			 under the License.\n	  </p>\n\n		 <p>The Original Code is <var class=\"replaceable-license-text\"> ______________________________________</var>.</p>\n\n		 <p>The Initial Developer of the Original Code is: <var class=\"replaceable-license-text\"> Sun Microsystems, Inc.</var>.</p>\n\n		 <p>Portions created by: <var class=\"replaceable-license-text\"> _______________________________________</var></p>\n\n		 <p>are Copyright (C): <var class=\"replaceable-license-text\"> _______________________________________</var></p>\n\n		 <p>All Rights Reserved.</p>\n\n		 <p>Contributor(s): <var class=\"replaceable-license-text\"> _______________________________________</var></p>\n\n		 "
		self.python_name = "SISSL"

	def __str__(self):
		return json.dumps(self.__dict__)


class SGIB10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "SGI FREE SOFTWARE LICENSE B\n(Version 1.0 1/25/2000)\n\n1. Definitions.\n\n	 1.1 \"Additional Notice Provisions\" means such additional provisions as appear in the Notice in Original Code under the heading \"Additional Notice Provisions.\"\n\n	 1.2 \"API\" means an application programming interface established by SGI in conjunction with the Original Code.\n\n	 1.3 \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	 1.4 \"Hardware\" means any physical device that accepts input, processes input, stores the results of processing, and/or provides output.\n\n	 1.5 \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.6 \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	 1.7 \"License\" means this document.\n\n	 1.8 \"Modifications\" means any addition to the substance or structure of the Original Code and/or any addition to or deletion from previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		  A. Any addition to the contents of a file containing Original Code and/or any addition to or deletion from previous Modifications.\n\n		  B. Any new file that contains any part of the Original Code or previous Modifications.\n\n	 1.9 \"Notice\" means any notice in Original Code or Covered Code, as required by and in compliance with this License.\n\n	 1.10 \"Original Code\" means source code of computer software code which is described in the source code Notice required by Exhibit A as Original Code, and updates and error corrections specifically thereto.\n\n	 1.11 \"Recipient\" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 8. For legal entities, \"Recipient\" includes any entity which controls, is controlled by, or is under common control with Recipient. For purposes of this definition, \"control\" of an entity means (a) the power, direct or indirect, to direct or manage such entity, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n	 1.12 SGI\" means Silicon Graphics, Inc.\n\n2. License Grant and Restrictions.\n\n	 2.1v License Grant. Subject to the provisions of this License and any third party intellectual property claims, for the duration of intellectual property protections inherent in the Original Code, SGI hereby grants Recipient a worldwide, royalty-free, non-exclusive license, to do the following: (i) under copyrights Licensable by SGI, to reproduce, distribute, create derivative works from, and, to the extent applicable, display and perform the Original Code alone and/or as part of a Larger Work; and (ii) under any patent claims Licensable by SGI and embodied in the Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code. Recipient accepts the terms and conditions of this License by undertaking any of the aforementioned actions.\n\n	 2.2 Restriction on Patent License. Notwithstanding the provisions of Section 2.1(ii), no patent license is granted: 1) separate from the Original Code; nor 2) for infringements caused by (i) modification of the Original Code, or (ii) the combination of the Original Code with other software or Hardware.\n\n	 2.3 No License For Hardware Implementations. The licenses granted in Section 2.1 are not applicable to implementation in Hardware of the algorithms embodied in the Original Code.\n\n	 2.4 Modifications License and API Compliance. Modifications are only licensed under Section 2.1(i) to the extent such Modifications are fully compliant with any API as may be identified in Additional Notice Provisions as appear in the Original Code.\n\n3. Redistributions.\n\n	 A.\tRetention of Notice/Copy of License. The Notice set forth in Exhibit A, below, must be conspicuously retained or included in any and all redistributions of Covered Code. For distributions of the Covered Code in source code form, the Notice must appear in every file that can include a text comments field; in executable form, the Notice and a copy of this License must appear in related documentation or collateral where the Recipient\u2019s rights relating to Covered Code are described. Any Additional Notice Provisions which actually appears in the Original Code must also be retained or included in any and all redistributions of Covered Code.\n\n	 B.\tAlternative License. Provided that Recipient is in compliance with the terms of this License, Recipient may distribute the source code and/or executable version(s) of Covered Code under (1) this License; (2) a license identical to this License but for only such changes as are necessary in order to clarify Recipient\u2019s role as licensor of Modifications, without derogation of any of SGI\u2019s rights; and/or (3) a license of Recipient\u2019s choosing, containing terms different from this License, provided that the license terms include this Section 3 and Sections 4, 6, 7, 10, 12, and 13, which terms may not be modified or superseded by any other terms of such license. If Recipient elects to use any license other than this License, Recipient must make it absolutely clear that any of its terms which differ from this License are offered by Recipient alone, and not by SGI.\n\n	 C.\tIndemnity. Recipient hereby agrees to indemnify SGI for any liability incurred by SGI as a result of any such alternative license terms Recipient offers.\n\n4. Termination. This License and the rights granted hereunder will terminate automatically if Recipient breaches any term herein and fails to cure such breach within 30 days thereof. Any sublicense to the Covered Code that is properly granted shall survive any termination of this License, absent termination by the terms of such sublicense. Provisions that, by their nature, must remain in effect beyond the termination of this License, shall survive.\n\n5. No Trademark Or Other Rights. This License does not grant any rights to: (i) any software apart from the Covered Code, nor shall any other rights or licenses not expressly granted hereunder arise by implication, estoppel or otherwise with respect to the Covered Code; (ii) any trade name, trademark or service mark whatsoever, including without limitation any related right for purposes of endorsement or promotion of products derived from the Covered Code, without prior written permission of SGI; or (iii) any title to or ownership of the Original Code, which shall at all times remains with SGI. All rights in the Original Code not expressly granted under this License are reserved.\n\n6. Compliance with Laws; Non-Infringement. Recipient hereby assures that it shall comply with all applicable laws, regulations, and executive orders, in connection with any and all dispositions of Covered Code, including but not limited to, all export, re-export, and import control laws, regulations, and executive orders, of the U.S. government and other countries. Recipient may not distribute Covered Code that (i) in any way infringes (directly or contributorily) the rights (including patent, copyright, trade secret, trademark or other intellectual property rights of any kind) of any other person or entity or (ii) breaches any representation or warranty, express, implied or statutory, to which, under any applicable law, it might be deemed to have been subject.\n\n7. Claims of Infringement. If Recipient learns of any third party claim that any disposition of Covered Code and/or functionality wholly or partially infringes the third party's intellectual property rights, Recipient will promptly notify SGI of such claim.\n\n8. Versions of the License. SGI may publish revised and/or new versions of the License from time to time, each with a distinguishing version number. Once Covered Code has been published under a particular version of the License, Recipient may, for the duration of the license, continue to use it under the terms of that version, or choose to use such Covered Code under the terms of any subsequent version published by SGI. Subject to the provisions of Sections 3 and 4 of this License, only SGI may modify the terms applicable to Covered Code created under this License.\n\n9. DISCLAIMER OF WARRANTY. COVERED CODE IS PROVIDED \"AS IS.\" ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS ARE DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. SGI ASSUMES NO RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE. SHOULD THE SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, SGI ASSUMES NO COST OR LIABILITY FOR SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY IS AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT SUBJECT TO THIS DISCLAIMER.\n\n10. LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES NOR LEGAL THEORY, WHETHER TORT (INCLUDING, WITHOUT LIMITATION, NEGLIGENCE OR STRICT LIABILITY), CONTRACT, OR OTHERWISE, SHALL SGI OR ANY SGI LICENSOR BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, LOSS OF DATA, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SGI's NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO RECIPIENT.\n\n11. Indemnity. Recipient shall be solely responsible for damages arising, directly or indirectly, out of its utilization of rights under this License. Recipient will defend, indemnify and hold harmless Silicon Graphics, Inc. from and against any loss, liability, damages, costs or expenses (including the payment of reasonable attorneys fees) arising out of Recipient's use, modification, reproduction and distribution of the Covered Code or out of any representation or warranty made by Recipient.\n\n12. U.S. Government End Users. The Covered Code is a \"commercial item\" consisting of \"commercial computer software\" as such terms are defined in title 48 of the Code of Federal Regulations and all U.S. Government End Users acquire only the rights set forth in this License and are subject to the terms of this License.\n\n13. Miscellaneous. This License represents the complete agreement concerning the its subject matter. If any provision of this License is held to be unenforceable, such provision shall be reformed so as to achieve as nearly as possible the same legal and economic effect as the original provision and the remainder of this License will remain in effect. This License shall be governed by and consTrued in accordance with the laws of the United States and the State of California as applied to agreements entered into and to be performed entirely within California between California residents. Any litigation relating to this License shall be subject to the exclusive jurisdiction of the Federal Courts of the Northern District of California (or, absent subject matter jurisdiction in such courts, the courts of the State of California), with venue lying exclusively in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\nExhibit A\n\nLicense Applicability. Except to the extent portions of this file are made subject to an alternative license as permitted in the SGI Free Software License B, Version 1.0 (the \"License\"), the contents of this file are subject only to the provisions of the License. You may not use this file except in compliance with the License. You may obtain a copy of the License at Silicon Graphics, Inc., attn: Legal Services, 1600 Ampitheatre Parkway, Mountain View, CA 94043-1351, or at:\n\nhttp://oss.sgi.com/projects/FreeB\n\nNote that, as provided in the License, the Software is distributed on an \"AS IS\" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.\n\nOriginal Code. The Original Code is: [name of software, version number, and release date], developed by Silicon Graphics, Inc. The Original Code is Copyright (c) [dates of first publication, as appearing in the Notice in the Original Code] Silicon Graphics, Inc. Copyright in any portions created by third parties is as indicated elsewhere herein. All Rights Reserved.\n\nAdditional Notice Provisions: [such additional provisions, if any, as appear in the Notice in the Original Code under the heading \"Additional Notice Provisions\"]\n"
		self.standardLicenseHeaderTemplate = "License Applicability. Except to the extent portions of this file are made subject to an alternative license as permitted in the SGI Free Software License B, Version 1.0 (the \"License\"), the contents of this file are subject only to the provisions of the License. You may not use this file except in compliance with the License. You may obtain a copy of the License at Silicon Graphics, Inc., attn: Legal Services, 1600 Ampitheatre Parkway, Mountain View, CA 94043-1351, or at:\n\nhttp://oss.sgi.com/projects/FreeB\n\nNote that, as provided in the License, the Software is distributed on an \"AS IS\" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.\n\nOriginal Code. The Original Code is:<<beginOptional>> [<<endOptional>> <<var;name=\"softwareName\";original=\"name of software\";match=\".+\">> , <<var;name=\"softwareVersion\";original=\"version number\";match=\".+\">> , and <<var;name=\"softwareReleaseDate\";original=\"release date\";match=\".+\">><<beginOptional>>]<<endOptional>>, developed by Silicon Graphics, Inc. The Original Code is Copyright (c)<<beginOptional>> [<<endOptional>> <<var;name=\"softwareFirstPublicationDate\";original=\"dates of first publication, as appearing in the Notice in the Original Code\";match=\".+\">><<beginOptional>>] <<endOptional>> Silicon Graphics, Inc. Copyright in any portions created by third parties is as indicated elsewhere herein. All Rights Reserved.\n\nAdditional Notice Provisions:<<beginOptional>> [<<endOptional>> <<var;name=\"additionalProvisions\";original=\"such additional provisions, if any, as appear in the Notice in the Original Code under the heading \"Additional Notice Provisions\"\";match=\".+\">><<beginOptional>>]<<endOptional>>\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>SGI FREE SOFTWARE LICENSE B\n\n(Version 1.0 1/25/2000)\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Additional Notice Provisions\" means such additional provisions as appear in the Notice in Original Code under the heading \"Additional Notice Provisions.\"\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"API\" means an application programming interface established by SGI in conjunction with the Original Code.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Hardware\" means any physical device that accepts input, processes input, stores the results of processing, and/or provides output.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"Modifications\" means any addition to the substance or structure of the Original Code and/or any addition to or deletion from previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to the contents of a file containing Original Code and/or any addition to or deletion from previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"Notice\" means any notice in Original Code or Covered Code, as required by and in compliance with this License.\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> \"Original Code\" means source code of computer software code which is described in the source code Notice required by Exhibit A as Original Code, and updates and error corrections specifically thereto.\n\n	  <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> \"Recipient\" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 8. For legal entities, \"Recipient\" includes any entity which controls, is controlled by, or is under common control with Recipient. For purposes of this definition, \"control\" of an entity means (a) the power, direct or indirect, to direct or manage such entity, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n	  <<var;name=\"bullet\";original=\"1.12\";match=\".{0,20}\">> SGI\" means Silicon Graphics, Inc.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> License Grant and Restrictions.\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> License Grant. Subject to the provisions of this License and any third party intellectual property claims, for the duration of intellectual property protections inherent in the Original Code, SGI hereby grants Recipient a worldwide, royalty-free, non-exclusive license, to do the following: (i) under copyrights Licensable by SGI, to reproduce, distribute, create derivative works from, and, to the extent applicable, display and perform the Original Code alone and/or as part of a Larger Work; and (ii) under any patent claims Licensable by SGI and embodied in the Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code. Recipient accepts the terms and conditions of this License by undertaking any of the aforementioned actions.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> Restriction on Patent License. Notwithstanding the provisions of Section 2.1(ii), no patent license is granted: 1) separate from the Original Code; nor 2) for infringements caused by (i) modification of the Original Code, or (ii) the combination of the Original Code with other software or Hardware.\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> No License For Hardware Implementations. The licenses granted in Section 2.1 are not applicable to implementation in Hardware of the algorithms embodied in the Original Code.\n\n	  <<var;name=\"bullet\";original=\"2.4\";match=\".{0,20}\">> Modifications License and API Compliance. Modifications are only licensed under Section 2.1(i) to the extent such Modifications are fully compliant with any API as may be identified in Additional Notice Provisions as appear in the Original Code.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions.\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Retention of Notice/Copy of License. The Notice set forth in Exhibit A, below, must be conspicuously retained or included in any and all redistributions of Covered Code. For distributions of the Covered Code in source code form, the Notice must appear in every file that can include a text comments field; in executable form, the Notice and a copy of this License must appear in related documentation or collateral where the Recipient's rights relating to Covered Code are described. Any Additional Notice Provisions which actually appears in the Original Code must also be retained or included in any and all redistributions of Covered Code.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Alternative License. Provided that Recipient is in compliance with the terms of this License, Recipient may distribute the source code and/or executable version(s) of Covered Code under (1) this License; (2) a license identical to this License but for only such changes as are necessary in order to clarify Recipient's role as licensor of Modifications, without derogation of any of SGI's rights; and/or (3) a license of Recipient's choosing, containing terms different from this License, provided that the license terms include this Section 3 and Sections 4, 6, 7, 10, 12, and 13, which terms may not be modified or superseded by any other terms of such license. If Recipient elects to use any license other than this License, Recipient must make it absolutely clear that any of its terms which differ from this License are offered by Recipient alone, and not by SGI.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> Indemnity. Recipient hereby agrees to indemnify SGI for any liability incurred by SGI as a result of any such alternative license terms Recipient offers.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Termination. This License and the rights granted hereunder will terminate automatically if Recipient breaches any term herein and fails to cure such breach within 30 days thereof. Any sublicense to the Covered Code that is properly granted shall survive any termination of this License, absent termination by the terms of such sublicense. Provisions that, by their nature, must remain in effect beyond the termination of this License, shall survive.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> No Trademark Or Other Rights. This License does not grant any rights to: (i) any software apart from the Covered Code, nor shall any other rights or licenses not expressly granted hereunder arise by implication, estoppel or otherwise with respect to the Covered Code; (ii) any trade name, trademark or service mark whatsoever, including without limitation any related right for purposes of endorsement or promotion of products derived from the Covered Code, without prior written permission of SGI; or (iii) any title to or ownership of the Original Code, which shall at all times remains with SGI. All rights in the Original Code not expressly granted under this License are reserved.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Compliance with Laws; Non-Infringement. Recipient hereby assures that it shall comply with all applicable laws, regulations, and executive orders, in connection with any and all dispositions of Covered Code, including but not limited to, all export, re-export, and import control laws, regulations, and executive orders, of the U.S. government and other countries. Recipient may not distribute Covered Code that (i) in any way infringes (directly or contributorily) the rights (including patent, copyright, trade secret, trademark or other intellectual property rights of any kind) of any other person or entity or (ii) breaches any representation or warranty, express, implied or statutory, to which, under any applicable law, it might be deemed to have been subject.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Claims of Infringement. If Recipient learns of any third party claim that any disposition of Covered Code and/or functionality wholly or partially infringes the third party's intellectual property rights, Recipient will promptly notify SGI of such claim.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Versions of the License. SGI may publish revised and/or new versions of the License from time to time, each with a distinguishing version number. Once Covered Code has been published under a particular version of the License, Recipient may, for the duration of the license, continue to use it under the terms of that version, or choose to use such Covered Code under the terms of any subsequent version published by SGI. Subject to the provisions of Sections 3 and 4 of this License, only SGI may modify the terms applicable to Covered Code created under this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY. COVERED CODE IS PROVIDED \"AS IS.\" ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS ARE DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. SGI ASSUMES NO RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE. SHOULD THE SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, SGI ASSUMES NO COST OR LIABILITY FOR SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY IS AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT SUBJECT TO THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES NOR LEGAL THEORY, WHETHER TORT (INCLUDING, WITHOUT LIMITATION, NEGLIGENCE OR STRICT LIABILITY), CONTRACT, OR OTHERWISE, SHALL SGI OR ANY SGI LICENSOR BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, LOSS OF DATA, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SGI's NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO RECIPIENT.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Indemnity. Recipient shall be solely responsible for damages arising, directly or indirectly, out of its utilization of rights under this License. Recipient will defend, indemnify and hold harmless Silicon Graphics, Inc. from and against any loss, liability, damages, costs or expenses (including the payment of reasonable attorneys fees) arising out of Recipient's use, modification, reproduction and distribution of the Covered Code or out of any representation or warranty made by Recipient.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> U.S. Government End Users. The Covered Code is a \"commercial item\" consisting of \"commercial computer software\" as such terms are defined in title 48 of the Code of Federal Regulations and all U.S. Government End Users acquire only the rights set forth in this License and are subject to the terms of this License.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Miscellaneous. This License represents the complete agreement concerning the its subject matter. If any provision of this License is held to be unenforceable, such provision shall be reformed so as to achieve as nearly as possible the same legal and economic effect as the original provision and the remainder of this License will remain in effect. This License shall be governed by and consTrued in accordance with the laws of the United States and the State of California as applied to agreements entered into and to be performed entirely within California between California residents. Any litigation relating to this License shall be subject to the exclusive jurisdiction of the Federal Courts of the Northern District of California (or, absent subject matter jurisdiction in such courts, the courts of the State of California), with venue lying exclusively in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.<<beginOptional>> Exhibit A\n\nLicense Applicability. Except to the extent portions of this file are made subject to an alternative license as permitted in the SGI Free Software License B, Version 1.0 (the \"License\"), the contents of this file are subject only to the provisions of the License. You may not use this file except in compliance with the License. You may obtain a copy of the License at Silicon Graphics, Inc., attn: Legal Services, 1600 Ampitheatre Parkway, Mountain View, CA 94043-1351, or at:\n\nhttp://oss.sgi.com/projects/FreeB\n\nNote that, as provided in the License, the Software is distributed on an \"AS IS\" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.\n\nOriginal Code. The Original Code is:<<beginOptional>> [<<endOptional>> <<var;name=\"softwareName\";original=\"name of software\";match=\".+\">> , <<var;name=\"softwareVersion\";original=\"version number\";match=\".+\">> , and <<var;name=\"softwareReleaseDate\";original=\"release date\";match=\".+\">><<beginOptional>>]<<endOptional>>, developed by Silicon Graphics, Inc. The Original Code is Copyright (c)<<beginOptional>> [<<endOptional>> <<var;name=\"softwareFirstPublicationDate\";original=\"dates of first publication, as appearing in the Notice in the Original Code\";match=\".+\">><<beginOptional>>] <<endOptional>> Silicon Graphics, Inc. Copyright in any portions created by third parties is as indicated elsewhere herein. All Rights Reserved.\n\nAdditional Notice Provisions:<<beginOptional>> [<<endOptional>> <<var;name=\"additionalProvisions\";original=\"such additional provisions, if any, as appear in the Notice in the Original Code under the heading \"Additional Notice Provisions\"\";match=\".+\">><<beginOptional>>]<<endOptional>>\n\n<<endOptional>>"
		self.name = "SGI Free Software License B v1.0"
		self.licenseComments = "This license was released 25 January 2000"
		self.licenseId = "SGI-B-1.0"
		self.standardLicenseHeader = "License Applicability. Except to the extent portions of this file are made subject to an alternative license as permitted in the SGI Free Software License B, Version 1.0 (the \"License\"), the contents of this file are subject only to the provisions of the License. You may not use this file except in compliance with the License. You may obtain a copy of the License at Silicon Graphics, Inc., attn: Legal Services, 1600 Ampitheatre Parkway, Mountain View, CA 94043-1351, or at:\n\nhttp://oss.sgi.com/projects/FreeB\n\nNote that, as provided in the License, the Software is distributed on an \"AS IS\" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.\n\nOriginal Code. The Original Code is: [ name of software , version number , and release date], developed by Silicon Graphics, Inc. The Original Code is Copyright (c) [ dates of first publication, as appearing in the Notice in the Original Code] Silicon Graphics, Inc. Copyright in any portions created by third parties is as indicated elsewhere herein. All Rights Reserved.\n\nAdditional Notice Provisions: [ such additional provisions, if any, as appear in the Notice in the Original Code under the heading \"Additional Notice Provisions\"]\n\n"
		self.crossRef = [{"match": "N/A", "url": "http://oss.sgi.com/projects/FreeB/SGIFreeSWLicB.1.0.html", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:20:12Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://oss.sgi.com/projects/FreeB/SGIFreeSWLicB.1.0.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>SGI FREE SOFTWARE LICENSE B\n		<br />\n\n(Version 1.0 1/25/2000)\n	  </p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1</var>\n			  &quot;Additional Notice Provisions&quot; means such additional provisions as appear in the Notice in\n				 Original Code under the heading &quot;Additional Notice Provisions.&quot;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2</var>\n			  &quot;API&quot; means an application programming interface established by SGI in conjunction with the\n				 Original Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3</var>\n			  &quot;Covered Code&quot; means the Original Code or Modifications or the combination of the Original Code\n				 and Modifications, in each case including portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4</var>\n			  &quot;Hardware&quot; means any physical device that accepts input, processes input, stores the results of\n				 processing, and/or provides output.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5</var>\n			  &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with code not governed\n				 by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6</var>\n			  &quot;Licensable&quot; means having the right to grant, to the maximum extent possible, whether at the time\n				 of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7</var>\n			  &quot;License&quot; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8</var>\n			  &quot;Modifications&quot; means any addition to the substance or structure of the Original Code and/or any\n				 addition to or deletion from previous Modifications. When Covered Code is released as a series\n				 of files, a Modification is:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				  Any addition to the contents of a file containing Original Code and/or any addition to or\n				   deletion from previous Modifications.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				  Any new file that contains any part of the Original Code or previous Modifications.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9</var>\n			  &quot;Notice&quot; means any notice in Original Code or Covered Code, as required by and in compliance with\n				 this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10</var>\n			  &quot;Original Code&quot; means source code of computer software code which is described in the source code\n				 Notice required by Exhibit A as Original Code, and updates and error corrections specifically\n				 thereto.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11</var>\n			  &quot;Recipient&quot; means an individual or a legal entity exercising rights under, and complying with all\n				 of the terms of, this License or a future version of this License issued under Section 8. For\n				 legal entities, &quot;Recipient&quot; includes any entity which controls, is controlled by, or is under\n				 common control with Recipient. For purposes of this definition, &quot;control&quot; of an entity means\n				 (a) the power, direct or indirect, to direct or manage such entity, or (b) ownership of fifty\n				 percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12</var>\n			  SGI&quot; means Silicon Graphics, Inc.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  License Grant and Restrictions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1</var>\n			  License Grant. Subject to the provisions of this License and any third party intellectual\n			   property claims, for the duration of intellectual property protections inherent in the\n			   Original Code, SGI hereby grants Recipient a worldwide, royalty-free, non-exclusive license,\n			   to do the following: (i) under copyrights Licensable by SGI, to reproduce, distribute, create\n			   derivative works from, and, to the extent applicable, display and perform the Original Code\n			   alone and/or as part of a Larger Work; and (ii) under any patent claims Licensable by SGI and\n			   embodied in the Original Code, to make, have made, use, practice, sell, and offer for sale,\n			   and/or otherwise dispose of the Original Code. Recipient accepts the terms and conditions of\n			   this License by undertaking any of the aforementioned actions.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2</var>\n			  Restriction on Patent License. Notwithstanding the provisions of Section 2.1(ii), no patent\n				 license is granted: 1) separate from the Original Code; nor 2) for infringements caused by (i)\n				 modification of the Original Code, or (ii) the combination of the Original Code with other\n				 software or Hardware.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.3</var>\n			  No License For Hardware Implementations. The licenses granted in Section 2.1 are not applicable\n			   to implementation in Hardware of the algorithms embodied in the Original Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.4</var>\n			  Modifications License and API Compliance. Modifications are only licensed under Section 2.1(i) to\n				 the extent such Modifications are fully compliant with any API as may be identified in\n				 Additional Notice Provisions as appear in the Original Code.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Redistributions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> A.</var>\n			  Retention of Notice/Copy of License. The Notice set forth in Exhibit A, below, must be\n				 conspicuously retained or included in any and all redistributions of Covered Code. For\n				 distributions of the Covered Code in source code form, the Notice must appear in every file\n				 that can include a text comments field; in executable form, the Notice and a copy of this\n				 License must appear in related documentation or collateral where the Recipient&apos;s rights\n				 relating to Covered Code are described. Any Additional Notice Provisions which actually\n				 appears in the Original Code must also be retained or included in any and all redistributions\n				 of Covered Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> B.</var>\n			  Alternative License. Provided that Recipient is in compliance with the terms of this License,\n				 Recipient may distribute the source code and/or executable version(s) of Covered Code under\n				 (1) this License; (2) a license identical to this License but for only such changes as are\n				 necessary in order to clarify Recipient&apos;s role as licensor of Modifications, without\n				 derogation of any of SGI&apos;s rights; and/or (3) a license of Recipient&apos;s choosing, containing\n				 terms different from this License, provided that the license terms include this Section 3 and\n				 Sections 4, 6, 7, 10, 12, and 13, which terms may not be modified or superseded by any other\n				 terms of such license. If Recipient elects to use any license other than this License,\n				 Recipient must make it absolutely clear that any of its terms which differ from this License\n				 are offered by Recipient alone, and not by SGI.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> C.</var>\n			  Indemnity. Recipient hereby agrees to indemnify SGI for any liability incurred by SGI as a result\n				 of any such alternative license terms Recipient offers.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Termination. This License and the rights granted hereunder will terminate automatically if\n			 Recipient breaches any term herein and fails to cure such breach within 30 days thereof. Any\n			 sublicense to the Covered Code that is properly granted shall survive any termination of this\n			 License, absent termination by the terms of such sublicense. Provisions that, by their nature,\n			 must remain in effect beyond the termination of this License, shall survive.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  No Trademark Or Other Rights. This License does not grant any rights to: (i) any software apart\n			 from the Covered Code, nor shall any other rights or licenses not expressly granted hereunder\n			 arise by implication, estoppel or otherwise with respect to the Covered Code; (ii) any trade\n			 name, trademark or service mark whatsoever, including without limitation any related right for\n			 purposes of endorsement or promotion of products derived from the Covered Code, without prior\n			 written permission of SGI; or (iii) any title to or ownership of the Original Code, which\n			 shall at all times remains with SGI. All rights in the Original Code not expressly granted\n			 under this License are reserved.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Compliance with Laws; Non-Infringement. Recipient hereby assures that it shall comply with all\n			 applicable laws, regulations, and executive orders, in connection with any and all\n			 dispositions of Covered Code, including but not limited to, all export, re-export, and import\n			 control laws, regulations, and executive orders, of the U.S. government and other countries.\n			 Recipient may not distribute Covered Code that (i) in any way infringes (directly or\n			 contributorily) the rights (including patent, copyright, trade secret, trademark or other\n			 intellectual property rights of any kind) of any other person or entity or (ii) breaches any\n			 representation or warranty, express, implied or statutory, to which, under any applicable law,\n			 it might be deemed to have been subject.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Claims of Infringement. If Recipient learns of any third party claim that any disposition of\n			 Covered Code and/or functionality wholly or partially infringes the third party&apos;s intellectual\n			 property rights, Recipient will promptly notify SGI of such claim.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Versions of the License. SGI may publish revised and/or new versions of the License from time to\n			 time, each with a distinguishing version number. Once Covered Code has been published under a\n			 particular version of the License, Recipient may, for the duration of the license, continue to\n			 use it under the terms of that version, or choose to use such Covered Code under the terms of\n			 any subsequent version published by SGI. Subject to the provisions of Sections 3 and 4 of this\n			 License, only SGI may modify the terms applicable to Covered Code created under this\n			 License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  DISCLAIMER OF WARRANTY. COVERED CODE IS PROVIDED &quot;AS IS.&quot; ALL EXPRESS AND IMPLIED WARRANTIES AND\n			 CONDITIONS ARE DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND\n			 CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND\n			 NON-INFRINGEMENT. SGI ASSUMES NO RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.\n			 SHOULD THE SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, SGI ASSUMES NO COST OR LIABILITY FOR\n			 SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY IS AN ESSENTIAL PART OF THIS\n			 LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT SUBJECT TO THIS\n			 DISCLAIMER.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES NOR LEGAL THEORY, WHETHER TORT (INCLUDING,\n			 WITHOUT LIMITATION, NEGLIGENCE OR STRICT LIABILITY), CONTRACT, OR OTHERWISE, SHALL SGI OR ANY\n			 SGI LICENSOR BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES\n			 OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE,\n			 LOSS OF DATA, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR\n			 LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS\n			 LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING\n			 FROM SGI&apos;s NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES,\n			 SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO RECIPIENT.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Indemnity. Recipient shall be solely responsible for damages arising, directly or indirectly, out\n			 of its utilization of rights under this License. Recipient will defend, indemnify and hold\n			 harmless Silicon Graphics, Inc. from and against any loss, liability, damages, costs or\n			 expenses (including the payment of reasonable attorneys fees) arising out of Recipient&apos;s use,\n			 modification, reproduction and distribution of the Covered Code or out of any representation\n			 or warranty made by Recipient.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  U.S. Government End Users. The Covered Code is a &quot;commercial item&quot; consisting of &quot;commercial\n			 computer software&quot; as such terms are defined in title 48 of the Code of Federal Regulations\n			 and all U.S. Government End Users acquire only the rights set forth in this License and are\n			 subject to the terms of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  Miscellaneous. This License represents the complete agreement concerning the its subject matter.\n			 If any provision of this License is held to be unenforceable, such provision shall be reformed\n			 so as to achieve as nearly as possible the same legal and economic effect as the original\n			 provision and the remainder of this License will remain in effect. This License shall be\n			 governed by and consTrued in accordance with the laws of the United States and the State of\n			 California as applied to agreements entered into and to be performed entirely within\n			 California between California residents. Any litigation relating to this License shall be\n			 subject to the exclusive jurisdiction of the Federal Courts of the Northern District of\n			 California (or, absent subject matter jurisdiction in such courts, the courts of the State of\n			 California), with venue lying exclusively in Santa Clara County, California, with the losing\n			 party responsible for costs, including without limitation, court costs and reasonable\n			 attorneys fees and expenses. The application of the United Nations Convention on Contracts for\n			 the International Sale of Goods is expressly excluded. Any law or regulation which provides\n			 that the language of a contract shall be consTrued against the drafter shall not apply to this\n			 License.\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>Exhibit A</p>\n\n		 <p>License Applicability. Except to the extent portions of this file are made subject to an alternative\n		 license as permitted in the SGI Free Software License B, Version 1.0 (the &quot;License&quot;), the contents of\n		 this file are subject only to the provisions of the License. You may not use this file except in\n		 compliance with the License. You may obtain a copy of the License at Silicon Graphics, Inc., attn:\n		 Legal Services, 1600 Ampitheatre Parkway, Mountain View, CA 94043-1351, or at:</p>\n\n		 <p>http://oss.sgi.com/projects/FreeB</p>\n\n		 <p>Note that, as provided in the License, the Software is distributed on an &quot;AS IS&quot; basis, with ALL EXPRESS\n		 AND IMPLIED WARRANTIES AND CONDITIONS DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED\n		 WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE,\n		 AND NON-INFRINGEMENT.</p>\n\n		 <p>Original Code. The Original Code is: <var class=\"optional-license-text\"> [</var>\n			<var class=\"replaceable-license-text\"> name of software</var>,\n	  <var class=\"replaceable-license-text\"> version number</var>, and\n	  <var class=\"replaceable-license-text\"> release date</var>\n			<var class=\"optional-license-text\">]</var>, developed by Silicon Graphics, Inc. The Original Code is Copyright (c)\n	  <var class=\"optional-license-text\"> [</var>\n			<var class=\"replaceable-license-text\"> dates of first publication, as appearing in\n		the Notice in the Original Code</var>\n			<var class=\"optional-license-text\">] </var> Silicon Graphics, Inc. Copyright in any\n		portions created by third parties is as indicated elsewhere herein. All Rights Reserved.</p>\n\n		 <p>Additional Notice Provisions: <var class=\"optional-license-text\"> [</var>\n			<var class=\"replaceable-license-text\"> such additional provisions, if any, as appear in\n		  the Notice in the Original Code under the heading &quot;Additional Notice Provisions&quot;</var>\n			<var class=\"optional-license-text\">]</var>\n		 </p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p>License Applicability. Except to the extent portions of this file are made subject to an alternative\n		 license as permitted in the SGI Free Software License B, Version 1.0 (the &quot;License&quot;), the contents of\n		 this file are subject only to the provisions of the License. You may not use this file except in\n		 compliance with the License. You may obtain a copy of the License at Silicon Graphics, Inc., attn:\n		 Legal Services, 1600 Ampitheatre Parkway, Mountain View, CA 94043-1351, or at:</p>\n\n		 <p>http://oss.sgi.com/projects/FreeB</p>\n\n		 <p>Note that, as provided in the License, the Software is distributed on an &quot;AS IS&quot; basis, with ALL EXPRESS\n		 AND IMPLIED WARRANTIES AND CONDITIONS DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED\n		 WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE,\n		 AND NON-INFRINGEMENT.</p>\n\n		 <p>Original Code. The Original Code is: <var class=\"optional-license-text\"> [</var>\n			<var class=\"replaceable-license-text\"> name of software</var>,\n	  <var class=\"replaceable-license-text\"> version number</var>, and\n	  <var class=\"replaceable-license-text\"> release date</var>\n			<var class=\"optional-license-text\">]</var>, developed by Silicon Graphics, Inc. The Original Code is Copyright (c)\n	  <var class=\"optional-license-text\"> [</var>\n			<var class=\"replaceable-license-text\"> dates of first publication, as appearing in\n		the Notice in the Original Code</var>\n			<var class=\"optional-license-text\">] </var> Silicon Graphics, Inc. Copyright in any\n		portions created by third parties is as indicated elsewhere herein. All Rights Reserved.</p>\n\n		 <p>Additional Notice Provisions: <var class=\"optional-license-text\"> [</var>\n			<var class=\"replaceable-license-text\"> such additional provisions, if any, as appear in\n		  the Notice in the Original Code under the heading &quot;Additional Notice Provisions&quot;</var>\n			<var class=\"optional-license-text\">]</var>\n		 </p>\n\n		"
		self.python_name = "SGIB10"

	def __str__(self):
		return json.dumps(self.__dict__)


class Minpack:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Minpack Copyright Notice (1999) University of Chicago.  All rights reserved\n\nRedistribution and use in source and binary forms, with or\nwithout modification, are permitted provided that the\nfollowing conditions are met:\n\n1. Redistributions of source code must retain the above\ncopyright notice, this list of conditions and the following\ndisclaimer.\n\n2. Redistributions in binary form must reproduce the above\ncopyright notice, this list of conditions and the following\ndisclaimer in the documentation and/or other materials\nprovided with the distribution.\n\n3. The end-user documentation included with the\nredistribution, if any, must include the following\nacknowledgment:\n\n   \"This product includes software developed by the\n   University of Chicago, as Operator of Argonne National\n   Laboratory.\n\nAlternately, this acknowledgment may appear in the software\nitself, if and wherever such third-party acknowledgments\nnormally appear.\n\n4. WARRANTY DISCLAIMER. THE SOFTWARE IS SUPPLIED \"AS IS\"\nWITHOUT WARRANTY OF ANY KIND. THE COPYRIGHT HOLDER, THE\nUNITED STATES, THE UNITED STATES DEPARTMENT OF ENERGY, AND\nTHEIR EMPLOYEES: (1) DISCLAIM ANY WARRANTIES, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES\nOF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE\nOR NON-INFRINGEMENT, (2) DO NOT ASSUME ANY LEGAL LIABILITY\nOR RESPONSIBILITY FOR THE ACCURACY, COMPLETENESS, OR\nUSEFULNESS OF THE SOFTWARE, (3) DO NOT REPRESENT THAT USE OF\nTHE SOFTWARE WOULD NOT INFRINGE PRIVATELY OWNED RIGHTS, (4)\nDO NOT WARRANT THAT THE SOFTWARE WILL FUNCTION\nUNINTERRUPTED, THAT IT IS ERROR-FREE OR THAT ANY ERRORS WILL\nBE CORRECTED.\n\n5. LIMITATION OF LIABILITY. IN NO EVENT WILL THE COPYRIGHT\nHOLDER, THE UNITED STATES, THE UNITED STATES DEPARTMENT OF\nENERGY, OR THEIR EMPLOYEES: BE LIABLE FOR ANY INDIRECT,\nINCIDENTAL, CONSEQUENTIAL, SPECIAL OR PUNITIVE DAMAGES OF\nANY KIND OR NATURE, INCLUDING BUT NOT LIMITED TO LOSS OF\nPROFITS OR LOSS OF DATA, FOR ANY REASON WHATSOEVER, WHETHER\nSUCH LIABILITY IS ASSERTED ON THE BASIS OF CONTRACT, TORT\n(INCLUDING NEGLIGENCE OR STRICT LIABILITY), OR OTHERWISE,\nEVEN IF ANY OF SAID PARTIES HAS BEEN WARNED OF THE\nPOSSIBILITY OF SUCH LOSS OR DAMAGES.\n"
		self.standardLicenseTemplate = "Minpack Copyright Notice (1999) University of Chicago. All rights reserved\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">>\n\n   Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">>\n\n   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">>\n\n   The end-user documentation included with the redistribution, if any, must include the following acknowledgment:\n\n   \"This product includes software developed by the University of Chicago, as Operator of Argonne National Laboratory.\n\n   Alternately, this acknowledgment may appear in the software itself, if and wherever such third-party acknowledgments normally appear.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">>\n\n   WARRANTY DISCLAIMER. THE SOFTWARE IS SUPPLIED \"AS IS\" WITHOUT WARRANTY OF ANY KIND. THE COPYRIGHT HOLDER, THE UNITED STATES, THE UNITED STATES DEPARTMENT OF ENERGY, AND THEIR EMPLOYEES: (1) DISCLAIM ANY WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE OR NON-INFRINGEMENT, (2) DO NOT ASSUME ANY LEGAL LIABILITY OR RESPONSIBILITY FOR THE ACCURACY, COMPLETENESS, OR USEFULNESS OF THE SOFTWARE, (3) DO NOT REPRESENT THAT USE OF THE SOFTWARE WOULD NOT INFRINGE PRIVATELY OWNED RIGHTS, (4) DO NOT WARRANT THAT THE SOFTWARE WILL FUNCTION UNINTERRUPTED, THAT IT IS ERROR-FREE OR THAT ANY ERRORS WILL BE CORRECTED.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">>\n\n   LIMITATION OF LIABILITY. IN NO EVENT WILL THE COPYRIGHT HOLDER, THE UNITED STATES, THE UNITED STATES DEPARTMENT OF ENERGY, OR THEIR EMPLOYEES: BE LIABLE FOR ANY INDIRECT, INCIDENTAL, CONSEQUENTIAL, SPECIAL OR PUNITIVE DAMAGES OF ANY KIND OR NATURE, INCLUDING BUT NOT LIMITED TO LOSS OF PROFITS OR LOSS OF DATA, FOR ANY REASON WHATSOEVER, WHETHER SUCH LIABILITY IS ASSERTED ON THE BASIS OF CONTRACT, TORT (INCLUDING NEGLIGENCE OR STRICT LIABILITY), OR OTHERWISE, EVEN IF ANY OF SAID PARTIES HAS BEEN WARNED OF THE POSSIBILITY OF SUCH LOSS OR DAMAGES.\n\n   "
		self.name = "Minpack License"
		self.licenseId = "Minpack"
		self.crossRef = [{"match": "False", "url": "http://www.netlib.org/minpack/disclaimer", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:01Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://gitlab.com/libeigen/eigen/-/blob/master/COPYING.MINPACK", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:02Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["http://www.netlib.org/minpack/disclaimer", "https://gitlab.com/libeigen/eigen/-/blob/master/COPYING.MINPACK"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			Minpack Copyright Notice (1999)\n			University of Chicago. All rights reserved\n		 </p>\n\n		 <p>\n			Redistribution and use in source and binary\n			forms, with or without modification, are permitted\n			provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   <p>\n				  Redistributions of source code must retain the above copyright\n				  notice, this list of conditions and the following disclaimer.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   <p>\n				  Redistributions in binary form must reproduce the\n				  above copyright notice, this list of conditions and\n				  the following disclaimer in the documentation and/or\n				  other materials provided with the distribution.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   <p>\n				  The end-user documentation included with the redistribution,\n				  if any, must include the following acknowledgment:\n			   </p>\n\n			   <p>\n				  &quot;This product includes software developed by the University\n				  of Chicago, as Operator of Argonne National Laboratory.\n			   </p>\n\n			<p>\n			   Alternately, this acknowledgment may appear\n			   in the software itself, if and wherever such\n			   third-party acknowledgments normally appear.\n			</p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   <p>\n				  WARRANTY DISCLAIMER. THE SOFTWARE IS SUPPLIED &quot;AS IS&quot; WITHOUT\n				  WARRANTY OF ANY KIND. THE COPYRIGHT HOLDER, THE UNITED\n				  STATES, THE UNITED STATES DEPARTMENT OF ENERGY, AND THEIR\n				  EMPLOYEES: (1) DISCLAIM ANY WARRANTIES, EXPRESS OR IMPLIED,\n				  INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF\n				  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE OR\n				  NON-INFRINGEMENT, (2) DO NOT ASSUME ANY LEGAL LIABILITY OR\n				  RESPONSIBILITY FOR THE ACCURACY, COMPLETENESS, OR USEFULNESS\n				  OF THE SOFTWARE, (3) DO NOT REPRESENT THAT USE OF THE\n				  SOFTWARE WOULD NOT INFRINGE PRIVATELY OWNED RIGHTS, (4) DO\n				  NOT WARRANT THAT THE SOFTWARE WILL FUNCTION UNINTERRUPTED,\n				  THAT IT IS ERROR-FREE OR THAT ANY ERRORS WILL BE CORRECTED.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   <p>\n				  LIMITATION OF LIABILITY. IN NO EVENT WILL THE COPYRIGHT\n				  HOLDER, THE UNITED STATES, THE UNITED STATES DEPARTMENT\n				  OF ENERGY, OR THEIR EMPLOYEES: BE LIABLE FOR ANY\n				  INDIRECT, INCIDENTAL, CONSEQUENTIAL, SPECIAL OR PUNITIVE\n				  DAMAGES OF ANY KIND OR NATURE, INCLUDING BUT NOT LIMITED\n				  TO LOSS OF PROFITS OR LOSS OF DATA, FOR ANY REASON\n				  WHATSOEVER, WHETHER SUCH LIABILITY IS ASSERTED ON THE\n				  BASIS OF CONTRACT, TORT (INCLUDING NEGLIGENCE OR STRICT\n				  LIABILITY), OR OTHERWISE, EVEN IF ANY OF SAID PARTIES HAS\n				  BEEN WARNED OF THE POSSIBILITY OF SUCH LOSS OR DAMAGES.\n			   </p>\n\n			</li>\n		 \n</ul>\n	  "
		self.python_name = "Minpack"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD4ClauseUC:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "BSD-4-Clause (University of California-Specific)\n\nCopyright [various years] The Regents of the University of California. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. All advertising materials mentioning features or use of this software must display the following acknowledgement: This product includes software developed by the University of California, Berkeley and its contributors.\n\n4. Neither the name of the University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>BSD-4-Clause (University of California-Specific)\n\n<<endOptional>>\n\nCopyright <<var;name=\"cyears\";original=\"[various years]\";match=\".+\">> The Regents of the University of California. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> All advertising materials mentioning features or use of this software must display the following acknowledgement: This product includes software developed by the University of California, Berkeley and its contributors.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Neither the name of the University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD-4-Clause (University of California-Specific)"
		self.licenseComments = "This is the same license as the BSD-4-Clause, but with a copyright notice for the Regents of the University of California. Captures the retroactive deletion of the third (advertising) clause of the Original BSD license for BSD-licensed code developed by UC Berkeley and its contributors (see ftp://ftp.cs.berkeley.edu/pub/4bsd/README.Impt.License.Change)"
		self.licenseId = "BSD-4-Clause-UC"
		self.crossRef = [{"match": "False", "url": "http://www.freebsd.org/copyright/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:58Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.freebsd.org/copyright/license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>BSD-4-Clause (University of California-Specific)</p>\n\n	  </div>\n		 <p>Copyright <var class=\"replaceable-license-text\"> [various years]</var> The Regents of the University of California. All rights reserved.</p>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  All advertising materials mentioning features or use of this software must display the following\n			 acknowledgement: This product includes software developed by the University of California,\n			 Berkeley and its contributors.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Neither the name of the University nor the names of its contributors may be used to endorse or\n			 promote products derived from this software without specific prior written permission.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS &apos;&apos;AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED\n		 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n		 PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY\n		 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED\n		 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "BSD4ClauseUC"

	def __str__(self):
		return json.dumps(self.__dict__)


class Eurosym:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1999-2002 Henrik Theiling\nLicence Version 2\n\nThis software is provided 'as-is', without warranty of any kind, express or implied. In no event will the authors or copyright holders be held liable for any damages arising from the use of this software.\n\nPermission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:\n\n	 1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated.\n\n	 2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n	 3. You must not use any of the names of the authors or copyright holders of the original software for advertising or publicity pertaining to distribution without specific, written prior permission.\n\n	 4. If you change this software and redistribute parts or all of it in any form, you must make the source code of the altered version of this software available.\n\n	 5. This notice may not be removed or altered from any source distribution.\n\nThis licence is governed by the Laws of Germany. Disputes shall be settled by Saarbruecken City Court.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1999-2002 Henrik Theiling  \";match=\".{0,5000}\">><<beginOptional>> \n\nLicence Version 2\n\n<<endOptional>>\n\nThis software is provided 'as-is', without warranty of any kind, express or implied. In no event will the authors or copyright holders be held liable for any damages arising from the use of this software.\n\nPermission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You must not use any of the names of the authors or copyright holders of the original software for advertising or publicity pertaining to distribution without specific, written prior permission.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> If you change this software and redistribute parts or all of it in any form, you must make the source code of the altered version of this software available.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> This notice may not be removed or altered from any source distribution.\n\nThis licence is governed by the Laws of Germany. Disputes shall be settled by Saarbruecken City Court.\n\n"
		self.name = "Eurosym License"
		self.licenseId = "Eurosym"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Eurosym", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:44Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Eurosym"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1999-2002 Henrik Theiling</p>\n\n	  </div>\n	  <var class=\"optional-license-text\"> \n		 <br />\n\nLicence Version 2\n	  <br />\n\n	  </var>\n\n	  <p>This software is provided &apos;as-is&apos;, without warranty of any kind, express or implied. In no\n		 event will the authors or copyright holders be held liable for any damages arising from the use of\n		 this software.</p>\n\n	  <p>Permission is granted to anyone to use this software for any purpose, including commercial applications,\n		 and to alter it and redistribute it freely, subject to the following restrictions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  The origin of this software must not be misrepresented; you must not claim that you wrote the\n			 original software. If you use this software in a product, an acknowledgment in the product\n			 documentation would be appreciated.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Altered source versions must be plainly marked as such, and must not be misrepresented as\n			 being the original software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You must not use any of the names of the authors or copyright holders of the original\n			 software for advertising or publicity pertaining to distribution without specific, written\n			 prior permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  If you change this software and redistribute parts or all of it in any form, you must make\n			 the source code of the altered version of this software available.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  This notice may not be removed or altered from any source distribution.\n		</li>\n	  \n</ul>\n	  <p>This licence is governed by the Laws of Germany. Disputes shall be settled by Saarbruecken City Court.</p>\n\n	"
		self.python_name = "Eurosym"

	def __str__(self):
		return json.dumps(self.__dict__)


class CECILL20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "\nCeCILL FREE SOFTWARE LICENSE AGREEMENT\n\n\n	Notice\n\nThis Agreement is a Free Software license agreement that is the result\nof discussions between its authors in order to ensure compliance with\nthe two main principles guiding its drafting:\n\n	* firstly, compliance with the principles governing the distribution\n	  of Free Software: access to source code, broad rights granted to\n	  users,\n	* secondly, the election of a governing law, French law, with which\n	  it is conformant, both as regards the law of torts and\n	  intellectual property law, and the protection that it offers to\n	  both authors and holders of the economic rights over software.\n\nThe authors of the CeCILL (for Ce[a] C[nrs] I[nria] L[ogiciel] L[ibre])\nlicense are:\n\nCommissariat \u00e0 l'Energie Atomique - CEA, a public scientific, technical\nand industrial research establishment, having its principal place of\nbusiness at 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n\nCentre National de la Recherche Scientifique - CNRS, a public scientific\nand technological establishment, having its principal place of business\nat 3 rue Michel-Ange, 75794 Paris cedex 16, France.\n\nInstitut National de Recherche en Informatique et en Automatique -\nINRIA, a public scientific and technological establishment, having its\nprincipal place of business at Domaine de Voluceau, Rocquencourt, BP\n105, 78153 Le Chesnay cedex, France.\n\n\n	Preamble\n\nThe purpose of this Free Software license agreement is to grant users\nthe right to modify and redistribute the software governed by this\nlicense within the framework of an open source distribution model.\n\nThe exercising of these rights is conditional upon certain obligations\nfor users so as to preserve this status for all subsequent redistributions.\n\nIn consideration of access to the source code and the rights to copy,\nmodify and redistribute granted by the license, users are provided only\nwith a limited warranty and the software's author, the holder of the\neconomic rights, and the successive licensors only have limited liability.\n\nIn this respect, the risks associated with loading, using, modifying\nand/or developing or reproducing the software by the user are brought to\nthe user's attention, given its Free Software status, which may make it\ncomplicated to use, with the result that its use is reserved for\ndevelopers and experienced professionals having in-depth computer\nknowledge. Users are therefore encouraged to load and test the\nsuitability of the software as regards their requirements in conditions\nenabling the security of their systems and/or data to be ensured and,\nmore generally, to use and operate it in the same conditions of\nsecurity. This Agreement may be freely reproduced and published,\nprovided it is not altered, and that no provisions are either added or\nremoved herefrom.\n\nThis Agreement may apply to any or all software for which the holder of\nthe economic rights decides to submit the use thereof to its provisions.\n\n\n	Article 1 - DEFINITIONS\n\nFor the purpose of this Agreement, when the following expressions\ncommence with a capital letter, they shall have the following meaning:\n\nAgreement: means this license agreement, and its possible subsequent\nversions and annexes.\n\nSoftware: means the software in its Object Code and/or Source Code form\nand, where applicable, its documentation, \"as is\" when the Licensee\naccepts the Agreement.\n\nInitial Software: means the Software in its Source Code and possibly its\nObject Code form and, where applicable, its documentation, \"as is\" when\nit is first distributed under the terms and conditions of the Agreement.\n\nModified Software: means the Software modified by at least one\nContribution.\n\nSource Code: means all the Software's instructions and program lines to\nwhich access is required so as to modify the Software.\n\nObject Code: means the binary files originating from the compilation of\nthe Source Code.\n\nHolder: means the holder(s) of the economic rights over the Initial\nSoftware.\n\nLicensee: means the Software user(s) having accepted the Agreement.\n\nContributor: means a Licensee having made at least one Contribution.\n\nLicensor: means the Holder, or any other individual or legal entity, who\ndistributes the Software under the Agreement.\n\nContribution: means any or all modifications, corrections, translations,\nadaptations and/or new functions integrated into the Software by any or\nall Contributors, as well as any or all Internal Modules.\n\nModule: means a set of sources files including their documentation that\nenables supplementary functions or services in addition to those offered\nby the Software.\n\nExternal Module: means any or all Modules, not derived from the\nSoftware, so that this Module and the Software run in separate address\nspaces, with one calling the other when they are run.\n\nInternal Module: means any or all Module, connected to the Software so\nthat they both execute in the same address space.\n\nGNU GPL: means the GNU General Public License version 2 or any\nsubsequent version, as published by the Free Software Foundation Inc.\n\nParties: mean both the Licensee and the Licensor.\n\nThese expressions may be used both in singular and plural form.\n\n\n	Article 2 - PURPOSE\n\nThe purpose of the Agreement is the grant by the Licensor to the\nLicensee of a non-exclusive, transferable and worldwide license for the\nSoftware as set forth in Article 5 hereinafter for the whole term of the\nprotection granted by the rights over said Software.\n\n\n	Article 3 - ACCEPTANCE\n\n3.1 The Licensee shall be deemed as having accepted the terms and\nconditions of this Agreement upon the occurrence of the first of the\nfollowing events:\n\n	* (i) loading the Software by any or all means, notably, by\n	  downloading from a remote server, or by loading from a physical\n	  medium;\n	* (ii) the first time the Licensee exercises any of the rights\n	  granted hereunder.\n\n3.2 One copy of the Agreement, containing a notice relating to the\ncharacteristics of the Software, to the limited warranty, and to the\nfact that its use is restricted to experienced users has been provided\nto the Licensee prior to its acceptance as set forth in Article 3.1\nhereinabove, and the Licensee hereby acknowledges that it has read and\nunderstood it.\n\n\n	Article 4 - EFFECTIVE DATE AND TERM\n\n\n	  4.1 EFFECTIVE DATE\n\nThe Agreement shall become effective on the date when it is accepted by\nthe Licensee as set forth in Article 3.1.\n\n\n	  4.2 TERM\n\nThe Agreement shall remain in force for the entire legal term of\nprotection of the economic rights over the Software.\n\n\n	Article 5 - SCOPE OF RIGHTS GRANTED\n\nThe Licensor hereby grants to the Licensee, who accepts, the following\nrights over the Software for any or all use, and for the term of the\nAgreement, on the basis of the terms and conditions set forth hereinafter.\n\nBesides, if the Licensor owns or comes to own one or more patents\nprotecting all or part of the functions of the Software or of its\ncomponents, the Licensor undertakes not to enforce the rights granted by\nthese patents against successive Licensees using, exploiting or\nmodifying the Software. If these patents are transferred, the Licensor\nundertakes to have the transferees subscribe to the obligations set\nforth in this paragraph.\n\n\n	  5.1 RIGHT OF USE\n\nThe Licensee is authorized to use the Software, without any limitation\nas to its fields of application, with it being hereinafter specified\nthat this comprises:\n\n   1. permanent or temporary reproduction of all or part of the Software\n	  by any or all means and in any or all form.\n\n   2. loading, displaying, running, or storing the Software on any or\n	  all medium.\n\n   3. entitlement to observe, study or test its operation so as to\n	  determine the ideas and principles behind any or all constituent\n	  elements of said Software. This shall apply when the Licensee\n	  carries out any or all loading, displaying, running, transmission\n	  or storage operation as regards the Software, that it is entitled\n	  to carry out hereunder.\n\n\n	  5.2 ENTITLEMENT TO MAKE CONTRIBUTIONS\n\nThe right to make Contributions includes the right to translate, adapt,\narrange, or make any or all modifications to the Software, and the right\nto reproduce the resulting software.\n\nThe Licensee is authorized to make any or all Contributions to the\nSoftware provided that it includes an explicit notice that it is the\nauthor of said Contribution and indicates the date of the creation thereof.\n\n\n	  5.3 RIGHT OF DISTRIBUTION\n\nIn particular, the right of distribution includes the right to publish,\ntransmit and communicate the Software to the general public on any or\nall medium, and by any or all means, and the right to market, either in\nconsideration of a fee, or free of charge, one or more copies of the\nSoftware by any means.\n\nThe Licensee is further authorized to distribute copies of the modified\nor unmodified Software to third parties according to the terms and\nconditions set forth hereinafter.\n\n\n		5.3.1 DISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\nThe Licensee is authorized to distribute True copies of the Software in\nSource Code or Object Code form, provided that said distribution\ncomplies with all the provisions of the Agreement and is accompanied by:\n\n   1. a copy of the Agreement,\n\n   2. a notice relating to the limitation of both the Licensor's\n	  warranty and liability as set forth in Articles 8 and 9,\n\nand that, in the event that only the Object Code of the Software is\nredistributed, the Licensee allows future Licensees unhindered access to\nthe full Source Code of the Software by indicating how to access it, it\nbeing understood that the additional cost of acquiring the Source Code\nshall not exceed the cost of transferring the data.\n\n\n		5.3.2 DISTRIBUTION OF MODIFIED SOFTWARE\n\nWhen the Licensee makes a Contribution to the Software, the terms and\nconditions for the distribution of the resulting Modified Software\nbecome subject to all the provisions of this Agreement.\n\nThe Licensee is authorized to distribute the Modified Software, in\nsource code or object code form, provided that said distribution\ncomplies with all the provisions of the Agreement and is accompanied by:\n\n   1. a copy of the Agreement,\n\n   2. a notice relating to the limitation of both the Licensor's\n	  warranty and liability as set forth in Articles 8 and 9,\n\nand that, in the event that only the object code of the Modified\nSoftware is redistributed, the Licensee allows future Licensees\nunhindered access to the full source code of the Modified Software by\nindicating how to access it, it being understood that the additional\ncost of acquiring the source code shall not exceed the cost of\ntransferring the data.\n\n\n		5.3.3 DISTRIBUTION OF EXTERNAL MODULES\n\nWhen the Licensee has developed an External Module, the terms and\nconditions of this Agreement do not apply to said External Module, that\nmay be distributed under a separate license agreement.\n\n\n		5.3.4 COMPATIBILITY WITH THE GNU GPL\n\nThe Licensee can include a code that is subject to the provisions of one\nof the versions of the GNU GPL in the Modified or unmodified Software,\nand distribute that entire code under the terms of the same version of\nthe GNU GPL.\n\nThe Licensee can include the Modified or unmodified Software in a code\nthat is subject to the provisions of one of the versions of the GNU GPL,\nand distribute that entire code under the terms of the same version of\nthe GNU GPL.\n\n\n	Article 6 - INTELLECTUAL PROPERTY\n\n\n	  6.1 OVER THE INITIAL SOFTWARE\n\nThe Holder owns the economic rights over the Initial Software. Any or\nall use of the Initial Software is subject to compliance with the terms\nand conditions under which the Holder has elected to distribute its work\nand no one shall be entitled to modify the terms and conditions for the\ndistribution of said Initial Software.\n\nThe Holder undertakes that the Initial Software will remain ruled at\nleast by this Agreement, for the duration set forth in Article 4.2.\n\n\n	  6.2 OVER THE CONTRIBUTIONS\n\nThe Licensee who develops a Contribution is the owner of the\nintellectual property rights over this Contribution as defined by\napplicable law.\n\n\n	  6.3 OVER THE EXTERNAL MODULES\n\nThe Licensee who develops an External Module is the owner of the\nintellectual property rights over this External Module as defined by\napplicable law and is free to choose the type of agreement that shall\ngovern its distribution.\n\n\n	  6.4 JOINT PROVISIONS\n\nThe Licensee expressly undertakes:\n\n   1. not to remove, or modify, in any manner, the intellectual property\n	  notices attached to the Software;\n\n   2. to reproduce said notices, in an identical manner, in the copies\n	  of the Software modified or not.\n\nThe Licensee undertakes not to directly or indirectly infringe the\nintellectual property rights of the Holder and/or Contributors on the\nSoftware and to take, where applicable, vis-\u00e0-vis its staff, any and all\nmeasures required to ensure respect of said intellectual property rights\nof the Holder and/or Contributors.\n\n\n	Article 7 - RELATED SERVICES\n\n7.1 Under no circumstances shall the Agreement oblige the Licensor to\nprovide technical assistance or maintenance services for the Software.\n\nHowever, the Licensor is entitled to offer this type of services. The\nterms and conditions of such technical assistance, and/or such\nmaintenance, shall be set forth in a separate instrument. Only the\nLicensor offering said maintenance and/or technical assistance services\nshall incur liability therefor.\n\n7.2 Similarly, any Licensor is entitled to offer to its licensees, under\nits sole responsibility, a warranty, that shall only be binding upon\nitself, for the redistribution of the Software and/or the Modified\nSoftware, under terms and conditions that it is free to decide. Said\nwarranty, and the financial terms and conditions of its application,\nshall be subject of a separate instrument executed between the Licensor\nand the Licensee.\n\n\n	Article 8 - LIABILITY\n\n8.1 Subject to the provisions of Article 8.2, the Licensee shall be\nentitled to claim compensation for any direct loss it may have suffered\nfrom the Software as a result of a fault on the part of the relevant\nLicensor, subject to providing evidence thereof.\n\n8.2 The Licensor's liability is limited to the commitments made under\nthis Agreement and shall not be incurred as a result of in particular:\n(i) loss due the Licensee's total or partial failure to fulfill its\nobligations, (ii) direct or consequential loss that is suffered by the\nLicensee due to the use or performance of the Software, and (iii) more\ngenerally, any consequential loss. In particular the Parties expressly\nagree that any or all pecuniary or business loss (i.e. loss of data,\nloss of profits, operating loss, loss of customers or orders,\nopportunity cost, any disturbance to business activities) or any or all\nlegal proceedings instituted against the Licensee by a third party,\nshall constitute consequential loss and shall not provide entitlement to\nany or all compensation from the Licensor.\n\n\n	Article 9 - WARRANTY\n\n9.1 The Licensee acknowledges that the scientific and technical\nstate-of-the-art when the Software was distributed did not enable all\npossible uses to be tested and verified, nor for the presence of\npossible defects to be detected. In this respect, the Licensee's\nattention has been drawn to the risks associated with loading, using,\nmodifying and/or developing and reproducing the Software which are\nreserved for experienced users.\n\nThe Licensee shall be responsible for verifying, by any or all means,\nthe suitability of the product for its requirements, its good working\norder, and for ensuring that it shall not cause damage to either persons\nor properties.\n\n9.2 The Licensor hereby represents, in good faith, that it is entitled\nto grant all the rights over the Software (including in particular the\nrights set forth in Article 5).\n\n9.3 The Licensee acknowledges that the Software is supplied \"as is\" by\nthe Licensor without any other express or tacit warranty, other than\nthat provided for in Article 9.2 and, in particular, without any warranty\nas to its commercial value, its secured, safe, innovative or relevant\nnature.\n\nSpecifically, the Licensor does not warrant that the Software is free\nfrom any error, that it will operate without interruption, that it will\nbe compatible with the Licensee's own equipment and software\nconfiguration, nor that it will meet the Licensee's requirements.\n\n9.4 The Licensor does not either expressly or tacitly warrant that the\nSoftware does not infringe any third party intellectual property right\nrelating to a patent, software or any other property right. Therefore,\nthe Licensor disclaims any and all liability towards the Licensee\narising out of any or all proceedings for infringement that may be\ninstituted in respect of the use, modification and redistribution of the\nSoftware. Nevertheless, should such proceedings be instituted against\nthe Licensee, the Licensor shall provide it with technical and legal\nassistance for its defense. Such technical and legal assistance shall be\ndecided on a case-by-case basis between the relevant Licensor and the\nLicensee pursuant to a memorandum of understanding. The Licensor\ndisclaims any and all liability as regards the Licensee's use of the\nname of the Software. No warranty is given as regards the existence of\nprior rights over the name of the Software or as regards the existence\nof a trademark.\n\n\n	Article 10 - TERMINATION\n\n10.1 In the event of a breach by the Licensee of its obligations\nhereunder, the Licensor may automatically terminate this Agreement\nthirty (30) days after notice has been sent to the Licensee and has\nremained ineffective.\n\n10.2 A Licensee whose Agreement is terminated shall no longer be\nauthorized to use, modify or distribute the Software. However, any\nlicenses that it may have granted prior to termination of the Agreement\nshall remain valid subject to their having been granted in compliance\nwith the terms and conditions hereof.\n\n\n	Article 11 - MISCELLANEOUS\n\n\n	  11.1 EXCUSABLE EVENTS\n\nNeither Party shall be liable for any or all delay, or failure to\nperform the Agreement, that may be attributable to an event of force\nmajeure, an act of God or an outside cause, such as defective\nfunctioning or interruptions of the electricity or telecommunications\nnetworks, network paralysis following a virus attack, intervention by\ngovernment authorities, natural disasters, water damage, earthquakes,\nfire, explosions, strikes and labor unrest, war, etc.\n\n11.2 Any failure by either Party, on one or more occasions, to invoke\none or more of the provisions hereof, shall under no circumstances be\ninterpreted as being a waiver by the interested Party of its right to\ninvoke said provision(s) subsequently.\n\n11.3 The Agreement cancels and replaces any or all previous agreements,\nwhether written or oral, between the Parties and having the same\npurpose, and constitutes the entirety of the agreement between said\nParties concerning said purpose. No supplement or modification to the\nterms and conditions hereof shall be effective as between the Parties\nunless it is made in writing and signed by their duly authorized\nrepresentatives.\n\n11.4 In the event that one or more of the provisions hereof were to\nconflict with a current or future applicable act or legislative text,\nsaid act or legislative text shall prevail, and the Parties shall make\nthe necessary amendments so as to comply with said act or legislative\ntext. All other provisions shall remain effective. Similarly, invalidity\nof a provision of the Agreement, for any reason whatsoever, shall not\ncause the Agreement as a whole to be invalid.\n\n\n	  11.5 LANGUAGE\n\nThe Agreement is drafted in both French and English and both versions\nare deemed authentic.\n\n\n	Article 12 - NEW VERSIONS OF THE AGREEMENT\n\n12.1 Any person is authorized to duplicate and distribute copies of this\nAgreement.\n\n12.2 So as to ensure coherence, the wording of this Agreement is\nprotected and may only be modified by the authors of the License, who\nreserve the right to periodically publish updates or new versions of the\nAgreement, each with a separate number. These subsequent versions may\naddress new issues encountered by Free Software.\n\n12.3 Any Software distributed under a given version of the Agreement may\nonly be subsequently distributed under the same version of the Agreement\nor a subsequent version, subject to the provisions of Article 5.3.4.\n\n\n	Article 13 - GOVERNING LAW AND JURISDICTION\n\n13.1 The Agreement is governed by French law. The Parties agree to\nendeavor to seek an amicable solution to any disagreements or disputes\nthat may arise during the performance of the Agreement.\n\n13.2 Failing an amicable solution within two (2) months as from their\noccurrence, and unless emergency proceedings are necessary, the\ndisagreements or disputes shall be referred to the Paris Courts having\njurisdiction, by the more diligent Party.\n\n\nVersion 2.0 dated 2006-09-05.\n"
		self.standardLicenseTemplate = "<<beginOptional>>CeCILL FREE SOFTWARE LICENSE AGREEMENT\n\n<<endOptional>><<beginOptional>> Notice\n\nThis Agreement is a Free Software license agreement that is the result of discussions between its authors in order to ensure compliance with the two main principles guiding its drafting:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> firstly, compliance with the principles governing the distribution of Free Software: access to source code, broad rights granted to users,\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> secondly, the election of a governing law, French law, with which it is conformant, both as regards the law of torts and intellectual property law, and the protection that it offers to both authors and holders of the economic rights over software.\n\nThe authors of the <<var;name=\"licenseNameFootnote\";original=\"CeCILL\u00b9\";match=\"CeCILL[\u00b91]?( \\(?for Ce[\\[\\(]a[\\]\\)] C[\\[\\(]nrs[\\]\\)] I[\\[\\(]nria[\\]\\)] L[\\[\\(]ogiciel[\\]\\)] L[\\[\\(]ibre[\\]\\)]\\)?)?\">> license are:\n\n   Commissariat \u00e0 l'Energie Atomique - CEA, a public scientific, technical and industrial research establishment, having its principal place of business at 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n\n   Centre National de la Recherche Scientifique - CNRS, a public scientific and technological establishment, having its principal place of business at 3 rue Michel-Ange, 75794 Paris cedex 16, France.\n\n   Institut National de Recherche en Informatique et en Automatique - INRIA, a public scientific and technological establishment, having its principal place of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay cedex, France.\n\n   <<endOptional>>\n\n   <<var;name=\"bullet\";original=\"Preamble\";match=\".{0,20}\">> The purpose of this Free Software license agreement is to grant users the right to modify and redistribute the software governed by this license within the framework of an open source distribution model.\n\n   The exercising of these rights is conditional upon certain obligations for users so as to preserve this status for all subsequent redistributions.\n\n   In consideration of access to the source code and the rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors only have limited liability.\n\n   In this respect, the risks associated with loading, using, modifying and/or developing or reproducing the software by the user are brought to the user's attention, given its Free Software status, which may make it complicated to use, with the result that its use is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the suitability of the software as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions of security. This Agreement may be freely reproduced and published, provided it is not altered, and that no provisions are either added or removed herefrom.\n\n   This Agreement may apply to any or all software for which the holder of the economic rights decides to submit the use thereof to its provisions.\n\n   <<var;name=\"bullet\";original=\"Article 1 -\";match=\".{0,20}\">> DEFINITIONS\n\n   For the purpose of this Agreement, when the following expressions commence with a capital letter, they shall have the following meaning:\n\n	  Agreement: means this license agreement, and its possible subsequent versions and annexes.\n\n	  Software: means the software in its Object Code and/or Source Code form and, where applicable, its documentation, \"as is\" when the Licensee accepts the Agreement.\n\n	  Initial Software: means the Software in its Source Code and possibly its Object Code form and, where applicable, its documentation, \"as is\" when it is first distributed under the terms and conditions of the Agreement.\n\n	  Modified Software: means the Software modified by at least one Contribution.\n\n	  Source Code: means all the Software's instructions and program lines to which access is required so as to modify the Software.\n\n	  Object Code: means the binary files originating from the compilation of the Source Code.\n\n	  Holder: means the holder(s) of the economic rights over the Initial Software.\n\n	  Licensee: means the Software user(s) having accepted the Agreement.\n\n	  Contributor: means a Licensee having made at least one Contribution.\n\n	  Licensor: means the Holder, or any other individual or legal entity, who distributes the Software under the Agreement.\n\n	  Contribution: means any or all modifications, corrections, translations, adaptations and/or new functions integrated into the Software by any or all Contributors, as well as any or all Internal Modules.\n\n	  Module: means a set of sources files including their documentation that enables supplementary functions or services in addition to those offered by the Software.\n\n	  External Module: means any or all Modules, not derived from the Software, so that this Module and the Software run in separate address spaces, with one calling the other when they are run.\n\n	  Internal Module: means any or all Module, connected to the Software so that they both execute in the same address space.\n\n	  GNU GPL: means the GNU General Public License version 2 or any subsequent version, as published by the Free Software Foundation Inc.\n\n	  Parties: mean both the Licensee and the Licensor.\n\n   These expressions may be used both in singular and plural form.\n\n   <<var;name=\"bullet\";original=\"Article 2 -\";match=\".{0,20}\">> PURPOSE\n\n   The purpose of the Agreement is the grant by the Licensor to the Licensee of a non-exclusive, transferable and worldwide license for the Software as set forth in Article 5 hereinafter for the whole term of the protection granted by the rights over said Software.\n\n   <<var;name=\"bullet\";original=\"Article 3 -\";match=\".{0,20}\">> ACCEPTANCE\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> The Licensee shall be deemed as having accepted the terms and conditions of this Agreement upon the occurrence of the first of the following events:\n\n		 <<var;name=\"bullet\";original=\"(i)\";match=\".{0,20}\">> loading the Software by any or all means, notably, by downloading from a remote server, or by loading from a physical medium;\n\n		 <<var;name=\"bullet\";original=\"(ii)\";match=\".{0,20}\">> the first time the Licensee exercises any of the rights granted hereunder.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> One copy of the Agreement, containing a notice relating to the characteristics of the Software, to the limited warranty, and to the fact that its use is restricted to experienced users has been provided to the Licensee prior to its acceptance as set forth in Article 3.1 hereinabove, and the Licensee hereby acknowledges that it has read and understood it.\n\n   <<var;name=\"bullet\";original=\"Article 4 -\";match=\".{0,20}\">> EFFECTIVE DATE AND TERM\n\n	  <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> EFFECTIVE DATE\n\n	  The Agreement shall become effective on the date when it is accepted by the Licensee as set forth in Article 3.1.\n\n	  <<var;name=\"bullet\";original=\"4.2\";match=\".{0,20}\">> TERM\n\n	  The Agreement shall remain in force for the entire legal term of protection of the economic rights over the Software.\n\n   <<var;name=\"bullet\";original=\"Article 5 -\";match=\".{0,20}\">> SCOPE OF RIGHTS GRANTED\n\n   The Licensor hereby grants to the Licensee, who accepts, the following rights over the Software for any or all use, and for the term of the Agreement, on the basis of the terms and conditions set forth hereinafter.\n\n   Besides, if the Licensor owns or comes to own one or more patents protecting all or part of the functions of the Software or of its components, the Licensor undertakes not to enforce the rights granted by these patents against successive Licensees using, exploiting or modifying the Software. If these patents are transferred, the Licensor undertakes to have the transferees subscribe to the obligations set forth in this paragraph.\n\n	  <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> RIGHT OF USE\n\n	  The Licensee is authorized to use the Software, without any limitation as to its fields of application, with it being hereinafter specified that this comprises:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> permanent or temporary reproduction of all or part of the Software by any or all means and in any or all form.\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> loading, displaying, running, or storing the Software on any or all medium.\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> entitlement to observe, study or test its operation so as to determine the ideas and principles behind any or all constituent elements of said Software. This shall apply when the Licensee carries out any or all loading, displaying, running, transmission or storage operation as regards the Software, that it is entitled to carry out hereunder.\n\n	  <<var;name=\"bullet\";original=\"5.2\";match=\".{0,20}\">> ENTITLEMENT TO MAKE CONTRIBUTIONS\n\n	  The right to make Contributions includes the right to translate, adapt, arrange, or make any or all modifications to the Software, and the right to reproduce the resulting software.\n\n	  The Licensee is authorized to make any or all Contributions to the Software provided that it includes an explicit notice that it is the author of said Contribution and indicates the date of the creation thereof.\n\n	  <<var;name=\"bullet\";original=\"5.3\";match=\".{0,20}\">> RIGHT OF DISTRIBUTION\n\n	  In particular, the right of distribution includes the right to publish, transmit and communicate the Software to the general public on any or all medium, and by any or all means, and the right to market, either in consideration of a fee, or free of charge, one or more copies of the Software by any means.\n\n	  The Licensee is further authorized to distribute copies of the modified or unmodified Software to third parties according to the terms and conditions set forth hereinafter.\n\n		 <<var;name=\"bullet\";original=\"5.3.1.\";match=\".{0,20}\">> DISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\n		 The Licensee is authorized to distribute True copies of the Software in Source Code or Object Code form, provided that said distribution complies with all the provisions of the Agreement and is accompanied by:\n\n			<<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> a copy of the Agreement,\n\n			<<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> a notice relating to the limitation of both the Licensor's warranty and liability as set forth in Articles 8 and 9,\n\n		 and that, in the event that only the Object Code of the Software is redistributed, the Licensee allows future Licensees unhindered access to the full Source Code of the Software by indicating how to access it, it being understood that the additional cost of acquiring the Source Code shall not exceed the cost of transferring the data.\n\n		 <<var;name=\"bullet\";original=\"5.3.2.\";match=\".{0,20}\">> DISTRIBUTION OF MODIFIED SOFTWARE\n\n		 When the Licensee makes a Contribution to the Software, the terms and conditions for the distribution of the resulting Modified Software become subject to all the provisions of this Agreement.\n\n		 The Licensee is authorized to distribute the Modified Software, in source code or object code form, provided that said distribution complies with all the provisions of the Agreement and is accompanied by:\n\n			<<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> a copy of the Agreement,\n\n			<<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> a notice relating to the limitation of both the Licensor's warranty and liability as set forth in Articles 8 and 9,\n\n		 and that, in the event that only the object code of the Modified Software is redistributed, the Licensee allows future Licensees unhindered access to the full source code of the Modified Software by indicating how to access it, it being understood that the additional cost of acquiring the source code shall not exceed the cost of transferring the data.\n\n		 <<var;name=\"bullet\";original=\"5.3.3.\";match=\".{0,20}\">> DISTRIBUTION OF EXTERNAL MODULES\n\n		 When the Licensee has developed an External Module, the terms and conditions of this Agreement do not apply to said External Module, that may be distributed under a separate license agreement.\n\n		 <<var;name=\"bullet\";original=\"5.3.4.\";match=\".{0,20}\">> COMPATIBILITY WITH THE GNU GPL\n\n		 The Licensee can include a code that is subject to the provisions of one of the versions of the GNU GPL in the Modified or unmodified Software, and distribute that entire code under the terms of the same version of the GNU GPL.\n\n		 The Licensee can include the Modified or unmodified Software in a code that is subject to the provisions of one of the versions of the GNU GPL, and distribute that entire code under the terms of the same version of the GNU GPL.\n\n   <<var;name=\"bullet\";original=\"Article 6 -\";match=\".{0,20}\">> INTELLECTUAL PROPERTY\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> OVER THE INITIAL SOFTWARE\n\n	  The Holder owns the economic rights over the Initial Software. Any or all use of the Initial Software is subject to compliance with the terms and conditions under which the Holder has elected to distribute its work and no one shall be entitled to modify the terms and conditions for the distribution of said Initial Software.\n\n	  The Holder undertakes that the Initial Software will remain ruled at least by this Agreement, for the duration set forth in Article 4.2.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> OVER THE CONTRIBUTIONS\n\n	  The Licensee who develops a Contribution is the owner of the intellectual property rights over this Contribution as defined by applicable law.\n\n	  <<var;name=\"bullet\";original=\"6.3\";match=\".{0,20}\">> OVER THE EXTERNAL MODULES\n\n	  The Licensee who develops an External Module is the owner of the intellectual property rights over this External Module as defined by applicable law and is free to choose the type of agreement that shall govern its distribution.\n\n	  <<var;name=\"bullet\";original=\"6.4\";match=\".{0,20}\">> JOINT PROVISIONS\n\n	  The Licensee expressly undertakes:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> not to remove, or modify, in any manner, the intellectual property notices attached to the Software;\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> to reproduce said notices, in an identical manner, in the copies of the Software modified or not.\n\n	  The Licensee undertakes not to directly or indirectly infringe the intellectual property rights of the Holder and/or Contributors on the Software and to take, where applicable, vis-\u00e0-vis its staff, any and all measures required to ensure respect of said intellectual property rights of the Holder and/or Contributors.\n\n   <<var;name=\"bullet\";original=\"Article 7 -\";match=\".{0,20}\">> RELATED SERVICES\n\n	  <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> Under no circumstances shall the Agreement oblige the Licensor to provide technical assistance or maintenance services for the Software.\n\n	  However, the Licensor is entitled to offer this type of services. The terms and conditions of such technical assistance, and/or such maintenance, shall be set forth in a separate instrument. Only the Licensor offering said maintenance and/or technical assistance services shall incur liability therefor.\n\n	  <<var;name=\"bullet\";original=\"7.2\";match=\".{0,20}\">> Similarly, any Licensor is entitled to offer to its licensees, under its sole responsibility, a warranty, that shall only be binding upon itself, for the redistribution of the Software and/or the Modified Software, under terms and conditions that it is free to decide. Said warranty, and the financial terms and conditions of its application, shall be subject of a separate instrument executed between the Licensor and the Licensee.\n\n   <<var;name=\"bullet\";original=\"Article 8 -\";match=\".{0,20}\">> LIABILITY\n\n	  <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> Subject to the provisions of Article 8.2, the Licensee shall be entitled to claim compensation for any direct loss it may have suffered from the Software as a result of a fault on the part of the relevant Licensor, subject to providing evidence thereof.\n\n	  <<var;name=\"bullet\";original=\"8.2\";match=\".{0,20}\">> The Licensor's liability is limited to the commitments made under this Agreement and shall not be incurred as a result of in particular: (i) loss due the Licensee's total or partial failure to fulfill its obligations, (ii) direct or consequential loss that is suffered by the Licensee due to the use or performance of the Software, and (iii) more generally, any consequential loss. In particular the Parties expressly agree that any or all pecuniary or business loss (i.e. loss of data, loss of profits, operating loss, loss of customers or orders, opportunity cost, any disturbance to business activities) or any or all legal proceedings instituted against the Licensee by a third party, shall constitute consequential loss and shall not provide entitlement to any or all compensation from the Licensor.\n\n   <<var;name=\"bullet\";original=\"Article 9 -\";match=\".{0,20}\">> WARRANTY\n\n	  <<var;name=\"bullet\";original=\"9.1\";match=\".{0,20}\">> The Licensee acknowledges that the scientific and technical state-of-the-art when the Software was distributed did not enable all possible uses to be tested and verified, nor for the presence of possible defects to be detected. In this respect, the Licensee's attention has been drawn to the risks associated with loading, using, modifying and/or developing and reproducing the Software which are reserved for experienced users.\n\n	  The Licensee shall be responsible for verifying, by any or all means, the suitability of the product for its requirements, its good working order, and for ensuring that it shall not cause damage to either persons or properties.\n\n	  <<var;name=\"bullet\";original=\"9.2\";match=\".{0,20}\">> The Licensor hereby represents, in good faith, that it is entitled to grant all the rights over the Software (including in particular the rights set forth in Article 5).\n\n	  <<var;name=\"bullet\";original=\"9.3\";match=\".{0,20}\">> The Licensee acknowledges that the Software is supplied \"as is\" by the Licensor without any other express or tacit warranty, other than that provided for in Article 9.2 and, in particular, without any warranty as to its commercial value, its secured, safe, innovative or relevant nature.\n\n	  Specifically, the Licensor does not warrant that the Software is free from any error, that it will operate without interruption, that it will be compatible with the Licensee's own equipment and software configuration, nor that it will meet the Licensee's requirements.\n\n	  <<var;name=\"bullet\";original=\"9.4\";match=\".{0,20}\">> The Licensor does not either expressly or tacitly warrant that the Software does not infringe any third party intellectual property right relating to a patent, software or any other property right. Therefore, the Licensor disclaims any and all liability towards the Licensee arising out of any or all proceedings for infringement that may be instituted in respect of the use, modification and redistribution of the Software. Nevertheless, should such proceedings be instituted against the Licensee, the Licensor shall provide it with technical and legal assistance for its defense. Such technical and legal assistance shall be decided on a case-by-case basis between the relevant Licensor and the Licensee pursuant to a memorandum of understanding. The Licensor disclaims any and all liability as regards the Licensee's use of the name of the Software. No warranty is given as regards the existence of prior rights over the name of the Software or as regards the existence of a trademark.\n\n   <<var;name=\"bullet\";original=\"Article 10 -\";match=\".{0,20}\">> TERMINATION\n\n	  <<var;name=\"bullet\";original=\"10.1\";match=\".{0,20}\">> In the event of a breach by the Licensee of its obligations hereunder, the Licensor may automatically terminate this Agreement thirty (30) days after notice has been sent to the Licensee and has remained ineffective.\n\n	  <<var;name=\"bullet\";original=\"10.2\";match=\".{0,20}\">> A Licensee whose Agreement is terminated shall no longer be authorized to use, modify or distribute the Software. However, any licenses that it may have granted prior to termination of the Agreement shall remain valid subject to their having been granted in compliance with the terms and conditions hereof.\n\n   <<var;name=\"bullet\";original=\"Article 11 -\";match=\".{0,20}\">> MISCELLANEOUS\n\n	  <<var;name=\"bullet\";original=\"11.1\";match=\".{0,20}\">> EXCUSABLE EVENTS\n\n	  Neither Party shall be liable for any or all delay, or failure to perform the Agreement, that may be attributable to an event of force majeure, an act of God or an outside cause, such as defective functioning or interruptions of the electricity or telecommunications networks, network paralysis following a virus attack, intervention by government authorities, natural disasters, water damage, earthquakes, fire, explosions, strikes and labor unrest, war, etc.\n\n	  <<var;name=\"bullet\";original=\"11.2\";match=\".{0,20}\">> Any failure by either Party, on one or more occasions, to invoke one or more of the provisions hereof, shall under no circumstances be interpreted as being a waiver by the interested Party of its right to invoke said provision(s) subsequently.\n\n	  <<var;name=\"bullet\";original=\"11.3\";match=\".{0,20}\">> The Agreement cancels and replaces any or all previous agreements, whether written or oral, between the Parties and having the same purpose, and constitutes the entirety of the agreement between said Parties concerning said purpose. No supplement or modification to the terms and conditions hereof shall be effective as between the Parties unless it is made in writing and signed by their duly authorized representatives.\n\n	  <<var;name=\"bullet\";original=\"11.4\";match=\".{0,20}\">> In the event that one or more of the provisions hereof were to conflict with a current or future applicable act or legislative text, said act or legislative text shall prevail, and the Parties shall make the necessary amendments so as to comply with said act or legislative text. All other provisions shall remain effective. Similarly, invalidity of a provision of the Agreement, for any reason whatsoever, shall not cause the Agreement as a whole to be invalid.\n\n	  <<var;name=\"bullet\";original=\"11.5\";match=\".{0,20}\">> LANGUAGE\n\n	  The Agreement is drafted in both French and English and both versions are deemed authentic.\n\n   <<var;name=\"bullet\";original=\"Article 12 -\";match=\".{0,20}\">> NEW VERSIONS OF THE AGREEMENT\n\n	  <<var;name=\"bullet\";original=\"12.1\";match=\".{0,20}\">> Any person is authorized to duplicate and distribute copies of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"12.2\";match=\".{0,20}\">> So as to ensure coherence, the wording of this Agreement is protected and may only be modified by the authors of the License, who reserve the right to periodically publish updates or new versions of the Agreement, each with a separate number. These subsequent versions may address new issues encountered by Free Software.\n\n	  <<var;name=\"bullet\";original=\"12.3\";match=\".{0,20}\">> Any Software distributed under a given version of the Agreement may only be subsequently distributed under the same version of the Agreement or a subsequent version, subject to the provisions of Article 5.3.4.\n\n   <<var;name=\"bullet\";original=\"Article 13 -\";match=\".{0,20}\">> GOVERNING LAW AND JURISDICTION\n\n	  <<var;name=\"bullet\";original=\"13.1\";match=\".{0,20}\">> The Agreement is governed by French law. The Parties agree to endeavor to seek an amicable solution to any disagreements or disputes that may arise during the performance of the Agreement.\n\n	  <<var;name=\"bullet\";original=\"13.2\";match=\".{0,20}\">> Failing an amicable solution within two (2) months as from their occurrence, and unless emergency proceedings are necessary, the disagreements or disputes shall be referred to the Paris Courts having jurisdiction, by the more diligent Party.\n\nVersion 2.0 dated 2006-09-05.\n\n<<beginOptional>>1 CeCILL stands for Ce(a) C(nrs) I(nria) L(ogiciel) L(ibre)<<endOptional>>"
		self.name = "CeCILL Free Software License Agreement v2.0"
		self.licenseComments = "French version can be found here: http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html"
		self.licenseId = "CECILL-2.0"
		self.crossRef = [{"match": "False", "url": "http://www.cecill.info/licences/Licence_CeCILL_V2-en.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:42Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.cecill.info/licences/Licence_CeCILL_V2-en.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>\nCeCILL FREE SOFTWARE LICENSE AGREEMENT\n	  </p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>\nNotice\n	  </p>\n\n		 <p>\nThis Agreement is a Free Software license agreement that is the result of discussions between its authors in order to ensure compliance with the two main principles guiding its drafting:\n	  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n\nfirstly, compliance with the principles governing the distribution of Free Software: access to source code, broad rights granted to users,\n\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n\nsecondly, the election of a governing law, French law, with which it is conformant, both as regards the law of torts and intellectual property law, and the protection that it offers to both authors and holders of the economic rights over software.\n\n		</li>\n		 \n</ul>\n		 <p>\nThe authors of the <var class=\"replaceable-license-text\"> CeCILL\u00b9</var> license are:\n	  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <p>\nCommissariat \u00e0 l&apos;Energie Atomique - CEA, a public scientific, technical and industrial research establishment, having its principal place of business at 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n		  </p>\n\n			</li>\n			\n<li>\n			   <p>\nCentre National de la Recherche Scientifique - CNRS, a public scientific and technological establishment, having its principal place of business at 3 rue Michel-Ange, 75794 Paris cedex 16, France.\n		  </p>\n\n			</li>\n			\n<li>\n			   <p>\nInstitut National de Recherche en Informatique et en Automatique - INRIA, a public scientific and technological establishment, having its principal place of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay cedex, France.\n		  </p>\n\n			</li>\n		 \n</ul>\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Preamble</var>\n\nThe purpose of this Free Software license agreement is to grant users the right to modify and redistribute the software governed by this license within the framework of an open source distribution model.\n\n		  <p>\nThe exercising of these rights is conditional upon certain obligations for users so as to preserve this status for all subsequent redistributions.\n		  </p>\n\n			<p>\nIn consideration of access to the source code and the rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software&apos;s author, the holder of the economic rights, and the successive licensors only have limited liability.\n		  </p>\n\n			<p>\nIn this respect, the risks associated with loading, using, modifying and/or developing or reproducing the software by the user are brought to the user&apos;s attention, given its Free Software status, which may make it complicated to use, with the result that its use is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the suitability of the software as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions of security. This Agreement may be freely reproduced and published, provided it is not altered, and that no provisions are either added or removed herefrom.\n		  </p>\n\n			<p>\nThis Agreement may apply to any or all software for which the holder of the economic rights decides to submit the use thereof to its provisions.\n		  </p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 1 -</var>\n\n		DEFINITIONS\n\n	  <p>\nFor the purpose of this Agreement, when the following expressions commence with a capital letter, they shall have the following meaning:\n	  </p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <p>\nAgreement: means this license agreement, and its possible subsequent versions and annexes.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nSoftware: means the software in its Object Code and/or Source Code form and, where applicable, its documentation, &quot;as is&quot; when the Licensee accepts the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nInitial Software: means the Software in its Source Code and possibly its Object Code form and, where applicable, its documentation, &quot;as is&quot; when it is first distributed under the terms and conditions of the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nModified Software: means the Software modified by at least one Contribution.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nSource Code: means all the Software&apos;s instructions and program lines to which access is required so as to modify the Software.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nObject Code: means the binary files originating from the compilation of the Source Code.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nHolder: means the holder(s) of the economic rights over the Initial Software.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nLicensee: means the Software user(s) having accepted the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nContributor: means a Licensee having made at least one Contribution.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nLicensor: means the Holder, or any other individual or legal entity, who distributes the Software under the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nContribution: means any or all modifications, corrections, translations, adaptations and/or new functions integrated into the Software by any or all Contributors, as well as any or all Internal Modules.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nModule: means a set of sources files including their documentation that enables supplementary functions or services in addition to those offered by the Software.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nExternal Module: means any or all Modules, not derived from the Software, so that this Module and the Software run in separate address spaces, with one calling the other when they are run.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nInternal Module: means any or all Module, connected to the Software so that they both execute in the same address space.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nGNU GPL: means the GNU General Public License version 2 or any subsequent version, as published by the Free Software Foundation Inc.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nParties: mean both the Licensee and the Licensor.\n		  </p>\n\n			   </li>\n			\n</ul>\n			<p>\nThese expressions may be used both in singular and plural form.\n	  </p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 2 -</var>\n\nPURPOSE\n\n	  <p>\nThe purpose of the Agreement is the grant by the Licensor to the Licensee of a non-exclusive, transferable and worldwide license for the Software as set forth in Article 5 hereinafter for the whole term of the protection granted by the rights over said Software.\n	  </p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 3 -</var>\n\nACCEPTANCE\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n\nThe Licensee shall be deemed as having accepted the terms and conditions of this Agreement upon the occurrence of the first of the following events:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (i)</var>\n\nloading the Software by any or all means, notably, by downloading from a remote server, or by loading from a physical medium;\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (ii)</var>\n\nthe first time the Licensee exercises any of the rights granted hereunder.\n\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n\nOne copy of the Agreement, containing a notice relating to the characteristics of the Software, to the limited warranty, and to the fact that its use is restricted to experienced users has been provided to the Licensee prior to its acceptance as set forth in Article 3.1 hereinabove, and the Licensee hereby acknowledges that it has read and understood it.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 4 -</var>\n\nEFFECTIVE DATE AND TERM\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.1</var>\n\nEFFECTIVE DATE\n\n		  <p>\nThe Agreement shall become effective on the date when it is accepted by the Licensee as set forth in Article 3.1.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.2</var>\n\nTERM\n\n		  <p>\nThe Agreement shall remain in force for the entire legal term of protection of the economic rights over the Software.\n		  </p>\n\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 5 -</var>\n\nSCOPE OF RIGHTS GRANTED\n\n	  <p>\nThe Licensor hereby grants to the Licensee, who accepts, the following rights over the Software for any or all use, and for the term of the Agreement, on the basis of the terms and conditions set forth hereinafter.\n	  </p>\n\n			<p>\nBesides, if the Licensor owns or comes to own one or more patents protecting all or part of the functions of the Software or of its components, the Licensor undertakes not to enforce the rights granted by these patents against successive Licensees using, exploiting or modifying the Software. If these patents are transferred, the Licensor undertakes to have the transferees subscribe to the obligations set forth in this paragraph.\n	  </p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.1</var>\n\nRIGHT OF USE\n\n		  <p>\nThe Licensee is authorized to use the Software, without any limitation as to its fields of application, with it being hereinafter specified that this comprises:\n		  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n\npermanent or temporary reproduction of all or part of the Software by any or all means and in any or all form.\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n\nloading, displaying, running, or storing the Software on any or all medium.\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.</var>\n\nentitlement to observe, study or test its operation so as to determine the ideas and principles behind any or all constituent elements of said Software. This shall apply when the Licensee carries out any or all loading, displaying, running, transmission or storage operation as regards the Software, that it is entitled to carry out hereunder.\n\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.2</var>\n\nENTITLEMENT TO MAKE CONTRIBUTIONS\n\n		  <p>\nThe right to make Contributions includes the right to translate, adapt, arrange, or make any or all modifications to the Software, and the right to reproduce the resulting software.\n		  </p>\n\n				  <p>\nThe Licensee is authorized to make any or all Contributions to the Software provided that it includes an explicit notice that it is the author of said Contribution and indicates the date of the creation thereof.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.3</var>\n\nRIGHT OF DISTRIBUTION\n\n		  <p>\nIn particular, the right of distribution includes the right to publish, transmit and communicate the Software to the general public on any or all medium, and by any or all means, and the right to market, either in consideration of a fee, or free of charge, one or more copies of the Software by any means.\n		  </p>\n\n				  <p>\nThe Licensee is further authorized to distribute copies of the modified or unmodified Software to third parties according to the terms and conditions set forth hereinafter.\n		  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.1.</var>\n\nDISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\n			  <p>\nThe Licensee is authorized to distribute True copies of the Software in Source Code or Object Code form, provided that said distribution complies with all the provisions of the Agreement and is accompanied by:\n			  </p>\n\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 1.</var>\n\na copy of the Agreement,\n\n			  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 2.</var>\n\na notice relating to the limitation of both the Licensor&apos;s warranty and liability as set forth in Articles 8 and 9,\n\n			  </li>\n						\n</ul>\n						<p>\nand that, in the event that only the Object Code of the Software is redistributed, the Licensee allows future Licensees unhindered access to the full Source Code of the Software by indicating how to access it, it being understood that the additional cost of acquiring the Source Code shall not exceed the cost of transferring the data.\n			</p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.2.</var>\n\nDISTRIBUTION OF MODIFIED SOFTWARE\n\n			<p>\nWhen the Licensee makes a Contribution to the Software, the terms and conditions for the distribution of the resulting Modified Software become subject to all the provisions of this Agreement.\n			</p>\n\n						<p>\nThe Licensee is authorized to distribute the Modified Software, in source code or object code form, provided that said distribution complies with all the provisions of the Agreement and is accompanied by:\n			</p>\n\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 1.</var>\n\na copy of the Agreement,\n\n			</li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 2.</var>\n\na notice relating to the limitation of both the Licensor&apos;s warranty and liability as set forth in Articles 8 and 9,\n\n			</li>\n						\n</ul>\n						<p>\nand that, in the event that only the object code of the Modified Software is redistributed, the Licensee allows future Licensees unhindered access to the full source code of the Modified Software by indicating how to access it, it being understood that the additional cost of acquiring the source code shall not exceed the cost of transferring the data.\n		  </p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.3.</var>\n\nDISTRIBUTION OF EXTERNAL MODULES\n\n		  <p>\nWhen the Licensee has developed an External Module, the terms and conditions of this Agreement do not apply to said External Module, that may be distributed under a separate license agreement.\n		  </p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.4.</var>\n\nCOMPATIBILITY WITH THE GNU GPL\n\n			<p>\nThe Licensee can include a code that is subject to the provisions of one of the versions of the GNU GPL in the Modified or unmodified Software, and distribute that entire code under the terms of the same version of the GNU GPL.\n			</p>\n\n						<p>\nThe Licensee can include the Modified or unmodified Software in a code that is subject to the provisions of one of the versions of the GNU GPL, and distribute that entire code under the terms of the same version of the GNU GPL.\n			</p>\n\n					 </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 6 -</var>\n\nINTELLECTUAL PROPERTY\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1</var>\n\nOVER THE INITIAL SOFTWARE\n\n		  <p>\nThe Holder owns the economic rights over the Initial Software. Any or all use of the Initial Software is subject to compliance with the terms and conditions under which the Holder has elected to distribute its work and no one shall be entitled to modify the terms and conditions for the distribution of said Initial Software.\n		  </p>\n\n				  <p>\nThe Holder undertakes that the Initial Software will remain ruled at least by this Agreement, for the duration set forth in Article 4.2.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2</var>\n\nOVER THE CONTRIBUTIONS\n\n		  <p>\nThe Licensee who develops a Contribution is the owner of the intellectual property rights over this Contribution as defined by applicable law.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3</var>\n\nOVER THE EXTERNAL MODULES\n\n		  <p>\nThe Licensee who develops an External Module is the owner of the intellectual property rights over this External Module as defined by applicable law and is free to choose the type of agreement that shall govern its distribution.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.4</var>\n\nJOINT PROVISIONS\n\n		  <p>\nThe Licensee expressly undertakes:\n		  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n\nnot to remove, or modify, in any manner, the intellectual property notices attached to the Software;\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n\nto reproduce said notices, in an identical manner, in the copies of the Software modified or not.\n\n			</li>\n				  \n</ul>\n				  <p>\nThe Licensee undertakes not to directly or indirectly infringe the intellectual property rights of the Holder and/or Contributors on the Software and to take, where applicable, vis-\u00e0-vis its staff, any and all measures required to ensure respect of said intellectual property rights of the Holder and/or Contributors.\n		  </p>\n\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 7 -</var>\n\nRELATED SERVICES\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.1</var>\n\nUnder no circumstances shall the Agreement oblige the Licensor to provide technical assistance or maintenance services for the Software.\n\n		  <p>\nHowever, the Licensor is entitled to offer this type of services. The terms and conditions of such technical assistance, and/or such maintenance, shall be set forth in a separate instrument. Only the Licensor offering said maintenance and/or technical assistance services shall incur liability therefor.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.2</var>\n\nSimilarly, any Licensor is entitled to offer to its licensees, under its sole responsibility, a warranty, that shall only be binding upon itself, for the redistribution of the Software and/or the Modified Software, under terms and conditions that it is free to decide. Said warranty, and the financial terms and conditions of its application, shall be subject of a separate instrument executed between the Licensor and the Licensee.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 8 -</var>\n\nLIABILITY\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1</var>\n\nSubject to the provisions of Article 8.2, the Licensee shall be entitled to claim compensation for any direct loss it may have suffered from the Software as a result of a fault on the part of the relevant Licensor, subject to providing evidence thereof.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2</var>\n\nThe Licensor&apos;s liability is limited to the commitments made under this Agreement and shall not be incurred as a result of in particular: (i) loss due the Licensee&apos;s total or partial failure to fulfill its obligations, (ii) direct or consequential loss that is suffered by the Licensee due to the use or performance of the Software, and (iii) more generally, any consequential loss. In particular the Parties expressly agree that any or all pecuniary or business loss (i.e. loss of data, loss of profits, operating loss, loss of customers or orders, opportunity cost, any disturbance to business activities) or any or all legal proceedings instituted against the Licensee by a third party, shall constitute consequential loss and shall not provide entitlement to any or all compensation from the Licensor.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 9 -</var>\n\nWARRANTY\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.1</var>\n\nThe Licensee acknowledges that the scientific and technical state-of-the-art when the Software was distributed did not enable all possible uses to be tested and verified, nor for the presence of possible defects to be detected. In this respect, the Licensee&apos;s attention has been drawn to the risks associated with loading, using, modifying and/or developing and reproducing the Software which are reserved for experienced users.\n\n		  <p>\nThe Licensee shall be responsible for verifying, by any or all means, the suitability of the product for its requirements, its good working order, and for ensuring that it shall not cause damage to either persons or properties.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.2</var>\n\nThe Licensor hereby represents, in good faith, that it is entitled to grant all the rights over the Software (including in particular the rights set forth in Article 5).\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.3</var>\n\nThe Licensee acknowledges that the Software is supplied &quot;as is&quot; by the Licensor without any other express or tacit warranty, other than that provided for in Article 9.2 and, in particular, without any warranty as to its commercial value, its secured, safe, innovative or relevant nature.\n\n		  <p>\nSpecifically, the Licensor does not warrant that the Software is free from any error, that it will operate without interruption, that it will be compatible with the Licensee&apos;s own equipment and software configuration, nor that it will meet the Licensee&apos;s requirements.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.4</var>\n\nThe Licensor does not either expressly or tacitly warrant that the Software does not infringe any third party intellectual property right relating to a patent, software or any other property right. Therefore, the Licensor disclaims any and all liability towards the Licensee arising out of any or all proceedings for infringement that may be instituted in respect of the use, modification and redistribution of the Software. Nevertheless, should such proceedings be instituted against the Licensee, the Licensor shall provide it with technical and legal assistance for its defense. Such technical and legal assistance shall be decided on a case-by-case basis between the relevant Licensor and the Licensee pursuant to a memorandum of understanding. The Licensor disclaims any and all liability as regards the Licensee&apos;s use of the name of the Software. No warranty is given as regards the existence of prior rights over the name of the Software or as regards the existence of a trademark.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 10 -</var>\n\nTERMINATION\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.1</var>\n\nIn the event of a breach by the Licensee of its obligations hereunder, the Licensor may automatically terminate this Agreement thirty (30) days after notice has been sent to the Licensee and has remained ineffective.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.2</var>\n\nA Licensee whose Agreement is terminated shall no longer be authorized to use, modify or distribute the Software. However, any licenses that it may have granted prior to termination of the Agreement shall remain valid subject to their having been granted in compliance with the terms and conditions hereof.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 11 -</var>\n\nMISCELLANEOUS\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.1</var>\n\nEXCUSABLE EVENTS\n\n		  <p>\nNeither Party shall be liable for any or all delay, or failure to perform the Agreement, that may be attributable to an event of force majeure, an act of God or an outside cause, such as defective functioning or interruptions of the electricity or telecommunications networks, network paralysis following a virus attack, intervention by government authorities, natural disasters, water damage, earthquakes, fire, explosions, strikes and labor unrest, war, etc.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.2</var>\n\nAny failure by either Party, on one or more occasions, to invoke one or more of the provisions hereof, shall under no circumstances be interpreted as being a waiver by the interested Party of its right to invoke said provision(s) subsequently.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.3</var>\n\nThe Agreement cancels and replaces any or all previous agreements, whether written or oral, between the Parties and having the same purpose, and constitutes the entirety of the agreement between said Parties concerning said purpose. No supplement or modification to the terms and conditions hereof shall be effective as between the Parties unless it is made in writing and signed by their duly authorized representatives.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.4</var>\n\nIn the event that one or more of the provisions hereof were to conflict with a current or future applicable act or legislative text, said act or legislative text shall prevail, and the Parties shall make the necessary amendments so as to comply with said act or legislative text. All other provisions shall remain effective. Similarly, invalidity of a provision of the Agreement, for any reason whatsoever, shall not cause the Agreement as a whole to be invalid.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.5</var>\n\nLANGUAGE\n\n		  <p>\nThe Agreement is drafted in both French and English and both versions are deemed authentic.\n		  </p>\n\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 12 -</var>\n\nNEW VERSIONS OF THE AGREEMENT\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.1</var>\n\nAny person is authorized to duplicate and distribute copies of this Agreement.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.2</var>\n\nSo as to ensure coherence, the wording of this Agreement is protected and may only be modified by the authors of the License, who reserve the right to periodically publish updates or new versions of the Agreement, each with a separate number. These subsequent versions may address new issues encountered by Free Software.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.3</var>\n\nAny Software distributed under a given version of the Agreement may only be subsequently distributed under the same version of the Agreement or a subsequent version, subject to the provisions of Article 5.3.4.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 13 -</var>\n\nGOVERNING LAW AND JURISDICTION\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.1</var>\n\nThe Agreement is governed by French law. The Parties agree to endeavor to seek an amicable solution to any disagreements or disputes that may arise during the performance of the Agreement.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.2</var>\n\nFailing an amicable solution within two (2) months as from their occurrence, and unless emergency proceedings are necessary, the disagreements or disputes shall be referred to the Paris Courts having jurisdiction, by the more diligent Party.\n\n		</li>\n			\n</ul>\n		 </li>\n	  \n</ul>\n	  <p>\nVersion 2.0 dated 2006-09-05.\n  </p>\n\n  <var class=\"optional-license-text\"> 1 CeCILL stands for Ce(a) C(nrs) I(nria) L(ogiciel) L(ibre)</var>\n	"
		self.python_name = "CECILL20"

	def __str__(self):
		return json.dumps(self.__dict__)


class OCLC20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "OCLC Research Public License 2.0\nTerms & Conditions Of Use\nMay, 2002\nCopyright \u00a9 2002. OCLC Online Computer Library Center, Inc. All Rights Reserved\n\nPLEASE READ THIS DOCUMENT CAREFULLY. BY DOWNLOADING OR USING THE CODE BASE AND/OR DOCUMENTATION ACCOMPANYING THIS LICENSE (THE \"License\"), YOU AGREE TO THE FOLLOWING TERMS AND CONDITIONS OF THIS LICENSE.\n\nSection 1. Your Rights\n\nSubject to these terms and conditions of this License, the OCLC Office of Research (the \"Original Contributor\") and each subsequent contributor (collectively with the Original Contributor, the \"Contributors\") hereby grant you a non-exclusive, worldwide, no-charge, transferable license to execute, prepare derivative works of, and distribute (internally and externally), for commercial and noncommercial purposes, the original code contributed by Original Contributor and all Modifications (collectively called the \"Program\").\n\nSection 2. Definitions\n\nA \"Modification\" to the Program is any addition to or deletion from the contents of any file of the Program and any new file that contains any part of the Program. If you make a Modification and distribute the Program externally you are a \"Contributor.\" The distribution of the Program must be under the terms of this license including those in Section 3 below.\n\nA \"Combined Work\" results from combining and integrating all or parts of the Program with other code. A Combined Work may be thought of as having multiple parents or being result of multiple lines of code development.\n\nSection 3. Distribution Licensing Terms\n\nA. General Requirements\nExcept as necessary to recognize third-party rights or third-party restriction (see below), a distribution of the Program in any of the forms listed below must not put any further restrictions on the recipient\u2019s exercise of the rights granted herein.\n\nAs a Contributor, you represent that your Modification(s) are your original creation(s) and, to the best of your knowledge, no third party has any claim (including but not limited to intellectual property claims) relating to your Modification(s). You represent that each of your Modifications includes complete details of any third-party right or other third-party restriction associated with any part of your Modification (including a copy of any applicable license agreement).\n\nThe Program must be distributed without charge beyond the costs of physically transferring the files to the recipient.\n\nThis Warranty Disclaimer/Limitation of Liability must be prominently displayed with every distribution of the Program in any form:\n\nYOU AGREE THAT THE PROGRAM IS PROVIDED AS-IS, WITHOUT WARRANTY OF ANY KIND (EITHER EXPRESS OR IMPLIED). ACCORDINGLY, OCLC MAKES NO WARRANTIES, REPRESENTATIONS OR GUARANTEES, EITHER EXPRESS OR IMPLIED, AND DISCLAIMS ALL SUCH WARRANTIES, REPRESENTATIONS OR GUARANTEES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR ANY PARTICULAR PURPOSE, AS TO: (A) THE FUNCTIONALITY OR NONINFRINGEMENT OF PROGRAM, ANY MODIFICATION, A COMBINED WORK OR AN AGGREGATE WORK; OR (B) THE RESULTS OF ANY PROJECT UNDERTAKEN USING THE PROGRAM, ANY MODIFICATION, A COMBINED WORK OR AN AGGREGATE WORK. IN NO EVENT SHALL THE CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, CONSEQUENTIAL OR ANY OTHER DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THE PROGRAM, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. YOU HEREBY WAIVE ANY CLAIMS FOR DAMAGES OF ANY KIND AGAINST CONTRIBUTORS WHICH MAY RESULT FROM YOUR USE OF THE PROGRAM.\n\nB. Requirements for a Distribution of Modifiable Code\nIf you distribute the Program in a form to which the recipient can make Modifications (e.g. source code), the terms of this license apply to use by recipient. In addition, each source and data file of the Program and any Modification you distribute must contain the following notice:\n\n	 \"Copyright (c) 2000- (insert then current year) OCLC Online Computer Library Center, Inc. and other contributors. All rights reserved. The contents of this file, as updated from time to time by the OCLC Office of Research, are subject to OCLC Research Public License Version 2.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a current copy of the License at http://purl.oclc.org/oclc/research/ORPL/. Software distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License. This software consists of voluntary contributions made by many individuals on behalf of OCLC Research. For more information on OCLC Research, please see http://www.oclc.org/research/. The Original Code is ______________________________. The Initial Developer of the Original Code is ________________________. Portions created by ______________________ are Copyright (C) _____ _______________________. All Rights Reserved. Contributor(s): ______________________________________.\"\n\nC. Requirements for a Distribution of Non-modifiable Code\nIf you distribute the Program in a form to which the recipient cannot make Modifications (e.g. object code), the terms of this license apply to use by recipient and you must include the following statement in appropriate and conspicuous locations:\n\n\"Copyright (c) 2000- (insert then current year) OCLC Online Computer Library Center, Inc. and other contributors. All rights reserved.\"\n\nIn addition, the source code must be included with the object code distribution or the distributor must provide the source code to the recipient upon request.\n\nD. Requirements for a Combined Work Distribution\nDistributions of Combined Works are subject to the terms of this license and must be made at no charge to the recipient beyond the costs of physically transferring the files to recipient.\n\nA Combined Work may be distributed as either modifiable or non-modifiable code. The requirements of Section 3.B or 3.C above (as appropriate) apply to such distributions.\n\nAn \"Aggregate Work\" is when the Program exists, without integration, with other programs on a storage medium. This License does not apply to portions of an Aggregate Work which are not covered by the definition of \"Program\" provided in this License. You are not forbidden from selling an Aggregate Work. However, the Program contained in an Aggregate Work is subject to this License. Also, should the Program be extracted from an Aggregate Work, this License applies to any use of the Program apart from the Aggregate Work.\n\nSection 4. License Grant\n\nFor purposes of permitting use of your Modifications by OCLC and other licensees hereunder, you hereby grant to OCLC and such other licensees the non-exclusive, worldwide, royalty-free, transferable, sublicenseable license to execute, copy, alter, delete, modify, adapt, change, revise, enhance, develop, publicly display, distribute (internally and externally) and/or create derivative works based on your Modifications (and derivative works thereof) in accordance with these Terms. This Section 4 shall survive termination of this License for any reason.\n\nSection 5. Termination of Rights\n\nThis non-exclusive license (with respect to the grant from a particular Contributor) automatically terminates for any entity that initiates legal action for intellectual property infringement (with respect to the Program) against such Contributor as of the initiation of such action.\n\nIf you fail to comply with this License, your rights (but not your obligations) under this License shall terminate automatically unless you cure such breach within thirty (30) days of becoming aware of the noncompliance. All sublicenses granted by you which preexist such termination and are properly granted shall survive such termination.\n\nSection 6. Other Terms\n\nExcept for the copyright notices required above, you may not use any trademark of any of the Contributors without the prior written consent of the relevant Contributor. You agree not to remove, alter or obscure any copyright or other proprietary rights notice contained in the Program.\n\nAll transfers of the Program or any part thereof shall be made in compliance with U.S. import/export regulations or other restrictions of the U.S. Department of Commerce, as well as other similar trade or commerce restrictions which might apply.\n\nAny patent obtained by any party covering the Program or any part thereof must include a provision providing for the free, perpetual and unrestricted commercial and noncommercial use by any third party.\n\nIf, as a consequence of a court judgment or settlement relating to intellectual property infringement or any other cause of action, conditions are imposed on you that contradict the conditions of this License, such conditions do not excuse you from compliance with this License. If you cannot distribute the Program so as to simultaneously satisfy your obligations under this License and such other conditions, you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, you could not satisfy both the patent license and this License, and you would be required to refrain entirely from distribution of the Program.\n\nIf you learn of a third party claim or other restriction relating to a Program you have already distributed you shall promptly redo your Program to address the issue and take all reasonable steps to inform those who may have received the Program at issue. An example of an appropriate reasonable step to inform would be posting an announcement on an appropriate web bulletin board.\n\nThe provisions of this License are deemed to be severable, and the invalidity or unenforceability of any provision shall not affect or impair the remaining provisions which shall continue in full force and effect. In substitution for any provision held unlawful, there shall be substituted a provision of similar import reflecting the original intent of the parties hereto to the extent permissible under law.\n\nThe Original Contributor from time to time may change this License, and the amended license will apply to all copies of the Program downloaded after the new license is posted. This License grants only the rights expressly stated herein and provides you with no implied rights or licenses to the intellectual property of any Contributor.\n\nThis License is the complete and exclusive statement of the agreement between the parties concerning the subject matter hereof and may not be amended except by the written agreement of the parties. This License shall be governed by and consTrued in accordance with the laws of the State of Ohio and the United States of America, without regard to principles of conflicts of law.\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>\"<<endOptional>>Copyright (c) <<var;name=\"copyright\";original=\"2000- (insert then current year) OCLC Online Computer Library Center, Inc. and other contributors\";match=\".+\">> . All rights reserved. The contents of this file, as updated from time to time by the OCLC Office of Research, are subject to OCLC Research Public License Version 2.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a current copy of the License at http://purl.oclc.org/oclc/research/ORPL/. Software distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License. This software consists of voluntary contributions made by many individuals on behalf of OCLC Research. For more information on OCLC Research, please see http://www.oclc.org/research/. The Original Code is <<var;name=\"code\";original=\"______________________________\";match=\".+\">> . The Initial Developer of the Original Code is <<var;name=\"initialDeveloper\";original=\"________________________\";match=\".+\">> . Portions created by <<var;name=\"creator\";original=\"______________________\";match=\".+\">> are Copyright (C) <<var;name=\"copyright2\";original=\"____________________________\";match=\".+\">> . All Rights Reserved. Contributor(s): <<var;name=\"contributor\";original=\"______________________________________\";match=\".+\">> .<<beginOptional>>\"<<endOptional>>\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>OCLC Research Public License 2.0\n\nTerms & Conditions Of Use\n\nMay, 2002\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright \u00a9 2002. OCLC Online Computer Library Center, Inc. All Rights Reserved  \";match=\".{0,5000}\">>\n\nPLEASE READ THIS DOCUMENT CAREFULLY. BY DOWNLOADING OR USING THE CODE BASE AND/OR DOCUMENTATION ACCOMPANYING THIS LICENSE (THE \"License\"), YOU AGREE TO THE FOLLOWING TERMS AND CONDITIONS OF THIS LICENSE.\n\nSection 1. Your Rights\n\nSubject to these terms and conditions of this License, the OCLC Office of Research (the \"Original Contributor\") and each subsequent contributor (collectively with the Original Contributor, the \"Contributors\") hereby grant you a non-exclusive, worldwide, no-charge, transferable license to execute, prepare derivative works of, and distribute (internally and externally), for commercial and noncommercial purposes, the original code contributed by Original Contributor and all Modifications (collectively called the \"Program\").\n\nSection 2. Definitions\n\nA \"Modification\" to the Program is any addition to or deletion from the contents of any file of the Program and any new file that contains any part of the Program. If you make a Modification and distribute the Program externally you are a \"Contributor.\" The distribution of the Program must be under the terms of this license including those in Section 3 below.\n\nA \"Combined Work\" results from combining and integrating all or parts of the Program with other code. A Combined Work may be thought of as having multiple parents or being result of multiple lines of code development.\n\nSection 3. Distribution Licensing Terms\n\n   <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> General Requirements\n\n   Except as necessary to recognize third-party rights or third-party restriction (see below), a distribution of the Program in any of the forms listed below must not put any further restrictions on the recipient's exercise of the rights granted herein.\n\n   As a Contributor, you represent that your Modification(s) are your original creation(s) and, to the best of your knowledge, no third party has any claim (including but not limited to intellectual property claims) relating to your Modification(s). You represent that each of your Modifications includes complete details of any third-party right or other third-party restriction associated with any part of your Modification (including a copy of any applicable license agreement).\n\n   The Program must be distributed without charge beyond the costs of physically transferring the files to the recipient.\n\n   This Warranty Disclaimer/Limitation of Liability must be prominently displayed with every distribution of the Program in any form:\n\n   YOU AGREE THAT THE PROGRAM IS PROVIDED AS-IS, WITHOUT WARRANTY OF ANY KIND (EITHER EXPRESS OR IMPLIED). ACCORDINGLY, OCLC MAKES NO WARRANTIES, REPRESENTATIONS OR GUARANTEES, EITHER EXPRESS OR IMPLIED, AND DISCLAIMS ALL SUCH WARRANTIES, REPRESENTATIONS OR GUARANTEES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR ANY PARTICULAR PURPOSE, AS TO: (A) THE FUNCTIONALITY OR NONINFRINGEMENT OF PROGRAM, ANY MODIFICATION, A COMBINED WORK OR AN AGGREGATE WORK; OR (B) THE RESULTS OF ANY PROJECT UNDERTAKEN USING THE PROGRAM, ANY MODIFICATION, A COMBINED WORK OR AN AGGREGATE WORK. IN NO EVENT SHALL THE CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, CONSEQUENTIAL OR ANY OTHER DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THE PROGRAM, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. YOU HEREBY WAIVE ANY CLAIMS FOR DAMAGES OF ANY KIND AGAINST CONTRIBUTORS WHICH MAY RESULT FROM YOUR USE OF THE PROGRAM.\n\n   <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Requirements for a Distribution of Modifiable Code\n\n   If you distribute the Program in a form to which the recipient can make Modifications (e.g. source code), the terms of this license apply to use by recipient. In addition, each source and data file of the Program and any Modification you distribute must contain the following notice:\n\n   <<beginOptional>>\"<<endOptional>>Copyright (c) <<var;name=\"copyright\";original=\"2000- (insert then current year) OCLC Online Computer Library Center, Inc. and other contributors\";match=\".+\">> . All rights reserved. The contents of this file, as updated from time to time by the OCLC Office of Research, are subject to OCLC Research Public License Version 2.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a current copy of the License at http://purl.oclc.org/oclc/research/ORPL/. Software distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License. This software consists of voluntary contributions made by many individuals on behalf of OCLC Research. For more information on OCLC Research, please see http://www.oclc.org/research/. The Original Code is <<var;name=\"code\";original=\"______________________________\";match=\".+\">> . The Initial Developer of the Original Code is <<var;name=\"initialDeveloper\";original=\"________________________\";match=\".+\">> . Portions created by <<var;name=\"creator\";original=\"______________________\";match=\".+\">> are Copyright (C) <<var;name=\"copyright2\";original=\"____________________________\";match=\".+\">> . All Rights Reserved. Contributor(s): <<var;name=\"contributor\";original=\"______________________________________\";match=\".+\">> .<<beginOptional>>\"<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> Requirements for a Distribution of Non-modifiable Code\n\n   If you distribute the Program in a form to which the recipient cannot make Modifications (e.g. object code), the terms of this license apply to use by recipient and you must include the following statement in appropriate and conspicuous locations:\n\n   \"Copyright (c) 2000- (insert then current year) OCLC Online Computer Library Center, Inc. and other contributors. All rights reserved.\"\n\n   In addition, the source code must be included with the object code distribution or the distributor must provide the source code to the recipient upon request.\n\n   <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Requirements for a Combined Work Distribution\n\n   Distributions of Combined Works are subject to the terms of this license and must be made at no charge to the recipient beyond the costs of physically transferring the files to recipient.\n\n   A Combined Work may be distributed as either modifiable or non-modifiable code. The requirements of Section 3.B or 3.C above (as appropriate) apply to such distributions.\n\n   An \"Aggregate Work\" is when the Program exists, without integration, with other programs on a storage medium. This License does not apply to portions of an Aggregate Work which are not covered by the definition of \"Program\" provided in this License. You are not forbidden from selling an Aggregate Work. However, the Program contained in an Aggregate Work is subject to this License. Also, should the Program be extracted from an Aggregate Work, this License applies to any use of the Program apart from the Aggregate Work.\n\n   Section 4. License Grant\n\n   For purposes of permitting use of your Modifications by OCLC and other licensees hereunder, you hereby grant to OCLC and such other licensees the non-exclusive, worldwide, royalty-free, transferable, sublicenseable license to execute, copy, alter, delete, modify, adapt, change, revise, enhance, develop, publicly display, distribute (internally and externally) and/or create derivative works based on your Modifications (and derivative works thereof) in accordance with these Terms. This Section 4 shall survive termination of this License for any reason.\n\nSection 5. Termination of Rights\n\nThis non-exclusive license (with respect to the grant from a particular Contributor) automatically terminates for any entity that initiates legal action for intellectual property infringement (with respect to the Program) against such Contributor as of the initiation of such action.\n\nIf you fail to comply with this License, your rights (but not your obligations) under this License shall terminate automatically unless you cure such breach within thirty (30) days of becoming aware of the noncompliance. All sublicenses granted by you which preexist such termination and are properly granted shall survive such termination.\n\nSection 6. Other Terms\n\nExcept for the copyright notices required above, you may not use any trademark of any of the Contributors without the prior written consent of the relevant Contributor. You agree not to remove, alter or obscure any copyright or other proprietary rights notice contained in the Program.\n\nAll transfers of the Program or any part thereof shall be made in compliance with U.S. import/export regulations or other restrictions of the U.S. Department of Commerce, as well as other similar trade or commerce restrictions which might apply.\n\nAny patent obtained by any party covering the Program or any part thereof must include a provision providing for the free, perpetual and unrestricted commercial and noncommercial use by any third party.\n\nIf, as a consequence of a court judgment or settlement relating to intellectual property infringement or any other cause of action, conditions are imposed on you that contradict the conditions of this License, such conditions do not excuse you from compliance with this License. If you cannot distribute the Program so as to simultaneously satisfy your obligations under this License and such other conditions, you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, you could not satisfy both the patent license and this License, and you would be required to refrain entirely from distribution of the Program.\n\nIf you learn of a third party claim or other restriction relating to a Program you have already distributed you shall promptly redo your Program to address the issue and take all reasonable steps to inform those who may have received the Program at issue. An example of an appropriate reasonable step to inform would be posting an announcement on an appropriate web bulletin board.\n\nThe provisions of this License are deemed to be severable, and the invalidity or unenforceability of any provision shall not affect or impair the remaining provisions which shall continue in full force and effect. In substitution for any provision held unlawful, there shall be substituted a provision of similar import reflecting the original intent of the parties hereto to the extent permissible under law.\n\nThe Original Contributor from time to time may change this License, and the amended license will apply to all copies of the Program downloaded after the new license is posted. This License grants only the rights expressly stated herein and provides you with no implied rights or licenses to the intellectual property of any Contributor.\n\nThis License is the complete and exclusive statement of the agreement between the parties concerning the subject matter hereof and may not be amended except by the written agreement of the parties. This License shall be governed by and consTrued in accordance with the laws of the State of Ohio and the United States of America, without regard to principles of conflicts of law.\n\n"
		self.name = "OCLC Research Public License 2.0"
		self.licenseComments = "This license was released: May 2002"
		self.licenseId = "OCLC-2.0"
		self.standardLicenseHeader = "\"Copyright (c) 2000- (insert then current year) OCLC Online Computer Library Center, Inc. and other contributors . All rights reserved. The contents of this file, as updated from time to time by the OCLC Office of Research, are subject to OCLC Research Public License Version 2.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a current copy of the License at http://purl.oclc.org/oclc/research/ORPL/. Software distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License. This software consists of voluntary contributions made by many individuals on behalf of OCLC Research. For more information on OCLC Research, please see http://www.oclc.org/research/. The Original Code is ______________________________ . The Initial Developer of the Original Code is ________________________ . Portions created by ______________________ are Copyright (C) ____________________________ . All Rights Reserved. Contributor(s): ______________________________________ .\"\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/OCLC-2.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:53Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://www.oclc.org/research/activities/software/license/v2final.htm", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:53Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.oclc.org/research/activities/software/license/v2final.htm", "https://opensource.org/licenses/OCLC-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>OCLC Research Public License 2.0\n	  <br />\n\nTerms &amp; Conditions Of Use\n	  <br />\n\nMay, 2002\n	</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright \u00a9 2002. OCLC Online Computer Library Center, Inc. All Rights Reserved</p>\n\n	  </div>\n\n	  <p>PLEASE READ THIS DOCUMENT CAREFULLY. BY DOWNLOADING OR USING THE CODE BASE AND/OR DOCUMENTATION ACCOMPANYING\n	   THIS LICENSE (THE &quot;License&quot;), YOU AGREE TO THE FOLLOWING TERMS AND CONDITIONS OF THIS LICENSE.</p>\n\n	  <p>Section 1. Your Rights</p>\n\n	  <p>Subject to these terms and conditions of this License, the OCLC Office of Research (the &quot;Original\n	   Contributor&quot;) and each subsequent contributor (collectively with the Original Contributor, the\n	   &quot;Contributors&quot;) hereby grant you a non-exclusive, worldwide, no-charge, transferable license to execute,\n	   prepare derivative works of, and distribute (internally and externally), for commercial and noncommercial\n	   purposes, the original code contributed by Original Contributor and all Modifications (collectively called\n	   the &quot;Program&quot;).</p>\n\n	  <p>Section 2. Definitions</p>\n\n	  <p>A &quot;Modification&quot; to the Program is any addition to or deletion from the contents of any file of the Program\n	   and any new file that contains any part of the Program. If you make a Modification and distribute the\n	   Program externally you are a &quot;Contributor.&quot; The distribution of the Program must be under the terms of\n	   this license including those in Section 3 below.</p>\n\n	  <p>A &quot;Combined Work&quot; results from combining and integrating all or parts of the Program with other code. A\n	   Combined Work may be thought of as having multiple parents or being result of multiple lines of code\n	   development.</p>\n\n	  <p>Section 3. Distribution Licensing Terms</p>\n\n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n		General Requirements\n		  <br />\n\n   Except as necessary to recognize third-party rights or third-party restriction (see below), a\n			   distribution of the Program in any of the forms listed below must not put any further\n			   restrictions on the recipient&apos;s exercise of the rights granted herein.\n\n		<p>As a Contributor, you represent that your Modification(s) are your original creation(s) and, to the\n		   best of your knowledge, no third party has any claim (including but not limited to intellectual\n		   property claims) relating to your Modification(s). You represent that each of your Modifications\n		   includes complete details of any third-party right or other third-party restriction associated\n		   with any part of your Modification (including a copy of any applicable license agreement).</p>\n\n			<p>The Program must be distributed without charge beyond the costs of physically transferring the files\n		   to the recipient.</p>\n\n			<p>This Warranty Disclaimer/Limitation of Liability must be prominently displayed with every\n		   distribution of the Program in any form:</p>\n\n			<p>YOU AGREE THAT THE PROGRAM IS PROVIDED AS-IS, WITHOUT WARRANTY OF ANY KIND (EITHER EXPRESS OR\n		   IMPLIED). ACCORDINGLY, OCLC MAKES NO WARRANTIES, REPRESENTATIONS OR GUARANTEES, EITHER EXPRESS OR\n		   IMPLIED, AND DISCLAIMS ALL SUCH WARRANTIES, REPRESENTATIONS OR GUARANTEES, INCLUDING, WITHOUT\n		   LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR ANY PARTICULAR PURPOSE, AS\n		   TO: (A) THE FUNCTIONALITY OR NONINFRINGEMENT OF PROGRAM, ANY MODIFICATION, A COMBINED WORK OR AN\n		   AGGREGATE WORK; OR (B) THE RESULTS OF ANY PROJECT UNDERTAKEN USING THE PROGRAM, ANY MODIFICATION,\n		   A COMBINED WORK OR AN AGGREGATE WORK. IN NO EVENT SHALL THE CONTRIBUTORS BE LIABLE FOR ANY DIRECT,\n		   INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, CONSEQUENTIAL OR ANY OTHER DAMAGES (INCLUDING, BUT NOT\n		   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR\n		   BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\n		   LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THE\n		   PROGRAM, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. YOU HEREBY WAIVE ANY CLAIMS FOR\n		   DAMAGES OF ANY KIND AGAINST CONTRIBUTORS WHICH MAY RESULT FROM YOUR USE OF THE PROGRAM.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n		Requirements for a Distribution of Modifiable Code\n		  <br />\n\n   If you distribute the Program in a form to which the recipient can make Modifications (e.g.\n			   source code), the terms of this license apply to use by recipient. In addition, each\n			   source and data file of the Program and any Modification you distribute must contain the\n			   following notice:\n		\n		<p><var class=\"optional-license-text\">&quot;</var>Copyright (c) <var class=\"replaceable-license-text\"> 2000- (insert then current year) OCLC Online Computer Library Center, Inc. and other\n		   contributors</var>. All rights reserved. The contents of this file, as updated from time to time by the\n		   OCLC Office of Research, are subject to OCLC Research Public License Version 2.0 (the &quot;License&quot;);\n		   you may not use this file except in compliance with the License. You may obtain a current copy of\n		   the License at http://purl.oclc.org/oclc/research/ORPL/. Software distributed under the License is\n		   distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the\n		   License for the specific language governing rights and limitations under the License. This\n		   software consists of voluntary contributions made by many individuals on behalf of OCLC Research.\n		   For more information on OCLC Research, please see http://www.oclc.org/research/. The Original Code\n		   is <var class=\"replaceable-license-text\"> ______________________________</var>. The Initial Developer of the Original Code is\n		   <var class=\"replaceable-license-text\"> ________________________</var>. Portions created by <var class=\"replaceable-license-text\"> ______________________</var> are Copyright (C) <var class=\"replaceable-license-text\"> ____________________________</var>. All Rights Reserved. Contributor(s):\n		   <var class=\"replaceable-license-text\"> ______________________________________</var>.<var class=\"optional-license-text\">&quot;</var></p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n		Requirements for a Distribution of Non-modifiable Code\n		  <br />\n\n   If you distribute the Program in a form to which the recipient cannot make Modifications (e.g.\n			   object code), the terms of this license apply to use by recipient and you must include the\n			   following statement in appropriate and conspicuous locations:\n\n		<p>&quot;Copyright (c) 2000- (insert then current year) OCLC Online Computer Library Center, Inc. and other\n		   contributors. All rights reserved.&quot;</p>\n\n			<p>In addition, the source code must be included with the object code distribution or the distributor\n		   must provide the source code to the recipient upon request.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n		Requirements for a Combined Work Distribution\n\n		<p>Distributions of Combined Works are subject to the terms of this license and must be made at no charge to the\n		   recipient beyond the costs of physically transferring the files to recipient.</p>\n\n			<p>A Combined Work may be distributed as either modifiable or non-modifiable code. The requirements of Section\n		   3.B or 3.C above (as appropriate) apply to such distributions.</p>\n\n			<p>An &quot;Aggregate Work&quot; is when the Program exists, without integration, with other programs on a storage medium.\n		   This License does not apply to portions of an Aggregate Work which are not covered by the definition of\n		   &quot;Program&quot; provided in this License. You are not forbidden from selling an Aggregate Work. However, the\n		   Program contained in an Aggregate Work is subject to this License. Also, should the Program be extracted\n		   from an Aggregate Work, this License applies to any use of the Program apart from the Aggregate Work.</p>\n\n			<p>Section 4. License Grant</p>\n\n			<p>For purposes of permitting use of your Modifications by OCLC and other licensees hereunder, you hereby grant\n		   to OCLC and such other licensees the non-exclusive, worldwide, royalty-free, transferable, sublicenseable\n		   license to execute, copy, alter, delete, modify, adapt, change, revise, enhance, develop, publicly\n		   display, distribute (internally and externally) and/or create derivative works based on your Modifications\n		   (and derivative works thereof) in accordance with these Terms. This Section 4 shall survive termination of\n		   this License for any reason.</p>\n\n		</li>\n	  \n</ul>\n	  <p>Section 5. Termination of Rights</p>\n\n	  <p>This non-exclusive license (with respect to the grant from a particular Contributor) automatically terminates\n	   for any entity that initiates legal action for intellectual property infringement (with respect to the\n	   Program) against such Contributor as of the initiation of such action.</p>\n\n	  <p>If you fail to comply with this License, your rights (but not your obligations) under this License shall\n	   terminate automatically unless you cure such breach within thirty (30) days of becoming aware of the\n	   noncompliance. All sublicenses granted by you which preexist such termination and are properly granted\n	   shall survive such termination.</p>\n\n	  <p>Section 6. Other Terms</p>\n\n	  <p>Except for the copyright notices required above, you may not use any trademark of any of the Contributors\n	   without the prior written consent of the relevant Contributor. You agree not to remove, alter or obscure\n	   any copyright or other proprietary rights notice contained in the Program.</p>\n\n	  <p>All transfers of the Program or any part thereof shall be made in compliance with U.S. import/export\n	   regulations or other restrictions of the U.S. Department of Commerce, as well as other similar trade or\n	   commerce restrictions which might apply.</p>\n\n	  <p>Any patent obtained by any party covering the Program or any part thereof must include a provision providing\n	   for the free, perpetual and unrestricted commercial and noncommercial use by any third party.</p>\n\n	  <p>If, as a consequence of a court judgment or settlement relating to intellectual property infringement or any\n	   other cause of action, conditions are imposed on you that contradict the conditions of this License, such\n	   conditions do not excuse you from compliance with this License. If you cannot distribute the Program so as\n	   to simultaneously satisfy your obligations under this License and such other conditions, you may not\n	   distribute the Program at all. For example, if a patent license would not permit royalty-free\n	   redistribution of the Program by all those who receive copies directly or indirectly through you, you\n	   could not satisfy both the patent license and this License, and you would be required to refrain entirely\n	   from distribution of the Program.</p>\n\n	  <p>If you learn of a third party claim or other restriction relating to a Program you have already distributed\n	   you shall promptly redo your Program to address the issue and take all reasonable steps to inform those\n	   who may have received the Program at issue. An example of an appropriate reasonable step to inform would\n	   be posting an announcement on an appropriate web bulletin board.</p>\n\n	  <p>The provisions of this License are deemed to be severable, and the invalidity or unenforceability of any\n	   provision shall not affect or impair the remaining provisions which shall continue in full force and\n	   effect. In substitution for any provision held unlawful, there shall be substituted a provision of similar\n	   import reflecting the original intent of the parties hereto to the extent permissible under law.</p>\n\n	  <p>The Original Contributor from time to time may change this License, and the amended license will apply to all\n	   copies of the Program downloaded after the new license is posted. This License grants only the rights\n	   expressly stated herein and provides you with no implied rights or licenses to the intellectual property\n	   of any Contributor.</p>\n\n	  <p>This License is the complete and exclusive statement of the agreement between the parties concerning the\n	   subject matter hereof and may not be amended except by the written agreement of the parties. This License\n	   shall be governed by and consTrued in accordance with the laws of the State of Ohio and the United States\n	   of America, without regard to principles of conflicts of law.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n		<p><var class=\"optional-license-text\">&quot;</var>Copyright (c) <var class=\"replaceable-license-text\"> 2000- (insert then current year) OCLC Online Computer Library Center, Inc. and other\n		   contributors</var>. All rights reserved. The contents of this file, as updated from time to time by the\n		   OCLC Office of Research, are subject to OCLC Research Public License Version 2.0 (the &quot;License&quot;);\n		   you may not use this file except in compliance with the License. You may obtain a current copy of\n		   the License at http://purl.oclc.org/oclc/research/ORPL/. Software distributed under the License is\n		   distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the\n		   License for the specific language governing rights and limitations under the License. This\n		   software consists of voluntary contributions made by many individuals on behalf of OCLC Research.\n		   For more information on OCLC Research, please see http://www.oclc.org/research/. The Original Code\n		   is <var class=\"replaceable-license-text\"> ______________________________</var>. The Initial Developer of the Original Code is\n		   <var class=\"replaceable-license-text\"> ________________________</var>. Portions created by <var class=\"replaceable-license-text\"> ______________________</var> are Copyright (C) <var class=\"replaceable-license-text\"> ____________________________</var>. All Rights Reserved. Contributor(s):\n		   <var class=\"replaceable-license-text\"> ______________________________________</var>.<var class=\"optional-license-text\">&quot;</var></p>\n\n		"
		self.python_name = "OCLC20"

	def __str__(self):
		return json.dumps(self.__dict__)


class Linuxmanpagescopyleft2para:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Permission is granted to make and distribute verbatim copies of this\nmanual provided the copyright notice and this permission notice are\npreserved on all copies.\n\nPermission is granted to copy and distribute modified versions of this\nmanual under the conditions for verbatim copying, provided that the\nentire resulting derived work is distributed under the terms of a\npermission notice identical to this one.\n"
		self.standardLicenseTemplate = "Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.\n\nPermission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.\n\n"
		self.name = "Linux man-pages Copyleft - 2 paragraphs"
		self.licenseId = "Linux-man-pages-copyleft-2-para"
		self.crossRef = [{"match": "False", "url": "https://git.kernel.org/pub/scm/docs/man-pages/man-pages.git/tree/man2/migrate_pages.2#n8", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:22Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://git.kernel.org/pub/scm/docs/man-pages/man-pages.git/tree/man2/move_pages.2#n5", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:22Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://git.kernel.org/pub/scm/docs/man-pages/man-pages.git/tree/man2/move_pages.2#n5", "https://git.kernel.org/pub/scm/docs/man-pages/man-pages.git/tree/man2/migrate_pages.2#n8"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			Permission is granted to make and distribute verbatim\n			copies of this manual provided the copyright notice\n			and this permission notice are preserved on all copies.\n		 </p>\n\n		 <p>\n			Permission is granted to copy and distribute modified versions\n			of this manual under the conditions for verbatim copying,\n			provided that the entire resulting derived work is distributed\n			under the terms of a permission notice identical to this one.\n		 </p>\n\n	  "
		self.python_name = "Linuxmanpagescopyleft2para"

	def __str__(self):
		return json.dumps(self.__dict__)


class W3C20150513:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This work is being provided by the copyright holders under the following license.\n\nLicense\nBy obtaining and/or copying this work, you (the licensee) agree that you have read, understood, and will comply with the following terms and conditions.\n\nPermission to copy, modify, and distribute this work, with or without modification, for any purpose and without fee or royalty is hereby granted, provided that you include the following on ALL copies of the work or portions thereof, including modifications:\n\n	 \u2022 The full text of this NOTICE in a location viewable to users of the redistributed or derivative work.\n	 \u2022 Any pre-existing intellectual property disclaimers, notices, or terms and conditions. If none exist, the W3C Software and Document Short Notice should be included.\n	 \u2022 Notice of any changes or modifications, through a copyright statement on the new code or document such as \"This software or document includes material copied from or derived from [title and URI of the W3C document]. Copyright (c) [YEAR] W3C\u00ae (MIT, ERCIM, Keio, Beihang).\"\n\nDisclaimers\nTHIS WORK IS PROVIDED \"AS IS,\" AND COPYRIGHT HOLDERS MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE OR DOCUMENT WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.\n\nCOPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENT.\n\nThe name and trademarks of copyright holders may NOT be used in advertising or publicity pertaining to the work without specific, written prior permission. Title to copyright in this work will at all times remain with copyright holders.\n"
		self.standardLicenseHeaderTemplate = "<<var;name=\"softwareNameURI\";original=\"[$name_of_software: $distribution_URI]\";match=\".+\">> Copyright (c) <<var;name=\"year\";original=\"[$date-of-software]\";match=\".+\">> World Wide Web Consortium, (Massachusetts Institute of Technology, European Research Consortium for Informatics and Mathematics, Keio University, Beihang). All Rights Reserved. This work is distributed under the W3C\u00ae Software License [1] in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. <<var;name=\"bullet\";original=\"[1]\";match=\".{0,20}\">> http://www.w3.org/Consortium/Legal/copyright-software"
		self.standardLicenseTemplate = "This work is being provided by the copyright holders under the following license.\n\nLicense\n\nBy obtaining and/or copying this work, you (the licensee) agree that you have read, understood, and will comply with the following terms and conditions.\n\nPermission to copy, modify, and distribute this work, with or without modification, for any purpose and without fee or royalty is hereby granted, provided that you include the following on ALL copies of the work or portions thereof, including modifications:\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> The full text of this NOTICE in a location viewable to users of the redistributed or derivative work.\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> Any pre-existing intellectual property disclaimers, notices, or terms and conditions. If none exist, the W3C Software and Document Short Notice should be included.\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> Notice of any changes or modifications, through a copyright statement on the new code or document such as \"This software or document includes material copied from or derived from [title and URI of the W3C document]. Copyright (c) [YEAR] W3C\u00ae (MIT, ERCIM, Keio, Beihang).\"\n\nDisclaimers\n\nTHIS WORK IS PROVIDED \"AS IS,\" AND COPYRIGHT HOLDERS MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE OR DOCUMENT WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.\n\nCOPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENT.\n\nThe name and trademarks of copyright holders may NOT be used in advertising or publicity pertaining to the work without specific, written prior permission. Title to copyright in this work will at all times remain with copyright holders.\n\n"
		self.name = "W3C Software Notice and Document License (2015-05-13)"
		self.licenseComments = "This license takes effect 13 May, 2015.This version makes clear that the license is applicable to both software and text, by changing the name and substituting \"work\" for instances of \"software and its documentation.\" It moves \"notice of changes or modifications to the files\" to the copyright notice, to make clear that the license is compatible with other liberal licenses."
		self.licenseId = "W3C-20150513"
		self.standardLicenseHeader = "[$name_of_software: $distribution_URI] Copyright (c) [$date-of-software] World Wide Web Consortium, (Massachusetts Institute of Technology, European Research Consortium for Informatics and Mathematics, Keio University, Beihang). All Rights Reserved. This work is distributed under the W3C\u00ae Software License [1] in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. [1] http://www.w3.org/Consortium/Legal/copyright-software"
		self.crossRef = [{"match": "False", "url": "https://www.w3.org/Consortium/Legal/2015/copyright-software-and-document", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:53Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.w3.org/Consortium/Legal/2015/copyright-software-and-document"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>This work is being provided by the copyright holders under the\n		 following license.</p>\n\n	  <p>License\n		<br />\n\nBy obtaining and/or copying this work, you (the licensee)\n			 agree that you have read, understood, and will comply\n			 with the following terms and conditions.\n	  </p>\n\n	  <p>Permission to copy, modify, and distribute this work, with or\n		 without modification, for any purpose and without fee or\n		 royalty is hereby granted, provided that you include the\n		 following on ALL copies of the work or portions thereof,\n		 including modifications:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u2022</var>\n		  The full text of this NOTICE in a location viewable to\n			 users of the redistributed or derivative work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u2022</var>\n		  Any pre-existing intellectual property disclaimers,\n			 notices, or terms and conditions. If none exist, the\n			 W3C Software and Document Short Notice should be\n			 included.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u2022</var>\n		  Notice of any changes or modifications, through a\n			 copyright statement on the new code or document such\n			 as &quot;This software or document includes material copied\n			 from or derived from [title and URI of the W3C\n			 document]. Copyright (c) [YEAR] W3C\u00ae (MIT, ERCIM,\n			 Keio, Beihang).&quot;\n		</li>\n	  \n</ul>\n	  <p>Disclaimers\n		<br />\n\nTHIS WORK IS PROVIDED &quot;AS IS,&quot; AND COPYRIGHT HOLDERS MAKE\n			 NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED,\n			 INCLUDING BUT NOT LIMITED TO, WARRANTIES OF\n			 MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE\n			 OR THAT THE USE OF THE SOFTWARE OR DOCUMENT WILL NOT\n			 INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,\n			 TRADEMARKS OR OTHER RIGHTS.\n	  </p>\n\n	  <p>COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT,\n		 SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE\n		 SOFTWARE OR DOCUMENT.</p>\n\n	  <p>The name and trademarks of copyright holders may NOT be used in\n		 advertising or publicity pertaining to the work without\n		 specific, written prior permission. Title to copyright in this\n		 work will at all times remain with copyright holders.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n		 <var class=\"replaceable-license-text\"> [$name_of_software:\n	$distribution_URI]</var>\n\nCopyright (c)\n	<var class=\"replaceable-license-text\"> [$date-of-software]</var> World Wide Web\n	Consortium, (Massachusetts Institute of Technology, European Research\n	Consortium for Informatics and Mathematics, Keio University, Beihang).\n	All Rights Reserved. This work is distributed under the W3C\u00ae Software\n	License [1] in the hope that it will be useful, but WITHOUT ANY\n	WARRANTY; without even the implied warranty of MERCHANTABILITY or\n	FITNESS FOR A PARTICULAR PURPOSE.\n\n	<var class=\"replaceable-license-text\"> [1]</var> http://www.w3.org/Consortium/Legal/copyright-software\n\n  "
		self.python_name = "W3C20150513"

	def __str__(self):
		return json.dumps(self.__dict__)


class UnicodeTOU:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Unicode Terms of Use\n\nFor the general privacy policy governing access to this site, see the Unicode Privacy Policy. For trademark usage, see the Unicode\u00ae Consortium Name and Trademark Usage Policy.\n\nA. Unicode Copyright.\n\n	 1. Copyright \u00a9 1991-2014 Unicode, Inc. All rights reserved.\n\n	 2. Certain documents and files on this website contain a legend indicating that \"Modification is permitted.\" Any person is hereby authorized, without fee, to modify such documents and files to create derivative works conforming to the Unicode\u00ae Standard, subject to Terms and Conditions herein.\n\n	 3. Any person is hereby authorized, without fee, to view, use, reproduce, and distribute all documents and files solely for informational purposes in the creation of products supporting the Unicode Standard, subject to the Terms and Conditions herein.\n\n	 4. Further specifications of rights and restrictions pertaining to the use of the particular set of data files known as the \"Unicode Character Database\" can be found in Exhibit 1.\n\n	 5. Each version of the Unicode Standard has further specifications of rights and restrictions of use. For the book editions (Unicode 5.0 and earlier), these are found on the back of the title page. The online code charts carry specific restrictions. All other files, including online documentation of the core specification for Unicode 6.0 and later, are covered under these general Terms of Use.\n\n	 6. No license is granted to \"mirror\" the Unicode website where a fee is charged for access to the \"mirror\" site.\n\n	 7. Modification is not permitted with respect to this document. All copies of this document must be verbatim.\n\nB. Restricted Rights Legend. Any technical data or software which is licensed to the United States of America, its agencies and/or instrumentalities under this Agreement is commercial technical data or commercial computer software developed exclusively at private expense as defined in FAR 2.101, or DFARS 252.227-7014 (June 1995), as applicable. For technical data, use, duplication, or disclosure by the Government is subject to restrictions as set forth in DFARS 202.227-7015 Technical Data, Commercial and Items (Nov 1995) and this Agreement. For Software, in accordance with FAR 12-212 or DFARS 227-7202, as applicable, use, duplication or disclosure by the Government is subject to the restrictions set forth in this Agreement.\n\nC. Warranties and Disclaimers.\n\n	 1. This publication and/or website may include technical or typographical errors or other inaccuracies . Changes are periodically added to the information herein; these changes will be incorporated in new editions of the publication and/or website. Unicode may make improvements and/or changes in the product(s) and/or program(s) described in this publication and/or website at any time.\n\n	 2. If this file has been purchased on magnetic or optical media from Unicode, Inc. the sole and exclusive remedy for any claim will be exchange of the defective media within ninety (90) days of original purchase.\n\n	 3. EXCEPT AS PROVIDED IN SECTION C.2, THIS PUBLICATION AND/OR SOFTWARE IS PROVIDED \"AS IS\" WITHOUT WARRANTY OF ANY KIND EITHER EXPRESS, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. UNICODE AND ITS LICENSORS ASSUME NO RESPONSIBILITY FOR ERRORS OR OMISSIONS IN THIS PUBLICATION AND/OR SOFTWARE OR OTHER DOCUMENTS WHICH ARE REFERENCED BY OR LINKED TO THIS PUBLICATION OR THE UNICODE WEBSITE.\n\nD. Waiver of Damages. In no event shall Unicode or its licensors be liable for any special, incidental, indirect or consequential damages of any kind, or any damages whatsoever, whether or not Unicode was advised of the possibility of the damage, including, without limitation, those resulting from the following: loss of use, data or profits, in connection with the use, modification or distribution of this information or its derivatives.\n\nE. Trademarks & Logos.\n\n	 1. The Unicode Word Mark and the Unicode Logo are trademarks of Unicode, Inc. \u201cThe Unicode Consortium\u201d and \u201cUnicode, Inc.\u201d are trade names of Unicode, Inc. Use of the information and materials found on this website indicates your acknowledgement of Unicode, Inc.\u2019s exclusive worldwide rights in the Unicode Word Mark, the Unicode Logo, and the Unicode trade names.\n\n	 2. The Unicode Consortium Name and Trademark Usage Policy (\u201cTrademark Policy\u201d) are incorporated herein by reference and you agree to abide by the provisions of the Trademark Policy, which may be changed from time to time in the sole discretion of Unicode, Inc.\n\n	 3. All third party trademarks referenced herein are the property of their respective owners.\n\nF. Miscellaneous.\n\n	 1. Jurisdiction and Venue. This server is operated from a location in the State of California, United States of America. Unicode makes no representation that the materials are appropriate for use in other locations. If you access this server from other locations, you are responsible for compliance with local laws. This Agreement, all use of this site and any claims and damages resulting from use of this site are governed solely by the laws of the State of California without regard to any principles which would apply the laws of a different jurisdiction. The user agrees that any disputes regarding this site shall be resolved solely in the courts located in Santa Clara County, California. The user agrees said courts have personal jurisdiction and agree to waive any right to transfer the dispute to any other forum.\n\n	 2. Modification by Unicode Unicode shall have the right to modify this Agreement at any time by posting it to this site. The user may not assign any part of this Agreement without Unicode\u2019s prior written consent.\n\n	 3. Taxes. The user agrees to pay any taxes arising from access to this website or use of the information herein, except for those based on Unicode\u2019s net income.\n\n	 4. Severability. If any provision of this Agreement is declared invalid or unenforceable, the remaining provisions of this Agreement shall remain in effect.\n\n	 5. Entire Agreement. This Agreement constitutes the entire agreement between the parties.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Unicode Terms of Use\n\n<<endOptional>>\n\nFor the general privacy policy governing access to this site, see the Unicode Privacy Policy. For trademark usage, see the Unicode\u00ae Consortium Name and Trademark Usage Policy.\n\n   <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Unicode Copyright.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Copyright \u00a9 1991-2014 Unicode, Inc. All rights reserved.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Certain documents and files on this website contain a legend indicating that \"Modification is permitted.\" Any person is hereby authorized, without fee, to modify such documents and files to create derivative works conforming to the Unicode\u00ae Standard, subject to Terms and Conditions herein.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Any person is hereby authorized, without fee, to view, use, reproduce, and distribute all documents and files solely for informational purposes in the creation of products supporting the Unicode Standard, subject to the Terms and Conditions herein.\n\n	  <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Further specifications of rights and restrictions pertaining to the use of the particular set of data files known as the \"Unicode Character Database\" can be found in Exhibit 1.\n\n	  <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Each version of the Unicode Standard has further specifications of rights and restrictions of use. For the book editions (Unicode 5.0 and earlier), these are found on the back of the title page. The online code charts carry specific restrictions. All other files, including online documentation of the core specification for Unicode 6.0 and later, are covered under these general Terms of Use.\n\n	  <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> No license is granted to \"mirror\" the Unicode website where a fee is charged for access to the \"mirror\" site.\n\n	  <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Modification is not permitted with respect to this document. All copies of this document must be verbatim.\n\n   <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Restricted Rights Legend. Any technical data or software which is licensed to the United States of America, its agencies and/or instrumentalities under this Agreement is commercial technical data or commercial computer software developed exclusively at private expense as defined in FAR 2.101, or DFARS 252.227-7014 (June 1995), as applicable. For technical data, use, duplication, or disclosure by the Government is subject to restrictions as set forth in DFARS 202.227-7015 Technical Data, Commercial and Items (Nov 1995) and this Agreement. For Software, in accordance with FAR 12-212 or DFARS 227-7202, as applicable, use, duplication or disclosure by the Government is subject to the restrictions set forth in this Agreement.\n\n   <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> Warranties and Disclaimers.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> This publication and/or website may include technical or typographical errors or other inaccuracies . Changes are periodically added to the information herein; these changes will be incorporated in new editions of the publication and/or website. Unicode may make improvements and/or changes in the product(s) and/or program(s) described in this publication and/or website at any time.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> If this file has been purchased on magnetic or optical media from Unicode, Inc. the sole and exclusive remedy for any claim will be exchange of the defective media within ninety (90) days of original purchase.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> EXCEPT AS PROVIDED IN SECTION C.2, THIS PUBLICATION AND/OR SOFTWARE IS PROVIDED \"AS IS\" WITHOUT WARRANTY OF ANY KIND EITHER EXPRESS, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. UNICODE AND ITS LICENSORS ASSUME NO RESPONSIBILITY FOR ERRORS OR OMISSIONS IN THIS PUBLICATION AND/OR SOFTWARE OR OTHER DOCUMENTS WHICH ARE REFERENCED BY OR LINKED TO THIS PUBLICATION OR THE UNICODE WEBSITE.\n\n   <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Waiver of Damages. In no event shall Unicode or its licensors be liable for any special, incidental, indirect or consequential damages of any kind, or any damages whatsoever, whether or not Unicode was advised of the possibility of the damage, including, without limitation, those resulting from the following: loss of use, data or profits, in connection with the use, modification or distribution of this information or its derivatives.\n\n   <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Trademarks & Logos.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The Unicode Word Mark and the Unicode Logo are trademarks of Unicode, Inc. \"The Unicode Consortium\" and \"Unicode, Inc.\" are trade names of Unicode, Inc. Use of the information and materials found on this website indicates your acknowledgement of Unicode, Inc.'s exclusive worldwide rights in the Unicode Word Mark, the Unicode Logo, and the Unicode trade names.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> The Unicode Consortium Name and Trademark Usage Policy (\"Trademark Policy\") are incorporated herein by reference and you agree to abide by the provisions of the Trademark Policy, which may be changed from time to time in the sole discretion of Unicode, Inc.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> All third party trademarks referenced herein are the property of their respective owners.\n\n   <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Miscellaneous.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Jurisdiction and Venue. This server is operated from a location in the State of California, United States of America. Unicode makes no representation that the materials are appropriate for use in other locations. If you access this server from other locations, you are responsible for compliance with local laws. This Agreement, all use of this site and any claims and damages resulting from use of this site are governed solely by the laws of the State of California without regard to any principles which would apply the laws of a different jurisdiction. The user agrees that any disputes regarding this site shall be resolved solely in the courts located in Santa Clara County, California. The user agrees said courts have personal jurisdiction and agree to waive any right to transfer the dispute to any other forum.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Modification by Unicode Unicode shall have the right to modify this Agreement at any time by posting it to this site. The user may not assign any part of this Agreement without Unicode's prior written consent.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Taxes. The user agrees to pay any taxes arising from access to this website or use of the information herein, except for those based on Unicode's net income.\n\n	  <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Severability. If any provision of this Agreement is declared invalid or unenforceable, the remaining provisions of this Agreement shall remain in effect.\n\n	  <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Entire Agreement. This Agreement constitutes the entire agreement between the parties."
		self.name = "Unicode Terms of Use"
		self.licenseId = "Unicode-TOU"
		self.crossRef = [{"match": "False", "url": "http://www.unicode.org/copyright.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:44Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "http://web.archive.org/web/20140704074106/http://www.unicode.org/copyright.html", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:11:44Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://web.archive.org/web/20140704074106/http://www.unicode.org/copyright.html", "http://www.unicode.org/copyright.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Unicode Terms of Use</p>\n\n	  </div>\n\n	  <p>For the general privacy policy governing access to this site, see the Unicode Privacy Policy. For\n		 trademark usage, see the Unicode\u00ae Consortium Name and Trademark Usage Policy.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n		  Unicode Copyright.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n			  Copyright \u00a9 1991-2014 Unicode, Inc. All rights reserved.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n			  Certain documents and files on this website contain a legend indicating that &quot;Modification is\n				 permitted.&quot; Any person is hereby authorized, without fee, to modify such documents and files\n				 to create derivative works conforming to the Unicode\u00ae Standard, subject to Terms and\n				 Conditions herein.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n			  Any person is hereby authorized, without fee, to view, use, reproduce, and distribute all\n				 documents and files solely for informational purposes in the creation of products supporting\n				 the Unicode Standard, subject to the Terms and Conditions herein.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var>\n			  Further specifications of rights and restrictions pertaining to the use of the particular set of\n				 data files known as the &quot;Unicode Character Database&quot; can be found in Exhibit 1.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.</var>\n			  Each version of the Unicode Standard has further specifications of rights and restrictions of\n				 use. For the book editions (Unicode 5.0 and earlier), these are found on the back of the title\n				 page. The online code charts carry specific restrictions. All other files, including online\n				 documentation of the core specification for Unicode 6.0 and later, are covered under these\n				 general Terms of Use.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.</var>\n			  No license is granted to &quot;mirror&quot; the Unicode website where a fee is charged for access to the\n				 &quot;mirror&quot; site.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.</var>\n			  Modification is not permitted with respect to this document. All copies of this document must be\n				 verbatim.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n		  Restricted Rights Legend. Any technical data or software which is licensed to the United States\n			 of America, its agencies and/or instrumentalities under this Agreement is commercial technical\n			 data or commercial computer software developed exclusively at private expense as defined in\n			 FAR 2.101, or DFARS 252.227-7014 (June 1995), as applicable. For technical data, use,\n			 duplication, or disclosure by the Government is subject to restrictions as set forth in DFARS\n			 202.227-7015 Technical Data, Commercial and Items (Nov 1995) and this Agreement. For Software,\n			 in accordance with FAR 12-212 or DFARS 227-7202, as applicable, use, duplication or disclosure\n			 by the Government is subject to the restrictions set forth in this Agreement.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n		  Warranties and Disclaimers.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n			  This publication and/or website may include technical or typographical errors or other\n				 inaccuracies . Changes are periodically added to the information herein; these changes will be\n				 incorporated in new editions of the publication and/or website. Unicode may make improvements\n				 and/or changes in the product(s) and/or program(s) described in this publication and/or\n				 website at any time.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n			  If this file has been purchased on magnetic or optical media from Unicode, Inc. the sole and\n				 exclusive remedy for any claim will be exchange of the defective media within ninety (90) days\n				 of original purchase.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n			  EXCEPT AS PROVIDED IN SECTION C.2, THIS PUBLICATION AND/OR SOFTWARE IS PROVIDED &quot;AS IS&quot; WITHOUT\n				 WARRANTY OF ANY KIND EITHER EXPRESS, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY\n				 WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. UNICODE\n				 AND ITS LICENSORS ASSUME NO RESPONSIBILITY FOR ERRORS OR OMISSIONS IN THIS PUBLICATION AND/OR\n				 SOFTWARE OR OTHER DOCUMENTS WHICH ARE REFERENCED BY OR LINKED TO THIS PUBLICATION OR THE\n				 UNICODE WEBSITE.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n		  Waiver of Damages. In no event shall Unicode or its licensors be liable for any special,\n			 incidental, indirect or consequential damages of any kind, or any damages whatsoever, whether\n			 or not Unicode was advised of the possibility of the damage, including, without limitation,\n			 those resulting from the following: loss of use, data or profits, in connection with the use,\n			 modification or distribution of this information or its derivatives.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n		  Trademarks &amp; Logos.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n			  The Unicode Word Mark and the Unicode Logo are trademarks of Unicode, Inc. &quot;The Unicode\n				 Consortium&quot; and &quot;Unicode, Inc.&quot; are trade names of Unicode, Inc. Use of the information and\n				 materials found on this website indicates your acknowledgement of Unicode, Inc.&apos;s exclusive\n				 worldwide rights in the Unicode Word Mark, the Unicode Logo, and the Unicode trade names.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n			  The Unicode Consortium Name and Trademark Usage Policy (&quot;Trademark Policy&quot;) are incorporated\n				 herein by reference and you agree to abide by the provisions of the Trademark Policy, which\n				 may be changed from time to time in the sole discretion of Unicode, Inc.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n			  All third party trademarks referenced herein are the property of their respective owners.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n		  Miscellaneous.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n			  Jurisdiction and Venue. This server is operated from a location in the State of California,\n				 United States of America. Unicode makes no representation that the materials are appropriate\n				 for use in other locations. If you access this server from other locations, you are\n				 responsible for compliance with local laws. This Agreement, all use of this site and any\n				 claims and damages resulting from use of this site are governed solely by the laws of the\n				 State of California without regard to any principles which would apply the laws of a different\n				 jurisdiction. The user agrees that any disputes regarding this site shall be resolved solely\n				 in the courts located in Santa Clara County, California. The user agrees said courts have\n				 personal jurisdiction and agree to waive any right to transfer the dispute to any other\n				 forum.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n			  Modification by Unicode Unicode shall have the right to modify this Agreement at any time by\n				 posting it to this site. The user may not assign any part of this Agreement without Unicode&apos;s\n				 prior written consent.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n			  Taxes. The user agrees to pay any taxes arising from access to this website or use of the\n				 information herein, except for those based on Unicode&apos;s net income.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var>\n			  Severability. If any provision of this Agreement is declared invalid or unenforceable, the\n				 remaining provisions of this Agreement shall remain in effect.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.</var>\n			  Entire Agreement. This Agreement constitutes the entire agreement between the parties.\n			</li>\n			\n</ul>\n		 </li>\n	  \n</ul>\n	"
		self.python_name = "UnicodeTOU"

	def __str__(self):
		return json.dumps(self.__dict__)


class lsof:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 2002 Purdue Research Foundation, West Lafayette,\nIndiana 47907.  All rights reserved.\n\nWritten by Victor A. Abell\n\nThis software is not subject to any license of the American\nTelephone and Telegraph Company or the Regents of the\nUniversity of California.\n\nPermission is granted to anyone to use this software for\nany purpose on any computer system, and to alter it and\nredistribute it freely, subject to the following\nrestrictions:\n\n1. Neither the authors nor Purdue University are responsible\n   for any consequences of the use of this software.\n\n2. The origin of this software must not be misrepresented,\n   either by explicit claim or by omission.  Credit to the\n   authors and Purdue University must appear in documentation\n   and sources.\n\n3. Altered versions must be plainly marked as such, and must\n   not be misrepresented as being the original software.\n\n4. This notice may not be removed or altered.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 2002 Purdue Research Foundation, West Lafayette, Indiana 47907. All rights reserved.	Written by Victor A. Abell  \";match=\".{0,5000}\">>\n\nThis software is not subject to any license of the American Telephone and Telegraph Company or the Regents of the University of California.\n\nPermission is granted to anyone to use this software for any purpose on any computer system, and to alter it and redistribute it freely, subject to the following restrictions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">>\n\n   Neither the authors nor Purdue University are responsible for any consequences of the use of this software.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">>\n\n   The origin of this software must not be misrepresented, either by explicit claim or by omission. Credit to the authors and Purdue University must appear in documentation and sources.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">>\n\n   Altered versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">>\n\n   This notice may not be removed or altered.\n\n   "
		self.name = "lsof License"
		self.licenseId = "lsof"
		self.crossRef = [{"match": "False", "url": "https://github.com/lsof-org/lsof/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:07Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/lsof-org/lsof/blob/master/COPYING"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n		 <p>\n			Copyright 2002 Purdue Research Foundation, West\n			Lafayette, Indiana 47907. All rights reserved.\n		 </p>\n\n		 <p>\n			Written by Victor A. Abell\n		 </p>\n\n		 </div>\n		 <p>\n			This software is not subject to any license of\n			the American Telephone and Telegraph Company\n			or the Regents of the University of California.\n		 </p>\n\n		 <p>\n			Permission is granted to anyone to use this software for\n			any purpose on any computer system, and to alter it and\n			redistribute it freely, subject to the following restrictions:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   <p>\n				  Neither the authors nor Purdue University are responsible\n				  for any consequences of the use of this software.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   <p>\n				  The origin of this software must not be misrepresented, either\n				  by explicit claim or by omission. Credit to the authors and\n				  Purdue University must appear in documentation and sources.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   <p>\n				  Altered versions must be plainly marked as such, and must\n				  not be misrepresented as being the original software.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   <p>\n				  This notice may not be removed or altered.\n			   </p>\n\n			</li>\n		 \n</ul>\n	  "
		self.python_name = "lsof"

	def __str__(self):
		return json.dumps(self.__dict__)


class LGPL20orlater:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU LIBRARY GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\nCopyright (C) 1991 Free Software Foundation, Inc.\n51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the library GPL.  It is numbered 2 because it goes with version 2 of the ordinary GPL.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Library General Public License, applies to some specially designated Free Software Foundation software, and to any other libraries whose authors decide to use it. You can use it for your libraries, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library, or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link a program with the library, you must provide complete object files to the recipients so that they can relink them with the library, after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nOur method of protecting your rights has two steps: (1) copyright the library, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the library.\n\nAlso, for each distributor's protection, we want to make certain that everyone understands that there is no warranty for this free library. If the library is modified by someone else and passed on, we want its recipients to know that what they have is not the original version, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that companies distributing free software will individually obtain patent licenses, thus in effect transforming the program into proprietary software. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License, which was designed for utility programs. This license, the GNU Library General Public License, applies to certain designated libraries. This license is quite different from the ordinary one; be sure to read it in full, and don't assume that anything in it is the same as in the ordinary license.\n\nThe reason we have a separate public license for some libraries is that they blur the distinction we usually make between modifying or adding to a program and simply using it. Linking a program with a library, without changing the library, is in some sense simply using the library, and is analogous to running a utility program or application program. However, in a textual and legal sense, the linked executable is a combined work, a derivative of the original library, and the ordinary General Public License treats it as such.\n\nBecause of this blurred distinction, using the ordinary General Public License for libraries did not effectively promote software sharing, because most developers did not use the libraries. We concluded that weaker conditions might promote sharing better.\n\nHowever, unrestricted linking of non-free programs would deprive the users of those programs of all benefit from the free status of the libraries themselves. This Library General Public License is intended to permit developers of non-free programs to use free libraries, while preserving your freedom as a user of such programs to change the free libraries that are incorporated in them. (We have not seen how to achieve this as regards changes in header files, but we have achieved it as regards changes in the actual functions of the Library.) The hope is that this will lead to faster development of free libraries.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, while the latter only works together with the library.\n\nNote that it is possible for a library to be covered by the ordinary General Public License rather than by this special one.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any software library which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Library General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\nA \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\nThe \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n\"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\nActivities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n1. You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\nYou may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	 a) The modified work must itself be a software library.\n\n	 b) You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	 c) You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	 d) If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n(For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\nThese requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\nThus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\nIn addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n3. You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\nOnce this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\nThis option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n4. You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\nIf distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n5. A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\nHowever, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\nWhen a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\nIf such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\nOtherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n6. As an exception to the Sections above, you may also compile or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\nYou must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	 a) Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	 b) Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	 c) If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	 d) Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\nFor an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\nIt may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n7. You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	 a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	 b) Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n8. You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n9. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n10. Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n11. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\nIf any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\nThis section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n12. If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n13. The Free Software Foundation may publish revised and/or new versions of the Library General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n14. If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 one line to give the library's name and an idea of what it does.\n	 Copyright (C) year  name of author\n\n	 This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\n	 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public License for more details.\n\n	 You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\nthe library `Frob' (a library for tweaking knobs) written\nby James Random Hacker.\n\nsignature of Ty Coon, 1 April 1990\nTy Coon, President of Vice\n\nThat's all there is to it!\n"
		self.standardLicenseHeaderTemplate = "<<var;name=\"description\";original=\"one line to give the library's name and an idea of what it does.\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"year name of author\";match=\".+\">>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.\n\nYou should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU LIBRARY GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 1991 Free Software Foundation, Inc.  51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the library GPL. It is numbered 2 because it goes with version 2 of the ordinary GPL.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Library General Public License, applies to some specially designated Free Software Foundation software, and to any other libraries whose authors decide to use it. You can use it for your libraries, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library, or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link a program with the library, you must provide complete object files to the recipients so that they can relink them with the library, after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nOur method of protecting your rights has two steps: (1) copyright the library, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the library.\n\nAlso, for each distributor's protection, we want to make certain that everyone understands that there is no warranty for this free library. If the library is modified by someone else and passed on, we want its recipients to know that what they have is not the original version, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that companies distributing free software will individually obtain patent licenses, thus in effect transforming the program into proprietary software. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License, which was designed for utility programs. This license, the GNU Library General Public License, applies to certain designated libraries. This license is quite different from the ordinary one; be sure to read it in full, and don't assume that anything in it is the same as in the ordinary license.\n\nThe reason we have a separate public license for some libraries is that they blur the distinction we usually make between modifying or adding to a program and simply using it. Linking a program with a library, without changing the library, is in some sense simply using the library, and is analogous to running a utility program or application program. However, in a textual and legal sense, the linked executable is a combined work, a derivative of the original library, and the ordinary General Public License treats it as such.\n\nBecause of this blurred distinction, using the ordinary General Public License for libraries did not effectively promote software sharing, because most developers did not use the libraries. We concluded that weaker conditions might promote sharing better.\n\nHowever, unrestricted linking of non-free programs would deprive the users of those programs of all benefit from the free status of the libraries themselves. This Library General Public License is intended to permit developers of non-free programs to use free libraries, while preserving your freedom as a user of such programs to change the free libraries that are incorporated in them. (We have not seen how to achieve this as regards changes in header files, but we have achieved it as regards changes in the actual functions of the Library.) The hope is that this will lead to faster development of free libraries.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, while the latter only works together with the library.\n\nNote that it is possible for a library to be covered by the ordinary General Public License rather than by this special one.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License Agreement applies to any software library which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Library General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\n   A \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\n   The \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n   \"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The modified work must itself be a software library.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n	  (For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\n   In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\n   Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\n   This option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\n   If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\n   However, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\n   When a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\n   If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\n   Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> As an exception to the Sections above, you may also compile or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\n   You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\n   For an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the Library General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<var;name=\"description\";original=\"one line to give the library's name and an idea of what it does.\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"year name of author\";match=\".+\">>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.\n\nYou should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\n\nthe library `Frob' (a library for tweaking knobs) written\n\nby James Random Hacker.\n\nsignature of Ty Coon, 1 April 1990\n\nTy Coon, President of Vice\n\nThat's all there is to it!\n\n<<endOptional>>"
		self.name = "GNU Library General Public License v2 or later"
		self.licenseComments = "This license was released: June 1991. This license has been superseded by LGPL-2.1. This license identifier refers to the choice to use code under LGPL-2.0-or-later (i.e., LGPL-2.0 or some later version), as distinguished from use of code under LGPL-2.0-only. The license notice (as seen in the Standard License Header field below) states which of these applies the code in the file. The example in the exhibit to the license shows the license notice for the \"or later\" approach."
		self.licenseId = "LGPL-2.0-or-later"
		self.standardLicenseHeader = "one line to give the library's name and an idea of what it does.\n\nCopyright (C) year name of author\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.\n\nYou should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/lgpl-2.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:57Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/lgpl-2.0-standalone.html"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU LIBRARY GENERAL PUBLIC LICENSE\n	  </p>\n\n	  <p>\n		Version 2, June 1991\n	  </p>\n\n	</div>\n	<div class=\"replaceable-license-text\"> \n	  <p>\n		Copyright (C) 1991 Free Software Foundation, Inc.<br />\n\n		51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA\n	  </p>\n\n	</div>\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  [This is the first released version of the library GPL. It is\n	  numbered 2 because it goes with version 2 of the ordinary GPL.]\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The licenses for most software are designed to take away your\n	  freedom to share and change it. By contrast, the GNU General Public\n	  Licenses are intended to guarantee your freedom to share and change\n	  free software--to make sure the software is free for all its users.\n	</p>\n\n	<p>\n	  This license, the Library General Public License, applies\n	  to some specially designated Free Software Foundation\n	  software, and to any other libraries whose authors\n	  decide to use it. You can use it for your libraries, too.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not price.\n	  Our General Public Licenses are designed to make sure that you have\n	  the freedom to distribute copies of free software (and charge for\n	  this service if you wish), that you receive source code or can get\n	  it if you want it, that you can change the software or use pieces of\n	  it in new free programs; and that you know you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to make restrictions that forbid\n	  anyone to deny you these rights or to ask you to surrender the\n	  rights. These restrictions translate to certain responsibilities for\n	  you if you distribute copies of the library, or if you modify it.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of the library, whether gratis\n	  or for a fee, you must give the recipients all the rights that we\n	  gave you. You must make sure that they, too, receive or can get the\n	  source code. If you link a program with the library, you must provide\n	  complete object files to the recipients so that they can relink them\n	  with the library, after making changes to the library and recompiling\n	  it. And you must show them these terms so they know their rights.\n	</p>\n\n	<p>\n	  Our method of protecting your rights has two steps: (1) copyright\n	  the library, and (2) offer you this license which gives you\n	  legal permission to copy, distribute and/or modify the library.\n	</p>\n\n	<p>\n	  Also, for each distributor&apos;s protection, we want to make certain\n	  that everyone understands that there is no warranty for this\n	  free library. If the library is modified by someone else and\n	  passed on, we want its recipients to know that what they have\n	  is not the original version, so that any problems introduced by\n	  others will not reflect on the original authors&apos; reputations.\n	</p>\n\n	<p>\n	  Finally, any free program is threatened constantly by software\n	  patents. We wish to avoid the danger that companies distributing\n	  free software will individually obtain patent licenses, thus\n	  in effect transforming the program into proprietary software.\n	  To prevent this, we have made it clear that any patent must\n	  be licensed for everyone&apos;s free use or not licensed at all.\n	</p>\n\n	<p>\n	  Most GNU software, including some libraries, is covered by the\n	  ordinary GNU General Public License, which was designed for utility\n	  programs. This license, the GNU Library General Public License,\n	  applies to certain designated libraries. This license is quite\n	  different from the ordinary one; be sure to read it in full, and don&apos;t\n	  assume that anything in it is the same as in the ordinary license.\n	</p>\n\n	<p>\n	  The reason we have a separate public license for some libraries is\n	  that they blur the distinction we usually make between modifying\n	  or adding to a program and simply using it. Linking a program with\n	  a library, without changing the library, is in some sense simply\n	  using the library, and is analogous to running a utility program\n	  or application program. However, in a textual and legal sense, the\n	  linked executable is a combined work, a derivative of the original\n	  library, and the ordinary General Public License treats it as such.\n	</p>\n\n	<p>\n	  Because of this blurred distinction, using the ordinary General\n	  Public License for libraries did not effectively promote software\n	  sharing, because most developers did not use the libraries. We\n	  concluded that weaker conditions might promote sharing better.\n	</p>\n\n	<p>\n	  However, unrestricted linking of non-free programs would deprive the\n	  users of those programs of all benefit from the free status of the\n	  libraries themselves. This Library General Public License is intended\n	  to permit developers of non-free programs to use free libraries, while\n	  preserving your freedom as a user of such programs to change the free\n	  libraries that are incorporated in them. (We have not seen how to\n	  achieve this as regards changes in header files, but we have achieved\n	  it as regards changes in the actual functions of the Library.) The\n	  hope is that this will lead to faster development of free libraries.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying, distribution\n	  and modification follow. Pay close attention to the difference\n	  between a &quot;work based on the library&quot; and a &quot;work that uses\n	  the library&quot;. The former contains code derived from the\n	  library, while the latter only works together with the library.\n	</p>\n\n	<p>\n	  Note that it is possible for a library to be covered by the\n	  ordinary General Public License rather than by this special one.\n	</p>\n\n	<p>\n	  TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		This License Agreement applies to any software library\n		which contains a notice placed by the copyright holder or\n		other authorized party saying it may be distributed under\n		the terms of this Library General Public License (also\n		called &quot;this License&quot;). Each licensee is addressed as &quot;you&quot;.\n		<p>\n		  A &quot;library&quot; means a collection of software functions and/or data\n		  prepared so as to be conveniently linked with application programs\n		  (which use some of those functions and data) to form executables.\n		</p>\n\n		<p>\n		  The &quot;Library&quot;, below, refers to any such software library or work\n		  which has been distributed under these terms. A &quot;work based on\n		  the Library&quot; means either the Library or any derivative work under\n		  copyright law: that is to say, a work containing the Library or a\n		  portion of it, either verbatim or with modifications and/or translated\n		  straightforwardly into another language. (Hereinafter, translation\n		  is included without limitation in the term &quot;modification&quot;.)\n		</p>\n\n		<p>\n		  &quot;Source code&quot; for a work means the preferred form of the work\n		  for making modifications to it. For a library, complete source\n		  code means all the source code for all modules it contains,\n		  plus any associated interface definition files, plus the scripts\n		  used to control compilation and installation of the library.\n		</p>\n\n		<p>\n		  Activities other than copying, distribution and modification are\n		  not covered by this License; they are outside its scope. The act of\n		  running a program using the Library is not restricted, and output\n		  from such a program is covered only if its contents constitute a\n		  work based on the Library (independent of the use of the Library\n		  in a tool for writing it). Whether that is True depends on what\n		  the Library does and what the program that uses the Library does.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		You may copy and distribute verbatim copies of the Library&apos;s complete\n		source code as you receive it, in any medium, provided that you\n		conspicuously and appropriately publish on each copy an appropriate\n		copyright notice and disclaimer of warranty; keep intact all the\n		notices that refer to this License and to the absence of any warranty;\n		and distribute a copy of this License along with the Library.\n		<p>\n		  You may charge a fee for the physical act of\n		  transferring a copy, and you may at your option\n		  offer warranty protection in exchange for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		You may modify your copy or copies of the Library or any portion\n		of it, thus forming a work based on the Library, and copy and\n		distribute such modifications or work under the terms of Section\n		1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			The modified work must itself be a software library.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			You must cause the files modified to carry prominent notices\n			stating that you changed the files and the date of any change.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			You must cause the whole of the work to be licensed at no\n			charge to all third parties under the terms of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If a facility in the modified Library refers to a function\n			or a table of data to be supplied by an application program\n			that uses the facility, other than as an argument passed\n			when the facility is invoked, then you must make a good faith\n			effort to ensure that, in the event an application does not\n			supply such function or table, the facility still operates,\n			and performs whatever part of its purpose remains meaningful.\n			<p>\n			  (For example, a function in a library to compute square roots\n			  has a purpose that is entirely well-defined independent of\n			  the application. Therefore, Subsection 2d requires that any\n			  application-supplied function or table used by this function\n			  must be optional: if the application does not supply it,\n			  the square root function must still compute square roots.)\n			</p>\n\n		  </li>\n		\n</ul>\n		<p>\n		  These requirements apply to the modified work as a whole. If\n		  identifiable sections of that work are not derived from the\n		  Library, and can be reasonably considered independent and separate\n		  works in themselves, then this License, and its terms, do not\n		  apply to those sections when you distribute them as separate\n		  works. But when you distribute the same sections as part of a\n		  whole which is a work based on the Library, the distribution\n		  of the whole must be on the terms of this License, whose\n		  permissions for other licensees extend to the entire whole,\n		  and thus to each and every part regardless of who wrote it.\n		</p>\n\n		<p>\n		  Thus, it is not the intent of this section to claim rights or\n		  contest your rights to work written entirely by you; rather,\n		  the intent is to exercise the right to control the distribution\n		  of derivative or collective works based on the Library.\n		</p>\n\n		<p>\n		  In addition, mere aggregation of another work not based on\n		  the Library with the Library (or with a work based on the\n		  Library) on a volume of a storage or distribution medium does\n		  not bring the other work under the scope of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		You may opt to apply the terms of the ordinary GNU General\n		Public License instead of this License to a given copy of the\n		Library. To do this, you must alter all the notices that refer\n		to this License, so that they refer to the ordinary GNU General\n		Public License, version 2, instead of to this License. (If a\n		newer version than version 2 of the ordinary GNU General Public\n		License has appeared, then you can specify that version instead\n		if you wish.) Do not make any other change in these notices.\n		<p>\n		  Once this change is made in a given copy, it is irreversible for\n		  that copy, so the ordinary GNU General Public License applies to\n		  all subsequent copies and derivative works made from that copy.\n		</p>\n\n		<p>\n		  This option is useful when you wish to copy part of the\n		  code of the Library into a program that is not a library.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		You may copy and distribute the Library (or a portion or derivative\n		of it, under Section 2) in object code or executable form under\n		the terms of Sections 1 and 2 above provided that you accompany\n		it with the complete corresponding machine-readable source code,\n		which must be distributed under the terms of Sections 1 and 2\n		above on a medium customarily used for software interchange.\n		<p>\n		  If distribution of object code is made by offering access to copy\n		  from a designated place, then offering equivalent access to copy\n		  the source code from the same place satisfies the requirement\n		  to distribute the source code, even though third parties are\n		  not compelled to copy the source along with the object code.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		A program that contains no derivative of any portion of the\n		Library, but is designed to work with the Library by being compiled\n		or linked with it, is called a &quot;work that uses the Library&quot;.\n		Such a work, in isolation, is not a derivative work of the\n		Library, and therefore falls outside the scope of this License.\n		<p>\n		  However, linking a &quot;work that uses the Library&quot; with the Library\n		  creates an executable that is a derivative of the Library (because\n		  it contains portions of the Library), rather than a &quot;work that uses\n		  the library&quot;. The executable is therefore covered by this License.\n		  Section 6 states terms for distribution of such executables.\n		</p>\n\n		<p>\n		  When a &quot;work that uses the Library&quot; uses material from a header\n		  file that is part of the Library, the object code for the work may\n		  be a derivative work of the Library even though the source code is\n		  not. Whether this is True is especially significant if the work can\n		  be linked without the Library, or if the work is itself a library.\n		  The threshold for this to be True is not precisely defined by law.\n		</p>\n\n		<p>\n		  If such an object file uses only numerical parameters, data\n		  structure layouts and accessors, and small macros and small inline\n		  functions (ten lines or less in length), then the use of the\n		  object file is unrestricted, regardless of whether it is legally\n		  a derivative work. (Executables containing this object code\n		  plus portions of the Library will still fall under Section 6.)\n		</p>\n\n		<p>\n		  Otherwise, if the work is a derivative of the Library, you may\n		  distribute the object code for the work under the terms of Section\n		  6. Any executables containing that work also fall under Section 6,\n		  whether or not they are linked directly with the Library itself.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		As an exception to the Sections above, you may also compile or\n		link a &quot;work that uses the Library&quot; with the Library to produce\n		a work containing portions of the Library, and distribute\n		that work under terms of your choice, provided that the terms\n		permit modification of the work for the customer&apos;s own use\n		and reverse engineering for debugging such modifications.\n		<p>\n		  You must give prominent notice with each copy of the work\n		  that the Library is used in it and that the Library and its\n		  use are covered by this License. You must supply a copy of\n		  this License. If the work during execution displays copyright\n		  notices, you must include the copyright notice for the Library\n		  among them, as well as a reference directing the user to the\n		  copy of this License. Also, you must do one of these things:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany the work with the complete corresponding machine-readable\n			source code for the Library including whatever changes were used in\n			the work (which must be distributed under Sections 1 and 2 above);\n			and, if the work is an executable linked with the Library, with the\n			complete machine-readable &quot;work that uses the Library&quot;, as object\n			code and/or source code, so that the user can modify the Library\n			and then relink to produce a modified executable containing the\n			modified Library. (It is understood that the user who changes the\n			contents of definitions files in the Library will not necessarily be\n			able to recompile the application to use the modified definitions.)\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Accompany the work with a written offer, valid for at\n			least three years, to give the same user the materials\n			specified in Subsection 6a, above, for a charge no\n			more than the cost of performing this distribution.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			If distribution of the work is made by offering access to\n			copy from a designated place, offer equivalent access to\n			copy the above specified materials from the same place.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Verify that the user has already received a copy of these\n			materials or that you have already sent this user a copy.\n		  </li>\n		\n</ul>\n		<p>\n		  For an executable, the required form of the &quot;work that uses\n		  the Library&quot; must include any data and utility programs needed\n		  for reproducing the executable from it. However, as a special\n		  exception, the source code distributed need not include\n		  anything that is normally distributed (in either source or\n		  binary form) with the major components (compiler, kernel,\n		  and so on) of the operating system on which the executable\n		  runs, unless that component itself accompanies the executable.\n		</p>\n\n		<p>\n		  It may happen that this requirement contradicts the\n		  license restrictions of other proprietary libraries that\n		  do not normally accompany the operating system. Such\n		  a contradiction means you cannot use both them and the\n		  Library together in an executable that you distribute.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		You may place library facilities that are a work based on the\n		Library side-by-side in a single library together with other library\n		facilities not covered by this License, and distribute such a\n		combined library, provided that the separate distribution of the\n		work based on the Library and of the other library facilities is\n		otherwise permitted, and provided that you do these two things:\n	  </li>\n	  \n<li>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n		  <var class=\"replaceable-license-text\"> a)</var>\n		  Accompany the combined library with a copy of the same work based\n		  on the Library, uncombined with any other library facilities.\n		  This must be distributed under the terms of the Sections above.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> b)</var>\n		  Give prominent notice with the combined library of the fact\n		  that part of it is a work based on the Library, and explaining\n		  where to find the accompanying uncombined form of the same work.\n		</li>\n	  \n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		You may not copy, modify, sublicense, link with, or distribute the\n		Library except as expressly provided under this License. Any attempt\n		otherwise to copy, modify, sublicense, link with, or distribute\n		the Library is void, and will automatically terminate your rights\n		under this License. However, parties who have received copies, or\n		rights, from you under this License will not have their licenses\n		terminated so long as such parties remain in full compliance.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		You are not required to accept this License, since you have\n		not signed it. However, nothing else grants you permission to\n		modify or distribute the Library or its derivative works. These\n		actions are prohibited by law if you do not accept this License.\n		Therefore, by modifying or distributing the Library (or any\n		work based on the Library), you indicate your acceptance of this\n		License to do so, and all its terms and conditions for copying,\n		distributing or modifying the Library or works based on it.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		Each time you redistribute the Library (or any work based on\n		the Library), the recipient automatically receives a license\n		from the original licensor to copy, distribute, link with or\n		modify the Library subject to these terms and conditions. You\n		may not impose any further restrictions on the recipients&apos;\n		exercise of the rights granted herein. You are not responsible\n		for enforcing compliance by third parties to this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		If, as a consequence of a court judgment or allegation of patent\n		infringement or for any other reason (not limited to patent issues),\n		conditions are imposed on you (whether by court order, agreement\n		or otherwise) that contradict the conditions of this License,\n		they do not excuse you from the conditions of this License. If you\n		cannot distribute so as to satisfy simultaneously your obligations\n		under this License and any other pertinent obligations, then as a\n		consequence you may not distribute the Library at all. For example,\n		if a patent license would not permit royalty-free redistribution of\n		the Library by all those who receive copies directly or indirectly\n		through you, then the only way you could satisfy both it and this\n		License would be to refrain entirely from distribution of the Library.\n		<p>\n		  If any portion of this section is held invalid or\n		  unenforceable under any particular circumstance, the\n		  balance of the section is intended to apply, and the section\n		  as a whole is intended to apply in other circumstances.\n		</p>\n\n		<p>\n		  It is not the purpose of this section to induce you to infringe\n		  any patents or other property right claims or to contest\n		  validity of any such claims; this section has the sole purpose\n		  of protecting the integrity of the free software distribution\n		  system which is implemented by public license practices. Many\n		  people have made generous contributions to the wide range of\n		  software distributed through that system in reliance on consistent\n		  application of that system; it is up to the author/donor to\n		  decide if he or she is willing to distribute software through\n		  any other system and a licensee cannot impose that choice.\n		</p>\n\n		<p>\n		  This section is intended to make thoroughly clear what is\n		  believed to be a consequence of the rest of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		If the distribution and/or use of the Library is restricted in\n		certain countries either by patents or by copyrighted interfaces,\n		the original copyright holder who places the Library under this\n		License may add an explicit geographical distribution limitation\n		excluding those countries, so that distribution is permitted only\n		in or among countries not thus excluded. In such case, this License\n		incorporates the limitation as if written in the body of this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 13.</var>\n		The Free Software Foundation may publish revised and/or new versions\n		of the Library General Public License from time to time. Such\n		new versions will be similar in spirit to the present version,\n		but may differ in detail to address new problems or concerns.\n		<p>\n		  Each version is given a distinguishing version number. If\n		  the Library specifies a version number of this License which\n		  applies to it and &quot;any later version&quot;, you have the option of\n		  following the terms and conditions either of that version or of\n		  any later version published by the Free Software Foundation. If\n		  the Library does not specify a license version number, you may\n		  choose any version ever published by the Free Software Foundation.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 14.</var>\n		If you wish to incorporate parts of the Library into other free programs\n		whose distribution conditions are incompatible with these, write to\n		the author to ask for permission. For software which is copyrighted by\n		the Free Software Foundation, write to the Free Software Foundation; we\n		sometimes make exceptions for this. Our decision will be guided by the\n		two goals of preserving the free status of all derivatives of our free\n		software and of promoting the sharing and reuse of software generally.\n		<p>\n		  NO WARRANTY\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 15.</var>\n		BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\n		FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT\n		WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER\n		PARTIES PROVIDE THE LIBRARY &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND,\n		EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\n		IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\n		THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU\n		ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 16.</var>\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n		REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR\n		DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL\n		DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY\n		(INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\n		INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF\n		THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER\n		OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Libraries\n	  </p>\n\n	  <p>\n		If you develop a new library, and you want it to be of the greatest\n		possible use to the public, we recommend making it free software\n		that everyone can redistribute and change. You can do so by\n		permitting redistribution under these terms (or, alternatively,\n		under the terms of the ordinary General Public License).\n	  </p>\n\n	  <p>\n		To apply these terms, attach the following notices to the\n		library. It is safest to attach them to the start of each\n		source file to most effectively convey the exclusion of\n		warranty; and each file should have at least the &quot;copyright&quot;\n		line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> one line to give the library&apos;s name\n		and an idea of what it does.</var><br />\n\n		Copyright (C) <var class=\"replaceable-license-text\"> year name of author</var>\n	  </p>\n\n	  <p>\n		This library is free software; you can redistribute it and/or\n		modify it under the terms of the GNU Library General Public\n		License as published by the Free Software Foundation; either\n		version 2 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This library is distributed in the hope that it will be useful,\n		but WITHOUT ANY WARRANTY; without even the implied warranty\n		of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See\n		the GNU Library General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU Library\n		General Public License along with this library; if\n		not, write to the Free Software Foundation, Inc., 51\n		Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n	  </p>\n\n	  <p>\n		Also add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or your school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the library, if necessary. Here is a sample; alter the names:\n	  </p>\n\n	  <p>\n		Yoyodyne, Inc., hereby disclaims all copyright interest in<br />\n\n		the library `Frob&apos; (a library for tweaking knobs) written<br />\n\n		by James Random Hacker.\n	  </p>\n\n	  <p>\n		signature of Ty Coon, 1 April 1990<br />\n\n		Ty Coon, President of Vice\n	  </p>\n\n	  <p>\n		That&apos;s all there is to it!\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  <p>\n		<var class=\"replaceable-license-text\"> one line to give the library&apos;s name\n		and an idea of what it does.</var><br />\n\n		Copyright (C) <var class=\"replaceable-license-text\"> year name of author</var>\n	  </p>\n\n	  <p>\n		This library is free software; you can redistribute it and/or\n		modify it under the terms of the GNU Library General Public\n		License as published by the Free Software Foundation; either\n		version 2 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This library is distributed in the hope that it will be useful,\n		but WITHOUT ANY WARRANTY; without even the implied warranty\n		of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See\n		the GNU Library General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU Library\n		General Public License along with this library; if\n		not, write to the Free Software Foundation, Inc., 51\n		Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n	  </p>\n\n	  "
		self.python_name = "LGPL20orlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class UnixCrypt:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1996 Aki Yoshida. All rights reserved.\n\nPermission to use, copy, modify and distribute this software\nfor non-commercial or commercial purposes and without fee is\nhereby granted provided that this copyright notice appears in\nall copies.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1996 Aki Yoshida. All rights reserved.\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify and distribute this software for non-commercial or commercial purposes and without fee is hereby granted provided that this copyright notice appears in all copies.\n\n"
		self.name = "UnixCrypt License"
		self.licenseId = "UnixCrypt"
		self.crossRef = [{"match": "False", "url": "https://archive.eclipse.org/jetty/8.0.1.v20110908/xref/org/eclipse/jetty/http/security/UnixCrypt.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:15Z", "isWayBackLink": False, "order": 2}, {"match": "N/A", "url": "https://opensource.apple.com/source/JBoss/JBoss-737/jboss-all/jetty/src/main/org/mortbay/util/UnixCrypt.java.auto.html", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:10:15Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://foss.heptapod.net/python-libs/passlib/-/blob/branch/stable/LICENSE#L70", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:16Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://foss.heptapod.net/python-libs/passlib/-/blob/branch/stable/LICENSE#L70", "https://opensource.apple.com/source/JBoss/JBoss-737/jboss-all/jetty/src/main/org/mortbay/util/UnixCrypt.java.auto.html", "https://archive.eclipse.org/jetty/8.0.1.v20110908/xref/org/eclipse/jetty/http/security/UnixCrypt.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<var class=\"replaceable-license-text\"> \n\t	Copyright (c) 1996 Aki Yoshida. All rights reserved.\n\t</var>\n\n\t<p>\n			Permission to use, copy, modify and distribute this software\n			for non-commercial or commercial purposes and without fee is\n			hereby granted provided that this copyright notice appears in\n			all copies.\n\t</p>\n\n	"
		self.python_name = "UnixCrypt"

	def __str__(self):
		return json.dumps(self.__dict__)


class Naumen:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "NAUMEN Public License\n\nThis software is Copyright (c) NAUMEN (tm) and Contributors. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions in source code must retain the above copyright notice, this list of conditions, and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. The name NAUMEN (tm) must not be used to endorse or promote products derived from this software without prior written permission from NAUMEN.\n\n4. The right to distribute this software or to use it for any purpose does not give you the right to use Servicemarks (sm) or Trademarks (tm) of NAUMEN.\n\n5. If any files originating from NAUMEN or Contributors are modified, you must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\nDisclaimer:\n\nTHIS SOFTWARE IS PROVIDED BY NAUMEN \"AS IS\" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL NAUMEN OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis software consists of contributions made by NAUMEN and Contributors. Specific attributions are listed in the accompanying credits file.\n"
		self.standardLicenseTemplate = "<<beginOptional>>NAUMEN Public License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"This software is Copyright (c) NAUMEN (tm) and Contributors. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions in source code must retain the above copyright notice, this list of conditions, and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The name NAUMEN (tm) must not be used to endorse or promote products derived from this software without prior written permission from NAUMEN.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The right to distribute this software or to use it for any purpose does not give you the right to use Servicemarks (sm) or Trademarks (tm) of NAUMEN.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> If any files originating from NAUMEN or Contributors are modified, you must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\nDisclaimer:\n\nTHIS SOFTWARE IS PROVIDED BY NAUMEN \"AS IS\" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL NAUMEN OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis software consists of contributions made by NAUMEN and Contributors. Specific attributions are listed in the accompanying credits file.\n\n"
		self.name = "Naumen Public License"
		self.licenseId = "Naumen"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Naumen", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:01Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/Naumen"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>NAUMEN Public License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>This software is Copyright (c) NAUMEN (tm) and Contributors. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions in source code must retain the above copyright notice, this list of conditions,\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of\n			 conditions, and the following disclaimer in the documentation and/or other materials provided\n			 with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  The name NAUMEN (tm) must not be used to endorse or promote products derived from this software\n			 without prior written permission from NAUMEN.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  The right to distribute this software or to use it for any purpose does not give you the right to\n			 use Servicemarks (sm) or Trademarks (tm) of NAUMEN.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  If any files originating from NAUMEN or Contributors are modified, you must cause the modified\n			 files to carry prominent notices stating that you changed the files and the date of any\n			 change.\n		</li>\n	  \n</ul>\n	  <p>Disclaimer:</p>\n\n	  <p>THIS SOFTWARE IS PROVIDED BY NAUMEN &quot;AS IS&quot; AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\n		 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE\n		 DISCLAIMED. IN NO EVENT SHALL NAUMEN OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,\n		 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\n		 OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\n		 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\n		 POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>This software consists of contributions made by NAUMEN and Contributors. Specific attributions are listed\n		 in the accompanying credits file.</p>\n\n	"
		self.python_name = "Naumen"

	def __str__(self):
		return json.dumps(self.__dict__)


class TermReadKey:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Unlimited distribution and/or modification is allowed as long as this copyright notice remains intact.\n"
		self.standardLicenseTemplate = "Unlimited distribution and/or modification is allowed as long as this copyright notice remains intact.\n\n"
		self.name = "TermReadKey License"
		self.licenseId = "TermReadKey"
		self.crossRef = [{"match": "False", "url": "https://github.com/jonathanstowe/TermReadKey/blob/master/README#L9-L10", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/jonathanstowe/TermReadKey/blob/master/README#L9-L10"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			Unlimited distribution and/or modification is allowed\n			as long as this copyright notice remains intact.\n		 </p>\n\n	  "
		self.python_name = "TermReadKey"

	def __str__(self):
		return json.dumps(self.__dict__)


class LZMASDK922:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "LICENSE\n-------\n\nLZMA SDK is written and placed in the public domain by Igor Pavlov.\n\nSome code in LZMA SDK is based on public domain code from another developers:\n  1) PPMd var.H (2001): Dmitry Shkarin\n  2) SHA-256: Wei Dai (Crypto++ library)\n\nAnyone is free to copy, modify, publish, use, compile, sell, or distribute the\noriginal LZMA SDK code, either in source code form or as a compiled binary, for\nany purpose, commercial or non-commercial, and by any means.\n\nLZMA SDK code is compatible with open source licenses, for example, you can\ninclude it to GNU GPL or GNU LGPL code.\n"
		self.standardLicenseTemplate = "<<beginOptional>>LICENSE\n\n-------\n\n<<endOptional>>\n\nLZMA SDK is written and placed in the public domain by Igor Pavlov.\n\nSome code in LZMA SDK is based on public domain code from another developers: 1) PPMd var.H (2001): Dmitry Shkarin 2) SHA-256: Wei Dai (Crypto++ library)\n\nAnyone is free to copy, modify, publish, use, compile, sell, or distribute the original LZMA SDK code, either in source code form or as a compiled binary, for any purpose, commercial or non-commercial, and by any means.\n\nLZMA SDK code is compatible with open source licenses, for example, you can include it to GNU GPL or GNU LGPL code.\n\n"
		self.name = "LZMA SDK License (versions 9.22 and beyond)"
		self.licenseComments = "The license text currently displayed on the 7-zip SDK website is not the same as any of the lzma.txt file in the root folders of the .tar.bz SDK distributions (versions 922 and below) that are hosted on SourceForge, nor is it the same as the .7z distributions (versions 935 and above) which shifted the license text to DOC\\lzma-sdk.txt. This license applies to versions 9.22 and above."
		self.licenseId = "LZMA-SDK-9.22"
		self.crossRef = [{"match": "False", "url": "https://sourceforge.net/projects/sevenzip/files/LZMA%20SDK/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:46Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.7-zip.org/sdk.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:47Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.7-zip.org/sdk.html", "https://sourceforge.net/projects/sevenzip/files/LZMA%20SDK/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"optional-license-text\"> \n		 <p>\n		  LICENSE\n		 </p>\n\n		 <p>\n		  -------\n		 </p>\n\n		 </div>\n		<p>\n		  LZMA SDK is written and placed in the public domain by Igor Pavlov.\n		</p>\n\n		<p>\n		  Some code in LZMA SDK is based on public domain code from another developers:\n			1) PPMd var.H (2001): Dmitry Shkarin\n			2) SHA-256: Wei Dai (Crypto++ library)\n		 </p>\n\n		 <p>\n		  Anyone is free to copy, modify, publish, use, compile, sell, or distribute the\n		  original LZMA SDK code, either in source code form or as a compiled binary, for\n		  any purpose, commercial or non-commercial, and by any means.\n		 </p>\n\n		 <p>\n		  LZMA SDK code is compatible with open source licenses, for example, you can\n		  include it to GNU GPL or GNU LGPL code.\n		 </p>\n\n	  "
		self.python_name = "LZMASDK922"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL13invariantsorlater:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU Free Documentation License\nVersion 1.3, 3 November 2008\n\nCopyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\nThe \"publisher\" means any person or entity that distributes copies of the Document to the public.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\nThe Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice. H. Include an unaltered copy of this License.\n	 I. Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n	 O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.\n\n11. RELICENSING\n\n\"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A \"Massive Multiauthor Collaboration\" (or \"MMC\") contained in the site means any set of copyrightable works thus published on the MMC site.\n\n\"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.\n\n\"Incorporate\" means to publish or republish a Document, in whole or in part, as part of another Document.\n\nAn MMC is \"eligible for relicensing\" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.\n\nThe operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\n with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with <<var;name=\"invariantSections\";original=\"the Invariant Sections being LIST THEIR TITLES\";match=\"the Invariant Sections	   being .+|no Invariant Sections\">> , with <<var;name=\"frontCoverTexts\";original=\"the Front-Cover Texts being LIST\";match=\"the Front-Cover Texts being .+|no Front-Cover Texts\">> , and with <<var;name=\"backCoverTexts\";original=\"the Back-Cover Texts being LIST\";match=\"the Back-Cover Texts being .+|no Back-Cover Texts\">> . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.3, 3 November 2008\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <http://fsf.org/>  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   The \"publisher\" means any person or entity that distributes copies of the Document to the public.\n\n   A section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\n   The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice. H. Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n\n	  <<var;name=\"bullet\";original=\"O.\";match=\".{0,20}\">> Preserve any Warranty Disclaimers.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\n   If a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> RELICENSING\n\n   \"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A \"Massive Multiauthor Collaboration\" (or \"MMC\") contained in the site means any set of copyrightable works thus published on the MMC site.\n\n   \"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.\n\n   \"Incorporate\" means to publish or republish a Document, in whole or in part, as part of another Document.\n\n   An MMC is \"eligible for relicensing\" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.\n\n   The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.3 or later - invariants"
		self.licenseComments = "This license was released 3 November 2008. The identifier GFDL-1.3-or-later-invariants should only be used when there are Invariant Sections, Front-Cover Texts or Back-Cover Texts. See GFDL-1.3-or-later and GFDL-1.3-or-later-no-invariants for alternatives."
		self.licenseId = "GFDL-1.3-invariants-or-later"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES , with the Front-Cover Texts being LIST , and with the Back-Cover Texts being LIST . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/fdl-1.3.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:05Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/fdl-1.3.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.3, 3 November 2008\n	  </p>\n\n	</div>\n	<div class=\"replaceable-license-text\"> \n	  <p>\n		Copyright (C) 2000, 2001, 2002, 2007, 2008 Free\n		Software Foundation, Inc. &lt;http://fsf.org/&gt;\n	  </p>\n\n	</div>\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook, or\n		  other functional and useful document &quot;free&quot; in the sense of\n		  freedom: to assure everyone the effective freedom to copy and\n		  redistribute it, with or without modifying it, either commercially\n		  or noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work, in any medium,\n		  that contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. Such a\n		  notice grants a world-wide, royalty-free license, unlimited in\n		  duration, to use that work under the conditions stated herein.\n		  The &quot;Document&quot;, below, refers to any such manual or work.\n		  Any member of the public is a licensee, and is addressed as\n		  &quot;you&quot;. You accept the license if you copy, modify or distribute\n		  the work in a way requiring permission under copyright law.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter\n		  section of the Document that deals exclusively with the\n		  relationship of the publishers or authors of the Document to the\n		  Document&apos;s overall subject (or to related matters) and contains\n		  nothing that could fall directly within that overall subject.\n		  (Thus, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections,\n		  in the notice that says that the Document is released under\n		  this License. If a section does not fit the above definition of\n		  Secondary then it is not allowed to be designated as Invariant.\n		  The Document may contain zero Invariant Sections. If the Document\n		  does not identify any Invariant Sections then there are none.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are listed,\n		  as Front-Cover Texts or Back-Cover Texts, in the notice that says that\n		  the Document is released under this License. A Front-Cover Text may\n		  be at most 5 words, and a Back-Cover Text may be at most 25 words.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable\n		  copy, represented in a format whose specification is available\n		  to the general public, that is suitable for revising the document\n		  straightforwardly with generic text editors or (for images composed of\n		  pixels) generic paint programs or (for drawings) some widely available\n		  drawing editor, and that is suitable for input to text formatters or\n		  for automatic translation to a variety of formats suitable for input\n		  to text formatters. A copy made in an otherwise Transparent file\n		  format whose markup, or absence of markup, has been arranged to thwart\n		  or discourage subsequent modification by readers is not Transparent.\n		  An image format is not Transparent if used for any substantial\n		  amount of text. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include plain\n		  ASCII without markup, Texinfo input format, LaTeX input format,\n		  SGML or XML using a publicly available DTD, and standard-conforming\n		  simple HTML, PostScript or PDF designed for human modification.\n		  Examples of transparent image formats include PNG, XCF and JPG.\n		  Opaque formats include proprietary formats that can be read\n		  and edited only by proprietary word processors, SGML or XML\n		  for which the DTD and/or processing tools are not generally\n		  available, and the machine-generated HTML, PostScript or PDF\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n		<p>\n		  The &quot;publisher&quot; means any person or entity that\n		  distributes copies of the Document to the public.\n		</p>\n\n		<p>\n		  A section &quot;Entitled XYZ&quot; means a named subunit of the Document whose\n		  title either is precisely XYZ or contains XYZ in parentheses following\n		  text that translates XYZ in another language. (Here XYZ stands for\n		  a specific section name mentioned below, such as &quot;Acknowledgements&quot;,\n		  &quot;Dedications&quot;, &quot;Endorsements&quot;, or &quot;History&quot;.) To &quot;Preserve the\n		  Title&quot; of such a section when you modify the Document means that\n		  it remains a section &quot;Entitled XYZ&quot; according to this definition.\n		</p>\n\n		<p>\n		  The Document may include Warranty Disclaimers next to the notice\n		  which states that this License applies to the Document. These\n		  Warranty Disclaimers are considered to be included by reference\n		  in this License, but only as regards disclaiming warranties:\n		  any other implication that these Warranty Disclaimers may\n		  have is void and has no effect on the meaning of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies (or copies in media that commonly\n		  have printed covers) of the Document, numbering more than 100,\n		  and the Document&apos;s license notice requires Cover Texts, you must\n		  enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a computer-network location from which the general\n		  network-using public has access to download using public-standard\n		  network protocols a complete Transparent copy of the Document,\n		  free of added material. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or\n			entities responsible for authorship of the modifications in the\n			Modified Version, together with at least five of the principal\n			authors of the Document (all of its principal authors, if it has\n			fewer than five), unless they release you from this requirement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant\n			Sections and required Cover Texts given in the Document&apos;s\n			license notice. H. Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section Entitled &quot;History&quot;, Preserve its Title, and\n			add to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section Entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			For any section Entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			Preserve the Title of the section, and preserve in the\n			section all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section Entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section to be Entitled &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> O.</var>\n			Preserve any Warranty Disclaimers.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section Entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released under\n		  this License, under the terms defined in section 4 above for modified\n		  versions, provided that you include in the combination all of the\n		  Invariant Sections of all of the original documents, unmodified,\n		  and list them all as Invariant Sections of your combined work in its\n		  license notice, and that you preserve all their Warranty Disclaimers.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections Entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  Entitled &quot;History&quot;; likewise combine any sections Entitled\n		  &quot;Acknowledgements&quot;, and any sections Entitled &quot;Dedications&quot;.\n		  You must delete all sections Entitled &quot;Endorsements&quot;.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other\n		  separate and independent documents or works, in or on a volume\n		  of a storage or distribution medium, is called an &quot;aggregate&quot;\n		  if the copyright resulting from the compilation is not used to\n		  limit the legal rights of the compilation&apos;s users beyond what\n		  the individual works permit. When the Document is included in an\n		  aggregate, this License does not apply to the other works in the\n		  aggregate which are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to\n		  these copies of the Document, then if the Document is less\n		  than one half of the entire aggregate, the Document&apos;s Cover\n		  Texts may be placed on covers that bracket the Document\n		  within the aggregate, or the electronic equivalent of covers\n		  if the Document is in electronic form. Otherwise they must\n		  appear on printed covers that bracket the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of section\n		  4. Replacing Invariant Sections with translations requires special\n		  permission from their copyright holders, but you may include\n		  translations of some or all Invariant Sections in addition to the\n		  original versions of these Invariant Sections. You may include a\n		  translation of this License, and all the license notices in the\n		  Document, and any Warranty Disclaimers, provided that you also\n		  include the original English version of this License and the original\n		  versions of those notices and disclaimers. In case of a disagreement\n		  between the translation and the original version of this License\n		  or a notice or disclaimer, the original version will prevail.\n		</p>\n\n		<p>\n		  If a section in the Document is Entitled\n		  &quot;Acknowledgements&quot;, &quot;Dedications&quot;, or &quot;History&quot;, the\n		  requirement (section 4) to Preserve its Title (section\n		  1) will typically require changing the actual title.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided under this License. Any attempt\n		  otherwise to copy, modify, sublicense, or distribute it is void,\n		  and will automatically terminate your rights under this License.\n		</p>\n\n		<p>\n		  However, if you cease all violation of this License, then your\n		  license from a particular copyright holder is reinstated (a)\n		  provisionally, unless and until the copyright holder explicitly\n		  and finally terminates your license, and (b) permanently, if\n		  the copyright holder fails to notify you of the violation by\n		  some reasonable means prior to 60 days after the cessation.\n		</p>\n\n		<p>\n		  Moreover, your license from a particular copyright holder is\n		  reinstated permanently if the copyright holder notifies you\n		  of the violation by some reasonable means, this is the first\n		  time you have received notice of violation of this License\n		  (for any work) from that copyright holder, and you cure the\n		  violation prior to 30 days after your receipt of the notice.\n		</p>\n\n		<p>\n		  Termination of your rights under this section does not terminate\n		  the licenses of parties who have received copies or rights from\n		  you under this License. If your rights have been terminated and\n		  not permanently reinstated, receipt of a copy of some or all\n		  of the same material does not give you any rights to use it.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option of\n		  following the terms and conditions either of that specified version or\n		  of any later version that has been published (not as a draft) by the\n		  Free Software Foundation. If the Document does not specify a version\n		  number of this License, you may choose any version ever published (not\n		  as a draft) by the Free Software Foundation. If the Document specifies\n		  that a proxy can decide which future versions of this License can\n		  be used, that proxy&apos;s public statement of acceptance of a version\n		  permanently authorizes you to choose that version for the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		RELICENSING\n		<p>\n		  &quot;Massive Multiauthor Collaboration Site&quot; (or &quot;MMC Site&quot;) means any\n		  World Wide Web server that publishes copyrightable works and also\n		  provides prominent facilities for anybody to edit those works. A\n		  public wiki that anybody can edit is an example of such a server. A\n		  &quot;Massive Multiauthor Collaboration&quot; (or &quot;MMC&quot;) contained in the site\n		  means any set of copyrightable works thus published on the MMC site.\n		</p>\n\n		<p>\n		  &quot;CC-BY-SA&quot; means the Creative Commons Attribution-Share Alike\n		  3.0 license published by Creative Commons Corporation, a\n		  not-for-profit corporation with a principal place of business\n		  in San Francisco, California, as well as future copyleft\n		  versions of that license published by that same organization.\n		</p>\n\n		<p>\n		  &quot;Incorporate&quot; means to publish or republish a Document,\n		  in whole or in part, as part of another Document.\n		</p>\n\n		<p>\n		  An MMC is &quot;eligible for relicensing&quot; if it is licensed under this\n		  License, and if all works that were first published under this License\n		  somewhere other than this MMC, and subsequently incorporated in\n		  whole or in part into the MMC, (1) had no cover texts or invariant\n		  sections, and (2) were thus incorporated prior to November 1, 2008.\n		</p>\n\n		<p>\n		  The operator of an MMC Site may republish an MMC contained in\n		  the site under CC-BY-SA on the same site at any time before\n		  August 1, 2009, provided the MMC is eligible for relicensing.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the GNU\n		Free Documentation License, Version 1.3 or any later version published\n		by the Free Software Foundation; with no Invariant Sections,\n		no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections, Front-Cover Texts and\n		Back-Cover Texts, replace the &quot;with...Texts.&quot; line with this:\n	  </p>\n\n	  <p>\n		with the Invariant Sections being LIST THEIR TITLES, with the\n		Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections without Cover Texts,\n		or some other combination of the three, merge\n		those two alternatives to suit the situation.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>. Permission is granted to copy,\n	  distribute and/or modify this document under the terms of the GNU\n	  Free Documentation License, Version 1.3 or any later version published\n	  by the Free Software Foundation; with <var class=\"replaceable-license-text\"> the Invariant Sections\n	  being LIST THEIR TITLES</var>, with <var class=\"replaceable-license-text\"> the Front-Cover Texts being LIST</var>,\n	  and with <var class=\"replaceable-license-text\"> the Back-Cover Texts being LIST</var>. A copy of the license is\n	  included in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL13invariantsorlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class Glulxe:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The source code in this package is copyright 1999-2010 by Andrew Plotkin.\n\nYou may copy and distribute it freely, by any means and under any conditions, as long as the code and documentation is not changed. You may also incorporate this code into your own program and distribute that, or modify this code and use and distribute the modified version, as long as you retain a notice in your program or documentation which mentions my name and the URL shown above.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"The source code in this package is copyright 1999-2010 by Andrew Plotkin.  \";match=\".{0,5000}\">>\n\nYou may copy and distribute it freely, by any means and under any conditions, as long as the code and documentation is not changed. You may also incorporate this code into your own program and distribute that, or modify this code and use and distribute the modified version, as long as you retain a notice in your program or documentation which mentions my name and the URL shown above.\n\n"
		self.name = "Glulxe License"
		self.licenseId = "Glulxe"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Glulxe", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:38Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Glulxe"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>The source code in this package is copyright 1999-2010 by Andrew Plotkin.</p>\n\n	  </div>\n\n	  <p>You may copy and distribute it freely, by any means and under any conditions, as long as the code and\n		 documentation is not changed. You may also incorporate this code into your own program and distribute\n		 that, or modify this code and use and distribute the modified version, as long as you retain a notice\n		 in your program or documentation which mentions my name and the URL shown above.</p>\n\n	"
		self.python_name = "Glulxe"

	def __str__(self):
		return json.dumps(self.__dict__)


class Leptonica:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 2001 Leptonica.  All rights reserved.\n\nThis software is distributed in the hope that it will be useful, but with NO WARRANTY OF ANY KIND.\n\nNo author or distributor accepts responsibility to anyone for the consequences of using this software, or for whether it serves any particular purpose or works at all, unless he or she says so in writing.  Everyone is granted permission to copy, modify and redistribute this source code, for commercial or non-commercial purposes, with the following restrictions:\n\n(1) the origin of this source code must not be misrepresented;\n(2) modified versions must be plainly marked as such; and\n(3) this notice may not be removed or altered from any source or modified source distribution.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 2001 Leptonica. All rights reserved.  \";match=\".{0,5000}\">>\n\nThis software is distributed in the hope that it will be useful, but with NO WARRANTY OF ANY KIND.\n\nNo author or distributor accepts responsibility to anyone for the consequences of using this software, or for whether it serves any particular purpose or works at all, unless he or she says so in writing. Everyone is granted permission to copy, modify and redistribute this source code, for commercial or non-commercial purposes, with the following restrictions:\n\n   <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> the origin of this source code must not be misrepresented;\n\n   <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> modified versions must be plainly marked as such; and\n\n   <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> this notice may not be removed or altered from any source or modified source distribution."
		self.name = "Leptonica License"
		self.licenseComments = "This is an older license for Leptonica. Currently, it uses BSD-2-Clause (see http://www.leptonica.com/about-the-license.html)"
		self.licenseId = "Leptonica"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Leptonica", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Leptonica"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 2001 Leptonica. All rights reserved.</p>\n\n	  </div>\n\n	  <p>This software is distributed in the hope that it will be useful, but with NO WARRANTY OF ANY KIND.</p>\n\n	  <p>No author or distributor accepts responsibility to anyone for the consequences of using this software, or\n		 for whether it serves any particular purpose or works at all, unless he or she says so in writing.\n		 Everyone is granted permission to copy, modify and redistribute this source code, for commercial or\n		 non-commercial purposes, with the following restrictions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (1)</var>\n		  the origin of this source code must not be misrepresented;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (2)</var>\n		  modified versions must be plainly marked as such; and\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (3)</var>\n		  this notice may not be removed or altered from any source or modified source distribution.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "Leptonica"

	def __str__(self):
		return json.dumps(self.__dict__)


class DFSL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Deutsche Freie Software Lizenz\n\n(c) Ministerium f\u00fcr Wissenschaft und Forschung Nordrhein-Westfalen 2004\n\nErstellt von Axel Metzger und Till Jaeger, Institut f\u00fcr Rechtsfragen der Freien und Open Source Software - (http://www.ifross.de).\n\nPr\u00e4ambel\n\nSoftware ist mehr als ein Wirtschaftsgut. Sie ist die technische Grundlage der Informationsgesellschaft. Die Frage der Teilhabe der Allgemeinheit ist deswegen von besonderer Bedeutung. Herk\u00f6mmlich lizenzierte Programme werden nur im Object Code vertrieben, der Nutzer darf das Programm weder ver\u00e4ndern noch weitergeben. Das Lizenzmodell der Freien Software (synonym \"Open Source Software\") gew\u00e4hrt Ihnen dagegen umfassende Freiheiten im Umgang mit dem Programm. Die Deutsche Freie Software Lizenz folgt diesem Lizenzmodell. Sie gew\u00e4hrt Ihnen das Recht, das Programm in umfassender Weise zu nutzen. Es ist Ihnen gestattet, das Programm nach Ihren Vorstellungen zu ver\u00e4ndern, in ver\u00e4nderter oder unver\u00e4nderter Form zu vervielf\u00e4ltigen, zu verbreiten und \u00f6ffentlich zug\u00e4nglich zu machen. Diese Rechte werden unentgeltlich einger\u00e4umt.\n\nDie Deutsche Freie Software Lizenz verbindet die Rechtseinr\u00e4umung allerdings mit Pflichten, die dem Zweck dienen, das freie Zirkulieren des Programms und aller ver\u00f6ffentlichten Fortentwicklungen zu sichern. Wenn Sie das Programm verbreiten oder \u00f6ffentlich zug\u00e4nglich machen, dann m\u00fcssen Sie jedem, der das Programm von Ihnen erh\u00e4lt, eine Kopie dieser Lizenz mitliefern und den Zugriff auf den Source Code erm\u00f6glichen. Eine weitere Pflicht betrifft Fortentwicklungen des Programms. \u00c4nderungen am Programm, die Sie \u00f6ffentlich verbreiten oder zug\u00e4nglich machen, m\u00fcssen nach den Bestimmungen dieser Lizenz frei gegeben werden.\n\nDie Deutsche Freie Software Lizenz nimmt auf die besonderen Anforderungen des deutschen und europ\u00e4ischen Rechts R\u00fccksicht. Sie ist zweisprachig gestaltet und damit auch auf den internationalen Vertrieb ausgerichtet.\n\n\u00a7 0 Definitionen\n\nDokumentation: Die Beschreibung des Aufbaus und/oder der Struktur der Programmierung und/oder der Funktionalit\u00e4ten des Programms, unabh\u00e4ngig davon, ob sie im Source Code oder gesondert vorgenommen wird.\n\nLizenz: Die zwischen dem Lizenzgeber und Ihnen geschlossene Vereinbarung mit dem Inhalt der \"Deutschen Freien Software Lizenz\" bzw. das Angebot hierzu.\n\nLizenznehmer: Jede nat\u00fcrliche oder juristische Person, die die Lizenz angenommen hat.\n\nProgramm: Jedes Computerprogramm, das von den Rechtsinhabern nach den Bestimmungen dieser Lizenz verbreitet oder \u00f6ffentlich zug\u00e4nglich gemacht worden ist.\n\nObject Code: Die maschinenlesbare, \u00fcbersetzte Form des Programms.\n\n\u00d6ffentlich: Nicht nur an einen bestimmten Personenkreis gerichtet, der pers\u00f6nlich oder durch die Zugeh\u00f6rigkeit zu einer juristischen Person oder einem \u00f6ffentlichen Tr\u00e4ger miteinander verbunden ist.\n\n\u00d6ffentlich zug\u00e4nglich machen: Die \u00f6ffentliche Weitergabe des Programms in unk\u00f6rperlicher Form, insbesondere das Bereithalten zum Download in Datennetzen.\n\nRechtsinhaber: Der bzw. die Urheber oder sonstigen Inhaber der ausschlie\u00dflichen Nutzungsrechte an dem Programm.\n\nSource Code: Die f\u00fcr Menschen lesbare, in Programmiersprache dargestellte Form des Programms.\n\nVer\u00e4ndern: Jede Erweiterung, K\u00fcrzung und Bearbeitung des Programms, insbesondere Weiterentwicklungen.\n\nVerbreiten: Die \u00f6ffentliche Weitergabe k\u00f6rperlicher Vervielf\u00e4ltigungsst\u00fccke, insbesondere auf Datentr\u00e4gern oder in Verbindung mit Hardware.\n\nVollst\u00e4ndiger Source Code: Der Source Code in der f\u00fcr die Erstellung bzw. die Bearbeitung benutzten Form zusammen mit den zur \u00dcbersetzung und Installation erforderlichen Konfigurationsdateien und Software-Werkzeugen, sofern diese in der ben\u00f6tigten Form nicht allgemein gebr\u00e4uchlich (z.B. Standard-Kompiler) oder f\u00fcr jedermann lizenzgeb\u00fchrenfrei im Internet abrufbar sind.\n\n\u00a7 1 Rechte\n\n(1) Sie d\u00fcrfen das Programm in unver\u00e4nderter Form vervielf\u00e4ltigen, verbreiten und \u00f6ffentlich zug\u00e4nglich machen.\n\n(2) Sie d\u00fcrfen das Programm ver\u00e4ndern und entsprechend ver\u00e4nderte Versionen vervielf\u00e4ltigen, verbreiten und \u00f6ffentlich zug\u00e4nglich machen. Gestattet ist auch die Kombination des Programms oder Teilen hiervon mit anderen Programmen.\n\n(3) Sie erhalten die Rechte unentgeltlich.\n\n\u00a7 2 Pflichten beim Vertrieb\n\n(1) Wenn Sie das Programm verbreiten oder \u00f6ffentlich zug\u00e4nglich machen, sei es in unver\u00e4nderter oder ver\u00e4nderter Form, sei es in einer Kombination mit anderen Programmen oder in Verbindung mit Hardware, dann m\u00fcssen sie mitliefern:\n1. alle Vermerke im Source Code und/oder Object Code, die auf diese Lizenz hinweisen;\n2. alle Vermerke im Source Code und/oder Object Code, die \u00fcber die Urheber des Programms Auskunft geben;\n3. einen f\u00fcr den Empf\u00e4nger deutlich wahrnehmbaren Hinweis auf diese Lizenz und die Internetadresse http://www.d-fsl.de;\n4. den vollst\u00e4ndigen Text dieser Lizenz in deutlich wahrnehmbarer Weise.\n\n(2) Wenn bei der Installation des Programms und/oder beim Programmstart Lizenz- und/oder Vertragsbedingungen angezeigt werden, dann m\u00fcssen\n1. diese Lizenz,\n2. ein Hinweis auf diese Lizenz und\n3. ein Hinweis auf den oder die Rechtsinhaber an den ersten unter dieser Lizenz nutzbaren Programmbestandteilen\nebenfalls angezeigt werden.\n\n(3) Sie d\u00fcrfen die Nutzung des Programms nicht von Pflichten oder Bedingungen abh\u00e4ngig machen, die nicht in dieser Lizenz vorgesehen sind.\n\n(4) Sofern Sie mit dem Programm eine Dokumentation erhalten haben, muss diese Dokumentation entsprechend mitgeliefert werden, es sei denn, die freie Mitlieferung der Dokumentation ist Ihnen aufgrund der Lizenz f\u00fcr die Dokumentation nicht gestattet.\n\n\u00a7 3 Weitere Pflichten beim Vertrieb ver\u00e4nderter Versionen\n\n(1) Ver\u00e4nderte Versionen des Programms d\u00fcrfen Sie nur unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zug\u00e4nglich machen, so dass Dritte das ver\u00e4nderte Programm insgesamt unter dieser Lizenz nutzen k\u00f6nnen.\n\n(2) Wird das Programm oder ein Teil hiervon mit einem anderen Programm kombiniert, gilt auch die Kombination insgesamt als eine ver\u00e4nderte Version des Programms, es sei denn, das andere Programm ist formal und inhaltlich eigenst\u00e4ndig. Ein anderes Programm ist dann als eigenst\u00e4ndig anzusehen, wenn es die folgenden Voraussetzungen alle erf\u00fcllt:\n1. Der Source Code der kombinierten Programme muss jeweils in eigenen Dateien vorhanden sein, die keine Bestandteile des anderen Teils enthalten, die \u00fcber die zur Programmkombination \u00fcblichen und erforderlichen Informationen \u00fcber den anderen Teil hinausgehen, wobei der Source Code des anderen Programms nicht mitgeliefert werden muss.\n2. Der mit dem Programm kombinierte Teil muss auch dann sinnvoll nutzbar sein, wenn er nicht mit dem Programm kombiniert wird, und zwar entweder alleine oder mit sonstigen Programmen. Was als \"sinnvoll nutzbar\" anzusehen ist, richtet sich nach der Auffassung der betroffenen Fachkreise. Zu den betroffenen Fachkreisen geh\u00f6ren alle Personen, die das Programm oder Programme mit vergleichbarer Funktionalit\u00e4t entwickeln, benutzen, verbreiten oder \u00f6ffentlich zug\u00e4nglich machen.\n\n(3) Wenn Sie das Programm oder einen Teil hiervon - ver\u00e4ndert oder unver\u00e4ndert - zusammen mit einem anderen Programm verbreiten oder \u00f6ffentlich zug\u00e4nglich machen, das unter der GNU General Public License (GPL) lizenziert wird, darf das Programm auch unter den Bedingungen der GPL genutzt werden, sofern es mit dem anderen Programm ein \"derivative work\" im Sinne der GPL bildet. Dabei sollen die Hinweise auf diese Lizenz entfernt und durch einen Hinweis auf die GPL ersetzt werden. Ob bei der Zusammenstellung ein \"derivate work\" im Sinne der GPL entsteht, beurteilt sich nach Ziffer 2 b) der GPL. Diese Bestimmung lautet: \"You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\" Die GPL kann abgerufen werden unter http://www.fsf.org/licenses/gpl.\n\n(4) Wenn Sie das Programm in einer ver\u00e4nderten Form verbreiten oder \u00f6ffentlich zug\u00e4nglich machen, m\u00fcssen Sie im Source Code einen Hinweis mit den \u00c4nderungen aufnehmen und mit dem Datum der \u00c4nderung versehen. Der Hinweis muss erkennen lassen, welche \u00c4nderungen vorgenommen wurden und bestehende Vermerke, die \u00fcber die Urheber des Programms Auskunft geben, \u00fcbernehmen. Dies gilt unabh\u00e4ngig davon, ob Sie einen eigenen Urhebervermerk hinzuf\u00fcgen. Anstelle eines Hinweises im Source Code k\u00f6nnen Sie auch ein Versionskontrollsystem verwenden oder weiterf\u00fchren, sofern dieses mitverbreitet wird oder \u00f6ffentlich zug\u00e4nglich ist.\n\n(5) Sie d\u00fcrfen von Dritten f\u00fcr die Einr\u00e4umung eines einfachen Nutzungsrechts an ver\u00e4nderten Versionen des Programms kein Entgelt verlangen.\n\n(6) Wenn Sie an der ver\u00e4nderten Version des Programms ein anderes Schutzrecht als ein Urheberrecht erwerben, insbesondere ein Patent oder Gebrauchsmuster, lizenzieren Sie dieses Schutzrecht f\u00fcr ver\u00e4nderte und unver\u00e4nderte Versionen des Programms in dem Umfang, der erforderlich ist, um die Rechte aus dieser Lizenz wahrnehmen zu k\u00f6nnen.\n\n\u00a7 4 Weitere Pflichten beim Vertrieb im Object Code\n\n(1) Wenn Sie das Programm nur im Object Code verbreiten, dann m\u00fcssen Sie zus\u00e4tzlich zu den in \u00a7 2 und \u00a7 3 geregelten Pflichten entweder\n1. den vollst\u00e4ndigen Source Code im Internet \u00f6ffentlich zug\u00e4nglich machen und bei der Verbreitung des Object Codes deutlich auf die vollst\u00e4ndige Internetadresse hinweisen, unter der der Source Code abgerufen werden kann oder\n2. den vollst\u00e4ndigen Source Code auf einem hierf\u00fcr \u00fcblichen Datentr\u00e4ger unter Beachtung der \u00a7\u00a7 2 und 3 mitverbreiten.\n\n(2) Wenn Sie das Programm im Object Code \u00f6ffentlich zug\u00e4nglich machen, dann m\u00fcssen Sie zus\u00e4tzlich zu den in \u00a7 2 und \u00a7 3 geregelten Pflichten den vollst\u00e4ndigen Source Code im Internet \u00f6ffentlich zug\u00e4nglich machen und dabei deutlich auf die vollst\u00e4ndige Internetadresse hinweisen.\n\n(3) Sofern Sie mit dem Programm eine Dokumentation erhalten haben, muss diese Dokumentation entsprechend der Abs\u00e4tze 1 und 2 mitgeliefert werden, es sei denn, die freie Mitlieferung der Dokumentation ist Ihnen aufgrund der Lizenz f\u00fcr die Dokumentation nicht gestattet.\n\n\u00a7 5 Vertragsschluss\n\n(1) Mit dieser Lizenz wird Ihnen und jeder anderen Person ein Angebot auf Abschluss eines Vertrages \u00fcber die Nutzung des Programms unter den Bedingungen der Deutschen Freien Softwarelizenz unterbreitet.\n\n(2) Sie d\u00fcrfen das Programm nach den jeweils anwendbaren gesetzlichen Vorschriften bestimmungsgem\u00e4\u00df benutzen, ohne dass es der Annahme dieser Lizenz bedarf. Dieses Recht umfasst in der Europ\u00e4ischen Union und in den meisten anderen Rechtsordnungen insbesondere die folgenden Befugnisse:\n1. das Programm ablaufen zu lassen sowie die Erstellung von hierf\u00fcr erforderlichen Vervielf\u00e4ltigungen im Haupt- und Arbeitsspeicher;\n2. das Erstellen einer Sicherungskopie;\n3. die Fehlerberichtigung;\n4. die Weitergabe einer rechtm\u00e4\u00dfig erworbenen k\u00f6rperlichen Kopie des Programms.\n\n(3) Sie erkl\u00e4ren Ihre Zustimmung zum Abschluss dieser Lizenz, indem Sie das Programm verbreiten, \u00f6ffentlich zug\u00e4nglich machen, ver\u00e4ndern oder in einer Weise vervielf\u00e4ltigen, die \u00fcber die bestimmungsgem\u00e4\u00dfe Nutzung im Sinne von Absatz 2 hinausgeht. Ab diesem Zeitpunkt ist diese Lizenz als rechtlich verbindlicher Vertrag zwischen den Rechtsinhabern und Ihnen geschlossen, ohne dass es eines Zugangs der Annahmeerkl\u00e4rung bei den Rechtsinhabern bedarf.\n\n(4) Sie und jeder andere Lizenznehmer erhalten die Rechte aus dieser Lizenz direkt von den Rechtsinhabern. Eine Unterlizenzierung oder \u00dcbertragung der Rechte ist nicht gestattet.\n\n\u00a7 6 Beendigung der Rechte bei Zuwiderhandlung\n\n(1) Jede Verletzung Ihrer Verpflichtungen aus dieser Lizenz f\u00fchrt zu einer automatischen Beendigung Ihrer Rechte aus dieser Lizenz.\n\n(2) Die Rechte Dritter, die das Programm oder Rechte an dem Programm von Ihnen erhalten haben, bleiben hiervon unber\u00fchrt.\n\n\u00a7 7 Haftung und Gew\u00e4hrleistung\n\n(1) F\u00fcr entgegenstehende Rechte Dritter haften die Rechtsinhaber nur, sofern sie Kenntnis von diesen Rechten hatten, ohne Sie zu informieren.\n\n(2) Die Haftung f\u00fcr Fehler und sonstige M\u00e4ngel des Programms richtet sich nach den au\u00dferhalb dieser Lizenz getroffenen Vereinbarungen zwischen Ihnen und den Rechtsinhabern oder, wenn eine solche Vereinbarung nicht existiert, nach den gesetzlichen Regelungen.\n\n\u00a7 8 Vertr\u00e4ge mit Dritten\n\n(1) Diese Lizenz regelt nur die Beziehung zwischen Ihnen und den Rechtsinhabern. Sie ist nicht Bestandteil der Vertr\u00e4ge zwischen Ihnen und Dritten.\n\n(2) Die Lizenz beschr\u00e4nkt Sie nicht in der Freiheit, mit Dritten, die von Ihnen Kopien des Programms erhalten oder Leistungen in Anspruch nehmen, die im Zusammenhang mit dem Programm stehen, Vertr\u00e4ge beliebigen Inhalts zu schlie\u00dfen, sofern Sie dabei Ihren Verpflichtungen aus dieser Lizenz nachkommen und die Rechte der Dritten aus dieser Lizenz nicht beeintr\u00e4chtigt werden. Insbesondere d\u00fcrfen Sie f\u00fcr die \u00dcberlassung des Programms oder sonstige Leistungen ein Entgelt verlangen.\n\n(3) Diese Lizenz verpflichtet Sie nicht, das Programm an Dritte weiterzugeben. Es steht Ihnen frei zu entscheiden, wem Sie das Programm zug\u00e4nglich machen. Sie d\u00fcrfen aber die weitere Nutzung durch Dritte nicht durch den Einsatz technischer Schutzma\u00dfnahmen, insbesondere durch den Einsatz von Kopierschutzvorrichtungen jeglicher Art, verhindern oder erschweren. Eine passwortgesch\u00fctzte Zugangsbeschr\u00e4nkung oder die Nutzung in einem Intranet wird nicht als technische Schutzma\u00dfnahme angesehen.\n\n\u00a7 9 Text der Lizenz\n\n(1) Diese Lizenz ist in deutscher und englischer Sprache abgefasst. Beide Fassungen sind gleich verbindlich. Es wird unterstellt, dass die in der Lizenz verwandten Begriffe in beiden Fassungen dieselbe Bedeutung haben. Ergeben sich dennoch Unterschiede, so ist die Bedeutung ma\u00dfgeblich, welche die Fassungen unter Ber\u00fccksichtigung des Ziels und Zwecks der Lizenz am besten miteinander in Einklang bringt.\n\n(2) Der Lizenzrat der Deutschen Freien Software Lizenz kann mit verbindlicher Wirkung neue Versionen der Lizenz in Kraft setzen, soweit dies erforderlich und zumutbar ist. Neue Versionen der Lizenz werden auf der Internetseite http://www.d-fsl.de mit einer eindeutigen Versionsnummer ver\u00f6ffentlicht. Die neue Version der Lizenz erlangt f\u00fcr Sie verbindliche Wirkung, wenn Sie von deren Ver\u00f6ffentlichung Kenntnis genommen haben. Gesetzliche Rechtsbehelfe gegen die \u00c4nderung der Lizenz werden durch die vorstehenden Bestimmungen nicht beschr\u00e4nkt.\n\n(3) Sie d\u00fcrfen diese Lizenz in unver\u00e4nderter Form vervielf\u00e4ltigen, verbreiten und \u00f6ffentlich zug\u00e4nglich machen.\n\n\u00a7 10 Anwendbares Recht\n\nAuf diese Lizenz findet deutsches Recht Anwendung.\n\n\nAnhang: Wie unterstellen Sie ein Programm der Deutschen Freien Software Lizenz?\nUm jedermann den Abschluss dieser Lizenz zu erm\u00f6glichen, wird empfohlen, das Programm mit folgendem Hinweis auf die Lizenz zu versehen:\n\n\"Copyright (C) 20[jj] [Name des Rechtsinhabers].\n\nDieses Programm kann durch jedermann gem\u00e4\u00df den Bestimmungen der Deutschen Freien Software Lizenz genutzt werden.\n\nDie Lizenz kann unter http://www.d-fsl.de abgerufen werden.\"\n"
		self.standardLicenseTemplate = "<<beginOptional>>Deutsche Freie Software Lizenz\n\n<<endOptional>>\n\n(c) Ministerium f\u00fcr Wissenschaft und Forschung Nordrhein-Westfalen 2004\n\n<<beginOptional>>Erstellt von Axel Metzger und Till Jaeger, Institut f\u00fcr Rechtsfragen der Freien und Open Source Software - <<var;name=\"linkOpener-ifross.de\";original=\"(\";match=\"(\\(\\<|\\()?\">> http://www.ifross.de <<var;name=\"linkCloser-ifross.de\";original=\")\";match=\"(\\)\\>|\\))?\">> .\n\nPr\u00e4ambel\n\nSoftware ist mehr als ein Wirtschaftsgut. Sie ist die technische Grundlage der Informationsgesellschaft. Die Frage der Teilhabe der Allgemeinheit ist deswegen von besonderer Bedeutung. Herk\u00f6mmlich lizenzierte Programme werden nur im Object Code vertrieben, der Nutzer darf das Programm weder ver\u00e4ndern noch weitergeben. Das Lizenzmodell der Freien Software (synonym \"Open Source Software\") gew\u00e4hrt Ihnen dagegen umfassende Freiheiten im Umgang mit dem Programm. Die Deutsche Freie Software Lizenz folgt diesem Lizenzmodell. Sie gew\u00e4hrt Ihnen das Recht, das Programm in umfassender Weise zu nutzen. Es ist Ihnen gestattet, das Programm nach Ihren Vorstellungen zu ver\u00e4ndern, in ver\u00e4nderter oder unver\u00e4nderter Form zu vervielf\u00e4ltigen, zu verbreiten und \u00f6ffentlich zug\u00e4nglich zu machen. Diese Rechte werden unentgeltlich einger\u00e4umt.\n\nDie Deutsche Freie Software Lizenz verbindet die Rechtseinr\u00e4umung allerdings mit Pflichten, die dem Zweck dienen, das freie Zirkulieren des Programms und aller ver\u00f6ffentlichten Fortentwicklungen zu sichern. Wenn Sie das Programm verbreiten oder \u00f6ffentlich zug\u00e4nglich machen, dann m\u00fcssen Sie jedem, der das Programm von Ihnen erh\u00e4lt, eine Kopie dieser Lizenz mitliefern und den Zugriff auf den Source Code erm\u00f6glichen. Eine weitere Pflicht betrifft Fortentwicklungen des Programms. \u00c4nderungen am Programm, die Sie \u00f6ffentlich verbreiten oder zug\u00e4nglich machen, m\u00fcssen nach den Bestimmungen dieser Lizenz frei gegeben werden.\n\nDie Deutsche Freie Software Lizenz nimmt auf die besonderen Anforderungen des deutschen und europ\u00e4ischen Rechts R\u00fccksicht. Sie ist zweisprachig gestaltet und damit auch auf den internationalen Vertrieb ausgerichtet.\n\n<<endOptional>>\n\n   \u00a7 0 Definitionen\n\n	  Dokumentation: Die Beschreibung des Aufbaus und/oder der Struktur der Programmierung und/oder der Funktionalit\u00e4ten des Programms, unabh\u00e4ngig davon, ob sie im Source Code oder gesondert vorgenommen wird.\n\n	  Lizenz: Die zwischen dem Lizenzgeber und Ihnen geschlossene Vereinbarung mit dem Inhalt der \"Deutschen Freien Software Lizenz\" bzw. das Angebot hierzu.\n\n	  Lizenznehmer: Jede nat\u00fcrliche oder juristische Person, die die Lizenz angenommen hat.\n\n	  Programm: Jedes Computerprogramm, das von den Rechtsinhabern nach den Bestimmungen dieser Lizenz verbreitet oder \u00f6ffentlich zug\u00e4nglich gemacht worden ist.\n\n	  Object Code: Die maschinenlesbare, \u00fcbersetzte Form des Programms.\n\n	  \u00d6ffentlich: Nicht nur an einen bestimmten Personenkreis gerichtet, der pers\u00f6nlich oder durch die Zugeh\u00f6rigkeit zu einer juristischen Person oder einem \u00f6ffentlichen Tr\u00e4ger miteinander verbunden ist.\n\n	  \u00d6ffentlich zug\u00e4nglich machen: Die \u00f6ffentliche Weitergabe des Programms in unk\u00f6rperlicher Form, insbesondere das Bereithalten zum Download in Datennetzen.\n\n	  Rechtsinhaber: Der bzw. die Urheber oder sonstigen Inhaber der ausschlie\u00dflichen Nutzungsrechte an dem Programm.\n\n	  Source Code: Die f\u00fcr Menschen lesbare, in Programmiersprache dargestellte Form des Programms.\n\n	  Ver\u00e4ndern: Jede Erweiterung, K\u00fcrzung und Bearbeitung des Programms, insbesondere Weiterentwicklungen.\n\n	  Verbreiten: Die \u00f6ffentliche Weitergabe k\u00f6rperlicher Vervielf\u00e4ltigungsst\u00fccke, insbesondere auf Datentr\u00e4gern oder in Verbindung mit Hardware.\n\n	  Vollst\u00e4ndiger Source Code: Der Source Code in der f\u00fcr die Erstellung bzw. die Bearbeitung benutzten Form zusammen mit den zur \u00dcbersetzung und Installation erforderlichen Konfigurationsdateien und Software-Werkzeugen, sofern diese in der ben\u00f6tigten Form nicht allgemein gebr\u00e4uchlich (z.B. Standard-Kompiler) oder f\u00fcr jedermann lizenzgeb\u00fchrenfrei im Internet abrufbar sind.\n\n   \u00a7 1 Rechte\n\n	  <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> Sie d\u00fcrfen das Programm in unver\u00e4nderter Form vervielf\u00e4ltigen, verbreiten und \u00f6ffentlich zug\u00e4nglich machen.\n\n	  <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> Sie d\u00fcrfen das Programm ver\u00e4ndern und entsprechend ver\u00e4nderte Versionen vervielf\u00e4ltigen, verbreiten und \u00f6ffentlich zug\u00e4nglich machen. Gestattet ist auch die Kombination des Programms oder Teilen hiervon mit anderen Programmen.\n\n	  <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> Sie erhalten die Rechte unentgeltlich.\n\n   \u00a7 2 Pflichten beim Vertrieb\n\n	  <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> Wenn Sie das Programm verbreiten oder \u00f6ffentlich zug\u00e4nglich machen, sei es in unver\u00e4nderter oder ver\u00e4nderter Form, sei es in einer Kombination mit anderen Programmen oder in Verbindung mit Hardware, dann m\u00fcssen sie mitliefern:\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> alle Vermerke im Source Code und/oder Object Code, die auf diese Lizenz hinweisen;\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> alle Vermerke im Source Code und/oder Object Code, die \u00fcber die Urheber des Programms Auskunft geben;\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> einen f\u00fcr den Empf\u00e4nger deutlich wahrnehmbaren Hinweis auf diese Lizenz und die Internetadresse<<beginOptional>> <<<endOptional>> http://www.d-fsl.de<<beginOptional>> ><<endOptional>> ;\n\n	  <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> den vollst\u00e4ndigen Text dieser Lizenz in deutlich wahrnehmbarer Weise.\n\n	  <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> Wenn bei der Installation des Programms und/oder beim Programmstart Lizenz- und/oder Vertragsbedingungen angezeigt werden, dann m\u00fcssen\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> diese Lizenz,\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> ein Hinweis auf diese Lizenz und\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> ein Hinweis auf den oder die Rechtsinhaber an den ersten unter dieser Lizenz nutzbaren Programmbestandteilen\n\n	  ebenfalls angezeigt werden.\n\n	  <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> Sie d\u00fcrfen die Nutzung des Programms nicht von Pflichten oder Bedingungen abh\u00e4ngig machen, die nicht in dieser Lizenz vorgesehen sind.\n\n	  <<var;name=\"bullet\";original=\"(4)\";match=\".{0,20}\">> Sofern Sie mit dem Programm eine Dokumentation erhalten haben, muss diese Dokumentation entsprechend mitgeliefert werden, es sei denn, die freie Mitlieferung der Dokumentation ist Ihnen aufgrund der Lizenz f\u00fcr die Dokumentation nicht gestattet.\n\n   \u00a7 3 Weitere Pflichten beim Vertrieb ver\u00e4nderter Versionen\n\n	  <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> Ver\u00e4nderte Versionen des Programms d\u00fcrfen Sie nur unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zug\u00e4nglich machen, so dass Dritte das ver\u00e4nderte Programm insgesamt unter dieser Lizenz nutzen k\u00f6nnen.\n\n	  <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> Wird das Programm oder ein Teil hiervon mit einem anderen Programm kombiniert, gilt auch die Kombination insgesamt als eine ver\u00e4nderte Version des Programms, es sei denn, das andere Programm ist formal und inhaltlich eigenst\u00e4ndig. Ein anderes Programm ist dann als eigenst\u00e4ndig anzusehen, wenn es die folgenden Voraussetzungen alle erf\u00fcllt:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Der Source Code der kombinierten Programme muss jeweils in eigenen Dateien vorhanden sein, die keine Bestandteile des anderen Teils enthalten, die \u00fcber die zur Programmkombination \u00fcblichen und erforderlichen Informationen \u00fcber den anderen Teil hinausgehen, wobei der Source Code des anderen Programms nicht mitgeliefert werden muss.\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Der mit dem Programm kombinierte Teil muss auch dann sinnvoll nutzbar sein, wenn er nicht mit dem Programm kombiniert wird, und zwar entweder alleine oder mit sonstigen Programmen. Was als \"sinnvoll nutzbar\" anzusehen ist, richtet sich nach der Auffassung der betroffenen Fachkreise. Zu den betroffenen Fachkreisen geh\u00f6ren alle Personen, die das Programm oder Programme mit vergleichbarer Funktionalit\u00e4t entwickeln, benutzen, verbreiten oder \u00f6ffentlich zug\u00e4nglich machen.\n\n	  <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> Wenn Sie das Programm oder einen Teil hiervon - ver\u00e4ndert oder unver\u00e4ndert - zusammen mit einem anderen Programm verbreiten oder \u00f6ffentlich zug\u00e4nglich machen, das unter der GNU General Public License (GPL) lizenziert wird, darf das Programm auch unter den Bedingungen der GPL genutzt werden, sofern es mit dem anderen Programm ein \"derivative work\" im Sinne der GPL bildet. Dabei sollen die Hinweise auf diese Lizenz entfernt und durch einen Hinweis auf die GPL ersetzt werden. Ob bei der Zusammenstellung ein \"derivate work\" im Sinne der GPL entsteht, beurteilt sich nach Ziffer 2 b) der GPL. Diese Bestimmung lautet: \"You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\" Die GPL kann abgerufen werden unter http://www.fsf.org/licenses/gpl.\n\n	  <<var;name=\"bullet\";original=\"(4)\";match=\".{0,20}\">> Wenn Sie das Programm in einer ver\u00e4nderten Form verbreiten oder \u00f6ffentlich zug\u00e4nglich machen, m\u00fcssen Sie im Source Code einen Hinweis mit den \u00c4nderungen aufnehmen und mit dem Datum der \u00c4nderung versehen. Der Hinweis muss erkennen lassen, welche \u00c4nderungen vorgenommen wurden und bestehende Vermerke, die \u00fcber die Urheber des Programms Auskunft geben, \u00fcbernehmen. Dies gilt unabh\u00e4ngig davon, ob Sie einen eigenen Urhebervermerk hinzuf\u00fcgen. Anstelle eines Hinweises im Source Code k\u00f6nnen Sie auch ein Versionskontrollsystem verwenden oder weiterf\u00fchren, sofern dieses mitverbreitet wird oder \u00f6ffentlich zug\u00e4nglich ist.\n\n	  <<var;name=\"bullet\";original=\"(5)\";match=\".{0,20}\">> Sie d\u00fcrfen von Dritten f\u00fcr die Einr\u00e4umung eines einfachen Nutzungsrechts an ver\u00e4nderten Versionen des Programms kein Entgelt verlangen.\n\n	  <<var;name=\"bullet\";original=\"(6)\";match=\".{0,20}\">> Wenn Sie an der ver\u00e4nderten Version des Programms ein anderes Schutzrecht als ein Urheberrecht erwerben, insbesondere ein Patent oder Gebrauchsmuster, lizenzieren Sie dieses Schutzrecht f\u00fcr ver\u00e4nderte und unver\u00e4nderte Versionen des Programms in dem Umfang, der erforderlich ist, um die Rechte aus dieser Lizenz wahrnehmen zu k\u00f6nnen.\n\n   \u00a7 4 Weitere Pflichten beim Vertrieb im Object Code\n\n	  <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> Wenn Sie das Programm nur im Object Code verbreiten, dann m\u00fcssen Sie zus\u00e4tzlich zu den in \u00a7 2 und \u00a7 3 geregelten Pflichten entweder\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> den vollst\u00e4ndigen Source Code im Internet \u00f6ffentlich zug\u00e4nglich machen und bei der Verbreitung des Object Codes deutlich auf die vollst\u00e4ndige Internetadresse hinweisen, unter der der Source Code abgerufen werden kann oder\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> den vollst\u00e4ndigen Source Code auf einem hierf\u00fcr \u00fcblichen Datentr\u00e4ger unter Beachtung der \u00a7\u00a7 2 und 3 mitverbreiten.\n\n	  <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> Wenn Sie das Programm im Object Code \u00f6ffentlich zug\u00e4nglich machen, dann m\u00fcssen Sie zus\u00e4tzlich zu den in \u00a7 2 und \u00a7 3 geregelten Pflichten den vollst\u00e4ndigen Source Code im Internet \u00f6ffentlich zug\u00e4nglich machen und dabei deutlich auf die vollst\u00e4ndige Internetadresse hinweisen.\n\n	  <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> Sofern Sie mit dem Programm eine Dokumentation erhalten haben, muss diese Dokumentation entsprechend der Abs\u00e4tze 1 und 2 mitgeliefert werden, es sei denn, die freie Mitlieferung der Dokumentation ist Ihnen aufgrund der Lizenz f\u00fcr die Dokumentation nicht gestattet.\n\n   \u00a7 5 Vertragsschluss\n\n	  <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> Mit dieser Lizenz wird Ihnen und jeder anderen Person ein Angebot auf Abschluss eines Vertrages \u00fcber die Nutzung des Programms unter den Bedingungen der Deutschen Freien Softwarelizenz unterbreitet.\n\n	  <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> Sie d\u00fcrfen das Programm nach den jeweils anwendbaren gesetzlichen Vorschriften bestimmungsgem\u00e4\u00df benutzen, ohne dass es der Annahme dieser Lizenz bedarf. Dieses Recht umfasst in der Europ\u00e4ischen Union und in den meisten anderen Rechtsordnungen insbesondere die folgenden Befugnisse:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> das Programm ablaufen zu lassen sowie die Erstellung von hierf\u00fcr erforderlichen Vervielf\u00e4ltigungen im Haupt- und Arbeitsspeicher;\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> das Erstellen einer Sicherungskopie;\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> die Fehlerberichtigung;\n\n		 <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> die Weitergabe einer rechtm\u00e4\u00dfig erworbenen k\u00f6rperlichen Kopie des Programms.\n\n	  <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> Sie erkl\u00e4ren Ihre Zustimmung zum Abschluss dieser Lizenz, indem Sie das Programm verbreiten, \u00f6ffentlich zug\u00e4nglich machen, ver\u00e4ndern oder in einer Weise vervielf\u00e4ltigen, die \u00fcber die bestimmungsgem\u00e4\u00dfe Nutzung im Sinne von Absatz 2 hinausgeht. Ab diesem Zeitpunkt ist diese Lizenz als rechtlich verbindlicher Vertrag zwischen den Rechtsinhabern und Ihnen geschlossen, ohne dass es eines Zugangs der Annahmeerkl\u00e4rung bei den Rechtsinhabern bedarf.\n\n	  <<var;name=\"bullet\";original=\"(4)\";match=\".{0,20}\">> Sie und jeder andere Lizenznehmer erhalten die Rechte aus dieser Lizenz direkt von den Rechtsinhabern. Eine Unterlizenzierung oder \u00dcbertragung der Rechte ist nicht gestattet.\n\n   \u00a7 6 Beendigung der Rechte bei Zuwiderhandlung\n\n	  <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> Jede Verletzung Ihrer Verpflichtungen aus dieser Lizenz f\u00fchrt zu einer automatischen Beendigung Ihrer Rechte aus dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> Die Rechte Dritter, die das Programm oder Rechte an dem Programm von Ihnen erhalten haben, bleiben hiervon unber\u00fchrt.\n\n   \u00a7 7 Haftung und Gew\u00e4hrleistung\n\n	  <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> F\u00fcr entgegenstehende Rechte Dritter haften die Rechtsinhaber nur, sofern sie Kenntnis von diesen Rechten hatten, ohne Sie zu informieren.\n\n	  <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> Die Haftung f\u00fcr Fehler und sonstige M\u00e4ngel des Programms richtet sich nach den au\u00dferhalb dieser Lizenz getroffenen Vereinbarungen zwischen Ihnen und den Rechtsinhabern oder, wenn eine solche Vereinbarung nicht existiert, nach den gesetzlichen Regelungen.\n\n   \u00a7 8 Vertr\u00e4ge mit Dritten\n\n	  <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> Diese Lizenz regelt nur die Beziehung zwischen Ihnen und den Rechtsinhabern. Sie ist nicht Bestandteil der Vertr\u00e4ge zwischen Ihnen und Dritten.\n\n	  <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> Die Lizenz beschr\u00e4nkt Sie nicht in der Freiheit, mit Dritten, die von Ihnen Kopien des Programms erhalten oder Leistungen in Anspruch nehmen, die im Zusammenhang mit dem Programm stehen, Vertr\u00e4ge beliebigen Inhalts zu schlie\u00dfen, sofern Sie dabei Ihren Verpflichtungen aus dieser Lizenz nachkommen und die Rechte der Dritten aus dieser Lizenz nicht beeintr\u00e4chtigt werden. Insbesondere d\u00fcrfen Sie f\u00fcr die \u00dcberlassung des Programms oder sonstige Leistungen ein Entgelt verlangen.\n\n	  <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> Diese Lizenz verpflichtet Sie nicht, das Programm an Dritte weiterzugeben. Es steht Ihnen frei zu entscheiden, wem Sie das Programm zug\u00e4nglich machen. Sie d\u00fcrfen aber die weitere Nutzung durch Dritte nicht durch den Einsatz technischer Schutzma\u00dfnahmen, insbesondere durch den Einsatz von Kopierschutzvorrichtungen jeglicher Art, verhindern oder erschweren. Eine passwortgesch\u00fctzte Zugangsbeschr\u00e4nkung oder die Nutzung in einem Intranet wird nicht als technische Schutzma\u00dfnahme angesehen.\n\n   \u00a7 9 Text der Lizenz\n\n	  <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> Diese Lizenz ist in deutscher und englischer Sprache abgefasst. Beide Fassungen sind gleich verbindlich. Es wird unterstellt, dass die in der Lizenz verwandten Begriffe in beiden Fassungen dieselbe Bedeutung haben. Ergeben sich dennoch Unterschiede, so ist die Bedeutung ma\u00dfgeblich, welche die Fassungen unter Ber\u00fccksichtigung des Ziels und Zwecks der Lizenz am besten miteinander in Einklang bringt.\n\n	  <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> Der Lizenzrat der Deutschen Freien Software Lizenz kann mit verbindlicher Wirkung neue Versionen der Lizenz in Kraft setzen, soweit dies erforderlich und zumutbar ist. Neue Versionen der Lizenz werden auf der Internetseite http://www.d-fsl.de mit einer eindeutigen Versionsnummer ver\u00f6ffentlicht. Die neue Version der Lizenz erlangt f\u00fcr Sie verbindliche Wirkung, wenn Sie von deren Ver\u00f6ffentlichung Kenntnis genommen haben. Gesetzliche Rechtsbehelfe gegen die \u00c4nderung der Lizenz werden durch die vorstehenden Bestimmungen nicht beschr\u00e4nkt.\n\n	  <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> Sie d\u00fcrfen diese Lizenz in unver\u00e4nderter Form vervielf\u00e4ltigen, verbreiten und \u00f6ffentlich zug\u00e4nglich machen.\n\n   \u00a7 10 Anwendbares Recht\n\n   Auf diese Lizenz findet deutsches Recht Anwendung.\n\n   Anhang: Wie unterstellen Sie ein Programm der Deutschen Freien Software Lizenz?\n\n   Um jedermann den Abschluss dieser Lizenz zu erm\u00f6glichen, wird empfohlen, das Programm mit folgendem Hinweis auf die Lizenz zu versehen:\n\n   \"Copyright (C) 20[jj] [Name des Rechtsinhabers].\n\n   Dieses Programm kann durch jedermann gem\u00e4\u00df den Bestimmungen der Deutschen Freien Software Lizenz genutzt werden.\n\n   Die Lizenz kann unter http://www.d-fsl.de abgerufen werden.\"\n\n   "
		self.name = "Deutsche Freie Software Lizenz"
		self.licenseComments = "This license was created for and is backed by the German state. The English translation can be found here: http://www.dipp.nrw.de/d-fsl/index_html/lizenzen/en/D-FSL-1_0_en.txt"
		self.licenseId = "D-FSL-1.0"
		self.crossRef = [{"match": "False", "url": "https://www.hbz-nrw.de/produkte/open-access/lizenzen/dfsl/deutsche-freie-software-lizenz", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:30Z", "isWayBackLink": False, "order": 4}, {"match": "False", "url": "https://www.hbz-nrw.de/produkte/open-access/lizenzen/dfsl", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:31Z", "isWayBackLink": False, "order": 3}, {"match": "N/A", "url": "https://www.hbz-nrw.de/produkte/open-access/lizenzen/dfsl/D-FSL-1_0_de.txt/at_download/file", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:10:31Z", "isWayBackLink": False, "order": 6}, {"match": "False", "url": "https://www.hbz-nrw.de/produkte/open-access/lizenzen/dfsl/german-free-software-license", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:31Z", "isWayBackLink": False, "order": 5}, {"match": "False", "url": "http://www.dipp.nrw.de/d-fsl/lizenzen/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:32Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "http://www.dipp.nrw.de/d-fsl/index_html/lizenzen/en/D-FSL-1_0_en.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:33Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "http://www.dipp.nrw.de/d-fsl/index_html/lizenzen/de/D-FSL-1_0_de.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:33Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "https://www.hbz-nrw.de/produkte/open-access/lizenzen/dfsl/D-FSL-1_0_en.txt/at_download/file", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:10:34Z", "isWayBackLink": False, "order": 7}]
		self.seeAlso = ["http://www.dipp.nrw.de/d-fsl/lizenzen/", "http://www.dipp.nrw.de/d-fsl/index_html/lizenzen/de/D-FSL-1_0_de.txt", "http://www.dipp.nrw.de/d-fsl/index_html/lizenzen/en/D-FSL-1_0_en.txt", "https://www.hbz-nrw.de/produkte/open-access/lizenzen/dfsl", "https://www.hbz-nrw.de/produkte/open-access/lizenzen/dfsl/deutsche-freie-software-lizenz", "https://www.hbz-nrw.de/produkte/open-access/lizenzen/dfsl/german-free-software-license", "https://www.hbz-nrw.de/produkte/open-access/lizenzen/dfsl/D-FSL-1_0_de.txt/at_download/file", "https://www.hbz-nrw.de/produkte/open-access/lizenzen/dfsl/D-FSL-1_0_en.txt/at_download/file"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<div class=\"optional-license-text\"> \n			<p>Deutsche Freie Software Lizenz</p>\n\n		</div>\n		<p>(c) Ministerium f\u00fcr Wissenschaft und Forschung Nordrhein-Westfalen 2004</p>\n\n		<div class=\"optional-license-text\"> \n			<p>Erstellt von Axel Metzger und Till Jaeger, Institut f\u00fcr Rechtsfragen der Freien und Open Source Software\n			  - <var class=\"replaceable-license-text\"> (</var>http://www.ifross.de<var class=\"replaceable-license-text\"> )</var>.</p>\n\n			<p>Pr\u00e4ambel</p>\n\n			<p>Software ist mehr als ein Wirtschaftsgut. Sie ist die technische Grundlage der Informationsgesellschaft.\n			 Die Frage der Teilhabe der Allgemeinheit ist deswegen von besonderer Bedeutung. Herk\u00f6mmlich\n			 lizenzierte Programme werden nur im Object Code vertrieben, der Nutzer darf das Programm weder\n			 ver\u00e4ndern noch weitergeben. Das Lizenzmodell der Freien Software (synonym &quot;Open Source Software&quot;)\n			 gew\u00e4hrt Ihnen dagegen umfassende Freiheiten im Umgang mit dem Programm. Die Deutsche Freie Software\n			 Lizenz folgt diesem Lizenzmodell. Sie gew\u00e4hrt Ihnen das Recht, das Programm in umfassender Weise zu\n			 nutzen. Es ist Ihnen gestattet, das Programm nach Ihren Vorstellungen zu ver\u00e4ndern, in ver\u00e4nderter\n			 oder unver\u00e4nderter Form zu vervielf\u00e4ltigen, zu verbreiten und \u00f6ffentlich zug\u00e4nglich zu machen. Diese\n			 Rechte werden unentgeltlich einger\u00e4umt.</p>\n\n			<p>Die Deutsche Freie Software Lizenz verbindet die Rechtseinr\u00e4umung allerdings mit Pflichten, die dem Zweck\n			 dienen, das freie Zirkulieren des Programms und aller ver\u00f6ffentlichten Fortentwicklungen zu sichern.\n			 Wenn Sie das Programm verbreiten oder \u00f6ffentlich zug\u00e4nglich machen, dann m\u00fcssen Sie jedem, der das\n			 Programm von Ihnen erh\u00e4lt, eine Kopie dieser Lizenz mitliefern und den Zugriff auf den Source Code\n			 erm\u00f6glichen. Eine weitere Pflicht betrifft Fortentwicklungen des Programms. \u00c4nderungen am Programm,\n			 die Sie \u00f6ffentlich verbreiten oder zug\u00e4nglich machen, m\u00fcssen nach den Bestimmungen dieser Lizenz frei\n			 gegeben werden.</p>\n\n			<p>Die Deutsche Freie Software Lizenz nimmt auf die besonderen Anforderungen des deutschen und europ\u00e4ischen\n			 Rechts R\u00fccksicht. Sie ist zweisprachig gestaltet und damit auch auf den internationalen Vertrieb\n			 ausgerichtet.</p>\n\n		</div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<p>\u00a7 0 Definitionen</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<p>Dokumentation: Die Beschreibung des Aufbaus und/oder der Struktur der Programmierung und/oder der\n					 Funktionalit\u00e4ten des Programms, unabh\u00e4ngig davon, ob sie im Source Code oder gesondert vorgenommen\n					 wird.</p>\n\n				</li>\n				\n<li>\n					<p>Lizenz: Die zwischen dem Lizenzgeber und Ihnen geschlossene Vereinbarung mit dem Inhalt der &quot;Deutschen\n					 Freien Software Lizenz&quot; bzw. das Angebot hierzu.</p>\n\n				</li>\n				\n<li>\n					<p>Lizenznehmer: Jede nat\u00fcrliche oder juristische Person, die die Lizenz angenommen hat.</p>\n\n				</li>\n				\n<li>\n					<p>Programm: Jedes Computerprogramm, das von den Rechtsinhabern nach den Bestimmungen dieser Lizenz\n					 verbreitet oder \u00f6ffentlich zug\u00e4nglich gemacht worden ist.</p>\n\n				</li>\n				\n<li>\n					<p>Object Code: Die maschinenlesbare, \u00fcbersetzte Form des Programms.</p>\n\n				</li>\n				\n<li>\n					<p>\u00d6ffentlich: Nicht nur an einen bestimmten Personenkreis gerichtet, der pers\u00f6nlich oder durch die\n					 Zugeh\u00f6rigkeit zu einer juristischen Person oder einem \u00f6ffentlichen Tr\u00e4ger miteinander verbunden\n					 ist.</p>\n\n				</li>\n				\n<li>\n					<p>\u00d6ffentlich zug\u00e4nglich machen: Die \u00f6ffentliche Weitergabe des Programms in unk\u00f6rperlicher Form,\n					 insbesondere das Bereithalten zum Download in Datennetzen.</p>\n\n				</li>\n				\n<li>\n					<p>Rechtsinhaber: Der bzw. die Urheber oder sonstigen Inhaber der ausschlie\u00dflichen Nutzungsrechte an dem\n					 Programm.</p>\n\n				</li>\n				\n<li>\n					<p>Source Code: Die f\u00fcr Menschen lesbare, in Programmiersprache dargestellte Form des Programms.</p>\n\n				</li>\n				\n<li>\n					<p>Ver\u00e4ndern: Jede Erweiterung, K\u00fcrzung und Bearbeitung des Programms, insbesondere Weiterentwicklungen.</p>\n\n				</li>\n				\n<li>\n					<p>Verbreiten: Die \u00f6ffentliche Weitergabe k\u00f6rperlicher Vervielf\u00e4ltigungsst\u00fccke, insbesondere auf\n					 Datentr\u00e4gern oder in Verbindung mit Hardware.</p>\n\n				</li>\n				\n<li>\n					<p>Vollst\u00e4ndiger Source Code: Der Source Code in der f\u00fcr die Erstellung bzw. die Bearbeitung benutzten Form\n					 zusammen mit den zur \u00dcbersetzung und Installation erforderlichen Konfigurationsdateien und\n					 Software-Werkzeugen, sofern diese in der ben\u00f6tigten Form nicht allgemein gebr\u00e4uchlich (z.B.\n					 Standard-Kompiler) oder f\u00fcr jedermann lizenzgeb\u00fchrenfrei im Internet abrufbar sind.</p>\n\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>\u00a7 1 Rechte</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> (1)</var>\n				Sie d\u00fcrfen das Programm in unver\u00e4nderter Form vervielf\u00e4ltigen, verbreiten und \u00f6ffentlich\n				 zug\u00e4nglich machen.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (2)</var>\n					Sie d\u00fcrfen das Programm ver\u00e4ndern und entsprechend ver\u00e4nderte Versionen vervielf\u00e4ltigen,\n					 verbreiten und \u00f6ffentlich zug\u00e4nglich machen. Gestattet ist auch die Kombination des Programms\n					 oder Teilen hiervon mit anderen Programmen.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (3)</var>\n					Sie erhalten die Rechte unentgeltlich.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>\u00a7 2 Pflichten beim Vertrieb</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> (1)</var>\n					Wenn Sie das Programm verbreiten oder \u00f6ffentlich zug\u00e4nglich machen, sei es in unver\u00e4nderter oder\n					 ver\u00e4nderter Form, sei es in einer Kombination mit anderen Programmen oder in Verbindung mit\n					 Hardware, dann m\u00fcssen sie mitliefern:\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.</var>\n					alle Vermerke im Source Code und/oder Object Code, die auf diese Lizenz hinweisen;\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.</var>\n					alle Vermerke im Source Code und/oder Object Code, die \u00fcber die Urheber des Programms Auskunft geben;\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.</var>\n					einen f\u00fcr den Empf\u00e4nger deutlich wahrnehmbaren Hinweis auf diese Lizenz und die Internetadresse\n					  <var class=\"optional-license-text\"> &lt;</var>http://www.d-fsl.de<var class=\"optional-license-text\"> &gt;</var>;\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.</var>\n					den vollst\u00e4ndigen Text dieser Lizenz in deutlich wahrnehmbarer Weise.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (2)</var>\n					Wenn bei der Installation des Programms und/oder beim Programmstart Lizenz- und/oder\n					 Vertragsbedingungen angezeigt werden, dann m\u00fcssen\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.</var>\n					diese Lizenz,\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.</var>\n					ein Hinweis auf diese Lizenz und\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.</var>\n					ein Hinweis auf den oder die Rechtsinhaber an den ersten unter dieser Lizenz nutzbaren\n					 Programmbestandteilen\n					<br />\n\n	  ebenfalls angezeigt werden.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (3)</var>\n					Sie d\u00fcrfen die Nutzung des Programms nicht von Pflichten oder Bedingungen abh\u00e4ngig machen, die\n					 nicht in dieser Lizenz vorgesehen sind.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (4)</var>\n					Sofern Sie mit dem Programm eine Dokumentation erhalten haben, muss diese Dokumentation\n					 entsprechend mitgeliefert werden, es sei denn, die freie Mitlieferung der Dokumentation ist\n					 Ihnen aufgrund der Lizenz f\u00fcr die Dokumentation nicht gestattet.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>\u00a7 3 Weitere Pflichten beim Vertrieb ver\u00e4nderter Versionen</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> (1)</var>\n					Ver\u00e4nderte Versionen des Programms d\u00fcrfen Sie nur unter den Bedingungen dieser Lizenz verbreiten\n					 oder \u00f6ffentlich zug\u00e4nglich machen, so dass Dritte das ver\u00e4nderte Programm insgesamt unter\n					 dieser Lizenz nutzen k\u00f6nnen.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (2)</var>\n					Wird das Programm oder ein Teil hiervon mit einem anderen Programm kombiniert, gilt auch die\n					 Kombination insgesamt als eine ver\u00e4nderte Version des Programms, es sei denn, das andere\n					 Programm ist formal und inhaltlich eigenst\u00e4ndig. Ein anderes Programm ist dann als\n					 eigenst\u00e4ndig anzusehen, wenn es die folgenden Voraussetzungen alle erf\u00fcllt:\n					 \n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 1.</var>\n							Der Source Code der kombinierten Programme muss jeweils in eigenen Dateien vorhanden sein, die\n							 keine Bestandteile des anderen Teils enthalten, die \u00fcber die zur Programmkombination \u00fcblichen\n							 und erforderlichen Informationen \u00fcber den anderen Teil hinausgehen, wobei der Source Code des\n							 anderen Programms nicht mitgeliefert werden muss.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 2.</var>\n							Der mit dem Programm kombinierte Teil muss auch dann sinnvoll nutzbar sein, wenn er nicht mit dem\n							 Programm kombiniert wird, und zwar entweder alleine oder mit sonstigen Programmen. Was als\n							 &quot;sinnvoll nutzbar&quot; anzusehen ist, richtet sich nach der Auffassung der betroffenen Fachkreise.\n							 Zu den betroffenen Fachkreisen geh\u00f6ren alle Personen, die das Programm oder Programme mit\n							 vergleichbarer Funktionalit\u00e4t entwickeln, benutzen, verbreiten oder \u00f6ffentlich zug\u00e4nglich\n							 machen.\n						</li>\n					 \n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (3)</var>\n					Wenn Sie das Programm oder einen Teil hiervon - ver\u00e4ndert oder unver\u00e4ndert - zusammen mit einem\n					 anderen Programm verbreiten oder \u00f6ffentlich zug\u00e4nglich machen, das unter der GNU General\n					 Public License (GPL) lizenziert wird, darf das Programm auch unter den Bedingungen der GPL\n					 genutzt werden, sofern es mit dem anderen Programm ein &quot;derivative work&quot; im Sinne der GPL\n					 bildet. Dabei sollen die Hinweise auf diese Lizenz entfernt und durch einen Hinweis auf die\n					 GPL ersetzt werden. Ob bei der Zusammenstellung ein &quot;derivate work&quot; im Sinne der GPL entsteht,\n					 beurteilt sich nach Ziffer 2 b) der GPL. Diese Bestimmung lautet: &quot;You must cause any work\n					 that you distribute or publish, that in whole or in part contains or is derived from the\n					 Program or any part thereof, to be licensed as a whole at no charge to all third parties under\n					 the terms of this License.&quot; Die GPL kann abgerufen werden unter\n					 http://www.fsf.org/licenses/gpl.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (4)</var>\n					Wenn Sie das Programm in einer ver\u00e4nderten Form verbreiten oder \u00f6ffentlich zug\u00e4nglich machen,\n					 m\u00fcssen Sie im Source Code einen Hinweis mit den \u00c4nderungen aufnehmen und mit dem Datum der\n					 \u00c4nderung versehen. Der Hinweis muss erkennen lassen, welche \u00c4nderungen vorgenommen wurden und\n					 bestehende Vermerke, die \u00fcber die Urheber des Programms Auskunft geben, \u00fcbernehmen. Dies gilt\n					 unabh\u00e4ngig davon, ob Sie einen eigenen Urhebervermerk hinzuf\u00fcgen. Anstelle eines Hinweises im\n					 Source Code k\u00f6nnen Sie auch ein Versionskontrollsystem verwenden oder weiterf\u00fchren, sofern\n					 dieses mitverbreitet wird oder \u00f6ffentlich zug\u00e4nglich ist.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (5)</var>\n					Sie d\u00fcrfen von Dritten f\u00fcr die Einr\u00e4umung eines einfachen Nutzungsrechts an ver\u00e4nderten Versionen\n					 des Programms kein Entgelt verlangen.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (6)</var>\n					Wenn Sie an der ver\u00e4nderten Version des Programms ein anderes Schutzrecht als ein Urheberrecht\n					 erwerben, insbesondere ein Patent oder Gebrauchsmuster, lizenzieren Sie dieses Schutzrecht f\u00fcr\n					 ver\u00e4nderte und unver\u00e4nderte Versionen des Programms in dem Umfang, der erforderlich ist, um\n					 die Rechte aus dieser Lizenz wahrnehmen zu k\u00f6nnen.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>\u00a7 4 Weitere Pflichten beim Vertrieb im Object Code</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> (1)</var>\n					Wenn Sie das Programm nur im Object Code verbreiten, dann m\u00fcssen Sie zus\u00e4tzlich zu den in \u00a7 2 und\n					 \u00a7 3 geregelten Pflichten entweder\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 1.</var>\n							den vollst\u00e4ndigen Source Code im Internet \u00f6ffentlich zug\u00e4nglich machen und bei der Verbreitung\n							 des Object Codes deutlich auf die vollst\u00e4ndige Internetadresse hinweisen, unter der der Source\n							 Code abgerufen werden kann oder\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 2.</var>\n							den vollst\u00e4ndigen Source Code auf einem hierf\u00fcr \u00fcblichen Datentr\u00e4ger unter Beachtung der \u00a7\u00a7 2 und\n							 3 mitverbreiten.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (2)</var>\n					Wenn Sie das Programm im Object Code \u00f6ffentlich zug\u00e4nglich machen, dann m\u00fcssen Sie zus\u00e4tzlich zu\n					 den in \u00a7 2 und \u00a7 3 geregelten Pflichten den vollst\u00e4ndigen Source Code im Internet \u00f6ffentlich\n					 zug\u00e4nglich machen und dabei deutlich auf die vollst\u00e4ndige Internetadresse hinweisen.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (3)</var>\n					Sofern Sie mit dem Programm eine Dokumentation erhalten haben, muss diese Dokumentation\n					 entsprechend der Abs\u00e4tze 1 und 2 mitgeliefert werden, es sei denn, die freie Mitlieferung der\n					 Dokumentation ist Ihnen aufgrund der Lizenz f\u00fcr die Dokumentation nicht gestattet.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>\u00a7 5 Vertragsschluss</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> (1)</var>\n					Mit dieser Lizenz wird Ihnen und jeder anderen Person ein Angebot auf Abschluss eines Vertrages\n					 \u00fcber die Nutzung des Programms unter den Bedingungen der Deutschen Freien Softwarelizenz\n					 unterbreitet.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (2)</var>\n					Sie d\u00fcrfen das Programm nach den jeweils anwendbaren gesetzlichen Vorschriften bestimmungsgem\u00e4\u00df\n					 benutzen, ohne dass es der Annahme dieser Lizenz bedarf. Dieses Recht umfasst in der\n					 Europ\u00e4ischen Union und in den meisten anderen Rechtsordnungen insbesondere die folgenden\n					 Befugnisse:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 1.</var>\n							das Programm ablaufen zu lassen sowie die Erstellung von hierf\u00fcr erforderlichen\n							 Vervielf\u00e4ltigungen im Haupt- und Arbeitsspeicher;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 2.</var>\n							das Erstellen einer Sicherungskopie;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 3.</var>\n							die Fehlerberichtigung;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 4.</var>\n							die Weitergabe einer rechtm\u00e4\u00dfig erworbenen k\u00f6rperlichen Kopie des Programms.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (3)</var>\n					Sie erkl\u00e4ren Ihre Zustimmung zum Abschluss dieser Lizenz, indem Sie das Programm verbreiten,\n					 \u00f6ffentlich zug\u00e4nglich machen, ver\u00e4ndern oder in einer Weise vervielf\u00e4ltigen, die \u00fcber die\n					 bestimmungsgem\u00e4\u00dfe Nutzung im Sinne von Absatz 2 hinausgeht. Ab diesem Zeitpunkt ist diese\n					 Lizenz als rechtlich verbindlicher Vertrag zwischen den Rechtsinhabern und Ihnen geschlossen,\n					 ohne dass es eines Zugangs der Annahmeerkl\u00e4rung bei den Rechtsinhabern bedarf.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (4)</var>\n					Sie und jeder andere Lizenznehmer erhalten die Rechte aus dieser Lizenz direkt von den\n					 Rechtsinhabern. Eine Unterlizenzierung oder \u00dcbertragung der Rechte ist nicht gestattet.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>\u00a7 6 Beendigung der Rechte bei Zuwiderhandlung</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> (1)</var>\n					Jede Verletzung Ihrer Verpflichtungen aus dieser Lizenz f\u00fchrt zu einer automatischen Beendigung\n					 Ihrer Rechte aus dieser Lizenz.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (2)</var>\n					Die Rechte Dritter, die das Programm oder Rechte an dem Programm von Ihnen erhalten haben,\n					 bleiben hiervon unber\u00fchrt.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>\u00a7 7 Haftung und Gew\u00e4hrleistung</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> (1)</var>\n					F\u00fcr entgegenstehende Rechte Dritter haften die Rechtsinhaber nur, sofern sie Kenntnis von diesen\n					 Rechten hatten, ohne Sie zu informieren.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (2)</var>\n					Die Haftung f\u00fcr Fehler und sonstige M\u00e4ngel des Programms richtet sich nach den au\u00dferhalb dieser\n					 Lizenz getroffenen Vereinbarungen zwischen Ihnen und den Rechtsinhabern oder, wenn eine solche\n					 Vereinbarung nicht existiert, nach den gesetzlichen Regelungen.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>\u00a7 8 Vertr\u00e4ge mit Dritten</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> (1)</var>\n					Diese Lizenz regelt nur die Beziehung zwischen Ihnen und den Rechtsinhabern. Sie ist nicht\n					 Bestandteil der Vertr\u00e4ge zwischen Ihnen und Dritten.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (2)</var>\n					Die Lizenz beschr\u00e4nkt Sie nicht in der Freiheit, mit Dritten, die von Ihnen Kopien des Programms\n					 erhalten oder Leistungen in Anspruch nehmen, die im Zusammenhang mit dem Programm stehen,\n					 Vertr\u00e4ge beliebigen Inhalts zu schlie\u00dfen, sofern Sie dabei Ihren Verpflichtungen aus dieser\n					 Lizenz nachkommen und die Rechte der Dritten aus dieser Lizenz nicht beeintr\u00e4chtigt werden.\n					 Insbesondere d\u00fcrfen Sie f\u00fcr die \u00dcberlassung des Programms oder sonstige Leistungen ein Entgelt\n					 verlangen.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (3)</var>\n					Diese Lizenz verpflichtet Sie nicht, das Programm an Dritte weiterzugeben. Es steht Ihnen frei zu\n					 entscheiden, wem Sie das Programm zug\u00e4nglich machen. Sie d\u00fcrfen aber die weitere Nutzung durch\n					 Dritte nicht durch den Einsatz technischer Schutzma\u00dfnahmen, insbesondere durch den Einsatz von\n					 Kopierschutzvorrichtungen jeglicher Art, verhindern oder erschweren. Eine passwortgesch\u00fctzte\n					 Zugangsbeschr\u00e4nkung oder die Nutzung in einem Intranet wird nicht als technische\n					 Schutzma\u00dfnahme angesehen.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>\u00a7 9 Text der Lizenz</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> (1)</var>\n					Diese Lizenz ist in deutscher und englischer Sprache abgefasst. Beide Fassungen sind gleich\n					 verbindlich. Es wird unterstellt, dass die in der Lizenz verwandten Begriffe in beiden\n					 Fassungen dieselbe Bedeutung haben. Ergeben sich dennoch Unterschiede, so ist die Bedeutung\n					 ma\u00dfgeblich, welche die Fassungen unter Ber\u00fccksichtigung des Ziels und Zwecks der Lizenz am\n					 besten miteinander in Einklang bringt.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (2)</var>\n					Der Lizenzrat der Deutschen Freien Software Lizenz kann mit verbindlicher Wirkung neue Versionen\n					 der Lizenz in Kraft setzen, soweit dies erforderlich und zumutbar ist. Neue Versionen der\n					 Lizenz werden auf der Internetseite http://www.d-fsl.de mit einer eindeutigen Versionsnummer\n					 ver\u00f6ffentlicht. Die neue Version der Lizenz erlangt f\u00fcr Sie verbindliche Wirkung, wenn Sie von\n					 deren Ver\u00f6ffentlichung Kenntnis genommen haben. Gesetzliche Rechtsbehelfe gegen die \u00c4nderung\n					 der Lizenz werden durch die vorstehenden Bestimmungen nicht beschr\u00e4nkt.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (3)</var>\n					Sie d\u00fcrfen diese Lizenz in unver\u00e4nderter Form vervielf\u00e4ltigen, verbreiten und \u00f6ffentlich\n					 zug\u00e4nglich machen.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>\u00a7 10 Anwendbares Recht</p>\n\n			<p>Auf diese Lizenz findet deutsches Recht Anwendung.</p>\n\n			<p>Anhang: Wie unterstellen Sie ein Programm der Deutschen Freien Software Lizenz?\n			<br />\n\n   Um jedermann den Abschluss dieser Lizenz zu erm\u00f6glichen, wird empfohlen, das Programm mit folgendem\n			 Hinweis auf die Lizenz zu versehen:\n			</p>\n\n			<p>&quot;Copyright (C) 20[jj] [Name des Rechtsinhabers].</p>\n\n			<p>Dieses Programm kann durch jedermann gem\u00e4\u00df den Bestimmungen der Deutschen Freien Software Lizenz genutzt\n			 werden.</p>\n\n			<p>Die Lizenz kann unter http://www.d-fsl.de abgerufen werden.&quot;</p>\n\n		</li>\n	  \n</ul>\n	"
		self.python_name = "DFSL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class EPL20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Eclipse Public License - v 2.0\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS ECLIPSE PUBLIC LICENSE (\u201cAGREEMENT\u201d). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.\n\n1. DEFINITIONS\n\u201cContribution\u201d means:\n\na) in the case of the initial Contributor, the initial content Distributed under this Agreement, and\nb) in the case of each subsequent Contributor:\ni) changes to the Program, and\nii) additions to the Program;\nwhere such changes and/or additions to the Program originate from and are Distributed by that particular Contributor. A Contribution \u201coriginates\u201d from a Contributor if it was added to the Program by such Contributor itself or anyone acting on such Contributor's behalf. Contributions do not include changes or additions to the Program that are not Modified Works.\n\u201cContributor\u201d means any person or entity that Distributes the Program.\n\n\u201cLicensed Patents\u201d mean patent claims licensable by a Contributor which are necessarily infringed by the use or sale of its Contribution alone or when combined with the Program.\n\n\u201cProgram\u201d means the Contributions Distributed in accordance with this Agreement.\n\n\u201cRecipient\u201d means anyone who receives the Program under this Agreement or any Secondary License (as applicable), including Contributors.\n\n\u201cDerivative Works\u201d shall mean any work, whether in Source Code or other form, that is based on (or derived from) the Program and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship.\n\n\u201cModified Works\u201d shall mean any work in Source Code or other form that results from an addition to, deletion from, or modification of the contents of the Program, including, for purposes of clarity any new file in Source Code form that contains any contents of the Program. Modified Works shall not include works that contain only declarations, interfaces, types, classes, structures, or files of the Program solely in each case in order to link to, bind by name, or subclass the Program or Modified Works thereof.\n\n\u201cDistribute\u201d means the acts of a) distributing or b) making available in any manner that enables the transfer of a copy.\n\n\u201cSource Code\u201d means the form of a Program preferred for making modifications, including but not limited to software source code, documentation source, and configuration files.\n\n\u201cSecondary License\u201d means either the GNU General Public License, Version 2.0, or any later versions of that license, including any exceptions or additional permissions as identified by the initial Contributor.\n\n2. GRANT OF RIGHTS\na) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, Distribute and sublicense the Contribution of such Contributor, if any, and such Derivative Works.\nb) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell, import and otherwise transfer the Contribution of such Contributor, if any, in Source Code or other form. This patent license shall apply to the combination of the Contribution and the Program if, at the time the Contribution is added by the Contributor, such addition of the Contribution causes such combination to be covered by the Licensed Patents. The patent license shall not apply to any other combinations which include the Contribution. No hardware per se is licensed hereunder.\nc) Recipient understands that although each Contributor grants the licenses to its Contributions set forth herein, no assurances are provided by any Contributor that the Program does not infringe the patent or other intellectual property rights of any other entity. Each Contributor disclaims any liability to Recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow Recipient to Distribute the Program, it is Recipient's responsibility to acquire that license before distributing the Program.\nd) Each Contributor represents that to its knowledge it has sufficient copyright rights in its Contribution, if any, to grant the copyright license set forth in this Agreement.\ne) Notwithstanding the terms of any Secondary License, no Contributor makes additional grants to any Recipient (other than those set forth in this Agreement) as a result of such Recipient's receipt of the Program under the terms of a Secondary License (if permitted under the terms of Section 3).\n3. REQUIREMENTS\n3.1 If a Contributor Distributes the Program in any form, then:\n\na) the Program must also be made available as Source Code, in accordance with section 3.2, and the Contributor must accompany the Program with a statement that the Source Code for the Program is available under this Agreement, and informs Recipients how to obtain it in a reasonable manner on or through a medium customarily used for software exchange; and\nb) the Contributor may Distribute the Program under a license different than this Agreement, provided that such license:\ni) effectively disclaims on behalf of all other Contributors all warranties and conditions, express and implied, including warranties or conditions of title and non-infringement, and implied warranties or conditions of merchantability and fitness for a particular purpose;\nii) effectively excludes on behalf of all other Contributors all liability for damages, including direct, indirect, special, incidental and consequential damages, such as lost profits;\niii) does not attempt to limit or alter the recipients' rights in the Source Code under section 3.2; and\niv) requires any subsequent distribution of the Program by any party to be under a license that satisfies the requirements of this section 3.\n3.2 When the Program is Distributed as Source Code:\n\na) it must be made available under this Agreement, or if the Program (i) is combined with other material in a separate file or files made available under a Secondary License, and (ii) the initial Contributor attached to the Source Code the notice described in Exhibit A of this Agreement, then the Program may be made available under the terms of such Secondary Licenses, and\nb) a copy of this Agreement must be included with each copy of the Program.\n3.3 Contributors may not remove or alter any copyright, patent, trademark, attribution notices, disclaimers of warranty, or limitations of liability (\u2018notices\u2019) contained within the Program from any copy of the Program which they Distribute, provided that Contributors may add their own appropriate notices.\n\n4. COMMERCIAL DISTRIBUTION\nCommercial distributors of software may accept certain responsibilities with respect to end users, business partners and the like. While this license is intended to facilitate the commercial use of the Program, the Contributor who includes the Program in a commercial product offering should do so in a manner which does not create potential liability for other Contributors. Therefore, if a Contributor includes the Program in a commercial product offering, such Contributor (\u201cCommercial Contributor\u201d) hereby agrees to defend and indemnify every other Contributor (\u201cIndemnified Contributor\u201d) against any losses, damages and costs (collectively \u201cLosses\u201d) arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Contributor to the extent caused by the acts or omissions of such Commercial Contributor in connection with its distribution of the Program in a commercial product offering. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the Commercial Contributor in writing of such claim, and b) allow the Commercial Contributor to control, and cooperate with the Commercial Contributor in, the defense and any related settlement negotiations. The Indemnified Contributor may participate in any such claim at its own expense.\n\nFor example, a Contributor might include the Program in a commercial product offering, Product X. That Contributor is then a Commercial Contributor. If that Commercial Contributor then makes performance claims, or offers warranties related to Product X, those performance claims and warranties are such Commercial Contributor's responsibility alone. Under this section, the Commercial Contributor would have to defend claims against the other Contributors related to those performance claims and warranties, and if a court requires any other Contributor to pay any damages as a result, the Commercial Contributor must pay those damages.\n\n5. NO WARRANTY\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, AND TO THE EXTENT PERMITTED BY APPLICABLE LAW, THE PROGRAM IS PROVIDED ON AN \u201cAS IS\u201d BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness of using and distributing the Program and assumes all risks associated with its exercise of rights under this Agreement, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n6. DISCLAIMER OF LIABILITY\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, AND TO THE EXTENT PERMITTED BY APPLICABLE LAW, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. GENERAL\nIf any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Agreement, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\nIf Recipient institutes patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of the Program with other software or hardware) infringes such Recipient's patent(s), then such Recipient's rights granted under Section 2(b) shall terminate as of the date such litigation is filed.\n\nAll Recipient's rights under this Agreement shall terminate if it fails to comply with any of the material terms or conditions of this Agreement and does not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If all Recipient's rights under this Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as reasonably practicable. However, Recipient's obligations under this Agreement and any licenses granted by Recipient relating to the Program shall continue and survive.\n\nEveryone is permitted to copy and distribute copies of this Agreement, but in order to avoid inconsistency the Agreement is copyrighted and may only be modified in the following manner. The Agreement Steward reserves the right to publish new versions (including revisions) of this Agreement from time to time. No one other than the Agreement Steward has the right to modify this Agreement. The Eclipse Foundation is the initial Agreement Steward. The Eclipse Foundation may assign the responsibility to serve as the Agreement Steward to a suitable separate entity. Each new version of the Agreement will be given a distinguishing version number. The Program (including Contributions) may always be Distributed subject to the version of the Agreement under which it was received. In addition, after a new version of the Agreement is published, Contributor may elect to Distribute the Program (including its Contributions) under the new version.\n\nExcept as expressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights or licenses to the intellectual property of any Contributor under this Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not expressly granted under this Agreement are reserved. Nothing in this Agreement is intended to be enforceable by any entity that is not a Contributor or Recipient. No third-party beneficiary rights are created under this Agreement.\n\nExhibit A \u2013 Form of Secondary Licenses Notice\n\u201cThis Source Code may also be made available under the following Secondary Licenses when the conditions for such availability set forth in the Eclipse Public License, v. 2.0 are satisfied: {name license(s), version(s), and exceptions or additional permissions here}.\u201d\n\nSimply including a copy of this Agreement, including this Exhibit A is not sufficient to license the Source Code under Secondary Licenses.\n\nIf it is not possible or desirable to put the notice in a particular file, then You may include the notice in a location (such as a LICENSE file in a relevant directory) where a recipient would be likely to look for such a notice.\n\nYou may add additional accurate notices of copyright ownership.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Eclipse Public License - v 2.0\n\n<<endOptional>>\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS ECLIPSE PUBLIC LICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> DEFINITIONS\n\n   \"Contribution\" means:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> in the case of the initial Contributor, the initial content Distributed under this Agreement, and\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> in the case of each subsequent Contributor:\n\n		 <<var;name=\"bullet\";original=\"i)\";match=\".{0,20}\">> changes to the Program, and\n\n		 <<var;name=\"bullet\";original=\"ii)\";match=\".{0,20}\">> additions to the Program;\n\n	  where such changes and/or additions to the Program originate from and are Distributed by that particular Contributor. A Contribution \"originates\" from a Contributor if it was added to the Program by such Contributor itself or anyone acting on such Contributor's behalf. Contributions do not include changes or additions to the Program that are not Modified Works.\n\n   \"Contributor\" means any person or entity that Distributes the Program.\n\n   \"Licensed Patents\" mean patent claims licensable by a Contributor which are necessarily infringed by the use or sale of its Contribution alone or when combined with the Program.\n\n   \"Program\" means the Contributions Distributed in accordance with this Agreement.\n\n   \"Recipient\" means anyone who receives the Program under this Agreement or any Secondary License (as applicable), including Contributors.\n\n   \"Derivative Works\" shall mean any work, whether in Source Code or other form, that is based on (or derived from) the Program and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship.\n\n   \"Modified Works\" shall mean any work in Source Code or other form that results from an addition to, deletion from, or modification of the contents of the Program, including, for purposes of clarity any new file in Source Code form that contains any contents of the Program. Modified Works shall not include works that contain only declarations, interfaces, types, classes, structures, or files of the Program solely in each case in order to link to, bind by name, or subclass the Program or Modified Works thereof.\n\n   \"Distribute\" means the acts of a) distributing or b) making available in any manner that enables the transfer of a copy.\n\n   \"Source Code\" means the form of a Program preferred for making modifications, including but not limited to software source code, documentation source, and configuration files.\n\n   \"Secondary License\" means either the GNU General Public License, Version 2.0, or any later versions of that license, including any exceptions or additional permissions as identified by the initial Contributor.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> GRANT OF RIGHTS\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, Distribute and sublicense the Contribution of such Contributor, if any, and such Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell, import and otherwise transfer the Contribution of such Contributor, if any, in Source Code or other form. This patent license shall apply to the combination of the Contribution and the Program if, at the time the Contribution is added by the Contributor, such addition of the Contribution causes such combination to be covered by the Licensed Patents. The patent license shall not apply to any other combinations which include the Contribution. No hardware per se is licensed hereunder.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Recipient understands that although each Contributor grants the licenses to its Contributions set forth herein, no assurances are provided by any Contributor that the Program does not infringe the patent or other intellectual property rights of any other entity. Each Contributor disclaims any liability to Recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow Recipient to Distribute the Program, it is Recipient's responsibility to acquire that license before distributing the Program.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Each Contributor represents that to its knowledge it has sufficient copyright rights in its Contribution, if any, to grant the copyright license set forth in this Agreement.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Notwithstanding the terms of any Secondary License, no Contributor makes additional grants to any Recipient (other than those set forth in this Agreement) as a result of such Recipient's receipt of the Program under the terms of a Secondary License (if permitted under the terms of Section 3).\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> REQUIREMENTS\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> If a Contributor Distributes the Program in any form, then:\n\n		 <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> the Program must also be made available as Source Code, in accordance with section 3.2, and the Contributor must accompany the Program with a statement that the Source Code for the Program is available under this Agreement, and informs Recipients how to obtain it in a reasonable manner on or through a medium customarily used for software exchange; and\n\n		 <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> the Contributor may Distribute the Program under a license different than this Agreement, provided that such license:\n\n			<<var;name=\"bullet\";original=\"i)\";match=\".{0,20}\">> effectively disclaims on behalf of all other Contributors all warranties and conditions, express and implied, including warranties or conditions of title and non-infringement, and implied warranties or conditions of merchantability and fitness for a particular purpose;\n\n			<<var;name=\"bullet\";original=\"ii)\";match=\".{0,20}\">> effectively excludes on behalf of all other Contributors all liability for damages, including direct, indirect, special, incidental and consequential damages, such as lost profits;\n\n			<<var;name=\"bullet\";original=\"iii)\";match=\".{0,20}\">> does not attempt to limit or alter the recipients' rights in the Source Code under section 3.2; and\n\n			<<var;name=\"bullet\";original=\"iv)\";match=\".{0,20}\">> requires any subsequent distribution of the Program by any party to be under a license that satisfies the requirements of this section 3.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> When the Program is Distributed as Source Code:\n\n		 <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> it must be made available under this Agreement, or if the Program (i) is combined with other material in a separate file or files made available under a Secondary License, and (ii) the initial Contributor attached to the Source Code the notice described in Exhibit A of this Agreement, then the Program may be made available under the terms of such Secondary Licenses, and\n\n		 <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> a copy of this Agreement must be included with each copy of the Program.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> Contributors may not remove or alter any copyright, patent, trademark, attribution notices, disclaimers of warranty, or limitations of liability (\"notices\") contained within the Program from any copy of the Program which they Distribute, provided that Contributors may add their own appropriate notices.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> COMMERCIAL DISTRIBUTION\n\n   Commercial distributors of software may accept certain responsibilities with respect to end users, business partners and the like. While this license is intended to facilitate the commercial use of the Program, the Contributor who includes the Program in a commercial product offering should do so in a manner which does not create potential liability for other Contributors. Therefore, if a Contributor includes the Program in a commercial product offering, such Contributor (\"Commercial Contributor\") hereby agrees to defend and indemnify every other Contributor (\"Indemnified Contributor\") against any losses, damages and costs (collectively \"Losses\") arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Contributor to the extent caused by the acts or omissions of such Commercial Contributor in connection with its distribution of the Program in a commercial product offering. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the Commercial Contributor in writing of such claim, and b) allow the Commercial Contributor to control, and cooperate with the Commercial Contributor in, the defense and any related settlement negotiations. The Indemnified Contributor may participate in any such claim at its own expense.\n\n   For example, a Contributor might include the Program in a commercial product offering, Product X. That Contributor is then a Commercial Contributor. If that Commercial Contributor then makes performance claims, or offers warranties related to Product X, those performance claims and warranties are such Commercial Contributor's responsibility alone. Under this section, the Commercial Contributor would have to defend claims against the other Contributors related to those performance claims and warranties, and if a court requires any other Contributor to pay any damages as a result, the Commercial Contributor must pay those damages.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> NO WARRANTY\n\n   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, AND TO THE EXTENT PERMITTED BY APPLICABLE LAW, THE PROGRAM IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness of using and distributing the Program and assumes all risks associated with its exercise of rights under this Agreement, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> DISCLAIMER OF LIABILITY\n\n   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, AND TO THE EXTENT PERMITTED BY APPLICABLE LAW, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> GENERAL\n\n   If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Agreement, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n   If Recipient institutes patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of the Program with other software or hardware) infringes such Recipient's patent(s), then such Recipient's rights granted under Section 2(b) shall terminate as of the date such litigation is filed.\n\n   All Recipient's rights under this Agreement shall terminate if it fails to comply with any of the material terms or conditions of this Agreement and does not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If all Recipient's rights under this Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as reasonably practicable. However, Recipient's obligations under this Agreement and any licenses granted by Recipient relating to the Program shall continue and survive.\n\n   Everyone is permitted to copy and distribute copies of this Agreement, but in order to avoid inconsistency the Agreement is copyrighted and may only be modified in the following manner. The Agreement Steward reserves the right to publish new versions (including revisions) of this Agreement from time to time. No one other than the Agreement Steward has the right to modify this Agreement. The Eclipse Foundation is the initial Agreement Steward. The Eclipse Foundation may assign the responsibility to serve as the Agreement Steward to a suitable separate entity. Each new version of the Agreement will be given a distinguishing version number. The Program (including Contributions) may always be Distributed subject to the version of the Agreement under which it was received. In addition, after a new version of the Agreement is published, Contributor may elect to Distribute the Program (including its Contributions) under the new version.\n\n   Except as expressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights or licenses to the intellectual property of any Contributor under this Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not expressly granted under this Agreement are reserved. Nothing in this Agreement is intended to be enforceable by any entity that is not a Contributor or Recipient. No third-party beneficiary rights are created under this Agreement.\n\n   Exhibit A - Form of Secondary Licenses Notice\n\n   \"This Source Code may also be made available under the following Secondary Licenses when the conditions for such availability set forth in the Eclipse Public License, v. 2.0 are satisfied: {name license(s), version(s), and exceptions or additional permissions here}.\"\n\n   Simply including a copy of this Agreement, including this Exhibit A is not sufficient to license the Source Code under Secondary Licenses.\n\n   If it is not possible or desirable to put the notice in a particular file, then You may include the notice in a location (such as a LICENSE file in a relevant directory) where a recipient would be likely to look for such a notice.\n\n   You may add additional accurate notices of copyright ownership.\n\n   "
		self.name = "Eclipse Public License 2.0"
		self.licenseComments = "Secondary Licenses declared via Exhibit A should be represented using the disjunctive OR operator (See: SPDX spec, section on SPDX License Expressions and https://www.eclipse.org/legal/epl-2.0/faq.php for more info).\n\n"
		self.licenseId = "EPL-2.0"
		self.crossRef = [{"match": "True", "url": "https://www.opensource.org/licenses/EPL-2.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:42Z", "isWayBackLink": False, "order": 1}, {"match": "True", "url": "https://www.eclipse.org/legal/epl-2.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:43Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.eclipse.org/legal/epl-2.0", "https://www.opensource.org/licenses/EPL-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n\t\t<div class=\"optional-license-text\"> \n\t\t\t<p>Eclipse Public License - v 2.0</p>\n\n\t\t</div>\n\t\t<p>THE\n\t\t\tACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS ECLIPSE\n\t\t\tPUBLIC LICENSE (&quot;AGREEMENT&quot;).\n\t\t\tANY USE, REPRODUCTION OR DISTRIBUTION\n\t\t\tOF\n\t\t\tTHE PROGRAM CONSTITUTES\n\t\t\tRECIPIENT&apos;S ACCEPTANCE OF THIS\n\t\t\tAGREEMENT.\n\t\t</p>\n\n<ul style=\"list-style:none\">\n\t\t\t\n<li>\n\t\t\t\t<var class=\"replaceable-license-text\"> 1.</var>\n\t\t\t\tDEFINITIONS\n\t\t\t\t<p>&quot;Contribution&quot;\n\t\t\t\t\tmeans:\n\t\t\t\t</p>\n\n<ul style=\"list-style:none\">\n\t\t\t\t\t\n<li>\n\t\t\t\t\t\t<var class=\"replaceable-license-text\"> a)</var>\n\t\t\t\t\t\tin the case of the initial Contributor, the initial content\n\t\t\t\t\t\tDistributed under this Agreement, and\n\t\t\t\t\t</li>\n\t\t\t\t\t\n<li>\n\t\t\t\t\t\t<var class=\"replaceable-license-text\"> b)</var>\n\t\t\t\t\t\tin the case of each subsequent Contributor:\n\t\t\t\t\t\t\n<ul style=\"list-style:none\">\n\t\t\t\t\t\t\t\n<li>\n\t\t\t\t\t\t\t\t<var class=\"replaceable-license-text\"> i)</var>\n\t\t\t\t\t\t\t\tchanges to the Program, and\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\n<li>\n\t\t\t\t\t\t\t\t<var class=\"replaceable-license-text\"> ii)</var>\n\t\t\t\t\t\t\t\tadditions to the Program;\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\n</ul>\n\t\t\t\t\t\t<p>where\n\t\t\t\t\t\t\tsuch changes and/or additions to the Program originate\n\t\t\t\t\t\t\tfrom\n\t\t\t\t\t\t\tand\n\t\t\t\t\t\t\tare Distributed by that particular Contributor. A\n\t\t\t\t\t\t\tContribution\n\t\t\t\t\t\t\t&quot;originates&quot;\n\t\t\t\t\t\t\tfrom a Contributor if it was added to the\n\t\t\t\t\t\t\tProgram by such\n\t\t\t\t\t\t\tContributor itself or anyone acting on such\n\t\t\t\t\t\t\tContributor&apos;s\n\t\t\t\t\t\t\tbehalf.\n\t\t\t\t\t\t\tContributions do not include changes or\n\t\t\t\t\t\t\tadditions to the\n\t\t\t\t\t\t\tProgram that\n\t\t\t\t\t\t\tare not Modified Works.\n\t\t\t\t\t\t</p>\n\n\t\t\t\t\t</li>\n\t\t\t\t\n</ul>\n\t\t\t\t<p>&quot;Contributor&quot;\n\t\t\t\t\tmeans any person or entity that Distributes the\n\t\t\t\t\tProgram.\n\t\t\t\t</p>\n\n\t\t\t\t<p>&quot;Licensed\n\t\t\t\t\tPatents&quot;\n\t\t\t\t\tmean patent claims licensable by a Contributor\n\t\t\t\t\twhich\n\t\t\t\t\tare necessarily\n\t\t\t\t\tinfringed by the use or sale of its\n\t\t\t\t\tContribution alone\n\t\t\t\t\tor when\n\t\t\t\t\tcombined with the Program.\n\t\t\t\t</p>\n\n\t\t\t\t<p>&quot;Program&quot;\n\t\t\t\t\tmeans the Contributions Distributed in accordance with\n\t\t\t\t\tthis\n\t\t\t\t\tAgreement.\n\t\t\t\t</p>\n\n\t\t\t\t<p>&quot;Recipient&quot;\n\t\t\t\t\tmeans anyone who receives the Program under this\n\t\t\t\t\tAgreement\n\t\t\t\t\tor any\n\t\t\t\t\tSecondary License (as applicable), including\n\t\t\t\t\tContributors.\n\t\t\t\t</p>\n\n\t\t\t\t<p>&quot;Derivative\n\t\t\t\t\tWorks&quot;\n\t\t\t\t\tshall mean any work, whether in Source Code or\n\t\t\t\t\tother\n\t\t\t\t\tform, that is\n\t\t\t\t\tbased on (or derived from) the Program and for\n\t\t\t\t\twhich the\n\t\t\t\t\teditorial\n\t\t\t\t\trevisions, annotations, elaborations, or other\n\t\t\t\t\tmodifications\n\t\t\t\t\trepresent, as a whole, an original work of authorship.\n\t\t\t\t</p>\n\n\t\t\t\t<p>&quot;Modified\n\t\t\t\t\tWorks&quot;\n\t\t\t\t\tshall mean any work in Source Code or other form\n\t\t\t\t\tthat\n\t\t\t\t\tresults from\n\t\t\t\t\tan addition to, deletion from, or modification of\n\t\t\t\t\tthe\n\t\t\t\t\tcontents of\n\t\t\t\t\tthe Program, including, for purposes of clarity any\n\t\t\t\t\tnew\n\t\t\t\t\tfile\n\t\t\t\t\tin\n\t\t\t\t\tSource Code form that contains any contents of the\n\t\t\t\t\tProgram.\n\t\t\t\t\tModified\n\t\t\t\t\tWorks shall not include works that contain only\n\t\t\t\t\tdeclarations,\n\t\t\t\t\tinterfaces,\n\t\t\t\t\ttypes, classes, structures, or files of the\n\t\t\t\t\tProgram solely in each case\n\t\t\t\t\tin order to link to, bind by name, or\n\t\t\t\t\tsubclass the Program or\n\t\t\t\t\tModified\n\t\t\t\t\tWorks thereof.\n\t\t\t\t</p>\n\n\t\t\t\t<p>&quot;Distribute&quot;\n\t\t\t\t\tmeans the acts of a) distributing or b) making\n\t\t\t\t\tavailable\n\t\t\t\t\tin any\n\t\t\t\t\tmanner that enables the transfer of a copy.\n\t\t\t\t</p>\n\n\t\t\t\t<p>&quot;Source\n\t\t\t\t\tCode&quot;\n\t\t\t\t\tmeans the form of a Program preferred for making\n\t\t\t\t\tmodifications,\n\t\t\t\t\tincluding but not limited to software source code,\n\t\t\t\t\tdocumentation\n\t\t\t\t\tsource, and configuration files.\n\t\t\t\t</p>\n\n\t\t\t\t<p>&quot;Secondary\n\t\t\t\t\tLicense&quot;\n\t\t\t\t\tmeans either the GNU General Public License,\n\t\t\t\t\tVersion 2.0, or any\n\t\t\t\t\tlater versions of that license, including any\n\t\t\t\t\texceptions or\n\t\t\t\t\tadditional permissions as identified by the initial\n\t\t\t\t\tContributor.\n\t\t\t\t</p>\n\n\t\t\t</li>\n\t\t\t\n<li>\n\t\t\t\t<var class=\"replaceable-license-text\"> 2.</var>\n\t\t\t\tGRANT OF RIGHTS\n\t\t\t\t\n<ul style=\"list-style:none\">\n\t\t\t\t\t\n<li>\n\t\t\t\t\t\t<var class=\"replaceable-license-text\"> a)</var>\n\t\t\t\t\t\tSubject to the terms of this Agreement, each Contributor hereby\n\t\t\t\t\t\tgrants Recipient a non-exclusive, worldwide, royalty-free\n\t\t\t\t\t\tcopyright\n\t\t\t\t\t\tlicense to reproduce, prepare Derivative Works of,\n\t\t\t\t\t\tpublicly display,\n\t\t\t\t\t\tpublicly perform, Distribute and sublicense the\n\t\t\t\t\t\tContribution of\n\t\t\t\t\t\tsuch\n\t\t\t\t\t\tContributor, if any, and such Derivative Works.\n\t\t\t\t\t</li>\n\t\t\t\t\t\n<li>\n\t\t\t\t\t\t<var class=\"replaceable-license-text\"> b)</var>\n\t\t\t\t\t\tSubject to the terms of this Agreement, each Contributor hereby\n\t\t\t\t\t\tgrants Recipient a non-exclusive, worldwide, royalty-free patent\n\t\t\t\t\t\tlicense under Licensed Patents to make, use, sell, offer to sell,\n\t\t\t\t\t\timport and otherwise transfer the Contribution of such\n\t\t\t\t\t\tContributor,\n\t\t\t\t\t\tif any, in Source Code or other form. This patent\n\t\t\t\t\t\tlicense shall\n\t\t\t\t\t\tapply to the combination of the Contribution and the\n\t\t\t\t\t\tProgram if,\n\t\t\t\t\t\tat the time the Contribution is added by the\n\t\t\t\t\t\tContributor, such\n\t\t\t\t\t\taddition of the Contribution causes such\n\t\t\t\t\t\tcombination to be covered\n\t\t\t\t\t\tby the Licensed Patents. The patent\n\t\t\t\t\t\tlicense shall not apply to any\n\t\t\t\t\t\tother combinations which include the\n\t\t\t\t\t\tContribution. No hardware per\n\t\t\t\t\t\tse is licensed hereunder.\n\t\t\t\t\t</li>\n\t\t\t\t\t\n<li>\n\t\t\t\t\t\t<var class=\"replaceable-license-text\"> c)</var>\n\t\t\t\t\t\tRecipient understands that although each Contributor grants the\n\t\t\t\t\t\tlicenses to its Contributions set forth herein, no assurances are\n\t\t\t\t\t\tprovided by any Contributor that the Program does not infringe the\n\t\t\t\t\t\tpatent or other intellectual property rights of any other entity.\n\t\t\t\t\t\tEach Contributor disclaims any liability to Recipient for claims\n\t\t\t\t\t\tbrought by any other entity based on infringement of intellectual\n\t\t\t\t\t\tproperty rights or otherwise. As a condition to exercising the\n\t\t\t\t\t\trights\n\t\t\t\t\t\tand licenses granted hereunder, each Recipient hereby\n\t\t\t\t\t\tassumes sole\n\t\t\t\t\t\tresponsibility to secure any other intellectual\n\t\t\t\t\t\tproperty rights\n\t\t\t\t\t\tneeded,\n\t\t\t\t\t\tif any. For example, if a third party patent\n\t\t\t\t\t\tlicense is required to\n\t\t\t\t\t\tallow Recipient to Distribute the Program,\n\t\t\t\t\t\tit is Recipient&apos;s\n\t\t\t\t\t\tresponsibility to acquire that license\n\t\t\t\t\t\tbefore distributing the\n\t\t\t\t\t\tProgram.\n\t\t\t\t\t</li>\n\t\t\t\t\t\n<li>\n\t\t\t\t\t\t<var class=\"replaceable-license-text\"> d)</var>\n\t\t\t\t\t\tEach Contributor represents that to its knowledge it has\n\t\t\t\t\t\tsufficient\n\t\t\t\t\t\tcopyright rights in its Contribution, if any, to grant\n\t\t\t\t\t\tthe copyright\n\t\t\t\t\t\tlicense set forth in this Agreement.\n\t\t\t\t\t</li>\n\t\t\t\t\t\n<li>\n\t\t\t\t\t\t<var class=\"replaceable-license-text\"> e)</var>\n\t\t\t\t\t\tNotwithstanding the terms of any Secondary License, no Contributor\n\t\t\t\t\t\tmakes additional grants to any Recipient (other than those set\n\t\t\t\t\t\tforth\n\t\t\t\t\t\tin this Agreement) as a result of such Recipient&apos;s\n\t\t\t\t\t\treceipt of\n\t\t\t\t\t\tthe\n\t\t\t\t\t\tProgram under the terms of a Secondary License (if\n\t\t\t\t\t\tpermitted under\n\t\t\t\t\t\tthe terms of Section 3).\n\t\t\t\t\t</li>\n\t\t\t\t\n</ul>\n\t\t\t</li>\n\t\t\t\n<li>\n\t\t\t\t<var class=\"replaceable-license-text\"> 3.</var>\n\t\t\t\tREQUIREMENTS\n\t\t\t\t\n<ul style=\"list-style:none\">\n\t\t\t\t\t\n<li>\n\t\t\t\t\t\t<var class=\"replaceable-license-text\"> 3.1</var>\n\t\t\t\t\t\tIf a Contributor Distributes the Program in any form, then:\n\t\t\t\t\t\t\n<ul style=\"list-style:none\">\n\t\t\t\t\t\t\t\n<li>\n\t\t\t\t\t\t\t\t<var class=\"replaceable-license-text\"> a)</var>\n\t\t\t\t\t\t\t\tthe Program must also be made available as Source Code, in\n\t\t\t\t\t\t\t\taccordance with section 3.2, and the Contributor must accompany\n\t\t\t\t\t\t\t\tthe Program with a statement that the Source Code for the\n\t\t\t\t\t\t\t\tProgram\n\t\t\t\t\t\t\t\tis available under this Agreement, and informs Recipients\n\t\t\t\t\t\t\t\thow to\n\t\t\t\t\t\t\t\tobtain it in a reasonable manner on or through a medium\n\t\t\t\t\t\t\t\tcustomarily\n\t\t\t\t\t\t\t\tused for software exchange; and\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\n<li>\n\t\t\t\t\t\t\t\t<var class=\"replaceable-license-text\"> b)</var>\n\t\t\t\t\t\t\t\tthe Contributor may Distribute the Program under a license\n\t\t\t\t\t\t\t\tdifferent than this Agreement, provided that such license:\n\t\t\t\t\t\t\t\t\n<ul style=\"list-style:none\">\n\t\t\t\t\t\t\t\t\t\n<li>\n\t\t\t\t\t\t\t\t\t\t<var class=\"replaceable-license-text\"> i)</var>\n\t\t\t\t\t\t\t\t\t\teffectively disclaims on behalf of all other Contributors all\n\t\t\t\t\t\t\t\t\t\twarranties and conditions, express and implied, including\n\t\t\t\t\t\t\t\t\t\twarranties\n\t\t\t\t\t\t\t\t\t\tor conditions of title and non-infringement, and\n\t\t\t\t\t\t\t\t\t\timplied\n\t\t\t\t\t\t\t\t\t\twarranties\n\t\t\t\t\t\t\t\t\t\tor conditions of merchantability and fitness\n\t\t\t\t\t\t\t\t\t\tfor a particular\n\t\t\t\t\t\t\t\t\t\tpurpose;\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t\n<li>\n\t\t\t\t\t\t\t\t\t\t<var class=\"replaceable-license-text\"> ii)</var>\n\t\t\t\t\t\t\t\t\t\teffectively excludes on behalf of all other Contributors all\n\t\t\t\t\t\t\t\t\t\tliability for damages, including direct, indirect, special,\n\t\t\t\t\t\t\t\t\t\tincidental\n\t\t\t\t\t\t\t\t\t\tand consequential damages, such as lost profits;\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t\n<li>\n\t\t\t\t\t\t\t\t\t\t<var class=\"replaceable-license-text\"> iii)</var>\n\t\t\t\t\t\t\t\t\t\tdoes not attempt to limit or alter the recipients&apos; rights\n\t\t\t\t\t\t\t\t\t\tin the\n\t\t\t\t\t\t\t\t\t\tSource Code under section 3.2; and\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\t\n<li>\n\t\t\t\t\t\t\t\t\t\t<var class=\"replaceable-license-text\"> iv)</var>\n\t\t\t\t\t\t\t\t\t\trequires any subsequent distribution of the Program by any\n\t\t\t\t\t\t\t\t\t\tparty\n\t\t\t\t\t\t\t\t\t\tto be under a license that satisfies the requirements of\n\t\t\t\t\t\t\t\t\t\tthis\n\t\t\t\t\t\t\t\t\t\tsection 3.\n\t\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\t\n</ul>\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\n</ul>\n\t\t\t\t\t</li>\n\t\t\t\t\t\n<li>\n\t\t\t\t\t\t<var class=\"replaceable-license-text\"> 3.2</var>\n\t\t\t\t\t\tWhen the Program is Distributed as Source Code:\n\t\t\t\t\t\t\n<ul style=\"list-style:none\">\n\t\t\t\t\t\t\t\n<li>\n\t\t\t\t\t\t\t\t<var class=\"replaceable-license-text\"> a)</var>\n\t\t\t\t\t\t\t\tit must be made available under this Agreement, or if the\n\t\t\t\t\t\t\t\tProgram (i)\n\t\t\t\t\t\t\t\tis combined with other material in a separate file or\n\t\t\t\t\t\t\t\tfiles made\n\t\t\t\t\t\t\t\tavailable\n\t\t\t\t\t\t\t\tunder a Secondary License, and (ii) the\n\t\t\t\t\t\t\t\tinitial Contributor attached\n\t\t\t\t\t\t\t\tto\n\t\t\t\t\t\t\t\tthe Source Code the notice\n\t\t\t\t\t\t\t\tdescribed in Exhibit A of this\n\t\t\t\t\t\t\t\tAgreement,\n\t\t\t\t\t\t\t\tthen the Program may be\n\t\t\t\t\t\t\t\tmade available under the terms of such\n\t\t\t\t\t\t\t\tSecondary Licenses, and\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t\n<li>\n\t\t\t\t\t\t\t\t<var class=\"replaceable-license-text\"> b)</var>\n\t\t\t\t\t\t\t\ta copy of this Agreement must be included with each copy of the\n\t\t\t\t\t\t\t\tProgram.\n\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\n</ul>\n\t\t\t\t\t</li>\n\t\t\t\t\t\n<li>\n\t\t\t\t\t\t<var class=\"replaceable-license-text\"> 3.3</var>\n\t\t\t\t\t\tContributors may not remove or alter any copyright, patent,\n\t\t\t\t\t\ttrademark,\n\t\t\t\t\t\tattribution notices, disclaimers of warranty, or\n\t\t\t\t\t\tlimitations of liability\n\t\t\t\t\t\t(&quot;notices&quot;)\n\t\t\t\t\t\tcontained within the Program\n\t\t\t\t\t\tfrom any copy of the Program which\n\t\t\t\t\t\tthey Distribute, provided that\n\t\t\t\t\t\tContributors may add their own\n\t\t\t\t\t\tappropriate\n\t\t\t\t\t\tnotices.\n\t\t\t\t\t</li>\n\t\t\t\t\n</ul>\n\t\t\t</li>\n\t\t\t\n<li>\n\t\t\t\t<var class=\"replaceable-license-text\"> 4.</var>\n\t\t\t\tCOMMERCIAL DISTRIBUTION\n\t\t\t\t<p>Commercial\n\t\t\t\t\tdistributors of software may accept certain\n\t\t\t\t\tresponsibilities\n\t\t\t\t\twith\n\t\t\t\t\trespect to end users, business partners and the\n\t\t\t\t\tlike. While this\n\t\t\t\t\tlicense is intended to facilitate the commercial\n\t\t\t\t\tuse of the\n\t\t\t\t\tProgram, the\n\t\t\t\t\tContributor who includes the Program in a\n\t\t\t\t\tcommercial\n\t\t\t\t\tproduct offering should\n\t\t\t\t\tdo so in a manner which does not\n\t\t\t\t\tcreate\n\t\t\t\t\tpotential liability for\n\t\t\t\t\tother\n\t\t\t\t\tContributors. Therefore, if a\n\t\t\t\t\tContributor includes the Program in a\n\t\t\t\t\tcommercial product offering,\n\t\t\t\t\tsuch Contributor (&quot;Commercial\n\t\t\t\t\tContributor&quot;)\n\t\t\t\t\thereby agrees to defend\n\t\t\t\t\tand indemnify every other Contributor\n\t\t\t\t\t(&quot;Indemnified\n\t\t\t\t\tContributor&quot;)\n\t\t\t\t\tagainst any losses, damages and costs\n\t\t\t\t\t(collectively &quot;Losses&quot;)\n\t\t\t\t\tarising from claims, lawsuits and other legal actions\n\t\t\t\t\tbrought by a\n\t\t\t\t\tthird party against the Indemnified Contributor to the\n\t\t\t\t\textent\n\t\t\t\t\tcaused\n\t\t\t\t\tby the acts or omissions of such Commercial Contributor in\n\t\t\t\t\tconnection\n\t\t\t\t\twith its distribution of the Program in a commercial\n\t\t\t\t\tproduct offering.\n\t\t\t\t\tThe obligations in this section do not apply to\n\t\t\t\t\tany claims or\n\t\t\t\t\tLosses relating\n\t\t\t\t\tto any actual or alleged intellectual\n\t\t\t\t\tproperty infringement. In\n\t\t\t\t\torder to\n\t\t\t\t\tqualify, an Indemnified\n\t\t\t\t\tContributor must: a) promptly notify the\n\t\t\t\t\tCommercial Contributor in\n\t\t\t\t\twriting of such claim, and b) allow the\n\t\t\t\t\tCommercial\n\t\t\t\t\tContributor to\n\t\t\t\t\tcontrol, and cooperate with the Commercial Contributor in,\n\t\t\t\t\tthe\n\t\t\t\t\tdefense and any related settlement negotiations. The Indemnified\n\t\t\t\t\tContributor may participate in any such claim at its own expense.\n\t\t\t\t</p>\n\n\t\t\t\t<p>For example, a Contributor might include the Program\n\t\t\t\t\tin a\n\t\t\t\t\tcommercial product offering, Product X. That Contributor is\n\t\t\t\t\tthen a\n\t\t\t\t\tCommercial Contributor. If that Commercial Contributor then makes\n\t\t\t\t\tperformance\n\t\t\t\t\tclaims, or offers warranties related to Product X,\n\t\t\t\t\tthose\n\t\t\t\t\tperformance\n\t\t\t\t\tclaims\n\t\t\t\t\tand warranties are such Commercial\n\t\t\t\t\tContributor&apos;s responsibility\n\t\t\t\t\talone.\n\t\t\t\t\tUnder this section, the\n\t\t\t\t\tCommercial Contributor would have to defend\n\t\t\t\t\tclaims\n\t\t\t\t\tagainst the other\n\t\t\t\t\tContributors related to those performance claims and\n\t\t\t\t\twarranties,\n\t\t\t\t\tand\n\t\t\t\t\tif a court requires any other Contributor to pay\n\t\t\t\t\tany damages\n\t\t\t\t\tas\n\t\t\t\t\ta\n\t\t\t\t\tresult, the Commercial Contributor must pay those damages.\n\t\t\t\t</p>\n\n\t\t\t</li>\n\t\t\t\n<li>\n\t\t\t\t<var class=\"replaceable-license-text\"> 5.</var>\n\t\t\t\tNO WARRANTY\n\t\t\t\t<p>EXCEPT\n\t\t\t\t\tAS EXPRESSLY SET FORTH IN THIS AGREEMENT, AND TO THE EXTENT\n\t\t\t\t\tPERMITTED\n\t\t\t\t\tBY APPLICABLE LAW, THE PROGRAM IS PROVIDED ON AN &quot;AS\n\t\t\t\t\tIS&quot;\n\t\t\t\t\tBASIS, WITHOUT\n\t\t\t\t\tWARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS\n\t\t\t\t\tOR IMPLIED INCLUDING,\n\t\t\t\t\tWITHOUT LIMITATION, ANY WARRANTIES OR\n\t\t\t\t\tCONDITIONS OF TITLE,\n\t\t\t\t\tNON-INFRINGEMENT,\n\t\t\t\t\tMERCHANTABILITY OR FITNESS\n\t\t\t\t\tFOR\n\t\t\t\t\tA PARTICULAR PURPOSE. Each Recipient is\n\t\t\t\t\tsolely responsible for\n\t\t\t\t\tdetermining the appropriateness of using and\n\t\t\t\t\tdistributing the\n\t\t\t\t\tProgram and assumes all risks associated with its\n\t\t\t\t\texercise of\n\t\t\t\t\trights\n\t\t\t\t\tunder this Agreement, including but not limited\n\t\t\t\t\tto the\n\t\t\t\t\trisks\n\t\t\t\t\tand costs\n\t\t\t\t\tof program errors, compliance with applicable laws,\n\t\t\t\t\tdamage\n\t\t\t\t\tto or loss\n\t\t\t\t\tof data, programs or equipment, and\n\t\t\t\t\tunavailability or\n\t\t\t\t\tinterruption of\n\t\t\t\t\toperations.\n\t\t\t\t</p>\n\n\t\t\t</li>\n\t\t\t\n<li>\n\t\t\t\t<var class=\"replaceable-license-text\"> 6.</var>\n\t\t\t\tDISCLAIMER OF LIABILITY\n\t\t\t\t<p>EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, AND TO THE\n\t\t\t\t\tEXTENT PERMITTED\n\t\t\t\t\tBY APPLICABLE LAW, NEITHER RECIPIENT NOR ANY\n\t\t\t\t\tCONTRIBUTORS SHALL HAVE\n\t\t\t\t\tANY\n\t\t\t\t\tLIABILITY FOR ANY DIRECT, INDIRECT,\n\t\t\t\t\tINCIDENTAL, SPECIAL, EXEMPLARY,\n\t\t\t\t\tOR CONSEQUENTIAL DAMAGES (INCLUDING\n\t\t\t\t\tWITHOUT LIMITATION LOST\n\t\t\t\t\tPROFITS),\n\t\t\t\t\tHOWEVER CAUSED AND ON ANY THEORY\n\t\t\t\t\tOF\n\t\t\t\t\tLIABILITY, WHETHER IN CONTRACT,\n\t\t\t\t\tSTRICT\n\t\t\t\t\tLIABILITY, OR TORT\n\t\t\t\t\t(INCLUDING\n\t\t\t\t\tNEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\n\t\t\t\t\tOUT OF THE\n\t\t\t\t\tUSE OR\n\t\t\t\t\tDISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF\n\t\t\t\t\tANY RIGHTS\n\t\t\t\t\tGRANTED\n\t\t\t\t\tHEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\n\t\t\t\t\tDAMAGES.\n\t\t\t\t</p>\n\n\t\t\t</li>\n\t\t\t\n<li>\n\t\t\t\t<var class=\"replaceable-license-text\"> 7.</var>\n\t\t\t\tGENERAL\n\t\t\t\t<p>If any provision of this Agreement is invalid or unenforceable\n\t\t\t\t\tunder\n\t\t\t\t\tapplicable law, it shall not affect the validity or\n\t\t\t\t\tenforceability of the\n\t\t\t\t\tremainder of the terms of this Agreement, and\n\t\t\t\t\twithout further\n\t\t\t\t\taction by the\n\t\t\t\t\tparties hereto, such provision shall\n\t\t\t\t\tbe\n\t\t\t\t\treformed to the minimum extent\n\t\t\t\t\tnecessary to make such provision\n\t\t\t\t\tvalid and enforceable.\n\t\t\t\t</p>\n\n\t\t\t\t<p>If Recipient institutes patent litigation against any entity\n\t\t\t\t\t(including a\n\t\t\t\t\tcross-claim or counterclaim in a lawsuit) alleging\n\t\t\t\t\tthat\n\t\t\t\t\tthe Program itself\n\t\t\t\t\t(excluding combinations of the Program with\n\t\t\t\t\tother\n\t\t\t\t\tsoftware or\n\t\t\t\t\thardware)\n\t\t\t\t\tinfringes such Recipient&apos;s\n\t\t\t\t\tpatent(s), then\n\t\t\t\t\tsuch Recipient&apos;s\n\t\t\t\t\trights granted\n\t\t\t\t\tunder Section\n\t\t\t\t\t2(b) shall\n\t\t\t\t\tterminate as of the date such litigation is\n\t\t\t\t\tfiled.\n\t\t\t\t</p>\n\n\t\t\t\t<p>All Recipient&apos;s rights under this Agreement shall terminate\n\t\t\t\t\tif it fails to\n\t\t\t\t\tcomply with any of the material terms or conditions\n\t\t\t\t\tof this Agreement\n\t\t\t\t\tand\n\t\t\t\t\tdoes not cure such failure in a reasonable\n\t\t\t\t\tperiod of time after\n\t\t\t\t\tbecoming\n\t\t\t\t\taware of such noncompliance. If all\n\t\t\t\t\tRecipient&apos;s rights under this\n\t\t\t\t\tAgreement\n\t\t\t\t\tterminate, Recipient\n\t\t\t\t\tagrees to cease use and distribution of the Program\n\t\t\t\t\tas soon as\n\t\t\t\t\treasonably practicable. However, Recipient&apos;s\n\t\t\t\t\tobligations under\n\t\t\t\t\tthis Agreement and any licenses granted by Recipient relating to\n\t\t\t\t\tthe\n\t\t\t\t\tProgram shall continue and survive.\n\t\t\t\t</p>\n\n\t\t\t\t<p>Everyone is permitted to copy and distribute copies of this\n\t\t\t\t\tAgreement,\n\t\t\t\t\tbut in order to avoid inconsistency the Agreement is\n\t\t\t\t\tcopyrighted and\n\t\t\t\t\tmay\n\t\t\t\t\tonly be modified in the following manner. The\n\t\t\t\t\tAgreement Steward\n\t\t\t\t\treserves\n\t\t\t\t\tthe right to publish new versions\n\t\t\t\t\t(including revisions) of this\n\t\t\t\t\tAgreement\n\t\t\t\t\tfrom time to time. No one\n\t\t\t\t\tother than the Agreement Steward has the\n\t\t\t\t\tright\n\t\t\t\t\tto modify this\n\t\t\t\t\tAgreement. The Eclipse Foundation is the initial\n\t\t\t\t\tAgreement\n\t\t\t\t\tSteward.\n\t\t\t\t\tThe Eclipse Foundation may assign the responsibility to serve as\n\t\t\t\t\tthe Agreement Steward to a suitable separate entity. Each new\n\t\t\t\t\tversion of\n\t\t\t\t\tthe Agreement will be given a distinguishing version\n\t\t\t\t\tnumber. The\n\t\t\t\t\tProgram\n\t\t\t\t\t(including Contributions) may always be\n\t\t\t\t\tDistributed subject to the version\n\t\t\t\t\tof the Agreement under which it\n\t\t\t\t\twas received. In addition, after a\n\t\t\t\t\tnew\n\t\t\t\t\tversion of the Agreement is\n\t\t\t\t\tpublished, Contributor may elect to\n\t\t\t\t\tDistribute\n\t\t\t\t\tthe Program\n\t\t\t\t\t(including\n\t\t\t\t\tits Contributions) under the new version.\n\t\t\t\t</p>\n\n\t\t\t\t<p>Except as expressly stated in Sections 2(a) and 2(b) above,\n\t\t\t\t\tRecipient\n\t\t\t\t\treceives no rights or licenses to the intellectual\n\t\t\t\t\tproperty of any\n\t\t\t\t\tContributor under this Agreement, whether\n\t\t\t\t\texpressly,\n\t\t\t\t\tby\n\t\t\t\t\timplication,\n\t\t\t\t\testoppel or otherwise. All rights in the\n\t\t\t\t\tProgram not\n\t\t\t\t\texpressly granted\n\t\t\t\t\tunder this Agreement are reserved.\n\t\t\t\t\tNothing in this\n\t\t\t\t\tAgreement is\n\t\t\t\t\tintended\n\t\t\t\t\tto be enforceable by any\n\t\t\t\t\tentity that is not a\n\t\t\t\t\tContributor or\n\t\t\t\t\tRecipient.\n\t\t\t\t\tNo third-party\n\t\t\t\t\tbeneficiary rights are\n\t\t\t\t\tcreated under this Agreement.\n\t\t\t\t</p>\n\n\t\t\t</li>\n\t\t\t\n<li>\n\t\t\t\tExhibit A - Form of Secondary Licenses Notice\n\t\t\t\t<p>&quot;This\n\t\t\t\t\tSource Code may also be made available under the following\n\t\t\t\t\tSecondary Licenses when the conditions for such availability set\n\t\t\t\t\tforth\n\t\t\t\t\tin the Eclipse Public License, v. 2.0 are satisfied: {name\n\t\t\t\t\tlicense(s),\n\t\t\t\t\tversion(s), and exceptions or additional permissions\n\t\t\t\t\there}.&quot;\n\t\t\t\t</p>\n\n\t\t\t\t<p>Simply including a copy of this Agreement, including this Exhibit\n\t\t\t\t\tA\n\t\t\t\t\tis not sufficient to license the Source Code under Secondary\n\t\t\t\t\tLicenses.\n\t\t\t\t</p>\n\n\t\t\t\t<p>If it is not possible or desirable to put the notice in a\n\t\t\t\t\tparticular file,\n\t\t\t\t\tthen You may include the notice in a location (such\n\t\t\t\t\tas a LICENSE file\n\t\t\t\t\tin\n\t\t\t\t\ta\n\t\t\t\t\trelevant directory) where a recipient would be\n\t\t\t\t\tlikely to look for\n\t\t\t\t\tsuch a notice.\n\t\t\t\t</p>\n\n\t\t\t\t<p>You may add additional accurate notices of copyright ownership.\n\t\t\t\t</p>\n\n\t\t\t</li>\n\t\t\n</ul>\n	"
		self.python_name = "EPL20"

	def __str__(self):
		return json.dumps(self.__dict__)


class StandardMLNJ:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "STANDARD ML OF NEW JERSEY COPYRIGHT NOTICE, LICENSE AND DISCLAIMER.\n\nCopyright (c) 2001-2011 by The Fellowship of SML/NJ\n\nCopyright (c) 1989-2001 by Lucent Technologies\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both the copyright notice and this permission notice and warranty disclaimer appear in supporting documentation, and that the name of Lucent Technologies, Bell Labs or any Lucent entity not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.\n\nLucent disclaims all warranties with regard to this software, including all implied warranties of merchantability and fitness. In no event shall Lucent be liable for any special, indirect or consequential damages or any damages whatsoever resulting from loss of use, data or profits, whether in an action of contract, negligence or other tortious action, arising out of or in connection with the use or performance of this software.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>STANDARD ML OF NEW JERSEY COPYRIGHT NOTICE, LICENSE AND DISCLAIMER.\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2001-2011 by The Fellowship of SML/NJ  Copyright (c) 1989-2001 by Lucent Technologies  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both the copyright notice and this permission notice and warranty disclaimer appear in supporting documentation, and that the name of Lucent Technologies, Bell Labs or any Lucent entity not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.\n\nLucent disclaims all warranties with regard to this software, including all implied warranties of merchantability and fitness. In no event shall Lucent be liable for any special, indirect or consequential damages or any damages whatsoever resulting from loss of use, data or profits, whether in an action of contract, negligence or other tortious action, arising out of or in connection with the use or performance of this software.\n\n"
		self.name = "Standard ML of New Jersey License"
		self.licenseComments = "DEPRECATED: Duplicate license, use identifier: SMLNJ"
		self.licenseId = "StandardML-NJ"
		self.crossRef = [{"match": "False", "url": "https://www.smlnj.org/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:44Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.smlnj.org/license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>STANDARD ML OF NEW JERSEY COPYRIGHT NOTICE, LICENSE AND DISCLAIMER.</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2001-2011 by The Fellowship of SML/NJ\n		<br />\n\nCopyright (c) 1989-2001 by Lucent Technologies\n	  </p>\n\n	  </div>\n\n	  <p>Permission to use, copy, modify, and distribute this software and its documentation for any purpose and\n		 without fee is hereby granted, provided that the above copyright notice appear in all copies and that\n		 both the copyright notice and this permission notice and warranty disclaimer appear in supporting\n		 documentation, and that the name of Lucent Technologies, Bell Labs or any Lucent entity not be used in\n		 advertising or publicity pertaining to distribution of the software without specific, written prior\n		 permission.</p>\n\n	  <p>Lucent disclaims all warranties with regard to this software, including all implied warranties of\n		 merchantability and fitness. In no event shall Lucent be liable for any special, indirect or\n		 consequential damages or any damages whatsoever resulting from loss of use, data or profits, whether\n		 in an action of contract, negligence or other tortious action, arising out of or in connection with\n		 the use or performance of this software.</p>\n\n	"
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "StandardMLNJ"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNC20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "Creative Commons Attribution-NonCommercial 2.0\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to create and reproduce Derivative Works;\n\n	 c. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	 d. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Sections 4(d) and 4(e).\n\n4. Restrictions.The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	 b. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	 c. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n	 d. For the avoidance of doubt, where the Work is a musical composition:\n\n		  i. Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work if that performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n		  ii. Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if Your distribution of such cover version is primarily intended for or directed toward commercial advantage or private monetary compensation. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor reserves the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if Your public digital performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NonCommercial 2.0\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and reproduce Derivative Works;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\n	  The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Sections 4(d) and 4(e).\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions.The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> For the avoidance of doubt, where the Work is a musical composition:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work if that performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if Your distribution of such cover version is primarily intended for or directed toward commercial advantage or private monetary compensation. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor reserves the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if Your public digital performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial 2.0 Generic"
		self.licenseId = "CC-BY-NC-2.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc/2.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:45Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc/2.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NonCommercial 2.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n			   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n			   other contributions, constituting separate and independent works in themselves, are\n			   assembled into a collective whole. A work that constitutes a Collective Work will not be\n			   considered a Derivative Work (as defined below) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works, such as a translation, musical arrangement, dramatization,\n			   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n			   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n			   except that a work that constitutes a Collective Work will not be considered a Derivative\n			   Work for the purpose of this License. For the avoidance of doubt, where the Work is a\n			   musical composition or sound recording, the synchronization of the Work in timed-relation\n			   with a moving image (&quot;synching&quot;) will be considered a Derivative Work for the\n			   purpose of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n			   this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Original Author&quot; means the individual or entity who created the Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to create and reproduce Derivative Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission Derivative Works;\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats. All rights not expressly\n			   granted by Licensor are hereby reserved, including but not limited to the rights set forth\n			   in Sections 4(d) and 4(e).</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions.The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n			   Work. You must keep intact all notices that refer to this License and to the disclaimer of\n			   warranties. You may not distribute, publicly display, publicly perform, or publicly\n			   digitally perform the Work with any technological measures that control access or use of\n			   the Work in a manner inconsistent with the terms of this License Agreement. The above\n			   applies to the Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Work itself to be made subject to the terms of this\n			   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n			   extent practicable, remove from the Collective Work any reference to such Licensor or the\n			   Original Author, as requested. If You create a Derivative Work, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Derivative Work any\n			   reference to such Licensor or the Original Author, as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may not exercise any of the rights granted to You in Section 3 above in any manner that\n			   is primarily intended for or directed toward commercial advantage or private monetary\n			   compensation. The exchange of the Work for other copyrighted works by means of digital\n			   file-sharing or otherwise shall not be considered to be intended for or directed toward\n			   commercial advantage or private monetary compensation, provided there is no payment of any\n			   monetary compensation in connection with the exchange of copyrighted works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n			   or any Derivative Works or Collective Works, You must keep intact all copyright notices\n			   for the Work and give the Original Author credit reasonable to the medium or means You are\n			   utilizing by conveying the name (or pseudonym if applicable) of the Original Author if\n			   supplied; the title of the Work if supplied; to the extent reasonably practicable, the\n			   Uniform Resource Identifier, if any, that Licensor specifies to be associated with the\n			   Work, unless such URI does not refer to the copyright notice or licensing information for\n			   the Work; and in the case of a Derivative Work, a credit identifying the use of the Work\n			   in the Derivative Work (e.g., &quot;French translation of the Work by Original\n			   Author,&quot; or &quot;Screenplay based on original Work by Original Author&quot;). Such\n			   credit may be implemented in any reasonable manner; provided, however, that in the case of\n			   a Derivative Work or Collective Work, at a minimum such credit will appear where any other\n			   comparable authorship credit appears and in a manner at least as prominent as such other\n			   comparable authorship credit.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			For the avoidance of doubt, where the Work is a musical composition:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to\n				 collect, whether individually or via a performance rights society (e.g. ASCAP, BMI,\n				 SESAC), royalties for the public performance or public digital performance (e.g.\n				 webcast) of the Work if that performance is primarily intended for or directed toward\n				 commercial advantage or private monetary compensation.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to\n				 collect, whether individually or via a music rights agency or designated agent (e.g.\n				 Harry Fox Agency), royalties for any phonorecord You create from the Work (&quot;cover\n				 version&quot;) and distribute, subject to the compulsory license created by 17 USC\n				 Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if\n				 Your distribution of such cover version is primarily intended for or directed toward\n				 commercial advantage or private monetary compensation. Webcasting Rights and Statutory\n				 Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor\n				 reserves the exclusive right to collect, whether individually or via a\n				 performance-rights society (e.g. SoundExchange), royalties for the public digital\n				 performance (e.g. webcast) of the Work, subject to the compulsory license created by\n				 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions),\n				 if Your public digital performance is primarily intended for or directed toward\n				 commercial advantage or private monetary compensation.\n			</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Derivative\n			   Works or Collective Works from You under this License, however, will not have their\n			   licenses terminated provided such individuals or entities remain in full compliance with\n			   those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n			   Licensor offers to the recipient a license to the Work on the same terms and conditions as\n			   the license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to\n			   the recipient a license to the original Work on the same terms and conditions as the\n			   license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYNC20"

	def __str__(self):
		return json.dumps(self.__dict__)


class Fair:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Fair License\n\n<Copyright Information>\n\nUsage of the works is permitted provided that this instrument is retained with the works, so that any entity that uses the works is notified of this instrument.\n\nDISCLAIMER: THE WORKS ARE WITHOUT WARRANTY.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Fair License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"<Copyright Information>  \";match=\".{0,5000}\">>\n\nUsage of the works is permitted provided that this instrument is retained with the works, so that any entity that uses the works is notified of this instrument.\n\nDISCLAIMER: THE WORKS ARE WITHOUT WARRANTY.\n\n"
		self.name = "Fair License"
		self.licenseId = "Fair"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Fair", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:08Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "https://web.archive.org/web/20150926120323/http://fairlicense.org/", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:16:08Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://web.archive.org/web/20150926120323/http://fairlicense.org/", "https://opensource.org/licenses/Fair"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Fair License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>&lt;Copyright Information&gt;</p>\n\n	  </div>\n\n	  <p>Usage of the works is permitted provided that this instrument is retained with the works, so that any\n		 entity that uses the works is notified of this instrument.</p>\n\n	  <p>DISCLAIMER: THE WORKS ARE WITHOUT WARRANTY.</p>\n\n	"
		self.python_name = "Fair"

	def __str__(self):
		return json.dumps(self.__dict__)


class OML:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This FastCGI application library source and object code (the \"Software\") and its documentation (the \"Documentation\") are copyrighted by Open Market, Inc (\"Open Market\"). The following terms apply to all files associated with the Software and Documentation unless explicitly disclaimed in individual files.\n\nOpen Market permits you to use, copy, modify, distribute, and license this Software and the Documentation for any purpose, provided that existing copyright notices are retained in all copies and that this notice is included verbatim in any distributions. No written agreement, license, or royalty fee is required for any of the authorized uses. Modifications to this Software and Documentation may be copyrighted by their authors and need not follow the licensing terms described here. If modifications to this Software and Documentation have new licensing terms, the new terms must be clearly indicated on the first page of each file where they apply.\n\nOPEN MARKET MAKES NO EXPRESS OR IMPLIED WARRANTY WITH RESPECT TO THE SOFTWARE OR THE DOCUMENTATION, INCLUDING WITHOUT LIMITATION ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL OPEN MARKET BE LIABLE TO YOU OR ANY THIRD PARTY FOR ANY DAMAGES ARISING FROM OR RELATING TO THIS SOFTWARE OR THE DOCUMENTATION, INCLUDING, WITHOUT LIMITATION, ANY INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES OR SIMILAR DAMAGES, INCLUDING LOST PROFITS OR LOST DATA, EVEN IF OPEN MARKET HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THE SOFTWARE AND DOCUMENTATION ARE PROVIDED \"AS IS\". OPEN MARKET HAS NO LIABILITY IN CONTRACT, TORT, NEGLIGENCE OR OTHERWISE ARISING OUT OF THIS SOFTWARE OR THE DOCUMENTATION.\n"
		self.standardLicenseTemplate = "This FastCGI application library source and object code (the \"Software\") and its documentation (the \"Documentation\") are copyrighted by Open Market, Inc (\"Open Market\"). The following terms apply to all files associated with the Software and Documentation unless explicitly disclaimed in individual files.\n\nOpen Market permits you to use, copy, modify, distribute, and license this Software and the Documentation for any purpose, provided that existing copyright notices are retained in all copies and that this notice is included verbatim in any distributions. No written agreement, license, or royalty fee is required for any of the authorized uses. Modifications to this Software and Documentation may be copyrighted by their authors and need not follow the licensing terms described here. If modifications to this Software and Documentation have new licensing terms, the new terms must be clearly indicated on the first page of each file where they apply.\n\nOPEN MARKET MAKES NO EXPRESS OR IMPLIED WARRANTY WITH RESPECT TO THE SOFTWARE OR THE DOCUMENTATION, INCLUDING WITHOUT LIMITATION ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL OPEN MARKET BE LIABLE TO YOU OR ANY THIRD PARTY FOR ANY DAMAGES ARISING FROM OR RELATING TO THIS SOFTWARE OR THE DOCUMENTATION, INCLUDING, WITHOUT LIMITATION, ANY INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES OR SIMILAR DAMAGES, INCLUDING LOST PROFITS OR LOST DATA, EVEN IF OPEN MARKET HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THE SOFTWARE AND DOCUMENTATION ARE PROVIDED \"AS IS\". OPEN MARKET HAS NO LIABILITY IN CONTRACT, TORT, NEGLIGENCE OR OTHERWISE ARISING OUT OF THIS SOFTWARE OR THE DOCUMENTATION.\n\n"
		self.name = "Open Market License"
		self.licenseId = "OML"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Open_Market_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:25Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Open_Market_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>This FastCGI application library source and object code (the &quot;Software&quot;) and its documentation (the\n		 &quot;Documentation&quot;) are copyrighted by Open Market, Inc (&quot;Open Market&quot;). The following terms apply to all\n		 files associated with the Software and Documentation unless explicitly disclaimed in individual\n		 files.</p>\n\n	  <p>Open Market permits you to use, copy, modify, distribute, and license this Software and the Documentation\n		 for any purpose, provided that existing copyright notices are retained in all copies and that this\n		 notice is included verbatim in any distributions. No written agreement, license, or royalty fee is\n		 required for any of the authorized uses. Modifications to this Software and Documentation may be\n		 copyrighted by their authors and need not follow the licensing terms described here. If modifications\n		 to this Software and Documentation have new licensing terms, the new terms must be clearly indicated\n		 on the first page of each file where they apply.</p>\n\n	  <p>OPEN MARKET MAKES NO EXPRESS OR IMPLIED WARRANTY WITH RESPECT TO THE SOFTWARE OR THE DOCUMENTATION,\n		 INCLUDING WITHOUT LIMITATION ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN\n		 NO EVENT SHALL OPEN MARKET BE LIABLE TO YOU OR ANY THIRD PARTY FOR ANY DAMAGES ARISING FROM OR\n		 RELATING TO THIS SOFTWARE OR THE DOCUMENTATION, INCLUDING, WITHOUT LIMITATION, ANY INDIRECT, SPECIAL\n		 OR CONSEQUENTIAL DAMAGES OR SIMILAR DAMAGES, INCLUDING LOST PROFITS OR LOST DATA, EVEN IF OPEN MARKET\n		 HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THE SOFTWARE AND DOCUMENTATION ARE PROVIDED &quot;AS\n		 IS&quot;. OPEN MARKET HAS NO LIABILITY IN CONTRACT, TORT, NEGLIGENCE OR OTHERWISE ARISING OUT OF THIS\n		 SOFTWARE OR THE DOCUMENTATION.</p>\n\n	"
		self.python_name = "OML"

	def __str__(self):
		return json.dumps(self.__dict__)


class OFL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "SIL OPEN FONT LICENSE\n\nVersion 1.0 - 22 November 2005\n\nPREAMBLE\n\nThe goals of the Open Font License (OFL) are to stimulate worldwide development of cooperative font projects, to support the font creation efforts of academic and linguistic communities, and to provide an open framework in which fonts may be shared and improved in partnership with others.\n\nThe OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded, redistributed and sold with any software provided that the font names of derivative works are changed. The fonts and derivatives, however, cannot be released under any other type of license.\n\nDEFINITIONS\n\n\"Font Software\" refers to any and all of the following:\n\n	 - font files\n	 - data files\n	 - source code\n	 - build scripts\n	 - documentation\n\n\"Reserved Font Name\" refers to the Font Software name as seen by users and any other names as specified after the copyright statement.\n\n\"Standard Version\" refers to the collection of Font Software components as distributed by the Copyright Holder.\n\n\"Modified Version\" refers to any derivative font software made by adding to, deleting, or substituting \u2014 in part or in whole -- any of the components of the Standard Version, by changing formats or by porting the Font Software to a new environment.\n\n\"Author\" refers to any designer, engineer, programmer, technical writer or other person who contributed to the Font Software.\n\nPERMISSION & CONDITIONS\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the Font Software, subject to the following conditions:\n\n1) Neither the Font Software nor any of its individual components, in Standard or Modified Versions, may be sold by itself.\n\n2) Standard or Modified Versions of the Font Software may be bundled, redistributed and sold with any software, provided that each copy contains the above copyright notice and this license. These can be included either as stand-alone text files, human-readable headers or in the appropriate machine-readable metadata fields within text or binary files as long as those fields can be easily viewed by the user.\n\n3) No Modified Version of the Font Software may use the Reserved Font Name(s), in part or in whole, unless explicit written permission is granted by the Copyright Holder. This restriction applies to all references stored in the Font Software, such as the font menu name and other font description fields, which are used to differentiate the font from others.\n\n4) The name(s) of the Copyright Holder or the Author(s) of the Font Software shall not be used to promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s) of the Copyright Holder and the Author(s) or with their explicit written permission.\n\n5) The Font Software, modified or unmodified, in part or in whole, must be distributed using this license, and may not be distributed under any other license.\n\nTERMINATION\n\nThis license becomes null and void if any of the above conditions are not met.\n\nDISCLAIMER\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>SIL OPEN FONT LICENSE\n\nVersion 1.0 - 22 November 2005\n\n<<endOptional>>\n\nPREAMBLE\n\nThe goals of the Open Font License (OFL) are to stimulate worldwide development of cooperative font projects, to support the font creation efforts of academic and linguistic communities, and to provide an open framework in which fonts may be shared and improved in partnership with others.\n\nThe OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded, redistributed and sold with any software provided that the font names of derivative works are changed. The fonts and derivatives, however, cannot be released under any other type of license.\n\nDEFINITIONS\n\n\"Font Software\" refers to any and all of the following:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> font files\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> data files\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> source code\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> build scripts\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> documentation\n\n\"Reserved Font Name\" refers to the Font Software name as seen by users and any other names as specified after the copyright statement.\n\n\"Standard Version\" refers to the collection of Font Software components as distributed by the Copyright Holder.\n\n\"Modified Version\" refers to any derivative font software made by adding to, deleting, or substituting \u2014 in part or in whole -- any of the components of the Standard Version, by changing formats or by porting the Font Software to a new environment.\n\n\"Author\" refers to any designer, engineer, programmer, technical writer or other person who contributed to the Font Software.\n\nPERMISSION & CONDITIONS\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the Font Software, subject to the following conditions:\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Neither the Font Software nor any of its individual components, in Standard or Modified Versions, may be sold by itself.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Standard or Modified Versions of the Font Software may be bundled, redistributed and sold with any software, provided that each copy contains the above copyright notice and this license. These can be included either as stand-alone text files, human-readable headers or in the appropriate machine-readable metadata fields within text or binary files as long as those fields can be easily viewed by the user.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> No Modified Version of the Font Software may use the Reserved Font Name(s), in part or in whole, unless explicit written permission is granted by the Copyright Holder. This restriction applies to all references stored in the Font Software, such as the font menu name and other font description fields, which are used to differentiate the font from others.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> The name(s) of the Copyright Holder or the Author(s) of the Font Software shall not be used to promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s) of the Copyright Holder and the Author(s) or with their explicit written permission.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> The Font Software, modified or unmodified, in part or in whole, must be distributed using this license, and may not be distributed under any other license.\n\nTERMINATION\n\nThis license becomes null and void if any of the above conditions are not met.\n\nDISCLAIMER\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n\n"
		self.name = "SIL Open Font License 1.0"
		self.licenseComments = "This license has been superseded. This license was released in November 2005. The identifier OFL-1.0 can be used to indicate that version 1.0 of the SIL Open Font License applies, without asserting whether or not a Reserved Font Name is used. See OFL-1.0-RFN and OFL-1.0-no-RFN for alternative identifiers that can be used to express explicitly that a Reserved Font Name is used or is not used, respectively."
		self.licenseId = "OFL-1.0"
		self.crossRef = [{"match": "True", "url": "http://scripts.sil.org/cms/scripts/page.php?item_id=OFL10_web", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://scripts.sil.org/cms/scripts/page.php?item_id=OFL10_web"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>SIL OPEN FONT LICENSE</p>\n\n		 <p>Version 1.0 - 22 November 2005</p>\n\n	  </div>\n	  <p>PREAMBLE</p>\n\n	  <p>The goals of the Open Font License (OFL) are to stimulate worldwide development of cooperative font\n		 projects, to support the font creation efforts of academic and linguistic communities, and to provide\n		 an open framework in which fonts may be shared and improved in partnership with others.</p>\n\n	  <p>The OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they\n		 are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded,\n		 redistributed and sold with any software provided that the font names of derivative works are changed.\n		 The fonts and derivatives, however, cannot be released under any other type of license.</p>\n\n	  <p>DEFINITIONS</p>\n\n	  <p>&quot;Font Software&quot; refers to any and all of the following:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  font files\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  data files\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  source code\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  build scripts\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  documentation\n		</li>\n	  \n</ul>\n	  <p>&quot;Reserved Font Name&quot; refers to the Font Software name as seen by users and any other names as\n		 specified after the copyright statement.</p>\n\n	  <p>&quot;Standard Version&quot; refers to the collection of Font Software components as distributed by the\n		 Copyright Holder.</p>\n\n	  <p>&quot;Modified Version&quot; refers to any derivative font software made by adding to, deleting, or\n		 substituting \u2014 in part or in whole -- any of the components of the Standard Version, by\n		 changing formats or by porting the Font Software to a new environment.</p>\n\n	  <p>&quot;Author&quot; refers to any designer, engineer, programmer, technical writer or other person who\n		 contributed to the Font Software.</p>\n\n	  <p>PERMISSION &amp; CONDITIONS</p>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of the Font\n		 Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and\n		 unmodified copies of the Font Software, subject to the following conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Neither the Font Software nor any of its individual components, in Standard or Modified Versions,\n			 may be sold by itself.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Standard or Modified Versions of the Font Software may be bundled, redistributed and sold with\n			 any software, provided that each copy contains the above copyright notice and this license.\n			 These can be included either as stand-alone text files, human-readable headers or in the\n			 appropriate machine-readable metadata fields within text or binary files as long as those\n			 fields can be easily viewed by the user.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  No Modified Version of the Font Software may use the Reserved Font Name(s), in part or in whole,\n			 unless explicit written permission is granted by the Copyright Holder. This restriction\n			 applies to all references stored in the Font Software, such as the font menu name and other\n			 font description fields, which are used to differentiate the font from others.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  The name(s) of the Copyright Holder or the Author(s) of the Font Software shall not be used to\n			 promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s)\n			 of the Copyright Holder and the Author(s) or with their explicit written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  The Font Software, modified or unmodified, in part or in whole, must be distributed using this\n			 license, and may not be distributed under any other license.\n		</li>\n	  \n</ul>\n	  <p>TERMINATION</p>\n\n	  <p>This license becomes null and void if any of the above conditions are not met.</p>\n\n	  <p>DISCLAIMER</p>\n\n	  <p>THE FONT SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT\n		 NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT\n		 OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR\n		 ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR\n		 CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE\n		 USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.</p>\n\n	"
		self.python_name = "OFL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class OSETPL21:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "OSET Public License\n(c) 2015 ALL RIGHTS RESERVED VERSION 2.1\n\nTHIS LICENSE DEFINES THE RIGHTS OF USE, REPRODUCTION, DISTRIBUTION, MODIFICATION, AND REDISTRIBUTION OF CERTAIN COVERED SOFTWARE (AS DEFINED BELOW) ORIGINALLY RELEASED BY THE OPEN SOURCE ELECTION TECHNOLOGY FOUNDATION (FORMERLY \u201cTHE OSDV FOUNDATION\u201d).  ANYONE WHO USES, REPRODUCES, DISTRIBUTES, MODIFIES, OR REDISTRIBUTES THE COVERED SOFTWARE, OR ANY PART THEREOF, IS BY THAT ACTION, ACCEPTING IN FULL THE TERMS CONTAINED IN THIS AGREEMENT. IF YOU DO NOT AGREE TO SUCH TERMS, YOU ARE NOT PERMITTED TO USE THE COVERED SOFTWARE.\n\nThis license was prepared based on the Mozilla Public License (\u201cMPL\u201d), version 2.0.  For annotation of the differences between this license and MPL 2.0, please see the OSET Foundation web site at www.OSETFoundation.org/public-license.\n\nThe text of the license begins here:\n\n1. Definitions\n\n	 1.1 \u201cContributor\u201d means each individual or legal entity that creates, contributes to the creation of, or owns Covered Software.\n\n	 1.2 \u201cContributor Version\u201d means the combination of the Contributions of others (if any) used by a Contributor and that particular Contributor\u2019s Contribution.\n\n	 1.3 \u201cContribution\u201d means Covered Software of a particular Contributor.\n\n	 1.4 \u201cCovered Software\u201d means Source Code Form to which the initial Contributor has attached the notice in Exhibit A, the Executable Form of such Source Code Form, and Modifications of such Source Code Form, in each case including portions thereof.\n\n	 1.5 \u201cIncompatible With Secondary Licenses\u201d means:\n		  a. That the initial Contributor has attached the notice described in Exhibit B to the Covered Software; or\n		  b. that the Covered Software was made available under the terms of version 1.x or earlier of the License, but not also under the terms of a Secondary License.\n\n	 1.6 \u201cExecutable Form\u201d means any form of the work other than Source Code Form.\n\n	 1.7 \u201cLarger Work\u201d means a work that combines Covered Software with other material, in a separate file (or files) that is not Covered Software.\n\n	 1.8 \u201cLicense\u201d means this document.\n\n	 1.9 \u201cLicensable\u201d means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently, any and all of the rights conveyed by this License.\n\n	 1.10 \u201cModifications\u201d means any of the following:\n		  a. any file in Source Code Form that results from an addition to, deletion from, or modification of the contents of Covered Software; or\n\t\t  b. any new file in Source Code Form that contains any Covered Software.\n\n	 1.11 \u201cPatent Claims\u201d of a Contributor means any patent claim(s), including without limitation, method, process, and apparatus claims, in any patent Licensable by such Contributor that would be infringed, but for the grant of the License, by the making, using, selling, offering for sale, having made, import, or transfer of either its Contributions or its Contributor Version.\n\n	 1.12 \u201cSecondary License\u201d means one of: the GNU General Public License, Version 2.0, the GNU Lesser General Public License, Version 2.1, the GNU Affero General Public License, Version 3.0, or any later versions of those licenses.\n\n	 1.13 \u201cSource Code Form\u201d means the form of the work preferred for making modifications.\n\n	 1.14 \u201cYou\u201d (or \u201cYour\u201d) means an individual or a legal entity exercising rights under this License. For legal entities, \u201cYou\u201d includes any entity that controls, is controlled by, or is under common control with You. For purposes of this definition, \u201ccontrol\u201d means: (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n2. License Grants and Conditions\n\n	 2.1 Grants Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license:\n\t a. under intellectual property rights (other than patent or trademark) Licensable by such Contributor to use, reproduce, make available, modify, display, perform, distribute, and otherwise exploit its Contributions, either on an unmodified basis, with Modifications, or as part of a Larger Work; and\n\t b. under Patent Claims of such Contributor to make, use, sell, offer for sale, have made, import, and otherwise transfer either its Contributions or its Contributor Version.\n\n	 2.2 Effective Date\n	 The licenses granted in Section 2.1 with respect to any Contribution become effective for each Contribution on the date the Contributor first distributes such Contribution.\n\n	 2.3 Limitations on Grant Scope\n	 The licenses granted in this Section 2 are the only rights granted under this License.  No additional rights or licenses will be implied from the distribution or licensing of Covered Software under this License. Notwithstanding Section 2.1(b) above, no patent license is granted by a Contributor:\n\t a. for any code that a Contributor has removed from Covered Software; or\n\t b. for infringements caused by: (i) Your and any other third party\u2019s modifications of Covered Software, or (ii) the combination of its Contributions with other software (except as part of its Contributor Version); or\n\t c. under Patent Claims infringed by Covered Software in the absence of its Contributions.\n\t This License does not grant any rights in the trademarks, service marks, or logos of any Contributor (except as may be necessary to comply with the notice requirements in Section 3.4).\n\n	 2.4 Subsequent Licenses\n\t No Contributor makes additional grants as a result of Your choice to distribute the Covered Software under a subsequent version of this License (see Section 10.2) or under the terms of a Secondary License (if permitted under the terms of Section 3.3).\n\n	 2.5 Representation\n\t Each Contributor represents that the Contributor believes its Contributions are its original creation(s) or it has sufficient rights to grant the rights to its Contributions conveyed by this License.\n\n	 2.6 Fair Use\n\t This License is not intended to limit any rights You have under applicable copyright doctrines of fair use, fair dealing, or other equivalents.\n\n	 2.7 Conditions\n\t Sections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted in Section 2.1.\n\n3. Responsibilities\n\n	 3.1 Distribution of Source Form\n\t All distribution of Covered Software in Source Code Form, including any Modifications that You create or to which You contribute, must be under the terms of this License. You must inform recipients that the Source Code Form of the Covered Software is governed by the terms of this License, and how they can obtain a copy of this License. You must cause any of Your Modifications to carry prominent notices stating that You changed the files. You may not attempt to alter or restrict the recipients\u2019 rights in the Source Code Form.\n\n	 3.2 Distribution of Executable Form\n\t If You distribute Covered Software in Executable Form then:\n\n		  a. such Covered Software must also be made available in Source Code Form, as described in Section 3.1, and You must inform recipients of the Executable Form how they can obtain a copy of such Source Code Form by reasonable means in a timely manner, at a charge no more than the cost of distribution to the recipient; and\n\t\t  b. You may distribute such Executable Form under the terms of this License, or sublicense it under different terms, provided that the license for the Executable Form does not attempt to limit or alter the recipients\u2019 rights in the Source Code Form under this License.\n\n	 3.3 Distribution of a Larger Work\n\t You may create and distribute a Larger Work under terms of Your choice, provided that You also comply with the requirements of this License for the Covered Software. If the Larger Work is a combination of Covered Software with a work governed by one or more Secondary Licenses, and the Covered Software is not Incompatible With Secondary Licenses, this License permits You to additionally distribute such Covered Software under the terms of such Secondary License(s), so that the recipient of the Larger Work may, at their option, further distribute the Covered Software under the terms of either this License or such Secondary License(s).\n\n	 3.4 Notices\n\t You may not remove or alter the substance of any license notices (including copyright notices, patent notices, disclaimers of warranty, or limitations of liability) contained within the Source Code Form of the Covered Software, except that You may alter any license notices to the extent required to remedy known factual inaccuracies.\n\n	 3.5 Application of Additional Terms\n\n		  3.5.1 You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Software. However, You may do so only on Your own behalf, and not on behalf of any Contributor. You must make it absolutely clear that any such warranty, support, indemnity, or liability obligation is offered by You alone, and You hereby agree to indemnify every Contributor for any liability incurred by such Contributor as a result of warranty, support, indemnity or liability terms You offer. You may include additional disclaimers of warranty and limitations of liability specific to any jurisdiction.\n\n		  3.5.2 You may place additional conditions upon the rights granted in this License to the extent necessary due to statute, judicial order, regulation (including without limitation state and federal procurement regulation), national security, or public interest. Any such additional conditions must be clearly described in the notice provisions required under Section 3.4.  Any alteration of the terms of this License will apply to all copies of the Covered Software distributed by You or by any downstream recipients that receive the Covered Software from You.\n\n4. Inability to Comply Due to Statute or Regulation\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Software due to statute, judicial order, or regulation, then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the notices required under Section 3.4. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Termination\n\n	 5.1 Failure to Comply\n\t The rights granted under this License will terminate automatically if You fail to comply with any of its terms. However, if You become compliant, then the rights granted under this License from a particular Contributor are reinstated (a) provisionally, unless and until such Contributor explicitly and finally terminates Your grants, and (b) on an ongoing basis, if such Contributor fails to notify You of the non-compliance by some reasonable means prior to 60-days after You have come back into compliance.  Moreover, Your grants from a particular Contributor are reinstated on an ongoing basis if such Contributor notifies You of the non-compliance by some reasonable means, this is the first time You have received notice of non-compliance with this License from such Contributor, and You become compliant prior to 30-days after Your receipt of the notice.\n\n	 5.2 Patent Infringement Claims\n\t If You initiate litigation against any entity by asserting a patent infringement claim (excluding declaratory judgment actions, counter-claims, and cross-claims) alleging that a Contributor Version directly or indirectly infringes any patent, then the rights granted to You by any and all Contributors for the Covered Software under Section 2.1 of this License shall terminate.\n\n	 5.3 Additional Compliance Terms\n\t Notwithstanding the foregoing in this Section 5, for purposes of this Section, if You breach Section 3.1 (Distribution of Source Form), Section 3.2 (Distribution of Executable Form), Section 3.3 (Distribution of a Larger Work), or Section 3.4 (Notices), then becoming compliant as described in Section 5.1 must also include, no later than 30 days after receipt by You of notice of such violation by a Contributor, making the Covered Software available in Source Code Form as required by this License on a publicly available computer network for a period of no less than three (3) years.\n\n	 5.4 Contributor Remedies\n\t If You fail to comply with the terms of this License and do not thereafter become compliant in accordance with Section 5.1 and, if applicable, Section 5.3, then each Contributor reserves its right, in addition to any other rights it may have in law or in equity, to bring an action seeking injunctive relief, or damages for willful copyright or patent infringement (including without limitation damages for unjust enrichment, where available under law), for all actions in violation of rights that would otherwise have been granted under the terms of this License.\n\n	 5.5 End User License Agreements\n\t In the event of termination under this Section 5, all end user license agreements (excluding distributors and resellers), which have been validly granted by You or Your distributors under this License prior to termination shall survive termination.\n\n6. Disclaimer of Warranty\nCovered Software is provided under this License on an \u201cas is\u201d basis, without warranty of any kind, either expressed, implied, or statutory, including, without limitation, warranties that the Covered Software is free of defects, merchantable, fit for a particular purpose or non-infringing. The entire risk as to the quality and performance of the Covered Software is with You.  Should any Covered Software prove defective in any respect, You (not any Contributor) assume the cost of any necessary servicing, repair, or correction. This disclaimer of warranty constitutes an essential part of this License.  No use of any Covered Software is authorized under this License except under this disclaimer.\n\n7. Limitation of Liability\nUnder no circumstances and under no legal theory, whether tort (including negligence), contract, or otherwise, shall any Contributor, or anyone who distributes Covered Software as permitted above, be liable to You for any direct, indirect, special, incidental, or consequential damages of any character including, without limitation, damages for lost profits, loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses, even if such party shall have been informed of the possibility of such damages. This limitation of liability shall not apply to liability for death or personal injury resulting from such party\u2019s negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\n8. Litigation\nAny litigation relating to this License may be brought only in the courts of a jurisdiction where the defendant maintains its principal place of business and such litigation shall be governed by laws of that jurisdiction, without reference to its conflict-of-law provisions. Nothing in this Section shall prevent a party\u2019s ability to bring cross-claims or counter-claims.\n\n9. Government Terms\n\n	 9.1 Commercial Item\n\t The Covered Software is a \u201ccommercial item,\u201d as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \u201ccommercial computer software\u201d and \u201ccommercial computer software documentation,\u201d as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Software with only those rights set forth herein.\n\n	 9.2 No Sovereign Immunity\n\t The U.S. federal government and states that use or distribute Covered Software hereby waive their sovereign immunity with respect to enforcement of the provisions of this License.\n\n	 9.3 Choice of Law and Venue\n\n		  9.3.1 If You are a government of a state of the United States, or Your use of the Covered Software is pursuant to a procurement contract with such a state government, this License shall be governed by the law of such state, excluding its conflict-of-law provisions, and the adjudication of disputes relating to this License will be subject to the exclusive jurisdiction of the state and federal courts located in such state.\n		  9.3.2 If You are an agency of the United States federal government, or Your use of the Covered Software is pursuant to a procurement contract with such an agency, this License shall be governed by federal law for all purposes, and the adjudication of disputes relating to this License will be subject to the exclusive jurisdiction of the federal courts located in Washington, D.C.\n		  9.3.3 You may alter the terms of this Section 9.3 for this License as described in Section 3.5.2.\n\n	 9.4 Supremacy\n\t This Section 9 is in lieu of, and supersedes, any other Federal Acquisition Regulation, Defense Federal Acquisition Regulation, or other clause or provision that addresses government rights in computer software under this License.\n\n10. Miscellaneous\nThis License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. Any law or regulation, which provides that the language of a contract shall be consTrued against the drafter, shall not be used to consTrue this License against a Contributor.\n\n11. Versions of the License\n\n	 11.1 New Versions The Open Source Election Technology Foundation (\u201cOSET\u201d) (formerly known as the Open Source Digital Voting Foundation) is the steward of this License. Except as provided in Section 11.3, no one other than the license steward has the right to modify or publish new versions of this License.  Each version will be given a distinguishing version number.\n\n	 11.2 Effects of New Versions You may distribute the Covered Software under the terms of the version of the License under which You originally received the Covered Software, or under the terms of any subsequent version published by the license steward.\n\n	 11.3 Modified Versions If You create software not governed by this License, and You want to create a new license for such software, You may create and use a modified version of this License if You rename the license and remove any references to the name of the license steward (except to note that such modified license differs from this License).\n\n	 11.4 Distributing Source Code Form That is Incompatible With Secondary Licenses If You choose to distribute Source Code Form that is Incompatible With Secondary Licenses under the terms of this version of the License, the notice described in Exhibit B of this License must be attached.\n\nEXHIBIT A \u2013 Source Code Form License Notice\n\nThis Source Code Form is subject to the terms of the OSET Public License, v.2.1 (\u201cOSET-PL-2.1\u201d).  If a copy of the OPL was not distributed with this file, You can obtain one at: www.OSETFoundation.org/public-license.\n\nIf it is not possible or desirable to put the Notice in a particular file, then You may include the Notice in a location (e.g., such as a LICENSE file in a relevant directory) where a recipient would be likely to look for such a notice. You may add additional accurate notices of copyright ownership.\n\nEXHIBIT B - \u201cIncompatible With Secondary License\u201d Notice\n\nThis Source Code Form is \u201cIncompatible With Secondary Licenses\u201d, as defined by the OSET Public License, v.2.1.\n"
		self.standardLicenseTemplate = "<<beginOptional>>OSET Public License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"(c) 2015 ALL RIGHTS RESERVED VERSION 2.1  \";match=\".{0,5000}\">><<beginOptional>> THIS LICENSE DEFINES THE RIGHTS OF USE, REPRODUCTION, DISTRIBUTION, MODIFICATION, AND REDISTRIBUTION OF CERTAIN COVERED SOFTWARE (AS DEFINED BELOW) ORIGINALLY RELEASED BY THE OPEN SOURCE ELECTION TECHNOLOGY FOUNDATION (FORMERLY \"THE OSDV FOUNDATION\").\n\n<<endOptional>>\n\nANYONE WHO USES, REPRODUCES, DISTRIBUTES, MODIFIES, OR REDISTRIBUTES THE COVERED SOFTWARE, OR ANY PART THEREOF, IS BY THAT ACTION, ACCEPTING IN FULL THE TERMS CONTAINED IN THIS AGREEMENT. IF YOU DO NOT AGREE TO SUCH TERMS, YOU ARE NOT PERMITTED TO USE THE COVERED SOFTWARE.\n\n<<beginOptional>>This license was prepared based on the Mozilla Public License (\"MPL\"), version 2.0. For annotation of the differences between this license and MPL 2.0, please see the OSET Foundation web site at www.OSETFoundation.org/public-license.\n\nThe text of the license begins here:\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Contributor\" means each individual or legal entity that creates, contributes to the creation of, or owns Covered Software.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Contributions of others (if any) used by a Contributor and that particular Contributor's Contribution.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Contribution\" means Covered Software of a particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Covered Software\" means Source Code Form to which the initial Contributor has attached the notice in Exhibit A, the Executable Form of such Source Code Form, and Modifications of such Source Code Form, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Incompatible With Secondary Licenses\" means:\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> That the initial Contributor has attached the notice described in Exhibit B to the Covered Software; or\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> that the Covered Software was made available under the terms of version 1.x or earlier of the License, but not also under the terms of a Secondary License.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"Executable Form\" means any form of the work other than Source Code Form.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"Larger Work\" means a work that combines Covered Software with other material, in a separate file (or files) that is not Covered Software.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently, any and all of the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> \"Modifications\" means any of the following:\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> any file in Source Code Form that results from an addition to, deletion from, or modification of the contents of Covered Software; or\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> any new file in Source Code Form that contains any Covered Software.\n\n	  <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> \"Patent Claims\" of a Contributor means any patent claim(s), including without limitation, method, process, and apparatus claims, in any patent Licensable by such Contributor that would be infringed, but for the grant of the License, by the making, using, selling, offering for sale, having made, import, or transfer of either its Contributions or its Contributor Version.\n\n	  <<var;name=\"bullet\";original=\"1.12\";match=\".{0,20}\">> \"Secondary License\" means one of: the GNU General Public License, Version 2.0, the GNU Lesser General Public License, Version 2.1, the GNU Affero General Public License, Version 3.0, or any later versions of those licenses.\n\n	  <<var;name=\"bullet\";original=\"1.13\";match=\".{0,20}\">> \"Source Code Form\" means the form of the work preferred for making modifications.\n\n	  <<var;name=\"bullet\";original=\"1.14\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> License Grants and Conditions\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> Grants\n\n	  Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license:\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by such Contributor to use, reproduce, make available, modify, display, perform, distribute, and otherwise exploit its Contributions, either on an unmodified basis, with Modifications, or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> under Patent Claims of such Contributor to make, use, sell, offer for sale, have made, import, and otherwise transfer either its Contributions or its Contributor Version.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> Effective Date\n\n	  The licenses granted in Section 2.1 with respect to any Contribution become effective for each Contribution on the date the Contributor first distributes such Contribution.\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> Limitations on Grant Scope\n\n	  The licenses granted in this Section 2 are the only rights granted under this License. No additional rights or licenses will be implied from the distribution or licensing of Covered Software under this License. Notwithstanding Section 2.1(b) above, no patent license is granted by a Contributor:\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> for any code that a Contributor has removed from Covered Software; or\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> for infringements caused by: (i) Your and any other third party's modifications of Covered Software, or (ii) the combination of its Contributions with other software (except as part of its Contributor Version); or\n\n		 <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> under Patent Claims infringed by Covered Software in the absence of its Contributions.\n\n	  This License does not grant any rights in the trademarks, service marks, or logos of any Contributor (except as may be necessary to comply with the notice requirements in Section 3.4).\n\n	  <<var;name=\"bullet\";original=\"2.4\";match=\".{0,20}\">> Subsequent Licenses\n\n	  No Contributor makes additional grants as a result of Your choice to distribute the Covered Software under a subsequent version of this License (see Section 10.2) or under the terms of a Secondary License (if permitted under the terms of Section 3.3).\n\n	  <<var;name=\"bullet\";original=\"2.5\";match=\".{0,20}\">> Representation\n\n	  Each Contributor represents that the Contributor believes its Contributions are its original creation(s) or it has sufficient rights to grant the rights to its Contributions conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"2.6\";match=\".{0,20}\">> Fair Use\n\n	  This License is not intended to limit any rights You have under applicable copyright doctrines of fair use, fair dealing, or other equivalents.\n\n	  <<var;name=\"bullet\";original=\"2.7\";match=\".{0,20}\">> Conditions\n\n	  Sections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted in Section 2.1.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Responsibilities\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> Distribution of Source Form\n\n	  All distribution of Covered Software in Source Code Form, including any Modifications that You create or to which You contribute, must be under the terms of this License. You must inform recipients that the Source Code Form of the Covered Software is governed by the terms of this License, and how they can obtain a copy of this License. You must cause any of Your Modifications to carry prominent notices stating that You changed the files. You may not attempt to alter or restrict the recipients' rights in the Source Code Form.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> Distribution of Executable Form\n\n	  If You distribute Covered Software in Executable Form then:\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> such Covered Software must also be made available in Source Code Form, as described in Section 3.1, and You must inform recipients of the Executable Form how they can obtain a copy of such Source Code Form by reasonable means in a timely manner, at a charge no more than the cost of distribution to the recipient; and\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may distribute such Executable Form under the terms of this License, or sublicense it under different terms, provided that the license for the Executable Form does not attempt to limit or alter the recipients' rights in the Source Code Form under this License.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> Distribution of a Larger Work\n\n	  You may create and distribute a Larger Work under terms of Your choice, provided that You also comply with the requirements of this License for the Covered Software. If the Larger Work is a combination of Covered Software with a work governed by one or more Secondary Licenses, and the Covered Software is not Incompatible With Secondary Licenses, this License permits You to additionally distribute such Covered Software under the terms of such Secondary License(s), so that the recipient of the Larger Work may, at their option, further distribute the Covered Software under the terms of either this License or such Secondary License(s).\n\n	  <<var;name=\"bullet\";original=\"3.4\";match=\".{0,20}\">> Notices\n\n	  You may not remove or alter the substance of any license notices (including copyright notices, patent notices, disclaimers of warranty, or limitations of liability) contained within the Source Code Form of the Covered Software, except that You may alter any license notices to the extent required to remedy known factual inaccuracies.\n\n	  <<var;name=\"bullet\";original=\"3.5\";match=\".{0,20}\">> Application of Additional Terms\n\n		 <<var;name=\"bullet\";original=\"3.5.1\";match=\".{0,20}\">> You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Software. However, You may do so only on Your own behalf, and not on behalf of any Contributor. You must make it absolutely clear that any such warranty, support, indemnity, or liability obligation is offered by You alone, and You hereby agree to indemnify every Contributor for any liability incurred by such Contributor as a result of warranty, support, indemnity or liability terms You offer. You may include additional disclaimers of warranty and limitations of liability specific to any jurisdiction.\n\n		 <<var;name=\"bullet\";original=\"3.5.2\";match=\".{0,20}\">> You may place additional conditions upon the rights granted in this License to the extent necessary due to statute, judicial order, regulation (including without limitation state and federal procurement regulation), national security, or public interest. Any such additional conditions must be clearly described in the notice provisions required under Section 3.4. Any alteration of the terms of this License will apply to all copies of the Covered Software distributed by You or by any downstream recipients that receive the Covered Software from You.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Software due to statute, judicial order, or regulation, then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the notices required under Section 3.4. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> Failure to Comply\n\n	  The rights granted under this License will terminate automatically if You fail to comply with any of its terms. However, if You become compliant, then the rights granted under this License from a particular Contributor are reinstated (a) provisionally, unless and until such Contributor explicitly and finally terminates Your grants, and (b) on an ongoing basis, if such Contributor fails to notify You of the non-compliance by some reasonable means prior to 60-days after You have come back into compliance. Moreover, Your grants from a particular Contributor are reinstated on an ongoing basis if such Contributor notifies You of the non-compliance by some reasonable means, this is the first time You have received notice of non-compliance with this License from such Contributor, and You become compliant prior to 30-days after Your receipt of the notice.\n\n	  <<var;name=\"bullet\";original=\"5.2\";match=\".{0,20}\">> Patent Infringement Claims\n\n	  If You initiate litigation against any entity by asserting a patent infringement claim (excluding declaratory judgment actions, counter-claims, and <<var;name=\"crossClaimsSpace\";original=\"cross-claims\";match=\"cross- claims|cross-claims\">> ) alleging that a Contributor Version directly or indirectly infringes any patent, then the rights granted to You by any and all Contributors for the Covered Software under Section 2.1 of this License shall terminate.\n\n	  <<var;name=\"bullet\";original=\"5.3\";match=\".{0,20}\">> Additional Compliance Terms\n\n	  Notwithstanding the foregoing in this Section 5, for purposes of this Section, if You breach Section 3.1 (Distribution of Source Form), Section 3.2 (Distribution of Executable Form), Section 3.3 (Distribution of a Larger Work), or Section 3.4 (Notices), then becoming compliant as described in Section 5.1 must also include, no later than 30 days after receipt by You of notice of such violation by a Contributor, making the Covered Software available in Source Code Form as required by this License on a publicly available computer network for a period of no less than three (3) years.\n\n	  <<var;name=\"bullet\";original=\"5.4\";match=\".{0,20}\">> Contributor Remedies\n\n	  If You fail to comply with the terms of this License and do not thereafter become compliant in accordance with Section 5.1 and, if applicable, Section 5.3, then each Contributor reserves its right, in addition to any other rights it may have in law or in equity, to bring an action seeking injunctive relief, or damages for willful copyright or patent infringement (including without limitation damages for unjust enrichment, where available under law), for all actions in violation of rights that would otherwise have been granted under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"5.5\";match=\".{0,20}\">> End User License Agreements\n\n	  In the event of termination under this Section 5, all end user license agreements (excluding distributors and resellers), which have been validly granted by You or Your distributors under this License prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Disclaimer of Warranty\n\n   Covered Software is provided under this License on an \"as is\" basis, without warranty of any kind, either expressed, implied, or statutory, including, without limitation, warranties that the Covered Software is free of defects, merchantable, fit for a particular purpose or non-infringing. The entire risk as to the quality and performance of the Covered Software is with You. Should any Covered Software prove defective in any respect, You (not any Contributor) assume the cost of any necessary servicing, repair, or correction. This disclaimer of warranty constitutes an essential part of this License. No use of any Covered Software is authorized under this License except under this disclaimer.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Limitation of Liability\n\n   Under no circumstances and under no legal theory, whether tort (including negligence), contract, or otherwise, shall any Contributor, or anyone who distributes Covered Software as permitted above, be liable to You for any direct, indirect, special, incidental, or consequential damages of any character including, without limitation, damages for lost profits, loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses, even if such party shall have been informed of the possibility of such damages. This limitation of liability shall not apply to liability for death or personal injury resulting from such party's negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Litigation\n\n   Any litigation relating to this License may be brought only in the courts of a jurisdiction where the defendant maintains its principal place of business and such litigation shall be governed by laws of that jurisdiction, without reference to its conflict-of-law provisions. Nothing in this Section shall prevent a party's ability to bring cross-claims or counter-claims.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Government Terms\n\n	  <<var;name=\"bullet\";original=\"9.1\";match=\".{0,20}\">> Commercial Item\n\n	  The Covered Software is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Software with only those rights set forth herein.\n\n	  <<var;name=\"bullet\";original=\"9.2\";match=\".{0,20}\">> No Sovereign Immunity\n\n	  The U.S. federal government and states that use or distribute Covered Software hereby waive their sovereign immunity with respect to enforcement of the provisions of this License.\n\n	  <<var;name=\"bullet\";original=\"9.3\";match=\".{0,20}\">> Choice of Law and Venue\n\n		 <<var;name=\"bullet\";original=\"9.3.1\";match=\".{0,20}\">> If You are a government of a state of the United States, or Your use of the Covered Software is pursuant to a procurement contract with such a state government, this License shall be governed by the law of such state, excluding its conflict-of-law provisions, and the adjudication of disputes relating to this License will be subject to the exclusive jurisdiction of the state and federal courts located in such state.\n\n		 <<var;name=\"bullet\";original=\"9.3.2\";match=\".{0,20}\">> If You are an agency of the United States federal government, or Your use of the Covered Software is pursuant to a procurement contract with such an agency, this License shall be governed by federal law for all purposes, and the adjudication of disputes relating to this License will be subject to the exclusive jurisdiction of the federal courts located in Washington, D.C.\n\n		 <<var;name=\"bullet\";original=\"9.3.3\";match=\".{0,20}\">> You may alter the terms of this Section 9.3 for this License as described in Section 3.5.2.\n\n	  <<var;name=\"bullet\";original=\"9.4\";match=\".{0,20}\">> Supremacy\n\n	  This Section 9 is in lieu of, and supersedes, any other Federal Acquisition Regulation, Defense Federal Acquisition Regulation, or other clause or provision that addresses government rights in computer software under this License.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Miscellaneous\n\n   This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. Any law or regulation, which provides that the language of a contract shall be consTrued against the drafter, shall not be used to consTrue this License against a Contributor.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Versions of the License\n\n	  <<var;name=\"bullet\";original=\"11.1\";match=\".{0,20}\">> New Versions\n\n	  The Open Source Election Technology Foundation (\"OSET\") (formerly known as the Open Source Digital Voting Foundation) is the steward of this License. Except as provided in Section 11.3, no one other than the license steward has the right to modify or publish new versions of this License. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"11.2\";match=\".{0,20}\">> Effects of New Versions\n\n	  You may distribute the Covered Software under the terms of the version of the License under which You originally received the Covered Software, or under the terms of any subsequent version published by the license steward.\n\n	  <<var;name=\"bullet\";original=\"11.3\";match=\".{0,20}\">> Modified Versions\n\n	  If You create software not governed by this License, and You want to create a new license for such software, You may create and use a modified version of this License if You rename the license and remove any references to the name of the license steward (except to note that such modified license differs from this License).\n\n	  <<var;name=\"bullet\";original=\"11.4\";match=\".{0,20}\">> Distributing Source Code Form That is Incompatible With Secondary Licenses\n\n	  If You choose to distribute Source Code Form that is Incompatible With Secondary Licenses under the terms of this version of the License, the notice described in Exhibit B of this License must be attached.<<beginOptional>> EXHIBIT A - Source Code Form License Notice\n\nThis Source Code Form is subject to the terms of the OSET Public License, v.2.1 (\"OSET-PL-2.1\"). If a copy of the OPL was not distributed with this file, You can obtain one at: www.OSETFoundation.org/public-license.\n\nIf it is not possible or desirable to put the Notice in a particular file, then You may include the Notice in a location (e.g., such as a LICENSE file in a relevant directory) where a recipient would be likely to look for such a notice. You may add additional accurate notices of copyright ownership.\n\n<<endOptional>><<beginOptional>> EXHIBIT B - \"Incompatible With Secondary License\" Notice\n\nThis Source Code Form is \"Incompatible With Secondary Licenses\", as defined by the OSET Public License, v.2.1.\n\n<<endOptional>>"
		self.name = "OSET Public License version 2.1"
		self.licenseId = "OSET-PL-2.1"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/OPL-2.1", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:20:55Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://www.osetfoundation.org/public-license", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:55Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.osetfoundation.org/public-license", "https://opensource.org/licenses/OPL-2.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>OSET Public License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>(c) 2015 ALL RIGHTS RESERVED VERSION 2.1</p>\n\n	  </div>\n		<div class=\"optional-license-text\"> \n			<p>THIS LICENSE DEFINES THE RIGHTS OF USE, REPRODUCTION,\n			 DISTRIBUTION, MODIFICATION, AND REDISTRIBUTION OF CERTAIN\n			 COVERED SOFTWARE (AS DEFINED BELOW) ORIGINALLY RELEASED BY THE\n			 OPEN SOURCE ELECTION TECHNOLOGY FOUNDATION (FORMERLY &quot;THE OSDV\n			 FOUNDATION&quot;).</p>\n\n		</div>\n		<p>ANYONE WHO USES, REPRODUCES, DISTRIBUTES,\n		 MODIFIES, OR REDISTRIBUTES THE COVERED SOFTWARE, OR ANY PART\n		 THEREOF, IS BY THAT ACTION, ACCEPTING IN FULL THE TERMS\n		 CONTAINED IN THIS AGREEMENT. IF YOU DO NOT AGREE TO SUCH\n		 TERMS, YOU ARE NOT PERMITTED TO USE THE COVERED SOFTWARE.</p>\n\n		<div class=\"optional-license-text\"> \n		  <p>This license was prepared based on the Mozilla Public License\n			 (&quot;MPL&quot;), version 2.0.  For annotation of the differences\n			 between this license and MPL 2.0, please see the OSET\n			 Foundation web site at\n			 www.OSETFoundation.org/public-license.</p>\n\n		  <p>The text of the license begins here:</p>\n\n		</div>\n	  \n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n	  Definitions\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1</var>\n		  &quot;Contributor&quot; means each individual or legal entity that\n			 creates, contributes to the creation of, or owns\n			 Covered Software.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2</var>\n		  &quot;Contributor Version&quot; means the combination of the\n			 Contributions of others (if any) used by a Contributor\n			 and that particular Contributor&apos;s Contribution.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3</var>\n		  &quot;Contribution&quot; means Covered Software of a particular\n			 Contributor.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4</var>\n		  &quot;Covered Software&quot; means Source Code Form to which the\n			 initial Contributor has attached the notice in Exhibit\n			 A, the Executable Form of such Source Code Form, and\n			 Modifications of such Source Code Form, in each case\n			 including portions thereof.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5</var>\n		  &quot;Incompatible With Secondary Licenses&quot; means:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a.</var> That the initial Contributor has attached the\n			   notice described in Exhibit B to the Covered\n			   Software; or\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b.</var> that the Covered Software was made available\n			   under the terms of version 1.x or earlier of the\n			   License, but not also under the terms of a\n			   Secondary License.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6</var>\n		  &quot;Executable Form&quot; means any form of the work other than\n			 Source Code Form.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7</var>\n		  &quot;Larger Work&quot; means a work that combines Covered Software\n			 with other material, in a separate file (or files)\n			 that is not Covered Software.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8</var>\n		  &quot;License&quot; means this document.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9</var>\n		  &quot;Licensable&quot; means having the right to grant, to the\n			 maximum extent possible, whether at the time of the\n			 initial grant or subsequently, any and all of the\n			 rights conveyed by this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10</var>\n		  &quot;Modifications&quot; means any of the following:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a.</var> any file in Source Code Form that results from\n			   an addition to, deletion from, or modification of\n			   the contents of Covered Software; or\n		</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b.</var> any new file in Source Code Form that contains\n			   any Covered Software.\n		</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11</var>\n		  &quot;Patent Claims&quot; of a Contributor means any patent\n			 claim(s), including without limitation, method,\n			 process, and apparatus claims, in any patent\n			 Licensable by such Contributor that would be\n			 infringed, but for the grant of the License, by the\n			 making, using, selling, offering for sale, having\n			 made, import, or transfer of either its Contributions\n			 or its Contributor Version.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12</var>\n		  &quot;Secondary License&quot; means one of: the GNU General Public\n			 License, Version 2.0, the GNU Lesser General Public\n			 License, Version 2.1, the GNU Affero General Public\n			 License, Version 3.0, or any later versions of those\n			 licenses.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13</var>\n		  &quot;Source Code Form&quot; means the form of the work preferred\n			 for making modifications.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.14</var>\n		  &quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity\n			 exercising rights under this License. For legal\n			 entities, &quot;You&quot; includes any entity that controls, is\n			 controlled by, or is under common control with You.\n			 For purposes of this definition, &quot;control&quot; means:\n			 \n<ul style=\"list-style:none\">\n					 \n<li>\n\t\t\t					 <var class=\"replaceable-license-text\"> (a)</var>\n\t\t\t the power, direct or indirect, to cause the direction\n					or management of such entity, whether by contract or\n\t\t	otherwise, or\n				 </li>\n					 \n<li>\n\t\t\t					 <var class=\"replaceable-license-text\"> (b)</var>\n\t\t\t ownership of more than fifty percent\n					(50%) of the outstanding shares or beneficial\n\t\t	ownership of such entity.\n				  </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n	  License Grants and Conditions\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 2.1</var> Grants<br />\n\n\t\t\tEach Contributor hereby grants You a world-wide,\n\t\t	royalty-free, non-exclusive license:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n\t\t\t					 <var class=\"replaceable-license-text\"> a.</var> under intellectual property rights (other than\n				   patent or trademark) Licensable by such\n				   Contributor to use, reproduce, make available,\n				   modify, display, perform, distribute, and\n				   otherwise exploit its Contributions, either on an\n				   unmodified basis, with Modifications, or as part\n\t\t   of a Larger Work; and\n				</li>\n					 \n<li>\n\t\t\t					 <var class=\"replaceable-license-text\"> b.</var> under Patent Claims of such Contributor to\n				   make, use, sell, offer for sale, have made,\n				   import, and otherwise transfer either its\n\t\t   Contributions or its Contributor Version.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2</var>\n		  Effective Date<br />\n\n			The licenses granted in Section 2.1 with respect to\n				 any Contribution become effective for each\n				 Contribution on the date the Contributor first\n				 distributes such Contribution.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.3</var>\n		  Limitations on Grant Scope<br />\n\n		  The licenses granted in this Section 2 are the only\n			 rights granted under this License.  No additional\n			 rights or licenses will be implied from the\n			 distribution or licensing of Covered Software under\n			 this License. Notwithstanding Section 2.1(b) above, no\n			 patent license is granted by a Contributor:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n\t\t					  <var class=\"replaceable-license-text\"> a.</var> for any code that a Contributor has removed\n\t\t\t	  from Covered Software; or\n			  </li>\n					 \n<li>\n\t\t					  <var class=\"replaceable-license-text\"> b.</var> for infringements caused by: (i) Your and any\n				   other third party&apos;s modifications of Covered\n				   Software, or (ii) the combination of its\n				   Contributions with other software (except as part\n\t\t   of its Contributor Version); or\n			  </li>\n					 \n<li>\n\t\t					  <var class=\"replaceable-license-text\"> c.</var> under Patent Claims infringed by Covered\n\t\tSoftware in the absence of its Contributions.\n			  </li>\n				  \n</ul>\n				  <p>This License does not grant any rights in the trademarks, service marks, or logos of any Contributor (except as may be necessary to comply with the notice requirements in Section 3.4).</p>\n\n			   </li>\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 2.4</var> Subsequent Licenses<br />\n\n			No Contributor makes additional grants as a result of\n			Your choice to distribute the Covered Software under a subsequent\n			version of this License (see Section 10.2) or under the terms of a\n			Secondary License (if permitted under the terms of Section 3.3).\n		</li>\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 2.5</var> Representation<br />\n\n			Each Contributor represents that the Contributor believes its\n			Contributions are its original creation(s) or it has sufficient\n			rights to grant the rights to its Contributions conveyed by this License.\n		</li>\n			   \n<li>\n\t				 <var class=\"replaceable-license-text\"> 2.6</var>\n\t   Fair Use <br />\n\n\t\t  This License is not intended to limit any rights You have under\n			applicable copyright doctrines of fair use, fair dealing, or other equivalents.\n		</li>\n			   \n<li>\n\t				 <var class=\"replaceable-license-text\"> 2.7</var>\n\t   Conditions <br />\n\n\t  Sections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted in Section 2.1.\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n	  Responsibilities\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 3.1</var> Distribution of Source Form <br />\n\n\t\t\tAll distribution of Covered Software in Source Code Form,\n\t\t\tincluding any Modifications that You create or to which You contribute,\n\t\t\tmust be under the terms of this License.\n\t\t\tYou must inform recipients that the Source Code Form of the Covered Software\n\t\t\tis governed by the terms of this License, and how they can obtain a copy\n\t\t\tof this License. You must cause any of Your Modifications to carry\n\t\t\tprominent notices stating that You changed the files.\n\t\t\tYou may not attempt to alter or restrict the recipients&apos; rights\n\t\t\tin the Source Code Form.\n		</li>\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 3.2</var>  Distribution of Executable Form <br />\n\n\t\t\tIf You distribute Covered Software in Executable Form then:\n	  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a.</var>such Covered Software must also be made\n			   available in Source Code Form, as described in\n			   Section 3.1, and You must inform recipients of the\n			   Executable Form how they can obtain a copy of such\n			   Source Code Form by reasonable means in a timely\n			   manner, at a charge no more than the cost of\n\t	   distribution to the recipient; and\n	   </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b.</var>You may distribute such Executable Form under\n			   the terms of this License, or sublicense it under\n			   different terms, provided that the license for the\n			   Executable Form does not attempt to limit or alter\n			   the recipients&apos; rights in the Source Code Form\n\t	   under this License.\n	   </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 3.3</var> Distribution of a Larger Work<br />\n\n\t\t\tYou may create and distribute a Larger Work under terms of Your choice,\n\t\t\tprovided that You also comply with the requirements of this License\n\t\t\tfor the Covered Software. If the Larger Work is a combination\n\t\t\tof Covered Software with a work governed by one or more Secondary Licenses,\n\t\t\tand the Covered Software is not Incompatible With Secondary Licenses,\n\t\t\tthis License permits You to additionally distribute\n\t\t\tsuch Covered Software under the terms of such Secondary License(s),\n\t\t\tso that the recipient of the Larger Work may, at their option,\n\t\t\tfurther distribute the Covered Software under the terms\n\t\t\tof either this License or such Secondary License(s).\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4</var> Notices<br />\n\n\t\t	You may not remove or alter the substance of any license notices\n\t\t	(including copyright notices, patent notices, disclaimers of warranty,\n\t\t	or limitations of liability) contained within the Source Code Form\n\t\t	of the Covered Software, except that You may alter\n\t\t	any license notices to the extent required to remedy\n\t\t	known factual inaccuracies.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5</var>\n		  Application of Additional Terms\n\t  \n<ul style=\"list-style:none\">\n					 \n<li>\n\t\t					  <var class=\"replaceable-license-text\"> 3.5.1</var> You may choose to offer, and to charge a fee for,\n			 warranty, support, indemnity or liability obligations\n			 to one or more recipients of Covered Software.\n			 However, You may do so only on Your own behalf, and\n			 not on behalf of any Contributor. You must make it\n			 absolutely clear that any such warranty, support,\n			 indemnity, or liability obligation is offered by You\n			 alone, and You hereby agree to indemnify every\n			 Contributor for any liability incurred by such\n			 Contributor as a result of warranty, support,\n			 indemnity or liability terms You offer. You may\n			 include additional disclaimers of warranty and\n			 limitations of liability specific to any\n			 jurisdiction.\n		</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.5.2</var> You may place additional conditions upon the rights\n			 granted in this License to the extent necessary due to\n			 statute, judicial order, regulation (including without\n			 limitation state and federal procurement regulation),\n			 national security, or public interest. Any such\n			 additional conditions must be clearly described in the\n			 notice provisions required under Section 3.4.  Any\n			 alteration of the terms of this License will apply to\n			 all copies of the Covered Software distributed by You\n			 or by any downstream recipients that receive the\n			 Covered Software from You.\n		</li>\n\t				 \n</ul>\n			   </li>\n\t		   \n</ul>\n		 </li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Inability to Comply Due to Statute or Regulation<br />\n\n			If it is impossible for You to comply with any of\n				 the terms of this License with respect to some\n				 or all of the Covered Software due to statute,\n				 judicial order, or regulation, then You must:\n				 (a) comply with the terms of this License to\n				 the maximum extent possible; and (b) describe\n				 the limitations and the code they affect. Such\n				 description must be included in the notices\n				 required under Section 3.4. Except to the\n				 extent prohibited by statute or regulation,\n				 such description must be sufficiently detailed\n				 for a recipient of ordinary skill to be able\n				 to understand it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Termination\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 5.1</var> Failure to Comply<br />\n\n\t\t\t  The rights granted under this License will terminate automatically\n\t\t\t  if You fail to comply with any of its terms. However, if You become\n\t\t\t  compliant, then the rights granted under this License from a particular\n\t\t\t  Contributor are reinstated (a) provisionally, unless and until\n\t\t\t  such Contributor explicitly and finally terminates Your grants,\n\t\t\t  and (b) on an ongoing basis, if such Contributor fails to notify You\n\t\t\t  of the non-compliance by some reasonable means prior to 60-days\n\t\t\t  after You have come back into compliance. Moreover, Your grants\n\t\t\t  from a particular Contributor are reinstated on an ongoing basis\n\t\t\t  if such Contributor notifies You of the non-compliance\n\t\t\t  by some reasonable means, this is the first time You have received notice\n\t\t\t  of non-compliance with this License from such Contributor,\n\t\t\t  and You become compliant prior to 30-days\n\t\t\t  after Your receipt of the notice.\n		</li>\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 5.2</var> Patent Infringement Claims<br />\n\n\t\t\t  If You initiate litigation against any entity by asserting\n\t\t\t  a patent infringement claim (excluding declaratory judgment actions,\n\t\t\t  counter-claims, and <var class=\"replaceable-license-text\"> cross-claims</var>) alleging that a Contributor Version\n\t\t\t  directly or indirectly infringes any patent,\n\t\t\t  then the rights granted to You by any and all Contributors\n\t\t\t  for the Covered Software under Section 2.1 of this License\n\t\t\t  shall terminate.\n		</li>\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 5.3</var> Additional Compliance Terms<br />\n\n\t\t\t  Notwithstanding the foregoing in this Section 5,\n\t\t\t  for purposes of this Section, if You breach\n\t\t\t  Section 3.1 (Distribution of Source Form),\n\t\t\t  Section 3.2 (Distribution of Executable Form),\n\t\t\t  Section 3.3 (Distribution of a Larger Work), or\n\t\t\t  Section 3.4 (Notices), then becoming compliant\n\t\t\t  as described in Section 5.1 must also include,\n\t\t\t  no later than 30 days after receipt by You of notice\n\t\t\t  of such violation by a Contributor, making the Covered Software\n\t\t\t  available in Source Code Form as required by this License\n\t\t\t  on a publicly available computer network\n\t\t\t  for a period of no less than three (3) years.\n		</li>\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 5.4</var> Contributor Remedies<br />\n\n\t\t\t  If You fail to comply with the terms of this License\n\t\t\t  and do not thereafter become compliant in accordance\n\t\t\t  with Section 5.1 and, if applicable, Section 5.3,\n\t\t\t  then each Contributor reserves its right, in addition\n\t\t\t  to any other rights it may have in law or in equity,\n\t\t\t  to bring an action seeking injunctive relief, or damages\n\t\t\t  for willful copyright or patent infringement\n\t\t\t  (including without limitation damages for unjust enrichment,\n\t\t\t  where available under law), for all actions in violation\n\t\t\t  of rights that would otherwise have been granted\n\t\t\t  under the terms of this License.\n		</li>\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 5.5</var> End User License Agreements<br />\n\n\t\t\tIn the event of termination under this Section 5,\n\t\t\tall end user license agreements (excluding distributors and resellers),\n\t\t\twhich have been validly granted by You or Your distributors\n\t\t\tunder this License prior to termination shall survive termination.\n		</li>\n\t		   \n</ul>\n		</li>\n		\n<li>\n\t\t		  <var class=\"replaceable-license-text\"> 6.</var> Disclaimer of Warranty <br />\n\n\t\t\tCovered Software is provided under this License on\n				 an &quot;as is&quot; basis, without warranty of any\n				 kind, either expressed, implied, or statutory,\n				 including, without limitation, warranties that\n				 the Covered Software is free of defects,\n				 merchantable, fit for a particular purpose or\n				 non-infringing. The entire risk as to the\n				 quality and performance of the Covered\n				 Software is with You.  Should any Covered\n				 Software prove defective in any respect, You\n				 (not any Contributor) assume the cost of any\n				 necessary servicing, repair, or correction.\n\t\t This disclaimer of warranty constitutes an essential part of this License.\n\t\t No use of any Covered Software is authorized under this License\n\t\t except under this disclaimer.\n		</li>\n		\n<li>\n\t\t		  <var class=\"replaceable-license-text\"> 7.</var> Limitation of Liability <br />\n\n\t\t\tUnder no circumstances and under no legal theory,\n				 whether tort (including negligence), contract,\n				 or otherwise, shall any Contributor, or anyone\n				 who distributes Covered Software as permitted\n				 above, be liable to You for any direct,\n				 indirect, special, incidental, or\n				 consequential damages of any character\n				 including, without limitation, damages for\n				 lost profits, loss of goodwill, work stoppage,\n				 computer failure or malfunction, or any and\n				 all other commercial damages or losses, even\n				 if such party shall have been informed of the\n				 possibility of such damages. This limitation\n				 of liability shall not apply to liability for\n				 death or personal injury resulting from such\n				 party&apos;s negligence to the extent applicable\n				 law prohibits such limitation. Some\n				 jurisdictions do not allow the exclusion or\n				 limitation of incidental or consequential\n				 damages, so this exclusion and limitation may\n				 not apply to You.\n		</li>\n		\n<li>\n\t\t		  <var class=\"replaceable-license-text\"> 8.</var> Litigation <br />\n\n\t\t\tAny litigation relating to this License may be\n				 brought only in the courts of a jurisdiction\n				 where the defendant maintains its principal\n				 place of business and such litigation shall be\n				 governed by laws of that jurisdiction, without\n				 reference to its conflict-of-law provisions.\n				 Nothing in this Section shall prevent a\n				 party&apos;s ability to bring cross-claims or\n				 counter-claims.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var> Government Terms\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 9.1</var> Commercial Item<br />\n\n\t\t\tThe Covered Software is a &quot;commercial item,&quot; as that term is defined\n\t\t\tin 48 C.F.R. 2.101 (Oct. 1995), consisting of &quot;commercial computer software&quot;\n\t\t\tand &quot;commercial computer software documentation,&quot;\n\t\t\tas such terms are used in 48 C.F.R. 12.212 (Sept. 1995).\n\t\t\tConsistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1\n\t\t\tthrough 227.7202-4 (June 1995),\n\t\t\tall U.S. Government End Users acquire Covered Software\n\t\t\twith only those rights set forth herein.\n		</li>\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 9.2</var> No Sovereign Immunity<br />\n\n\t\t\tThe U.S. federal government and states that use\n\t\t\tor distribute Covered Software hereby waive\n\t\t\ttheir sovereign immunity with respect to enforcement\n\t\t\tof the provisions of this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.3</var> Choice of Law and Venue\n\t  \n<ul style=\"list-style:none\">\n\t\t				   \n<li>\n\t\t\t					 <var class=\"replaceable-license-text\"> 9.3.1</var> If You are a government of a state of the United\n			 States, or Your use of the Covered Software is\n			 pursuant to a procurement contract with such a state\n			 government, this License shall be governed by the law\n			 of such state, excluding its conflict-of-law\n			 provisions, and the adjudication of disputes relating\n			 to this License will be subject to the exclusive\n			 jurisdiction of the state and federal courts located\n\t	 in such state.\n	 </li>\n					 \n<li>\n\t					   <var class=\"replaceable-license-text\"> 9.3.2</var> If You are an agency of the United States\n				 federal government, or Your use of the Covered\n				 Software is pursuant to a procurement contract\n				 with such an agency, this License shall be\n				 governed by federal law for all purposes, and\n				 the adjudication of disputes relating to this\n				 License will be subject to the exclusive\n				 jurisdiction of the federal courts located in\n\t\t Washington, D.C.\n\t </li>\n\t					\n<li>\n\t\t					  <var class=\"replaceable-license-text\"> 9.3.3</var> You may alter the terms of this Section 9.3\n				 for this License as described in Section\n\t\t 3.5.2.\n\t </li>\n\t				 \n</ul>\n			   </li>\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 9.4</var> Supremacy<br />\n\n\t\t\t  This Section 9 is in lieu of, and supersedes,\n\t\t\t  any other Federal Acquisition Regulation,\n\t\t\t  Defense Federal Acquisition Regulation,\n\t\t\t  or other clause or provision that addresses government rights\n\t\t\t  in computer software under this License.\n		</li>\n\t		   \n</ul>\n		</li>\n		\n<li>\n\t\t		  <var class=\"replaceable-license-text\"> 10.</var> Miscellaneous <br />\n\n\t\t\tThis License represents the complete agreement\n				 concerning the subject matter hereof. If any\n				 provision of this License is held to be\n				 unenforceable, such provision shall be\n				 reformed only to the extent necessary to make\n				 it enforceable. Any law or regulation, which\n				 provides that the language of a contract shall\n				 be consTrued against the drafter, shall not be\n				 used to consTrue this License against a\n				 Contributor.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var> Versions of the License\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 11.1</var> New Versions<br />\n\n\t\t\tThe Open Source Election Technology Foundation (&quot;OSET&quot;)\n\t\t\t(formerly known as the Open Source Digital Voting Foundation)\n\t\t\tis the steward of this License.\n\t\t\tExcept as provided in Section 11.3, no one other than the license steward\n\t\t\thas the right to modify or publish new versions of this License.\n\t\t\tEach version will be given a distinguishing version number.\n		</li>\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 11.2</var> Effects of New Versions<br />\n\n\t\t\tYou may distribute the Covered Software under the terms of the version\n\t\t\tof the License under which You originally received the Covered Software,\n\t\t\tor under the terms of any subsequent version\n\t\t\tpublished by the license steward.\n		</li>\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 11.3</var> Modified Versions<br />\n\n\t\t\tIf You create software not governed by this License,\n\t\t\tand You want to create a new license for such software,\n\t\t\tYou may create and use a modified version of this License\n\t\t\tif You rename the license and remove any references\n\t\t\tto the name of the license steward\n\t\t\t(except to note that such modified license differs from this License).\n		</li>\n			   \n<li>\n\t\t				<var class=\"replaceable-license-text\"> 11.4</var> Distributing Source Code Form That is Incompatible\n\t\t\tWith Secondary Licenses<br />\n\n\t\t\tIf You choose to distribute Source Code Form\n\t\t\tthat is Incompatible With Secondary Licenses under the terms\n\t\t\tof this version of the License, the notice described\n\t\t\tin Exhibit B of this License must be attached.\n		</li>\n			\n</ul>\n\t		</li>\n	  \n</ul>\n	   <div class=\"optional-license-text\"> \n			  <p>EXHIBIT A - Source Code Form License Notice</p>\n\n			  <p>This Source Code Form is subject to the terms of the OSET Public\n		\t	  License, v.2.1 (&quot;OSET-PL-2.1&quot;).\n		\t	  If a copy of the OPL was not distributed with this file,\n		\t	  You can obtain one at: www.OSETFoundation.org/public-license.</p>\n\n			  <p>If it is not possible or desirable to put the Notice in a\n				 particular file, then You may include the Notice in a location\n				 (e.g., such as a LICENSE file in a relevant directory) where a\n				 recipient would be likely to look for such a notice. You may\n				 add additional accurate notices of copyright ownership.</p>\n\n\t	 </div>\n\t	 <div class=\"optional-license-text\"> \n				  <p>EXHIBIT B - &quot;Incompatible With Secondary License&quot; Notice</p>\n\n				  <p>This Source Code Form is &quot;Incompatible With Secondary Licenses&quot;,\n			\t	  as defined by the OSET Public License, v.2.1.</p>\n\n\t	 </div>\n	"
		self.python_name = "OSETPL21"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL12orlater:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU Free Documentation License\nVersion 1.2, November 2002\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\nThe Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n	 H. Include an unaltered copy of this License.\n	 I. Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n	 O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\n with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with <<var;name=\"invariantSections\";original=\"the Invariant Sections being LIST THEIR TITLES\";match=\"the Invariant Sections	   being .+|no Invariant Sections\">> , with <<var;name=\"frontCoverTexts\";original=\"the Front-Cover Texts being LIST\";match=\"the Front-Cover Texts being .+|no Front-Cover Texts\">> , and with <<var;name=\"backCoverTexts\";original=\"the Back-Cover Texts being LIST\";match=\"the Back-Cover Texts being .+|no Back-Cover Texts\">> . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.2, November 2002\n\n<<endOptional>>\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   A section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\n   The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n\n	  <<var;name=\"bullet\";original=\"O.\";match=\".{0,20}\">> Preserve any Warranty Disclaimers.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\n   If a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.2 or later"
		self.licenseComments = "This license was released November 2002. The identifier GFDL-1.2-or-later can be used to indicate that this license applies, without asserting whether or not any Invariant Sections, Front-Cover Texts or Back-Cover Texts are present. See GFDL-1.2-or-later-invariants and GFDL-1.2-or-later-no-invariants for alternative identifiers that can be used to express explicitly that these sections or cover texts are present or are not present, respectively."
		self.licenseId = "GFDL-1.2-or-later"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES , with the Front-Cover Texts being LIST , and with the Back-Cover Texts being LIST . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/fdl-1.2.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:21Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/fdl-1.2.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.2, November 2002\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2000,2001,2002 Free Software Foundation,\n	  Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook, or\n		  other functional and useful document &quot;free&quot; in the sense of\n		  freedom: to assure everyone the effective freedom to copy and\n		  redistribute it, with or without modifying it, either commercially\n		  or noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work, in any medium,\n		  that contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. Such a\n		  notice grants a world-wide, royalty-free license, unlimited in\n		  duration, to use that work under the conditions stated herein.\n		  The &quot;Document&quot;, below, refers to any such manual or work.\n		  Any member of the public is a licensee, and is addressed as\n		  &quot;you&quot;. You accept the license if you copy, modify or distribute\n		  the work in a way requiring permission under copyright law.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter\n		  section of the Document that deals exclusively with the\n		  relationship of the publishers or authors of the Document to the\n		  Document&apos;s overall subject (or to related matters) and contains\n		  nothing that could fall directly within that overall subject.\n		  (Thus, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections,\n		  in the notice that says that the Document is released under\n		  this License. If a section does not fit the above definition of\n		  Secondary then it is not allowed to be designated as Invariant.\n		  The Document may contain zero Invariant Sections. If the Document\n		  does not identify any Invariant Sections then there are none.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are listed,\n		  as Front-Cover Texts or Back-Cover Texts, in the notice that says that\n		  the Document is released under this License. A Front-Cover Text may\n		  be at most 5 words, and a Back-Cover Text may be at most 25 words.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable\n		  copy, represented in a format whose specification is available\n		  to the general public, that is suitable for revising the document\n		  straightforwardly with generic text editors or (for images composed of\n		  pixels) generic paint programs or (for drawings) some widely available\n		  drawing editor, and that is suitable for input to text formatters or\n		  for automatic translation to a variety of formats suitable for input\n		  to text formatters. A copy made in an otherwise Transparent file\n		  format whose markup, or absence of markup, has been arranged to thwart\n		  or discourage subsequent modification by readers is not Transparent.\n		  An image format is not Transparent if used for any substantial\n		  amount of text. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include plain\n		  ASCII without markup, Texinfo input format, LaTeX input format,\n		  SGML or XML using a publicly available DTD, and standard-conforming\n		  simple HTML, PostScript or PDF designed for human modification.\n		  Examples of transparent image formats include PNG, XCF and JPG.\n		  Opaque formats include proprietary formats that can be read\n		  and edited only by proprietary word processors, SGML or XML\n		  for which the DTD and/or processing tools are not generally\n		  available, and the machine-generated HTML, PostScript or PDF\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n		<p>\n		  A section &quot;Entitled XYZ&quot; means a named subunit of the Document whose\n		  title either is precisely XYZ or contains XYZ in parentheses following\n		  text that translates XYZ in another language. (Here XYZ stands for\n		  a specific section name mentioned below, such as &quot;Acknowledgements&quot;,\n		  &quot;Dedications&quot;, &quot;Endorsements&quot;, or &quot;History&quot;.) To &quot;Preserve the\n		  Title&quot; of such a section when you modify the Document means that\n		  it remains a section &quot;Entitled XYZ&quot; according to this definition.\n		</p>\n\n		<p>\n		  The Document may include Warranty Disclaimers next to the notice\n		  which states that this License applies to the Document. These\n		  Warranty Disclaimers are considered to be included by reference\n		  in this License, but only as regards disclaiming warranties:\n		  any other implication that these Warranty Disclaimers may\n		  have is void and has no effect on the meaning of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies (or copies in media that commonly\n		  have printed covers) of the Document, numbering more than 100,\n		  and the Document&apos;s license notice requires Cover Texts, you must\n		  enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a computer-network location from which the general\n		  network-using public has access to download using public-standard\n		  network protocols a complete Transparent copy of the Document,\n		  free of added material. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or\n			entities responsible for authorship of the modifications in the\n			Modified Version, together with at least five of the principal\n			authors of the Document (all of its principal authors, if it has\n			fewer than five), unless they release you from this requirement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant Sections\n			and required Cover Texts given in the Document&apos;s license notice.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> H.</var>\n			Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section Entitled &quot;History&quot;, Preserve its Title, and\n			add to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section Entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			For any section Entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			Preserve the Title of the section, and preserve in the\n			section all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section Entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section to be Entitled &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> O.</var>\n			Preserve any Warranty Disclaimers.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section Entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released under\n		  this License, under the terms defined in section 4 above for modified\n		  versions, provided that you include in the combination all of the\n		  Invariant Sections of all of the original documents, unmodified,\n		  and list them all as Invariant Sections of your combined work in its\n		  license notice, and that you preserve all their Warranty Disclaimers.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections Entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  Entitled &quot;History&quot;; likewise combine any sections Entitled\n		  &quot;Acknowledgements&quot;, and any sections Entitled &quot;Dedications&quot;.\n		  You must delete all sections Entitled &quot;Endorsements&quot;.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other\n		  separate and independent documents or works, in or on a volume\n		  of a storage or distribution medium, is called an &quot;aggregate&quot;\n		  if the copyright resulting from the compilation is not used to\n		  limit the legal rights of the compilation&apos;s users beyond what\n		  the individual works permit. When the Document is included in an\n		  aggregate, this License does not apply to the other works in the\n		  aggregate which are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to\n		  these copies of the Document, then if the Document is less\n		  than one half of the entire aggregate, the Document&apos;s Cover\n		  Texts may be placed on covers that bracket the Document\n		  within the aggregate, or the electronic equivalent of covers\n		  if the Document is in electronic form. Otherwise they must\n		  appear on printed covers that bracket the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of section\n		  4. Replacing Invariant Sections with translations requires special\n		  permission from their copyright holders, but you may include\n		  translations of some or all Invariant Sections in addition to the\n		  original versions of these Invariant Sections. You may include a\n		  translation of this License, and all the license notices in the\n		  Document, and any Warranty Disclaimers, provided that you also\n		  include the original English version of this License and the original\n		  versions of those notices and disclaimers. In case of a disagreement\n		  between the translation and the original version of this License\n		  or a notice or disclaimer, the original version will prevail.\n		</p>\n\n		<p>\n		  If a section in the Document is Entitled\n		  &quot;Acknowledgements&quot;, &quot;Dedications&quot;, or &quot;History&quot;, the\n		  requirement (section 4) to Preserve its Title (section\n		  1) will typically require changing the actual title.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided for under this License. Any other\n		  attempt to copy, modify, sublicense or distribute the Document\n		  is void, and will automatically terminate your rights under\n		  this License. However, parties who have received copies, or\n		  rights, from you under this License will not have their licenses\n		  terminated so long as such parties remain in full compliance.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option\n		  of following the terms and conditions either of that specified\n		  version or of any later version that has been published (not as a\n		  draft) by the Free Software Foundation. If the Document does not\n		  specify a version number of this License, you may choose any version\n		  ever published (not as a draft) by the Free Software Foundation.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the GNU\n		Free Documentation License, Version 1.2 or any later version published\n		by the Free Software Foundation; with no Invariant Sections,\n		no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections, Front-Cover Texts and\n		Back-Cover Texts, replace the &quot;with...Texts.&quot; line with this:\n	  </p>\n\n	  <p>\n		with the Invariant Sections being LIST THEIR TITLES, with the\n		Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections without Cover Texts,\n		or some other combination of the three, merge\n		those two alternatives to suit the situation.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>. Permission is granted to copy,\n	  distribute and/or modify this document under the terms of the GNU\n	  Free Documentation License, Version 1.2 or any later version published\n	  by the Free Software Foundation; with <var class=\"replaceable-license-text\"> the Invariant Sections being LIST THEIR\n	  TITLES</var>, with <var class=\"replaceable-license-text\"> the Front-Cover Texts being LIST</var>, and with <var class=\"replaceable-license-text\"> the\n	  Back-Cover Texts being LIST</var>. A copy of the license is\n	  included in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL12orlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL13invariantsonly:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU Free Documentation License\nVersion 1.3, 3 November 2008\n\nCopyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\nThe \"publisher\" means any person or entity that distributes copies of the Document to the public.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\nThe Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice. H. Include an unaltered copy of this License.\n	 I. Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n	 O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.\n\n11. RELICENSING\n\n\"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A \"Massive Multiauthor Collaboration\" (or \"MMC\") contained in the site means any set of copyrightable works thus published on the MMC site.\n\n\"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.\n\n\"Incorporate\" means to publish or republish a Document, in whole or in part, as part of another Document.\n\nAn MMC is \"eligible for relicensing\" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.\n\nThe operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\n with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3; with with <<var;name=\"invariantSections\";original=\"the Invariant Sections being LIST THEIR TITLES\";match=\"the Invariant Sections	   being .+|no Invariant Sections\">> , with <<var;name=\"frontCoverTexts\";original=\"the Front-Cover Texts being LIST\";match=\"the Front-Cover Texts being .+|no Front-Cover Texts\">> , and with <<var;name=\"backCoverTexts\";original=\"the Back-Cover Texts being LIST\";match=\"the Back-Cover Texts being .+|no Back-Cover Texts\">> . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.3, 3 November 2008\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <http://fsf.org/>  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   The \"publisher\" means any person or entity that distributes copies of the Document to the public.\n\n   A section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\n   The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice. H. Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n\n	  <<var;name=\"bullet\";original=\"O.\";match=\".{0,20}\">> Preserve any Warranty Disclaimers.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\n   If a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> RELICENSING\n\n   \"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A \"Massive Multiauthor Collaboration\" (or \"MMC\") contained in the site means any set of copyrightable works thus published on the MMC site.\n\n   \"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.\n\n   \"Incorporate\" means to publish or republish a Document, in whole or in part, as part of another Document.\n\n   An MMC is \"eligible for relicensing\" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.\n\n   The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.3 only - invariants"
		self.licenseComments = "This license was released 3 November 2008. The identifier GFDL-1.3-only-invariants should only be used when there are Invariant Sections, Front-Cover Texts or Back-Cover Texts. See GFDL-1.3-only and GFDL-1.3-only-no-invariants for alternatives."
		self.licenseId = "GFDL-1.3-invariants-only"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3; with with the Invariant Sections being LIST THEIR TITLES , with the Front-Cover Texts being LIST , and with the Back-Cover Texts being LIST . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/fdl-1.3.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:00Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/fdl-1.3.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.3, 3 November 2008\n	  </p>\n\n	</div>\n	<div class=\"replaceable-license-text\"> \n	  <p>\n		Copyright (C) 2000, 2001, 2002, 2007, 2008 Free\n		Software Foundation, Inc. &lt;http://fsf.org/&gt;\n	  </p>\n\n	</div>\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook, or\n		  other functional and useful document &quot;free&quot; in the sense of\n		  freedom: to assure everyone the effective freedom to copy and\n		  redistribute it, with or without modifying it, either commercially\n		  or noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work, in any medium,\n		  that contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. Such a\n		  notice grants a world-wide, royalty-free license, unlimited in\n		  duration, to use that work under the conditions stated herein.\n		  The &quot;Document&quot;, below, refers to any such manual or work.\n		  Any member of the public is a licensee, and is addressed as\n		  &quot;you&quot;. You accept the license if you copy, modify or distribute\n		  the work in a way requiring permission under copyright law.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter\n		  section of the Document that deals exclusively with the\n		  relationship of the publishers or authors of the Document to the\n		  Document&apos;s overall subject (or to related matters) and contains\n		  nothing that could fall directly within that overall subject.\n		  (Thus, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections,\n		  in the notice that says that the Document is released under\n		  this License. If a section does not fit the above definition of\n		  Secondary then it is not allowed to be designated as Invariant.\n		  The Document may contain zero Invariant Sections. If the Document\n		  does not identify any Invariant Sections then there are none.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are listed,\n		  as Front-Cover Texts or Back-Cover Texts, in the notice that says that\n		  the Document is released under this License. A Front-Cover Text may\n		  be at most 5 words, and a Back-Cover Text may be at most 25 words.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable\n		  copy, represented in a format whose specification is available\n		  to the general public, that is suitable for revising the document\n		  straightforwardly with generic text editors or (for images composed of\n		  pixels) generic paint programs or (for drawings) some widely available\n		  drawing editor, and that is suitable for input to text formatters or\n		  for automatic translation to a variety of formats suitable for input\n		  to text formatters. A copy made in an otherwise Transparent file\n		  format whose markup, or absence of markup, has been arranged to thwart\n		  or discourage subsequent modification by readers is not Transparent.\n		  An image format is not Transparent if used for any substantial\n		  amount of text. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include plain\n		  ASCII without markup, Texinfo input format, LaTeX input format,\n		  SGML or XML using a publicly available DTD, and standard-conforming\n		  simple HTML, PostScript or PDF designed for human modification.\n		  Examples of transparent image formats include PNG, XCF and JPG.\n		  Opaque formats include proprietary formats that can be read\n		  and edited only by proprietary word processors, SGML or XML\n		  for which the DTD and/or processing tools are not generally\n		  available, and the machine-generated HTML, PostScript or PDF\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n		<p>\n		  The &quot;publisher&quot; means any person or entity that\n		  distributes copies of the Document to the public.\n		</p>\n\n		<p>\n		  A section &quot;Entitled XYZ&quot; means a named subunit of the Document whose\n		  title either is precisely XYZ or contains XYZ in parentheses following\n		  text that translates XYZ in another language. (Here XYZ stands for\n		  a specific section name mentioned below, such as &quot;Acknowledgements&quot;,\n		  &quot;Dedications&quot;, &quot;Endorsements&quot;, or &quot;History&quot;.) To &quot;Preserve the\n		  Title&quot; of such a section when you modify the Document means that\n		  it remains a section &quot;Entitled XYZ&quot; according to this definition.\n		</p>\n\n		<p>\n		  The Document may include Warranty Disclaimers next to the notice\n		  which states that this License applies to the Document. These\n		  Warranty Disclaimers are considered to be included by reference\n		  in this License, but only as regards disclaiming warranties:\n		  any other implication that these Warranty Disclaimers may\n		  have is void and has no effect on the meaning of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies (or copies in media that commonly\n		  have printed covers) of the Document, numbering more than 100,\n		  and the Document&apos;s license notice requires Cover Texts, you must\n		  enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a computer-network location from which the general\n		  network-using public has access to download using public-standard\n		  network protocols a complete Transparent copy of the Document,\n		  free of added material. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or\n			entities responsible for authorship of the modifications in the\n			Modified Version, together with at least five of the principal\n			authors of the Document (all of its principal authors, if it has\n			fewer than five), unless they release you from this requirement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant\n			Sections and required Cover Texts given in the Document&apos;s\n			license notice. H. Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section Entitled &quot;History&quot;, Preserve its Title, and\n			add to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section Entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			For any section Entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			Preserve the Title of the section, and preserve in the\n			section all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section Entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section to be Entitled &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> O.</var>\n			Preserve any Warranty Disclaimers.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section Entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released under\n		  this License, under the terms defined in section 4 above for modified\n		  versions, provided that you include in the combination all of the\n		  Invariant Sections of all of the original documents, unmodified,\n		  and list them all as Invariant Sections of your combined work in its\n		  license notice, and that you preserve all their Warranty Disclaimers.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections Entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  Entitled &quot;History&quot;; likewise combine any sections Entitled\n		  &quot;Acknowledgements&quot;, and any sections Entitled &quot;Dedications&quot;.\n		  You must delete all sections Entitled &quot;Endorsements&quot;.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other\n		  separate and independent documents or works, in or on a volume\n		  of a storage or distribution medium, is called an &quot;aggregate&quot;\n		  if the copyright resulting from the compilation is not used to\n		  limit the legal rights of the compilation&apos;s users beyond what\n		  the individual works permit. When the Document is included in an\n		  aggregate, this License does not apply to the other works in the\n		  aggregate which are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to\n		  these copies of the Document, then if the Document is less\n		  than one half of the entire aggregate, the Document&apos;s Cover\n		  Texts may be placed on covers that bracket the Document\n		  within the aggregate, or the electronic equivalent of covers\n		  if the Document is in electronic form. Otherwise they must\n		  appear on printed covers that bracket the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of section\n		  4. Replacing Invariant Sections with translations requires special\n		  permission from their copyright holders, but you may include\n		  translations of some or all Invariant Sections in addition to the\n		  original versions of these Invariant Sections. You may include a\n		  translation of this License, and all the license notices in the\n		  Document, and any Warranty Disclaimers, provided that you also\n		  include the original English version of this License and the original\n		  versions of those notices and disclaimers. In case of a disagreement\n		  between the translation and the original version of this License\n		  or a notice or disclaimer, the original version will prevail.\n		</p>\n\n		<p>\n		  If a section in the Document is Entitled\n		  &quot;Acknowledgements&quot;, &quot;Dedications&quot;, or &quot;History&quot;, the\n		  requirement (section 4) to Preserve its Title (section\n		  1) will typically require changing the actual title.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided under this License. Any attempt\n		  otherwise to copy, modify, sublicense, or distribute it is void,\n		  and will automatically terminate your rights under this License.\n		</p>\n\n		<p>\n		  However, if you cease all violation of this License, then your\n		  license from a particular copyright holder is reinstated (a)\n		  provisionally, unless and until the copyright holder explicitly\n		  and finally terminates your license, and (b) permanently, if\n		  the copyright holder fails to notify you of the violation by\n		  some reasonable means prior to 60 days after the cessation.\n		</p>\n\n		<p>\n		  Moreover, your license from a particular copyright holder is\n		  reinstated permanently if the copyright holder notifies you\n		  of the violation by some reasonable means, this is the first\n		  time you have received notice of violation of this License\n		  (for any work) from that copyright holder, and you cure the\n		  violation prior to 30 days after your receipt of the notice.\n		</p>\n\n		<p>\n		  Termination of your rights under this section does not terminate\n		  the licenses of parties who have received copies or rights from\n		  you under this License. If your rights have been terminated and\n		  not permanently reinstated, receipt of a copy of some or all\n		  of the same material does not give you any rights to use it.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option of\n		  following the terms and conditions either of that specified version or\n		  of any later version that has been published (not as a draft) by the\n		  Free Software Foundation. If the Document does not specify a version\n		  number of this License, you may choose any version ever published (not\n		  as a draft) by the Free Software Foundation. If the Document specifies\n		  that a proxy can decide which future versions of this License can\n		  be used, that proxy&apos;s public statement of acceptance of a version\n		  permanently authorizes you to choose that version for the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		RELICENSING\n		<p>\n		  &quot;Massive Multiauthor Collaboration Site&quot; (or &quot;MMC Site&quot;) means any\n		  World Wide Web server that publishes copyrightable works and also\n		  provides prominent facilities for anybody to edit those works. A\n		  public wiki that anybody can edit is an example of such a server. A\n		  &quot;Massive Multiauthor Collaboration&quot; (or &quot;MMC&quot;) contained in the site\n		  means any set of copyrightable works thus published on the MMC site.\n		</p>\n\n		<p>\n		  &quot;CC-BY-SA&quot; means the Creative Commons Attribution-Share Alike\n		  3.0 license published by Creative Commons Corporation, a\n		  not-for-profit corporation with a principal place of business\n		  in San Francisco, California, as well as future copyleft\n		  versions of that license published by that same organization.\n		</p>\n\n		<p>\n		  &quot;Incorporate&quot; means to publish or republish a Document,\n		  in whole or in part, as part of another Document.\n		</p>\n\n		<p>\n		  An MMC is &quot;eligible for relicensing&quot; if it is licensed under this\n		  License, and if all works that were first published under this License\n		  somewhere other than this MMC, and subsequently incorporated in\n		  whole or in part into the MMC, (1) had no cover texts or invariant\n		  sections, and (2) were thus incorporated prior to November 1, 2008.\n		</p>\n\n		<p>\n		  The operator of an MMC Site may republish an MMC contained in\n		  the site under CC-BY-SA on the same site at any time before\n		  August 1, 2009, provided the MMC is eligible for relicensing.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the GNU\n		Free Documentation License, Version 1.3 or any later version published\n		by the Free Software Foundation; with no Invariant Sections, no\n		Front-Cover Texts, and no Back-Cover Texts. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections, Front-Cover Texts and\n		Back-Cover Texts, replace the &quot;with...Texts.&quot; line with this:\n	  </p>\n\n	  <p>\n		with the Invariant Sections being LIST THEIR TITLES, with the\n		Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections without Cover Texts,\n		or some other combination of the three, merge\n		those two alternatives to suit the situation.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>\n	  Permission is granted to copy, distribute and/or modify this\n	  document under the terms of the GNU Free Documentation License,\n	  Version 1.3; with with <var class=\"replaceable-license-text\"> the Invariant Sections being LIST THEIR\n	  TITLES</var>, with <var class=\"replaceable-license-text\"> the Front-Cover Texts being LIST</var>, and with <var class=\"replaceable-license-text\"> the\n	  Back-Cover Texts being LIST</var>. A copy of the license is included\n	  in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL13invariantsonly"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDUC:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1989 Regents of the University of California \n\nPermission to use,\ncopy, modify, and distribute this software and its documentation for any\npurpose and without fee is hereby granted, provided that the above\ncopyright notice appear in all copies. The University of California makes\nno representations about the suitability of this software for any purpose.\nIt is provided \"as is\" without express or implied warranty.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1989 Regents of the University of California\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies. <<var;name=\"copyrightHolder\";original=\"THE AUTHORS OR COPYRIGHT HOLDERS\";match=\".+\">> <<var;name=\"make\";original=\"make\";match=\"makes?\">> no representations about the suitability of this software for any purpose. It is provided \"as is\" without express or implied warranty.\n\n"
		self.name = "Historical Permission Notice and Disclaimer - University of California variant"
		self.licenseComments = "This license is similar to HPND but omits the obligation that the copyright notice and this permission notice appear in supporting documentation."
		self.licenseId = "HPND-UC"
		self.crossRef = [{"match": "False", "url": "https://core.tcl-lang.org/tk/file?name=compat/unistd.h", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:49Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://core.tcl-lang.org/tk/file?name=compat/unistd.h"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <var class=\"replaceable-license-text\"> \n		 Copyright 1989 Regents of the University of California\n	  </var>\n	  <p>\n		 Permission to use,\n		 copy, modify, and distribute this software and its documentation for any\n		 purpose and without fee is hereby granted, provided that the above\n		 copyright notice appear in all copies. <var class=\"replaceable-license-text\"> THE AUTHORS OR COPYRIGHT HOLDERS</var> <var class=\"replaceable-license-text\"> make</var>\n		 no representations about the suitability of this software for any purpose.\n		  It is provided &quot;as is&quot; without express or implied warranty.\n	  </p>\n\n	"
		self.python_name = "HPNDUC"

	def __str__(self):
		return json.dumps(self.__dict__)


class OFL11:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "SIL OPEN FONT LICENSE\n\nVersion 1.1 - 26 February 2007\n\nPREAMBLE\n\nThe goals of the Open Font License (OFL) are to stimulate worldwide development of collaborative font projects, to support the font creation efforts of academic and linguistic communities, and to provide a free and open framework in which fonts may be shared and improved in partnership with others.\n\nThe OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded, redistributed and/or sold with any software provided that any reserved names are not used by derivative works. The fonts and derivatives, however, cannot be released under any other type of license. The requirement for fonts to remain under this license does not apply to any document created using the fonts or their derivatives.\n\nDEFINITIONS\n\n\"Font Software\" refers to the set of files released by the Copyright Holder(s) under this license and clearly marked as such. This may include source files, build scripts and documentation.\n\n\"Reserved Font Name\" refers to any names specified as such after the copyright statement(s).\n\n\"Original Version\" refers to the collection of Font Software components as distributed by the Copyright Holder(s).\n\n\"Modified Version\" refers to any derivative made by adding to, deleting, or substituting \u2014 in part or in whole \u2014 any of the components of the Original Version, by changing formats or by porting the Font Software to a new environment.\n\n\"Author\" refers to any designer, engineer, programmer, technical writer or other person who contributed to the Font Software.\n\nPERMISSION & CONDITIONS\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the Font Software, subject to the following conditions:\n\n1) Neither the Font Software nor any of its individual components, in Original or Modified Versions, may be sold by itself.\n\n2) Original or Modified Versions of the Font Software may be bundled, redistributed and/or sold with any software, provided that each copy contains the above copyright notice and this license. These can be included either as stand-alone text files, human-readable headers or in the appropriate machine-readable metadata fields within text or binary files as long as those fields can be easily viewed by the user.\n\n3) No Modified Version of the Font Software may use the Reserved Font Name(s) unless explicit written permission is granted by the corresponding Copyright Holder. This restriction only applies to the primary font name as presented to the users.\n\n4) The name(s) of the Copyright Holder(s) or the Author(s) of the Font Software shall not be used to promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s) of the Copyright Holder(s) and the Author(s) or with their explicit written permission.\n\n5) The Font Software, modified or unmodified, in part or in whole, must be distributed entirely under this license, and must not be distributed under any other license. The requirement for fonts to remain under this license does not apply to any document created using the Font Software.\n\nTERMINATION\n\nThis license becomes null and void if any of the above conditions are not met.\n\nDISCLAIMER\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) <dates>, <Copyright Holder> (<URL|email>),  with Reserved Font Name <Reserved Font Name>.  \";match=\".{0,5000}\">><<beginOptional>> This Font Software is licensed under the SIL Open Font License, Version 1.1.\n\nThis license is copied below, and is also available with a FAQ at: http://scripts.sil.org/OFL\n\n<<endOptional>><<beginOptional>> SIL OPEN FONT LICENSE\n\nVersion 1.1 - 26 February 2007\n\n<<endOptional>>\n\nPREAMBLE\n\nThe goals of the Open Font License (OFL) are to stimulate worldwide development of collaborative font projects, to support the font creation efforts of academic and linguistic communities, and to provide a free and open framework in which fonts may be shared and improved in partnership with others.\n\nThe OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded, redistributed and/or sold with any software provided that any reserved names are not used by derivative works. The fonts and derivatives, however, cannot be released under any other type of license. The requirement for fonts to remain under this license does not apply to any document created using the fonts or their derivatives.\n\nDEFINITIONS\n\n\"Font Software\" refers to the set of files released by the Copyright Holder(s) under this license and clearly marked as such. This may include source files, build scripts and documentation.\n\n\"Reserved Font Name\" refers to any names specified as such after the copyright statement(s).\n\n\"Original Version\" refers to the collection of Font Software components as distributed by the Copyright Holder(s).\n\n\"Modified Version\" refers to any derivative made by adding to, deleting, or substituting \u2014 in part or in whole \u2014 any of the components of the Original Version, by changing formats or by porting the Font Software to a new environment.\n\n\"Author\" refers to any designer, engineer, programmer, technical writer or other person who contributed to the Font Software.\n\nPERMISSION & CONDITIONS\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the Font Software, subject to the following conditions:\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Neither the Font Software nor any of its individual components, in Original or Modified Versions, may be sold by itself.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Original or Modified Versions of the Font Software may be bundled, redistributed and/or sold with any software, provided that each copy contains the above copyright notice and this license. These can be included either as stand-alone text files, human-readable headers or in the appropriate machine-readable metadata fields within text or binary files as long as those fields can be easily viewed by the user.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> No Modified Version of the Font Software may use the Reserved Font Name(s) unless explicit written permission is granted by the corresponding Copyright Holder. This restriction only applies to the primary font name as presented to the users.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> The name(s) of the Copyright Holder(s) or the Author(s) of the Font Software shall not be used to promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s) of the Copyright Holder(s) and the Author(s) or with their explicit written permission.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> The Font Software, modified or unmodified, in part or in whole, must be distributed entirely under this license, and must not be distributed under any other license. The requirement for fonts to remain under this license does not apply to any document created using the Font Software.\n\nTERMINATION\n\nThis license becomes null and void if any of the above conditions are not met.\n\nDISCLAIMER\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n\n"
		self.name = "SIL Open Font License 1.1"
		self.licenseComments = "This license was released 26 February 2007. The identifier OFL-1.1 can be used to indicate that version 1.1 of the SIL Open Font License applies, without asserting whether or not a Reserved Font Name is used. See OFL-1.1-RFN and OFL-1.1-no-RFN for alternative identifiers that can be used to express explicitly that a Reserved Font Name is used or is not used, respectively."
		self.licenseId = "OFL-1.1"
		self.crossRef = [{"match": "False", "url": "http://scripts.sil.org/cms/scripts/page.php?item_id=OFL_web", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:49Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/OFL-1.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:50Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["http://scripts.sil.org/cms/scripts/page.php?item_id=OFL_web", "https://opensource.org/licenses/OFL-1.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> <p>Copyright (c) &lt;dates&gt;, &lt;Copyright Holder&gt; (&lt;URL|email&gt;),\n		 <br />\n\nwith Reserved Font Name &lt;Reserved Font Name&gt;.</p>\n</div>\n	  <div class=\"optional-license-text\"> \n		 <p>This Font Software is licensed under the SIL Open Font License, Version 1.1.</p>\n\n		 <p>This license is copied below, and is also available with a FAQ at: http://scripts.sil.org/OFL</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>SIL OPEN FONT LICENSE</p>\n\n		 <p>Version 1.1 - 26 February 2007</p>\n\n	  </div>\n\n	  <p>PREAMBLE</p>\n\n	  <p>The goals of the Open Font License (OFL) are to stimulate worldwide development of collaborative font\n		 projects, to support the font creation efforts of academic and linguistic communities, and to provide\n		 a free and open framework in which fonts may be shared and improved in partnership with others.</p>\n\n	  <p>The OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they\n		 are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded,\n		 redistributed and/or sold with any software provided that any reserved names are not used by\n		 derivative works. The fonts and derivatives, however, cannot be released under any other type of\n		 license. The requirement for fonts to remain under this license does not apply to any document created\n		 using the fonts or their derivatives.</p>\n\n	  <p>DEFINITIONS</p>\n\n	  <p>&quot;Font Software&quot; refers to the set of files released by the Copyright Holder(s) under this license and\n		 clearly marked as such. This may include source files, build scripts and documentation.</p>\n\n	  <p>&quot;Reserved Font Name&quot; refers to any names specified as such after the copyright statement(s).</p>\n\n	  <p>&quot;Original Version&quot; refers to the collection of Font Software components as distributed by the Copyright\n		 Holder(s).</p>\n\n	  <p>&quot;Modified Version&quot; refers to any derivative made by adding to, deleting, or substituting \u2014 in part or in\n		 whole \u2014 any of the components of the Original Version, by changing formats or by porting the Font\n		 Software to a new environment.</p>\n\n	  <p>&quot;Author&quot; refers to any designer, engineer, programmer, technical writer or other person who contributed\n		 to the Font Software.</p>\n\n	  <p>PERMISSION &amp; CONDITIONS</p>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to\n		 use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the\n		 Font Software, subject to the following conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Neither the Font Software nor any of its individual components, in Original or Modified Versions,\n			 may be sold by itself.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Original or Modified Versions of the Font Software may be bundled, redistributed and/or sold with\n			 any software, provided that each copy contains the above copyright notice and this license.\n			 These can be included either as stand-alone text files, human-readable headers or in the\n			 appropriate machine-readable metadata fields within text or binary files as long as those\n			 fields can be easily viewed by the user.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  No Modified Version of the Font Software may use the Reserved Font Name(s) unless explicit\n			 written permission is granted by the corresponding Copyright Holder. This restriction only\n			 applies to the primary font name as presented to the users.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  The name(s) of the Copyright Holder(s) or the Author(s) of the Font Software shall not be used to\n			 promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s)\n			 of the Copyright Holder(s) and the Author(s) or with their explicit written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  The Font Software, modified or unmodified, in part or in whole, must be distributed entirely\n			 under this license, and must not be distributed under any other license. The requirement for\n			 fonts to remain under this license does not apply to any document created using the Font\n			 Software.\n		</li>\n	  \n</ul>\n	  <p>TERMINATION</p>\n\n	  <p>This license becomes null and void if any of the above conditions are not met.</p>\n\n	  <p>DISCLAIMER</p>\n\n	  <p>THE FONT SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT\n		 NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT\n		 OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR\n		 ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR\n		 CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE\n		 USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.</p>\n\n	"
		self.python_name = "OFL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class VOSTROM:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "VOSTROM Public License for Open Source\n\nCopyright (c) 2007 VOSTROM Holdings, Inc.\n\nThis VOSTROM Holdings, Inc. (VOSTROM) Distribution (code and documentation) is made available to the open source community as a public service by VOSTROM. Contact VOSTROM at license@vostrom.com for information on other licensing arrangements (e.g. for use in proprietary applications).\n\nUnder this license, this Distribution may be modified and the original version and modified versions may be copied, distributed, publicly displayed and performed provided that the following conditions are met:\n\n1. Modified versions are distributed with source code and documentation and with permission for others to use any code and documentation (whether in original or modified versions) as granted under this license;\n\n2. if modified, the source code, documentation, and user run-time elements should be clearly labeled by placing an identifier of origin (such as a name, initial, or other tag) after the version number;\n\n3. users, modifiers, distributors, and others coming into possession or using the Distribution in original or modified form accept the entire risk as to the possession, use, and performance of the Distribution;\n\n4. this copyright management information (software identifier and version number, copyright notice and license) shall be retained in all versions of the Distribution;\n\n5. VOSTROM may make modifications to the Distribution that are substantially similar to modified versions of the Distribution, and may make, use, sell, copy, distribute, publicly display, and perform such modifications, including making such modifications available under this or other licenses, without obligation or restriction;\n\n6. modifications incorporating code, libraries, and/or documentation subject to any other open source license may be made, and the resulting work may be distributed under the terms of such open source license if required by that open source license, but doing so will not affect this Distribution, other modifications made under this license or modifications made under other VOSTROM licensing arrangements;\n\n7. no permission is granted to distribute, publicly display, or publicly perform modifications to the Distribution made using proprietary materials that cannot be released in source format under conditions of this license;\n\n8. the name of VOSTROM may not be used in advertising or publicity pertaining to Distribution of the software without specific, prior written permission.\n\nThis software is made available \"as is\", and\n\nVOSTROM DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND IN NO EVENT SHALL VOSTROM BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, TORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>VOSTROM Public License for Open Source\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2007 VOSTROM Holdings, Inc.  \";match=\".{0,5000}\">>\n\nThis VOSTROM Holdings, Inc. (VOSTROM) Distribution (code and documentation) is made available to the open source community as a public service by VOSTROM. Contact VOSTROM at license@vostrom.com for information on other licensing arrangements (e.g. for use in proprietary applications).\n\nUnder this license, this Distribution may be modified and the original version and modified versions may be copied, distributed, publicly displayed and performed provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Modified versions are distributed with source code and documentation and with permission for others to use any code and documentation (whether in original or modified versions) as granted under this license;\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> if modified, the source code, documentation, and user run-time elements should be clearly labeled by placing an identifier of origin (such as a name, initial, or other tag) after the version number;\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> users, modifiers, distributors, and others coming into possession or using the Distribution in original or modified form accept the entire risk as to the possession, use, and performance of the Distribution;\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> this copyright management information (software identifier and version number, copyright notice and license) shall be retained in all versions of the Distribution;\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> VOSTROM may make modifications to the Distribution that are substantially similar to modified versions of the Distribution, and may make, use, sell, copy, distribute, publicly display, and perform such modifications, including making such modifications available under this or other licenses, without obligation or restriction;\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> modifications incorporating code, libraries, and/or documentation subject to any other open source license may be made, and the resulting work may be distributed under the terms of such open source license if required by that open source license, but doing so will not affect this Distribution, other modifications made under this license or modifications made under other VOSTROM licensing arrangements;\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> no permission is granted to distribute, publicly display, or publicly perform modifications to the Distribution made using proprietary materials that cannot be released in source format under conditions of this license;\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> the name of VOSTROM may not be used in advertising or publicity pertaining to Distribution of the software without specific, prior written permission.\n\nThis software is made available \"as is\", and\n\nVOSTROM DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND IN NO EVENT SHALL VOSTROM BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, TORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n"
		self.name = "VOSTROM Public License for Open Source"
		self.licenseId = "VOSTROM"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/VOSTROM", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:12Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/VOSTROM"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>VOSTROM Public License for Open Source</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2007 VOSTROM Holdings, Inc.</p>\n\n	  </div>\n\n	  <p>This VOSTROM Holdings, Inc. (VOSTROM) Distribution (code and documentation) is made available to the open\n		 source community as a public service by VOSTROM. Contact VOSTROM at license@vostrom.com for\n		 information on other licensing arrangements (e.g. for use in proprietary applications).</p>\n\n	  <p>Under this license, this Distribution may be modified and the original version and modified versions may\n		 be copied, distributed, publicly displayed and performed provided that the following conditions are\n		 met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Modified versions are distributed with source code and documentation and with permission for\n			 others to use any code and documentation (whether in original or modified versions) as granted\n			 under this license;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  if modified, the source code, documentation, and user run-time elements should be clearly labeled\n			 by placing an identifier of origin (such as a name, initial, or other tag) after the version\n			 number;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  users, modifiers, distributors, and others coming into possession or using the Distribution in\n			 original or modified form accept the entire risk as to the possession, use, and performance of\n			 the Distribution;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  this copyright management information (software identifier and version number, copyright notice\n			 and license) shall be retained in all versions of the Distribution;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  VOSTROM may make modifications to the Distribution that are substantially similar to modified\n			 versions of the Distribution, and may make, use, sell, copy, distribute, publicly display, and\n			 perform such modifications, including making such modifications available under this or other\n			 licenses, without obligation or restriction;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  modifications incorporating code, libraries, and/or documentation subject to any other open\n			 source license may be made, and the resulting work may be distributed under the terms of such\n			 open source license if required by that open source license, but doing so will not affect this\n			 Distribution, other modifications made under this license or modifications made under other\n			 VOSTROM licensing arrangements;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  no permission is granted to distribute, publicly display, or publicly perform modifications to\n			 the Distribution made using proprietary materials that cannot be released in source format\n			 under conditions of this license;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  the name of VOSTROM may not be used in advertising or publicity pertaining to Distribution of the\n			 software without specific, prior written permission.\n		</li>\n	  \n</ul>\n	  <p>This software is made available &quot;as is&quot;, and</p>\n\n	  <p>VOSTROM DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT\n		 LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND IN NO\n		 EVENT SHALL VOSTROM BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\n		 WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, TORT\n		 (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR\n		 PERFORMANCE OF THIS SOFTWARE.</p>\n\n	"
		self.python_name = "VOSTROM"

	def __str__(self):
		return json.dumps(self.__dict__)


class xpp:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "LICENSE FOR THE Extreme! Lab PullParser\n\nCopyright (c) 2002 The Trustees of Indiana University. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1) All redistributions of source code must retain the above copyright notice, the list of authors in the original source code, this list of conditions and the disclaimer listed in this license;\n\n2) All redistributions in binary form must reproduce the above copyright notice, this list of conditions and the disclaimer listed in this license in the documentation and/or other materials provided with the distribution;\n\n3) Any documentation included with all redistributions must include the following acknowledgement:\n\n	 \"This product includes software developed by the Indiana University Extreme! Lab. For further information please visit http://www.extreme.indiana.edu/\"\n\nAlternatively, this acknowledgment may appear in the software itself, and wherever such third-party acknowledgments normally appear.\n\n4) The name \"Indiana Univeristy\" and \"Indiana Univeristy Extreme! Lab\" shall not be used to endorse or promote products derived from this software without prior written permission from Indiana University. For written permission, please contact http://www.extreme.indiana.edu/.\n\n5) Products derived from this software may not use \"Indiana Univeristy\" name nor may \"Indiana Univeristy\" appear in their name, without prior written permission of the Indiana University. Indiana University provides no reassurances that the source code provided does not infringe the patent or any other intellectual property rights of any other entity. Indiana University disclaims any liability to any recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise.\n\nLICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED \"AS IS\" FOR WHICH NO WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS. INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM \"BUGS\", \"VIRUSES\", \"TROJAN HORSES\", \"TRAP DOORS\", \"WORMS\", OR OTHER HARMFUL CODE. LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION GENERATED USING SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>LICENSE FOR THE Extreme! Lab PullParser\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2002 The Trustees of Indiana University. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> All redistributions of source code must retain the above copyright notice, the list of authors in the original source code, this list of conditions and the disclaimer listed in this license;\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> All redistributions in binary form must reproduce the above copyright notice, this list of conditions and the disclaimer listed in this license in the documentation and/or other materials provided with the distribution;\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> Any documentation included with all redistributions must include the following acknowledgement:\n\n   \"This product includes software developed by the Indiana University Extreme! Lab. For further information please visit http://www.extreme.indiana.edu/\"\n\n   Alternatively, this acknowledgment may appear in the software itself, and wherever such third-party acknowledgments normally appear.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> The name \"Indiana <<var;name=\"uni1\";original=\"Univeristy\";match=\"Univeristy|University\">> \" <<var;name=\"and\";original=\"and\";match=\"and|or\">> \"Indiana <<var;name=\"uni2\";original=\"Univeristy\";match=\"Univeristy|University\">> Extreme! Lab\" shall not be used to endorse or promote products derived from this software without prior written permission from Indiana University. For written permission, please contact http://www.extreme.indiana.edu/.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> Products derived from this software may not use \"Indiana <<var;name=\"uni3\";original=\"Univeristy\";match=\"Univeristy|University\">> \" name nor may \"Indiana <<var;name=\"uni4\";original=\"Univeristy\";match=\"Univeristy|University\">> \" appear in their name, without prior written permission of the Indiana University. Indiana University provides no reassurances that the source code provided does not infringe the patent or any other intellectual property rights of any other entity. Indiana University disclaims any liability to any recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise.\n\nLICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED \"AS IS\" FOR WHICH NO WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS. INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM \"BUGS\", \"VIRUSES\", \"TROJAN HORSES\", \"TRAP DOORS\", \"WORMS\", OR OTHER HARMFUL CODE. LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION GENERATED USING SOFTWARE.\n\n"
		self.name = "XPP License"
		self.licenseId = "xpp"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/xpp", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:51Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/xpp"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>LICENSE FOR THE Extreme! Lab PullParser</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2002 The Trustees of Indiana University. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  All redistributions of source code must retain the above copyright notice, the list of authors in\n			 the original source code, this list of conditions and the disclaimer listed in this\n			 license;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  All redistributions in binary form must reproduce the above copyright notice, this list of\n			 conditions and the disclaimer listed in this license in the documentation and/or other\n			 materials provided with the distribution;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  Any documentation included with all redistributions must include the following acknowledgement:\n		  <p>&quot;This product includes software developed by the Indiana University Extreme! Lab. For further\n			 information please visit http://www.extreme.indiana.edu/&quot;</p>\n\n			<p>Alternatively, this acknowledgment may appear in the software itself, and wherever such\n			 third-party acknowledgments normally appear.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		   The name &quot;Indiana <var class=\"replaceable-license-text\"> Univeristy</var>&quot; <var class=\"replaceable-license-text\"> and</var> &quot;Indiana <var class=\"replaceable-license-text\"> Univeristy</var> Extreme! Lab&quot; \n		   shall not be used to endorse or promote products derived from this software without prior written permission from Indiana\n			 University. For written permission, please contact http://www.extreme.indiana.edu/.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  Products derived from this software may not use &quot;Indiana <var class=\"replaceable-license-text\"> Univeristy</var>&quot; \n		  name nor may &quot;Indiana\n		  <var class=\"replaceable-license-text\"> Univeristy</var>&quot; appear in their name, \n		  without prior written permission of the Indiana University.\n			 Indiana University provides no reassurances that the source code provided does not infringe\n			 the patent or any other intellectual property rights of any other entity. Indiana University\n			 disclaims any liability to any recipient for claims brought by any other entity based on\n			 infringement of intellectual property rights or otherwise.\n		</li>\n	  \n</ul>\n	  <p>LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED &quot;AS IS&quot; FOR WHICH NO WARRANTIES AS TO CAPABILITIES OR\n		 ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS\n		 FREE OF INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS. INDIANA UNIVERSITY\n		 MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM &quot;BUGS&quot;, &quot;VIRUSES&quot;, &quot;TROJAN HORSES&quot;, &quot;TRAP DOORS&quot;,\n		 &quot;WORMS&quot;, OR OTHER HARMFUL CODE. LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE\n		 AND/OR ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION GENERATED USING\n		 SOFTWARE.</p>\n\n	"
		self.python_name = "xpp"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD2clausefirstlines:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 2006,2007,2009 NTT (Nippon Telegraph and Telephone\nCorporation).  All rights reserved.\n\nRedistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions\nare met:\n\n1. Redistributions of source code must retain the above\n   copyright notice, this list of conditions and the following\n   disclaimer as the first lines of this file unmodified.\n\n2. Redistributions in binary form must reproduce the above\n   copyright notice, this list of conditions and the following\n   disclaimer in the documentation and/or other materials provided\n   with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY NTT \"AS IS\" AND ANY EXPRESS OR IMPLIED\nWARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE\nDISCLAIMED. IN NO EVENT SHALL NTT BE LIABLE FOR ANY DIRECT,\nINDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\nHOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\nSTRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED\nOF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 2006,2007,2009 NTT (Nippon Telegraph and Telephone Corporation). All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">>\n\n   Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer as the first lines of this file unmodified.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">>\n\n   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY NTT \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL NTT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD 2-Clause - first lines requirement"
		self.licenseComments = "This is the same as BSD-2-Clause, but adds a specific requirement to retain the notice in the first lines of the file."
		self.licenseId = "BSD-2-clause-first-lines"
		self.crossRef = [{"match": "False", "url": "https://web.mit.edu/kerberos/krb5-1.21/doc/mitK5license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:03Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/krb5/krb5/blob/krb5-1.21.2-final/NOTICE#L664-L690", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:03Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/krb5/krb5/blob/krb5-1.21.2-final/NOTICE#L664-L690", "https://web.mit.edu/kerberos/krb5-1.21/doc/mitK5license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n		 <p>\n			Copyright (C) 2006,2007,2009 NTT (Nippon Telegraph\n			and Telephone Corporation). All rights reserved.\n		 </p>\n\n		 </div>\n		 <p>\n			Redistribution and use in source and binary\n			forms, with or without modification, are permitted\n			provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   <p>\n				  Redistributions of source code must retain the above\n				  copyright notice, this list of conditions and the following\n				  disclaimer as the first lines of this file unmodified.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   <p>\n				  Redistributions in binary form must reproduce the\n				  above copyright notice, this list of conditions and\n				  the following disclaimer in the documentation and/or\n				  other materials provided with the distribution.\n			   </p>\n\n			</li>\n		 \n</ul>\n		 <p>\n			THIS SOFTWARE IS PROVIDED BY NTT &quot;AS IS&quot; AND ANY EXPRESS\n			OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\n			IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n			PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL NTT\n			BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\n			EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n			LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n			LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n			HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n			CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\n			OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\n			SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		 </p>\n\n	  "
		self.python_name = "BSD2clausefirstlines"

	def __str__(self):
		return json.dumps(self.__dict__)


class APL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "ADAPTIVE PUBLIC LICENSE\nVersion 1.0\n\nTHE LICENSED WORK IS PROVIDED UNDER THE TERMS OF THIS ADAPTIVE PUBLIC LICENSE (\"LICENSE\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE LICENSED WORK CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS LICENSE AND ITS TERMS, WHETHER OR NOT SUCH RECIPIENT READS THE TERMS OF THIS LICENSE. \"LICENSED WORK\" AND \"RECIPIENT\" ARE DEFINED BELOW.\n\nIMPORTANT NOTE: This License is \"adaptive\", and the generic version or another version of an Adaptive Public License should not be relied upon to determine your rights and obligations under this License. You must read the specific Adaptive Public License that you receive with the Licensed Work, as certain terms are defined at the outset by the Initial Contributor.\n\nSee Section 2.2 below, Exhibit A attached, and any Suppfile.txt accompanying this License to determine the specific adaptive features applicable to this License. For example, without limiting the foregoing, (a) for selected choice of law and jurisdiction see Part 3 of Exhibit A; (b) for the selected definition of Third Party see Part 4 of Exhibit A; and (c) for selected patent licensing terms (if any) see Section 2.2 below and Part 6 of Exhibit A.\n\n1. DEFINITIONS.\n\n1.1. \"CONTRIBUTION\" means:\n\n	 (a) In the case of the Initial Contributor, the Initial Work distributed under this License by the Initial Contributor; and\n	 (b) In the case of each Subsequent Contributor, the Subsequent Work originating from and distributed by such Subsequent Contributor.\n\n1.2. \"DESIGNATED WEB SITE\" means the web site having the URL identified in Part 1 of Exhibit A, which URL may be changed by the Initial Contributor by posting on the current Designated Web Site the new URL for at least sixty (60) days.\n\n1.3. \"DISTRIBUTOR\" means any Person that distributes the Licensed Work or any portion thereof to at least one Third Party.\n\n1.4. \"ELECTRONIC DISTRIBUTION MECHANISM\" means any mechanism generally accepted in the software development community for the electronic transfer of data.\n\n1.5. \"EXECUTABLE\" means the Licensed Work in any form other than Source Code.\n\n1.6. \"GOVERNING JURISDICTION\" means the state, province or other legal jurisdiction identified in Part 3 of Exhibit A.\n\n1.7. \"INDEPENDENT MODULE\" means a separate module of software and/or data that is not a derivative work of or copied from the Licensed Work or any portion thereof. In addition, a module does not qualify as an Independent Module but instead forms part of the Licensed Work if the module: (a) is embedded in the Licensed Work; (b) is included by reference in the Licensed Work other than by a function call or a class reference; or (c) must be included or contained, in whole or in part, within a file directory or subdirectory actually containing files making up the Licensed Work.\n\n1.8. \"INITIAL CONTRIBUTOR\" means the Person or entity identified as the Initial Contributor in the notice required by Part 1 of Exhibit A.\n\n1.9. \"INITIAL WORK\" means the initial Source Code, object code (if any) and documentation for the computer program identified in Part 2 of Exhibit A, as such Source Code, object code and documentation is distributed under this License by the Initial Contributor.\n\n1.10. \"LARGER WORK\" means a work that combines the Licensed Work or portions thereof with code not governed by this License.\n\n1.11. \"LICENSED WORK\" means the Initial Work and/or any Subsequent Work, in each case including portions thereof.\n\n1.12. \"LICENSE NOTICE\" has the meaning assigned in Part 5 of Exhibit A.\n\n1.13. \"MODIFICATION\" or \"MODIFICATIONS\" means any change to and/or addition to the Licensed Work.\n\n1.14. \"PERSON\" means an individual or other legal entity, including a corporation, partnership or other body.\n\n1.15. \"RECIPIENT\" means any Person who receives or obtains the Licensed Work under this License (by way of example, without limiting the foregoing, any Subsequent Contributor or Distributor).\n\n1.16. \"SOURCE CODE\" means the source code for a computer program, including the source code for all modules and components of the computer program, plus any associated interface definition files, and scripts used to control compilation and installation of an executable.\n\n1.17. \"SUBSEQUENT CONTRIBUTOR\" means any Person that makes or contributes to the making of any Subsequent Work and that distributes that Subsequent Work to at least one Third Party.\n\n1.18. \"SUBSEQUENT WORK\" means a work that has resulted or arises from changes to and/or additions to:\n\n	 (a) the Initial Work;\n	 (b) any other Subsequent Work; or\n	 (c) to any combination of the Initial Work and any such other Subsequent Work;\nwhere such changes and/or additions originate from a Subsequent Contributor. A Subsequent Work will \"originate\" from a Subsequent Contributor if the Subsequent Work was a result of efforts by such Subsequent Contributor (or anyone acting on such Subsequent Contributor's behalf, such as, a contractor or other entity that is engaged by or under the direction of the Subsequent Contributor). For greater certainty, a Subsequent Work expressly excludes and shall not capture within its meaning any Independent Module.\n\n1.19. \"SUPPLEMENT FILE\" means a file distributed with the Licensed Work having a file name \"suppfile.txt\".\n\n1.20. \"THIRD PARTY\" has the meaning assigned in Part 4 of Exhibit A.\n\n2. LICENSE.\n\n2.1. COPYRIGHT LICENSE FROM INITIAL AND SUBSEQUENT CONTRIBUTORS.\n\n	 (a) Subject to the terms of this License, the Initial Contributor hereby grants each Recipient a world-wide, royalty-free, non-exclusive copyright license to:\n\n		  (i) reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Initial Work; and\n		  (ii) reproduce, publicly display, publicly perform, distribute, and sublicense any derivative works (if any) prepared by Recipient;\nin Source Code and Executable form, either with other Modifications, on an unmodified basis, or as part of a Larger Work.\n\n	 (b) Subject to the terms of this License, each Subsequent Contributor hereby grants each Recipient a world-wide, royalty-free, non-exclusive copyright license to:\n\n		  (i) reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Subsequent Work of such Subsequent Contributor; and\n		  (ii) reproduce, publicly display, publicly perform, distribute, and sublicense any derivative works (if any) prepared by Recipient;\nin Source Code and Executable form, either with other Modifications, on an unmodified basis, or as part of a Larger Work.\n\n2.2. PATENT LICENSE FROM INITIAL AND SUBSEQUENT CONTRIBUTORS.\n\n	 (a) This License does not include or grant any patent license whatsoever from the Initial Contributor, Subsequent Contributor, or any Distributor unless, at the time the Initial Work is first distributed or made available under this License (as the case may be), the Initial Contributor has selected pursuant to Part 6 of Exhibit A the patent terms in paragraphs A, B, C, D and E from Part 6 of Exhibit A. If this is not done then the Initial Work and any other Subsequent Work is made available under the License without any patent license (the \"PATENTS-EXCLUDED LICENSE\").\n	 (b) However, the Initial Contributor may subsequently distribute or make available (as the case may be) future copies of: (1) the Initial Work; or (2) any Licensed Work distributed by the Initial Contributor which includes the Initial Work (or any portion thereof) and/or any Modification made by the Initial Contributor; available under a License which includes a patent license (the \"PATENTS-INCLUDED LICENSE\") by selecting pursuant to Part 6 of Exhibit A the patent terms in paragraphs A, B, C, D and E from Part 6 of Exhibit A, when the Initial Contributor distributes or makes available (as the case may be) such future copies under this License.\n	 (c) If any Recipient receives or obtains one or more copies of the Initial Work or any other portion of the Licensed Work under the Patents-Included License, then all licensing of such copies under this License shall include the terms in paragraphs A, B, C, D and E from Part 6 of Exhibit A and that Recipient shall not be able to rely upon the Patents-Excluded License for any such copies. However, all Recipients that receive one or more copies of the Initial Work or any other portion of the Licensed Work under a copy of the License which includes the Patents-Excluded License shall have no patent license with respect to such copies received under the Patents-Excluded License and availability and distribution of such copies, including Modifications made by such Recipient to such copies, shall be under a copy of the License without any patent license.\n	 (d) Where a Recipient uses in combination or combines any copy of the Licensed Work (or portion thereof) licensed under a copy of the License having a Patents-Excluded License with any copy of the Licensed Work (or portion thereof) licensed under a copy of the License having a Patents-Included License, the combination (and any portion thereof) shall, from the first time such Recipient uses, makes available or distributes the combination (as the case may be), be subject to only the terms of the License having the Patents-Included License which shall include the terms in paragraphs A, B, C, D and E from Part 6 of Exhibit A.\n\n2.3. ACKNOWLEDGEMENT AND DISCLAIMER.\nRecipient understands and agrees that although Initial Contributor and each Subsequent Contributor grants the licenses to its Contributions set forth herein, no representation, warranty, guarantee or assurance is provided by any Initial Contributor, Subsequent Contributor, or Distributor that the Licensed Work does not infringe the patent or other intellectual property rights of any other entity. Initial Contributor, Subsequent Contributor, and each Distributor disclaims any liability to Recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise, in relation to the Licensed Works. As a condition to exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole responsibility to secure any other intellectual property rights needed, if any. For example, without limiting the foregoing disclaimers, if a third party patent license is required to allow Recipient to distribute the Licensed Work, it is Recipient's responsibility to acquire that license before distributing the Licensed Work.\n\n2.4. RESERVATION.\nNothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Initial Contributor, Subsequent Contributor, or Distributor except as expressly stated herein.\n\n3. DISTRIBUTION OBLIGATIONS.\n\n3.1. DISTRIBUTION GENERALLY.\n\n	 (a) A Subsequent Contributor shall make that Subsequent Contributor's Subsequent Work(s) available to the public via an Electronic Distribution Mechanism for a period of at least twelve (12) months. The aforesaid twelve (12) month period shall begin within a reasonable time after the creation of the Subsequent Work and no later than sixty (60) days after first distribution of that Subsequent Contributor's Subsequent Work.\n	 (b) All Distributors must distribute the Licensed Work in accordance with the terms of the License, and must include a copy of this License (including without limitation Exhibit A and the accompanying Supplement File) with each copy of the Licensed Work distributed. In particular, this License must be prominently distributed with the Licensed Work in a file called \"license.txt.\" In addition, the License Notice in Part 5 of Exhibit A must be included at the beginning of all Source Code files, and viewable to a user in any executable such that the License Notice is reasonably brought to the attention of any party using the Licensed Work.\n\n3.2. EXECUTABLE DISTRIBUTIONS OF THE LICENSED WORK.\nA Distributor may choose to distribute the Licensed Work, or any portion thereof, in Executable form (an \"EXECUTABLE DISTRIBUTION\") to any third party, under the terms of Section 2 of this License, provided the Executable Distribution is made available under and accompanied by a copy of this License, AND provided at least ONE of the following conditions is fulfilled:\n\n	 (a) The Executable Distribution must be accompanied by the Source Code for the Licensed Work making up the Executable Distribution, and the Source Code must be distributed on the same media as the Executable Distribution or using an Electronic Distribution Mechanism; or\n	 (b) The Executable Distribution must be accompanied with a written offer, valid for at least thirty six (36) months, to give any third party under the terms of this License, for a charge no more than the cost of physically performing source distribution, a complete machine-readable copy of the Source Code for the Licensed Work making up the Executable Distribution, to be available and distributed using an Electronic Distribution Mechanism, and such Executable Distribution must remain available in Source Code form to any third party via the Electronic Distribution Mechanism (or any replacement Electronic Distribution Mechanism the particular Distributor may reasonably need to turn to as a substitute) for said at least thirty six (36) months.\n\nFor greater certainty, the above-noted requirements apply to any Licensed Work or portion thereof distributed to any third party in Executable form, whether such distribution is made alone, in combination with a Larger Work or Independent Modules, or in some other combination.\n\n3.3. SOURCE CODE DISTRIBUTIONS.\nWhen a Distributor makes the Licensed Work, or any portion thereof, available to any Person in Source Code form, it must be made available under this License and a copy of this License must be included with each copy of the Source Code, situated so that the copy of the License is conspicuously brought to the attention of that Person. For greater clarification, this Section 3.3 applies to all distribution of the Licensed Work in any Source Code form. A Distributor may charge a fee for the physical act of transferring a copy, which charge shall be no more than the cost of physically performing source distribution.\n\n3.4. REQUIRED NOTICES IN SOURCE CODE.\nEach Subsequent Contributor must ensure that the notice set out in Part 5 of Exhibit A is included in each file of the Source Code for each Subsequent Work originating from that particular Subsequent Contributor, if such notice is not already included in each such file. If it is not possible to put such notice in a particular Source Code file due to its structure, then the Subsequent Contributor must include such notice in a location (such as a relevant directory in which the file is stored) where a user would be likely to look for such a notice.\n\n3.5. NO DISTRIBUTION REQUIREMENTS FOR INTERNALLY USED MODIFICATIONS.\nNotwithstanding Sections 3.2, 3.3 and 3.4, Recipient may, internally within its own corporation or organization use the Licensed Work, including the Initial Work and Subsequent Works, and make Modifications for internal use within Recipient's own corporation or organization (collectively, \"INTERNAL USE MODIFICATIONS\"). The Recipient shall have no obligation to distribute, in either Source Code or Executable form, any such Internal Use Modifications made by Recipient in the course of such internal use, except where required below in this Section 3.5. All Internal Use Modifications distributed to any Person, whether or not a Third Party, shall be distributed pursuant to and be accompanied by the terms of this License. If the Recipient chooses to distribute any such Internal Use Modifications to any Third Party, then the Recipient shall be deemed a Subsequent Contributor, and any such Internal Use Modifications distributed to any Third Party shall be deemed a Subsequent Work originating from that Subsequent Contributor, and shall from the first such instance become part of the Licensed Work that must thereafter be distributed and made available to third parties in accordance with the terms of Sections 3.1 to 3.4 inclusive.\n\n3.6. INDEPENDENT MODULES.\nThis License shall not apply to Independent Modules of any Initial Contributor, Subsequent Contributor, Distributor or any Recipient, and such Independent Modules may be licensed or made available under one or more separate license agreements.\n\n3.7. LARGER WORKS.\nAny Distributor or Recipient may create or contribute to a Larger Work by combining any of the Licensed Work with other code not governed by the terms of this License, and may distribute the Larger Work as one or more products. However, in any such case, Distributor or Recipient (as the case may be) must make sure that the requirements of this License are fulfilled for the Licensed Work portion of the Larger Work.\n\n3.8. DESCRIPTION OF DISTRIBUTED MODIFICATIONS.\n\n	 (a) Each Subsequent Contributor (including the Initial Contributor where the Initial Contributor also qualifies as a Subsequent Contributor) must cause each Subsequent Work created or contributed to by that Subsequent Contributor to contain a file documenting the changes, in accordance with the requirements of Part 1 of the Supplement File, that such Subsequent Contributor made in the creation or contribution to that Subsequent Work. If no Supplement File exists or no requirements are set out in Part 1 of the Supplement File, then there are no requirements for Subsequent Contributors to document changes that they make resulting in Subsequent Works.\n	 (b) The Initial Contributor may at any time introduce requirements or add to or change earlier requirements (in each case, the \"EARLIER DESCRIPTION REQUIREMENTS\") for documenting changes resulting in Subsequent Works by revising Part 1 of each copy of the Supplement File distributed by the Initial Contributor with future copies of the Licensed Work so that Part 1 then contains new requirements (the \"NEW DESCRIPTION REQUIREMENTS\") for documenting such changes.\n	 (c) Any Recipient receiving at any time any copy of an Initial Work or any Subsequent Work under a copy of this License (in each case, an \"Earlier LICENSED COPY\") having the Earlier Description Requirements may choose, with respect to each such Earlier Licensed Copy, to comply with the Earlier Description Requirements or the New Description Requirements. Where a Recipient chooses to comply with the New Description Requirements, that Recipient will, when thereafter distributing any copies of any such Earlier Licensed Copy, include a Supplement File having a section entitled Part 1 that contains a copy of the New Description Requirements.\n	 (d) For greater certainty, the intent of Part 1 of the Supplement File is to provide a mechanism (if any) by which Subsequent Contributors must document changes that they make to the Licensed Work resulting in Subsequent Works. Part 1 of any Supplement File shall not be used to increase or reduce the scope of the license granted in Article 2 of this License or in any other way increase or decrease the rights and obligations of any Recipient, and shall at no time serve as the basis for terminating the License. Further, a Recipient can be required to correct and change its documentation procedures to comply with Part 1 of the Supplement File, but cannot be penalised with damages. Part 1 of any Supplement File is only binding on each Recipient of any Licensed Work to the extent Part 1 sets out the requirements for documenting changes to the Initial Work or any Subsequent Work.\n	 (e) An example of a set of requirements for documenting changes and contributions made by Subsequent Contributor is set out in Part 7 of Exhibit A of this License. Part 7 is a sample only and is not binding on Recipients, unless (subject to the earlier paragraphs of this Section 3.8) those are the requirements that the Initial Contributor includes in Part 1 of the Supplement File with the copies of the Initial Work distributed under this License.\n\n3.9. USE OF DISTRIBUTOR NAME.\nThe name of a Distributor may not be used by any other Distributor to endorse or promote the Licensed Work or products derived from the Licensed Work, without prior written permission.\n\n3.10. LIMITED RECOGNITION OF INITIAL CONTRIBUTOR.\n\n	 (a) As a modest attribution to the Initial Contributor, in the hope that its promotional value may help justify the time, money and effort invested in writing the Initial Work, the Initial Contributor may include in Part 2 of the Supplement File a requirement that each time an executable program resulting from the Initial Work or any Subsequent Work, or a program dependent thereon, is launched or run, a prominent display of the Initial Contributor's attribution information must occur (the \"ATTRIBUTION INFORMATION\"). The Attribution Information must be included at the beginning of each Source Code file. For greater certainty, the Initial Contributor may specify in the Supplement File that the above attribution requirement only applies to an executable program resulting from the Initial Work or any Subsequent Work, but not a program dependent thereon. The intent is to provide for reasonably modest attribution, therefore the Initial Contributor may not require Recipients to display, at any time, more than the following Attribution Information: (a) a copyright notice including the name of the Initial Contributor; (b) a word or one phrase (not exceeding 10 words); (c) one digital image or graphic provided with the Initial Work; and (d) a URL (collectively, the \"ATTRIBUTION LIMITS\").\n	 (b) If no Supplement File exists, or no Attribution Information is set out in Part 2 of the Supplement File, then there are no requirements for Recipients to display any Attribution Information of the Initial Contributor.\n	 (c) Each Recipient acknowledges that all trademarks, service marks and/or trade names contained within Part 2 of the Supplement File distributed with the Licensed Work are the exclusive property of the Initial Contributor and may only be used with the permission of the Initial Contributor, or under circumstances otherwise permitted by law, or as expressly set out in this License.\n3.11. For greater certainty, any description or attribution provisions contained within a Supplement File may only be used to specify the nature of the description or attribution requirements, as the case may be. Any provision in a Supplement File that otherwise purports to modify, vary, nullify or amend any right, obligation or representation contained herein shall be deemed void to that extent, and shall be of no force or effect.\n\n4. COMMERCIAL USE AND INDEMNITY.\n\n4.1. COMMERCIAL SERVICES.\nA Recipient (\"COMMERCIAL RECIPIENT\") may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations (collectively, \"SERVICES\") to one or more other Recipients or Distributors. However, such Commercial Recipient may do so only on that Commercial Recipient's own behalf, and not on behalf of any other Distributor or Recipient, and Commercial Recipient must make it clear than any such warranty, support, indemnity or liability obligation(s) is/are offered by Commercial Recipient alone. At no time may Commercial Recipient use any Services to deny any party the Licensed Work in Source Code or Executable form when so required under any of the other terms of this License. For greater certainty, this Section 4.1 does not diminish any of the other terms of this License, including without limitation the obligation of the Commercial Recipient as a Distributor, when distributing any of the Licensed Work in Source Code or Executable form, to make such distribution royalty-free (subject to the right to charge a fee of no more than the cost of physically performing Source Code or Executable distribution (as the case may be)).\n\n4.2. INDEMNITY.\nCommercial distributors of software may accept certain responsibilities with respect to end users, business partners and the like. While this License is intended to facilitate the commercial use of the Licensed Work, the Distributor who includes any of the Licensed Work in a commercial product offering should do so in a manner which does not create potential liability for other Distributors. Therefore, if a Distributor includes the Licensed Work in a commercial product offering or offers any Services, such Distributor (\"COMMERCIAL DISTRIBUTOR\") hereby agrees to defend and indemnify every other Distributor or Subsequent Contributor (in each case an \"INDEMNIFIED PARTY\") against any losses, damages and costs (collectively \"LOSSES\") arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Party to the extent caused by the acts or omissions of such Commercial Distributor in connection with its distribution of any of the Licensed Work in a commercial product offering or in connection with any Services. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement. In order to qualify, an Indemnified Party must: (a) promptly notify the Commercial Distributor in writing of such claim; and (b) allow the Commercial Distributor to control, and co-operate with the Commercial Distributor in, the defense and any related settlement negotiations. The Indemnified Party may participate in any such claim at its own expense.\n\n5. VERSIONS OF THE LICENSE.\n\n5.1. NEW VERSIONS.\nThe Initial Contributor may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n5.2. EFFECT OF NEW VERSIONS.\nOnce the Licensed Work or any portion thereof has been published by Initial Contributor under a particular version of the License, Recipient may choose to continue to use it under the terms of that version. However, if a Recipient chooses to use the Licensed Work under the terms of any subsequent version of the License published by the Initial Contributor, then from the date of making this choice, the Recipient must comply with the terms of that subsequent version with respect to all further reproduction, preparation of derivative works, public display of, public performance of, distribution and sublicensing by the Recipient in connection with the Licensed Work. No one other than the Initial Contributor has the right to modify the terms applicable to the Licensed Work\n\n6. DISCLAIMER OF WARRANTY.\n\n6.1. GENERAL DISCLAIMER.\nEXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, THE LICENSED WORK IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT ANY REPRESENTATION, WARRANTY, GUARANTEE, ASSURANCE OR CONDITION OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED WORK IS WITH RECIPIENT. SHOULD ANY LICENSED WORK PROVE DEFECTIVE IN ANY RESPECT, RECIPIENT (NOT THE INITIAL CONTRIBUTOR OR ANY SUBSEQUENT CONTRIBUTOR) ASSUMES THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS CLAUSE CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY LICENSED WORK IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS LICENSE INCLUDING WITHOUT LIMITATION THIS DISCLAIMER.\n\n6.2. RESPONSIBILITY OF RECIPIENTS.\nEach Recipient is solely responsible for determining the appropriateness of using and distributing the Licensed Work and assumes all risks associated with its exercise of rights under this License, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n7. TERMINATION.\n\n7.1. This License shall continue until terminated in accordance with the express terms herein.\n\n7.2. Recipient may choose to terminate this License automatically at any time.\n\n7.3. This License, including without limitation the rights granted hereunder to a particular Recipient, will terminate automatically if such Recipient is in material breach of any of the terms of this License and fails to cure such breach within sixty (60) days of becoming aware of the breach. Without limiting the foregoing, any material breach by such Recipient of any term of any other License under which such Recipient is granted any rights to the Licensed Work shall constitute a material breach of this License.\n\n7.4. Upon termination of this License by or with respect to a particular Recipient for any reason, all rights granted hereunder and under any other License to that Recipient shall terminate. However, all sublicenses to the Licensed Work which were previously properly granted by such Recipient under a copy of this License (in each case, an \"Other License\" and in plural, \"Other Licenses\") shall survive any such termination of this License, including without limitation the rights and obligations under such Other Licenses as set out in their respective Sections 2, 3, 4, 5, 6, 7 and 8, mutatis mutandis, for so long as the respective sublicensees (i.e. other Recipients) remain in compliance with the terms of the copy of this License under which such sublicensees received rights to the Licensed Work. Any termination of such Other Licenses shall be pursuant to their respective Section 7, mutatis mutandis. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n7.5. Upon any termination of this License by or with respect to a particular Recipient, Sections 4.1, 4.2, 6.1, 6.2, 7.4, 7.5, 8.1, and 8.2, together with all provisions of this License necessary for the interpretation and enforcement of same, shall expressly survive such termination.\n\n8. LIMITATION OF LIABILITY.\n\n8.1. IN NO EVENT SHALL ANY OF INITIAL CONTRIBUTOR, ITS SUBSIDIARIES, OR AFFILIATES, OR ANY OF ITS OR THEIR RESPECTIVE OFFICERS, DIRECTORS, EMPLOYEES, AND/OR AGENTS (AS THE CASE MAY BE), HAVE ANY LIABILITY FOR ANY DIRECT DAMAGES, INDIRECT DAMAGES, PUNITIVE DAMAGES, INCIDENTAL DAMAGES, SPECIAL DAMAGES, EXEMPLARY DAMAGES, CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHATSOEVER (INCLUDING WITHOUT LIMITATION LOSS OF USE, DATA OR PROFITS, OR ANY OTHER LOSS ARISING OUT OF OR IN ANY WAY RELATED TO THE USE, INABILITY TO USE, UNAUTHORIZED USE, PERFORMANCE, OR NON-PERFORMANCE OF THE LICENSED WORK OR ANY PART THEREOF OR THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, OR THAT RESULT FROM ERRORS, DEFECTS, OMISSIONS, DELAYS IN OPERATION OR TRANSMISSION, OR ANY OTHER FAILURE OF PERFORMANCE), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) IN RELATION TO OR ARISING IN ANY WAY OUT OF THIS LICENSE OR THE USE OR DISTRIBUTION OF THE LICENSED WORK OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. THIS CLAUSE CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY LICENSED WORK IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS LICENSE INCLUDING WITHOUT LIMITATION THE LIMITATIONS SET FORTH IN THIS SECTION 8.1.\n\n8.2. EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, EACH RECIPIENT SHALL NOT HAVE ANY LIABILITY FOR ANY EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE LICENSED WORK OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\n\n9. GOVERNING LAW AND LEGAL ACTION.\n\n9.1. This License shall be governed by and consTrued in accordance with the laws of the Governing Jurisdiction assigned in Part 3 of Exhibit A, without regard to its conflict of law provisions. No party may bring a legal action under this License more than one year after the cause of the action arose. Each party waives its rights (if any) to a jury trial in any litigation arising under this License. Note that if the Governing Jurisdiction is not assigned in Part 3 of Exhibit A, then the Governing Jurisdiction shall be the State of New York.\n\n9.2. The courts of the Governing Jurisdiction shall have jurisdiction, but not exclusive jurisdiction, to entertain and determine all disputes and claims, whether for specific performance, injunction, damages or otherwise, both at law and in equity, arising out of or in any way relating to this License, including without limitation, the legality, validity, existence and enforceability of this License. Each party to this License hereby irrevocably attorns to and accepts the jurisdiction of the courts of the Governing Jurisdiction for such purposes.\n\n9.3. Except as expressly set forth elsewhere herein, in the event of any action or proceeding brought by any party against another under this License the prevailing party shall be entitled to recover all costs and expenses including the fees of its attorneys in such action or proceeding in such amount as the court may adjudge reasonable.\n\n10. MISCELLANEOUS.\n\n10.1. The obligations imposed by this License are for the benefit of the Initial Contributor and any Recipient, and each Recipient acknowledges and agrees that the Initial Contributor and/or any other Recipient may enforce the terms and conditions of this License against any Recipient.\n\n10.2. This License represents the complete agreement concerning subject matter hereof, and supersedes and cancels all previous oral and written communications, representations, agreements and understandings between the parties with respect to the subject matter hereof.\n\n10.3. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n10.4. The language in all parts of this License shall be in all cases consTrued simply according to its fair meaning, and not strictly for or against any of the parties hereto. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n10.5. If any provision of this License is invalid or unenforceable under the laws of the Governing Jurisdiction, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n10.6. The paragraph headings of this License are for reference and convenience only and are not a part of this License, and they shall have no effect upon the construction or interpretation of any part hereof.\n\n10.7. Each of the terms \"including\", \"include\" and \"includes\", when used in this License, is not limiting whether or not non-limiting language (such as \"without limitation\" or \"but not limited to\" or words of similar import) is used with reference thereto.\n\n10.8. The parties hereto acknowledge they have expressly required that this License and notices relating thereto be drafted in the English language.\n\n//***THE LICENSE TERMS END HERE (OTHER THAN AS SET OUT IN EXHIBIT A).***//\n\nEXHIBIT A (to the Adaptive Public License)\n\nPART 1: INITIAL CONTRIBUTOR AND DESIGNATED WEB SITE\n\nThe Initial Contributor is:\n____________________________________________________\n \n[Enter full name of Initial Contributor]\n\nAddress of Initial Contributor:\n________________________________________________\n \n________________________________________________\n \n________________________________________________\n \n[Enter address above]\n\nThe Designated Web Site is:\n__________________________________________________\n \n[Enter URL for Designated Web Site of Initial Contributor]\n\nNOTE: The Initial Contributor is to complete this Part 1, along with Parts 2, 3, and 5, and, if applicable, Parts 4 and 6.\n\nPART 2: INITIAL WORK\n\nThe Initial Work comprises the computer program(s) distributed by the Initial Contributor having the following title(s): _______________________________________________.\n\nThe date on which the Initial Work was first available under this License: _________________\n\nPART 3: GOVERNING JURISDICTION\n\nFor the purposes of this License, the Governing Jurisdiction is _________________________________________________. [Initial Contributor to Enter Governing Jurisdiction here]\n\nPART 4: THIRD PARTIES\n\nFor the purposes of this License, \"Third Party\" has the definition set forth below in the ONE paragraph selected by the Initial Contributor from paragraphs A, B, C, D and E when the Initial Work is distributed or otherwise made available by the Initial Contributor. To select one of the following paragraphs, the Initial Contributor must place an \"X\" or \"x\" in the selection box alongside the one respective paragraph selected.\nSELECTION\n \nBOX   PARAGRAPH\n[  ]  A. \"THIRD PARTY\" means any third party.\n \n \n[  ]  B. \"THIRD PARTY\" means any third party except for any of the following: (a) a wholly owned subsidiary of the Subsequent Contributor in question; (b) a legal entity (the \"PARENT\") that wholly owns the Subsequent Contributor in question; or (c) a wholly owned subsidiary of the wholly owned subsidiary in (a) or of the Parent in (b).\n \n \n[  ]  C. \"THIRD PARTY\" means any third party except for any of the following: (a) any Person directly or indirectly owning a majority of the voting interest in the Subsequent Contributor or (b) any Person in which the Subsequent Contributor directly or indirectly owns a majority voting interest.\n \n \n[  ]  D. \"THIRD PARTY\" means any third party except for any Person directly or indirectly controlled by the Subsequent Contributor. For purposes of this definition, \"control\" shall mean the power to direct or cause the direction of, the management and policies of such Person whether through the ownership of voting interests, by contract, or otherwise.\n \n \n[  ]  E. \"THIRD PARTY\" means any third party except for any Person directly or indirectly controlling, controlled by, or under common control with the Subsequent Contributor. For purposes of this definition, \"control\" shall mean the power to direct or cause the direction of, the management and policies of such Person whether through the ownership of voting interests, by contract, or otherwise.\nThe default definition of \"THIRD PARTY\" is the definition set forth in paragraph A, if NONE OR MORE THAN ONE of paragraphs A, B, C, D or E in this Part 4 are selected by the Initial Contributor.\n\nPART 5: NOTICE\n\nTHE LICENSED WORK IS PROVIDED UNDER THE TERMS OF THE ADAPTIVE PUBLIC LICENSE (\"LICENSE\") AS FIRST COMPLETED BY: ______________________ [Insert the name of the Initial Contributor here]. ANY USE, PUBLIC DISPLAY, PUBLIC PERFORMANCE, REPRODUCTION OR DISTRIBUTION OF, OR PREPARATION OF DERIVATIVE WORKS BASED ON, THE LICENSED WORK CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS LICENSE AND ITS TERMS, WHETHER OR NOT SUCH RECIPIENT READS THE TERMS OF THE LICENSE. \"LICENSED WORK\" AND \"RECIPIENT\" ARE DEFINED IN THE LICENSE. A COPY OF THE LICENSE IS LOCATED IN THE TEXT FILE ENTITLED \"LICENSE.TXT\" ACCOMPANYING THE CONTENTS OF THIS FILE. IF A COPY OF THE LICENSE DOES NOT ACCOMPANY THIS FILE, A COPY OF THE LICENSE MAY ALSO BE OBTAINED AT THE FOLLOWING WEB SITE: ___________________________________________________[Insert Initial Contributor's Designated Web Site here]\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nPART 6: PATENT LICENSING TERMS\n\nFor the purposes of this License, paragraphs A, B, C, D and E of this Part 6 of Exhibit A are only incorporated and form part of the terms of the License if the Initial Contributor places an \"X\" or \"x\" in the selection box alongside the YES answer to the question immediately below.\n\nIs this a Patents-Included License pursuant to Section 2.2 of the License?\nYES   [	  ]\nNO	[	  ]\n\nBy default, if YES is not selected by the Initial Contributor, the answer is NO.\n\nA. For the purposes of the paragraphs in this Part 6 of Exhibit A, \"LICENSABLE\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights granted herein.\n\nB. The Initial Contributor hereby grants all Recipients a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, under patent claim(s) Licensable by the Initial Contributor that are or would be infringed by the making, using, selling, offering for sale, having made, importing, exporting, transfer or disposal of such Initial Work or any portion thereof. Notwithstanding the foregoing, no patent license is granted under this Paragraph B by the Initial Contributor: (1) for any code that the Initial Contributor deletes from the Initial Work (or any portion thereof) distributed by the Initial Contributor prior to such distribution; (2) for any Modifications made to the Initial Work (or any portion thereof) by any other Person; or (3) separate from the Initial Work (or portions thereof) distributed or made available by the Initial Contributor.\n\nC. Effective upon distribution by a Subsequent Contributor to a Third Party of any Modifications made by that Subsequent Contributor, such Subsequent Contributor hereby grants all Recipients a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, under patent claim(s) Licensable by such Subsequent Contributor that are or would be infringed by the making, using, selling, offering for sale, having made, importing, exporting, transfer or disposal of any such Modifications made by that Subsequent Contributor alone and/or in combination with its Subsequent Work (or portions of such combination) to make, use, sell, offer for sale, have made, import, export, transfer and otherwise dispose of:\n(1) Modifications made by that Subsequent Contributor (or portions thereof); and\n(2) the combination of Modifications made by that Subsequent Contributor with its Subsequent Work (or portions of such combination);\n(collectively and in each case, the \"SUBSEQUENT CONTRIBUTOR VERSION\").\nNotwithstanding the foregoing, no patent license is granted under this Paragraph C by such Subsequent Contributor: (1) for any code that such Subsequent Contributor deletes from the Subsequent Contributor Version (or any portion thereof) distributed by the Subsequent Contributor prior to such distribution; (2) for any Modifications made to the Subsequent Contributor Version (or any portion thereof) by any other Person; or (3) separate from the Subsequent Contributor Version (or portions thereof) distributed or made available by the Subsequent Contributor.\n\nD. Effective upon distribution of any Licensed Work by a Distributor to a Third Party, such Distributor hereby grants all Recipients a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, under patent claim(s) Licensable by such Distributor that are or would be infringed by the making, using, selling, offering for sale, having made, importing, exporting, transfer or disposal of any such Licensed Work distributed by such Distributor, to make, use, sell, offer for sale, have made, import, export, transfer and otherwise dispose of such Licensed Work or portions thereof (collectively and in each case, the \"DISTRIBUTOR VERSION\"). Notwithstanding the foregoing, no patent license is granted under this Paragraph D by such Distributor: (1) for any code that such Distributor deletes from the Distributor Version (or any portion thereof) distributed by the Distributor prior to such distribution; (2) for any Modifications made to the Distributor Version (or any portion thereof) by any other Person; or (3) separate from the Distributor Version (or portions thereof) distributed or made available by the Distributor.\n\nE. If Recipient institutes patent litigation against another Recipient (a \"USER\") with respect to a patent applicable to a computer program or software (including a cross-claim or counterclaim in a lawsuit, and whether or not any of the patent claims are directed to a system, method, process, apparatus, device, product, article of manufacture or any other form of patent claim), then any patent or copyright license granted by that User to such Recipient under this License or any other copy of this License shall terminate. The termination shall be effective ninety (90) days after notice of termination from User to Recipient, unless the Recipient withdraws the patent litigation claim before the end of the ninety (90) day period. To be effective, any such notice of license termination must include a specific list of applicable patents and/or a copy of the copyrighted work of User that User alleges will be infringed by Recipient upon License termination. License termination is only effective with respect to patents and/or copyrights for which proper notice has been given.\n\nPART 7: SAMPLE REQUIREMENTS FOR THE DESCRIPTION OF DISTRIBUTED MODIFICATIONS\n\nEach Subsequent Contributor (including the Initial Contributor where the Initial Contributor qualifies as a Subsequent Contributor) is invited (but not required) to cause each Subsequent Work created or contributed to by that Subsequent Contributor to contain a file documenting the changes such Subsequent Contributor made to create that Subsequent Work and the date of any change. //***EXHIBIT A ENDS HERE.***//\n"
		self.standardLicenseTemplate = "<<beginOptional>>ADAPTIVE PUBLIC LICENSE\n\nVersion 1.0\n\n<<endOptional>>\n\nTHE LICENSED WORK IS PROVIDED UNDER THE TERMS OF THIS ADAPTIVE PUBLIC LICENSE (\"LICENSE\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE LICENSED WORK CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS LICENSE AND ITS TERMS, WHETHER OR NOT SUCH RECIPIENT READS THE TERMS OF THIS LICENSE. \"LICENSED WORK\" AND \"RECIPIENT\" ARE DEFINED BELOW.\n\nIMPORTANT NOTE: This License is \"adaptive\", and the generic version or another version of an Adaptive Public License should not be relied upon to determine your rights and obligations under this License. You must read the specific Adaptive Public License that you receive with the Licensed Work, as certain terms are defined at the outset by the Initial Contributor.\n\nSee Section 2.2 below, Exhibit A attached, and any Suppfile.txt accompanying this License to determine the specific adaptive features applicable to this License. For example, without limiting the foregoing, (a) for selected choice of law and jurisdiction see Part 3 of Exhibit A; (b) for the selected definition of Third Party see Part 4 of Exhibit A; and (c) for selected patent licensing terms (if any) see Section 2.2 below and Part 6 of Exhibit A.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> DEFINITIONS.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"CONTRIBUTION\" means:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> In the case of the Initial Contributor, the Initial Work distributed under this License by the Initial Contributor; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> In the case of each Subsequent Contributor, the Subsequent Work originating from and distributed by such Subsequent Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"DESIGNATED WEB SITE\" means the web site having the URL identified in Part 1 of Exhibit A, which URL may be changed by the Initial Contributor by posting on the current Designated Web Site the new URL for at least sixty (60) days.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"DISTRIBUTOR\" means any Person that distributes the Licensed Work or any portion thereof to at least one Third Party.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"ELECTRONIC DISTRIBUTION MECHANISM\" means any mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"EXECUTABLE\" means the Licensed Work in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"GOVERNING JURISDICTION\" means the state, province or other legal jurisdiction identified in Part 3 of Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"INDEPENDENT MODULE\" means a separate module of software and/or data that is not a derivative work of or copied from the Licensed Work or any portion thereof. In addition, a module does not qualify as an Independent Module but instead forms part of the Licensed Work if the module: (a) is embedded in the Licensed Work; (b) is included by reference in the Licensed Work other than by a function call or a class reference; or (c) must be included or contained, in whole or in part, within a file directory or subdirectory actually containing files making up the Licensed Work.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"INITIAL CONTRIBUTOR\" means the Person or entity identified as the Initial Contributor in the notice required by Part 1 of Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"INITIAL WORK\" means the initial Source Code, object code (if any) and documentation for the computer program identified in Part 2 of Exhibit A, as such Source Code, object code and documentation is distributed under this License by the Initial Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"LARGER WORK\" means a work that combines the Licensed Work or portions thereof with code not governed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"LICENSED WORK\" means the Initial Work and/or any Subsequent Work, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"LICENSE NOTICE\" has the meaning assigned in Part 5 of Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.13.\";match=\".{0,20}\">> \"MODIFICATION\" or \"MODIFICATIONS\" means any change to and/or addition to the Licensed Work.\n\n	  <<var;name=\"bullet\";original=\"1.14.\";match=\".{0,20}\">> \"PERSON\" means an individual or other legal entity, including a corporation, partnership or other body.\n\n	  <<var;name=\"bullet\";original=\"1.15.\";match=\".{0,20}\">> \"RECIPIENT\" means any Person who receives or obtains the Licensed Work under this License (by way of example, without limiting the foregoing, any Subsequent Contributor or Distributor).\n\n	  <<var;name=\"bullet\";original=\"1.16.\";match=\".{0,20}\">> \"SOURCE CODE\" means the source code for a computer program, including the source code for all modules and components of the computer program, plus any associated interface definition files, and scripts used to control compilation and installation of an executable.\n\n	  <<var;name=\"bullet\";original=\"1.17.\";match=\".{0,20}\">> \"SUBSEQUENT CONTRIBUTOR\" means any Person that makes or contributes to the making of any Subsequent Work and that distributes that Subsequent Work to at least one Third Party.\n\n	  <<var;name=\"bullet\";original=\"1.18.\";match=\".{0,20}\">> \"SUBSEQUENT WORK\" means a work that has resulted or arises from changes to and/or additions to:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> the Initial Work;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> any other Subsequent Work; or\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> to any combination of the Initial Work and any such other Subsequent Work;\n\n		 where such changes and/or additions originate from a Subsequent Contributor. A Subsequent Work will \"originate\" from a Subsequent Contributor if the Subsequent Work was a result of efforts by such Subsequent Contributor (or anyone acting on such Subsequent Contributor's behalf, such as, a contractor or other entity that is engaged by or under the direction of the Subsequent Contributor). For greater certainty, a Subsequent Work expressly excludes and shall not capture within its meaning any Independent Module.\n\n	  <<var;name=\"bullet\";original=\"1.19.\";match=\".{0,20}\">> \"SUPPLEMENT FILE\" means a file distributed with the Licensed Work having a file name \"suppfile.txt\".\n\n	  <<var;name=\"bullet\";original=\"1.20.\";match=\".{0,20}\">> \"THIRD PARTY\" has the meaning assigned in Part 4 of Exhibit A.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> LICENSE.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> COPYRIGHT LICENSE FROM INITIAL AND SUBSEQUENT CONTRIBUTORS.\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Subject to the terms of this License, the Initial Contributor hereby grants each Recipient a world-wide, royalty-free, non-exclusive copyright license to:\n\n			<<var;name=\"bullet\";original=\"(i)\";match=\".{0,20}\">> reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Initial Work; and\n\n			<<var;name=\"bullet\";original=\"(ii)\";match=\".{0,20}\">> reproduce, publicly display, publicly perform, distribute, and sublicense any derivative works (if any) prepared by Recipient;\n\n			in Source Code and Executable form, either with other Modifications, on an unmodified basis, or as part of a Larger Work.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Subject to the terms of this License, each Subsequent Contributor hereby grants each Recipient a world-wide, royalty-free, non-exclusive copyright license to:\n\n			<<var;name=\"bullet\";original=\"(i)\";match=\".{0,20}\">> reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Subsequent Work of such Subsequent Contributor; and\n\n			<<var;name=\"bullet\";original=\"(ii)\";match=\".{0,20}\">> reproduce, publicly display, publicly perform, distribute, and sublicense any derivative works (if any) prepared by Recipient;\n\n			in Source Code and Executable form, either with other Modifications, on an unmodified basis, or as part of a Larger Work.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> PATENT LICENSE FROM INITIAL AND SUBSEQUENT CONTRIBUTORS.\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> This License does not include or grant any patent license whatsoever from the Initial Contributor, Subsequent Contributor, or any Distributor unless, at the time the Initial Work is first distributed or made available under this License (as the case may be), the Initial Contributor has selected pursuant to Part 6 of Exhibit A the patent terms in paragraphs A, B, C, D and E from Part 6 of Exhibit A. If this is not done then the Initial Work and any other Subsequent Work is made available under the License without any patent license (the \"PATENTS-EXCLUDED LICENSE\").\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> However, the Initial Contributor may subsequently distribute or make available (as the case may be) future copies of: (1) the Initial Work; or (2) any Licensed Work distributed by the Initial Contributor which includes the Initial Work (or any portion thereof) and/or any Modification made by the Initial Contributor; available under a License which includes a patent license (the \"PATENTS-INCLUDED LICENSE\") by selecting pursuant to Part 6 of Exhibit A the patent terms in paragraphs A, B, C, D and E from Part 6 of Exhibit A, when the Initial Contributor distributes or makes available (as the case may be) such future copies under this License.\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> If any Recipient receives or obtains one or more copies of the Initial Work or any other portion of the Licensed Work under the Patents-Included License, then all licensing of such copies under this License shall include the terms in paragraphs A, B, C, D and E from Part 6 of Exhibit A and that Recipient shall not be able to rely upon the Patents-Excluded License for any such copies. However, all Recipients that receive one or more copies of the Initial Work or any other portion of the Licensed Work under a copy of the License which includes the Patents-Excluded License shall have no patent license with respect to such copies received under the Patents-Excluded License and availability and distribution of such copies, including Modifications made by such Recipient to such copies, shall be under a copy of the License without any patent license.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Where a Recipient uses in combination or combines any copy of the Licensed Work (or portion thereof) licensed under a copy of the License having a Patents-Excluded License with any copy of the Licensed Work (or portion thereof) licensed under a copy of the License having a Patents-Included License, the combination (and any portion thereof) shall, from the first time such Recipient uses, makes available or distributes the combination (as the case may be), be subject to only the terms of the License having the Patents-Included License which shall include the terms in paragraphs A, B, C, D and E from Part 6 of Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"2.3.\";match=\".{0,20}\">> ACKNOWLEDGEMENT AND DISCLAIMER.\n\n	  Recipient understands and agrees that although Initial Contributor and each Subsequent Contributor grants the licenses to its Contributions set forth herein, no representation, warranty, guarantee or assurance is provided by any Initial Contributor, Subsequent Contributor, or Distributor that the Licensed Work does not infringe the patent or other intellectual property rights of any other entity. Initial Contributor, Subsequent Contributor, and each Distributor disclaims any liability to Recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise, in relation to the Licensed Works. As a condition to exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole responsibility to secure any other intellectual property rights needed, if any. For example, without limiting the foregoing disclaimers, if a third party patent license is required to allow Recipient to distribute the Licensed Work, it is Recipient's responsibility to acquire that license before distributing the Licensed Work.\n\n	  <<var;name=\"bullet\";original=\"2.4.\";match=\".{0,20}\">> RESERVATION.\n\n	  Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Initial Contributor, Subsequent Contributor, or Distributor except as expressly stated herein.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> DISTRIBUTION OBLIGATIONS.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> DISTRIBUTION GENERALLY.\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> A Subsequent Contributor shall make that Subsequent Contributor's Subsequent Work(s) available to the public via an Electronic Distribution Mechanism for a period of at least twelve (12) months. The aforesaid twelve (12) month period shall begin within a reasonable time after the creation of the Subsequent Work and no later than sixty (60) days after first distribution of that Subsequent Contributor's Subsequent Work.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> All Distributors must distribute the Licensed Work in accordance with the terms of the License, and must include a copy of this License (including without limitation Exhibit A and the accompanying Supplement File) with each copy of the Licensed Work distributed. In particular, this License must be prominently distributed with the Licensed Work in a file called \"license.txt.\" In addition, the License Notice in Part 5 of Exhibit A must be included at the beginning of all Source Code files, and viewable to a user in any executable such that the License Notice is reasonably brought to the attention of any party using the Licensed Work.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> EXECUTABLE DISTRIBUTIONS OF THE LICENSED WORK.\n\n	  A Distributor may choose to distribute the Licensed Work, or any portion thereof, in Executable form (an \"EXECUTABLE DISTRIBUTION\") to any third party, under the terms of Section 2 of this License, provided the Executable Distribution is made available under and accompanied by a copy of this License, AND provided at least ONE of the following conditions is fulfilled:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> The Executable Distribution must be accompanied by the Source Code for the Licensed Work making up the Executable Distribution, and the Source Code must be distributed on the same media as the Executable Distribution or using an Electronic Distribution Mechanism; or\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> The Executable Distribution must be accompanied with a written offer, valid for at least thirty six (36) months, to give any third party under the terms of this License, for a charge no more than the cost of physically performing source distribution, a complete machine-readable copy of the Source Code for the Licensed Work making up the Executable Distribution, to be available and distributed using an Electronic Distribution Mechanism, and such Executable Distribution must remain available in Source Code form to any third party via the Electronic Distribution Mechanism (or any replacement Electronic Distribution Mechanism the particular Distributor may reasonably need to turn to as a substitute) for said at least thirty six (36) months.\n\n	  For greater certainty, the above-noted requirements apply to any Licensed Work or portion thereof distributed to any third party in Executable form, whether such distribution is made alone, in combination with a Larger Work or Independent Modules, or in some other combination.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> SOURCE CODE DISTRIBUTIONS.\n\n	  When a Distributor makes the Licensed Work, or any portion thereof, available to any Person in Source Code form, it must be made available under this License and a copy of this License must be included with each copy of the Source Code, situated so that the copy of the License is conspicuously brought to the attention of that Person. For greater clarification, this Section 3.3 applies to all distribution of the Licensed Work in any Source Code form. A Distributor may charge a fee for the physical act of transferring a copy, which charge shall be no more than the cost of physically performing source distribution.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> REQUIRED NOTICES IN SOURCE CODE.\n\n	  Each Subsequent Contributor must ensure that the notice set out in Part 5 of Exhibit A is included in each file of the Source Code for each Subsequent Work originating from that particular Subsequent Contributor, if such notice is not already included in each such file. If it is not possible to put such notice in a particular Source Code file due to its structure, then the Subsequent Contributor must include such notice in a location (such as a relevant directory in which the file is stored) where a user would be likely to look for such a notice.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> NO DISTRIBUTION REQUIREMENTS FOR INTERNALLY USED MODIFICATIONS.\n\n	  Notwithstanding Sections 3.2, 3.3 and 3.4, Recipient may, internally within its own corporation or organization use the Licensed Work, including the Initial Work and Subsequent Works, and make Modifications for internal use within Recipient's own corporation or organization (collectively, \"INTERNAL USE MODIFICATIONS\"). The Recipient shall have no obligation to distribute, in either Source Code or Executable form, any such Internal Use Modifications made by Recipient in the course of such internal use, except where required below in this Section 3.5. All Internal Use Modifications distributed to any Person, whether or not a Third Party, shall be distributed pursuant to and be accompanied by the terms of this License. If the Recipient chooses to distribute any such Internal Use Modifications to any Third Party, then the Recipient shall be deemed a Subsequent Contributor, and any such Internal Use Modifications distributed to any Third Party shall be deemed a Subsequent Work originating from that Subsequent Contributor, and shall from the first such instance become part of the Licensed Work that must thereafter be distributed and made available to third parties in accordance with the terms of Sections 3.1 to 3.4 inclusive.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> INDEPENDENT MODULES.\n\n	  This License shall not apply to Independent Modules of any Initial Contributor, Subsequent Contributor, Distributor or any Recipient, and such Independent Modules may be licensed or made available under one or more separate license agreements.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> LARGER WORKS.\n\n	  Any Distributor or Recipient may create or contribute to a Larger Work by combining any of the Licensed Work with other code not governed by the terms of this License, and may distribute the Larger Work as one or more products. However, in any such case, Distributor or Recipient (as the case may be) must make sure that the requirements of this License are fulfilled for the Licensed Work portion of the Larger Work.\n\n	  <<var;name=\"bullet\";original=\"3.8.\";match=\".{0,20}\">> DESCRIPTION OF DISTRIBUTED MODIFICATIONS.\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Each Subsequent Contributor (including the Initial Contributor where the Initial Contributor also qualifies as a Subsequent Contributor) must cause each Subsequent Work created or contributed to by that Subsequent Contributor to contain a file documenting the changes, in accordance with the requirements of Part 1 of the Supplement File, that such Subsequent Contributor made in the creation or contribution to that Subsequent Work. If no Supplement File exists or no requirements are set out in Part 1 of the Supplement File, then there are no requirements for Subsequent Contributors to document changes that they make resulting in Subsequent Works.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> The Initial Contributor may at any time introduce requirements or add to or change earlier requirements (in each case, the \"EARLIER DESCRIPTION REQUIREMENTS\") for documenting changes resulting in Subsequent Works by revising Part 1 of each copy of the Supplement File distributed by the Initial Contributor with future copies of the Licensed Work so that Part 1 then contains new requirements (the \"NEW DESCRIPTION REQUIREMENTS\") for documenting such changes.\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> Any Recipient receiving at any time any copy of an Initial Work or any Subsequent Work under a copy of this License (in each case, an \"Earlier LICENSED COPY\") having the Earlier Description Requirements may choose, with respect to each such Earlier Licensed Copy, to comply with the Earlier Description Requirements or the New Description Requirements. Where a Recipient chooses to comply with the New Description Requirements, that Recipient will, when thereafter distributing any copies of any such Earlier Licensed Copy, include a Supplement File having a section entitled Part 1 that contains a copy of the New Description Requirements.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> For greater certainty, the intent of Part 1 of the Supplement File is to provide a mechanism (if any) by which Subsequent Contributors must document changes that they make to the Licensed Work resulting in Subsequent Works. Part 1 of any Supplement File shall not be used to increase or reduce the scope of the license granted in Article 2 of this License or in any other way increase or decrease the rights and obligations of any Recipient, and shall at no time serve as the basis for terminating the License. Further, a Recipient can be required to correct and change its documentation procedures to comply with Part 1 of the Supplement File, but cannot be penalised with damages. Part 1 of any Supplement File is only binding on each Recipient of any Licensed Work to the extent Part 1 sets out the requirements for documenting changes to the Initial Work or any Subsequent Work.\n\n		 <<var;name=\"bullet\";original=\"(e)\";match=\".{0,20}\">> An example of a set of requirements for documenting changes and contributions made by Subsequent Contributor is set out in Part 7 of Exhibit A of this License. Part 7 is a sample only and is not binding on Recipients, unless (subject to the earlier paragraphs of this Section 3.8) those are the requirements that the Initial Contributor includes in Part 1 of the Supplement File with the copies of the Initial Work distributed under this License.\n\n	  <<var;name=\"bullet\";original=\"3.9.\";match=\".{0,20}\">> USE OF DISTRIBUTOR NAME.\n\n	  The name of a Distributor may not be used by any other Distributor to endorse or promote the Licensed Work or products derived from the Licensed Work, without prior written permission.\n\n	  <<var;name=\"bullet\";original=\"3.10.\";match=\".{0,20}\">> LIMITED RECOGNITION OF INITIAL CONTRIBUTOR.\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> As a modest attribution to the Initial Contributor, in the hope that its promotional value may help justify the time, money and effort invested in writing the Initial Work, the Initial Contributor may include in Part 2 of the Supplement File a requirement that each time an executable program resulting from the Initial Work or any Subsequent Work, or a program dependent thereon, is launched or run, a prominent display of the Initial Contributor's attribution information must occur (the \"ATTRIBUTION INFORMATION\"). The Attribution Information must be included at the beginning of each Source Code file. For greater certainty, the Initial Contributor may specify in the Supplement File that the above attribution requirement only applies to an executable program resulting from the Initial Work or any Subsequent Work, but not a program dependent thereon. The intent is to provide for reasonably modest attribution, therefore the Initial Contributor may not require Recipients to display, at any time, more than the following Attribution Information: (a) a copyright notice including the name of the Initial Contributor; (b) a word or one phrase (not exceeding 10 words); (c) one digital image or graphic provided with the Initial Work; and (d) a URL (collectively, the \"ATTRIBUTION LIMITS\").\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> If no Supplement File exists, or no Attribution Information is set out in Part 2 of the Supplement File, then there are no requirements for Recipients to display any Attribution Information of the Initial Contributor.\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> Each Recipient acknowledges that all trademarks, service marks and/or trade names contained within Part 2 of the Supplement File distributed with the Licensed Work are the exclusive property of the Initial Contributor and may only be used with the permission of the Initial Contributor, or under circumstances otherwise permitted by law, or as expressly set out in this License.\n\n	  <<var;name=\"bullet\";original=\"3.11.\";match=\".{0,20}\">> For greater certainty, any description or attribution provisions contained within a Supplement File may only be used to specify the nature of the description or attribution requirements, as the case may be. Any provision in a Supplement File that otherwise purports to modify, vary, nullify or amend any right, obligation or representation contained herein shall be deemed void to that extent, and shall be of no force or effect.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> COMMERCIAL USE AND INDEMNITY.\n\n	  <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> COMMERCIAL SERVICES.\n\n	  A Recipient (\"COMMERCIAL RECIPIENT\") may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations (collectively, \"SERVICES\") to one or more other Recipients or Distributors. However, such Commercial Recipient may do so only on that Commercial Recipient's own behalf, and not on behalf of any other Distributor or Recipient, and Commercial Recipient must make it clear than any such warranty, support, indemnity or liability obligation(s) is/are offered by Commercial Recipient alone. At no time may Commercial Recipient use any Services to deny any party the Licensed Work in Source Code or Executable form when so required under any of the other terms of this License. For greater certainty, this Section 4.1 does not diminish any of the other terms of this License, including without limitation the obligation of the Commercial Recipient as a Distributor, when distributing any of the Licensed Work in Source Code or Executable form, to make such distribution royalty-free (subject to the right to charge a fee of no more than the cost of physically performing Source Code or Executable distribution (as the case may be)).\n\n	  <<var;name=\"bullet\";original=\"4.2.\";match=\".{0,20}\">> INDEMNITY.\n\n	  Commercial distributors of software may accept certain responsibilities with respect to end users, business partners and the like. While this License is intended to facilitate the commercial use of the Licensed Work, the Distributor who includes any of the Licensed Work in a commercial product offering should do so in a manner which does not create potential liability for other Distributors. Therefore, if a Distributor includes the Licensed Work in a commercial product offering or offers any Services, such Distributor (\"COMMERCIAL DISTRIBUTOR\") hereby agrees to defend and indemnify every other Distributor or Subsequent Contributor (in each case an \"INDEMNIFIED PARTY\") against any losses, damages and costs (collectively \"LOSSES\") arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Party to the extent caused by the acts or omissions of such Commercial Distributor in connection with its distribution of any of the Licensed Work in a commercial product offering or in connection with any Services. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement. In order to qualify, an Indemnified Party must: (a) promptly notify the Commercial Distributor in writing of such claim; and (b) allow the Commercial Distributor to control, and co-operate with the Commercial Distributor in, the defense and any related settlement negotiations. The Indemnified Party may participate in any such claim at its own expense.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> VERSIONS OF THE LICENSE.\n\n	  <<var;name=\"bullet\";original=\"5.1.\";match=\".{0,20}\">> NEW VERSIONS.\n\n	  The Initial Contributor may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"5.2.\";match=\".{0,20}\">> EFFECT OF NEW VERSIONS.\n\n	  Once the Licensed Work or any portion thereof has been published by Initial Contributor under a particular version of the License, Recipient may choose to continue to use it under the terms of that version. However, if a Recipient chooses to use the Licensed Work under the terms of any subsequent version of the License published by the Initial Contributor, then from the date of making this choice, the Recipient must comply with the terms of that subsequent version with respect to all further reproduction, preparation of derivative works, public display of, public performance of, distribution and sublicensing by the Recipient in connection with the Licensed Work. No one other than the Initial Contributor has the right to modify the terms applicable to the Licensed Work\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> GENERAL DISCLAIMER.\n\n	  EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, THE LICENSED WORK IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT ANY REPRESENTATION, WARRANTY, GUARANTEE, ASSURANCE OR CONDITION OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED WORK IS WITH RECIPIENT. SHOULD ANY LICENSED WORK PROVE DEFECTIVE IN ANY RESPECT, RECIPIENT (NOT THE INITIAL CONTRIBUTOR OR ANY SUBSEQUENT CONTRIBUTOR) ASSUMES THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS CLAUSE CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY LICENSED WORK IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS LICENSE INCLUDING WITHOUT LIMITATION THIS DISCLAIMER.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> RESPONSIBILITY OF RECIPIENTS.\n\n	  Each Recipient is solely responsible for determining the appropriateness of using and distributing the Licensed Work and assumes all risks associated with its exercise of rights under this License, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> TERMINATION.\n\n	  <<var;name=\"bullet\";original=\"7.1.\";match=\".{0,20}\">> This License shall continue until terminated in accordance with the express terms herein.\n\n	  <<var;name=\"bullet\";original=\"7.2.\";match=\".{0,20}\">> Recipient may choose to terminate this License automatically at any time.\n\n	  <<var;name=\"bullet\";original=\"7.3.\";match=\".{0,20}\">> This License, including without limitation the rights granted hereunder to a particular Recipient, will terminate automatically if such Recipient is in material breach of any of the terms of this License and fails to cure such breach within sixty (60) days of becoming aware of the breach. Without limiting the foregoing, any material breach by such Recipient of any term of any other License under which such Recipient is granted any rights to the Licensed Work shall constitute a material breach of this License.\n\n	  <<var;name=\"bullet\";original=\"7.4.\";match=\".{0,20}\">> Upon termination of this License by or with respect to a particular Recipient for any reason, all rights granted hereunder and under any other License to that Recipient shall terminate. However, all sublicenses to the Licensed Work which were previously properly granted by such Recipient under a copy of this License (in each case, an \"Other License\" and in plural, \"Other Licenses\") shall survive any such termination of this License, including without limitation the rights and obligations under such Other Licenses as set out in their respective Sections 2, 3, 4, 5, 6, 7 and 8, mutatis mutandis, for so long as the respective sublicensees (i.e. other Recipients) remain in compliance with the terms of the copy of this License under which such sublicensees received rights to the Licensed Work. Any termination of such Other Licenses shall be pursuant to their respective Section 7, mutatis mutandis. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	  <<var;name=\"bullet\";original=\"7.5.\";match=\".{0,20}\">> Upon any termination of this License by or with respect to a particular Recipient, Sections 4.1, 4.2, 6.1, 6.2, 7.4, 7.5, 8.1, and 8.2, together with all provisions of this License necessary for the interpretation and enforcement of same, shall expressly survive such termination.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n	  <<var;name=\"bullet\";original=\"8.1.\";match=\".{0,20}\">> IN NO EVENT SHALL ANY OF INITIAL CONTRIBUTOR, ITS SUBSIDIARIES, OR AFFILIATES, OR ANY OF ITS OR THEIR RESPECTIVE OFFICERS, DIRECTORS, EMPLOYEES, AND/OR AGENTS (AS THE CASE MAY BE), HAVE ANY LIABILITY FOR ANY DIRECT DAMAGES, INDIRECT DAMAGES, PUNITIVE DAMAGES, INCIDENTAL DAMAGES, SPECIAL DAMAGES, EXEMPLARY DAMAGES, CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHATSOEVER (INCLUDING WITHOUT LIMITATION LOSS OF USE, DATA OR PROFITS, OR ANY OTHER LOSS ARISING OUT OF OR IN ANY WAY RELATED TO THE USE, INABILITY TO USE, UNAUTHORIZED USE, PERFORMANCE, OR NON-PERFORMANCE OF THE LICENSED WORK OR ANY PART THEREOF OR THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, OR THAT RESULT FROM ERRORS, DEFECTS, OMISSIONS, DELAYS IN OPERATION OR TRANSMISSION, OR ANY OTHER FAILURE OF PERFORMANCE), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) IN RELATION TO OR ARISING IN ANY WAY OUT OF THIS LICENSE OR THE USE OR DISTRIBUTION OF THE LICENSED WORK OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. THIS CLAUSE CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY LICENSED WORK IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS LICENSE INCLUDING WITHOUT LIMITATION THE LIMITATIONS SET FORTH IN THIS SECTION 8.1.\n\n	  <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">> EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, EACH RECIPIENT SHALL NOT HAVE ANY LIABILITY FOR ANY EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE LICENSED WORK OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> GOVERNING LAW AND LEGAL ACTION.\n\n	  <<var;name=\"bullet\";original=\"9.1.\";match=\".{0,20}\">> This License shall be governed by and consTrued in accordance with the laws of the Governing Jurisdiction assigned in Part 3 of Exhibit A, without regard to its conflict of law provisions. No party may bring a legal action under this License more than one year after the cause of the action arose. Each party waives its rights (if any) to a jury trial in any litigation arising under this License. Note that if the Governing Jurisdiction is not assigned in Part 3 of Exhibit A, then the Governing Jurisdiction shall be the State of New York.\n\n	  <<var;name=\"bullet\";original=\"9.2.\";match=\".{0,20}\">> The courts of the Governing Jurisdiction shall have jurisdiction, but not exclusive jurisdiction, to entertain and determine all disputes and claims, whether for specific performance, injunction, damages or otherwise, both at law and in equity, arising out of or in any way relating to this License, including without limitation, the legality, validity, existence and enforceability of this License. Each party to this License hereby irrevocably attorns to and accepts the jurisdiction of the courts of the Governing Jurisdiction for such purposes.\n\n	  <<var;name=\"bullet\";original=\"9.3.\";match=\".{0,20}\">> Except as expressly set forth elsewhere herein, in the event of any action or proceeding brought by any party against another under this License the prevailing party shall be entitled to recover all costs and expenses including the fees of its attorneys in such action or proceeding in such amount as the court may adjudge reasonable.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> MISCELLANEOUS.\n\n	  <<var;name=\"bullet\";original=\"10.1.\";match=\".{0,20}\">> The obligations imposed by this License are for the benefit of the Initial Contributor and any Recipient, and each Recipient acknowledges and agrees that the Initial Contributor and/or any other Recipient may enforce the terms and conditions of this License against any Recipient.\n\n	  <<var;name=\"bullet\";original=\"10.2.\";match=\".{0,20}\">> This License represents the complete agreement concerning subject matter hereof, and supersedes and cancels all previous oral and written communications, representations, agreements and understandings between the parties with respect to the subject matter hereof.\n\n	  <<var;name=\"bullet\";original=\"10.3.\";match=\".{0,20}\">> The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n	  <<var;name=\"bullet\";original=\"10.4.\";match=\".{0,20}\">> The language in all parts of this License shall be in all cases consTrued simply according to its fair meaning, and not strictly for or against any of the parties hereto. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n	  <<var;name=\"bullet\";original=\"10.5.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under the laws of the Governing Jurisdiction, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"10.6.\";match=\".{0,20}\">> The paragraph headings of this License are for reference and convenience only and are not a part of this License, and they shall have no effect upon the construction or interpretation of any part hereof.\n\n	  <<var;name=\"bullet\";original=\"10.7.\";match=\".{0,20}\">> Each of the terms \"including\", \"include\" and \"includes\", when used in this License, is not limiting whether or not non-limiting language (such as \"without limitation\" or \"but not limited to\" or words of similar import) is used with reference thereto.\n\n	  <<var;name=\"bullet\";original=\"10.8.\";match=\".{0,20}\">> The parties hereto acknowledge they have expressly required that this License and notices relating thereto be drafted in the English language.<<beginOptional>> //***THE LICENSE TERMS END HERE (OTHER THAN AS SET OUT IN EXHIBIT A).***//\n\nEXHIBIT A (to the Adaptive Public License)\n\n   <<var;name=\"bullet\";original=\"PART 1:\";match=\".{0,20}\">> INITIAL CONTRIBUTOR AND DESIGNATED WEB SITE\n\n   The Initial Contributor is:\n\n   ____________________________________________________\n\n   [Enter full name of Initial Contributor]\n\n   Address of Initial Contributor:\n\n   ________________________________________________\n\n   ________________________________________________\n\n   ________________________________________________\n\n   [Enter address above]\n\n   The Designated Web Site is:\n\n   __________________________________________________\n\n   [Enter URL for Designated Web Site of Initial Contributor]\n\n   NOTE: The Initial Contributor is to complete this Part 1, along with Parts 2, 3, and 5, and, if applicable, Parts 4 and 6.\n\n   <<var;name=\"bullet\";original=\"PART 2:\";match=\".{0,20}\">> INITIAL WORK\n\n   The Initial Work comprises the computer program(s) distributed by the Initial Contributor having the following title(s): _______________________________________________.\n\n   The date on which the Initial Work was first available under this License: _________________\n\n   <<var;name=\"bullet\";original=\"PART 3:\";match=\".{0,20}\">> GOVERNING JURISDICTION\n\n   For the purposes of this License, the Governing Jurisdiction is _________________________________________________. [Initial Contributor to Enter Governing Jurisdiction here]\n\n   <<var;name=\"bullet\";original=\"PART 4:\";match=\".{0,20}\">> THIRD PARTIES\n\n   For the purposes of this License, \"Third Party\" has the definition set forth below in the ONE paragraph selected by the Initial Contributor from paragraphs A, B, C, D and E when the Initial Work is distributed or otherwise made available by the Initial Contributor. To select one of the following paragraphs, the Initial Contributor must place an \"X\" or \"x\" in the selection box alongside the one respective paragraph selected.\n\n   SELECTION\n\n   BOX PARAGRAPH\n\n	  [ ] A. \"THIRD PARTY\" means any third party.\n\n	  [ ] B. \"THIRD PARTY\" means any third party except for any of the following: (a) a wholly owned subsidiary of the Subsequent Contributor in question; (b) a legal entity (the \"PARENT\") that wholly owns the Subsequent Contributor in question; or (c) a wholly owned subsidiary of the wholly owned subsidiary in (a) or of the Parent in (b).\n\n	  [ ] C. \"THIRD PARTY\" means any third party except for any of the following: (a) any Person directly or indirectly owning a majority of the voting interest in the Subsequent Contributor or (b) any Person in which the Subsequent Contributor directly or indirectly owns a majority voting interest.\n\n	  [ ] D. \"THIRD PARTY\" means any third party except for any Person directly or indirectly controlled by the Subsequent Contributor. For purposes of this definition, \"control\" shall mean the power to direct or cause the direction of, the management and policies of such Person whether through the ownership of voting interests, by contract, or otherwise.\n\n	  [ ] E. \"THIRD PARTY\" means any third party except for any Person directly or indirectly controlling, controlled by, or under common control with the Subsequent Contributor. For purposes of this definition, \"control\" shall mean the power to direct or cause the direction of, the management and policies of such Person whether through the ownership of voting interests, by contract, or otherwise.\n\n   The default definition of \"THIRD PARTY\" is the definition set forth in paragraph A, if NONE OR MORE THAN ONE of paragraphs A, B, C, D or E in this Part 4 are selected by the Initial Contributor.\n\n   <<var;name=\"bullet\";original=\"PART 5:\";match=\".{0,20}\">> NOTICE\n\n   THE LICENSED WORK IS PROVIDED UNDER THE TERMS OF THE ADAPTIVE PUBLIC LICENSE (\"LICENSE\") AS FIRST COMPLETED BY: ______________________ [Insert the name of the Initial Contributor here]. ANY USE, PUBLIC DISPLAY, PUBLIC PERFORMANCE, REPRODUCTION OR DISTRIBUTION OF, OR PREPARATION OF DERIVATIVE WORKS BASED ON, THE LICENSED WORK CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS LICENSE AND ITS TERMS, WHETHER OR NOT SUCH RECIPIENT READS THE TERMS OF THE LICENSE. \"LICENSED WORK\" AND \"RECIPIENT\" ARE DEFINED IN THE LICENSE. A COPY OF THE LICENSE IS LOCATED IN THE TEXT FILE ENTITLED \"LICENSE.TXT\" ACCOMPANYING THE CONTENTS OF THIS FILE. IF A COPY OF THE LICENSE DOES NOT ACCOMPANY THIS FILE, A COPY OF THE LICENSE MAY ALSO BE OBTAINED AT THE FOLLOWING WEB SITE: ___________________________________________________[Insert Initial Contributor's Designated Web Site here]\n\n   Software distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\n   <<var;name=\"bullet\";original=\"PART 6:\";match=\".{0,20}\">> PATENT LICENSING TERMS\n\n   For the purposes of this License, paragraphs A, B, C, D and E of this Part 6 of Exhibit A are only incorporated and form part of the terms of the License if the Initial Contributor places an \"X\" or \"x\" in the selection box alongside the YES answer to the question immediately below.\n\n   Is this a Patents-Included License pursuant to Section 2.2 of the License?\n\n	  YES [ ]\n\n	  NO [ ]\n\n   By default, if YES is not selected by the Initial Contributor, the answer is NO.\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> For the purposes of the paragraphs in this Part 6 of Exhibit A, \"LICENSABLE\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights granted herein.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> The Initial Contributor hereby grants all Recipients a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, under patent claim(s) Licensable by the Initial Contributor that are or would be infringed by the making, using, selling, offering for sale, having made, importing, exporting, transfer or disposal of such Initial Work or any portion thereof. Notwithstanding the foregoing, no patent license is granted under this Paragraph B by the Initial Contributor: (1) for any code that the Initial Contributor deletes from the Initial Work (or any portion thereof) distributed by the Initial Contributor prior to such distribution; (2) for any Modifications made to the Initial Work (or any portion thereof) by any other Person; or (3) separate from the Initial Work (or portions thereof) distributed or made available by the Initial Contributor.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> Effective upon distribution by a Subsequent Contributor to a Third Party of any Modifications made by that Subsequent Contributor, such Subsequent Contributor hereby grants all Recipients a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, under patent claim(s) Licensable by such Subsequent Contributor that are or would be infringed by the making, using, selling, offering for sale, having made, importing, exporting, transfer or disposal of any such Modifications made by that Subsequent Contributor alone and/or in combination with its Subsequent Work (or portions of such combination) to make, use, sell, offer for sale, have made, import, export, transfer and otherwise dispose of:\n\n		 <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> Modifications made by that Subsequent Contributor (or portions thereof); and\n\n		 <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> the combination of Modifications made by that Subsequent Contributor with its Subsequent Work (or portions of such combination);\n\n		 (collectively and in each case, the \"SUBSEQUENT CONTRIBUTOR VERSION\").\n\n		 Notwithstanding the foregoing, no patent license is granted under this Paragraph C by such Subsequent Contributor: (1) for any code that such Subsequent Contributor deletes from the Subsequent Contributor Version (or any portion thereof) distributed by the Subsequent Contributor prior to such distribution; (2) for any Modifications made to the Subsequent Contributor Version (or any portion thereof) by any other Person; or (3) separate from the Subsequent Contributor Version (or portions thereof) distributed or made available by the Subsequent Contributor.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Effective upon distribution of any Licensed Work by a Distributor to a Third Party, such Distributor hereby grants all Recipients a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, under patent claim(s) Licensable by such Distributor that are or would be infringed by the making, using, selling, offering for sale, having made, importing, exporting, transfer or disposal of any such Licensed Work distributed by such Distributor, to make, use, sell, offer for sale, have made, import, export, transfer and otherwise dispose of such Licensed Work or portions thereof (collectively and in each case, the \"DISTRIBUTOR VERSION\"). Notwithstanding the foregoing, no patent license is granted under this Paragraph D by such Distributor: (1) for any code that such Distributor deletes from the Distributor Version (or any portion thereof) distributed by the Distributor prior to such distribution; (2) for any Modifications made to the Distributor Version (or any portion thereof) by any other Person; or (3) separate from the Distributor Version (or portions thereof) distributed or made available by the Distributor.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> If Recipient institutes patent litigation against another Recipient (a \"USER\") with respect to a patent applicable to a computer program or software (including a cross-claim or counterclaim in a lawsuit, and whether or not any of the patent claims are directed to a system, method, process, apparatus, device, product, article of manufacture or any other form of patent claim), then any patent or copyright license granted by that User to such Recipient under this License or any other copy of this License shall terminate. The termination shall be effective ninety (90) days after notice of termination from User to Recipient, unless the Recipient withdraws the patent litigation claim before the end of the ninety (90) day period. To be effective, any such notice of license termination must include a specific list of applicable patents and/or a copy of the copyrighted work of User that User alleges will be infringed by Recipient upon License termination. License termination is only effective with respect to patents and/or copyrights for which proper notice has been given.\n\n   <<var;name=\"bullet\";original=\"PART 7:\";match=\".{0,20}\">> SAMPLE REQUIREMENTS FOR THE DESCRIPTION OF DISTRIBUTED MODIFICATIONS\n\n   Each Subsequent Contributor (including the Initial Contributor where the Initial Contributor qualifies as a Subsequent Contributor) is invited (but not required) to cause each Subsequent Work created or contributed to by that Subsequent Contributor to contain a file documenting the changes such Subsequent Contributor made to create that Subsequent Work and the date of any change.\n\n//***EXHIBIT A ENDS HERE.***//\n\n<<endOptional>>"
		self.name = "Adaptive Public License 1.0"
		self.licenseId = "APL-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/APL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:49Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/APL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>ADAPTIVE PUBLIC LICENSE\n		<br />\n\nVersion 1.0\n	  </p>\n\n	  </div>\n	  <p>THE LICENSED WORK IS PROVIDED UNDER THE TERMS OF THIS ADAPTIVE PUBLIC LICENSE (&quot;LICENSE&quot;). ANY USE,\n	   REPRODUCTION OR DISTRIBUTION OF THE LICENSED WORK CONSTITUTES RECIPIENT&apos;S ACCEPTANCE OF THIS LICENSE\n	   AND ITS TERMS, WHETHER OR NOT SUCH RECIPIENT READS THE TERMS OF THIS LICENSE. &quot;LICENSED WORK&quot; AND\n	   &quot;RECIPIENT&quot; ARE DEFINED BELOW.</p>\n\n	  <p>IMPORTANT NOTE: This License is &quot;adaptive&quot;, and the generic version or another version of an Adaptive\n	   Public License should not be relied upon to determine your rights and obligations under this License.\n	   You must read the specific Adaptive Public License that you receive with the Licensed Work, as certain\n	   terms are defined at the outset by the Initial Contributor.</p>\n\n	  <p>See Section 2.2 below, Exhibit A attached, and any Suppfile.txt accompanying this License to determine\n	   the specific adaptive features applicable to this License. For example, without limiting the\n	   foregoing, (a) for selected choice of law and jurisdiction see Part 3 of Exhibit A; (b) for the\n	   selected definition of Third Party see Part 4 of Exhibit A; and (c) for selected patent licensing\n	   terms (if any) see Section 2.2 below and Part 6 of Exhibit A.</p>\n\n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		DEFINITIONS.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			&quot;CONTRIBUTION&quot; means:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				In the case of the Initial Contributor, the Initial Work distributed under this License by\n				   the Initial Contributor; and\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				In the case of each Subsequent Contributor, the Subsequent Work originating from and\n				   distributed by such Subsequent Contributor.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			&quot;DESIGNATED WEB SITE&quot; means the web site having the URL identified in Part 1 of Exhibit A, which\n			   URL may be changed by the Initial Contributor by posting on the current Designated Web Site\n			   the new URL for at least sixty (60) days.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			&quot;DISTRIBUTOR&quot; means any Person that distributes the Licensed Work or any portion thereof to at\n			   least one Third Party.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			&quot;ELECTRONIC DISTRIBUTION MECHANISM&quot; means any mechanism generally accepted in the software\n			   development community for the electronic transfer of data.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			&quot;EXECUTABLE&quot; means the Licensed Work in any form other than Source Code.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			&quot;GOVERNING JURISDICTION&quot; means the state, province or other legal jurisdiction identified in Part\n			   3 of Exhibit A.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			&quot;INDEPENDENT MODULE&quot; means a separate module of software and/or data that is not a derivative\n			   work of or copied from the Licensed Work or any portion thereof. In addition, a module does\n			   not qualify as an Independent Module but instead forms part of the Licensed Work if the\n			   module: (a) is embedded in the Licensed Work; (b) is included by reference in the Licensed\n			   Work other than by a function call or a class reference; or (c) must be included or contained,\n			   in whole or in part, within a file directory or subdirectory actually containing files making\n			   up the Licensed Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			&quot;INITIAL CONTRIBUTOR&quot; means the Person or entity identified as the Initial Contributor in the\n			   notice required by Part 1 of Exhibit A.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			&quot;INITIAL WORK&quot; means the initial Source Code, object code (if any) and documentation for the\n			   computer program identified in Part 2 of Exhibit A, as such Source Code, object code and\n			   documentation is distributed under this License by the Initial Contributor.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			&quot;LARGER WORK&quot; means a work that combines the Licensed Work or portions thereof with code not\n			   governed by this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			&quot;LICENSED WORK&quot; means the Initial Work and/or any Subsequent Work, in each case including\n			   portions thereof.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			&quot;LICENSE NOTICE&quot; has the meaning assigned in Part 5 of Exhibit A.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13.</var>\n			&quot;MODIFICATION&quot; or &quot;MODIFICATIONS&quot; means any change to and/or addition to the Licensed Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.14.</var>\n			&quot;PERSON&quot; means an individual or other legal entity, including a corporation, partnership or other body.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.15.</var>\n			&quot;RECIPIENT&quot; means any Person who receives or obtains the Licensed Work under this License (by way\n			   of example, without limiting the foregoing, any Subsequent Contributor or Distributor).\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.16.</var>\n			&quot;SOURCE CODE&quot; means the source code for a computer program, including the source code for all\n			   modules and components of the computer program, plus any associated interface definition\n			   files, and scripts used to control compilation and installation of an executable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.17.</var>\n			&quot;SUBSEQUENT CONTRIBUTOR&quot; means any Person that makes or contributes to the making of any\n			   Subsequent Work and that distributes that Subsequent Work to at least one Third Party.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.18.</var>\n			&quot;SUBSEQUENT WORK&quot; means a work that has resulted or arises from changes to and/or additions to:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				the Initial Work;\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				any other Subsequent Work; or\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				to any combination of the Initial Work and any such other Subsequent Work;\n				  <br />\n\n		 where such changes and/or additions originate from a Subsequent Contributor. A\n					   Subsequent Work will &quot;originate&quot; from a Subsequent Contributor if the Subsequent\n					   Work was a result of efforts by such Subsequent Contributor (or anyone acting on\n					   such Subsequent Contributor&apos;s behalf, such as, a contractor or other entity that\n					   is engaged by or under the direction of the Subsequent Contributor). For greater\n					   certainty, a Subsequent Work expressly excludes and shall not capture within its\n					   meaning any Independent Module.\n\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.19.</var>\n			&quot;SUPPLEMENT FILE&quot; means a file distributed with the Licensed Work having a file name &quot;suppfile.txt&quot;.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.20.</var>\n			&quot;THIRD PARTY&quot; has the meaning assigned in Part 4 of Exhibit A.\n		  </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		LICENSE.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			COPYRIGHT LICENSE FROM INITIAL AND SUBSEQUENT CONTRIBUTORS.\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				Subject to the terms of this License, the Initial Contributor hereby grants each Recipient a\n				   world-wide, royalty-free, non-exclusive copyright license to:\n				\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> (i)</var>\n					reproduce, prepare derivative works of, publicly display, publicly perform, distribute\n					   and sublicense the Initial Work; and\n				  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> (ii)</var>\n					reproduce, publicly display, publicly perform, distribute, and sublicense any derivative\n					   works (if any) prepared by Recipient;\n					  <br />\n\n			in Source Code and Executable form, either with other Modifications, on an\n					   unmodified basis, or as part of a Larger Work.\n\n				  </li>\n						\n</ul>\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				Subject to the terms of this License, each Subsequent Contributor hereby grants each\n				   Recipient a world-wide, royalty-free, non-exclusive copyright license to:\n				\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> (i)</var>\n					reproduce, prepare derivative works of, publicly display, publicly perform, distribute\n					   and sublicense the Subsequent Work of such Subsequent Contributor; and\n				  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> (ii)</var>\n					reproduce, publicly display, publicly perform, distribute, and sublicense any derivative\n					   works (if any) prepared by Recipient;\n					   <br />\n\n			in Source Code and Executable form, either with other Modifications, on an\n					   unmodified basis, or as part of a Larger Work.\n\n				  </li>\n						\n</ul>\n					 </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			PATENT LICENSE FROM INITIAL AND SUBSEQUENT CONTRIBUTORS.\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				This License does not include or grant any patent license whatsoever from the Initial\n				   Contributor, Subsequent Contributor, or any Distributor unless, at the time the Initial\n				   Work is first distributed or made available under this License (as the case may be), the\n				   Initial Contributor has selected pursuant to Part 6 of Exhibit A the patent terms in\n				   paragraphs A, B, C, D and E from Part 6 of Exhibit A. If this is not done then the Initial\n				   Work and any other Subsequent Work is made available under the License without any patent\n				   license (the &quot;PATENTS-EXCLUDED LICENSE&quot;).\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				However, the Initial Contributor may subsequently distribute or make available (as the case\n				   may be) future copies of: (1) the Initial Work; or (2) any Licensed Work distributed by\n				   the Initial Contributor which includes the Initial Work (or any portion thereof) and/or\n				   any Modification made by the Initial Contributor; available under a License which includes\n				   a patent license (the &quot;PATENTS-INCLUDED LICENSE&quot;) by selecting pursuant to Part 6 of\n				   Exhibit A the patent terms in paragraphs A, B, C, D and E from Part 6 of Exhibit A, when\n				   the Initial Contributor distributes or makes available (as the case may be) such future\n				   copies under this License.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				If any Recipient receives or obtains one or more copies of the Initial Work or any other\n				   portion of the Licensed Work under the Patents-Included License, then all licensing of\n				   such copies under this License shall include the terms in paragraphs A, B, C, D and E from\n				   Part 6 of Exhibit A and that Recipient shall not be able to rely upon the Patents-Excluded\n				   License for any such copies. However, all Recipients that receive one or more copies of\n				   the Initial Work or any other portion of the Licensed Work under a copy of the License\n				   which includes the Patents-Excluded License shall have no patent license with respect to\n				   such copies received under the Patents-Excluded License and availability and distribution\n				   of such copies, including Modifications made by such Recipient to such copies, shall be\n				   under a copy of the License without any patent license.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				Where a Recipient uses in combination or combines any copy of the Licensed Work (or portion\n				   thereof) licensed under a copy of the License having a Patents-Excluded License with any\n				   copy of the Licensed Work (or portion thereof) licensed under a copy of the License having\n				   a Patents-Included License, the combination (and any portion thereof) shall, from the\n				   first time such Recipient uses, makes available or distributes the combination (as the\n				   case may be), be subject to only the terms of the License having the Patents-Included\n				   License which shall include the terms in paragraphs A, B, C, D and E from Part 6 of\n				   Exhibit A.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.3.</var>\n			ACKNOWLEDGEMENT AND DISCLAIMER.\n			  <br />\n\n	  Recipient understands and agrees that although Initial Contributor and each Subsequent\n				 Contributor grants the licenses to its Contributions set forth herein, no\n				 representation, warranty, guarantee or assurance is provided by any Initial\n				 Contributor, Subsequent Contributor, or Distributor that the Licensed Work does not\n				 infringe the patent or other intellectual property rights of any other entity. Initial\n				 Contributor, Subsequent Contributor, and each Distributor disclaims any liability to\n				 Recipient for claims brought by any other entity based on infringement of intellectual\n				 property rights or otherwise, in relation to the Licensed Works. As a condition to\n				 exercising the rights and licenses granted hereunder, each Recipient hereby assumes\n				 sole responsibility to secure any other intellectual property rights needed, if any.\n				 For example, without limiting the foregoing disclaimers, if a third party patent\n				 license is required to allow Recipient to distribute the Licensed Work, it is\n				 Recipient&apos;s responsibility to acquire that license before distributing the Licensed\n				 Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.4.</var>\n			RESERVATION.\n			  <br />\n\n	  Nothing in this License shall be deemed to grant any rights to trademarks, copyrights,\n				 patents, trade secrets or any other intellectual property of Initial Contributor,\n				 Subsequent Contributor, or Distributor except as expressly stated herein.\n		  </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		DISTRIBUTION OBLIGATIONS.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			DISTRIBUTION GENERALLY.\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				A Subsequent Contributor shall make that Subsequent Contributor&apos;s Subsequent Work(s)\n				   available to the public via an Electronic Distribution Mechanism for a period of at least\n				   twelve (12) months. The aforesaid twelve (12) month period shall begin within a reasonable\n				   time after the creation of the Subsequent Work and no later than sixty (60) days after\n				   first distribution of that Subsequent Contributor&apos;s Subsequent Work.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				All Distributors must distribute the Licensed Work in accordance with the terms of the\n				   License, and must include a copy of this License (including without limitation Exhibit A\n				   and the accompanying Supplement File) with each copy of the Licensed Work distributed. In\n				   particular, this License must be prominently distributed with the Licensed Work in a file\n				   called &quot;license.txt.&quot; In addition, the License Notice in Part 5 of Exhibit A must be\n				   included at the beginning of all Source Code files, and viewable to a user in any\n				   executable such that the License Notice is reasonably brought to the attention of any\n				   party using the Licensed Work.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n		  EXECUTABLE DISTRIBUTIONS OF THE LICENSED WORK.\n			<br />\n\n	  A Distributor may choose to distribute the Licensed Work, or any portion thereof, in\n				 Executable form (an &quot;EXECUTABLE DISTRIBUTION&quot;) to any third party, under the terms of\n				 Section 2 of this License, provided the Executable Distribution is made available\n				 under and accompanied by a copy of this License, AND provided at least ONE of the\n				 following conditions is fulfilled:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n			  The Executable Distribution must be accompanied by the Source Code for the Licensed Work\n				 making up the Executable Distribution, and the Source Code must be distributed on the same\n				 media as the Executable Distribution or using an Electronic Distribution Mechanism; or\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n			  The Executable Distribution must be accompanied with a written offer, valid for at least\n				 thirty six (36) months, to give any third party under the terms of this License, for a\n				 charge no more than the cost of physically performing source distribution, a complete\n				 machine-readable copy of the Source Code for the Licensed Work making up the Executable\n				 Distribution, to be available and distributed using an Electronic Distribution Mechanism,\n				 and such Executable Distribution must remain available in Source Code form to any third\n				 party via the Electronic Distribution Mechanism (or any replacement Electronic\n				 Distribution Mechanism the particular Distributor may reasonably need to turn to as a\n				 substitute) for said at least thirty six (36) months.\n			</li>\n				  \n</ul>\n				  <p>For greater certainty, the above-noted requirements apply to any Licensed Work or portion\n				 thereof distributed to any third party in Executable form, whether such distribution is\n				 made alone, in combination with a Larger Work or Independent Modules, or in some other\n				 combination.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n		  SOURCE CODE DISTRIBUTIONS.\n			<br />\n\n	  When a Distributor makes the Licensed Work, or any portion thereof, available to any Person\n				 in Source Code form, it must be made available under this License and a copy of this\n				 License must be included with each copy of the Source Code, situated so that the copy\n				 of the License is conspicuously brought to the attention of that Person. For greater\n				 clarification, this Section 3.3 applies to all distribution of the Licensed Work in\n				 any Source Code form. A Distributor may charge a fee for the physical act of\n				 transferring a copy, which charge shall be no more than the cost of physically\n				 performing source distribution.\n\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			  REQUIRED NOTICES IN SOURCE CODE.\n				<br />\n\n	  Each Subsequent Contributor must ensure that the notice set out in Part 5 of Exhibit A is\n					 included in each file of the Source Code for each Subsequent Work originating from\n					 that particular Subsequent Contributor, if such notice is not already included in each\n					 such file. If it is not possible to put such notice in a particular Source Code file\n					 due to its structure, then the Subsequent Contributor must include such notice in a\n					 location (such as a relevant directory in which the file is stored) where a user would\n					 be likely to look for such a notice.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			  NO DISTRIBUTION REQUIREMENTS FOR INTERNALLY USED MODIFICATIONS.\n				<br />\n\n	  Notwithstanding Sections 3.2, 3.3 and 3.4, Recipient may, internally within its own\n					 corporation or organization use the Licensed Work, including the Initial Work and\n					 Subsequent Works, and make Modifications for internal use within Recipient&apos;s own\n					 corporation or organization (collectively, &quot;INTERNAL USE MODIFICATIONS&quot;). The\n					 Recipient shall have no obligation to distribute, in either Source Code or Executable\n					 form, any such Internal Use Modifications made by Recipient in the course of such\n					 internal use, except where required below in this Section 3.5. All Internal Use\n					 Modifications distributed to any Person, whether or not a Third Party, shall be\n					 distributed pursuant to and be accompanied by the terms of this License. If the\n					 Recipient chooses to distribute any such Internal Use Modifications to any Third\n					 Party, then the Recipient shall be deemed a Subsequent Contributor, and any such\n					 Internal Use Modifications distributed to any Third Party shall be deemed a Subsequent\n					 Work originating from that Subsequent Contributor, and shall from the first such\n					 instance become part of the Licensed Work that must thereafter be distributed and made\n					 available to third parties in accordance with the terms of Sections 3.1 to 3.4\n					 inclusive.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n			  INDEPENDENT MODULES.\n				<br />\n\n	  This License shall not apply to Independent Modules of any Initial Contributor, Subsequent\n					 Contributor, Distributor or any Recipient, and such Independent Modules may be\n					 licensed or made available under one or more separate license agreements.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7.</var>\n			  LARGER WORKS.\n				<br />\n\n	  Any Distributor or Recipient may create or contribute to a Larger Work by combining any of\n					 the Licensed Work with other code not governed by the terms of this License, and may\n					 distribute the Larger Work as one or more products. However, in any such case,\n					 Distributor or Recipient (as the case may be) must make sure that the requirements of\n					 this License are fulfilled for the Licensed Work portion of the Larger Work.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.8.</var>\n		  DESCRIPTION OF DISTRIBUTED MODIFICATIONS.\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n			  Each Subsequent Contributor (including the Initial Contributor where the Initial Contributor\n				 also qualifies as a Subsequent Contributor) must cause each Subsequent Work created or\n				 contributed to by that Subsequent Contributor to contain a file documenting the changes,\n				 in accordance with the requirements of Part 1 of the Supplement File, that such Subsequent\n				 Contributor made in the creation or contribution to that Subsequent Work. If no Supplement\n				 File exists or no requirements are set out in Part 1 of the Supplement File, then there\n				 are no requirements for Subsequent Contributors to document changes that they make\n				 resulting in Subsequent Works.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n			  The Initial Contributor may at any time introduce requirements or add to or change earlier\n				 requirements (in each case, the &quot;EARLIER DESCRIPTION REQUIREMENTS&quot;) for documenting\n				 changes resulting in Subsequent Works by revising Part 1 of each copy of the Supplement\n				 File distributed by the Initial Contributor with future copies of the Licensed Work so\n				 that Part 1 then contains new requirements (the &quot;NEW DESCRIPTION REQUIREMENTS&quot;) for\n				 documenting such changes.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n			  Any Recipient receiving at any time any copy of an Initial Work or any Subsequent Work under\n				 a copy of this License (in each case, an &quot;Earlier LICENSED COPY&quot;) having the Earlier\n				 Description Requirements may choose, with respect to each such Earlier Licensed Copy, to\n				 comply with the Earlier Description Requirements or the New Description Requirements.\n				 Where a Recipient chooses to comply with the New Description Requirements, that Recipient\n				 will, when thereafter distributing any copies of any such Earlier Licensed Copy, include a\n				 Supplement File having a section entitled Part 1 that contains a copy of the New\n				 Description Requirements.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n			  For greater certainty, the intent of Part 1 of the Supplement File is to provide a mechanism\n				 (if any) by which Subsequent Contributors must document changes that they make to the\n				 Licensed Work resulting in Subsequent Works. Part 1 of any Supplement File shall not be\n				 used to increase or reduce the scope of the license granted in Article 2 of this License\n				 or in any other way increase or decrease the rights and obligations of any Recipient, and\n				 shall at no time serve as the basis for terminating the License. Further, a Recipient can\n				 be required to correct and change its documentation procedures to comply with Part 1 of\n				 the Supplement File, but cannot be penalised with damages. Part 1 of any Supplement File\n				 is only binding on each Recipient of any Licensed Work to the extent Part 1 sets out the\n				 requirements for documenting changes to the Initial Work or any Subsequent Work.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (e)</var>\n			  An example of a set of requirements for documenting changes and contributions made by\n				 Subsequent Contributor is set out in Part 7 of Exhibit A of this License. Part 7 is a\n				 sample only and is not binding on Recipients, unless (subject to the earlier paragraphs of\n				 this Section 3.8) those are the requirements that the Initial Contributor includes in Part\n				 1 of the Supplement File with the copies of the Initial Work distributed under this\n				 License.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.9.</var>\n		  USE OF DISTRIBUTOR NAME.\n			<br />\n\n	  The name of a Distributor may not be used by any other Distributor to endorse or promote\n				 the Licensed Work or products derived from the Licensed Work, without prior written\n				 permission.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.10.</var>\n			  LIMITED RECOGNITION OF INITIAL CONTRIBUTOR.\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  As a modest attribution to the Initial Contributor, in the hope that its promotional value\n					 may help justify the time, money and effort invested in writing the Initial Work, the\n					 Initial Contributor may include in Part 2 of the Supplement File a requirement that each\n					 time an executable program resulting from the Initial Work or any Subsequent Work, or a\n					 program dependent thereon, is launched or run, a prominent display of the Initial\n					 Contributor&apos;s attribution information must occur (the &quot;ATTRIBUTION INFORMATION&quot;). The\n					 Attribution Information must be included at the beginning of each Source Code file. For\n					 greater certainty, the Initial Contributor may specify in the Supplement File that the\n					 above attribution requirement only applies to an executable program resulting from the\n					 Initial Work or any Subsequent Work, but not a program dependent thereon. The intent is to\n					 provide for reasonably modest attribution, therefore the Initial Contributor may not\n					 require Recipients to display, at any time, more than the following Attribution\n					 Information: (a) a copyright notice including the name of the Initial Contributor; (b) a\n					 word or one phrase (not exceeding 10 words); (c) one digital image or graphic provided\n					 with the Initial Work; and (d) a URL (collectively, the &quot;ATTRIBUTION LIMITS&quot;).\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  If no Supplement File exists, or no Attribution Information is set out in Part 2 of the\n					 Supplement File, then there are no requirements for Recipients to display any Attribution\n					 Information of the Initial Contributor.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				  Each Recipient acknowledges that all trademarks, service marks and/or trade names contained\n					 within Part 2 of the Supplement File distributed with the Licensed Work are the exclusive\n					 property of the Initial Contributor and may only be used with the permission of the\n					 Initial Contributor, or under circumstances otherwise permitted by law, or as expressly\n					 set out in this License.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.11.</var>\n			  For greater certainty, any description or attribution provisions contained within a Supplement\n				 File may only be used to specify the nature of the description or attribution requirements, as\n				 the case may be. Any provision in a Supplement File that otherwise purports to modify, vary,\n				 nullify or amend any right, obligation or representation contained herein shall be deemed void\n				 to that extent, and shall be of no force or effect.\n			</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  COMMERCIAL USE AND INDEMNITY.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.1.</var>\n		  COMMERCIAL SERVICES.\n			<br />\n\n	  A Recipient (&quot;COMMERCIAL RECIPIENT&quot;) may choose to offer, and to charge a fee for,\n				 warranty, support, indemnity or liability obligations (collectively, &quot;SERVICES&quot;) to\n				 one or more other Recipients or Distributors. However, such Commercial Recipient may\n				 do so only on that Commercial Recipient&apos;s own behalf, and not on behalf of any other\n				 Distributor or Recipient, and Commercial Recipient must make it clear than any such\n				 warranty, support, indemnity or liability obligation(s) is/are offered by Commercial\n				 Recipient alone. At no time may Commercial Recipient use any Services to deny any\n				 party the Licensed Work in Source Code or Executable form when so required under any\n				 of the other terms of this License. For greater certainty, this Section 4.1 does not\n				 diminish any of the other terms of this License, including without limitation the\n				 obligation of the Commercial Recipient as a Distributor, when distributing any of the\n				 Licensed Work in Source Code or Executable form, to make such distribution\n				 royalty-free (subject to the right to charge a fee of no more than the cost of\n				 physically performing Source Code or Executable distribution (as the case may be)).\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.2.</var>\n		  INDEMNITY.\n			<br />\n\n	  Commercial distributors of software may accept certain responsibilities with respect to end\n				 users, business partners and the like. While this License is intended to facilitate\n				 the commercial use of the Licensed Work, the Distributor who includes any of the\n				 Licensed Work in a commercial product offering should do so in a manner which does not\n				 create potential liability for other Distributors. Therefore, if a Distributor\n				 includes the Licensed Work in a commercial product offering or offers any Services,\n				 such Distributor (&quot;COMMERCIAL DISTRIBUTOR&quot;) hereby agrees to defend and indemnify\n				 every other Distributor or Subsequent Contributor (in each case an &quot;INDEMNIFIED\n				 PARTY&quot;) against any losses, damages and costs (collectively &quot;LOSSES&quot;) arising from\n				 claims, lawsuits and other legal actions brought by a third party against the\n				 Indemnified Party to the extent caused by the acts or omissions of such Commercial\n				 Distributor in connection with its distribution of any of the Licensed Work in a\n				 commercial product offering or in connection with any Services. The obligations in\n				 this section do not apply to any claims or Losses relating to any actual or alleged\n				 intellectual property infringement. In order to qualify, an Indemnified Party must:\n				 (a) promptly notify the Commercial Distributor in writing of such claim; and (b) allow\n				 the Commercial Distributor to control, and co-operate with the Commercial Distributor\n				 in, the defense and any related settlement negotiations. The Indemnified Party may\n				 participate in any such claim at its own expense.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  VERSIONS OF THE LICENSE.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.1.</var>\n		  NEW VERSIONS.\n			<br />\n\n	  The Initial Contributor may publish revised and/or new versions of the License from time to\n				 time. Each version will be given a distinguishing version number.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.2.</var>\n		  EFFECT OF NEW VERSIONS.\n			<br />\n\n	  Once the Licensed Work or any portion thereof has been published by Initial Contributor\n				 under a particular version of the License, Recipient may choose to continue to use it\n				 under the terms of that version. However, if a Recipient chooses to use the Licensed\n				 Work under the terms of any subsequent version of the License published by the Initial\n				 Contributor, then from the date of making this choice, the Recipient must comply with\n				 the terms of that subsequent version with respect to all further reproduction,\n				 preparation of derivative works, public display of, public performance of,\n				 distribution and sublicensing by the Recipient in connection with the Licensed Work.\n				 No one other than the Initial Contributor has the right to modify the terms applicable\n				 to the Licensed Work\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		DISCLAIMER OF WARRANTY.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n		  GENERAL DISCLAIMER.\n			<br />\n\n	  EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, THE LICENSED WORK IS PROVIDED UNDER THIS\n				 LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT ANY REPRESENTATION, WARRANTY, GUARANTEE,\n				 ASSURANCE OR CONDITION OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT\n				 LIMITATION, WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR\n				 FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\n				 THE LICENSED WORK IS WITH RECIPIENT. SHOULD ANY LICENSED WORK PROVE DEFECTIVE IN ANY\n				 RESPECT, RECIPIENT (NOT THE INITIAL CONTRIBUTOR OR ANY SUBSEQUENT CONTRIBUTOR) ASSUMES\n				 THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS CLAUSE CONSTITUTES AN\n				 ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY LICENSED WORK IS AUTHORIZED HEREUNDER\n				 EXCEPT UNDER THIS LICENSE INCLUDING WITHOUT LIMITATION THIS DISCLAIMER.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n		  RESPONSIBILITY OF RECIPIENTS.\n			<br />\n\n	  Each Recipient is solely responsible for determining the appropriateness of using and\n				 distributing the Licensed Work and assumes all risks associated with its exercise of\n				 rights under this License, including but not limited to the risks and costs of program\n				 errors, compliance with applicable laws, damage to or loss of data, programs or\n				 equipment, and unavailability or interruption of operations.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		TERMINATION.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.1.</var>\n		  This License shall continue until terminated in accordance with the express terms herein.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.2.</var>\n		  Recipient may choose to terminate this License automatically at any time.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.3.</var>\n		  This License, including without limitation the rights granted hereunder to a particular\n			 Recipient, will terminate automatically if such Recipient is in material breach of any of the\n			 terms of this License and fails to cure such breach within sixty (60) days of becoming aware\n			 of the breach. Without limiting the foregoing, any material breach by such Recipient of any\n			 term of any other License under which such Recipient is granted any rights to the Licensed\n			 Work shall constitute a material breach of this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.4.</var>\n		  Upon termination of this License by or with respect to a particular Recipient for any reason, all\n			 rights granted hereunder and under any other License to that Recipient shall terminate.\n			 However, all sublicenses to the Licensed Work which were previously properly granted by such\n			 Recipient under a copy of this License (in each case, an &quot;Other License&quot; and in plural, &quot;Other\n			 Licenses&quot;) shall survive any such termination of this License, including without limitation\n			 the rights and obligations under such Other Licenses as set out in their respective Sections\n			 2, 3, 4, 5, 6, 7 and 8, mutatis mutandis, for so long as the respective sublicensees (i.e.\n			 other Recipients) remain in compliance with the terms of the copy of this License under which\n			 such sublicensees received rights to the Licensed Work. Any termination of such Other Licenses\n			 shall be pursuant to their respective Section 7, mutatis mutandis. Provisions which, by their\n			 nature, must remain in effect beyond the termination of this License shall survive.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.5.</var>\n		  Upon any termination of this License by or with respect to a particular Recipient, Sections 4.1,\n			 4.2, 6.1, 6.2, 7.4, 7.5, 8.1, and 8.2, together with all provisions of this License necessary\n			 for the interpretation and enforcement of same, shall expressly survive such termination.\n		</li>\n			\n</ul>\n		 </li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  LIMITATION OF LIABILITY.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1.</var>\n		  IN NO EVENT SHALL ANY OF INITIAL CONTRIBUTOR, ITS SUBSIDIARIES, OR AFFILIATES, OR ANY OF ITS OR\n			 THEIR RESPECTIVE OFFICERS, DIRECTORS, EMPLOYEES, AND/OR AGENTS (AS THE CASE MAY BE), HAVE ANY\n			 LIABILITY FOR ANY DIRECT DAMAGES, INDIRECT DAMAGES, PUNITIVE DAMAGES, INCIDENTAL DAMAGES,\n			 SPECIAL DAMAGES, EXEMPLARY DAMAGES, CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHATSOEVER\n			 (INCLUDING WITHOUT LIMITATION LOSS OF USE, DATA OR PROFITS, OR ANY OTHER LOSS ARISING OUT OF\n			 OR IN ANY WAY RELATED TO THE USE, INABILITY TO USE, UNAUTHORIZED USE, PERFORMANCE, OR\n			 NON-PERFORMANCE OF THE LICENSED WORK OR ANY PART THEREOF OR THE PROVISION OF OR FAILURE TO\n			 PROVIDE SUPPORT SERVICES, OR THAT RESULT FROM ERRORS, DEFECTS, OMISSIONS, DELAYS IN OPERATION\n			 OR TRANSMISSION, OR ANY OTHER FAILURE OF PERFORMANCE), HOWEVER CAUSED AND ON ANY THEORY OF\n			 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\n			 IN RELATION TO OR ARISING IN ANY WAY OUT OF THIS LICENSE OR THE USE OR DISTRIBUTION OF THE\n			 LICENSED WORK OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE\n			 POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR\n			 DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE LAW\n			 PROHIBITS SUCH LIMITATION. THIS CLAUSE CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE\n			 OF ANY LICENSED WORK IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS LICENSE INCLUDING WITHOUT\n			 LIMITATION THE LIMITATIONS SET FORTH IN THIS SECTION 8.1.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2.</var>\n		  EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, EACH RECIPIENT SHALL NOT HAVE ANY LIABILITY FOR\n			 ANY EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER\n			 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n			 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE\n			 LICENSED WORK OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE\n			 POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR\n			 DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE LAW\n			 PROHIBITS SUCH LIMITATION.\n		</li>\n			\n</ul>\n		 </li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  GOVERNING LAW AND LEGAL ACTION.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.1.</var>\n		  This License shall be governed by and consTrued in accordance with the laws of the Governing\n			 Jurisdiction assigned in Part 3 of Exhibit A, without regard to its conflict of law\n			 provisions. No party may bring a legal action under this License more than one year after the\n			 cause of the action arose. Each party waives its rights (if any) to a jury trial in any\n			 litigation arising under this License. Note that if the Governing Jurisdiction is not assigned\n			 in Part 3 of Exhibit A, then the Governing Jurisdiction shall be the State of New York.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.2.</var>\n		  The courts of the Governing Jurisdiction shall have jurisdiction, but not exclusive jurisdiction,\n			 to entertain and determine all disputes and claims, whether for specific performance,\n			 injunction, damages or otherwise, both at law and in equity, arising out of or in any way\n			 relating to this License, including without limitation, the legality, validity, existence and\n			 enforceability of this License. Each party to this License hereby irrevocably attorns to and\n			 accepts the jurisdiction of the courts of the Governing Jurisdiction for such purposes.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.3.</var>\n		  Except as expressly set forth elsewhere herein, in the event of any action or proceeding brought\n			 by any party against another under this License the prevailing party shall be entitled to\n			 recover all costs and expenses including the fees of its attorneys in such action or\n			 proceeding in such amount as the court may adjudge reasonable.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  MISCELLANEOUS.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.1.</var>\n		  The obligations imposed by this License are for the benefit of the Initial Contributor and any\n			 Recipient, and each Recipient acknowledges and agrees that the Initial Contributor and/or any\n			 other Recipient may enforce the terms and conditions of this License against any\n			 Recipient.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.2.</var>\n		  This License represents the complete agreement concerning subject matter hereof, and supersedes\n			 and cancels all previous oral and written communications, representations, agreements and\n			 understandings between the parties with respect to the subject matter hereof.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.3.</var>\n		  The application of the United Nations Convention on Contracts for the International Sale of Goods\n			 is expressly excluded.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.4.</var>\n		  The language in all parts of this License shall be in all cases consTrued simply according to its\n			 fair meaning, and not strictly for or against any of the parties hereto. Any law or regulation\n			 which provides that the language of a contract shall be consTrued against the drafter shall\n			 not apply to this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.5.</var>\n		  If any provision of this License is invalid or unenforceable under the laws of the Governing\n			 Jurisdiction, it shall not affect the validity or enforceability of the remainder of the terms\n			 of this License, and without further action by the parties hereto, such provision shall be\n			 reformed to the minimum extent necessary to make such provision valid and enforceable.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.6.</var>\n		  The paragraph headings of this License are for reference and convenience only and are not a part\n			 of this License, and they shall have no effect upon the construction or interpretation of any\n			 part hereof.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.7.</var>\n		  Each of the terms &quot;including&quot;, &quot;include&quot; and &quot;includes&quot;, when used in this License, is not\n			 limiting whether or not non-limiting language (such as &quot;without limitation&quot; or &quot;but not\n			 limited to&quot; or words of similar import) is used with reference thereto.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.8.</var>\n		  The parties hereto acknowledge they have expressly required that this License and notices\n			 relating thereto be drafted in the English language.\n		</li>\n			\n</ul>\n		 </li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>//***THE LICENSE TERMS END HERE (OTHER THAN AS SET OUT IN EXHIBIT A).***//</p>\n\n		 <p>EXHIBIT A (to the Adaptive Public License)</p>\n\n<ul style=\"list-style:none\">\n\t		   \n<li>\n\t			  <var class=\"replaceable-license-text\"> PART 1:</var> INITIAL CONTRIBUTOR AND DESIGNATED WEB SITE\n<p>The Initial Contributor is: <br />\n\n____________________________________________________ <br />\n\n[Enter full name of Initial Contributor]<br />\n\n			   </p>\n\n			   <p>\nAddress of Initial Contributor: <br />\n\n________________________________________________ <br />\n\n________________________________________________ <br />\n\n________________________________________________ <br />\n\n[Enter address above]<br />\n\n			   </p>\n\n			   <p>\nThe Designated Web Site is: <br />\n\n__________________________________________________ <br />\n\n[Enter URL for Designated Web Site of Initial Contributor]<br />\n\n			   </p>\n\n			   <p>NOTE: The Initial Contributor is to complete this Part 1, along with Parts 2, 3, and 5, and, if\n		 applicable, Parts 4 and 6.</p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> PART 2:</var> INITIAL WORK\n	  <p>The Initial Work comprises the computer program(s) distributed by the Initial Contributor having the\n		 following title(s): _______________________________________________.</p>\n\n			   <p>The date on which the Initial Work was first available under this License: _________________</p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> PART 3:</var> GOVERNING JURISDICTION\n	 <p>For the purposes of this License, the Governing Jurisdiction is\n\t  _________________________________________________.\n\t [Initial Contributor to Enter Governing Jurisdiction here] </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> PART 4:</var> THIRD PARTIES\n		<p>For the purposes of this License, &quot;Third Party&quot; has the definition set forth below in the ONE\n		   paragraph selected by the Initial Contributor from paragraphs A, B, C, D and E when the Initial\n		   Work is distributed or otherwise made available by the Initial Contributor. To select one of the\n		   following paragraphs, the Initial Contributor must place an &quot;X&quot; or &quot;x&quot; in the selection box\n\t   alongside the one respective paragraph selected. </p>\n\n			   <p>SELECTION </p>\n\n			   <p>BOX PARAGRAPH </p>\n\n<ul style=\"list-style:none\">\n				  \n<li>\n					 <p>[ ] A. &quot;THIRD PARTY&quot; means any third party.  </p>\n\n				  </li>\n				  \n<li>\n					 <p>[ ] B. &quot;THIRD PARTY&quot; means any third party except for any of the following: (a) a wholly owned\n		   subsidiary of the Subsequent Contributor in question; (b) a legal entity (the &quot;PARENT&quot;) that\n		   wholly owns the Subsequent Contributor in question; or (c) a wholly owned subsidiary of the wholly\n		   owned subsidiary in (a) or of the Parent in (b).</p>\n\n				  </li>\n				  \n<li>\n					 <p>[ ] C. &quot;THIRD PARTY&quot; means any third party except for any of the following: (a) any Person directly\n		   or indirectly owning a majority of the voting interest in the Subsequent Contributor or (b) any\n		   Person in which the Subsequent Contributor directly or indirectly owns a majority voting\n		   interest.</p>\n\n				  </li>\n				  \n<li>\n					 <p>[ ] D. &quot;THIRD PARTY&quot; means any third party except for any Person directly or indirectly controlled by\n		   the Subsequent Contributor. For purposes of this definition, &quot;control&quot; shall mean the power to\n		   direct or cause the direction of, the management and policies of such Person whether through the\n		   ownership of voting interests, by contract, or otherwise.</p>\n\n				  </li>\n				  \n<li>\n					 <p>[ ] E. &quot;THIRD PARTY&quot; means any third party except for any Person directly or indirectly controlling,\n		   controlled by, or under common control with the Subsequent Contributor. For purposes of this\n		   definition, &quot;control&quot; shall mean the power to direct or cause the direction of, the management and\n		   policies of such Person whether through the ownership of voting interests, by contract, or\n		   otherwise.  </p>\n\n				  </li>\n			   \n</ul>\n			   <p>The default definition of &quot;THIRD PARTY&quot; is the definition set forth in paragraph A, if NONE OR\n			   MORE THAN ONE of paragraphs A, B, C, D or E in this Part 4 are selected by the Initial\n			   Contributor.  </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> PART 5:</var> NOTICE\n		<p>THE LICENSED WORK IS PROVIDED UNDER THE TERMS OF THE ADAPTIVE PUBLIC LICENSE (&quot;LICENSE&quot;) AS FIRST\n		   COMPLETED BY: ______________________ [Insert the name of the Initial Contributor here]. ANY USE,\n		   PUBLIC DISPLAY, PUBLIC PERFORMANCE, REPRODUCTION OR DISTRIBUTION OF, OR PREPARATION OF DERIVATIVE\n		   WORKS BASED ON, THE LICENSED WORK CONSTITUTES RECIPIENT&apos;S ACCEPTANCE OF THIS LICENSE AND ITS\n		   TERMS, WHETHER OR NOT SUCH RECIPIENT READS THE TERMS OF THE LICENSE. &quot;LICENSED WORK&quot; AND\n		   &quot;RECIPIENT&quot; ARE DEFINED IN THE LICENSE. A COPY OF THE LICENSE IS LOCATED IN THE TEXT FILE ENTITLED\n		   &quot;LICENSE.TXT&quot; ACCOMPANYING THE CONTENTS OF THIS FILE. IF A COPY OF THE LICENSE DOES NOT ACCOMPANY\n		   THIS FILE, A COPY OF THE LICENSE MAY ALSO BE OBTAINED AT THE FOLLOWING WEB SITE:\n		   ___________________________________________________[Insert Initial Contributor&apos;s Designated Web\n		   Site here]</p>\n\n			   <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF ANY\n		   KIND, either express or implied. See the License for the specific language governing rights and\n		   limitations under the License.</p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> PART 6:</var> PATENT LICENSING TERMS\n		<p>For the purposes of this License, paragraphs A, B, C, D and E of this Part 6 of Exhibit A are only\n		   incorporated and form part of the terms of the License if the Initial Contributor places an &quot;X&quot; or\n		   &quot;x&quot; in the selection box alongside the YES answer to the question immediately below.</p>\n\n			   <p>Is this a Patents-Included License pursuant to Section 2.2 of the License?\n\t	\n<ul style=\"list-style:none\">\n\t\t				   \n<li>\n						<p>YES [ ] </p>\n\n					 </li>\n\t\t				   \n<li>\n						<p>NO [ ] </p>\n\n					 </li>\n\t				 \n</ul>\n			   </p>\n\n			   <p>By default, if YES is not selected by the Initial Contributor, the answer is NO.</p>\n\n<ul style=\"list-style:none\">\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> A.</var>\n			For the purposes of the paragraphs in this Part 6 of Exhibit A, &quot;LICENSABLE&quot; means having the\n			   right to grant, to the maximum extent possible, whether at the time of the initial grant\n			   or subsequently acquired, any and all of the rights granted herein.\n		  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> B.</var>\n			The Initial Contributor hereby grants all Recipients a world-wide, royalty-free,\n			   non-exclusive license, subject to third party intellectual property claims, under patent\n			   claim(s) Licensable by the Initial Contributor that are or would be infringed by the\n			   making, using, selling, offering for sale, having made, importing, exporting, transfer or\n			   disposal of such Initial Work or any portion thereof. Notwithstanding the foregoing, no\n			   patent license is granted under this Paragraph B by the Initial Contributor: (1) for any\n			   code that the Initial Contributor deletes from the Initial Work (or any portion thereof)\n			   distributed by the Initial Contributor prior to such distribution; (2) for any\n			   Modifications made to the Initial Work (or any portion thereof) by any other Person; or\n			   (3) separate from the Initial Work (or portions thereof) distributed or made available by\n			   the Initial Contributor.\n		  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> C.</var>\n			Effective upon distribution by a Subsequent Contributor to a Third Party of any Modifications\n			   made by that Subsequent Contributor, such Subsequent Contributor hereby grants all\n			   Recipients a world-wide, royalty-free, non-exclusive license, subject to third party\n			   intellectual property claims, under patent claim(s) Licensable by such Subsequent\n			   Contributor that are or would be infringed by the making, using, selling, offering for\n			   sale, having made, importing, exporting, transfer or disposal of any such Modifications\n			   made by that Subsequent Contributor alone and/or in combination with its Subsequent Work\n			   (or portions of such combination) to make, use, sell, offer for sale, have made, import,\n			   export, transfer and otherwise dispose of:\n		  \n<ul style=\"list-style:none\">\n						\n<li>\n						   <var class=\"replaceable-license-text\"> (1)</var>\n			Modifications made by that Subsequent Contributor (or portions thereof); and\n		  </li>\n						\n<li>\n						   <var class=\"replaceable-license-text\"> (2)</var>\n			the combination of Modifications made by that Subsequent Contributor with its Subsequent Work\n			   (or portions of such combination);\n			  <br />\n\n		 (collectively and in each case, the &quot;SUBSEQUENT CONTRIBUTOR VERSION&quot;).\n			  <br />\n\n		 Notwithstanding the foregoing, no patent license is granted under this Paragraph C by\n				   such Subsequent Contributor: (1) for any code that such Subsequent Contributor\n				   deletes from the Subsequent Contributor Version (or any portion thereof)\n				   distributed by the Subsequent Contributor prior to such distribution; (2) for any\n				   Modifications made to the Subsequent Contributor Version (or any portion thereof)\n				   by any other Person; or (3) separate from the Subsequent Contributor Version (or\n				   portions thereof) distributed or made available by the Subsequent Contributor.\n\n		  </li>\n					 \n</ul>\n				  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> D.</var>\n			Effective upon distribution of any Licensed Work by a Distributor to a Third Party, such\n			   Distributor hereby grants all Recipients a world-wide, royalty-free, non-exclusive\n			   license, subject to third party intellectual property claims, under patent claim(s)\n			   Licensable by such Distributor that are or would be infringed by the making, using,\n			   selling, offering for sale, having made, importing, exporting, transfer or disposal of any\n			   such Licensed Work distributed by such Distributor, to make, use, sell, offer for sale,\n			   have made, import, export, transfer and otherwise dispose of such Licensed Work or\n			   portions thereof (collectively and in each case, the &quot;DISTRIBUTOR VERSION&quot;).\n			   Notwithstanding the foregoing, no patent license is granted under this Paragraph D by such\n			   Distributor: (1) for any code that such Distributor deletes from the Distributor Version\n			   (or any portion thereof) distributed by the Distributor prior to such distribution; (2)\n			   for any Modifications made to the Distributor Version (or any portion thereof) by any\n			   other Person; or (3) separate from the Distributor Version (or portions thereof)\n			   distributed or made available by the Distributor.\n		  </li>\n				  \n<li>\n					 <var class=\"replaceable-license-text\"> E.</var>\n			If Recipient institutes patent litigation against another Recipient (a &quot;USER&quot;) with respect\n			   to a patent applicable to a computer program or software (including a cross-claim or\n			   counterclaim in a lawsuit, and whether or not any of the patent claims are directed to a\n			   system, method, process, apparatus, device, product, article of manufacture or any other\n			   form of patent claim), then any patent or copyright license granted by that User to such\n			   Recipient under this License or any other copy of this License shall terminate. The\n			   termination shall be effective ninety (90) days after notice of termination from User to\n			   Recipient, unless the Recipient withdraws the patent litigation claim before the end of\n			   the ninety (90) day period. To be effective, any such notice of license termination must\n			   include a specific list of applicable patents and/or a copy of the copyrighted work of\n			   User that User alleges will be infringed by Recipient upon License termination. License\n			   termination is only effective with respect to patents and/or copyrights for which proper\n			   notice has been given.\n		  </li>\n			   \n</ul>\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> PART 7:</var> SAMPLE REQUIREMENTS FOR THE DESCRIPTION OF DISTRIBUTED MODIFICATIONS\n		<p>Each Subsequent Contributor (including the Initial Contributor where the Initial Contributor\n		   qualifies as a Subsequent Contributor) is invited (but not required) to cause each Subsequent Work\n		   created or contributed to by that Subsequent Contributor to contain a file documenting the changes\n\t   such Subsequent Contributor made to create that Subsequent Work and the date of any change.</p>\n\n			</li>\n		 \n</ul>\n\t		<p>//***EXHIBIT A ENDS HERE.***//</p>\n\n	  </div>\n	"
		self.python_name = "APL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class FSFULLR:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1996-2006 Free Software Foundation, Inc.\n\nThis file is free software; the Free Software Foundation gives unlimited permission to copy and/or distribute it, with or without modifications, as long as this notice is preserved.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1996-2006 Free Software Foundation, Inc.  \";match=\".{0,5000}\">>\n\nThis file is free software; the Free Software Foundation gives unlimited permission to copy and/or distribute it, with or without modifications, as long as this notice is preserved.\n\n"
		self.name = "FSF Unlimited License (with License Retention)"
		self.licenseId = "FSFULLR"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/FSF_Unlimited_License#License_Retention_Variant", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/FSF_Unlimited_License#License_Retention_Variant"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1996-2006 Free Software Foundation, Inc.</p>\n\n	  </div>\n\n	  <p>This file is free software; the Free Software Foundation gives unlimited permission to copy and/or\n		 distribute it, with or without modifications, as long as this notice is preserved.</p>\n\n	"
		self.python_name = "FSFULLR"

	def __str__(self):
		return json.dumps(self.__dict__)


class NISTPDfallback:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Conditions of Use\n\nThis software was developed by employees of the National Institute of Standards and Technology (NIST), an agency of the Federal Government and is being made available as a public service. Pursuant to title 17 United States Code Section 105, works of NIST employees are not subject to copyright protection in the United States. This software may be subject to foreign copyright. Permission in the United States and in foreign countries, to the extent that NIST may hold copyright, to use, copy, modify, create derivative works, and distribute this software and its documentation without fee is hereby granted on a non-exclusive basis, provided that this notice and disclaimer of warranty appears in all copies.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\" WITHOUT ANY WARRANTY OF ANY KIND, EITHER EXPRESSED, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY WARRANTY THAT THE SOFTWARE WILL CONFORM TO SPECIFICATIONS, ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND FREEDOM FROM INFRINGEMENT, AND ANY WARRANTY THAT THE DOCUMENTATION WILL CONFORM TO THE SOFTWARE, OR ANY WARRANTY THAT THE SOFTWARE WILL BE ERROR FREE. IN NO EVENT SHALL NIST BE LIABLE FOR ANY DAMAGES, INCLUDING, BUT NOT LIMITED TO, DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES, ARISING OUT OF, RESULTING FROM, OR IN ANY WAY CONNECTED WITH THIS SOFTWARE, WHETHER OR NOT BASED UPON WARRANTY, CONTRACT, TORT, OR OTHERWISE, WHETHER OR NOT INJURY WAS SUSTAINED BY PERSONS OR PROPERTY OR OTHERWISE, AND WHETHER OR NOT LOSS WAS SUSTAINED FROM, OR AROSE OUT OF THE RESULTS OF, OR USE OF, THE SOFTWARE OR SERVICES PROVIDED HEREUNDER.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<var;name=\"title\";original=\"Conditions of Use\";match=\"(Conditions|Terms) [oO]f [uU]se\">>\n\n<<endOptional>>\n\nThis software was developed by employees of the National Institute of Standards and Technology (NIST), an agency of the Federal Government and is being made available as a public service. Pursuant to title 17 United States Code Section 105, works of NIST employees are not subject to copyright protection in the United States. This software may be subject to foreign copyright. Permission in the United States and in foreign countries, to the extent that NIST may hold copyright, to use, copy, modify, create derivative works, and distribute this software and its documentation without fee is hereby granted on a non-exclusive basis, provided that this notice and disclaimer of warranty appears in all copies.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\" WITHOUT ANY WARRANTY OF ANY KIND, EITHER EXPRESSED, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY WARRANTY THAT THE SOFTWARE WILL CONFORM TO SPECIFICATIONS, ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND FREEDOM FROM INFRINGEMENT, AND ANY WARRANTY THAT THE DOCUMENTATION WILL CONFORM TO THE SOFTWARE, OR ANY WARRANTY THAT THE SOFTWARE WILL BE ERROR FREE. IN NO EVENT SHALL NIST BE LIABLE FOR ANY DAMAGES, INCLUDING, BUT NOT LIMITED TO, DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES, ARISING OUT OF, RESULTING FROM, OR IN ANY WAY CONNECTED WITH THIS SOFTWARE, WHETHER OR NOT BASED UPON WARRANTY, CONTRACT, TORT, OR OTHERWISE, WHETHER OR NOT INJURY WAS SUSTAINED BY PERSONS OR PROPERTY OR OTHERWISE, AND WHETHER OR NOT LOSS WAS SUSTAINED FROM, OR AROSE OUT OF THE RESULTS OF, OR USE OF, THE SOFTWARE OR SERVICES PROVIDED HEREUNDER.\n\n"
		self.name = "NIST Public Domain Notice with license fallback"
		self.licenseId = "NIST-PD-fallback"
		self.crossRef = [{"match": "False", "url": "https://github.com/usnistgov/fipy/blob/86aaa5c2ba2c6f1be19593c5986071cf6568cc34/LICENSE.rst", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:57Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/usnistgov/jsip/blob/59700e6926cbe96c5cdae897d9a7d2656b42abe3/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:57Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/usnistgov/jsip/blob/59700e6926cbe96c5cdae897d9a7d2656b42abe3/LICENSE", "https://github.com/usnistgov/fipy/blob/86aaa5c2ba2c6f1be19593c5986071cf6568cc34/LICENSE.rst"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p><var class=\"replaceable-license-text\"> Conditions of Use</var></p>\n\n	  </div>\n	  <p>\n		This software was developed by employees of the National Institute of\n		Standards and Technology (NIST), an agency of the Federal Government and\n		is being made available as a public service. Pursuant to title 17 United\n		States Code Section 105, works of NIST employees are not subject to\n		copyright protection in the United States. This software may be subject\n		to foreign copyright. Permission in the United States and in foreign\n		countries, to the extent that NIST may hold copyright, to use, copy,\n		modify, create derivative works, and distribute this software and its\n		documentation without fee is hereby granted on a non-exclusive basis,\n		provided that this notice and disclaimer of warranty appears in all\n		copies.\n	  </p>\n\n	  <p>\n		THE SOFTWARE IS PROVIDED &quot;AS IS&quot; WITHOUT ANY WARRANTY OF ANY KIND,\n		EITHER EXPRESSED, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO,\n		ANY WARRANTY THAT THE SOFTWARE WILL CONFORM TO SPECIFICATIONS, ANY\n		IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,\n		AND FREEDOM FROM INFRINGEMENT, AND ANY WARRANTY THAT THE DOCUMENTATION\n		WILL CONFORM TO THE SOFTWARE, OR ANY WARRANTY THAT THE SOFTWARE WILL BE\n		ERROR FREE. IN NO EVENT SHALL NIST BE LIABLE FOR ANY DAMAGES, INCLUDING,\n		BUT NOT LIMITED TO, DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES,\n		ARISING OUT OF, RESULTING FROM, OR IN ANY WAY CONNECTED WITH THIS\n		SOFTWARE, WHETHER OR NOT BASED UPON WARRANTY, CONTRACT, TORT, OR\n		OTHERWISE, WHETHER OR NOT INJURY WAS SUSTAINED BY PERSONS OR PROPERTY OR\n		OTHERWISE, AND WHETHER OR NOT LOSS WAS SUSTAINED FROM, OR AROSE OUT OF\n		THE RESULTS OF, OR USE OF, THE SOFTWARE OR SERVICES PROVIDED HEREUNDER.\n	  </p>\n\n	"
		self.python_name = "NISTPDfallback"

	def __str__(self):
		return json.dumps(self.__dict__)


class Soundex:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "(c) Copyright 1998-2007 by Mark Mielke\n\nFreedom to use these sources for whatever you want, as long as credit\nis given where credit is due, is hereby granted. You may make modifications\nwhere you see fit but leave this copyright somewhere visible. As well, try\nto initial any changes you make so that if I like the changes I can\nincorporate them into later versions.\n\n	 - Mark Mielke <mark@mielke.cc>\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"(c) Copyright 1998-2007 by Mark Mielke  \";match=\".{0,5000}\">>\n\nFreedom to use these sources for whatever you want, as long as credit is given where credit is due, is hereby granted. You may make modifications where you see fit but leave this copyright somewhere visible. As well, try to initial any changes you make so that if I like the changes I can incorporate them into later versions.\n\n- Mark Mielke <mark@mielke.cc>\n\n"
		self.name = "Soundex License"
		self.licenseId = "Soundex"
		self.crossRef = [{"match": "False", "url": "https://metacpan.org/release/RJBS/Text-Soundex-3.05/source/Soundex.pm#L3-11", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:39Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://metacpan.org/release/RJBS/Text-Soundex-3.05/source/Soundex.pm#L3-11"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n			<p>(c) Copyright 1998-2007 by Mark Mielke</p>\n\n		 </div>\n		 <p>\n			Freedom to use\n			these sources for whatever you want, as long as credit is\n			given where credit is due, is hereby granted. You may make\n			modifications where you see fit but leave this copyright\n			somewhere visible. As well, try to initial any changes you\n			make so that if I like the changes I can incorporate them\n			into later versions.\n		 </p>\n\n		 <p>\n			- Mark Mielke &lt;mark@mielke.cc&gt;\n		 </p>\n\n	  "
		self.python_name = "Soundex"

	def __str__(self):
		return json.dumps(self.__dict__)


class OSL30:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Open Software License v. 3.0 (OSL-3.0)\n\nThis Open Software License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following licensing notice adjacent to the copyright notice for the Original Work:\n\n	 Licensed under the Open Software License version 3.0\n\n1) Grant of Copyright License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, for the duration of the copyright, to do the following:\n\n	 a) to reproduce the Original Work in copies, either alone or as part of a collective work;\n\n	 b) to translate, adapt, alter, transform, modify, or arrange the Original Work, thereby creating derivative works (\"Derivative Works\") based upon the Original Work;\n\n	 c) to distribute or communicate copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work or Derivative Works that You distribute or communicate shall be licensed under this Open Software License;\n\n	 d) to perform the Original Work publicly; and\n\n	 e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, for the duration of the patents, to make, use, sell, offer for sale, have made, and import the Original Work and Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work.\n\n4) Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior permission of the Licensor. Except as expressly stated herein, nothing in this License grants any license to Licensor\u2019s trademarks, copyrights, patents, trade secrets or any other intellectual property. No patent license is granted to make, use, sell, offer for sale, have made, or import embodiments of any patent claims other than the licensed claims defined in Section 2. No license is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under terms different from this License any Original Work that Licensor otherwise would have a right to license.\n\n5) External Deployment. The term \"External Deployment\" means the use, distribution, or communication of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether those works are distributed or communicated to those persons or made available as an application intended for use over a network. As an express condition for the grants of license hereunder, You must treat any External Deployment by You of the Original Work or a Derivative Work as a distribution under section 1(c).\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent, or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights. Except as expressly stated in the immediately preceding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of non-infringement, merchantability or fitness for a particular purpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to the Original Work is granted by this License except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to anyone for any indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to the extent applicable law prohibits such limitation.\n\n9) Acceptance and Termination. If, at any time, You expressly assented to this License, that assent indicates your clear and irrevocable acceptance of this License and all of its terms and conditions. If You distribute or communicate copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. This License conditions your rights to undertake the activities listed in Section 1, including your right to create Derivative Works based upon the Original Work, and doing so without honoring these terms and conditions is prohibited by copyright law and international treaty. Nothing in this License is intended to affect copyright exceptions and limitations (including \u201cfair use\u201d or \u201cfair dealing\u201d). This License shall terminate immediately and You may no longer exercise any of the rights granted to You by this License upon your failure to honor the conditions in Section 1(c).\n\n10) Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, against Licensor or any licensee alleging that the Original Work infringes a patent. This termination provision shall not apply for an action alleging patent infringement by combinations of the Original Work with other software or hardware.\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of copyright or patent law in the appropriate jurisdiction. This section shall survive the termination of this License.\n\n12) Attorneys' Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n13) Miscellaneous. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\n16) Modification of This License. This License is Copyright (c) 2005 Lawrence Rosen. Permission is granted to copy, distribute, or communicate this License without modification. Nothing in this License permits You to modify this License as applied to the Original Work or to Derivative Works. However, You may modify the text of this License and copy, distribute or communicate your modified version (the \"Modified License\") and apply it to other original works of authorship subject to the following conditions: (i) You may not indicate in any way that your Modified License is the \"Open Software License\" or \"OSL\" and you may not use those names in the name of your Modified License; (ii) You must replace the notice specified in the first paragraph above with the notice \"Licensed under <insert your license name here>\" or with a notice of your own that is not confusingly similar to the notice in this License; and (iii) You may not claim that your original works are open source software unless your Modified License has been approved by Open Source Initiative (OSI) and You comply with its license review and certification process.\n"
		self.standardLicenseHeaderTemplate = "Licensed under the Open Software License version 3.0\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Open Software License v. 3.0 (OSL-3.0)\n\n<<endOptional>>\n\nThis Open Software License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following licensing notice adjacent to the copyright notice for the Original Work:\n\nLicensed under the Open Software License version 3.0\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Grant of Copyright License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, for the duration of the copyright, to do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> to reproduce the Original Work in copies, either alone or as part of a collective work;\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> to translate, adapt, alter, transform, modify, or arrange the Original Work, thereby creating derivative works (\"Derivative Works\") based upon the Original Work;\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> to distribute or communicate copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work or Derivative Works that You distribute or communicate shall be licensed under this Open Software License;\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> to perform the Original Work publicly; and\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> to display the Original Work publicly.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Grant of Patent License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, for the duration of the patents, to make, use, sell, offer for sale, have made, and import the Original Work and Derivative Works.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior permission of the Licensor. Except as expressly stated herein, nothing in this License grants any license to Licensor's trademarks, copyrights, patents, trade secrets or any other intellectual property. No patent license is granted to make, use, sell, offer for sale, have made, or import embodiments of any patent claims other than the licensed claims defined in Section 2. No license is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under terms different from this License any Original Work that Licensor otherwise would have a right to license.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> External Deployment. The term \"External Deployment\" means the use, distribution, or communication of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether those works are distributed or communicated to those persons or made available as an application intended for use over a network. As an express condition for the grants of license hereunder, You must treat any External Deployment by You of the Original Work or a Derivative Work as a distribution under section 1(c).\n\n   <<var;name=\"bullet\";original=\"6)\";match=\".{0,20}\">> Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent, or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n   <<var;name=\"bullet\";original=\"7)\";match=\".{0,20}\">> Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights. Except as expressly stated in the immediately preceding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of non-infringement, merchantability or fitness for a particular purpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to the Original Work is granted by this License except under this disclaimer.\n\n   <<var;name=\"bullet\";original=\"8)\";match=\".{0,20}\">> Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to anyone for any indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to the extent applicable law prohibits such limitation.\n\n   <<var;name=\"bullet\";original=\"9)\";match=\".{0,20}\">> Acceptance and Termination. If, at any time, You expressly assented to this License, that assent indicates your clear and irrevocable acceptance of this License and all of its terms and conditions. If You distribute or communicate copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. This License conditions your rights to undertake the activities listed in Section 1, including your right to create Derivative Works based upon the Original Work, and doing so without honoring these terms and conditions is prohibited by copyright law and international treaty. Nothing in this License is intended to affect copyright exceptions and limitations (including \"fair use\" or \"fair dealing\"). This License shall terminate immediately and You may no longer exercise any of the rights granted to You by this License upon your failure to honor the conditions in Section 1(c).\n\n   <<var;name=\"bullet\";original=\"10)\";match=\".{0,20}\">> Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, against Licensor or any licensee alleging that the Original Work infringes a patent. This termination provision shall not apply for an action alleging patent infringement by combinations of the Original Work with other software or hardware.\n\n   <<var;name=\"bullet\";original=\"11)\";match=\".{0,20}\">> Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of copyright or patent law in the appropriate jurisdiction. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"12)\";match=\".{0,20}\">> Attorneys' Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"13)\";match=\".{0,20}\">> Miscellaneous. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n   <<var;name=\"bullet\";original=\"14)\";match=\".{0,20}\">> Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"15)\";match=\".{0,20}\">> Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\n   <<var;name=\"bullet\";original=\"16)\";match=\".{0,20}\">> Modification of This License. This License is Copyright (c) 2005 Lawrence Rosen. Permission is granted to copy, distribute, or communicate this License without modification. Nothing in this License permits You to modify this License as applied to the Original Work or to Derivative Works. However, You may modify the text of this License and copy, distribute or communicate your modified version (the \"Modified License\") and apply it to other original works of authorship subject to the following conditions: (i) You may not indicate in any way that your Modified License is the \"Open Software License\" or \"OSL\" and you may not use those names in the name of your Modified License; (ii) You must replace the notice specified in the first paragraph above with the notice \"Licensed under <insert your license name here>\" or with a notice of your own that is not confusingly similar to the notice in this License; and (iii) You may not claim that your original works are open source software unless your Modified License has been approved by Open Source Initiative (OSI) and You comply with its license review and certification process."
		self.name = "Open Software License 3.0"
		self.licenseId = "OSL-3.0"
		self.standardLicenseHeader = "Licensed under the Open Software License version 3.0\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/OSL-3.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:06Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "https://web.archive.org/web/20120101081418/http://rosenlaw.com:80/OSL3.0.htm", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:13:06Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://web.archive.org/web/20120101081418/http://rosenlaw.com:80/OSL3.0.htm", "https://opensource.org/licenses/OSL-3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Open Software License v. 3.0 (OSL-3.0)</p>\n\n	  </div>\n\n	  <p>This Open Software License (the &quot;License&quot;) applies to any original work of authorship (the\n		 &quot;Original Work&quot;) whose owner (the &quot;Licensor&quot;) has placed the following licensing\n		 notice adjacent to the copyright notice for the Original Work:</p>\n\n	  <p>Licensed under the Open Software License version 3.0</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Grant of Copyright License. Licensor grants You a worldwide, royalty-free, non-exclusive,\n			 sublicensable license, for the duration of the copyright, to do the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			to reproduce the Original Work in copies, either alone or as part of a collective work;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			to translate, adapt, alter, transform, modify, or arrange the Original Work, thereby creating\n			   derivative works (&quot;Derivative Works&quot;) based upon the Original Work;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			to distribute or communicate copies of the Original Work and Derivative Works to the public,\n			   with the proviso that copies of Original Work or Derivative Works that You distribute or\n			   communicate shall be licensed under this Open Software License;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			to perform the Original Work publicly; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			to display the Original Work publicly.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Grant of Patent License. Licensor grants You a worldwide, royalty-free, non-exclusive,\n			 sublicensable license, under patent claims owned or controlled by the Licensor that are\n			 embodied in the Original Work as furnished by the Licensor, for the duration of the patents,\n			 to make, use, sell, offer for sale, have made, and import the Original Work and Derivative\n			 Works.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  Grant of Source Code License. The term &quot;Source Code&quot; means the preferred form of the\n			 Original Work for making modifications to it and all available documentation describing how to\n			 modify the Original Work. Licensor agrees to provide a machine-readable copy of the Source\n			 Code of the Original Work along with each copy of the Original Work that Licensor distributes.\n			 Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of\n			 the Source Code in an information repository reasonably calculated to permit inexpensive and\n			 convenient access by You for as long as Licensor continues to distribute the Original\n			 Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors\n			 to the Original Work, nor any of their trademarks or service marks, may be used to endorse or\n			 promote products derived from this Original Work without express prior permission of the\n			 Licensor. Except as expressly stated herein, nothing in this License grants any license to\n			 Licensor&apos;s trademarks, copyrights, patents, trade secrets or any other intellectual\n			 property. No patent license is granted to make, use, sell, offer for sale, have made, or\n			 import embodiments of any patent claims other than the licensed claims defined in Section 2.\n			 No license is granted to the trademarks of Licensor even if such marks are included in the\n			 Original Work. Nothing in this License shall be interpreted to prohibit Licensor from\n			 licensing under terms different from this License any Original Work that Licensor otherwise\n			 would have a right to license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  External Deployment. The term &quot;External Deployment&quot; means the use, distribution, or\n			 communication of the Original Work or Derivative Works in any way such that the Original Work\n			 or Derivative Works may be used by anyone other than You, whether those works are distributed\n			 or communicated to those persons or made available as an application intended for use over a\n			 network. As an express condition for the grants of license hereunder, You must treat any\n			 External Deployment by You of the Original Work or a Derivative Work as a distribution under\n			 section 1(c).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6)</var>\n		  Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create,\n			 all copyright, patent, or trademark notices from the Source Code of the Original Work, as well\n			 as any notices of licensing and any descriptive text identified therein as an\n			 &quot;Attribution Notice.&quot; You must cause the Source Code for any Derivative Works that\n			 You create to carry a prominent Attribution Notice reasonably calculated to inform recipients\n			 that You have modified the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7)</var>\n		  Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to\n			 the Original Work and the patent rights granted herein by Licensor are owned by the Licensor\n			 or are sublicensed to You under the terms of this License with the permission of the\n			 contributor(s) of those copyrights and patent rights. Except as expressly stated in the\n			 immediately preceding sentence, the Original Work is provided under this License on an\n			 &quot;AS IS&quot; BASIS and WITHOUT WARRANTY, either express or implied, including, without\n			 limitation, the warranties of non-infringement, merchantability or fitness for a particular\n			 purpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER\n			 OF WARRANTY constitutes an essential part of this License. No license to the Original Work is\n			 granted by this License except under this disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8)</var>\n		  Limitation of Liability. Under no circumstances and under no legal theory, whether in tort\n			 (including negligence), contract, or otherwise, shall the Licensor be liable to anyone for any\n			 indirect, special, incidental, or consequential damages of any character arising as a result\n			 of this License or the use of the Original Work including, without limitation, damages for\n			 loss of goodwill, work stoppage, computer failure or malfunction, or any and all other\n			 commercial damages or losses. This limitation of liability shall not apply to the extent\n			 applicable law prohibits such limitation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9)</var>\n		  Acceptance and Termination. If, at any time, You expressly assented to this License, that assent\n			 indicates your clear and irrevocable acceptance of this License and all of its terms and\n			 conditions. If You distribute or communicate copies of the Original Work or a Derivative Work,\n			 You must make a reasonable effort under the circumstances to obtain the express assent of\n			 recipients to the terms of this License. This License conditions your rights to undertake the\n			 activities listed in Section 1, including your right to create Derivative Works based upon the\n			 Original Work, and doing so without honoring these terms and conditions is prohibited by\n			 copyright law and international treaty. Nothing in this License is intended to affect\n			 copyright exceptions and limitations (including &quot;fair use&quot; or &quot;fair\n			 dealing&quot;). This License shall terminate immediately and You may no longer exercise any\n			 of the rights granted to You by this License upon your failure to honor the conditions in\n			 Section 1(c).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10)</var>\n		  Termination for Patent Action. This License shall terminate automatically and You may no longer\n			 exercise any of the rights granted to You by this License as of the date You commence an\n			 action, including a cross-claim or counterclaim, against Licensor or any licensee alleging\n			 that the Original Work infringes a patent. This termination provision shall not apply for an\n			 action alleging patent infringement by combinations of the Original Work with other software\n			 or hardware.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11)</var>\n		  Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought\n			 only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor\n			 conducts its primary business, and under the laws of that jurisdiction excluding its\n			 conflict-of-law provisions. The application of the United Nations Convention on Contracts for\n			 the International Sale of Goods is expressly excluded. Any use of the Original Work outside\n			 the scope of this License or after its termination shall be subject to the requirements and\n			 penalties of copyright or patent law in the appropriate jurisdiction. This section shall\n			 survive the termination of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12)</var>\n		  Attorneys&apos; Fees. In any action to enforce the terms of this License or seeking damages\n			 relating thereto, the prevailing party shall be entitled to recover its costs and expenses,\n			 including, without limitation, reasonable attorneys&apos; fees and costs incurred in\n			 connection with such action, including any appeal of such action. This section shall survive\n			 the termination of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13)</var>\n		  Miscellaneous. If any provision of this License is held to be unenforceable, such provision shall\n			 be reformed only to the extent necessary to make it enforceable.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14)</var>\n		  Definition of &quot;You&quot; in This License. &quot;You&quot; throughout this License, whether\n			 in upper or lower case, means an individual or a legal entity exercising rights under, and\n			 complying with all of the terms of, this License. For legal entities, &quot;You&quot; includes\n			 any entity that controls, is controlled by, or is under common control with you. For purposes\n			 of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the\n			 direction or management of such entity, whether by contract or otherwise, or (ii) ownership of\n			 fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such\n			 entity.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15)</var>\n		  Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned\n			 by this License or by law, and Licensor promises not to interfere with or be responsible for\n			 such uses by You.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 16)</var>\n		  Modification of This License. This License is Copyright (c) 2005 Lawrence Rosen. Permission is\n			 granted to copy, distribute, or communicate this License without modification. Nothing in this\n			 License permits You to modify this License as applied to the Original Work or to Derivative\n			 Works. However, You may modify the text of this License and copy, distribute or communicate\n			 your modified version (the &quot;Modified License&quot;) and apply it to other original works\n			 of authorship subject to the following conditions: (i) You may not indicate in any way that\n			 your Modified License is the &quot;Open Software License&quot; or &quot;OSL&quot; and you may\n			 not use those names in the name of your Modified License; (ii) You must replace the notice\n			 specified in the first paragraph above with the notice &quot;Licensed under &lt;insert your\n			 license name here&gt;&quot; or with a notice of your own that is not confusingly similar to\n			 the notice in this License; and (iii) You may not claim that your original works are open\n			 source software unless your Modified License has been approved by Open Source Initiative (OSI)\n			 and You comply with its license review and certification process.\n		</li>\n	  \n</ul>\n	"
		self.standardLicenseHeaderHtml = "\n	  <p>Licensed under the Open Software License version 3.0</p>\n\n	  "
		self.python_name = "OSL30"

	def __str__(self):
		return json.dumps(self.__dict__)


class CDL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Common Documentation License\n\nVersion 1.0 - February 16, 2001\n\nCopyright \u00a9 2001 Apple Computer, Inc.\n\nPermission is granted to copy and distribute verbatim copies of this License, but changing or adding to it in any way is not permitted.\n\nPlease read this License carefully before downloading or using this material. By downloading or using this material, you are agreeing to be bound by the terms of this License. If you do not or cannot agree to the terms of this License, please do not download or use this material.\n\n0. Preamble. The Common Documentation License (CDL) provides a very simple and consistent license that allows relatively unrestricted use and redistribution of documents while still maintaining the author's credit and intent. To preserve simplicity, the License does not specify in detail how (e.g. font size) or where (e.g. title page, etc.) the author should be credited. To preserve consistency, changes to the CDL are not allowed and all derivatives of CDL documents are required to remain under the CDL. Together, these constraints enable third parties to easily and safely reuse CDL documents, making the CDL ideal for authors who desire a wide distribution of their work. However, this means the CDL does not allow authors to restrict precisely how their work is used or represented, making it inappropriate for those desiring more finely-grained control.\n\n1. General; Definitions. This License applies to any documentation, manual or other work that contains a notice placed by the Copyright Holder stating that it is subject to the terms of this Common Documentation License version 1.0 (or subsequent version thereof) (\"License\"). As used in this License:\n\n1.1 \"Copyright Holder\" means the original author(s) of the Document or other owner(s) of the copyright in the Document.\n\n1.2 \"Document(s)\" means any documentation, manual or other work that has been identified as being subject to the terms of this License.\n\n1.3 \"Derivative Work\" means a work which is based upon a pre-existing Document, such as a revision, modification, translation, abridgment, condensation, expansion, or any other form in which such pre-existing Document may be recast, transformed, or adapted.\n\n1.4 \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License.\n\n2. Basic License. Subject to all the terms and conditions of this License, You may use, copy, modify, publicly display, distribute and publish the Document and your Derivative Works thereof, in any medium physical or electronic, commercially or non-commercially; provided that: (a) all copyright notices in the Document are preserved; (b) a copy of this License, or an incorporation of it by reference in proper form as indicated in Exhibit A below, is included in a conspicuous location in all copies such that it would be reasonably viewed by the recipient of the Document; and (c) You add no other terms or conditions to those of this License.\n\n3. Derivative Works. All Derivative Works are subject to the terms of this License. You may copy and distribute a Derivative Work of the Document under the conditions of Section 2 above, provided that You release the Derivative Work under the exact, verbatim terms of this License (i.e., the Derivative Work is licensed as a \"Document\" under the terms of this License). In addition, Derivative Works of Documents must meet the following requirements:\n\n	 (a) All copyright and license notices in the original Document must be preserved.\n\n	 (b) An appropriate copyright notice for your Derivative Work must be added adjacent to the other copyright notices.\n\n	 (c) A statement briefly summarizing how your Derivative Work is different from the original Document must be included in the same place as your copyright notice.\n\n	 (d) If it is not reasonably evident to a recipient of your Derivative Work that the Derivative Work is subject to the terms of this License, a statement indicating such fact must be included in the same place as your copyright notice.\n\n4. Compilation with Independent Works. You may compile or combine a Document or its Derivative Works with other separate and independent documents or works to create a compilation work (\"Compilation\"). If included in a Compilation, the Document or Derivative Work thereof must still be provided under the terms of this License, and the Compilation shall contain (a) a notice specifying the inclusion of the Document and/or Derivative Work and the fact that it is subject to the terms of this License, and (b) either a copy of the License or an incorporation by reference in proper form (as indicated in Exhibit A). Mere aggregation of a Document or Derivative Work with other documents or works on the same storage or distribution medium (e.g. a CD-ROM) will not cause this License to apply to those other works.\n\n5. NO WARRANTY. THE DOCUMENT IS PROVIDED 'AS IS' BASIS, WITHOUT WARRANTY OF ANY KIND, AND THE COPYRIGHT HOLDER EXPRESSLY DISCLAIMS ALL WARRANTIES AND/OR CONDITIONS WITH RESPECT TO THE DOCUMENT, EITHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY, OF QUIET ENJOYMENT, AND OF NONINFRINGEMENT OF THIRD PARTY RIGHTS.\n\n6. LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE, REPRODUCTION, MODIFICATION, DISTRIBUTION AND/OR PUBLICATION OF THE DOCUMENT, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN IF THE COPYRIGHT HOLDER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY.\n\n7. Trademarks. This License does not grant any rights to use any names, trademarks, service marks or logos of the Copyright Holder (collectively \"Marks\") and no such Marks may be used to endorse or promote works or products derived from the Document without the prior written permission of the Copyright Holder.\n\n8. Versions of the License. Apple Computer, Inc. (\"Apple\") may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Once a Document has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Document under the terms of any subsequent version of this License published by Apple. No one other than Apple has the right to modify the terms applicable to Documents created under this License.\n\n9. Termination. This License and the rights granted hereunder will terminate automatically if You fail to comply with any of its terms. Upon termination, You must immediately stop any further reproduction, modification, public display, distr ibution and publication of the Document and Derivative Works. However, all sublicenses to the Document and Derivative Works which have been properly granted prior to termination shall survive any termination of this License. Provisions which, by their nat ure, must remain in effect beyond the termination of this License shall survive, including but not limited to Sections 5, 6, 7, 9 and 10.\n\n10. Waiver; Severability; Governing Law. Failure by the Copyright Holder to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision. If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect. This License shall be governed by the laws of the United States and the State of California, except that body of California law concerning conflicts of law.\n\nEXHIBIT A\n\nThe proper form for an incorporation of this License by reference is as follows:\n\n\"Copyright (c) [year] by [Copyright Holder's name]. This material has been released under and is subject to the terms of the Common Documentation License, v.1.0, the terms of which are hereby incorporated by reference. Please obtain a copy of the License at http://www.opensource.apple.com/cdl/ and read it before using this material. Your use of this material signifies your agreement to the terms of the License.\"\n"
		self.standardLicenseTemplate = "<<beginOptional>>Common Documentation License\n\nVersion 1.0 - February 16, 2001\n\n<<endOptional>>\n\nCopyright \u00a9 2001 Apple Computer, Inc.\n\nPermission is granted to copy and distribute verbatim copies of this License, but changing or adding to it in any way is not permitted.\n\nPlease read this License carefully before downloading or using this material. By downloading or using this material, you are agreeing to be bound by the terms of this License. If you do not or cannot agree to the terms of this License, please do not download or use this material.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Preamble.\n\n   The Common Documentation License (CDL) provides a very simple and consistent license that allows relatively unrestricted use and redistribution of documents while still maintaining the author's credit and intent. To preserve simplicity, the License does not specify in detail how (e.g. font size) or where (e.g. title page, etc.) the author should be credited. To preserve consistency, changes to the CDL are not allowed and all derivatives of CDL documents are required to remain under the CDL. Together, these constraints enable third parties to easily and safely reuse CDL documents, making the CDL ideal for authors who desire a wide distribution of their work. However, this means the CDL does not allow authors to restrict precisely how their work is used or represented, making it inappropriate for those desiring more finely-grained control.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> General; Definitions.\n\n   This License applies to any documentation, manual or other work that contains a notice placed by the Copyright Holder stating that it is subject to the terms of this Common Documentation License version 1.0 (or subsequent version thereof) (\"License\"). As used in this License:\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Copyright Holder\" means the original author(s) of the Document or other owner(s) of the copyright in the Document.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Document(s)\" means any documentation, manual or other work that has been identified as being subject to the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Derivative Work\" means a work which is based upon a pre-existing Document, such as a revision, modification, translation, abridgment, condensation, expansion, or any other form in which such pre-existing Document may be recast, transformed, or adapted.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Basic License.\n\n   Subject to all the terms and conditions of this License, You may use, copy, modify, publicly display, distribute and publish the Document and your Derivative Works thereof, in any medium physical or electronic, commercially or non-commercially; provided that: (a) all copyright notices in the Document are preserved; (b) a copy of this License, or an incorporation of it by reference in proper form as indicated in Exhibit A below, is included in a conspicuous location in all copies such that it would be reasonably viewed by the recipient of the Document; and (c) You add no other terms or conditions to those of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Derivative Works.\n\n   All Derivative Works are subject to the terms of this License. You may copy and distribute a Derivative Work of the Document under the conditions of Section 2 above, provided that You release the Derivative Work under the exact, verbatim terms of this License (i.e., the Derivative Work is licensed as a \"Document\" under the terms of this License). In addition, Derivative Works of Documents must meet the following requirements:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> All copyright and license notices in the original Document must be preserved.\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> An appropriate copyright notice for your Derivative Work must be added adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> A statement briefly summarizing how your Derivative Work is different from the original Document must be included in the same place as your copyright notice.\n\n	  <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> If it is not reasonably evident to a recipient of your Derivative Work that the Derivative Work is subject to the terms of this License, a statement indicating such fact must be included in the same place as your copyright notice.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Compilation with Independent Works.\n\n   You may compile or combine a Document or its Derivative Works with other separate and independent documents or works to create a compilation work (\"Compilation\"). If included in a Compilation, the Document or Derivative Work thereof must still be provided under the terms of this License, and the Compilation shall contain (a) a notice specifying the inclusion of the Document and/or Derivative Work and the fact that it is subject to the terms of this License, and (b) either a copy of the License or an incorporation by reference in proper form (as indicated in Exhibit A). Mere aggregation of a Document or Derivative Work with other documents or works on the same storage or distribution medium (e.g. a CD-ROM) will not cause this License to apply to those other works.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> NO WARRANTY.\n\n   THE DOCUMENT IS PROVIDED 'AS IS' BASIS, WITHOUT WARRANTY OF ANY KIND, AND THE COPYRIGHT HOLDER EXPRESSLY DISCLAIMS ALL WARRANTIES AND/OR CONDITIONS WITH RESPECT TO THE DOCUMENT, EITHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY, OF QUIET ENJOYMENT, AND OF NONINFRINGEMENT OF THIRD PARTY RIGHTS.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE, REPRODUCTION, MODIFICATION, DISTRIBUTION AND/OR PUBLICATION OF THE DOCUMENT, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN IF THE COPYRIGHT HOLDER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Trademarks.\n\n   This License does not grant any rights to use any names, trademarks, service marks or logos of the Copyright Holder (collectively \"Marks\") and no such Marks may be used to endorse or promote works or products derived from the Document without the prior written permission of the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Versions of the License.\n\n   Apple Computer, Inc. (\"Apple\") may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Once a Document has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Document under the terms of any subsequent version of this License published by Apple. No one other than Apple has the right to modify the terms applicable to Documents created under this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Termination.\n\n   This License and the rights granted hereunder will terminate automatically if You fail to comply with any of its terms. Upon termination, You must immediately stop any further reproduction, modification, public display, distr ibution and publication of the Document and Derivative Works. However, all sublicenses to the Document and Derivative Works which have been properly granted prior to termination shall survive any termination of this License. Provisions which, by their nat ure, must remain in effect beyond the termination of this License shall survive, including but not limited to Sections 5, 6, 7, 9 and 10.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Waiver; Severability; Governing Law.\n\n   Failure by the Copyright Holder to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision. If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect. This License shall be governed by the laws of the United States and the State of California, except that body of California law concerning conflicts of law.\n\n   <<beginOptional>>EXHIBIT A\n\nThe proper form for an incorporation of this License by reference is as follows:\n\n\"Copyright (c) [year] by [Copyright Holder's name]. This material has been released under and is subject to the terms of the Common Documentation License, v.1.0, the terms of which are hereby incorporated by reference. Please obtain a copy of the License at http://www.opensource.apple.com/cdl/ and read it before using this material. Your use of this material signifies your agreement to the terms of the License.\"\n\n<<endOptional>>"
		self.name = "Common Documentation License 1.0"
		self.licenseId = "CDL-1.0"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Common_Documentation_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:05Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://www.opensource.apple.com/cdl/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:05Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://www.gnu.org/licenses/license-list.html#ACDL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:05Z", "isWayBackLink": False, "order": 2}]
		self.seeAlso = ["http://www.opensource.apple.com/cdl/", "https://fedoraproject.org/wiki/Licensing/Common_Documentation_License", "https://www.gnu.org/licenses/license-list.html#ACDL"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p>Common Documentation License</p>\n\n		<p>Version 1.0 - February 16, 2001</p>\n\n	  </div>\n	  <p>Copyright \u00a9 2001 Apple Computer, Inc.</p>\n\n	  <p>Permission is granted to copy and distribute verbatim copies of this License, but changing or adding to it in any way is not permitted.</p>\n\n	  <p>Please read this License carefully before downloading or using this material. By downloading or using this material, you are agreeing to be bound by the terms of this License. If you do not or cannot agree to the terms of this License, please do not download or use this material.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>Preamble. \n		<p>The Common Documentation License (CDL) provides a very simple and consistent license that allows relatively unrestricted use and redistribution of documents while still maintaining the author&apos;s credit and intent. To preserve simplicity, the License does not specify in detail how (e.g. font size) or where (e.g. title page, etc.) the author should be credited. To preserve consistency, changes to the CDL are not allowed and all derivatives of CDL documents are required to remain under the CDL. Together, these constraints enable third parties to easily and safely reuse CDL documents, making the CDL ideal for authors who desire a wide distribution of their work. However, this means the CDL does not allow authors to restrict precisely how their work is used or represented, making it inappropriate for those desiring more finely-grained control.</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>General; Definitions. \n		<p>This License applies to any documentation, manual or other work that contains a notice placed by the Copyright Holder stating that it is subject to the terms of this Common Documentation License version 1.0 (or subsequent version thereof) (&quot;License&quot;). As used in this License: \n		\n<ul style=\"list-style:none\">\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> 1.1</var>&quot;Copyright Holder&quot; means the original author(s) of the Document or other owner(s) of the copyright in the Document.</li>\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> 1.2</var>&quot;Document(s)&quot; means any documentation, manual or other work that has been identified as being subject to the terms of this License.</li>\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> 1.3</var>&quot;Derivative Work&quot; means a work which is based upon a pre-existing Document, such as a revision, modification, translation, abridgment, condensation, expansion, or any other form in which such pre-existing Document may be recast, transformed, or adapted.</li>\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> 1.4</var>&quot;You&quot; or &quot;Your&quot; means an individual or a legal entity exercising rights under this License.</li>\n		\n</ul></p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>Basic License. \n		<p>Subject to all the terms and conditions of this License, You may use, copy, modify, publicly display, distribute and publish the Document and your Derivative Works thereof, in any medium physical or electronic, commercially or non-commercially; provided that: (a) all copyright notices in the Document are preserved; (b) a copy of this License, or an incorporation of it by reference in proper form as indicated in Exhibit A below, is included in a conspicuous location in all copies such that it would be reasonably viewed by the recipient of the Document; and (c) You add no other terms or conditions to those of this License.</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>Derivative Works. \n		<p>All Derivative Works are subject to the terms of this License. You may copy and distribute a Derivative Work of the Document under the conditions of Section 2 above, provided that You release the Derivative Work under the exact, verbatim terms of this License (i.e., the Derivative Work is licensed as a &quot;Document&quot; under the terms of this License). In addition, Derivative Works of Documents must meet the following requirements: \n		\n<ul style=\"list-style:none\">\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> (a)</var>All copyright and license notices in the original Document must be preserved.</li>\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> (b)</var>An appropriate copyright notice for your Derivative Work must be added adjacent to the other copyright notices.</li>\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> (c)</var>A statement briefly summarizing how your Derivative Work is different from the original Document must be included in the same place as your copyright notice.</li>\n		  \n<li>\n		  <var class=\"replaceable-license-text\"> (d)</var>If it is not reasonably evident to a recipient of your Derivative Work that the Derivative Work is subject to the terms of this License, a statement indicating such fact must be included in the same place as your copyright notice.</li>\n		\n</ul></p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>Compilation with Independent Works. \n		<p>You may compile or combine a Document or its Derivative Works with other separate and independent documents or works to create a compilation work (&quot;Compilation&quot;). If included in a Compilation, the Document or Derivative Work thereof must still be provided under the terms of this License, and the Compilation shall contain (a) a notice specifying the inclusion of the Document and/or Derivative Work and the fact that it is subject to the terms of this License, and (b) either a copy of the License or an incorporation by reference in proper form (as indicated in Exhibit A). Mere aggregation of a Document or Derivative Work with other documents or works on the same storage or distribution medium (e.g. a CD-ROM) will not cause this License to apply to those other works.</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>NO WARRANTY. \n		<p>THE DOCUMENT IS PROVIDED &apos;AS IS&apos; BASIS, WITHOUT WARRANTY OF ANY KIND, AND THE COPYRIGHT HOLDER EXPRESSLY DISCLAIMS ALL WARRANTIES AND/OR CONDITIONS WITH RESPECT TO THE DOCUMENT, EITHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY, OF QUIET ENJOYMENT, AND OF NONINFRINGEMENT OF THIRD PARTY RIGHTS.</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>LIMITATION OF LIABILITY. \n		<p>UNDER NO CIRCUMSTANCES SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE, REPRODUCTION, MODIFICATION, DISTRIBUTION AND/OR PUBLICATION OF THE DOCUMENT, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN IF THE COPYRIGHT HOLDER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY.</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>Trademarks. \n		<p>This License does not grant any rights to use any names, trademarks, service marks or logos of the Copyright Holder (collectively &quot;Marks&quot;) and no such Marks may be used to endorse or promote works or products derived from the Document without the prior written permission of the Copyright Holder.</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>Versions of the License. \n		<p>Apple Computer, Inc. (&quot;Apple&quot;) may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Once a Document has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Document under the terms of any subsequent version of this License published by Apple. No one other than Apple has the right to modify the terms applicable to Documents created under this License.</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>Termination. \n		<p>This License and the rights granted hereunder will terminate automatically if You fail to comply with any of its terms. Upon termination, You must immediately stop any further reproduction, modification, public display, distr ibution and publication of the Document and Derivative Works. However, all sublicenses to the Document and Derivative Works which have been properly granted prior to termination shall survive any termination of this License. Provisions which, by their nat ure, must remain in effect beyond the termination of this License shall survive, including but not limited to Sections 5, 6, 7, 9 and 10.</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>Waiver; Severability; Governing Law. \n		<p>Failure by the Copyright Holder to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision. If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect. This License shall be governed by the laws of the United States and the State of California, except that body of California law concerning conflicts of law.</p>\n</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>EXHIBIT A</p>\n\n		<p>The proper form for an incorporation of this License by reference is as follows:</p>\n\n		<p>&quot;Copyright (c) [year] by [Copyright Holder&apos;s name]. This material has been released under and is subject to the terms of the Common Documentation License, v.1.0, the terms of which are hereby incorporated by reference. Please obtain a copy of the License at http://www.opensource.apple.com/cdl/ and read it before using this material. Your use of this material signifies your agreement to the terms of the License.&quot;</p>\n\n	  </div>\n	"
		self.python_name = "CDL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class ZPL11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Zope Public License (ZPL) Version 1.1\n\nCopyright (c) Zope Corporation. All rights reserved.\n\nThis license has been certified as open source.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 1.  Redistributions in source code must retain the above copyright notice, this list of conditions, and the following disclaimer.\n\n	 2.  Redistributions in binary form must reproduce the above copyright notice, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 3.  All advertising materials and documentation mentioning features derived from or use of this software must display the following acknowledgement:\n\n	 \"This product includes software developed by Zope Corporation for use in the Z Object Publishing Environment (http://www.zope.com/).\"\n\n	 In the event that the product being advertised includes an intact Zope distribution (with copyright and license included) then this clause is waived.\n\n	 4.  Names associated with Zope or Zope Corporation must not be used to endorse or promote products derived from this software without prior written permission from Zope Corporation.\n\n	 5.  Modified redistributions of any form whatsoever must retain the following acknowledgment:\n\n	 \"This product includes software developed by Zope Corporation for use in the Z Object Publishing Environment (http://www.zope.com/).\"\n\n	 Intact (re-)distributions of any official Zope release do not require an external acknowledgement.\n\n	 6.  Modifications are encouraged but must be packaged separately as patches to official Zope releases. Distributions that do not clearly separate the patches from the original work must be clearly labeled as unofficial distributions. Modifications which do not carry the name Zope may be packaged in any form, as long as they conform to all of the clauses above.\n\nDisclaimer\n\nTHIS SOFTWARE IS PROVIDED BY ZOPE CORPORATION ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ZOPE CORPORATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis software consists of contributions made by Zope Corporation and many individuals on behalf of Zope Corporation. Specific attributions are listed in the accompanying credits file.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Zope Public License (ZPL) Version 1.1\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) Zope Corporation. All rights reserved.  \";match=\".{0,5000}\">><<beginOptional>> This license has been certified as open source.\n\n<<endOptional>>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions in source code must retain the above copyright notice, this list of conditions, and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> All advertising materials and documentation mentioning features derived from or use of this software must display the following acknowledgement:\n\n   \"This product includes software developed by Zope Corporation for use in the Z Object Publishing Environment (http://www.zope.com/).\"\n\n   In the event that the product being advertised includes an intact Zope distribution (with copyright and license included) then this clause is waived.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Names associated with Zope or Zope Corporation must not be used to endorse or promote products derived from this software without prior written permission from Zope Corporation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Modified redistributions of any form whatsoever must retain the following acknowledgment:\n\n   \"This product includes software developed by Zope Corporation for use in the Z Object Publishing Environment (http://www.zope.com/).\"\n\n   Intact (re-)distributions of any official Zope release do not require an external acknowledgement.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Modifications are encouraged but must be packaged separately as patches to official Zope releases. Distributions that do not clearly separate the patches from the original work must be clearly labeled as unofficial distributions. Modifications which do not carry the name Zope may be packaged in any form, as long as they conform to all of the clauses above.\n\nDisclaimer\n\nTHIS SOFTWARE IS PROVIDED BY ZOPE CORPORATION ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ZOPE CORPORATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n<<beginOptional>>This software consists of contributions made by Zope Corporation and many individuals on behalf of Zope Corporation. Specific attributions are listed in the accompanying credits file.\n\n<<endOptional>>"
		self.name = "Zope Public License 1.1"
		self.licenseId = "ZPL-1.1"
		self.crossRef = [{"match": "False", "url": "http://old.zope.org/Resources/License/ZPL-1.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:56Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://old.zope.org/Resources/License/ZPL-1.1"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Zope Public License (ZPL) Version 1.1</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) Zope Corporation. All rights reserved.</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>This license has been certified as open source.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions in source code must retain the above copyright notice, this list of conditions,\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of\n			 conditions, and the following disclaimer in the documentation and/or other materials provided\n			 with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  All advertising materials and documentation mentioning features derived from or use of this\n			 software must display the following acknowledgement:\n		  <p>&quot;This product includes software developed by Zope Corporation for use in the Z Object Publishing\n			 Environment (http://www.zope.com/).&quot;</p>\n\n			<p>In the event that the product being advertised includes an intact Zope distribution (with\n			 copyright and license included) then this clause is waived.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Names associated with Zope or Zope Corporation must not be used to endorse or promote products\n			 derived from this software without prior written permission from Zope Corporation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Modified redistributions of any form whatsoever must retain the following acknowledgment:\n		  <p>&quot;This product includes software developed by Zope Corporation for use in the Z Object Publishing\n			 Environment (http://www.zope.com/).&quot;</p>\n\n			<p>Intact (re-)distributions of any official Zope release do not require an external acknowledgement.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Modifications are encouraged but must be packaged separately as patches to official Zope\n			 releases. Distributions that do not clearly separate the patches from the original work must\n			 be clearly labeled as unofficial distributions. Modifications which do not carry the name Zope\n			 may be packaged in any form, as long as they conform to all of the clauses above.\n		</li>\n	  \n</ul>\n	  <p>Disclaimer</p>\n\n	  <p>THIS SOFTWARE IS PROVIDED BY ZOPE CORPORATION ``AS IS&apos;&apos; AND ANY EXPRESSED OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ZOPE CORPORATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY\n		 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED\n		 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>This software consists of contributions made by Zope Corporation and many individuals on behalf of Zope\n		 Corporation. Specific attributions are listed in the accompanying credits file.</p>\n\n	  </div>\n	"
		self.python_name = "ZPL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class libtiff:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1988-1997 Sam Leffler\nCopyright (c) 1991-1997 Silicon Graphics, Inc.\n\nPermission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that (i) the above copyright notices and this permission notice appear in all copies of the software and related documentation, and (ii) the names of Sam Leffler and Silicon Graphics may not be used in any advertising or publicity relating to the software without the specific, prior written permission of Sam Leffler and Silicon Graphics.\n\nTHE SOFTWARE IS PROVIDED \"AS-IS\" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n\nIN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1988-1997 Sam Leffler	Copyright (c) 1991-1997 Silicon Graphics, Inc.  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that (i) the above copyright notices and this permission notice appear in all copies of the software and related documentation, and (ii) the names of Sam Leffler and Silicon Graphics may not be used in any advertising or publicity relating to the software without the specific, prior written permission of Sam Leffler and Silicon Graphics.\n\nTHE SOFTWARE IS PROVIDED \"AS-IS\" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n\nIN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n"
		self.name = "libtiff License"
		self.licenseId = "libtiff"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/libtiff", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:04Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/libtiff"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1988-1997 Sam Leffler</p>\n\n		 <p>Copyright (c) 1991-1997 Silicon Graphics, Inc.</p>\n\n	  </div>\n\n	  <p>Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose\n		 is hereby granted without fee, provided that (i) the above copyright notices and this permission\n		 notice appear in all copies of the software and related documentation, and (ii) the names of Sam\n		 Leffler and Silicon Graphics may not be used in any advertising or publicity relating to the software\n		 without the specific, prior written permission of Sam Leffler and Silicon Graphics.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS-IS&quot; AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,\n		 INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.</p>\n\n	  <p>IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR\n		 CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR\n		 PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING\n		 OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.</p>\n\n	"
		self.python_name = "libtiff"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL11:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "GNU Free Documentation License\nVersion 1.1, March 2000\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other written document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\".\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (For example, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, whose contents can be viewed and edited directly and straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup has been designed to thwart or discourage subsequent modification by readers is not Transparent. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML designed for human modification. Opaque formats include PostScript, PDF, proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies of the Document numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a publicly-accessible computer-network location containing a complete Transparent copy of the Document, free of added material, which the general network-using public has access to download anonymously at no charge using public-standard network protocols. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has less than five).\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n	 H. Include an unaltered copy of this License.\n	 I. Preserve the section entitled \"History\", and its title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the section's title, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section as \"Endorsements\" or to conflict in title with any Invariant Section.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections entitled \"History\" in the various original documents, forming one section entitled \"History\"; likewise combine any sections entitled \"Acknowledgements\", and any sections entitled \"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, does not as a whole count as a Modified Version of the Document, provided no compilation copyright is claimed for the compilation. Such a compilation is called an \"aggregate\", and this License does not apply to the other self-contained works thus compiled with the Document, on account of their being thus compiled, if they are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one quarter of the entire aggregate, the Document's Cover Texts may be placed on covers that surround only the Document within the aggregate. Otherwise they must appear on covers around the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License provided that you also include the original English version of this License. In case of a disagreement between the translation and the original English version of this License, the original English version will prevail.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead of saying which ones are invariant. If you have no Front-Cover Texts, write \"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise for Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.1, March 2000\n\n<<endOptional>>\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other written document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\".\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (For example, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, whose contents can be viewed and edited directly and straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup has been designed to thwart or discourage subsequent modification by readers is not Transparent. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML designed for human modification. Opaque formats include PostScript, PDF, proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies of the Document numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a publicly-accessible computer-network location containing a complete Transparent copy of the Document, free of added material, which the general network-using public has access to download anonymously at no charge using public-standard network protocols. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has less than five).\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section entitled \"History\", and its title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the section's title, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section as \"Endorsements\" or to conflict in title with any Invariant Section.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections entitled \"History\" in the various original documents, forming one section entitled \"History\"; likewise combine any sections entitled \"Acknowledgements\", and any sections entitled \"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, does not as a whole count as a Modified Version of the Document, provided no compilation copyright is claimed for the compilation. Such a compilation is called an \"aggregate\", and this License does not apply to the other self-contained works thus compiled with the Document, on account of their being thus compiled, if they are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one quarter of the entire aggregate, the Document's Cover Texts may be placed on covers that surround only the Document within the aggregate. Otherwise they must appear on covers around the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License provided that you also include the original English version of this License. In case of a disagreement between the translation and the original English version of this License, the original English version will prevail.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead of saying which ones are invariant. If you have no Front-Cover Texts, write \"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise for Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.1"
		self.licenseId = "GFDL-1.1"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/fdl-1.1.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:32Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/fdl-1.1.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.1, March 2000\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2000 Free Software Foundation, Inc. 51\n	  Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook,\n		  or other written document &quot;free&quot; in the sense of freedom: to\n		  assure everyone the effective freedom to copy and redistribute\n		  it, with or without modifying it, either commercially or\n		  noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work that\n		  contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. The\n		  &quot;Document&quot;, below, refers to any such manual or work. Any\n		  member of the public is a licensee, and is addressed as &quot;you&quot;.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter section\n		  of the Document that deals exclusively with the relationship\n		  of the publishers or authors of the Document to the Document&apos;s\n		  overall subject (or to related matters) and contains nothing\n		  that could fall directly within that overall subject. (For\n		  example, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections, in the\n		  notice that says that the Document is released under this License.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are\n		  listed, as Front-Cover Texts or Back-Cover Texts, in the notice\n		  that says that the Document is released under this License.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable copy,\n		  represented in a format whose specification is available to the\n		  general public, whose contents can be viewed and edited directly\n		  and straightforwardly with generic text editors or (for images\n		  composed of pixels) generic paint programs or (for drawings) some\n		  widely available drawing editor, and that is suitable for input\n		  to text formatters or for automatic translation to a variety of\n		  formats suitable for input to text formatters. A copy made in an\n		  otherwise Transparent file format whose markup has been designed\n		  to thwart or discourage subsequent modification by readers is not\n		  Transparent. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include\n		  plain ASCII without markup, Texinfo input format, LaTeX\n		  input format, SGML or XML using a publicly available DTD, and\n		  standard-conforming simple HTML designed for human modification.\n		  Opaque formats include PostScript, PDF, proprietary formats\n		  that can be read and edited only by proprietary word processors,\n		  SGML or XML for which the DTD and/or processing tools are\n		  not generally available, and the machine-generated HTML\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies of the Document numbering more than\n		  100, and the Document&apos;s license notice requires Cover Texts, you\n		  must enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a publicly-accessible computer-network location\n		  containing a complete Transparent copy of the Document, free\n		  of added material, which the general network-using public has\n		  access to download anonymously at no charge using public-standard\n		  network protocols. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or entities\n			responsible for authorship of the modifications in the Modified\n			Version, together with at least five of the principal authors of the\n			Document (all of its principal authors, if it has less than five).\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant Sections\n			and required Cover Texts given in the Document&apos;s license notice.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> H.</var>\n			Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section entitled &quot;History&quot;, and its title, and add\n			to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			In any section entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			preserve the section&apos;s title, and preserve in the section\n			all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section as &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released\n		  under this License, under the terms defined in section 4\n		  above for modified versions, provided that you include in\n		  the combination all of the Invariant Sections of all of\n		  the original documents, unmodified, and list them all as\n		  Invariant Sections of your combined work in its license notice.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  entitled &quot;History&quot;; likewise combine any sections entitled\n		  &quot;Acknowledgements&quot;, and any sections entitled &quot;Dedications&quot;.\n		  You must delete all sections entitled &quot;Endorsements.&quot;\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other separate\n		  and independent documents or works, in or on a volume of a storage\n		  or distribution medium, does not as a whole count as a Modified\n		  Version of the Document, provided no compilation copyright is claimed\n		  for the compilation. Such a compilation is called an &quot;aggregate&quot;,\n		  and this License does not apply to the other self-contained works\n		  thus compiled with the Document, on account of their being thus\n		  compiled, if they are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to these\n		  copies of the Document, then if the Document is less than one quarter\n		  of the entire aggregate, the Document&apos;s Cover Texts may be placed\n		  on covers that surround only the Document within the aggregate.\n		  Otherwise they must appear on covers around the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of\n		  section 4. Replacing Invariant Sections with translations requires\n		  special permission from their copyright holders, but you may\n		  include translations of some or all Invariant Sections in addition\n		  to the original versions of these Invariant Sections. You may\n		  include a translation of this License provided that you also\n		  include the original English version of this License. In case of\n		  a disagreement between the translation and the original English\n		  version of this License, the original English version will prevail.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided for under this License. Any other\n		  attempt to copy, modify, sublicense or distribute the Document\n		  is void, and will automatically terminate your rights under\n		  this License. However, parties who have received copies, or\n		  rights, from you under this License will not have their licenses\n		  terminated so long as such parties remain in full compliance.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option\n		  of following the terms and conditions either of that specified\n		  version or of any later version that has been published (not as a\n		  draft) by the Free Software Foundation. If the Document does not\n		  specify a version number of this License, you may choose any version\n		  ever published (not as a draft) by the Free Software Foundation.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the\n		GNU Free Documentation License, Version 1.1 or any later version\n		published by the Free Software Foundation; with the Invariant Sections\n		being LIST THEIR TITLES, with the Front-Cover Texts being LIST,\n		and with the Back-Cover Texts being LIST. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have no Invariant Sections, write &quot;with no Invariant\n		Sections&quot; instead of saying which ones are invariant. If you have\n		no Front-Cover Texts, write &quot;no Front-Cover Texts&quot; instead of\n		&quot;Front-Cover Texts being LIST&quot;; likewise for Back-Cover Texts.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>\n	  . Permission is granted to copy, distribute and/or modify this\n	  document under the terms of the GNU Free Documentation License,\n	  Version 1.1 or any later version published by the Free Software\n	  Foundation; with the Invariant Sections being LIST THEIR\n	  TITLES, with the Front-Cover Texts being LIST, and with the\n	  Back-Cover Texts being LIST. A copy of the license is included\n	  in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.deprecatedVersion = "3.0"
		self.python_name = "GFDL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class DOC:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright and Licensing Information for ACE(TM), TAO(TM), CIAO(TM), DAnCE(TM), and CoSMIC(TM)\n\nACE(TM), TAO(TM), CIAO(TM), DAnCE>(TM), and CoSMIC(TM) (henceforth referred to as \"DOC software\") are copyrighted by Douglas C. Schmidt and his research group at Washington University, University of California, Irvine, and Vanderbilt University, Copyright (c) 1993-2009, all rights reserved. Since DOC software is open-source, freely available software, you are free to use, modify, copy, and distribute--perpetually and irrevocably--the DOC software source code and object code produced from the source, as well as copy and distribute modified versions of this software. You must, however, include this copyright statement along with any code built using DOC software that you release. No copyright statement needs to be provided if you just ship binary executables of your software products.\n\nYou can use DOC software in commercial and/or binary software releases and are under no obligation to redistribute any of your source code that is built using DOC software. Note, however, that you may not misappropriate the DOC software code, such as copyrighting it yourself or claiming authorship of the DOC software code, in a way that will prevent DOC software from being distributed freely using an open-source development model. You needn't inform anyone that you're using DOC software in your software, though we encourage you to let us know so we can promote your project in the DOC software success stories.\n\nThe ACE, TAO, CIAO, DAnCE, and CoSMIC web sites are maintained by the DOC Group at the Institute for Software Integrated Systems (ISIS) and the Center for Distributed Object Computing of Washington University, St. Louis for the development of open-source software as part of the open-source software community. Submissions are provided by the submitter ``as is'' with no warranties whatsoever, including any warranty of merchantability, noninfringement of third party intellectual property, or fitness for any particular purpose. In no event shall the submitter be liable for any direct, indirect, special, exemplary, punitive, or consequential damages, including without limitation, lost profits, even if advised of the possibility of such damages. Likewise, DOC software is provided as is with no warranties of any kind, including the warranties of design, merchantability, and fitness for a particular purpose, noninfringement, or arising from a course of dealing, usage or trade practice. Washington University, UC Irvine, Vanderbilt University, their employees, and students shall have no liability with respect to the infringement of copyrights, trade secrets or any patents by DOC software or any part thereof. Moreover, in no event will Washington University, UC Irvine, or Vanderbilt University, their employees, or students be liable for any lost revenue or profits or other special, indirect and consequential damages.\n\nDOC software is provided with no support and without any obligation on the part of Washington University, UC Irvine, Vanderbilt University, their employees, or students to assist in its use, correction, modification, or enhancement. A number of companies around the world provide commercial support for DOC software, however. DOC software is Y2K-compliant, as long as the underlying OS platform is Y2K-compliant. Likewise, DOC software is compliant with the new US daylight savings rule passed by Congress as \"The Energy Policy Act of 2005,\" which established new daylight savings times (DST) rules for the United States that expand DST as of March 2007. Since DOC software obtains time/date and calendaring information from operating systems users will not be affected by the new DST rules as long as they upgrade their operating systems accordingly.\n\nThe names ACE(TM), TAO(TM), CIAO(TM), DAnCE(TM), CoSMIC(TM), Washington University, UC Irvine, and Vanderbilt University, may not be used to endorse or promote products or services derived from this source without express written permission from Washington University, UC Irvine, or Vanderbilt University. This license grants no permission to call products or services derived from this source ACE(TM), TAO(TM), CIAO(TM), DAnCE(TM), or CoSMIC(TM), nor does it grant permission for the name Washington University, UC Irvine, or Vanderbilt University to appear in their names.\n\nIf you have any suggestions, additions, comments, or questions, please let me know.\n\nDouglas C. Schmidt\n"
		self.standardLicenseTemplate = "<<beginOptional>>Copyright and Licensing Information for ACE(TM), TAO(TM), CIAO(TM), DAnCE(TM), and CoSMIC(TM)\n\n<<endOptional>>\n\nACE(TM), TAO(TM), CIAO(TM), DAnCE>(TM), and CoSMIC(TM) (henceforth referred to as \"DOC software\") are copyrighted by Douglas C. Schmidt and his research group at Washington University, University of California, Irvine, and Vanderbilt University, <<var;name=\"copyright\";original=\"Copyright (c) 1993-2009, all rights reserved.\";match=\".{0,5000}\">> Since DOC software is open-source, freely available software, you are free to use, modify, copy, and distribute--perpetually and irrevocably--the DOC software source code and object code produced from the source, as well as copy and distribute modified versions of this software. You must, however, include this copyright statement along with any code built using DOC software that you release. No copyright statement needs to be provided if you just ship binary executables of your software products.\n\nYou can use DOC software in commercial and/or binary software releases and are under no obligation to redistribute any of your source code that is built using DOC software. Note, however, that you may not misappropriate the DOC software code, such as copyrighting it yourself or claiming authorship of the DOC software code, in a way that will prevent DOC software from being distributed freely using an open-source development model. You needn't inform anyone that you're using DOC software in your software, though we encourage you to let us know so we can promote your project in the DOC software success stories.\n\nThe ACE, TAO, CIAO, DAnCE, and CoSMIC web sites are maintained by the DOC Group at the Institute for Software Integrated Systems (ISIS) and the Center for Distributed Object Computing of Washington University, St. Louis for the development of open-source software as part of the open-source software community. Submissions are provided by the submitter ``as is'' with no warranties whatsoever, including any warranty of merchantability, noninfringement of third party intellectual property, or fitness for any particular purpose. In no event shall the submitter be liable for any direct, indirect, special, exemplary, punitive, or consequential damages, including without limitation, lost profits, even if advised of the possibility of such damages. Likewise, DOC software is provided as is with no warranties of any kind, including the warranties of design, merchantability, and fitness for a particular purpose, noninfringement, or arising from a course of dealing, usage or trade practice. Washington University, UC Irvine, Vanderbilt University, their employees, and students shall have no liability with respect to the infringement of copyrights, trade secrets or any patents by DOC software or any part thereof. Moreover, in no event will Washington University, UC Irvine, or Vanderbilt University, their employees, or students be liable for any lost revenue or profits or other special, indirect and consequential damages.\n\nDOC software is provided with no support and without any obligation on the part of Washington University, UC Irvine, Vanderbilt University, their employees, or students to assist in its use, correction, modification, or enhancement. A number of companies around the world provide commercial support for DOC software, however. DOC software is Y2K-compliant, as long as the underlying OS platform is Y2K-compliant. Likewise, DOC software is compliant with the new US daylight savings rule passed by Congress as \"The Energy Policy Act of 2005,\" which established new daylight savings times (DST) rules for the United States that expand DST as of March 2007. Since DOC software obtains time/date and calendaring information from operating systems users will not be affected by the new DST rules as long as they upgrade their operating systems accordingly.\n\nThe names ACE(TM), TAO(TM), CIAO(TM), DAnCE(TM), CoSMIC(TM), Washington University, UC Irvine, and Vanderbilt University, may not be used to endorse or promote products or services derived from this source without express written permission from Washington University, UC Irvine, or Vanderbilt University. This license grants no permission to call products or services derived from this source ACE(TM), TAO(TM), CIAO(TM), DAnCE(TM), or CoSMIC(TM), nor does it grant permission for the name Washington University, UC Irvine, or Vanderbilt University to appear in their names.\n\nIf you have any suggestions, additions, comments, or questions, please let me know.\n\nDouglas C. Schmidt\n\n"
		self.name = "DOC License"
		self.licenseId = "DOC"
		self.crossRef = [{"match": "False", "url": "http://www.cs.wustl.edu/~schmidt/ACE-copying.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:25Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://www.dre.vanderbilt.edu/~schmidt/ACE-copying.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:26Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["http://www.cs.wustl.edu/~schmidt/ACE-copying.html", "https://www.dre.vanderbilt.edu/~schmidt/ACE-copying.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Copyright and Licensing Information for ACE(TM), TAO(TM), CIAO(TM), DAnCE(TM), and CoSMIC(TM)</p>\n\n	  </div>\n\n	  <p>ACE(TM), TAO(TM), CIAO(TM), DAnCE&gt;(TM), and CoSMIC(TM) (henceforth referred to as &quot;DOC software&quot;) are\n		 copyrighted by Douglas C. Schmidt and his research group at Washington University, University of\n		 California, Irvine, and Vanderbilt University, <var class=\"replaceable-license-text\"> Copyright (c) 1993-2009, all rights reserved.</var> Since DOC\n		 software is open-source, freely available software, you are free to use, modify, copy, and\n		 distribute--perpetually and irrevocably--the DOC software source code and object code produced from\n		 the source, as well as copy and distribute modified versions of this software. You must, however,\n		 include this copyright statement along with any code built using DOC software that you release. No\n		 copyright statement needs to be provided if you just ship binary executables of your software\n		 products.</p>\n\n	  <p>You can use DOC software in commercial and/or binary software releases and are under no obligation to\n		 redistribute any of your source code that is built using DOC software. Note, however, that you may not\n		 misappropriate the DOC software code, such as copyrighting it yourself or claiming authorship of the\n		 DOC software code, in a way that will prevent DOC software from being distributed freely using an\n		 open-source development model. You needn&apos;t inform anyone that you&apos;re using DOC software in your\n		 software, though we encourage you to let us know so we can promote your project in the DOC software\n		 success stories.</p>\n\n	  <p>The ACE, TAO, CIAO, DAnCE, and CoSMIC web sites are maintained by the DOC Group at the Institute for\n		 Software Integrated Systems (ISIS) and the Center for Distributed Object Computing of Washington\n		 University, St. Louis for the development of open-source software as part of the open-source software\n		 community. Submissions are provided by the submitter ``as is&apos;&apos; with no warranties whatsoever,\n		 including any warranty of merchantability, noninfringement of third party intellectual property, or\n		 fitness for any particular purpose. In no event shall the submitter be liable for any direct,\n		 indirect, special, exemplary, punitive, or consequential damages, including without limitation, lost\n		 profits, even if advised of the possibility of such damages. Likewise, DOC software is provided as is\n		 with no warranties of any kind, including the warranties of design, merchantability, and fitness for a\n		 particular purpose, noninfringement, or arising from a course of dealing, usage or trade practice.\n		 Washington University, UC Irvine, Vanderbilt University, their employees, and students shall have no\n		 liability with respect to the infringement of copyrights, trade secrets or any patents by DOC software\n		 or any part thereof. Moreover, in no event will Washington University, UC Irvine, or Vanderbilt\n		 University, their employees, or students be liable for any lost revenue or profits or other special,\n		 indirect and consequential damages.</p>\n\n	  <p>DOC software is provided with no support and without any obligation on the part of Washington University,\n		 UC Irvine, Vanderbilt University, their employees, or students to assist in its use, correction,\n		 modification, or enhancement. A number of companies around the world provide commercial support for\n		 DOC software, however. DOC software is Y2K-compliant, as long as the underlying OS platform is\n		 Y2K-compliant. Likewise, DOC software is compliant with the new US daylight savings rule passed by\n		 Congress as &quot;The Energy Policy Act of 2005,&quot; which established new daylight savings times (DST) rules\n		 for the United States that expand DST as of March 2007. Since DOC software obtains time/date and\n		 calendaring information from operating systems users will not be affected by the new DST rules as long\n		 as they upgrade their operating systems accordingly.</p>\n\n	  <p>The names ACE(TM), TAO(TM), CIAO(TM), DAnCE(TM), CoSMIC(TM), Washington University, UC Irvine, and\n		 Vanderbilt University, may not be used to endorse or promote products or services derived from this\n		 source without express written permission from Washington University, UC Irvine, or Vanderbilt\n		 University. This license grants no permission to call products or services derived from this source\n		 ACE(TM), TAO(TM), CIAO(TM), DAnCE(TM), or CoSMIC(TM), nor does it grant permission for the name\n		 Washington University, UC Irvine, or Vanderbilt University to appear in their names.</p>\n\n	  <p>If you have any suggestions, additions, comments, or questions, please let me know.</p>\n\n	  <p>Douglas C. Schmidt</p>\n\n	"
		self.python_name = "DOC"

	def __str__(self):
		return json.dumps(self.__dict__)


class AGPL10only:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "AFFERO GENERAL PUBLIC LICENSE\nVersion 1, March 2002 Copyright \u00a9 2002 Affero Inc. 510 Third Street - Suite 225, San Francisco, CA 94107, USA\n\nThis license is a modified version of the GNU General Public License copyright (C) 1989, 1991 Free Software Foundation, Inc. made with their permission. Section 2(d) has been added to cover use of software over a computer network.\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the Affero General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This Public License applies to most of Affero's software and to any other program whose authors commit to using it. (Some other Affero software is covered by the GNU Library General Public License instead.) You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. This General Public License is designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this Affero General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n\nActivities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is True depends on what the Program does.\n\n1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\nYou may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	 a) You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n	 b) You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n	 c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n	 d) If the Program as you received it is intended to interact with users through a computer network and if, in the version you received, any user interacting with the Program was given the opportunity to request transmission to that user of the Program's complete source code, you must not remove that facility from your modified version of the Program or work based on the Program, and must offer an equivalent opportunity for all users interacting with your Program through a computer network to request immediate transmission by HTTP of the complete source code of your modified version or other derivative work.\n\nThese requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\nThus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n\nIn addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n3. You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n	 a) Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n	 b) Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n	 c) Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n\nThe source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\nIf distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n4. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n5. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n\n6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n7. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n\nIf any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\nThis section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n8. If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n9. Affero Inc. may publish revised and/or new versions of the Affero General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by Affero, Inc. If the Program does not specify a version number of this License, you may choose any version ever published by Affero, Inc.\n\nYou may also choose to redistribute modified versions of this program under any version of the Free Software Foundation's GNU General Public License version 3 or higher, so long as that version of the GNU GPL includes terms and conditions substantially equivalent to those of this license.\n\n10. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by Affero, Inc., write to us; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n"
		self.standardLicenseTemplate = "<<beginOptional>>AFFERO GENERAL PUBLIC LICENSE\n\nVersion 1, March 2002\n\n<<endOptional>>\n\nCopyright \u00a9 2002 Affero Inc.\n\n510 Third Street - Suite 225, San Francisco, CA 94107, USA\n\nThis license is a modified version of the GNU General Public License copyright (C) 1989, 1991 Free Software Foundation, Inc. made with their permission. Section 2(d) has been added to cover use of software over a computer network.\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the Affero General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This Public License applies to most of Affero's software and to any other program whose authors commit to using it. (Some other Affero software is covered by the GNU Library General Public License instead.) You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. This General Public License is designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this Affero General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is True depends on what the Program does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the Program as you received it is intended to interact with users through a computer network and if, in the version you received, any user interacting with the Program was given the opportunity to request transmission to that user of the Program's complete source code, you must not remove that facility from your modified version of the Program or work based on the Program, and must offer an equivalent opportunity for all users interacting with your Program through a computer network to request immediate transmission by HTTP of the complete source code of your modified version or other derivative work.\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n\n   In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n\n   The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   If distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Affero Inc. may publish revised and/or new versions of the Affero General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by Affero, Inc. If the Program does not specify a version number of this License, you may choose any version ever published by Affero, Inc.\n\n   You may also choose to redistribute modified versions of this program under any version of the Free Software Foundation's GNU General Public License version 3 or higher, so long as that version of the GNU GPL includes terms and conditions substantially equivalent to those of this license.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by Affero, Inc., write to us; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES."
		self.name = "Affero General Public License v1.0 only"
		self.licenseId = "AGPL-1.0-only"
		self.crossRef = [{"match": "N/A", "url": "http://www.affero.org/oagpl.html", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:15:09Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.affero.org/oagpl.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>AFFERO GENERAL PUBLIC LICENSE\n		  <br />\n\nVersion 1, March 2002 </p>\n\n	  </div>\n	  <p>Copyright \u00a9 2002 Affero Inc.\n	  <br />\n\n 510 Third Street - Suite 225, San Francisco, CA 94107, USA</p>\n\n	  <p>This license is a modified version of the GNU General Public License copyright (C) 1989, 1991 Free\n		 Software Foundation, Inc. made with their permission. Section 2(d) has been added to cover use of\n		 software over a computer network.</p>\n\n	  <p>Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is\n		 not allowed.</p>\n\n	  <p>Preamble</p>\n\n	  <p>The licenses for most software are designed to take away your freedom to share and change it. By\n		 contrast, the Affero General Public License is intended to guarantee your freedom to share and change\n		 free software--to make sure the software is free for all its users. This Public License applies to\n		 most of Affero&apos;s software and to any other program whose authors commit to using it. (Some other\n		 Affero software is covered by the GNU Library General Public License instead.) You can apply it to\n		 your programs, too.</p>\n\n	  <p>When we speak of free software, we are referring to freedom, not price. This General Public License is\n		 designed to make sure that you have the freedom to distribute copies of free software (and charge for\n		 this service if you wish), that you receive source code or can get it if you want it, that you can\n		 change the software or use pieces of it in new free programs; and that you know you can do these\n		 things.</p>\n\n	  <p>To protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to\n		 ask you to surrender the rights. These restrictions translate to certain responsibilities for you if\n		 you distribute copies of the software, or if you modify it.</p>\n\n	  <p>For example, if you distribute copies of such a program, whether gratis or for a fee, you must give the\n		 recipients all the rights that you have. You must make sure that they, too, receive or can get the\n		 source code. And you must show them these terms so they know their rights.</p>\n\n	  <p>We protect your rights with two steps: (1) copyright the software, and (2) offer you this license which\n		 gives you legal permission to copy, distribute and/or modify the software.</p>\n\n	  <p>Also, for each author&apos;s protection and ours, we want to make certain that everyone understands that there\n		 is no warranty for this free software. If the software is modified by someone else and passed on, we\n		 want its recipients to know that what they have is not the original, so that any problems introduced\n		 by others will not reflect on the original authors&apos; reputations.</p>\n\n	  <p>Finally, any free program is threatened constantly by software patents. We wish to avoid the danger that\n		 redistributors of a free program will individually obtain patent licenses, in effect making the\n		 program proprietary. To prevent this, we have made it clear that any patent must be licensed for\n		 everyone&apos;s free use or not licensed at all.</p>\n\n	  <p>The precise terms and conditions for copying, distribution and modification follow.</p>\n\n	  <p>TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  This License applies to any program or other work which contains a notice placed by the copyright\n			 holder saying it may be distributed under the terms of this Affero General Public License. The\n			 &quot;Program&quot;, below, refers to any such program or work, and a &quot;work based on the Program&quot; means\n			 either the Program or any derivative work under copyright law: that is to say, a work\n			 containing the Program or a portion of it, either verbatim or with modifications and/or\n			 translated into another language. (Hereinafter, translation is included without limitation in\n			 the term &quot;modification&quot;.) Each licensee is addressed as &quot;you&quot;.\n		  <p>Activities other than copying, distribution and modification are not covered by this License;\n			 they are outside its scope. The act of running the Program is not restricted, and the output\n			 from the Program is covered only if its contents constitute a work based on the Program\n			 (independent of having been made by running the Program). Whether that is True depends on what\n			 the Program does.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may copy and distribute verbatim copies of the Program&apos;s source code as you receive it, in\n			 any medium, provided that you conspicuously and appropriately publish on each copy an\n			 appropriate copyright notice and disclaimer of warranty; keep intact all the notices that\n			 refer to this License and to the absence of any warranty; and give any other recipients of the\n			 Program a copy of this License along with the Program.\n		  <p>You may charge a fee for the physical act of transferring a copy, and you may at your option\n			 offer warranty protection in exchange for a fee.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may modify your copy or copies of the Program or any portion of it, thus forming a work based\n			 on the Program, and copy and distribute such modifications or work under the terms of Section\n			 1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			You must cause the modified files to carry prominent notices stating that you changed the\n			   files and the date of any change.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			You must cause any work that you distribute or publish, that in whole or in part contains or\n			   is derived from the Program or any part thereof, to be licensed as a whole at no charge to\n			   all third parties under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			If the modified program normally reads commands interactively when run, you must cause it,\n			   when started running for such interactive use in the most ordinary way, to print or\n			   display an announcement including an appropriate copyright notice and a notice that there\n			   is no warranty (or else, saying that you provide a warranty) and that users may\n			   redistribute the program under these conditions, and telling the user how to view a copy\n			   of this License. (Exception: if the Program itself is interactive but does not normally\n			   print such an announcement, your work based on the Program is not required to print an\n			   announcement.)\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			If the Program as you received it is intended to interact with users through a computer\n			   network and if, in the version you received, any user interacting with the Program was\n			   given the opportunity to request transmission to that user of the Program&apos;s complete\n			   source code, you must not remove that facility from your modified version of the Program\n			   or work based on the Program, and must offer an equivalent opportunity for all users\n			   interacting with your Program through a computer network to request immediate transmission\n			   by HTTP of the complete source code of your modified version or other derivative work.\n		  </li>\n			\n</ul>\n			<p>These requirements apply to the modified work as a whole. If identifiable sections of that\n			   work are not derived from the Program, and can be reasonably considered independent and\n			   separate works in themselves, then this License, and its terms, do not apply to those\n			   sections when you distribute them as separate works. But when you distribute the same\n			   sections as part of a whole which is a work based on the Program, the distribution of the\n			   whole must be on the terms of this License, whose permissions for other licensees extend\n			   to the entire whole, and thus to each and every part regardless of who wrote it.</p>\n\n			<p>Thus, it is not the intent of this section to claim rights or contest your rights to work\n			   written entirely by you; rather, the intent is to exercise the right to control the\n			   distribution of derivative or collective works based on the Program.</p>\n\n			<p>In addition, mere aggregation of another work not based on the Program with the Program (or\n			   with a work based on the Program) on a volume of a storage or distribution medium does not\n			   bring the other work under the scope of this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may copy and distribute the Program (or a work based on it, under Section 2) in object code\n			 or executable form under the terms of Sections 1 and 2 above provided that you also do one of\n			 the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			Accompany it with the complete corresponding machine-readable source code, which must be\n			   distributed under the terms of Sections 1 and 2 above on a medium customarily used for\n			   software interchange; or,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			Accompany it with a written offer, valid for at least three years, to give any third party,\n			   for a charge no more than your cost of physically performing source distribution, a\n			   complete machine-readable copy of the corresponding source code, to be distributed under\n			   the terms of Sections 1 and 2 above on a medium customarily used for software interchange;\n			   or,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			Accompany it with the information you received as to the offer to distribute corresponding\n			   source code. (This alternative is allowed only for noncommercial distribution and only if\n			   you received the program in object code or executable form with such an offer, in accord\n			   with Subsection b above.)\n		  </li>\n			\n</ul>\n			<p>The source code for a work means the preferred form of the work for making modifications to\n			   it. For an executable work, complete source code means all the source code for all modules\n			   it contains, plus any associated interface definition files, plus the scripts used to\n			   control compilation and installation of the executable. However, as a special exception,\n			   the source code distributed need not include anything that is normally distributed (in\n			   either source or binary form) with the major components (compiler, kernel, and so on) of\n			   the operating system on which the executable runs, unless that component itself\n			   accompanies the executable.</p>\n\n			<p>If distribution of executable or object code is made by offering access to copy from a\n			   designated place, then offering equivalent access to copy the source code from the same\n			   place counts as distribution of the source code, even though third parties are not\n			   compelled to copy the source along with the object code.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may not copy, modify, sublicense, or distribute the Program except as expressly provided\n			 under this License. Any attempt otherwise to copy, modify, sublicense or distribute the\n			 Program is void, and will automatically terminate your rights under this License. However,\n			 parties who have received copies, or rights, from you under this License will not have their\n			 licenses terminated so long as such parties remain in full compliance.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You are not required to accept this License, since you have not signed it. However, nothing else\n			 grants you permission to modify or distribute the Program or its derivative works. These\n			 actions are prohibited by law if you do not accept this License. Therefore, by modifying or\n			 distributing the Program (or any work based on the Program), you indicate your acceptance of\n			 this License to do so, and all its terms and conditions for copying, distributing or modifying\n			 the Program or works based on it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Each time you redistribute the Program (or any work based on the Program), the recipient\n			 automatically receives a license from the original licensor to copy, distribute or modify the\n			 Program subject to these terms and conditions. You may not impose any further restrictions on\n			 the recipients&apos; exercise of the rights granted herein. You are not responsible for enforcing\n			 compliance by third parties to this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  If, as a consequence of a court judgment or allegation of patent infringement or for any other\n			 reason (not limited to patent issues), conditions are imposed on you (whether by court order,\n			 agreement or otherwise) that contradict the conditions of this License, they do not excuse you\n			 from the conditions of this License. If you cannot distribute so as to satisfy simultaneously\n			 your obligations under this License and any other pertinent obligations, then as a consequence\n			 you may not distribute the Program at all. For example, if a patent license would not permit\n			 royalty-free redistribution of the Program by all those who receive copies directly or\n			 indirectly through you, then the only way you could satisfy both it and this License would be\n			 to refrain entirely from distribution of the Program.\n		  <p>If any portion of this section is held invalid or unenforceable under any particular\n			 circumstance, the balance of the section is intended to apply and the section as a whole is\n			 intended to apply in other circumstances.</p>\n\n			<p>It is not the purpose of this section to induce you to infringe any patents or other property\n			 right claims or to contest validity of any such claims; this section has the sole purpose of\n			 protecting the integrity of the free software distribution system, which is implemented by\n			 public license practices. Many people have made generous contributions to the wide range of\n			 software distributed through that system in reliance on consistent application of that system;\n			 it is up to the author/donor to decide if he or she is willing to distribute software through\n			 any other system and a licensee cannot impose that choice.</p>\n\n			<p>This section is intended to make thoroughly clear what is believed to be a consequence of the\n			 rest of this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  If the distribution and/or use of the Program is restricted in certain countries either by\n			 patents or by copyrighted interfaces, the original copyright holder who places the Program\n			 under this License may add an explicit geographical distribution limitation excluding those\n			 countries, so that distribution is permitted only in or among countries not thus excluded. In\n			 such case, this License incorporates the limitation as if written in the body of this\n			 License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Affero Inc. may publish revised and/or new versions of the Affero General Public License from\n			 time to time. Such new versions will be similar in spirit to the present version, but may\n			 differ in detail to address new problems or concerns.\n		  <p>Each version is given a distinguishing version number. If the Program specifies a version number\n			 of this License which applies to it and &quot;any later version&quot;, you have the option of following\n			 the terms and conditions either of that version or of any later version published by Affero,\n			 Inc. If the Program does not specify a version number of this License, you may choose any\n			 version ever published by Affero, Inc.</p>\n\n			<p>You may also choose to redistribute modified versions of this program under any version of the\n			 Free Software Foundation&apos;s GNU General Public License version 3 or higher, so long as that\n			 version of the GNU GPL includes terms and conditions substantially equivalent to those of this\n			 license.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  If you wish to incorporate parts of the Program into other free programs whose distribution\n			 conditions are different, write to the author to ask for permission. For software which is\n			 copyrighted by Affero, Inc., write to us; we sometimes make exceptions for this. Our decision\n			 will be guided by the two goals of preserving the free status of all derivatives of our free\n			 software and of promoting the sharing and reuse of software generally.\n		  <p>NO WARRANTY</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE\n			 EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT\n			 HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND, EITHER\n			 EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY\n			 AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE\n			 PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY\n			 SERVICING, REPAIR OR CORRECTION.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER,\n			 OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE\n			 LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n			 ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF\n			 DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A\n			 FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY\n			 HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "AGPL10only"

	def __str__(self):
		return json.dumps(self.__dict__)


class libutilDavidNugent:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1995 David Nugent <davidn@blaze.net.au>\nAll rights reserved.\n\n\nRedistribution and use in source and binary forms, with or without modification, is permitted provided that the following conditions are met:\n\n1.\tRedistributions of source code must retain the above copyright notice immediately at the beginning of the file, without modification, this list of conditions, and the following disclaimer.\n\n2.\tRedistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3.\tThis work was done expressly for inclusion into FreeBSD. Other use is permitted provided this notation is included.\n\n4.\tAbsolutely no warranty of function or purpose is made by the author David Nugent.\n\n5.\tModifications may be freely made to this file providing the above conditions are met.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1995 David Nugent <davidn@blaze.net.au>  All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, is permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice immediately at the beginning of the file, without modification, this list of conditions, and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> This work was done expressly for inclusion into FreeBSD. Other use is permitted provided this notation is included.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Absolutely no warranty of function or purpose is made by the <<var;name=\"author\";original=\"author David Nugent\";match=\"authors|author Peter				Wemm|author David Nugent\">> .\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Modifications may be freely made to this file providing the above conditions are met."
		self.name = "libutil David Nugent License"
		self.licenseComments = "This is a legacy BSD-like license, but includes a specific requirement in the first clause requiring retention of the copyright notice \"immediately at the beginning of the file\"."
		self.licenseId = "libutil-David-Nugent"
		self.crossRef = [{"match": "False", "url": "https://cgit.freedesktop.org/libbsd/tree/man/setproctitle.3bsd", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:23Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://web.mit.edu/freebsd/head/lib/libutil/login_ok.3", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:24Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://web.mit.edu/freebsd/head/lib/libutil/login_ok.3", "https://cgit.freedesktop.org/libbsd/tree/man/setproctitle.3bsd"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n			<p>\n			   Copyright (c) 1995 David Nugent &lt;davidn@blaze.net.au&gt;\n			   <br />\n\nAll rights reserved.\n			</p>\n\n		 </div>\n		 <p>\n			Redistribution and use in source and binary\n			forms, with or without modification, is permitted\n			provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   Redistributions of source code must retain the\n			   above copyright notice immediately at the beginning\n			   of the file, without modification, this list\n			   of conditions, and the following disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Redistributions in binary form must reproduce the\n			   above copyright notice, this list of conditions and\n			   the following disclaimer in the documentation and/or\n			   other materials provided with the distribution.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   This work was done expressly for inclusion into FreeBSD.\n			   Other use is permitted provided this notation is included.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   Absolutely no warranty of function or purpose is made\n			   by the<var class=\"replaceable-license-text\"> author David Nugent</var>\n			   .\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   Modifications may be freely made to this\n			   file providing the above conditions are met.\n			</li>\n		 \n</ul>\n	  "
		self.python_name = "libutilDavidNugent"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYND40:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "Creative Commons Attribution-NoDerivatives 4.0 International\n\n Creative Commons Corporation (\u201cCreative Commons\u201d) is not a law firm and does not provide legal services or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or other relationship. Creative Commons makes its licenses and related information available on an \u201cas-is\u201d basis. Creative Commons gives no warranties regarding its licenses, any material licensed under their terms and conditions, or any related information. Creative Commons disclaims all liability for damages resulting from their use to the fullest extent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions that creators and other rights holders may use to share original works of authorship and other material subject to copyright and certain other rights specified in the public license below. The following considerations are for informational purposes only, are not exhaustive, and do not form part of our licenses.\n\nConsiderations for licensors: Our public licenses are intended for use by those authorized to give the public permission to use material in ways otherwise restricted by copyright and certain other rights. Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the license they choose before applying it. Licensors should also secure all rights necessary before applying our licenses so that the public can reuse the material as expected. Licensors should clearly mark any material not subject to the license. This includes other CC-licensed material, or material used under an exception or limitation to copyright. More considerations for licensors.\n\nConsiderations for the public: By using one of our public licenses, a licensor grants the public permission to use the licensed material under specified terms and conditions. If the licensor\u2019s permission is not necessary for any reason\u2013for example, because of any applicable exception or limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only permissions under copyright and certain other rights that a licensor has authority to grant. Use of the licensed material may still be restricted for other reasons, including because others have copyright or other rights in the material. A licensor may make special requests, such as asking that all changes be marked or described. Although not required by our licenses, you are encouraged to respect those requests where reasonable. More considerations for the public.\n\nCreative Commons Attribution-NoDerivatives 4.0 International Public License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and conditions of this Creative Commons Attribution-NoDerivatives 4.0 International Public License (\"Public License\"). To the extent this Public License may be interpreted as a contract, You are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the Licensor grants You such rights in consideration of benefits the Licensor receives from making the Licensed Material available under these terms and conditions.\n\nSection 1 \u2013 Definitions.\n\n	 a.\tAdapted Material means material subject to Copyright and Similar Rights that is derived from or based upon the Licensed Material and in which the Licensed Material is translated, altered, arranged, transformed, or otherwise modified in a manner requiring permission under the Copyright and Similar Rights held by the Licensor. For purposes of this Public License, where the Licensed Material is a musical work, performance, or sound recording, Adapted Material is always produced where the Licensed Material is synched in timed relation with a moving image.\n\n	 b.\tCopyright and Similar Rights means copyright and/or similar rights closely related to copyright including, without limitation, performance, broadcast, sound recording, and Sui Generis Database Rights, without regard to how the rights are labeled or categorized. For purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\n	 c.\tEffective Technological Measures means those measures that, in the absence of proper authority, may not be circumvented under laws fulfilling obligations under Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international agreements.\n\n	 d.\tExceptions and Limitations means fair use, fair dealing, and/or any other exception or limitation to Copyright and Similar Rights that applies to Your use of the Licensed Material.\n\n	 e.\tLicensed Material means the artistic or literary work, database, or other material to which the Licensor applied this Public License.\n\n	 f.\tLicensed Rights means the rights granted to You subject to the terms and conditions of this Public License, which are limited to all Copyright and Similar Rights that apply to Your use of the Licensed Material and that the Licensor has authority to license.\n\n	 g.\tLicensor means the individual(s) or entity(ies) granting rights under this Public License.\n\n	 h.\tShare means to provide material to the public by any means or process that requires permission under the Licensed Rights, such as reproduction, public display, public performance, distribution, dissemination, communication, or importation, and to make material available to the public including in ways that members of the public may access the material from a place and at a time individually chosen by them.\n\n	 i.\tSui Generis Database Rights means rights other than copyright resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other essentially equivalent rights anywhere in the world.\n\n	 j.\tYou means the individual or entity exercising the Licensed Rights under this Public License. Your has a corresponding meaning.\n\nSection 2 \u2013 Scope.\n\n	 a.\tLicense grant.\n\n		  1. Subject to the terms and conditions of this Public License, the Licensor hereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license to exercise the Licensed Rights in the Licensed Material to:\n\n			   A. reproduce and Share the Licensed Material, in whole or in part; and\n\n			   B. produce and reproduce, but not Share, Adapted Material.\n\n		  2. Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations apply to Your use, this Public License does not apply, and You do not need to comply with its terms and conditions.\n\n		  3. Term. The term of this Public License is specified in Section 6(a).\n\n		  4. Media and formats; technical modifications allowed. The Licensor authorizes You to exercise the Licensed Rights in all media and formats whether now known or hereafter created, and to make technical modifications necessary to do so. The Licensor waives and/or agrees not to assert any right or authority to forbid You from making technical modifications necessary to exercise the Licensed Rights, including technical modifications necessary to circumvent Effective Technological Measures. For purposes of this Public License, simply making modifications authorized by this Section 2(a)(4) never produces Adapted Material.\n\n		  5. Downstream recipients.\n\n			   A. Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material automatically receives an offer from the Licensor to exercise the Licensed Rights under the terms and conditions of this Public License.\n\n			   B. No downstream restrictions. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, the Licensed Material if doing so restricts exercise of the Licensed Rights by any recipient of the Licensed Material.\n\n		  6. No endorsement. Nothing in this Public License constitutes or may be consTrued as permission to assert or imply that You are, or that Your use of the Licensed Material is, connected with, or sponsored, endorsed, or granted official status by, the Licensor or others designated to receive attribution as provided in Section 3(a)(1)(A)(i).\n\n	 b.\tOther rights.\n\n		  1. Moral rights, such as the right of integrity, are not licensed under this Public License, nor are publicity, privacy, and/or other similar personality rights; however, to the extent possible, the Licensor waives and/or agrees not to assert any such rights held by the Licensor to the limited extent necessary to allow You to exercise the Licensed Rights, but not otherwise.\n\n		  2. Patent and trademark rights are not licensed under this Public License.\n\n		  3. To the extent possible, the Licensor waives any right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary or waivable statutory or compulsory licensing scheme. In all other cases the Licensor expressly reserves any right to collect such royalties.\n\nSection 3 \u2013 License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following conditions.\n\n	 a.\tAttribution.\n\n		  1. If You Share the Licensed Material, You must:\n\n			   A. retain the following if it is supplied by the Licensor with the Licensed Material:\n\n					i. identification of the creator(s) of the Licensed Material and any others designated to receive attribution, in any reasonable manner requested by the Licensor (including by pseudonym if designated);\n\n					ii.\ta copyright notice;\n\n					iii. a notice that refers to this Public License;\n\n					iv.\ta notice that refers to the disclaimer of warranties;\n\n					v.\ta URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\n			   B. indicate if You modified the Licensed Material and retain an indication of any previous modifications; and\n\n			   C. indicate the Licensed Material is licensed under this Public License, and include the text of, or the URI or hyperlink to, this Public License.\n\n		  2. For the avoidance of doubt, You do not have permission under this Public License to Share Adapted Material.\n\n		  3. You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the medium, means, and context in which You Share the Licensed Material. For example, it may be reasonable to satisfy the conditions by providing a URI or hyperlink to a resource that includes the required information.\n\n		  4. If requested by the Licensor, You must remove any of the information required by Section 3(a)(1)(A) to the extent reasonably practicable.\n\nSection 4 \u2013 Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to Your use of the Licensed Material:\n\n	 a.\tfor the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse, reproduce, and Share all or a substantial portion of the contents of the database, provided You do not Share Adapted Material;\n\n	 b.\tif You include all or a substantial portion of the database contents in a database in which You have Sui Generis Database Rights, then the database in which You have Sui Generis Database Rights (but not its individual contents) is Adapted Material; and\n\n	 c.\tYou must comply with the conditions in Section 3(a) if You Share all or a substantial portion of the contents of the database.\nFor the avoidance of doubt, this Section 4 supplements and does not replace Your obligations under this Public License where the Licensed Rights include other Copyright and Similar Rights.\n\nSection 5 \u2013 Disclaimer of Warranties and Limitation of Liability.\n\n	 a.\tUnless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor offers the Licensed Material as-is and as-available, and makes no representations or warranties of any kind concerning the Licensed Material, whether express, implied, statutory, or other. This includes, without limitation, warranties of title, merchantability, fitness for a particular purpose, non-infringement, absence of latent or other defects, accuracy, or the presence or absence of errors, whether or not known or discoverable. Where disclaimers of warranties are not allowed in full or in part, this disclaimer may not apply to You.\n\n	 b.\tTo the extent possible, in no event will the Licensor be liable to You on any legal theory (including, without limitation, negligence) or otherwise for any direct, special, indirect, incidental, consequential, punitive, exemplary, or other losses, costs, expenses, or damages arising out of this Public License or use of the Licensed Material, even if the Licensor has been advised of the possibility of such losses, costs, expenses, or damages. Where a limitation of liability is not allowed in full or in part, this limitation may not apply to You.\n\n	 c.\tThe disclaimer of warranties and limitation of liability provided above shall be interpreted in a manner that, to the extent possible, most closely approximates an absolute disclaimer and waiver of all liability.\n\nSection 6 \u2013 Term and Termination.\n\n	 a.\tThis Public License applies for the term of the Copyright and Similar Rights licensed here. However, if You fail to comply with this Public License, then Your rights under this Public License terminate automatically.\n\n	 b.\tWhere Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n\n		  1. automatically as of the date the violation is cured, provided it is cured within 30 days of Your discovery of the violation; or\n\n		  2. upon express reinstatement by the Licensor.\n\n	 c.\tFor the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have to seek remedies for Your violations of this Public License.\n\n	 d.\tFor the avoidance of doubt, the Licensor may also offer the Licensed Material under separate terms or conditions or stop distributing the Licensed Material at any time; however, doing so will not terminate this Public License.\n\n	 e.\tSections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\nSection 7 \u2013 Other Terms and Conditions.\n\n	 a.\tThe Licensor shall not be bound by any additional or different terms or conditions communicated by You unless expressly agreed.\n\n	 b.\tAny arrangements, understandings, or agreements regarding the Licensed Material not stated herein are separate from and independent of the terms and conditions of this Public License.\n\nSection 8 \u2013 Interpretation.\n\n	 a.\tFor the avoidance of doubt, this Public License does not, and shall not be interpreted to, reduce, limit, restrict, or impose conditions on any use of the Licensed Material that could lawfully be made without permission under this Public License.\n\n	 b.\tTo the extent possible, if any provision of this Public License is deemed unenforceable, it shall be automatically reformed to the minimum extent necessary to make it enforceable. If the provision cannot be reformed, it shall be severed from this Public License without affecting the enforceability of the remaining terms and conditions.\n\n	 c.\tNo term or condition of this Public License will be waived and no failure to comply consented to unless expressly agreed to by the Licensor.\n\n	 d.\tNothing in this Public License constitutes or may be interpreted as a limitation upon, or waiver of, any privileges and immunities that apply to the Licensor or You, including from the legal processes of any jurisdiction or authority.\n\nCreative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to apply one of its public licenses to material it publishes and in those instances will be considered the \u201cLicensor.\u201d Except for the limited purpose of indicating that material is shared under a Creative Commons public license or as otherwise permitted by the Creative Commons policies published at creativecommons.org/policies, Creative Commons does not authorize the use of the trademark \u201cCreative Commons\u201d or any other trademark or logo of Creative Commons without its prior written consent including, without limitation, in connection with any unauthorized modifications to any of its public licenses or any other arrangements, understandings, or agreements concerning use of licensed material. For the avoidance of doubt, this paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<beginOptional>>Creative Commons<<endOptional>> Attribution-NoDerivatives 4.0 International\n\n<<endOptional>><<beginOptional>> Creative Commons Corporation (\"Creative Commons\") is not a law firm and does not provide legal services or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or other relationship. Creative Commons makes its licenses and related information available on an \"as-is\" basis. Creative Commons gives no warranties regarding its licenses, any material licensed under their terms and conditions, or any related information. Creative Commons disclaims all liability for damages resulting from their use to the fullest extent possible.\n\n<<endOptional>>\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions that creators and other rights holders may use to share original works of authorship and other material subject to copyright and certain other rights specified in the public license below. The following considerations are for informational purposes only, are not exhaustive, and do not form part of our licenses.\n\nConsiderations for licensors: Our public licenses are intended for use by those authorized to give the public permission to use material in ways otherwise restricted by copyright and certain other rights. Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the license they choose before applying it. Licensors should also secure all rights necessary before applying our licenses so that the public can reuse the material as expected. Licensors should clearly mark any material not subject to the license. This includes other <<var;name=\"ccLicensed\";original=\"\";match=\"CC-[ \\t\\r\\n\\f]{0,10}licensed\">> material, or material used under an exception or limitation to copyright. More considerations for licensors <<var;name=\"considerationsLicensors\";original=\": wiki.creativecommons.org/Considerations_for_licensors\";match=\":[ \\t\\r\\n\\f]{1,10}wiki\\.creativecommons\\.org/Considerations_for_licensors|\\.\">>\n\nConsiderations for the public: By using one of our public licenses, a licensor grants the public permission to use the licensed material under specified terms and conditions. If the licensor's permission is not necessary for any reason\u2013for example, because of any applicable exception or limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only permissions under copyright and certain other rights that a licensor has authority to grant. Use of the licensed material may still be restricted for other reasons, including because others have copyright or other rights in the material. A licensor may make special requests, such as asking that all changes be marked or described. Although not required by our licenses, you are encouraged to respect those requests where reasonable. <<var;name=\"spaceUnderscore\";original=\"More considerations\";match=\"More considerations|More_considerations\">> for the public <<var;name=\"considerationsLicensees\";original=\": wiki.creativecommons.org/Considerations_for_licensees\";match=\":[ \\t\\r\\n\\f]{1,10}wiki\\.creativecommons\\.org/Considerations_for_licensees|\\.\">>\n\nCreative Commons Attribution-NoDerivatives 4.0 International Public License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and conditions of this Creative Commons Attribution-NoDerivatives 4.0 International Public License (\"Public License\"). To the extent this Public License may be interpreted as a contract, You are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the Licensor grants You such rights in consideration of benefits the Licensor receives from making the Licensed Material available under these terms and conditions.\n\nSection 1 <<var;name=\"section1TitleHyphens\";original=\"\";match=\"-{1,2}\">> Definitions.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Adapted Material means material subject to Copyright and Similar Rights that is derived from or based upon the Licensed Material and in which the Licensed Material is translated, altered, arranged, transformed, or otherwise modified in a manner requiring permission under the Copyright and Similar Rights held by the Licensor. For purposes of this Public License, where the Licensed Material is a musical work, performance, or sound recording, Adapted Material is always produced where the Licensed Material is synched in timed relation with a moving image.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Copyright and Similar Rights means copyright and/or similar rights closely related to copyright including, without limitation, performance, broadcast, sound recording, and Sui Generis Database Rights, without regard to how the rights are labeled or categorized. For purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Effective Technological Measures means those measures that, in the absence of proper authority, may not be circumvented under laws fulfilling obligations under Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international agreements.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Exceptions and Limitations means fair use, fair dealing, and/or any other exception or limitation to Copyright and Similar Rights that applies to Your use of the Licensed Material.\n\n   <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Licensed Material means the artistic or literary work, database, or other material to which the Licensor applied this Public License.\n\n   <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Licensed Rights means the rights granted to You subject to the terms and conditions of this Public License, which are limited to all Copyright and Similar Rights that apply to Your use of the Licensed Material and that the Licensor has authority to license.\n\n   <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Licensor means the individual(s) or entity(ies) granting rights under this Public License.\n\n   <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Share means to provide material to the public by any means or process that requires permission under the Licensed Rights, such as reproduction, public display, public performance, distribution, dissemination, communication, or importation, and to make material available to the public including in ways that members of the public may access the material from a place and at a time individually chosen by them.\n\n   <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Sui Generis Database Rights means rights other than copyright resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other essentially equivalent rights anywhere in the world.\n\n   <<var;name=\"bullet\";original=\"j.\";match=\".{0,20}\">> You means the individual or entity exercising the Licensed Rights under this Public License. Your has a corresponding meaning.\n\nSection 2 <<var;name=\"section2TitleHyphens\";original=\"\";match=\"-{1,2}\">> Scope.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> License grant.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Subject to the terms and conditions of this Public License, the Licensor hereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license to exercise the Licensed Rights in the Licensed Material to:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> reproduce and Share the Licensed Material, in whole or in part; and\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> produce and reproduce, but not Share, Adapted Material.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations apply to Your use, this Public License does not apply, and You do not need to comply with its terms and conditions.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Term. The term of this Public License is specified in Section 6(a).\n\n	  <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Media and formats; technical modifications allowed. The Licensor authorizes You to exercise the Licensed Rights in all media and formats whether now known or hereafter created, and to make technical modifications necessary to do so. The Licensor waives and/or agrees not to assert any right or authority to forbid You from making technical modifications necessary to exercise the Licensed Rights, including technical modifications necessary to circumvent Effective Technological Measures. For purposes of this Public License, simply making modifications authorized by this Section 2(a)(4) never produces Adapted Material.\n\n	  <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Downstream recipients.\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material automatically receives an offer from the Licensor to exercise the Licensed Rights under the terms and conditions of this Public License.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> No downstream restrictions. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, the Licensed Material if doing so restricts exercise of the Licensed Rights by any recipient of the Licensed Material.\n\n	  <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> No endorsement. Nothing in this Public License constitutes or may be consTrued as permission to assert or imply that You are, or that Your use of the Licensed Material is, connected with, or sponsored, endorsed, or granted official status by, the Licensor or others designated to receive attribution as provided in Section 3(a)(1)(A)(i).\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Other rights.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Moral rights, such as the right of integrity, are not licensed under this Public License, nor are publicity, privacy, and/or other similar personality rights; however, to the extent possible, the Licensor waives and/or agrees not to assert any such rights held by the Licensor to the limited extent necessary to allow You to exercise the Licensed Rights, but not otherwise.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Patent and trademark rights are not licensed under this Public License.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> To the extent possible, the Licensor waives any right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary or waivable statutory or compulsory licensing scheme. In all other cases the Licensor expressly reserves any right to collect such royalties.\n\nSection 3 <<var;name=\"section3TitleHyphens\";original=\"\";match=\"-{1,2}\">> License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following conditions.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Attribution.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> If You Share the Licensed Material, You must:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> retain the following if it is supplied by the Licensor with the Licensed Material:\n\n			<<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> identification of the creator(s) of the Licensed Material and any others designated to receive attribution, in any reasonable manner requested by the Licensor (including by pseudonym if designated);\n\n			<<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> a copyright notice;\n\n			<<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> a notice that refers to this Public License;\n\n			<<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> a notice that refers to the disclaimer of warranties;\n\n			<<var;name=\"bullet\";original=\"v.\";match=\".{0,20}\">> a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> indicate if You modified the Licensed Material and retain an indication of any previous modifications; and\n\n		 <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> indicate the Licensed Material is licensed under this Public License, and include the text of, or the URI or hyperlink to, this Public License.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> For the avoidance of doubt, You do not have permission under this Public License to Share Adapted Material.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the medium, means, and context in which You Share the Licensed Material. For example, it may be reasonable to satisfy the conditions by providing a URI or hyperlink to a resource that includes the required information.\n\n	  <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> If requested by the Licensor, You must remove any of the information required by Section 3(a)(1)(A) to the extent reasonably practicable.\n\nSection 4 <<var;name=\"section4TitleHyphens\";original=\"\";match=\"-{1,2}\">> Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to Your use of the Licensed Material:\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> for the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse, reproduce, and Share all or a substantial portion of the contents of the database, provided You do not Share Adapted Material;\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> if You include all or a substantial portion of the database contents in a database in which You have Sui Generis Database Rights, then the database in which You have Sui Generis Database Rights (but not its individual contents) is Adapted Material; and\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You must comply with the conditions in Section 3(a) if You Share all or a substantial portion of the contents of the database.\n\n   For the avoidance of doubt, this Section 4 supplements and does not replace Your obligations under this Public License where the Licensed Rights include other Copyright and Similar Rights.\n\nSection 5 <<var;name=\"section5TitleHyphens\";original=\"\";match=\"-{1,2}\">> Disclaimer of Warranties and Limitation of Liability.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Unless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor offers the Licensed Material as-is and as-available, and makes no representations or warranties of any kind concerning the Licensed Material, whether express, implied, statutory, or other. This includes, without limitation, warranties of title, merchantability, fitness for a particular purpose, non-infringement, absence of latent or other defects, accuracy, or the presence or absence of errors, whether or not known or discoverable. Where disclaimers of warranties are not allowed in full or in part, this disclaimer may not apply to You.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> To the extent possible, in no event will the Licensor be liable to You on any legal theory (including, without limitation, negligence) or otherwise for any direct, special, indirect, incidental, consequential, punitive, exemplary, or other losses, costs, expenses, or damages arising out of this Public License or use of the Licensed Material, even if the Licensor has been advised of the possibility of such losses, costs, expenses, or damages. Where a limitation of liability is not allowed in full or in part, this limitation may not apply to You.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> The disclaimer of warranties and limitation of liability provided above shall be interpreted in a manner that, to the extent possible, most closely approximates an absolute disclaimer and waiver of all liability.\n\nSection 6 <<var;name=\"section6TitleHyphens\";original=\"\";match=\"-{1,2}\">> Term and Termination.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This Public License applies for the term of the Copyright and Similar Rights licensed here. However, if You fail to comply with this Public License, then Your rights under this Public License terminate automatically.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Where Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> automatically as of the date the violation is cured, provided it is cured within 30 days of Your discovery of the violation; or\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> upon express reinstatement by the Licensor.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have to seek remedies for Your violations of this Public License.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> For the avoidance of doubt, the Licensor may also offer the Licensed Material under separate terms or conditions or stop distributing the Licensed Material at any time; however, doing so will not terminate this Public License.\n\n   <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\nSection 7 <<var;name=\"section7TitleHyphens\";original=\"\";match=\"-{1,2}\">> Other Terms and Conditions.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> The Licensor shall not be bound by any additional or different terms or conditions communicated by You unless expressly agreed.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Any arrangements, understandings, or agreements regarding the Licensed Material not stated herein are separate from and independent of the terms and conditions of this Public License.\n\nSection 8 <<var;name=\"section8TitleHyphens\";original=\"\";match=\"-{1,2}\">> Interpretation.\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> For the avoidance of doubt, this Public License does not, and shall not be interpreted to, reduce, limit, restrict, or impose conditions on any use of the Licensed Material that could lawfully be made without permission under this Public License.\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> To the extent possible, if any provision of this Public License is deemed unenforceable, it shall be automatically reformed to the minimum extent necessary to make it enforceable. If the provision cannot be reformed, it shall be severed from this Public License without affecting the enforceability of the remaining terms and conditions.\n\n   <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or condition of this Public License will be waived and no failure to comply consented to unless expressly agreed to by the Licensor.\n\n   <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Nothing in this Public License constitutes or may be interpreted as a limitation upon, or waiver of, any privileges and immunities that apply to the Licensor or You, including from the legal processes of any jurisdiction or authority.<<beginOptional>> Creative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to apply one of its public licenses to material it publishes and in those instances will be considered the \"Licensor.\"<<beginOptional>> The text of the Creative Commons public licenses is dedicated to the public domain under the CC0 Public Domain Dedication.<<endOptional>> Except for the limited purpose of indicating that material is shared under a Creative Commons public license or as otherwise permitted by the Creative Commons policies published at creativecommons.org/policies, Creative Commons does not authorize the use of the trademark \"Creative Commons\" or any other trademark or logo of Creative Commons without its prior written consent including, without limitation, in connection with any unauthorized modifications to any of its public licenses or any other arrangements, understandings, or agreements concerning use of licensed material. For the avoidance of doubt, this paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n\n<<endOptional>>"
		self.name = "Creative Commons Attribution No Derivatives 4.0 International"
		self.licenseId = "CC-BY-ND-4.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nd/4.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nd/4.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p><var class=\"optional-license-text\"> Creative Commons </var>Attribution-NoDerivatives 4.0 International</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Corporation (&quot;Creative Commons&quot;) is not a law firm and does not provide legal services\n		 or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or\n		 other relationship. Creative Commons makes its licenses and related information available on an\n		 &quot;as-is&quot; basis. Creative Commons gives no warranties regarding its licenses, any material licensed\n		 under their terms and conditions, or any related information. Creative Commons disclaims all liability\n		 for damages resulting from their use to the fullest extent possible.</p>\n\n	  </div>\n	  <p>Using Creative Commons Public Licenses</p>\n\n	  <p>Creative Commons public licenses provide a standard set of terms and conditions that creators and other\n		 rights holders may use to share original works of authorship and other material subject to copyright\n		 and certain other rights specified in the public license below. The following considerations are for\n		 informational purposes only, are not exhaustive, and do not form part of our licenses.</p>\n\n	  <p>Considerations for licensors: Our public licenses are intended for use by those authorized to give the\n		 public permission to use material in ways otherwise restricted by copyright and certain other rights.\n		 Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the\n		 license they choose before applying it. Licensors should also secure all rights necessary before\n		 applying our licenses so that the public can reuse the material as expected. Licensors should clearly\n		 mark any material not subject to the license. This includes other <var class=\"replaceable-license-text\"> </var> material, or material\n		 used under an exception or limitation to copyright. More considerations for licensors<var class=\"replaceable-license-text\"> : wiki.creativecommons.org/Considerations_for_licensors</var></p>\n\n	  <p>Considerations for the public: By using one of our public licenses, a licensor grants the public\n		 permission to use the licensed material under specified terms and conditions. If the licensor&apos;s\n		 permission is not necessary for any reason\u2013for example, because of any applicable exception or\n		 limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only\n		 permissions under copyright and certain other rights that a licensor has authority to grant. Use of\n		 the licensed material may still be restricted for other reasons, including because others have\n		 copyright or other rights in the material. A licensor may make special requests, such as asking that\n		 all changes be marked or described. Although not required by our licenses, you are encouraged to\n		 respect those requests where reasonable. <var class=\"replaceable-license-text\"> More considerations</var> for the public<var class=\"replaceable-license-text\"> : wiki.creativecommons.org/Considerations_for_licensees</var></p>\n\n	  <p>Creative Commons Attribution-NoDerivatives 4.0 International Public License</p>\n\n	  <p>By exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and\n		 conditions of this Creative Commons Attribution-NoDerivatives 4.0 International Public License\n		 (&quot;Public License&quot;). To the extent this Public License may be interpreted as a contract, You are\n		 granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the\n		 Licensor grants You such rights in consideration of benefits the Licensor receives from making the\n		 Licensed Material available under these terms and conditions.</p>\n\n	  <p>Section 1 <var class=\"replaceable-license-text\"> </var> Definitions.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			Adapted Material means material subject to Copyright and Similar Rights that is derived from\n			   or based upon the Licensed Material and in which the Licensed Material is translated,\n			   altered, arranged, transformed, or otherwise modified in a manner requiring permission\n			   under the Copyright and Similar Rights held by the Licensor. For purposes of this Public\n			   License, where the Licensed Material is a musical work, performance, or sound recording,\n			   Adapted Material is always produced where the Licensed Material is synched in timed\n			   relation with a moving image.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			Copyright and Similar Rights means copyright and/or similar rights closely related to\n			   copyright including, without limitation, performance, broadcast, sound recording, and Sui\n			   Generis Database Rights, without regard to how the rights are labeled or categorized. For\n			   purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not\n			   Copyright and Similar Rights.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			Effective Technological Measures means those measures that, in the absence of proper\n			   authority, may not be circumvented under laws fulfilling obligations under Article 11 of\n			   the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international\n			   agreements.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d.</var>\n			Exceptions and Limitations means fair use, fair dealing, and/or any other exception or\n			   limitation to Copyright and Similar Rights that applies to Your use of the Licensed\n			   Material.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e.</var>\n			Licensed Material means the artistic or literary work, database, or other material to which\n			   the Licensor applied this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> f.</var>\n			Licensed Rights means the rights granted to You subject to the terms and conditions of this\n			   Public License, which are limited to all Copyright and Similar Rights that apply to Your\n			   use of the Licensed Material and that the Licensor has authority to license.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> g.</var>\n			Licensor means the individual(s) or entity(ies) granting rights under this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> h.</var>\n			Share means to provide material to the public by any means or process that requires\n			   permission under the Licensed Rights, such as reproduction, public display, public\n			   performance, distribution, dissemination, communication, or importation, and to make\n			   material available to the public including in ways that members of the public may access\n			   the material from a place and at a time individually chosen by them.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> i.</var>\n			Sui Generis Database Rights means rights other than copyright resulting from Directive\n			   96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal\n			   protection of databases, as amended and/or succeeded, as well as other essentially\n			   equivalent rights anywhere in the world.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> j.</var>\n			You means the individual or entity exercising the Licensed Rights under this Public License.\n			   Your has a corresponding meaning.\n		  </li>\n		\n</ul>\n	  <p>Section 2 <var class=\"replaceable-license-text\"> </var> Scope.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			License grant.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n			  Subject to the terms and conditions of this Public License, the Licensor hereby grants\n				 You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license\n				 to exercise the Licensed Rights in the Licensed Material to:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				reproduce and Share the Licensed Material, in whole or in part; and\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				produce and reproduce, but not Share, Adapted Material.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n			  Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations\n				 apply to Your use, this Public License does not apply, and You do not need to comply\n				 with its terms and conditions.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n			  Term. The term of this Public License is specified in Section 6(a).\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var>\n			  Media and formats; technical modifications allowed. The Licensor authorizes You to\n				 exercise the Licensed Rights in all media and formats whether now known or hereafter\n				 created, and to make technical modifications necessary to do so. The Licensor waives\n				 and/or agrees not to assert any right or authority to forbid You from making technical\n				 modifications necessary to exercise the Licensed Rights, including technical\n				 modifications necessary to circumvent Effective Technological Measures. For purposes\n				 of this Public License, simply making modifications authorized by this Section 2(a)(4)\n				 never produces Adapted Material.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.</var>\n			  Downstream recipients.\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material\n				   automatically receives an offer from the Licensor to exercise the Licensed Rights\n				   under the terms and conditions of this Public License.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				No downstream restrictions. You may not offer or impose any additional or different\n				   terms or conditions on, or apply any Effective Technological Measures to, the\n				   Licensed Material if doing so restricts exercise of the Licensed Rights by any\n				   recipient of the Licensed Material.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.</var>\n			  No endorsement. Nothing in this Public License constitutes or may be consTrued as\n				 permission to assert or imply that You are, or that Your use of the Licensed Material\n				 is, connected with, or sponsored, endorsed, or granted official status by, the\n				 Licensor or others designated to receive attribution as provided in Section\n				 3(a)(1)(A)(i).\n			</li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			Other rights.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n			  Moral rights, such as the right of integrity, are not licensed under this Public License,\n				 nor are publicity, privacy, and/or other similar personality rights; however, to the\n				 extent possible, the Licensor waives and/or agrees not to assert any such rights held\n				 by the Licensor to the limited extent necessary to allow You to exercise the Licensed\n				 Rights, but not otherwise.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n			  Patent and trademark rights are not licensed under this Public License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n			  To the extent possible, the Licensor waives any right to collect royalties from You for\n				 the exercise of the Licensed Rights, whether directly or through a collecting society\n				 under any voluntary or waivable statutory or compulsory licensing scheme. In all other\n				 cases the Licensor expressly reserves any right to collect such royalties.\n			</li>\n			\n</ul>\n		  </li>\n		\n</ul>\n	  <p>Section 3 <var class=\"replaceable-license-text\"> </var> License Conditions.</p>\n\n	  <p>Your exercise of the Licensed Rights is expressly made subject to the following conditions.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			Attribution.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n			  If You Share the Licensed Material, You must:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				retain the following if it is supplied by the Licensor with the Licensed Material:\n			  \n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> i.</var>\n					identification of the creator(s) of the Licensed Material and any others\n					   designated to receive attribution, in any reasonable manner requested by\n					   the Licensor (including by pseudonym if designated);\n				  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> ii.</var>\n					a copyright notice;\n				  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> iii.</var>\n					a notice that refers to this Public License;\n				  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> iv.</var>\n					a notice that refers to the disclaimer of warranties;\n				  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> v.</var>\n					a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n				  </li>\n						\n</ul>\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				indicate if You modified the Licensed Material and retain an indication of any\n				   previous modifications; and\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> C.</var>\n				indicate the Licensed Material is licensed under this Public License, and include the\n				   text of, or the URI or hyperlink to, this Public License.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n			  For the avoidance of doubt, You do not have permission under this Public License to Share\n				 Adapted Material.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var>\n			  You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the\n				 medium, means, and context in which You Share the Licensed Material. For example, it\n				 may be reasonable to satisfy the conditions by providing a URI or hyperlink to a\n				 resource that includes the required information.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var>\n			  If requested by the Licensor, You must remove any of the information required by Section\n				 3(a)(1)(A) to the extent reasonably practicable.\n			</li>\n			\n</ul>\n		  </li>\n		\n</ul>\n	  <p>Section 4 <var class=\"replaceable-license-text\"> </var> Sui Generis Database Rights.</p>\n\n	  <p>Where the Licensed Rights include Sui Generis Database Rights that apply to Your use of\n		the Licensed Material:</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			for the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse,\n			   reproduce, and Share all or a substantial portion of the contents of the database,\n			   provided You do not Share Adapted Material;\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			if You include all or a substantial portion of the database contents in a database in which\n			   You have Sui Generis Database Rights, then the database in which You have Sui Generis\n			   Database Rights (but not its individual contents) is Adapted Material; and\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			You must comply with the conditions in Section 3(a) if You Share all or a substantial portion\n			   of the contents of the database.\n			  <br />\n\n   For the avoidance of doubt, this Section 4 supplements and does not replace Your\n				   obligations under this Public License where the Licensed Rights include other\n				   Copyright and Similar Rights.\n\n		  </li>\n		\n</ul>\n	  <p>Section 5 <var class=\"replaceable-license-text\"> </var> Disclaimer of Warranties and Limitation of Liability.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			Unless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor\n			   offers the Licensed Material as-is and as-available, and makes no representations or\n			   warranties of any kind concerning the Licensed Material, whether express, implied,\n			   statutory, or other. This includes, without limitation, warranties of title,\n			   merchantability, fitness for a particular purpose, non-infringement, absence of latent or\n			   other defects, accuracy, or the presence or absence of errors, whether or not known or\n			   discoverable. Where disclaimers of warranties are not allowed in full or in part, this\n			   disclaimer may not apply to You.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			To the extent possible, in no event will the Licensor be liable to You on any legal theory\n			   (including, without limitation, negligence) or otherwise for any direct, special,\n			   indirect, incidental, consequential, punitive, exemplary, or other losses, costs,\n			   expenses, or damages arising out of this Public License or use of the Licensed Material,\n			   even if the Licensor has been advised of the possibility of such losses, costs, expenses,\n			   or damages. Where a limitation of liability is not allowed in full or in part, this\n			   limitation may not apply to You.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			The disclaimer of warranties and limitation of liability provided above shall be interpreted\n			   in a manner that, to the extent possible, most closely approximates an absolute disclaimer\n			   and waiver of all liability.\n		  </li>\n		\n</ul>\n	  <p>Section 6 <var class=\"replaceable-license-text\"> </var> Term and Termination.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			This Public License applies for the term of the Copyright and Similar Rights licensed here.\n			   However, if You fail to comply with this Public License, then Your rights under this\n			   Public License terminate automatically.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			Where Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.</var>\n			  automatically as of the date the violation is cured, provided it is cured within 30 days\n				 of Your discovery of the violation; or\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var>\n			  upon express reinstatement by the Licensor.\n			</li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have\n			   to seek remedies for Your violations of this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d.</var>\n			For the avoidance of doubt, the Licensor may also offer the Licensed Material under separate\n			   terms or conditions or stop distributing the Licensed Material at any time; however, doing\n			   so will not terminate this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e.</var>\n			Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n		  </li>\n		\n</ul>\n	  <p>Section 7 <var class=\"replaceable-license-text\"> </var> Other Terms and Conditions.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			The Licensor shall not be bound by any additional or different terms or conditions\n			   communicated by You unless expressly agreed.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			Any arrangements, understandings, or agreements regarding the Licensed Material not stated\n			   herein are separate from and independent of the terms and conditions of this Public\n			   License.\n		  </li>\n		\n</ul>\n	  <p>Section 8 <var class=\"replaceable-license-text\"> </var> Interpretation.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a.</var>\n			For the avoidance of doubt, this Public License does not, and shall not be interpreted to,\n			   reduce, limit, restrict, or impose conditions on any use of the Licensed Material that\n			   could lawfully be made without permission under this Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b.</var>\n			To the extent possible, if any provision of this Public License is deemed unenforceable, it\n			   shall be automatically reformed to the minimum extent necessary to make it enforceable. If\n			   the provision cannot be reformed, it shall be severed from this Public License without\n			   affecting the enforceability of the remaining terms and conditions.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c.</var>\n			No term or condition of this Public License will be waived and no failure to comply consented\n			   to unless expressly agreed to by the Licensor.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d.</var>\n			Nothing in this Public License constitutes or may be interpreted as a limitation upon, or\n			   waiver of, any privileges and immunities that apply to the Licensor or You, including from\n			   the legal processes of any jurisdiction or authority.\n		  </li>\n		\n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>Creative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to\n		   apply one of its public licenses to material it publishes and in those instances will be considered\n		   the &quot;Licensor.&quot; <var class=\"optional-license-text\"> The text of the Creative Commons public licenses is dedicated to the public\n		   domain under the CC0 Public Domain Dedication.</var> Except for the limited purpose of indicating that material is shared under a Creative\n		   Commons public license or as otherwise permitted by the Creative Commons policies published at\n		   creativecommons.org/policies, Creative Commons does not authorize the use of the trademark &quot;Creative\n		   Commons&quot; or any other trademark or logo of Creative Commons without its prior written consent\n		   including, without limitation, in connection with any unauthorized modifications to any of its public\n		   licenses or any other arrangements, understandings, or agreements concerning use of licensed material.\n		   For the avoidance of doubt, this paragraph does not form part of the public licenses.</p>\n\n		<p>Creative Commons may be contacted at creativecommons.org.</p>\n\n	  </div>\n	"
		self.python_name = "CCBYND40"

	def __str__(self):
		return json.dumps(self.__dict__)


class Mackerras3Clauseacknowledgment:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1993-2002 Paul Mackerras. All rights reserved.\n\n Redistribution and use in source and binary forms, with or without\n modification, are permitted provided that the following conditions\n are met:\n \n 1. Redistributions of source code must retain the above copyright\n	 notice, this list of conditions and the following disclaimer.\n \n2. The name(s) of the authors of this software must not be used to\n   endorse or promote products derived from this software without\n   prior written permission.\n\n3. Redistributions of any form whatsoever must retain the following\n   acknowledgment:\n   \"This product includes software developed by Paul Mackerras\n   <paulus@ozlabs.org>\".\n\nTHE AUTHORS OF THIS SOFTWARE DISCLAIM ALL WARRANTIES WITH REGARD TO\nTHIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY\nAND FITNESS, IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY\nSPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\nWHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN\nAN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING\nOUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1993-2002 Paul Mackerras. All rights reserved.\";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> The name(s) of the authors of this software must not be used to endorse or promote products derived from this software without prior written permission.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions of any form whatsoever must retain the following acknowledgment: \"This product includes software developed by Paul Mackerras <paulus@ozlabs.org>\".\n\nTHE AUTHORS OF THIS SOFTWARE DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n"
		self.name = "Mackerras 3-Clause - acknowledgment variant"
		self.licenseComments = "This is similar to Mackerras-3-Clause, but removes the obligations related to binary distribution and adds an acknowledgement obligation."
		self.licenseId = "Mackerras-3-Clause-acknowledgment"
		self.crossRef = [{"match": "False", "url": "https://github.com/ppp-project/ppp/blob/master/pppd/auth.c#L6-L28", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:41Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/ppp-project/ppp/blob/master/pppd/auth.c#L6-L28"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (c) 1993-2002 Paul Mackerras. All rights reserved.\n		 </var>\n		 <p>\n			Redistribution and use in source and binary\n			forms, with or without modification, are permitted\n			provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   Redistributions of source code must retain the above copyright\n			   notice, this list of conditions and the following disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   The name(s) of the authors of this software must\n			   not be used to endorse or promote products derived\n			   from this software without prior written permission.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   Redistributions of any form whatsoever must retain the\n			   following acknowledgment: &quot;This product includes software\n			   developed by Paul Mackerras &lt;paulus@ozlabs.org&gt;&quot;.\n			</li>\n		 \n</ul>\n		 <p>\n			THE AUTHORS OF THIS SOFTWARE DISCLAIM ALL WARRANTIES WITH REGARD TO\n			THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY\n			AND FITNESS, IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY\n			SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER\n			RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION\n			OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\n			OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n		 </p>\n\n	  "
		self.python_name = "Mackerras3Clauseacknowledgment"

	def __str__(self):
		return json.dumps(self.__dict__)


class CECILL21:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "\n  CeCILL FREE SOFTWARE LICENSE AGREEMENT\n\nVersion 2.1 dated 2013-06-21\n\n\n	Notice\n\nThis Agreement is a Free Software license agreement that is the result\nof discussions between its authors in order to ensure compliance with\nthe two main principles guiding its drafting:\n\n  * firstly, compliance with the principles governing the distribution\n	of Free Software: access to source code, broad rights granted to users,\n  * secondly, the election of a governing law, French law, with which it\n	is conformant, both as regards the law of torts and intellectual\n	property law, and the protection that it offers to both authors and\n	holders of the economic rights over software.\n\nThe authors of the CeCILL (for Ce[a] C[nrs] I[nria] L[ogiciel] L[ibre])\nlicense are:\n\nCommissariat \u00e0 l'\u00e9nergie atomique et aux \u00e9nergies alternatives - CEA, a\npublic scientific, technical and industrial research establishment,\nhaving its principal place of business at 25 rue Leblanc, immeuble Le\nPonant D, 75015 Paris, France.\n\nCentre National de la Recherche Scientifique - CNRS, a public scientific\nand technological establishment, having its principal place of business\nat 3 rue Michel-Ange, 75794 Paris cedex 16, France.\n\nInstitut National de Recherche en Informatique et en Automatique -\nInria, a public scientific and technological establishment, having its\nprincipal place of business at Domaine de Voluceau, Rocquencourt, BP\n105, 78153 Le Chesnay cedex, France.\n\n\n	Preamble\n\nThe purpose of this Free Software license agreement is to grant users\nthe right to modify and redistribute the software governed by this\nlicense within the framework of an open source distribution model.\n\nThe exercising of this right is conditional upon certain obligations for\nusers so as to preserve this status for all subsequent redistributions.\n\nIn consideration of access to the source code and the rights to copy,\nmodify and redistribute granted by the license, users are provided only\nwith a limited warranty and the software's author, the holder of the\neconomic rights, and the successive licensors only have limited liability.\n\nIn this respect, the risks associated with loading, using, modifying\nand/or developing or reproducing the software by the user are brought to\nthe user's attention, given its Free Software status, which may make it\ncomplicated to use, with the result that its use is reserved for\ndevelopers and experienced professionals having in-depth computer\nknowledge. Users are therefore encouraged to load and test the\nsuitability of the software as regards their requirements in conditions\nenabling the security of their systems and/or data to be ensured and,\nmore generally, to use and operate it in the same conditions of\nsecurity. This Agreement may be freely reproduced and published,\nprovided it is not altered, and that no provisions are either added or\nremoved herefrom.\n\nThis Agreement may apply to any or all software for which the holder of\nthe economic rights decides to submit the use thereof to its provisions.\n\nFrequently asked questions can be found on the official website of the\nCeCILL licenses family (http://www.cecill.info/index.en.html) for any\nnecessary clarification.\n\n\n	Article 1 - DEFINITIONS\n\nFor the purpose of this Agreement, when the following expressions\ncommence with a capital letter, they shall have the following meaning:\n\nAgreement: means this license agreement, and its possible subsequent\nversions and annexes.\n\nSoftware: means the software in its Object Code and/or Source Code form\nand, where applicable, its documentation, \"as is\" when the Licensee\naccepts the Agreement.\n\nInitial Software: means the Software in its Source Code and possibly its\nObject Code form and, where applicable, its documentation, \"as is\" when\nit is first distributed under the terms and conditions of the Agreement.\n\nModified Software: means the Software modified by at least one\nContribution.\n\nSource Code: means all the Software's instructions and program lines to\nwhich access is required so as to modify the Software.\n\nObject Code: means the binary files originating from the compilation of\nthe Source Code.\n\nHolder: means the holder(s) of the economic rights over the Initial\nSoftware.\n\nLicensee: means the Software user(s) having accepted the Agreement.\n\nContributor: means a Licensee having made at least one Contribution.\n\nLicensor: means the Holder, or any other individual or legal entity, who\ndistributes the Software under the Agreement.\n\nContribution: means any or all modifications, corrections, translations,\nadaptations and/or new functions integrated into the Software by any or\nall Contributors, as well as any or all Internal Modules.\n\nModule: means a set of sources files including their documentation that\nenables supplementary functions or services in addition to those offered\nby the Software.\n\nExternal Module: means any or all Modules, not derived from the\nSoftware, so that this Module and the Software run in separate address\nspaces, with one calling the other when they are run.\n\nInternal Module: means any or all Module, connected to the Software so\nthat they both execute in the same address space.\n\nGNU GPL: means the GNU General Public License version 2 or any\nsubsequent version, as published by the Free Software Foundation Inc.\n\nGNU Affero GPL: means the GNU Affero General Public License version 3 or\nany subsequent version, as published by the Free Software Foundation Inc.\n\nEUPL: means the European Union Public License version 1.1 or any\nsubsequent version, as published by the European Commission.\n\nParties: mean both the Licensee and the Licensor.\n\nThese expressions may be used both in singular and plural form.\n\n\n	Article 2 - PURPOSE\n\nThe purpose of the Agreement is the grant by the Licensor to the\nLicensee of a non-exclusive, transferable and worldwide license for the\nSoftware as set forth in Article 5 <#scope> hereinafter for the whole\nterm of the protection granted by the rights over said Software.\n\n\n	Article 3 - ACCEPTANCE\n\n3.1 The Licensee shall be deemed as having accepted the terms and\nconditions of this Agreement upon the occurrence of the first of the\nfollowing events:\n\n  * (i) loading the Software by any or all means, notably, by\n	downloading from a remote server, or by loading from a physical medium;\n  * (ii) the first time the Licensee exercises any of the rights granted\n	hereunder.\n\n3.2 One copy of the Agreement, containing a notice relating to the\ncharacteristics of the Software, to the limited warranty, and to the\nfact that its use is restricted to experienced users has been provided\nto the Licensee prior to its acceptance as set forth in Article 3.1\n<#accepting> hereinabove, and the Licensee hereby acknowledges that it\nhas read and understood it.\n\n\n	Article 4 - EFFECTIVE DATE AND TERM\n\n\n	  4.1 EFFECTIVE DATE\n\nThe Agreement shall become effective on the date when it is accepted by\nthe Licensee as set forth in Article 3.1 <#accepting>.\n\n\n	  4.2 TERM\n\nThe Agreement shall remain in force for the entire legal term of\nprotection of the economic rights over the Software.\n\n\n	Article 5 - SCOPE OF RIGHTS GRANTED\n\nThe Licensor hereby grants to the Licensee, who accepts, the following\nrights over the Software for any or all use, and for the term of the\nAgreement, on the basis of the terms and conditions set forth hereinafter.\n\nBesides, if the Licensor owns or comes to own one or more patents\nprotecting all or part of the functions of the Software or of its\ncomponents, the Licensor undertakes not to enforce the rights granted by\nthese patents against successive Licensees using, exploiting or\nmodifying the Software. If these patents are transferred, the Licensor\nundertakes to have the transferees subscribe to the obligations set\nforth in this paragraph.\n\n\n	  5.1 RIGHT OF USE\n\nThe Licensee is authorized to use the Software, without any limitation\nas to its fields of application, with it being hereinafter specified\nthat this comprises:\n\n 1. permanent or temporary reproduction of all or part of the Software\n	by any or all means and in any or all form.\n\n 2. loading, displaying, running, or storing the Software on any or all\n	medium.\n\n 3. entitlement to observe, study or test its operation so as to\n	determine the ideas and principles behind any or all constituent\n	elements of said Software. This shall apply when the Licensee\n	carries out any or all loading, displaying, running, transmission or\n	storage operation as regards the Software, that it is entitled to\n	carry out hereunder.\n\n\n	  5.2 ENTITLEMENT TO MAKE CONTRIBUTIONS\n\nThe right to make Contributions includes the right to translate, adapt,\narrange, or make any or all modifications to the Software, and the right\nto reproduce the resulting software.\n\nThe Licensee is authorized to make any or all Contributions to the\nSoftware provided that it includes an explicit notice that it is the\nauthor of said Contribution and indicates the date of the creation thereof.\n\n\n	  5.3 RIGHT OF DISTRIBUTION\n\nIn particular, the right of distribution includes the right to publish,\ntransmit and communicate the Software to the general public on any or\nall medium, and by any or all means, and the right to market, either in\nconsideration of a fee, or free of charge, one or more copies of the\nSoftware by any means.\n\nThe Licensee is further authorized to distribute copies of the modified\nor unmodified Software to third parties according to the terms and\nconditions set forth hereinafter.\n\n\n		5.3.1 DISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\nThe Licensee is authorized to distribute True copies of the Software in\nSource Code or Object Code form, provided that said distribution\ncomplies with all the provisions of the Agreement and is accompanied by:\n\n 1. a copy of the Agreement,\n\n 2. a notice relating to the limitation of both the Licensor's warranty\n	and liability as set forth in Articles 8 and 9,\n\nand that, in the event that only the Object Code of the Software is\nredistributed, the Licensee allows effective access to the full Source\nCode of the Software for a period of at least three years from the\ndistribution of the Software, it being understood that the additional\nacquisition cost of the Source Code shall not exceed the cost of the\ndata transfer.\n\n\n		5.3.2 DISTRIBUTION OF MODIFIED SOFTWARE\n\nWhen the Licensee makes a Contribution to the Software, the terms and\nconditions for the distribution of the resulting Modified Software\nbecome subject to all the provisions of this Agreement.\n\nThe Licensee is authorized to distribute the Modified Software, in\nsource code or object code form, provided that said distribution\ncomplies with all the provisions of the Agreement and is accompanied by:\n\n 1. a copy of the Agreement,\n\n 2. a notice relating to the limitation of both the Licensor's warranty\n	and liability as set forth in Articles 8 and 9,\n\nand, in the event that only the object code of the Modified Software is\nredistributed,\n\n 3. a note stating the conditions of effective access to the full source\n	code of the Modified Software for a period of at least three years\n	from the distribution of the Modified Software, it being understood\n	that the additional acquisition cost of the source code shall not\n	exceed the cost of the data transfer.\n\n\n		5.3.3 DISTRIBUTION OF EXTERNAL MODULES\n\nWhen the Licensee has developed an External Module, the terms and\nconditions of this Agreement do not apply to said External Module, that\nmay be distributed under a separate license agreement.\n\n\n		5.3.4 COMPATIBILITY WITH OTHER LICENSES\n\nThe Licensee can include a code that is subject to the provisions of one\nof the versions of the GNU GPL, GNU Affero GPL and/or EUPL in the\nModified or unmodified Software, and distribute that entire code under\nthe terms of the same version of the GNU GPL, GNU Affero GPL and/or EUPL.\n\nThe Licensee can include the Modified or unmodified Software in a code\nthat is subject to the provisions of one of the versions of the GNU GPL,\nGNU Affero GPL and/or EUPL and distribute that entire code under the\nterms of the same version of the GNU GPL, GNU Affero GPL and/or EUPL.\n\n\n	Article 6 - INTELLECTUAL PROPERTY\n\n\n	  6.1 OVER THE INITIAL SOFTWARE\n\nThe Holder owns the economic rights over the Initial Software. Any or\nall use of the Initial Software is subject to compliance with the terms\nand conditions under which the Holder has elected to distribute its work\nand no one shall be entitled to modify the terms and conditions for the\ndistribution of said Initial Software.\n\nThe Holder undertakes that the Initial Software will remain ruled at\nleast by this Agreement, for the duration set forth in Article 4.2 <#term>.\n\n\n	  6.2 OVER THE CONTRIBUTIONS\n\nThe Licensee who develops a Contribution is the owner of the\nintellectual property rights over this Contribution as defined by\napplicable law.\n\n\n	  6.3 OVER THE EXTERNAL MODULES\n\nThe Licensee who develops an External Module is the owner of the\nintellectual property rights over this External Module as defined by\napplicable law and is free to choose the type of agreement that shall\ngovern its distribution.\n\n\n	  6.4 JOINT PROVISIONS\n\nThe Licensee expressly undertakes:\n\n 1. not to remove, or modify, in any manner, the intellectual property\n	notices attached to the Software;\n\n 2. to reproduce said notices, in an identical manner, in the copies of\n	the Software modified or not.\n\nThe Licensee undertakes not to directly or indirectly infringe the\nintellectual property rights on the Software of the Holder and/or\nContributors, and to take, where applicable, vis-\u00e0-vis its staff, any\nand all measures required to ensure respect of said intellectual\nproperty rights of the Holder and/or Contributors.\n\n\n	Article 7 - RELATED SERVICES\n\n7.1 Under no circumstances shall the Agreement oblige the Licensor to\nprovide technical assistance or maintenance services for the Software.\n\nHowever, the Licensor is entitled to offer this type of services. The\nterms and conditions of such technical assistance, and/or such\nmaintenance, shall be set forth in a separate instrument. Only the\nLicensor offering said maintenance and/or technical assistance services\nshall incur liability therefor.\n\n7.2 Similarly, any Licensor is entitled to offer to its licensees, under\nits sole responsibility, a warranty, that shall only be binding upon\nitself, for the redistribution of the Software and/or the Modified\nSoftware, under terms and conditions that it is free to decide. Said\nwarranty, and the financial terms and conditions of its application,\nshall be subject of a separate instrument executed between the Licensor\nand the Licensee.\n\n\n	Article 8 - LIABILITY\n\n8.1 Subject to the provisions of Article 8.2, the Licensee shall be\nentitled to claim compensation for any direct loss it may have suffered\nfrom the Software as a result of a fault on the part of the relevant\nLicensor, subject to providing evidence thereof.\n\n8.2 The Licensor's liability is limited to the commitments made under\nthis Agreement and shall not be incurred as a result of in particular:\n(i) loss due the Licensee's total or partial failure to fulfill its\nobligations, (ii) direct or consequential loss that is suffered by the\nLicensee due to the use or performance of the Software, and (iii) more\ngenerally, any consequential loss. In particular the Parties expressly\nagree that any or all pecuniary or business loss (i.e. loss of data,\nloss of profits, operating loss, loss of customers or orders,\nopportunity cost, any disturbance to business activities) or any or all\nlegal proceedings instituted against the Licensee by a third party,\nshall constitute consequential loss and shall not provide entitlement to\nany or all compensation from the Licensor.\n\n\n	Article 9 - WARRANTY\n\n9.1 The Licensee acknowledges that the scientific and technical\nstate-of-the-art when the Software was distributed did not enable all\npossible uses to be tested and verified, nor for the presence of\npossible defects to be detected. In this respect, the Licensee's\nattention has been drawn to the risks associated with loading, using,\nmodifying and/or developing and reproducing the Software which are\nreserved for experienced users.\n\nThe Licensee shall be responsible for verifying, by any or all means,\nthe suitability of the product for its requirements, its good working\norder, and for ensuring that it shall not cause damage to either persons\nor properties.\n\n9.2 The Licensor hereby represents, in good faith, that it is entitled\nto grant all the rights over the Software (including in particular the\nrights set forth in Article 5 <#scope>).\n\n9.3 The Licensee acknowledges that the Software is supplied \"as is\" by\nthe Licensor without any other express or tacit warranty, other than\nthat provided for in Article 9.2 <#good-faith> and, in particular,\nwithout any warranty as to its commercial value, its secured, safe,\ninnovative or relevant nature.\n\nSpecifically, the Licensor does not warrant that the Software is free\nfrom any error, that it will operate without interruption, that it will\nbe compatible with the Licensee's own equipment and software\nconfiguration, nor that it will meet the Licensee's requirements.\n\n9.4 The Licensor does not either expressly or tacitly warrant that the\nSoftware does not infringe any third party intellectual property right\nrelating to a patent, software or any other property right. Therefore,\nthe Licensor disclaims any and all liability towards the Licensee\narising out of any or all proceedings for infringement that may be\ninstituted in respect of the use, modification and redistribution of the\nSoftware. Nevertheless, should such proceedings be instituted against\nthe Licensee, the Licensor shall provide it with technical and legal\nexpertise for its defense. Such technical and legal expertise shall be\ndecided on a case-by-case basis between the relevant Licensor and the\nLicensee pursuant to a memorandum of understanding. The Licensor\ndisclaims any and all liability as regards the Licensee's use of the\nname of the Software. No warranty is given as regards the existence of\nprior rights over the name of the Software or as regards the existence\nof a trademark.\n\n\n	Article 10 - TERMINATION\n\n10.1 In the event of a breach by the Licensee of its obligations\nhereunder, the Licensor may automatically terminate this Agreement\nthirty (30) days after notice has been sent to the Licensee and has\nremained ineffective.\n\n10.2 A Licensee whose Agreement is terminated shall no longer be\nauthorized to use, modify or distribute the Software. However, any\nlicenses that it may have granted prior to termination of the Agreement\nshall remain valid subject to their having been granted in compliance\nwith the terms and conditions hereof.\n\n\n	Article 11 - MISCELLANEOUS\n\n\n	  11.1 EXCUSABLE EVENTS\n\nNeither Party shall be liable for any or all delay, or failure to\nperform the Agreement, that may be attributable to an event of force\nmajeure, an act of God or an outside cause, such as defective\nfunctioning or interruptions of the electricity or telecommunications\nnetworks, network paralysis following a virus attack, intervention by\ngovernment authorities, natural disasters, water damage, earthquakes,\nfire, explosions, strikes and labor unrest, war, etc.\n\n11.2 Any failure by either Party, on one or more occasions, to invoke\none or more of the provisions hereof, shall under no circumstances be\ninterpreted as being a waiver by the interested Party of its right to\ninvoke said provision(s) subsequently.\n\n11.3 The Agreement cancels and replaces any or all previous agreements,\nwhether written or oral, between the Parties and having the same\npurpose, and constitutes the entirety of the agreement between said\nParties concerning said purpose. No supplement or modification to the\nterms and conditions hereof shall be effective as between the Parties\nunless it is made in writing and signed by their duly authorized\nrepresentatives.\n\n11.4 In the event that one or more of the provisions hereof were to\nconflict with a current or future applicable act or legislative text,\nsaid act or legislative text shall prevail, and the Parties shall make\nthe necessary amendments so as to comply with said act or legislative\ntext. All other provisions shall remain effective. Similarly, invalidity\nof a provision of the Agreement, for any reason whatsoever, shall not\ncause the Agreement as a whole to be invalid.\n\n\n	  11.5 LANGUAGE\n\nThe Agreement is drafted in both French and English and both versions\nare deemed authentic.\n\n\n	Article 12 - NEW VERSIONS OF THE AGREEMENT\n\n12.1 Any person is authorized to duplicate and distribute copies of this\nAgreement.\n\n12.2 So as to ensure coherence, the wording of this Agreement is\nprotected and may only be modified by the authors of the License, who\nreserve the right to periodically publish updates or new versions of the\nAgreement, each with a separate number. These subsequent versions may\naddress new issues encountered by Free Software.\n\n12.3 Any Software distributed under a given version of the Agreement may\nonly be subsequently distributed under the same version of the Agreement\nor a subsequent version, subject to the provisions of Article 5.3.4\n<#compatibility>.\n\n\n	Article 13 - GOVERNING LAW AND JURISDICTION\n\n13.1 The Agreement is governed by French law. The Parties agree to\nendeavor to seek an amicable solution to any disagreements or disputes\nthat may arise during the performance of the Agreement.\n\n13.2 Failing an amicable solution within two (2) months as from their\noccurrence, and unless emergency proceedings are necessary, the\ndisagreements or disputes shall be referred to the Paris Courts having\njurisdiction, by the more diligent Party.\n"
		self.standardLicenseTemplate = "<<beginOptional>>CeCILL FREE SOFTWARE LICENSE AGREEMENT\n\n<<endOptional>>\n\nVersion 2.1 dated 2013-06-21\n\n<<beginOptional>>Notice\n\nThis Agreement is a Free Software license agreement that is the result of discussions between its authors in order to ensure compliance with the two main principles guiding its drafting:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> firstly, compliance with the principles governing the distribution of Free Software: access to source code, broad rights granted to users,\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> secondly, the election of a governing law, French law, with which it is conformant, both as regards the law of torts and intellectual property law, and the protection that it offers to both authors and holders of the economic rights over software.\n\nThe authors of the <<var;name=\"licenseNameFootnote\";original=\"CeCILL\u00b9\";match=\"CeCILL[\u00b91]?( \\(?for Ce[\\[\\(]a[\\]\\)] C[\\[\\(]nrs[\\]\\)] I[\\[\\(]nria[\\]\\)] L[\\[\\(]ogiciel[\\]\\)] L[\\[\\(]ibre[\\]\\)]\\)?)?\">> license are:\n\n   Commissariat \u00e0 l'\u00e9nergie atomique et aux \u00e9nergies alternatives - CEA, a public scientific, technical and industrial research establishment, having its principal place of business at 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n\n   Centre National de la Recherche Scientifique - CNRS, a public scientific and technological establishment, having its principal place of business at 3 rue Michel-Ange, 75794 Paris cedex 16, France.\n\n   Institut National de Recherche en Informatique et en Automatique - Inria, a public scientific and technological establishment, having its principal place of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay cedex, France.\n\n   <<endOptional>>\n\n   <<var;name=\"bullet\";original=\"Preamble\";match=\".{0,20}\">> The purpose of this Free Software license agreement is to grant users the right to modify and redistribute the software governed by this license within the framework of an open source distribution model.\n\n   The exercising of this right is conditional upon certain obligations for users so as to preserve this status for all subsequent redistributions.\n\n   In consideration of access to the source code and the rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors only have limited liability.\n\n   In this respect, the risks associated with loading, using, modifying and/or developing or reproducing the software by the user are brought to the user's attention, given its Free Software status, which may make it complicated to use, with the result that its use is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the suitability of the software as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions of security. This Agreement may be freely reproduced and published, provided it is not altered, and that no provisions are either added or removed herefrom.\n\n   This Agreement may apply to any or all software for which the holder of the economic rights decides to submit the use thereof to its provisions.\n\n   Frequently asked questions can be found on the official website of the CeCILL licenses family (http://www.cecill.info/index.en.html) for any necessary clarification.\n\n   <<var;name=\"bullet\";original=\"Article 1 -\";match=\".{0,20}\">> DEFINITIONS\n\n   For the purpose of this Agreement, when the following expressions commence with a capital letter, they shall have the following meaning:\n\n	  Agreement: means this license agreement, and its possible subsequent versions and annexes.\n\n	  Software: means the software in its Object Code and/or Source Code form and, where applicable, its documentation, \"as is\" when the Licensee accepts the Agreement.\n\n	  Initial Software: means the Software in its Source Code and possibly its Object Code form and, where applicable, its documentation, \"as is\" when it is first distributed under the terms and conditions of the Agreement.\n\n	  Modified Software: means the Software modified by at least one Contribution.\n\n	  Source Code: means all the Software's instructions and program lines to which access is required so as to modify the Software.\n\n	  Object Code: means the binary files originating from the compilation of the Source Code.\n\n	  Holder: means the holder(s) of the economic rights over the Initial Software.\n\n	  Licensee: means the Software user(s) having accepted the Agreement.\n\n	  Contributor: means a Licensee having made at least one Contribution.\n\n	  Licensor: means the Holder, or any other individual or legal entity, who distributes the Software under the Agreement.\n\n	  Contribution: means any or all modifications, corrections, translations, adaptations and/or new functions integrated into the Software by any or all Contributors, as well as any or all Internal Modules.\n\n	  Module: means a set of sources files including their documentation that enables supplementary functions or services in addition to those offered by the Software.\n\n	  External Module: means any or all Modules, not derived from the Software, so that this Module and the Software run in separate address spaces, with one calling the other when they are run.\n\n	  Internal Module: means any or all Module, connected to the Software so that they both execute in the same address space.\n\n	  GNU GPL: means the GNU General Public License version 2 or any subsequent version, as published by the Free Software Foundation Inc.\n\n	  GNU Affero GPL: means the GNU Affero General Public License version 3 or any subsequent version, as published by the Free Software Foundation Inc.\n\n	  EUPL: means the European Union Public License version 1.1 or any subsequent version, as published by the European Commission.\n\n	  Parties: mean both the Licensee and the Licensor.\n\n   These expressions may be used both in singular and plural form.\n\n   <<var;name=\"bullet\";original=\"Article 2 -\";match=\".{0,20}\">> PURPOSE\n\n   The purpose of the Agreement is the grant by the Licensor to the Licensee of a non-exclusive, transferable and worldwide license for the Software as set forth in Article 5<<beginOptional>> <#scope><<endOptional>> hereinafter for the whole term of the protection granted by the rights over said Software.\n\n   <<var;name=\"bullet\";original=\"Article 3 -\";match=\".{0,20}\">> ACCEPTANCE\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> The Licensee shall be deemed as having accepted the terms and conditions of this Agreement upon the occurrence of the first of the following events:\n\n		 <<var;name=\"bullet\";original=\"(i)\";match=\".{0,20}\">> loading the Software by any or all means, notably, by downloading from a remote server, or by loading from a physical medium;\n\n		 <<var;name=\"bullet\";original=\"(ii)\";match=\".{0,20}\">> the first time the Licensee exercises any of the rights granted hereunder.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> One copy of the Agreement, containing a notice relating to the characteristics of the Software, to the limited warranty, and to the fact that its use is restricted to experienced users has been provided to the Licensee prior to its acceptance as set forth in Article 3.1<<beginOptional>> <#accepting><<endOptional>> hereinabove, and the Licensee hereby acknowledges that it has read and understood it.\n\n   <<var;name=\"bullet\";original=\"Article 4 -\";match=\".{0,20}\">> EFFECTIVE DATE AND TERM\n\n	  <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> EFFECTIVE DATE\n\n	  The Agreement shall become effective on the date when it is accepted by the Licensee as set forth in Article 3.1<<beginOptional>> <#accepting><<endOptional>> .\n\n	  <<var;name=\"bullet\";original=\"4.2\";match=\".{0,20}\">> TERM\n\n	  The Agreement shall remain in force for the entire legal term of protection of the economic rights over the Software.\n\n   <<var;name=\"bullet\";original=\"Article 5 -\";match=\".{0,20}\">> SCOPE OF RIGHTS GRANTED\n\n   The Licensor hereby grants to the Licensee, who accepts, the following rights over the Software for any or all use, and for the term of the Agreement, on the basis of the terms and conditions set forth hereinafter.\n\n   Besides, if the Licensor owns or comes to own one or more patents protecting all or part of the functions of the Software or of its components, the Licensor undertakes not to enforce the rights granted by these patents against successive Licensees using, exploiting or modifying the Software. If these patents are transferred, the Licensor undertakes to have the transferees subscribe to the obligations set forth in this paragraph.\n\n	  <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> RIGHT OF USE\n\n	  The Licensee is authorized to use the Software, without any limitation as to its fields of application, with it being hereinafter specified that this comprises:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> permanent or temporary reproduction of all or part of the Software by any or all means and in any or all form.\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> loading, displaying, running, or storing the Software on any or all medium.\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> entitlement to observe, study or test its operation so as to determine the ideas and principles behind any or all constituent elements of said Software. This shall apply when the Licensee carries out any or all loading, displaying, running, transmission or storage operation as regards the Software, that it is entitled to carry out hereunder.\n\n	  <<var;name=\"bullet\";original=\"5.2\";match=\".{0,20}\">> ENTITLEMENT TO MAKE CONTRIBUTIONS\n\n	  The right to make Contributions includes the right to translate, adapt, arrange, or make any or all modifications to the Software, and the right to reproduce the resulting software.\n\n	  The Licensee is authorized to make any or all Contributions to the Software provided that it includes an explicit notice that it is the author of said Contribution and indicates the date of the creation thereof.\n\n	  <<var;name=\"bullet\";original=\"5.3\";match=\".{0,20}\">> RIGHT OF DISTRIBUTION\n\n	  In particular, the right of distribution includes the right to publish, transmit and communicate the Software to the general public on any or all medium, and by any or all means, and the right to market, either in consideration of a fee, or free of charge, one or more copies of the Software by any means.\n\n	  The Licensee is further authorized to distribute copies of the modified or unmodified Software to third parties according to the terms and conditions set forth hereinafter.\n\n		 <<var;name=\"bullet\";original=\"5.3.1.\";match=\".{0,20}\">> DISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\n		 The Licensee is authorized to distribute True copies of the Software in Source Code or Object Code form, provided that said distribution complies with all the provisions of the Agreement and is accompanied by:\n\n			<<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> a copy of the Agreement,\n\n			<<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> a notice relating to the limitation of both the Licensor's warranty and liability as set forth in Articles 8 and 9,\n\n		 and that, in the event that only the Object Code of the Software is redistributed, the Licensee allows effective access to the full Source Code of the Software for a period of at least three years from the distribution of the Software, it being understood that the additional acquisition cost of the Source Code shall not exceed the cost of the data transfer.\n\n		 <<var;name=\"bullet\";original=\"5.3.2.\";match=\".{0,20}\">> DISTRIBUTION OF MODIFIED SOFTWARE\n\n		 When the Licensee makes a Contribution to the Software, the terms and conditions for the distribution of the resulting Modified Software become subject to all the provisions of this Agreement.\n\n		 The Licensee is authorized to distribute the Modified Software, in source code or object code form, provided that said distribution complies with all the provisions of the Agreement and is accompanied by:\n\n			<<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> a copy of the Agreement,\n\n			<<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> a notice relating to the limitation of both the Licensor's warranty and liability as set forth in Articles 8 and 9,\n\n		 and, in the event that only the object code of the Modified Software is redistributed,\n\n			<<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> a note stating the conditions of effective access to the full source code of the Modified Software for a period of at least three years from the distribution of the Modified Software, it being understood that the additional acquisition cost of the source code shall not exceed the cost of the data transfer.\n\n		 <<var;name=\"bullet\";original=\"5.3.3.\";match=\".{0,20}\">> DISTRIBUTION OF EXTERNAL MODULES\n\n		 When the Licensee has developed an External Module, the terms and conditions of this Agreement do not apply to said External Module, that may be distributed under a separate license agreement.\n\n		 <<var;name=\"bullet\";original=\"5.3.4.\";match=\".{0,20}\">> COMPATIBILITY WITH OTHER LICENSES\n\n		 The Licensee can include a code that is subject to the provisions of one of the versions of the GNU GPL, GNU Affero GPL and/or EUPL in the Modified or unmodified Software, and distribute that entire code under the terms of the same version of the GNU GPL, GNU Affero GPL and/or EUPL.\n\n		 The Licensee can include the Modified or unmodified Software in a code that is subject to the provisions of one of the versions of the GNU GPL, GNU Affero GPL and/or EUPL and distribute that entire code under the terms of the same version of the GNU GPL, GNU Affero GPL and/or EUPL.\n\n   <<var;name=\"bullet\";original=\"Article 6 -\";match=\".{0,20}\">> INTELLECTUAL PROPERTY\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> OVER THE INITIAL SOFTWARE\n\n	  The Holder owns the economic rights over the Initial Software. Any or all use of the Initial Software is subject to compliance with the terms and conditions under which the Holder has elected to distribute its work and no one shall be entitled to modify the terms and conditions for the distribution of said Initial Software.\n\n	  The Holder undertakes that the Initial Software will remain ruled at least by this Agreement, for the duration set forth in Article 4.2<<beginOptional>> <#term><<endOptional>> .\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> OVER THE CONTRIBUTIONS\n\n	  The Licensee who develops a Contribution is the owner of the intellectual property rights over this Contribution as defined by applicable law.\n\n	  <<var;name=\"bullet\";original=\"6.3\";match=\".{0,20}\">> OVER THE EXTERNAL MODULES\n\n	  The Licensee who develops an External Module is the owner of the intellectual property rights over this External Module as defined by applicable law and is free to choose the type of agreement that shall govern its distribution.\n\n	  <<var;name=\"bullet\";original=\"6.4\";match=\".{0,20}\">> JOINT PROVISIONS\n\n	  The Licensee expressly undertakes:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> not to remove, or modify, in any manner, the intellectual property notices attached to the Software;\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> to reproduce said notices, in an identical manner, in the copies of the Software modified or not.\n\n	  The Licensee undertakes not to directly or indirectly infringe the intellectual property rights on the Software of the Holder and/or Contributors, and to take, where applicable, vis-\u00e0-vis its staff, any and all measures required to ensure respect of said intellectual property rights of the Holder and/or Contributors.\n\n   <<var;name=\"bullet\";original=\"Article 7 -\";match=\".{0,20}\">> RELATED SERVICES\n\n	  <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> Under no circumstances shall the Agreement oblige the Licensor to provide technical assistance or maintenance services for the Software.\n\n	  However, the Licensor is entitled to offer this type of services. The terms and conditions of such technical assistance, and/or such maintenance, shall be set forth in a separate instrument. Only the Licensor offering said maintenance and/or technical assistance services shall incur liability therefor.\n\n	  <<var;name=\"bullet\";original=\"7.2\";match=\".{0,20}\">> Similarly, any Licensor is entitled to offer to its licensees, under its sole responsibility, a warranty, that shall only be binding upon itself, for the redistribution of the Software and/or the Modified Software, under terms and conditions that it is free to decide. Said warranty, and the financial terms and conditions of its application, shall be subject of a separate instrument executed between the Licensor and the Licensee.\n\n   <<var;name=\"bullet\";original=\"Article 8 -\";match=\".{0,20}\">> LIABILITY\n\n	  <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> Subject to the provisions of Article 8.2, the Licensee shall be entitled to claim compensation for any direct loss it may have suffered from the Software as a result of a fault on the part of the relevant Licensor, subject to providing evidence thereof.\n\n	  <<var;name=\"bullet\";original=\"8.2\";match=\".{0,20}\">> The Licensor's liability is limited to the commitments made under this Agreement and shall not be incurred as a result of in particular: (i) loss due the Licensee's total or partial failure to fulfill its obligations, (ii) direct or consequential loss that is suffered by the Licensee due to the use or performance of the Software, and (iii) more generally, any consequential loss. In particular the Parties expressly agree that any or all pecuniary or business loss (i.e. loss of data, loss of profits, operating loss, loss of customers or orders, opportunity cost, any disturbance to business activities) or any or all legal proceedings instituted against the Licensee by a third party, shall constitute consequential loss and shall not provide entitlement to any or all compensation from the Licensor.\n\n   <<var;name=\"bullet\";original=\"Article 9 -\";match=\".{0,20}\">> WARRANTY\n\n	  <<var;name=\"bullet\";original=\"9.1\";match=\".{0,20}\">> The Licensee acknowledges that the scientific and technical state-of-the-art when the Software was distributed did not enable all possible uses to be tested and verified, nor for the presence of possible defects to be detected. In this respect, the Licensee's attention has been drawn to the risks associated with loading, using, modifying and/or developing and reproducing the Software which are reserved for experienced users.\n\n	  The Licensee shall be responsible for verifying, by any or all means, the suitability of the product for its requirements, its good working order, and for ensuring that it shall not cause damage to either persons or properties.\n\n	  <<var;name=\"bullet\";original=\"9.2\";match=\".{0,20}\">> The Licensor hereby represents, in good faith, that it is entitled to grant all the rights over the Software (including in particular the rights set forth in Article 5<<beginOptional>> <#scope><<endOptional>> ).\n\n	  <<var;name=\"bullet\";original=\"9.3\";match=\".{0,20}\">> The Licensee acknowledges that the Software is supplied \"as is\" by the Licensor without any other express or tacit warranty, other than that provided for in Article 9.2<<beginOptional>> <#good-faith><<endOptional>> and, in particular, without any warranty as to its commercial value, its secured, safe, innovative or relevant nature.\n\n	  Specifically, the Licensor does not warrant that the Software is free from any error, that it will operate without interruption, that it will be compatible with the Licensee's own equipment and software configuration, nor that it will meet the Licensee's requirements.\n\n	  <<var;name=\"bullet\";original=\"9.4\";match=\".{0,20}\">> The Licensor does not either expressly or tacitly warrant that the Software does not infringe any third party intellectual property right relating to a patent, software or any other property right. Therefore, the Licensor disclaims any and all liability towards the Licensee arising out of any or all proceedings for infringement that may be instituted in respect of the use, modification and redistribution of the Software. Nevertheless, should such proceedings be instituted against the Licensee, the Licensor shall provide it with technical and legal expertise for its defense. Such technical and legal expertise shall be decided on a case-by-case basis between the relevant Licensor and the Licensee pursuant to a memorandum of understanding. The Licensor disclaims any and all liability as regards the Licensee's use of the name of the Software. No warranty is given as regards the existence of prior rights over the name of the Software or as regards the existence of a trademark.\n\n   <<var;name=\"bullet\";original=\"Article 10 -\";match=\".{0,20}\">> TERMINATION\n\n	  <<var;name=\"bullet\";original=\"10.1\";match=\".{0,20}\">> In the event of a breach by the Licensee of its obligations hereunder, the Licensor may automatically terminate this Agreement thirty (30) days after notice has been sent to the Licensee and has remained ineffective.\n\n	  <<var;name=\"bullet\";original=\"10.2\";match=\".{0,20}\">> A Licensee whose Agreement is terminated shall no longer be authorized to use, modify or distribute the Software. However, any licenses that it may have granted prior to termination of the Agreement shall remain valid subject to their having been granted in compliance with the terms and conditions hereof.\n\n   <<var;name=\"bullet\";original=\"Article 11 -\";match=\".{0,20}\">> MISCELLANEOUS\n\n	  <<var;name=\"bullet\";original=\"11.1\";match=\".{0,20}\">> EXCUSABLE EVENTS\n\n	  Neither Party shall be liable for any or all delay, or failure to perform the Agreement, that may be attributable to an event of force majeure, an act of God or an outside cause, such as defective functioning or interruptions of the electricity or telecommunications networks, network paralysis following a virus attack, intervention by government authorities, natural disasters, water damage, earthquakes, fire, explosions, strikes and labor unrest, war, etc.\n\n	  <<var;name=\"bullet\";original=\"11.2\";match=\".{0,20}\">> Any failure by either Party, on one or more occasions, to invoke one or more of the provisions hereof, shall under no circumstances be interpreted as being a waiver by the interested Party of its right to invoke said provision(s) subsequently.\n\n	  <<var;name=\"bullet\";original=\"11.3\";match=\".{0,20}\">> The Agreement cancels and replaces any or all previous agreements, whether written or oral, between the Parties and having the same purpose, and constitutes the entirety of the agreement between said Parties concerning said purpose. No supplement or modification to the terms and conditions hereof shall be effective as between the Parties unless it is made in writing and signed by their duly authorized representatives.\n\n	  <<var;name=\"bullet\";original=\"11.4\";match=\".{0,20}\">> In the event that one or more of the provisions hereof were to conflict with a current or future applicable act or legislative text, said act or legislative text shall prevail, and the Parties shall make the necessary amendments so as to comply with said act or legislative text. All other provisions shall remain effective. Similarly, invalidity of a provision of the Agreement, for any reason whatsoever, shall not cause the Agreement as a whole to be invalid.\n\n	  <<var;name=\"bullet\";original=\"11.5\";match=\".{0,20}\">> LANGUAGE\n\n	  The Agreement is drafted in both French and English and both versions are deemed authentic.\n\n   <<var;name=\"bullet\";original=\"Article 12 -\";match=\".{0,20}\">> NEW VERSIONS OF THE AGREEMENT\n\n	  <<var;name=\"bullet\";original=\"12.1\";match=\".{0,20}\">> Any person is authorized to duplicate and distribute copies of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"12.2\";match=\".{0,20}\">> So as to ensure coherence, the wording of this Agreement is protected and may only be modified by the authors of the License, who reserve the right to periodically publish updates or new versions of the Agreement, each with a separate number. These subsequent versions may address new issues encountered by Free Software.\n\n	  <<var;name=\"bullet\";original=\"12.3\";match=\".{0,20}\">> Any Software distributed under a given version of the Agreement may only be subsequently distributed under the same version of the Agreement or a subsequent version, subject to the provisions of Article 5.3.4<<beginOptional>> <#compatibility><<endOptional>> .\n\n   <<var;name=\"bullet\";original=\"Article 13 -\";match=\".{0,20}\">> GOVERNING LAW AND JURISDICTION\n\n	  <<var;name=\"bullet\";original=\"13.1\";match=\".{0,20}\">> The Agreement is governed by French law. The Parties agree to endeavor to seek an amicable solution to any disagreements or disputes that may arise during the performance of the Agreement.\n\n	  <<var;name=\"bullet\";original=\"13.2\";match=\".{0,20}\">> Failing an amicable solution within two (2) months as from their occurrence, and unless emergency proceedings are necessary, the disagreements or disputes shall be referred to the Paris Courts having jurisdiction, by the more diligent Party.<<beginOptional>> 1 CeCILL stands for Ce(a) C(nrs) I(nria) L(ogiciel) L(ibre)<<endOptional>>"
		self.name = "CeCILL Free Software License Agreement v2.1"
		self.licenseComments = "French version can be found here: http://www.cecill.info/licences/Licence_CeCILL_V2.1-fr.html"
		self.licenseId = "CECILL-2.1"
		self.crossRef = [{"match": "False", "url": "http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.html"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>\nCeCILL FREE SOFTWARE LICENSE AGREEMENT\n	  </p>\n\n	  </div>\n	  <p>\nVersion 2.1 dated 2013-06-21\n  </p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>\nNotice\n	  </p>\n\n		 <p>\nThis Agreement is a Free Software license agreement that is the result of discussions between its authors in order to ensure compliance with the two main principles guiding its drafting:\n	  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n\nfirstly, compliance with the principles governing the distribution of Free Software: access to source code, broad rights granted to users,\n\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n\nsecondly, the election of a governing law, French law, with which it is conformant, both as regards the law of torts and intellectual property law, and the protection that it offers to both authors and holders of the economic rights over software.\n\n		</li>\n		 \n</ul>\n		 <p>\nThe authors of the <var class=\"replaceable-license-text\"> CeCILL\u00b9</var> license are:\n	  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <p>\nCommissariat \u00e0 l&apos;\u00e9nergie atomique et aux \u00e9nergies alternatives - CEA, a public scientific, technical and industrial research establishment, having its principal place of business at 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n		  </p>\n\n			</li>\n			\n<li>\n			   <p>\nCentre National de la Recherche Scientifique - CNRS, a public scientific and technological establishment, having its principal place of business at 3 rue Michel-Ange, 75794 Paris cedex 16, France.\n		  </p>\n\n			</li>\n			\n<li>\n			   <p>\nInstitut National de Recherche en Informatique et en Automatique - Inria, a public scientific and technological establishment, having its principal place of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay cedex, France.\n		  </p>\n\n			</li>\n		 \n</ul>\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Preamble</var>\n\nThe purpose of this Free Software license agreement is to grant users the right to modify and redistribute the software governed by this license within the framework of an open source distribution model.\n\n		  <p>\nThe exercising of this right is conditional upon certain obligations for users so as to preserve this status for all subsequent redistributions.\n		  </p>\n\n			<p>\nIn consideration of access to the source code and the rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software&apos;s author, the holder of the economic rights, and the successive licensors only have limited liability.\n		  </p>\n\n			<p>\nIn this respect, the risks associated with loading, using, modifying and/or developing or reproducing the software by the user are brought to the user&apos;s attention, given its Free Software status, which may make it complicated to use, with the result that its use is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the suitability of the software as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions of security. This Agreement may be freely reproduced and published, provided it is not altered, and that no provisions are either added or removed herefrom.\n		  </p>\n\n			<p>\nThis Agreement may apply to any or all software for which the holder of the economic rights decides to submit the use thereof to its provisions.\n		  </p>\n\n			<p>\nFrequently asked questions can be found on the official website of the CeCILL licenses family (http://www.cecill.info/index.en.html) for any necessary clarification.\n		  </p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 1 -</var>\n\n		DEFINITIONS\n\n	  <p>\nFor the purpose of this Agreement, when the following expressions commence with a capital letter, they shall have the following meaning:\n	  </p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <p>\nAgreement: means this license agreement, and its possible subsequent versions and annexes.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nSoftware: means the software in its Object Code and/or Source Code form and, where applicable, its documentation, &quot;as is&quot; when the Licensee accepts the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nInitial Software: means the Software in its Source Code and possibly its Object Code form and, where applicable, its documentation, &quot;as is&quot; when it is first distributed under the terms and conditions of the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nModified Software: means the Software modified by at least one Contribution.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nSource Code: means all the Software&apos;s instructions and program lines to which access is required so as to modify the Software.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nObject Code: means the binary files originating from the compilation of the Source Code.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nHolder: means the holder(s) of the economic rights over the Initial Software.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nLicensee: means the Software user(s) having accepted the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nContributor: means a Licensee having made at least one Contribution.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nLicensor: means the Holder, or any other individual or legal entity, who distributes the Software under the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nContribution: means any or all modifications, corrections, translations, adaptations and/or new functions integrated into the Software by any or all Contributors, as well as any or all Internal Modules.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nModule: means a set of sources files including their documentation that enables supplementary functions or services in addition to those offered by the Software.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nExternal Module: means any or all Modules, not derived from the Software, so that this Module and the Software run in separate address spaces, with one calling the other when they are run.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nInternal Module: means any or all Module, connected to the Software so that they both execute in the same address space.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nGNU GPL: means the GNU General Public License version 2 or any subsequent version, as published by the Free Software Foundation Inc.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nGNU Affero GPL: means the GNU Affero General Public License version 3 or any subsequent version, as published by the Free Software Foundation Inc.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nEUPL: means the European Union Public License version 1.1 or any subsequent version, as published by the European Commission.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nParties: mean both the Licensee and the Licensor.\n		  </p>\n\n			   </li>\n			\n</ul>\n			<p>\nThese expressions may be used both in singular and plural form.\n	  </p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 2 -</var>\n\nPURPOSE\n\n	  <p>\nThe purpose of the Agreement is the grant by the Licensor to the Licensee of a non-exclusive, transferable and worldwide license for the Software as set forth in Article 5 <var class=\"optional-license-text\"> &lt;#scope&gt;</var> hereinafter for the whole term of the protection granted by the rights over said Software.\n	  </p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 3 -</var>\n\nACCEPTANCE\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n\nThe Licensee shall be deemed as having accepted the terms and conditions of this Agreement upon the occurrence of the first of the following events:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (i)</var>\n\nloading the Software by any or all means, notably, by downloading from a remote server, or by loading from a physical medium;\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (ii)</var>\n\nthe first time the Licensee exercises any of the rights granted hereunder.\n\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n\nOne copy of the Agreement, containing a notice relating to the characteristics of the Software, to the limited warranty, and to the fact that its use is restricted to experienced users has been provided to the Licensee prior to its acceptance as set forth in Article 3.1 <var class=\"optional-license-text\"> &lt;#accepting&gt;</var> hereinabove, and the Licensee hereby acknowledges that it has read and understood it.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 4 -</var>\n\nEFFECTIVE DATE AND TERM\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.1</var>\n\nEFFECTIVE DATE\n\n		  <p>\nThe Agreement shall become effective on the date when it is accepted by the Licensee as set forth in Article 3.1 <var class=\"optional-license-text\"> &lt;#accepting&gt;</var>.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.2</var>\n\nTERM\n\n		  <p>\nThe Agreement shall remain in force for the entire legal term of protection of the economic rights over the Software.\n		  </p>\n\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 5 -</var>\n\nSCOPE OF RIGHTS GRANTED\n\n	  <p>\nThe Licensor hereby grants to the Licensee, who accepts, the following rights over the Software for any or all use, and for the term of the Agreement, on the basis of the terms and conditions set forth hereinafter.\n	  </p>\n\n			<p>\nBesides, if the Licensor owns or comes to own one or more patents protecting all or part of the functions of the Software or of its components, the Licensor undertakes not to enforce the rights granted by these patents against successive Licensees using, exploiting or modifying the Software. If these patents are transferred, the Licensor undertakes to have the transferees subscribe to the obligations set forth in this paragraph.\n	  </p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.1</var>\n\nRIGHT OF USE\n\n		  <p>\nThe Licensee is authorized to use the Software, without any limitation as to its fields of application, with it being hereinafter specified that this comprises:\n		  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n\npermanent or temporary reproduction of all or part of the Software by any or all means and in any or all form.\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n\nloading, displaying, running, or storing the Software on any or all medium.\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.</var>\n\nentitlement to observe, study or test its operation so as to determine the ideas and principles behind any or all constituent elements of said Software. This shall apply when the Licensee carries out any or all loading, displaying, running, transmission or storage operation as regards the Software, that it is entitled to carry out hereunder.\n\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.2</var>\n\nENTITLEMENT TO MAKE CONTRIBUTIONS\n\n		  <p>\nThe right to make Contributions includes the right to translate, adapt, arrange, or make any or all modifications to the Software, and the right to reproduce the resulting software.\n		  </p>\n\n				  <p>\nThe Licensee is authorized to make any or all Contributions to the Software provided that it includes an explicit notice that it is the author of said Contribution and indicates the date of the creation thereof.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.3</var>\n\nRIGHT OF DISTRIBUTION\n\n		  <p>\nIn particular, the right of distribution includes the right to publish, transmit and communicate the Software to the general public on any or all medium, and by any or all means, and the right to market, either in consideration of a fee, or free of charge, one or more copies of the Software by any means.\n		  </p>\n\n				  <p>\nThe Licensee is further authorized to distribute copies of the modified or unmodified Software to third parties according to the terms and conditions set forth hereinafter.\n		  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.1.</var>\n\nDISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\n			  <p>\nThe Licensee is authorized to distribute True copies of the Software in Source Code or Object Code form, provided that said distribution complies with all the provisions of the Agreement and is accompanied by:\n			  </p>\n\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 1.</var>\n\na copy of the Agreement,\n\n			  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 2.</var>\n\na notice relating to the limitation of both the Licensor&apos;s warranty and liability as set forth in Articles 8 and 9,\n\n			  </li>\n						\n</ul>\n						<p>\nand that, in the event that only the Object Code of the Software is redistributed, the Licensee allows effective access to the full Source Code of the Software for a period of at least three years from the distribution of the Software, it being understood that the additional acquisition cost of the Source Code shall not exceed the cost of the data transfer.\n			</p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.2.</var>\n\nDISTRIBUTION OF MODIFIED SOFTWARE\n\n			<p>\nWhen the Licensee makes a Contribution to the Software, the terms and conditions for the distribution of the resulting Modified Software become subject to all the provisions of this Agreement.\n			</p>\n\n						<p>\nThe Licensee is authorized to distribute the Modified Software, in source code or object code form, provided that said distribution complies with all the provisions of the Agreement and is accompanied by:\n			</p>\n\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 1.</var>\n\na copy of the Agreement,\n\n			</li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 2.</var>\n\na notice relating to the limitation of both the Licensor&apos;s warranty and liability as set forth in Articles 8 and 9,\n\n			</li>\n						\n</ul>\n						<p>\nand, in the event that only the object code of the Modified Software is redistributed,\n		  </p>\n\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 3.</var>\n\na note stating the conditions of effective access to the full source code of the Modified Software for a period of at least three years from the distribution of the Modified Software, it being understood that the additional acquisition cost of the source code shall not exceed the cost of the data transfer.\n\n\t	</li>\n\t					   \n</ul>\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.3.</var>\n\nDISTRIBUTION OF EXTERNAL MODULES\n\n		  <p>\nWhen the Licensee has developed an External Module, the terms and conditions of this Agreement do not apply to said External Module, that may be distributed under a separate license agreement.\n		  </p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.4.</var>\n\nCOMPATIBILITY WITH OTHER LICENSES\n\n			<p>\nThe Licensee can include a code that is subject to the provisions of one of the versions of the GNU GPL, GNU Affero GPL and/or EUPL in the Modified or unmodified Software, and distribute that entire code under the terms of the same version of the GNU GPL, GNU Affero GPL and/or EUPL.\n			</p>\n\n						<p>\nThe Licensee can include the Modified or unmodified Software in a code that is subject to the provisions of one of the versions of the GNU GPL, GNU Affero GPL and/or EUPL and distribute that entire code under the terms of the same version of the GNU GPL, GNU Affero GPL and/or EUPL.\n			</p>\n\n					 </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 6 -</var>\n\nINTELLECTUAL PROPERTY\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1</var>\n\nOVER THE INITIAL SOFTWARE\n\n		  <p>\nThe Holder owns the economic rights over the Initial Software. Any or all use of the Initial Software is subject to compliance with the terms and conditions under which the Holder has elected to distribute its work and no one shall be entitled to modify the terms and conditions for the distribution of said Initial Software.\n		  </p>\n\n				  <p>\nThe Holder undertakes that the Initial Software will remain ruled at least by this Agreement, for the duration set forth in Article 4.2<var class=\"optional-license-text\"> &lt;#term&gt;</var>.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2</var>\n\nOVER THE CONTRIBUTIONS\n\n		  <p>\nThe Licensee who develops a Contribution is the owner of the intellectual property rights over this Contribution as defined by applicable law.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3</var>\n\nOVER THE EXTERNAL MODULES\n\n		  <p>\nThe Licensee who develops an External Module is the owner of the intellectual property rights over this External Module as defined by applicable law and is free to choose the type of agreement that shall govern its distribution.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.4</var>\n\nJOINT PROVISIONS\n\n		  <p>\nThe Licensee expressly undertakes:\n		  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n\nnot to remove, or modify, in any manner, the intellectual property notices attached to the Software;\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n\nto reproduce said notices, in an identical manner, in the copies of the Software modified or not.\n\n			</li>\n				  \n</ul>\n				  <p>\nThe Licensee undertakes not to directly or indirectly infringe the intellectual property rights on the Software of the Holder and/or Contributors, and to take, where applicable, vis-\u00e0-vis its staff, any and all measures required to ensure respect of said intellectual property rights of the Holder and/or Contributors.\n		  </p>\n\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 7 -</var>\n\nRELATED SERVICES\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.1</var>\n\nUnder no circumstances shall the Agreement oblige the Licensor to provide technical assistance or maintenance services for the Software.\n\n		  <p>\nHowever, the Licensor is entitled to offer this type of services. The terms and conditions of such technical assistance, and/or such maintenance, shall be set forth in a separate instrument. Only the Licensor offering said maintenance and/or technical assistance services shall incur liability therefor.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.2</var>\n\nSimilarly, any Licensor is entitled to offer to its licensees, under its sole responsibility, a warranty, that shall only be binding upon itself, for the redistribution of the Software and/or the Modified Software, under terms and conditions that it is free to decide. Said warranty, and the financial terms and conditions of its application, shall be subject of a separate instrument executed between the Licensor and the Licensee.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 8 -</var>\n\nLIABILITY\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1</var>\n\nSubject to the provisions of Article 8.2, the Licensee shall be entitled to claim compensation for any direct loss it may have suffered from the Software as a result of a fault on the part of the relevant Licensor, subject to providing evidence thereof.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2</var>\n\nThe Licensor&apos;s liability is limited to the commitments made under this Agreement and shall not be incurred as a result of in particular: (i) loss due the Licensee&apos;s total or partial failure to fulfill its obligations, (ii) direct or consequential loss that is suffered by the Licensee due to the use or performance of the Software, and (iii) more generally, any consequential loss. In particular the Parties expressly agree that any or all pecuniary or business loss (i.e. loss of data, loss of profits, operating loss, loss of customers or orders, opportunity cost, any disturbance to business activities) or any or all legal proceedings instituted against the Licensee by a third party, shall constitute consequential loss and shall not provide entitlement to any or all compensation from the Licensor.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 9 -</var>\n\nWARRANTY\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.1</var>\n\nThe Licensee acknowledges that the scientific and technical state-of-the-art when the Software was distributed did not enable all possible uses to be tested and verified, nor for the presence of possible defects to be detected. In this respect, the Licensee&apos;s attention has been drawn to the risks associated with loading, using, modifying and/or developing and reproducing the Software which are reserved for experienced users.\n\n		  <p>\nThe Licensee shall be responsible for verifying, by any or all means, the suitability of the product for its requirements, its good working order, and for ensuring that it shall not cause damage to either persons or properties.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.2</var>\n\nThe Licensor hereby represents, in good faith, that it is entitled to grant all the rights over the Software (including in particular the rights set forth in Article 5<var class=\"optional-license-text\"> &lt;#scope&gt;</var>).\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.3</var>\n\nThe Licensee acknowledges that the Software is supplied &quot;as is&quot; by the Licensor without any other express or tacit warranty, other than that provided for in Article 9.2 <var class=\"optional-license-text\"> &lt;#good-faith&gt;</var> and, in particular, without any warranty as to its commercial value, its secured, safe, innovative or relevant nature.\n\n		  <p>\nSpecifically, the Licensor does not warrant that the Software is free from any error, that it will operate without interruption, that it will be compatible with the Licensee&apos;s own equipment and software configuration, nor that it will meet the Licensee&apos;s requirements.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.4</var>\n\nThe Licensor does not either expressly or tacitly warrant that the Software does not infringe any third party intellectual property right relating to a patent, software or any other property right. Therefore, the Licensor disclaims any and all liability towards the Licensee arising out of any or all proceedings for infringement that may be instituted in respect of the use, modification and redistribution of the Software. Nevertheless, should such proceedings be instituted against the Licensee, the Licensor shall provide it with technical and legal expertise for its defense. Such technical and legal expertise shall be decided on a case-by-case basis between the relevant Licensor and the Licensee pursuant to a memorandum of understanding. The Licensor disclaims any and all liability as regards the Licensee&apos;s use of the name of the Software. No warranty is given as regards the existence of prior rights over the name of the Software or as regards the existence of a trademark.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 10 -</var>\n\nTERMINATION\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.1</var>\n\nIn the event of a breach by the Licensee of its obligations hereunder, the Licensor may automatically terminate this Agreement thirty (30) days after notice has been sent to the Licensee and has remained ineffective.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.2</var>\n\nA Licensee whose Agreement is terminated shall no longer be authorized to use, modify or distribute the Software. However, any licenses that it may have granted prior to termination of the Agreement shall remain valid subject to their having been granted in compliance with the terms and conditions hereof.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 11 -</var>\n\nMISCELLANEOUS\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.1</var>\n\nEXCUSABLE EVENTS\n\n		  <p>\nNeither Party shall be liable for any or all delay, or failure to perform the Agreement, that may be attributable to an event of force majeure, an act of God or an outside cause, such as defective functioning or interruptions of the electricity or telecommunications networks, network paralysis following a virus attack, intervention by government authorities, natural disasters, water damage, earthquakes, fire, explosions, strikes and labor unrest, war, etc.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.2</var>\n\nAny failure by either Party, on one or more occasions, to invoke one or more of the provisions hereof, shall under no circumstances be interpreted as being a waiver by the interested Party of its right to invoke said provision(s) subsequently.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.3</var>\n\nThe Agreement cancels and replaces any or all previous agreements, whether written or oral, between the Parties and having the same purpose, and constitutes the entirety of the agreement between said Parties concerning said purpose. No supplement or modification to the terms and conditions hereof shall be effective as between the Parties unless it is made in writing and signed by their duly authorized representatives.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.4</var>\n\nIn the event that one or more of the provisions hereof were to conflict with a current or future applicable act or legislative text, said act or legislative text shall prevail, and the Parties shall make the necessary amendments so as to comply with said act or legislative text. All other provisions shall remain effective. Similarly, invalidity of a provision of the Agreement, for any reason whatsoever, shall not cause the Agreement as a whole to be invalid.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.5</var>\n\nLANGUAGE\n\n		  <p>\nThe Agreement is drafted in both French and English and both versions are deemed authentic.\n		  </p>\n\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 12 -</var>\n\nNEW VERSIONS OF THE AGREEMENT\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.1</var>\n\nAny person is authorized to duplicate and distribute copies of this Agreement.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.2</var>\n\nSo as to ensure coherence, the wording of this Agreement is protected and may only be modified by the authors of the License, who reserve the right to periodically publish updates or new versions of the Agreement, each with a separate number. These subsequent versions may address new issues encountered by Free Software.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.3</var>\n\nAny Software distributed under a given version of the Agreement may only be subsequently distributed under the same version of the Agreement or a subsequent version, subject to the provisions of Article 5.3.4<var class=\"optional-license-text\"> &lt;#compatibility&gt;</var>.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 13 -</var>\n\nGOVERNING LAW AND JURISDICTION\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.1</var>\n\nThe Agreement is governed by French law. The Parties agree to endeavor to seek an amicable solution to any disagreements or disputes that may arise during the performance of the Agreement.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.2</var>\n\nFailing an amicable solution within two (2) months as from their occurrence, and unless emergency proceedings are necessary, the disagreements or disputes shall be referred to the Paris Courts having jurisdiction, by the more diligent Party.\n\n		</li>\n			\n</ul>\n		 </li>\n	  \n</ul>\n\t  <var class=\"optional-license-text\"> 1 CeCILL stands for Ce(a) C(nrs) I(nria) L(ogiciel) L(ibre)</var>\n	"
		self.python_name = "CECILL21"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDINRIAIMAG:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This software is available with usual \"research\" terms with\nthe aim of retain credits of the software. Permission to use,\ncopy, modify and distribute this software for any purpose and\nwithout fee is hereby granted, provided that the above copyright\nnotice and this permission notice appear in all copies, and\nthe name of INRIA, IMAG, or any contributor not be used in\nadvertising or publicity pertaining to this material without\nthe prior explicit permission. The software is provided \"as\nis\" without any warranties, support or liabilities of any kind.\n"
		self.standardLicenseTemplate = "This software is available with usual \"research\" terms with the aim of retain credits of the software. Permission to use, copy, modify and distribute this software for any purpose and without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies, and the name of INRIA, IMAG, or any contributor not be used in advertising or publicity pertaining to this material without the prior explicit permission. The software is provided \"as is\" without any warranties, support or liabilities of any kind.\n\n"
		self.name = "Historical Permission Notice and Disclaimer	- INRIA-IMAG variant"
		self.licenseId = "HPND-INRIA-IMAG"
		self.crossRef = [{"match": "False", "url": "https://github.com/ppp-project/ppp/blob/master/pppd/ipv6cp.c#L75-L83", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:11Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/ppp-project/ppp/blob/master/pppd/ipv6cp.c#L75-L83"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			This software is available with usual &quot;research&quot; terms with\n			the aim of retain credits of the software. Permission to use,\n			copy, modify and distribute this software for any purpose and\n			without fee is hereby granted, provided that the above copyright\n			notice and this permission notice appear in all copies, and\n			the name of INRIA, IMAG, or any contributor not be used in\n			advertising or publicity pertaining to this material without\n			the prior explicit permission. The software is provided &quot;as\n			is&quot; without any warranties, support or liabilities of any kind.\n		 </p>\n\n	  "
		self.python_name = "HPNDINRIAIMAG"

	def __str__(self):
		return json.dumps(self.__dict__)


class NTP:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "NTP License (NTP)\n\nCopyright (c) (CopyrightHoldersName) (From 4-digit-year)-(To 4-digit-year)\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose with or without fee is hereby granted, provided that the above copyright notice appears in all copies and that both the copyright notice and this permission notice appear in supporting documentation, and that the name (TrademarkedName) not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. (TrademarkedName) makes no representations about the suitability this software for any purpose. It is provided \"as is\" without express or implied warranty.\n"
		self.standardLicenseTemplate = "<<beginOptional>>NTP License (NTP)\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) (CopyrightHoldersName) (From 4-digit-year)-(To 4-digit-year)  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose with or without fee is hereby granted, provided that the above copyright notice appears in all copies and that both the copyright notice and this permission notice appear in supporting documentation, and that the name <<var;name=\"TMname\";original=\"(TrademarkedName)\";match=\".+\">> not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. <<var;name=\"TMname\";original=\"(TrademarkedName)\";match=\".+\">> makes no representations about the suitability<<beginOptional>> of<<endOptional>> this software for any purpose. It is provided \"as is\" without express or implied warranty.\n\n"
		self.name = "NTP License"
		self.licenseId = "NTP"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/NTP", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:04Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/NTP"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>NTP License (NTP)</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) (CopyrightHoldersName) (From 4-digit-year)-(To 4-digit-year)\n		 </p>\n\n	  </div>\n\n	  <p>Permission to use, copy, modify, and distribute this software and its documentation for any purpose with\n		 or without fee is hereby granted, provided that the above copyright notice appears in all copies and\n		 that both the copyright notice and this permission notice appear in supporting documentation, and that\n		 the name\n		<var class=\"replaceable-license-text\"> (TrademarkedName)</var> not be used in advertising or publicity pertaining\n		to distribution of the software without specific, written prior permission.\n\t<var class=\"replaceable-license-text\"> (TrademarkedName)</var> makes no representations about the suitability <var class=\"optional-license-text\"> of</var>\n		this software for any purpose. It is provided &quot;as is&quot; without express or implied warranty.\n	  </p>\n\n	"
		self.python_name = "NTP"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDMarkusKuhn:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Permission to use, copy, modify, and distribute this software\nfor any purpose and without fee is hereby granted. The author\ndisclaims all warranties with regard to this software.\n"
		self.standardLicenseTemplate = "Permission to use, copy, modify, and distribute this software for any purpose and without fee is hereby granted. The author disclaims all warranties with regard to this software.\n\n"
		self.name = "Historical Permission Notice and Disclaimer - Markus Kuhn variant"
		self.licenseId = "HPND-Markus-Kuhn"
		self.crossRef = [{"match": "False", "url": "https://www.cl.cam.ac.uk/~mgk25/ucs/wcwidth.c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:21Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://sourceware.org/git/?p=binutils-gdb.git;a=blob;f=readline/readline/support/wcwidth.c;h=0f5ec995796f4813abbcf4972aec0378ab74722a;hb=HEAD#l55", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:22Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://www.cl.cam.ac.uk/~mgk25/ucs/wcwidth.c", "https://sourceware.org/git/?p=binutils-gdb.git;a=blob;f=readline/readline/support/wcwidth.c;h=0f5ec995796f4813abbcf4972aec0378ab74722a;hb=HEAD#l55"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\t <p>\n\t\tPermission to use, copy, modify, and distribute this software\n\t\tfor any purpose and without fee is hereby granted. The author\n\t\tdisclaims all warranties with regard to this software.\n		 </p>\n\n	  "
		self.python_name = "HPNDMarkusKuhn"

	def __str__(self):
		return json.dumps(self.__dict__)


class SAXPD20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "SAX2 is Free!\n\nI hereby abandon any property rights to SAX 2.0 (the Simple API for\nXML), and release all of the SAX 2.0 source code, compiled code, and\ndocumentation contained in this distribution into the Public Domain.\nSAX comes with NO WARRANTY or guarantee of fitness for any\npurpose.\n\nDavid Megginson, david@megginson.com\n2000-05-05\n"
		self.standardLicenseTemplate = "<<beginOptional>><<var;name=\"header\";original=\"SAX IS FREE\";match=\"(SAX 2.0)|(SAX IS FREE)|(SAX2 is Free!)\">> <<var;name=\"underline\";original=\"-----------\";match=\"-*\">><<endOptional>>\n\nI hereby abandon any property rights to SAX 2.0 (the Simple API for XML), and release all of the SAX 2.0 source code, compiled code, and documentation contained in this distribution into the Public Domain. SAX comes with NO WARRANTY or guarantee of fitness for any purpose.\n\n<<var;name=\"copyright\";original=\"David Megginson, Megginson Technologies Ltd.	2000-05-05  \";match=\".{0,5000}\">>"
		self.name = "Sax Public Domain Notice 2.0"
		self.licenseId = "SAX-PD-2.0"
		self.crossRef = [{"match": "True", "url": "http://www.saxproject.org/copying.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:24Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.saxproject.org/copying.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n						<var class=\"optional-license-text\"> \n								<var class=\"replaceable-license-text\"> SAX IS FREE</var>\n								<var class=\"replaceable-license-text\"> -----------</var>\n						</var>\n						<p>\n								I hereby abandon any property rights to SAX 2.0\n								(the Simple API for XML), and release all of the\n								SAX 2.0 source code, compiled code, and\n								documentation contained in this distribution\n								into the Public Domain. SAX comes with NO\n								WARRANTY or guarantee of fitness for any\n								purpose.\n						</p>\n\n						<div class=\"replaceable-license-text\"> \n								<p>\n										David Megginson, Megginson Technologies\n										Ltd.\n								</p>\n\n								<p>\n										2000-05-05\n								</p>\n\n						</div>\n				"
		self.python_name = "SAXPD20"

	def __str__(self):
		return json.dumps(self.__dict__)


class Noweb:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Noweb is copyright 1989-2000 by Norman Ramsey. All rights reserved.\n\nNoweb is protected by copyright. It is not public-domain software or shareware, and it is not protected by a ``copyleft'' agreement like the one used by the Free Software Foundation.\n\nNoweb is available free for any use in any field of endeavor. You may redistribute noweb in whole or in part provided you acknowledge its source and include this COPYRIGHT file. You may modify noweb and create derived works, provided you retain this copyright notice, but the result may not be called noweb without my written consent.\n\nYou may sell noweb if you wish. For example, you may sell a CD-ROM including noweb.\n\nYou may sell a derived work, provided that all source code for your derived work is available, at no additional charge, to anyone who buys your derived work in any form. You must give permisson for said source code to be used and modified under the terms of this license. You must state clearly that your work uses or is based on noweb and that noweb is available free of change. You must also request that bug reports on your work be reported to you.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Noweb is copyright 1989-2000 by Norman Ramsey. All rights reserved.  \";match=\".{0,5000}\">>\n\nNoweb is protected by copyright. It is not public-domain software or shareware, and it is not protected by a ``copyleft'' agreement like the one used by the Free Software Foundation.\n\nNoweb is available free for any use in any field of endeavor. You may redistribute noweb in whole or in part provided you acknowledge its source and include this COPYRIGHT file. You may modify noweb and create derived works, provided you retain this copyright notice, but the result may not be called noweb without my written consent.\n\nYou may sell noweb if you wish. For example, you may sell a CD-ROM including noweb.\n\nYou may sell a derived work, provided that all source code for your derived work is available, at no additional charge, to anyone who buys your derived work in any form. You must give permisson for said source code to be used and modified under the terms of this license. You must state clearly that your work uses or is based on noweb and that noweb is available free of change. You must also request that bug reports on your work be reported to you.\n\n"
		self.name = "Noweb License"
		self.licenseId = "Noweb"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Noweb", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:51Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Noweb"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Noweb is copyright 1989-2000 by Norman Ramsey. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Noweb is protected by copyright. It is not public-domain software or shareware, and it is not protected\n		 by a ``copyleft&apos;&apos; agreement like the one used by the Free Software Foundation.</p>\n\n	  <p>Noweb is available free for any use in any field of endeavor. You may redistribute noweb in whole or in\n		 part provided you acknowledge its source and include this COPYRIGHT file. You may modify noweb and\n		 create derived works, provided you retain this copyright notice, but the result may not be called\n		 noweb without my written consent.</p>\n\n	  <p>You may sell noweb if you wish. For example, you may sell a CD-ROM including noweb.</p>\n\n	  <p>You may sell a derived work, provided that all source code for your derived work is available, at no\n		 additional charge, to anyone who buys your derived work in any form. You must give permisson for said\n		 source code to be used and modified under the terms of this license. You must state clearly that your\n		 work uses or is based on noweb and that noweb is available free of change. You must also request that\n		 bug reports on your work be reported to you.</p>\n\n	"
		self.python_name = "Noweb"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYND30DE:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Namensnennung - Keine Bearbeitungen 3.0 Deutschland\n\n  CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\nLizenz\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \"SCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \"LIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n1. Definitionen\n\n	 a. Der Begriff \"Abwandlung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n\n	 b. Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	 c. \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n\n	 d. Der \"Lizenzgeber\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	 e. \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n\n	 f. Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \"Schutzgegenstand\" im Sinne dieser Lizenz.\n\n	 g. Mit \"Sie\" bzw. \"Ihnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	 h. Unter \"\u00d6ffentlich Zeigen\" im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	 i. \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n\n2. Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n3. Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.c) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (\"unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann\"):\n\n	 a. Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	 b. den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten.\n\n	 c. Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		  i. Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n\n		  ii. Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, verzichtet der Lizenzgeber f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des Schutzgegenstandes durch Sie auf jegliche Verg\u00fctung.\n\n		  iii. Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re.\n\nDas vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Weitergehende \u00c4nderungen oder Abwandlungen sind jedoch untersagt. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n\n4. Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	 a. Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.b) aufgez\u00e4hlten Hinweise entfernen.\n\n	 b. Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n\n		  i. Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\"Zuschreibungsempf\u00e4nger\"), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		  ii. den Titel des Inhaltes;\n\n		  iii. in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand.\n\n		Die nach diesem Abschnitt 4.b) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n\n	 c. Die oben unter 4.a) und b) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	 d. Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n5. Gew\u00e4hrleistung\n\nSOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n\n6. Haftungsbeschr\u00e4nkung\n\nDER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n\n7. Erl\u00f6schen\n\n	 a. Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die den Schutzgegenstand enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	 b. Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n8. Sonstige Bestimmungen\n\n	 a. Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	 b. Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n\n	 c. Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	 d. Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) angeboteten Lizenzen aus.\n\n	 e. Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Namensnennung - Keine Bearbeitungen 3.0 Deutschland\n\n<<endOptional>>\n\nCREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\nLizenz\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \"SCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \"LIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitionen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Der Begriff \"Abwandlung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Der \"Lizenzgeber\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \"Schutzgegenstand\" im Sinne dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Mit \"Sie\" bzw. \"Ihnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Unter \"\u00d6ffentlich Zeigen\" im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.c) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (\"unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann\"):\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, verzichtet der Lizenzgeber f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des Schutzgegenstandes durch Sie auf jegliche Verg\u00fctung.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re. Das vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Weitergehende \u00c4nderungen oder Abwandlungen sind jedoch untersagt. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.b) aufgez\u00e4hlten Hinweise entfernen.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\"Zuschreibungsempf\u00e4nger\"), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> den Titel des Inhaltes;\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand. Die nach diesem Abschnitt 4.b) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Die oben unter 4.a) und b) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Gew\u00e4hrleistung SOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Haftungsbeschr\u00e4nkung DER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Erl\u00f6schen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die den Schutzgegenstand enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Sonstige Bestimmungen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) angeboteten Lizenzen aus.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution No Derivatives 3.0 Germany"
		self.licenseId = "CC-BY-ND-3.0-DE"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nd/3.0/de/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:46Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nd/3.0/de/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		  <p>Creative Commons Namensnennung - Keine Bearbeitungen 3.0 Deutschland</p>\n\n	  </div>\n	  <p>CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.</p>\n\n	  <p>Lizenz</p>\n\n	  <p>DER GEGENSTAND DIESER LIZENZ (WIE UNTER &quot;SCHUTZGEGENSTAND&quot; DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (&quot;CCPL&quot;, &quot;LIZENZ&quot; ODER &quot;LIZENZVERTRAG&quot;) ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.</p>\n\n	  <p>DURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			  <var class=\"replaceable-license-text\"> 1.</var> Definitionen\n			  \n<ul style=\"list-style:none\">\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> a.</var> Der Begriff &quot;Abwandlung&quot; im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> b.</var> Der Begriff &quot;Sammelwerk&quot; im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> c.</var> &quot;Verbreiten&quot; im Sinne dieser Lizenz bedeutet, den Schutzgegenstand im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> d.</var> Der &quot;Lizenzgeber&quot; im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> e.</var> &quot;Rechteinhaber&quot; im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> f.</var> Der Begriff &quot;Schutzgegenstand&quot; bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff &quot;Schutzgegenstand&quot; im Sinne dieser Lizenz.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> g.</var> Mit &quot;Sie&quot; bzw. &quot;Ihnen&quot; ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> h.</var> Unter &quot;\u00d6ffentlich Zeigen&quot; im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> i.</var> &quot;Vervielf\u00e4ltigen&quot; im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n				  </li>\n			  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var> Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var> Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.c) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (&quot;unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann&quot;):\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, verzichtet der Lizenzgeber f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des Schutzgegenstandes durch Sie auf jegliche Verg\u00fctung.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re.\n							  </li>\n						  \n</ul>\n					  </li>\n				  \n</ul>\n\n				  Das vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Weitergehende \u00c4nderungen oder Abwandlungen sind jedoch untersagt. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var> Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.b) aufgez\u00e4hlten Hinweise entfernen.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (&quot;Zuschreibungsempf\u00e4nger&quot;), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> den Titel des Inhaltes;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand.\n							  </li>\n						  \n</ul>\n\n						  Die nach diesem Abschnitt 4.b) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Die oben unter 4.a) und b) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 5.</var> Gew\u00e4hrleistung\nSOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 6.</var> Haftungsbeschr\u00e4nkung\nDER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 7.</var> Erl\u00f6schen\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die den Schutzgegenstand enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 8.</var> Sonstige Bestimmungen\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) angeboteten Lizenzen aus.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n					  </li>\n				  \n</ul>\n			  </li>\n		  \n</ul>\n		  <p>Creative Commons Notice</p>\n\n		  <p>Creative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.</p>\n\n		  <p>Creative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke &quot;Creative Commons&quot; zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke &quot;Creative Commons&quot; oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.</p>\n\n		  <p>Creative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.</p>\n\n	  "
		self.python_name = "CCBYND30DE"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCSA20DE:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Namensnennung \u2014 Nicht-kommerziell \u2014 Weitergabe unter gleichen Bedingungen 2.0\n\nCREATIVE COMMONS IST KEINE RECHTSANWALTSGESELLSCHAFT UND LEISTET KEINE RECHTSBERATUNG. DIE WEITERGABE DIESES LIZENZENTWURFES F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS ERBRINGT DIESE INFORMATIONEN OHNE GEW\u00c4HR. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS IHREM GEBRAUCH ERGEBEN.\n\nLizenzvertrag\n\nDAS URHEBERRECHTLICH GESCH\u00dcTZTE WERK ODER DER SONSTIGE SCHUTZGEGENSTAND (WIE UNTEN BESCHRIEBEN) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\u201eCCPL\u201c ODER \u201eLIZENZVERTRAG\u201c) ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER EINSCHL\u00c4GIGE GESETZE GESCH\u00dcTZT.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESEN LIZENZVERTRAG GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. DER LIZENZGEBER R\u00c4UMT IHNEN DIE HIER BESCHRIEBENEN RECHTE UNTER DER VORAUSSETZUNGEIN, DASS SIE SICH MIT DIESEN VERTRAGSBEDINGUNGEN EINVERSTANDEN ERKL\u00c4REN.\n\n1. Definitionen\n\n	  a. Unter einer \u201eBearbeitung\u201c wird eine \u00dcbersetzung oder andere Bearbeitung des Werkes verstanden, die Ihre pers\u00f6nliche geistige Sch\u00f6pfung  ist. Eine freie Benutzung des Werkes wird nicht als Bearbeitung angesehen.\n\n	  b. Unter den \u201eLizenzelementen\u201c werden die folgenden Lizenzcharakteristika verstanden, die vom Lizenzgeber ausgew\u00e4hlt und  in der Bezeichnung  der Lizenz genannt werden: \u201eNamensnennung\u201c, \u201eNicht-kommerziell\u201c, \u201eWeitergabe unter gleichen Bedingungen\u201c.\n\n	  c. Unter dem \u201eLizenzgeber\u201c wird die nat\u00fcrliche oder juristische Person verstanden, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet.\n\n	  d. Unter einem \u201eSammelwerk\u201c wird eine Sammlung von Werken, Daten oder anderen unabh\u00e4ngigen Elementen verstanden, die aufgrund der Auswahl oder Anordnung der Elemente eine pers\u00f6nliche geistige Sch\u00f6pfung ist. Darunter fallen auch solche Sammelwerke, deren Elemente systematisch oder methodisch angeordnet und einzeln mit Hilfe elektronischer Mittel oder auf andere Weise zug\u00e4nglich sind (Datenbankwerke). Ein Sammelwerk wird im Zusammenhang mit dieser Lizenz nicht als Bearbeitung (wie oben beschrieben) angesehen.\n\n	  e. Mit \u201eSIE\u201c und \u201eIhnen\u201c ist die nat\u00fcrliche oder juristische Person gemeint, die die durch diese Lizenz gew\u00e4hrten Nutzungsrechte aus\u00fcbt und die zuvor die Bedingungen dieser Lizenz im Hinblick auf das Werk nicht verletzt hat, oder die die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz einer vorherigen Verletzung auszu\u00fcben.\n\n	  f. Unter dem  \u201eSchutzgegenstand\u201cwird  das Werk oder Sammelwerk oder das Schutzobjekt eines verwandten Schutzrechts, das Ihnen unter den Bedingungen dieser Lizenz angeboten wird, verstanden\n\n	  g. Unter dem \u201eUrheber\u201c wird die nat\u00fcrliche Person verstanden, die das Werk geschaffen hat.\n\n	  h. Unter einem \u201everwandten Schutzrecht\u201c wird das Recht an einem anderen urheberrechtlichen Schutzgegenstand als einem Werk verstanden, zum Beispiel einer wissenschaftlichen Ausgabe, einem nachgelassenen Werk, einem Lichtbild, einer Datenbank, einem Tontr\u00e4ger, einer Funksendung, einem Laufbild oder einer Darbietung eines aus\u00fcbenden K\u00fcnstlers.\n\n	  i. Unter dem \u201eWerk\u201c wird eine pers\u00f6nliche geistige Sch\u00f6pfung verstanden, die Ihnen unter den Bedingungen dieser Lizenz angeboten wird.\n\n2. Schranken des Urheberrechts. Diese Lizenz l\u00e4sst s\u00e4mtliche Befugnisse unber\u00fchrt, die sich aus den Schranken des Urheberrechts,aus dem Ersch\u00f6pfungsgrundsatz oder anderen Beschr\u00e4nkungen der Ausschlie\u00dflichkeitsrechte des Rechtsinhabers ergeben.\n\n3. Lizenzierung. Unter den Bedingungen dieses Lizenzvertrages r\u00e4umt Ihnen der Lizenzgeber ein lizenzgeb\u00fchrenfreies, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Urheberrechts oder verwandten Schutzrechts) unbeschr\u00e4nktes einfaches Nutzungsrecht ein, den Schutzgegenstand in der folgenden Art und Weise zu nutzen:\n\n	  a. den Schutzgegenstand in k\u00f6rperlicher Form zu verwerten, insbesondere zu vervielf\u00e4ltigen, zu verbreiten und auszustellen;\n\n	  b. den Schutzgegenstand in unk\u00f6rperlicher Form \u00f6ffentlich wiederzugeben, insbesondere vorzutragen, aufzuf\u00fchren und vorzuf\u00fchren, \u00f6ffentlich zug\u00e4nglich zu machen, zu senden, durch Bild- und Tontr\u00e4ger wiederzugeben sowie Funksendungen und \u00f6ffentliche Zug\u00e4nglichmachungen wiederzugeben;\n\n	  c. den Schutzgegenstand auf Bild- oder Tontr\u00e4ger aufzunehmen, Lichtbilder davon herzustellen, weiterzusenden und in dem in a. und b. genannten Umfang zu verwerten;\n\n	  d. den Schutzgegenstand zu bearbeiten oder in anderer Weise umzugestalten und die Bearbeitungen zu ver\u00f6ffentlichen und in dem in a. bis c. genannten Umfang zu verwerten;\n\nDie genannten Nutzungsrechte k\u00f6nnen f\u00fcr alle bekannten Nutzungsarten ausge\u00fcbt werden. Die genannten Nutzungsrechte beinhalten das Recht, solche Ver\u00e4nderungen an dem Werk vorzunehmen, die technisch erforderlich sind, um die Nutzungsrechte f\u00fcr alle Nutzungsarten wahrzunehmen. Insbesondere sind davon die Anpassung an andere Medien und auf andere Dateiformate umfasst.\n\n4. Beschr\u00e4nkungen. Die Einr\u00e4umung der Nutzungsrechte gem\u00e4\u00df Ziffer 3 erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	  a. Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben, und Sie m\u00fcssen stets eine Kopie oder die vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) dieser Lizenz beif\u00fcgen, wenn Sie den Schutzgegenstandvervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben. Sie d\u00fcrfen keine Vertragsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch sie gew\u00e4hrten Rechte \u00e4ndern oder beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Sie m\u00fcssen alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Sie d\u00fcrfen den Schutzgegenstand mit keinen technischen Schutzma\u00dfnahmen versehen, die den Zugang oder den Gebrauch des Schutzgegenstandes in einer Weise kontrollieren, die mit den Bedingungen dieser Lizenz im Widerspruch stehen. Die genannten Beschr\u00e4nkungen gelten auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet; sie verlangen aber nicht, dass das Sammelwerk insgesamt zum Gegenstand dieser Lizenz gemacht wird. Wenn Sie ein Sammelwerk erstellen, m\u00fcssen Sie - soweit dies praktikabel ist - auf die Mitteilung eines Lizenzgebers oder Urhebers hin aus dem Sammelwerk jeglichen Hinweis auf diesen Lizenzgeber oder diesen Urheber entfernen. Wenn Sie den Schutzgegenstand bearbeiten, m\u00fcssen Sie - soweit dies praktikabel ist- auf die Aufforderung eines Rechtsinhabers hin  von der Bearbeitung jeglichen Hinweis auf diesen Rechtsinhaber entfernen.\n\n	  b. Sie d\u00fcrfen eine Bearbeitung ausschlie\u00dflich unter den Bedingungen dieser Lizenz, einer sp\u00e4teren Version dieser Lizenz mit denselben Lizenzelementen wie diese Lizenz oder einer Creative Commons iCommons Lizenz, die dieselben Lizenzelemente wie diese Lizenz enth\u00e4lt (z.B. Namensnennung - Nicht-kommerziell - Weitergabe unter gleichen Bedingungen 2.0 Japan), vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben. Sie m\u00fcssen stets eine Kopie oder die Internetadresse in Form des Uniform-Resource-Identifier (URI) dieser Lizenz oder einer anderen  Lizenz der im vorhergehenden Satz beschriebenen Art beif\u00fcgen, wenn Sie die Bearbeitung vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben. Sie d\u00fcrfen keine Vertragsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch sie gew\u00e4hrten Rechte \u00e4ndern oder beschr\u00e4nken, und Sie m\u00fcssen alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Sie d\u00fcrfen eine Bearbeitung nicht mit technischen Schutzma\u00dfnahmen versehen, die den Zugang oder den Gebrauch der Bearbeitung in einer Weise kontrollieren, die mit den Bedingungen dieser Lizenz im Widerspruch stehen. Die genannten Beschr\u00e4nkungen gelten auch f\u00fcr eine Bearbeitung als Bestandteil eines Sammelwerkes; sie erfordern aber nicht, dass das Sammelwerk insgesamt zum Gegenstand dieser Lizenz gemacht wird.\n\n	  c. Sie d\u00fcrfen die in Ziffer 3 gew\u00e4hrten Nutzungsrechte in keiner Weise verwenden, die haupts\u00e4chlich auf einen gesch\u00e4ftlichen Vorteil oder eine vertraglich geschuldete geldwerte Verg\u00fctung abzielt oder darauf gerichtet ist. Erhalten Sie im Zusammenhang mit der Einr\u00e4umung der Nutzungsrechte ebenfalls einen Schutzgegenstand, ohne dass eine vertragliche Verpflichtung hierzu besteht, so wird dies nicht als gesch\u00e4ftlicher Vorteil oder vertraglich geschuldete geldwerte Verg\u00fctung angesehen, wenn keine Zahlung oder geldwerte Verg\u00fctung in Verbindung mit dem Austausch der Schutzgegenst\u00e4nde geleistet wird (z.B. File-Sharing).\n\n	  d. Wenn Sie den Schutzgegenstand oder eine Bearbeitung oder ein Sammelwerk vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben, m\u00fcssen Sie alle Urhebervermerke f\u00fcr den Schutzgegenstand unver\u00e4ndert lassen und die Urheberschaft oder Rechtsinhaberschaft in einer der von Ihnen vorgenommenen Nutzung angemessenen Form anerkennen, indem Sie den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Urhebers oder Rechteinhabers nennen, wenn dieser angegeben ist. Dies gilt auch f\u00fcr den Titel des Schutzgegenstandes, wenn dieser angeben ist, sowie - in einem vern\u00fcnftigerweise durchf\u00fchrbaren Umfang - f\u00fcr die mit dem Schutzgegenstand zu verbindende Internetadresse in Form des Uniform-Resource-Identifier (URI), wie sie der Lizenzgeber angegeben hat, sofern dies geschehen ist, es sei denn, diese Internetadresse verweist nicht auf den Urhebervermerk oder die Lizenzinformationen zu dem  Schutzgegenstand. Bei einer Bearbeitung ist ein Hinweis darauf aufzuf\u00fchren, in welcher Form der Schutzgegenstand in die Bearbeitung eingegangen ist (z.B. \u201eFranz\u00f6sische \u00dcbersetzung des ... (Werk) durch ... (Urheber)\u201c oder \u201eDas Drehbuch beruht auf dem Werk des ... (Urheber)\u201c). Ein solcher Hinweis kann in jeder angemessenen Weise erfolgen, wobei jedoch bei einer Bearbeitung, einer Datenbank oder einem Sammelwerk der Hinweis zumindest an gleicher Stelle und in ebenso auff\u00e4lliger Weise zu erfolgen hat wie vergleichbare Hinweise auf andere Rechtsinhaber.\n\n	  e. Obwohl die gem\u00e4ss Ziffer 3 gew\u00e4hrten Nutzungsrechte in umfassender Weise ausge\u00fcbt werden d\u00fcrfen, findet diese Erlaubnis ihre gesetzliche Grenze in den Pers\u00f6nlichkeitsrechten der Urheber und aus\u00fcbenden K\u00fcnstler, deren berechtigte geistige und pers\u00f6nliche Interessen bzw. deren Ansehen oder Ruf nicht dadurch gef\u00e4hrdet werden d\u00fcrfen, dass ein Schutzgegenstand \u00fcber das gesetzlich zul\u00e4ssige Ma\u00df hinaus beeintr\u00e4chtigt wird.\n\n5. Gew\u00e4hrleistung. Sofern dies von den Vertragsparteien nicht anderweitig schriftlich vereinbart,, bietet der Lizenzgeber keine Gew\u00e4hrleistung f\u00fcr die erteilten Rechte, au\u00dfer f\u00fcr den Fall, dass M\u00e4ngel arglistig verschwiegen wurden. F\u00fcr M\u00e4ngel anderer Art, insbesondere bei der mangelhaften Lieferung von Verk\u00f6rperungen des Schutzgegenstandes, richtet sich die Gew\u00e4hrleistung nach der Regelung, die die Person, die Ihnen den Schutzgegenstand zur Verf\u00fcgung stellt, mit Ihnen au\u00dferhalb dieser Lizenz vereinbart, oder - wenn eine solche Regelung nicht getroffen wurde - nach den gesetzlichen Vorschriften.\n\n6. Haftung. \u00dcber die in Ziffer 5 genannte Gew\u00e4hrleistung hinaus haftet Ihnen der Lizenzgeber nur f\u00fcr Vorsatz und grobe Fahrl\u00e4ssigkeit.\n\n7. Vertragsende\n\n	  a. Dieser Lizenzvertrag und die durch ihn einger\u00e4umten Nutzungsrechte enden automatisch bei jeder Verletzung der Vertragsbedingungen durch Sie. F\u00fcr nat\u00fcrliche und juristische Personen, die von Ihnen eine Bearbeitung, eine Datenbank oder ein Sammelwerk unter diesen Lizenzbedingungen erhalten haben, gilt die Lizenz jedoch weiter, vorausgesetzt, diese nat\u00fcrlichen oder juristischen Personen erf\u00fcllen s\u00e4mtliche Vertragsbedingungen. Die Ziffern 1, 2, 5, 6, 7 und 8 gelten bei einer Vertragsbeendigung fort.\n\n	  b. Unter den oben genannten Bedingungen  erfolgt die Lizenz auf unbegrenzte Zeit (f\u00fcr die Dauer des Schutzrechts). Dennoch beh\u00e4lt sich der Lizenzgeber das Recht vor, den Schutzgegenstand unter anderen Lizenzbedingungen zu nutzen oder die eigene Weitergabe des Schutzgegenstandes jederzeit zu beenden, vorausgesetzt, dass solche Handlungen nicht dem Widerruf dieser Lizenz dienen (oder jeder anderen Lizenzierung, die auf Grundlage dieser Lizenz erfolgt ist oder erfolgen muss) und diese Lizenz wirksam bleibt, bis Sie unter den oben genannten Voraussetzungen endet.\n\n8. Schlussbestimmungen\n\n	  a. Jedes Mal, wenn Sie den Schutzgegenstand vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Erwerber eine Lizenz f\u00fcr den Schutzgegenstand unter denselben Vertragsbedingungen an, unter denen er Ihnen die Lizenz einger\u00e4umt hat.\n\n	  b. Jedes Mal, wenn Sie eine Bearbeitung vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Erwerber eine Lizenz f\u00fcr den urspr\u00fcnglichen Schutzgegenstand unter denselben Vertragsbedingungen an, unter denen er Ihnen die Lizenz einger\u00e4umt hat.\n\n	  c. Sollte eine Bestimmung dieses Lizenzvertrages unwirksam sein, so wird die Wirksamkeit der \u00fcbrigen Lizenzbestimmungen dadurch nicht ber\u00fchrt, und an die Stelle der unwirksamen Bestimmung tritt eine Ersatzregelung, die dem mit der unwirksamen Bestimmung angestrebten Zweck am n\u00e4chsten kommt.\n\n	  d. Nichts soll dahingehend ausgelegt werden, dass auf eine Bestimmung dieses Lizenzvertrages verzichtet oder einer Vertragsverletzung zugestimmt wird, so lange ein solcher Verzicht oder eine solche Zustimmung nicht schriftlich vorliegen und von der verzichtenden oder zustimmenden Vertragspartei unterschrieben sind\n\n	  e. Dieser Lizenzvertrag stellt die vollst\u00e4ndige Vereinbarung zwischen den Vertragsparteien hinsichtlich des Schutzgegenstandes dar. Es gibt keine weiteren erg\u00e4nzenden Vereinbarungen oder m\u00fcndlichen Abreden im Hinblick auf den Schutzgegenstand. Der Lizenzgeber ist an keine zus\u00e4tzlichen Abreden gebunden, die aus irgendeiner Absprache mit Ihnen entstehen k\u00f6nnten. Der Lizenzvertrag kann nicht ohne eine \u00fcbereinstimmende schriftliche Vereinbarung zwischen dem Lizenzgeber und Ihnen abge\u00e4ndert werden.\n\n	  f. Auf diesen Lizenzvertrag findet das Recht der Bundesrepublik Deutschland Anwendung.\n\nCREATIVE COMMONS IST KEINE VERTRAGSPARTEI DIESES LIZENZVERTRAGES UND \u00dcBERNIMMT KEINERLEI GEW\u00c4HRLEISTUNG F\u00dcR DAS WERK. CREATIVE COMMONS IST IHNEN ODER DRITTEN GEGEN\u00dcBER NICHT HAFTBAR F\u00dcR SCH\u00c4DEN JEDWEDER ART. UNGEACHTET DER VORSTEHENDEN ZWEI (2) S\u00c4TZE HAT CREATIVE COMMONS ALL RECHTE UND PFLICHTEN EINES LIZENSGEBERS, WENN SICH CREATIVE COMMONS AUSDR\u00dcCKLICH ALS LIZENZGEBER BEZEICHNET.\n\nAUSSER F\u00dcR DEN BESCHR\u00c4NKTEN ZWECK EINES HINWEISES AN DIE \u00d6FFENTLICHKEIT, DASS DAS WERK UNTER DER CCPL LIZENSIERT WIRD, DARF KENIE VERTRAGSPARTEI DIE MARKE \u201cCREATIVE COMMONS\u201d ODER EINE \u00c4HNLICHE MARKE ODER DAS LOGO VON CREATIVE COMMONS OHNE VORHERIGE GENEHMIGUNG VON CREATIVE COMMONS NUTZEN. JEDE GESTATTETE NUTZUNG HAT IN \u00dcBREEINSTIMMUNG MIT DEN JEWEILS G\u00dcLTIGEN NUTZUNGSBEDINGUNGEN F\u00dcR MARKEN VON CREATIVE COMMONS ZU ERFOLGEN, WIE SIE AUF DER WEBSITE ODER IN ANDERER WEISE AUF ANFRAGE VON ZEIT ZU ZEIT ZUG\u00c4NGLICH GEMACHT WERDEN.\n\nCREATIVE COMMONS KANN UNTER https://creativecommons.org KONTAKTIERT WERDEN.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Namensnennung \u2014 Nicht-kommerziell \u2014 Weitergabe unter gleichen Bedingungen 2.0\n\n<<endOptional>>\n\nCREATIVE COMMONS IST KEINE RECHTSANWALTSGESELLSCHAFT UND LEISTET KEINE RECHTSBERATUNG. DIE WEITERGABE DIESES LIZENZENTWURFES F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS ERBRINGT DIESE INFORMATIONEN OHNE GEW\u00c4HR. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS IHREM GEBRAUCH ERGEBEN.\n\nLizenzvertrag\n\nDAS URHEBERRECHTLICH GESCH\u00dcTZTE WERK ODER DER SONSTIGE SCHUTZGEGENSTAND (WIE UNTEN BESCHRIEBEN) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\u201eCCPL\" ODER \u201eLIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER EINSCHL\u00c4GIGE GESETZE GESCH\u00dcTZT.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESEN LIZENZVERTRAG GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. DER LIZENZGEBER R\u00c4UMT IHNEN DIE HIER BESCHRIEBENEN RECHTE UNTER DER VORAUSSETZUNGEIN, DASS SIE SICH MIT DIESEN VERTRAGSBEDINGUNGEN EINVERSTANDEN ERKL\u00c4REN.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitionen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Unter einer \u201eBearbeitung\" wird eine \u00dcbersetzung oder andere Bearbeitung des Werkes verstanden, die Ihre pers\u00f6nliche geistige Sch\u00f6pfung ist. Eine freie Benutzung des Werkes wird nicht als Bearbeitung angesehen.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Unter den \u201eLizenzelementen\" werden die folgenden Lizenzcharakteristika verstanden, die vom Lizenzgeber ausgew\u00e4hlt und in der Bezeichnung der Lizenz genannt werden: \u201eNamensnennung\", \u201eNicht-kommerziell\", \u201eWeitergabe unter gleichen Bedingungen\".\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Unter dem \u201eLizenzgeber\" wird die nat\u00fcrliche oder juristische Person verstanden, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Unter einem \u201eSammelwerk\" wird eine Sammlung von Werken, Daten oder anderen unabh\u00e4ngigen Elementen verstanden, die aufgrund der Auswahl oder Anordnung der Elemente eine pers\u00f6nliche geistige Sch\u00f6pfung ist. Darunter fallen auch solche Sammelwerke, deren Elemente systematisch oder methodisch angeordnet und einzeln mit Hilfe elektronischer Mittel oder auf andere Weise zug\u00e4nglich sind (Datenbankwerke). Ein Sammelwerk wird im Zusammenhang mit dieser Lizenz nicht als Bearbeitung (wie oben beschrieben) angesehen.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Mit \u201eSIE\" und \u201eIhnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die die durch diese Lizenz gew\u00e4hrten Nutzungsrechte aus\u00fcbt und die zuvor die Bedingungen dieser Lizenz im Hinblick auf das Werk nicht verletzt hat, oder die die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz einer vorherigen Verletzung auszu\u00fcben.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Unter dem \u201eSchutzgegenstand\" wird das Werk oder Sammelwerk oder das Schutzobjekt eines verwandten Schutzrechts, das Ihnen unter den Bedingungen dieser Lizenz angeboten wird, verstanden\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Unter dem \u201eUrheber\" wird die nat\u00fcrliche Person verstanden, die das Werk geschaffen hat.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Unter einem \u201everwandten Schutzrecht\" wird das Recht an einem anderen urheberrechtlichen Schutzgegenstand als einem Werk verstanden, zum Beispiel einer wissenschaftlichen Ausgabe, einem nachgelassenen Werk, einem Lichtbild, einer Datenbank, einem Tontr\u00e4ger, einer Funksendung, einem Laufbild oder einer Darbietung eines aus\u00fcbenden K\u00fcnstlers.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Unter dem \u201eWerk\" wird eine pers\u00f6nliche geistige Sch\u00f6pfung verstanden, die Ihnen unter den Bedingungen dieser Lizenz angeboten wird.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Schranken des Urheberrechts. Diese Lizenz l\u00e4sst s\u00e4mtliche Befugnisse unber\u00fchrt, die sich aus den Schranken des Urheberrechts,aus dem Ersch\u00f6pfungsgrundsatz oder anderen Beschr\u00e4nkungen der Ausschlie\u00dflichkeitsrechte des Rechtsinhabers ergeben.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Lizenzierung. Unter den Bedingungen dieses Lizenzvertrages r\u00e4umt Ihnen der Lizenzgeber ein lizenzgeb\u00fchrenfreies, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Urheberrechts oder verwandten Schutzrechts) unbeschr\u00e4nktes einfaches Nutzungsrecht ein, den Schutzgegenstand in der folgenden Art und Weise zu nutzen:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> den Schutzgegenstand in k\u00f6rperlicher Form zu verwerten, insbesondere zu vervielf\u00e4ltigen, zu verbreiten und auszustellen;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> den Schutzgegenstand in unk\u00f6rperlicher Form \u00f6ffentlich wiederzugeben, insbesondere vorzutragen, aufzuf\u00fchren und vorzuf\u00fchren, \u00f6ffentlich zug\u00e4nglich zu machen, zu senden, durch Bild- und Tontr\u00e4ger wiederzugeben sowie Funksendungen und \u00f6ffentliche Zug\u00e4nglichmachungen wiederzugeben;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> den Schutzgegenstand auf Bild- oder Tontr\u00e4ger aufzunehmen, Lichtbilder davon herzustellen, weiterzusenden und in dem in a. und b. genannten Umfang zu verwerten;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> den Schutzgegenstand zu bearbeiten oder in anderer Weise umzugestalten und die Bearbeitungen zu ver\u00f6ffentlichen und in dem in a. bis c. genannten Umfang zu verwerten;\n\n   Die genannten Nutzungsrechte k\u00f6nnen f\u00fcr alle bekannten Nutzungsarten ausge\u00fcbt werden. Die genannten Nutzungsrechte beinhalten das Recht, solche Ver\u00e4nderungen an dem Werk vorzunehmen, die technisch erforderlich sind, um die Nutzungsrechte f\u00fcr alle Nutzungsarten wahrzunehmen. Insbesondere sind davon die Anpassung an andere Medien und auf andere Dateiformate umfasst.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Beschr\u00e4nkungen. Die Einr\u00e4umung der Nutzungsrechte gem\u00e4\u00df Ziffer 3 erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben, und Sie m\u00fcssen stets eine Kopie oder die vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) dieser Lizenz beif\u00fcgen, wenn Sie den Schutzgegenstandvervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben. Sie d\u00fcrfen keine Vertragsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch sie gew\u00e4hrten Rechte \u00e4ndern oder beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Sie m\u00fcssen alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Sie d\u00fcrfen den Schutzgegenstand mit keinen technischen Schutzma\u00dfnahmen versehen, die den Zugang oder den Gebrauch des Schutzgegenstandes in einer Weise kontrollieren, die mit den Bedingungen dieser Lizenz im Widerspruch stehen. Die genannten Beschr\u00e4nkungen gelten auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet; sie verlangen aber nicht, dass das Sammelwerk insgesamt zum Gegenstand dieser Lizenz gemacht wird. Wenn Sie ein Sammelwerk erstellen, m\u00fcssen Sie - soweit dies praktikabel ist - auf die Mitteilung eines Lizenzgebers oder Urhebers hin aus dem Sammelwerk jeglichen Hinweis auf diesen Lizenzgeber oder diesen Urheber entfernen. Wenn Sie den Schutzgegenstand bearbeiten, m\u00fcssen Sie - soweit dies praktikabel ist- auf die Aufforderung eines Rechtsinhabers hin von der Bearbeitung jeglichen Hinweis auf diesen Rechtsinhaber entfernen.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Sie d\u00fcrfen eine Bearbeitung ausschlie\u00dflich unter den Bedingungen dieser Lizenz, einer sp\u00e4teren Version dieser Lizenz mit denselben Lizenzelementen wie diese Lizenz oder einer Creative Commons iCommons Lizenz, die dieselben Lizenzelemente wie diese Lizenz enth\u00e4lt (z.B. Namensnennung - Nicht-kommerziell - Weitergabe unter gleichen Bedingungen 2.0 Japan), vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben. Sie m\u00fcssen stets eine Kopie oder die Internetadresse in Form des Uniform-Resource-Identifier (URI) dieser Lizenz oder einer anderen Lizenz der im vorhergehenden Satz beschriebenen Art beif\u00fcgen, wenn Sie die Bearbeitung vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben. Sie d\u00fcrfen keine Vertragsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch sie gew\u00e4hrten Rechte \u00e4ndern oder beschr\u00e4nken, und Sie m\u00fcssen alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Sie d\u00fcrfen eine Bearbeitung nicht mit technischen Schutzma\u00dfnahmen versehen, die den Zugang oder den Gebrauch der Bearbeitung in einer Weise kontrollieren, die mit den Bedingungen dieser Lizenz im Widerspruch stehen. Die genannten Beschr\u00e4nkungen gelten auch f\u00fcr eine Bearbeitung als Bestandteil eines Sammelwerkes; sie erfordern aber nicht, dass das Sammelwerk insgesamt zum Gegenstand dieser Lizenz gemacht wird.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Sie d\u00fcrfen die in Ziffer 3 gew\u00e4hrten Nutzungsrechte in keiner Weise verwenden, die haupts\u00e4chlich auf einen gesch\u00e4ftlichen Vorteil oder eine vertraglich geschuldete geldwerte Verg\u00fctung abzielt oder darauf gerichtet ist. Erhalten Sie im Zusammenhang mit der Einr\u00e4umung der Nutzungsrechte ebenfalls einen Schutzgegenstand, ohne dass eine vertragliche Verpflichtung hierzu besteht, so wird dies nicht als gesch\u00e4ftlicher Vorteil oder vertraglich geschuldete geldwerte Verg\u00fctung angesehen, wenn keine Zahlung oder geldwerte Verg\u00fctung in Verbindung mit dem Austausch der Schutzgegenst\u00e4nde geleistet wird (z.B. File-Sharing).\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Wenn Sie den Schutzgegenstand oder eine Bearbeitung oder ein Sammelwerk vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben, m\u00fcssen Sie alle Urhebervermerke f\u00fcr den Schutzgegenstand unver\u00e4ndert lassen und die Urheberschaft oder Rechtsinhaberschaft in einer der von Ihnen vorgenommenen Nutzung angemessenen Form anerkennen, indem Sie den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Urhebers oder Rechteinhabers nennen, wenn dieser angegeben ist. Dies gilt auch f\u00fcr den Titel des Schutzgegenstandes, wenn dieser angeben ist, sowie - in einem vern\u00fcnftigerweise durchf\u00fchrbaren Umfang - f\u00fcr die mit dem Schutzgegenstand zu verbindende Internetadresse in Form des Uniform-Resource-Identifier (URI), wie sie der Lizenzgeber angegeben hat, sofern dies geschehen ist, es sei denn, diese Internetadresse verweist nicht auf den Urhebervermerk oder die Lizenzinformationen zu dem Schutzgegenstand. Bei einer Bearbeitung ist ein Hinweis darauf aufzuf\u00fchren, in welcher Form der Schutzgegenstand in die Bearbeitung eingegangen ist (z.B. \u201eFranz\u00f6sische \u00dcbersetzung des ... (Werk) durch ... (Urheber)\" oder \u201eDas Drehbuch beruht auf dem Werk des ... (Urheber)\"). Ein solcher Hinweis kann in jeder angemessenen Weise erfolgen, wobei jedoch bei einer Bearbeitung, einer Datenbank oder einem Sammelwerk der Hinweis zumindest an gleicher Stelle und in ebenso auff\u00e4lliger Weise zu erfolgen hat wie vergleichbare Hinweise auf andere Rechtsinhaber.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Obwohl die gem\u00e4ss Ziffer 3 gew\u00e4hrten Nutzungsrechte in umfassender Weise ausge\u00fcbt werden d\u00fcrfen, findet diese Erlaubnis ihre gesetzliche Grenze in den Pers\u00f6nlichkeitsrechten der Urheber und aus\u00fcbenden K\u00fcnstler, deren berechtigte geistige und pers\u00f6nliche Interessen bzw. deren Ansehen oder Ruf nicht dadurch gef\u00e4hrdet werden d\u00fcrfen, dass ein Schutzgegenstand \u00fcber das gesetzlich zul\u00e4ssige Ma\u00df hinaus beeintr\u00e4chtigt wird.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Gew\u00e4hrleistung. Sofern dies von den Vertragsparteien nicht anderweitig schriftlich vereinbart,, bietet der Lizenzgeber keine Gew\u00e4hrleistung f\u00fcr die erteilten Rechte, au\u00dfer f\u00fcr den Fall, dass M\u00e4ngel arglistig verschwiegen wurden. F\u00fcr M\u00e4ngel anderer Art, insbesondere bei der mangelhaften Lieferung von Verk\u00f6rperungen des Schutzgegenstandes, richtet sich die Gew\u00e4hrleistung nach der Regelung, die die Person, die Ihnen den Schutzgegenstand zur Verf\u00fcgung stellt, mit Ihnen au\u00dferhalb dieser Lizenz vereinbart, oder - wenn eine solche Regelung nicht getroffen wurde - nach den gesetzlichen Vorschriften.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Haftung. \u00dcber die in Ziffer 5 genannte Gew\u00e4hrleistung hinaus haftet Ihnen der Lizenzgeber nur f\u00fcr Vorsatz und grobe Fahrl\u00e4ssigkeit.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Vertragsende\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Dieser Lizenzvertrag und die durch ihn einger\u00e4umten Nutzungsrechte enden automatisch bei jeder Verletzung der Vertragsbedingungen durch Sie. F\u00fcr nat\u00fcrliche und juristische Personen, die von Ihnen eine Bearbeitung, eine Datenbank oder ein Sammelwerk unter diesen Lizenzbedingungen erhalten haben, gilt die Lizenz jedoch weiter, vorausgesetzt, diese nat\u00fcrlichen oder juristischen Personen erf\u00fcllen s\u00e4mtliche Vertragsbedingungen. Die Ziffern 1, 2, 5, 6, 7 und 8 gelten bei einer Vertragsbeendigung fort.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Unter den oben genannten Bedingungen erfolgt die Lizenz auf unbegrenzte Zeit (f\u00fcr die Dauer des Schutzrechts). Dennoch beh\u00e4lt sich der Lizenzgeber das Recht vor, den Schutzgegenstand unter anderen Lizenzbedingungen zu nutzen oder die eigene Weitergabe des Schutzgegenstandes jederzeit zu beenden, vorausgesetzt, dass solche Handlungen nicht dem Widerruf dieser Lizenz dienen (oder jeder anderen Lizenzierung, die auf Grundlage dieser Lizenz erfolgt ist oder erfolgen muss) und diese Lizenz wirksam bleibt, bis Sie unter den oben genannten Voraussetzungen endet.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Schlussbestimmungen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Jedes Mal, wenn Sie den Schutzgegenstand vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Erwerber eine Lizenz f\u00fcr den Schutzgegenstand unter denselben Vertragsbedingungen an, unter denen er Ihnen die Lizenz einger\u00e4umt hat.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Jedes Mal, wenn Sie eine Bearbeitung vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Erwerber eine Lizenz f\u00fcr den urspr\u00fcnglichen Schutzgegenstand unter denselben Vertragsbedingungen an, unter denen er Ihnen die Lizenz einger\u00e4umt hat.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Sollte eine Bestimmung dieses Lizenzvertrages unwirksam sein, so wird die Wirksamkeit der \u00fcbrigen Lizenzbestimmungen dadurch nicht ber\u00fchrt, und an die Stelle der unwirksamen Bestimmung tritt eine Ersatzregelung, die dem mit der unwirksamen Bestimmung angestrebten Zweck am n\u00e4chsten kommt.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Nichts soll dahingehend ausgelegt werden, dass auf eine Bestimmung dieses Lizenzvertrages verzichtet oder einer Vertragsverletzung zugestimmt wird, so lange ein solcher Verzicht oder eine solche Zustimmung nicht schriftlich vorliegen und von der verzichtenden oder zustimmenden Vertragspartei unterschrieben sind\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Dieser Lizenzvertrag stellt die vollst\u00e4ndige Vereinbarung zwischen den Vertragsparteien hinsichtlich des Schutzgegenstandes dar. Es gibt keine weiteren erg\u00e4nzenden Vereinbarungen oder m\u00fcndlichen Abreden im Hinblick auf den Schutzgegenstand. Der Lizenzgeber ist an keine zus\u00e4tzlichen Abreden gebunden, die aus irgendeiner Absprache mit Ihnen entstehen k\u00f6nnten. Der Lizenzvertrag kann nicht ohne eine \u00fcbereinstimmende schriftliche Vereinbarung zwischen dem Lizenzgeber und Ihnen abge\u00e4ndert werden.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Auf diesen Lizenzvertrag findet das Recht der Bundesrepublik Deutschland Anwendung.\n\nCREATIVE COMMONS IST KEINE VERTRAGSPARTEI DIESES LIZENZVERTRAGES UND \u00dcBERNIMMT KEINERLEI GEW\u00c4HRLEISTUNG F\u00dcR DAS WERK. CREATIVE COMMONS IST IHNEN ODER DRITTEN GEGEN\u00dcBER NICHT HAFTBAR F\u00dcR SCH\u00c4DEN JEDWEDER ART. UNGEACHTET DER VORSTEHENDEN ZWEI (2) S\u00c4TZE HAT CREATIVE COMMONS ALL RECHTE UND PFLICHTEN EINES LIZENSGEBERS, WENN SICH CREATIVE COMMONS AUSDR\u00dcCKLICH ALS LIZENZGEBER BEZEICHNET.\n\nAUSSER F\u00dcR DEN BESCHR\u00c4NKTEN ZWECK EINES HINWEISES AN DIE \u00d6FFENTLICHKEIT, DASS DAS WERK UNTER DER CCPL LIZENSIERT WIRD, DARF KENIE VERTRAGSPARTEI DIE MARKE \"CREATIVE COMMONS\" ODER EINE \u00c4HNLICHE MARKE ODER DAS LOGO VON CREATIVE COMMONS OHNE VORHERIGE GENEHMIGUNG VON CREATIVE COMMONS NUTZEN. JEDE GESTATTETE NUTZUNG HAT IN \u00dcBREEINSTIMMUNG MIT DEN JEWEILS G\u00dcLTIGEN NUTZUNGSBEDINGUNGEN F\u00dcR MARKEN VON CREATIVE COMMONS ZU ERFOLGEN, WIE SIE AUF DER WEBSITE ODER IN ANDERER WEISE AUF ANFRAGE VON ZEIT ZU ZEIT ZUG\u00c4NGLICH GEMACHT WERDEN.\n\nCREATIVE COMMONS KANN UNTER https://creativecommons.org KONTAKTIERT WERDEN.\n\n"
		self.name = "Creative Commons Attribution Non Commercial Share Alike 2.0 Germany"
		self.licenseId = "CC-BY-NC-SA-2.0-DE"
		self.crossRef = [{"match": "True", "url": "https://creativecommons.org/licenses/by-nc-sa/2.0/de/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:25Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-sa/2.0/de/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		  <p>Creative Commons Namensnennung \u2014 Nicht-kommerziell \u2014 Weitergabe unter gleichen Bedingungen 2.0</p>\n\n	  </div>\n	  <p>CREATIVE COMMONS IST KEINE RECHTSANWALTSGESELLSCHAFT UND LEISTET KEINE RECHTSBERATUNG. DIE WEITERGABE DIESES LIZENZENTWURFES F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS ERBRINGT DIESE INFORMATIONEN OHNE GEW\u00c4HR. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS IHREM GEBRAUCH ERGEBEN.</p>\n\n	  <p>Lizenzvertrag</p>\n\n	  <p>DAS URHEBERRECHTLICH GESCH\u00dcTZTE WERK ODER DER SONSTIGE SCHUTZGEGENSTAND (WIE UNTEN BESCHRIEBEN) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\u201eCCPL&quot; ODER \u201eLIZENZVERTRAG&quot;) ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER EINSCHL\u00c4GIGE GESETZE GESCH\u00dcTZT.</p>\n\n	  <p>DURCH DIE AUS\u00dcBUNG EINES DURCH DIESEN LIZENZVERTRAG GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. DER LIZENZGEBER R\u00c4UMT IHNEN DIE HIER BESCHRIEBENEN RECHTE UNTER DER VORAUSSETZUNGEIN, DASS SIE SICH MIT DIESEN VERTRAGSBEDINGUNGEN EINVERSTANDEN ERKL\u00c4REN.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			  <var class=\"replaceable-license-text\"> 1.</var> Definitionen\n			  \n<ul style=\"list-style:none\">\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> a.</var> Unter einer \u201eBearbeitung&quot; wird eine \u00dcbersetzung oder andere Bearbeitung des Werkes verstanden, die Ihre pers\u00f6nliche geistige Sch\u00f6pfung ist. Eine freie Benutzung des Werkes wird nicht als Bearbeitung angesehen.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> b.</var> Unter den \u201eLizenzelementen&quot; werden die folgenden Lizenzcharakteristika verstanden, die vom Lizenzgeber ausgew\u00e4hlt und in der Bezeichnung der Lizenz genannt werden: \u201eNamensnennung&quot;, \u201eNicht-kommerziell&quot;, \u201eWeitergabe unter gleichen Bedingungen&quot;.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> c.</var> Unter dem \u201eLizenzgeber&quot; wird die nat\u00fcrliche oder juristische Person verstanden, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> d.</var> Unter einem \u201eSammelwerk&quot; wird eine Sammlung von Werken, Daten oder anderen unabh\u00e4ngigen Elementen verstanden, die aufgrund der Auswahl oder Anordnung der Elemente eine pers\u00f6nliche geistige Sch\u00f6pfung ist. Darunter fallen auch solche Sammelwerke, deren Elemente systematisch oder methodisch angeordnet und einzeln mit Hilfe elektronischer Mittel oder auf andere Weise zug\u00e4nglich sind (Datenbankwerke). Ein Sammelwerk wird im Zusammenhang mit dieser Lizenz nicht als Bearbeitung (wie oben beschrieben) angesehen.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> e.</var> Mit \u201eSIE&quot; und \u201eIhnen&quot; ist die nat\u00fcrliche oder juristische Person gemeint, die die durch diese Lizenz gew\u00e4hrten Nutzungsrechte aus\u00fcbt und die zuvor die Bedingungen dieser Lizenz im Hinblick auf das Werk nicht verletzt hat, oder die die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz einer vorherigen Verletzung auszu\u00fcben.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> f.</var> Unter dem \u201eSchutzgegenstand&quot; wird das Werk oder Sammelwerk oder das Schutzobjekt eines verwandten Schutzrechts, das Ihnen unter den Bedingungen dieser Lizenz angeboten wird, verstanden\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> g.</var> Unter dem \u201eUrheber&quot; wird die nat\u00fcrliche Person verstanden, die das Werk geschaffen hat.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> h.</var> Unter einem \u201everwandten Schutzrecht&quot; wird das Recht an einem anderen urheberrechtlichen Schutzgegenstand als einem Werk verstanden, zum Beispiel einer wissenschaftlichen Ausgabe, einem nachgelassenen Werk, einem Lichtbild, einer Datenbank, einem Tontr\u00e4ger, einer Funksendung, einem Laufbild oder einer Darbietung eines aus\u00fcbenden K\u00fcnstlers.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> i.</var> Unter dem \u201eWerk&quot; wird eine pers\u00f6nliche geistige Sch\u00f6pfung verstanden, die Ihnen unter den Bedingungen dieser Lizenz angeboten wird.\n				  </li>\n			  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var> Schranken des Urheberrechts. Diese Lizenz l\u00e4sst s\u00e4mtliche Befugnisse unber\u00fchrt, die sich aus den Schranken des Urheberrechts,aus dem Ersch\u00f6pfungsgrundsatz oder anderen Beschr\u00e4nkungen der Ausschlie\u00dflichkeitsrechte des Rechtsinhabers ergeben.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var> Lizenzierung. Unter den Bedingungen dieses Lizenzvertrages r\u00e4umt Ihnen der Lizenzgeber ein lizenzgeb\u00fchrenfreies, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Urheberrechts oder verwandten Schutzrechts) unbeschr\u00e4nktes einfaches Nutzungsrecht ein, den Schutzgegenstand in der folgenden Art und Weise zu nutzen:\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> den Schutzgegenstand in k\u00f6rperlicher Form zu verwerten, insbesondere zu vervielf\u00e4ltigen, zu verbreiten und auszustellen;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> den Schutzgegenstand in unk\u00f6rperlicher Form \u00f6ffentlich wiederzugeben, insbesondere vorzutragen, aufzuf\u00fchren und vorzuf\u00fchren, \u00f6ffentlich zug\u00e4nglich zu machen, zu senden, durch Bild- und Tontr\u00e4ger wiederzugeben sowie Funksendungen und \u00f6ffentliche Zug\u00e4nglichmachungen wiederzugeben;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> den Schutzgegenstand auf Bild- oder Tontr\u00e4ger aufzunehmen, Lichtbilder davon herzustellen, weiterzusenden und in dem in a. und b. genannten Umfang zu verwerten;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> den Schutzgegenstand zu bearbeiten oder in anderer Weise umzugestalten und die Bearbeitungen zu ver\u00f6ffentlichen und in dem in a. bis c. genannten Umfang zu verwerten;\n					  </li>\n				  \n</ul>\n\n				  <p>Die genannten Nutzungsrechte k\u00f6nnen f\u00fcr alle bekannten Nutzungsarten ausge\u00fcbt werden. Die genannten Nutzungsrechte beinhalten das Recht, solche Ver\u00e4nderungen an dem Werk vorzunehmen, die technisch erforderlich sind, um die Nutzungsrechte f\u00fcr alle Nutzungsarten wahrzunehmen. Insbesondere sind davon die Anpassung an andere Medien und auf andere Dateiformate umfasst.</p>\n\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var> Beschr\u00e4nkungen. Die Einr\u00e4umung der Nutzungsrechte gem\u00e4\u00df Ziffer 3 erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben, und Sie m\u00fcssen stets eine Kopie oder die vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) dieser Lizenz beif\u00fcgen, wenn Sie den Schutzgegenstandvervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben. Sie d\u00fcrfen keine Vertragsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch sie gew\u00e4hrten Rechte \u00e4ndern oder beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Sie m\u00fcssen alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Sie d\u00fcrfen den Schutzgegenstand mit keinen technischen Schutzma\u00dfnahmen versehen, die den Zugang oder den Gebrauch des Schutzgegenstandes in einer Weise kontrollieren, die mit den Bedingungen dieser Lizenz im Widerspruch stehen. Die genannten Beschr\u00e4nkungen gelten auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet; sie verlangen aber nicht, dass das Sammelwerk insgesamt zum Gegenstand dieser Lizenz gemacht wird. Wenn Sie ein Sammelwerk erstellen, m\u00fcssen Sie - soweit dies praktikabel ist - auf die Mitteilung eines Lizenzgebers oder Urhebers hin aus dem Sammelwerk jeglichen Hinweis auf diesen Lizenzgeber oder diesen Urheber entfernen. Wenn Sie den Schutzgegenstand bearbeiten, m\u00fcssen Sie - soweit dies praktikabel ist- auf die Aufforderung eines Rechtsinhabers hin von der Bearbeitung jeglichen Hinweis auf diesen Rechtsinhaber entfernen.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Sie d\u00fcrfen eine Bearbeitung ausschlie\u00dflich unter den Bedingungen dieser Lizenz, einer sp\u00e4teren Version dieser Lizenz mit denselben Lizenzelementen wie diese Lizenz oder einer Creative Commons iCommons Lizenz, die dieselben Lizenzelemente wie diese Lizenz enth\u00e4lt (z.B. Namensnennung - Nicht-kommerziell - Weitergabe unter gleichen Bedingungen 2.0 Japan), vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben. Sie m\u00fcssen stets eine Kopie oder die Internetadresse in Form des Uniform-Resource-Identifier (URI) dieser Lizenz oder einer anderen Lizenz der im vorhergehenden Satz beschriebenen Art beif\u00fcgen, wenn Sie die Bearbeitung vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben. Sie d\u00fcrfen keine Vertragsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch sie gew\u00e4hrten Rechte \u00e4ndern oder beschr\u00e4nken, und Sie m\u00fcssen alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Sie d\u00fcrfen eine Bearbeitung nicht mit technischen Schutzma\u00dfnahmen versehen, die den Zugang oder den Gebrauch der Bearbeitung in einer Weise kontrollieren, die mit den Bedingungen dieser Lizenz im Widerspruch stehen. Die genannten Beschr\u00e4nkungen gelten auch f\u00fcr eine Bearbeitung als Bestandteil eines Sammelwerkes; sie erfordern aber nicht, dass das Sammelwerk insgesamt zum Gegenstand dieser Lizenz gemacht wird.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Sie d\u00fcrfen die in Ziffer 3 gew\u00e4hrten Nutzungsrechte in keiner Weise verwenden, die haupts\u00e4chlich auf einen gesch\u00e4ftlichen Vorteil oder eine vertraglich geschuldete geldwerte Verg\u00fctung abzielt oder darauf gerichtet ist. Erhalten Sie im Zusammenhang mit der Einr\u00e4umung der Nutzungsrechte ebenfalls einen Schutzgegenstand, ohne dass eine vertragliche Verpflichtung hierzu besteht, so wird dies nicht als gesch\u00e4ftlicher Vorteil oder vertraglich geschuldete geldwerte Verg\u00fctung angesehen, wenn keine Zahlung oder geldwerte Verg\u00fctung in Verbindung mit dem Austausch der Schutzgegenst\u00e4nde geleistet wird (z.B. File-Sharing).\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Wenn Sie den Schutzgegenstand oder eine Bearbeitung oder ein Sammelwerk vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben, m\u00fcssen Sie alle Urhebervermerke f\u00fcr den Schutzgegenstand unver\u00e4ndert lassen und die Urheberschaft oder Rechtsinhaberschaft in einer der von Ihnen vorgenommenen Nutzung angemessenen Form anerkennen, indem Sie den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Urhebers oder Rechteinhabers nennen, wenn dieser angegeben ist. Dies gilt auch f\u00fcr den Titel des Schutzgegenstandes, wenn dieser angeben ist, sowie - in einem vern\u00fcnftigerweise durchf\u00fchrbaren Umfang - f\u00fcr die mit dem Schutzgegenstand zu verbindende Internetadresse in Form des Uniform-Resource-Identifier (URI), wie sie der Lizenzgeber angegeben hat, sofern dies geschehen ist, es sei denn, diese Internetadresse verweist nicht auf den Urhebervermerk oder die Lizenzinformationen zu dem Schutzgegenstand. Bei einer Bearbeitung ist ein Hinweis darauf aufzuf\u00fchren, in welcher Form der Schutzgegenstand in die Bearbeitung eingegangen ist (z.B. \u201eFranz\u00f6sische \u00dcbersetzung des ... (Werk) durch ... (Urheber)&quot; oder \u201eDas Drehbuch beruht auf dem Werk des ... (Urheber)&quot;). Ein solcher Hinweis kann in jeder angemessenen Weise erfolgen, wobei jedoch bei einer Bearbeitung, einer Datenbank oder einem Sammelwerk der Hinweis zumindest an gleicher Stelle und in ebenso auff\u00e4lliger Weise zu erfolgen hat wie vergleichbare Hinweise auf andere Rechtsinhaber.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Obwohl die gem\u00e4ss Ziffer 3 gew\u00e4hrten Nutzungsrechte in umfassender Weise ausge\u00fcbt werden d\u00fcrfen, findet diese Erlaubnis ihre gesetzliche Grenze in den Pers\u00f6nlichkeitsrechten der Urheber und aus\u00fcbenden K\u00fcnstler, deren berechtigte geistige und pers\u00f6nliche Interessen bzw. deren Ansehen oder Ruf nicht dadurch gef\u00e4hrdet werden d\u00fcrfen, dass ein Schutzgegenstand \u00fcber das gesetzlich zul\u00e4ssige Ma\u00df hinaus beeintr\u00e4chtigt wird.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 5.</var> Gew\u00e4hrleistung. Sofern dies von den Vertragsparteien nicht anderweitig schriftlich vereinbart,, bietet der Lizenzgeber keine Gew\u00e4hrleistung f\u00fcr die erteilten Rechte, au\u00dfer f\u00fcr den Fall, dass M\u00e4ngel arglistig verschwiegen wurden. F\u00fcr M\u00e4ngel anderer Art, insbesondere bei der mangelhaften Lieferung von Verk\u00f6rperungen des Schutzgegenstandes, richtet sich die Gew\u00e4hrleistung nach der Regelung, die die Person, die Ihnen den Schutzgegenstand zur Verf\u00fcgung stellt, mit Ihnen au\u00dferhalb dieser Lizenz vereinbart, oder - wenn eine solche Regelung nicht getroffen wurde - nach den gesetzlichen Vorschriften.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 6.</var> Haftung. \u00dcber die in Ziffer 5 genannte Gew\u00e4hrleistung hinaus haftet Ihnen der Lizenzgeber nur f\u00fcr Vorsatz und grobe Fahrl\u00e4ssigkeit.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 7.</var> Vertragsende\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Dieser Lizenzvertrag und die durch ihn einger\u00e4umten Nutzungsrechte enden automatisch bei jeder Verletzung der Vertragsbedingungen durch Sie. F\u00fcr nat\u00fcrliche und juristische Personen, die von Ihnen eine Bearbeitung, eine Datenbank oder ein Sammelwerk unter diesen Lizenzbedingungen erhalten haben, gilt die Lizenz jedoch weiter, vorausgesetzt, diese nat\u00fcrlichen oder juristischen Personen erf\u00fcllen s\u00e4mtliche Vertragsbedingungen. Die Ziffern 1, 2, 5, 6, 7 und 8 gelten bei einer Vertragsbeendigung fort.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Unter den oben genannten Bedingungen erfolgt die Lizenz auf unbegrenzte Zeit (f\u00fcr die Dauer des Schutzrechts). Dennoch beh\u00e4lt sich der Lizenzgeber das Recht vor, den Schutzgegenstand unter anderen Lizenzbedingungen zu nutzen oder die eigene Weitergabe des Schutzgegenstandes jederzeit zu beenden, vorausgesetzt, dass solche Handlungen nicht dem Widerruf dieser Lizenz dienen (oder jeder anderen Lizenzierung, die auf Grundlage dieser Lizenz erfolgt ist oder erfolgen muss) und diese Lizenz wirksam bleibt, bis Sie unter den oben genannten Voraussetzungen endet.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 8.</var> Schlussbestimmungen\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Jedes Mal, wenn Sie den Schutzgegenstand vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Erwerber eine Lizenz f\u00fcr den Schutzgegenstand unter denselben Vertragsbedingungen an, unter denen er Ihnen die Lizenz einger\u00e4umt hat.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Jedes Mal, wenn Sie eine Bearbeitung vervielf\u00e4ltigen, verbreiten oder \u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Erwerber eine Lizenz f\u00fcr den urspr\u00fcnglichen Schutzgegenstand unter denselben Vertragsbedingungen an, unter denen er Ihnen die Lizenz einger\u00e4umt hat.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Sollte eine Bestimmung dieses Lizenzvertrages unwirksam sein, so wird die Wirksamkeit der \u00fcbrigen Lizenzbestimmungen dadurch nicht ber\u00fchrt, und an die Stelle der unwirksamen Bestimmung tritt eine Ersatzregelung, die dem mit der unwirksamen Bestimmung angestrebten Zweck am n\u00e4chsten kommt.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Nichts soll dahingehend ausgelegt werden, dass auf eine Bestimmung dieses Lizenzvertrages verzichtet oder einer Vertragsverletzung zugestimmt wird, so lange ein solcher Verzicht oder eine solche Zustimmung nicht schriftlich vorliegen und von der verzichtenden oder zustimmenden Vertragspartei unterschrieben sind\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Dieser Lizenzvertrag stellt die vollst\u00e4ndige Vereinbarung zwischen den Vertragsparteien hinsichtlich des Schutzgegenstandes dar. Es gibt keine weiteren erg\u00e4nzenden Vereinbarungen oder m\u00fcndlichen Abreden im Hinblick auf den Schutzgegenstand. Der Lizenzgeber ist an keine zus\u00e4tzlichen Abreden gebunden, die aus irgendeiner Absprache mit Ihnen entstehen k\u00f6nnten. Der Lizenzvertrag kann nicht ohne eine \u00fcbereinstimmende schriftliche Vereinbarung zwischen dem Lizenzgeber und Ihnen abge\u00e4ndert werden.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> f.</var> Auf diesen Lizenzvertrag findet das Recht der Bundesrepublik Deutschland Anwendung.\n					  </li>\n				  \n</ul>\n			  </li>\n		  \n</ul>\n		  <p>CREATIVE COMMONS IST KEINE VERTRAGSPARTEI DIESES LIZENZVERTRAGES UND \u00dcBERNIMMT KEINERLEI GEW\u00c4HRLEISTUNG F\u00dcR DAS WERK. CREATIVE COMMONS IST IHNEN ODER DRITTEN GEGEN\u00dcBER NICHT HAFTBAR F\u00dcR SCH\u00c4DEN JEDWEDER ART. UNGEACHTET DER VORSTEHENDEN ZWEI (2) S\u00c4TZE HAT CREATIVE COMMONS ALL RECHTE UND PFLICHTEN EINES LIZENSGEBERS, WENN SICH CREATIVE COMMONS AUSDR\u00dcCKLICH ALS LIZENZGEBER BEZEICHNET.</p>\n\n		  <p>AUSSER F\u00dcR DEN BESCHR\u00c4NKTEN ZWECK EINES HINWEISES AN DIE \u00d6FFENTLICHKEIT, DASS DAS WERK UNTER DER CCPL LIZENSIERT WIRD, DARF KENIE VERTRAGSPARTEI DIE MARKE &quot;CREATIVE COMMONS&quot; ODER EINE \u00c4HNLICHE MARKE ODER DAS LOGO VON CREATIVE COMMONS OHNE VORHERIGE GENEHMIGUNG VON CREATIVE COMMONS NUTZEN. JEDE GESTATTETE NUTZUNG HAT IN \u00dcBREEINSTIMMUNG MIT DEN JEWEILS G\u00dcLTIGEN NUTZUNGSBEDINGUNGEN F\u00dcR MARKEN VON CREATIVE COMMONS ZU ERFOLGEN, WIE SIE AUF DER WEBSITE ODER IN ANDERER WEISE AUF ANFRAGE VON ZEIT ZU ZEIT ZUG\u00c4NGLICH GEMACHT WERDEN.</p>\n\n		  <p> CREATIVE COMMONS KANN UNTER https://creativecommons.org KONTAKTIERT WERDEN.</p>\n\n	  "
		self.python_name = "CCBYNCSA20DE"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBY30IGO:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution 3.0 IGO\n\nCREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE. THE LICENSOR IS NOT NECESSARILY AN INTERGOVERNMENTAL ORGANIZATION (IGO), AS DEFINED IN THE LICENSE BELOW. \n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"LICENSE\"). THE LICENSOR (DEFINED BELOW) HOLDS COPYRIGHT AND OTHER RIGHTS IN THE WORK. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION FOR YOUR ACCEPTANCE AND AGREEMENT TO THE TERMS OF THE LICENSE.\n\n1. Definitions\n\n	a. \"IGO\" means, solely and exclusively for purposes of this License, an organization established by a treaty or other instrument governed by international law and possessing its own international legal personality. Other organizations established to carry out activities across national borders and that accordingly enjoy immunity from legal process are also IGOs for the sole and exclusive purposes of this License. IGOs may include as members, in addition to states, other entities.\n\n	b. \"Work\" means the literary and/or artistic work eligible for copyright protection, whatever may be the mode or form of its expression including digital form, and offered under the terms of this License. It is understood that a database, which by reason of the selection and arrangement of its contents constitutes an intellectual creation, is considered a Work.\n\n	c. \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License and may be, but is not necessarily, an IGO.\n\n	d. \"You\" means an individual or entity exercising rights under this License.\n\n	e. \"Reproduce\" means to make a copy of the Work in any manner or form, and by any means.\n\n	f. \"Distribute\" means the activity of making publicly available the Work or Adaptation (or copies of the Work or Adaptation), as applicable, by sale, rental, public lending or any other known form of transfer of ownership or possession of the Work or copy of the Work.\n\n	g. \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	h. \"Adaptation\" means a work derived from or based upon the Work, or upon the Work and other pre-existing works. Adaptations may include works such as translations, derivative works, or any alterations and arrangements of any kind involving the Work. For purposes of this License, where the Work is a musical work, performance, or phonogram, the synchronization of the Work in timed-relation with a moving image is an Adaptation. For the avoidance of doubt, including the Work in a Collection is not an Adaptation.\n\n	i. \"Collection\" means a collection of literary or artistic works or other works or subject matter other than works listed in Section 1(b) which by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. For the avoidance of doubt, a Collection will not be considered as an Adaptation.\n\n2. Scope of this License. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright protection.\n\n3. License Grant. Subject to the terms and conditions of this License, the Licensor hereby grants You a worldwide, royalty-free, non-exclusive license to exercise the rights in the Work as follows:\n\n	a. to Reproduce, Distribute and Publicly Perform the Work, to incorporate the Work into one or more Collections, and to Reproduce, Distribute and Publicly Perform the Work as incorporated in the Collections; and,\n\n	b. to create, Reproduce, Distribute and Publicly Perform Adaptations, provided that You clearly label, demarcate or otherwise identify that changes were made to the original Work.\n\n	c. For the avoidance of doubt:\n\n		i. Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		ii. Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,\n\n		iii. Voluntary License Schemes. To the extent possible, the Licensor waives the right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary licensing scheme.\n\nThis License lasts for the duration of the term of the copyright in the Work licensed by the Licensor. The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by the Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	a. You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work (see section 8(a)). You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from a Licensor You must, to the extent practicable, remove from the Collection any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(b), as requested. If You create an Adaptation, upon notice from a Licensor You must, to the extent practicable, remove from the Adaptation any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(b), as requested.\n\n	b. If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) any attributions that the Licensor indicates be associated with the Work as indicated in a copyright notice, (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation. The credit required by this Section 4(b) may be implemented in any reasonable manner; provided, however, that in the case of an Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributors to the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Licensor or others designated for attribution, of You or Your use of the Work, without the separate, express prior written permission of the Licensor or such others.\n\n	c. Except as otherwise agreed in writing by the Licensor, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the honor or reputation of the Licensor where moral rights apply.\n\n5. Representations, Warranties and Disclaimer\n\nTHE LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.\n\n6. Limitation on Liability\n\nIN NO EVENT WILL THE LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	a. Subject to the terms and conditions set forth in this License, the license granted here lasts for the duration of the term of the copyright in the Work licensed by the Licensor as stated in Section 3. Notwithstanding the above, the Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated below.\n\n	b. If You fail to comply with this License, then this License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License. Notwithstanding the foregoing, this License reinstates automatically as of the date the violation is cured, provided it is cured within 30 days of You discovering the violation, or upon express reinstatement by the Licensor. For the avoidance of doubt, this Section 7(b) does not affect any rights the Licensor may have to seek remedies for violations of this License by You.\n\n8. Miscellaneous\n\n	a. Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	b. Each time You Distribute or Publicly Perform an Adaptation, the Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	c. If any provision of this License is invalid or unenforceable, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the Licensor.\n\n	e. This License constitutes the entire agreement between You and the Licensor with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	f. The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). Interpretation of the scope of the rights granted by the Licensor and the conditions imposed on You under this License, this License, and the rights and conditions set forth herein shall be made with reference to copyright as determined in accordance with general principles of international law, including the above mentioned conventions.\n\n	g. Nothing in this License constitutes or may be interpreted as a limitation upon or waiver of any privileges and immunities that may apply to the Licensor or You, including immunity from the legal processes of any jurisdiction, national court or other authority.\n\n	h. Where the Licensor is an IGO, any and all disputes arising under this License that cannot be settled amicably shall be resolved in accordance with the following procedure:\n\n		i. Pursuant to a notice of mediation communicated by reasonable means by either You or the Licensor to the other, the dispute shall be submitted to non-binding mediation conducted in accordance with rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with those communicated in the notice of mediation. The language used in the mediation proceedings shall be English unless otherwise agreed.\n\n		ii. If any such dispute has not been settled within 45 days following the date on which the notice of mediation is provided, either You or the Licensor may, pursuant to a notice of arbitration communicated by reasonable means to the other, elect to have the dispute referred to and finally determined by arbitration. The arbitration shall be conducted in accordance with the rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with the UNCITRAL Arbitration Rules as then in force. The arbitral tribunal shall consist of a sole arbitrator and the language of the proceedings shall be English unless otherwise agreed. The place of arbitration shall be where the Licensor has its headquarters. The arbitral proceedings shall be conducted remotely (e.g., via telephone conference or written submissions) whenever practicable.\n\n		iii. Interpretation of this License in any dispute submitted to mediation or arbitration shall be as set forth in Section 8(f), above.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of the Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution 3.0 IGO\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE. THE LICENSOR IS NOT NECESSARILY AN INTERGOVERNMENTAL ORGANIZATION (IGO), AS DEFINED IN THE LICENSE BELOW.\n\n<<endOptional>><<beginOptional>> License\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"LICENSE\"). THE LICENSOR (DEFINED BELOW) HOLDS COPYRIGHT AND OTHER RIGHTS IN THE WORK. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION FOR YOUR ACCEPTANCE AND AGREEMENT TO THE TERMS OF THE LICENSE.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"IGO\" means, solely and exclusively for purposes of this License, an organization established by a treaty or other instrument governed by international law and possessing its own international legal personality. Other organizations established to carry out activities across national borders and that accordingly enjoy immunity from legal process are also IGOs for the sole and exclusive purposes of this License. IGOs may include as members, in addition to states, other entities.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Work\" means the literary and/or artistic work eligible for copyright protection, whatever may be the mode or form of its expression including digital form, and offered under the terms of this License. It is understood that a database, which by reason of the selection and arrangement of its contents constitutes an intellectual creation, is considered a Work.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License and may be, but is not necessarily, an IGO.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Reproduce\" means to make a copy of the Work in any manner or form, and by any means.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Distribute\" means the activity of making publicly available the Work or Adaptation (or copies of the Work or Adaptation), as applicable, by sale, rental, public lending or any other known form of transfer of ownership or possession of the Work or copy of the Work.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \"Adaptation\" means a work derived from or based upon the Work, or upon the Work and other pre-existing works. Adaptations may include works such as translations, derivative works, or any alterations and arrangements of any kind involving the Work. For purposes of this License, where the Work is a musical work, performance, or phonogram, the synchronization of the Work in timed-relation with a moving image is an Adaptation. For the avoidance of doubt, including the Work in a Collection is not an Adaptation.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"Collection\" means a collection of literary or artistic works or other works or subject matter other than works listed in Section 1(b) which by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. For the avoidance of doubt, a Collection will not be considered as an Adaptation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Scope of this License. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright protection.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, the Licensor hereby grants You a worldwide, royalty-free, non-exclusive license to exercise the rights in the Work as follows:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to Reproduce, Distribute and Publicly Perform the Work, to incorporate the Work into one or more Collections, and to Reproduce, Distribute and Publicly Perform the Work as incorporated in the Collections; and,\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create, Reproduce, Distribute and Publicly Perform Adaptations, provided that You clearly label, demarcate or otherwise identify that changes were made to the original Work.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For the avoidance of doubt:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Voluntary License Schemes. To the extent possible, the Licensor waives the right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary licensing scheme.\n\n   This License lasts for the duration of the term of the copyright in the Work licensed by the Licensor. The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by the Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work (see section 8(a)). You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from a Licensor You must, to the extent practicable, remove from the Collection any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(b), as requested. If You create an Adaptation, upon notice from a Licensor You must, to the extent practicable, remove from the Adaptation any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(b), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) any attributions that the Licensor indicates be associated with the Work as indicated in a copyright notice, (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation. The credit required by this Section 4(b) may be implemented in any reasonable manner; provided, however, that in the case of an Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributors to the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Licensor or others designated for attribution, of You or Your use of the Work, without the separate, express prior written permission of the Licensor or such others.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Except as otherwise agreed in writing by the Licensor, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the honor or reputation of the Licensor where moral rights apply.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   THE LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability\n\n   IN NO EVENT WILL THE LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Subject to the terms and conditions set forth in this License, the license granted here lasts for the duration of the term of the copyright in the Work licensed by the Licensor as stated in Section 3. Notwithstanding the above, the Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated below.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If You fail to comply with this License, then this License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License. Notwithstanding the foregoing, this License reinstates automatically as of the date the violation is cured, provided it is cured within 30 days of You discovering the violation, or upon express reinstatement by the Licensor. For the avoidance of doubt, this Section 7(b) does not affect any rights the Licensor may have to seek remedies for violations of this License by You.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform an Adaptation, the Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the Licensor.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between You and the Licensor with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). Interpretation of the scope of the rights granted by the Licensor and the conditions imposed on You under this License, this License, and the rights and conditions set forth herein shall be made with reference to copyright as determined in accordance with general principles of international law, including the above mentioned conventions.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Nothing in this License constitutes or may be interpreted as a limitation upon or waiver of any privileges and immunities that may apply to the Licensor or You, including immunity from the legal processes of any jurisdiction, national court or other authority.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Where the Licensor is an IGO, any and all disputes arising under this License that cannot be settled amicably shall be resolved in accordance with the following procedure:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Pursuant to a notice of mediation communicated by reasonable means by either You or the Licensor to the other, the dispute shall be submitted to non-binding mediation conducted in accordance with rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with those communicated in the notice of mediation. The language used in the mediation proceedings shall be English unless otherwise agreed.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> If any such dispute has not been settled within 45 days following the date on which the notice of mediation is provided, either You or the Licensor may, pursuant to a notice of arbitration communicated by reasonable means to the other, elect to have the dispute referred to and finally determined by arbitration. The arbitration shall be conducted in accordance with the rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with the UNCITRAL Arbitration Rules as then in force. The arbitral tribunal shall consist of a sole arbitrator and the language of the proceedings shall be English unless otherwise agreed. The place of arbitration shall be where the Licensor has its headquarters. The arbitral proceedings shall be conducted remotely (e.g., via telephone conference or written submissions) whenever practicable.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Interpretation of this License in any dispute submitted to mediation or arbitration shall be as set forth in Section 8(f), above.<<beginOptional>> Creative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of the Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n\n<<endOptional>>"
		self.name = "Creative Commons Attribution 3.0 IGO"
		self.licenseId = "CC-BY-3.0-IGO"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by/3.0/igo/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:37Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by/3.0/igo/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"optional-license-text\"> \n			<p>Creative Commons Attribution 3.0 IGO</p>\n\n		 </div>\n		 <div class=\"optional-license-text\"> <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE. THE LICENSOR IS NOT NECESSARILY AN INTERGOVERNMENTAL ORGANIZATION (IGO), AS DEFINED IN THE LICENSE BELOW.</p>\n</div>\n\n		 <div class=\"optional-license-text\"> <p>License</p>\n</div>\n\n		 <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (&quot;LICENSE&quot;). THE LICENSOR (DEFINED BELOW) HOLDS COPYRIGHT AND OTHER RIGHTS IN THE WORK. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.</p>\n\n		 <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION FOR YOUR ACCEPTANCE AND AGREEMENT TO THE TERMS OF THE LICENSE.</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var> Definitions\n\n<ul style=\"list-style:none\">\n				  \n<li><var class=\"replaceable-license-text\"> a.</var> &quot;IGO&quot; means, solely and exclusively for purposes of this License, an organization established by a treaty or other instrument governed by international law and possessing its own international legal personality. Other organizations established to carry out activities across national borders and that accordingly enjoy immunity from legal process are also IGOs for the sole and exclusive purposes of this License. IGOs may include as members, in addition to states, other entities.</li>\n				  \n<li><var class=\"replaceable-license-text\"> b.</var> &quot;Work&quot; means the literary and/or artistic work eligible for copyright protection, whatever may be the mode or form of its expression including digital form, and offered under the terms of this License. It is understood that a database, which by reason of the selection and arrangement of its contents constitutes an intellectual creation, is considered a Work.</li>\n				  \n<li><var class=\"replaceable-license-text\"> c.</var> &quot;Licensor&quot; means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License and may be, but is not necessarily, an IGO.</li>\n				  \n<li><var class=\"replaceable-license-text\"> d.</var> &quot;You&quot; means an individual or entity exercising rights under this License.</li>\n				  \n<li><var class=\"replaceable-license-text\"> e.</var> &quot;Reproduce&quot; means to make a copy of the Work in any manner or form, and by any means.</li>\n				  \n<li><var class=\"replaceable-license-text\"> f.</var> &quot;Distribute&quot; means the activity of making publicly available the Work or Adaptation (or copies of the Work or Adaptation), as applicable, by sale, rental, public lending or any other known form of transfer of ownership or possession of the Work or copy of the Work.</li>\n				  \n<li><var class=\"replaceable-license-text\"> g.</var> &quot;Publicly Perform&quot; means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.</li>\n				  \n<li><var class=\"replaceable-license-text\"> h.</var> &quot;Adaptation&quot; means a work derived from or based upon the Work, or upon the Work and other pre-existing works. Adaptations may include works such as translations, derivative works, or any alterations and arrangements of any kind involving the Work. For purposes of this License, where the Work is a musical work, performance, or phonogram, the synchronization of the Work in timed-relation with a moving image is an Adaptation. For the avoidance of doubt, including the Work in a Collection is not an Adaptation.</li>\n				  \n<li><var class=\"replaceable-license-text\"> i.</var> &quot;Collection&quot; means a collection of literary or artistic works or other works or subject matter other than works listed in Section 1(b) which by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. For the avoidance of doubt, a Collection will not be considered as an Adaptation.</li>\n			   \n</ul>\n			</li>\n\n<li><var class=\"replaceable-license-text\"> 2.</var> Scope of this License. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright protection.</li>\n\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var> License Grant. Subject to the terms and conditions of this License, the Licensor hereby grants You a worldwide, royalty-free, non-exclusive license to exercise the rights in the Work as follows:\n\n<ul style=\"list-style:none\">\n				  \n<li><var class=\"replaceable-license-text\"> a.</var> to Reproduce, Distribute and Publicly Perform the Work, to incorporate the Work into one or more Collections, and to Reproduce, Distribute and Publicly Perform the Work as incorporated in the Collections; and,</li>\n				  \n<li><var class=\"replaceable-license-text\"> b.</var> to create, Reproduce, Distribute and Publicly Perform Adaptations, provided that You clearly label, demarcate or otherwise identify that changes were made to the original Work.</li>\n				  \n<li><var class=\"replaceable-license-text\"> c.</var> For the avoidance of doubt:\n					 \n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> i.</var> Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;</li>\n						\n<li><var class=\"replaceable-license-text\"> ii.</var> Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,</li>\n						\n<li><var class=\"replaceable-license-text\"> iii.</var> Voluntary License Schemes. To the extent possible, the Licensor waives the right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary licensing scheme.</li>\n					 \n</ul>\n				  </li>\n			   \n</ul>\n			   <p>This License lasts for the duration of the term of the copyright in the Work licensed by the Licensor. The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by the Licensor are hereby reserved.</p>\n\n			</li>\n\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n<ul style=\"list-style:none\">\n				  \n<li><var class=\"replaceable-license-text\"> a.</var> You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work (see section 8(a)). You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from a Licensor You must, to the extent practicable, remove from the Collection any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(b), as requested. If You create an Adaptation, upon notice from a Licensor You must, to the extent practicable, remove from the Adaptation any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(b), as requested.</li>\n				  \n<li><var class=\"replaceable-license-text\"> b.</var> If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) any attributions that the Licensor indicates be associated with the Work as indicated in a copyright notice, (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation. The credit required by this Section 4(b) may be implemented in any reasonable manner; provided, however, that in the case of an Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributors to the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Licensor or others designated for attribution, of You or Your use of the Work, without the separate, express prior written permission of the Licensor or such others.</li>\n				  \n<li><var class=\"replaceable-license-text\"> c.</var> Except as otherwise agreed in writing by the Licensor, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the honor or reputation of the Licensor where moral rights apply.</li>\n			   \n</ul>\n			</li>\n\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var> Representations, Warranties and Disclaimer\n\n			   <p>THE LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.</p>\n\n			</li>\n\n<li>\n			   <var class=\"replaceable-license-text\"> 6.</var> Limitation on Liability\n\n			   <p>IN NO EVENT WILL THE LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p>\n\n			</li>\n\n<li>\n			   <var class=\"replaceable-license-text\"> 7.</var> Termination\n\n<ul style=\"list-style:none\">\n				  \n<li><var class=\"replaceable-license-text\"> a.</var> Subject to the terms and conditions set forth in this License, the license granted here lasts for the duration of the term of the copyright in the Work licensed by the Licensor as stated in Section 3. Notwithstanding the above, the Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated below.</li>\n				  \n<li><var class=\"replaceable-license-text\"> b.</var> If You fail to comply with this License, then this License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License. Notwithstanding the foregoing, this License reinstates automatically as of the date the violation is cured, provided it is cured within 30 days of You discovering the violation, or upon express reinstatement by the Licensor. For the avoidance of doubt, this Section 7(b) does not affect any rights the Licensor may have to seek remedies for violations of this License by You.</li>\n			   \n</ul>\n			</li>\n\n<li>\n			   <var class=\"replaceable-license-text\"> 8.</var> Miscellaneous\n\n<ul style=\"list-style:none\">\n				  \n<li><var class=\"replaceable-license-text\"> a.</var> Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.</li>\n				  \n<li><var class=\"replaceable-license-text\"> b.</var> Each time You Distribute or Publicly Perform an Adaptation, the Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.</li>\n				  \n<li><var class=\"replaceable-license-text\"> c.</var> If any provision of this License is invalid or unenforceable, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.</li>\n				  \n<li><var class=\"replaceable-license-text\"> d.</var> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the Licensor.</li>\n				  \n<li><var class=\"replaceable-license-text\"> e.</var> This License constitutes the entire agreement between You and the Licensor with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.</li>\n				  \n<li><var class=\"replaceable-license-text\"> f.</var> The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). Interpretation of the scope of the rights granted by the Licensor and the conditions imposed on You under this License, this License, and the rights and conditions set forth herein shall be made with reference to copyright as determined in accordance with general principles of international law, including the above mentioned conventions.</li>\n				  \n<li><var class=\"replaceable-license-text\"> g.</var> Nothing in this License constitutes or may be interpreted as a limitation upon or waiver of any privileges and immunities that may apply to the Licensor or You, including immunity from the legal processes of any jurisdiction, national court or other authority.</li>\n				  \n<li><var class=\"replaceable-license-text\"> h.</var> Where the Licensor is an IGO, any and all disputes arising under this License that cannot be settled amicably shall be resolved in accordance with the following procedure:\n					 \n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> i.</var> Pursuant to a notice of mediation communicated by reasonable means by either You or the Licensor to the other, the dispute shall be submitted to non-binding mediation conducted in accordance with rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with those communicated in the notice of mediation. The language used in the mediation proceedings shall be English unless otherwise agreed.</li>\n						\n<li><var class=\"replaceable-license-text\"> ii.</var> If any such dispute has not been settled within 45 days following the date on which the notice of mediation is provided, either You or the Licensor may, pursuant to a notice of arbitration communicated by reasonable means to the other, elect to have the dispute referred to and finally determined by arbitration. The arbitration shall be conducted in accordance with the rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with the UNCITRAL Arbitration Rules as then in force. The arbitral tribunal shall consist of a sole arbitrator and the language of the proceedings shall be English unless otherwise agreed. The place of arbitration shall be where the Licensor has its headquarters. The arbitral proceedings shall be conducted remotely (e.g., via telephone conference or written submissions) whenever practicable.</li>\n						\n<li><var class=\"replaceable-license-text\"> iii.</var> Interpretation of this License in any dispute submitted to mediation or arbitration shall be as set forth in Section 8(f), above.</li>\n					 \n</ul>\n				  </li>\n			   \n</ul>\n			</li>\n		 \n</ul>\n\n		 <div class=\"optional-license-text\"> \n			<p>Creative Commons Notice</p>\n\n			<p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of the Licensor.</p>\n\n			<p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark &quot;Creative Commons&quot; or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.</p>\n\n			<p>Creative Commons may be contacted at https://creativecommons.org/.</p>\n\n		 </div>\n\n	  "
		self.python_name = "CCBY30IGO"

	def __str__(self):
		return json.dumps(self.__dict__)


class SGIB11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "SGI FREE SOFTWARE LICENSE B\n(Version 1.1 02/22/2000)\n\n1. Definitions.\n\n	 1.1 \"Additional Notice Provisions\" means such additional provisions as appear in the Notice in Original Code under the heading \"Additional Notice Provisions.\"\n\n	 1.2 \"Covered Code\" means the Original Code or Modifications, or any combination thereof.\n\n	 1.3 \"Hardware\" means any physical device that accepts input, processes input, stores the results of processing, and/or provides output.\n\n	 1.4 \"Larger Work\" means a work that combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.5 \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	 1.6 \"License\" means this document.\n\n	 1.7 \"Licensed Patents\" means patent claims Licensable by SGI that are infringed by the use or sale of Original Code or any Modifications provided by SGI, or any combination thereof.\n\n	 1.8 \"Modifications\" means any addition to or deletion from the substance or structure of the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		  A. Any addition to the contents of a file containing Original Code and/or addition to or deletion from the contents of a file containing previous Modifications.\n\n		  B. Any new file that contains any part of the Original Code or previous Modifications.\n\n	 1.9 \"Notice\" means any notice in Original Code or Covered Code, as required by and in compliance with this License.\n\n	 1.10 \"Original Code\" means source code of computer software code that is described in the source code Notice required by Exhibit A as Original Code, and updates and error corrections specifically thereto.\n\n	 1.11 \"Recipient\" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 8. For legal entities, \"Recipient\" includes any entity that controls, is controlled by, or is under common control with Recipient. For purposes of this definition, \"control\" of an entity means (a) the power, direct or indirect, to direct or manage such entity, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n	 1.12 \"Recipient Patents\" means patent claims Licensable by a Recipient that are infringed by the use or sale of Original Code or any Modifications provided by SGI, or any combination thereof.\n\n	 1.13 \"SGI\" means Silicon Graphics, Inc.\n\n	 1.14 \"SGI Patents\" means patent claims Licensable by SGI other than the Licensed Patents.\n\n2. License Grant and Restrictions.\n\n	 2.1 SGI License Grant. Subject to the terms of this License and any third party intellectual property claims, for the duration of intellectual property protections inherent in the Original Code, SGI hereby grants Recipient a worldwide, royalty-free, non-exclusive license, to do the following: (i) under copyrights Licensable by SGI, to reproduce, distribute, create derivative works from, and, to the extent applicable, display and perform the Original Code and/or any Modifications provided by SGI alone and/or as part of a Larger Work; and (ii) under any Licensable Patents, to make, have made, use, sell, offer for sale, import and/or otherwise transfer the Original Code and/or any Modifications provided by SGI. Recipient accepts the terms and conditions of this License by undertaking any of the aforementioned actions. The patent license shall apply to the Covered Code if, at the time any related Modification is added, such addition of the Modification causes such combination to be covered by the Licensed Patents. The patent license in Section 2.1(ii) shall not apply to any other combinations that include the Modification. No patent license is provided under SGI Patents for infringements of SGI Patents by Modifications not provided by SGI or combinations of Original Code and Modifications not provided by SGI.\n\n	 2.2 Recipient License Grant. Subject to the terms of this License and any third party intellectual property claims, Recipient hereby grants SGI and any other Recipients a worldwide, royalty-free, non-exclusive license, under any Recipient Patents, to make, have made, use, sell, offer for sale, import and/or otherwise transfer the Original Code and/or any Modifications provided by SGI.\n\n	 2.3 No License For Hardware Implementations. The licenses granted in Section 2.1 and 2.2 are not applicable to implementation in Hardware of the algorithms embodied in the Original Code or any Modifications provided by SGI .\n\n3. Redistributions.\n\n	 3.1 Retention of Notice/Copy of License. The Notice set forth in Exhibit A, below, must be conspicuously retained or included in any and all redistributions of Covered Code. For distributions of the Covered Code in source code form, the Notice must appear in every file that can include a text comments field; in executable form, the Notice and a copy of this License must appear in related documentation or collateral where the Recipient\u2019s rights relating to Covered Code are described. Any Additional Notice Provisions which actually appears in the Original Code must also be retained or included in any and all redistributions of Covered Code.\n\n	 3.2 Alternative License. Provided that Recipient is in compliance with the terms of this License, Recipient may, so long as without derogation of any of SGI\u2019s rights in and to the Original Code, distribute the source code and/or executable version(s) of Covered Code under (1) this License; (2) a license identical to this License but for only such changes as are necessary in order to clarify Recipient\u2019s role as licensor of Modifications; and/or (3) a license of Recipient\u2019s choosing, containing terms different from this License, provided that the license terms include this Section 3 and Sections 4, 6, 7, 10, 12, and 13, which terms may not be modified or superseded by any other terms of such license. If Recipient elects to use any license other than this License, Recipient must make it absolutely clear that any of its terms which differ from this License are offered by Recipient alone, and not by SGI. It is emphasized that this License is a limited license, and, regardless of the license form employed by Recipient in accordance with this Section 3.2, Recipient may relicense only such rights, in Original Code and Modifications by SGI, as it has actually been granted by SGI in this License.\n\n	 3.3 Indemnity. Recipient hereby agrees to indemnify SGI for any liability incurred by SGI as a result of any such alternative license terms Recipient offers.\n\n4. Termination. This License and the rights granted hereunder will terminate automatically if Recipient breaches any term herein and fails to cure such breach within 30 days thereof. Any sublicense to the Covered Code that is properly granted shall survive any termination of this License, absent termination by the terms of such sublicense. Provisions that, by their nature, must remain in effect beyond the termination of this License, shall survive.\n\n5. No Trademark Or Other Rights. This License does not grant any rights to: (i) any software apart from the Covered Code, nor shall any other rights or licenses not expressly granted hereunder arise by implication, estoppel or otherwise with respect to the Covered Code; (ii) any trade name, trademark or service mark whatsoever, including without limitation any related right for purposes of endorsement or promotion of products derived from the Covered Code, without prior written permission of SGI; or (iii) any title to or ownership of the Original Code, which shall at all times remains with SGI. All rights in the Original Code not expressly granted under this License are reserved.\n\n6. Compliance with Laws; Non-Infringement. There are various worldwide laws, regulations, and executive orders applicable to dispositions of Covered Code, including without limitation export, re-export, and import control laws, regulations, and executive orders, of the U.S. government and other countries, and Recipient is reminded it is obliged to obey such laws, regulations, and executive orders. Recipient may not distribute Covered Code that (i) in any way infringes (directly or contributorily) any intellectual property rights of any kind of any other person or entity or (ii) breaches any representation or warranty, express, implied or statutory, to which, under any applicable law, it might be deemed to have been subject.\n\n7. Claims of Infringement. If Recipient learns of any third party claim that any disposition of Covered Code and/or functionality wholly or partially infringes the third party's intellectual property rights, Recipient will promptly notify SGI of such claim.\n\n8. Versions of the License. SGI may publish revised and/or new versions of the License from time to time, each with a distinguishing version number. Once Covered Code has been published under a particular version of the License, Recipient may, for the duration of the license, continue to use it under the terms of that version, or choose to use such Covered Code under the terms of any subsequent version published by SGI. Subject to the provisions of Sections 3 and 4 of this License, only SGI may modify the terms applicable to Covered Code created under this License.\n\n9. DISCLAIMER OF WARRANTY. COVERED CODE IS PROVIDED \"AS IS.\" ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS ARE DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. SGI ASSUMES NO RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE. SHOULD THE SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, SGI ASSUMES NO COST OR LIABILITY FOR SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY IS AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT SUBJECT TO THIS DISCLAIMER.\n\n10. LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES NOR LEGAL THEORY, WHETHER TORT (INCLUDING, WITHOUT LIMITATION, NEGLIGENCE OR STRICT LIABILITY), CONTRACT, OR OTHERWISE, SHALL SGI OR ANY SGI LICENSOR BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, LOSS OF DATA, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SGI's NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO RECIPIENT.\n\n11. Indemnity. Recipient shall be solely responsible for damages arising, directly or indirectly, out of its utilization of rights under this License. Recipient will defend, indemnify and hold harmless Silicon Graphics, Inc. from and against any loss, liability, damages, costs or expenses (including the payment of reasonable attorneys fees) arising out of Recipient's use, modification, reproduction and distribution of the Covered Code or out of any representation or warranty made by Recipient.\n\n12. U.S. Government End Users. The Covered Code is a \"commercial item\" consisting of \"commercial computer software\" as such terms are defined in title 48 of the Code of Federal Regulations and all U.S. Government End Users acquire only the rights set forth in this License and are subject to the terms of this License.\n\n13. Miscellaneous. This License represents the complete agreement concerning the its subject matter. If any provision of this License is held to be unenforceable, such provision shall be reformed so as to achieve as nearly as possible the same legal and economic effect as the original provision and the remainder of this License will remain in effect. This License shall be governed by and consTrued in accordance with the laws of the United States and the State of California as applied to agreements entered into and to be performed entirely within California between California residents. Any litigation relating to this License shall be subject to the exclusive jurisdiction of the Federal Courts of the Northern District of California (or, absent subject matter jurisdiction in such courts, the courts of the State of California), with venue lying exclusively in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation that provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\nExhibit A\n\nLicense Applicability. Except to the extent portions of this file are made subject to an alternative license as permitted in the SGI Free Software License B, Version 1.1 (the \"License\"), the contents of this file are subject only to the provisions of the License. You may not use this file except in compliance with the License. You may obtain a copy of the License at Silicon Graphics, Inc., attn: Legal Services, 1600 Amphitheatre Parkway, Mountain View, CA 94043-1351, or at:\n\nhttp://oss.sgi.com/projects/FreeB\n\nNote that, as provided in the License, the Software is distributed on an \"AS IS\" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.\n\nOriginal Code. The Original Code is: [name of software, version number, and release date], developed by Silicon Graphics, Inc. The Original Code is Copyright (c) [dates of first publication, as appearing in the Notice in the Original Code] Silicon Graphics, Inc. Copyright in any portions created by third parties is as indicated elsewhere herein. All Rights Reserved.\n\nAdditional Notice Provisions: [such additional provisions, if any, as appear in the Notice in the Original Code under the heading \"Additional Notice Provisions\"]\n"
		self.standardLicenseHeaderTemplate = "License Applicability. Except to the extent portions of this file are made subject to an alternative license as permitted in the SGI Free Software License B, Version 1.1 (the \"License\"), the contents of this file are subject only to the provisions of the License. You may not use this file except in compliance with the License. You may obtain a copy of the License at Silicon Graphics, Inc., attn: Legal Services, 1600 Amphitheatre Parkway, Mountain View, CA 94043-1351, or at:\n\nhttp://oss.sgi.com/projects/FreeB\n\nNote that, as provided in the License, the Software is distributed on an \"AS IS\" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.\n\nOriginal Code. The Original Code is:<<beginOptional>> [<<endOptional>> <<var;name=\"softwareName\";original=\"name of software\";match=\".+\">> , <<var;name=\"softwareVersion\";original=\"version number\";match=\".+\">> , and <<var;name=\"softwareReleaseDate\";original=\"release date\";match=\".+\">><<beginOptional>>] <<endOptional>> , developed by Silicon Graphics, Inc. The Original Code is Copyright (c)<<beginOptional>> [<<endOptional>> <<var;name=\"softwareFirstPublicationDate\";original=\"dates of first publication, as appearing in the Notice in the Original Code\";match=\".+\">><<beginOptional>>] <<endOptional>> Silicon Graphics, Inc. Copyright in any portions created by third parties is as indicated elsewhere herein. All Rights Reserved.\n\n<<beginOptional>>Additional Notice Provisions:<<beginOptional>> [<<endOptional>> <<var;name=\"additionalProvisions\";original=\"such additional provisions, if any, as appear in the Notice in the Original Code under the heading \"Additional Notice Provisions\"\";match=\".+\">><<beginOptional>>] <<endOptional>>\n\n<<endOptional>>"
		self.standardLicenseTemplate = "<<beginOptional>>SGI FREE SOFTWARE LICENSE B\n\n(Version 1.1 02/22/2000)\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Additional Notice Provisions\" means such additional provisions as appear in the Notice in Original Code under the heading \"Additional Notice Provisions.\"\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Covered Code\" means the Original Code or Modifications, or any combination thereof.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Hardware\" means any physical device that accepts input, processes input, stores the results of processing, and/or provides output.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Larger Work\" means a work that combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"Licensed Patents\" means patent claims Licensable by SGI that are infringed by the use or sale of Original Code or any Modifications provided by SGI, or any combination thereof.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to the contents of a file containing Original Code and/or addition to or deletion from the contents of a file containing previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"Notice\" means any notice in Original Code or Covered Code, as required by and in compliance with this License.\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> \"Original Code\" means source code of computer software code that is described in the source code Notice required by Exhibit A as Original Code, and updates and error corrections specifically thereto.\n\n	  <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> \"Recipient\" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 8. For legal entities, \"Recipient\" includes any entity that controls, is controlled by, or is under common control with Recipient. For purposes of this definition, \"control\" of an entity means (a) the power, direct or indirect, to direct or manage such entity, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n	  <<var;name=\"bullet\";original=\"1.12\";match=\".{0,20}\">> \"Recipient Patents\" means patent claims Licensable by a Recipient that are infringed by the use or sale of Original Code or any Modifications provided by SGI, or any combination thereof.\n\n	  <<var;name=\"bullet\";original=\"1.13\";match=\".{0,20}\">> \"SGI\" means Silicon Graphics, Inc.\n\n	  <<var;name=\"bullet\";original=\"1.14\";match=\".{0,20}\">> \"SGI Patents\" means patent claims Licensable by SGI other than the Licensed Patents.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> License Grant and Restrictions.\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> SGI License Grant. Subject to the terms of this License and any third party intellectual property claims, for the duration of intellectual property protections inherent in the Original Code, SGI hereby grants Recipient a worldwide, royalty-free, non-exclusive license, to do the following: (i) under copyrights Licensable by SGI, to reproduce, distribute, create derivative works from, and, to the extent applicable, display and perform the Original Code and/or any Modifications provided by SGI alone and/or as part of a Larger Work; and (ii) under any Licensable Patents, to make, have made, use, sell, offer for sale, import and/or otherwise transfer the Original Code and/or any Modifications provided by SGI. Recipient accepts the terms and conditions of this License by undertaking any of the aforementioned actions. The patent license shall apply to the Covered Code if, at the time any related Modification is added, such addition of the Modification causes such combination to be covered by the Licensed Patents. The patent license in Section 2.1(ii) shall not apply to any other combinations that include the Modification. No patent license is provided under SGI Patents for infringements of SGI Patents by Modifications not provided by SGI or combinations of Original Code and Modifications not provided by SGI.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> Recipient License Grant. Subject to the terms of this License and any third party intellectual property claims, Recipient hereby grants SGI and any other Recipients a worldwide, royalty-free, non-exclusive license, under any Recipient Patents, to make, have made, use, sell, offer for sale, import and/or otherwise transfer the Original Code and/or any Modifications provided by SGI.\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> No License For Hardware Implementations. The licenses granted in Section 2.1 and 2.2 are not applicable to implementation in Hardware of the algorithms embodied in the Original Code or any Modifications provided by SGI .\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions.\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> Retention of Notice/Copy of License. The Notice set forth in Exhibit A, below, must be conspicuously retained or included in any and all redistributions of Covered Code. For distributions of the Covered Code in source code form, the Notice must appear in every file that can include a text comments field; in executable form, the Notice and a copy of this License must appear in related documentation or collateral where the Recipient's rights relating to Covered Code are described. Any Additional Notice Provisions which actually appears in the Original Code must also be retained or included in any and all redistributions of Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> Alternative License. Provided that Recipient is in compliance with the terms of this License, Recipient may, so long as without derogation of any of SGI's rights in and to the Original Code, distribute the source code and/or executable version(s) of Covered Code under (1) this License; (2) a license identical to this License but for only such changes as are necessary in order to clarify Recipient's role as licensor of Modifications; and/or (3) a license of Recipient's choosing, containing terms different from this License, provided that the license terms include this Section 3 and Sections 4, 6, 7, 10, 12, and 13, which terms may not be modified or superseded by any other terms of such license. If Recipient elects to use any license other than this License, Recipient must make it absolutely clear that any of its terms which differ from this License are offered by Recipient alone, and not by SGI. It is emphasized that this License is a limited license, and, regardless of the license form employed by Recipient in accordance with this Section 3.2, Recipient may relicense only such rights, in Original Code and Modifications by SGI, as it has actually been granted by SGI in this License.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> Indemnity. Recipient hereby agrees to indemnify SGI for any liability incurred by SGI as a result of any such alternative license terms Recipient offers.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Termination. This License and the rights granted hereunder will terminate automatically if Recipient breaches any term herein and fails to cure such breach within 30 days thereof. Any sublicense to the Covered Code that is properly granted shall survive any termination of this License, absent termination by the terms of such sublicense. Provisions that, by their nature, must remain in effect beyond the termination of this License, shall survive.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> No Trademark Or Other Rights. This License does not grant any rights to: (i) any software apart from the Covered Code, nor shall any other rights or licenses not expressly granted hereunder arise by implication, estoppel or otherwise with respect to the Covered Code; (ii) any trade name, trademark or service mark whatsoever, including without limitation any related right for purposes of endorsement or promotion of products derived from the Covered Code, without prior written permission of SGI; or (iii) any title to or ownership of the Original Code, which shall at all times remains with SGI. All rights in the Original Code not expressly granted under this License are reserved.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Compliance with Laws; Non-Infringement. There are various worldwide laws, regulations, and executive orders applicable to dispositions of Covered Code, including without limitation export, re-export, and import control laws, regulations, and executive orders, of the U.S. government and other countries, and Recipient is reminded it is obliged to obey such laws, regulations, and executive orders. Recipient may not distribute Covered Code that (i) in any way infringes (directly or contributorily) any intellectual property rights of any kind of any other person or entity or (ii) breaches any representation or warranty, express, implied or statutory, to which, under any applicable law, it might be deemed to have been subject.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Claims of Infringement. If Recipient learns of any third party claim that any disposition of Covered Code and/or functionality wholly or partially infringes the third party's intellectual property rights, Recipient will promptly notify SGI of such claim.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Versions of the License. SGI may publish revised and/or new versions of the License from time to time, each with a distinguishing version number. Once Covered Code has been published under a particular version of the License, Recipient may, for the duration of the license, continue to use it under the terms of that version, or choose to use such Covered Code under the terms of any subsequent version published by SGI. Subject to the provisions of Sections 3 and 4 of this License, only SGI may modify the terms applicable to Covered Code created under this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY. COVERED CODE IS PROVIDED \"AS IS.\" ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS ARE DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. SGI ASSUMES NO RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE. SHOULD THE SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, SGI ASSUMES NO COST OR LIABILITY FOR SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY IS AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT SUBJECT TO THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES NOR LEGAL THEORY, WHETHER TORT (INCLUDING, WITHOUT LIMITATION, NEGLIGENCE OR STRICT LIABILITY), CONTRACT, OR OTHERWISE, SHALL SGI OR ANY SGI LICENSOR BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, LOSS OF DATA, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SGI's NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO RECIPIENT.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Indemnity. Recipient shall be solely responsible for damages arising, directly or indirectly, out of its utilization of rights under this License. Recipient will defend, indemnify and hold harmless Silicon Graphics, Inc. from and against any loss, liability, damages, costs or expenses (including the payment of reasonable attorneys fees) arising out of Recipient's use, modification, reproduction and distribution of the Covered Code or out of any representation or warranty made by Recipient.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> U.S. Government End Users. The Covered Code is a \"commercial item\" consisting of \"commercial computer software\" as such terms are defined in title 48 of the Code of Federal Regulations and all U.S. Government End Users acquire only the rights set forth in this License and are subject to the terms of this License.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Miscellaneous. This License represents the complete agreement concerning the its subject matter. If any provision of this License is held to be unenforceable, such provision shall be reformed so as to achieve as nearly as possible the same legal and economic effect as the original provision and the remainder of this License will remain in effect. This License shall be governed by and consTrued in accordance with the laws of the United States and the State of California as applied to agreements entered into and to be performed entirely within California between California residents. Any litigation relating to this License shall be subject to the exclusive jurisdiction of the Federal Courts of the Northern District of California (or, absent subject matter jurisdiction in such courts, the courts of the State of California), with venue lying exclusively in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation that provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.<<beginOptional>> Exhibit A\n\nLicense Applicability. Except to the extent portions of this file are made subject to an alternative license as permitted in the SGI Free Software License B, Version 1.1 (the \"License\"), the contents of this file are subject only to the provisions of the License. You may not use this file except in compliance with the License. You may obtain a copy of the License at Silicon Graphics, Inc., attn: Legal Services, 1600 Amphitheatre Parkway, Mountain View, CA 94043-1351, or at:\n\nhttp://oss.sgi.com/projects/FreeB\n\nNote that, as provided in the License, the Software is distributed on an \"AS IS\" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.\n\nOriginal Code. The Original Code is:<<beginOptional>> [<<endOptional>> <<var;name=\"softwareName\";original=\"name of software\";match=\".+\">> , <<var;name=\"softwareVersion\";original=\"version number\";match=\".+\">> , and <<var;name=\"softwareReleaseDate\";original=\"release date\";match=\".+\">><<beginOptional>>] <<endOptional>> , developed by Silicon Graphics, Inc. The Original Code is Copyright (c)<<beginOptional>> [<<endOptional>> <<var;name=\"softwareFirstPublicationDate\";original=\"dates of first publication, as appearing in the Notice in the Original Code\";match=\".+\">><<beginOptional>>] <<endOptional>> Silicon Graphics, Inc. Copyright in any portions created by third parties is as indicated elsewhere herein. All Rights Reserved.\n\n<<beginOptional>>Additional Notice Provisions:<<beginOptional>> [<<endOptional>> <<var;name=\"additionalProvisions\";original=\"such additional provisions, if any, as appear in the Notice in the Original Code under the heading \"Additional Notice Provisions\"\";match=\".+\">><<beginOptional>>] <<endOptional>>\n\n<<endOptional>><<endOptional>>"
		self.name = "SGI Free Software License B v1.1"
		self.licenseComments = "This license was released 22 February 2002"
		self.licenseId = "SGI-B-1.1"
		self.standardLicenseHeader = "License Applicability. Except to the extent portions of this file are made subject to an alternative license as permitted in the SGI Free Software License B, Version 1.1 (the \"License\"), the contents of this file are subject only to the provisions of the License. You may not use this file except in compliance with the License. You may obtain a copy of the License at Silicon Graphics, Inc., attn: Legal Services, 1600 Amphitheatre Parkway, Mountain View, CA 94043-1351, or at:\n\nhttp://oss.sgi.com/projects/FreeB\n\nNote that, as provided in the License, the Software is distributed on an \"AS IS\" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.\n\nOriginal Code. The Original Code is: [ name of software , version number , and release date] , developed by Silicon Graphics, Inc. The Original Code is Copyright (c) [ dates of first publication, as appearing in the Notice in the Original Code] Silicon Graphics, Inc. Copyright in any portions created by third parties is as indicated elsewhere herein. All Rights Reserved.\n\nAdditional Notice Provisions: [ such additional provisions, if any, as appear in the Notice in the Original Code under the heading \"Additional Notice Provisions\"] \n\n"
		self.crossRef = [{"match": "N/A", "url": "http://oss.sgi.com/projects/FreeB/", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:37Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://oss.sgi.com/projects/FreeB/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>SGI FREE SOFTWARE LICENSE B\n		<br />\n\n(Version 1.1 02/22/2000)\n	  </p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1</var>\n		  &quot;Additional Notice Provisions&quot; means such additional provisions as appear in the Notice in\n			 Original Code under the heading &quot;Additional Notice Provisions.&quot;\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2</var>\n		  &quot;Covered Code&quot; means the Original Code or Modifications, or any combination thereof.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3</var>\n		  &quot;Hardware&quot; means any physical device that accepts input, processes input, stores the results of\n			 processing, and/or provides output.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4</var>\n		  &quot;Larger Work&quot; means a work that combines Covered Code or portions thereof with code not governed\n			 by the terms of this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5</var>\n		  &quot;Licensable&quot; means having the right to grant, to the maximum extent possible, whether at the time\n			 of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6</var>\n		  &quot;License&quot; means this document.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7</var>\n		  &quot;Licensed Patents&quot; means patent claims Licensable by SGI that are infringed by the use or sale of\n			 Original Code or any Modifications provided by SGI, or any combination thereof.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8</var>\n		  &quot;Modifications&quot; means any addition to or deletion from the substance or structure of the Original\n			 Code or any previous Modifications. When Covered Code is released as a series of files, a\n			 Modification is:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n		  Any addition to the contents of a file containing Original Code and/or addition to or deletion\n			 from the contents of a file containing previous Modifications.\n		</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n		  Any new file that contains any part of the Original Code or previous Modifications.\n		</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9</var>\n		  &quot;Notice&quot; means any notice in Original Code or Covered Code, as required by and in compliance with\n			 this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10</var>\n		  &quot;Original Code&quot; means source code of computer software code that is described in the source code\n			 Notice required by Exhibit A as Original Code, and updates and error corrections specifically\n			 thereto.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11</var>\n		  &quot;Recipient&quot; means an individual or a legal entity exercising rights under, and complying with all\n			 of the terms of, this License or a future version of this License issued under Section 8. For\n			 legal entities, &quot;Recipient&quot; includes any entity that controls, is controlled by, or is under\n			 common control with Recipient. For purposes of this definition, &quot;control&quot; of an entity means\n			 (a) the power, direct or indirect, to direct or manage such entity, or (b) ownership of fifty\n			 percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12</var>\n		  &quot;Recipient Patents&quot; means patent claims Licensable by a Recipient that are infringed by the use\n			 or sale of Original Code or any Modifications provided by SGI, or any combination thereof.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13</var>\n		  &quot;SGI&quot; means Silicon Graphics, Inc.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.14</var>\n		  &quot;SGI Patents&quot; means patent claims Licensable by SGI other than the Licensed Patents.\n		</li>\n			\n</ul>\n		 </li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  License Grant and Restrictions.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1</var>\n		  SGI License Grant. Subject to the terms of this License and any third party intellectual property\n			 claims, for the duration of intellectual property protections inherent in the Original Code,\n			 SGI hereby grants Recipient a worldwide, royalty-free, non-exclusive license, to do the\n			 following: (i) under copyrights Licensable by SGI, to reproduce, distribute, create derivative\n			 works from, and, to the extent applicable, display and perform the Original Code and/or any\n			 Modifications provided by SGI alone and/or as part of a Larger Work; and (ii) under any\n			 Licensable Patents, to make, have made, use, sell, offer for sale, import and/or otherwise\n			 transfer the Original Code and/or any Modifications provided by SGI. Recipient accepts the\n			 terms and conditions of this License by undertaking any of the aforementioned actions. The\n			 patent license shall apply to the Covered Code if, at the time any related Modification is\n			 added, such addition of the Modification causes such combination to be covered by the Licensed\n			 Patents. The patent license in Section 2.1(ii) shall not apply to any other combinations that\n			 include the Modification. No patent license is provided under SGI Patents for infringements of\n			 SGI Patents by Modifications not provided by SGI or combinations of Original Code and\n			 Modifications not provided by SGI.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2</var>\n		  Recipient License Grant. Subject to the terms of this License and any third party intellectual\n			 property claims, Recipient hereby grants SGI and any other Recipients a worldwide,\n			 royalty-free, non-exclusive license, under any Recipient Patents, to make, have made, use,\n			 sell, offer for sale, import and/or otherwise transfer the Original Code and/or any\n			 Modifications provided by SGI.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.3</var>\n		  No License For Hardware Implementations. The licenses granted in Section 2.1 and 2.2 are not\n			 applicable to implementation in Hardware of the algorithms embodied in the Original Code or\n			 any Modifications provided by SGI .\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Redistributions.\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n		  Retention of Notice/Copy of License. The Notice set forth in Exhibit A, below, must be\n			 conspicuously retained or included in any and all redistributions of Covered Code. For\n			 distributions of the Covered Code in source code form, the Notice must appear in every file\n			 that can include a text comments field; in executable form, the Notice and a copy of this\n			 License must appear in related documentation or collateral where the Recipient&apos;s rights\n			 relating to Covered Code are described. Any Additional Notice Provisions which actually\n			 appears in the Original Code must also be retained or included in any and all redistributions\n			 of Covered Code.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n		  Alternative License. Provided that Recipient is in compliance with the terms of this License,\n			 Recipient may, so long as without derogation of any of SGI&apos;s rights in and to the Original\n			 Code, distribute the source code and/or executable version(s) of Covered Code under (1) this\n			 License; (2) a license identical to this License but for only such changes as are necessary in\n			 order to clarify Recipient&apos;s role as licensor of Modifications; and/or (3) a license of\n			 Recipient&apos;s choosing, containing terms different from this License, provided that the license\n			 terms include this Section 3 and Sections 4, 6, 7, 10, 12, and 13, which terms may not be\n			 modified or superseded by any other terms of such license. If Recipient elects to use any\n			 license other than this License, Recipient must make it absolutely clear that any of its terms\n			 which differ from this License are offered by Recipient alone, and not by SGI. It is\n			 emphasized that this License is a limited license, and, regardless of the license form\n			 employed by Recipient in accordance with this Section 3.2, Recipient may relicense only such\n			 rights, in Original Code and Modifications by SGI, as it has actually been granted by SGI in\n			 this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3</var>\n		  Indemnity. Recipient hereby agrees to indemnify SGI for any liability incurred by SGI as a result\n			 of any such alternative license terms Recipient offers.\n		</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Termination. This License and the rights granted hereunder will terminate automatically if\n			 Recipient breaches any term herein and fails to cure such breach within 30 days thereof. Any\n			 sublicense to the Covered Code that is properly granted shall survive any termination of this\n			 License, absent termination by the terms of such sublicense. Provisions that, by their nature,\n			 must remain in effect beyond the termination of this License, shall survive.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  No Trademark Or Other Rights. This License does not grant any rights to: (i) any software apart\n			 from the Covered Code, nor shall any other rights or licenses not expressly granted hereunder\n			 arise by implication, estoppel or otherwise with respect to the Covered Code; (ii) any trade\n			 name, trademark or service mark whatsoever, including without limitation any related right for\n			 purposes of endorsement or promotion of products derived from the Covered Code, without prior\n			 written permission of SGI; or (iii) any title to or ownership of the Original Code, which\n			 shall at all times remains with SGI. All rights in the Original Code not expressly granted\n			 under this License are reserved.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Compliance with Laws; Non-Infringement. There are various worldwide laws, regulations, and\n			 executive orders applicable to dispositions of Covered Code, including without limitation\n			 export, re-export, and import control laws, regulations, and executive orders, of the U.S.\n			 government and other countries, and Recipient is reminded it is obliged to obey such laws,\n			 regulations, and executive orders. Recipient may not distribute Covered Code that (i) in any\n			 way infringes (directly or contributorily) any intellectual property rights of any kind of any\n			 other person or entity or (ii) breaches any representation or warranty, express, implied or\n			 statutory, to which, under any applicable law, it might be deemed to have been subject.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Claims of Infringement. If Recipient learns of any third party claim that any disposition of\n			 Covered Code and/or functionality wholly or partially infringes the third party&apos;s intellectual\n			 property rights, Recipient will promptly notify SGI of such claim.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Versions of the License. SGI may publish revised and/or new versions of the License from time to\n			 time, each with a distinguishing version number. Once Covered Code has been published under a\n			 particular version of the License, Recipient may, for the duration of the license, continue to\n			 use it under the terms of that version, or choose to use such Covered Code under the terms of\n			 any subsequent version published by SGI. Subject to the provisions of Sections 3 and 4 of this\n			 License, only SGI may modify the terms applicable to Covered Code created under this\n			 License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  DISCLAIMER OF WARRANTY. COVERED CODE IS PROVIDED &quot;AS IS.&quot; ALL EXPRESS AND IMPLIED WARRANTIES AND\n			 CONDITIONS ARE DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND\n			 CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND\n			 NON-INFRINGEMENT. SGI ASSUMES NO RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.\n			 SHOULD THE SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, SGI ASSUMES NO COST OR LIABILITY FOR\n			 SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY IS AN ESSENTIAL PART OF THIS\n			 LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT SUBJECT TO THIS\n			 DISCLAIMER.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES NOR LEGAL THEORY, WHETHER TORT (INCLUDING,\n			 WITHOUT LIMITATION, NEGLIGENCE OR STRICT LIABILITY), CONTRACT, OR OTHERWISE, SHALL SGI OR ANY\n			 SGI LICENSOR BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES\n			 OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE,\n			 LOSS OF DATA, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR\n			 LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS\n			 LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING\n			 FROM SGI&apos;s NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES,\n			 SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO RECIPIENT.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Indemnity. Recipient shall be solely responsible for damages arising, directly or indirectly, out\n			 of its utilization of rights under this License. Recipient will defend, indemnify and hold\n			 harmless Silicon Graphics, Inc. from and against any loss, liability, damages, costs or\n			 expenses (including the payment of reasonable attorneys fees) arising out of Recipient&apos;s use,\n			 modification, reproduction and distribution of the Covered Code or out of any representation\n			 or warranty made by Recipient.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  U.S. Government End Users. The Covered Code is a &quot;commercial item&quot; consisting of &quot;commercial\n			 computer software&quot; as such terms are defined in title 48 of the Code of Federal Regulations\n			 and all U.S. Government End Users acquire only the rights set forth in this License and are\n			 subject to the terms of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  Miscellaneous. This License represents the complete agreement concerning the its subject matter.\n			 If any provision of this License is held to be unenforceable, such provision shall be reformed\n			 so as to achieve as nearly as possible the same legal and economic effect as the original\n			 provision and the remainder of this License will remain in effect. This License shall be\n			 governed by and consTrued in accordance with the laws of the United States and the State of\n			 California as applied to agreements entered into and to be performed entirely within\n			 California between California residents. Any litigation relating to this License shall be\n			 subject to the exclusive jurisdiction of the Federal Courts of the Northern District of\n			 California (or, absent subject matter jurisdiction in such courts, the courts of the State of\n			 California), with venue lying exclusively in Santa Clara County, California, with the losing\n			 party responsible for costs, including without limitation, court costs and reasonable\n			 attorneys fees and expenses. The application of the United Nations Convention on Contracts for\n			 the International Sale of Goods is expressly excluded. Any law or regulation that provides\n			 that the language of a contract shall be consTrued against the drafter shall not apply to this\n			 License.\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>Exhibit A</p>\n\n		 <p>License Applicability. Except to the extent portions of this file are made subject to an alternative\n		 license as permitted in the SGI Free Software License B, Version 1.1 (the &quot;License&quot;), the contents of\n		 this file are subject only to the provisions of the License. You may not use this file except in\n		 compliance with the License. You may obtain a copy of the License at Silicon Graphics, Inc., attn:\n		 Legal Services, 1600 Amphitheatre Parkway, Mountain View, CA 94043-1351, or at:</p>\n\n		 <p>http://oss.sgi.com/projects/FreeB</p>\n\n		 <p>Note that, as provided in the License, the Software is distributed on an &quot;AS IS&quot; basis, with ALL EXPRESS\n		 AND IMPLIED WARRANTIES AND CONDITIONS DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED\n		 WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE,\n		 AND NON-INFRINGEMENT.</p>\n\n		 <p>Original Code. The Original Code is: <var class=\"optional-license-text\"> [</var>\n			<var class=\"replaceable-license-text\"> name of software</var>,\n	  <var class=\"replaceable-license-text\"> version number</var>, and\n	  <var class=\"replaceable-license-text\"> release date</var>\n			<var class=\"optional-license-text\">] </var>, developed by Silicon Graphics, Inc. The Original Code is Copyright (c)\n	  <var class=\"optional-license-text\"> [</var>\n			<var class=\"replaceable-license-text\"> dates of first publication, as appearing in\n		the Notice in the Original Code</var>\n			<var class=\"optional-license-text\">] </var>\n	   Silicon Graphics, Inc. Copyright in any portions created by third\n		 parties is as indicated elsewhere herein. All Rights Reserved.</p>\n\n		 <div class=\"optional-license-text\"> \n		 <p>Additional Notice Provisions: <var class=\"optional-license-text\"> [</var>\n			<var class=\"replaceable-license-text\"> such additional provisions, if any, as appear in the\n		  Notice in the Original Code under the heading &quot;Additional Notice Provisions&quot;</var>\n			<var class=\"optional-license-text\">] </var>\n		 </p>\n\n		 </div>\n		 \n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p>License Applicability. Except to the extent portions of this file are made subject to an alternative\n		 license as permitted in the SGI Free Software License B, Version 1.1 (the &quot;License&quot;), the contents of\n		 this file are subject only to the provisions of the License. You may not use this file except in\n		 compliance with the License. You may obtain a copy of the License at Silicon Graphics, Inc., attn:\n		 Legal Services, 1600 Amphitheatre Parkway, Mountain View, CA 94043-1351, or at:</p>\n\n		 <p>http://oss.sgi.com/projects/FreeB</p>\n\n		 <p>Note that, as provided in the License, the Software is distributed on an &quot;AS IS&quot; basis, with ALL EXPRESS\n		 AND IMPLIED WARRANTIES AND CONDITIONS DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED\n		 WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE,\n		 AND NON-INFRINGEMENT.</p>\n\n		 <p>Original Code. The Original Code is: <var class=\"optional-license-text\"> [</var>\n			<var class=\"replaceable-license-text\"> name of software</var>,\n	  <var class=\"replaceable-license-text\"> version number</var>, and\n	  <var class=\"replaceable-license-text\"> release date</var>\n			<var class=\"optional-license-text\">] </var>, developed by Silicon Graphics, Inc. The Original Code is Copyright (c)\n	  <var class=\"optional-license-text\"> [</var>\n			<var class=\"replaceable-license-text\"> dates of first publication, as appearing in\n		the Notice in the Original Code</var>\n			<var class=\"optional-license-text\">] </var>\n	   Silicon Graphics, Inc. Copyright in any portions created by third\n		 parties is as indicated elsewhere herein. All Rights Reserved.</p>\n\n		 <div class=\"optional-license-text\"> \n		 <p>Additional Notice Provisions: <var class=\"optional-license-text\"> [</var>\n			<var class=\"replaceable-license-text\"> such additional provisions, if any, as appear in the\n		  Notice in the Original Code under the heading &quot;Additional Notice Provisions&quot;</var>\n			<var class=\"optional-license-text\">] </var>\n		 </p>\n\n		 </div>\n		 "
		self.python_name = "SGIB11"

	def __str__(self):
		return json.dumps(self.__dict__)


class Jam:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "License is hereby granted to use this software and distribute it freely,\nas long as this copyright notice is retained and modifications are\nclearly marked.\n\nALL WARRANTIES ARE HEREBY DISCLAIMED.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1993-2014 Christopher Seiwald and Perforce Software, Inc.  \";match=\".{0,5000}\">>\n\nLicense is hereby granted to use this software and distribute it freely, as long as this copyright notice is retained and modifications are clearly marked.\n\nALL WARRANTIES ARE HEREBY DISCLAIMED.\n\n"
		self.name = "Jam License"
		self.licenseId = "Jam"
		self.crossRef = [{"match": "False", "url": "https://www.boost.org/doc/libs/1_35_0/doc/html/jam.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:27Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://web.archive.org/web/20160330173339/https://swarm.workshop.perforce.com/files/guest/perforce_software/jam/src/README", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:09:27Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://www.boost.org/doc/libs/1_35_0/doc/html/jam.html", "https://web.archive.org/web/20160330173339/https://swarm.workshop.perforce.com/files/guest/perforce_software/jam/src/README"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n		<div class=\"replaceable-license-text\"> \n\t	<p>Copyright 1993-2014 Christopher Seiwald and Perforce Software, Inc.</p>\n\n		</div>\n\n\t<p>\n			License is hereby granted to use this software and distribute it\n			freely, as long as this copyright notice is retained and modifications\n			are clearly marked.\n\t</p>\n\n\t<p>\n			ALL WARRANTIES ARE HEREBY DISCLAIMED.\n\t</p>\n\n	"
		self.python_name = "Jam"

	def __str__(self):
		return json.dumps(self.__dict__)


class OSL11:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The Open Software License v. 1.1\n\nThis Open Software License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\n	 Licensed under the Open Software License version 1.1\n\n1) Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license to do the following:\n\n	 a) to reproduce the Original Work in copies;\n\n	 b) to prepare derivative works (\"Derivative Works\") based upon the Original Work;\n\n	 c) to distribute copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work or Derivative Works that You distribute shall be licensed under the Open Software License;\n\n	 d) to perform the Original Work publicly; and\n\n	 e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor (\"Licensed Claims\") to make, use, sell and offer for sale the Original Work. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license under the Licensed Claims to make, use, sell and offer for sale Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\n4) Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor except as expressly stated herein. No patent license is granted to make, use, sell or offer to sell embodiments of any patent claims other than the Licensed Claims defined in Section 2. No right is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any Original Work that Licensor otherwise would have a right to license.\n\n5) External Deployment. The term \"External Deployment\" means the use or distribution of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether the Original Work or Derivative Works are distributed to those persons or made available as an application intended for use over a computer network. As an express condition for the grants of license hereunder, You agree that any External Deployment by You of a Derivative Work shall be deemed a distribution and shall be licensed to all under the terms of this License, as prescribed in section 1(c) herein.\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n7) Warranty and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work is owned by the Licensor or that the Original Work is distributed by Licensor under a valid current license from the copyright owner. Except as expressly stated in the immediately proceeding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to Original Work is granted hereunder except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to any person for any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to liability for death or personal injury resulting from Licensor's negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\n9) Acceptance and Termination. If You distribute copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express and volitional assent of recipients to the terms of this License. Nothing else but this License (or another written agreement between Licensor and You) grants You permission to create Derivative Works based upon the Original Work or to exercise any of the rights granted in Sections 1 herein, and any attempt to do so except under the terms of this License (or another written agreement between Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other countries, and by international treaty. Therefore, by exercising any of the rights granted to You in Sections 1 herein, You indicate Your acceptance of this License and all of its terms and conditions. This License shall terminate immediately and you may no longer exercise any of the rights granted to You by this License upon Your failure to honor the proviso in Section 1(c) herein.\n\n10) Mutual Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License if You file a lawsuit in any court alleging that any OSI Certified open source software that is licensed under any license containing this \"Mutual Termination for Patent Action\" clause infringes any patent claims that are essential to use that software.\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of the U.S. Copyright Act, 17 U.S.C. \u00e5\u00a4 101 et seq., the equivalent laws of other countries, and international treaty. This section shall survive the termination of this License.\n\n12) Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n13) Miscellaneous. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved. Permission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n"
		self.standardLicenseHeaderTemplate = "Licensed under the Open Software License version 1.1\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Open Software License v. 1.1\n\n<<endOptional>>\n\nThis Open Software License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\nLicensed under the Open Software License version 1.1\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license to do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> to reproduce the Original Work in copies;\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> to prepare derivative works (\"Derivative Works\") based upon the Original Work;\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> to distribute copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work or Derivative Works that You distribute shall be licensed under the Open Software License;\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> to perform the Original Work publicly; and\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> to display the Original Work publicly.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor (\"Licensed Claims\") to make, use, sell and offer for sale the Original Work. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license under the Licensed Claims to make, use, sell and offer for sale Derivative Works.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor except as expressly stated herein. No patent license is granted to make, use, sell or offer to sell embodiments of any patent claims other than the Licensed Claims defined in Section 2. No right is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any Original Work that Licensor otherwise would have a right to license.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> External Deployment. The term \"External Deployment\" means the use or distribution of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether the Original Work or Derivative Works are distributed to those persons or made available as an application intended for use over a computer network. As an express condition for the grants of license hereunder, You agree that any External Deployment by You of a Derivative Work shall be deemed a distribution and shall be licensed to all under the terms of this License, as prescribed in section 1(c) herein.\n\n   <<var;name=\"bullet\";original=\"6)\";match=\".{0,20}\">> Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n   <<var;name=\"bullet\";original=\"7)\";match=\".{0,20}\">> Warranty and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work is owned by the Licensor or that the Original Work is distributed by Licensor under a valid current license from the copyright owner. Except as expressly stated in the immediately proceeding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to Original Work is granted hereunder except under this disclaimer.\n\n   <<var;name=\"bullet\";original=\"8)\";match=\".{0,20}\">> Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to any person for any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to liability for death or personal injury resulting from Licensor's negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\n   <<var;name=\"bullet\";original=\"9)\";match=\".{0,20}\">> Acceptance and Termination. If You distribute copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express and volitional assent of recipients to the terms of this License. Nothing else but this License (or another written agreement between Licensor and You) grants You permission to create Derivative Works based upon the Original Work or to exercise any of the rights granted in Sections 1 herein, and any attempt to do so except under the terms of this License (or another written agreement between Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other countries, and by international treaty. Therefore, by exercising any of the rights granted to You in Sections 1 herein, You indicate Your acceptance of this License and all of its terms and conditions. This License shall terminate immediately and you may no longer exercise any of the rights granted to You by this License upon Your failure to honor the proviso in Section 1(c) herein.\n\n   <<var;name=\"bullet\";original=\"10)\";match=\".{0,20}\">> Mutual Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License if You file a lawsuit in any court alleging that any OSI Certified open source software that is licensed under any license containing this \"Mutual Termination for Patent Action\" clause infringes any patent claims that are essential to use that software.\n\n   <<var;name=\"bullet\";original=\"11)\";match=\".{0,20}\">> Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of the U.S. Copyright Act, 17 U.S.C. \u00e5\u00a4 101 et seq., the equivalent laws of other countries, and international treaty. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"12)\";match=\".{0,20}\">> Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"13)\";match=\".{0,20}\">> Miscellaneous. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n   <<var;name=\"bullet\";original=\"14)\";match=\".{0,20}\">> Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"15)\";match=\".{0,20}\">> Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved. Permission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n\n"
		self.name = "Open Software License 1.1"
		self.licenseId = "OSL-1.1"
		self.standardLicenseHeader = "Licensed under the Open Software License version 1.1\n\n"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/OSL1.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:17Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/OSL1.1"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Open Software License v. 1.1</p>\n\n	  </div>\n\n	  <p>This Open Software License (the &quot;License&quot;) applies to any original work of authorship (the\n		 &quot;Original Work&quot;) whose owner (the &quot;Licensor&quot;) has placed the following notice\n		 immediately following the copyright notice for the Original Work:</p>\n\n	  <p>Licensed under the Open Software License version 1.1</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive,\n			 perpetual, non-sublicenseable license to do the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			to reproduce the Original Work in copies;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			to prepare derivative works (&quot;Derivative Works&quot;) based upon the Original Work;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			to distribute copies of the Original Work and Derivative Works to the public, with the\n			   proviso that copies of Original Work or Derivative Works that You distribute shall be\n			   licensed under the Open Software License;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			to perform the Original Work publicly; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			to display the Original Work publicly.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive,\n			 perpetual, non-sublicenseable license, under patent claims owned or controlled by the Licensor\n			 that are embodied in the Original Work as furnished by the Licensor (&quot;Licensed\n			 Claims&quot;) to make, use, sell and offer for sale the Original Work. Licensor hereby grants\n			 You a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license under the\n			 Licensed Claims to make, use, sell and offer for sale Derivative Works.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  Grant of Source Code License. The term &quot;Source Code&quot; means the preferred form of the\n			 Original Work for making modifications to it and all available documentation describing how to\n			 modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the\n			 Source Code of the Original Work along with each copy of the Original Work that Licensor\n			 distributes. Licensor reserves the right to satisfy this obligation by placing a\n			 machine-readable copy of the Source Code in an information repository reasonably calculated to\n			 permit inexpensive and convenient access by You for as long as Licensor continues to\n			 distribute the Original Work, and by publishing the address of that information repository in\n			 a notice immediately following the copyright notice that applies to the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to\n			 trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor\n			 except as expressly stated herein. No patent license is granted to make, use, sell or offer to\n			 sell embodiments of any patent claims other than the Licensed Claims defined in Section 2. No\n			 right is granted to the trademarks of Licensor even if such marks are included in the Original\n			 Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under\n			 different terms from this License any Original Work that Licensor otherwise would have a right\n			 to license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  External Deployment. The term &quot;External Deployment&quot; means the use or distribution of\n			 the Original Work or Derivative Works in any way such that the Original Work or Derivative\n			 Works may be used by anyone other than You, whether the Original Work or Derivative Works are\n			 distributed to those persons or made available as an application intended for use over a\n			 computer network. As an express condition for the grants of license hereunder, You agree that\n			 any External Deployment by You of a Derivative Work shall be deemed a distribution and shall\n			 be licensed to all under the terms of this License, as prescribed in section 1(c) herein.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6)</var>\n		  Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create,\n			 all copyright, patent or trademark notices from the Source Code of the Original Work, as well\n			 as any notices of licensing and any descriptive text identified therein as an\n			 &quot;Attribution Notice.&quot; You must cause the Source Code for any Derivative Works that\n			 You create to carry a prominent Attribution Notice reasonably calculated to inform recipients\n			 that You have modified the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7)</var>\n		  Warranty and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original\n			 Work is owned by the Licensor or that the Original Work is distributed by Licensor under a\n			 valid current license from the copyright owner. Except as expressly stated in the immediately\n			 proceeding sentence, the Original Work is provided under this License on an &quot;AS IS&quot;\n			 BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the\n			 warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. THE\n			 ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY\n			 constitutes an essential part of this License. No license to Original Work is granted\n			 hereunder except under this disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8)</var>\n		  Limitation of Liability. Under no circumstances and under no legal theory, whether in tort\n			 (including negligence), contract, or otherwise, shall the Licensor be liable to any person for\n			 any direct, indirect, special, incidental, or consequential damages of any character arising\n			 as a result of this License or the use of the Original Work including, without limitation,\n			 damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all\n			 other commercial damages or losses. This limitation of liability shall not apply to liability\n			 for death or personal injury resulting from Licensor&apos;s negligence to the extent\n			 applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or\n			 limitation of incidental or consequential damages, so this exclusion and limitation may not\n			 apply to You.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9)</var>\n		  Acceptance and Termination. If You distribute copies of the Original Work or a Derivative Work,\n			 You must make a reasonable effort under the circumstances to obtain the express and volitional\n			 assent of recipients to the terms of this License. Nothing else but this License (or another\n			 written agreement between Licensor and You) grants You permission to create Derivative Works\n			 based upon the Original Work or to exercise any of the rights granted in Sections 1 herein,\n			 and any attempt to do so except under the terms of this License (or another written agreement\n			 between Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws\n			 of other countries, and by international treaty. Therefore, by exercising any of the rights\n			 granted to You in Sections 1 herein, You indicate Your acceptance of this License and all of\n			 its terms and conditions. This License shall terminate immediately and you may no longer\n			 exercise any of the rights granted to You by this License upon Your failure to honor the\n			 proviso in Section 1(c) herein.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10)</var>\n		  Mutual Termination for Patent Action. This License shall terminate automatically and You may no\n			 longer exercise any of the rights granted to You by this License if You file a lawsuit in any\n			 court alleging that any OSI Certified open source software that is licensed under any license\n			 containing this &quot;Mutual Termination for Patent Action&quot; clause infringes any patent\n			 claims that are essential to use that software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11)</var>\n		  Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought\n			 only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor\n			 conducts its primary business, and under the laws of that jurisdiction excluding its\n			 conflict-of-law provisions. The application of the United Nations Convention on Contracts for\n			 the International Sale of Goods is expressly excluded. Any use of the Original Work outside\n			 the scope of this License or after its termination shall be subject to the requirements and\n			 penalties of the U.S. Copyright Act, 17 U.S.C. \u00e5\u00a4 101 et seq., the equivalent laws\n			 of other countries, and international treaty. This section shall survive the termination of\n			 this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12)</var>\n		  Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating\n			 thereto, the prevailing party shall be entitled to recover its costs and expenses, including,\n			 without limitation, reasonable attorneys&apos; fees and costs incurred in connection with such\n			 action, including any appeal of such action. This section shall survive the termination of\n			 this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13)</var>\n		  Miscellaneous. This License represents the complete agreement concerning the subject matter\n			 hereof. If any provision of this License is held to be unenforceable, such provision shall be\n			 reformed only to the extent necessary to make it enforceable.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14)</var>\n		  Definition of &quot;You&quot; in This License. &quot;You&quot; throughout this License, whether\n			 in upper or lower case, means an individual or a legal entity exercising rights under, and\n			 complying with all of the terms of, this License. For legal entities, &quot;You&quot; includes\n			 any entity that controls, is controlled by, or is under common control with you. For purposes\n			 of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the\n			 direction or management of such entity, whether by contract or otherwise, or (ii) ownership of\n			 fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such\n			 entity.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15)</var>\n		  Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned\n			 by this License or by law, and Licensor promises not to interfere with or be responsible for\n			 such uses by You.\n		</li>\n	  \n</ul>\n	  <p>This license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved. Permission is hereby granted\n		 to copy and distribute this license without modification. This license may not be modified without the\n		 express written permission of its copyright owner.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n	  <p>Licensed under the Open Software License version 1.1</p>\n\n	  "
		self.python_name = "OSL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class SWL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The authors hereby grant permission to use, copy, modify, distribute, and license this software and its documentation for any purpose, provided that existing copyright notices are retained in all copies and that this notice is included verbatim in any distributions. No written agreement, license, or royalty fee is required for any of the authorized uses. Modifications to this software may be copyrighted by their authors and need not follow the licensing terms described here, provided that the new terms are clearly indicated on the first page of each file where they apply.\n\nIN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. THIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.\n\nGOVERNMENT USE: If you are acquiring this software on behalf of the U.S. government, the Government shall have only \"Restricted Rights\" in the software and related documentation as defined in the Federal Acquisition Regulations (FARs) in Clause 52.227.19 (c) (2). If you are acquiring the software on behalf of the Department of Defense, the software shall be classified as \"Commercial Computer Software\" and the Government shall have only \"Restricted Rights\" as defined in Clause 252.227-7013 (c) (1) of DFARs. Notwithstanding the foregoing, the authors grant the U.S. Government and others acting in its behalf permission to use and distribute the software in accordance with the terms specified in this license.\n\nBY INSTALLING THIS SOFTWARE, YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, THAT YOU UNDERSTAND IT, AND THAT YOU AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS.\n"
		self.standardLicenseTemplate = "The authors hereby grant permission to use, copy, modify, distribute, and license this software and its documentation for any purpose, provided that existing copyright notices are retained in all copies and that this notice is included verbatim in any distributions. No written agreement, license, or royalty fee is required for any of the authorized uses. Modifications to this software may be copyrighted by their authors and need not follow the licensing terms described here, provided that the new terms are clearly indicated on the first page of each file where they apply.\n\nIN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. THIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.\n\nGOVERNMENT USE: If you are acquiring this software on behalf of the U.S. government, the Government shall have only \"Restricted Rights\" in the software and related documentation as defined in the Federal Acquisition Regulations (FARs) in Clause 52.227.19 (c) (2). If you are acquiring the software on behalf of the Department of Defense, the software shall be classified as \"Commercial Computer Software\" and the Government shall have only \"Restricted Rights\" as defined in Clause 252.227-7013 (c) (1) of DFARs. Notwithstanding the foregoing, the authors grant the U.S. Government and others acting in its behalf permission to use and distribute the software in accordance with the terms specified in this license.\n\nBY INSTALLING THIS SOFTWARE, YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, THAT YOU UNDERSTAND IT, AND THAT YOU AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS.\n\n"
		self.name = "Scheme Widget Library (SWL) Software License Agreement"
		self.licenseId = "SWL"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/SWL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:07Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/SWL"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>The authors hereby grant permission to use, copy, modify, distribute, and license this software and its\n		 documentation for any purpose, provided that existing copyright notices are retained in all copies and\n		 that this notice is included verbatim in any distributions. No written agreement, license, or royalty\n		 fee is required for any of the authorized uses. Modifications to this software may be copyrighted by\n		 their authors and need not follow the licensing terms described here, provided that the new terms are\n		 clearly indicated on the first page of each file where they apply.</p>\n\n	  <p>IN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL,\n		 INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR\n		 ANY DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THE\n		 AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\n		 IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. THIS\n		 SOFTWARE IS PROVIDED ON AN &quot;AS IS&quot; BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE NO OBLIGATION TO\n		 PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.</p>\n\n	  <p>GOVERNMENT USE: If you are acquiring this software on behalf of the U.S. government, the Government shall\n		 have only &quot;Restricted Rights&quot; in the software and related documentation as defined in the Federal\n		 Acquisition Regulations (FARs) in Clause 52.227.19 (c) (2). If you are acquiring the software on\n		 behalf of the Department of Defense, the software shall be classified as &quot;Commercial Computer\n		 Software&quot; and the Government shall have only &quot;Restricted Rights&quot; as defined in Clause 252.227-7013 (c)\n		 (1) of DFARs. Notwithstanding the foregoing, the authors grant the U.S. Government and others acting\n		 in its behalf permission to use and distribute the software in accordance with the terms specified in\n		 this license.</p>\n\n	  <p>BY INSTALLING THIS SOFTWARE, YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, THAT YOU UNDERSTAND IT,\n		 AND THAT YOU AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS.</p>\n\n	"
		self.python_name = "SWL"

	def __str__(self):
		return json.dumps(self.__dict__)


class AFL12:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Academic Free License\nVersion 1.2\n\nThis Academic Free License applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the\nfollowing notice immediately following the copyright notice for the Original Work:\n\n	 Licensed under the Academic Free License version 1.2\n\nGrant of License. Licensor hereby grants to any person obtaining a copy of the Original Work (\"You\") a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license (1) to use, copy, modify, merge, publish, perform, distribute and/or sell copies of the Original Work and derivative works thereof, and (2) under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and offer for sale the Original Work and derivative works thereof, subject to the\nfollowing conditions.\n\nAttribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\nExclusions from License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior written permission of the Licensor.\n\nWarranty and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work is owned by the Licensor or that the Original Work is distributed by Licensor under a valid current license from the copyright owner. Except as expressly stated in the immediately proceeding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to Original Work is granted hereunder except under this disclaimer.\n\nLimitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to any person for any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to liability for death or personal injury resulting from Licensor's negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\nLicense to Source Code. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available\ndocumentation describing how to modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\nMutual Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License if You file a lawsuit in any court alleging that any OSI Certified open source software that is licensed under any license containing this \"Mutual Termination for Patent Action\" clause infringes any patent claims that are essential to use that software.\n\nRight to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved.\nPermission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n"
		self.standardLicenseHeaderTemplate = "Licensed under the Academic Free License version 1.2\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Academic Free License\n\nVersion 1.2\n\n<<endOptional>><<beginOptional>> This Academic Free License applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\nLicensed under the Academic Free License version 1.2\n\n<<endOptional>>\n\nGrant of License. Licensor hereby grants to any person obtaining a copy of the Original Work (\"You\") a world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license (1) to use, copy, modify, merge, publish, perform, distribute and/or sell copies of the Original Work and derivative works thereof, and (2) under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and offer for sale the Original Work and derivative works thereof, subject to the following conditions.\n\nAttribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\nExclusions from License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior written permission of the Licensor.\n\nWarranty and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work is owned by the Licensor or that the Original Work is distributed by Licensor under a valid current license from the copyright owner. Except as expressly stated in the immediately proceeding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to Original Work is granted hereunder except under this disclaimer.\n\nLimitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to any person for any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to liability for death or personal injury resulting from Licensor's negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\nLicense to Source Code. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\nMutual Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License if You file a lawsuit in any court alleging that any OSI Certified open source software that is licensed under any license containing this \"Mutual Termination for Patent Action\" clause infringes any patent claims that are essential to use that software.\n\nRight to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved.\n\nPermission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n\n"
		self.name = "Academic Free License v1.2"
		self.licenseComments = "This license has been superseded by later versions. We found these notes here: https://web.archive.org/web/20100828113909/http://opensource.linux-mirror.org/licenses/afl-1.2.txt The following is intended to describe the essential differences between the Academic Free License (AFL) version 1.0 and other open source licenses: The Academic Free License is similar to the BSD, MIT, UoI/NCSA and Apache licenses in many respects but it is intended to solve a few problems with those licenses. * The AFL is written so as to make it clear what software is being licensed (by the inclusion of a statement following the copyright notice in the software). This way, the license functions better than a template license. The BSD, MIT and UoI/NCSA licenses apply to unidentified software. * The AFL contains a complete copyright grant to the software. The BSD and Apache licenses are vague and incomplete in that respect. * The AFL contains a complete patent grant to the software. The BSD, MIT, UoI/NCSA and Apache licenses rely on an implied patent license and contain no explicit patent grant. * The AFL makes it clear that no trademark rights are granted to the licensor's trademarks. The Apache license contains such a provision, but the BSD, MIT and UoI/NCSA licenses do not. * The AFL includes the warranty by the licensor that it either owns the copyright or that it is distributing the software under a license. None of the other licenses contain that warranty. All other warranties are disclaimed, as is the case for the other licenses. * The AFL is itself copyrighted (with the right granted to copy and distribute without modification). This ensures that the owner of the copyright to the license will control changes. The Apache license contains a copyright notice, but the BSD, MIT and UoI/NCSA licenses do not."
		self.licenseId = "AFL-1.2"
		self.standardLicenseHeader = "Licensed under the Academic Free License version 1.2\n\n"
		self.crossRef = [{"match": "N/A", "url": "http://wayback.archive.org/web/20021204204652/http://www.opensource.org/licenses/academic.php", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:10:06Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://opensource.linux-mirror.org/licenses/afl-1.2.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://opensource.linux-mirror.org/licenses/afl-1.2.txt", "http://wayback.archive.org/web/20021204204652/http://www.opensource.org/licenses/academic.php"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Academic Free License</p>\n\n		 <p>Version 1.2</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>This Academic Free License applies to any original work of authorship (the &quot;Original Work&quot;) whose owner\n		 (the &quot;Licensor&quot;) has placed the following notice immediately following the copyright notice for the\n		 Original Work:</p>\n\n		 <p>Licensed under the Academic Free License version 1.2</p>\n\n	  </div>\n\n	  <p>Grant of License. Licensor hereby grants to any person obtaining a copy of the Original Work (&quot;You&quot;) a\n		 world-wide, royalty-free, non-exclusive, perpetual, non-sublicenseable license (1) to use, copy,\n		 modify, merge, publish, perform, distribute and/or sell copies of the Original Work and derivative\n		 works thereof, and (2) under patent claims owned or controlled by the Licensor that are embodied in\n		 the Original Work as furnished by the Licensor, to make, use, sell and offer for sale the Original\n		 Work and derivative works thereof, subject to the following conditions.</p>\n\n	  <p>Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all\n		 copyright, patent or trademark notices from the Source Code of the Original Work, as well as any\n		 notices of licensing and any descriptive text identified therein as an &quot;Attribution Notice.&quot; You must\n		 cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice\n		 reasonably calculated to inform recipients that You have modified the Original Work.</p>\n\n	  <p>Exclusions from License Grant. Neither the names of Licensor, nor the names of any contributors to the\n		 Original Work, nor any of their trademarks or service marks, may be used to endorse or promote\n		 products derived from this Original Work without express prior written permission of the Licensor.</p>\n\n	  <p>Warranty and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work is\n		 owned by the Licensor or that the Original Work is distributed by Licensor under a valid current\n		 license from the copyright owner. Except as expressly stated in the immediately proceeding sentence,\n		 the Original Work is provided under this License on an &quot;AS IS&quot; BASIS and WITHOUT WARRANTY, either\n		 express or implied, including, without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY\n		 or FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH\n		 YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to Original\n		 Work is granted hereunder except under this disclaimer.</p>\n\n	  <p>Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including\n		 negligence), contract, or otherwise, shall the Licensor be liable to any person for any direct,\n		 indirect, special, incidental, or consequential damages of any character arising as a result of this\n		 License or the use of the Original Work including, without limitation, damages for loss of goodwill,\n		 work stoppage, computer failure or malfunction, or any and all other commercial damages or losses.\n		 This limitation of liability shall not apply to liability for death or personal injury resulting from\n		 Licensor&apos;s negligence to the extent applicable law prohibits such limitation. Some jurisdictions do\n		 not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and\n		 limitation may not apply to You.</p>\n\n	  <p>License to Source Code. The term &quot;Source Code&quot; means the preferred form of the Original Work for making\n		 modifications to it and all available documentation describing how to modify the Original Work. Licensor\n		 hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each\n		 copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this\n		 obligation by placing a machine-readable copy of the Source Code in an information repository\n		 reasonably calculated to permit inexpensive and convenient access by You for as long as\n		 Licensor continues to distribute the Original Work, and by publishing the address of that\n		 information repository in a notice immediately following the copyright notice that applies to\n		 the Original Work.</p>\n\n	  <p>Mutual Termination for Patent Action. This License shall terminate automatically and You may no longer\n		 exercise any of the rights granted to You by this License if You file a lawsuit in any court alleging\n		 that any OSI Certified open source software that is licensed under any license containing this &quot;Mutual\n		 Termination for Patent Action&quot; clause infringes any patent claims that are essential to use that\n		 software.</p>\n\n	  <p>Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this\n		 License or by law, and Licensor promises not to interfere with or be responsible for such uses by\n		 You.</p>\n\n	  <p>This license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved.</p>\n\n	  <p>Permission is hereby granted to copy and distribute this license without modification. This license\n		 may not be modified without the express written permission of its copyright owner.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n		 <p>Licensed under the Academic Free License version 1.2</p>\n\n		 "
		self.python_name = "AFL12"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP222:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The OpenLDAP Public License\nVersion 2.2.2, 28 July 2000\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain copyright statements and notices.\n\n2. Redistributions in binary form must reproduce applicable copyright statements and notices, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. Redistributions must contain a verbatim copy of this document.\n\n4. The name \"OpenLDAP\" must not be used to endorse or promote products derived from this Software without prior written permission of the OpenLDAP Foundation.\n\n5. Products derived from this Software may not be called \"OpenLDAP\" nor may \"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP Foundation.\n\n6. Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n7. The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved. Permission to copy and distributed verbatim copies of this document is granted.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 2.2.2, 28 July 2000\n\n<<endOptional>>\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain copyright statements and notices.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce applicable copyright statements and notices, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions must contain a verbatim copy of this document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The name \"OpenLDAP\" must not be used to endorse or promote products derived from this Software without prior written permission of the OpenLDAP Foundation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Products derived from this Software may not be called \"OpenLDAP\" nor may \"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP Foundation.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\n<<var;name=\"copyright\";original=\"Copyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.\";match=\".{0,5000}\">> Permission to copy and distributed verbatim copies of this document is granted.\n\n"
		self.name = "Open LDAP Public License 2.2.2"
		self.licenseComments = "This license was released 28 July 2000."
		self.licenseId = "OLDAP-2.2.2"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=df2cc1e21eb7c160695f5b7cffd6296c151ba188", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:24Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=df2cc1e21eb7c160695f5b7cffd6296c151ba188"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 2.2.2, 28 July 2000\n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use of this software and associated documentation (&quot;Software&quot;), with or without\n		 modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain copyright statements and notices.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce applicable copyright statements and notices, this\n			 list of conditions, and the following disclaimer in the documentation and/or other materials\n			 provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Redistributions must contain a verbatim copy of this document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  The name &quot;OpenLDAP&quot; must not be used to endorse or promote products derived from this Software\n			 without prior written permission of the OpenLDAP Foundation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Products derived from this Software may not be called &quot;OpenLDAP&quot; nor may &quot;OpenLDAP&quot; appear in\n			 their names without prior written permission of the OpenLDAP Foundation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished\n			 by a version number. You may use the Software under terms of this license revision or under\n			 the terms of any subsequent revision of the license.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESSED OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS\n		 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n		 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n		 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n		 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\n		 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>OpenLDAP is a trademark of the OpenLDAP Foundation.</p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> Copyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.</var>\n		Permission to copy and distributed verbatim copies of this document is granted.\n	  </p>\n\n	"
		self.python_name = "OLDAP222"

	def __str__(self):
		return json.dumps(self.__dict__)


class Entessa:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Entessa Public License Version. 1.0\nCopyright (c) 2003 Entessa, LLC. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1.  Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2.  Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3.  The end-user documentation included with the redistribution, if any, must include the following acknowledgment:\n\n	 \"This product includes open source software developed by openSEAL (http://www.openseal.org/).\"\n\nAlternately, this acknowledgment may appear in the software itself, if and wherever such third-party acknowledgments normally appear.\n\n4.  The names \"openSEAL\" and \"Entessa\" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact epl@entessa.com.\n\n5.  Products derived from this software may not be called \"openSEAL\", nor may \"openSEAL\" appear in their name, without prior written permission of Entessa.\n\nTHIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ENTESSA, LLC, OPENSEAL OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis software consists of voluntary contributions made by many individuals on behalf of openSEAL and was originally based on software contributed by Entessa, LLC, http://www.entessa.com. For more information on the openSEAL, please see <http://www.openseal.org/>.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Entessa Public License Version. 1.0\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2003 Entessa, LLC. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The end-user documentation included with the redistribution, if any, must include the following acknowledgment:\n\n   \"This product includes open source software developed by openSEAL (http://www.openseal.org/).\"\n\n   Alternately, this acknowledgment may appear in the software itself, if and wherever such third-party acknowledgments normally appear.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The names \"openSEAL\" and \"Entessa\" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact epl@entessa.com.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Products derived from this software may not be called \"openSEAL\", nor may \"openSEAL\" appear in their name, without prior written permission of Entessa.\n\nTHIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ENTESSA, LLC, OPENSEAL OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis software consists of voluntary contributions made by many individuals on behalf of openSEAL and was originally based on software contributed by Entessa, LLC, http://www.entessa.com. For more information on the openSEAL, please see <http://www.openseal.org/>.\n\n"
		self.name = "Entessa Public License v1.0"
		self.licenseId = "Entessa"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Entessa", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:46Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/Entessa"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Entessa Public License Version. 1.0</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2003 Entessa, LLC. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that\n	   the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		Redistributions of source code must retain the above copyright notice, this list of conditions and\n		   the following disclaimer.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		Redistributions in binary form must reproduce the above copyright notice, this list of conditions and\n		   the following disclaimer in the documentation and/or other materials provided with the\n		   distribution.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		The end-user documentation included with the redistribution, if any, must include the following\n		   acknowledgment:\n		<p>&quot;This product includes open source software developed by openSEAL (http://www.openseal.org/).&quot;</p>\n\n			<p>Alternately, this acknowledgment may appear in the software itself, if and wherever such third-party\n		   acknowledgments normally appear.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		The names &quot;openSEAL&quot; and &quot;Entessa&quot; must not be used to endorse or promote products derived from this\n		   software without prior written permission. For written permission, please contact\n		   epl@entessa.com.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		Products derived from this software may not be called &quot;openSEAL&quot;, nor may &quot;openSEAL&quot; appear in their\n		   name, without prior written permission of Entessa.\n	  </li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED ``AS IS&apos;&apos; AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,\n	   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT\n	   SHALL ENTESSA, LLC, OPENSEAL OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\n	   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\n	   SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\n	   LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN\n	   ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>This software consists of voluntary contributions made by many individuals on behalf of openSEAL and was\n	   originally based on software contributed by Entessa, LLC, http://www.entessa.com. For more information on\n	   the openSEAL, please see &lt;http://www.openseal.org/&gt;.</p>\n\n	"
		self.python_name = "Entessa"

	def __str__(self):
		return json.dumps(self.__dict__)


class X11distributemodificationsvariant:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) <year> <copyright holders>\n\nPermission is hereby granted, free of charge, to any person obtaining a\ncopy of this software and associated documentation files (the\n\"Software\"), to deal in the Software without restriction, including\nwithout limitation the rights to use, copy, modify, merge, publish,\ndistribute, distribute with modifications, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included\nin all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\nOR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.\nIN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,\nDAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR\nOTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR\nTHE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nExcept as contained in this notice, the name(s) of the above copyright\nholders shall not be used in advertising or otherwise to promote the\nsale, use or other dealings in this Software without prior written\nauthorization.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) <year> <copyright holders>  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, distribute with modifications, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nExcept as contained in this notice, the name(s) of the above copyright holders shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization.\n\n"
		self.name = "X11 License Distribution Modification Variant"
		self.licenseComments = "This is same as X11, but with an additional \"distribute with modifications\" grant and does not have the trademark at the end."
		self.licenseId = "X11-distribute-modifications-variant"
		self.crossRef = [{"match": "False", "url": "https://github.com/mirror/ncurses/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:33Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/mirror/ncurses/blob/master/COPYING"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) &lt;year&gt; &lt;copyright holders&gt;</p>\n\n	  </div>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and\n		 associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,\n		 including without limitation the rights to use, copy, modify, merge, publish, distribute, distribute with modifications, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,\n		 subject to the following conditions:</p>\n\n	  <p>The above copyright notice and this permission notice shall be included in all copies or substantial\n		 portions of the Software.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN\n		 ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE\n		 USE OR OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	  <p>Except as contained in this notice, the name(s) of the above copyright holders shall not be used in advertising or\n		 otherwise to promote the sale, use or other dealings in this Software without prior written\n		 authorization.</p>\n\n	"
		self.python_name = "X11distributemodificationsvariant"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBY30AT:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\nLizenz\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \"SCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \"LIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n1. Definitionen\n\n	a. Der Begriff \"Bearbeitung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange dieses erkennbar vom Schutzgegenstand abgeleitet wurde. Dies kann insbesondere auch eine Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Bearbeitung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Nutzung des Schutzgegenstandes.\n\n	b. Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten zu einem einheitlichen Ganzen, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine eigent\u00fcmliche geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	c. \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Bearbeitungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit zug\u00e4nglich zu machen oder in Verkehr zu bringen.\n\n	d. Der \"Lizenzgeber\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	e. \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und eine Erteilung, \u00dcbertragung oder Einr\u00e4umung von Nutzungsbewilligungen bzw Nutzungsrechten an Dritte erlaubt.\n\n	f. Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine eigent\u00fcmliche geistige Sch\u00f6pfung jeglicher Art oder ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \u201eSchutzgegenstand\u201c im Sinne dieser Lizenz.\n\n	g. Mit \"Sie\" bzw. \"Ihnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrte Nutzungsbewilligung trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	h. Unter \"\u00d6ffentlich Wiedergeben\" im Sinne dieser Lizenz sind Wahrnehmbarmachungen des Schutzgegenstandes in unk\u00f6rperlicher Form zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung oder zeit- und ortsunabh\u00e4ngiger Zurverf\u00fcgungstellung erfolgen, unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	i. \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, gleichviel in welchem Verfahren, auf welchem Tr\u00e4ger, in welcher Menge und ob vor\u00fcbergehend oder dauerhaft, Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch das erstmalige Festhalten des Schutzgegenstandes oder dessen Wahrnehmbarmachung auf Mitteln der wiederholbaren Wiedergabe sowie das Herstellen von Vervielf\u00e4ltigungsst\u00fccken dieser Festhaltung, sowie die Speicherung einer gesch\u00fctzten Darbietung oder eines Bild- und/oder Schalltr\u00e4gers in digitaler Form oder auf einem anderen elektronischen Medium.\n\n2. Beschr\u00e4nkungen der Verwertungsrechte\n\nDiese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die sich aus den Beschr\u00e4nkungen der Verwertungsrechte, anderen Beschr\u00e4nkungen der Ausschlie\u00dflichkeitsrechte des Rechtsinhabers oder anderen entsprechenden Rechtsnormen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n3. Lizenzierung\n\nUnter den Bedingungen dieser Lizenz erteilt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.e) - die verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Urheberrechts oder verwandten Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte Nutzungsbewilligung, den Schutzgegenstand in der folgenden Art und Weise zu nutzen:\n\n	a. Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	b. Den Schutzgegenstand zu bearbeiten, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien anzufertigen, sofern deutlich erkennbar gemacht wird, dass es sich um eine Bearbeitung handelt;\n\n	c. Den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich wiederzugeben und zu verbreiten; und\n\n	d. Bearbeitungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich wiederzugeben und zu verbreiten.\n\n	e. Bez\u00fcglich der Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		i. Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechenden Verg\u00fctungsanspr\u00fcche f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie geltend zu machen.\n\n		ii. Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, verzichtet der Lizenzgeber f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des Schutzgegenstandes durch Sie auf jegliche Verg\u00fctung.\n\n		iii. Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Geltendmachung der Verg\u00fctungsanspr\u00fcche durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re.\n\nDie vorgenannte Nutzungsbewilligung wird f\u00fcr alle bekannten sowie alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Sie beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich vom Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf die Geltendmachung s\u00e4mtlicher daraus resultierender Rechte.\n\n4. Bedingungen\n\nDie Erteilung der Nutzungsbewilligung gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	a. Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich wiedergeben. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich wiedergeben, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich wiedergeben, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dasselbe gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie - soweit dies praktikabel ist - auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.b) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Bearbeitung vornehmen, m\u00fcssen Sie \u2013 soweit dies praktikabel ist \u2013 auf die Mitteilung eines Lizenzgebers hin von der Bearbeitung die in Abschnitt 4.b) aufgez\u00e4hlten Hinweise entfernen.\n\n	b. Die Verbreitung und die \u00f6ffentliche Wiedergabe des Schutzgegenstandes oder auf ihm aufbauender Inhalte oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Urheberschaft oder die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie selbst \u2013 soweit bekannt \u2013 Folgendes angeben:\n\n		i. Den Namen (oder das Pseudonym, falls ein solches verwendet wird) Rechteinhabers, und/oder falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\u201eZuschreibungsempf\u00e4nger\u201c), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		ii. den Titel des Inhaltes;\n\n		iii. in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n\n		iv. und im Falle einer Bearbeitung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Bearbeitung handelt.\n\n	Die nach diesem Abschnitt 4.b) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Bearbeitung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung aller Beitragenden dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Urhebers, des Lizenzgebers und/oder des Zuschreibungsempf\u00e4ngers weder implizit noch explizit irgendeine Verbindung mit dem oder eine Unterst\u00fctzung oder Billigung durch den Urheber, den Lizenzgeber oder den Zuschreibungsempf\u00e4nger andeuten oder erkl\u00e4ren.\n\n	c. Die oben unter 4.a) und b) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	d. (Urheber)Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n5. Gew\u00e4hrleistung\n\nSOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE ERTEILUNG DER NUTZUNGSBEWILLIGUNG UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN.\n\n6. Haftungsbeschr\u00e4nkung\n\n\u00dcBER DIE IN ZIFFER 5 GENANNTE GEW\u00c4HRLEISTUNG HINAUS HAFTET DER LIZENZGEBER IHNEN GEGEN\u00dcBER F\u00dcR SCH\u00c4DEN JEGLICHER ART NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG F\u00dcR FOLGE- ODER ANDERE SCH\u00c4DEN, AUCH WENN ER \u00dcBER DIE M\u00d6GLICHKEIT IHRES EINTRITTS UNTERRICHTET WURDE.\n\n7. Erl\u00f6schen\n\n	a. Diese Lizenz und die durch sie erteilte Nutzungsbewilligung erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Bearbeitungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke sowie entsprechende Vervielf\u00e4ltigungsst\u00fccke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	b. Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n8. Sonstige Bestimmungen\n\n	a. Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	b. Jedes Mal wenn Sie eine Bearbeitung des Schutzgegenstandes verbreiten oder \u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	c. Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n\n	d. Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	e. Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df 8.a) und b) angebotenen Lizenzen aus.\n\n	f. Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Republik \u00d6sterreich Anwendung.\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n"
		self.standardLicenseTemplate = "CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\n<<beginOptional>>Lizenz\n\n<<endOptional>>\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \"SCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \"LIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitionen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Der Begriff \"Bearbeitung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange dieses erkennbar vom Schutzgegenstand abgeleitet wurde. Dies kann insbesondere auch eine Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Bearbeitung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Nutzung des Schutzgegenstandes.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten zu einem einheitlichen Ganzen, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine eigent\u00fcmliche geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Bearbeitungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit zug\u00e4nglich zu machen oder in Verkehr zu bringen.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Der \"Lizenzgeber\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und eine Erteilung, \u00dcbertragung oder Einr\u00e4umung von Nutzungsbewilligungen bzw Nutzungsrechten an Dritte erlaubt.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine eigent\u00fcmliche geistige Sch\u00f6pfung jeglicher Art oder ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \u201eSchutzgegenstand\" im Sinne dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Mit \"Sie\" bzw. \"Ihnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrte Nutzungsbewilligung trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Unter \"\u00d6ffentlich Wiedergeben\" im Sinne dieser Lizenz sind Wahrnehmbarmachungen des Schutzgegenstandes in unk\u00f6rperlicher Form zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung oder zeit- und ortsunabh\u00e4ngiger Zurverf\u00fcgungstellung erfolgen, unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, gleichviel in welchem Verfahren, auf welchem Tr\u00e4ger, in welcher Menge und ob vor\u00fcbergehend oder dauerhaft, Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch das erstmalige Festhalten des Schutzgegenstandes oder dessen Wahrnehmbarmachung auf Mitteln der wiederholbaren Wiedergabe sowie das Herstellen von Vervielf\u00e4ltigungsst\u00fccken dieser Festhaltung, sowie die Speicherung einer gesch\u00fctzten Darbietung oder eines Bild- und/oder Schalltr\u00e4gers in digitaler Form oder auf einem anderen elektronischen Medium.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Beschr\u00e4nkungen der Verwertungsrechte\n\n   Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die sich aus den Beschr\u00e4nkungen der Verwertungsrechte, anderen Beschr\u00e4nkungen der Ausschlie\u00dflichkeitsrechte des Rechtsinhabers oder anderen entsprechenden Rechtsnormen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Lizenzierung\n\n   Unter den Bedingungen dieser Lizenz erteilt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.e) - die verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Urheberrechts oder verwandten Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte Nutzungsbewilligung, den Schutzgegenstand in der folgenden Art und Weise zu nutzen:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Den Schutzgegenstand zu bearbeiten, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien anzufertigen, sofern deutlich erkennbar gemacht wird, dass es sich um eine Bearbeitung handelt;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich wiederzugeben und zu verbreiten; und\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Bearbeitungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich wiederzugeben und zu verbreiten.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Bez\u00fcglich der Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechenden Verg\u00fctungsanspr\u00fcche f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie geltend zu machen.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, verzichtet der Lizenzgeber f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des Schutzgegenstandes durch Sie auf jegliche Verg\u00fctung.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Geltendmachung der Verg\u00fctungsanspr\u00fcche durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re.\n\n   Die vorgenannte Nutzungsbewilligung wird f\u00fcr alle bekannten sowie alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Sie beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich vom Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf die Geltendmachung s\u00e4mtlicher daraus resultierender Rechte.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Bedingungen\n\n   Die Erteilung der Nutzungsbewilligung gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich wiedergeben. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich wiedergeben, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich wiedergeben, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dasselbe gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie - soweit dies praktikabel ist - auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.b) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Bearbeitung vornehmen, m\u00fcssen Sie \u2013 soweit dies praktikabel ist \u2013 auf die Mitteilung eines Lizenzgebers hin von der Bearbeitung die in Abschnitt 4.b) aufgez\u00e4hlten Hinweise entfernen.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Die Verbreitung und die \u00f6ffentliche Wiedergabe des Schutzgegenstandes oder auf ihm aufbauender Inhalte oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Urheberschaft oder die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie selbst \u2013 soweit bekannt \u2013 Folgendes angeben:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Den Namen (oder das Pseudonym, falls ein solches verwendet wird) Rechteinhabers, und/oder falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\u201eZuschreibungsempf\u00e4nger\"), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> den Titel des Inhaltes;\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n\n		 <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> und im Falle einer Bearbeitung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Bearbeitung handelt.\n\n	  Die nach diesem Abschnitt 4.b) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Bearbeitung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung aller Beitragenden dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Urhebers, des Lizenzgebers und/oder des Zuschreibungsempf\u00e4ngers weder implizit noch explizit irgendeine Verbindung mit dem oder eine Unterst\u00fctzung oder Billigung durch den Urheber, den Lizenzgeber oder den Zuschreibungsempf\u00e4nger andeuten oder erkl\u00e4ren.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Die oben unter 4.a) und b) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> (Urheber)Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Gew\u00e4hrleistung\n\n   SOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE ERTEILUNG DER NUTZUNGSBEWILLIGUNG UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Haftungsbeschr\u00e4nkung\n\n   \u00dcBER DIE IN ZIFFER 5 GENANNTE GEW\u00c4HRLEISTUNG HINAUS HAFTET DER LIZENZGEBER IHNEN GEGEN\u00dcBER F\u00dcR SCH\u00c4DEN JEGLICHER ART NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG F\u00dcR FOLGE- ODER ANDERE SCH\u00c4DEN, AUCH WENN ER \u00dcBER DIE M\u00d6GLICHKEIT IHRES EINTRITTS UNTERRICHTET WURDE.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Erl\u00f6schen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Diese Lizenz und die durch sie erteilte Nutzungsbewilligung erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Bearbeitungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke sowie entsprechende Vervielf\u00e4ltigungsst\u00fccke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Sonstige Bestimmungen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Jedes Mal wenn Sie eine Bearbeitung des Schutzgegenstandes verbreiten oder \u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df 8.a) und b) angebotenen Lizenzen aus.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Republik \u00d6sterreich Anwendung.\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution 3.0 Austria"
		self.licenseId = "CC-BY-3.0-AT"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by/3.0/at/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:40Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by/3.0/at/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<p>CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE\n			RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM\n			MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE\n			GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG\n			F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN\n			AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.</p>\n\n			<div class=\"optional-license-text\"> \n				<p>Lizenz</p>\n\n			</div>\n			<p>DER GEGENSTAND DIESER LIZENZ (WIE UNTER &quot;SCHUTZGEGENSTAND&quot; DEFINIERT)\n			WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE\n			(&quot;CCPL&quot;, &quot;LIZENZ&quot; ODER &quot;LIZENZVERTRAG&quot;) ZUR VERF\u00dcGUNG GESTELLT. DER\n			SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE\n			GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT\n			AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.</p>\n\n			<p>DURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM\n			SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN\n			RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG\n			ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN\n			RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN\n			AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.</var>\n					Definitionen\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							Der Begriff &quot;Bearbeitung&quot; im Sinne dieser Lizenz bezeichnet das Ergebnis\n							jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange dieses\n							erkennbar vom Schutzgegenstand abgeleitet wurde. Dies kann insbesondere\n							auch eine Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder\n							Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein.\n							Nicht als Bearbeitung des Schutzgegenstandes gelten seine Aufnahme in\n							eine Sammlung oder ein Sammelwerk und die freie Nutzung des\n							Schutzgegenstandes.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							Der Begriff &quot;Sammelwerk&quot; im Sinne dieser Lizenz meint eine\n							Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen\n							Inhalten zu einem einheitlichen Ganzen, sofern diese Zusammenstellung\n							aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen\n							Elemente eine eigent\u00fcmliche geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig\n							davon, ob die Elemente systematisch oder methodisch angelegt und dadurch\n							einzeln zug\u00e4nglich sind oder nicht.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var>\n							&quot;Verbreiten&quot; im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder\n							Bearbeitungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin\n							in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit zug\u00e4nglich zu machen oder in\n							Verkehr zu bringen.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var>\n							Der &quot;Lizenzgeber&quot; im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder\n							juristische Person oder Gruppe, die den Schutzgegenstand unter den\n							Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e.</var>\n							&quot;Rechteinhaber&quot; im Sinne dieser Lizenz ist der Urheber des\n							Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person, die\n							am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in\n							Abschnitt 3 genannten Handlungen erfasst und eine Erteilung, \u00dcbertragung\n							oder Einr\u00e4umung von Nutzungsbewilligungen bzw Nutzungsrechten an\n							Dritte erlaubt.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> f.</var>\n							Der Begriff &quot;Schutzgegenstand&quot; bezeichnet in dieser Lizenz den literarischen,\n							k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen\n							dieser Lizenz angeboten wird. Das kann insbesondere eine eigent\u00fcmliche\n							geistige Sch\u00f6pfung jeglicher Art oder ein Werk der kleinen M\u00fcnze, ein\n							nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines\n							verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und\n							unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen\n							kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken\n							oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen\n							Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff\n							\u201eSchutzgegenstand&quot; im Sinne dieser Lizenz.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> g.</var>\n							Mit &quot;Sie&quot; bzw. &quot;Ihnen&quot; ist die nat\u00fcrliche oder juristische Person gemeint, die\n							in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes\n							vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen\n							Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis\n							des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrte\n							Nutzungsbewilligung trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> h.</var>\n							Unter &quot;\u00d6ffentlich Wiedergeben&quot; im Sinne dieser Lizenz sind\n							Wahrnehmbarmachungen des Schutzgegenstandes in unk\u00f6rperlicher Form\n							zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit\n							bestimmt sind und mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag,\n							Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung oder zeit-\n							und ortsunabh\u00e4ngiger Zurverf\u00fcgungstellung erfolgen, unabh\u00e4ngig von den\n							zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich\n							drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> i.</var>\n							&quot;Vervielf\u00e4ltigen&quot; im Sinne dieser Lizenz bedeutet, gleichviel in welchem\n							Verfahren, auf welchem Tr\u00e4ger, in welcher Menge und ob vor\u00fcbergehend\n							oder dauerhaft, Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes\n							herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst\n							auch das erstmalige Festhalten des Schutzgegenstandes oder dessen\n							Wahrnehmbarmachung auf Mitteln der wiederholbaren Wiedergabe sowie\n							das Herstellen von Vervielf\u00e4ltigungsst\u00fccken dieser Festhaltung, sowie die\n							Speicherung einer gesch\u00fctzten Darbietung oder eines Bild- und/oder\n							Schalltr\u00e4gers in digitaler Form oder auf einem anderen elektronischen\n							Medium.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.</var>\n					Beschr\u00e4nkungen der Verwertungsrechte\n					<p>Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des\n					Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die sich aus\n					den Beschr\u00e4nkungen der Verwertungsrechte, anderen Beschr\u00e4nkungen der\n					Ausschlie\u00dflichkeitsrechte des Rechtsinhabers oder anderen entsprechenden\n					Rechtsnormen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes\n					ergeben.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.</var>\n					Lizenzierung\n					<p>Unter den Bedingungen dieser Lizenz erteilt Ihnen der Lizenzgeber -\n					unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 3.e) - die\n					verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Urheberrechts oder\n					verwandten Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte\n					Nutzungsbewilligung, den Schutzgegenstand in der folgenden Art und Weise zu\n					nutzen:</p>\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in\n							Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu\n							vervielf\u00e4ltigen;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							Den Schutzgegenstand zu bearbeiten, einschlie\u00dflich \u00dcbersetzungen unter\n							Nutzung jedweder Medien anzufertigen, sofern deutlich erkennbar gemacht\n							wird, dass es sich um eine Bearbeitung handelt;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var>\n							Den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich\n							wiederzugeben und zu verbreiten; und\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var>\n							Bearbeitungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich\n							wiederzugeben und zu verbreiten.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e.</var>\n							Bez\u00fcglich der Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n							\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> i.</var>\n									Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare\n									Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen\n									oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden\n									sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die\n									entsprechenden Verg\u00fctungsanspr\u00fcche f\u00fcr jede Aus\u00fcbung eines Rechts\n									aus dieser Lizenz durch Sie geltend zu machen.\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> ii.</var>\n									Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser\n									Lizenz vorgesehen sind und zustande kommen, verzichtet der Lizenzgeber\n									f\u00fcr alle F\u00e4lle einer lizenzgerechten Nutzung des Schutzgegenstandes\n									durch Sie auf jegliche Verg\u00fctung.\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> iii.</var>\n									Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des\n									Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen\n									Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche\n									Verg\u00fctung, unabh\u00e4ngig davon, ob eine Geltendmachung der\n									Verg\u00fctungsanspr\u00fcche durch ihn selbst oder nur durch eine\n									Verwertungsgesellschaft m\u00f6glich w\u00e4re.\n								</li>\n							\n</ul>\n						</li>\n					\n</ul>\n					<p>Die vorgenannte Nutzungsbewilligung wird f\u00fcr alle bekannten sowie alle noch\n					nicht bekannten Nutzungsarten einger\u00e4umt. Sie beinhaltet auch das Recht, solche\n					\u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser\n					Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die\n					\u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich vom Lizenzgeber einger\u00e4umt\n					werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder\n					Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen\n					sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet\n					der Lizenzgeber auf die Geltendmachung s\u00e4mtlicher daraus resultierender Rechte.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.</var>\n					Bedingungen\n					<p>Die Erteilung der Nutzungsbewilligung gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt\n					ausdr\u00fccklich nur unter den folgenden Bedingungen:</p>\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser\n							Lizenz verbreiten oder \u00f6ffentlich wiedergeben. Sie m\u00fcssen dabei stets eine\n							Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des\n							Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder\n							Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz\n							oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den\n							Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des\n							Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich wiedergeben, m\u00fcssen\n							Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den\n							Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten\n							oder \u00f6ffentlich wiedergeben, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand)\n							keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des\n							Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten\n							Rechte behindern k\u00f6nnen. Dasselbe gilt auch f\u00fcr den Fall, dass der\n							Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch\n							nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt\n							werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie - soweit dies\n							praktikabel ist - auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk\n							die in Abschnitt 4.b) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine\n							Bearbeitung vornehmen, m\u00fcssen Sie \u2013 soweit dies praktikabel ist \u2013 auf die\n							Mitteilung eines Lizenzgebers hin von der Bearbeitung die in Abschnitt 4.b)\n							aufgez\u00e4hlten Hinweise entfernen.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							Die Verbreitung und die \u00f6ffentliche Wiedergabe des Schutzgegenstandes oder\n							auf ihm aufbauender Inhalte oder ihn enthaltender Sammelwerke ist Ihnen nur\n							unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im\n							Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt\n							lassen. Sie sind verpflichtet, die Urheberschaft oder die Rechteinhaberschaft in\n							einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem\n							Sie selbst \u2013 soweit bekannt \u2013 Folgendes angeben:\n							\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> i.</var>\n									Den Namen (oder das Pseudonym, falls ein solches verwendet wird)\n									Rechteinhabers, und/oder falls der Lizenzgeber im Rechtevermerk, in den\n									Nutzungsbedingungen oder auf andere angemessene Weise eine\n									Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein\n									Verlagshaus oder eine Zeitung) (\u201eZuschreibungsempf\u00e4nger&quot;), Namen bzw.\n									Bezeichnung dieses oder dieser Dritten;\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> ii.</var>\n									den Titel des Inhaltes;\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> iii.</var>\n									in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B.\n									Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben\n									hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder\n									die Lizenzinformationen zum Schutzgegenstand;\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> iv.</var>\n									und im Falle einer Bearbeitung des Schutzgegenstandes in\n									\u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich\n									um eine Bearbeitung handelt.\n								</li>\n							\n</ul>\n							<p>Die nach diesem Abschnitt 4.b) erforderlichen Angaben k\u00f6nnen in jeder\n							angemessenen Form gemacht werden; im Falle einer Bearbeitung des\n							Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das\n							Minimum darstellen und bei gemeinsamer Nennung aller Beitragenden\n							dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die\n							Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt\n							d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben\n							bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser\n							Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende\n							Zustimmung des Urhebers, des Lizenzgebers und/oder des\n							Zuschreibungsempf\u00e4ngers weder implizit noch explizit irgendeine Verbindung\n							mit dem oder eine Unterst\u00fctzung oder Billigung durch den Urheber, den\n							Lizenzgeber oder den Zuschreibungsempf\u00e4nger andeuten oder erkl\u00e4ren.</p>\n\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var>\n							Die oben unter 4.a) und b) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche\n							Teile des Schutzgegenstandes, die allein deshalb unter den\n							Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder\n							Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz\n							eigener Art genie\u00dfen.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var>\n							(Urheber)Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser\n							Lizenz unber\u00fchrt.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 5.</var>\n					Gew\u00e4hrleistung\n					<p>SOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN\n					DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL\n					NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN\n					SCHUTZGEGENSTAND UND DIE ERTEILUNG DER NUTZUNGSBEWILLIGUNG UNTER\n					AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER\n					AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST\n					INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG\n					VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT\n					DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN\n					ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 6.</var>\n					Haftungsbeschr\u00e4nkung\n					<p>\u00dcBER DIE IN ZIFFER 5 GENANNTE GEW\u00c4HRLEISTUNG HINAUS HAFTET DER\n					LIZENZGEBER IHNEN GEGEN\u00dcBER F\u00dcR SCH\u00c4DEN JEGLICHER ART NUR BEI GROBER\n					FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI\n					FREIWILLIGE HAFTUNG F\u00dcR FOLGE- ODER ANDERE SCH\u00c4DEN, AUCH WENN ER\n					\u00dcBER DIE M\u00d6GLICHKEIT IHRES EINTRITTS UNTERRICHTET WURDE.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 7.</var>\n					Erl\u00f6schen\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							Diese Lizenz und die durch sie erteilte Nutzungsbewilligung erl\u00f6schen mit\n							Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen\n							durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder\n							einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder\n							juristischen Personen, die Bearbeitungen des Schutzgegenstandes oder diesen\n							enthaltende Sammelwerke sowie entsprechende Vervielf\u00e4ltigungsst\u00fccke unter\n							den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen\n							nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die\n							genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten.\n							Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem\n							Erl\u00f6schen dieser Lizenz fort.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis\n							der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen\n							beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen\n							Lizenzbedingungen anzubieten oder die eigene Weitergabe des\n							Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts\n							nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner\n							Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw.\n							zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung\n							der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 8.</var>\n					Sonstige Bestimmungen\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var>\n							Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil\n							eines Sammelwerkes verbreiten oder \u00f6ffentlich wiedergeben, bietet der\n							Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im\n							gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var>\n							Jedes Mal wenn Sie eine Bearbeitung des Schutzgegenstandes verbreiten oder\n							\u00f6ffentlich wiedergeben, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am\n							urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im\n							gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var>\n							Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die\n							Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var>\n							Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen\n							sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df\n							betroffene Seite nicht schriftlich zugestimmt hat.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e.</var>\n							Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen,\n							Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die\n							vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf\n							den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder\n							Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht\n							genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem\n							Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der\n							Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte\n							Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche\n							Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei\n							Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und\n							wirken sich nicht auf die Dritten gem\u00e4\u00df 8.a) und b) angebotenen Lizenzen aus.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> f.</var>\n							Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung\n							getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen\n							Lizenzvertrag das Recht der Republik \u00d6sterreich Anwendung.\n						</li>\n					\n</ul>\n				</li>\n			\n</ul>\n			<p>Creative Commons Notice</p>\n\n			<p>Creative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder\n			dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder\n			einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den,\n			die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser\n			Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons\n			alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im\n			Sinne dieser Lizenz bezeichnet.</p>\n\n			<p>Creative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die\n			Marke &quot;Creative Commons&quot; zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit\n			gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein\n			dar\u00fcber hinaus gehender Gebrauch der Marke &quot;Creative Commons&quot; oder einer verwandten\n			Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von\n			Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons\n			Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der\n			Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur\n			Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil\n			dieser Lizenz.</p>\n\n			<p>Creative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.</p>\n\n		"
		self.python_name = "CCBY30AT"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL11orlater:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU Free Documentation License\nVersion 1.1, March 2000\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other written document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\".\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (For example, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, whose contents can be viewed and edited directly and straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup has been designed to thwart or discourage subsequent modification by readers is not Transparent. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML designed for human modification. Opaque formats include PostScript, PDF, proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies of the Document numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a publicly-accessible computer-network location containing a complete Transparent copy of the Document, free of added material, which the general network-using public has access to download anonymously at no charge using public-standard network protocols. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has less than five).\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n	 H. Include an unaltered copy of this License.\n	 I. Preserve the section entitled \"History\", and its title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the section's title, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section as \"Endorsements\" or to conflict in title with any Invariant Section.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections entitled \"History\" in the various original documents, forming one section entitled \"History\"; likewise combine any sections entitled \"Acknowledgements\", and any sections entitled \"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, does not as a whole count as a Modified Version of the Document, provided no compilation copyright is claimed for the compilation. Such a compilation is called an \"aggregate\", and this License does not apply to the other self-contained works thus compiled with the Document, on account of their being thus compiled, if they are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one quarter of the entire aggregate, the Document's Cover Texts may be placed on covers that surround only the Document within the aggregate. Otherwise they must appear on covers around the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License provided that you also include the original English version of this License. In case of a disagreement between the translation and the original English version of this License, the original English version will prevail.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead of saying which ones are invariant. If you have no Front-Cover Texts, write \"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise for Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with <<var;name=\"invariantSections\";original=\"the Invariant Sections being LIST THEIR TITLES\";match=\"the Invariant Sections	   being .+|no Invariant Sections\">> , with <<var;name=\"frontCoverTexts\";original=\"the Front-Cover Texts being LIST\";match=\"the Front-Cover Texts being .+|no Front-Cover Texts\">> , and with <<var;name=\"backCoverTexts\";original=\"the Back-Cover Texts being LIST\";match=\"the Back-Cover Texts being .+|no Back-Cover Texts\">> . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.1, March 2000\n\n<<endOptional>>\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other written document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\".\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (For example, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, whose contents can be viewed and edited directly and straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup has been designed to thwart or discourage subsequent modification by readers is not Transparent. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML designed for human modification. Opaque formats include PostScript, PDF, proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies of the Document numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a publicly-accessible computer-network location containing a complete Transparent copy of the Document, free of added material, which the general network-using public has access to download anonymously at no charge using public-standard network protocols. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has less than five).\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section entitled \"History\", and its title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the section's title, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section as \"Endorsements\" or to conflict in title with any Invariant Section.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections entitled \"History\" in the various original documents, forming one section entitled \"History\"; likewise combine any sections entitled \"Acknowledgements\", and any sections entitled \"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, does not as a whole count as a Modified Version of the Document, provided no compilation copyright is claimed for the compilation. Such a compilation is called an \"aggregate\", and this License does not apply to the other self-contained works thus compiled with the Document, on account of their being thus compiled, if they are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one quarter of the entire aggregate, the Document's Cover Texts may be placed on covers that surround only the Document within the aggregate. Otherwise they must appear on covers around the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License provided that you also include the original English version of this License. In case of a disagreement between the translation and the original English version of this License, the original English version will prevail.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead of saying which ones are invariant. If you have no Front-Cover Texts, write \"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise for Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.1 or later"
		self.licenseComments = "This license was released March 2000. The identifier GFDL-1.1-or-later can be used to indicate that this license applies, without asserting whether or not any Invariant Sections, Front-Cover Texts or Back-Cover Texts are present. See GFDL-1.1-or-later-invariants and GFDL-1.1-or-later-no-invariants for alternative identifiers that can be used to express explicitly that these sections or cover texts are present or are not present, respectively."
		self.licenseId = "GFDL-1.1-or-later"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES , with the Front-Cover Texts being LIST , and with the Back-Cover Texts being LIST . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/fdl-1.1.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:24Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/fdl-1.1.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.1, March 2000\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2000 Free Software Foundation, Inc. 51\n	  Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook,\n		  or other written document &quot;free&quot; in the sense of freedom: to\n		  assure everyone the effective freedom to copy and redistribute\n		  it, with or without modifying it, either commercially or\n		  noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work that\n		  contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. The\n		  &quot;Document&quot;, below, refers to any such manual or work. Any\n		  member of the public is a licensee, and is addressed as &quot;you&quot;.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter section\n		  of the Document that deals exclusively with the relationship\n		  of the publishers or authors of the Document to the Document&apos;s\n		  overall subject (or to related matters) and contains nothing\n		  that could fall directly within that overall subject. (For\n		  example, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections, in the\n		  notice that says that the Document is released under this License.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are\n		  listed, as Front-Cover Texts or Back-Cover Texts, in the notice\n		  that says that the Document is released under this License.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable copy,\n		  represented in a format whose specification is available to the\n		  general public, whose contents can be viewed and edited directly\n		  and straightforwardly with generic text editors or (for images\n		  composed of pixels) generic paint programs or (for drawings) some\n		  widely available drawing editor, and that is suitable for input\n		  to text formatters or for automatic translation to a variety of\n		  formats suitable for input to text formatters. A copy made in an\n		  otherwise Transparent file format whose markup has been designed\n		  to thwart or discourage subsequent modification by readers is not\n		  Transparent. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include\n		  plain ASCII without markup, Texinfo input format, LaTeX\n		  input format, SGML or XML using a publicly available DTD, and\n		  standard-conforming simple HTML designed for human modification.\n		  Opaque formats include PostScript, PDF, proprietary formats\n		  that can be read and edited only by proprietary word processors,\n		  SGML or XML for which the DTD and/or processing tools are\n		  not generally available, and the machine-generated HTML\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies of the Document numbering more than\n		  100, and the Document&apos;s license notice requires Cover Texts, you\n		  must enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a publicly-accessible computer-network location\n		  containing a complete Transparent copy of the Document, free\n		  of added material, which the general network-using public has\n		  access to download anonymously at no charge using public-standard\n		  network protocols. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or entities\n			responsible for authorship of the modifications in the Modified\n			Version, together with at least five of the principal authors of the\n			Document (all of its principal authors, if it has less than five).\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant Sections\n			and required Cover Texts given in the Document&apos;s license notice.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> H.</var>\n			Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section entitled &quot;History&quot;, and its title, and add\n			to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			In any section entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			preserve the section&apos;s title, and preserve in the section\n			all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section as &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released\n		  under this License, under the terms defined in section 4\n		  above for modified versions, provided that you include in\n		  the combination all of the Invariant Sections of all of\n		  the original documents, unmodified, and list them all as\n		  Invariant Sections of your combined work in its license notice.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  entitled &quot;History&quot;; likewise combine any sections entitled\n		  &quot;Acknowledgements&quot;, and any sections entitled &quot;Dedications&quot;.\n		  You must delete all sections entitled &quot;Endorsements.&quot;\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other separate\n		  and independent documents or works, in or on a volume of a storage\n		  or distribution medium, does not as a whole count as a Modified\n		  Version of the Document, provided no compilation copyright is claimed\n		  for the compilation. Such a compilation is called an &quot;aggregate&quot;,\n		  and this License does not apply to the other self-contained works\n		  thus compiled with the Document, on account of their being thus\n		  compiled, if they are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to these\n		  copies of the Document, then if the Document is less than one quarter\n		  of the entire aggregate, the Document&apos;s Cover Texts may be placed\n		  on covers that surround only the Document within the aggregate.\n		  Otherwise they must appear on covers around the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of\n		  section 4. Replacing Invariant Sections with translations requires\n		  special permission from their copyright holders, but you may\n		  include translations of some or all Invariant Sections in addition\n		  to the original versions of these Invariant Sections. You may\n		  include a translation of this License provided that you also\n		  include the original English version of this License. In case of\n		  a disagreement between the translation and the original English\n		  version of this License, the original English version will prevail.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided for under this License. Any other\n		  attempt to copy, modify, sublicense or distribute the Document\n		  is void, and will automatically terminate your rights under\n		  this License. However, parties who have received copies, or\n		  rights, from you under this License will not have their licenses\n		  terminated so long as such parties remain in full compliance.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option\n		  of following the terms and conditions either of that specified\n		  version or of any later version that has been published (not as a\n		  draft) by the Free Software Foundation. If the Document does not\n		  specify a version number of this License, you may choose any version\n		  ever published (not as a draft) by the Free Software Foundation.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the\n		GNU Free Documentation License, Version 1.1 or any later version\n		published by the Free Software Foundation; with the Invariant Sections\n		being LIST THEIR TITLES, with the Front-Cover Texts being LIST,\n		and with the Back-Cover Texts being LIST. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have no Invariant Sections, write &quot;with no Invariant\n		Sections&quot; instead of saying which ones are invariant. If you have\n		no Front-Cover Texts, write &quot;no Front-Cover Texts&quot; instead of\n		&quot;Front-Cover Texts being LIST&quot;; likewise for Back-Cover Texts.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>. Permission is granted to copy,\n	  distribute and/or modify this document under the terms of the\n	  GNU Free Documentation License, Version 1.1 or any later version\n	  published by the Free Software Foundation; with <var class=\"replaceable-license-text\"> the Invariant Sections\n	  being LIST THEIR TITLES</var>, with <var class=\"replaceable-license-text\"> the Front-Cover Texts being LIST</var>,\n	  and with <var class=\"replaceable-license-text\"> the Back-Cover Texts being LIST</var>. A copy of the license is\n	  included in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL11orlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCND40:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International\n\n  Creative Commons Corporation (\u201cCreative Commons\u201d) is not a law firm and does not provide legal services or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or other relationship. Creative Commons makes its licenses and related information available on an \u201cas-is\u201d basis. Creative Commons gives no warranties regarding its licenses, any material licensed under their terms and conditions, or any related information. Creative Commons disclaims all liability for damages resulting from their use to the fullest extent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions that creators and other rights holders may use to share original works of authorship and other material subject to copyright and certain other rights specified in the public license below. The following considerations are for informational purposes only, are not exhaustive, and do not form part of our licenses.\n\nConsiderations for licensors: Our public licenses are intended for use by those authorized to give the public permission to use material in ways otherwise restricted by copyright and certain other rights. Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the license they choose before applying it. Licensors should also secure all rights necessary before applying our licenses so that the public can reuse the material as expected. Licensors should clearly mark any material not subject to the license. This includes other CC-licensed material, or material used under an exception or limitation to copyright. More considerations for licensors.\n\nConsiderations for the public: By using one of our public licenses, a licensor grants the public permission to use the licensed material under specified terms and conditions. If the licensor\u2019s permission is not necessary for any reason\u2013for example, because of any applicable exception or limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only permissions under copyright and certain other rights that a licensor has authority to grant. Use of the licensed material may still be restricted for other reasons, including because others have copyright or other rights in the material. A licensor may make special requests, such as asking that all changes be marked or described. Although not required by our licenses, you are encouraged to respect those requests where reasonable. More considerations for the public.\n\nCreative Commons Attribution-NonCommercial-NoDerivatives 4.0 International Public License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and conditions of this Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International Public License (\"Public License\"). To the extent this Public License may be interpreted as a contract, You are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the Licensor grants You such rights in consideration of benefits the Licensor receives from making the Licensed Material available under these terms and conditions.\n\nSection 1 \u2013 Definitions.\n\n	 a.\tAdapted Material means material subject to Copyright and Similar Rights that is derived from or based upon the Licensed Material and in which the Licensed Material is translated, altered, arranged, transformed, or otherwise modified in a manner requiring permission under the Copyright and Similar Rights held by the Licensor. For purposes of this Public License, where the Licensed Material is a musical work, performance, or sound recording, Adapted Material is always produced where the Licensed Material is synched in timed relation with a moving image.\n\n	 b.\tCopyright and Similar Rights means copyright and/or similar rights closely related to copyright including, without limitation, performance, broadcast, sound recording, and Sui Generis Database Rights, without regard to how the rights are labeled or categorized. For purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\n	 c.\tEffective Technological Measures means those measures that, in the absence of proper authority, may not be circumvented under laws fulfilling obligations under Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international agreements.\n\n	 d.\tExceptions and Limitations means fair use, fair dealing, and/or any other exception or limitation to Copyright and Similar Rights that applies to Your use of the Licensed Material.\n\n	 e.\tLicensed Material means the artistic or literary work, database, or other material to which the Licensor applied this Public License.\n\n	 f.\tLicensed Rights means the rights granted to You subject to the terms and conditions of this Public License, which are limited to all Copyright and Similar Rights that apply to Your use of the Licensed Material and that the Licensor has authority to license.\n\n	 g.\tLicensor means the individual(s) or entity(ies) granting rights under this Public License.\n\n	 h.\tNonCommercial means not primarily intended for or directed towards commercial advantage or monetary compensation. For purposes of this Public License, the exchange of the Licensed Material for other material subject to Copyright and Similar Rights by digital file-sharing or similar means is NonCommercial provided there is no payment of monetary compensation in connection with the exchange.\n\n	 i.\tShare means to provide material to the public by any means or process that requires permission under the Licensed Rights, such as reproduction, public display, public performance, distribution, dissemination, communication, or importation, and to make material available to the public including in ways that members of the public may access the material from a place and at a time individually chosen by them.\n\n	 j.\tSui Generis Database Rights means rights other than copyright resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other essentially equivalent rights anywhere in the world.\n\n	 k.\tYou means the individual or entity exercising the Licensed Rights under this Public License. Your has a corresponding meaning.\n\nSection 2 \u2013 Scope.\n\n	 a.\tLicense grant.\n\n		  1. Subject to the terms and conditions of this Public License, the Licensor hereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license to exercise the Licensed Rights in the Licensed Material to:\n\n			   A. reproduce and Share the Licensed Material, in whole or in part, for NonCommercial purposes only; and\n\n			   B. produce and reproduce, but not Share, Adapted Material for NonCommercial purposes only.\n\n		  2. Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations apply to Your use, this Public License does not apply, and You do not need to comply with its terms and conditions.\n\n		  3. Term. The term of this Public License is specified in Section 6(a).\n\n		  4. Media and formats; technical modifications allowed. The Licensor authorizes You to exercise the Licensed Rights in all media and formats whether now known or hereafter created, and to make technical modifications necessary to do so. The Licensor waives and/or agrees not to assert any right or authority to forbid You from making technical modifications necessary to exercise the Licensed Rights, including technical modifications necessary to circumvent Effective Technological Measures. For purposes of this Public License, simply making modifications authorized by this Section 2(a)(4) never produces Adapted Material.\n\n		  5. Downstream recipients.\n			   A. Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material automatically receives an offer from the Licensor to exercise the Licensed Rights under the terms and conditions of this Public License.\n\n			   B. No downstream restrictions. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, the Licensed Material if doing so restricts exercise of the Licensed Rights by any recipient of the Licensed Material.\n\n		  6. No endorsement. Nothing in this Public License constitutes or may be consTrued as permission to assert or imply that You are, or that Your use of the Licensed Material is, connected with, or sponsored, endorsed, or granted official status by, the Licensor or others designated to receive attribution as provided in Section 3(a)(1)(A)(i).\n\n	 b.\tOther rights.\n\n		  1. Moral rights, such as the right of integrity, are not licensed under this Public License, nor are publicity, privacy, and/or other similar personality rights; however, to the extent possible, the Licensor waives and/or agrees not to assert any such rights held by the Licensor to the limited extent necessary to allow You to exercise the Licensed Rights, but not otherwise.\n\n		  2. Patent and trademark rights are not licensed under this Public License.\n\n		  3. To the extent possible, the Licensor waives any right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary or waivable statutory or compulsory licensing scheme. In all other cases the Licensor expressly reserves any right to collect such royalties, including when the Licensed Material is used other than for NonCommercial purposes.\n\nSection 3 \u2013 License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following conditions.\n\n	 a.\tAttribution.\n\n		  1. If You Share the Licensed Material, You must:\n\n			   A. retain the following if it is supplied by the Licensor with the Licensed Material:\n\n					i.\tidentification of the creator(s) of the Licensed Material and any others designated to receive attribution, in any reasonable manner requested by the Licensor (including by pseudonym if designated);\n\n					ii.\ta copyright notice;\n\n					iii. a notice that refers to this Public License;\n\n					iv.\ta notice that refers to the disclaimer of warranties;\n\n					v.\ta URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\n			   B. indicate if You modified the Licensed Material and retain an indication of any previous modifications; and\n\n			   C. indicate the Licensed Material is licensed under this Public License, and include the text of, or the URI or hyperlink to, this Public License.\n\n		  For the avoidance of doubt, You do not have permission under this Public License to Share Adapted Material.\n\n		  2. You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the medium, means, and context in which You Share the Licensed Material. For example, it may be reasonable to satisfy the conditions by providing a URI or hyperlink to a resource that includes the required information.\n\n		  3. If requested by the Licensor, You must remove any of the information required by Section 3(a)(1)(A) to the extent reasonably practicable.\n\nSection 4 \u2013 Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to Your use of the Licensed Material:\n\n	 a.\tfor the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse, reproduce, and Share all or a substantial portion of the contents of the database for NonCommercial purposes only and provided You do not Share Adapted Material;\n\n	 b.\tif You include all or a substantial portion of the database contents in a database in which You have Sui Generis Database Rights, then the database in which You have Sui Generis Database Rights (but not its individual contents) is Adapted Material; and\n\n	 c.\tYou must comply with the conditions in Section 3(a) if You Share all or a substantial portion of the contents of the database.\nFor the avoidance of doubt, this Section 4 supplements and does not replace Your obligations under this Public License where the Licensed Rights include other Copyright and Similar Rights.\n\nSection 5 \u2013 Disclaimer of Warranties and Limitation of Liability.\n\n	 a.\tUnless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor offers the Licensed Material as-is and as-available, and makes no representations or warranties of any kind concerning the Licensed Material, whether express, implied, statutory, or other. This includes, without limitation, warranties of title, merchantability, fitness for a particular purpose, non-infringement, absence of latent or other defects, accuracy, or the presence or absence of errors, whether or not known or discoverable. Where disclaimers of warranties are not allowed in full or in part, this disclaimer may not apply to You.\n\n	 b.\tTo the extent possible, in no event will the Licensor be liable to You on any legal theory (including, without limitation, negligence) or otherwise for any direct, special, indirect, incidental, consequential, punitive, exemplary, or other losses, costs, expenses, or damages arising out of this Public License or use of the Licensed Material, even if the Licensor has been advised of the possibility of such losses, costs, expenses, or damages. Where a limitation of liability is not allowed in full or in part, this limitation may not apply to You.\n\n	 c.\tThe disclaimer of warranties and limitation of liability provided above shall be interpreted in a manner that, to the extent possible, most closely approximates an absolute disclaimer and waiver of all liability.\n\nSection 6 \u2013 Term and Termination.\n\n	 a.\tThis Public License applies for the term of the Copyright and Similar Rights licensed here. However, if You fail to comply with this Public License, then Your rights under this Public License terminate automatically.\n\n	 b.\tWhere Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n\n		  1. automatically as of the date the violation is cured, provided it is cured within 30 days of Your discovery of the violation; or\n\n		  2. upon express reinstatement by the Licensor.\n\n	 For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have to seek remedies for Your violations of this Public License.\n\n	 c.\tFor the avoidance of doubt, the Licensor may also offer the Licensed Material under separate terms or conditions or stop distributing the Licensed Material at any time; however, doing so will not terminate this Public License.\n\n	 d.\tSections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\nSection 7 \u2013 Other Terms and Conditions.\n\n	 a.\tThe Licensor shall not be bound by any additional or different terms or conditions communicated by You unless expressly agreed.\n\n	 b.\tAny arrangements, understandings, or agreements regarding the Licensed Material not stated herein are separate from and independent of the terms and conditions of this Public License.\n\nSection 8 \u2013 Interpretation.\n\n	 a.\tFor the avoidance of doubt, this Public License does not, and shall not be interpreted to, reduce, limit, restrict, or impose conditions on any use of the Licensed Material that could lawfully be made without permission under this Public License.\n\n	 b.\tTo the extent possible, if any provision of this Public License is deemed unenforceable, it shall be automatically reformed to the minimum extent necessary to make it enforceable. If the provision cannot be reformed, it shall be severed from this Public License without affecting the enforceability of the remaining terms and conditions.\n\n	 c.\tNo term or condition of this Public License will be waived and no failure to comply consented to unless expressly agreed to by the Licensor.\n\n	 d.\tNothing in this Public License constitutes or may be interpreted as a limitation upon, or waiver of, any privileges and immunities that apply to the Licensor or You, including from the legal processes of any jurisdiction or authority.\n\nCreative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to apply one of its public licenses to material it publishes and in those instances will be considered the \u201cLicensor.\u201d Except for the limited purpose of indicating that material is shared under a Creative Commons public license or as otherwise permitted by the Creative Commons policies published at creativecommons.org/policies, Creative Commons does not authorize the use of the trademark \u201cCreative Commons\u201d or any other trademark or logo of Creative Commons without its prior written consent including, without limitation, in connection with any unauthorized modifications to any of its public licenses or any other arrangements, understandings, or agreements concerning use of licensed material. For the avoidance of doubt, this paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<beginOptional>>Creative Commons<<endOptional>> Attribution-NonCommercial-NoDerivatives 4.0 International\n\n<<endOptional>><<beginOptional>> Creative Commons Corporation (\"Creative Commons\") is not a law firm and does not provide legal services or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or other relationship. Creative Commons makes its licenses and related information available on an \"as-is\" basis. Creative Commons gives no warranties regarding its licenses, any material licensed under their terms and conditions, or any related information. Creative Commons disclaims all liability for damages resulting from their use to the fullest extent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions that creators and other rights holders may use to share original works of authorship and other material subject to copyright and certain other rights specified in the public license below. The following considerations are for informational purposes only, are not exhaustive, and do not form part of our licenses.\n\nConsiderations for licensors: Our public licenses are intended for use by those authorized to give the public permission to use material in ways otherwise restricted by copyright and certain other rights. Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the license they choose before applying it. Licensors should also secure all rights necessary before applying our licenses so that the public can reuse the material as expected. Licensors should clearly mark any material not subject to the license. This includes other <<var;name=\"ccLicensed\";original=\"\";match=\"CC-[ \\t\\r\\n\\f]{0,10}licensed\">> material, or material used under an exception or limitation to copyright. More considerations for licensors <<var;name=\"considerationsLicensors\";original=\": wiki.creativecommons.org/Considerations_for_licensors\";match=\":[ \\t\\r\\n\\f]{1,10}wiki\\.creativecommons\\.org/Considerations_for_licensors|\\.\">>\n\nConsiderations for the public: By using one of our public licenses, a licensor grants the public permission to use the licensed material under specified terms and conditions. If the licensor's permission is not necessary for any reason\u2013for example, because of any applicable exception or limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only permissions under copyright and certain other rights that a licensor has authority to grant. Use of the licensed material may still be restricted for other reasons, including because others have copyright or other rights in the material. A licensor may make special requests, such as asking that all changes be marked or described. Although not required by our licenses, you are encouraged to respect those requests where reasonable. <<var;name=\"spaceUnderscore\";original=\"More considerations\";match=\"More considerations|More_considerations\">> for the public <<var;name=\"considerationsLicensees\";original=\": wiki.creativecommons.org/Considerations_for_licensees\";match=\":[ \\t\\r\\n\\f]{1,10}wiki\\.creativecommons\\.org/Considerations_for_licensees|\\.\">>\n\nCreative Commons Attribution-NonCommercial-NoDerivatives 4.0 International Public License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and conditions of this Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International Public License (\"Public License\"). To the extent this Public License may be interpreted as a contract, You are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the Licensor grants You such rights in consideration of benefits the Licensor receives from making the Licensed Material available under these terms and conditions.\n\n<<endOptional>>\n\n   Section 1 <<var;name=\"section1TitleHyphens\";original=\"\";match=\"-{1,2}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Adapted Material means material subject to Copyright and Similar Rights that is derived from or based upon the Licensed Material and in which the Licensed Material is translated, altered, arranged, transformed, or otherwise modified in a manner requiring permission under the Copyright and Similar Rights held by the Licensor. For purposes of this Public License, where the Licensed Material is a musical work, performance, or sound recording, Adapted Material is always produced where the Licensed Material is synched in timed relation with a moving image.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Copyright and Similar Rights means copyright and/or similar rights closely related to copyright including, without limitation, performance, broadcast, sound recording, and Sui Generis Database Rights, without regard to how the rights are labeled or categorized. For purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Effective Technological Measures means those measures that, in the absence of proper authority, may not be circumvented under laws fulfilling obligations under Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international agreements.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Exceptions and Limitations means fair use, fair dealing, and/or any other exception or limitation to Copyright and Similar Rights that applies to Your use of the Licensed Material.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Licensed Material means the artistic or literary work, database, or other material to which the Licensor applied this Public License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Licensed Rights means the rights granted to You subject to the terms and conditions of this Public License, which are limited to all Copyright and Similar Rights that apply to Your use of the Licensed Material and that the Licensor has authority to license.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Licensor means the individual(s) or entity(ies) granting rights under this Public License.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> NonCommercial means not primarily intended for or directed towards commercial advantage or monetary compensation. For purposes of this Public License, the exchange of the Licensed Material for other material subject to Copyright and Similar Rights by digital file-sharing or similar means is NonCommercial provided there is no payment of monetary compensation in connection with the exchange.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Share means to provide material to the public by any means or process that requires permission under the Licensed Rights, such as reproduction, public display, public performance, distribution, dissemination, communication, or importation, and to make material available to the public including in ways that members of the public may access the material from a place and at a time individually chosen by them.\n\n	  <<var;name=\"bullet\";original=\"j.\";match=\".{0,20}\">> Sui Generis Database Rights means rights other than copyright resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other essentially equivalent rights anywhere in the world.\n\n	  <<var;name=\"bullet\";original=\"k.\";match=\".{0,20}\">> You means the individual or entity exercising the Licensed Rights under this Public License. Your has a corresponding meaning.\n\n   Section 2 <<var;name=\"section2TitleHyphens\";original=\"\";match=\"-{1,2}\">> Scope.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> License grant.\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Subject to the terms and conditions of this Public License, the Licensor hereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license to exercise the Licensed Rights in the Licensed Material to:\n\n			<<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> reproduce and Share the Licensed Material, in whole or in part, for NonCommercial purposes only; and\n\n			<<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> produce and reproduce, but not Share, Adapted Material for NonCommercial purposes only.\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations apply to Your use, this Public License does not apply, and You do not need to comply with its terms and conditions.\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Term. The term of this Public License is specified in Section 6(a).\n\n		 <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Media and formats; technical modifications allowed. The Licensor authorizes You to exercise the Licensed Rights in all media and formats whether now known or hereafter created, and to make technical modifications necessary to do so. The Licensor waives and/or agrees not to assert any right or authority to forbid You from making technical modifications necessary to exercise the Licensed Rights, including technical modifications necessary to circumvent Effective Technological Measures. For purposes of this Public License, simply making modifications authorized by this Section 2(a)(4) never produces Adapted Material.\n\n		 <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Downstream recipients.\n\n			<<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material automatically receives an offer from the Licensor to exercise the Licensed Rights under the terms and conditions of this Public License.\n\n			<<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> No downstream restrictions. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, the Licensed Material if doing so restricts exercise of the Licensed Rights by any recipient of the Licensed Material.\n\n		 <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> No endorsement. Nothing in this Public License constitutes or may be consTrued as permission to assert or imply that You are, or that Your use of the Licensed Material is, connected with, or sponsored, endorsed, or granted official status by, the Licensor or others designated to receive attribution as provided in Section 3(a)(1)(A)(i).\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Other rights.\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Moral rights, such as the right of integrity, are not licensed under this Public License, nor are publicity, privacy, and/or other similar personality rights; however, to the extent possible, the Licensor waives and/or agrees not to assert any such rights held by the Licensor to the limited extent necessary to allow You to exercise the Licensed Rights, but not otherwise.\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Patent and trademark rights are not licensed under this Public License.\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> To the extent possible, the Licensor waives any right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary or waivable statutory or compulsory licensing scheme. In all other cases the Licensor expressly reserves any right to collect such royalties, including when the Licensed Material is used other than for NonCommercial purposes.\n\n   Section 3 <<var;name=\"section3TitleHyphens\";original=\"\";match=\"-{1,2}\">> License Conditions.\n\n   Your exercise of the Licensed Rights is expressly made subject to the following conditions.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Attribution.\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> If You Share the Licensed Material, You must:\n\n			<<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> retain the following if it is supplied by the Licensor with the Licensed Material:\n\n			   <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> identification of the creator(s) of the Licensed Material and any others designated to receive attribution, in any reasonable manner requested by the Licensor (including by pseudonym if designated);\n\n			   <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> a copyright notice;\n\n			   <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> a notice that refers to this Public License;\n\n			   <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> a notice that refers to the disclaimer of warranties;\n\n			   <<var;name=\"bullet\";original=\"v.\";match=\".{0,20}\">> a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\n			<<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> indicate if You modified the Licensed Material and retain an indication of any previous modifications; and\n\n			<<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> indicate the Licensed Material is licensed under this Public License, and include the text of, or the URI or hyperlink to, this Public License.\n\n		 For the avoidance of doubt, You do not have permission under this Public License to Share Adapted Material.\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the medium, means, and context in which You Share the Licensed Material. For example, it may be reasonable to satisfy the conditions by providing a URI or hyperlink to a resource that includes the required information.\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> If requested by the Licensor, You must remove any of the information required by Section 3(a)(1)(A) to the extent reasonably practicable.\n\n   Section 4 <<var;name=\"section4TitleHyphens\";original=\"\";match=\"-{1,2}\">> Sui Generis Database Rights.\n\n   Where the Licensed Rights include Sui Generis Database Rights that apply to Your use of the Licensed Material:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> for the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse, reproduce, and Share all or a substantial portion of the contents of the database for NonCommercial purposes only and provided You do not Share Adapted Material;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> if You include all or a substantial portion of the database contents in a database in which You have Sui Generis Database Rights, then the database in which You have Sui Generis Database Rights (but not its individual contents) is Adapted Material; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You must comply with the conditions in Section 3(a) if You Share all or a substantial portion of the contents of the database.\n\n   For the avoidance of doubt, this Section 4 supplements and does not replace Your obligations under this Public License where the Licensed Rights include other Copyright and Similar Rights.\n\n   Section 5 <<var;name=\"section5TitleHyphens\";original=\"\";match=\"-{1,2}\">> Disclaimer of Warranties and Limitation of Liability.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Unless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor offers the Licensed Material as-is and as-available, and makes no representations or warranties of any kind concerning the Licensed Material, whether express, implied, statutory, or other. This includes, without limitation, warranties of title, merchantability, fitness for a particular purpose, non-infringement, absence of latent or other defects, accuracy, or the presence or absence of errors, whether or not known or discoverable. Where disclaimers of warranties are not allowed in full or in part, this disclaimer may not apply to You.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> To the extent possible, in no event will the Licensor be liable to You on any legal theory (including, without limitation, negligence) or otherwise for any direct, special, indirect, incidental, consequential, punitive, exemplary, or other losses, costs, expenses, or damages arising out of this Public License or use of the Licensed Material, even if the Licensor has been advised of the possibility of such losses, costs, expenses, or damages. Where a limitation of liability is not allowed in full or in part, this limitation may not apply to You.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> The disclaimer of warranties and limitation of liability provided above shall be interpreted in a manner that, to the extent possible, most closely approximates an absolute disclaimer and waiver of all liability.\n\n   Section 6 <<var;name=\"section6TitleHyphens\";original=\"\";match=\"-{1,2}\">> Term and Termination.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This Public License applies for the term of the Copyright and Similar Rights licensed here. However, if You fail to comply with this Public License, then Your rights under this Public License terminate automatically.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Where Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> automatically as of the date the violation is cured, provided it is cured within 30 days of Your discovery of the violation; or\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> upon express reinstatement by the Licensor.\n\n	  For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have to seek remedies for Your violations of this Public License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For the avoidance of doubt, the Licensor may also offer the Licensed Material under separate terms or conditions or stop distributing the Licensed Material at any time; however, doing so will not terminate this Public License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\n   Section 7 <<var;name=\"section7TitleHyphens\";original=\"\";match=\"-{1,2}\">> Other Terms and Conditions.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> The Licensor shall not be bound by any additional or different terms or conditions communicated by You unless expressly agreed.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Any arrangements, understandings, or agreements regarding the Licensed Material not stated herein are separate from and independent of the terms and conditions of this Public License.\n\n   Section 8 <<var;name=\"section8TitleHyphens\";original=\"\";match=\"-{1,2}\">> Interpretation.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> For the avoidance of doubt, this Public License does not, and shall not be interpreted to, reduce, limit, restrict, or impose conditions on any use of the Licensed Material that could lawfully be made without permission under this Public License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> To the extent possible, if any provision of this Public License is deemed unenforceable, it shall be automatically reformed to the minimum extent necessary to make it enforceable. If the provision cannot be reformed, it shall be severed from this Public License without affecting the enforceability of the remaining terms and conditions.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or condition of this Public License will be waived and no failure to comply consented to unless expressly agreed to by the Licensor.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Nothing in this Public License constitutes or may be interpreted as a limitation upon, or waiver of, any privileges and immunities that apply to the Licensor or You, including from the legal processes of any jurisdiction or authority.<<beginOptional>> Creative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to apply one of its public licenses to material it publishes and in those instances will be considered the \"Licensor.\"<<beginOptional>> The text of the Creative Commons public licenses is dedicated to the public domain under the CC0 Public Domain Dedication.<<endOptional>> Except for the limited purpose of indicating that material is shared under a Creative Commons public license or as otherwise permitted by the Creative Commons policies published at creativecommons.org/policies, Creative Commons does not authorize the use of the trademark \"Creative Commons\" or any other trademark or logo of Creative Commons without its prior written consent including, without limitation, in connection with any unauthorized modifications to any of its public licenses or any other arrangements, understandings, or agreements concerning use of licensed material. For the avoidance of doubt, this paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n\n<<endOptional>>"
		self.name = "Creative Commons Attribution Non Commercial No Derivatives 4.0 International"
		self.licenseId = "CC-BY-NC-ND-4.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-nd/4.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:27Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-nd/4.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p><var class=\"optional-license-text\"> Creative Commons </var>Attribution-NonCommercial-NoDerivatives 4.0 International</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Corporation (&quot;Creative Commons&quot;) is not a law firm and does not provide legal services\n		 or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or\n		 other relationship. Creative Commons makes its licenses and related information available on an\n		 &quot;as-is&quot; basis. Creative Commons gives no warranties regarding its licenses, any material licensed\n		 under their terms and conditions, or any related information. Creative Commons disclaims all liability\n		 for damages resulting from their use to the fullest extent possible.</p>\n\n		 <p>Using Creative Commons Public Licenses</p>\n\n		 <p>Creative Commons public licenses provide a standard set of terms and conditions that creators and other\n		 rights holders may use to share original works of authorship and other material subject to copyright\n		 and certain other rights specified in the public license below. The following considerations are for\n		 informational purposes only, are not exhaustive, and do not form part of our licenses.</p>\n\n		 <p>Considerations for licensors: Our public licenses are intended for use by those authorized to give the\n		 public permission to use material in ways otherwise restricted by copyright and certain other rights.\n		 Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the\n		 license they choose before applying it. Licensors should also secure all rights necessary before\n		 applying our licenses so that the public can reuse the material as expected. Licensors should clearly\n		 mark any material not subject to the license. This includes other <var class=\"replaceable-license-text\"> </var> material, or material\n		 used under an exception or limitation to copyright. More considerations for licensors<var class=\"replaceable-license-text\"> : wiki.creativecommons.org/Considerations_for_licensors</var></p>\n\n		 <p>Considerations for the public: By using one of our public licenses, a licensor grants the public\n		 permission to use the licensed material under specified terms and conditions. If the licensor&apos;s\n		 permission is not necessary for any reason\u2013for example, because of any applicable exception or\n		 limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only\n		 permissions under copyright and certain other rights that a licensor has authority to grant. Use of\n		 the licensed material may still be restricted for other reasons, including because others have\n		 copyright or other rights in the material. A licensor may make special requests, such as asking that\n		 all changes be marked or described. Although not required by our licenses, you are encouraged to\n		 respect those requests where reasonable. <var class=\"replaceable-license-text\"> More considerations</var> for the public<var class=\"replaceable-license-text\"> : wiki.creativecommons.org/Considerations_for_licensees</var></p>\n\n		 <p>Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International Public License</p>\n\n		 <p>By exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and\n		 conditions of this Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International Public\n		 License (&quot;Public License&quot;). To the extent this Public License may be interpreted as a contract, You\n		 are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and\n		 the Licensor grants You such rights in consideration of benefits the Licensor receives from making the\n		 Licensed Material available under these terms and conditions.</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<p>Section 1 <var class=\"replaceable-license-text\"> </var> Definitions.</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  Adapted Material means material subject to Copyright and Similar Rights that is derived from\n				 or based upon the Licensed Material and in which the Licensed Material is translated,\n				 altered, arranged, transformed, or otherwise modified in a manner requiring permission\n				 under the Copyright and Similar Rights held by the Licensor. For purposes of this Public\n				 License, where the Licensed Material is a musical work, performance, or sound recording,\n				 Adapted Material is always produced where the Licensed Material is synched in timed\n				 relation with a moving image.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  Copyright and Similar Rights means copyright and/or similar rights closely related to\n				 copyright including, without limitation, performance, broadcast, sound recording, and Sui\n				 Generis Database Rights, without regard to how the rights are labeled or categorized. For\n				 purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not\n				 Copyright and Similar Rights.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			  Effective Technological Measures means those measures that, in the absence of proper\n				 authority, may not be circumvented under laws fulfilling obligations under Article 11 of\n				 the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international\n				 agreements.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			  Exceptions and Limitations means fair use, fair dealing, and/or any other exception or\n				 limitation to Copyright and Similar Rights that applies to Your use of the Licensed\n				 Material.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			  Licensed Material means the artistic or literary work, database, or other material to which\n				 the Licensor applied this Public License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			  Licensed Rights means the rights granted to You subject to the terms and conditions of this\n				 Public License, which are limited to all Copyright and Similar Rights that apply to Your\n				 use of the Licensed Material and that the Licensor has authority to license.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> g.</var>\n			  Licensor means the individual(s) or entity(ies) granting rights under this Public License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> h.</var>\n			  NonCommercial means not primarily intended for or directed towards commercial advantage or\n				 monetary compensation. For purposes of this Public License, the exchange of the Licensed\n				 Material for other material subject to Copyright and Similar Rights by digital\n				 file-sharing or similar means is NonCommercial provided there is no payment of monetary\n				 compensation in connection with the exchange.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> i.</var>\n			  Share means to provide material to the public by any means or process that requires\n				 permission under the Licensed Rights, such as reproduction, public display, public\n				 performance, distribution, dissemination, communication, or importation, and to make\n				 material available to the public including in ways that members of the public may access\n				 the material from a place and at a time individually chosen by them.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> j.</var>\n			  Sui Generis Database Rights means rights other than copyright resulting from Directive\n				 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal\n				 protection of databases, as amended and/or succeeded, as well as other essentially\n				 equivalent rights anywhere in the world.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> k.</var>\n			  You means the individual or entity exercising the Licensed Rights under this Public License.\n				 Your has a corresponding meaning.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>Section 2 <var class=\"replaceable-license-text\"> </var> Scope.</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  License grant.\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n				  Subject to the terms and conditions of this Public License, the Licensor hereby grants\n					 You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license\n					 to exercise the Licensed Rights in the Licensed Material to:\n				  \n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> A.</var>\n					  reproduce and Share the Licensed Material, in whole or in part, for NonCommercial\n						 purposes only; and\n					</li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> B.</var>\n					  produce and reproduce, but not Share, Adapted Material for NonCommercial purposes only.\n					</li>\n						\n</ul>\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n				  Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations\n					 apply to Your use, this Public License does not apply, and You do not need to comply\n					 with its terms and conditions.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.</var>\n				  Term. The term of this Public License is specified in Section 6(a).\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 4.</var>\n				  Media and formats; technical modifications allowed. The Licensor authorizes You to\n					 exercise the Licensed Rights in all media and formats whether now known or hereafter\n					 created, and to make technical modifications necessary to do so. The Licensor waives\n					 and/or agrees not to assert any right or authority to forbid You from making technical\n					 modifications necessary to exercise the Licensed Rights, including technical\n					 modifications necessary to circumvent Effective Technological Measures. For purposes\n					 of this Public License, simply making modifications authorized by this Section 2(a)(4)\n					 never produces Adapted Material.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.</var>\n				  Downstream recipients.\n				  \n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> A.</var>\n					  Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material\n						 automatically receives an offer from the Licensor to exercise the Licensed Rights\n						 under the terms and conditions of this Public License.\n					</li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> B.</var>\n					  No downstream restrictions. You may not offer or impose any additional or different\n						 terms or conditions on, or apply any Effective Technological Measures to, the\n						 Licensed Material if doing so restricts exercise of the Licensed Rights by any\n						 recipient of the Licensed Material.\n					</li>\n						\n</ul>\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 6.</var>\n				  No endorsement. Nothing in this Public License constitutes or may be consTrued as\n					 permission to assert or imply that You are, or that Your use of the Licensed Material\n					 is, connected with, or sponsored, endorsed, or granted official status by, the\n					 Licensor or others designated to receive attribution as provided in Section\n					 3(a)(1)(A)(i).\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  Other rights.\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n				Moral rights, such as the right of integrity, are not licensed under this Public License,\n				   nor are publicity, privacy, and/or other similar personality rights; however, to the\n				   extent possible, the Licensor waives and/or agrees not to assert any such rights held\n				   by the Licensor to the limited extent necessary to allow You to exercise the Licensed\n				   Rights, but not otherwise.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n				Patent and trademark rights are not licensed under this Public License.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.</var>\n				To the extent possible, the Licensor waives any right to collect royalties from You for\n				   the exercise of the Licensed Rights, whether directly or through a collecting society\n				   under any voluntary or waivable statutory or compulsory licensing scheme. In all other\n				   cases the Licensor expressly reserves any right to collect such royalties, including\n				   when the Licensed Material is used other than for NonCommercial purposes.\n				</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>Section 3 <var class=\"replaceable-license-text\"> </var> License Conditions.</p>\n\n			<p>Your exercise of the Licensed Rights is expressly made subject to the following conditions.</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  Attribution.\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n				  If You Share the Licensed Material, You must:\n				  \n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> A.</var>\n					  retain the following if it is supplied by the Licensor with the Licensed Material:\n					  \n<ul style=\"list-style:none\">\n								 \n<li>\n									<var class=\"replaceable-license-text\"> i.</var>\n						  identification of the creator(s) of the Licensed Material and any others\n							 designated to receive attribution, in any reasonable manner requested by\n							 the Licensor (including by pseudonym if designated);\n						</li>\n								 \n<li>\n									<var class=\"replaceable-license-text\"> ii.</var>\n						  a copyright notice;\n						</li>\n								 \n<li>\n									<var class=\"replaceable-license-text\"> iii.</var>\n						  a notice that refers to this Public License;\n						</li>\n								 \n<li>\n									<var class=\"replaceable-license-text\"> iv.</var>\n						  a notice that refers to the disclaimer of warranties;\n						</li>\n								 \n<li>\n									<var class=\"replaceable-license-text\"> v.</var>\n						  a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n						</li>\n							  \n</ul>\n						   </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> B.</var>\n					  indicate if You modified the Licensed Material and retain an indication of any\n						 previous modifications; and\n					</li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> C.</var>\n					  indicate the Licensed Material is licensed under this Public License, and include the\n						 text of, or the URI or hyperlink to, this Public License.\n					</li>\n						\n</ul>\n						<p>For the avoidance of doubt, You do not have permission under this Public License to Share\n					Adapted Material.</p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n				  You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the\n					 medium, means, and context in which You Share the Licensed Material. For example, it\n					 may be reasonable to satisfy the conditions by providing a URI or hyperlink to a\n					 resource that includes the required information.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.</var>\n				  If requested by the Licensor, You must remove any of the information required by Section\n					 3(a)(1)(A) to the extent reasonably practicable.\n				</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>Section 4 <var class=\"replaceable-license-text\"> </var> Sui Generis Database Rights.</p>\n\n			<p>Where the Licensed Rights include Sui Generis Database Rights that apply to Your use of\n			 the Licensed Material:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  for the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse,\n				 reproduce, and Share all or a substantial portion of the contents of the database for\n				 NonCommercial purposes only and provided You do not Share Adapted Material;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  if You include all or a substantial portion of the database contents in a database in which\n				 You have Sui Generis Database Rights, then the database in which You have Sui Generis\n				 Database Rights (but not its individual contents) is Adapted Material; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			  You must comply with the conditions in Section 3(a) if You Share all or a substantial portion\n				of the contents of the database.\n			</li>\n			\n</ul>\n			<p>For the avoidance of doubt, this Section 4 supplements and does not replace Your\n			 obligations under this Public License where the Licensed Rights include other\n			 Copyright and Similar Rights.</p>\n\n		</li>\n		\n<li>\n			<p>Section 5 <var class=\"replaceable-license-text\"> </var> Disclaimer of Warranties and Limitation of Liability.</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  Unless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor\n				 offers the Licensed Material as-is and as-available, and makes no representations or\n				 warranties of any kind concerning the Licensed Material, whether express, implied,\n				 statutory, or other. This includes, without limitation, warranties of title,\n				 merchantability, fitness for a particular purpose, non-infringement, absence of latent or\n				 other defects, accuracy, or the presence or absence of errors, whether or not known or\n				 discoverable. Where disclaimers of warranties are not allowed in full or in part, this\n				 disclaimer may not apply to You.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  To the extent possible, in no event will the Licensor be liable to You on any legal theory\n				 (including, without limitation, negligence) or otherwise for any direct, special,\n				 indirect, incidental, consequential, punitive, exemplary, or other losses, costs,\n				 expenses, or damages arising out of this Public License or use of the Licensed Material,\n				 even if the Licensor has been advised of the possibility of such losses, costs, expenses,\n				 or damages. Where a limitation of liability is not allowed in full or in part, this\n				 limitation may not apply to You.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			  The disclaimer of warranties and limitation of liability provided above shall be interpreted\n				 in a manner that, to the extent possible, most closely approximates an absolute disclaimer\n				 and waiver of all liability.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>Section 6 <var class=\"replaceable-license-text\"> </var> Term and Termination.</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  This Public License applies for the term of the Copyright and Similar Rights licensed here.\n				 However, if You fail to comply with this Public License, then Your rights under this\n				 Public License terminate automatically.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  Where Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n				  automatically as of the date the violation is cured, provided it is cured within 30 days\n					 of Your discovery of the violation; or\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n				  upon express reinstatement by the Licensor.\n				</li>\n				  \n</ul>\n				  <p>For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have\n			   to seek remedies for Your violations of this Public License.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			  For the avoidance of doubt, the Licensor may also offer the Licensed Material under separate\n				 terms or conditions or stop distributing the Licensed Material at any time; however, doing\n				 so will not terminate this Public License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			  Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>Section 7 <var class=\"replaceable-license-text\"> </var> Other Terms and Conditions.</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  The Licensor shall not be bound by any additional or different terms or conditions\n				 communicated by You unless expressly agreed.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  Any arrangements, understandings, or agreements regarding the Licensed Material not stated\n				 herein are separate from and independent of the terms and conditions of this Public\n				 License.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>Section 8 <var class=\"replaceable-license-text\"> </var> Interpretation.</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  For the avoidance of doubt, this Public License does not, and shall not be interpreted to,\n				 reduce, limit, restrict, or impose conditions on any use of the Licensed Material that\n				 could lawfully be made without permission under this Public License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  To the extent possible, if any provision of this Public License is deemed unenforceable, it\n				 shall be automatically reformed to the minimum extent necessary to make it enforceable. If\n				 the provision cannot be reformed, it shall be severed from this Public License without\n				 affecting the enforceability of the remaining terms and conditions.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			  No term or condition of this Public License will be waived and no failure to comply consented\n				 to unless expressly agreed to by the Licensor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			  Nothing in this Public License constitutes or may be interpreted as a limitation upon, or\n				 waiver of, any privileges and immunities that apply to the Licensor or You, including from\n				 the legal processes of any jurisdiction or authority.\n			</li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>Creative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to\n		   apply one of its public licenses to material it publishes and in those instances will be considered\n		   the &quot;Licensor.&quot; <var class=\"optional-license-text\"> The text of the Creative Commons public licenses is dedicated to the public\n		   domain under the CC0 Public Domain Dedication.</var> Except for the limited purpose of indicating that material is shared under a Creative\n		   Commons public license or as otherwise permitted by the Creative Commons policies published at\n		   creativecommons.org/policies, Creative Commons does not authorize the use of the trademark &quot;Creative\n		   Commons&quot; or any other trademark or logo of Creative Commons without its prior written consent\n		   including, without limitation, in connection with any unauthorized modifications to any of its public\n		   licenses or any other arrangements, understandings, or agreements concerning use of licensed material.\n		   For the avoidance of doubt, this paragraph does not form part of the public licenses.</p>\n\n		<p>Creative Commons may be contacted at creativecommons.org.</p>\n\n	  </div>\n	"
		self.python_name = "CCBYNCND40"

	def __str__(self):
		return json.dumps(self.__dict__)


class MITadvertising:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 2000-2008 Carsten Haitzler, Geoff Harrison and various contributors Copyright (C) 2004-2008 Kim Woelders\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies of the Software, its documentation and marketing & publicity materials, and acknowledgment shall be given in the documentation, materials and software packages that this Software was used.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 2000-2008 Carsten Haitzler, Geoff Harrison and various contributors Copyright (C) 2004-2008 Kim Woelders  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies of the Software, its documentation and marketing & publicity materials, and acknowledgment shall be given in the documentation, materials and software packages that this Software was used.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.name = "Enlightenment License (e16)"
		self.licenseComments = "This license is a modified version of the common MIT license, with an additional advertising clause"
		self.licenseId = "MIT-advertising"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/MIT_With_Advertising", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:46Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/MIT_With_Advertising"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 2000-2008 Carsten Haitzler, Geoff Harrison and various contributors Copyright (C) 2004-2008\n		 Kim Woelders</p>\n\n	  </div>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and\n		 associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,\n		 including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,\n		 and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,\n		 subject to the following conditions:</p>\n\n	  <p>The above copyright notice and this permission notice shall be included in all copies of the Software,\n		 its documentation and marketing &amp; publicity materials, and acknowledgment shall be given in the\n		 documentation, materials and software packages that this Software was used.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\n		 OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR\n		 OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	"
		self.python_name = "MITadvertising"

	def __str__(self):
		return json.dumps(self.__dict__)


class Clips:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Permission is hereby granted, free of charge, to any person obtaining\na copy of this software and associated documentation files (the\n\"Software\"), to deal in the Software without restriction, including\nwithout limitation the rights to use, copy, modify, merge, publish,\ndistribute, and/or sell copies of the Software, and to permit persons \nto whom the Software is furnished to do so.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\nOR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT \nOF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY\nCLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES\nWHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN \nACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF \nOR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n"
		self.name = "Clips License"
		self.licenseId = "Clips"
		self.crossRef = [{"match": "False", "url": "https://github.com/DrItanium/maya/blob/master/LICENSE.CLIPS", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:32Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/DrItanium/maya/blob/master/LICENSE.CLIPS"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\t	<p>\n\t\tPermission is hereby granted, free of charge, to any person obtaining a copy of\n\t\tthis software and associated documentation files (the &quot;Software&quot;), to deal in \n\t\tthe Software without restriction, including without limitation the rights to \n\t\tuse, copy, modify, merge, publish, distribute, and/or sell copies of the \n\t\tSoftware, and to permit persons to whom the Software is furnished to do so.</p>\n\n\t	<p>\n\t\tTHE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR \n\t\tIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\n\t\tFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT \n\t\tSHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR \n\t\tCONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, \n\t\tDATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS\n\t\tACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS \n\t\tSOFTWARE.\n\t   </p>\n\n	"
		self.python_name = "Clips"

	def __str__(self):
		return json.dumps(self.__dict__)


class TTYP0:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "THE TTYP0 LICENSE\n\nPermission is hereby granted, free of charge, to any person obtaining\na copy of this font software and associated files (the \"Software\"),\nto deal in the Software without restriction, including without\nlimitation the rights to use, copy, modify, merge, publish,\ndistribute, embed, sublicense, and/or sell copies of the Software,\nand to permit persons to whom the Software is furnished to do so,\nsubject to the following conditions:\n\n(1) The above copyright notice, this permission notice, and the\n	disclaimer below shall be included in all copies or substantial\n	portions of the Software.\n\n(2) If the design of any glyphs in the fonts that are contained in the\n	Software or generated during the installation process is modified\n	or if additional glyphs are added to the fonts, the fonts\n	must be renamed. The new names may not contain the word \"UW\",\n	irrespective of capitalisation; the new names may contain the word\n	\"ttyp0\", irrespective of capitalisation, only if preceded by a\n	foundry name different from \"UW\".\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND,\nEXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.\nIN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY\nCLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\nTORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\nSOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>THE TTYP0 LICENSE\n\n<<endOptional>>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this font software and associated files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, embed, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\n   <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">>\n\n   The above copyright notice, this permission notice, and the disclaimer below shall be included in all copies or substantial portions of the Software.\n\n   <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">>\n\n   If the design of any glyphs in the fonts that are contained in the Software or generated during the installation process is modified or if additional glyphs are added to the fonts, the fonts must be renamed. The new names may not contain the word \"UW\", irrespective of capitalisation; the new names may contain the word \"ttyp0\", irrespective of capitalisation, only if preceded by a foundry name different from \"UW\".\n\n   THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n   "
		self.name = "TTYP0 License"
		self.licenseId = "TTYP0"
		self.crossRef = [{"match": "False", "url": "https://people.mpi-inf.mpg.de/~uwe/misc/uw-ttyp0/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:38Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://people.mpi-inf.mpg.de/~uwe/misc/uw-ttyp0/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"optional-license-text\"> \n			<p>THE TTYP0 LICENSE</p>\n\n		 </div>\n		 <p>\n			Permission is hereby granted, free of charge, to any person\n			obtaining a copy of this font software and associated files\n			(the &quot;Software&quot;), to deal in the Software without restriction,\n			including without limitation the rights to use, copy, modify,\n			merge, publish, distribute, embed, sublicense, and/or sell copies\n			of the Software, and to permit persons to whom the Software\n			is furnished to do so, subject to the following conditions:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (1)</var>\n			   <p>\n				  The above copyright notice, this permission notice,\n				  and the disclaimer below shall be included in all\n				  copies or substantial portions of the Software.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (2)</var>\n			   <p>\n				  If the design of any glyphs in the fonts that are contained\n				  in the Software or generated during the installation process\n				  is modified or if additional glyphs are added to the fonts,\n				  the fonts must be renamed. The new names may not contain the\n				  word &quot;UW&quot;, irrespective of capitalisation; the new names may\n				  contain the word &quot;ttyp0&quot;, irrespective of capitalisation,\n				  only if preceded by a foundry name different from &quot;UW&quot;.\n			   </p>\n\n			   <p>\n				  THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY\n				  KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE\n				  WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\n				  PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS\n				  OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR\n				  OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT\n				  OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH\n				  THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n			   </p>\n\n			</li>\n		 \n</ul>\n	  "
		self.python_name = "TTYP0"

	def __str__(self):
		return json.dumps(self.__dict__)


class NTP0:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "NTP No Attribution (NTP-0)\n\nCopyright (4-digit-year) by (CopyrightHoldersName)\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose is hereby granted, provided that the name of (TrademarkedName) not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. (TrademarkedName) make no representations about the suitability of this software for any purpose. It is provided \"as is\" without express or implied warranty.\n"
		self.standardLicenseTemplate = "<<beginOptional>>NTP No Attribution (NTP-0)\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (4-digit-year) by (CopyrightHoldersName)  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose is hereby granted, provided that the name<<beginOptional>>s<<endOptional>>of <<var;name=\"TMname\";original=\"(TrademarkedName)\";match=\".+\">> not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. <<var;name=\"TMname\";original=\"(TrademarkedName)\";match=\".+\">> make<<beginOptional>>s<<endOptional>>no representations about the suitability of this software for any purpose. It is provided \"as is\" without express or implied warranty.\n\n"
		self.name = "NTP No Attribution"
		self.licenseComments = "This license is similar to NTP, but it omits the language regarding reproduction of copyright and permission notices. It also omits the phrase \"with or without fee\"."
		self.licenseId = "NTP-0"
		self.crossRef = [{"match": "False", "url": "https://github.com/tytso/e2fsprogs/blob/master/lib/et/et_name.c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:36Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/tytso/e2fsprogs/blob/master/lib/et/et_name.c"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>NTP No Attribution (NTP-0)</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (4-digit-year) by (CopyrightHoldersName)\n		 </p>\n\n	  </div>\n\n	  <p>Permission to use, copy, modify, and distribute this software and its documentation for any purpose\n		 is hereby granted, provided that the name<var class=\"optional-license-text\">s</var> of\n		<var class=\"replaceable-license-text\"> (TrademarkedName)</var> not be used in advertising or publicity pertaining\n		to distribution of the software without specific, written prior permission.\n		<var class=\"replaceable-license-text\"> (TrademarkedName)</var> make<var class=\"optional-license-text\">s</var> no representations about the suitability\n		of this software for any purpose. It is provided &quot;as is&quot; without express or implied warranty.\n	  </p>\n\n	"
		self.python_name = "NTP0"

	def __str__(self):
		return json.dumps(self.__dict__)


class TMate:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The TMate Open Source License.\n\nThis license applies to all portions of TMate SVNKit library, which are not externally-maintained libraries (e.g. Ganymed SSH library).\n\nAll the source code and compiled classes in package org.tigris.subversion.javahl except SvnClient class are covered by the license in JAVAHL-LICENSE file\n\nCopyright (c) 2004-2012 TMate Software. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 * Redistributions in any form must be accompanied by information on how to obtain complete source code for the software that uses SVNKit and any accompanying software that uses the software that uses SVNKit. The source code must either be included in the distribution or be available for no more than the cost of distribution plus a nominal fee, and must be freely redistributable under reasonable conditions. For an executable file, complete source code means the source code for all modules it contains. It does not include source code for modules or files that typically accompany the major components of the operating system on which the executable file runs.\n\n	 * Redistribution in any form without redistributing source code for software that uses SVNKit is possible only when such redistribution is explictly permitted by TMate Software. Please, contact TMate Software at support@svnkit.com to get such permission.\n\nTHIS SOFTWARE IS PROVIDED BY TMATE SOFTWARE ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED.\n\nIN NO EVENT SHALL TMATE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The TMate Open Source License.\n\n<<endOptional>><<beginOptional>> This license applies to all portions of TMate SVNKit library, which are not externally-maintained libraries (e.g. Ganymed SSH library).\n\nAll the source code and compiled classes in package org.tigris.subversion.javahl except SvnClient class are covered by the license in JAVAHL-LICENSE file\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2004-2012 TMate Software. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in any form must be accompanied by information on how to obtain complete source code for the software that uses SVNKit and any accompanying software that uses the software that uses SVNKit. The source code must either be included in the distribution or be available for no more than the cost of distribution plus a nominal fee, and must be freely redistributable under reasonable conditions. For an executable file, complete source code means the source code for all modules it contains. It does not include source code for modules or files that typically accompany the major components of the operating system on which the executable file runs.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistribution in any form without redistributing source code for software that uses SVNKit is possible only when such redistribution is explictly permitted by TMate Software. Please, contact TMate Software at support@svnkit.com to get such permission.\n\nTHIS SOFTWARE IS PROVIDED BY TMATE SOFTWARE ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED.\n\nIN NO EVENT SHALL TMATE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "TMate Open Source License"
		self.licenseId = "TMate"
		self.crossRef = [{"match": "False", "url": "http://svnkit.com/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:13Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://svnkit.com/license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The TMate Open Source License.</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>This license applies to all portions of TMate SVNKit library, which are not externally-maintained\n		 libraries (e.g. Ganymed SSH library).</p>\n\n		 <p>All the source code and compiled classes in package org.tigris.subversion.javahl except SvnClient class\n		 are covered by the license in JAVAHL-LICENSE file</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2004-2012 TMate Software. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in any form must be accompanied by information on how to obtain complete source\n			 code for the software that uses SVNKit and any accompanying software that uses the software\n			 that uses SVNKit. The source code must either be included in the distribution or be available\n			 for no more than the cost of distribution plus a nominal fee, and must be freely\n			 redistributable under reasonable conditions. For an executable file, complete source code\n			 means the source code for all modules it contains. It does not include source code for modules\n			 or files that typically accompany the major components of the operating system on which the\n			 executable file runs.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistribution in any form without redistributing source code for software that uses SVNKit is\n			 possible only when such redistribution is explictly permitted by TMate Software. Please,\n			 contact TMate Software at support@svnkit.com to get such permission.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY TMATE SOFTWARE ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,\n		 BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR\n		 NON-INFRINGEMENT, ARE DISCLAIMED.</p>\n\n	  <p>IN NO EVENT SHALL TMATE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR\n		 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n		 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\n		 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING\n		 IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "TMate"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCSA20UK:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution - Non-Commercial - Share-Alike 2.0 England and Wales\n\n	CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENCE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicence\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENCE (\"CCPL\" OR \"LICENCE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENCE OR COPYRIGHT LAW IS PROHIBITED. BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENCE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\nThis Creative Commons England and Wales Public Licence enables You (all capitalised terms defined below) to view, edit, modify, translate and distribute Works worldwide, under the terms of this licence, provided that You credit the Original Author.\n\n'The Licensor' [one or more legally recognised persons or entities offering the Work under the terms and conditions of this Licence]\n\nand\n\n'You'\n\nagree as follows:\n\n1. Definitions\n\n	a. \"Attribution\" means acknowledging all the parties who have contributed to and have rights in the Work or Collective Work under this Licence.\n\n	b. \"Collective Work\" means the Work in its entirety in unmodified form along with a number of other separate and independent works, assembled into a collective whole.\n\n	c. \"Derivative Work\" means any work created by the editing, modification, adaptation or translation of the Work in any media (however a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this Licence). For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this Licence.\n\n	d. \"Licence\" means this Creative Commons England and Wales Public Licence agreement.\n\n	e. \"Licence Elements\" means the following high-level licence attributes indicated in the title of this Licence: Attribution, Non-Commercial, Share-Alike.\n\n	f. \"Non-Commercial\" means \"not primarily intended for or directed towards commercial advantage or private monetary compensation\". The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed towards commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	g. \"Original Author\" means the individual (or entity) who created the Work.\n\n	h. \"Work\" means the work protected by copyright which is offered under the terms of this Licence.\n\nFor the purpose of this Licence, when not inconsistent with the context, words in the singular number include the plural number.\n\n2. Licence Terms\n\n2.1 The Licensor hereby grants to You a worldwide, royalty-free, non-exclusive, Licence for Non-Commercial use and for the duration of copyright in the Work.\n\nYou may:\n\n	\u2022 copy the Work;\n\n	\u2022 create one or more Derivative Works;\n\n	\u2022 incorporate the Work into one or more Collective Works;\n\n	\u2022 copy Derivative Works or the Work as incorporated in any Collective Work; and\n\n	\u2022 publish, distribute, archive, perform or otherwise disseminate the Work or the Work as incorporated in any Collective Work, to the public in any material form in any media whether now known or hereafter created.\n\nHOWEVER,\n\nYou must not:\n\n	\u2022 impose any terms on the use to be made of the Work, the Derivative Work or the Work as incorporated in a Collective Work that alter or restrict the terms of this Licence or any rights granted under it or has the effect or intent of restricting the ability to exercise those rights;\n\n	\u2022 impose any digital rights management technology on the Work or the Work as incorporated in a Collective Work that alters or restricts the terms of this Licence or any rights granted under it or has the effect or intent of restricting the ability to exercise those rights;\n\n	\u2022 sublicense the Work;\n\n	\u2022 subject the Work to any derogatory treatment as defined in the Copyright, Designs and Patents Act 1988.\n\nFINALLY,\n\nYou must:\n\n	\u2022 make reference to this Licence (by Uniform Resource Identifier (URI), spoken word or as appropriate to the media used) on all copies of the Work and Collective Works published, distributed, performed or otherwise disseminated or made available to the public by You;\n\n	\u2022 recognise the Licensor's / Original Author's right of attribution in any Work and Collective Work that You publish, distribute, perform or otherwise disseminate to the public and ensure that You credit the Licensor / Original Author as appropriate to the media used; and\n\n	\u2022 to the extent reasonably practicable, keep intact all notices that refer to this Licence, in particular the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work.\n\nAdditional Provisions for third parties making use of the Work\n\n2.2. Further licence from the Licensor\n\nEach time You publish, distribute, perform or otherwise disseminate\n\n	\u2022 the Work; or\n\n	\u2022 any Derivative Work; or\n\n	\u2022 the Work as incorporated in a Collective Work\n\nthe Licensor agrees to offer to the relevant third party making use of the Work (in any of the alternatives set out above) a licence to use the Work on the same terms and conditions as granted to You hereunder.\n\n2.3. Further licence from You\n\nEach time You publish, distribute, perform or otherwise disseminate\n\n	\u2022 a Derivative Work; or\n\n	\u2022 a Derivative Work as incorporated in a Collective Work\n\nYou agree to offer to the relevant third party making use of the Work (in either of the alternatives set out above) a licence to use the Derivative Work on any of the following premises:\n\n	\u2022 a licence on the same terms and conditions as the licence granted to You hereunder; or\n\n	\u2022 a later version of the licence granted to You hereunder; or\n\n	\u2022 any other Creative Commons licence with the same Licence Elements.\n\n2.4. This Licence does not affect any rights that the User may have under any applicable law, including fair use, fair dealing or any other legally recognised limitation or exception to copyright infringement.\n\n2.5. All rights not expressly granted by the Licensor are hereby reserved, including but not limited to, the exclusive right to collect, whether individually or via a licensing body, such as a collecting society, royalties for any use of the Work which results in commercial advantage or private monetary compensation.\n\n3. Warranties and Disclaimer\n\nExcept as required by law, the Work is licensed by the Licensor on an \"as is\" and \"as available\" basis and without any warranty of any kind, either express or implied.\n\n4. Limit of Liability\n\nSubject to any liability which may not be excluded or limited by law the Licensor shall not be liable and hereby expressly excludes all liability for loss or damage howsoever and whenever caused to You.\n\n5. Termination\n\nThe rights granted to You under this Licence shall terminate automatically upon any breach by You of the terms of this Licence. Individuals or entities who have received Collective Works from You under this Licence, however, will not have their Licences terminated provided such individuals or entities remain in full compliance with those Licences.\n\n6. General\n\n6.1. The validity or enforceability of the remaining terms of this agreement is not affected by the holding of any provision of it to be invalid or unenforceable.\n\n6.2. This Licence constitutes the entire Licence Agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication in any form.\n\n6.3. A person who is not a party to this Licence shall have no rights under the Contracts (Rights of Third Parties) Act 1999 to enforce any of its terms.\n\n6.4. This Licence shall be governed by the law of England and Wales and the parties irrevocably submit to the exclusive jurisdiction of the Courts of England and Wales.\n\n7. On the role of Creative Commons\n\n7.1. Neither the Licensor nor the User may use the Creative Commons logo except to indicate that the Work is licensed under a Creative Commons Licence. Any permitted use has to be in compliance with the Creative Commons trade mark usage guidelines at the time of use of the Creative Commons trade mark. These guidelines may be found on the Creative Commons website or be otherwise available upon request from time to time.\n\n7.2. Creative Commons Corporation does not profit financially from its role in providing this Licence and will not investigate the claims of any Licensor or user of the Licence.\n\n7.3. One of the conditions that Creative Commons Corporation requires of the Licensor and You is an acknowledgement of its limited role and agreement by all who use the Licence that the Corporation is not responsible to anyone for the statements and actions of You or the Licensor or anyone else attempting to use or using this Licence.\n\n7.4. Creative Commons Corporation is not a party to this Licence, and makes no warranty whatsoever in connection to the Work or in connection to the Licence, and in all events is not liable for any loss or damage resulting from the Licensor's or Your reliance on this Licence or on its enforceability.\n\n7.5. USE OF THIS LICENCE MEANS THAT YOU AND THE LICENSOR EACH ACCEPTS THESE CONDITIONS IN SECTION 7.1, 7.2, 7.3, 7.4 AND EACH ACKNOWLEDGES CREATIVE COMMONS CORPORATION'S VERY LIMITED ROLE AS A FACILITATOR OF THE LICENCE FROM THE LICENSOR TO YOU.\n\n	Creative Commons is not a party to this Licence, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this licence. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\n	Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\n	Creative Commons may be contacted at https://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution - Non-Commercial - Share-Alike 2.0 England and Wales\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENCE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicence\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENCE (\"CCPL\" OR \"LICENCE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENCE OR COPYRIGHT LAW IS PROHIBITED. BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENCE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\nThis Creative Commons England and Wales Public Licence enables You (all capitalised terms defined below) to view, edit, modify, translate and distribute Works worldwide, under the terms of this licence, provided that You credit the Original Author.\n\n'The Licensor' [one or more legally recognised persons or entities offering the Work under the terms and conditions of this Licence]\n\nand\n\n'You'\n\nagree as follows:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Attribution\" means acknowledging all the parties who have contributed to and have rights in the Work or Collective Work under this Licence.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Collective Work\" means the Work in its entirety in unmodified form along with a number of other separate and independent works, assembled into a collective whole.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Derivative Work\" means any work created by the editing, modification, adaptation or translation of the Work in any media (however a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this Licence). For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this Licence.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Licence\" means this Creative Commons England and Wales Public Licence agreement.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Licence Elements\" means the following high-level licence attributes indicated in the title of this Licence: Attribution, Non-Commercial, Share-Alike.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Non-Commercial\" means \"not primarily intended for or directed towards commercial advantage or private monetary compensation\". The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed towards commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"Original Author\" means the individual (or entity) who created the Work.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \"Work\" means the work protected by copyright which is offered under the terms of this Licence.\n\n   For the purpose of this Licence, when not inconsistent with the context, words in the singular number include the plural number.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Licence Terms\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> The Licensor hereby grants to You a worldwide, royalty-free, non-exclusive, Licence for Non-Commercial use and for the duration of copyright in the Work.\n\n	  You may:\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> copy the Work;\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> create one or more Derivative Works;\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> incorporate the Work into one or more Collective Works;\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> copy Derivative Works or the Work as incorporated in any Collective Work; and\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> publish, distribute, archive, perform or otherwise disseminate the Work or the Work as incorporated in any Collective Work, to the public in any material form in any media whether now known or hereafter created.\n\n	  HOWEVER,\n\n	  You must not:\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> impose any terms on the use to be made of the Work, the Derivative Work or the Work as incorporated in a Collective Work that alter or restrict the terms of this Licence or any rights granted under it or has the effect or intent of restricting the ability to exercise those rights;\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> impose any digital rights management technology on the Work or the Work as incorporated in a Collective Work that alters or restricts the terms of this Licence or any rights granted under it or has the effect or intent of restricting the ability to exercise those rights;\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> sublicense the Work;\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> subject the Work to any derogatory treatment as defined in the Copyright, Designs and Patents Act 1988.\n\n	  FINALLY,\n\n	  You must:\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> make reference to this Licence (by Uniform Resource Identifier (URI), spoken word or as appropriate to the media used) on all copies of the Work and Collective Works published, distributed, performed or otherwise disseminated or made available to the public by You;\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> recognise the Licensor's / Original Author's right of attribution in any Work and Collective Work that You publish, distribute, perform or otherwise disseminate to the public and ensure that You credit the Licensor / Original Author as appropriate to the media used; and\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> to the extent reasonably practicable, keep intact all notices that refer to this Licence, in particular the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work.\n\n   Additional Provisions for third parties making use of the Work\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Further licence from the Licensor\n\n	  Each time You publish, distribute, perform or otherwise disseminate\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> the Work; or\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> any Derivative Work; or\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> the Work as incorporated in a Collective Work\n\n	  the Licensor agrees to offer to the relevant third party making use of the Work (in any of the alternatives set out above) a licence to use the Work on the same terms and conditions as granted to You hereunder.\n\n	  <<var;name=\"bullet\";original=\"2.3.\";match=\".{0,20}\">> Further licence from You\n\n	  Each time You publish, distribute, perform or otherwise disseminate\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> a Derivative Work; or\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> a Derivative Work as incorporated in a Collective Work\n\n	  You agree to offer to the relevant third party making use of the Work (in either of the alternatives set out above) a licence to use the Derivative Work on any of the following premises:\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> a licence on the same terms and conditions as the licence granted to You hereunder; or\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> a later version of the licence granted to You hereunder; or\n\n		 <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> any other Creative Commons licence with the same Licence Elements.\n\n	  <<var;name=\"bullet\";original=\"2.4.\";match=\".{0,20}\">> This Licence does not affect any rights that the User may have under any applicable law, including fair use, fair dealing or any other legally recognised limitation or exception to copyright infringement.\n\n	  <<var;name=\"bullet\";original=\"2.5.\";match=\".{0,20}\">> All rights not expressly granted by the Licensor are hereby reserved, including but not limited to, the exclusive right to collect, whether individually or via a licensing body, such as a collecting society, royalties for any use of the Work which results in commercial advantage or private monetary compensation.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Warranties and Disclaimer\n\n   Except as required by law, the Work is licensed by the Licensor on an \"as is\" and \"as available\" basis and without any warranty of any kind, either express or implied.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Limit of Liability\n\n   Subject to any liability which may not be excluded or limited by law the Licensor shall not be liable and hereby expressly excludes all liability for loss or damage howsoever and whenever caused to You.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Termination\n\n   The rights granted to You under this Licence shall terminate automatically upon any breach by You of the terms of this Licence. Individuals or entities who have received Collective Works from You under this Licence, however, will not have their Licences terminated provided such individuals or entities remain in full compliance with those Licences.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> General\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> The validity or enforceability of the remaining terms of this agreement is not affected by the holding of any provision of it to be invalid or unenforceable.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> This Licence constitutes the entire Licence Agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication in any form.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> A person who is not a party to this Licence shall have no rights under the Contracts (Rights of Third Parties) Act 1999 to enforce any of its terms.\n\n	  <<var;name=\"bullet\";original=\"6.4.\";match=\".{0,20}\">> This Licence shall be governed by the law of England and Wales and the parties irrevocably submit to the exclusive jurisdiction of the Courts of England and Wales.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> On the role of Creative Commons\n\n	  <<var;name=\"bullet\";original=\"7.1.\";match=\".{0,20}\">> Neither the Licensor nor the User may use the Creative Commons logo except to indicate that the Work is licensed under a Creative Commons Licence. Any permitted use has to be in compliance with the Creative Commons trade mark usage guidelines at the time of use of the Creative Commons trade mark. These guidelines may be found on the Creative Commons website or be otherwise available upon request from time to time.\n\n	  <<var;name=\"bullet\";original=\"7.2.\";match=\".{0,20}\">> Creative Commons Corporation does not profit financially from its role in providing this Licence and will not investigate the claims of any Licensor or user of the Licence.\n\n	  <<var;name=\"bullet\";original=\"7.3.\";match=\".{0,20}\">> One of the conditions that Creative Commons Corporation requires of the Licensor and You is an acknowledgement of its limited role and agreement by all who use the Licence that the Corporation is not responsible to anyone for the statements and actions of You or the Licensor or anyone else attempting to use or using this Licence.\n\n	  <<var;name=\"bullet\";original=\"7.4.\";match=\".{0,20}\">> Creative Commons Corporation is not a party to this Licence, and makes no warranty whatsoever in connection to the Work or in connection to the Licence, and in all events is not liable for any loss or damage resulting from the Licensor's or Your reliance on this Licence or on its enforceability.\n\n	  <<var;name=\"bullet\";original=\"7.5.\";match=\".{0,20}\">> USE OF THIS LICENCE MEANS THAT YOU AND THE LICENSOR EACH ACCEPTS THESE CONDITIONS IN SECTION 7.1, 7.2, 7.3, 7.4 AND EACH ACKNOWLEDGES CREATIVE COMMONS CORPORATION'S VERY LIMITED ROLE AS A FACILITATOR OF THE LICENCE FROM THE LICENSOR TO YOU.\n\nCreative Commons is not a party to this Licence, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this licence. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial Share Alike 2.0 England and Wales"
		self.licenseId = "CC-BY-NC-SA-2.0-UK"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-sa/2.0/uk/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:34Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-sa/2.0/uk/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution - Non-Commercial - Share-Alike 2.0 England and Wales</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		<p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENCE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		<p>Licence</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENCE (&quot;CCPL&quot; OR &quot;LICENCE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENCE OR COPYRIGHT LAW IS PROHIBITED. BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENCE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.</p>\n\n	  <p>This Creative Commons England and Wales Public Licence enables You (all capitalised terms defined below) to view, edit, modify, translate and distribute Works worldwide, under the terms of this licence, provided that You credit the Original Author.</p>\n\n	  <p>&apos;The Licensor&apos; [one or more legally recognised persons or entities offering the Work under the terms and conditions of this Licence]</p>\n\n	  <p>and</p>\n\n	  <p>&apos;You&apos;</p>\n\n	  <p>agree as follows:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 1.</var> Definitions\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a.</var> &quot;Attribution&quot; means acknowledging all the parties who have contributed to and have rights in the Work or Collective Work under this Licence.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> b.</var> &quot;Collective Work&quot; means the Work in its entirety in unmodified form along with a number of other separate and independent works, assembled into a collective whole.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> c.</var> &quot;Derivative Work&quot; means any work created by the editing, modification, adaptation or translation of the Work in any media (however a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this Licence). For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (&quot;synching&quot;) will be considered a Derivative Work for the purpose of this Licence.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> d.</var> &quot;Licence&quot; means this Creative Commons England and Wales Public Licence agreement.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> e.</var> &quot;Licence Elements&quot; means the following high-level licence attributes indicated in the title of this Licence: Attribution, Non-Commercial, Share-Alike.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> f.</var> &quot;Non-Commercial&quot; means &quot;not primarily intended for or directed towards commercial advantage or private monetary compensation&quot;. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed towards commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> g.</var> &quot;Original Author&quot; means the individual (or entity) who created the Work.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> h.</var> &quot;Work&quot; means the work protected by copyright which is offered under the terms of this Licence.\n			</li>\n		  \n</ul>\n\n		  <p>For the purpose of this Licence, when not inconsistent with the context, words in the singular number include the plural number.</p>\n\n		</li>\n\n<li>\n		  <var class=\"replaceable-license-text\"> 2.</var> Licence Terms\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 2.1</var> The Licensor hereby grants to You a worldwide, royalty-free, non-exclusive, Licence for Non-Commercial use and for the duration of copyright in the Work.\n\n			  <p>You may:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> copy the Work;\n				</li>\n\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> create one or more Derivative Works;\n				</li>\n\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> incorporate the Work into one or more Collective Works;\n				</li>\n\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> copy Derivative Works or the Work as incorporated in any Collective Work; and\n				</li>\n\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> publish, distribute, archive, perform or otherwise disseminate the Work or the Work as incorporated in any Collective Work, to the public in any material form in any media whether now known or hereafter created.\n				</li>\n			  \n</ul>\n\n			  <p>HOWEVER,</p>\n\n			  <p>You must not:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> impose any terms on the use to be made of the Work, the Derivative Work or the Work as incorporated in a Collective Work that alter or restrict the terms of this Licence or any rights granted under it or has the effect or intent of restricting the ability to exercise those rights;\n				</li>\n\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> impose any digital rights management technology on the Work or the Work as incorporated in a Collective Work that alters or restricts the terms of this Licence or any rights granted under it or has the effect or intent of restricting the ability to exercise those rights;\n				</li>\n\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> sublicense the Work;\n				</li>\n\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> subject the Work to any derogatory treatment as defined in the Copyright, Designs and Patents Act 1988.\n				</li>\n			  \n</ul>\n\n			  <p>FINALLY,</p>\n\n			  <p>You must:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> make reference to this Licence (by Uniform Resource Identifier (URI), spoken word or as appropriate to the media used) on all copies of the Work and Collective Works published, distributed, performed or otherwise disseminated or made available to the public by You;\n				</li>\n\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> recognise the Licensor&apos;s / Original Author&apos;s right of attribution in any Work and Collective Work that You publish, distribute, perform or otherwise disseminate to the public and ensure that You credit the Licensor / Original Author as appropriate to the media used; and\n				</li>\n\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> to the extent reasonably practicable, keep intact all notices that refer to this Licence, in particular the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work.\n				</li>\n			  \n</ul>\n			</li>\n		  \n</ul>\n\n		  <p>Additional Provisions for third parties making use of the Work</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 2.2.</var> Further licence from the Licensor\n\n			  <p>Each time You publish, distribute, perform or otherwise disseminate</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> the Work; or\n				</li>\n\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> any Derivative Work; or\n				</li>\n\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> the Work as incorporated in a Collective Work\n				</li>\n			  \n</ul>\n\n			  <p>the Licensor agrees to offer to the relevant third party making use of the Work (in any of the alternatives set out above) a licence to use the Work on the same terms and conditions as granted to You hereunder.</p>\n\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> 2.3.</var> Further licence from You\n\n			  <p>Each time You publish, distribute, perform or otherwise disseminate</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> a Derivative Work; or\n				</li>\n\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> a Derivative Work as incorporated in a Collective Work\n				</li>\n			  \n</ul>\n\n			  <p>You agree to offer to the relevant third party making use of the Work (in either of the alternatives set out above) a licence to use the Derivative Work on any of the following premises:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> a licence on the same terms and conditions as the licence granted to You hereunder; or\n				</li>\n\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> a later version of the licence granted to You hereunder; or\n				</li>\n\n<li>\n				  <var class=\"replaceable-license-text\"> \u2022</var> any other Creative Commons licence with the same Licence Elements.\n				</li>\n			  \n</ul>\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> 2.4.</var> This Licence does not affect any rights that the User may have under any applicable law, including fair use, fair dealing or any other legally recognised limitation or exception to copyright infringement.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> 2.5.</var> All rights not expressly granted by the Licensor are hereby reserved, including but not limited to, the exclusive right to collect, whether individually or via a licensing body, such as a collecting society, royalties for any use of the Work which results in commercial advantage or private monetary compensation.\n			</li>\n		  \n</ul>\n		</li>\n\n<li>\n		  <var class=\"replaceable-license-text\"> 3.</var> Warranties and Disclaimer\n\n		  <p>Except as required by law, the Work is licensed by the Licensor on an &quot;as is&quot; and &quot;as available&quot; basis and without any warranty of any kind, either express or implied.</p>\n\n		</li>\n\n<li>\n		  <var class=\"replaceable-license-text\"> 4.</var> Limit of Liability\n\n		  <p>Subject to any liability which may not be excluded or limited by law the Licensor shall not be liable and hereby expressly excludes all liability for loss or damage howsoever and whenever caused to You.</p>\n\n		</li>\n\n<li>\n		  <var class=\"replaceable-license-text\"> 5.</var> Termination\n\n		  <p>The rights granted to You under this Licence shall terminate automatically upon any breach by You of the terms of this Licence. Individuals or entities who have received Collective Works from You under this Licence, however, will not have their Licences terminated provided such individuals or entities remain in full compliance with those Licences.</p>\n\n		</li>\n\n<li>\n		  <var class=\"replaceable-license-text\"> 6.</var> General\n\n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 6.1.</var> The validity or enforceability of the remaining terms of this agreement is not affected by the holding of any provision of it to be invalid or unenforceable.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> 6.2.</var> This Licence constitutes the entire Licence Agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication in any form.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> 6.3.</var> A person who is not a party to this Licence shall have no rights under the Contracts (Rights of Third Parties) Act 1999 to enforce any of its terms.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> 6.4.</var> This Licence shall be governed by the law of England and Wales and the parties irrevocably submit to the exclusive jurisdiction of the Courts of England and Wales.\n			</li>\n		  \n</ul>\n		</li>\n\n<li>\n		  <var class=\"replaceable-license-text\"> 7.</var> On the role of Creative Commons\n\n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 7.1.</var> Neither the Licensor nor the User may use the Creative Commons logo except to indicate that the Work is licensed under a Creative Commons Licence. Any permitted use has to be in compliance with the Creative Commons trade mark usage guidelines at the time of use of the Creative Commons trade mark. These guidelines may be found on the Creative Commons website or be otherwise available upon request from time to time.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> 7.2.</var> Creative Commons Corporation does not profit financially from its role in providing this Licence and will not investigate the claims of any Licensor or user of the Licence.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> 7.3.</var> One of the conditions that Creative Commons Corporation requires of the Licensor and You is an acknowledgement of its limited role and agreement by all who use the Licence that the Corporation is not responsible to anyone for the statements and actions of You or the Licensor or anyone else attempting to use or using this Licence.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> 7.4.</var> Creative Commons Corporation is not a party to this Licence, and makes no warranty whatsoever in connection to the Work or in connection to the Licence, and in all events is not liable for any loss or damage resulting from the Licensor&apos;s or Your reliance on this Licence or on its enforceability.\n			</li>\n\n<li>\n			  <var class=\"replaceable-license-text\"> 7.5.</var> USE OF THIS LICENCE MEANS THAT YOU AND THE LICENSOR EACH ACCEPTS THESE CONDITIONS IN SECTION 7.1, 7.2, 7.3, 7.4 AND EACH ACKNOWLEDGES CREATIVE COMMONS CORPORATION&apos;S VERY LIMITED ROLE AS A FACILITATOR OF THE LICENCE FROM THE LICENSOR TO YOU.\n			</li>\n		  \n</ul>\n		</li>\n	  \n</ul>\n\n	  <p>Creative Commons is not a party to this Licence, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this licence. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at https://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYNCSA20UK"

	def __str__(self):
		return json.dumps(self.__dict__)


class NOSL:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "NETIZEN OPEN SOURCE LICENSE\nVersion 1.0\n\n1. Definitions.\n\n	 1.0.1. \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n	 1.1. \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	 1.2. \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	 1.3. \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	 1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	 1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n	 1.6. \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	 1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.8. \"License\" means this document.\n\n	 1.8.1. \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	 1.9. \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n		  A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n		  B. Any new file that contains any part of the Original Code or previous Modifications.\n\n	 1.10. \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	 1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	 1.11. \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	 1.12. \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n2. Source Code License.\n\n	 2.1. The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n		  (a) under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n		  (b) under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n		  (c) the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n		  (d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.\n\n	 2.2. Contributor Grant.\n	 Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n		  (a) under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n		  (b) under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n		  (c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n		  (d) Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n3. Distribution Obligations.\n\n	 3.1. Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	 3.2. Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	 3.3. Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	 3.4. Intellectual Property Matters\n		  (a) Third Party Claims.\n		  If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n		  (b) Contributor APIs.\n		  If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n		  (c) Representations.\n		  Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	 3.5. Required Notices.\n	 You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	 3.6. Distribution of Executable Versions.\n	 You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	 3.7. Larger Works.\n	 You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single LEDs product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n6. Versions of the License.\n\n	 6.1. New Versions.\n	 Netizen Pty Ltd (\"Netizen \") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	 6.2. Effect of New Versions.\n	 Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Netizen. No one other than Netizen has the right to modify the terms applicable to Covered Code created under this License.\n\n	 6.3. Derivative Works.\n	 If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \"Netizen\", \"NOSL\" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the Netizen Open Source License and Xen Open Source License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n	 7.1 To the extent permitted by law and except as expressly provided to the contrary in this Agreement, all warranties whether express, implied, statutory or otherwise, relating in any way to the subject matter of this Agreement or to this Agreement generally, are excluded. Where legislation implies in this Agreement any condition or warranty and that legislation avoids or prohibits provisions in a contract excluding or modifying the application of or the exercise of or liability under such term, such term shall be deemed to be included in this Agreement. However, the liability of Supplier for any breach of such term shall be limited, at the option of Supplier, to any one or more of the following: if the breach related to goods: the replacement of the goods or the supply of equivalent goods; the repair of such goods; the payment of the cost of replacing the goods or of acquiring equivalent goods; or the payment of the cost of having the goods repaired; and if the breach relates to services the supplying of the services again; or the payment of the cost of having the services supplied again.\n\n8. TERMINATION.\n\n	 8.1. This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	 8.2. If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n		  (a) such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n		  (b) any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	 8.3. If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	 8.4. In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n9. LIMITATION OF LIABILITY.\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\nThis Agreement shall be governed by and consTrued according to the law of the State of Victoria. The parties irrevocably submit to the exclusive jurisdiction of the Courts of Victoria and Australia and any Courts hearing appeals from such Courts. This Agreement is deemed to have been made in Victoria.\nThe application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n12. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n13. MULTIPLE-LICENSED CODE.\n\nInitial Developer may designate portions of the Covered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the NPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\nEXHIBIT A - Netizen Open Source License\n\n	 ``The contents of this file are subject to the Netizen Open Source License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://netizen.com.au/licenses/NOPL/\n\n	 Software distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\n	 The Original Code is ______________________________________.\n\n	 The Initial Developer of the Original Code is ________________________. Portions created by ______________________ are Copyright (C) ______ _______________________. All Rights Reserved.\n\n	 Contributor(s): ______________________________________.\n\n	 Alternatively, the contents of this file may be used under the terms of the _____ license (the \"[___] License\"), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the NOSL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the NOSL or the [___] License.\"\n\n	 [NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n"
		self.standardLicenseTemplate = "<<beginOptional>>NETIZEN OPEN SOURCE LICENSE\n\nVersion 1.0\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.0.1.\";match=\".{0,20}\">> \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Executable\" means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.8.1.\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.10.1.\";match=\".{0,20}\">> \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant.\n\n	  Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims.\n\n		 If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs.\n\n		 If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> Representations.\n\n		 Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices.\n\n	  You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Versions.\n\n	  You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works.\n\n	  You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single<<beginOptional>> LEDs<<endOptional>> product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Application of this License.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> New Versions.\n\n	  Netizen Pty Ltd (\"Netizen \") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> Effect of New Versions.\n\n	  Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Netizen. No one other than Netizen has the right to modify the terms applicable to Covered Code created under this License.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> Derivative Works.\n\n	  If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \"Netizen\", \"NOSL\" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the Netizen Open Source License and Xen Open Source License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n	  <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> To the extent permitted by law and except as expressly provided to the contrary in this Agreement, all warranties whether express, implied, statutory or otherwise, relating in any way to the subject matter of this Agreement or to this Agreement generally, are excluded. Where legislation implies in this Agreement any condition or warranty and that legislation avoids or prohibits provisions in a contract excluding or modifying the application of or the exercise of or liability under such term, such term shall be deemed to be included in this Agreement. However, the liability of Supplier for any breach of such term shall be limited, at the option of Supplier, to any one or more of the following: if the breach related to goods: the replacement of the goods or the supply of equivalent goods; the repair of such goods; the payment of the cost of replacing the goods or of acquiring equivalent goods; or the payment of the cost of having the goods repaired; and if the breach relates to services the supplying of the services again; or the payment of the cost of having the services supplied again.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TERMINATION.\n\n	  <<var;name=\"bullet\";original=\"8.1.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	  <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">> If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	  <<var;name=\"bullet\";original=\"8.3.\";match=\".{0,20}\">> If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"8.4.\";match=\".{0,20}\">> In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS.\n\n   The Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> MISCELLANEOUS.\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n   This Agreement shall be governed by and consTrued according to the law of the State of Victoria. The parties irrevocably submit to the exclusive jurisdiction of the Courts of Victoria and Australia and any Courts hearing appeals from such Courts. This Agreement is deemed to have been made in Victoria.\n\n   The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS.\n\n   As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> MULTIPLE-LICENSED CODE.\n\n   Initial Developer may designate portions of the Covered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the NPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\n   <<beginOptional>>EXHIBIT A - Netizen Open Source License\n\n``The contents of this file are subject to the Netizen Open Source License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://netizen.com.au/licenses/NOPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________________________.\n\nThe Initial Developer of the Original Code is ________________________. Portions created by ______________________ are Copyright (C) ______ _______________________. All Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAlternatively, the contents of this file may be used under the terms of the _____ license (the \"[___] License\"), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the NOSL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the NOSL or the [___] License.\"\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n\n<<endOptional>>"
		self.name = "Netizen Open Source License"
		self.licenseComments = "This license is essentially a rebranded version of MPL-1.1, but with some important changes. The added \u00a77.1 expands on the warranty disclaimer. The change in \u00a711 moves the forum and the jurisdiction to Victoria, Australia (from California, USA in MPL-1.1). Section 3.7 of this license contains the word \"LEDs\" which appears to be a typo in the upstream version, at https://directory.fsf.org/wiki/License:NOSL. It is retained here as optional text, so that it will still match in case others have used the license text with this typo."
		self.licenseId = "NOSL"
		self.crossRef = [{"match": "False", "url": "http://bits.netizen.com.au/licenses/NOSL/nosl.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:48Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://bits.netizen.com.au/licenses/NOSL/nosl.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>NETIZEN OPEN SOURCE LICENSE\n		<br />\n\nVersion 1.0\n	  </p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.0.1.</var>\n			  &quot;Commercial Use&quot; means distribution or otherwise making the Covered Code\n			   available to a third party.\n			 </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			   &quot;Contributor&quot; means each entity that creates or contributes to the creation of\n				  Modifications.\n			 </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			   &quot;Contributor Version&quot; means the combination of the Original Code, prior\n				  Modifications used by a Contributor, and the Modifications made by that particular\n				  Contributor.\n			 </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			   &quot;Covered Code&quot; means the Original Code or Modifications or the combination of the\n				  Original Code and Modifications, in each case including portions thereof.\n			 </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			   &quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the\n				  software development community for the electronic transfer of data.\n			 </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			   &quot;Executable&quot; means Covered Code in any form other than Source Code.\n			 </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			   &quot;Initial Developer&quot; means the individual or entity identified as the Initial\n				  Developer in the Source Code notice required by Exhibit A.\n			 </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			   &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with\n				  code not governed by the terms of this License.\n			 </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			   &quot;License&quot; means this document.\n			 </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.1.</var>\n			   &quot;Licensable&quot; means having the right to grant, to the maximum extent\n				  possible, whether at the time of the initial grant or subsequently acquired, any and all\n				  of the rights conveyed herein.\n			 </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			   &quot;Modifications&quot; means any addition to or deletion from the substance or structure\n				  of either the Original Code or any previous Modifications. When Covered Code is released\n				  as a series of files, a Modification is:\n				\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n					Any addition to or deletion from the contents of a file containing Original Code or\n					   previous Modifications.\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n					Any new file that contains any part of the Original Code or previous Modifications.\n				  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			   &quot;Original Code&quot; means Source Code of computer software code which is described in\n				  the Source Code notice required by Exhibit A as Original Code, and which, at the time of\n				  its release under this License is not already Covered Code governed by this License.\n			 </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.1.</var>\n			   &quot;Patent Claims&quot; means any patent claim(s), now owned or hereafter acquired,\n				  including without limitation, method, process, and apparatus claims, in any patent\n				  Licensable by grantor.\n			 </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			   &quot;Source Code&quot; means the preferred form of the Covered Code for making modifications\n				  to it, including all modules it contains, plus any associated interface definition files,\n				  scripts used to control compilation and installation of an Executable, or source code\n				  differential comparisons against either the Original Code or another well known, available\n				  Covered Code of the Contributor&apos;s choice. The Source Code can be in a compressed or\n				  archival form, provided the appropriate decompression or de-archiving software is widely\n				  available for no charge.\n			 </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			  &quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity exercising rights\n				  under, and complying with all of the terms of, this License or a future version of this\n				  License issued under Section 6.1. For legal entities, &quot;You&quot; includes any entity\n				  which controls, is controlled by, or is under common control with You. For purposes of\n				  this definition, &quot;control&quot; means (a) the power, direct or indirect, to cause the\n				  direction or management of such entity, whether by contract or otherwise, or (b) ownership\n				  of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such\n				  entity.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Source Code License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			  The Initial Developer Grant. The Initial Developer hereby grants You a world-wide,\n				 royalty-free, non-exclusive license, subject to third party intellectual property\n				 claims:\n			   \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				   under intellectual property rights (other than patent or trademark) Licensable by Initial\n					  Developer to use, reproduce, modify, display, perform, sublicense and distribute the\n					  Original Code (or portions thereof) with or without Modifications, and/or as part of a\n					  Larger Work; and\n				 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				   under Patents Claims infringed by the making, using or selling of Original Code, to make,\n					  have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the\n					  Original Code (or portions thereof).\n				 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				   the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial\n					  Developer first distributes Original Code under the terms of this License.\n				 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				   Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You\n					  delete from the Original Code; 2) separate from the Original Code; or 3) for\n					  infringements caused by: i) the modification of the Original Code or ii) the\n					  combination of the Original Code with other software or devices.\n				 </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			  Contributor Grant.\n				<p>Subject to third party intellectual property claims, each Contributor hereby grants You\n					 a world-wide, royalty-free, non-exclusive license</p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n					under intellectual property rights (other than patent or trademark) Licensable by\n					   Contributor, to use, reproduce, modify, display, perform, sublicense and distribute\n					   the Modifications created by such Contributor (or portions thereof) either on an\n					   unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger\n					   Work; and\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n					under Patent Claims infringed by the making, using, or selling of Modifications made by\n					   that Contributor either alone and/or in combination with its Contributor Version (or\n					   portions of such combination), to make, use, sell, offer for sale, have made, and/or\n					   otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof);\n					   and 2) the combination of Modifications made by that Contributor with its Contributor\n					   Version (or portions of such combination).\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n					the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor\n					   first makes Commercial Use of the Covered Code.\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n					Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that\n					   Contributor has deleted from the Contributor Version; 2) separate from the Contributor\n					   Version; 3) for infringements caused by: i) third party modifications of Contributor\n					   Version or ii) the combination of Modifications made by that Contributor with other\n					   software (except as part of the Contributor Version) or other devices; or 4) under\n					   Patent Claims infringed by Covered Code in the absence of Modifications made by that\n					   Contributor.\n				  </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Distribution Obligations.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			  Application of License. The Modifications which You create or to which You contribute are\n				 governed by the terms of this License, including without limitation Section 2.2. The\n				 Source Code version of Covered Code may be distributed only under the terms of this\n				 License or a future version of this License released under Section 6.1, and You must\n				 include a copy of this License with every copy of the Source Code You distribute. You may\n				 not offer or impose any terms on any Source Code version that alters or restricts the\n				 applicable version of this License or the recipients&apos; rights hereunder. However, You\n				 may include an additional document offering the additional rights described in Section\n				 3.5.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			  Availability of Source Code. Any Modification which You create or to which You contribute\n				 must be made available in Source Code form under the terms of this License either on the\n				 same media as an Executable version or via an accepted Electronic Distribution Mechanism\n				 to anyone to whom you made an Executable version available; and if made available via\n				 Electronic Distribution Mechanism, must remain available for at least twelve (12) months\n				 after the date it initially became available, or at least six (6) months after a\n				 subsequent version of that particular Modification has been made available to such\n				 recipients. You are responsible for ensuring that the Source Code version remains\n				 available even if the Electronic Distribution Mechanism is maintained by a third\n				 party.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			  Description of Modifications. You must cause all Covered Code to which You contribute to\n				 contain a file documenting the changes You made to create that Covered Code and the date\n				 of any change. You must include a prominent statement that the Modification is derived,\n				 directly or indirectly, from Original Code provided by the Initial Developer and including\n				 the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an\n				 Executable version or related documentation in which You describe the origin or ownership\n				 of the Covered Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			  Intellectual Property Matters\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  Third Party Claims.\n					<br />\n\n		 If Contributor has knowledge that a license under a third party&apos;s intellectual\n						 property rights is required to exercise the rights granted by such Contributor\n						 under Sections 2.1 or 2.2, Contributor must include a text file with the\n						 Source Code distribution titled &quot;LEGAL&quot; which describes the claim\n						 and the party making the claim in sufficient detail that a recipient will know\n						 whom to contact. If Contributor obtains such knowledge after the Modification\n						 is made available as described in Section 3.2, Contributor shall promptly\n						 modify the LEGAL file in all copies Contributor makes available thereafter and\n						 shall take other steps (such as notifying appropriate mailing lists or\n						 newsgroups) reasonably calculated to inform those who received the Covered\n						 Code that new knowledge has been obtained.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  Contributor APIs.\n					<br />\n\n		 If Contributor&apos;s Modifications include an application programming interface\n						 and Contributor has knowledge of patent licenses which are reasonably\n						 necessary to implement that API, Contributor must also include this\n						 information in the LEGAL file.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				  Representations.\n					<br />\n\n		 Contributor represents that, except as disclosed pursuant to Section 3.4(a) above,\n						 Contributor believes that Contributor&apos;s Modifications are\n						 Contributor&apos;s original creation(s) and/or Contributor has sufficient\n						 rights to grant the rights conveyed by this License.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			  Required Notices.\n				<br />\n\n	  You must duplicate the notice in Exhibit A in each file of the Source Code. If it is\n					 not possible to put such notice in a particular Source Code file due to its\n					 structure, then You must include such notice in a location (such as a relevant\n					 directory) where a user would be likely to look for such a notice. If You created\n					 one or more Modification(s) You may add your name as a Contributor to the notice\n					 described in Exhibit A. You must also duplicate this License in any documentation\n					 for the Source Code where You describe recipients&apos; rights or ownership rights\n					 relating to Covered Code. You may choose to offer, and to charge a fee for,\n					 warranty, support, indemnity or liability obligations to one or more recipients of\n					 Covered Code. However, You may do so only on Your own behalf, and not on behalf of\n					 the Initial Developer or any Contributor. You must make it absolutely clear than\n					 any such warranty, support, indemnity or liability obligation is offered by You\n					 alone, and You hereby agree to indemnify the Initial Developer and every\n					 Contributor for any liability incurred by the Initial Developer or such\n					 Contributor as a result of warranty, support, indemnity or liability terms You\n					 offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n			  Distribution of Executable Versions.\n				<br />\n\n	  You may distribute Covered Code in Executable form only if the requirements of Section\n					 3.1-3.5 have been met for that Covered Code, and if You include a notice stating\n					 that the Source Code version of the Covered Code is available under the terms of\n					 this License, including a description of how and where You have fulfilled the\n					 obligations of Section 3.2. The notice must be conspicuously included in any\n					 notice in an Executable version, related documentation or collateral in which You\n					 describe recipients&apos; rights relating to the Covered Code. You may distribute\n					 the Executable version of Covered Code or ownership rights under a license of Your\n					 choice, which may contain terms different from this License, provided that You are\n					 in compliance with the terms of this License and that the license for the\n					 Executable version does not attempt to limit or alter the recipient&apos;s rights\n					 in the Source Code version from the rights set forth in this License. If You\n					 distribute the Executable version under a different license You must make it\n					 absolutely clear that any terms which differ from this License are offered by You\n					 alone, not by the Initial Developer or any Contributor. You hereby agree to\n					 indemnify the Initial Developer and every Contributor for any liability incurred\n					 by the Initial Developer or such Contributor as a result of any such terms You\n					 offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7.</var>\n			  Larger Works.\n				<br />\n\n	  You may create a Larger Work by combining Covered Code with other code not governed by\n					 the terms of this License and distribute the Larger Work as a single <var class=\"optional-license-text\"> LEDs</var> product.\n					 In such a case, You must make sure the requirements of this License are fulfilled\n					 for the Covered Code.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Inability to Comply Due to Statute or Regulation.\n		  <p>If it is impossible for You to comply with any of the terms of this License with respect to some\n			 or all of the Covered Code due to statute, judicial order, or regulation then You must: (a)\n			 comply with the terms of this License to the maximum extent possible; and (b) describe the\n			 limitations and the code they affect. Such description must be included in the LEGAL file\n			 described in Section 3.4 and must be included with all distributions of the Source Code.\n			 Except to the extent prohibited by statute or regulation, such description must be\n			 sufficiently detailed for a recipient of ordinary skill to be able to understand it.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Application of this License.\n		  <p>This License applies to code to which the Initial Developer has attached the notice in Exhibit A\n			 and to related Covered Code.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Versions of the License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n			  New Versions.\n				<br />\n\n	  Netizen Pty Ltd (&quot;Netizen &quot;) may publish revised and/or new versions of the\n					 License from time to time. Each version will be given a distinguishing version\n					 number.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n			  Effect of New Versions.\n				<br />\n\n	  Once Covered Code has been published under a particular version of the License, You may\n					 always continue to use it under the terms of that version. You may also choose to\n					 use such Covered Code under the terms of any subsequent version of the License\n					 published by Netizen. No one other than Netizen has the right to modify the terms\n					 applicable to Covered Code created under this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3.</var>\n			  Derivative Works.\n				<br />\n\n	  If You create or use a modified version of this License (which you may only do in order\n					 to apply it to code which is not already Covered Code governed by this License),\n					 You must (a) rename Your license so that the phrases &quot;Netizen&quot;,\n					 &quot;NOSL&quot; or any confusingly similar phrase do not appear in your license\n					 (except to note that your license differs from this License) and (b) otherwise\n					 make it clear that Your version of the license contains terms which differ from\n					 the Netizen Open Source License and Xen Open Source License. (Filling in the name\n					 of the Initial Developer, Original Code or Contributor in the notice described in\n					 Exhibit A shall not of themselves be deemed to be modifications of this License.)\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  DISCLAIMER OF WARRANTY.\n		  <p>COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTY OF\n			 ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE\n			 COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING.\n			 THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY\n			 COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER\n			 CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\n			 OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS\n			 AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> 7.1</var>\n				 To the extent permitted by law and except as expressly provided to the contrary in this\n					Agreement, all warranties whether express, implied, statutory or otherwise, relating in\n					any way to the subject matter of this Agreement or to this Agreement generally, are\n					excluded. Where legislation implies in this Agreement any condition or warranty and that\n					legislation avoids or prohibits provisions in a contract excluding or modifying the\n					application of or the exercise of or liability under such term, such term shall be deemed\n					to be included in this Agreement. However, the liability of Supplier for any breach of\n					such term shall be limited, at the option of Supplier, to any one or more of the\n					following: if the breach related to goods: the replacement of the goods or the supply of\n					equivalent goods; the repair of such goods; the payment of the cost of replacing the goods\n					or of acquiring equivalent goods; or the payment of the cost of having the goods repaired;\n					and if the breach relates to services the supplying of the services again; or the payment\n					of the cost of having the services supplied again.\n			   </li>\n			 \n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  TERMINATION.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1.</var>\n			  This License and the rights granted hereunder will terminate automatically if You fail to\n				 comply with terms herein and fail to cure such breach within 30 days of becoming aware of\n				 the breach. All sublicenses to the Covered Code which are properly granted shall survive\n				 any termination of this License. Provisions which, by their nature, must remain in effect\n				 beyond the termination of this License shall survive.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2.</var>\n			  If You initiate litigation by asserting a patent infringement claim (excluding declatory\n				 judgment actions) against Initial Developer or a Contributor (the Initial Developer or\n				 Contributor against whom You file such action is referred to as &quot;Participant&quot;)\n				 alleging that:\n				 \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n					 such Participant&apos;s Contributor Version directly or indirectly infringes any patent,\n						then any and all rights granted by such Participant to You under Sections 2.1 and/or\n						2.2 of this License shall, upon 60 days notice from Participant terminate\n						prospectively, unless if within 60 days after receipt of notice You either: (i) agree\n						in writing to pay Participant a mutually agreeable reasonable royalty for Your past\n						and future use of Modifications made by such Participant, or (ii) withdraw Your\n						litigation claim with respect to the Contributor Version against such Participant. If\n						within 60 days of notice, a reasonable royalty and payment arrangement are not\n						mutually agreed upon in writing by the parties or the litigation claim is not\n						withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2\n						automatically terminate at the expiration of the 60 day notice period specified\n						above.\n				   </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n					 any software, hardware, or device, other than such Participant&apos;s Contributor\n						Version, directly or indirectly infringes any patent, then any rights granted to You\n						by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the\n						date You first made, used, sold, distributed, or had made, Modifications made by that\n						Participant.\n				   </li>\n				 \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.3.</var>\n			  If You assert a patent infringement claim against Participant alleging that such\n				 Participant&apos;s Contributor Version directly or indirectly infringes any patent where\n				 such claim is resolved (such as by license or settlement) prior to the initiation of\n				 patent infringement litigation, then the reasonable value of the licenses granted by such\n				 Participant under Sections 2.1 or 2.2 shall be taken into account in determining the\n				 amount or value of any payment or license.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.4.</var>\n			  In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements\n				 (excluding distributors and resellers) which have been validly granted by You or any\n				 distributor hereunder prior to termination shall survive termination.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY.\n			<br />\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE),\n				 CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR\n				 ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO\n				 ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY\n				 CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE,\n				 COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES,\n				 EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS\n				 LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY\n				 RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS\n				 SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF\n				 INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\n				 YOU.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  U.S. GOVERNMENT END USERS.\n		  <p>The Covered Code is a &quot;commercial item,&quot; as that term is defined in 48 C.F.R. 2.101\n			 (Oct. 1995), consisting of &quot;commercial computer software&quot; and &quot;commercial\n			 computer software documentation,&quot; as such terms are used in 48 C.F.R. 12.212 (Sept.\n			 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June\n			 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth\n			 herein.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  MISCELLANEOUS.\n		  <p>This License represents the complete agreement concerning subject matter hereof. If any provision\n			 of this License is held to be unenforceable, such provision shall be reformed only to the\n			 extent necessary to make it enforceable.\n			<br />\n\n   This Agreement shall be governed by and consTrued according to the law of the State of\n				 Victoria. The parties irrevocably submit to the exclusive jurisdiction of the Courts\n				 of Victoria and Australia and any Courts hearing appeals from such Courts. This\n				 Agreement is deemed to have been made in Victoria.\n			<br />\n\n   The application of the United Nations Convention on Contracts for the International Sale of\n				 Goods is expressly excluded. Any law or regulation which provides that the language of\n				 a contract shall be consTrued against the drafter shall not apply to this License.\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  RESPONSIBILITY FOR CLAIMS.\n		  <p>As between Initial Developer and the Contributors, each party is responsible for claims and\n			 damages arising, directly or indirectly, out of its utilization of rights under this License\n			 and You agree to work with Initial Developer and Contributors to distribute such\n			 responsibility on an equitable basis. Nothing herein is intended or shall be deemed to\n			 constitute any admission of liability.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  MULTIPLE-LICENSED CODE.\n		  <p>Initial Developer may designate portions of the Covered Code as &quot;Multiple-Licensed&quot;.\n			 &quot;Multiple-Licensed&quot; means that the Initial Developer permits you to utilize portions of the\n			 Covered Code under Your choice of the NPL or the alternative licenses, if any, specified by the\n			 Initial Developer in the file described in Exhibit A.</p>\n\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A - Netizen Open Source License</p>\n\n		 <p>``The contents of this file are subject to the Netizen Open Source License Version 1.0 (the\n	   &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain\n	   a copy of the License at http://netizen.com.au/licenses/NOPL/</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF\n	   ANY KIND, either express or implied. See the License for the specific language governing rights and\n	   limitations under the License.</p>\n\n		 <p>The Original Code is ______________________________________.</p>\n\n		 <p>The Initial Developer of the Original Code is ________________________. Portions created by\n	   ______________________ are Copyright (C) ______ _______________________. All Rights Reserved.</p>\n\n		 <p>Contributor(s): ______________________________________.</p>\n\n		 <p>Alternatively, the contents of this file may be used under the terms of the _____ license (the\n	   &quot;[___] License&quot;), in which case the provisions of [______] License are applicable instead of\n	   those above. If you wish to allow use of your version of this file only under the terms of the [____]\n	   License and not to allow others to use your version of this file under the NOSL, indicate your\n	   decision by deleting the provisions above and replace them with the notice and other provisions\n	   required by the [___] License. If you do not delete the provisions above, a recipient may use your\n	   version of this file under either the NOSL or the [___] License.&quot;</p>\n\n		 <p>[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code\n	   files of the Original Code. You should use the text of this Exhibit A rather than the text found in\n	   the Original Code Source Code for Your Modifications.]</p>\n\n	 </div>\n	"
		self.python_name = "NOSL"

	def __str__(self):
		return json.dumps(self.__dict__)


class AML:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright: Copyright (c) 2006 by Apple Computer, Inc., All Rights Reserved.\n\nIMPORTANT: This Apple software is supplied to you by Apple Computer, Inc. (\"Apple\") in consideration of your agreement to the following terms, and your use, installation, modification or redistribution of this Apple software constitutes acceptance of these terms. If you do not agree with these terms, please do not use, install, modify or redistribute this Apple software.\n\nIn consideration of your agreement to abide by the following terms, and subject to these terms, Apple grants you a personal, non-exclusive license, under Apple's copyrights in this original Apple software (the \"Apple Software\"), to use, reproduce, modify and redistribute the Apple Software, with or without modifications, in source and/or binary forms; provided that if you redistribute the Apple Software in its entirety and without modifications, you must retain this notice and the following text and disclaimers in all such redistributions of the Apple Software. Neither the name, trademarks, service marks or logos of Apple Computer, Inc. may be used to endorse or promote products derived from the Apple Software without specific prior written permission from Apple. Except as expressly stated in this notice, no other rights or licenses, express or implied, are granted by Apple herein, including but not limited to any patent rights that may be infringed by your derivative works or by other works in which the Apple Software may be incorporated.\n\nThe Apple Software is provided by Apple on an \"AS IS\" basis. APPLE MAKES NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, REGARDING THE APPLE SOFTWARE OR ITS USE AND OPERATION ALONE OR IN COMBINATION WITH YOUR PRODUCTS.\n\nIN NO EVENT SHALL APPLE BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION, MODIFICATION AND/OR DISTRIBUTION OF THE APPLE SOFTWARE, HOWEVER CAUSED AND WHETHER UNDER THEORY OF CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN IF APPLE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright: Copyright (c) 2006 by Apple Computer, Inc., All Rights Reserved.  \";match=\".{0,5000}\">>\n\nIMPORTANT: This Apple software is supplied to you by Apple Computer, Inc. (\"Apple\") in consideration of your agreement to the following terms, and your use, installation, modification or redistribution of this Apple software constitutes acceptance of these terms. If you do not agree with these terms, please do not use, install, modify or redistribute this Apple software.\n\nIn consideration of your agreement to abide by the following terms, and subject to these terms, Apple grants you a personal, non-exclusive license, under Apple's copyrights in this original Apple software (the \"Apple Software\"), to use, reproduce, modify and redistribute the Apple Software, with or without modifications, in source and/or binary forms; provided that if you redistribute the Apple Software in its entirety and without modifications, you must retain this notice and the following text and disclaimers in all such redistributions of the Apple Software. Neither the name, trademarks, service marks or logos of Apple Computer, Inc. may be used to endorse or promote products derived from the Apple Software without specific prior written permission from Apple. Except as expressly stated in this notice, no other rights or licenses, express or implied, are granted by Apple herein, including but not limited to any patent rights that may be infringed by your derivative works or by other works in which the Apple Software may be incorporated.\n\nThe Apple Software is provided by Apple on an \"AS IS\" basis. APPLE MAKES NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, REGARDING THE APPLE SOFTWARE OR ITS USE AND OPERATION ALONE OR IN COMBINATION WITH YOUR PRODUCTS.\n\nIN NO EVENT SHALL APPLE BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION, MODIFICATION AND/OR DISTRIBUTION OF THE APPLE SOFTWARE, HOWEVER CAUSED AND WHETHER UNDER THEORY OF CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN IF APPLE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Apple MIT License"
		self.licenseId = "AML"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Apple_MIT_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:09Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Apple_MIT_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright: Copyright (c) 2006 by Apple Computer, Inc., All Rights Reserved.</p>\n\n	  </div>\n\n	  <p>IMPORTANT: This Apple software is supplied to you by Apple Computer, Inc. (&quot;Apple&quot;) in consideration of\n		 your agreement to the following terms, and your use, installation, modification or redistribution of\n		 this Apple software constitutes acceptance of these terms. If you do not agree with these terms,\n		 please do not use, install, modify or redistribute this Apple software.</p>\n\n	  <p>In consideration of your agreement to abide by the following terms, and subject to these terms, Apple\n		 grants you a personal, non-exclusive license, under Apple&apos;s copyrights in this original Apple software\n		 (the &quot;Apple Software&quot;), to use, reproduce, modify and redistribute the Apple Software, with or without\n		 modifications, in source and/or binary forms; provided that if you redistribute the Apple Software in\n		 its entirety and without modifications, you must retain this notice and the following text and\n		 disclaimers in all such redistributions of the Apple Software. Neither the name, trademarks, service\n		 marks or logos of Apple Computer, Inc. may be used to endorse or promote products derived from the\n		 Apple Software without specific prior written permission from Apple. Except as expressly stated in\n		 this notice, no other rights or licenses, express or implied, are granted by Apple herein, including\n		 but not limited to any patent rights that may be infringed by your derivative works or by other works\n		 in which the Apple Software may be incorporated.</p>\n\n	  <p>The Apple Software is provided by Apple on an &quot;AS IS&quot; basis. APPLE MAKES NO WARRANTIES, EXPRESS OR\n		 IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE, REGARDING THE APPLE SOFTWARE OR ITS USE AND OPERATION ALONE OR IN\n		 COMBINATION WITH YOUR PRODUCTS.</p>\n\n	  <p>IN NO EVENT SHALL APPLE BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n		 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR\n		 PROFITS; OR BUSINESS INTERRUPTION) ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION, MODIFICATION\n		 AND/OR DISTRIBUTION OF THE APPLE SOFTWARE, HOWEVER CAUSED AND WHETHER UNDER THEORY OF CONTRACT, TORT\n		 (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN IF APPLE HAS BEEN ADVISED OF THE\n		 POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "AML"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDdocsell:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright <year> <copyright holder>\n\nPermission to use, copy, modify, distribute, and sell this\ndocumentation for any purpose is hereby granted without fee,\nprovided that the above copyright notice and this permission\nnotice appear in all copies. <copyright holder>\nmakes no representations about the suitability for any purpose\nof the information in this document. This documentation\nis provided \"as is\" without express or implied warranty.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright <year> <copyright holder>  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, distribute, and sell this documentation for any purpose is hereby granted without fee, provided that the above copyright notice and this permission notice appear in all copies. <<var;name=\"copyrightHolder1\";original=\"<copyright holder>\";match=\".*\">> makes no representations about the suitability for any purpose of the information in this document. This documentation is provided \"as is\" without express or implied warranty.\n\n"
		self.name = "Historical Permission Notice and Disclaimer - documentation sell variant"
		self.licenseComments = "This is very similar to HPND-sell-variant but it is for documentation and alters the notice obligation."
		self.licenseId = "HPND-doc-sell"
		self.crossRef = [{"match": "False", "url": "https://gitlab.freedesktop.org/xorg/lib/libxtst/-/blob/master/COPYING?ref_type=heads#L108-117", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:29Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://gitlab.freedesktop.org/xorg/lib/libxext/-/blob/master/COPYING?ref_type=heads#L153-162", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:30Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://gitlab.freedesktop.org/xorg/lib/libxtst/-/blob/master/COPYING?ref_type=heads#L108-117", "https://gitlab.freedesktop.org/xorg/lib/libxext/-/blob/master/COPYING?ref_type=heads#L153-162"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n			<p>\n			   Copyright &lt;year&gt; &lt;copyright holder&gt;\n			</p>\n\n		 </div>\n		 <p>\n			Permission to use, copy, modify, distribute, and sell\n			this documentation for any purpose is hereby granted\n			without fee, provided that the above copyright notice\n			and this permission notice appear in all copies.\n			<var class=\"replaceable-license-text\"> &lt;copyright holder&gt;</var>\n			makes no representations about the suitability for any purpose\n			of the information in this document. This documentation\n			is provided &quot;as is&quot; without express or implied warranty.\n		 </p>\n\n	  "
		self.python_name = "HPNDdocsell"

	def __str__(self):
		return json.dumps(self.__dict__)


class MIT:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "MIT License\n\nCopyright (c) <year> <copyright holders>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>MIT License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) <year> <copyright holders>  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of <<var;name=\"software\";original=\"this software and associated documentation files\";match=\"this\\s+software\\s+and\\s+associated\\s+documentation\\s+files|this\\s+source\\s+file\">> (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice<<beginOptional>> (including the next paragraph)<<endOptional>> shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL <<var;name=\"copyrightHolder\";original=\"THE AUTHORS OR COPYRIGHT HOLDERS\";match=\".+\">> BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.name = "MIT License"
		self.licenseId = "MIT"
		self.crossRef = [{"match": "False", "url": "https://opensource.org/license/mit/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:10Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/license/mit/"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>MIT License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) &lt;year&gt; &lt;copyright holders&gt;\n		 </p>\n\n	  </div>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of <var class=\"replaceable-license-text\"> this software and\n		 associated documentation files</var> (the &quot;Software&quot;), to deal in the Software without restriction,\n		 including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,\n		 and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,\n		 subject to the following conditions:</p>\n\n	  <p>The above copyright notice and this permission notice\n		 <var class=\"optional-license-text\"> (including the next paragraph)</var>\n		 shall be included in all copies or substantial\n		 portions of the Software.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL <var class=\"replaceable-license-text\"> THE AUTHORS OR COPYRIGHT HOLDERS</var> BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\n		 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n		 SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	"
		self.python_name = "MIT"

	def __str__(self):
		return json.dumps(self.__dict__)


class Kazlib:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1999 Kaz Kylheku \n\nFree Software License: \nAll rights are reserved by the author, with the following exceptions: Permission is granted to freely reproduce and distribute this software, possibly in exchange for a fee, provided that this copyright notice appears intact. Permission is also granted to adapt this software to produce derivative works, as long as the modified versions carry this copyright notice and additional notices stating that the work has been modified. This source code may be translated into executable form and incorporated into proprietary software; there is no requirement for such software to contain a copyright notice related to this source.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1999 Kaz Kylheku <kaz@ashi.footprints.net>\";match=\".{0,5000}\">>\n\nFree Software License:\n\nAll rights are reserved by the author, with the following exceptions: Permission is granted to freely reproduce and distribute this software, possibly in exchange for a fee, provided that this copyright notice appears intact. Permission is also granted to adapt this software to produce derivative works, as long as the modified versions carry this copyright notice and additional notices stating that the work has been modified. This source code may be translated into executable form and incorporated into proprietary software; there is no requirement for such software to contain a copyright notice related to this source.\n\n"
		self.name = "Kazlib License"
		self.licenseId = "Kazlib"
		self.crossRef = [{"match": "False", "url": "http://git.savannah.gnu.org/cgit/kazlib.git/tree/except.c?id=0062df360c2d17d57f6af19b0e444c51feb99036", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:45Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://git.savannah.gnu.org/cgit/kazlib.git/tree/except.c?id=0062df360c2d17d57f6af19b0e444c51feb99036"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (C) 1999 Kaz Kylheku &lt;kaz@ashi.footprints.net&gt;\n		 </var>\n		 <p>\n			Free Software License:\n		 </p>\n\n		 <p>\n			All rights are reserved by the author, with the following\n			exceptions: Permission is granted to freely reproduce and distribute\n			this software, possibly in exchange for a fee, provided that\n			this copyright notice appears intact. Permission is also granted\n			to adapt this software to produce derivative works, as long as\n			the modified versions carry this copyright notice and additional\n			notices stating that the work has been modified. This source\n			code may be translated into executable form and incorporated\n			into proprietary software; there is no requirement for such\n			software to contain a copyright notice related to this source.\n		 </p>\n\n	  "
		self.python_name = "Kazlib"

	def __str__(self):
		return json.dumps(self.__dict__)


class IntelACPI:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "ACPI - Software License Agreement\nSoftware License Agreement IMPORTANT - READ BEFORE COPYING, INSTALLING OR USING.\n\nDo not use or load this software and any associated materials (collectively, the \"Software\") until you have carefully read the following terms and conditions. By loading or using the Software, you agree to the terms of this Agreement. If you do not wish to so agree, do not install or use the Software.\n\n1. COPYRIGHT NOTICE Some or all of this work - Copyright \u00a9 1999-2005, Intel Corp. All rights reserved.\n\n2. LICENSE\n\n	 2.1. This is your license from Intel Corp. under its intellectual property rights. You may have additional license terms from the party that provided you this software, covering your right to use that party's intellectual property rights.\n\n	 2.2. Intel grants, free of charge, to any person (\"Licensee\") obtaining a copy of the source code appearing in this file (\"Covered Code\") an irrevocable, perpetual, worldwide license under Intel's copyrights in the base code distributed originally by Intel (\"Original Intel Code\") to copy, make derivatives, distribute, use and display any portion of the Covered Code in any form, with the right to sublicense such rights; and\n\n	 2.3. Intel grants Licensee a non-exclusive and non-transferable patent license (with the right to sublicense), under only those claims of Intel patents that are infringed by the Original Intel Code, to make, use, sell, offer to sell, and import the Covered Code and derivative works thereof solely to the minimum extent necessary to exercise the above copyright license, and in no event shall the patent license extend to any additions to or modifications of the Original Intel Code. No other license or right is granted directly or by implication, estoppel or otherwise; The above copyright and patent license is granted only if the following conditions are met:\n\n3. CONDITIONS\n\n	 3.1. Redistribution of Source with Rights to Further Distribute Source. Redistribution of source code of any substantial portion of the Covered Code or modification with rights to further distribute source must include the above Copyright Notice, the above License, this list of Conditions, and the following Disclaimer and Export Compliance provision. In addition, Licensee must cause all Covered Code to which Licensee contributes to contain a file documenting the changes Licensee made to create that Covered Code and the date of any change. Licensee must include in that file the documentation of any changes made by any predecessor Licensee. Licensee must include a prominent statement that the modification is derived, directly or indirectly, from Original Intel Code.\n\n	 3.2. Redistribution of Source with no Rights to Further Distribute Source. Redistribution of source code of any substantial portion of the Covered Code or modification without rights to further distribute source must include the following Disclaimer and Export Compliance provision in the documentation and/or other materials provided with distribution. In addition, Licensee may not authorize further sublicense of source of any portion of the Covered Code, and must include terms to the effect that the license from Licensee to its licensee is limited to the intellectual property embodied in the software Licensee provides to its licensee, and not to intellectual property embodied in modifications its licensee may make.\n\n	 3.3. Redistribution of Executable. Redistribution in executable form of any substantial portion of the Covered Code or modification must reproduce the above Copyright Notice, and the following Disclaimer and Export Compliance provision in the documentation and/or other materials provided with the distribution.\n\n	 3.4. Intel retains all right, title, and interest in and to the Original Intel Code.\n\n	 3.5. Neither the name Intel nor any other trademark owned or controlled by Intel shall be used in advertising or otherwise to promote the sale, use or other dealings in products derived from or relating to the Covered Code without prior written authorization from Intel.\n\n4. DISCLAIMER AND EXPORT COMPLIANCE\n\n	 4.1. INTEL MAKES NO WARRANTY OF ANY KIND REGARDING ANY SOFTWARE PROVIDED HERE. ANY SOFTWARE ORIGINATING FROM INTEL OR DERIVED FROM INTEL SOFTWARE IS PROVIDED \"AS IS,\" AND INTEL WILL NOT PROVIDE ANY SUPPORT, ASSISTANCE, INSTALLATION, TRAINING OR OTHER SERVICES. INTEL WILL NOT PROVIDE ANY UPDATES, ENHANCEMENTS OR EXTENSIONS. INTEL SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, NONINFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.\n\n	 4.2. IN NO EVENT SHALL INTEL HAVE ANY LIABILITY TO LICENSEE, ITS LICENSEES OR ANY OTHER THIRD PARTY, FOR ANY LOST PROFITS, LOST DATA, LOSS OF USE OR COSTS OF PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, OR FOR ANY INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THIS AGREEMENT, UNDER ANY CAUSE OF ACTION OR THEORY OF LIABILITY, AND IRRESPECTIVE OF WHETHER INTEL HAS ADVANCE NOTICE OF THE POSSIBILITY OF SUCH DAMAGES. THESE LIMITATIONS SHALL APPLY NOTWITHSTANDING THE FAILURE OF THE ESSENTIAL PURPOSE OF ANY LIMITED REMEDY.\n\n	 4.3. Licensee shall not export, either directly or indirectly, any of this software or system incorporating such software without first obtaining any required license or other approval from the U. S. Department of Commerce or any other agency or department of the United States Government. In the event Licensee exports any such software from the United States or re-exports any such software from a foreign destination, Licensee shall ensure that the distribution and export/re-export of the software is in compliance with all laws, regulations, orders, or other restrictions of the U.S. Export Administration Regulations. Licensee agrees that neither it nor any of its subsidiaries will export/re-export any technical data, process, software, or service, directly or indirectly, to any country for which the United States government or any agency thereof requires an export license, other governmental approval, or letter of assurance, without first obtaining such license, approval or letter.\n"
		self.standardLicenseTemplate = "<<beginOptional>>ACPI - Software License Agreement\n\n<<endOptional>>\n\nSoftware License Agreement IMPORTANT - READ BEFORE COPYING, INSTALLING OR USING.\n\nDo not use or load this software and any associated materials (collectively, the \"Software\") until you have carefully read the following terms and conditions. By loading or using the Software, you agree to the terms of this Agreement. If you do not wish to so agree, do not install or use the Software.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> <<var;name=\"copyright\";original=\"COPYRIGHT NOTICE Some or all of this work - Copyright \u00a9 1999-2005, Intel Corp. All rights reserved.\";match=\".{0,5000}\">>\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> LICENSE\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> This is your license from Intel Corp. under its intellectual property rights. You may have additional license terms from the party that provided you this software, covering your right to use that party's intellectual property rights.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Intel grants, free of charge, to any person (\"Licensee\") obtaining a copy of the source code appearing in this file (\"Covered Code\") an irrevocable, perpetual, worldwide license under Intel's copyrights in the base code distributed originally by Intel (\"Original Intel Code\") to copy, make derivatives, distribute, use and display any portion of the Covered Code in any form, with the right to sublicense such rights; and\n\n	  <<var;name=\"bullet\";original=\"2.3.\";match=\".{0,20}\">> Intel grants Licensee a non-exclusive and non-transferable patent license (with the right to sublicense), under only those claims of Intel patents that are infringed by the Original Intel Code, to make, use, sell, offer to sell, and import the Covered Code and derivative works thereof solely to the minimum extent necessary to exercise the above copyright license, and in no event shall the patent license extend to any additions to or modifications of the Original Intel Code. No other license or right is granted directly or by implication, estoppel or otherwise; The above copyright and patent license is granted only if the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> CONDITIONS\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Redistribution of Source with Rights to Further Distribute Source. Redistribution of source code of any substantial portion of the Covered Code or modification with rights to further distribute source must include the above Copyright Notice, the above License, this list of Conditions, and the following Disclaimer and Export Compliance provision. In addition, Licensee must cause all Covered Code to which Licensee contributes to contain a file documenting the changes Licensee made to create that Covered Code and the date of any change. Licensee must include in that file the documentation of any changes made by any predecessor Licensee. Licensee must include a prominent statement that the modification is derived, directly or indirectly, from Original Intel Code.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Redistribution of Source with no Rights to Further Distribute Source. Redistribution of source code of any substantial portion of the Covered Code or modification without rights to further distribute source must include the following Disclaimer and Export Compliance provision in the documentation and/or other materials provided with distribution. In addition, Licensee may not authorize further sublicense of source of any portion of the Covered Code, and must include terms to the effect that the license from Licensee to its licensee is limited to the intellectual property embodied in the software Licensee provides to its licensee, and not to intellectual property embodied in modifications its licensee may make.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Redistribution of Executable. Redistribution in executable form of any substantial portion of the Covered Code or modification must reproduce the above Copyright Notice, and the following Disclaimer and Export Compliance provision in the documentation and/or other materials provided with the distribution.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intel retains all right, title, and interest in and to the Original Intel Code.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Neither the name Intel nor any other trademark owned or controlled by Intel shall be used in advertising or otherwise to promote the sale, use or other dealings in products derived from or relating to the Covered Code without prior written authorization from Intel.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> DISCLAIMER AND EXPORT COMPLIANCE\n\n	  <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> INTEL MAKES NO WARRANTY OF ANY KIND REGARDING ANY SOFTWARE PROVIDED HERE. ANY SOFTWARE ORIGINATING FROM INTEL OR DERIVED FROM INTEL SOFTWARE IS PROVIDED \"AS IS,\" AND INTEL WILL NOT PROVIDE ANY SUPPORT, ASSISTANCE, INSTALLATION, TRAINING OR OTHER SERVICES. INTEL WILL NOT PROVIDE ANY UPDATES, ENHANCEMENTS OR EXTENSIONS. INTEL SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, NONINFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.\n\n	  <<var;name=\"bullet\";original=\"4.2.\";match=\".{0,20}\">> IN NO EVENT SHALL INTEL HAVE ANY LIABILITY TO LICENSEE, ITS LICENSEES OR ANY OTHER THIRD PARTY, FOR ANY LOST PROFITS, LOST DATA, LOSS OF USE OR COSTS OF PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, OR FOR ANY INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THIS AGREEMENT, UNDER ANY CAUSE OF ACTION OR THEORY OF LIABILITY, AND IRRESPECTIVE OF WHETHER INTEL HAS ADVANCE NOTICE OF THE POSSIBILITY OF SUCH DAMAGES. THESE LIMITATIONS SHALL APPLY NOTWITHSTANDING THE FAILURE OF THE ESSENTIAL PURPOSE OF ANY LIMITED REMEDY.\n\n	  <<var;name=\"bullet\";original=\"4.3.\";match=\".{0,20}\">> Licensee shall not export, either directly or indirectly, any of this software or system incorporating such software without first obtaining any required license or other approval from the U. S. Department of Commerce or any other agency or department of the United States Government. In the event Licensee exports any such software from the United States or re-exports any such software from a foreign destination, Licensee shall ensure that the distribution and export/re-export of the software is in compliance with all laws, regulations, orders, or other restrictions of the U.S. Export Administration Regulations. Licensee agrees that neither it nor any of its subsidiaries will export/re-export any technical data, process, software, or service, directly or indirectly, to any country for which the United States government or any agency thereof requires an export license, other governmental approval, or letter of assurance, without first obtaining such license, approval or letter."
		self.name = "Intel ACPI Software License Agreement"
		self.licenseId = "Intel-ACPI"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Intel_ACPI_Software_License_Agreement", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:19Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Intel_ACPI_Software_License_Agreement"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>ACPI - Software License Agreement</p>\n\n	  </div>\n\n	  <p>Software License Agreement IMPORTANT - READ BEFORE COPYING, INSTALLING OR USING.</p>\n\n	  <p>Do not use or load this software and any associated materials (collectively, the &quot;Software&quot;)\n		 until you have carefully read the following terms and conditions. By loading or using the Software,\n		 you agree to the terms of this Agreement. If you do not wish to so agree, do not install or use the\n		 Software.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n			<var class=\"replaceable-license-text\"> COPYRIGHT NOTICE Some or all of this work - Copyright \u00a9 1999-2005, Intel Corp. All rights reserved.</var>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  LICENSE\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			  This is your license from Intel Corp. under its intellectual property rights. You may have\n				 additional license terms from the party that provided you this software, covering your\n				 right to use that party&apos;s intellectual property rights.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			  Intel grants, free of charge, to any person (&quot;Licensee&quot;) obtaining a copy of the\n				 source code appearing in this file (&quot;Covered Code&quot;) an irrevocable, perpetual,\n				 worldwide license under Intel&apos;s copyrights in the base code distributed originally by\n				 Intel (&quot;Original Intel Code&quot;) to copy, make derivatives, distribute, use and\n				 display any portion of the Covered Code in any form, with the right to sublicense such\n				 rights; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.3.</var>\n			  Intel grants Licensee a non-exclusive and non-transferable patent license (with the right to\n				 sublicense), under only those claims of Intel patents that are infringed by the Original\n				 Intel Code, to make, use, sell, offer to sell, and import the Covered Code and derivative\n				 works thereof solely to the minimum extent necessary to exercise the above copyright\n				 license, and in no event shall the patent license extend to any additions to or\n				 modifications of the Original Intel Code. No other license or right is granted directly or\n				 by implication, estoppel or otherwise; The above copyright and patent license is granted\n				 only if the following conditions are met:\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  CONDITIONS\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			  Redistribution of Source with Rights to Further Distribute Source. Redistribution of source\n				 code of any substantial portion of the Covered Code or modification with rights to further\n				 distribute source must include the above Copyright Notice, the above License, this list of\n				 Conditions, and the following Disclaimer and Export Compliance provision. In addition,\n				 Licensee must cause all Covered Code to which Licensee contributes to contain a file\n				 documenting the changes Licensee made to create that Covered Code and the date of any\n				 change. Licensee must include in that file the documentation of any changes made by any\n				 predecessor Licensee. Licensee must include a prominent statement that the modification is\n				 derived, directly or indirectly, from Original Intel Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			  Redistribution of Source with no Rights to Further Distribute Source. Redistribution of\n				 source code of any substantial portion of the Covered Code or modification without rights\n				 to further distribute source must include the following Disclaimer and Export Compliance\n				 provision in the documentation and/or other materials provided with distribution. In\n				 addition, Licensee may not authorize further sublicense of source of any portion of the\n				 Covered Code, and must include terms to the effect that the license from Licensee to its\n				 licensee is limited to the intellectual property embodied in the software Licensee\n				 provides to its licensee, and not to intellectual property embodied in modifications its\n				 licensee may make.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			  Redistribution of Executable. Redistribution in executable form of any substantial portion of\n				 the Covered Code or modification must reproduce the above Copyright Notice, and the\n				 following Disclaimer and Export Compliance provision in the documentation and/or other\n				 materials provided with the distribution.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			  Intel retains all right, title, and interest in and to the Original Intel Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			  Neither the name Intel nor any other trademark owned or controlled by Intel shall be used in\n				 advertising or otherwise to promote the sale, use or other dealings in products derived\n				 from or relating to the Covered Code without prior written authorization from Intel.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  DISCLAIMER AND EXPORT COMPLIANCE\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.1.</var>\n			  INTEL MAKES NO WARRANTY OF ANY KIND REGARDING ANY SOFTWARE PROVIDED HERE. ANY SOFTWARE\n				 ORIGINATING FROM INTEL OR DERIVED FROM INTEL SOFTWARE IS PROVIDED &quot;AS IS,&quot; AND\n				 INTEL WILL NOT PROVIDE ANY SUPPORT, ASSISTANCE, INSTALLATION, TRAINING OR OTHER SERVICES.\n				 INTEL WILL NOT PROVIDE ANY UPDATES, ENHANCEMENTS OR EXTENSIONS. INTEL SPECIFICALLY\n				 DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, NONINFRINGEMENT AND FITNESS FOR A\n				 PARTICULAR PURPOSE.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.2.</var>\n			  IN NO EVENT SHALL INTEL HAVE ANY LIABILITY TO LICENSEE, ITS LICENSEES OR ANY OTHER THIRD\n				 PARTY, FOR ANY LOST PROFITS, LOST DATA, LOSS OF USE OR COSTS OF PROCUREMENT OF SUBSTITUTE\n				 GOODS OR SERVICES, OR FOR ANY INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF\n				 THIS AGREEMENT, UNDER ANY CAUSE OF ACTION OR THEORY OF LIABILITY, AND IRRESPECTIVE OF\n				 WHETHER INTEL HAS ADVANCE NOTICE OF THE POSSIBILITY OF SUCH DAMAGES. THESE LIMITATIONS\n				 SHALL APPLY NOTWITHSTANDING THE FAILURE OF THE ESSENTIAL PURPOSE OF ANY LIMITED\n				 REMEDY.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.3.</var>\n			  Licensee shall not export, either directly or indirectly, any of this software or system\n				 incorporating such software without first obtaining any required license or other approval\n				 from the U. S. Department of Commerce or any other agency or department of the United\n				 States Government. In the event Licensee exports any such software from the United States\n				 or re-exports any such software from a foreign destination, Licensee shall ensure that the\n				 distribution and export/re-export of the software is in compliance with all laws,\n				 regulations, orders, or other restrictions of the U.S. Export Administration Regulations.\n				 Licensee agrees that neither it nor any of its subsidiaries will export/re-export any\n				 technical data, process, software, or service, directly or indirectly, to any country for\n				 which the United States government or any agency thereof requires an export license, other\n				 governmental approval, or letter of assurance, without first obtaining such license,\n				 approval or letter.\n			</li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	"
		self.python_name = "IntelACPI"

	def __str__(self):
		return json.dumps(self.__dict__)


class BlueOak100:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "# Blue Oak Model License\n\nVersion 1.0.0\n\n## Purpose\n\nThis license gives everyone as much permission to work with\nthis software as possible, while protecting contributors\nfrom liability.\n\n## Acceptance\n\nIn order to receive this license, you must agree to its\nrules.  The rules of this license are both obligations\nunder that agreement and conditions to your license.\nYou must not do anything with this software that triggers\na rule that you cannot or will not follow.\n\n## Copyright\n\nEach contributor licenses you to do everything with this\nsoftware that would otherwise infringe that contributor's\ncopyright in it.\n\n## Notices\n\nYou must ensure that everyone who gets a copy of\nany part of this software from you, with or without\nchanges, also gets the text of this license or a link to\n<https://blueoakcouncil.org/license/1.0.0>.\n\n## Excuse\n\nIf anyone notifies you in writing that you have not\ncomplied with [Notices](#notices), you can keep your\nlicense by taking all practical steps to comply within 30\ndays after the notice.  If you do not do so, your license\nends immediately.\n\n## Patent\n\nEach contributor licenses you to do everything with this\nsoftware that would otherwise infringe any patent claims\nthey can license or become able to license.\n\n## Reliability\n\nNo contributor can revoke this license.\n\n## No Liability\n\n***As far as the law allows, this software comes as is,\nwithout any warranty or condition, and no contributor\nwill be liable to anyone for any damages related to this\nsoftware or this license, under any kind of legal claim.***\n"
		self.standardLicenseTemplate = "<<beginOptional>><<beginOptional>>#<<endOptional>> Blue Oak Model License\n\n<<endOptional>>\n\nVersion 1.0.0\n\n<<beginOptional>>##<<endOptional>> Purpose\n\nThis license gives everyone as much permission to work with this software as possible, while protecting contributors from liability.\n\n<<beginOptional>>##<<endOptional>> Acceptance\n\nIn order to receive this license, you must agree to its rules. The rules of this license are both obligations under that agreement and conditions to your license. You must not do anything with this software that triggers a rule that you cannot or will not follow.\n\n<<beginOptional>>##<<endOptional>> Copyright\n\nEach contributor licenses you to do everything with this software that would otherwise infringe that contributor's copyright in it.\n\n<<beginOptional>>##<<endOptional>> Notices\n\nYou must ensure that everyone who gets a copy of any part of this software from you, with or without changes, also gets the text of this license or a link to <https://blueoakcouncil.org/license/1.0.0>.\n\n<<beginOptional>>##<<endOptional>> Excuse\n\nIf anyone notifies you in writing that you have not complied with <<var;name=\"noticesRef\";original=\"[Notices](#notices)\";match=\"\\[Notices\\]\\(\\#notices\\)|Notices\">> , you can keep your license by taking all practical steps to comply within 30 days after the notice. If you do not do so, your license ends immediately.\n\n<<beginOptional>>##<<endOptional>> Patent\n\nEach contributor licenses you to do everything with this software that would otherwise infringe any patent claims they can license or become able to license.\n\n<<beginOptional>>##<<endOptional>> Reliability\n\nNo contributor can revoke this license.\n\n<<beginOptional>>##<<endOptional>> No Liability\n\n***As far as the law allows, this software comes as is, without any warranty or condition, and no contributor will be liable to anyone for any damages related to this software or this license, under any kind of legal claim.***\n\n"
		self.name = "Blue Oak Model License 1.0.0"
		self.licenseComments = "This license was released on March 6, 2019."
		self.licenseId = "BlueOak-1.0.0"
		self.crossRef = [{"match": "False", "url": "https://blueoakcouncil.org/license/1.0.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:48Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://blueoakcouncil.org/license/1.0.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p><var class=\"optional-license-text\"> # </var>Blue Oak Model License</p>\n\n	  </div>\n	  <p>Version 1.0.0</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Purpose</p>\n\n	  <p>This license gives everyone as much permission to work with this software as possible, while protecting contributors from liability.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Acceptance</p>\n\n	  <p>In order to receive this license, you must agree to its rules. The rules of this license are both obligations under that agreement and conditions to your license. You must not do anything with this software that triggers a rule that you cannot or will not follow.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Copyright</p>\n\n	  <p>Each contributor licenses you to do everything with this software that would otherwise infringe that contributor&apos;s copyright in it.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Notices</p>\n\n	  <p>You must ensure that everyone who gets a copy of any part of this software from you, with or without changes, also gets the text of this license or a link to &lt;https://blueoakcouncil.org/license/1.0.0&gt;.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Excuse</p>\n\n	  <p>If anyone notifies you in writing that you have not complied with <var class=\"replaceable-license-text\"> [Notices](#notices)</var>, you can keep your license by taking all practical steps to comply within 30 days after the notice. If you do not do so, your license ends immediately.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Patent</p>\n\n	  <p>Each contributor licenses you to do everything with this software that would otherwise infringe any patent claims they can license or become able to license.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>Reliability</p>\n\n	  <p>No contributor can revoke this license.</p>\n\n	  <p><var class=\"optional-license-text\"> ## </var>No Liability</p>\n\n	  <p>***As far as the law allows, this software comes as is, without any warranty or condition, and no contributor will be liable to anyone for any damages related to this software or this license, under any kind of legal claim.***</p>\n\n	"
		self.python_name = "BlueOak100"

	def __str__(self):
		return json.dumps(self.__dict__)


class FSFUL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.\n\nThis configure script is free software; the Free Software Foundation gives unlimited permission to copy, distribute and modify it.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.  \";match=\".{0,5000}\">>\n\nThis <<var;name=\"file\";original=\"configure\";match=\".+\">> script is free software; the Free Software Foundation gives unlimited permission to copy, distribute and modify it.\n\n"
		self.name = "FSF Unlimited License"
		self.licenseId = "FSFUL"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/FSF_Unlimited_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:05Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/FSF_Unlimited_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.</p>\n\n	  </div>\n\n	  <p>This <var class=\"replaceable-license-text\"> configure</var> script is free software; the Free Software Foundation gives unlimited permission to copy,\n		 distribute and modify it.</p>\n\n	"
		self.python_name = "FSFUL"

	def __str__(self):
		return json.dumps(self.__dict__)


class Artistic10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "The Artistic License\n\nPreamble\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n	 \"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n	 \"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n	 \"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n	 \"You\" is you, if you're thinking about copying or distributing this Package.\n\n	 \"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n	 \"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	 a) place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as ftp.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n	 b) use the modified Package only within your corporation or organization.\n	 c) rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n	 d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	 a) distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n	 b) accompany the distribution with the machine-readable source of the Package with your modifications.\n	 c) accompany any non-standard executables with their corresponding Standard Version executables, giving the non-standard executables non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n	 d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n7. C or perl subroutines supplied by you and linked into this Package shall not be considered part of this Package.\n\n8. The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n9. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\nThe End\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Artistic License\n\n<<endOptional>>\n\nPreamble\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n\"You\" is you, if you're thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as ftp.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> use the modified Package only within your corporation or organization.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> accompany any non-standard executables with their corresponding Standard Version executables, giving the non-standard executables non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> C or perl subroutines supplied by you and linked into this Package shall not be considered part of this Package.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.<<beginOptional>> The End\n\n<<endOptional>>"
		self.name = "Artistic License 1.0"
		self.licenseComments = "This license was superseded by v2.0. This is Artistic License 1.0 as found on OSI site, excluding clause 8."
		self.licenseId = "Artistic-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Artistic-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/Artistic-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Artistic License</p>\n\n	  </div>\n\n	  <p>Preamble</p>\n\n	  <p>The intent of this document is to state the conditions under which a Package may be copied, such that the\n		 Copyright Holder maintains some semblance of artistic control over the development of the package,\n		 while giving the users of the package the right to use and distribute the Package in a more-or-less\n		 customary fashion, plus the right to make reasonable modifications.</p>\n\n	  <p>Definitions:</p>\n\n	  <p>&quot;Package&quot; refers to the collection of files distributed by the Copyright Holder, and\n		 derivatives of that collection of files created through textual modification.</p>\n\n	  <p>&quot;Standard Version&quot; refers to such a Package if it has not been modified, or has been modified\n		 in accordance with the wishes of the Copyright Holder.</p>\n\n	  <p>&quot;Copyright Holder&quot; is whoever is named in the copyright or copyrights for the package.</p>\n\n	  <p>&quot;You&quot; is you, if you&apos;re thinking about copying or distributing this Package.</p>\n\n	  <p>&quot;Reasonable copying fee&quot; is whatever you can justify on the basis of media cost, duplication\n		 charges, time of people involved, and so on. (You will not be required to justify it to the Copyright\n		 Holder, but only to the computing community at large as a market that must bear the fee.)</p>\n\n	  <p>&quot;Freely Available&quot; means that no fee is charged for the item itself, though there may be fees\n		 involved in handling the item. It also means that recipients of the item may redistribute it under the\n		 same conditions they received it.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may make and give away verbatim copies of the source form of the Standard Version of this\n			 Package without restriction, provided that you duplicate all of the original copyright notices\n			 and associated disclaimers.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may apply bug fixes, portability fixes and other modifications derived from the Public Domain\n			 or from the Copyright Holder. A Package modified in such a way shall still be considered the\n			 Standard Version.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may otherwise modify your copy of this Package in any way, provided that you insert a\n			 prominent notice in each changed file stating how and when you changed that file, and provided\n			 that you do at least ONE of the following:\n\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n				place your modifications in the Public Domain or otherwise make them Freely Available, such\n				   as by posting said modifications to Usenet or an equivalent medium, or placing the\n				   modifications on a major archive site such as ftp.uu.net, or by allowing the Copyright\n				   Holder to include your modifications in the Standard Version of the Package.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n				use the modified Package only within your corporation or organization.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n				rename any non-standard executables so the names do not conflict with standard executables,\n				   which must also be provided, and provide a separate manual page for each non-standard\n				   executable that clearly documents how it differs from the Standard Version.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n				make other distribution arrangements with the Copyright Holder.\n			  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may distribute the programs of this Package in object code or executable form, provided that\n			 you do at least ONE of the following:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n				distribute a Standard Version of the executables and library files, together with\n				   instructions (in the manual page or equivalent) on where to get the Standard Version.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n				accompany the distribution with the machine-readable source of the Package with your modifications.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n				accompany any non-standard executables with their corresponding Standard Version executables,\n				   giving the non-standard executables non-standard names, and clearly documenting the\n				   differences in manual pages (or equivalent), together with instructions on where to get\n				   the Standard Version.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n				make other distribution arrangements with the Copyright Holder.\n			  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may charge a reasonable copying fee for any distribution of this Package. You may charge any\n			 fee you choose for support of this Package. You may not charge a fee for this Package itself.\n			 However, you may distribute this Package in aggregate with other (possibly commercial)\n			 programs as part of a larger (possibly commercial) software distribution provided that you do\n			 not advertise this Package as a product of your own.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The scripts and library files supplied as input to or produced as output from the programs of\n			 this Package do not automatically fall under the copyright of this Package, but belong to\n			 whomever generated them, and may be sold commercially, and may be aggregated with this\n			 Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  C or perl subroutines supplied by you and linked into this Package shall not be considered part\n			 of this Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  The name of the Copyright Holder may not be used to endorse or promote products derived from this\n			 software without specific prior written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  THIS PACKAGE IS PROVIDED &quot;AS IS&quot; AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\n			 INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A\n			 PARTICULAR PURPOSE.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>The End</p>\n\n	  </div>\n	"
		self.python_name = "Artistic10"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP21:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The OpenLDAP Public License\nVersion 2.1, 29 February 2000\n\nCopyright 1999-2000, The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain copyright statements and notices. Redistributions must also contain a copy of this document.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. The name \"OpenLDAP\" must not be used to endorse or promote products derived from this Software without prior written permission of the OpenLDAP Foundation. For written permission, please contact foundation@openldap.org.\n\n4. Products derived from this Software may not be called \"OpenLDAP\" nor may \"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP Foundation. OpenLDAP is a trademark of the OpenLDAP Foundation.\n\n5. Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n6. The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent license revision.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 2.1, 29 February 2000\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 1999-2000, The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain copyright statements and notices. Redistributions must also contain a copy of this document.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The name \"OpenLDAP\" must not be used to endorse or promote products derived from this Software without prior written permission of the OpenLDAP Foundation. For written permission, please contact foundation@openldap.org.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Products derived from this Software may not be called \"OpenLDAP\" nor may \"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP Foundation. OpenLDAP is a trademark of the OpenLDAP Foundation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent license revision.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Open LDAP Public License v2.1"
		self.licenseComments = "This license was released 29 February 2000."
		self.licenseId = "OLDAP-2.1"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=b0d176738e96a0d3b9f85cb51e140a86f21be715", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:34Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=b0d176738e96a0d3b9f85cb51e140a86f21be715"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 2.1, 29 February 2000\n	  </p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1999-2000, The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use of this software and associated documentation (&quot;Software&quot;), with or without\n		 modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain copyright statements and notices. Redistributions must\n			 also contain a copy of this document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  The name &quot;OpenLDAP&quot; must not be used to endorse or promote products derived from this Software\n			 without prior written permission of the OpenLDAP Foundation. For written permission, please\n			 contact foundation@openldap.org.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Products derived from this Software may not be called &quot;OpenLDAP&quot; nor may &quot;OpenLDAP&quot; appear in\n			 their names without prior written permission of the OpenLDAP Foundation. OpenLDAP is a\n			 trademark of the OpenLDAP Foundation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished\n			 by a version number. You may use the Software under terms of this license revision or under\n			 the terms of any subsequent license revision.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESSED OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS\n		 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n		 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n		 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n		 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\n		 USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "OLDAP21"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL10orlater:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU GENERAL PUBLIC LICENSE\nVersion 1, February 1989\n\nCopyright (C) 1989 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe license agreements of most software companies try to keep users at the mercy of those companies. By contrast, our General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. The General Public License applies to the Free Software Foundation's software and to any other program whose authors commit to using it. You can use it for your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Specifically, the General Public License is designed to make sure that you have the freedom to give away or sell copies of free software, that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of a such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must tell them their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nGNU GENERAL PUBLIC LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any work containing the Program or a portion of it, either verbatim or with modifications. Each licensee is addressed as \"you\".\n\n1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this General Public License and to the absence of any warranty; and give any other recipients of the Program a copy of this General Public License along with the Program. You may charge a fee for the physical act of transferring a copy.\n\n2. You may modify your copy or copies of the Program or any portion of it, and copy and distribute such modifications under the terms of Paragraph 1 above, provided that you also do the following:\n\n	 a) cause the modified files to carry prominent notices stating that you changed the files and the date of any change; and\n\n	 b) cause the whole of any work that you distribute or publish, that in whole or in part contains the Program or any part thereof, either with or without modifications, to be licensed at no charge to all third parties under the terms of this General Public License (except that you may choose to grant warranty protection to some or all third parties, at your option).\n\n	 c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the simplest and most usual way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this General Public License.\n\n	 d) You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\nMere aggregation of another independent work with the Program (or its derivative) on a volume of a storage or distribution medium does not bring the other work under the scope of these terms.\n\n3. You may copy and distribute the Program (or a portion or derivative of it, under Paragraph 2) in object code or executable form under the terms of Paragraphs 1 and 2 above provided that you also do one of the following:\n\n	 a) accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	 b) accompany it with a written offer, valid for at least three years, to give any third party free (except for a nominal charge for the cost of distribution) a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	 c) accompany it with the information you received as to where the corresponding source code may be obtained. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form alone.)\n\nSource code for a work means the preferred form of the work for making modifications to it. For an executable file, complete source code means all the source code for all modules it contains; but, as a special exception, it need not include source code for modules which are standard libraries that accompany the operating system on which the executable file runs, or for standard header files or definitions files that accompany that operating system.\n\n4. You may not copy, modify, sublicense, distribute or transfer the Program except as expressly provided under this General Public License. Any attempt otherwise to copy, modify, sublicense, distribute or transfer the Program is void, and will automatically terminate your rights to use the Program under this License. However, parties who have received copies, or rights to use copies, from you under this General Public License will not have their licenses terminated so long as such parties remain in full compliance.\n\n5. By copying, distributing or modifying the Program (or any work based on the Program) you indicate your acceptance of this license to do so, and all its terms and conditions.\n\n6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein.\n\n7. The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies a version number of the license which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the license, you may choose any version ever published by the Free Software Foundation.\n\n8. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n9. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n10. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nEND OF TERMS AND CONDITIONS\n\nAppendix: How to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to humanity, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 <one line to give the program's name and a brief idea of what it does.> Copyright (C) 19yy <name of author>\n\n	 This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 1, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\n	 You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\n	 Gnomovision version 69, Copyright (C) 19xx name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here a sample; alter the names:\n\n	 Yoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (a program to direct compilers to make passes at assemblers) written by James Hacker.\n\n	 <signature of Ty Coon>, 1 April 1989 Ty Coon, President of Vice\n\nThat's all there is to it!\n"
		self.standardLicenseHeaderTemplate = "<<var;name=\"description\";original=\"<one line to give the program's name and a brief idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"19yy <name of author>\";match=\".+\">>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 1, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 1, February 1989\n\n<<endOptional>>\n\nCopyright (C) 1989 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe license agreements of most software companies try to keep users at the mercy of those companies. By contrast, our General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. The General Public License applies to the Free Software Foundation's software and to any other program whose authors commit to using it. You can use it for your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Specifically, the General Public License is designed to make sure that you have the freedom to give away or sell copies of free software, that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of a such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must tell them their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nGNU GENERAL PUBLIC LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License Agreement applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any work containing the Program or a portion of it, either verbatim or with modifications. Each licensee is addressed as \"you\".\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this General Public License and to the absence of any warranty; and give any other recipients of the Program a copy of this General Public License along with the Program. You may charge a fee for the physical act of transferring a copy.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Program or any portion of it, and copy and distribute such modifications under the terms of Paragraph 1 above, provided that you also do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> cause the modified files to carry prominent notices stating that you changed the files and the date of any change; and\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> cause the whole of any work that you distribute or publish, that in whole or in part contains the Program or any part thereof, either with or without modifications, to be licensed at no charge to all third parties under the terms of this General Public License (except that you may choose to grant warranty protection to some or all third parties, at your option).\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the simplest and most usual way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this General Public License.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   Mere aggregation of another independent work with the Program (or its derivative) on a volume of a storage or distribution medium does not bring the other work under the scope of these terms.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may copy and distribute the Program (or a portion or derivative of it, under Paragraph 2) in object code or executable form under the terms of Paragraphs 1 and 2 above provided that you also do one of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany it with a written offer, valid for at least three years, to give any third party free (except for a nominal charge for the cost of distribution) a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Paragraphs 1 and 2 above; or,\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> accompany it with the information you received as to where the corresponding source code may be obtained. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form alone.)\n\n   Source code for a work means the preferred form of the work for making modifications to it. For an executable file, complete source code means all the source code for all modules it contains; but, as a special exception, it need not include source code for modules which are standard libraries that accompany the operating system on which the executable file runs, or for standard header files or definitions files that accompany that operating system.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may not copy, modify, sublicense, distribute or transfer the Program except as expressly provided under this General Public License. Any attempt otherwise to copy, modify, sublicense, distribute or transfer the Program is void, and will automatically terminate your rights to use the Program under this License. However, parties who have received copies, or rights to use copies, from you under this General Public License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> By copying, distributing or modifying the Program (or any work based on the Program) you indicate your acceptance of this license to do so, and all its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies a version number of the license which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the license, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">>\n\n   BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nAppendix: How to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to humanity, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<var;name=\"description\";original=\"<one line to give the program's name and a brief idea of what it does.>\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"19yy <name of author>\";match=\".+\">>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 1, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\nGnomovision version 69, Copyright (C) 19xx name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (a program to direct compilers to make passes at assemblers) written by James Hacker.\n\n<signature of Ty Coon>, 1 April 1989 Ty Coon, President of Vice\n\nThat's all there is to it!\n\n<<endOptional>>"
		self.name = "GNU General Public License v1.0 or later"
		self.licenseComments = "This license was released: February 1989. This license identifier refers to the choice to use code under GPL-1.0-or-later (i.e., GPL-1.0 or some later version), as distinguished from the use of code under GPL-1.0-only. The license notice (as seen in the Standard License Header field below) states which of these applies to the code in the file. The example in the How to Apply These Terms appendix of the license shows the \"or later\" approach."
		self.licenseId = "GPL-1.0-or-later"
		self.standardLicenseHeader = "<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) 19yy <name of author>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 1, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/gpl-1.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:48Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/gpl-1.0-standalone.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU GENERAL PUBLIC LICENSE<br />\n\n		Version 1, February 1989\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 1989 Free Software Foundation, Inc. 51\n	  Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The license agreements of most software companies try to keep\n	  users at the mercy of those companies. By contrast, our General\n	  Public License is intended to guarantee your freedom to share\n	  and change free software--to make sure the software is free for\n	  all its users. The General Public License applies to the Free\n	  Software Foundation&apos;s software and to any other program whose\n	  authors commit to using it. You can use it for your programs, too.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not\n	  price. Specifically, the General Public License is designed to\n	  make sure that you have the freedom to give away or sell copies\n	  of free software, that you receive source code or can get it if\n	  you want it, that you can change the software or use pieces of it\n	  in new free programs; and that you know you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to make restrictions that forbid\n	  anyone to deny you these rights or to ask you to surrender the\n	  rights. These restrictions translate to certain responsibilities for\n	  you if you distribute copies of the software, or if you modify it.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of a such a program, whether\n	  gratis or for a fee, you must give the recipients all the rights\n	  that you have. You must make sure that they, too, receive or\n	  can get the source code. And you must tell them their rights.\n	</p>\n\n	<p>\n	  We protect your rights with two steps: (1) copyright the\n	  software, and (2) offer you this license which gives you legal\n	  permission to copy, distribute and/or modify the software.\n	</p>\n\n	<p>\n	  Also, for each author&apos;s protection and ours, we want to make\n	  certain that everyone understands that there is no warranty for\n	  this free software. If the software is modified by someone else\n	  and passed on, we want its recipients to know that what they\n	  have is not the original, so that any problems introduced by\n	  others will not reflect on the original authors&apos; reputations.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying,\n	  distribution and modification follow.\n	</p>\n\n	<p>\n	  GNU GENERAL PUBLIC LICENSE TERMS AND CONDITIONS\n	  FOR COPYING, DISTRIBUTION AND MODIFICATION\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		This License Agreement applies to any program or other work which\n		contains a notice placed by the copyright holder saying it may\n		be distributed under the terms of this General Public License.\n		The &quot;Program&quot;, below, refers to any such program or work, and\n		a &quot;work based on the Program&quot; means either the Program or any\n		work containing the Program or a portion of it, either verbatim\n		or with modifications. Each licensee is addressed as &quot;you&quot;.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		You may copy and distribute verbatim copies of the Program&apos;s\n		source code as you receive it, in any medium, provided that you\n		conspicuously and appropriately publish on each copy an appropriate\n		copyright notice and disclaimer of warranty; keep intact all the\n		notices that refer to this General Public License and to the absence\n		of any warranty; and give any other recipients of the Program a\n		copy of this General Public License along with the Program. You\n		may charge a fee for the physical act of transferring a copy.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		You may modify your copy or copies of the Program or any portion\n		of it, and copy and distribute such modifications under the terms\n		of Paragraph 1 above, provided that you also do the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			cause the modified files to carry prominent notices stating\n			that you changed the files and the date of any change; and\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			cause the whole of any work that you distribute or publish, that\n			in whole or in part contains the Program or any part thereof,\n			either with or without modifications, to be licensed at no\n			charge to all third parties under the terms of this General\n			Public License (except that you may choose to grant warranty\n			protection to some or all third parties, at your option).\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			If the modified program normally reads commands interactively\n			when run, you must cause it, when started running for such\n			interactive use in the simplest and most usual way, to\n			print or display an announcement including an appropriate\n			copyright notice and a notice that there is no warranty (or\n			else, saying that you provide a warranty) and that users may\n			redistribute the program under these conditions, and telling\n			the user how to view a copy of this General Public License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			You may charge a fee for the physical act of\n			transferring a copy, and you may at your option\n			offer warranty protection in exchange for a fee.\n		  </li>\n		\n</ul>\n		<p>\n		  Mere aggregation of another independent work with the Program (or\n		  its derivative) on a volume of a storage or distribution medium\n		  does not bring the other work under the scope of these terms.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		You may copy and distribute the Program (or a portion\n		or derivative of it, under Paragraph 2) in object code\n		or executable form under the terms of Paragraphs 1 and\n		2 above provided that you also do one of the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			accompany it with the complete corresponding\n			machine-readable source code, which must be distributed\n			under the terms of Paragraphs 1 and 2 above; or,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			accompany it with a written offer, valid for at least\n			three years, to give any third party free (except for a\n			nominal charge for the cost of distribution) a complete\n			machine-readable copy of the corresponding source code, to be\n			distributed under the terms of Paragraphs 1 and 2 above; or,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			accompany it with the information you received as to where the\n			corresponding source code may be obtained. (This alternative\n			is allowed only for noncommercial distribution and only if you\n			received the program in object code or executable form alone.)\n		  </li>\n		\n</ul>\n		<p>\n		  Source code for a work means the preferred form of the work for\n		  making modifications to it. For an executable file, complete\n		  source code means all the source code for all modules it contains;\n		  but, as a special exception, it need not include source code for\n		  modules which are standard libraries that accompany the operating\n		  system on which the executable file runs, or for standard header\n		  files or definitions files that accompany that operating system.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		You may not copy, modify, sublicense, distribute or transfer the\n		Program except as expressly provided under this General Public\n		License. Any attempt otherwise to copy, modify, sublicense,\n		distribute or transfer the Program is void, and will automatically\n		terminate your rights to use the Program under this License. However,\n		parties who have received copies, or rights to use copies, from\n		you under this General Public License will not have their licenses\n		terminated so long as such parties remain in full compliance.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		By copying, distributing or modifying the Program (or any\n		work based on the Program) you indicate your acceptance of\n		this license to do so, and all its terms and conditions.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Each time you redistribute the Program (or any work based on the\n		Program), the recipient automatically receives a license from the\n		original licensor to copy, distribute or modify the Program subject\n		to these terms and conditions. You may not impose any further\n		restrictions on the recipients&apos; exercise of the rights granted herein.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		The Free Software Foundation may publish revised and/or new\n		versions of the General Public License from time to time. Such\n		new versions will be similar in spirit to the present version,\n		but may differ in detail to address new problems or concerns.\n		<p>\n		  Each version is given a distinguishing version number. If the\n		  Program specifies a version number of the license which applies\n		  to it and &quot;any later version&quot;, you have the option of following\n		  the terms and conditions either of that version or of any later\n		  version published by the Free Software Foundation. If the Program\n		  does not specify a version number of the license, you may choose\n		  any version ever published by the Free Software Foundation.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		If you wish to incorporate parts of the Program into other free\n		programs whose distribution conditions are different, write to the\n		author to ask for permission. For software which is copyrighted by the\n		Free Software Foundation, write to the Free Software Foundation; we\n		sometimes make exceptions for this. Our decision will be guided by the\n		two goals of preserving the free status of all derivatives of our free\n		software and of promoting the sharing and reuse of software generally.\n	  </li>\n	  \n<li>\n		<p>\n		  NO WARRANTY\n		</p>\n\n		<var class=\"replaceable-license-text\"> 9.</var>\n		<p>\n		  BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\n		  FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT\n		  WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER\n		  PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND,\n		  EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\n		  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		  PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\n		  THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU\n		  ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n		REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR\n		DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL\n		DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM\n		(INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\n		INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF\n		THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		Appendix: How to Apply These Terms to Your New Programs\n	  </p>\n\n	  <p>\n		If you develop a new program, and you want it to be\n		of the greatest possible use to humanity, the best\n		way to achieve this is to make it free software which\n		everyone can redistribute and change under these terms.\n	  </p>\n\n	  <p>\n		To do so, attach the following notices to the program. It is safest\n		to attach them to the start of each source file to most effectively\n		convey the exclusion of warranty; and each file should have at least\n		the &quot;copyright&quot; line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> &lt;one line to give the program&apos;s name and a brief idea of what it does.&gt;</var><br />\n\n		Copyright (C) <var class=\"replaceable-license-text\"> 19yy &lt;name of author&gt;</var>\n	  </p>\n\n	  <p>\n		This program is free software; you can redistribute it\n		and/or modify it under the terms of the GNU General Public\n		License as published by the Free Software Foundation;\n		either version 1, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General Public License\n		along with this program; if not, write to the Free Software\n		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n	  </p>\n\n	  <p>\n		Also add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		If the program is interactive, make it output a short\n		notice like this when it starts in an interactive mode:\n	  </p>\n\n	  <p>\n		Gnomovision version 69, Copyright (C) 19xx name of author\n		Gnomovision comes with ABSOLUTELY NO WARRANTY; for details\n		type `show w&apos;. This is free software, and you are welcome to\n		redistribute it under certain conditions; type `show c&apos; for details.\n	  </p>\n\n	  <p>\n		The hypothetical commands `show w&apos; and `show c&apos; should show the\n		appropriate parts of the General Public License. Of course, the commands\n		you use may be called something other than `show w&apos; and `show c&apos;; they\n		could even be mouse-clicks or menu items--whatever suits your program.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or your school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the program, if necessary. Here a sample; alter the names:\n	  </p>\n\n	  <p>\n		Yoyodyne, Inc., hereby disclaims all copyright interest in\n		the program `Gnomovision&apos; (a program to direct compilers\n		to make passes at assemblers) written by James Hacker.\n	  </p>\n\n	  <p>\n		&lt;signature of Ty Coon&gt;, 1 April 1989 Ty Coon, President of Vice\n	  </p>\n\n	  <p>\n		That&apos;s all there is to it!\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  <p>\n		<var class=\"replaceable-license-text\"> &lt;one line to give the program&apos;s name and a brief idea of what it does.&gt;</var><br />\n\n		Copyright (C) <var class=\"replaceable-license-text\"> 19yy &lt;name of author&gt;</var>\n	  </p>\n\n	  <p>\n		This program is free software; you can redistribute it\n		and/or modify it under the terms of the GNU General Public\n		License as published by the Free Software Foundation;\n		either version 1, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General Public License\n		along with this program; if not, write to the Free Software\n		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n	  </p>\n\n	  "
		self.python_name = "GPL10orlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class APSL12:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Apple Public Source License Ver. 1.2\n\n1. General; Definitions. This License applies to any program or other work which Apple Computer, Inc. (\"Apple\") makes publicly available and which contains a notice placed by Apple identifying such program or work as \"Original Code\" and stating that it is subject to the terms of this Apple Public Source License version 1.2 (or subsequent version thereof) (\"License\"). As used in this License:\n\n	 1.1 \"Applicable Patent Rights\" mean: (a) in the case where Apple is the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to Apple and (ii) that cover subject matter contained in the Original Code, but only to the extent necessary to use, reproduce and/or distribute the Original Code without infringement; and (b) in the case where You are the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to You and (ii) that cover subject matter in Your Modifications, taken alone or in combination with Original Code.\n\n	 1.2 \"Contributor\" means any person or entity that creates or contributes to the creation of Modifications.\n\n	 1.3 \"Covered Code\" means the Original Code, Modifications, the combination of Original Code and any Modifications, and/or any respective portions thereof.\n\n	 1.4 \"Deploy\" means to use, sublicense or distribute Covered Code other than for Your internal research and development (R&D) and/or Personal Use, and includes without limitation, any and all internal use or distribution of Covered Code within Your business or organization except for R&D use and/or Personal Use, as well as direct or indirect sublicensing or distribution of Covered Code by You to any third party in any form or manner.\n\n	 1.5 \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.6 \"Modifications\" mean any addition to, deletion from, and/or change to, the substance and/or structure of the Original Code, any previous Modifications, the combination of Original Code and any previous Modifications, and/or any respective portions thereof. When code is released as a series of files, a Modification is: (a) any addition to or deletion from the contents of a file containing Covered Code; and/or (b) any new file or other representation of computer program statements that contains any part of Covered Code.\n\n	 1.7 \"Original Code\" means (a) the Source Code of a program or other work as originally made available by Apple under this License, including the Source Code of any updates or upgrades to such programs or works made available by Apple under this License, and that has been expressly identified by Apple as such in the header file(s) of such work; and (b) the object code compiled from such Source Code and originally made available by Apple under this License.\n\n	 1.8 \"Personal Use\" means use of Covered Code by an individual solely for his or her personal, private and non-commercial purposes. An individual's use of Covered Code in his or her capacity as an officer, employee, member, independent contractor or agent of a corporation, business or organization (commercial or non-commercial) does not qualify as Personal Use.\n\n	 1.9 \"Source Code\" means the human readable form of a program or other work that is suitable for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an executable (object code).\n\n	 1.10 \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n2. Permitted Uses; Conditions & Restrictions.Subject to the terms and conditions of this License, Apple hereby grants You, effective on the date You accept this License and download the Original Code, a world-wide, royalty-free, non-exclusive license, to the extent of Apple's Applicable Patent Rights and copyrights covering the Original Code, to do the following:\n\n	 2.1 You may use, reproduce, display, perform, modify and distribute Original Code, with or without Modifications, solely for Your internal research and development and/or Personal Use, provided that in each instance:\n\n		  (a) You must retain and reproduce in all copies of Original Code the copyright and other proprietary notices and disclaimers of Apple as they appear in the Original Code, and keep intact all notices in the Original Code that refer to this License; and\n\n		  (b) You must include a copy of this License with every copy of Source Code of Covered Code and documentation You distribute, and You may not offer or impose any terms on such Source Code that alter or restrict this License or the recipients' rights hereunder, except as permitted under Section 6.\n\n	 2.2 You may use, reproduce, display, perform, modify and Deploy Covered Code, provided that in each instance:\n\n		  (a) You must satisfy all the conditions of Section 2.1 with respect to the Source Code of the Covered Code;\n\n		  (b) You must duplicate, to the extent it does not already exist, the notice in Exhibit A in each file of the Source Code of all Your Modifications, and cause the modified files to carry prominent notices stating that You changed the files and the date of any change;\n\n		  (c) You must make Source Code of all Your Deployed Modifications publicly available under the terms of this License, including the license grants set forth in Section 3 below, for as long as you Deploy the Covered Code or twelve (12) months from the date of initial Deployment, whichever is longer. You should preferably distribute the Source Code of Your Deployed Modifications electronically (e.g. download from a web site); and\n\n		  (d) if You Deploy Covered Code in object code, executable form only, You must include a prominent notice, in the code itself as well as in related documentation, stating that Source Code of the Covered Code is available under the terms of this License with information on how and where to obtain such Source Code.\n\n	 2.3 You expressly acknowledge and agree that although Apple and each Contributor grants the licenses to their respective portions of the Covered Code set forth herein, no assurances are provided by Apple or any Contributor that the Covered Code does not infringe the patent or other intellectual property rights of any other entity. Apple and each Contributor disclaim any liability to You for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, You hereby assume sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow You to distribute the Covered Code, it is Your responsibility to acquire that license before distributing the Covered Code.\n\n3. Your Grants. In consideration of, and as a condition to, the licenses granted to You under this License:\n\n	 (a) You hereby grant to Apple and all third parties a non-exclusive, royalty-free license, under Your Applicable Patent Rights and other intellectual property rights (other than patent) owned or controlled by You, to use, reproduce, display, perform, modify, distribute and Deploy Your Modifications of the same scope and extent as Apple's licenses under Sections 2.1 and 2.2; and\n\n	 (b) You hereby grant to Apple and its subsidiaries a non-exclusive, worldwide, royalty-free, perpetual and irrevocable license, under Your Applicable Patent Rights and other intellectual property rights (other than patent) owned or controlled by You, to use, reproduce, display, perform, modify or have modified (for Apple and/or its subsidiaries), sublicense and distribute Your Modifications, in any form, through multiple tiers of distribution.\n\n4. Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof.\n\n5. Limitations on Patent License. Except as expressly stated in Section 2, no other patent rights, express or implied, are granted by Apple herein. Modifications and/or Larger Works may require additional patent licenses from Apple which Apple may grant in its sole discretion.\n\n6. Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations and/or other rights consistent with the scope of the license granted herein (\"Additional Terms\") to one or more recipients of Covered Code. However, You may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Apple or any Contributor. You must obtain the recipient's agreement that any such Additional Terms are offered by You alone, and You hereby agree to indemnify, defend and hold Apple and every Contributor harmless for any liability incurred by or claims asserted against Apple or such Contributor by reason of any such Additional Terms.\n\n7. Versions of the License. Apple may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Once Original Code has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of this License published by Apple. No one other than Apple has the right to modify the terms applicable to Covered Code created under this License.\n\n8. NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part pre-release, untested, or not fully tested works. The Covered Code may contain errors that could cause failures or loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and agree that use of the Covered Code, or any portion thereof, is at Your sole and entire risk. THE COVERED CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF ANY KIND AND APPLE AND APPLE'S LICENSOR(S) (COLLECTIVELY REFERRED TO AS \"APPLE\" FOR THE PURPOSES OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY, OF QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. APPLE AND EACH CONTRIBUTOR DOES NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE COVERED CODE, THAT THE FUNCTIONS CONTAINED IN THE COVERED CODE WILL MEET YOUR REQUIREMENTS, THAT THE OPERATION OF THE COVERED CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE COVERED CODE WILL BE CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY APPLE, AN APPLE AUTHORIZED REPRESENTATIVE OR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You acknowledge that the Covered Code is not intended for use in the operation of nuclear facilities, aircraft navigation, communication systems, or air traffic control machines in which case the failure of the Covered Code could lead to death, personal injury, or severe physical or environmental damage.\n\n9. LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT SHALL APPLE OR ANY CONTRIBUTOR BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE COVERED CODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF APPLE OR SUCH CONTRIBUTOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS LIMITATION MAY NOT APPLY TO YOU. In no event shall Apple's total liability to You for all damages (other than as may be required by applicable law) under this License exceed the amount of fifty dollars ($50.00).\n\n10. Trademarks. This License does not grant any rights to use the trademarks or trade names \"Apple\", \"Apple Computer\", \"Mac OS X\", \"Mac OS X Server\", \"QuickTime\", \"QuickTime Streaming Server\" or any other trademarks or trade names belonging to Apple (collectively \"Apple Marks\") or to any trademark or trade name belonging to any Contributor. No Apple Marks may be used to endorse or promote products derived from the Original Code other than as permitted by and in strict compliance at all times with Apple's third party trademark usage guidelines which are posted at http://www.apple.com/legal/guidelinesfor3rdparties.html.\n\n11. Ownership. Subject to the licenses granted under this License, each Contributor retains all rights, title and interest in and to any Modifications made by such Contributor. Apple retains all rights, title and interest in and to the Original Code and any Modifications made by or on behalf of Apple (\"Apple Modifications\"), and such Apple Modifications will not be automatically subject to this License. Apple may, at its sole discretion, choose to license such Apple Modifications under this License, or on different terms from those contained in this License or may choose not to license them at all.\n\n12. Termination.\n\n	 12.1 Termination. This License and the rights granted hereunder will terminate:\n\n		  (a) automatically without notice from Apple if You fail to comply with any term(s) of this License and fail to cure such breach within 30 days of becoming aware of such breach;\n\n		  (b) immediately in the event of the circumstances described in Section 13.5(b); or\n\n		  (c) automatically without notice from Apple if You, at any time during the term of this License, commence an action for patent infringement against Apple.\n\n	 12.2 Effect of Termination. Upon termination, You agree to immediately stop any further use, reproduction, modification, sublicensing and distribution of the Covered Code and to destroy all copies of the Covered Code that are in your possession or control. All sublicenses to the Covered Code which have been properly granted prior to termination shall survive any termination of this License. Provisions which, by their nature, should remain in effect beyond the termination of this License shall survive, including but not limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13. No party will be liable to any other for compensation, indemnity or damages of any sort solely as a result of terminating this License in accordance with its terms, and termination of this License will be without prejudice to any other right or remedy of any party.\n\n13. Miscellaneous.\n\n	 13.1 Government End Users. The Covered Code is a \"commercial item\" as defined in FAR 2.101. Government software and technical data rights in the Covered Code include only those rights customarily provided to the public as defined in this License. This customary commercial license in technical data and software is provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation). Accordingly, all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n	 13.2 Relationship of Parties. This License will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between or amongYou, Apple or any Contributor, and You will not represent to the contrary, whether expressly, by implication, appearance or otherwise.\n\n	 13.3 Independent Development. Nothing in this License will impair Apple's right to acquire, license, develop, have others develop for it, market and/or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Modifications, Larger Works, technology or products that You may develop, produce, market or distribute.\n\n	 13.4 Waiver; Construction. Failure by Apple or any Contributor to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter will not apply to this License.\n\n	 13.5 Severability. (a) If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You from fully and/or specifically complying with Sections 2 and/or 3 or prevents the enforceability of either of those Sections, this License will immediately terminate and You must immediately discontinue any use of the Covered Code and destroy all copies of it that are in your possession or control.\n\n	 13.6 Dispute Resolution. Any litigation or other dispute resolution between You and Apple relating to this License shall take place in the Northern District of California, and You and Apple hereby consent to the personal jurisdiction of, and venue in, the state and federal courts within that District with respect to this License. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n	 13.7 Entire Agreement; Governing Law. This License constitutes the entire agreement between the parties with respect to the subject matter hereof. This License shall be governed by the laws of the United States and the State of California, except that body of California law concerning conflicts of law.\n\n	 Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby confirm that they have requested that this License and all related documents be drafted in English. Les parties ont exig\u00e9 que le pr\u00e9sent contrat et tous les documents connexes soient r\u00e9dig\u00e9s en anglais.\n\nEXHIBIT A.\n\n\"Portions Copyright (c) 1999-2001 Apple Computer, Inc. All Rights Reserved.\n\nThis file contains Original Code and/or Modifications of Original Code as defined in and that are subject to the Apple Public Source License Version 1.2 (the 'License'). You may not use this file except in compliance with the License. Please obtain a copy of the License at http://www.apple.com/publicsource and read it before using this file.\n\nThe Original Code and all software distributed under the License are distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. Please see the License for the specific language governing rights and limitations under the License.\"\n"
		self.standardLicenseTemplate = "<<beginOptional>>Apple Public Source License Ver. 1.2\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> General; Definitions. This License applies to any program or other work which Apple Computer, Inc. (\"Apple\") makes publicly available and which contains a notice placed by Apple identifying such program or work as \"Original Code\" and stating that it is subject to the terms of this Apple Public Source License version 1.2 (or subsequent version thereof) (\"License\"). As used in this License:\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Applicable Patent Rights\" mean: (a) in the case where Apple is the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to Apple and (ii) that cover subject matter contained in the Original Code, but only to the extent necessary to use, reproduce and/or distribute the Original Code without infringement; and (b) in the case where You are the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to You and (ii) that cover subject matter in Your Modifications, taken alone or in combination with Original Code.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Contributor\" means any person or entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Covered Code\" means the Original Code, Modifications, the combination of Original Code and any Modifications, and/or any respective portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Deploy\" means to use, sublicense or distribute Covered Code other than for Your internal research and development (R&D) and/or Personal Use, and includes without limitation, any and all internal use or distribution of Covered Code within Your business or organization except for R&D use and/or Personal Use, as well as direct or indirect sublicensing or distribution of Covered Code by You to any third party in any form or manner.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"Modifications\" mean any addition to, deletion from, and/or change to, the substance and/or structure of the Original Code, any previous Modifications, the combination of Original Code and any previous Modifications, and/or any respective portions thereof. When code is released as a series of files, a Modification is: (a) any addition to or deletion from the contents of a file containing Covered Code; and/or (b) any new file or other representation of computer program statements that contains any part of Covered Code.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"Original Code\" means (a) the Source Code of a program or other work as originally made available by Apple under this License, including the Source Code of any updates or upgrades to such programs or works made available by Apple under this License, and that has been expressly identified by Apple as such in the header file(s) of such work; and (b) the object code compiled from such Source Code and originally made available by Apple under this License.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"Personal Use\" means use of Covered Code by an individual solely for his or her personal, private and non-commercial purposes. An individual's use of Covered Code in his or her capacity as an officer, employee, member, independent contractor or agent of a corporation, business or organization (commercial or non-commercial) does not qualify as Personal Use.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"Source Code\" means the human readable form of a program or other work that is suitable for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an executable (object code).\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Permitted Uses; Conditions & Restrictions.Subject to the terms and conditions of this License, Apple hereby grants You, effective on the date You accept this License and download the Original Code, a world-wide, royalty-free, non-exclusive license, to the extent of Apple's Applicable Patent Rights and copyrights covering the Original Code, to do the following:\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> You may use, reproduce, display, perform, modify and distribute Original Code, with or without Modifications, solely for Your internal research and development and/or Personal Use, provided that in each instance:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> You must retain and reproduce in all copies of Original Code the copyright and other proprietary notices and disclaimers of Apple as they appear in the Original Code, and keep intact all notices in the Original Code that refer to this License; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You must include a copy of this License with every copy of Source Code of Covered Code and documentation You distribute, and You may not offer or impose any terms on such Source Code that alter or restrict this License or the recipients' rights hereunder, except as permitted under Section 6.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> You may use, reproduce, display, perform, modify and Deploy Covered Code, provided that in each instance:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> You must satisfy all the conditions of Section 2.1 with respect to the Source Code of the Covered Code;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You must duplicate, to the extent it does not already exist, the notice in Exhibit A in each file of the Source Code of all Your Modifications, and cause the modified files to carry prominent notices stating that You changed the files and the date of any change;\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> You must make Source Code of all Your Deployed Modifications publicly available under the terms of this License, including the license grants set forth in Section 3 below, for as long as you Deploy the Covered Code or twelve (12) months from the date of initial Deployment, whichever is longer. You should preferably distribute the Source Code of Your Deployed Modifications electronically (e.g. download from a web site); and\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> if You Deploy Covered Code in object code, executable form only, You must include a prominent notice, in the code itself as well as in related documentation, stating that Source Code of the Covered Code is available under the terms of this License with information on how and where to obtain such Source Code.\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> You expressly acknowledge and agree that although Apple and each Contributor grants the licenses to their respective portions of the Covered Code set forth herein, no assurances are provided by Apple or any Contributor that the Covered Code does not infringe the patent or other intellectual property rights of any other entity. Apple and each Contributor disclaim any liability to You for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, You hereby assume sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow You to distribute the Covered Code, it is Your responsibility to acquire that license before distributing the Covered Code.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Your Grants. In consideration of, and as a condition to, the licenses granted to You under this License:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> You hereby grant to Apple and all third parties a non-exclusive, royalty-free license, under Your Applicable Patent Rights and other intellectual property rights (other than patent) owned or controlled by You, to use, reproduce, display, perform, modify, distribute and Deploy Your Modifications of the same scope and extent as Apple's licenses under Sections 2.1 and 2.2; and\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You hereby grant to Apple and its subsidiaries a non-exclusive, worldwide, royalty-free, perpetual and irrevocable license, under Your Applicable Patent Rights and other intellectual property rights (other than patent) owned or controlled by You, to use, reproduce, display, perform, modify or have modified (for Apple and/or its subsidiaries), sublicense and distribute Your Modifications, in any form, through multiple tiers of distribution.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Limitations on Patent License. Except as expressly stated in Section 2, no other patent rights, express or implied, are granted by Apple herein. Modifications and/or Larger Works may require additional patent licenses from Apple which Apple may grant in its sole discretion.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations and/or other rights consistent with the scope of the license granted herein (\"Additional Terms\") to one or more recipients of Covered Code. However, You may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Apple or any Contributor. You must obtain the recipient's agreement that any such Additional Terms are offered by You alone, and You hereby agree to indemnify, defend and hold Apple and every Contributor harmless for any liability incurred by or claims asserted against Apple or such Contributor by reason of any such Additional Terms.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Versions of the License. Apple may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Once Original Code has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of this License published by Apple. No one other than Apple has the right to modify the terms applicable to Covered Code created under this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part pre-release, untested, or not fully tested works. The Covered Code may contain errors that could cause failures or loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and agree that use of the Covered Code, or any portion thereof, is at Your sole and entire risk. THE COVERED CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF ANY KIND AND APPLE AND APPLE'S LICENSOR(S) (COLLECTIVELY REFERRED TO AS \"APPLE\" FOR THE PURPOSES OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY, OF QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. APPLE AND EACH CONTRIBUTOR DOES NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE COVERED CODE, THAT THE FUNCTIONS CONTAINED IN THE COVERED CODE WILL MEET YOUR REQUIREMENTS, THAT THE OPERATION OF THE COVERED CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE COVERED CODE WILL BE CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY APPLE, AN APPLE AUTHORIZED REPRESENTATIVE OR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You acknowledge that the Covered Code is not intended for use in the operation of nuclear facilities, aircraft navigation, communication systems, or air traffic control machines in which case the failure of the Covered Code could lead to death, personal injury, or severe physical or environmental damage.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT SHALL APPLE OR ANY CONTRIBUTOR BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE COVERED CODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF APPLE OR SUCH CONTRIBUTOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS LIMITATION MAY NOT APPLY TO YOU. In no event shall Apple's total liability to You for all damages (other than as may be required by applicable law) under this License exceed the amount of fifty dollars ($50.00).\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Trademarks. This License does not grant any rights to use the trademarks or trade names \"Apple\", \"Apple Computer\", \"Mac OS X\", \"Mac OS X Server\", \"QuickTime\", \"QuickTime Streaming Server\" or any other trademarks or trade names belonging to Apple (collectively \"Apple Marks\") or to any trademark or trade name belonging to any Contributor. No Apple Marks may be used to endorse or promote products derived from the Original Code other than as permitted by and in strict compliance at all times with Apple's third party trademark usage guidelines which are posted at http://www.apple.com/legal/guidelinesfor3rdparties.html.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Ownership. Subject to the licenses granted under this License, each Contributor retains all rights, title and interest in and to any Modifications made by such Contributor. Apple retains all rights, title and interest in and to the Original Code and any Modifications made by or on behalf of Apple (\"Apple Modifications\"), and such Apple Modifications will not be automatically subject to this License. Apple may, at its sole discretion, choose to license such Apple Modifications under this License, or on different terms from those contained in this License or may choose not to license them at all.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Termination.\n\n	  <<var;name=\"bullet\";original=\"12.1\";match=\".{0,20}\">> Termination. This License and the rights granted hereunder will terminate:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> automatically without notice from Apple if You fail to comply with any term(s) of this License and fail to cure such breach within 30 days of becoming aware of such breach;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> immediately in the event of the circumstances described in Section 13.5(b); or\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> automatically without notice from Apple if You, at any time during the term of this License, commence an action for patent infringement against Apple.\n\n	  <<var;name=\"bullet\";original=\"12.2\";match=\".{0,20}\">> Effect of Termination. Upon termination, You agree to immediately stop any further use, reproduction, modification, sublicensing and distribution of the Covered Code and to destroy all copies of the Covered Code that are in your possession or control. All sublicenses to the Covered Code which have been properly granted prior to termination shall survive any termination of this License. Provisions which, by their nature, should remain in effect beyond the termination of this License shall survive, including but not limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13. No party will be liable to any other for compensation, indemnity or damages of any sort solely as a result of terminating this License in accordance with its terms, and termination of this License will be without prejudice to any other right or remedy of any party.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Miscellaneous.\n\n	  <<var;name=\"bullet\";original=\"13.1\";match=\".{0,20}\">> Government End Users. The Covered Code is a \"commercial item\" as defined in FAR 2.101. Government software and technical data rights in the Covered Code include only those rights customarily provided to the public as defined in this License. This customary commercial license in technical data and software is provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation). Accordingly, all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n	  <<var;name=\"bullet\";original=\"13.2\";match=\".{0,20}\">> Relationship of Parties. This License will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between or amongYou, Apple or any Contributor, and You will not represent to the contrary, whether expressly, by implication, appearance or otherwise.\n\n	  <<var;name=\"bullet\";original=\"13.3\";match=\".{0,20}\">> Independent Development. Nothing in this License will impair Apple's right to acquire, license, develop, have others develop for it, market and/or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Modifications, Larger Works, technology or products that You may develop, produce, market or distribute.\n\n	  <<var;name=\"bullet\";original=\"13.4\";match=\".{0,20}\">> Waiver; Construction. Failure by Apple or any Contributor to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter will not apply to this License.\n\n	  <<var;name=\"bullet\";original=\"13.5\";match=\".{0,20}\">> Severability. (a) If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You from fully and/or specifically complying with Sections 2 and/or 3 or prevents the enforceability of either of those Sections, this License will immediately terminate and You must immediately discontinue any use of the Covered Code and destroy all copies of it that are in your possession or control.\n\n	  <<var;name=\"bullet\";original=\"13.6\";match=\".{0,20}\">> Dispute Resolution. Any litigation or other dispute resolution between You and Apple relating to this License shall take place in the Northern District of California, and You and Apple hereby consent to the personal jurisdiction of, and venue in, the state and federal courts within that District with respect to this License. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n	  <<var;name=\"bullet\";original=\"13.7\";match=\".{0,20}\">> Entire Agreement; Governing Law. This License constitutes the entire agreement between the parties with respect to the subject matter hereof. This License shall be governed by the laws of the United States and the State of California, except that body of California law concerning conflicts of law.\n\n	  Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby confirm that they have requested that this License and all related documents be drafted in English. Les parties ont exig\u00e9 que le pr\u00e9sent contrat et tous les documents connexes soient r\u00e9dig\u00e9s en anglais.\n\n	  <<beginOptional>>EXHIBIT A.\n\n\"Portions Copyright (c) 1999-2001 Apple Computer, Inc. All Rights Reserved.\n\nThis file contains Original Code and/or Modifications of Original Code as defined in and that are subject to the Apple Public Source License Version 1.2 (the 'License'). You may not use this file except in compliance with the License. Please obtain a copy of the License at http://www.apple.com/publicsource and read it before using this file.\n\nThe Original Code and all software distributed under the License are distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. Please see the License for the specific language governing rights and limitations under the License.\"\n\n<<endOptional>>"
		self.name = "Apple Public Source License 1.2"
		self.licenseComments = "This license was released 4 Jan 2001."
		self.licenseId = "APSL-1.2"
		self.crossRef = [{"match": "False", "url": "http://www.samurajdata.se/opensource/mirror/licenses/apsl.php", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:25Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.samurajdata.se/opensource/mirror/licenses/apsl.php"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Apple Public Source License Ver. 1.2</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  General; Definitions. This License applies to any program or other work which Apple Computer,\n			 Inc. (&quot;Apple&quot;) makes publicly available and which contains a notice placed by Apple\n			 identifying such program or work as &quot;Original Code&quot; and stating that it is subject\n			 to the terms of this Apple Public Source License version 1.2 (or subsequent version thereof)\n			 (&quot;License&quot;). As used in this License:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.1</var>\n			&quot;Applicable Patent Rights&quot; mean: (a) in the case where Apple is the grantor of\n			   rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to\n			   Apple and (ii) that cover subject matter contained in the Original Code, but only to the\n			   extent necessary to use, reproduce and/or distribute the Original Code without\n			   infringement; and (b) in the case where You are the grantor of rights, (i) claims of\n			   patents that are now or hereafter acquired, owned by or assigned to You and (ii) that\n			   cover subject matter in Your Modifications, taken alone or in combination with Original\n			   Code.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.2</var>\n			&quot;Contributor&quot; means any person or entity that creates or contributes to the\n			   creation of Modifications.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.3</var>\n			&quot;Covered Code&quot; means the Original Code, Modifications, the combination of Original\n			   Code and any Modifications, and/or any respective portions thereof.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.4</var>\n			&quot;Deploy&quot; means to use, sublicense or distribute Covered Code other than for Your\n			   internal research and development (R&amp;D) and/or Personal Use, and includes without\n			   limitation, any and all internal use or distribution of Covered Code within Your business\n			   or organization except for R&amp;D use and/or Personal Use, as well as direct or indirect\n			   sublicensing or distribution of Covered Code by You to any third party in any form or\n			   manner.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.5</var>\n			&quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with\n			   code not governed by the terms of this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.6</var>\n			&quot;Modifications&quot; mean any addition to, deletion from, and/or change to, the\n			   substance and/or structure of the Original Code, any previous Modifications, the\n			   combination of Original Code and any previous Modifications, and/or any respective\n			   portions thereof. When code is released as a series of files, a Modification is: (a) any\n			   addition to or deletion from the contents of a file containing Covered Code; and/or (b)\n			   any new file or other representation of computer program statements that contains any part\n			   of Covered Code.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.7</var>\n			&quot;Original Code&quot; means (a) the Source Code of a program or other work as originally\n			   made available by Apple under this License, including the Source Code of any updates or\n			   upgrades to such programs or works made available by Apple under this License, and that\n			   has been expressly identified by Apple as such in the header file(s) of such work; and (b)\n			   the object code compiled from such Source Code and originally made available by Apple\n			   under this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.8</var>\n			&quot;Personal Use&quot; means use of Covered Code by an individual solely for his or her\n			   personal, private and non-commercial purposes. An individual&apos;s use of Covered Code in\n			   his or her capacity as an officer, employee, member, independent contractor or agent of a\n			   corporation, business or organization (commercial or non-commercial) does not qualify as\n			   Personal Use.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.9</var>\n			&quot;Source Code&quot; means the human readable form of a program or other work that is\n			   suitable for making modifications to it, including all modules it contains, plus any\n			   associated interface definition files, scripts used to control compilation and\n			   installation of an executable (object code).\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.10</var>\n			&quot;You&quot; or &quot;Your&quot; means an individual or a legal entity exercising rights\n			   under this License. For legal entities, &quot;You&quot; or &quot;Your&quot; includes any\n			   entity which controls, is controlled by, or is under common control with, You, where\n			   &quot;control&quot; means (a) the power, direct or indirect, to cause the direction or\n			   management of such entity, whether by contract or otherwise, or (b) ownership of fifty\n			   percent (50%) or more of the outstanding shares or beneficial ownership of such\n			   entity.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Permitted Uses; Conditions &amp; Restrictions.Subject to the terms and conditions of this\n			 License, Apple hereby grants You, effective on the date You accept this License and download\n			 the Original Code, a world-wide, royalty-free, non-exclusive license, to the extent of\n			 Apple&apos;s Applicable Patent Rights and copyrights covering the Original Code, to do the\n			 following:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.1</var>\n			You may use, reproduce, display, perform, modify and distribute Original Code, with or\n			   without Modifications, solely for Your internal research and development and/or Personal\n			   Use, provided that in each instance:\n		  </li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  You must retain and reproduce in all copies of Original Code the copyright and other\n				 proprietary notices and disclaimers of Apple as they appear in the Original Code, and\n				 keep intact all notices in the Original Code that refer to this License; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  You must include a copy of this License with every copy of Source Code of Covered Code\n				 and documentation You distribute, and You may not offer or impose any terms on such\n				 Source Code that alter or restrict this License or the recipients&apos; rights\n				 hereunder, except as permitted under Section 6.\n			</li>\n			\n</ul>\n	\t	</li>\n\t	\n<li>\n			   <var class=\"replaceable-license-text\"> 2.2</var>\n			You may use, reproduce, display, perform, modify and Deploy Covered Code, provided that in\n			   each instance:\n		  </li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  You must satisfy all the conditions of Section 2.1 with respect to the Source Code of the\n				 Covered Code;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  You must duplicate, to the extent it does not already exist, the notice in Exhibit A in\n				 each file of the Source Code of all Your Modifications, and cause the modified files\n				 to carry prominent notices stating that You changed the files and the date of any\n				 change;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			  You must make Source Code of all Your Deployed Modifications publicly available under the\n				 terms of this License, including the license grants set forth in Section 3 below, for\n				 as long as you Deploy the Covered Code or twelve (12) months from the date of initial\n				 Deployment, whichever is longer. You should preferably distribute the Source Code of\n				 Your Deployed Modifications electronically (e.g. download from a web site); and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (d)</var>\n			  if You Deploy Covered Code in object code, executable form only, You must include a\n				 prominent notice, in the code itself as well as in related documentation, stating that\n				 Source Code of the Covered Code is available under the terms of this License with\n				 information on how and where to obtain such Source Code.\n			</li>\n			\n</ul>\n	\t	</li>\n\t	\n<li>\n			   <var class=\"replaceable-license-text\"> 2.3</var>\n			You expressly acknowledge and agree that although Apple and each Contributor grants the\n			   licenses to their respective portions of the Covered Code set forth herein, no assurances\n			   are provided by Apple or any Contributor that the Covered Code does not infringe the\n			   patent or other intellectual property rights of any other entity. Apple and each\n			   Contributor disclaim any liability to You for claims brought by any other entity based on\n			   infringement of intellectual property rights or otherwise. As a condition to exercising\n			   the rights and licenses granted hereunder, You hereby assume sole responsibility to secure\n			   any other intellectual property rights needed, if any. For example, if a third party\n			   patent license is required to allow You to distribute the Covered Code, it is Your\n			   responsibility to acquire that license before distributing the Covered Code.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Your Grants. In consideration of, and as a condition to, the licenses granted to You under this\n			 License:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (a)</var>\n			You hereby grant to Apple and all third parties a non-exclusive, royalty-free license, under\n			   Your Applicable Patent Rights and other intellectual property rights (other than patent)\n			   owned or controlled by You, to use, reproduce, display, perform, modify, distribute and\n			   Deploy Your Modifications of the same scope and extent as Apple&apos;s licenses under\n			   Sections 2.1 and 2.2; and\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (b)</var>\n			You hereby grant to Apple and its subsidiaries a non-exclusive, worldwide, royalty-free,\n			   perpetual and irrevocable license, under Your Applicable Patent Rights and other\n			   intellectual property rights (other than patent) owned or controlled by You, to use,\n			   reproduce, display, perform, modify or have modified (for Apple and/or its subsidiaries),\n			   sublicense and distribute Your Modifications, in any form, through multiple tiers of\n			   distribution.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Larger Works. You may create a Larger Work by combining Covered Code with other code not governed\n			 by the terms of this License and distribute the Larger Work as a single product. In each such\n			 instance, You must make sure the requirements of this License are fulfilled for the Covered\n			 Code or any portion thereof.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Limitations on Patent License. Except as expressly stated in Section 2, no other patent rights,\n			 express or implied, are granted by Apple herein. Modifications and/or Larger Works may require\n			 additional patent licenses from Apple which Apple may grant in its sole discretion.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity\n			 or liability obligations and/or other rights consistent with the scope of the license granted\n			 herein (&quot;Additional Terms&quot;) to one or more recipients of Covered Code. However, You\n			 may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Apple\n			 or any Contributor. You must obtain the recipient&apos;s agreement that any such Additional\n			 Terms are offered by You alone, and You hereby agree to indemnify, defend and hold Apple and\n			 every Contributor harmless for any liability incurred by or claims asserted against Apple or\n			 such Contributor by reason of any such Additional Terms.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Versions of the License. Apple may publish revised and/or new versions of this License from time\n			 to time. Each version will be given a distinguishing version number. Once Original Code has\n			 been published under a particular version of this License, You may continue to use it under\n			 the terms of that version. You may also choose to use such Original Code under the terms of\n			 any subsequent version of this License published by Apple. No one other than Apple has the\n			 right to modify the terms applicable to Covered Code created under this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part pre-release, untested,\n			 or not fully tested works. The Covered Code may contain errors that could cause failures or\n			 loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and\n			 agree that use of the Covered Code, or any portion thereof, is at Your sole and entire risk.\n			 THE COVERED CODE IS PROVIDED &quot;AS IS&quot; AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF\n			 ANY KIND AND APPLE AND APPLE&apos;S LICENSOR(S) (COLLECTIVELY REFERRED TO AS &quot;APPLE&quot;\n			 FOR THE PURPOSES OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY DISCLAIM ALL WARRANTIES\n			 AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\n			 AND/OR CONDITIONS OF MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR\n			 PURPOSE, OF ACCURACY, OF QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. APPLE AND\n			 EACH CONTRIBUTOR DOES NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE COVERED\n			 CODE, THAT THE FUNCTIONS CONTAINED IN THE COVERED CODE WILL MEET YOUR REQUIREMENTS, THAT THE\n			 OPERATION OF THE COVERED CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE\n			 COVERED CODE WILL BE CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY APPLE, AN\n			 APPLE AUTHORIZED REPRESENTATIVE OR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You acknowledge\n			 that the Covered Code is not intended for use in the operation of nuclear facilities, aircraft\n			 navigation, communication systems, or air traffic control machines in which case the failure\n			 of the Covered Code could lead to death, personal injury, or severe physical or environmental\n			 damage.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT SHALL APPLE OR ANY\n			 CONTRIBUTOR BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING\n			 OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE COVERED CODE, OR ANY\n			 PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE),\n			 PRODUCTS LIABILITY OR OTHERWISE, EVEN IF APPLE OR SUCH CONTRIBUTOR HAS BEEN ADVISED OF THE\n			 POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY\n			 REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY OF INCIDENTAL OR\n			 CONSEQUENTIAL DAMAGES, SO THIS LIMITATION MAY NOT APPLY TO YOU. In no event shall Apple&apos;s\n			 total liability to You for all damages (other than as may be required by applicable law) under\n			 this License exceed the amount of fifty dollars ($50.00).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Trademarks. This License does not grant any rights to use the trademarks or trade names\n			 &quot;Apple&quot;, &quot;Apple Computer&quot;, &quot;Mac OS X&quot;, &quot;Mac OS X\n			 Server&quot;, &quot;QuickTime&quot;, &quot;QuickTime Streaming Server&quot; or any other\n			 trademarks or trade names belonging to Apple (collectively &quot;Apple Marks&quot;) or to any\n			 trademark or trade name belonging to any Contributor. No Apple Marks may be used to endorse or\n			 promote products derived from the Original Code other than as permitted by and in strict\n			 compliance at all times with Apple&apos;s third party trademark usage guidelines which are\n			 posted at http://www.apple.com/legal/guidelinesfor3rdparties.html.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Ownership. Subject to the licenses granted under this License, each Contributor retains all\n			 rights, title and interest in and to any Modifications made by such Contributor. Apple retains\n			 all rights, title and interest in and to the Original Code and any Modifications made by or on\n			 behalf of Apple (&quot;Apple Modifications&quot;), and such Apple Modifications will not be\n			 automatically subject to this License. Apple may, at its sole discretion, choose to license\n			 such Apple Modifications under this License, or on different terms from those contained in\n			 this License or may choose not to license them at all.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  Termination.\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 12.1</var>\n			Termination. This License and the rights granted hereunder will terminate:\n		  </li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  automatically without notice from Apple if You fail to comply with any term(s) of this\n				 License and fail to cure such breach within 30 days of becoming aware of such\n				 breach;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  immediately in the event of the circumstances described in Section 13.5(b); or\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			  automatically without notice from Apple if You, at any time during the term of this\n				 License, commence an action for patent infringement against Apple.\n			</li>\n			\n</ul>\n	\t	</li>\n\t	\n<li>\n			   <var class=\"replaceable-license-text\"> 12.2</var>\n			Effect of Termination. Upon termination, You agree to immediately stop any further use,\n			   reproduction, modification, sublicensing and distribution of the Covered Code and to\n			   destroy all copies of the Covered Code that are in your possession or control. All\n			   sublicenses to the Covered Code which have been properly granted prior to termination\n			   shall survive any termination of this License. Provisions which, by their nature, should\n			   remain in effect beyond the termination of this License shall survive, including but not\n			   limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13. No party will be liable to any other\n			   for compensation, indemnity or damages of any sort solely as a result of terminating this\n			   License in accordance with its terms, and termination of this License will be without\n			   prejudice to any other right or remedy of any party.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  Miscellaneous.\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.1</var>\n			Government End Users. The Covered Code is a &quot;commercial item&quot; as defined in FAR\n			   2.101. Government software and technical data rights in the Covered Code include only\n			   those rights customarily provided to the public as defined in this License. This customary\n			   commercial license in technical data and software is provided in accordance with FAR\n			   12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense\n			   purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights\n			   in Commercial Computer Software or Computer Software Documentation). Accordingly, all U.S.\n			   Government End Users acquire Covered Code with only those rights set forth herein.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.2</var>\n			Relationship of Parties. This License will not be consTrued as creating an agency,\n			   partnership, joint venture or any other form of legal association between or amongYou,\n			   Apple or any Contributor, and You will not represent to the contrary, whether expressly,\n			   by implication, appearance or otherwise.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.3</var>\n			Independent Development. Nothing in this License will impair Apple&apos;s right to acquire,\n			   license, develop, have others develop for it, market and/or distribute technology or\n			   products that perform the same or similar functions as, or otherwise compete with,\n			   Modifications, Larger Works, technology or products that You may develop, produce, market\n			   or distribute.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.4</var>\n			Waiver; Construction. Failure by Apple or any Contributor to enforce any provision of this\n			   License will not be deemed a waiver of future enforcement of that or any other provision.\n			   Any law or regulation which provides that the language of a contract shall be consTrued\n			   against the drafter will not apply to this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.5</var>\n			Severability. (a) If for any reason a court of competent jurisdiction finds any provision of\n			   this License, or portion thereof, to be unenforceable, that provision of the License will\n			   be enforced to the maximum extent permissible so as to effect the economic benefits and\n			   intent of the parties, and the remainder of this License will continue in full force and\n			   effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You\n			   from fully and/or specifically complying with Sections 2 and/or 3 or prevents the\n			   enforceability of either of those Sections, this License will immediately terminate and\n			   You must immediately discontinue any use of the Covered Code and destroy all copies of it\n			   that are in your possession or control.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.6</var>\n			Dispute Resolution. Any litigation or other dispute resolution between You and Apple relating\n			   to this License shall take place in the Northern District of California, and You and Apple\n			   hereby consent to the personal jurisdiction of, and venue in, the state and federal courts\n			   within that District with respect to this License. The application of the United Nations\n			   Convention on Contracts for the International Sale of Goods is expressly excluded.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 13.7</var>\n			Entire Agreement; Governing Law. This License constitutes the entire agreement between the\n			   parties with respect to the subject matter hereof. This License shall be governed by the\n			   laws of the United States and the State of California, except that body of California law\n			   concerning conflicts of law.\n	  <p>Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby\n		 confirm that they have requested that this License and all related documents be drafted in English.\n		 Les parties ont exig\u00e9 que le pr\u00e9sent contrat et tous les documents connexes soient\n		 r\u00e9dig\u00e9s en anglais.</p>\n\n			  </li>\n		\n</ul>\n\t</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A.</p>\n\n		 <p>&quot;Portions Copyright (c) 1999-2001 Apple Computer, Inc. All Rights Reserved.</p>\n\n		 <p>This file contains Original Code and/or Modifications of Original Code as defined in and that are subject\n		 to the Apple Public Source License Version 1.2 (the &apos;License&apos;). You may not use this file\n		 except in compliance with the License. Please obtain a copy of the License at\n		 http://www.apple.com/publicsource and read it before using this file.</p>\n\n		 <p>The Original Code and all software distributed under the License are distributed on an &apos;AS IS&apos;\n		 basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH\n		 WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\n		 PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. Please see the License for the specific language\n		 governing rights and limitations under the License.&quot;</p>\n\n	  </div>\n	"
		self.python_name = "APSL12"

	def __str__(self):
		return json.dumps(self.__dict__)


class Xerox:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1995, 1996 Xerox Corporation. All Rights Reserved.\n\nUse and copying of this software and preparation of derivative works based upon this software are permitted. Any copy of this software or of any derivative work must include the above copyright notice of Xerox Corporation, this paragraph and the one after it. Any distribution of this software or derivative works must comply with all applicable United States export control laws.\n\nThis software is made available AS IS, and XEROX CORPORATION DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND NOTWITHSTANDING ANY OTHER PROVISION CONTAINED HEREIN, ANY LIABILITY FOR DAMAGES RESULTING FROM THE SOFTWARE OR ITS USE IS EXPRESSLY DISCLAIMED, WHETHER ARISING IN CONTRACT, TORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, EVEN IF XEROX CORPORATION IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1995, 1996 Xerox Corporation. All Rights Reserved.  \";match=\".{0,5000}\">>\n\nUse and copying of this software and preparation of derivative works based upon this software are permitted. Any copy of this software or of any derivative work must include the above copyright notice of Xerox Corporation, this paragraph and the one after it. Any distribution of this software or derivative works must comply with all applicable United States export control laws.\n\nThis software is made available AS IS, and XEROX CORPORATION DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND NOTWITHSTANDING ANY OTHER PROVISION CONTAINED HEREIN, ANY LIABILITY FOR DAMAGES RESULTING FROM THE SOFTWARE OR ITS USE IS EXPRESSLY DISCLAIMED, WHETHER ARISING IN CONTRACT, TORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, EVEN IF XEROX CORPORATION IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n"
		self.name = "Xerox License"
		self.licenseId = "Xerox"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Xerox", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:34Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Xerox"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1995, 1996 Xerox Corporation. All Rights Reserved.</p>\n\n	  </div>\n\n	  <p>Use and copying of this software and preparation of derivative works based upon this software are\n		 permitted. Any copy of this software or of any derivative work must include the above copyright notice\n		 of Xerox Corporation, this paragraph and the one after it. Any distribution of this software or\n		 derivative works must comply with all applicable United States export control laws.</p>\n\n	  <p>This software is made available AS IS, and XEROX CORPORATION DISCLAIMS ALL WARRANTIES, EXPRESS OR\n		 IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n		 PARTICULAR PURPOSE, AND NOTWITHSTANDING ANY OTHER PROVISION CONTAINED HEREIN, ANY LIABILITY FOR\n		 DAMAGES RESULTING FROM THE SOFTWARE OR ITS USE IS EXPRESSLY DISCLAIMED, WHETHER ARISING IN CONTRACT,\n		 TORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, EVEN IF XEROX CORPORATION IS ADVISED OF THE\n		 POSSIBILITY OF SUCH DAMAGES.</p>\n\n	"
		self.python_name = "Xerox"

	def __str__(self):
		return json.dumps(self.__dict__)


class OGLUK30:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Open Government Licence v3.0\n\nYou are encouraged to use and re-use the Information that is available under this licence freely and flexibly, with only a few conditions.\n\nUsing Information under this licence\nUse of copyright and database right material expressly made available under this licence (the 'Information') indicates your acceptance of the terms and conditions below.\n\nThe Licensor grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information subject to the conditions below.\n\nThis licence does not affect your freedom under fair dealing or fair use or any other copyright or database right exceptions and limitations.\n\nYou are free to:\ncopy, publish, distribute and transmit the Information;\nadapt the Information;\nexploit the Information commercially and non-commercially for example, by combining it with other Information, or by including it in your own product or application.\nYou must (where you do any of the above):\nacknowledge the source of the Information in your product or application by including or linking to any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence;\n If the Information Provider does not provide a specific attribution statement, you must use the following:\n\n Contains public sector information licensed under the Open Government Licence v3.0.\n\nIf you are using Information from several Information Providers and listing multiple attributions is not practical in your product or application, you may include a URI or hyperlink to a resource that contains the required attribution statements.\n\nThese are important conditions of this licence and if you fail to comply with them the rights granted to you under this licence, or any similar licence granted by the Licensor, will end automatically.\n\n Exemptions\nThis licence does not cover:\n\npersonal data in the Information;\nInformation that has not been accessed by way of publication or disclosure under information access legislation (including the Freedom of Information Acts for the UK and Scotland) by or with the consent of the Information Provider;\ndepartmental or public sector organisation logos, crests and the Royal Arms except where they form an integral part of a document or dataset;\nmilitary insignia;\nthird party rights the Information Provider is not authorised to license;\nother intellectual property rights, including patents, trade marks, and design rights; and\nidentity documents such as the British Passport\nNon-endorsement\nThis licence does not grant you any right to use the Information in a way that suggests any official status or that the Information Provider and/or Licensor endorse you or your use of the Information.\n\nNo warranty\nThe Information is licensed 'as is' and the Information Provider and/or Licensor excludes all representations, warranties, obligations and liabilities in relation to the Information to the maximum extent permitted by law.\n\nThe Information Provider and/or Licensor are not liable for any errors or omissions in the Information and shall not be liable for any loss, injury or damage of any kind caused by its use. The Information Provider does not guarantee the continued supply of the Information.\n\nGoverning Law\nThis licence is governed by the laws of the jurisdiction in which the Information Provider has its principal place of business, unless otherwise specified by the Information Provider.\n\nDefinitions\nIn this licence, the terms below have the following meanings:\n\n'Information' means information protected by copyright or by database right (for example, literary and artistic works, content, data and source code) offered for use under the terms of this licence.\n\n'Information Provider' means the person or organisation providing the Information under this licence.\n\n'Licensor' means any Information Provider which has the authority to offer Information under the terms of this licence or the Keeper of Public Records, who has the authority to offer Information subject to Crown copyright and Crown database rights and Information subject to copyright and database right that has been assigned to or acquired by the Crown, under the terms of this licence.\n\n'Use' means doing any act which is restricted by copyright or database right, whether in the original medium or in any other medium, and includes without limitation distributing, copying, adapting, modifying as may be technically necessary to use it in a different mode or format.\n\n'You', 'you' and 'your' means the natural or legal person, or body of persons corporate or incorporate, acquiring rights in the Information (whether the Information is obtained directly from the Licensor or otherwise) under this licence.\n\nAbout the Open Government Licence\nThe National Archives has developed this licence as a tool to enable Information Providers in the public sector to license the use and re-use of their Information under a common open licence. The National Archives invites public sector bodies owning their own copyright and database rights to permit the use of their Information under this licence.\n\nThe Keeper of the Public Records has authority to license Information subject to copyright and database right owned by the Crown. The extent of the offer to license this Information under the terms of this licence is set out in the UK Government Licensing Framework.\n\nThis is version 3.0 of the Open Government Licence. The National Archives may, from time to time, issue new versions of the Open Government Licence. If you are already using Information under a previous version of the Open Government Licence, the terms of that licence will continue to apply.\n\nThese terms are compatible with the Creative Commons Attribution License 4.0 and the Open Data Commons Attribution License, both of which license copyright and database rights. This means that when the Information is adapted and licensed under either of those licences, you automatically satisfy the conditions of the OGL when you comply with the other licence. The OGLv3.0 is Open Definition compliant.\n\nFurther context, best practice and guidance can be found in the UK Government Licensing Framework section on The National Archives website.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Open Government Licence v3.0<<endOptional>>\n\nYou are encouraged to use and re-use the Information that is available under this licence freely and flexibly, with only a few conditions.\n\nUsing Information under this licence\n\nUse of copyright and database right material expressly made available under this licence (the 'Information') indicates your acceptance of the terms and conditions below.\n\nThe Licensor grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information subject to the conditions below.\n\nThis licence does not affect your freedom under fair dealing or fair use or any other copyright or database right exceptions and limitations.\n\nYou are free to:\n\n   copy, publish, distribute and transmit the Information;\n\n   adapt the Information;\n\n   exploit the Information commercially and non-commercially for example, by combining it with other Information, or by including it in your own product or application.\n\nYou must (where you do any of the above):\n\n   acknowledge the source of the Information in your product or application by including or linking to any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence;\n\n   If the Information Provider does not provide a specific attribution statement, you must use the following:\n\n   Contains public sector information licensed under the Open Government Licence v3.0.\n\n   If you are using Information from several Information Providers and listing multiple attributions is not practical in your product or application, you may include a URI or hyperlink to a resource that contains the required attribution statements.\n\n   These are important conditions of this licence and if you fail to comply with them the rights granted to you under this licence, or any similar licence granted by the Licensor, will end automatically.\n\nExemptions\n\nThis licence does not cover:\n\n   personal data in the Information;\n\n   Information that has not been accessed by way of publication or disclosure under information access legislation (including the Freedom of Information Acts for the UK and Scotland) by or with the consent of the Information Provider;\n\n   departmental or public sector organisation logos, crests and the Royal Arms except where they form an integral part of a document or dataset;\n\n   military insignia;\n\n   third party rights the Information Provider is not authorised to license;\n\n   other intellectual property rights, including patents, trade marks, and design rights; and\n\n   identity documents such as the British Passport\n\nNon-endorsement\n\nThis licence does not grant you any right to use the Information in a way that suggests any official status or that the Information Provider and/or Licensor endorse you or your use of the Information.\n\nNo warranty\n\nThe Information is licensed 'as is' and the Information Provider and/or Licensor excludes all representations, warranties, obligations and liabilities in relation to the Information to the maximum extent permitted by law.\n\nThe Information Provider and/or Licensor are not liable for any errors or omissions in the Information and shall not be liable for any loss, injury or damage of any kind caused by its use. The Information Provider does not guarantee the continued supply of the Information.\n\nGoverning Law\n\nThis licence is governed by the laws of the jurisdiction in which the Information Provider has its principal place of business, unless otherwise specified by the Information Provider.\n\nDefinitions\n\nIn this licence, the terms below have the following meanings:\n\n   'Information' means information protected by copyright or by database right (for example, literary and artistic works, content, data and source code) offered for use under the terms of this licence.\n\n   'Information Provider' means the person or organisation providing the Information under this licence.\n\n   'Licensor' means any Information Provider which has the authority to offer Information under the terms of this licence or the Keeper of Public Records, who has the authority to offer Information subject to Crown copyright and Crown database rights and Information subject to copyright and database right that has been assigned to or acquired by the Crown, under the terms of this licence.\n\n   'Use' means doing any act which is restricted by copyright or database right, whether in the original medium or in any other medium, and includes without limitation distributing, copying, adapting, modifying as may be technically necessary to use it in a different mode or format.\n\n   'You', 'you' and 'your' means the natural or legal person, or body of persons corporate or incorporate, acquiring rights in the Information (whether the Information is obtained directly from the Licensor or otherwise) under this licence.\n\nAbout the Open Government Licence\n\nThe National Archives has developed this licence as a tool to enable Information Providers in the public sector to license the use and re-use of their Information under a common open licence. The National Archives invites public sector bodies owning their own copyright and database rights to permit the use of their Information under this licence.\n\nThe Keeper of the Public Records has authority to license Information subject to copyright and database right owned by the Crown. The extent of the offer to license this Information under the terms of this licence is set out in the UK Government Licensing Framework.\n\nThis is version 3.0 of the Open Government Licence. The National Archives may, from time to time, issue new versions of the Open Government Licence. If you are already using Information under a previous version of the Open Government Licence, the terms of that licence will continue to apply.\n\nThese terms are compatible with the Creative Commons Attribution License 4.0 and the Open Data Commons Attribution License, both of which license copyright and database rights. This means that when the Information is adapted and licensed under either of those licences, you automatically satisfy the conditions of the OGL when you comply with the other licence. The OGLv3.0 is Open Definition compliant.\n\nFurther context, best practice and guidance can be found in the UK Government Licensing Framework section on The National Archives website.\n\n"
		self.name = "Open Government Licence v3.0"
		self.licenseComments = "A Welsh translation of this license is available: http://www.nationalarchives.gov.uk/doc/open-government-licence-cymraeg/version/3/"
		self.licenseId = "OGL-UK-3.0"
		self.crossRef = [{"match": "False", "url": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:30Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<var class=\"optional-license-text\"> Open Government Licence v3.0</var>\n			<p>You are encouraged to use and re-use the Information that is available under this licence freely and flexibly, with only a few conditions.</p>\n\n			<p>Using Information under this licence</p>\n\n			<p>Use of copyright and database right material expressly made available under this licence (the &apos;Information&apos;) indicates your acceptance of the terms and conditions below.</p>\n\n			<p>The Licensor grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information subject to the conditions below.</p>\n\n			<p>This licence does not affect your freedom under fair dealing or fair use or any other copyright or database right exceptions and limitations.</p>\n\n			<p>You are free to:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>copy, publish, distribute and transmit the Information;</li>\n				\n<li>adapt the Information;</li>\n				\n<li>exploit the Information commercially and non-commercially for example, by combining it with other Information, or by including it in your own product or application.</li>\n			\n</ul>\n			<p>You must (where you do any of the above):</p>\n\n<ul style=\"list-style:none\">\n				\n<li>acknowledge the source of the Information in your product or application by including or linking to any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence;\n					<p> If the Information Provider does not provide a specific attribution statement, you must use the following:\n						<br />\n\n   Contains public sector information licensed under the Open Government Licence v3.0.\n					</p>\n\n					<p>If you are using Information from several Information Providers and listing multiple attributions is not practical in your product or application, you may include a URI or hyperlink to a resource that contains the required attribution statements.</p>\n\n					<p>These are important conditions of this licence and if you fail to comply with them the rights granted to you under this licence, or any similar licence granted by the Licensor, will end automatically.</p>\n\n				</li>\n			\n</ul>\n			<p>Exemptions</p>\n\n			<p>This licence does not cover:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>personal data in the Information;</li>\n				\n<li>Information that has not been accessed by way of publication or disclosure under information access legislation (including the Freedom of Information Acts for the UK and Scotland) by or with the consent of the Information Provider;</li>\n				\n<li>departmental or public sector organisation logos, crests and the Royal Arms except where they form an integral part of a document or dataset;</li>\n				\n<li>military insignia;</li>\n				\n<li>third party rights the Information Provider is not authorised to license;</li>\n				\n<li>other intellectual property rights, including patents, trade marks, and design rights; and</li>\n				\n<li>identity documents such as the British Passport</li>\n			\n</ul>\n			<p>Non-endorsement</p>\n\n			<p>This licence does not grant you any right to use the Information in a way that suggests any official status or that the Information Provider and/or Licensor endorse you or your use of the Information.</p>\n\n			<p>No warranty</p>\n\n			<p>The Information is licensed &apos;as is&apos; and the Information Provider and/or Licensor excludes all representations, warranties, obligations and liabilities in relation to the Information to the maximum extent permitted by law.</p>\n\n			<p>The Information Provider and/or Licensor are not liable for any errors or omissions in the Information and shall not be liable for any loss, injury or damage of any kind caused by its use. The Information Provider does not guarantee the continued supply of the Information.</p>\n\n			<p>Governing Law</p>\n\n			<p>This licence is governed by the laws of the jurisdiction in which the Information Provider has its principal place of business, unless otherwise specified by the Information Provider.</p>\n\n			<p>Definitions</p>\n\n			<p>In this licence, the terms below have the following meanings:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>&apos;Information&apos; means information protected by copyright or by database right (for example, literary and artistic works, content, data and source code) offered for use under the terms of this licence.</li>\n				\n<li>&apos;Information Provider&apos; means the person or organisation providing the Information under this licence.</li>\n				\n<li>&apos;Licensor&apos; means any Information Provider which has the authority to offer Information under the terms of this licence or the Keeper of Public Records, who has the authority to offer Information subject to Crown copyright and Crown database rights and Information subject to copyright and database right that has been assigned to or acquired by the Crown, under the terms of this licence.</li>\n				\n<li>&apos;Use&apos; means doing any act which is restricted by copyright or database right, whether in the original medium or in any other medium, and includes without limitation distributing, copying, adapting, modifying as may be technically necessary to use it in a different mode or format.</li>\n				\n<li>&apos;You&apos;, &apos;you&apos; and &apos;your&apos; means the natural or legal person, or body of persons corporate or incorporate, acquiring rights in the Information (whether the Information is obtained directly from the Licensor or otherwise) under this licence.</li>\n			\n</ul>\n			<p>About the Open Government Licence</p>\n\n			<p>The National Archives has developed this licence as a tool to enable Information Providers in the public sector to license the use and re-use of their Information under a common open licence. The National Archives invites public sector bodies owning their own copyright and database rights to permit the use of their Information under this licence.</p>\n\n			<p>The Keeper of the Public Records has authority to license Information subject to copyright and database right owned by the Crown. The extent of the offer to license this Information under the terms of this licence is set out in the UK Government Licensing Framework.</p>\n\n			<p>This is version 3.0 of the Open Government Licence. The National Archives may, from time to time, issue new versions of the Open Government Licence. If you are already using Information under a previous version of the Open Government Licence, the terms of that licence will continue to apply.</p>\n\n			<p>These terms are compatible with the Creative Commons Attribution License 4.0 and the Open Data Commons Attribution License, both of which license copyright and database rights. This means that when the Information is adapted and licensed under either of those licences, you automatically satisfy the conditions of the OGL when you comply with the other licence. The OGLv3.0 is Open Definition compliant.</p>\n\n			<p>Further context, best practice and guidance can be found in the UK Government Licensing Framework section on The National Archives website.</p>\n\n		"
		self.python_name = "OGLUK30"

	def __str__(self):
		return json.dumps(self.__dict__)


class LPL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Lucent Public License Version 1.0\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS PUBLIC LICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.\n\n1. DEFINITIONS\n\n\"Contribution\" means:\n\n	 a.  in the case of <ORGANIZATION> (\"<OWNER>\"), the Original Program, and\n	 b.  in the case of each Contributor,\n\n		  i.  changes to the Program, and\n		  ii.  additions to the Program; where such changes and/or additions to the Program originate from and are \"Contributed\" by that particular Contributor.\n\n		  A Contribution is \"Contributed\" by a Contributor only (i) if it was added to the Program by such Contributor itself or anyone acting on such Contributor's behalf, and (ii) the Contributor explicitly consents, in accordance with Section 3C, to characterization of the changes and/or additions as Contributions. Contributions do not include additions to the Program which: (i) are separate modules of software distributed in conjunction with the Program under their own license agreement, and (ii) are not derivative works of the Program.\n\n\"Contributor\" means <OWNER> and any other entity that has Contributed a Contribution to the Program.\n\n\"Distributor\" means a Recipient that distributes the Program, modifications to the Program, or any part thereof.\n\n\"Licensed Patents\" mean patent claims licensable by a Contributor which are necessarily infringed by the use or sale of its Contribution alone or when combined with the Program.\n\n\"Original Program\" means the original version of the software accompanying this Agreement as released by <OWNER>, including source code, object code and documentation, if any.\n\n\"Program\" means the Original Program and Contributions or any part thereof\n\n\"Recipient\" means anyone who receives the Program under this Agreement, including all Contributors.\n\n2. GRANT OF RIGHTS\n\n	 a. Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, and such derivative works, in source code and object code form.\n\n	 b. Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell, import and otherwise transfer the Contribution of such Contributor, if any, in source code and object code form. The patent license granted by a Contributor shall also apply to the combination of the Contribution of that Contributor and the Program if, at the time the Contribution is added by the Contributor, such addition of the Contribution causes such combination to be covered by the Licensed Patents. The patent license granted by a Contributor shall not apply to (i) any other combinations which include the Contribution, nor to (ii) Contributions of other Contributors. No hardware per se is licensed hereunder.\n\n	 c.  Recipient understands that although each Contributor grants the licenses to its Contributions set forth herein, no assurances are provided by any Contributor that the Program does not infringe the patent or other intellectual property rights of any other entity. Each Contributor disclaims any liability to Recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow Recipient to distribute the Program, it is Recipient's responsibility to acquire that license before distributing the Program.\n\n	 d.  Each Contributor represents that to its knowledge it has sufficient copyright rights in its Contribution, if any, to grant the copyright license set forth in this Agreement.\n\n3. REQUIREMENTS\n\n	 A. Distributor may choose to distribute the Program in any form under this Agreement or under its own license agreement, provided that:\n\n		  1.  it complies with the terms and conditions of this Agreement;\n		  2.  if the Program is distributed in source code or other tangible form, a copy of this Agreement or Distributor's own license agreement is included with each copy of the Program; and\n		  3.  if distributed under Distributor's own license agreement, such license agreement:\n\n			   a.  effectively disclaims on behalf of all Contributors all warranties and conditions, express and implied, including warranties or conditions of title and non-infringement, and implied warranties or conditions of merchantability and fitness for a particular purpose;\n			   b.  effectively excludes on behalf of all Contributors all liability for damages, including direct, indirect, special, incidental and consequential damages, such as lost profits; and\n			   c.  states that any provisions which differ from this Agreement are offered by that Contributor alone and not by any other party.\n\n	 B. Each Distributor must include the following in a conspicuous location in the Program:\n\n	 Copyright (C) <YEAR>, <ORGANIZATION> and others. All Rights Reserved.\n\n	 C. In addition, each Contributor must identify itself as the originator of its Contribution, if any, and indicate its consent to characterization of its additions and/or changes as a Contribution, in a manner that reasonably allows subsequent Recipients to identify the originator of the Contribution. Once consent is granted, it may not thereafter be revoked.\n\n4. COMMERCIAL DISTRIBUTION\n\nCommercial distributors of software may accept certain responsibilities with respect to end users, business partners and the like. While this license is intended to facilitate the commercial use of the Program, the Distributor who includes the Program in a commercial product offering should do so in a manner which does not create potential liability for Contributors. Therefore, if a Distributor includes the Program in a commercial product offering, such Distributor (\"Commercial Distributor\") hereby agrees to defend and indemnify every Contributor (\"Indemnified Contributor\") against any losses, damages and costs (collectively \"Losses\") arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Contributor to the extent caused by the acts or omissions of such Commercial Distributor in connection with its distribution of the Program in a commercial product offering. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the Commercial Distributor in writing of such claim, and b) allow the Commercial Distributor to control, and cooperate with the Commercial Distributor in, the defense and any related settlement negotiations. The Indemnified Contributor may participate in any such claim at its own expense.\n\nFor example, a Distributor might include the Program in a commercial product offering, Product X. That Distributor is then a Commercial Distributor. If that Commercial Distributor then makes performance claims, or offers warranties related to Product X, those performance claims and warranties are such Commercial Distributor's responsibility alone. Under this section, the Commercial Distributor would have to defend claims against the Contributors related to those performance claims and warranties, and if a court requires any Contributor to pay any damages as a result, the Commercial Distributor must pay those damages.\n\n5. NO WARRANTY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness of using and distributing the Program and assumes all risks associated with its exercise of rights under this Agreement, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n6. DISCLAIMER OF LIABILITY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. GENERAL\n\nIf any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Agreement, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\nIf Recipient institutes patent litigation against a Contributor with respect to a patent applicable to software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted by that Contributor to such Recipient under this Agreement shall terminate as of the date such litigation is filed. In addition, if Recipient institutes patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of the Program with other software or hardware) infringes such Recipient's patent(s), then such Recipient's rights granted under Section 2(b) shall terminate as of the date such litigation is filed.\n\nAll Recipient's rights under this Agreement shall terminate if it fails to comply with any of the material terms or conditions of this Agreement and does not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If all Recipient's rights under this Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as reasonably practicable. However, Recipient's obligations under this Agreement and any licenses granted by Recipient relating to the Program shall continue and survive.\n\n<OWNER> may publish new versions (including revisions) of this Agreement from time to time. Each new version of the Agreement will be given a distinguishing version number. The Program (including Contributions) may always be distributed subject to the version of the Agreement under which it was received. In addition, after a new version of the Agreement is published, Contributor may elect to distribute the Program (including its Contributions) under the new version. No one other than <OWNER> has the right to modify this Agreement. Except as expressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights or licenses to the intellectual property of any Contributor under this Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not expressly granted under this Agreement are reserved.\n\nThis Agreement is governed by the laws of the State of <STATE> and the intellectual property laws of the United States of America. No party to this Agreement will bring a legal action under this Agreement more than one year after the cause of action arose. Each party waives its rights to a jury trial in any resulting litigation.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Lucent Public License Version 1.0\n\n<<endOptional>>\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS PUBLIC LICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> DEFINITIONS\n\n   \"Contribution\" means:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> in the case of <<var;name=\"organization\";original=\"<ORGANIZATION>\";match=\".+\">> (\" <<var;name=\"owner\";original=\"<OWNER>\";match=\".+\">> \"), the Original Program, and\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> in the case of each Contributor,\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> changes to the Program, and\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> additions to the Program; where such changes and/or additions to the Program originate from and are \"Contributed\" by that particular Contributor.\n\n		 A Contribution is \"Contributed\" by a Contributor only (i) if it was added to the Program by such Contributor itself or anyone acting on such Contributor's behalf, and (ii) the Contributor explicitly consents, in accordance with Section 3C, to characterization of the changes and/or additions as Contributions. Contributions do not include additions to the Program which: (i) are separate modules of software distributed in conjunction with the Program under their own license agreement, and (ii) are not derivative works of the Program.\n\n		 \"Contributor\" means <<var;name=\"owner\";original=\"<OWNER>\";match=\".+\">> and any other entity that has Contributed a Contribution to the Program.\n\n		 \"Distributor\" means a Recipient that distributes the Program, modifications to the Program, or any part thereof.\n\n		 \"Licensed Patents\" mean patent claims licensable by a Contributor which are necessarily infringed by the use or sale of its Contribution alone or when combined with the Program.\n\n		 \"Original Program\" means the original version of the software accompanying this Agreement as released by <<var;name=\"owner\";original=\"<OWNER>\";match=\".+\">> , including source code, object code and documentation, if any.\n\n		 \"Program\" means the Original Program and Contributions or any part thereof\n\n		 \"Recipient\" means anyone who receives the Program under this Agreement, including all Contributors.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> GRANT OF RIGHTS\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, and such derivative works, in source code and object code form.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell, import and otherwise transfer the Contribution of such Contributor, if any, in source code and object code form. The patent license granted by a Contributor shall also apply to the combination of the Contribution of that Contributor and the Program if, at the time the Contribution is added by the Contributor, such addition of the Contribution causes such combination to be covered by the Licensed Patents. The patent license granted by a Contributor shall not apply to (i) any other combinations which include the Contribution, nor to (ii) Contributions of other Contributors. No hardware per se is licensed hereunder.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Recipient understands that although each Contributor grants the licenses to its Contributions set forth herein, no assurances are provided by any Contributor that the Program does not infringe the patent or other intellectual property rights of any other entity. Each Contributor disclaims any liability to Recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow Recipient to distribute the Program, it is Recipient's responsibility to acquire that license before distributing the Program.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Each Contributor represents that to its knowledge it has sufficient copyright rights in its Contribution, if any, to grant the copyright license set forth in this Agreement.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> REQUIREMENTS\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Distributor may choose to distribute the Program in any form under this Agreement or under its own license agreement, provided that:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> it complies with the terms and conditions of this Agreement;\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> if the Program is distributed in source code or other tangible form, a copy of this Agreement or Distributor's own license agreement is included with each copy of the Program; and\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> if distributed under Distributor's own license agreement, such license agreement:\n\n			<<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> effectively disclaims on behalf of all Contributors all warranties and conditions, express and implied, including warranties or conditions of title and non-infringement, and implied warranties or conditions of merchantability and fitness for a particular purpose;\n\n			<<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> effectively excludes on behalf of all Contributors all liability for damages, including direct, indirect, special, incidental and consequential damages, such as lost profits; and\n\n			<<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> states that any provisions which differ from this Agreement are offered by that Contributor alone and not by any other party.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Each Distributor must include the following in a conspicuous location in the Program:\n\n	  Copyright (C) <<var;name=\"copyright\";original=\"<YEAR>, <ORGANIZATION>\";match=\".+\">> and others. All Rights Reserved.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> In addition, each Contributor must identify itself as the originator of its Contribution, if any, and indicate its consent to characterization of its additions and/or changes as a Contribution, in a manner that reasonably allows subsequent Recipients to identify the originator of the Contribution. Once consent is granted, it may not thereafter be revoked.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> COMMERCIAL DISTRIBUTION\n\n   Commercial distributors of software may accept certain responsibilities with respect to end users, business partners and the like. While this license is intended to facilitate the commercial use of the Program, the Distributor who includes the Program in a commercial product offering should do so in a manner which does not create potential liability for Contributors. Therefore, if a Distributor includes the Program in a commercial product offering, such Distributor (\"Commercial Distributor\") hereby agrees to defend and indemnify every Contributor (\"Indemnified Contributor\") against any losses, damages and costs (collectively \"Losses\") arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Contributor to the extent caused by the acts or omissions of such Commercial Distributor in connection with its distribution of the Program in a commercial product offering. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the Commercial Distributor in writing of such claim, and b) allow the Commercial Distributor to control, and cooperate with the Commercial Distributor in, the defense and any related settlement negotiations. The Indemnified Contributor may participate in any such claim at its own expense.\n\n   For example, a Distributor might include the Program in a commercial product offering, Product X. That Distributor is then a Commercial Distributor. If that Commercial Distributor then makes performance claims, or offers warranties related to Product X, those performance claims and warranties are such Commercial Distributor's responsibility alone. Under this section, the Commercial Distributor would have to defend claims against the Contributors related to those performance claims and warranties, and if a court requires any Contributor to pay any damages as a result, the Commercial Distributor must pay those damages.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> NO WARRANTY\n\n   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness of using and distributing the Program and assumes all risks associated with its exercise of rights under this Agreement, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> DISCLAIMER OF LIABILITY\n\n   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> GENERAL\n\n   If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Agreement, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n   If Recipient institutes patent litigation against a Contributor with respect to a patent applicable to software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted by that Contributor to such Recipient under this Agreement shall terminate as of the date such litigation is filed. In addition, if Recipient institutes patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of the Program with other software or hardware) infringes such Recipient's patent(s), then such Recipient's rights granted under Section 2(b) shall terminate as of the date such litigation is filed.\n\n   All Recipient's rights under this Agreement shall terminate if it fails to comply with any of the material terms or conditions of this Agreement and does not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If all Recipient's rights under this Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as reasonably practicable. However, Recipient's obligations under this Agreement and any licenses granted by Recipient relating to the Program shall continue and survive.\n\n   <<var;name=\"owner\";original=\"<OWNER>\";match=\".+\">> may publish new versions (including revisions) of this Agreement from time to time. Each new version of the Agreement will be given a distinguishing version number. The Program (including Contributions) may always be distributed subject to the version of the Agreement under which it was received. In addition, after a new version of the Agreement is published, Contributor may elect to distribute the Program (including its Contributions) under the new version. No one other than <<var;name=\"owner\";original=\"<OWNER>\";match=\".+\">> has the right to modify this Agreement. Except as expressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights or licenses to the intellectual property of any Contributor under this Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not expressly granted under this Agreement are reserved.\n\n   This Agreement is governed by the laws of the State of <<var;name=\"state\";original=\"<STATE>\";match=\".+\">> and the intellectual property laws of the United States of America. No party to this Agreement will bring a legal action under this Agreement more than one year after the cause of action arose. Each party waives its rights to a jury trial in any resulting litigation.\n\n   "
		self.name = "Lucent Public License Version 1.0"
		self.licenseId = "LPL-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/LPL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/LPL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Lucent Public License Version 1.0</p>\n\n	  </div>\n\n	  <p>THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS PUBLIC LICENSE (&quot;AGREEMENT&quot;). ANY USE,\n		 REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT&apos;S ACCEPTANCE OF THIS AGREEMENT.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  DEFINITIONS\n		  <p>&quot;Contribution&quot; means:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			in the case of\n			  <var class=\"replaceable-license-text\"> &lt;ORGANIZATION&gt;</var> (&quot;\n			  <var class=\"replaceable-license-text\"> &lt;OWNER&gt;</var>&quot;), the Original Program, and\n\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			in the case of each Contributor,\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  changes to the Program, and\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  additions to the Program; where such changes and/or additions to the Program originate\n				 from and are &quot;Contributed&quot; by that particular Contributor.\n			  <p>A Contribution is &quot;Contributed&quot; by a Contributor only (i) if it was added to the Program\n				 by such Contributor itself or anyone acting on such Contributor&apos;s behalf, and (ii) the\n				 Contributor explicitly consents, in accordance with Section 3C, to characterization of\n				 the changes and/or additions as Contributions. Contributions do not include additions\n				 to the Program which: (i) are separate modules of software distributed in conjunction\n				 with the Program under their own license agreement, and (ii) are not derivative works\n				 of the Program.</p>\n\n						<p>&quot;Contributor&quot; means\n				<var class=\"replaceable-license-text\"> &lt;OWNER&gt;</var> and any other entity that has\n				Contributed a Contribution to the Program.\n			  </p>\n\n						<p>&quot;Distributor&quot; means a Recipient that distributes the Program, modifications to the\n				 Program, or any part thereof.</p>\n\n						<p>&quot;Licensed Patents&quot; mean patent claims licensable by a Contributor which are necessarily\n				 infringed by the use or sale of its Contribution alone or when combined with the\n				 Program.</p>\n\n						<p>&quot;Original Program&quot; means the original version of the software accompanying this Agreement\n				 as released by\n				<var class=\"replaceable-license-text\"> &lt;OWNER&gt;</var>, including source code, object code and\n				documentation, if any.\n			  </p>\n\n						<p>&quot;Program&quot; means the Original Program and Contributions or any part thereof</p>\n\n						<p>&quot;Recipient&quot; means anyone who receives the Program under this Agreement, including all Contributors.</p>\n\n					 </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  GRANT OF RIGHTS\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Subject to the terms of this Agreement, each Contributor hereby grants Recipient a\n			   non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare derivative\n			   works of, publicly display, publicly perform, distribute and sublicense the Contribution\n			   of such Contributor, if any, and such derivative works, in source code and object code\n			   form.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the terms of this Agreement, each Contributor hereby grants Recipient a\n			   non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use,\n			   sell, offer to sell, import and otherwise transfer the Contribution of such Contributor,\n			   if any, in source code and object code form. The patent license granted by a Contributor\n			   shall also apply to the combination of the Contribution of that Contributor and the\n			   Program if, at the time the Contribution is added by the Contributor, such addition of the\n			   Contribution causes such combination to be covered by the Licensed Patents. The patent\n			   license granted by a Contributor shall not apply to (i) any other combinations which\n			   include the Contribution, nor to (ii) Contributions of other Contributors. No hardware per\n			   se is licensed hereunder.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Recipient understands that although each Contributor grants the licenses to its Contributions\n			   set forth herein, no assurances are provided by any Contributor that the Program does not\n			   infringe the patent or other intellectual property rights of any other entity. Each\n			   Contributor disclaims any liability to Recipient for claims brought by any other entity\n			   based on infringement of intellectual property rights or otherwise. As a condition to\n			   exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole\n			   responsibility to secure any other intellectual property rights needed, if any. For\n			   example, if a third party patent license is required to allow Recipient to distribute the\n			   Program, it is Recipient&apos;s responsibility to acquire that license before distributing the\n			   Program.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			Each Contributor represents that to its knowledge it has sufficient copyright rights in its\n			   Contribution, if any, to grant the copyright license set forth in this Agreement.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  REQUIREMENTS\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> A.</var>\n			Distributor may choose to distribute the Program in any form under this Agreement or under\n			   its own license agreement, provided that:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n			  it complies with the terms and conditions of this Agreement;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n			  if the Program is distributed in source code or other tangible form, a copy of this\n				 Agreement or Distributor&apos;s own license agreement is included with each copy of the\n				 Program; and\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.</var>\n			  if distributed under Distributor&apos;s own license agreement, such license agreement:\n			\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> a.</var>\n				effectively disclaims on behalf of all Contributors all warranties and conditions,\n				   express and implied, including warranties or conditions of title and\n				   non-infringement, and implied warranties or conditions of merchantability and\n				   fitness for a particular purpose;\n			  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> b.</var>\n				effectively excludes on behalf of all Contributors all liability for damages,\n				   including direct, indirect, special, incidental and consequential damages, such as\n				   lost profits; and\n			  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> c.</var>\n				states that any provisions which differ from this Agreement are offered by that\n				   Contributor alone and not by any other party.\n			  </li>\n						\n</ul>\n					 </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> B.</var>\n			Each Distributor must include the following in a conspicuous location in the Program:\n			<p>Copyright (C)\n			  <var class=\"replaceable-license-text\"> &lt;YEAR&gt;, &lt;ORGANIZATION&gt;</var> and others. All\n			  Rights Reserved.\n			</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> C.</var>\n			In addition, each Contributor must identify itself as the originator of its Contribution, if\n			   any, and indicate its consent to characterization of its additions and/or changes as a\n			   Contribution, in a manner that reasonably allows subsequent Recipients to identify the\n			   originator of the Contribution. Once consent is granted, it may not thereafter be\n			   revoked.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  COMMERCIAL DISTRIBUTION\n		  <p>Commercial distributors of software may accept certain responsibilities with respect to end\n			 users, business partners and the like. While this license is intended to facilitate the\n			 commercial use of the Program, the Distributor who includes the Program in a commercial\n			 product offering should do so in a manner which does not create potential liability for\n			 Contributors. Therefore, if a Distributor includes the Program in a commercial product\n			 offering, such Distributor (&quot;Commercial Distributor&quot;) hereby agrees to defend and indemnify\n			 every Contributor (&quot;Indemnified Contributor&quot;) against any losses, damages and costs\n			 (collectively &quot;Losses&quot;) arising from claims, lawsuits and other legal actions brought by a\n			 third party against the Indemnified Contributor to the extent caused by the acts or omissions\n			 of such Commercial Distributor in connection with its distribution of the Program in a\n			 commercial product offering. The obligations in this section do not apply to any claims or\n			 Losses relating to any actual or alleged intellectual property infringement. In order to\n			 qualify, an Indemnified Contributor must: a) promptly notify the Commercial Distributor in\n			 writing of such claim, and b) allow the Commercial Distributor to control, and cooperate with\n			 the Commercial Distributor in, the defense and any related settlement negotiations. The\n			 Indemnified Contributor may participate in any such claim at its own expense.</p>\n\n			<p>For example, a Distributor might include the Program in a commercial product offering, Product X.\n			 That Distributor is then a Commercial Distributor. If that Commercial Distributor then makes\n			 performance claims, or offers warranties related to Product X, those performance claims and\n			 warranties are such Commercial Distributor&apos;s responsibility alone. Under this section, the\n			 Commercial Distributor would have to defend claims against the Contributors related to those\n			 performance claims and warranties, and if a court requires any Contributor to pay any damages\n			 as a result, the Commercial Distributor must pay those damages.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  NO WARRANTY\n		  <p>EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN &quot;AS IS&quot; BASIS,\n			 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT\n			 LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR\n			 FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the\n			 appropriateness of using and distributing the Program and assumes all risks associated with\n			 its exercise of rights under this Agreement, including but not limited to the risks and costs\n			 of program errors, compliance with applicable laws, damage to or loss of data, programs or\n			 equipment, and unavailability or interruption of operations.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  DISCLAIMER OF LIABILITY\n		  <p>EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL\n			 HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n			 DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF\n			 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\n			 ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS\n			 GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  GENERAL\n	  <p>If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect\n		 the validity or enforceability of the remainder of the terms of this Agreement, and without further\n		 action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make\n		 such provision valid and enforceable.</p>\n\n			<p>If Recipient institutes patent litigation against a Contributor with respect to a patent applicable to\n		 software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted by\n		 that Contributor to such Recipient under this Agreement shall terminate as of the date such litigation\n		 is filed. In addition, if Recipient institutes patent litigation against any entity (including a\n		 cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of\n		 the Program with other software or hardware) infringes such Recipient&apos;s patent(s), then such\n		 Recipient&apos;s rights granted under Section 2(b) shall terminate as of the date such litigation is\n		 filed.</p>\n\n			<p>All Recipient&apos;s rights under this Agreement shall terminate if it fails to comply with any of the\n		 material terms or conditions of this Agreement and does not cure such failure in a reasonable period\n		 of time after becoming aware of such noncompliance. If all Recipient&apos;s rights under this Agreement\n		 terminate, Recipient agrees to cease use and distribution of the Program as soon as reasonably\n		 practicable. However, Recipient&apos;s obligations under this Agreement and any licenses granted by\n		 Recipient relating to the Program shall continue and survive.</p>\n\n			<p>\n			   <var class=\"replaceable-license-text\"> &lt;OWNER&gt;</var> may publish new versions (including revisions) of this\n		Agreement from time to time. Each new version of the Agreement will be given a distinguishing version\n		number. The Program (including Contributions) may always be distributed subject to the version of the\n		Agreement under which it was received. In addition, after a new version of the Agreement is published,\n		Contributor may elect to distribute the Program (including its Contributions) under the new version. No\n		one other than\n		<var class=\"replaceable-license-text\"> &lt;OWNER&gt;</var> has the right to modify this Agreement. Except as\n		expressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights or licenses to the\n		intellectual property of any Contributor under this Agreement, whether expressly, by implication,\n		estoppel or otherwise. All rights in the Program not expressly granted under this Agreement are\n		reserved.\n	  </p>\n\n			<p>This Agreement is governed by the laws of the State of\n		<var class=\"replaceable-license-text\"> &lt;STATE&gt;</var> and the intellectual property laws of the United States\n		of America. No party to this Agreement will bring a legal action under this Agreement more than one year\n		after the cause of action arose. Each party waives its rights to a jury trial in any resulting\n		litigation.\n	  </p>\n\n		 </li>\n	  \n</ul>\n	"
		self.python_name = "LPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class JasPer20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "JasPer License Version 2.0\n\nCopyright (c) 2001-2006 Michael David Adams\nCopyright (c) 1999-2000 Image Power, Inc.\nCopyright (c) 1999-2000 The University of British Columbia\n\nAll rights reserved.\n\nPermission is hereby granted, free of charge, to any person (the \"User\") obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\n1. The above copyright notices and this permission notice (which includes the disclaimer below) shall be included in all copies or substantial portions of the Software.\n\n2. The name of a copyright holder shall not be used to endorse or promote products derived from the Software without specific prior written permission.\n\nTHIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE.  NO USE OF THE SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.  THE SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS\n\"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.  IN NO\nEVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.  NO ASSURANCES ARE PROVIDED BY THE COPYRIGHT HOLDERS THAT THE SOFTWARE DOES NOT INFRINGE THE PATENT OR OTHER INTELLECTUAL PROPERTY RIGHTS OF ANY OTHER ENTITY. EACH COPYRIGHT HOLDER DISCLAIMS ANY LIABILITY TO THE USER FOR CLAIMS BROUGHT BY ANY OTHER ENTITY BASED ON INFRINGEMENT OF INTELLECTUAL PROPERTY RIGHTS OR OTHERWISE.  AS A CONDITION TO EXERCISING THE RIGHTS GRANTED HEREUNDER, EACH USER HEREBY ASSUMES SOLE RESPONSIBILITY TO SECURE ANY OTHER INTELLECTUAL PROPERTY RIGHTS NEEDED, IF ANY.  THE SOFTWARE IS NOT FAULT-TOLERANT AND IS NOT INTENDED FOR USE IN MISSION-CRITICAL SYSTEMS, SUCH AS THOSE USED IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL SYSTEMS, DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE SOFTWARE OR SYSTEM COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE (\"HIGH RISK ACTIVITIES\").  THE COPYRIGHT HOLDERS SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.\n"
		self.standardLicenseTemplate = "<<beginOptional>>JasPer License Version 2.0\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2001-2006 Michael David Adams  Copyright (c) 1999-2000 Image Power, Inc.  Copyright (c) 1999-2000 The University of British Columbia	All rights reserved.  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person (the \"User\") obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The above copyright notices and this permission notice (which includes the disclaimer below) shall be included in all copies or substantial portions of the Software.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> The name of a copyright holder shall not be used to endorse or promote products derived from the Software without specific prior written permission.\n\nTHIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF THE SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER. THE SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE. NO ASSURANCES ARE PROVIDED BY THE COPYRIGHT HOLDERS THAT THE SOFTWARE DOES NOT INFRINGE THE PATENT OR OTHER INTELLECTUAL PROPERTY RIGHTS OF ANY OTHER ENTITY. EACH COPYRIGHT HOLDER DISCLAIMS ANY LIABILITY TO THE USER FOR CLAIMS BROUGHT BY ANY OTHER ENTITY BASED ON INFRINGEMENT OF INTELLECTUAL PROPERTY RIGHTS OR OTHERWISE. AS A CONDITION TO EXERCISING THE RIGHTS GRANTED HEREUNDER, EACH USER HEREBY ASSUMES SOLE RESPONSIBILITY TO SECURE ANY OTHER INTELLECTUAL PROPERTY RIGHTS NEEDED, IF ANY. THE SOFTWARE IS NOT FAULT-TOLERANT AND IS NOT INTENDED FOR USE IN MISSION-CRITICAL SYSTEMS, SUCH AS THOSE USED IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL SYSTEMS, DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE SOFTWARE OR SYSTEM COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE (\"HIGH RISK ACTIVITIES\"). THE COPYRIGHT HOLDERS SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.\n\n"
		self.name = "JasPer License"
		self.licenseId = "JasPer-2.0"
		self.crossRef = [{"match": "False", "url": "http://www.ece.uvic.ca/~mdadams/jasper/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:59Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.ece.uvic.ca/~mdadams/jasper/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>JasPer License Version 2.0</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2001-2006 Michael David Adams\n		<br />\n\nCopyright (c) 1999-2000 Image Power, Inc.\n		<br />\n\nCopyright (c) 1999-2000 The University of British Columbia\n	  </p>\n\n		 <p>All rights reserved.</p>\n\n	  </div>\n	  <p>Permission is hereby granted, free of charge, to any person (the &quot;User&quot;) obtaining a copy of this\n	   software and associated documentation files (the &quot;Software&quot;), to deal in the Software without\n	   restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute,\n	   and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,\n	   subject to the following conditions:</p>\n\n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		The above copyright notices and this permission notice (which includes the disclaimer below)\n		   shall be included in all copies or substantial portions of the Software.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		The name of a copyright holder shall not be used to endorse or promote products derived from the\n		   Software without specific prior written permission.\n	  </li>\n	  \n</ul>\n	  <p>THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF THE SOFTWARE IS\n	   AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER. THE SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS\n	  &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE\n	  WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD\n	  PARTY RIGHTS. IN NO\n	  EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL\n	  DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\n	  ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH\n	  THE USE OR PERFORMANCE OF THIS SOFTWARE. NO ASSURANCES ARE PROVIDED BY THE COPYRIGHT HOLDERS\n	  THAT THE SOFTWARE DOES NOT INFRINGE THE PATENT OR OTHER INTELLECTUAL PROPERTY RIGHTS OF ANY\n	  OTHER ENTITY. EACH COPYRIGHT HOLDER DISCLAIMS ANY LIABILITY TO THE USER FOR CLAIMS BROUGHT BY\n	  ANY OTHER ENTITY BASED ON INFRINGEMENT OF INTELLECTUAL PROPERTY RIGHTS OR OTHERWISE. AS A\n	  CONDITION TO EXERCISING THE RIGHTS GRANTED HEREUNDER, EACH USER HEREBY ASSUMES SOLE\n	  RESPONSIBILITY TO SECURE ANY OTHER INTELLECTUAL PROPERTY RIGHTS NEEDED, IF ANY. THE SOFTWARE\n	  IS NOT FAULT-TOLERANT AND IS NOT INTENDED FOR USE IN MISSION-CRITICAL SYSTEMS, SUCH AS THOSE\n	  USED IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATION SYSTEMS, AIR\n	  TRAFFIC CONTROL SYSTEMS, DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE\n	  FAILURE OF THE SOFTWARE OR SYSTEM COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE\n	  PHYSICAL OR ENVIRONMENTAL DAMAGE (&quot;HIGH RISK ACTIVITIES&quot;). THE COPYRIGHT HOLDERS SPECIFICALLY\n	  DISCLAIM ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.\n	  </p>\n\n	"
		self.python_name = "JasPer20"

	def __str__(self):
		return json.dumps(self.__dict__)


class diffmark:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "1. you can do what you want with it\n2. I refuse any responsibility for the consequences\n"
		self.standardLicenseTemplate = "\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> you can do what you want with it\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> I refuse any responsibility for the consequences"
		self.name = "diffmark license"
		self.licenseId = "diffmark"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/diffmark", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:56Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/diffmark"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  you can do what you want with it\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  I refuse any responsibility for the consequences\n		</li>\n	  \n</ul>\n	"
		self.python_name = "diffmark"

	def __str__(self):
		return json.dumps(self.__dict__)


class RHeCos11:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "Red Hat eCos Public License v1.1\n\n1. DEFINITIONS\n\n	 1.1. \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	 1.2. \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	 1.3. \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	 1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	 1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n	 1.6. \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	 1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.8. \"License\" means this document.\n\n	 1.9. \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		  A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		  B. Any new file that contains any part of the Original Code or previous Modifications.\n\n	 1.10. \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	 1.11. \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or a list of source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	 1.12. \"You\" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n	 1.13. \"Red Hat Branded Code\" is code that Red Hat distributes and/or permits others to distribute under different terms than the Red Hat eCos Public License. Red Hat's Branded Code may contain part or all of the Covered Code.\n\n2. SOURCE CODE LICENSE\n\n	 2.1. The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		  (a) to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and\n\n		  (b) under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell (\"Utilize\") the Original Code (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Original Code (or portions thereof) and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n	 2.2. Contributor Grant. Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		  (a) to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code or as part of a Larger Work; and\n\n		  (b) under patents now or hereafter owned or controlled by Contributor, to Utilize the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Contributor Version (or portions thereof), and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n3. DISTRIBUTION OBLIGATIONS\n\n	 3.1. Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	 3.2. Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available and to the Initial Developer; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party. You are responsible for notifying the Initial Developer of the Modification and the location of the Source if a contact means is provided. Red Hat will be acting as maintainer of the Source and may provide an Electronic Distribution mechanism for the Modification to be made available. You can contact Red Hat to make the Modification available and to notify the Initial Developer. (http://sourceware.cygnus.com/ecos/)\n\n	 3.3. Description of Modifications. You must cause all Covered Code to which you contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	 3.4. Intellectual Property Matters\n\n		  (a) Third Party Claims.  If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		  (b) Contributor APIs. If Your Modification is an application programming interface and You own or control patents which are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n	 3.5. Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Covered Code. If You created one or more Modification(s), You may add your name as a Contributor to the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code.\n\n	 However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	 3.6. Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	 If you distribute executable versions containing Covered Code, you must reproduce the notice in Exhibit B in the documentation and/or other materials provided with the product.\n\n	 3.7. Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. INABILITY TO COMPLY DUE TO STATUTE OR REGULATION\n\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; (b) cite the statute or regulation that prohibits you from adhering to the license; and (c) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it. You must submit this LEGAL file to Red Hat for review, and You will not be able use the covered code in any means until permission is granted from Red Hat to allow for the inability to comply due to statute or regulation.\n\n5. APPLICATION OF THIS LICENSE\n\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A, and to related Covered Code.\n\nRed Hat may include Covered Code in products without such additional products becoming subject to the terms of this License, and may license such additional products on different terms from those contained in this License.\n\nRed Hat may license the Source Code of Red Hat Branded Code without Red Hat Branded Code becoming subject to the terms of this License, and may license Red Hat Branded Code on different terms from those contained in this License. Contact Red Hat for details of alternate licensing terms available.\n\n6. VERSIONS OF THE LICENSE\n\n	 6.1. New Versions. Red Hat may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	 6.2. Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Red Hat. No one other than Red Hat has the right to modify the terms applicable to Covered Code beyond what is granted under this and subsequent Licenses.\n\n	 6.3. Derivative Works. If you create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), you must (a) rename Your license so that the phrases \"ECOS\", \"eCos\", \"Red Hat\", \"RHEPL\" or any confusingly similar phrase do not appear anywhere in your license and (b) otherwise make it clear that your version of the license contains terms which differ from the Red Hat eCos Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n7. DISCLAIMER OF WARRANTY\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. TERMINATION\n\nThis License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n9. LIMITATION OF LIABILITY\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. GOVERNMENT END USERS\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n11. MISCELLANEOUS\n\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in, the United States of America: (a) unless otherwise agreed in writing, all disputes relating to this License (excepting any dispute relating to intellectual property rights) shall be subject to final and binding arbitration, with the losing party paying all costs of arbitration; (b) any arbitration relating to this Agreement shall be held in Santa Clara County, California, under the auspices of JAMS/EndDispute; and (c) any litigation relating to this Agreement shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n12. RESPONSIBILITY FOR CLAIMS\n\nExcept in cases where another Contributor has failed to comply with Section 3.4, You are responsible for damages arising, directly or indirectly, out of Your utilization of rights under this License, based on the number of copies of Covered Code you made available, the revenues you received from utilizing such rights, and other relevant factors. You agree to work with affected parties to distribute responsibility on an equitable basis.\n\n13. ADDITIONAL TERMS APPLICABLE TO THE RED HAT ECOS PUBLIC LICENSE\n\nNothing in this License shall be interpreted to prohibit Red Hat from licensing under different terms than this License any code which Red Hat otherwise would have a right to license.\n\nRed Hat and logo - This License does not grant any rights to use the trademark Red Hat, the Red Hat logo, eCos logo, even if such marks are included in the Original Code. You may contact Red Hat for permission to display the Red Hat and eCos marks in either the documentation or the Executable version beyond that required in Exhibit B.\n\nInability to Comply Due to Contractual Obligation - To the extent that Red Hat is limited contractually from making third party code available under this License, Red Hat may choose to integrate such third party code into Covered Code without being required to distribute such third party code in Source Code form, even if such third party code would otherwise be considered \"Modifications\" under this License.\n\nEXHIBIT A\n\n\"The contents of this file are subject to the Red Hat eCos Public License Version 1.1 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.redhat.com/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is eCos - Embedded Configurable Operating System, released September 30, 1998. The Initial Developer of the Original Code is Red Hat. Portions created by Red Hat are Copyright (C) 1998, 1999, 2000 Red Hat, Inc. All Rights Reserved.\"\n\nEXHIBIT B\n\nPart of the software embedded in this product is eCos - Embedded Configurable Operating System, a trademark of Red Hat. Portions created by Red Hat are Copyright (C) 1998, 1999, 2000 Red Hat, Inc. (http://www.redhat.com/). All Rights Reserved.\n\nTHE SOFTWARE IN THIS PRODUCT WAS IN PART PROVIDED BY RED HAT AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Red Hat eCos Public License v1.1\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> DEFINITIONS\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Executable\" means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or a list of source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"You\" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n	  <<var;name=\"bullet\";original=\"1.13.\";match=\".{0,20}\">> \"Red Hat Branded Code\" is code that Red Hat distributes and/or permits others to distribute under different terms than the Red Hat eCos Public License. Red Hat's Branded Code may contain part or all of the Covered Code.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> SOURCE CODE LICENSE\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell (\"Utilize\") the Original Code (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Original Code (or portions thereof) and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant. Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under patents now or hereafter owned or controlled by Contributor, to Utilize the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Contributor Version (or portions thereof), and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> DISTRIBUTION OBLIGATIONS\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available and to the Initial Developer; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party. You are responsible for notifying the Initial Developer of the Modification and the location of the Source if a contact means is provided. Red Hat will be acting as maintainer of the Source and may provide an Electronic Distribution mechanism for the Modification to be made available. You can contact Red Hat to make the Modification available and to notify the Initial Developer. (http://sourceware.cygnus.com/ecos/)\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications. You must cause all Covered Code to which you contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims. If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs. If Your Modification is an application programming interface and You own or control patents which are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Covered Code. If You created one or more Modification(s), You may add your name as a Contributor to the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code.\n\n	  However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	  If you distribute executable versions containing Covered Code, you must reproduce the notice in Exhibit B in the documentation and/or other materials provided with the product.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> INABILITY TO COMPLY DUE TO STATUTE OR REGULATION\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; (b) cite the statute or regulation that prohibits you from adhering to the license; and (c) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it. You must submit this LEGAL file to Red Hat for review, and You will not be able use the covered code in any means until permission is granted from Red Hat to allow for the inability to comply due to statute or regulation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> APPLICATION OF THIS LICENSE\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A, and to related Covered Code.\n\n   Red Hat may include Covered Code in products without such additional products becoming subject to the terms of this License, and may license such additional products on different terms from those contained in this License.\n\n   Red Hat may license the Source Code of Red Hat Branded Code without Red Hat Branded Code becoming subject to the terms of this License, and may license Red Hat Branded Code on different terms from those contained in this License. Contact Red Hat for details of alternate licensing terms available.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> VERSIONS OF THE LICENSE\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> New Versions. Red Hat may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Red Hat. No one other than Red Hat has the right to modify the terms applicable to Covered Code beyond what is granted under this and subsequent Licenses.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> Derivative Works. If you create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), you must (a) rename Your license so that the phrases \"ECOS\", \"eCos\", \"Red Hat\", \"RHEPL\" or any confusingly similar phrase do not appear anywhere in your license and (b) otherwise make it clear that your version of the license contains terms which differ from the Red Hat eCos Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TERMINATION\n\n   This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS\n\n   The Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> MISCELLANEOUS\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in, the United States of America: (a) unless otherwise agreed in writing, all disputes relating to this License (excepting any dispute relating to intellectual property rights) shall be subject to final and binding arbitration, with the losing party paying all costs of arbitration; (b) any arbitration relating to this Agreement shall be held in Santa Clara County, California, under the auspices of JAMS/EndDispute; and (c) any litigation relating to this Agreement shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS\n\n   Except in cases where another Contributor has failed to comply with Section 3.4, You are responsible for damages arising, directly or indirectly, out of Your utilization of rights under this License, based on the number of copies of Covered Code you made available, the revenues you received from utilizing such rights, and other relevant factors. You agree to work with affected parties to distribute responsibility on an equitable basis.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> ADDITIONAL TERMS APPLICABLE TO THE RED HAT ECOS PUBLIC LICENSE\n\n   Nothing in this License shall be interpreted to prohibit Red Hat from licensing under different terms than this License any code which Red Hat otherwise would have a right to license.\n\n   Red Hat and logo - This License does not grant any rights to use the trademark Red Hat, the Red Hat logo, eCos logo, even if such marks are included in the Original Code. You may contact Red Hat for permission to display the Red Hat and eCos marks in either the documentation or the Executable version beyond that required in Exhibit B.\n\n   Inability to Comply Due to Contractual Obligation - To the extent that Red Hat is limited contractually from making third party code available under this License, Red Hat may choose to integrate such third party code into Covered Code without being required to distribute such third party code in Source Code form, even if such third party code would otherwise be considered \"Modifications\" under this License.\n\n   <<beginOptional>>EXHIBIT A\n\n\"The contents of this file are subject to the Red Hat eCos Public License Version 1.1 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.redhat.com/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is eCos - Embedded Configurable Operating System, released September 30, 1998. The Initial Developer of the Original Code is Red Hat. Portions created by Red Hat are Copyright (C) 1998, 1999, 2000 Red Hat, Inc. All Rights Reserved.\"\n\nEXHIBIT B\n\nPart of the software embedded in this product is eCos - Embedded Configurable Operating System, a trademark of Red Hat. Portions created by Red Hat are Copyright (C) 1998, 1999, 2000 Red Hat, Inc. (http://www.redhat.com/). All Rights Reserved.\n\nTHE SOFTWARE IN THIS PRODUCT WAS IN PART PROVIDED BY RED HAT AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n<<endOptional>>"
		self.name = "Red Hat eCos Public License v1.1"
		self.licenseId = "RHeCos-1.1"
		self.crossRef = [{"match": "True", "url": "http://ecos.sourceware.org/old-license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:58Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://ecos.sourceware.org/old-license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Red Hat eCos Public License v1.1</p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n	  DEFINITIONS\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n		  &quot;Contributor&quot; means each entity that creates or contributes to the creation of Modifications.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n		  &quot;Contributor Version&quot; means the combination of the Original Code, prior Modifications used by a\n			 Contributor, and the Modifications made by that particular Contributor.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n		  &quot;Covered Code&quot; means the Original Code or Modifications or the combination of the Original Code\n			 and Modifications, in each case including portions thereof.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n		  &quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the software\n			 development community for the electronic transfer of data.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n		  &quot;Executable&quot; means Covered Code in any form other than Source Code.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n		  &quot;Initial Developer&quot; means the individual or entity identified as the Initial Developer in the\n			 Source Code notice required by Exhibit A.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n		  &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with code not governed\n			 by the terms of this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n		  &quot;License&quot; means this document.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n		  &quot;Modifications&quot; means any addition to or deletion from the substance or structure of either the\n			 Original Code or any previous Modifications. When Covered Code is released as a series of\n			 files, a Modification is:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n			  Any addition to or deletion from the contents of a file containing Original Code or previous\n				 Modifications.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n			  Any new file that contains any part of the Original Code or previous Modifications.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n		  &quot;Original Code&quot; means Source Code of computer software code which is described in the Source Code\n			 notice required by Exhibit A as Original Code, and which, at the time of its release under\n			 this License is not already Covered Code governed by this License.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n		  &quot;Source Code&quot; means the preferred form of the Covered Code for making modifications to it,\n			 including all modules it contains, plus any associated interface definition files, scripts\n			 used to control compilation and installation of an Executable, or a list of source code\n			 differential comparisons against either the Original Code or another well known, available\n			 Covered Code of the Contributor&apos;s choice. The Source Code can be in a compressed or archival\n			 form, provided the appropriate decompression or de-archiving software is widely available for\n			 no charge.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n		  &quot;You&quot; means an individual or a legal entity exercising rights under, and complying with all of\n			 the terms of, this License or a future version of this License issued under Section 6.1. For\n			 legal entities, &quot;You&quot; includes any entity which controls, is controlled by, or is under common\n			 control with You. For purposes of this definition, &quot;control&quot; means (a) the power, direct or\n			 indirect, to cause the direction or management of such entity, whether by contract or\n			 otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or\n			 beneficial ownership of such entity.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13.</var>\n		  &quot;Red Hat Branded Code&quot; is code that Red Hat distributes and/or permits others to distribute under\n			 different terms than the Red Hat eCos Public License. Red Hat&apos;s Branded Code may contain part\n			 or all of the Covered Code.\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n	  SOURCE CODE LICENSE\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n		  The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free,\n			 non-exclusive license, subject to third party intellectual property claims:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n			  to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or\n				 portions thereof) with or without Modifications, or as part of a Larger Work; and\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n			  under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use\n				 and sell (&quot;Utilize&quot;) the Original Code (or portions thereof), but solely to the extent that\n				 any such patent is reasonably necessary to enable You to Utilize the Original Code (or\n				 portions thereof) and not to any greater extent that may be necessary to Utilize further\n				 Modifications or combinations.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n		  Contributor Grant. Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive\n			 license, subject to third party intellectual property claims:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n			  to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created\n				 by such Contributor (or portions thereof) either on an unmodified basis, with other\n				 Modifications, as Covered Code or as part of a Larger Work; and\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n			  under patents now or hereafter owned or controlled by Contributor, to Utilize the Contributor\n				 Version (or portions thereof), but solely to the extent that any such patent is reasonably\n				 necessary to enable You to Utilize the Contributor Version (or portions thereof), and not to\n				 any greater extent that may be necessary to Utilize further Modifications or combinations.\n			</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n	  DISTRIBUTION OBLIGATIONS\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n		  Application of License. The Modifications which You create or to which You contribute are\n			 governed by the terms of this License, including without limitation Section 2.2. The Source\n			 Code version of Covered Code may be distributed only under the terms of this License or a\n			 future version of this License released under Section 6.1, and You must include a copy of this\n			 License with every copy of the Source Code You distribute. You may not offer or impose any\n			 terms on any Source Code version that alters or restricts the applicable version of this\n			 License or the recipients&apos; rights hereunder. However, You may include an additional document\n			 offering the additional rights described in Section 3.5.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n		  Availability of Source Code. Any Modification which You create or to which You contribute must be\n			 made available in Source Code form under the terms of this License via an accepted Electronic\n			 Distribution Mechanism to anyone to whom you made an Executable version available and to the\n			 Initial Developer; and if made available via Electronic Distribution Mechanism, must remain\n			 available for at least twelve (12) months after the date it initially became available, or at\n			 least six (6) months after a subsequent version of that particular Modification has been made\n			 available to such recipients. You are responsible for ensuring that the Source Code version\n			 remains available even if the Electronic Distribution Mechanism is maintained by a third\n			 party. You are responsible for notifying the Initial Developer of the Modification and the\n			 location of the Source if a contact means is provided. Red Hat will be acting as maintainer of\n			 the Source and may provide an Electronic Distribution mechanism for the Modification to be\n			 made available. You can contact Red Hat to make the Modification available and to notify the\n			 Initial Developer. (http://sourceware.cygnus.com/ecos/)\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n		  Description of Modifications. You must cause all Covered Code to which you contribute to contain\n			 a file documenting the changes You made to create that Covered Code and the date of any\n			 change. You must include a prominent statement that the Modification is derived, directly or\n			 indirectly, from Original Code provided by the Initial Developer and including the name of the\n			 Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or\n			 related documentation in which You describe the origin or ownership of the Covered Code.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n		  Intellectual Property Matters\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n			  Third Party Claims. If You have knowledge that a party claims an intellectual property right in\n				 particular functionality or code (or its utilization under this License), you must include a\n				 text file with the source code distribution titled &quot;LEGAL&quot; which describes the claim and the\n				 party making the claim in sufficient detail that a recipient will know whom to contact. If you\n				 obtain such knowledge after You make Your Modification available as described in Section 3.2,\n				 You shall promptly modify the LEGAL file in all copies You make available thereafter and shall\n				 take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably\n				 calculated to inform those who received the Covered Code that new knowledge has been\n				 obtained.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n			  Contributor APIs. If Your Modification is an application programming interface and You own or\n				 control patents which are reasonably necessary to implement that API, you must also include\n				 this information in the LEGAL file.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n		  Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code, and\n			 this License in any documentation for the Source Code, where You describe recipients&apos; rights\n			 relating to Covered Code. If You created one or more Modification(s), You may add your name as\n			 a Contributor to the Source Code. If it is not possible to put such notice in a particular\n			 Source Code file due to its structure, then you must include such notice in a location (such\n			 as a relevant directory file) where a user would be likely to look for such a notice. You may\n			 choose to offer, and to charge a fee for, warranty, support, indemnity or liability\n			 obligations to one or more recipients of Covered Code.\n		  <p>However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any\n			 Contributor. You must make it absolutely clear that any such warranty, support, indemnity or\n			 liability obligation is offered by You alone, and You hereby agree to indemnify the Initial\n			 Developer and every Contributor for any liability incurred by the Initial Developer or such\n			 Contributor as a result of warranty, support, indemnity or liability terms You offer.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n		  Distribution of Executable Versions. You may distribute Covered Code in Executable form only if\n			 the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a\n			 notice stating that the Source Code version of the Covered Code is available under the terms\n			 of this License, including a description of how and where You have fulfilled the obligations\n			 of Section 3.2. The notice must be conspicuously included in any notice in an Executable\n			 version, related documentation or collateral in which You describe recipients&apos; rights relating\n			 to the Covered Code. You may distribute the Executable version of Covered Code under a license\n			 of Your choice, which may contain terms different from this License, provided that You are in\n			 compliance with the terms of this License and that the license for the Executable version does\n			 not attempt to limit or alter the recipient&apos;s rights in the Source Code version from the\n			 rights set forth in this License. If You distribute the Executable version under a different\n			 license You must make it absolutely clear that any terms which differ from this License are\n			 offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to\n			 indemnify the Initial Developer and every Contributor for any liability incurred by the\n			 Initial Developer or such Contributor as a result of any such terms You offer.\n		  <p>If you distribute executable versions containing Covered Code, you must reproduce the notice in\n			 Exhibit B in the documentation and/or other materials provided with the product.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7.</var>\n		  Larger Works. You may create a Larger Work by combining Covered Code with other code not governed\n			 by the terms of this License and distribute the Larger Work as a single product. In such a\n			 case, You must make sure the requirements of this License are fulfilled for the Covered\n			 Code.\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n	  INABILITY TO COMPLY DUE TO STATUTE OR REGULATION\n	  <p>If it is impossible for You to comply with any of the terms of this License with respect to some\n		 or all of the Covered Code due to statute or regulation then You must: (a) comply with the\n		 terms of this License to the maximum extent possible; (b) cite the statute or regulation that\n		 prohibits you from adhering to the license; and (c) describe the limitations and the code they\n		 affect. Such description must be included in the LEGAL file described in Section 3.4 and must\n		 be included with all distributions of the Source Code. Except to the extent prohibited by\n		 statute or regulation, such description must be sufficiently detailed for a recipient of\n		 ordinary skill to be able to understand it. You must submit this LEGAL file to Red Hat for\n		 review, and You will not be able use the covered code in any means until permission is granted\n		 from Red Hat to allow for the inability to comply due to statute or regulation.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n	  APPLICATION OF THIS LICENSE\n	  <p>This License applies to code to which the Initial Developer has attached the notice in Exhibit A,\n		 and to related Covered Code.</p>\n\n			<p>Red Hat may include Covered Code in products without such additional products becoming subject to\n		 the terms of this License, and may license such additional products on different terms from\n		 those contained in this License.</p>\n\n			<p>Red Hat may license the Source Code of Red Hat Branded Code without Red Hat Branded Code becoming\n		 subject to the terms of this License, and may license Red Hat Branded Code on different terms\n		 from those contained in this License. Contact Red Hat for details of alternate licensing terms\n		 available.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n	  VERSIONS OF THE LICENSE\n	  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n		  New Versions. Red Hat may publish revised and/or new versions of the License from time to time.\n			 Each version will be given a distinguishing version number.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n		  Effect of New Versions. Once Covered Code has been published under a particular version of the\n			 License, You may always continue to use it under the terms of that version. You may also\n			 choose to use such Covered Code under the terms of any subsequent version of the License\n			 published by Red Hat. No one other than Red Hat has the right to modify the terms applicable\n			 to Covered Code beyond what is granted under this and subsequent Licenses.\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3.</var>\n		  Derivative Works. If you create or use a modified version of this License (which you may only do\n			 in order to apply it to code which is not already Covered Code governed by this License), you\n			 must (a) rename Your license so that the phrases &quot;ECOS&quot;, &quot;eCos&quot;, &quot;Red Hat&quot;, &quot;RHEPL&quot; or any\n			 confusingly similar phrase do not appear anywhere in your license and (b) otherwise make it\n			 clear that your version of the license contains terms which differ from the Red Hat eCos\n			 Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in\n			 the notice described in Exhibit A shall not of themselves be deemed to be modifications of\n			 this License.)\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n	  DISCLAIMER OF WARRANTY\n	  <p>COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTY OF ANY KIND,\n		 EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE\n		 IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE\n		 RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED\n		 CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR)\n		 ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY\n		 CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED\n		 HEREUNDER EXCEPT UNDER THIS DISCLAIMER.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n	  TERMINATION\n	  <p>This License and the rights granted hereunder will terminate automatically if You fail to comply\n		 with terms herein and fail to cure such breach within 30 days of becoming aware of the breach.\n		 All sublicenses to the Covered Code which are properly granted shall survive any termination\n		 of this License. Provisions which, by their nature, must remain in effect beyond the\n		 termination of this License shall survive.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n	  LIMITATION OF LIABILITY\n	  <p>UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT,\n		 OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF\n		 COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR\n		 ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING,\n		 WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR\n		 MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\n		 BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY\n		 TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT\n		 APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR\n		 LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT\n		 APPLY TO YOU.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n	  U.S. GOVERNMENT END USERS\n	  <p>The Covered Code is a &quot;commercial item,&quot; as that term is defined in 48 C.F.R. 2.101 (Oct. 1995),\n		 consisting of &quot;commercial computer software&quot; and &quot;commercial computer software documentation,&quot;\n		 as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and\n		 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire\n		 Covered Code with only those rights set forth herein.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n	  MISCELLANEOUS\n	  <p>This License represents the complete agreement concerning subject matter hereof. If any provision\n		 of this License is held to be unenforceable, such provision shall be reformed only to the\n		 extent necessary to make it enforceable. This License shall be governed by California law\n		 provisions (except to the extent applicable law, if any, provides otherwise), excluding its\n		 conflict-of-law provisions. With respect to disputes in which at least one party is a citizen\n		 of, or an entity chartered or registered to do business in, the United States of America: (a)\n		 unless otherwise agreed in writing, all disputes relating to this License (excepting any\n		 dispute relating to intellectual property rights) shall be subject to final and binding\n		 arbitration, with the losing party paying all costs of arbitration; (b) any arbitration\n		 relating to this Agreement shall be held in Santa Clara County, California, under the auspices\n		 of JAMS/EndDispute; and (c) any litigation relating to this Agreement shall be subject to the\n		 jurisdiction of the Federal Courts of the Northern District of California, with venue lying in\n		 Santa Clara County, California, with the losing party responsible for costs, including without\n		 limitation, court costs and reasonable attorneys fees and expenses. The application of the\n		 United Nations Convention on Contracts for the International Sale of Goods is expressly\n		 excluded. Any law or regulation which provides that the language of a contract shall be\n		 consTrued against the drafter shall not apply to this License.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n	  RESPONSIBILITY FOR CLAIMS\n	  <p>Except in cases where another Contributor has failed to comply with Section 3.4, You are\n		 responsible for damages arising, directly or indirectly, out of Your utilization of rights\n		 under this License, based on the number of copies of Covered Code you made available, the\n		 revenues you received from utilizing such rights, and other relevant factors. You agree to\n		 work with affected parties to distribute responsibility on an equitable basis.</p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n	  ADDITIONAL TERMS APPLICABLE TO THE RED HAT ECOS PUBLIC LICENSE\n\n  <p>Nothing in this License shall be interpreted to prohibit Red Hat from licensing under different terms\n	 than this License any code which Red Hat otherwise would have a right to license.</p>\n\n			<p>Red Hat and logo - This License does not grant any rights to use the trademark Red Hat, the Red Hat logo,\n	 eCos logo, even if such marks are included in the Original Code. You may contact Red Hat for\n	 permission to display the Red Hat and eCos marks in either the documentation or the Executable version\n	 beyond that required in Exhibit B.</p>\n\n			<p>Inability to Comply Due to Contractual Obligation - To the extent that Red Hat is limited contractually\n	 from making third party code available under this License, Red Hat may choose to integrate such third\n	 party code into Covered Code without being required to distribute such third party code in Source Code\n	 form, even if such third party code would otherwise be considered &quot;Modifications&quot; under this\n	 License.</p>\n\n		 </li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A</p>\n\n		 <p>&quot;The contents of this file are subject to the Red Hat eCos Public License Version 1.1 (the &quot;License&quot;);\n		 you may not use this file except in compliance with the License. You may obtain a copy of the License\n		 at http://www.redhat.com/</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF ANY KIND,\n		 either express or implied. See the License for the specific language governing rights and limitations\n		 under the License.</p>\n\n		 <p>The Original Code is eCos - Embedded Configurable Operating System, released September 30, 1998. The\n		 Initial Developer of the Original Code is Red Hat. Portions created by Red Hat are Copyright (C) 1998,\n		 1999, 2000 Red Hat, Inc. All Rights Reserved.&quot;</p>\n\n		 <p>EXHIBIT B</p>\n\n		 <p>Part of the software embedded in this product is eCos - Embedded Configurable Operating System, a\n		 trademark of Red Hat. Portions created by Red Hat are Copyright (C) 1998, 1999, 2000 Red Hat, Inc.\n		 (http://www.redhat.com/). All Rights Reserved.</p>\n\n		 <p>THE SOFTWARE IN THIS PRODUCT WAS IN PART PROVIDED BY RED HAT AND ANY EXPRESS OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n		 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\n		 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n		 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR\n		 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\n		 SUCH DAMAGE.</p>\n\n	  </div>\n	"
		self.python_name = "RHeCos11"

	def __str__(self):
		return json.dumps(self.__dict__)


class CrystalStacker:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Crystal Stacker is freeware. This means you can pass copies around freely provided you include this document in it's original form in your distribution. Please see the \"Contacting Us\" section of this document if you need to contact us for any reason.\n\nDisclaimer\n\nNewCreature Design makes no guarantees regarding the Crystal Stacker software. We are not responsible for damages caused by it, though the software is not known to cause any problems. If you have trouble with the software, see the \"Contacting Us\" section of this document.\n\nThe source code is provided as-is and you may do with it whatsoever you please provided that you include this file in its unmodified form with any new distribution. NewCreature Design makes no gaurantees regarding the usability of the source but are willing to help with any problems you might run into. Please see the \"Contacting Us\" section of this document if you need to get in touch with us about any issues you have regarding the source.\n"
		self.standardLicenseTemplate = "Crystal Stacker is freeware. This means you can pass copies around freely provided you include this document in it's original form in your distribution. Please see the \"Contacting Us\" section of this document if you need to contact us for any reason.\n\nDisclaimer\n\nNewCreature Design makes no guarantees regarding the Crystal Stacker software. We are not responsible for damages caused by it, though the software is not known to cause any problems. If you have trouble with the software, see the \"Contacting Us\" section of this document.\n\nThe source code is provided as-is and you may do with it whatsoever you please provided that you include this file in its unmodified form with any new distribution. NewCreature Design makes no gaurantees regarding the usability of the source but are willing to help with any problems you might run into. Please see the \"Contacting Us\" section of this document if you need to get in touch with us about any issues you have regarding the source.\n\n"
		self.name = "CrystalStacker License"
		self.licenseId = "CrystalStacker"
		self.crossRef = [{"match": "True", "url": "https://fedoraproject.org/wiki/Licensing:CrystalStacker?rd=Licensing/CrystalStacker", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:50Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing:CrystalStacker?rd=Licensing/CrystalStacker"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>Crystal Stacker is freeware. This means you can pass copies around freely provided you include this\n		 document in it&apos;s original form in your distribution. Please see the &quot;Contacting Us&quot; section of this\n		 document if you need to contact us for any reason.</p>\n\n	  <p>Disclaimer</p>\n\n	  <p>NewCreature Design makes no guarantees regarding the Crystal Stacker software. We are not responsible for\n		 damages caused by it, though the software is not known to cause any problems. If you have trouble with\n		 the software, see the &quot;Contacting Us&quot; section of this document.</p>\n\n	  <p>The source code is provided as-is and you may do with it whatsoever you please provided that you include\n		 this file in its unmodified form with any new distribution. NewCreature Design makes no gaurantees\n		 regarding the usability of the source but are willing to help with any problems you might run into.\n		 Please see the &quot;Contacting Us&quot; section of this document if you need to get in touch with us about any\n		 issues you have regarding the source.</p>\n\n	"
		self.python_name = "CrystalStacker"

	def __str__(self):
		return json.dumps(self.__dict__)


class ISCVeillard:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 2003-2012 Daniel Veillard. \nPermission to use, copy,\nmodify, and distribute this software for any purpose with or\nwithout fee is hereby granted, provided that the above copyright\nnotice and this permission notice appear in all copies. THIS\nSOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED\nWARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE AUTHORS\nAND CONTRIBUTORS ACCEPT NO RESPONSIBILITY IN ANY CONCEIVABLE MANNER.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 2003-2012 Daniel Veillard.\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies. THIS SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE AUTHORS AND CONTRIBUTORS ACCEPT NO RESPONSIBILITY IN ANY CONCEIVABLE MANNER.\n\n"
		self.name = "ISC Veillard variant"
		self.licenseComments = "This license uses the same grant as ISC, but a different disclaimer paragraph."
		self.licenseId = "ISC-Veillard"
		self.crossRef = [{"match": "False", "url": "https://github.com/GNOME/libxml2/blob/master/dict.c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:04Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://raw.githubusercontent.com/GNOME/libxml2/4c2e7c651f6c2f0d1a74f350cbda95f7df3e7017/hash.c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:04Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://raw.githubusercontent.com/GNOME/libxml2/4c2e7c651f6c2f0d1a74f350cbda95f7df3e7017/hash.c", "https://github.com/GNOME/libxml2/blob/master/dict.c"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			 Copyright (C) 2003-2012 Daniel Veillard.\n		</var>\n		<p>\n			Permission to use, copy,\n			modify, and distribute this software for any purpose with or\n			without fee is hereby granted, provided that the above copyright\n			notice and this permission notice appear in all copies. THIS\n			SOFTWARE IS PROVIDED &quot;AS IS&quot; AND WITHOUT ANY EXPRESS OR IMPLIED\n			WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES\n			OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE AUTHORS\n			AND CONTRIBUTORS ACCEPT NO RESPONSIBILITY IN ANY CONCEIVABLE MANNER.\n		 </p>\n\n	  "
		self.python_name = "ISCVeillard"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD2ClauseFreeBSD:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "The FreeBSD Copyright\n\nCopyright 1992-2012 The FreeBSD Project. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY THE FREEBSD PROJECT ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe views and conclusions contained in the software and documentation are those of the authors and should not be interpreted as representing official policies, either expressed or implied, of the FreeBSD Project.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The FreeBSD Copyright\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 1992-2012 The FreeBSD Project. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY THE FREEBSD PROJECT ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe views and conclusions contained in the software and documentation are those of the authors and should not be interpreted as representing official policies, either expressed or implied, of the FreeBSD Project.\n\n"
		self.name = "BSD 2-Clause FreeBSD License"
		self.licenseComments = "This license was deprecated because BSD-2-Clause-Views has been added, as a more generalized version; and because FreeBSD project community members have indicated that the final sentence is not part of that project's code license."
		self.licenseId = "BSD-2-Clause-FreeBSD"
		self.crossRef = [{"match": "False", "url": "http://www.freebsd.org/copyright/freebsd-license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:52Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.freebsd.org/copyright/freebsd-license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The FreeBSD Copyright</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1992-2012 The FreeBSD Project. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE FREEBSD PROJECT ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY\n		 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED\n		 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>The views and conclusions contained in the software and documentation are those of the authors and should\n		 not be interpreted as representing official policies, either expressed or implied, of the FreeBSD\n		 Project.</p>\n\n	"
		self.deprecatedVersion = "3.10"
		self.python_name = "BSD2ClauseFreeBSD"

	def __str__(self):
		return json.dumps(self.__dict__)


class LinuxOpenIB:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Redistribution and use in source and binary forms, with or\nwithout modification, are permitted provided that the following\nconditions are met:\n\n- Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n- Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.\n"
		self.standardLicenseTemplate = "Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.name = "Linux Kernel Variant of OpenIB.org license"
		self.licenseComments = "This license is BSD-2-Clause with the MIT disclaimer. The linux kernel uses this license extensively throughout the driver subsystem since 2005. Note that the OpenIB.org license is a True match to BSD-2-Clause."
		self.licenseId = "Linux-OpenIB"
		self.crossRef = [{"match": "False", "url": "https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/tree/drivers/infiniband/core/sa.h", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:07Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/tree/drivers/infiniband/core/sa.h"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n		</li>\n	  \n</ul>\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	"
		self.python_name = "LinuxOpenIB"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSDSystemicsW3Works:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1995, 1996 Systemics Ltd (http://www.systemics.com/)\n \nModifications and Current Implimentation Copyright (C) 2000 W3Works, LLC.\n \nAll rights reserved.\n \nCurrent implimentation contains modifications made by W3Works, LLC.  The \nmodifications remain copyright of W3Works, LLC and attribution for these \nmodification should be made to W3Works, LLC.  These modifications and \nthis copyright must remain with this package.\n \nAdditions to the Restrictions set out below are:\n1. All advertising materials mentioning features or use of this software\n   must display the following acknowledgement:\n   This product inculdes software developed by W3Works, LLC (http://www.w3works.com)\n \n   NO ADDITIONAL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,\n   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\n   ARE EXTENDED BY THIS DISTRIBUTION.\n \n   Any subsequent derrivations of this package must retainl this copyright.\n \n \nOriginal Copyright Below\n \nThis library and applications are FREE FOR COMMERCIAL AND NON-COMMERCIAL USE\nas long as the following conditions are adhered to.\n \nCopyright remains with Systemics Ltd, and as such any Copyright notices\nin the code are not to be removed.  If this code is used in a product,\nSystemics should be given attribution as the author of the parts used.\nThis can be in the form of a textual message at program startup or\nin documentation (online or textual) provided with the package.\n \nRedistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions\nare met:\n1. Redistributions of source code must retain the copyright\n   notice, this list of conditions and the following disclaimer.\n2. Redistributions in binary form must reproduce the above copyright\n   notice, this list of conditions and the following disclaimer in the\n   documentation and/or other materials provided with the distribution.\n3. All advertising materials mentioning features or use of this software\n   must display the following acknowledgement:\n   This product includes software developed by Systemics Ltd (http://www.systemics.com/)   \n \n   THIS SOFTWARE IS PROVIDED BY SYSTEMICS LTD ``AS IS'' AND\n   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\n   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\n   ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE\n   FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n   DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\n   OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n   HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\n   LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\n   OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\n   SUCH DAMAGE.\n \n   The licence and distribution terms for any publically available version or\n   derivative of this code cannot be changed.  i.e. this code cannot simply be\n   copied and put under another distribution licence\n   [including the GNU Public Licence.]\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1995, 1996 Systemics Ltd (http://www.systemics.com/)	Modifications and Current Implimentation Copyright (C) 2000 W3Works, LLC.	All rights reserved.  \";match=\".{0,5000}\">>\n\nCurrent <<var;name=\"implimentation\";original=\"implimentation\";match=\"implimentation|implementation\">> contains modifications made by W3Works, LLC. The modifications remain copyright of W3Works, LLC and attribution for these modification should be made to W3Works, LLC. These modifications and this copyright must remain with this package.\n\nAdditions to the Restrictions set out below are: 1. All advertising materials mentioning features or use of this software must display the following <<var;name=\"acknowledgement\";original=\"acknowledgement\";match=\"acknowledgement|acknowledgment\">> : This product <<var;name=\"inculdes\";original=\"inculdes\";match=\"inculdes|includes\">> software developed by W3Works, LLC (http://www.w3works.com)\n\nNO ADDITIONAL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE EXTENDED BY THIS DISTRIBUTION.\n\nAny subsequent <<var;name=\"derrivations\";original=\"derrivations\";match=\"derrivations|derivations\">> of this package must <<var;name=\"retainl\";original=\"retainl\";match=\"retainl|retain\">> this copyright.\n\nOriginal Copyright Below\n\nThis library and applications are FREE FOR COMMERCIAL AND NON-COMMERCIAL USE as long as the following conditions are adhered to.\n\nCopyright remains with Systemics Ltd, and as such any Copyright notices in the code are not to be removed. If this code is used in a product, Systemics should be given attribution as the author of the parts used. This can be in the form of a textual message at program startup or in documentation (online or textual) provided with the package.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the copyright notice, this list of conditions and the following disclaimer. 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. 3. All advertising materials mentioning features or use of this software must display the following <<var;name=\"acknowledgement\";original=\"acknowledgement\";match=\"acknowledgement|acknowledgment\">> : This product includes software developed by Systemics Ltd (http://www.systemics.com/)\n\nTHIS SOFTWARE IS PROVIDED BY SYSTEMICS LTD ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe licence and distribution terms for any publically available version or derivative of this code cannot be changed. i.e. this code cannot simply be copied and put under another distribution licence [including the GNU Public Licence.]\n\n"
		self.name = "Systemics W3Works BSD variant license"
		self.licenseId = "BSD-Systemics-W3Works"
		self.crossRef = [{"match": "False", "url": "https://metacpan.org/release/DPARIS/Crypt-Blowfish-2.14/source/COPYRIGHT#L7", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:52Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://metacpan.org/release/DPARIS/Crypt-Blowfish-2.14/source/COPYRIGHT#L7"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n				<p>\n						Copyright (C) 1995, 1996 Systemics Ltd\n						(http://www.systemics.com/)\n				</p>\n\n				<p>\n						Modifications and Current Implimentation Copyright (C)\n						2000 W3Works, LLC.\n				</p>\n\n		<p>\n				All rights reserved.\n		</p>\n\n					</div>\n		<p>\n				Current <var class=\"replaceable-license-text\"> implimentation</var> \n				contains modifications made by W3Works, LLC. The modifications remain copyright of W3Works, LLC\n				and attribution for these modification should be made to W3Works, LLC.  These modifications and\n				this copyright must remain with this package.\n		</p>\n\n		<p>\n		Additions to the Restrictions set out below are:\n		1. All advertising materials mentioning features or use of this software must display\n		the following <var class=\"replaceable-license-text\"> acknowledgement</var>:\n		This product <var class=\"replaceable-license-text\"> inculdes</var> software developed by\n		W3Works, LLC (http://www.w3works.com)\n		</p>\n\n		<p>\n		NO ADDITIONAL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED\n		TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n		PARTICULAR PURPOSE ARE EXTENDED BY THIS DISTRIBUTION.\n		</p>\n\n		<p>\n				Any subsequent <var class=\"replaceable-license-text\"> derrivations</var> of this package must <var class=\"replaceable-license-text\"> retainl</var> this\n				copyright.\n		</p>\n\n		<p>\n				Original Copyright Below\n		</p>\n\n		<p>\n				This library and applications are FREE FOR COMMERCIAL AND\n				NON-COMMERCIAL USE as long as the following conditions are\n				adhered to.\n		</p>\n\n		<p>\n				Copyright remains with Systemics Ltd, and as such any Copyright\n				notices in the code are not to be removed. If this code is used\n				in a product, Systemics should be given attribution as the\n				author of the parts used. This can be in the form of a textual\n				message at program startup or in documentation (online or\n				textual) provided with the package.\n		</p>\n\n		<p>\n				Redistribution and use in source and binary forms, with or\n				without modification, are permitted provided that the following\n				conditions are met:\n		</p>\n\n		<p>\n				1. Redistributions of source code must retain the copyright\n				notice, this list of conditions and the following disclaimer.\n				2. Redistributions in binary form must reproduce the above\n				copyright notice, this list of conditions and the following\n				disclaimer in the documentation and/or other materials\n				provided with the distribution.\n				3. All advertising materials mentioning features or use of this software must display the\n				following <var class=\"replaceable-license-text\"> acknowledgement</var>: This product includes software\n				developed by Systemics Ltd (http://www.systemics.com/)\n		</p>\n\n		<p>\n				THIS SOFTWARE IS PROVIDED BY SYSTEMICS LTD &apos;&apos;AS IS&apos;&apos; AND ANY\n				EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,\n				THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n				PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE\n				AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,\n				INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n				(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\n				OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n				INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n				WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n				NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n				THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\n				DAMAGE.\n		</p>\n\n		<p>\n				The licence and distribution terms for any publically available\n				version or derivative of this code cannot be changed. i.e.\n				this code cannot simply be copied and put under another\n				distribution licence [including the GNU Public Licence.]\n		</p>\n\n	  "
		self.python_name = "BSDSystemicsW3Works"

	def __str__(self):
		return json.dumps(self.__dict__)


class CUAOPL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "CUA Office Public License Version 1.0\n\n1. Definitions.\n\n1.0.1. \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n1.1. \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n1.3. \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n1.6. \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n1.8. \"License\" means this document.\n\n1.8.1. \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n1.9. \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n	 A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n	 B. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10. \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n1.11. \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n1.12. \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n2. Source Code License.\n\n2.1. The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n	 (a) under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n	 (b) under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n	 (c) the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n	 (d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.\n\n2.2. Contributor Grant. Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n	 (a) under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n	 (b) under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n	 (c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n	 (d) Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n3. Distribution Obligations.\n\n3.1. Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n3.2. Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n3.3. Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n3.4. Intellectual Property Matters\n\n	 (a) Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n	 (b) Contributor APIs. If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n	 (c) Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n3.5. Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n3.6. Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n3.7. Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation.\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License.\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n6. Versions of the License.\n\n6.1. New Versions. CUA Office Project may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n6.2. Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by CUA Office Project. No one other than CUA Office Project has the right to modify the terms applicable to Covered Code created under this License.\n\n6.3. Derivative Works. If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \"CUA Office\", \"CUA\", \"CUAPL\", or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the CUA Office Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n7. DISCLAIMER OF WARRANTY.\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. TERMINATION.\n\n8.1. This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n8.2. If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n	 (a) such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n	 (b) any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n8.3. If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n8.4. In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n9. LIMITATION OF LIABILITY.\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. GOVERNMENT END USERS.\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n11. MISCELLANEOUS.\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n12. RESPONSIBILITY FOR CLAIMS.\nAs between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n13. MULTIPLE-LICENSED CODE.\nInitial Developer may designate portions of the Covered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the NPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\nEXHIBIT A - CUA Office Public License.\n\n\"The contents of this file are subject to the CUA Office Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://cuaoffice.sourceforge.net/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________________________.\n\nThe Initial Developer of the Original Code is ________________________. Portions created by ______________________ are Copyright (C) ______ _______________________. All Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAlternatively, the contents of this file may be used under the terms of the _____ license (the \"[___] License\"), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the CUAPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the CUAPL or the [___] License.\"\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>\"<<endOptional>>The contents of this file are subject to the CUA Office Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://cuaoffice.sourceforge.net/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is <<var;name=\"code\";original=\"______________________________________\";match=\".+\">> .\n\nThe Initial Developer of the Original Code is <<var;name=\"initialDeveloper\";original=\"________________________\";match=\".+\">> . Portions created by <<var;name=\"creator\";original=\"______________________\";match=\".+\">> are Copyright (C) <<var;name=\"copyright\";original=\"______ _______________________\";match=\".+\">> . All Rights Reserved.\n\nContributor(s): <<var;name=\"contributor\";original=\"______________________________________\";match=\".+\">> .\n\nAlternatively, the contents of this file may be used under the terms of the <<var;name=\"altLicense\";original=\"_____\";match=\".+\">> license (the \" <<var;name=\"altLicenseShort1\";original=\"[___]\";match=\".+\">> License\"), in which case the provisions of <<var;name=\"altLicenseShort2\";original=\"[______]\";match=\".+\">> License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the <<var;name=\"altLicenseShort3\";original=\"[____]\";match=\".+\">> License and not to allow others to use your version of this file under the CUAPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the <<var;name=\"altLicenseShort4\";original=\"[___]\";match=\".+\">> License. If you do not delete the provisions above, a recipient may use your version of this file under either the CUAPL or the <<var;name=\"altLicenseShort5\";original=\"[___]\";match=\".+\">> License.<<beginOptional>>\"<<endOptional>>\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>CUA Office Public License Version 1.0\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.0.1.\";match=\".{0,20}\">> \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Executable\" means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.8.1.\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.10.1.\";match=\".{0,20}\">> \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant. Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs. If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Application of this License.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> New Versions. CUA Office Project may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by CUA Office Project. No one other than CUA Office Project has the right to modify the terms applicable to Covered Code created under this License.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> Derivative Works. If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \"CUA Office\", \"CUA\", \"CUAPL\", or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the CUA Office Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TERMINATION.\n\n	  <<var;name=\"bullet\";original=\"8.1.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	  <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">> If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	  <<var;name=\"bullet\";original=\"8.3.\";match=\".{0,20}\">> If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"8.4.\";match=\".{0,20}\">> In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS.\n\n   The Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> MISCELLANEOUS.\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS.\n\n   As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> MULTIPLE-LICENSED CODE.\n\n   Initial Developer may designate portions of the Covered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the NPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.<<beginOptional>> EXHIBIT A - CUA Office Public License.\n\n<<beginOptional>>\"<<endOptional>>The contents of this file are subject to the CUA Office Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://cuaoffice.sourceforge.net/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is <<var;name=\"code\";original=\"______________________________________\";match=\".+\">> .\n\nThe Initial Developer of the Original Code is <<var;name=\"initialDeveloper\";original=\"________________________\";match=\".+\">> . Portions created by <<var;name=\"creator\";original=\"______________________\";match=\".+\">> are Copyright (C) <<var;name=\"copyright\";original=\"______ _______________________\";match=\".+\">> . All Rights Reserved.\n\nContributor(s): <<var;name=\"contributor\";original=\"______________________________________\";match=\".+\">> .\n\nAlternatively, the contents of this file may be used under the terms of the <<var;name=\"altLicense\";original=\"_____\";match=\".+\">> license (the \" <<var;name=\"altLicenseShort1\";original=\"[___]\";match=\".+\">> License\"), in which case the provisions of <<var;name=\"altLicenseShort2\";original=\"[______]\";match=\".+\">> License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the <<var;name=\"altLicenseShort3\";original=\"[____]\";match=\".+\">> License and not to allow others to use your version of this file under the CUAPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the <<var;name=\"altLicenseShort4\";original=\"[___]\";match=\".+\">> License. If you do not delete the provisions above, a recipient may use your version of this file under either the CUAPL or the <<var;name=\"altLicenseShort5\";original=\"[___]\";match=\".+\">> License.<<beginOptional>>\"<<endOptional>>\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n\n<<endOptional>>"
		self.name = "CUA Office Public License v1.0"
		self.licenseComments = "The CUA Office Project has ceased to use or recommend this license. This license is essentially a rebranded version of MPL-1.1, but was included on the SPDX License List due to its OSI-approved status."
		self.licenseId = "CUA-OPL-1.0"
		self.standardLicenseHeader = "\"The contents of this file are subject to the CUA Office Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://cuaoffice.sourceforge.net/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________________________ .\n\nThe Initial Developer of the Original Code is ________________________ . Portions created by ______________________ are Copyright (C) ______ _______________________ . All Rights Reserved.\n\nContributor(s): ______________________________________ .\n\nAlternatively, the contents of this file may be used under the terms of the _____ license (the \" [___] License\"), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the CUAPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the CUAPL or the [___] License.\"\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/CUA-OPL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/CUA-OPL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>CUA Office Public License Version 1.0</p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.0.1.</var>\n			  &quot;Commercial Use&quot; means distribution or otherwise making the Covered Code\n				 available to a third party.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			  &quot;Contributor&quot; means each entity that creates or contributes to the creation of Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			  &quot;Contributor Version&quot; means the combination of the Original Code, prior Modifications\n				 used by a Contributor, and the Modifications made by that particular Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			  &quot;Covered Code&quot; means the Original Code or Modifications or the combination of the\n				 Original Code and Modifications, in each case including portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			  &quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the\n				 software development community for the electronic transfer of data.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			  &quot;Executable&quot; means Covered Code in any form other than Source Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			  &quot;Initial Developer&quot; means the individual or entity identified as the Initial Developer\n				 in the Source Code notice required by Exhibit A.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			  &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with code\n				 not governed by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			  &quot;License&quot; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.1.</var>\n			  &quot;Licensable&quot; means having the right to grant, to the maximum extent possible,\n				 whether at the time of the initial grant or subsequently acquired, any and all of the rights\n				 conveyed herein.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			  &quot;Modifications&quot; means any addition to or deletion from the substance or structure of\n				 either the Original Code or any previous Modifications. When Covered Code is released as a\n				 series of files, a Modification is:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				Any addition to or deletion from the contents of a file containing Original Code or previous\n				   Modifications.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				Any new file that contains any part of the Original Code or previous Modifications.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			  &quot;Original Code&quot; means Source Code of computer software code which is described in the\n				 Source Code notice required by Exhibit A as Original Code, and which, at the time of its\n				 release under this License is not already Covered Code governed by this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.1.</var>\n			  &quot;Patent Claims&quot; means any patent claim(s), now owned or hereafter acquired,\n				 including without limitation, method, process, and apparatus claims, in any patent Licensable\n				 by grantor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			  &quot;Source Code&quot; means the preferred form of the Covered Code for making modifications to\n				 it, including all modules it contains, plus any associated interface definition files, scripts\n				 used to control compilation and installation of an Executable, or source code differential\n				 comparisons against either the Original Code or another well known, available Covered Code of\n				 the Contributor&apos;s choice. The Source Code can be in a compressed or archival form,\n				 provided the appropriate decompression or de-archiving software is widely available for no\n				 charge.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			  &quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity exercising rights\n				 under, and complying with all of the terms of, this License or a future version of this\n				 License issued under Section 6.1. For legal entities, &quot;You&quot; includes any entity\n				 which controls, is controlled by, or is under common control with You. For purposes of this\n				 definition, &quot;control&quot; means (a) the power, direct or indirect, to cause the\n				 direction or management of such entity, whether by contract or otherwise, or (b) ownership of\n				 more than fifty percent (50%) of the outstanding shares or beneficial ownership of such\n				 entity.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Source Code License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			  The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free,\n				 non-exclusive license, subject to third party intellectual property claims:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				under intellectual property rights (other than patent or trademark) Licensable by Initial\n				   Developer to use, reproduce, modify, display, perform, sublicense and distribute the\n				   Original Code (or portions thereof) with or without Modifications, and/or as part of a\n				   Larger Work; and\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				under Patents Claims infringed by the making, using or selling of Original Code, to make,\n				   have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the\n				   Original Code (or portions thereof).\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial\n				   Developer first distributes Original Code under the terms of this License.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You\n				   delete from the Original Code; 2) separate from the Original Code; or 3) for infringements\n				   caused by: i) the modification of the Original Code or ii) the combination of the Original\n				   Code with other software or devices.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			  Contributor Grant. Subject to third party intellectual property claims, each Contributor hereby\n				 grants You a world-wide, royalty-free, non-exclusive license\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				under intellectual property rights (other than patent or trademark) Licensable by\n				   Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the\n				   Modifications created by such Contributor (or portions thereof) either on an unmodified\n				   basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				under Patent Claims infringed by the making, using, or selling of Modifications made by that\n				   Contributor either alone and/or in combination with its Contributor Version (or portions\n				   of such combination), to make, use, sell, offer for sale, have made, and/or otherwise\n				   dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the\n				   combination of Modifications made by that Contributor with its Contributor Version (or\n				   portions of such combination).\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor\n				   first makes Commercial Use of the Covered Code.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that\n				   Contributor has deleted from the Contributor Version; 2) separate from the Contributor\n				   Version; 3) for infringements caused by: i) third party modifications of Contributor\n				   Version or ii) the combination of Modifications made by that Contributor with other\n				   software (except as part of the Contributor Version) or other devices; or 4) under Patent\n				   Claims infringed by Covered Code in the absence of Modifications made by that\n				   Contributor.\n			  </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Distribution Obligations.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			  Application of License. The Modifications which You create or to which You contribute are\n				 governed by the terms of this License, including without limitation Section 2.2. The Source\n				 Code version of Covered Code may be distributed only under the terms of this License or a\n				 future version of this License released under Section 6.1, and You must include a copy of this\n				 License with every copy of the Source Code You distribute. You may not offer or impose any\n				 terms on any Source Code version that alters or restricts the applicable version of this\n				 License or the recipients&apos; rights hereunder. However, You may include an additional\n				 document offering the additional rights described in Section 3.5.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			  Availability of Source Code. Any Modification which You create or to which You contribute must be\n				 made available in Source Code form under the terms of this License either on the same media as\n				 an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom\n				 you made an Executable version available; and if made available via Electronic Distribution\n				 Mechanism, must remain available for at least twelve (12) months after the date it initially\n				 became available, or at least six (6) months after a subsequent version of that particular\n				 Modification has been made available to such recipients. You are responsible for ensuring that\n				 the Source Code version remains available even if the Electronic Distribution Mechanism is\n				 maintained by a third party.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			  Description of Modifications. You must cause all Covered Code to which You contribute to contain\n				 a file documenting the changes You made to create that Covered Code and the date of any\n				 change. You must include a prominent statement that the Modification is derived, directly or\n				 indirectly, from Original Code provided by the Initial Developer and including the name of the\n				 Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or\n				 related documentation in which You describe the origin or ownership of the Covered Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			  Intellectual Property Matters\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				Third Party Claims. If Contributor has knowledge that a license under a third party&apos;s\n				   intellectual property rights is required to exercise the rights granted by such\n				   Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the\n				   Source Code distribution titled &quot;LEGAL&quot; which describes the claim and the party\n				   making the claim in sufficient detail that a recipient will know whom to contact. If\n				   Contributor obtains such knowledge after the Modification is made available as described\n				   in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor\n				   makes available thereafter and shall take other steps (such as notifying appropriate\n				   mailing lists or newsgroups) reasonably calculated to inform those who received the\n				   Covered Code that new knowledge has been obtained.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				Contributor APIs. If Contributor&apos;s Modifications include an application programming\n				   interface and Contributor has knowledge of patent licenses which are reasonably necessary\n				   to implement that API, Contributor must also include this information in the LEGAL\n				   file.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a)\n				   above, Contributor believes that Contributor&apos;s Modifications are Contributor&apos;s\n				   original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed\n				   by this License.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			  Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If\n				 it is not possible to put such notice in a particular Source Code file due to its structure,\n				 then You must include such notice in a location (such as a relevant directory) where a user\n				 would be likely to look for such a notice. If You created one or more Modification(s) You may\n				 add your name as a Contributor to the notice described in Exhibit A. You must also duplicate\n				 this License in any documentation for the Source Code where You describe recipients&apos;\n				 rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a\n				 fee for, warranty, support, indemnity or liability obligations to one or more recipients of\n				 Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial\n				 Developer or any Contributor. You must make it absolutely clear than any such warranty,\n				 support, indemnity or liability obligation is offered by You alone, and You hereby agree to\n				 indemnify the Initial Developer and every Contributor for any liability incurred by the\n				 Initial Developer or such Contributor as a result of warranty, support, indemnity or liability\n				 terms You offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n			  Distribution of Executable Versions. You may distribute Covered Code in Executable form only if\n				 the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a\n				 notice stating that the Source Code version of the Covered Code is available under the terms\n				 of this License, including a description of how and where You have fulfilled the obligations\n				 of Section 3.2. The notice must be conspicuously included in any notice in an Executable\n				 version, related documentation or collateral in which You describe recipients&apos; rights\n				 relating to the Covered Code. You may distribute the Executable version of Covered Code or\n				 ownership rights under a license of Your choice, which may contain terms different from this\n				 License, provided that You are in compliance with the terms of this License and that the\n				 license for the Executable version does not attempt to limit or alter the recipient&apos;s\n				 rights in the Source Code version from the rights set forth in this License. If You distribute\n				 the Executable version under a different license You must make it absolutely clear that any\n				 terms which differ from this License are offered by You alone, not by the Initial Developer or\n				 any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for\n				 any liability incurred by the Initial Developer or such Contributor as a result of any such\n				 terms You offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7.</var>\n			  Larger Works. You may create a Larger Work by combining Covered Code with other code not governed\n				 by the terms of this License and distribute the Larger Work as a single product. In such a\n				 case, You must make sure the requirements of this License are fulfilled for the Covered\n				 Code.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Inability to Comply Due to Statute or Regulation.\n			<br />\n\n   If it is impossible for You to comply with any of the terms of this License with respect to\n				 some or all of the Covered Code due to statute, judicial order, or regulation then You\n				 must: (a) comply with the terms of this License to the maximum extent possible; and\n				 (b) describe the limitations and the code they affect. Such description must be\n				 included in the LEGAL file described in Section 3.4 and must be included with all\n				 distributions of the Source Code. Except to the extent prohibited by statute or\n				 regulation, such description must be sufficiently detailed for a recipient of ordinary\n				 skill to be able to understand it.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Application of this License.\n			<br />\n\n   This License applies to code to which the Initial Developer has attached the notice in\n				 Exhibit A and to related Covered Code.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Versions of the License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n			  New Versions. CUA Office Project may publish revised and/or new versions of the License from time\n				 to time. Each version will be given a distinguishing version number.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n			  Effect of New Versions. Once Covered Code has been published under a particular version of the\n				 License, You may always continue to use it under the terms of that version. You may also\n				 choose to use such Covered Code under the terms of any subsequent version of the License\n				 published by CUA Office Project. No one other than CUA Office Project has the right to modify\n				 the terms applicable to Covered Code created under this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3.</var>\n			  Derivative Works. If You create or use a modified version of this License (which you may only do\n				 in order to apply it to code which is not already Covered Code governed by this License), You\n				 must (a) rename Your license so that the phrases &quot;CUA Office&quot;, &quot;CUA&quot;,\n				 &quot;CUAPL&quot;, or any confusingly similar phrase do not appear in your license (except to\n				 note that your license differs from this License) and (b) otherwise make it clear that Your\n				 version of the license contains terms which differ from the CUA Office Public License.\n				 (Filling in the name of the Initial Developer, Original Code or Contributor in the notice\n				 described in Exhibit A shall not of themselves be deemed to be modifications of this\n				 License.)\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  DISCLAIMER OF WARRANTY.\n			<br />\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTY\n				 OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\n				 THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE\n				 OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED\n				 CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE\n				 INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY\n				 SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL\n				 PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER\n				 THIS DISCLAIMER.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  TERMINATION.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1.</var>\n			  This License and the rights granted hereunder will terminate automatically if You fail to comply\n				 with terms herein and fail to cure such breach within 30 days of becoming aware of the breach.\n				 All sublicenses to the Covered Code which are properly granted shall survive any termination\n				 of this License. Provisions which, by their nature, must remain in effect beyond the\n				 termination of this License shall survive.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2.</var>\n			  If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment\n				 actions) against Initial Developer or a Contributor (the Initial Developer or Contributor\n				 against whom You file such action is referred to as &quot;Participant&quot;) alleging\n				 that:\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				such Participant&apos;s Contributor Version directly or indirectly infringes any patent, then\n				   any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of\n				   this License shall, upon 60 days notice from Participant terminate prospectively, unless\n				   if within 60 days after receipt of notice You either: (i) agree in writing to pay\n				   Participant a mutually agreeable reasonable royalty for Your past and future use of\n				   Modifications made by such Participant, or (ii) withdraw Your litigation claim with\n				   respect to the Contributor Version against such Participant. If within 60 days of notice,\n				   a reasonable royalty and payment arrangement are not mutually agreed upon in writing by\n				   the parties or the litigation claim is not withdrawn, the rights granted by Participant to\n				   You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day\n				   notice period specified above.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				any software, hardware, or device, other than such Participant&apos;s Contributor Version,\n				   directly or indirectly infringes any patent, then any rights granted to You by such\n				   Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You\n				   first made, used, sold, distributed, or had made, Modifications made by that\n				   Participant.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.3.</var>\n			  If You assert a patent infringement claim against Participant alleging that such\n				 Participant&apos;s Contributor Version directly or indirectly infringes any patent where such\n				 claim is resolved (such as by license or settlement) prior to the initiation of patent\n				 infringement litigation, then the reasonable value of the licenses granted by such Participant\n				 under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of\n				 any payment or license.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.4.</var>\n			  In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements\n				 (excluding distributors and resellers) which have been validly granted by You or any\n				 distributor hereunder prior to termination shall survive termination.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY.\n			<br />\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE),\n				 CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR\n				 ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO\n				 ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY\n				 CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE,\n				 COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES,\n				 EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS\n				 LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY\n				 RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS\n				 SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF\n				 INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\n				 YOU.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  U.S. GOVERNMENT END USERS.\n			<br />\n\n   The Covered Code is a &quot;commercial item,&quot; as that term is defined in 48 C.F.R.\n				 2.101 (Oct. 1995), consisting of &quot;commercial computer software&quot; and\n				 &quot;commercial computer software documentation,&quot; as such terms are used in 48\n				 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1\n				 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\n				 with only those rights set forth herein.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  MISCELLANEOUS.\n			<br />\n\n   This License represents the complete agreement concerning subject matter hereof. If any\n				 provision of this License is held to be unenforceable, such provision shall be\n				 reformed only to the extent necessary to make it enforceable. This License shall be\n				 governed by California law provisions (except to the extent applicable law, if any,\n				 provides otherwise), excluding its conflict-of-law provisions. With respect to\n				 disputes in which at least one party is a citizen of, or an entity chartered or\n				 registered to do business in the United States of America, any litigation relating to\n				 this License shall be subject to the jurisdiction of the Federal Courts of the\n				 Northern District of California, with venue lying in Santa Clara County, California,\n				 with the losing party responsible for costs, including without limitation, court costs\n				 and reasonable attorneys&apos; fees and expenses. The application of the United\n				 Nations Convention on Contracts for the International Sale of Goods is expressly\n				 excluded. Any law or regulation which provides that the language of a contract shall\n				 be consTrued against the drafter shall not apply to this License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  RESPONSIBILITY FOR CLAIMS.\n			<br />\n\n   As between Initial Developer and the Contributors, each party is responsible for claims and\n				 damages arising, directly or indirectly, out of its utilization of rights under this\n				 License and You agree to work with Initial Developer and Contributors to distribute\n				 such responsibility on an equitable basis. Nothing herein is intended or shall be\n				 deemed to constitute any admission of liability.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  MULTIPLE-LICENSED CODE.\n		  <br />\n\n   Initial Developer may designate portions of the Covered Code as &quot;Multiple-Licensed&quot;.\n			 &quot;Multiple-Licensed&quot; means that the Initial Developer permits you to utilize portions of the\n			 Covered Code under Your choice of the NPL or the alternative licenses, if any, specified by the\n			 Initial Developer in the file described in Exhibit A.\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A - CUA Office Public License.</p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>The contents of this file are subject to the CUA Office Public License Version 1.0 (the\n		 &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain\n		 a copy of the License at http://cuaoffice.sourceforge.net/</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF\n		 ANY KIND, either express or implied. See the License for the specific language governing rights and\n		 limitations under the License.</p>\n\n		 <p>The Original Code is <var class=\"replaceable-license-text\"> ______________________________________</var>.</p>\n\n		 <p>The Initial Developer of the Original Code is <var class=\"replaceable-license-text\"> ________________________</var>. Portions created by\n		 <var class=\"replaceable-license-text\"> ______________________</var> are Copyright (C) <var class=\"replaceable-license-text\"> ______ _______________________</var>. All Rights Reserved.</p>\n\n		 <p>Contributor(s): <var class=\"replaceable-license-text\"> ______________________________________</var>.</p>\n\n		 <p>Alternatively, the contents of this file may be used under the terms of the <var class=\"replaceable-license-text\"> _____</var> license (the\n		 &quot;<var class=\"replaceable-license-text\"> [___]</var> License&quot;), in which case the provisions of <var class=\"replaceable-license-text\"> [______]</var> License are applicable instead of\n		 those above. If you wish to allow use of your version of this file only under the terms of the <var class=\"replaceable-license-text\"> [____]</var>\n		 License and not to allow others to use your version of this file under the CUAPL, indicate your\n		 decision by deleting the provisions above and replace them with the notice and other provisions\n		 required by the <var class=\"replaceable-license-text\"> [___]</var> License. If you do not delete the provisions above, a recipient may use your\n		 version of this file under either the CUAPL or the <var class=\"replaceable-license-text\"> [___]</var> License.<var class=\"optional-license-text\">&quot;</var></p>\n\n		 <p>[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code\n		 files of the Original Code. You should use the text of this Exhibit A rather than the text found in\n		 the Original Code Source Code for Your Modifications.]</p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p><var class=\"optional-license-text\">&quot;</var>The contents of this file are subject to the CUA Office Public License Version 1.0 (the\n		 &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain\n		 a copy of the License at http://cuaoffice.sourceforge.net/</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF\n		 ANY KIND, either express or implied. See the License for the specific language governing rights and\n		 limitations under the License.</p>\n\n		 <p>The Original Code is <var class=\"replaceable-license-text\"> ______________________________________</var>.</p>\n\n		 <p>The Initial Developer of the Original Code is <var class=\"replaceable-license-text\"> ________________________</var>. Portions created by\n		 <var class=\"replaceable-license-text\"> ______________________</var> are Copyright (C) <var class=\"replaceable-license-text\"> ______ _______________________</var>. All Rights Reserved.</p>\n\n		 <p>Contributor(s): <var class=\"replaceable-license-text\"> ______________________________________</var>.</p>\n\n		 <p>Alternatively, the contents of this file may be used under the terms of the <var class=\"replaceable-license-text\"> _____</var> license (the\n		 &quot;<var class=\"replaceable-license-text\"> [___]</var> License&quot;), in which case the provisions of <var class=\"replaceable-license-text\"> [______]</var> License are applicable instead of\n		 those above. If you wish to allow use of your version of this file only under the terms of the <var class=\"replaceable-license-text\"> [____]</var>\n		 License and not to allow others to use your version of this file under the CUAPL, indicate your\n		 decision by deleting the provisions above and replace them with the notice and other provisions\n		 required by the <var class=\"replaceable-license-text\"> [___]</var> License. If you do not delete the provisions above, a recipient may use your\n		 version of this file under either the CUAPL or the <var class=\"replaceable-license-text\"> [___]</var> License.<var class=\"optional-license-text\">&quot;</var></p>\n\n		 "
		self.python_name = "CUAOPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDexportUS:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1990 by the Massachusetts Institute of Technology\n\nExport of this software from the United States of America may  require a specific license from the United States Government.  It is the responsibility of any person or organization contemplating  export to obtain such a license before exporting.\n\nWITHIN THAT CONSTRAINT, permission to use, copy, modify, and  distribute this software and its documentation for any purpose and  without fee is hereby granted, provided that the above copyright  notice appear in all copies and that both that copyright notice and  this permission notice appear in supporting documentation, and that  the name of M.I.T. not be used in advertising or publicity pertaining  to distribution of the software without specific, written prior  permission. M.I.T. makes no representations about the suitability of  this software for any purpose. It is provided \"as is\" without express  or implied warranty.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1990 by the Massachusetts Institute of Technology\";match=\".{0,5000}\">>\n\nExport of this software from the United States of America may require a specific license from the United States Government. It is the responsibility of any person or organization contemplating export to obtain such a license before exporting.\n\nWITHIN THAT CONSTRAINT, permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of M.I.T. not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. M.I.T. makes no representations about the suitability of this software for any purpose. It is provided \"as is\" without express or implied warranty.\n\n"
		self.name = "HPND with US Government export control warning"
		self.licenseComments = "This license is found in the Kermit project. It is similar to HPND, with an additional initial statement regarding export control laws."
		self.licenseId = "HPND-export-US"
		self.crossRef = [{"match": "False", "url": "https://www.kermitproject.org/ck90.html#source", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:50Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.kermitproject.org/ck90.html#source"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\t\t<var class=\"replaceable-license-text\"> \n\t\tCopyright (C) 1990 by the Massachusetts Institute of Technology\n\t\t</var>\n\n\t\t<p>Export of this software from the United States of America may\n\t\trequire a specific license from the United States Government.\n\t\tIt is the responsibility of any person or organization contemplating\n\t\texport to obtain such a license before exporting.</p>\n\n\t\t<p>WITHIN THAT CONSTRAINT, permission to use, copy, modify, and\n\t\tdistribute this software and its documentation for any purpose and\n\t\twithout fee is hereby granted, provided that the above copyright\n\t\tnotice appear in all copies and that both that copyright notice and\n\t\tthis permission notice appear in supporting documentation, and that\n\t\tthe name of M.I.T. not be used in advertising or publicity pertaining\n\t\tto distribution of the software without specific, written prior\n\t\tpermission. M.I.T. makes no representations about the suitability of\n\t\tthis software for any purpose. It is provided &quot;as is&quot; without express\n\t\tor implied warranty.</p>\n\n\t\t"
		self.python_name = "HPNDexportUS"

	def __str__(self):
		return json.dumps(self.__dict__)


class NICTA10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "NICTA Public Software Licence\nVersion 1.0\n\nCopyright \u00a9 2004 National ICT Australia Ltd\n\nAll rights reserved.\n\nBy this licence, National ICT Australia Ltd (NICTA) grants permission,\nfree of charge, to any person who obtains a copy of this software\nand any associated documentation files (\"the Software\") to use and\ndeal with the Software in source code and binary forms without\nrestriction, with or without modification, and to permit persons\nto whom the Software is furnished to do so, provided that the\nfollowing conditions are met:\n\n- Redistributions of source code must retain the above copyright\n  notice, this list of conditions and the following disclaimers.\n- Redistributions in binary form must reproduce the above copyright\n  notice, this list of conditions and the following disclaimers in\n  the documentation and/or other materials provided with the\n  distribution.\n- The name of NICTA may not be used to endorse or promote products\n  derived from this Software without specific prior written permission.\n\nEXCEPT AS EXPRESSLY STATED IN THIS LICENCE AND TO THE FULL EXTENT\nPERMITTED BY APPLICABLE LAW, THE SOFTWARE IS PROVIDED \"AS-IS\" AND\nNICTA MAKES NO REPRESENTATIONS, WARRANTIES OR CONDITIONS OF ANY\nKIND, EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY\nREPRESENTATIONS, WARRANTIES OR CONDITIONS REGARDING THE CONTENTS\nOR ACCURACY OF THE SOFTWARE, OR OF TITLE, MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE, NONINFRINGEMENT, THE ABSENCE OF LATENT\nOR OTHER DEFECTS, OR THE PRESENCE OR ABSENCE OF ERRORS, WHETHER OR\nNOT DISCOVERABLE.\n\nTO THE FULL EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL\nNICTA BE LIABLE ON ANY LEGAL THEORY (INCLUDING, WITHOUT LIMITATION,\nNEGLIGENCE) FOR ANY LOSS OR DAMAGE WHATSOEVER, INCLUDING (WITHOUT\nLIMITATION) LOSS OF PRODUCTION OR OPERATION TIME, LOSS, DAMAGE OR\nCORRUPTION OF DATA OR RECORDS; OR LOSS OF ANTICIPATED SAVINGS,\nOPPORTUNITY, REVENUE, PROFIT OR GOODWILL, OR OTHER ECONOMIC LOSS;\nOR ANY SPECIAL, INCIDENTAL, INDIRECT, CONSEQUENTIAL, PUNITIVE OR\nEXEMPLARY DAMAGES ARISING OUT OF OR IN CONNECTION WITH THIS LICENCE,\nTHE SOFTWARE OR THE USE OF THE SOFTWARE, EVEN IF NICTA HAS BEEN\nADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nIf applicable legislation implies warranties or conditions, or\nimposes obligations or liability on NICTA in respect of the Software\nthat cannot be wholly or partly excluded, restricted or modified,\nNICTA's liability is limited, to the full extent permitted by the\napplicable legislation, at its option, to:\n\na. in the case of goods, any one or more of the following:\n  i.   the replacement of the goods or the supply of equivalent goods;\n  ii.  the repair of the goods;\n  iii. the payment of the cost of replacing the goods or of acquiring\n	   equivalent goods;\n  iv.  the payment of the cost of having the goods repaired; or\nb. in the case of services:\n  i.   the supplying of the services again; or \n  ii.  the payment of the cost of having the services supplied\n	   again.\n"
		self.standardLicenseTemplate = "<<beginOptional>>NICTA Public Software Licence\n\nVersion 1.0\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright \u00a9 2004 National ICT Australia Ltd	All rights reserved.  \";match=\".{0,5000}\">>\n\nBy this licence, National ICT Australia Ltd (NICTA) grants permission, free of charge, to any person who obtains a copy of this software and any associated documentation files (\"the Software\") to use and deal with the Software in source code and binary forms without restriction, with or without modification, and to permit persons to whom the Software is furnished to do so, provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimers.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimers in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> The name of NICTA may not be used to endorse or promote products derived from this Software without specific prior written permission.\n\nEXCEPT AS EXPRESSLY STATED IN THIS LICENCE AND TO THE FULL EXTENT PERMITTED BY APPLICABLE LAW, THE SOFTWARE IS PROVIDED \"AS-IS\" AND NICTA MAKES NO REPRESENTATIONS, WARRANTIES OR CONDITIONS OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY REPRESENTATIONS, WARRANTIES OR CONDITIONS REGARDING THE CONTENTS OR ACCURACY OF THE SOFTWARE, OR OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, THE ABSENCE OF LATENT OR OTHER DEFECTS, OR THE PRESENCE OR ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.\n\nTO THE FULL EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL NICTA BE LIABLE ON ANY LEGAL THEORY (INCLUDING, WITHOUT LIMITATION, NEGLIGENCE) FOR ANY LOSS OR DAMAGE WHATSOEVER, INCLUDING (WITHOUT LIMITATION) LOSS OF PRODUCTION OR OPERATION TIME, LOSS, DAMAGE OR CORRUPTION OF DATA OR RECORDS; OR LOSS OF ANTICIPATED SAVINGS, OPPORTUNITY, REVENUE, PROFIT OR GOODWILL, OR OTHER ECONOMIC LOSS; OR ANY SPECIAL, INCIDENTAL, INDIRECT, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF OR IN CONNECTION WITH THIS LICENCE, THE SOFTWARE OR THE USE OF THE SOFTWARE, EVEN IF NICTA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nIf applicable legislation implies warranties or conditions, or imposes obligations or liability on NICTA in respect of the Software that cannot be wholly or partly excluded, restricted or modified, NICTA's liability is limited, to the full extent permitted by the applicable legislation, at its option, to:\n\n   <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> in the case of goods, any one or more of the following:\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> the replacement of the goods or the supply of equivalent goods;\n\n	  <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> the repair of the goods;\n\n	  <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> the payment of the cost of replacing the goods or of acquiring equivalent goods;\n\n	  <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> the payment of the cost of having the goods repaired; or\n\n   <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> in the case of services:\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> the supplying of the services again; or\n\n	  <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> the payment of the cost of having the services supplied again."
		self.name = "NICTA Public Software License, Version 1.0"
		self.licenseId = "NICTA-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.apple.com/source/mDNSResponder/mDNSResponder-320.10/mDNSPosix/nss_ReadMe.txt", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:15:08Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.apple.com/source/mDNSResponder/mDNSResponder-320.10/mDNSPosix/nss_ReadMe.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<div class=\"optional-license-text\"> \n			<p>NICTA Public Software Licence</p>\n\n			<p>Version 1.0</p>\n\n		</div>\n		<div class=\"replaceable-license-text\"> \n			<p>Copyright \u00a9 2004 National ICT Australia Ltd</p>\n\n			<p>All rights reserved.</p>\n\n		</div>\n\n		<p>By this licence, National ICT Australia Ltd (NICTA) grants permission,\n		free of charge, to any person who obtains a copy of this software\n		and any associated documentation files (&quot;the Software&quot;) to use and\n		deal with the Software in source code and binary forms without\n		restriction, with or without modification, and to permit persons\n		to whom the Software is furnished to do so, provided that the\n		following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> -</var> Redistributions of source code must retain the above copyright\n				notice, this list of conditions and the following disclaimers.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> -</var> Redistributions in binary form must reproduce the above copyright\n				notice, this list of conditions and the following disclaimers in\n				the documentation and/or other materials provided with the\n				distribution.\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> -</var> The name of NICTA may not be used to endorse or promote products\n				derived from this Software without specific prior written permission.\n			</li>\n		\n</ul>\n\n		<p>EXCEPT AS EXPRESSLY STATED IN THIS LICENCE AND TO THE FULL EXTENT\n		PERMITTED BY APPLICABLE LAW, THE SOFTWARE IS PROVIDED &quot;AS-IS&quot; AND\n		NICTA MAKES NO REPRESENTATIONS, WARRANTIES OR CONDITIONS OF ANY\n		KIND, EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY\n		REPRESENTATIONS, WARRANTIES OR CONDITIONS REGARDING THE CONTENTS\n		OR ACCURACY OF THE SOFTWARE, OR OF TITLE, MERCHANTABILITY, FITNESS\n		FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, THE ABSENCE OF LATENT\n		OR OTHER DEFECTS, OR THE PRESENCE OR ABSENCE OF ERRORS, WHETHER OR\n		NOT DISCOVERABLE.</p>\n\n		<p>TO THE FULL EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL\n		NICTA BE LIABLE ON ANY LEGAL THEORY (INCLUDING, WITHOUT LIMITATION,\n		NEGLIGENCE) FOR ANY LOSS OR DAMAGE WHATSOEVER, INCLUDING (WITHOUT\n		LIMITATION) LOSS OF PRODUCTION OR OPERATION TIME, LOSS, DAMAGE OR\n		CORRUPTION OF DATA OR RECORDS; OR LOSS OF ANTICIPATED SAVINGS,\n		OPPORTUNITY, REVENUE, PROFIT OR GOODWILL, OR OTHER ECONOMIC LOSS;\n		OR ANY SPECIAL, INCIDENTAL, INDIRECT, CONSEQUENTIAL, PUNITIVE OR\n		EXEMPLARY DAMAGES ARISING OUT OF OR IN CONNECTION WITH THIS LICENCE,\n		THE SOFTWARE OR THE USE OF THE SOFTWARE, EVEN IF NICTA HAS BEEN\n		ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p>\n\n		<p>If applicable legislation implies warranties or conditions, or\n		imposes obligations or liability on NICTA in respect of the Software\n		that cannot be wholly or partly excluded, restricted or modified,\n		NICTA&apos;s liability is limited, to the full extent permitted by the\n		applicable legislation, at its option, to:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> a.</var> in the case of goods, any one or more of the following:\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> i.</var> the replacement of the goods or the supply of equivalent goods;\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> ii.</var> the repair of the goods;\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> iii.</var> the payment of the cost of replacing the goods or of acquiring\n						equivalent goods;\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> iv.</var> the payment of the cost of having the goods repaired; or\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<var class=\"replaceable-license-text\"> b.</var> in the case of services:\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> i.</var> the supplying of the services again; or \n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> ii.</var> the payment of the cost of having the services supplied\n						again.\n					</li>\n				\n</ul>\n			</li>\n		\n</ul>\n\n	"
		self.python_name = "NICTA10"

	def __str__(self):
		return json.dumps(self.__dict__)


class SMPPL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Secure Messaging Protocol (SMP) Libraries [ACL, CML, SFL]\n\nDistribution Rights\n\nAll source code for the SMP is being provided at no cost and with no financial limitations regarding its use and distribution. Organizations can use the SMP without paying any royalties or licensing fees. The SMP was originally developed by the U.S. Government. BAE Systems is enhancing and supporting the SMP under contract to the U.S. Government. The U.S. Government is furnishing the SMP software at no cost to the vendor subject to the conditions of the SMP Public License provided with the SMP software.\n\n29 May 2002\n\nSecure Messaging Protocol (SMP) Public License\n\nThe United States Government/Department of Defense/National Security Agency/Office of Network Security (collectively \"the U.S. Government\") hereby grants permission to any person obtaining a copy of the SMP source and object files (the \"SMP Software\") and associated documentation files (the \"SMP Documentation\"), or any portions thereof, to do the following, subject to the following license conditions:\n\nYou may, free of charge and without additional permission from the U.S. Government, use, copy, modify, sublicense and otherwise distribute the SMP Software or components of the SMP Software, with or without modifications developed by you and/or by others.\n\nYou may, free of charge and without additional permission from the U.S. Government, distribute copies of the SMP Documentation, with or without modifications developed by you and/or by others, at no charge or at a charge that covers the cost of reproducing such copies, provided that this SMP Public License is retained.\n\nFurthermore, if you distribute the SMP Software or parts of the SMP Software, with or without modifications developed by you and/or others, then you must either make available the source code to all portions of the SMP Software (exclusive of any modifications made by you and/or by others) upon request, or instead you may notify anyone requesting the SMP Software source code that it is freely available from the U.S. Government.\n\nTransmission of this SMP Public License must accompany whatever portions of the SMP Software you redistribute.\n\nThe SMP Software is provided without warranty or guarantee of any nature, express or implied, including without limitation the warranties of merchantability and fitness for a particular purpose.\n\nThe U.S. Government cannot be held liable for any damages either directly or indirectly caused by the use of the SMP Software.\n\nIt is not permitted to copy, sublicense, distribute or transfer any of the SMP Software except as expressly indicated herein.  Any attempts to do otherwise will be considered a violation of this License and your rights to the SMP Software will be voided.\n\nThe SMP uses the Enhanced SNACC (eSNACC) Abstract Syntax Notation One (ASN.1) C++ Library to ASN.1 encode and decode security-related data objects.  The eSNACC ASN.1 C++ Library is covered by the ENHANCED SNACC SOFTWARE PUBLIC LICENSE.  None of the GNU public licenses apply to the eSNACC ASN.1 C++ Library.  The eSNACC Compiler is not distributed as part of the SMP.\n\nCopyright \u00a9 1997-2002 National Security Agency\n"
		self.standardLicenseTemplate = "<<beginOptional>>Secure Messaging Protocol (SMP) Libraries [ACL, CML, SFL]\n\n<<endOptional>>\n\nDistribution Rights\n\nAll source code for the SMP is being provided at no cost and with no financial limitations regarding its use and distribution. Organizations can use the SMP without paying any royalties or licensing fees. The SMP was originally developed by the U.S. Government. BAE Systems is enhancing and supporting the SMP under contract to the U.S. Government. The U.S. Government is furnishing the SMP software at no cost to the vendor subject to the conditions of the SMP Public License provided with the SMP software.\n\n29 May 2002\n\nSecure Messaging Protocol (SMP) Public License\n\nThe United States Government/Department of Defense/National Security Agency/Office of Network Security (collectively \"the U.S. Government\") hereby grants permission to any person obtaining a copy of the SMP source and object files (the \"SMP Software\") and associated documentation files (the \"SMP Documentation\"), or any portions thereof, to do the following, subject to the following license conditions:\n\nYou may, free of charge and without additional permission from the U.S. Government, use, copy, modify, sublicense and otherwise distribute the SMP Software or components of the SMP Software, with or without modifications developed by you and/or by others.\n\nYou may, free of charge and without additional permission from the U.S. Government, distribute copies of the SMP Documentation, with or without modifications developed by you and/or by others, at no charge or at a charge that covers the cost of reproducing such copies, provided that this SMP Public License is retained.\n\nFurthermore, if you distribute the SMP Software or parts of the SMP Software, with or without modifications developed by you and/or others, then you must either make available the source code to all portions of the SMP Software (exclusive of any modifications made by you and/or by others) upon request, or instead you may notify anyone requesting the SMP Software source code that it is freely available from the U.S. Government.\n\nTransmission of this SMP Public License must accompany whatever portions of the SMP Software you redistribute.\n\nThe SMP Software is provided without warranty or guarantee of any nature, express or implied, including without limitation the warranties of merchantability and fitness for a particular purpose.\n\nThe U.S. Government cannot be held liable for any damages either directly or indirectly caused by the use of the SMP Software.\n\nIt is not permitted to copy, sublicense, distribute or transfer any of the SMP Software except as expressly indicated herein. Any attempts to do otherwise will be considered a violation of this License and your rights to the SMP Software will be voided.\n\nThe SMP uses the Enhanced SNACC (eSNACC) Abstract Syntax Notation One (ASN.1) C++ Library to ASN.1 encode and decode security-related data objects. The eSNACC ASN.1 C++ Library is covered by the ENHANCED SNACC SOFTWARE PUBLIC LICENSE. None of the GNU public licenses apply to the eSNACC ASN.1 C++ Library. The eSNACC Compiler is not distributed as part of the SMP.\n\n<<var;name=\"copyright\";original=\"Copyright \u00a9 1997-2002 National Security Agency  \";match=\".{0,5000}\">>"
		self.name = "Secure Messaging Protocol Public License"
		self.licenseId = "SMPPL"
		self.crossRef = [{"match": "False", "url": "https://github.com/dcblake/SMP/blob/master/Documentation/License.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:30Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/dcblake/SMP/blob/master/Documentation/License.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Secure Messaging Protocol (SMP) Libraries [ACL, CML, SFL]</p>\n\n	  </div>\n		 <p>Distribution Rights</p>\n\n	  <p>All source code for the SMP is being provided at no cost and with\n		 no financial limitations regarding its use and distribution.\n		 Organizations can use the SMP without paying any royalties or\n		 licensing fees. The SMP was originally developed by the U.S.\n		 Government. BAE Systems is enhancing and supporting the SMP\n		 under contract to the U.S. Government. The U.S. Government is\n		 furnishing the SMP software at no cost to the vendor subject\n		 to the conditions of the SMP Public License provided with the\n		 SMP software.</p>\n\n	  <p>29 May 2002</p>\n\n	  <p>Secure Messaging Protocol (SMP) Public License</p>\n\n	  <p>The United States Government/Department of Defense/National\n		 Security Agency/Office of Network Security (collectively &quot;the\n		 U.S. Government&quot;) hereby grants permission to any person\n		 obtaining a copy of the SMP source and object files (the &quot;SMP\n		 Software&quot;) and associated documentation files (the &quot;SMP\n		 Documentation&quot;), or any portions thereof, to do the following,\n		 subject to the following license conditions:</p>\n\n	  <p>You may, free of charge and without additional permission from\n		 the U.S. Government, use, copy, modify, sublicense and\n		 otherwise distribute the SMP Software or components of the SMP\n		 Software, with or without modifications developed by you\n		 and/or by others.</p>\n\n	  <p>You may, free of charge and without additional permission from\n		 the U.S. Government, distribute copies of the SMP\n		 Documentation, with or without modifications developed by you\n		 and/or by others, at no charge or at a charge that covers the\n		 cost of reproducing such copies, provided that this SMP Public\n		 License is retained.</p>\n\n	  <p>Furthermore, if you distribute the SMP Software or parts of the\n		 SMP Software, with or without modifications developed by you\n		 and/or others, then you must either make available the source\n		 code to all portions of the SMP Software (exclusive of any\n		 modifications made by you and/or by others) upon request, or\n		 instead you may notify anyone requesting the SMP Software\n		 source code that it is freely available from the U.S.\n		 Government.</p>\n\n	  <p>Transmission of this SMP Public License must accompany whatever\n		 portions of the SMP Software you redistribute.</p>\n\n	  <p>The SMP Software is provided without warranty or guarantee of any\n		 nature, express or implied, including without limitation the\n		 warranties of merchantability and fitness for a particular\n		 purpose.</p>\n\n	  <p>The U.S. Government cannot be held liable for any damages either\n		 directly or indirectly caused by the use of the SMP\n		 Software.</p>\n\n	  <p>It is not permitted to copy, sublicense, distribute or transfer\n		 any of the SMP Software except as expressly indicated herein.\n		 Any attempts to do otherwise will be considered a violation of\n		 this License and your rights to the SMP Software will be\n		 voided.</p>\n\n	  <p>The SMP uses the Enhanced SNACC (eSNACC) Abstract Syntax Notation\n		 One (ASN.1) C++ Library to ASN.1 encode and decode\n		 security-related data objects.  The eSNACC ASN.1 C++ Library\n		 is covered by the ENHANCED SNACC SOFTWARE PUBLIC LICENSE.\n		 None of the GNU public licenses apply to the eSNACC ASN.1 C++\n		 Library.  The eSNACC Compiler is not distributed as part of\n		 the SMP.</p>\n\n	   <div class=\"replaceable-license-text\"> \n		 <p>Copyright \u00a9 1997-2002 National Security Agency</p>\n\n	  </div>\n	"
		self.python_name = "SMPPL"

	def __str__(self):
		return json.dumps(self.__dict__)


class AdobeGlyph:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1997,1998,2002,2007 Adobe Systems Incorporated\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this documentation file to use, copy, publish, distribute, sublicense, and/or sell copies of the documentation, and to permit others to do the same, provided that:\n\n	 - No modification, editing or other alteration of this document is allowed; and\n	 - The above copyright notice and this permission notice shall be included in all copies of the documentation.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this documentation file, to create their own derivative works from the content of this document to use, copy, publish, distribute, sublicense, and/or sell the derivative works, and to permit others to do the same, provided that the derived work is not represented as being a copy or version of this document.\n\nAdobe shall not be liable to any party for any loss of revenue or profit or for indirect, incidental, special, consequential, or other similar damages, whether based on tort (including without limitation negligence or strict liability), contract or other legal or equitable grounds even if Adobe has been advised or had reason to know of the possibility of such damages. The Adobe materials are provided on an \"AS IS\" basis.\u00ca Adobe specifically disclaims all express, statutory, or implied warranties relating to the Adobe materials, including but not limited to those concerning merchantability or fitness for a particular purpose or non-infringement of any third party rights regarding the Adobe materials.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1997,1998,2002,2007 Adobe Systems Incorporated  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this documentation file to use, copy, publish, distribute, sublicense, and/or sell copies of the documentation, and to permit others to do the same, provided that:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> No modification, editing or other alteration of this document is allowed; and\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> The above copyright notice and this permission notice shall be included in all copies of the documentation.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this documentation file, to create their own derivative works from the content of this document to use, copy, publish, distribute, sublicense, and/or sell the derivative works, and to permit others to do the same, provided that the derived work is not represented as being a copy or version of this document.\n\nAdobe shall not be liable to any party for any loss of revenue or profit or for indirect, incidental, special, consequential, or other similar damages, whether based on tort (including without limitation negligence or strict liability), contract or other legal or equitable grounds even if Adobe has been advised or had reason to know of the possibility of such damages. <<var;name=\"eCircumflex1\";original=\"\";match=\"\u00ca?\">> The Adobe materials are provided on an \"AS IS\" basis. <<var;name=\"eCircumflex2\";original=\"\";match=\"\u00ca?\">> Adobe specifically disclaims all express, statutory, or implied warranties relating to the Adobe materials, including but not limited to those concerning merchantability or fitness for a particular purpose or non-infringement of any third party rights regarding the Adobe materials.\n\n"
		self.name = "Adobe Glyph List License"
		self.licenseId = "Adobe-Glyph"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/MIT#AdobeGlyph", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:32Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/MIT#AdobeGlyph"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1997,1998,2002,2007 Adobe Systems Incorporated</p>\n\n	  </div>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this documentation file\n		 to use, copy, publish, distribute, sublicense, and/or sell copies of the documentation, and to permit\n		 others to do the same, provided that:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  No modification, editing or other alteration of this document is allowed; and\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  The above copyright notice and this permission notice shall be included in all copies of the\n			 documentation.\n		</li>\n	  \n</ul>\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this documentation file,\n		 to create their own derivative works from the content of this document to use, copy, publish,\n		 distribute, sublicense, and/or sell the derivative works, and to permit others to do the same,\n		 provided that the derived work is not represented as being a copy or version of this document.</p>\n\n	  <p>Adobe shall not be liable to any party for any loss of revenue or profit or for indirect, incidental,\n		 special, consequential, or other similar damages, whether based on tort (including without limitation\n		 negligence or strict liability), contract or other legal or equitable grounds even if Adobe has been\n		 advised or had reason to know of the possibility of such damages.<var class=\"replaceable-license-text\"> </var> The Adobe\n		 materials are provided on an &quot;AS IS&quot; basis.<var class=\"replaceable-license-text\"> </var> Adobe specifically disclaims all\n		 express, statutory, or implied warranties relating to the Adobe materials, including but not limited\n		 to those concerning merchantability or fitness for a particular purpose or non-infringement of any\n		 third party rights regarding the Adobe materials.</p>\n\n	"
		self.python_name = "AdobeGlyph"

	def __str__(self):
		return json.dumps(self.__dict__)


class JSON:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "JSON License\n\nCopyright (c) 2002 JSON.org\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nThe Software shall be used for Good, not Evil.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>JSON License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2002 JSON.org  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nThe Software shall be used for Good, not Evil.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.name = "JSON License"
		self.licenseId = "JSON"
		self.crossRef = [{"match": "False", "url": "http://www.json.org/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:13Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.json.org/license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>JSON License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2002 JSON.org</p>\n\n	  </div>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and\n		 associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,\n		 including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,\n		 and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,\n		 subject to the following conditions:</p>\n\n	  <p>The above copyright notice and this permission notice shall be included in all copies or substantial\n		 portions of the Software.</p>\n\n	  <p>The Software shall be used for Good, not Evil.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\n		 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n		 SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	"
		self.python_name = "JSON"

	def __str__(self):
		return json.dumps(self.__dict__)


class MITFestival:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Permission is hereby granted, free of charge, to use and distribute\nthis software and its documentation without restriction, including\nwithout limitation the rights to use, copy, modify, merge, publish,\ndistribute, sublicense, and/or sell copies of this work, and to\npermit persons to whom this work is furnished to do so, subject to\nthe following conditions:\n1. The code must retain the above copyright notice, this list of\nconditions and the following disclaimer.\n2. Any modifications must be clearly marked as such.\n3. Original authors' names are not deleted.\n4. The authors' names are not used to endorse or promote products\nderived from this software without specific prior written\npermission.\nTHE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK\nDISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING\nALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT\nSHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE\nFOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\nWHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN\nAN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,\nARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF\nTHIS SOFTWARE.\n"
		self.standardLicenseTemplate = "Permission is hereby granted, free of charge, to use and distribute this software and its documentation without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of this work, and to permit persons to whom this work is furnished to do so, subject to the following conditions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Any modifications must be clearly marked as such.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Original authors' names are not deleted.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The authors' names are not used to endorse or promote products derived from this software without specific prior written permission.\n\n<<var;name=\"institution\";original=\"THE UNIVERSITY OF EDINBURGH\";match=\"THE UNIVERSITY OF EDINBURGH|CARNEGIE MELLON UNIVERSITY\">> AND THE CONTRIBUTORS TO THIS WORK DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n"
		self.name = "MIT Festival Variant"
		self.licenseId = "MIT-Festival"
		self.crossRef = [{"match": "False", "url": "https://github.com/festvox/speech_tools/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:47Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/festvox/flite/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:47Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/festvox/flite/blob/master/COPYING", "https://github.com/festvox/speech_tools/blob/master/COPYING"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>Permission is hereby granted, free of charge, to use and distribute\nthis software and its documentation without restriction, including\nwithout limitation the rights to use, copy, modify, merge, publish,\ndistribute, sublicense, and/or sell copies of this work, and to\npermit persons to whom this work is furnished to do so, subject to\nthe following conditions:</p>\n\n<ul style=\"list-style:none\">\n\n<li><var class=\"replaceable-license-text\"> 1.</var> The code must retain the above copyright notice, this list of\nconditions and the following disclaimer.</li>\n\n<li><var class=\"replaceable-license-text\"> 2.</var> Any modifications must be clearly marked as such.</li>\n\n<li><var class=\"replaceable-license-text\"> 3.</var> Original authors&apos; names are not deleted.</li>\n\n<li><var class=\"replaceable-license-text\"> 4.</var> The authors&apos; names are not used to endorse or promote products\nderived from this software without specific prior written\npermission.</li>\n\n</ul>\n<p><var class=\"replaceable-license-text\"> THE UNIVERSITY OF EDINBURGH</var> AND THE CONTRIBUTORS TO THIS WORK\nDISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING\nALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT\nSHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE\nFOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\nWHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN\nAN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,\nARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF\nTHIS SOFTWARE.</p>\n\n	  "
		self.python_name = "MITFestival"

	def __str__(self):
		return json.dumps(self.__dict__)


class MITfeh:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies of the Software and its documentation and acknowledgment shall be given in the documentation and software packages that this Software was used.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
		self.standardLicenseTemplate = "Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies of the Software and its documentation and acknowledgment shall be given in the documentation and software packages that this Software was used.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.name = "feh License"
		self.licenseId = "MIT-feh"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/MIT#feh", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:05Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/MIT#feh"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and\n		 associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,\n		 including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,\n		 and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,\n		 subject to the following conditions:</p>\n\n	  <p>The above copyright notice and this permission notice shall be included in all copies of the Software and\n		 its documentation and acknowledgment shall be given in the documentation and software packages that\n		 this Software was used.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\n		 OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR\n		 OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	"
		self.python_name = "MITfeh"

	def __str__(self):
		return json.dumps(self.__dict__)


class FSFAP:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.  This file is offered as-is, without any warranty.\n"
		self.standardLicenseTemplate = "Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved. This file is offered as-is, without <<var;name=\"warranty\";original=\"any warranty\";match=\"warranty of any kind|any warranty\">> .\n\n"
		self.name = "FSF All Permissive License"
		self.licenseId = "FSFAP"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/prep/maintain/html_node/License-Notices-for-Other-Files.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:30Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/prep/maintain/html_node/License-Notices-for-Other-Files.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>Copying and distribution of this file, with or without\n		 modification, are permitted in any medium without royalty\n		 provided the copyright notice and this notice are preserved.\n		 This file is offered as-is, without <var class=\"replaceable-license-text\"> any warranty</var>.</p>\n\n	"
		self.python_name = "FSFAP"

	def __str__(self):
		return json.dumps(self.__dict__)


class ASWFDigitalAssets10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "ASWF Digital Assets License v1.0\n\nLicense for <Asset Name> (the \"Asset Name\").\n\n<Asset Name> Copyright <Year> <Asset Owner>. All rights reserved.\n\nRedistribution and use of these digital assets, with or without modification, solely for education, training, research, software and hardware development, performance benchmarking (including publication of benchmark results and permitting reproducibility of the benchmark results by third parties), or software and hardware product demonstrations, are permitted provided that the following conditions are met:\n\n1. Redistributions of these digital assets or any part of them must include the above copyright notice, this list of conditions and the disclaimer below.\n\n2. Publications showing images derived from these digital assets must include the above copyright notice.\n\n3. The names of copyright holder or the names of its contributors may NOT be used to promote or to imply endorsement, sponsorship, or affiliation with products developed or tested utilizing these digital assets or benchmarking results obtained from these digital assets, without prior written permission from copyright holder.\n\n4. The assets and their output may only be referred to as the Asset Name listed above, and your use of the Asset Name shall be solely to identify the digital assets. Other than as expressly permitted by this License, you may NOT use any trade names, trademarks, service marks, or product names of the copyright holder for any purpose.\n\nDISCLAIMER: THESE DIGITAL ASSETS ARE PROVIDED BY THE COPYRIGHT HOLDER \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THESE DIGITAL ASSETS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>ASWF Digital Assets License v1.0\n\n<<endOptional>>\n\nLicense for <Asset Name> (the \"Asset Name\").\n\n<Asset Name> Copyright <Year> <Asset Owner>. All rights reserved.\n\nRedistribution and use of these digital assets, with or without modification, solely for education, training, research, software and hardware development, performance benchmarking (including publication of benchmark results and permitting reproducibility of the benchmark results by third parties), or software and hardware product demonstrations, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of these digital assets or any part of them must include the above copyright notice, this list of conditions and the disclaimer below.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Publications showing images derived from these digital assets must include the above copyright notice.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The names of copyright holder or the names of its contributors may NOT be used to promote or to imply endorsement, sponsorship, or affiliation with products developed or tested utilizing these digital assets or benchmarking results obtained from these digital assets, without prior written permission from copyright holder.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The assets and their output may only be referred to as the Asset Name listed above, and your use of the Asset Name shall be solely to identify the digital assets. Other than as expressly permitted by this License, you may NOT use any trade names, trademarks, service marks, or product names of the copyright holder for any purpose.\n\nDISCLAIMER: THESE DIGITAL ASSETS ARE PROVIDED BY THE COPYRIGHT HOLDER \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THESE DIGITAL ASSETS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "ASWF Digital Assets License version 1.0"
		self.licenseId = "ASWF-Digital-Assets-1.0"
		self.crossRef = [{"match": "False", "url": "https://github.com/AcademySoftwareFoundation/foundation/blob/main/digital_assets/aswf_digital_assets_license_v1.0.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:09Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/AcademySoftwareFoundation/foundation/blob/main/digital_assets/aswf_digital_assets_license_v1.0.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"optional-license-text\"> \n			<p>\n			   ASWF Digital Assets License v1.0\n			</p>\n\n		 </div>\n		 <p>\n			License for &lt;Asset Name&gt; (the &quot;Asset Name&quot;).\n		 </p>\n\n		 <p>\n			&lt;Asset Name&gt; Copyright &lt;Year&gt; &lt;Asset Owner&gt;. All rights reserved.\n		 </p>\n\n		 <p>\n			Redistribution and use of these digital assets, with or\n			without modification, solely for education, training,\n			research, software and hardware development, performance\n			benchmarking (including publication of benchmark results and\n			permitting reproducibility of the benchmark results by third\n			parties), or software and hardware product demonstrations,\n			are permitted provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   Redistributions of these digital assets or any part\n			   of them must include the above copyright notice,\n			   this list of conditions and the disclaimer below.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Publications showing images derived from these digital\n			   assets must include the above copyright notice.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   The names of copyright holder or the names of its\n			   contributors may NOT be used to promote or to imply\n			   endorsement, sponsorship, or affiliation with products\n			   developed or tested utilizing these digital assets or\n			   benchmarking results obtained from these digital assets,\n			   without prior written permission from copyright holder.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   The assets and their output may only be referred to as\n			   the Asset Name listed above, and your use of the Asset\n			   Name shall be solely to identify the digital assets.\n			   Other than as expressly permitted by this License, you\n			   may NOT use any trade names, trademarks, service marks,\n			   or product names of the copyright holder for any purpose.\n			</li>\n		 \n</ul>\n		 <p>\n			DISCLAIMER: THESE DIGITAL ASSETS ARE PROVIDED BY THE COPYRIGHT\n			HOLDER &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,\n			BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY\n			AND FITNESS FOR A PARTICULAR PURPOSE, ARE DISCLAIMED. IN NO\n			EVENT SHALL COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT,\n			INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n			(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\n			SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n			HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n			CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR\n			OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THESE DIGITAL\n			ASSETS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		 </p>\n\n	  "
		self.python_name = "ASWFDigitalAssets10"

	def __str__(self):
		return json.dumps(self.__dict__)


class xkeyboardconfigZinoviev:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1999, 2000 by Anton Zinoviev <anton@lml.bas.bg>\n\nThis software may be used, modified, copied, distributed, and sold,\nin both source and binary form provided that the above copyright\nand these terms are retained. Under no circumstances is the author\nresponsible for the proper functioning of this software, nor does\nthe author assume any responsibility for damages incurred with its\nuse.\n\nPermission is granted to anyone to use, distribute and modify\nthis file in any way, provided that the above copyright notice\nis left intact and the author of the modification summarizes\nthe changes in this header.\n\nThis file is distributed without any expressed or implied warranty.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1999, 2000 by Anton Zinoviev <anton@lml.bas.bg>\";match=\".{0,5000}\">>\n\nThis software may be used, modified, copied, distributed, and sold, in both source and binary form provided that the above copyright and these terms are retained. Under no circumstances is the author responsible for the proper functioning of this software, nor does the author assume any responsibility for damages incurred with its use.\n\nPermission is granted to anyone to use, distribute and modify this file in any way, provided that the above copyright notice is left intact and the author of the modification summarizes the changes in this header.\n\nThis file is distributed without any expressed or implied warranty.\n\n"
		self.name = "xkeyboard-config Zinoviev License"
		self.licenseComments = "The first section of this license is the same as Cronx, but it adds a second part and short warranty disclaimer."
		self.licenseId = "xkeyboard-config-Zinoviev"
		self.crossRef = [{"match": "False", "url": "https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config/-/blob/master/COPYING?ref_type=heads#L178", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:24Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config/-/blob/master/COPYING?ref_type=heads#L178"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (C) 1999, 2000 by Anton Zinoviev &lt;anton@lml.bas.bg&gt;\n		 </var>\n		 <p>\n			This software may be used, modified, copied, distributed, and sold,\n			in both source and binary form provided that the above copyright\n			and these terms are retained. Under no circumstances is the author\n			responsible for the proper functioning of this software, nor does\n			the author assume any responsibility for damages incurred with its\n			   use.\n		 </p>\n\n		 <p>\n			Permission is granted to anyone to use, distribute and modify\n			this file in any way, provided that the above copyright notice\n			is left intact and the author of the modification summarizes\n			the changes in this header.\n		 </p>\n\n		 <p>\n			This file is distributed without any expressed or implied warranty.\n		 </p>\n\n	  "
		self.python_name = "xkeyboardconfigZinoviev"

	def __str__(self):
		return json.dumps(self.__dict__)


class softSurfer:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 2001, softSurfer (www.softsurfer.com)\nThis code may be freely used and modified for any purpose																																\nproviding that this copyright notice is included with it.\nSoftSurfer makes no warranty for this code, and cannot be held\nliable for any real or imagined damage resulting from its use.\nUsers of this code must verify correctness for their application.\n"
		self.standardLicenseTemplate = "Copyright 2001, softSurfer (www.softsurfer.com)\n\nThis code may be freely used and modified for any purpose providing that this copyright notice is included with it. SoftSurfer makes no warranty for this code, and cannot be held liable for any real or imagined damage resulting from its use. Users of this code must verify correctness for their application.\n\n"
		self.name = "softSurfer License"
		self.licenseId = "softSurfer"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/softSurfer", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:37Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/mm2/Little-CMS/blob/master/src/cmssm.c#L207", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:38Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/mm2/Little-CMS/blob/master/src/cmssm.c#L207", "https://fedoraproject.org/wiki/Licensing/softSurfer"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			Copyright 2001, softSurfer (www.softsurfer.com)\n		 </p>\n\n		 <p>\n			This code may be freely used and modified for any purpose\n			providing that this copyright notice is included with it.\n			SoftSurfer makes no warranty for this code, and cannot be held\n			liable for any real or imagined damage resulting from its use.\n			Users of this code must verify correctness for their application.\n		 </p>\n\n	  "
		self.python_name = "softSurfer"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDUCexportUS:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1985, 1990 Regents of the University of California.\n\nPermission to use, copy, modify, and distribute this\nsoftware and its documentation for any purpose and without\nfee is hereby granted, provided that the above copyright\nnotice appear in all copies.  The University of California\nmakes no representations about the suitability of this\nsoftware for any purpose.  It is provided \"as is\" without\nexpress or implied warranty.  Export of this software outside\nof the United States of America may require an export license.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1985, 1990 Regents of the University of California.\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies. The University of California makes no representations about the suitability of this software for any purpose. It is provided \"as is\" without express or implied warranty. Export of this software outside of the United States of America may require an export license.\n\n"
		self.name = "Historical Permission Notice and Disclaimer - University of California, US export warning"
		self.licenseComments = "This license is similar to HPND-UC, but adds the sentence related to export law at the end."
		self.licenseId = "HPND-UC-export-US"
		self.crossRef = [{"match": "False", "url": "https://github.com/RTimothyEdwards/magic/blob/master/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:22Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/RTimothyEdwards/magic/blob/master/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (C) 1985, 1990 Regents of the University of California.\n		 </var>\n		 <p>\n			Permission to use, copy, modify, and distribute this software and\n			its documentation for any purpose and without fee is hereby granted,\n			provided that the above copyright notice appear in all copies.\n			The University of California makes no representations about the\n			suitability of this software for any purpose. It is provided &quot;as is&quot;\n			without express or implied warranty. Export of this software outside\n			of the United States of America may require an export license.\n		 </p>\n\n	  "
		self.python_name = "HPNDUCexportUS"

	def __str__(self):
		return json.dumps(self.__dict__)


class Aladdin:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "Aladdin Free Public License\n(Version 8, November 18, 1999)\n\nCopyright (C) 1994, 1995, 1997, 1998, 1999 Aladdin Enterprises, Menlo Park, California, U.S.A. All rights reserved.\n\nNOTE: This License is not the same as any of the GNU Licenses published by the Free Software Foundation. Its terms are substantially different from those of the GNU Licenses. If you are familiar with the GNU Licenses, please read this license with extra care.\n\nAladdin Enterprises hereby grants to anyone the permission to apply this License to their own work, as long as the entire License (including the above notices and this paragraph) is copied with no changes, additions, or deletions except for changing the first paragraph of Section 0 to include a suitable description of the work to which the license is being applied and of the person or entity that holds the copyright in the work, and, if the License is being applied to a work created in a country other than the United States, replacing the first paragraph of Section 6 with an appropriate reference to the laws of the appropriate country.\n\n0. Subject Matter\nThis License applies to the computer program known as \"Aladdin Ghostscript.\" The \"Program\", below, refers to such program. The Program is a copyrighted work whose copyright is held by Aladdin Enterprises (the \"Licensor\"). Please note that Aladdin Ghostscript is neither the program known as \"GNU Ghostscript\" nor the version of Ghostscript available for commercial licensing from Artifex Software Inc.\n\nA \"work based on the Program\" means either the Program or any derivative work of the Program, as defined in the United States Copyright Act of 1976, such as a translation or a modification.\n\nBY MODIFYING OR DISTRIBUTING THE PROGRAM (OR ANY WORK BASED ON THE PROGRAM), YOU INDICATE YOUR ACCEPTANCE OF THIS LICENSE TO DO SO, AND ALL ITS TERMS AND CONDITIONS FOR COPYING, DISTRIBUTING OR MODIFYING THE PROGRAM OR WORKS BASED ON IT. NOTHING OTHER THAN THIS LICENSE GRANTS YOU PERMISSION TO MODIFY OR DISTRIBUTE THE PROGRAM OR ITS DERIVATIVE WORKS. THESE ACTIONS ARE PROHIBITED BY LAW. IF YOU DO NOT ACCEPT THESE TERMS AND CONDITIONS, DO NOT MODIFY OR DISTRIBUTE THE PROGRAM.\n\n1. Licenses.\nLicensor hereby grants you the following rights, provided that you comply with all of the restrictions set forth in this License and provided, further, that you distribute an unmodified copy of this License with the Program:\n\n	 (a) You may copy and distribute literal (i.e., verbatim) copies of the Program's source code as you receive it throughout the world, in any medium.\n	 (b) You may modify the Program, create works based on the Program and distribute copies of such throughout the world, in any medium.\n\n2. Restrictions.\nThis license is subject to the following restrictions:\n\n	 (a) Distribution of the Program or any work based on the Program by a commercial organization to any third party is prohibited if any payment is made in connection with such distribution, whether directly (as in payment for a copy of the Program) or indirectly (as in payment for some service related to the Program, or payment for some product or service that includes a copy of the Program \"without charge\"; these are only examples, and not an exhaustive enumeration of prohibited activities). The following methods of distribution involving payment shall not in and of themselves be a violation of this restriction:\n\n		  (i) Posting the Program on a public access information storage and retrieval service for which a fee is received for retrieving information (such as an on-line service), provided that the fee is not content-dependent (i.e., the fee would be the same for retrieving the same volume of information consisting of random data) and that access to the service and to the Program is available independent of any other product or service. An example of a service that does not fall under this section is an on-line service that is operated by a company and that is only available to customers of that company. (This is not an exhaustive enumeration.)\n		  (ii) Distributing the Program on removable computer-readable media, provided that the files containing the Program are reproduced entirely and verbatim on such media, that all information on such media be redistributable for non-commercial purposes without charge, and that such media are distributed by themselves (except for accompanying documentation) independent of any other product or service. Examples of such media include CD-ROM, magnetic tape, and optical storage media. (This is not intended to be an exhaustive list.) An example of a distribution that does not fall under this section is a CD-ROM included in a book or magazine. (This is not an exhaustive enumeration.)\n\n	 (b) Activities other than copying, distribution and modification of the Program are not subject to this License and they are outside its scope. Functional use (running) of the Program is not restricted, and any output produced through the use of the Program is subject to this license only if its contents constitute a work based on the Program (independent of having been made by running the Program).\n\n	 (c) You must meet all of the following conditions with respect to any work that you distribute or publish that in whole or in part contains or is derived from the Program or any part thereof (\"the Work\"):\n\n		  (i) If you have modified the Program, you must cause the Work to carry prominent notices stating that you have modified the Program's files and the date of any change. In each source file that you have modified, you must include a prominent notice that you have modified the file, including your name, your e-mail address (if any), and the date and purpose of the change;\n		  (ii) You must cause the Work to be licensed as a whole and at no charge to all third parties under the terms of this License;\n		  (iii) If the Work normally reads commands interactively when run, you must cause it, at each time the Work commences operation, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty). Such notice must also state that users may redistribute the Work only under the conditions of this License and tell the user how to view the copy of this License included with the Work. (Exceptions: if the Program is interactive but normally prints or displays such an announcement only at the request of a user, such as in an \"About box\", the Work is required to print or display the notice only under the same circumstances; if the Program itself is interactive but does not normally print such an announcement, the Work is not required to print an announcement.);\n		  (iv) You must accompany the Work with the complete corresponding machine-readable source code, delivered on a medium customarily used for software interchange. The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable code. If you distribute with the Work any component that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, you must also distribute the source code of that component if you have it and are allowed to do so;\n		  (v) If you distribute any written or printed material at all with the Work, such material must include either a written copy of this License, or a prominent written indication that the Work is covered by this License and written instructions for printing and/or displaying the copy of the License on the distribution medium;\n		  (vi) You may not impose any further restrictions on the recipient's exercise of the rights granted herein.\n\nIf distribution of executable or object code is made by offering the equivalent ability to copy from a designated place, then offering equivalent ability to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source code along with the object code.\n\n3. Reservation of Rights.\nNo rights are granted to the Program except as expressly set forth herein. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n4. Other Restrictions.\nIf the distribution and/or use of the Program is restricted in certain countries for any reason, Licensor may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n5. Limitations.\nTHE PROGRAM IS PROVIDED TO YOU \"AS IS,\" WITHOUT WARRANTY. THERE IS NO WARRANTY FOR THE PROGRAM, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL LICENSOR, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n6. General.\nThis License is governed by the laws of the State of California, U.S.A., excluding choice of law rules.\n\nIf any part of this License is found to be in conflict with the law, that part shall be interpreted in its broadest meaning consistent with the law, and no other parts of the License shall be affected.\n\nFor United States Government users, the Program is provided with RESTRICTED RIGHTS. If you are a unit or agency of the United States Government or are acquiring the Program for any such unit or agency, the following apply:\n\nIf the unit or agency is the Department of Defense (\"DOD\"), the Program and its documentation are classified as \"commercial computer software\" and \"commercial computer software documentation\" respectively and, pursuant to DFAR Section 227.7202, the Government is acquiring the Program and its documentation in accordance with the terms of this License. If the unit or agency is other than DOD, the Program and its documentation are classified as \"commercial computer software\" and \"commercial computer software documentation\" respectively and, pursuant to FAR Section 12.212, the Government is acquiring the Program and its documentation in accordance with the terms of this License.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Aladdin Free Public License\n\n(Version 8, November 18, 1999)\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 1994, 1995, 1997, 1998, 1999 Aladdin Enterprises,  Menlo Park, California, U.S.A. All rights reserved.  \";match=\".{0,5000}\">><<beginOptional>> NOTE: This License is not the same as any of the GNU Licenses published by the Free Software Foundation. Its terms are substantially different from those of the GNU Licenses. If you are familiar with the GNU Licenses, please read this license with extra care.\n\nAladdin Enterprises hereby grants to anyone the permission to apply this License to their own work, as long as the entire License (including the above notices and this paragraph) is copied with no changes, additions, or deletions except for changing the first paragraph of Section 0 to include a suitable description of the work to which the license is being applied and of the person or entity that holds the copyright in the work, and, if the License is being applied to a work created in a country other than the United States, replacing the first paragraph of Section 6 with an appropriate reference to the laws of the appropriate country.\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Subject Matter\n\n   This License applies to the computer program known as \"Aladdin Ghostscript.\" The \"Program\", below, refers to such program. The Program is a copyrighted work whose copyright is held by Aladdin Enterprises (the \"Licensor\"). Please note that Aladdin Ghostscript is neither the program known as \"GNU Ghostscript\" nor the version of Ghostscript available for commercial licensing from Artifex Software Inc.\n\n   A \"work based on the Program\" means either the Program or any derivative work of the Program, as defined in the United States Copyright Act of 1976, such as a translation or a modification.\n\n   BY MODIFYING OR DISTRIBUTING THE PROGRAM (OR ANY WORK BASED ON THE PROGRAM), YOU INDICATE YOUR ACCEPTANCE OF THIS LICENSE TO DO SO, AND ALL ITS TERMS AND CONDITIONS FOR COPYING, DISTRIBUTING OR MODIFYING THE PROGRAM OR WORKS BASED ON IT. NOTHING OTHER THAN THIS LICENSE GRANTS YOU PERMISSION TO MODIFY OR DISTRIBUTE THE PROGRAM OR ITS DERIVATIVE WORKS. THESE ACTIONS ARE PROHIBITED BY LAW. IF YOU DO NOT ACCEPT THESE TERMS AND CONDITIONS, DO NOT MODIFY OR DISTRIBUTE THE PROGRAM.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Licenses.\n\n   Licensor hereby grants you the following rights, provided that you comply with all of the restrictions set forth in this License and provided, further, that you distribute an unmodified copy of this License with the Program:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> You may copy and distribute literal (i.e., verbatim) copies of the Program's source code as you receive it throughout the world, in any medium.\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You may modify the Program, create works based on the Program and distribute copies of such throughout the world, in any medium.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Restrictions.\n\n   This license is subject to the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Distribution of the Program or any work based on the Program by a commercial organization to any third party is prohibited if any payment is made in connection with such distribution, whether directly (as in payment for a copy of the Program) or indirectly (as in payment for some service related to the Program, or payment for some product or service that includes a copy of the Program \"without charge\"; these are only examples, and not an exhaustive enumeration of prohibited activities). The following methods of distribution involving payment shall not in and of themselves be a violation of this restriction:\n\n		 <<var;name=\"bullet\";original=\"(i)\";match=\".{0,20}\">> Posting the Program on a public access information storage and retrieval service for which a fee is received for retrieving information (such as an on-line service), provided that the fee is not content-dependent (i.e., the fee would be the same for retrieving the same volume of information consisting of random data) and that access to the service and to the Program is available independent of any other product or service. An example of a service that does not fall under this section is an on-line service that is operated by a company and that is only available to customers of that company. (This is not an exhaustive enumeration.)\n\n		 <<var;name=\"bullet\";original=\"(ii)\";match=\".{0,20}\">> Distributing the Program on removable computer-readable media, provided that the files containing the Program are reproduced entirely and verbatim on such media, that all information on such media be redistributable for non-commercial purposes without charge, and that such media are distributed by themselves (except for accompanying documentation) independent of any other product or service. Examples of such media include CD-ROM, magnetic tape, and optical storage media. (This is not intended to be an exhaustive list.) An example of a distribution that does not fall under this section is a CD-ROM included in a book or magazine. (This is not an exhaustive enumeration.)\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Activities other than copying, distribution and modification of the Program are not subject to this License and they are outside its scope. Functional use (running) of the Program is not restricted, and any output produced through the use of the Program is subject to this license only if its contents constitute a work based on the Program (independent of having been made by running the Program).\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> You must meet all of the following conditions with respect to any work that you distribute or publish that in whole or in part contains or is derived from the Program or any part thereof (\"the Work\"):\n\n		 <<var;name=\"bullet\";original=\"(i)\";match=\".{0,20}\">> If you have modified the Program, you must cause the Work to carry prominent notices stating that you have modified the Program's files and the date of any change. In each source file that you have modified, you must include a prominent notice that you have modified the file, including your name, your e-mail address (if any), and the date and purpose of the change;\n\n		 <<var;name=\"bullet\";original=\"(ii)\";match=\".{0,20}\">> You must cause the Work to be licensed as a whole and at no charge to all third parties under the terms of this License;\n\n		 <<var;name=\"bullet\";original=\"(iii)\";match=\".{0,20}\">> If the Work normally reads commands interactively when run, you must cause it, at each time the Work commences operation, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty). Such notice must also state that users may redistribute the Work only under the conditions of this License and tell the user how to view the copy of this License included with the Work. (Exceptions: if the Program is interactive but normally prints or displays such an announcement only at the request of a user, such as in an \"About box\", the Work is required to print or display the notice only under the same circumstances; if the Program itself is interactive but does not normally print such an announcement, the Work is not required to print an announcement.);\n\n		 <<var;name=\"bullet\";original=\"(iv)\";match=\".{0,20}\">> You must accompany the Work with the complete corresponding machine-readable source code, delivered on a medium customarily used for software interchange. The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable code. If you distribute with the Work any component that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, you must also distribute the source code of that component if you have it and are allowed to do so;\n\n		 <<var;name=\"bullet\";original=\"(v)\";match=\".{0,20}\">> If you distribute any written or printed material at all with the Work, such material must include either a written copy of this License, or a prominent written indication that the Work is covered by this License and written instructions for printing and/or displaying the copy of the License on the distribution medium;\n\n		 <<var;name=\"bullet\";original=\"(vi)\";match=\".{0,20}\">> You may not impose any further restrictions on the recipient's exercise of the rights granted herein.\n\n		 If distribution of executable or object code is made by offering the equivalent ability to copy from a designated place, then offering equivalent ability to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source code along with the object code.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Reservation of Rights.\n\n   No rights are granted to the Program except as expressly set forth herein. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Other Restrictions.\n\n   If the distribution and/or use of the Program is restricted in certain countries for any reason, Licensor may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Limitations.\n\n   THE PROGRAM IS PROVIDED TO YOU \"AS IS,\" WITHOUT WARRANTY. THERE IS NO WARRANTY FOR THE PROGRAM, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL LICENSOR, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> General.\n\n   This License is governed by the laws of the State of California, U.S.A., excluding choice of law rules.\n\n   If any part of this License is found to be in conflict with the law, that part shall be interpreted in its broadest meaning consistent with the law, and no other parts of the License shall be affected.\n\n   For United States Government users, the Program is provided with RESTRICTED RIGHTS. If you are a unit or agency of the United States Government or are acquiring the Program for any such unit or agency, the following apply:\n\n   If the unit or agency is the Department of Defense (\"DOD\"), the Program and its documentation are classified as \"commercial computer software\" and \"commercial computer software documentation\" respectively and, pursuant to DFAR Section 227.7202, the Government is acquiring the Program and its documentation in accordance with the terms of this License. If the unit or agency is other than DOD, the Program and its documentation are classified as \"commercial computer software\" and \"commercial computer software documentation\" respectively and, pursuant to FAR Section 12.212, the Government is acquiring the Program and its documentation in accordance with the terms of this License.\n\n   "
		self.name = "Aladdin Free Public License"
		self.licenseComments = "This license was released 18 Nov 1999"
		self.licenseId = "Aladdin"
		self.crossRef = [{"match": "False", "url": "http://pages.cs.wisc.edu/~ghost/doc/AFPL/6.01/Public.htm", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:43Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://pages.cs.wisc.edu/~ghost/doc/AFPL/6.01/Public.htm"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Aladdin Free Public License\n		<br />\n\n(Version 8, November 18, 1999)\n	  </p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 1994, 1995, 1997, 1998, 1999 Aladdin Enterprises,\n		<br />\n\nMenlo Park, California, U.S.A. All rights reserved.\n	  </p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>NOTE: This License is not the same as any of the GNU Licenses published by the Free Software Foundation.\n		 Its terms are substantially different from those of the GNU Licenses. If you are familiar with the GNU\n		 Licenses, please read this license with extra care.</p>\n\n		 <p>Aladdin Enterprises hereby grants to anyone the permission to apply this License to their own work, as\n		 long as the entire License (including the above notices and this paragraph) is copied with no changes,\n		 additions, or deletions except for changing the first paragraph of Section 0 to include a suitable\n		 description of the work to which the license is being applied and of the person or entity that holds\n		 the copyright in the work, and, if the License is being applied to a work created in a country other\n		 than the United States, replacing the first paragraph of Section 6 with an appropriate reference to\n		 the laws of the appropriate country.</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  Subject Matter\n			<br />\n\n   This License applies to the computer program known as &quot;Aladdin Ghostscript.&quot; The &quot;Program&quot;,\n				 below, refers to such program. The Program is a copyrighted work whose copyright is\n				 held by Aladdin Enterprises (the &quot;Licensor&quot;). Please note that Aladdin Ghostscript is\n				 neither the program known as &quot;GNU Ghostscript&quot; nor the version of Ghostscript\n				 available for commercial licensing from Artifex Software Inc.\n\n		  <p>A &quot;work based on the Program&quot; means either the Program or any derivative work of the Program, as\n			 defined in the United States Copyright Act of 1976, such as a translation or a\n			 modification.</p>\n\n			<p>BY MODIFYING OR DISTRIBUTING THE PROGRAM (OR ANY WORK BASED ON THE PROGRAM), YOU INDICATE YOUR\n			 ACCEPTANCE OF THIS LICENSE TO DO SO, AND ALL ITS TERMS AND CONDITIONS FOR COPYING,\n			 DISTRIBUTING OR MODIFYING THE PROGRAM OR WORKS BASED ON IT. NOTHING OTHER THAN THIS LICENSE\n			 GRANTS YOU PERMISSION TO MODIFY OR DISTRIBUTE THE PROGRAM OR ITS DERIVATIVE WORKS. THESE\n			 ACTIONS ARE PROHIBITED BY LAW. IF YOU DO NOT ACCEPT THESE TERMS AND CONDITIONS, DO NOT MODIFY\n			 OR DISTRIBUTE THE PROGRAM.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Licenses.\n			<br />\n\n   Licensor hereby grants you the following rights, provided that you comply with all of the\n				 restrictions set forth in this License and provided, further, that you distribute an\n				 unmodified copy of this License with the Program:\n\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (a)</var>\n			You may copy and distribute literal (i.e., verbatim) copies of the Program&apos;s source code as\n			   you receive it throughout the world, in any medium.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (b)</var>\n			You may modify the Program, create works based on the Program and distribute copies of such\n			   throughout the world, in any medium.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Restrictions.\n			<br />\n\n   This license is subject to the following restrictions:\n\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (a)</var>\n			Distribution of the Program or any work based on the Program by a commercial organization to\n			   any third party is prohibited if any payment is made in connection with such distribution,\n			   whether directly (as in payment for a copy of the Program) or indirectly (as in payment\n			   for some service related to the Program, or payment for some product or service that\n			   includes a copy of the Program &quot;without charge&quot;; these are only examples, and not an\n			   exhaustive enumeration of prohibited activities). The following methods of distribution\n			   involving payment shall not in and of themselves be a violation of this restriction:\n		  </li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (i)</var>\n			  Posting the Program on a public access information storage and retrieval service for\n				 which a fee is received for retrieving information (such as an on-line service),\n				 provided that the fee is not content-dependent (i.e., the fee would be the same for\n				 retrieving the same volume of information consisting of random data) and that access\n				 to the service and to the Program is available independent of any other product or\n				 service. An example of a service that does not fall under this section is an on-line\n				 service that is operated by a company and that is only available to customers of that\n				 company. (This is not an exhaustive enumeration.)\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (ii)</var>\n			  Distributing the Program on removable computer-readable media, provided that the files\n				 containing the Program are reproduced entirely and verbatim on such media, that all\n				 information on such media be redistributable for non-commercial purposes without\n				 charge, and that such media are distributed by themselves (except for accompanying\n				 documentation) independent of any other product or service. Examples of such media\n				 include CD-ROM, magnetic tape, and optical storage media. (This is not intended to be\n				 an exhaustive list.) An example of a distribution that does not fall under this\n				 section is a CD-ROM included in a book or magazine. (This is not an exhaustive\n				 enumeration.)\n			</li>\n			\n</ul>\n\t	</li>\n\t	\n<li>\n			   <var class=\"replaceable-license-text\"> (b)</var>\n			Activities other than copying, distribution and modification of the Program are not subject\n			   to this License and they are outside its scope. Functional use (running) of the Program is\n			   not restricted, and any output produced through the use of the Program is subject to this\n			   license only if its contents constitute a work based on the Program (independent of having\n			   been made by running the Program).\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> (c)</var>\n			You must meet all of the following conditions with respect to any work that you distribute or\n			   publish that in whole or in part contains or is derived from the Program or any part\n			   thereof (&quot;the Work&quot;):\n		  </li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (i)</var>\n			  If you have modified the Program, you must cause the Work to carry prominent notices\n				 stating that you have modified the Program&apos;s files and the date of any change. In each\n				 source file that you have modified, you must include a prominent notice that you have\n				 modified the file, including your name, your e-mail address (if any), and the date and\n				 purpose of the change;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (ii)</var>\n			  You must cause the Work to be licensed as a whole and at no charge to all third parties\n				 under the terms of this License;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (iii)</var>\n			  If the Work normally reads commands interactively when run, you must cause it, at each\n				 time the Work commences operation, to print or display an announcement including an\n				 appropriate copyright notice and a notice that there is no warranty (or else, saying\n				 that you provide a warranty). Such notice must also state that users may redistribute\n				 the Work only under the conditions of this License and tell the user how to view the\n				 copy of this License included with the Work. (Exceptions: if the Program is\n				 interactive but normally prints or displays such an announcement only at the request\n				 of a user, such as in an &quot;About box&quot;, the Work is required to print or display the\n				 notice only under the same circumstances; if the Program itself is interactive but\n				 does not normally print such an announcement, the Work is not required to print an\n				 announcement.);\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (iv)</var>\n			  You must accompany the Work with the complete corresponding machine-readable source code,\n				 delivered on a medium customarily used for software interchange. The source code for a\n				 work means the preferred form of the work for making modifications to it. For an\n				 executable work, complete source code means all the source code for all modules it\n				 contains, plus any associated interface definition files, plus the scripts used to\n				 control compilation and installation of the executable code. If you distribute with\n				 the Work any component that is normally distributed (in either source or binary form)\n				 with the major components (compiler, kernel, and so on) of the operating system on\n				 which the executable runs, you must also distribute the source code of that component\n				 if you have it and are allowed to do so;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (v)</var>\n			  If you distribute any written or printed material at all with the Work, such material\n				 must include either a written copy of this License, or a prominent written indication\n				 that the Work is covered by this License and written instructions for printing and/or\n				 displaying the copy of the License on the distribution medium;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (vi)</var>\n			  You may not impose any further restrictions on the recipient&apos;s exercise of the rights\n				 granted herein.\n			  <p>If distribution of executable or object code is made by offering the equivalent ability\n				 to copy from a designated place, then offering equivalent ability to copy the source\n				 code from the same place counts as distribution of the source code, even though third\n				 parties are not compelled to copy the source code along with the object code.</p>\n\n			   </li>\n			\n</ul>\n\t	</li>\n	\t\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Reservation of Rights.\n			<br />\n\n   No rights are granted to the Program except as expressly set forth herein. You may not\n				 copy, modify, sublicense, or distribute the Program except as expressly provided under\n				 this License. Any attempt otherwise to copy, modify, sublicense or distribute the\n				 Program is void, and will automatically terminate your rights under this License.\n				 However, parties who have received copies, or rights, from you under this License will\n				 not have their licenses terminated so long as such parties remain in full compliance.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Other Restrictions.\n			<br />\n\n   If the distribution and/or use of the Program is restricted in certain countries for any\n				 reason, Licensor may add an explicit geographical distribution limitation excluding\n				 those countries, so that distribution is permitted only in or among countries not thus\n				 excluded. In such case, this License incorporates the limitation as if written in the\n				 body of this License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Limitations.\n			<br />\n\n   THE PROGRAM IS PROVIDED TO YOU &quot;AS IS,&quot; WITHOUT WARRANTY. THERE IS NO WARRANTY FOR THE\n				 PROGRAM, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\n				 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT\n				 OF THIRD PARTY RIGHTS. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE\n				 PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL\n				 NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n		  <p>IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL LICENSOR, OR ANY OTHER\n			 PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR\n			 DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF\n			 THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA\n			 BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\n			 PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN\n			 ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  General.\n		  <p>This License is governed by the laws of the State of California, U.S.A., excluding choice of law rules.</p>\n\n			<p>If any part of this License is found to be in conflict with the law, that part shall be\n			 interpreted in its broadest meaning consistent with the law, and no other parts of the License\n			 shall be affected.</p>\n\n			<p>For United States Government users, the Program is provided with RESTRICTED RIGHTS. If you are a\n			 unit or agency of the United States Government or are acquiring the Program for any such unit\n			 or agency, the following apply:</p>\n\n			<p>If the unit or agency is the Department of Defense (&quot;DOD&quot;), the Program and its documentation are\n			 classified as &quot;commercial computer software&quot; and &quot;commercial computer software documentation&quot;\n			 respectively and, pursuant to DFAR Section 227.7202, the Government is acquiring the Program\n			 and its documentation in accordance with the terms of this License. If the unit or agency is\n			 other than DOD, the Program and its documentation are classified as &quot;commercial computer\n			 software&quot; and &quot;commercial computer software documentation&quot; respectively and, pursuant to FAR\n			 Section 12.212, the Government is acquiring the Program and its documentation in accordance\n			 with the terms of this License.</p>\n\n		</li>\n	  \n</ul>\n	"
		self.python_name = "Aladdin"

	def __str__(self):
		return json.dumps(self.__dict__)


class MPL20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Mozilla Public License Version 2.0\n==================================\n\n1. Definitions\n--------------\n\n1.1. \"Contributor\"\n	means each individual or legal entity that creates, contributes to\n	the creation of, or owns Covered Software.\n\n1.2. \"Contributor Version\"\n	means the combination of the Contributions of others (if any) used\n	by a Contributor and that particular Contributor's Contribution.\n\n1.3. \"Contribution\"\n	means Covered Software of a particular Contributor.\n\n1.4. \"Covered Software\"\n	means Source Code Form to which the initial Contributor has attached\n	the notice in Exhibit A, the Executable Form of such Source Code\n	Form, and Modifications of such Source Code Form, in each case\n	including portions thereof.\n\n1.5. \"Incompatible With Secondary Licenses\"\n	means\n\n	(a) that the initial Contributor has attached the notice described\n		in Exhibit B to the Covered Software; or\n\n	(b) that the Covered Software was made available under the terms of\n		version 1.1 or earlier of the License, but not also under the\n		terms of a Secondary License.\n\n1.6. \"Executable Form\"\n	means any form of the work other than Source Code Form.\n\n1.7. \"Larger Work\"\n	means a work that combines Covered Software with other material, in \n	a separate file or files, that is not Covered Software.\n\n1.8. \"License\"\n	means this document.\n\n1.9. \"Licensable\"\n	means having the right to grant, to the maximum extent possible,\n	whether at the time of the initial grant or subsequently, any and\n	all of the rights conveyed by this License.\n\n1.10. \"Modifications\"\n	means any of the following:\n\n	(a) any file in Source Code Form that results from an addition to,\n		deletion from, or modification of the contents of Covered\n		Software; or\n\n	(b) any new file in Source Code Form that contains any Covered\n		Software.\n\n1.11. \"Patent Claims\" of a Contributor\n	means any patent claim(s), including without limitation, method,\n	process, and apparatus claims, in any patent Licensable by such\n	Contributor that would be infringed, but for the grant of the\n	License, by the making, using, selling, offering for sale, having\n	made, import, or transfer of either its Contributions or its\n	Contributor Version.\n\n1.12. \"Secondary License\"\n	means either the GNU General Public License, Version 2.0, the GNU\n	Lesser General Public License, Version 2.1, the GNU Affero General\n	Public License, Version 3.0, or any later versions of those\n	licenses.\n\n1.13. \"Source Code Form\"\n	means the form of the work preferred for making modifications.\n\n1.14. \"You\" (or \"Your\")\n	means an individual or a legal entity exercising rights under this\n	License. For legal entities, \"You\" includes any entity that\n	controls, is controlled by, or is under common control with You. For\n	purposes of this definition, \"control\" means (a) the power, direct\n	or indirect, to cause the direction or management of such entity,\n	whether by contract or otherwise, or (b) ownership of more than\n	fifty percent (50%) of the outstanding shares or beneficial\n	ownership of such entity.\n\n2. License Grants and Conditions\n--------------------------------\n\n2.1. Grants\n\nEach Contributor hereby grants You a world-wide, royalty-free,\nnon-exclusive license:\n\n(a) under intellectual property rights (other than patent or trademark)\n	Licensable by such Contributor to use, reproduce, make available,\n	modify, display, perform, distribute, and otherwise exploit its\n	Contributions, either on an unmodified basis, with Modifications, or\n	as part of a Larger Work; and\n\n(b) under Patent Claims of such Contributor to make, use, sell, offer\n	for sale, have made, import, and otherwise transfer either its\n	Contributions or its Contributor Version.\n\n2.2. Effective Date\n\nThe licenses granted in Section 2.1 with respect to any Contribution\nbecome effective for each Contribution on the date the Contributor first\ndistributes such Contribution.\n\n2.3. Limitations on Grant Scope\n\nThe licenses granted in this Section 2 are the only rights granted under\nthis License. No additional rights or licenses will be implied from the\ndistribution or licensing of Covered Software under this License.\nNotwithstanding Section 2.1(b) above, no patent license is granted by a\nContributor:\n\n(a) for any code that a Contributor has removed from Covered Software;\n	or\n\n(b) for infringements caused by: (i) Your and any other third party's\n	modifications of Covered Software, or (ii) the combination of its\n	Contributions with other software (except as part of its Contributor\n	Version); or\n\n(c) under Patent Claims infringed by Covered Software in the absence of\n	its Contributions.\n\nThis License does not grant any rights in the trademarks, service marks,\nor logos of any Contributor (except as may be necessary to comply with\nthe notice requirements in Section 3.4).\n\n2.4. Subsequent Licenses\n\nNo Contributor makes additional grants as a result of Your choice to\ndistribute the Covered Software under a subsequent version of this\nLicense (see Section 10.2) or under the terms of a Secondary License (if\npermitted under the terms of Section 3.3).\n\n2.5. Representation\n\nEach Contributor represents that the Contributor believes its\nContributions are its original creation(s) or it has sufficient rights\nto grant the rights to its Contributions conveyed by this License.\n\n2.6. Fair Use\n\nThis License is not intended to limit any rights You have under\napplicable copyright doctrines of fair use, fair dealing, or other\nequivalents.\n\n2.7. Conditions\n\nSections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted\nin Section 2.1.\n\n3. Responsibilities\n-------------------\n\n3.1. Distribution of Source Form\n\nAll distribution of Covered Software in Source Code Form, including any\nModifications that You create or to which You contribute, must be under\nthe terms of this License. You must inform recipients that the Source\nCode Form of the Covered Software is governed by the terms of this\nLicense, and how they can obtain a copy of this License. You may not\nattempt to alter or restrict the recipients' rights in the Source Code\nForm.\n\n3.2. Distribution of Executable Form\n\nIf You distribute Covered Software in Executable Form then:\n\n(a) such Covered Software must also be made available in Source Code\n	Form, as described in Section 3.1, and You must inform recipients of\n	the Executable Form how they can obtain a copy of such Source Code\n	Form by reasonable means in a timely manner, at a charge no more\n	than the cost of distribution to the recipient; and\n\n(b) You may distribute such Executable Form under the terms of this\n	License, or sublicense it under different terms, provided that the\n	license for the Executable Form does not attempt to limit or alter\n	the recipients' rights in the Source Code Form under this License.\n\n3.3. Distribution of a Larger Work\n\nYou may create and distribute a Larger Work under terms of Your choice,\nprovided that You also comply with the requirements of this License for\nthe Covered Software. If the Larger Work is a combination of Covered\nSoftware with a work governed by one or more Secondary Licenses, and the\nCovered Software is not Incompatible With Secondary Licenses, this\nLicense permits You to additionally distribute such Covered Software\nunder the terms of such Secondary License(s), so that the recipient of\nthe Larger Work may, at their option, further distribute the Covered\nSoftware under the terms of either this License or such Secondary\nLicense(s).\n\n3.4. Notices\n\nYou may not remove or alter the substance of any license notices\n(including copyright notices, patent notices, disclaimers of warranty,\nor limitations of liability) contained within the Source Code Form of\nthe Covered Software, except that You may alter any license notices to\nthe extent required to remedy known factual inaccuracies.\n\n3.5. Application of Additional Terms\n\nYou may choose to offer, and to charge a fee for, warranty, support,\nindemnity or liability obligations to one or more recipients of Covered\nSoftware. However, You may do so only on Your own behalf, and not on\nbehalf of any Contributor. You must make it absolutely clear that any\nsuch warranty, support, indemnity, or liability obligation is offered by\nYou alone, and You hereby agree to indemnify every Contributor for any\nliability incurred by such Contributor as a result of warranty, support,\nindemnity or liability terms You offer. You may include additional\ndisclaimers of warranty and limitations of liability specific to any\njurisdiction.\n\n4. Inability to Comply Due to Statute or Regulation\n---------------------------------------------------\n\nIf it is impossible for You to comply with any of the terms of this\nLicense with respect to some or all of the Covered Software due to\nstatute, judicial order, or regulation then You must: (a) comply with\nthe terms of this License to the maximum extent possible; and (b)\ndescribe the limitations and the code they affect. Such description must\nbe placed in a text file included with all distributions of the Covered\nSoftware under this License. Except to the extent prohibited by statute\nor regulation, such description must be sufficiently detailed for a\nrecipient of ordinary skill to be able to understand it.\n\n5. Termination\n--------------\n\n5.1. The rights granted under this License will terminate automatically\nif You fail to comply with any of its terms. However, if You become\ncompliant, then the rights granted under this License from a particular\nContributor are reinstated (a) provisionally, unless and until such\nContributor explicitly and finally terminates Your grants, and (b) on an\nongoing basis, if such Contributor fails to notify You of the\nnon-compliance by some reasonable means prior to 60 days after You have\ncome back into compliance. Moreover, Your grants from a particular\nContributor are reinstated on an ongoing basis if such Contributor\nnotifies You of the non-compliance by some reasonable means, this is the\nfirst time You have received notice of non-compliance with this License\nfrom such Contributor, and You become compliant prior to 30 days after\nYour receipt of the notice.\n\n5.2. If You initiate litigation against any entity by asserting a patent\ninfringement claim (excluding declaratory judgment actions,\ncounter-claims, and cross-claims) alleging that a Contributor Version\ndirectly or indirectly infringes any patent, then the rights granted to\nYou by any and all Contributors for the Covered Software under Section\n2.1 of this License shall terminate.\n\n5.3. In the event of termination under Sections 5.1 or 5.2 above, all\nend user license agreements (excluding distributors and resellers) which\nhave been validly granted by You or Your distributors under this License\nprior to termination shall survive termination.\n\n************************************************************************\n*																	  *\n*  6. Disclaimer of Warranty										   *\n*  -------------------------										   *\n*																	  *\n*  Covered Software is provided under this License on an \"as is\"	   *\n*  basis, without warranty of any kind, either expressed, implied, or  *\n*  statutory, including, without limitation, warranties that the	   *\n*  Covered Software is free of defects, merchantable, fit for a		*\n*  particular purpose or non-infringing. The entire risk as to the	 *\n*  quality and performance of the Covered Software is with You.		*\n*  Should any Covered Software prove defective in any respect, You	 *\n*  (not any Contributor) assume the cost of any necessary servicing,   *\n*  repair, or correction. This disclaimer of warranty constitutes an   *\n*  essential part of this License. No use of any Covered Software is   *\n*  authorized under this License except under this disclaimer.		 *\n*																	  *\n************************************************************************\n\n************************************************************************\n*																	  *\n*  7. Limitation of Liability										  *\n*  --------------------------										  *\n*																	  *\n*  Under no circumstances and under no legal theory, whether tort	  *\n*  (including negligence), contract, or otherwise, shall any		   *\n*  Contributor, or anyone who distributes Covered Software as		  *\n*  permitted above, be liable to You for any direct, indirect,		 *\n*  special, incidental, or consequential damages of any character	  *\n*  including, without limitation, damages for lost profits, loss of	*\n*  goodwill, work stoppage, computer failure or malfunction, or any	*\n*  and all other commercial damages or losses, even if such party	  *\n*  shall have been informed of the possibility of such damages. This   *\n*  limitation of liability shall not apply to liability for death or   *\n*  personal injury resulting from such party's negligence to the	   *\n*  extent applicable law prohibits such limitation. Some			   *\n*  jurisdictions do not allow the exclusion or limitation of		   *\n*  incidental or consequential damages, so this exclusion and		  *\n*  limitation may not apply to You.									*\n*																	  *\n************************************************************************\n\n8. Litigation\n-------------\n\nAny litigation relating to this License may be brought only in the\ncourts of a jurisdiction where the defendant maintains its principal\nplace of business and such litigation shall be governed by laws of that\njurisdiction, without reference to its conflict-of-law provisions.\nNothing in this Section shall prevent a party's ability to bring\ncross-claims or counter-claims.\n\n9. Miscellaneous\n----------------\n\nThis License represents the complete agreement concerning the subject\nmatter hereof. If any provision of this License is held to be\nunenforceable, such provision shall be reformed only to the extent\nnecessary to make it enforceable. Any law or regulation which provides\nthat the language of a contract shall be consTrued against the drafter\nshall not be used to consTrue this License against a Contributor.\n\n10. Versions of the License\n---------------------------\n\n10.1. New Versions\n\nMozilla Foundation is the license steward. Except as provided in Section\n10.3, no one other than the license steward has the right to modify or\npublish new versions of this License. Each version will be given a\ndistinguishing version number.\n\n10.2. Effect of New Versions\n\nYou may distribute the Covered Software under the terms of the version\nof the License under which You originally received the Covered Software,\nor under the terms of any subsequent version published by the license\nsteward.\n\n10.3. Modified Versions\n\nIf you create software not governed by this License, and you want to\ncreate a new license for such software, you may create and use a\nmodified version of this License if you rename the license and remove\nany references to the name of the license steward (except to note that\nsuch modified license differs from this License).\n\n10.4. Distributing Source Code Form that is Incompatible With Secondary\nLicenses\n\nIf You choose to distribute Source Code Form that is Incompatible With\nSecondary Licenses under the terms of this version of the License, the\nnotice described in Exhibit B of this License must be attached.\n\nExhibit A - Source Code Form License Notice\n-------------------------------------------\n\n  This Source Code Form is subject to the terms of the Mozilla Public\n  License, v. 2.0. If a copy of the MPL was not distributed with this\n  file, You can obtain one at https://mozilla.org/MPL/2.0/.\n\nIf it is not possible or desirable to put the notice in a particular\nfile, then You may include the notice in a location (such as a LICENSE\nfile in a relevant directory) where a recipient would be likely to look\nfor such a notice.\n\nYou may add additional accurate notices of copyright ownership.\n\nExhibit B - \"Incompatible With Secondary Licenses\" Notice\n---------------------------------------------------------\n\n  This Source Code Form is \"Incompatible With Secondary Licenses\", as\n  defined by the Mozilla Public License, v. 2.0.\n"
		self.standardLicenseHeaderTemplate = "This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL was not distributed with this file, You can obtain one at http://mozilla.org/MPL/2.0/.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Mozilla Public License Version 2.0\n\n<<beginOptional>>==================================\n\n<<endOptional>><<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n   <<beginOptional>>--------------\n\n   <<endOptional>>\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each individual or legal entity that creates, contributes to the creation of, or owns Covered Software.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Contributions of others (if any) used by a Contributor and that particular Contributor's Contribution.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Contribution\" means Covered Software of a particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Covered Software\" means Source Code Form to which the initial Contributor has attached the notice in Exhibit A, the Executable Form of such Source Code Form, and Modifications of such Source Code Form, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Incompatible With Secondary Licenses\" means\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> that the initial Contributor has attached the notice described in Exhibit B to the Covered Software; or\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> that the Covered Software was made available under the terms of version 1.1 or earlier of the License, but not also under the terms of a Secondary License.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Executable Form\" means any form of the work other than Source Code Form.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"Larger Work\" means a work that combines Covered Software with other material, in a separate file or files, that is not Covered Software.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently, any and all of the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Modifications\" means any of the following:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> any file in Source Code Form that results from an addition to, deletion from, or modification of the contents of Covered Software; or\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> any new file in Source Code Form that contains any Covered Software.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Patent Claims\" of a Contributor means any patent claim(s), including without limitation, method, process, and apparatus claims, in any patent Licensable by such Contributor that would be infringed, but for the grant of the License, by the making, using, selling, offering for sale, having made, import, or transfer of either its Contributions or its Contributor Version.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"Secondary License\" means either the GNU General Public License, Version 2.0, the GNU Lesser General Public License, Version 2.1, the GNU Affero General Public License, Version 3.0, or any later versions of those licenses.\n\n	  <<var;name=\"bullet\";original=\"1.13.\";match=\".{0,20}\">> \"Source Code Form\" means the form of the work preferred for making modifications.\n\n	  <<var;name=\"bullet\";original=\"1.14.\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> License Grants and Conditions\n\n   <<beginOptional>>--------------------------------\n\n   <<endOptional>>\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> Grants\n\n	  Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by such Contributor to use, reproduce, make available, modify, display, perform, distribute, and otherwise exploit its Contributions, either on an unmodified basis, with Modifications, or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims of such Contributor to make, use, sell, offer for sale, have made, import, and otherwise transfer either its Contributions or its Contributor Version.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Effective Date\n\n	  The licenses granted in Section 2.1 with respect to any Contribution become effective for each Contribution on the date the Contributor first distributes such Contribution.\n\n	  <<var;name=\"bullet\";original=\"2.3.\";match=\".{0,20}\">> Limitations on Grant Scope\n\n	  The licenses granted in this Section 2 are the only rights granted under this License. No additional rights or licenses will be implied from the distribution or licensing of Covered Software under this License. Notwithstanding Section 2.1(b) above, no patent license is granted by a Contributor:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> for any code that a Contributor has removed from Covered Software; or\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> for infringements caused by: (i) Your and any other third party's modifications of Covered Software, or (ii) the combination of its Contributions with other software (except as part of its Contributor Version); or\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> under Patent Claims infringed by Covered Software in the absence of its Contributions.\n\n	  This License does not grant any rights in the trademarks, service marks, or logos of any Contributor (except as may be necessary to comply with the notice requirements in Section 3.4).\n\n	  <<var;name=\"bullet\";original=\"2.4.\";match=\".{0,20}\">> Subsequent Licenses\n\n	  No Contributor makes additional grants as a result of Your choice to distribute the Covered Software under a subsequent version of this License (see Section 10.2) or under the terms of a Secondary License (if permitted under the terms of Section 3.3).\n\n	  <<var;name=\"bullet\";original=\"2.5.\";match=\".{0,20}\">> Representation\n\n	  Each Contributor represents that the Contributor believes its Contributions are its original creation(s) or it has sufficient rights to grant the rights to its Contributions conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"2.6.\";match=\".{0,20}\">> Fair Use\n\n	  This License is not intended to limit any rights You have under applicable copyright doctrines of fair use, fair dealing, or other equivalents.\n\n	  <<var;name=\"bullet\";original=\"2.7.\";match=\".{0,20}\">> Conditions\n\n	  Sections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted in Section 2.1.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Responsibilities\n\n   <<beginOptional>>-------------------\n\n   <<endOptional>>\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Distribution of Source Form\n\n	  All distribution of Covered Software in Source Code Form, including any Modifications that You create or to which You contribute, must be under the terms of this License. You must inform recipients that the Source Code Form of the Covered Software is governed by the terms of this License, and how they can obtain a copy of this License. You may not attempt to alter or restrict the recipients' rights in the Source Code Form.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Distribution of Executable Form\n\n	  If You distribute Covered Software in Executable Form then:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> such Covered Software must also be made available in Source Code Form, as described in Section 3.1, and You must inform recipients of the Executable Form how they can obtain a copy of such Source Code Form by reasonable means in a timely manner, at a charge no more than the cost of distribution to the recipient; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You may distribute such Executable Form under the terms of this License, or sublicense it under different terms, provided that the license for the Executable Form does not attempt to limit or alter the recipients' rights in the Source Code Form under this License.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Distribution of a Larger Work\n\n	  You may create and distribute a Larger Work under terms of Your choice, provided that You also comply with the requirements of this License for the Covered Software. If the Larger Work is a combination of Covered Software with a work governed by one or more Secondary Licenses, and the Covered Software is not Incompatible With Secondary Licenses, this License permits You to additionally distribute such Covered Software under the terms of such Secondary License(s), so that the recipient of the Larger Work may, at their option, further distribute the Covered Software under the terms of either this License or such Secondary License(s).\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Notices\n\n	  You may not remove or alter the substance of any license notices (including copyright notices, patent notices, disclaimers of warranty, or limitations of liability) contained within the Source Code Form of the Covered Software, except that You may alter any license notices to the extent required to remedy known factual inaccuracies.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Application of Additional Terms\n\n	  You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Software. However, You may do so only on Your own behalf, and not on behalf of any Contributor. You must make it absolutely clear that any such warranty, support, indemnity, or liability obligation is offered by You alone, and You hereby agree to indemnify every Contributor for any liability incurred by such Contributor as a result of warranty, support, indemnity or liability terms You offer. You may include additional disclaimers of warranty and limitations of liability specific to any jurisdiction.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation\n\n   <<beginOptional>>---------------------------------------------------\n\n   <<endOptional>>\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Software due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be placed in a text file included with all distributions of the Covered Software under this License. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Termination\n\n   <<beginOptional>>--------------\n\n   <<endOptional>>\n\n	  <<var;name=\"bullet\";original=\"5.1.\";match=\".{0,20}\">> The rights granted under this License will terminate automatically if You fail to comply with any of its terms. However, if You become compliant, then the rights granted under this License from a particular Contributor are reinstated (a) provisionally, unless and until such Contributor explicitly and finally terminates Your grants, and (b) on an ongoing basis, if such Contributor fails to notify You of the non-compliance by some reasonable means prior to 60 days after You have come back into compliance. Moreover, Your grants from a particular Contributor are reinstated on an ongoing basis if such Contributor notifies You of the non-compliance by some reasonable means, this is the first time You have received notice of non-compliance with this License from such Contributor, and You become compliant prior to 30 days after Your receipt of the notice.\n\n	  <<var;name=\"bullet\";original=\"5.2.\";match=\".{0,20}\">> If You initiate litigation against any entity by asserting a patent infringement claim (excluding declaratory judgment actions, counter-claims, and cross-claims) alleging that a Contributor Version directly or indirectly infringes any patent, then the rights granted to You by any and all Contributors for the Covered Software under Section 2.1 of this License shall terminate.\n\n	  <<var;name=\"bullet\";original=\"5.3.\";match=\".{0,20}\">> In the event of termination under Sections 5.1 or 5.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or Your distributors under this License prior to termination shall survive termination.\n\n   <<beginOptional>>************************************************************************\n\n   <<endOptional>>\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Disclaimer of Warranty\n\n   <<beginOptional>>* ------------------------- *\n\n   <<endOptional>>\n\n   Covered Software is provided under this License on an \"as is\" basis, without warranty of any kind, either expressed, implied, or statutory, including, without limitation, warranties that the Covered Software is free of defects, merchantable, fit for a particular purpose or non-infringing. The entire risk as to the quality and performance of the Covered Software is with You. Should any Covered Software prove defective in any respect, You (not any Contributor) assume the cost of any necessary servicing, repair, or correction. This disclaimer of warranty constitutes an essential part of this License. No use of any Covered Software is authorized under this License except under this disclaimer.\n\n   <<beginOptional>>************************************************************************\n\n   <<endOptional>>\n\n   <<beginOptional>>************************************************************************\n\n   <<endOptional>>\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Limitation of Liability\n\n   <<beginOptional>>* -------------------------- *\n\n   <<endOptional>>\n\n   Under no circumstances and under no legal theory, whether tort (including negligence), contract, or otherwise, shall any Contributor, or anyone who distributes Covered Software as permitted above, be liable to You for any direct, indirect, special, incidental, or consequential damages of any character including, without limitation, damages for lost profits, loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses, even if such party shall have been informed of the possibility of such damages. This limitation of liability shall not apply to liability for death or personal injury resulting from such party's negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\n   <<beginOptional>>************************************************************************\n\n   <<endOptional>>\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Litigation\n\n   <<beginOptional>>-------------\n\n   <<endOptional>>\n\n   Any litigation relating to this License may be brought only in the courts of a jurisdiction where the defendant maintains its principal place of business and such litigation shall be governed by laws of that jurisdiction, without reference to its conflict-of-law provisions. Nothing in this Section shall prevent a party's ability to bring cross-claims or counter-claims.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Miscellaneous\n\n   <<beginOptional>>----------------\n\n   <<endOptional>>\n\n   This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not be used to consTrue this License against a Contributor.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Versions of the License\n\n   <<beginOptional>>---------------------------\n\n   <<endOptional>>\n\n	  <<var;name=\"bullet\";original=\"10.1.\";match=\".{0,20}\">> New Versions\n\n	  Mozilla Foundation is the license steward. Except as provided in Section 10.3, no one other than the license steward has the right to modify or publish new versions of this License. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"10.2.\";match=\".{0,20}\">> Effect of New Versions\n\n	  You may distribute the Covered Software under the terms of the version of the License under which You originally received the Covered Software, or under the terms of any subsequent version published by the license steward.\n\n	  <<var;name=\"bullet\";original=\"10.3.\";match=\".{0,20}\">> Modified Versions\n\n	  If you create software not governed by this License, and you want to create a new license for such software, you may create and use a modified version of this License if you rename the license and remove any references to the name of the license steward (except to note that such modified license differs from this License).\n\n	  <<var;name=\"bullet\";original=\"10.4.\";match=\".{0,20}\">> Distributing Source Code Form that is Incompatible With Secondary Licenses\n\n	  If You choose to distribute Source Code Form that is Incompatible With Secondary Licenses under the terms of this version of the License, the notice described in Exhibit B of this License must be attached.\n\n	  <<beginOptional>>Exhibit A - Source Code Form License Notice\n\n<<beginOptional>>-------------------------------------------\n\n<<endOptional>>\n\nThis Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL was not distributed with this file, You can obtain one at http://mozilla.org/MPL/2.0/.\n\nIf it is not possible or desirable to put the notice in a particular file, then You may include the notice in a location (such as a LICENSE file in a relevant directory) where a recipient would be likely to look for such a notice.\n\nYou may add additional accurate notices of copyright ownership.\n\nExhibit B - \"Incompatible With Secondary Licenses\" Notice\n\n<<beginOptional>>---------------------------------------------------------\n\n<<endOptional>>\n\nThis Source Code Form is \"Incompatible With Secondary Licenses\", as defined by the Mozilla Public License, v. 2.0.\n\n<<endOptional>>"
		self.name = "Mozilla Public License 2.0"
		self.licenseComments = "This license was released in January 2012. This license list entry is for use when the standard MPL 2.0 is used, as indicated by the standard header (Exhibit A but no Exhibit B)."
		self.licenseId = "MPL-2.0"
		self.standardLicenseHeader = "This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL was not distributed with this file, You can obtain one at http://mozilla.org/MPL/2.0/.\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/MPL-2.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:58Z", "isWayBackLink": False, "order": 1}, {"match": "True", "url": "https://www.mozilla.org/MPL/2.0/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:59Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.mozilla.org/MPL/2.0/", "https://opensource.org/licenses/MPL-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Mozilla Public License Version 2.0</p>\n\n\t <div class=\"optional-license-text\"> <p>==================================</p>\n</div>\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n	\t\t<p>\n\t\t\t<var class=\"replaceable-license-text\"> 1.</var>\n\t\t\tDefinitions\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>--------------</p>\n</div>\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			  &quot;Contributor&quot; means each individual or legal entity that creates, contributes to\n				 the creation of, or owns Covered Software.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			  &quot;Contributor Version&quot; means the combination of the Contributions of others (if any)\n				 used by a Contributor and that particular Contributor&apos;s Contribution.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			  &quot;Contribution&quot; means Covered Software of a particular Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			  &quot;Covered Software&quot; means Source Code Form to which the initial Contributor has\n				 attached the notice in Exhibit A, the Executable Form of such Source Code Form, and\n				 Modifications of such Source Code Form, in each case including portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			  &quot;Incompatible With Secondary Licenses&quot; means\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  that the initial Contributor has attached the notice described in Exhibit B to the\n					 Covered Software; or\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  that the Covered Software was made available under the terms of version 1.1 or earlier of\n					 the License, but not also under the terms of a Secondary License.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			  &quot;Executable Form&quot; means any form of the work other than Source Code Form.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			  &quot;Larger Work&quot; means a work that combines Covered Software with other material, in a\n				 separate file or files, that is not Covered Software.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			  &quot;License&quot; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			  &quot;Licensable&quot; means having the right to grant, to the maximum extent possible,\n				 whether at the time of the initial grant or subsequently, any and all of the rights\n				 conveyed by this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			  &quot;Modifications&quot; means any of the following:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  any file in Source Code Form that results from an addition to, deletion from, or\n					 modification of the contents of Covered Software; or\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  any new file in Source Code Form that contains any Covered Software.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			  &quot;Patent Claims&quot; of a Contributor means any patent claim(s), including without\n				 limitation, method, process, and apparatus claims, in any patent Licensable by such\n				 Contributor that would be infringed, but for the grant of the License, by the making,\n				 using, selling, offering for sale, having made, import, or transfer of either its\n				 Contributions or its Contributor Version.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			  &quot;Secondary License&quot; means either the GNU General Public License, Version 2.0, the\n				 GNU Lesser General Public License, Version 2.1, the GNU Affero General Public License,\n				 Version 3.0, or any later versions of those licenses.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.13.</var>\n			  &quot;Source Code Form&quot; means the form of the work preferred for making modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.14.</var>\n			  &quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity exercising rights\n				 under this License. For legal entities, &quot;You&quot; includes any entity that controls,\n				 is controlled by, or is under common control with You. For purposes of this definition,\n				 &quot;control&quot; means (a) the power, direct or indirect, to cause the direction or\n				 management of such entity, whether by contract or otherwise, or (b) ownership of more than\n				 fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n			</li>\n			\n</ul>\n		</li>\n\t\n<li>\n\t\t<p>\n			\t\t<var class=\"replaceable-license-text\"> 2.</var>\n\t\t\tLicense Grants and Conditions\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>--------------------------------</p>\n</div>\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			  Grants\n				<p>Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license:\n			  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  under intellectual property rights (other than patent or trademark) Licensable by such\n					 Contributor to use, reproduce, make available, modify, display, perform, distribute,\n					 and otherwise exploit its Contributions, either on an unmodified basis, with\n					 Modifications, or as part of a Larger Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  under Patent Claims of such Contributor to make, use, sell, offer for sale, have made,\n					 import, and otherwise transfer either its Contributions or its Contributor\n					 Version.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			  Effective Date\n				<p>The licenses granted in Section 2.1 with respect to any Contribution become effective\n					 for each Contribution on the date the Contributor first distributes such\n					 Contribution.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.3.</var>\n			  Limitations on Grant Scope\n				<p>The licenses granted in this Section 2 are the only rights granted under this License.\n					 No additional rights or licenses will be implied from the distribution or\n					 licensing of Covered Software under this License. Notwithstanding Section 2.1(b)\n					 above, no patent license is granted by a Contributor:\n			  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  for any code that a Contributor has removed from Covered Software; or\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  for infringements caused by: (i) Your and any other third party&apos;s modifications of\n					 Covered Software, or (ii) the combination of its Contributions with other software\n					 (except as part of its Contributor Version); or\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				  under Patent Claims infringed by Covered Software in the absence of its Contributions.\n				</li>\n				  \n</ul>\n				  <p>This License does not grant any rights in the trademarks, service marks, or logos of any\n				 Contributor (except as may be necessary to comply with the notice requirements in\n				 Section 3.4).</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.4.</var>\n			  Subsequent Licenses\n				<p>No Contributor makes additional grants as a result of Your choice to distribute the\n					 Covered Software under a subsequent version of this License (see Section 10.2) or\n					 under the terms of a Secondary License (if permitted under the terms of Section\n					 3.3).</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.5.</var>\n			  Representation\n				<p>Each Contributor represents that the Contributor believes its Contributions are its\n					 original creation(s) or it has sufficient rights to grant the rights to its\n					 Contributions conveyed by this License.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.6.</var>\n			  Fair Use\n				<p>This License is not intended to limit any rights You have under applicable copyright\n					 doctrines of fair use, fair dealing, or other equivalents.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.7.</var>\n			  Conditions\n				<p>Sections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted in Section 2.1.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n\t\n<li>\n\t\t<p>\n			\t\t<var class=\"replaceable-license-text\"> 3.</var>\n\t\t		Responsibilities\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>-------------------</p>\n</div>\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			  Distribution of Source Form\n				<p>All distribution of Covered Software in Source Code Form, including any Modifications\n					 that You create or to which You contribute, must be under the terms of this\n					 License. You must inform recipients that the Source Code Form of the Covered\n					 Software is governed by the terms of this License, and how they can obtain a copy\n					 of this License. You may not attempt to alter or restrict the recipients&apos;\n					 rights in the Source Code Form.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			  Distribution of Executable Form\n				<p>If You distribute Covered Software in Executable Form then:</p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  such Covered Software must also be made available in Source Code Form, as described in\n					 Section 3.1, and You must inform recipients of the Executable Form how they can obtain\n					 a copy of such Source Code Form by reasonable means in a timely manner, at a charge no\n					 more than the cost of distribution to the recipient; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  You may distribute such Executable Form under the terms of this License, or sublicense it\n					 under different terms, provided that the license for the Executable Form does not\n					 attempt to limit or alter the recipients&apos; rights in the Source Code Form under\n					 this License.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			  Distribution of a Larger Work\n				<p>You may create and distribute a Larger Work under terms of Your choice, provided that\n					 You also comply with the requirements of this License for the Covered Software. If\n					 the Larger Work is a combination of Covered Software with a work governed by one\n					 or more Secondary Licenses, and the Covered Software is not Incompatible With\n					 Secondary Licenses, this License permits You to additionally distribute such\n					 Covered Software under the terms of such Secondary License(s), so that the\n					 recipient of the Larger Work may, at their option, further distribute the Covered\n					 Software under the terms of either this License or such Secondary License(s).\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			  Notices\n				<p>You may not remove or alter the substance of any license notices (including copyright\n					 notices, patent notices, disclaimers of warranty, or limitations of liability)\n					 contained within the Source Code Form of the Covered Software, except that You may\n					 alter any license notices to the extent required to remedy known factual\n					 inaccuracies.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			  Application of Additional Terms\n				<p>You may choose to offer, and to charge a fee for, warranty, support, indemnity or\n					 liability obligations to one or more recipients of Covered Software. However, You\n					 may do so only on Your own behalf, and not on behalf of any Contributor. You must\n					 make it absolutely clear that any such warranty, support, indemnity, or liability\n					 obligation is offered by You alone, and You hereby agree to indemnify every\n					 Contributor for any liability incurred by such Contributor as a result of\n					 warranty, support, indemnity or liability terms You offer. You may include\n					 additional disclaimers of warranty and limitations of liability specific to any\n					 jurisdiction.\n			  </p>\n\n			   </li>\n			\n</ul>\n		</li>\n\t\n<li>\n\t\t<p>\n			\t\t<var class=\"replaceable-license-text\"> 4.</var>\n		  \t\tInability to Comply Due to Statute or Regulation\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>---------------------------------------------------</p>\n</div>\n			<p>If it is impossible for You to comply with any of the terms of this License with respect to\n				 some or all of the Covered Software due to statute, judicial order, or regulation then\n				 You must: (a) comply with the terms of this License to the maximum extent possible;\n				 and (b) describe the limitations and the code they affect. Such description must be\n				 placed in a text file included with all distributions of the Covered Software under\n				 this License. Except to the extent prohibited by statute or regulation, such\n				 description must be sufficiently detailed for a recipient of ordinary skill to be able\n				 to understand it.\n		  </p>\n\n		</li>\n		\n<li>\n\t\t<p>\n\t\t\t<var class=\"replaceable-license-text\"> 5.</var>\n\t\t		Termination\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>--------------</p>\n</div>\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.1.</var>\n			  The rights granted under this License will terminate automatically if You fail to comply with\n				 any of its terms. However, if You become compliant, then the rights granted under this\n				 License from a particular Contributor are reinstated (a) provisionally, unless and until\n				 such Contributor explicitly and finally terminates Your grants, and (b) on an ongoing\n				 basis, if such Contributor fails to notify You of the non-compliance by some reasonable\n				 means prior to 60 days after You have come back into compliance. Moreover, Your grants\n				 from a particular Contributor are reinstated on an ongoing basis if such Contributor\n				 notifies You of the non-compliance by some reasonable means, this is the first time You\n				 have received notice of non-compliance with this License from such Contributor, and You\n				 become compliant prior to 30 days after Your receipt of the notice.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.2.</var>\n			  If You initiate litigation against any entity by asserting a patent infringement claim\n				 (excluding declaratory judgment actions, counter-claims, and cross-claims) alleging that a\n				 Contributor Version directly or indirectly infringes any patent, then the rights granted\n				 to You by any and all Contributors for the Covered Software under Section 2.1 of this\n				 License shall terminate.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.3.</var>\n			  In the event of termination under Sections 5.1 or 5.2 above, all end user license agreements\n				 (excluding distributors and resellers) which have been validly granted by You or Your\n				 distributors under this License prior to termination shall survive termination.\n			</li>\n			\n</ul>\n		</li>\n\t\n<li>\n\t\t<div class=\"optional-license-text\"> <p>************************************************************************</p>\n</div>\n\t\t<p>\n\t		\t<var class=\"replaceable-license-text\"> 6.</var>\n\t		  \tDisclaimer of Warranty\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>*  -------------------------										   *</p>\n</div>\n			<p>Covered Software is provided under this License on an &quot;as is&quot; basis, without\n				 warranty of any kind, either expressed, implied, or statutory, including, without\n				 limitation, warranties that the Covered Software is free of defects, merchantable, fit\n				 for a particular purpose or non-infringing. The entire risk as to the quality and\n				 performance of the Covered Software is with You. Should any Covered Software prove\n				 defective in any respect, You (not any Contributor) assume the cost of any necessary\n				 servicing, repair, or correction. This disclaimer of warranty constitutes an essential\n				 part of this License. No use of any Covered Software is authorized under this License\n				 except under this disclaimer.\n		  </p>\n\n\t\t<div class=\"optional-license-text\"> <p>************************************************************************</p>\n</div>\n		</li>\n		\n<li>\n\t\t<div class=\"optional-license-text\"> <p>************************************************************************</p>\n</div>\n\t\t<p>\n			\t\t<var class=\"replaceable-license-text\"> 7.</var>\n		  \t\tLimitation of Liability\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>*  --------------------------										  *</p>\n</div>\n			<p>Under no circumstances and under no legal theory, whether tort (including negligence),\n				 contract, or otherwise, shall any Contributor, or anyone who distributes Covered\n				 Software as permitted above, be liable to You for any direct, indirect, special,\n				 incidental, or consequential damages of any character including, without limitation,\n				 damages for lost profits, loss of goodwill, work stoppage, computer failure or\n				 malfunction, or any and all other commercial damages or losses, even if such party\n				 shall have been informed of the possibility of such damages. This limitation of\n				 liability shall not apply to liability for death or personal injury resulting from\n				 such party&apos;s negligence to the extent applicable law prohibits such limitation.\n				 Some jurisdictions do not allow the exclusion or limitation of incidental or\n				 consequential damages, so this exclusion and limitation may not apply to You.\n		  </p>\n\n\t\t<div class=\"optional-license-text\"> <p>************************************************************************</p>\n</div>\n		</li>\n\t\n<li>\n\t\t<p>\n			\t\t<var class=\"replaceable-license-text\"> 8.</var>\n		  \t\tLitigation\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>-------------</p>\n</div>\n			<p>Any litigation relating to this License may be brought only in the courts of a jurisdiction\n				 where the defendant maintains its principal place of business and such litigation\n				 shall be governed by laws of that jurisdiction, without reference to its\n				 conflict-of-law provisions. Nothing in this Section shall prevent a party&apos;s\n				 ability to bring cross-claims or counter-claims.\n		  </p>\n\n		</li>\n\t\n<li>\n\t\t<p>\n			\t\t<var class=\"replaceable-license-text\"> 9.</var>\n		  \t\tMiscellaneous\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>----------------</p>\n</div>\n			<p>This License represents the complete agreement concerning the subject matter hereof. If any\n				 provision of this License is held to be unenforceable, such provision shall be\n				 reformed only to the extent necessary to make it enforceable. Any law or regulation\n				 which provides that the language of a contract shall be consTrued against the drafter\n				 shall not be used to consTrue this License against a Contributor.\n		  </p>\n\n		</li>\n\t\n<li>\n\t\t<p>\n			\t\t<var class=\"replaceable-license-text\"> 10.</var>\n		  \t\tVersions of the License\n\t\t</p>\n\n\t\t<div class=\"optional-license-text\"> <p>---------------------------</p>\n</div>\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.1.</var>\n			  New Versions\n				<p>Mozilla Foundation is the license steward. Except as provided in Section 10.3, no one\n					 other than the license steward has the right to modify or publish new versions of\n					 this License. Each version will be given a distinguishing version number.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.2.</var>\n			  Effect of New Versions\n				<p>You may distribute the Covered Software under the terms of the version of the License\n					 under which You originally received the Covered Software, or under the terms of\n					 any subsequent version published by the license steward.\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.3.</var>\n			  Modified Versions\n				<p>If you create software not governed by this License, and you want to create a new\n					 license for such software, you may create and use a modified version of this\n					 License if you rename the license and remove any references to the name of the\n					 license steward (except to note that such modified license differs from this\n					 License).\n			  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.4.</var>\n			  Distributing Source Code Form that is Incompatible With Secondary Licenses\n				<p>If You choose to distribute Source Code Form that is Incompatible With Secondary Licenses under the terms\n					 of this version of the License, the notice described in Exhibit B of this License must be\n					 attached.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>Exhibit A - Source Code Form License Notice</p>\n\n		 <div class=\"optional-license-text\"> <p>-------------------------------------------</p>\n</div>\n\t \n			<p>This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL\n		 was not distributed with this file, You can obtain one at http://mozilla.org/MPL/2.0/.</p>\n\n		 <p>If it is not possible or desirable to put the notice in a particular file, then You may include the\n		 notice in a location (such as a LICENSE file in a relevant directory) where a recipient would be\n		 likely to look for such a notice.</p>\n\n		 <p>You may add additional accurate notices of copyright ownership.</p>\n\n		 <p>Exhibit B - &quot;Incompatible With Secondary Licenses&quot; Notice</p>\n\n		 <div class=\"optional-license-text\"> <p>---------------------------------------------------------</p>\n</div>\n\t <p>This Source Code Form is &quot;Incompatible With Secondary Licenses&quot;, as defined by the Mozilla\n		 Public License, v. 2.0.</p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n			<p>This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL\n		 was not distributed with this file, You can obtain one at http://mozilla.org/MPL/2.0/.</p>\n\n		 "
		self.python_name = "MPL20"

	def __str__(self):
		return json.dumps(self.__dict__)


class WTFPL:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE\nVersion 2, December 2004\n\nCopyright (C) 2004 Sam Hocevar <sam@hocevar.net>\n\nEveryone is permitted to copy and distribute verbatim or modified copies of this license document, and changing it is allowed as long as the name is changed.\n\nDO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n  0. You just DO WHAT THE FUCK YOU WANT TO.\n"
		self.standardLicenseTemplate = "<<beginOptional>>DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE\n\nVersion 2, December 2004\n\n<<endOptional>>\n\nCopyright (C) 2004 Sam Hocevar <sam@hocevar.net>\n\nEveryone is permitted to copy and distribute verbatim or modified copies of this license document, and changing it is allowed as long as the name is changed.\n\nDO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> You just DO WHAT THE FUCK YOU WANT TO."
		self.name = "Do What The F*ck You Want To Public License"
		self.licenseId = "WTFPL"
		self.crossRef = [{"match": "N/A", "url": "http://sam.zoy.org/wtfpl/COPYING", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:33Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "http://www.wtfpl.net/about/", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:33Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.wtfpl.net/about/", "http://sam.zoy.org/wtfpl/COPYING"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE\n		<br />\n\nVersion 2, December 2004\n	  </p>\n\n	  </div>\n	  <p>Copyright (C) 2004 Sam Hocevar &lt;sam@hocevar.net&gt;</p>\n\n	  <p>Everyone is permitted to copy and distribute verbatim or modified copies of this license document, and\n		 changing it is allowed as long as the name is changed.</p>\n\n	  <p>DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE\n		<br />\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  You just DO WHAT THE FUCK YOU WANT TO.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "WTFPL"

	def __str__(self):
		return json.dumps(self.__dict__)


class SHL051:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "SOLDERPAD HARDWARE LICENSE version 0.51\n\nThis license is based closely on the Apache License Version 2.0, but is not approved or endorsed by the Apache Foundation. A copy of the non-modified Apache License 2.0 can be found at http://www.apache.org/licenses/LICENSE-2.0.\n\nAs this license is not currently OSI or FSF approved, the Licensor permits any Work licensed under this License, at the option of the Licensee, to be treated as licensed under the Apache License Version 2.0 (which is so approved).\n\nThis License is licensed under the terms of this License and in particular clause 7 below (Disclaimer of Warranties) applies in relation to its use.\n\nTERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n1. Definitions.\n\n\"License\" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.\n\n\"Licensor\" shall mean the Rights owner or entity authorized by the Rights owner that is granting the License.\n\n\"Legal Entity\" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n\"You\" (or \"Your\") shall mean an individual or Legal Entity exercising permissions granted by this License.\n\n\"Rights\" means copyright and any similar right including design right (whether registered or unregistered), semiconductor topography (mask) rights and database rights (but excluding Patents and Trademarks).\n\n\"Source\" form shall mean the preferred form for making modifications, including but not limited to source code, net lists, board layouts, CAD files, documentation source, and configuration files.\n\n\"Object\" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, the instantiation of a hardware design and conversions to other media types, including intermediate forms such as bytecodes, FPGA bitstreams, artwork and semiconductor topographies (mask works).\n\n\"Work\" shall mean the work of authorship, whether in Source form or other Object form, made available under the License, as indicated by a Rights notice that is included in or attached to the work (an example is provided in the Appendix below).\n\n\"Derivative Works\" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) or physically connect to or interoperate with the interfaces of, the Work and Derivative Works thereof.\n\n\"Contribution\" shall mean any design or work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the Rights owner or by an individual or Legal Entity authorized to submit on behalf of the Rights owner. For the purposes of this definition, \"submitted\" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the Rights owner as \"Not a Contribution.\"\n\n\"Contributor\" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.\n\n2. Grant of License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable license under the Rights to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form and do anything in relation to the Work as if the Rights did not exist.\n\n3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.\n\n4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:\n\n   1. You must give any other recipients of the Work or Derivative Works a copy of this License; and\n\n   2. You must cause any modified files to carry prominent notices stating that You changed the files; and\n\n   3. You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and\n\n   4. If the Work includes a \"NOTICE\" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be consTrued as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.\n\n5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.\n\n6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.\n\n7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.\n\n8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.\n\n9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.\n\nEND OF TERMS AND CONDITIONS\n\nAPPENDIX: How to apply this license to your work\n\nTo apply this license to your work, attach the following boilerplate notice, with the fields enclosed by brackets \"[]\" replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same \"printed page\" as the copyright notice for easier identification within third-party archives.\n\nCopyright [yyyy] [name of copyright owner] Copyright and related rights are licensed under the Solderpad Hardware License, Version 0.51 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://solderpad.org/licenses/SHL-0.51. Unless required by applicable law or agreed to in writing, software, hardware and materials distributed under this License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.\n"
		self.standardLicenseHeaderTemplate = "Copyright <<var;name=\"copyright\";original=\"[yyyy] [name of copyright owner]\";match=\".+\">> Copyright and related rights are licensed under the Solderpad Hardware License, Version 0.51 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://solderpad.org/licenses/SHL-0.51. Unless required by applicable law or agreed to in writing, software, hardware and materials distributed under this License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>SOLDERPAD HARDWARE LICENSE version 0.51\n\n<<endOptional>>\n\nThis license is based closely on the Apache License Version 2.0, but is not approved or endorsed by the Apache Foundation. A copy of the non-modified Apache License 2.0 can be found at http://www.apache.org/licenses/LICENSE-2.0.\n\nAs this license is not currently OSI or FSF approved, the Licensor permits any Work licensed under this License, at the option of the Licensee, to be treated as licensed under the Apache License Version 2.0 (which is so approved).\n\nThis License is licensed under the terms of this License and in particular clause 7 below (Disclaimer of Warranties) applies in relation to its use.\n\n<<beginOptional>>TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  \"License\" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.\n\n	  \"Licensor\" shall mean the Rights owner or entity authorized by the Rights owner that is granting the License.\n\n	  \"Legal Entity\" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n	  \"You\" (or \"Your\") shall mean an individual or Legal Entity exercising permissions granted by this License.\n\n	  \"Rights\" means copyright and any similar right including design right (whether registered or unregistered), semiconductor topography (mask) rights and database rights (but excluding Patents and Trademarks).\n\n	  \"Source\" form shall mean the preferred form for making modifications, including but not limited to source code, net lists, board layouts, CAD files, documentation source, and configuration files.\n\n	  \"Object\" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, the instantiation of a hardware design and conversions to other media types, including intermediate forms such as bytecodes, FPGA bitstreams, artwork and semiconductor topographies (mask works).\n\n	  \"Work\" shall mean the work of authorship, whether in Source form or other Object form, made available under the License, as indicated by a Rights notice that is included in or attached to the work (an example is provided in the Appendix below).\n\n	  \"Derivative Works\" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) or physically connect to or interoperate with the interfaces of, the Work and Derivative Works thereof.\n\n	  \"Contribution\" shall mean any design or work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the Rights owner or by an individual or Legal Entity authorized to submit on behalf of the Rights owner. For the purposes of this definition, \"submitted\" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the Rights owner as \"Not a Contribution.\"\n\n	  \"Contributor\" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Grant of License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable license under the Rights to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form and do anything in relation to the Work as if the Rights did not exist.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You must give any other recipients of the Work or Derivative Works a copy of this License; and\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You must cause any modified files to carry prominent notices stating that You changed the files; and\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and\n\n	  <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> If the Work includes a \"NOTICE\" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be consTrued as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nAPPENDIX: How to apply this license to your work\n\nTo apply this license to your work, attach the following boilerplate notice, with the fields enclosed by brackets \"[]\" replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same \"printed page\" as the copyright notice for easier identification within third-party archives.\n\nCopyright <<var;name=\"copyright\";original=\"[yyyy] [name of copyright owner]\";match=\".+\">> Copyright and related rights are licensed under the Solderpad Hardware License, Version 0.51 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://solderpad.org/licenses/SHL-0.51. Unless required by applicable law or agreed to in writing, software, hardware and materials distributed under this License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.\n\n<<endOptional>>"
		self.name = "Solderpad Hardware License, Version 0.51"
		self.licenseComments = "This license was released in March of 2019."
		self.licenseId = "SHL-0.51"
		self.standardLicenseHeader = "Copyright [yyyy] [name of copyright owner] Copyright and related rights are licensed under the Solderpad Hardware License, Version 0.51 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://solderpad.org/licenses/SHL-0.51. Unless required by applicable law or agreed to in writing, software, hardware and materials distributed under this License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.\n\n"
		self.crossRef = [{"match": "False", "url": "https://solderpad.org/licenses/SHL-0.51/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:30Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://solderpad.org/licenses/SHL-0.51/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p>SOLDERPAD HARDWARE LICENSE version 0.51</p>\n\n	  </div>\n	  <p>This license is based closely on the Apache License Version 2.0, but is not approved or endorsed by the Apache Foundation. A copy of the non-modified Apache License 2.0 can be found at http://www.apache.org/licenses/LICENSE-2.0.</p>\n\n	  <p>As this license is not currently OSI or FSF approved, the Licensor permits any Work licensed under this License, at the option of the Licensee, to be treated as licensed under the Apache License Version 2.0 (which is so approved).</p>\n\n	  <p>This License is licensed under the terms of this License and in particular clause 7 below (Disclaimer of Warranties) applies in relation to its use.</p>\n\n	  <div class=\"optional-license-text\"> \n		<p>TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION</p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li><var class=\"replaceable-license-text\"> 1.</var> Definitions.\n		  \n<ul style=\"list-style:none\">\n			\n<li><p>&quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.</p>\n</li>\n			\n<li><p>&quot;Licensor&quot; shall mean the Rights owner or entity authorized by the Rights owner that is granting the License.</p>\n</li>\n			\n<li><p>&quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.</p>\n</li>\n			\n<li><p>&quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License.</p>\n</li>\n			\n<li><p>&quot;Rights&quot; means copyright and any similar right including design right (whether registered or unregistered), semiconductor topography (mask) rights and database rights (but excluding Patents and Trademarks).</p>\n</li>\n			\n<li><p>&quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to source code, net lists, board layouts, CAD files, documentation source, and configuration files.</p>\n</li>\n			\n<li><p>&quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, the instantiation of a hardware design and conversions to other media types, including intermediate forms such as bytecodes, FPGA bitstreams, artwork and semiconductor topographies (mask works).</p>\n</li>\n			\n<li><p>&quot;Work&quot; shall mean the work of authorship, whether in Source form or other Object form, made available under the License, as indicated by a Rights notice that is included in or attached to the work (an example is provided in the Appendix below).</p>\n</li>\n			\n<li><p>&quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) or physically connect to or interoperate with the interfaces of, the Work and Derivative Works thereof.</p>\n</li>\n			\n<li><p>&quot;Contribution&quot; shall mean any design or work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the Rights owner or by an individual or Legal Entity authorized to submit on behalf of the Rights owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the Rights owner as &quot;Not a Contribution.&quot;</p>\n</li>\n			\n<li><p>&quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.</p>\n</li>\n		  \n</ul>\n		</li>\n		\n<li><var class=\"replaceable-license-text\"> 2.</var> Grant of License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable license under the Rights to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form and do anything in relation to the Work as if the Rights did not exist.</li>\n		\n<li><var class=\"replaceable-license-text\"> 3.</var> Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.</li>\n		\n<li><var class=\"replaceable-license-text\"> 4.</var> Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 1.</var> You must give any other recipients of the Work or Derivative Works a copy of this License; and</li>\n			\n<li><var class=\"replaceable-license-text\"> 2.</var> You must cause any modified files to carry prominent notices stating that You changed the files; and</li>\n			\n<li><var class=\"replaceable-license-text\"> 3.</var> You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and</li>\n			\n<li><var class=\"replaceable-license-text\"> 4.</var> If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be consTrued as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.</li>\n		  \n</ul>\n		</li>\n		\n<li><var class=\"replaceable-license-text\"> 5.</var> Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.</li>\n		\n<li><var class=\"replaceable-license-text\"> 6.</var> Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.</li>\n		\n<li><var class=\"replaceable-license-text\"> 7.</var> Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.</li>\n		\n<li><var class=\"replaceable-license-text\"> 8.</var> Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.</li>\n		\n<li><var class=\"replaceable-license-text\"> 9.</var> Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>END OF TERMS AND CONDITIONS</p>\n\n		<p>APPENDIX: How to apply this license to your work</p>\n\n		<p>To apply this license to your work, attach the following boilerplate notice, with the fields enclosed by brackets &quot;[]&quot; replaced with your own identifying information. (Don&apos;t include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same &quot;printed page&quot; as the copyright notice for easier identification within third-party archives.</p>\n\n		  <p>Copyright <var class=\"replaceable-license-text\"> [yyyy] [name of copyright owner]</var> Copyright and related rights are licensed under the Solderpad Hardware License, Version 0.51 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://solderpad.org/licenses/SHL-0.51. Unless required by applicable law or agreed to in writing, software, hardware and materials distributed under this License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.</p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		  <p>Copyright <var class=\"replaceable-license-text\"> [yyyy] [name of copyright owner]</var> Copyright and related rights are licensed under the Solderpad Hardware License, Version 0.51 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://solderpad.org/licenses/SHL-0.51. Unless required by applicable law or agreed to in writing, software, hardware and materials distributed under this License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.</p>\n\n		"
		self.python_name = "SHL051"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD43TAHOE:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1987 Regents of the University of California. All rights reserved. \n\nRedistribution and use in source and binary forms are permitted provided \nthat the above copyright notice and this paragraph are duplicated in all \nsuch forms and that any documentation, advertising materials, and other \nmaterials related to such distribution and use acknowledge that the software \nwas developed by the University of California, Berkeley. The name of the \nUniversity may not be used to endorse or promote products derived from this \nsoftware without specific prior written permission. THIS SOFTWARE IS PROVIDED \n``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT \nLIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1987 Regents of the University of California. All rights reserved.\";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms are permitted provided that the above copyright notice and this paragraph are duplicated in all such forms and that any documentation, advertising materials, and other materials related to such distribution and use acknowledge that the software was developed by <<var;name=\"acknowledgedDeveloperNames\";original=\"the University of California, Berkeley.\";match=\"[^.]+\\.\">> The name of <<var;name=\"noEndorseNames\";original=\"the University\";match=\"[^.]+\">> may not be used to endorse or promote products derived from this software without specific prior written permission. THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\n"
		self.name = "BSD 4.3 TAHOE License"
		self.licenseId = "BSD-4.3TAHOE"
		self.crossRef = [{"match": "False", "url": "https://github.com/389ds/389-ds-base/blob/main/ldap/include/sysexits-compat.h#L15", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:07Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://git.savannah.gnu.org/cgit/indent.git/tree/doc/indent.texi?id=a74c6b4ee49397cf330b333da1042bffa60ed14f#n1788", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:10Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://github.com/389ds/389-ds-base/blob/main/ldap/include/sysexits-compat.h#L15", "https://git.savannah.gnu.org/cgit/indent.git/tree/doc/indent.texi?id=a74c6b4ee49397cf330b333da1042bffa60ed14f#n1788"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (c) 1987 Regents of the University\n			of California. All rights reserved.\n		 </var>\n		 <p>\n			Redistribution and use in source and binary forms are permitted\n			provided that the above copyright notice and this paragraph\n			are duplicated in all such forms and that any documentation,\n			advertising materials, and other materials related to such\n			distribution and use acknowledge that the software was developed\n			by <var class=\"replaceable-license-text\"> the\n			University of California, Berkeley.</var> The name of\n			<var class=\"replaceable-license-text\"> the University</var>\n			may not be used to endorse or promote products derived\n			from this software without specific prior written permission.\n			THIS SOFTWARE IS PROVIDED ``AS IS&apos;&apos; AND WITHOUT ANY EXPRESS OR\n			IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED\n			WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n		 </p>\n\n	  "
		self.python_name = "BSD43TAHOE"

	def __str__(self):
		return json.dumps(self.__dict__)


class ECL20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Educational Community License\nVersion 2.0, April 2007\n\nhttp://www.osedu.org/licenses/\n\nThe Educational Community License version 2.0 (\"ECL\") consists of the Apache 2.0 license, modified to change the scope of the patent grant in section 3 to be specific to the needs of the education communities using this license. The original Apache 2.0 license can be found at: http://www.apache.org/licenses/LICENSE-2.0\n\nTERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n1. Definitions.\n\n\"License\" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.\n\n\"Licensor\" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.\n\n\"Legal Entity\" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n\"You\" (or \"Your\") shall mean an individual or Legal Entity exercising permissions granted by this License.\n\n\"Source\" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.\n\n\"Object\" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.\n\n\"Work\" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).\n\n\"Derivative Works\" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.\n\n\"Contribution\" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, \"submitted\" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as \"Not a Contribution.\"\n\n\"Contributor\" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.\n\n2. Grant of Copyright License.\n\nSubject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.\n\n3. Grant of Patent License.\n\nSubject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed. Any patent license granted hereby with respect to contributions by an individual employed by an institution or organization is limited to patent claims where the individual that is the author of the Work is also the inventor of the patent claims licensed, and where the organization or institution has the right to grant such license under applicable grant and research funding agreements. No other express or implied licenses are granted.\n\n4. Redistribution.\n\nYou may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:\n\n	 a. You must give any other recipients of the Work or Derivative Works a copy of this License; and\n\n	 b. You must cause any modified files to carry prominent notices stating that You changed the files; and\n\n	 c. You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and\n\n	 d. If the Work includes a \"NOTICE\" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be consTrued as modifying the License.\n\nYou may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.\n\n5. Submission of Contributions.\n\nUnless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.\n\n6. Trademarks.\n\nThis License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.\n\n7. Disclaimer of Warranty.\n\nUnless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.\n\n8. Limitation of Liability.\n\nIn no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.\n\n9. Accepting Warranty or Additional Liability.\n\nWhile redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.\n\nEND OF TERMS AND CONDITIONS\n\nAPPENDIX: How to apply the Educational Community License to your work\n\nTo apply the Educational Community License to your work, attach\nthe following boilerplate notice, with the fields enclosed by\nbrackets \"[]\" replaced with your own identifying information.\n(Don't include the brackets!) The text should be enclosed in the\nappropriate comment syntax for the file format. We also recommend\nthat a file or class name and description of purpose be included on\nthe same \"printed page\" as the copyright notice for easier\nidentification within third-party archives.\n\n  Copyright [yyyy] [name of copyright owner] Licensed under the\n  Educational Community License, Version 2.0 (the \"License\"); you may\n  not use this file except in compliance with the License. You may\n  obtain a copy of the License at\n\n  http://www.osedu.org/licenses/ECL-2.0\n\n  Unless required by applicable law or agreed to in writing,\n  software distributed under the License is distributed on an \"AS IS\"\n  BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express\n  or implied. See the License for the specific language governing\n  permissions and limitations under the License.\n"
		self.standardLicenseHeaderTemplate = "Copyright <<var;name=\"copyright\";original=\"[yyyy] [name of copyright owner]\";match=\".+\">> Licensed under the\n\nEducational Community License, Version 2.0 (the \"License\"); you may\n\nnot use this file except in compliance with the License. You may\n\nobtain a copy of the License at\n\nhttp://www.osedu.org/licenses/ECL-2.0\n\nUnless required by applicable law or agreed to in writing,\n\nsoftware distributed under the License is distributed on an \"AS IS\"\n\nBASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express\n\nor implied. See the License for the specific language governing\n\npermissions and limitations under the License.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Educational Community License\n\nVersion 2.0, April 2007\n\n<<endOptional>><<beginOptional>> http://www.osedu.org/licenses/\n\nThe Educational Community License version 2.0 (\"ECL\") consists of the Apache 2.0 license, modified to change the scope of the patent grant in section 3 to be specific to the needs of the education communities using this license. The original Apache 2.0 license can be found at: http://www.apache.org/licenses/LICENSE-2.0\n\n<<endOptional>>\n\nTERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  \"License\" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.\n\n	  \"Licensor\" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.\n\n	  \"Legal Entity\" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n	  \"You\" (or \"Your\") shall mean an individual or Legal Entity exercising permissions granted by this License.\n\n	  \"Source\" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.\n\n	  \"Object\" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.\n\n	  \"Work\" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).\n\n	  \"Derivative Works\" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.\n\n	  \"Contribution\" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, \"submitted\" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as \"Not a Contribution.\"\n\n	  \"Contributor\" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Grant of Copyright License.\n\n   Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Grant of Patent License.\n\n   Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed. Any patent license granted hereby with respect to contributions by an individual employed by an institution or organization is limited to patent claims where the individual that is the author of the Work is also the inventor of the patent claims licensed, and where the organization or institution has the right to grant such license under applicable grant and research funding agreements. No other express or implied licenses are granted.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Redistribution.\n\n   You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You must give any other recipients of the Work or Derivative Works a copy of this License; and\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You must cause any modified files to carry prominent notices stating that You changed the files; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> If the Work includes a \"NOTICE\" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be consTrued as modifying the License.\n\n	  You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Submission of Contributions.\n\n   Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Trademarks.\n\n   This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Limitation of Liability.\n\n   In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Accepting Warranty or Additional Liability.\n\nWhile redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.\n\n<<beginOptional>>END OF TERMS AND CONDITIONS\n\nAPPENDIX: How to apply the Educational Community License to your work\n\nTo apply the Educational Community License to your work, attach\n\nthe following boilerplate notice, with the fields enclosed by\n\nbrackets \"[]\" replaced with your own identifying information.\n\n(Don't include the brackets!) The text should be enclosed in the\n\nappropriate comment syntax for the file format. We also recommend\n\nthat a file or class name and description of purpose be included on\n\nthe same \"printed page\" as the copyright notice for easier\n\nidentification within third-party archives.\n\nCopyright <<var;name=\"copyright\";original=\"[yyyy] [name of copyright owner]\";match=\".+\">> Licensed under the\n\nEducational Community License, Version 2.0 (the \"License\"); you may\n\nnot use this file except in compliance with the License. You may\n\nobtain a copy of the License at\n\nhttp://www.osedu.org/licenses/ECL-2.0\n\nUnless required by applicable law or agreed to in writing,\n\nsoftware distributed under the License is distributed on an \"AS IS\"\n\nBASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express\n\nor implied. See the License for the specific language governing\n\npermissions and limitations under the License.\n\n<<endOptional>>"
		self.name = "Educational Community License v2.0"
		self.licenseComments = "The Educational Community License version 2.0 (\"ECL\") consists of the Apache 2.0 license, modified to change the scope of the patent grant in section 3 to be specific to the needs of the education communities using this license. The url included in the boilerplate notice does not work. (15/10/10)"
		self.licenseId = "ECL-2.0"
		self.standardLicenseHeader = "Copyright [yyyy] [name of copyright owner] Licensed under the\n\nEducational Community License, Version 2.0 (the \"License\"); you may\n\nnot use this file except in compliance with the License. You may\n\nobtain a copy of the License at\n\nhttp://www.osedu.org/licenses/ECL-2.0\n\nUnless required by applicable law or agreed to in writing,\n\nsoftware distributed under the License is distributed on an \"AS IS\"\n\nBASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express\n\nor implied. See the License for the specific language governing\n\npermissions and limitations under the License.\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/ECL-2.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:57Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/ECL-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Educational Community License\n		<br />\n\nVersion 2.0, April 2007\n	  </p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>http://www.osedu.org/licenses/</p>\n\n		 <p>The Educational Community License version 2.0 (&quot;ECL&quot;) consists of the Apache 2.0 license,\n		 modified to change the scope of the patent grant in section 3 to be specific to the needs of the\n		 education communities using this license. The original Apache 2.0 license can be found at:\n		 http://www.apache.org/licenses/LICENSE-2.0</p>\n\n	  </div>\n	  <p>TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <p>&quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution\n			 as defined by Sections 1 through 9 of this document.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner\n			 that is granting the License.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that\n			 control, are controlled by, or are under common control with that entity. For the purposes of\n			 this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the\n			 direction or management of such entity, whether by contract or otherwise, or (ii) ownership of\n			 fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such\n			 entity.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising\n			 permissions granted by this License.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Source&quot; form shall mean the preferred form for making modifications, including but not\n			 limited to software source code, documentation source, and configuration files.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Object&quot; form shall mean any form resulting from mechanical transformation or\n			 translation of a Source form, including but not limited to compiled object code, generated\n			 documentation, and conversions to other media types.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made\n			 available under the License, as indicated by a copyright notice that is included in or\n			 attached to the work (an example is provided in the Appendix below).</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based\n			 on (or derived from) the Work and for which the editorial revisions, annotations,\n			 elaborations, or other modifications represent, as a whole, an original work of authorship.\n			 For the purposes of this License, Derivative Works shall not include works that remain\n			 separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative\n			 Works thereof.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Contribution&quot; shall mean any work of authorship, including the original version of the\n			 Work and any modifications or additions to that Work or Derivative Works thereof, that is\n			 intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an\n			 individual or Legal Entity authorized to submit on behalf of the copyright owner. For the\n			 purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or\n			 written communication sent to the Licensor or its representatives, including but not limited\n			 to communication on electronic mailing lists, source code control systems, and issue tracking\n			 systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and\n			 improving the Work, but excluding communication that is conspicuously marked or otherwise\n			 designated in writing by the copyright owner as &quot;Not a Contribution.&quot;</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom\n			 a Contribution has been received by Licensor and subsequently incorporated within the\n			 Work.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Grant of Copyright License.\n		  <p>Subject to the terms and conditions of this License, each Contributor hereby grants to You a\n			 perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to\n			 reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and\n			 distribute the Work and such Derivative Works in Source or Object form.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Grant of Patent License.\n		  <p>Subject to the terms and conditions of this License, each Contributor hereby grants to You a\n			 perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in\n			 this section) patent license to make, have made, use, offer to sell, sell, import, and\n			 otherwise transfer the Work, where such license applies only to those patent claims licensable\n			 by such Contributor that are necessarily infringed by their Contribution(s) alone or by\n			 combination of their Contribution(s) with the Work to which such Contribution(s) was\n			 submitted. If You institute patent litigation against any entity (including a cross-claim or\n			 counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the\n			 Work constitutes direct or contributory patent infringement, then any patent licenses granted\n			 to You under this License for that Work shall terminate as of the date such litigation is\n			 filed. Any patent license granted hereby with respect to contributions by an individual\n			 employed by an institution or organization is limited to patent claims where the individual\n			 that is the author of the Work is also the inventor of the patent claims licensed, and where\n			 the organization or institution has the right to grant such license under applicable grant and\n			 research funding agreements. No other express or implied licenses are granted.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Redistribution.\n		  <p>You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium,\n			 with or without modifications, and in Source or Object form, provided that You meet the\n			 following conditions:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You must give any other recipients of the Work or Derivative Works a copy of this License; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You must cause any modified files to carry prominent notices stating that You changed the files; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			You must retain, in the Source form of any Derivative Works that You distribute, all\n			   copyright, patent, trademark, and attribution notices from the Source form of the Work,\n			   excluding those notices that do not pertain to any part of the Derivative Works; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any\n			   Derivative Works that You distribute must include a readable copy of the attribution\n			   notices contained within such NOTICE file, excluding those notices that do not pertain to\n			   any part of the Derivative Works, in at least one of the following places: within a NOTICE\n			   text file distributed as part of the Derivative Works; within the Source form or\n			   documentation, if provided along with the Derivative Works; or, within a display generated\n			   by the Derivative Works, if and wherever such third-party notices normally appear. The\n			   contents of the NOTICE file are for informational purposes only and do not modify the\n			   License. You may add Your own attribution notices within Derivative Works that You\n			   distribute, alongside or as an addendum to the NOTICE text from the Work, provided that\n			   such additional attribution notices cannot be consTrued as modifying the License.\n			<p>You may add Your own copyright statement to Your modifications and may provide additional or\n			   different license terms and conditions for use, reproduction, or distribution of Your\n			   modifications, or for any such Derivative Works as a whole, provided Your use,\n			   reproduction, and distribution of the Work otherwise complies with the conditions stated\n			   in this License.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Submission of Contributions.\n		  <p>Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in\n			 the Work by You to the Licensor shall be under the terms and conditions of this License,\n			 without any additional terms or conditions. Notwithstanding the above, nothing herein shall\n			 supersede or modify the terms of any separate license agreement you may have executed with\n			 Licensor regarding such Contributions.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Trademarks.\n		  <p>This License does not grant permission to use the trade names, trademarks, service marks, or\n			 product names of the Licensor, except as required for reasonable and customary use in\n			 describing the origin of the Work and reproducing the content of the NOTICE file.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Disclaimer of Warranty.\n		  <p>Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each\n			 Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR\n			 CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any\n			 warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A\n			 PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or\n			 redistributing the Work and assume any risks associated with Your exercise of permissions\n			 under this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Limitation of Liability.\n		  <p>In no event and under no legal theory, whether in tort (including negligence), contract, or\n			 otherwise, unless required by applicable law (such as deliberate and grossly negligent acts)\n			 or agreed to in writing, shall any Contributor be liable to You for damages, including any\n			 direct, indirect, special, incidental, or consequential damages of any character arising as a\n			 result of this License or out of the use or inability to use the Work (including but not\n			 limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or\n			 any and all other commercial damages or losses), even if such Contributor has been advised of\n			 the possibility of such damages.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Accepting Warranty or Additional Liability.\n		</li>\n	  \n</ul>\n	  <p>While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for,\n		 acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent\n		 with this License. However, in accepting such obligations, You may act only on Your own behalf and on\n		 Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify,\n		 defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against,\n		 such Contributor by reason of your accepting any such warranty or additional liability.</p>\n\n	  <div class=\"optional-license-text\"> \n		 <p>END OF TERMS AND CONDITIONS</p>\n\n		 <p>APPENDIX: How to apply the Educational Community License to your work</p>\n\n		 <p>To apply the Educational Community License to your work, attach\n		<br />\n\nthe following boilerplate notice, with the fields enclosed by\n		<br />\n\nbrackets &quot;[]&quot; replaced with your own identifying information.\n		<br />\n\n(Don&apos;t include the brackets!) The text should be enclosed in the\n		<br />\n\nappropriate comment syntax for the file format. We also recommend\n		<br />\n\nthat a file or class name and description of purpose be included on\n		<br />\n\nthe same &quot;printed page&quot; as the copyright notice for easier\n		<br />\n\nidentification within third-party archives.\n	  </p>\n\n		 <p>Copyright <var class=\"replaceable-license-text\"> [yyyy] [name of copyright owner]</var> Licensed under the\n		<br />\n\nEducational Community License, Version 2.0 (the &quot;License&quot;); you may\n		<br />\n\nnot use this file except in compliance with the License. You may\n		<br />\n\nobtain a copy of the License at\n	  </p>\n\n		 <p>http://www.osedu.org/licenses/ECL-2.0</p>\n\n		 <p>Unless required by applicable law or agreed to in writing,\n		<br />\n\nsoftware distributed under the License is distributed on an &quot;AS IS&quot;\n		<br />\n\nBASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express\n		<br />\n\nor implied. See the License for the specific language governing\n		<br />\n\npermissions and limitations under the License.\n	  </p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p>Copyright <var class=\"replaceable-license-text\"> [yyyy] [name of copyright owner]</var> Licensed under the\n		<br />\n\nEducational Community License, Version 2.0 (the &quot;License&quot;); you may\n		<br />\n\nnot use this file except in compliance with the License. You may\n		<br />\n\nobtain a copy of the License at\n	  </p>\n\n		 <p>http://www.osedu.org/licenses/ECL-2.0</p>\n\n		 <p>Unless required by applicable law or agreed to in writing,\n		<br />\n\nsoftware distributed under the License is distributed on an &quot;AS IS&quot;\n		<br />\n\nBASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express\n		<br />\n\nor implied. See the License for the specific language governing\n		<br />\n\npermissions and limitations under the License.\n	  </p>\n\n	  "
		self.python_name = "ECL20"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP14:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The OpenLDAP Public License\nVersion 1.4, 18 January 1999\n\nCopyright 1998-1999, The OpenLDAP Foundation. All Rights Reserved.\n\nNote: This license is derived from the \"Artistic License\" as distributed with the Perl Programming Language. As significant differences exist, the complete license should be read.\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n	 \"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n	 \"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n	 \"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n	 \"You\" is you, if you're thinking about copying or distributing this Package.\n\n	 \"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n	 \"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	 a) place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	 b) use the modified Package only within your corporation or organization.\n\n	 c) rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	 d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	 a) distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	 b) accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	 c) accompany any non-standard executables with their corresponding Standard Version executables, giving the non-standard executables non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	 d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n7. C subroutines supplied by you and linked into this Package in order to emulate subroutines and variables defined by this Package shall not be considered part of this Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not change the behavior of the Package in any way that would cause it to fail the regression tests for the Package.\n\n8. Software supplied by you and linked with this Package in order to use subroutines and variables defined by this Package shall not be considered part of this Package and do not automatically fall under the copyright of this Package. Executables produced by linking your software with this Package may be used and redistributed without restriction and may be sold commercially so long as the primary function of your software is different than the package itself.\n\n9. The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n10. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\nThe End\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 1.4, 18 January 1999\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 1998-1999, The OpenLDAP Foundation. All Rights Reserved.  \";match=\".{0,5000}\">><<beginOptional>> Note: This license is derived from the \"Artistic License\" as distributed with the Perl Programming Language. As significant differences exist, the complete license should be read.\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\n<<endOptional>>\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n\"You\" is you, if you're thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> use the modified Package only within your corporation or organization.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> accompany any non-standard executables with their corresponding Standard Version executables, giving the non-standard executables non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> C subroutines supplied by you and linked into this Package in order to emulate subroutines and variables defined by this Package shall not be considered part of this Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not change the behavior of the Package in any way that would cause it to fail the regression tests for the Package.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Software supplied by you and linked with this Package in order to use subroutines and variables defined by this Package shall not be considered part of this Package and do not automatically fall under the copyright of this Package. Executables produced by linking your software with this Package may be used and redistributed without restriction and may be sold commercially so long as the primary function of your software is different than the package itself.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.<<beginOptional>> The End\n\n<<endOptional>>"
		self.name = "Open LDAP Public License v1.4"
		self.licenseComments = "This license was released 18 January 1999."
		self.licenseId = "OLDAP-1.4"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=c9f95c2f3f2ffb5e0ae55fe7388af75547660941", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:51Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=c9f95c2f3f2ffb5e0ae55fe7388af75547660941"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 1.4, 18 January 1999\n	  </p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1998-1999, The OpenLDAP Foundation. All Rights Reserved.</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Note: This license is derived from the &quot;Artistic License&quot; as distributed with the Perl\n		 Programming Language. As significant differences exist, the complete license should be read.</p>\n\n		 <p>PREAMBLE</p>\n\n		 <p>The intent of this document is to state the conditions under which a Package may be copied, such that the\n		 Copyright Holder maintains some semblance of artistic control over the development of the package,\n		 while giving the users of the package the right to use and distribute the Package in a more-or-less\n		 customary fashion, plus the right to make reasonable modifications.</p>\n\n	  </div>\n\n	  <p>Definitions:</p>\n\n	  <p>&quot;Package&quot; refers to the collection of files distributed by the Copyright Holder, and\n		 derivatives of that collection of files created through textual modification.</p>\n\n	  <p>&quot;Standard Version&quot; refers to such a Package if it has not been modified, or has been modified\n		 in accordance with the wishes of the Copyright Holder.</p>\n\n	  <p>&quot;Copyright Holder&quot; is whoever is named in the copyright or copyrights for the package.</p>\n\n	  <p>&quot;You&quot; is you, if you&apos;re thinking about copying or distributing this Package.</p>\n\n	  <p>&quot;Reasonable copying fee&quot; is whatever you can justify on the basis of media cost, duplication\n		 charges, time of people involved, and so on. (You will not be required to justify it to the Copyright\n		 Holder, but only to the computing community at large as a market that must bear the fee.)</p>\n\n	  <p>&quot;Freely Available&quot; means that no fee is charged for the item itself, though there may be fees\n		 involved in handling the item. It also means that recipients of the item may redistribute it under the\n		 same conditions they received it.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may make and give away verbatim copies of the source form of the Standard Version of this\n			 Package without restriction, provided that you duplicate all of the original copyright notices\n			 and associated disclaimers.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may apply bug fixes, portability fixes and other modifications derived from the Public Domain\n			 or from the Copyright Holder. A Package modified in such a way shall still be considered the\n			 Standard Version.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may otherwise modify your copy of this Package in any way, provided that you insert a\n			 prominent notice in each changed file stating how and when you changed that file, and provided\n			 that you do at least ONE of the following:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			place your modifications in the Public Domain or otherwise make them Freely Available, such\n			   as by posting said modifications to Usenet or an equivalent medium, or placing the\n			   modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright\n			   Holder to include your modifications in the Standard Version of the Package.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			use the modified Package only within your corporation or organization.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c)</var>\n			rename any non-standard executables so the names do not conflict with standard executables,\n			   which must also be provided, and provide a separate manual page for each non-standard\n			   executable that clearly documents how it differs from the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d)</var>\n			make other distribution arrangements with the Copyright Holder.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may distribute the programs of this Package in object code or executable form, provided that\n			 you do at least ONE of the following:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			distribute a Standard Version of the executables and library files, together with\n			   instructions (in the manual page or equivalent) on where to get the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			accompany the distribution with the machine-readable source of the Package with your modifications.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c)</var>\n			accompany any non-standard executables with their corresponding Standard Version executables,\n			   giving the non-standard executables non-standard names, and clearly documenting the\n			   differences in manual pages (or equivalent), together with instructions on where to get\n			   the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d)</var>\n			make other distribution arrangements with the Copyright Holder.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may charge a reasonable copying fee for any distribution of this Package. You may charge any\n			 fee you choose for support of this Package. You may not charge a fee for this Package itself.\n			 However, you may distribute this Package in aggregate with other (possibly commercial)\n			 programs as part of a larger (possibly commercial) software distribution provided that you do\n			 not advertise this Package as a product of your own.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The scripts and library files supplied as input to or produced as output from the programs of\n			 this Package do not automatically fall under the copyright of this Package, but belong to\n			 whomever generated them, and may be sold commercially, and may be aggregated with this\n			 Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  C subroutines supplied by you and linked into this Package in order to emulate subroutines and\n			 variables defined by this Package shall not be considered part of this Package, but are the\n			 equivalent of input as in Paragraph 6, provided these subroutines do not change the behavior\n			 of the Package in any way that would cause it to fail the regression tests for the\n			 Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Software supplied by you and linked with this Package in order to use subroutines and variables\n			 defined by this Package shall not be considered part of this Package and do not automatically\n			 fall under the copyright of this Package. Executables produced by linking your software with\n			 this Package may be used and redistributed without restriction and may be sold commercially so\n			 long as the primary function of your software is different than the package itself.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  The name of the Copyright Holder may not be used to endorse or promote products derived from this\n			 software without specific prior written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  THIS PACKAGE IS PROVIDED &quot;AS IS&quot; AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\n			 INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A\n			 PARTICULAR PURPOSE.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>The End</p>\n\n	  </div>\n	"
		self.python_name = "OLDAP14"

	def __str__(self):
		return json.dumps(self.__dict__)


class Zlib:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "zlib License\n\nThis software is provided 'as-is', without any express or implied warranty.  In no event will the authors be held liable for any damages arising from the use of this software.\n\nPermission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:\n\n	 1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.\n\n	 2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n	 3. This notice may not be removed or altered from any source distribution.\n"
		self.standardLicenseTemplate = "<<beginOptional>>zlib License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) <year> <copyright holders>  \";match=\".{0,5000}\">>\n\nThis software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.\n\nPermission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> This notice may not be removed or altered from any source distribution."
		self.name = "zlib License"
		self.licenseId = "Zlib"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Zlib", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:56Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://www.zlib.net/zlib_license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:57Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.zlib.net/zlib_license.html", "https://opensource.org/licenses/Zlib"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>zlib License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) &lt;year&gt; &lt;copyright holders&gt;</p>\n\n	  </div>\n	  <p>This software is provided &apos;as-is&apos;, without any express or implied warranty. In no event will the authors\n		 be held liable for any damages arising from the use of this software.</p>\n\n	  <p>Permission is granted to anyone to use this software for any purpose, including commercial applications,\n		 and to alter it and redistribute it freely, subject to the following restrictions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  The origin of this software must not be misrepresented; you must not claim that you wrote the\n			 original software. If you use this software in a product, an acknowledgment in the product\n			 documentation would be appreciated but is not required.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Altered source versions must be plainly marked as such, and must not be misrepresented as being\n			 the original software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  This notice may not be removed or altered from any source distribution.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "Zlib"

	def __str__(self):
		return json.dumps(self.__dict__)


class LiLiQR11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 (LiLiQ-R)\n\nVersion 1.1\n\n1. Pr\u00e9ambule\nCette licence s'applique \u00e0 tout logiciel distribu\u00e9 dont le titulaire du droit d'auteur pr\u00e9cise qu'il est sujet aux termes de la Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 (LiLiQ-R) (ci-apr\u00e8s appel\u00e9e la \u00ab\u00a0licence\u00a0\u00bb).\n\n2. D\u00e9finitions\nDans la pr\u00e9sente licence, \u00e0 moins que le contexte n'indique un sens diff\u00e9rent, on entend par:\n\n	 \u00ab\u00a0conc\u00e9dant\u00a0\u00bb\u00a0: le titulaire du droit d'auteur sur le logiciel, ou toute personne d\u00fbment autoris\u00e9e par ce dernier \u00e0 accorder la pr\u00e9sente licence;\n	 \u00ab\u00a0contributeur\u00a0\u00bb\u00a0: le titulaire du droit d'auteur ou toute personne autoris\u00e9e par ce dernier \u00e0 soumettre au conc\u00e9dant une contribution. Un contributeur dont sa contribution est incorpor\u00e9e au logiciel est consid\u00e9r\u00e9 comme un conc\u00e9dant en regard de sa contribution;\n	 \u00ab\u00a0contribution\u00a0\u00bb\u00a0: tout logiciel original, ou partie de logiciel original soumis et destin\u00e9 \u00e0 \u00eatre incorpor\u00e9 dans le logiciel;\n	 \u00ab\u00a0distribution\u00a0\u00bb\u00a0: le fait de d\u00e9livrer une copie du logiciel;\n	 \u00ab\u00a0licenci\u00e9\u00a0\u00bb\u00a0: toute personne qui poss\u00e8de une copie du logiciel et qui exerce les droits conc\u00e9d\u00e9s par la licence;\n	 \u00ab\u00a0logiciel\u00a0\u00bb\u00a0: une \u0153uvre prot\u00e9g\u00e9e par le droit d'auteur, telle qu'un programme d'ordinateur et sa documentation, pour laquelle le titulaire du droit d'auteur a pr\u00e9cis\u00e9 qu'elle est sujette aux termes de la pr\u00e9sente licence;\n	 \u00ab\u00a0logiciel d\u00e9riv\u00e9\u00a0\u00bb\u00a0: tout logiciel original r\u00e9alis\u00e9 par un licenci\u00e9, autre que le logiciel ou un logiciel modifi\u00e9, qui produit ou reproduit la totalit\u00e9 ou une partie importante du logiciel;\n	 \u00ab\u00a0logiciel modifi\u00e9\u00a0\u00bb\u00a0: toute modification par un licenci\u00e9 de l'un des fichiers source du logiciel ou encore tout nouveau fichier source qui incorpore le logiciel ou une partie importante de ce dernier.\n\n3. Licence de droit d'auteur\nSous r\u00e9serve des termes de la licence, le conc\u00e9dant accorde au licenci\u00e9 une licence non exclusive et libre de redevances lui permettant d\u2019exercer les droits suivants sur le logiciel\u00a0:\n\n	 1\u00a0Produire ou reproduire la totalit\u00e9 ou une partie importante;\n	 2\u00a0Ex\u00e9cuter ou repr\u00e9senter la totalit\u00e9 ou une partie importante en public;\n	 3\u00a0Publier la totalit\u00e9 ou une partie importante.\n\nCette licence est accord\u00e9e sans limite territoriale et sans limite de temps.\n\nL'exercice complet de ces droits est sujet \u00e0 la distribution par le conc\u00e9dant du code source du logiciel, lequel doit \u00eatre sous une forme permettant d'y apporter des modifications. Le conc\u00e9dant peut aussi distribuer le logiciel accompagn\u00e9 d'une offre de distribuer le code source du logiciel, sans frais suppl\u00e9mentaires, autres que ceux raisonnables afin de permettre la livraison du code source. Cette offre doit \u00eatre valide pendant une dur\u00e9e raisonnable.\n\n4. Distribution\nLe licenci\u00e9 peut distribuer des copies du logiciel, d'un logiciel modifi\u00e9 ou d\u00e9riv\u00e9, sous r\u00e9serve de respecter les conditions suivantes :\n\n	 1\u00a0Le logiciel doit \u00eatre accompagn\u00e9 d'un exemplaire de cette licence;\n	 2\u00a0Si le logiciel a \u00e9t\u00e9 modifi\u00e9, le licenci\u00e9 doit en faire la mention, de pr\u00e9f\u00e9rence dans chacun des fichiers modifi\u00e9s dont la nature permet une telle mention;\n	 3\u00a0Les \u00e9tiquettes ou mentions faisant \u00e9tat des droits d'auteur, des marques de commerce, des garanties ou de la paternit\u00e9 concernant le logiciel ne doivent pas \u00eatre modifi\u00e9es ou supprim\u00e9es, \u00e0 moins que ces \u00e9tiquettes ou mentions ne soient inapplicables \u00e0 un logiciel modifi\u00e9 ou d\u00e9riv\u00e9 donn\u00e9.\n\n4.1. R\u00e9ciprocit\u00e9\nChaque fois que le licenci\u00e9 distribue le logiciel, le conc\u00e9dant offre au r\u00e9cipiendaire une concession sur le logiciel selon les termes de la pr\u00e9sente licence. Le licenci\u00e9 doit offrir une concession selon les termes de la pr\u00e9sente licence pour tout logiciel modifi\u00e9 qu'il distribue.\n\nChaque fois que le licenci\u00e9 distribue le logiciel ou un logiciel modifi\u00e9, ce dernier doit assumer l'obligation d'en distribuer le code source, de la mani\u00e8re pr\u00e9vue au troisi\u00e8me alin\u00e9a de l'article\u00a03.\n\n4.2. Compatibilit\u00e9\nDans la mesure o\u00f9 le licenci\u00e9 souhaite distribuer un logiciel modifi\u00e9 combin\u00e9 \u00e0 un logiciel assujetti \u00e0 une licence compatible, mais dont il ne serait pas possible d'en respecter les termes, le conc\u00e9dant offre, en plus de la pr\u00e9sente concession, une concession selon les termes de cette licence compatible.\n\nUn licenci\u00e9 qui est titulaire exclusif du droit d'auteur sur le logiciel assujetti \u00e0 une licence compatible ne peut pas se pr\u00e9valoir de cette offre. Il en est de m\u00eame pour toute autre personne d\u00fbment autoris\u00e9e \u00e0 sous-licencier par le titulaire exclusif du droit d'auteur sur le logiciel assujetti \u00e0 une licence compatible.\n\nEst consid\u00e9r\u00e9e comme une licence compatible toute licence libre approuv\u00e9e ou certifi\u00e9e par la Free Software Foundation ou l'Open Source Initiative, dont le niveau de r\u00e9ciprocit\u00e9 est comparable ou sup\u00e9rieur \u00e0 celui de la pr\u00e9sente licence, sans toutefois \u00eatre moindre, notamment\u00a0:\n\n	 1\u00a0Common Development and Distribution License (CDDL-1.0)\n	 2\u00a0Common Public License Version 1.0 (CPL-1.0)\n	 3\u00a0Contrat de licence de logiciel libre CeCILL, version 2.1 (CECILL-2.1)\n	 4\u00a0Contrat de licence de logiciel libre CeCILL-C (CECILL-C)\n	 5\u00a0Eclipse Public License - v 1.0 (EPL-1.0)\n	 6\u00a0European Union Public License, version 1.1 (EUPL v. 1.1)\n	 7\u00a0Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 forte version 1.1 (LiLiQ-R+ 1.1)\n	 8\u00a0GNU General Public License Version 2 (GNU GPLv2)\n	 9\u00a0GNU General Public License Version 3 (GNU GPLv3)\n	 10\u00a0GNU Lesser General Public License Version 2.1 (GNU LGPLv2.1)\n	 11\u00a0GNU Lesser General Public License Version 3 (GNU LGPLv3)\n	 12\u00a0Mozilla Public License Version 2.0 (MPL-2.0)\n\n5. Contributions\nSous r\u00e9serve d'une entente distincte, toute contribution soumise par un contributeur au conc\u00e9dant pour inclusion dans le logiciel sera soumise aux termes de cette licence.\n\n6. Marques de commerce\nLa licence n'accorde aucune permission particuli\u00e8re qui permettrait d'utiliser les marques de commerce du conc\u00e9dant, autre que celle requise permettant d'identifier la provenance du logiciel.\n\n7. Garanties\nSauf mention contraire, le conc\u00e9dant distribue le logiciel sans aucune garantie, aux risques et p\u00e9rils de l'acqu\u00e9reur de la copie du logiciel, et ce, sans assurer que le logiciel puisse r\u00e9pondre \u00e0 un besoin particulier ou puisse donner un r\u00e9sultat quelconque.\n\nSans lier le conc\u00e9dant d'une quelconque mani\u00e8re, rien n'emp\u00eache un licenci\u00e9 d'offrir ou d'exclure des garanties ou du support.\n\n8. Responsabilit\u00e9\nLe licenci\u00e9 est responsable de tout pr\u00e9judice r\u00e9sultant de l'exercice des droits accord\u00e9s par la licence.\n\nLe conc\u00e9dant ne saurait \u00eatre tenu responsable du pr\u00e9judice subi par le licenci\u00e9 ou par des tiers, pour quelque cause que ce soit en lien avec la licence et les droits qui y sont accord\u00e9s.\n\n9. R\u00e9siliation\nLa pr\u00e9sente licence est r\u00e9sili\u00e9e de plein droit d\u00e8s que les droits qui y sont accord\u00e9s ne sont pas exerc\u00e9s conform\u00e9ment aux termes qui y sont stipul\u00e9s.\n\nToutefois, si le d\u00e9faut est corrig\u00e9 dans un d\u00e9lai de 30 jours de sa prise de connaissance par la personne en d\u00e9faut, et qu'il s'agit du premier d\u00e9faut, la licence est accord\u00e9e de nouveau.\n\nPour tout d\u00e9faut subs\u00e9quent, le consentement expr\u00e8s du conc\u00e9dant est n\u00e9cessaire afin que la licence soit accord\u00e9e de nouveau.\n\n10. Version de la licence\nLe Centre de services partag\u00e9s du Qu\u00e9bec, ses ayants cause ou toute personne qu'il d\u00e9signe, peuvent diffuser des versions r\u00e9vis\u00e9es ou modifi\u00e9es de cette licence. Chaque version recevra un num\u00e9ro unique. Si un logiciel est d\u00e9j\u00e0 soumis aux termes d'une version sp\u00e9cifique, c'est seulement cette version qui liera les parties \u00e0 la licence.\n\nLe conc\u00e9dant peut aussi choisir de conc\u00e9der la licence sous la version actuelle ou toute version ult\u00e9rieure, auquel cas le licenci\u00e9 peut choisir sous quelle version la licence lui est accord\u00e9e.\n\n11. Divers\nDans la mesure o\u00f9 le conc\u00e9dant est un minist\u00e8re, un organisme public ou une personne morale de droit public, cr\u00e9\u00e9s en vertu d'une loi de l'Assembl\u00e9e nationale du Qu\u00e9bec, la licence est r\u00e9gie par le droit applicable au Qu\u00e9bec et en cas de contestation, les tribunaux du Qu\u00e9bec seront seuls comp\u00e9tents.\n\nLa pr\u00e9sente licence peut \u00eatre distribu\u00e9e sans conditions particuli\u00e8res. Toutefois, une version modifi\u00e9e doit \u00eatre distribu\u00e9e sous un nom diff\u00e9rent. Toute r\u00e9f\u00e9rence au Centre de services partag\u00e9s du Qu\u00e9bec, et, le cas \u00e9ch\u00e9ant, ses ayant droit, doit \u00eatre retir\u00e9e, autre que celle permettant d'identifier la provenance de la licence.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 (LiLiQ-R)\n\nVersion 1.1\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Pr\u00e9ambule\n\n   Cette licence s'applique \u00e0 tout logiciel distribu\u00e9 dont le titulaire du droit d'auteur pr\u00e9cise qu'il est sujet aux termes de la Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 (LiLiQ-R) (ci-apr\u00e8s appel\u00e9e la \u00ab\u00a0licence\u00a0\u00bb).\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> D\u00e9finitions\n\n   Dans la pr\u00e9sente licence, \u00e0 moins que le contexte n'indique un sens diff\u00e9rent, on entend par:\n\n   \u00ab\u00a0conc\u00e9dant\u00a0\u00bb\u00a0: le titulaire du droit d'auteur sur le logiciel, ou toute personne d\u00fbment autoris\u00e9e par ce dernier \u00e0 accorder la pr\u00e9sente licence;\n\n   \u00ab\u00a0contributeur\u00a0\u00bb\u00a0: le titulaire du droit d'auteur ou toute personne autoris\u00e9e par ce dernier \u00e0 soumettre au conc\u00e9dant une contribution. Un contributeur dont sa contribution est incorpor\u00e9e au logiciel est consid\u00e9r\u00e9 comme un conc\u00e9dant en regard de sa contribution;\n\n   \u00ab\u00a0contribution\u00a0\u00bb\u00a0: tout logiciel original, ou partie de logiciel original soumis et destin\u00e9 \u00e0 \u00eatre incorpor\u00e9 dans le logiciel;\n\n   \u00ab\u00a0distribution\u00a0\u00bb\u00a0: le fait de d\u00e9livrer une copie du logiciel;\n\n   \u00ab\u00a0licenci\u00e9\u00a0\u00bb\u00a0: toute personne qui poss\u00e8de une copie du logiciel et qui exerce les droits conc\u00e9d\u00e9s par la licence;\n\n   \u00ab\u00a0logiciel\u00a0\u00bb\u00a0: une \u0153uvre prot\u00e9g\u00e9e par le droit d'auteur, telle qu'un programme d'ordinateur et sa documentation, pour laquelle le titulaire du droit d'auteur a pr\u00e9cis\u00e9 qu'elle est sujette aux termes de la pr\u00e9sente licence;\n\n   \u00ab\u00a0logiciel d\u00e9riv\u00e9\u00a0\u00bb\u00a0: tout logiciel original r\u00e9alis\u00e9 par un licenci\u00e9, autre que le logiciel ou un logiciel modifi\u00e9, qui produit ou reproduit la totalit\u00e9 ou une partie importante du logiciel;\n\n   \u00ab\u00a0logiciel modifi\u00e9\u00a0\u00bb\u00a0: toute modification par un licenci\u00e9 de l'un des fichiers source du logiciel ou encore tout nouveau fichier source qui incorpore le logiciel ou une partie importante de ce dernier.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Licence de droit d'auteur\n\n   Sous r\u00e9serve des termes de la licence, le conc\u00e9dant accorde au licenci\u00e9 une licence non exclusive et libre de redevances lui permettant d'exercer les droits suivants sur le logiciel\u00a0:\n\n	  <<var;name=\"bullet\";original=\"1\u00a0\";match=\".{0,20}\">> Produire ou reproduire la totalit\u00e9 ou une partie importante;\n\n	  <<var;name=\"bullet\";original=\"2\u00a0\";match=\".{0,20}\">> Ex\u00e9cuter ou repr\u00e9senter la totalit\u00e9 ou une partie importante en public;\n\n	  <<var;name=\"bullet\";original=\"3\u00a0\";match=\".{0,20}\">> Publier la totalit\u00e9 ou une partie importante.\n\n   Cette licence est accord\u00e9e sans limite territoriale et sans limite de temps.\n\n   L'exercice complet de ces droits est sujet \u00e0 la distribution par le conc\u00e9dant du code source du logiciel, lequel doit \u00eatre sous une forme permettant d'y apporter des modifications. Le conc\u00e9dant peut aussi distribuer le logiciel accompagn\u00e9 d'une offre de distribuer le code source du logiciel, sans frais suppl\u00e9mentaires, autres que ceux raisonnables afin de permettre la livraison du code source. Cette offre doit \u00eatre valide pendant une dur\u00e9e raisonnable.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Distribution\n\n   Le licenci\u00e9 peut distribuer des copies du logiciel, d'un logiciel modifi\u00e9 ou d\u00e9riv\u00e9, sous r\u00e9serve de respecter les conditions suivantes :\n\n	  <<var;name=\"bullet\";original=\"1\u00a0\";match=\".{0,20}\">> Le logiciel doit \u00eatre accompagn\u00e9 d'un exemplaire de cette licence;\n\n	  <<var;name=\"bullet\";original=\"2\u00a0\";match=\".{0,20}\">> Si le logiciel a \u00e9t\u00e9 modifi\u00e9, le licenci\u00e9 doit en faire la mention, de pr\u00e9f\u00e9rence dans chacun des fichiers modifi\u00e9s dont la nature permet une telle mention;\n\n	  <<var;name=\"bullet\";original=\"3\u00a0\";match=\".{0,20}\">> Les \u00e9tiquettes ou mentions faisant \u00e9tat des droits d'auteur, des marques de commerce, des garanties ou de la paternit\u00e9 concernant le logiciel ne doivent pas \u00eatre modifi\u00e9es ou supprim\u00e9es, \u00e0 moins que ces \u00e9tiquettes ou mentions ne soient inapplicables \u00e0 un logiciel modifi\u00e9 ou d\u00e9riv\u00e9 donn\u00e9.\n\n   <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> R\u00e9ciprocit\u00e9\n\n   Chaque fois que le licenci\u00e9 distribue le logiciel, le conc\u00e9dant offre au r\u00e9cipiendaire une concession sur le logiciel selon les termes de la pr\u00e9sente licence. Le licenci\u00e9 doit offrir une concession selon les termes de la pr\u00e9sente licence pour tout logiciel modifi\u00e9 qu'il distribue.\n\n   Chaque fois que le licenci\u00e9 distribue le logiciel ou un logiciel modifi\u00e9, ce dernier doit assumer l'obligation d'en distribuer le code source, de la mani\u00e8re pr\u00e9vue au troisi\u00e8me alin\u00e9a de l'article\u00a03.\n\n   <<var;name=\"bullet\";original=\"4.2.\";match=\".{0,20}\">> Compatibilit\u00e9\n\n   Dans la mesure o\u00f9 le licenci\u00e9 souhaite distribuer un logiciel modifi\u00e9 combin\u00e9 \u00e0 un logiciel assujetti \u00e0 une licence compatible, mais dont il ne serait pas possible d'en respecter les termes, le conc\u00e9dant offre, en plus de la pr\u00e9sente concession, une concession selon les termes de cette licence compatible.\n\n   Un licenci\u00e9 qui est titulaire exclusif du droit d'auteur sur le logiciel assujetti \u00e0 une licence compatible ne peut pas se pr\u00e9valoir de cette offre. Il en est de m\u00eame pour toute autre personne d\u00fbment autoris\u00e9e \u00e0 sous-licencier par le titulaire exclusif du droit d'auteur sur le logiciel assujetti \u00e0 une licence compatible.\n\n   Est consid\u00e9r\u00e9e comme une licence compatible toute licence libre approuv\u00e9e ou certifi\u00e9e par la Free Software Foundation ou l'Open Source Initiative, dont le niveau de r\u00e9ciprocit\u00e9 est comparable ou sup\u00e9rieur \u00e0 celui de la pr\u00e9sente licence, sans toutefois \u00eatre moindre, notamment\u00a0:\n\n	  <<var;name=\"bullet\";original=\"1\u00a0\";match=\".{0,20}\">> Common Development and Distribution License (CDDL-1.0)\n\n	  <<var;name=\"bullet\";original=\"2\u00a0\";match=\".{0,20}\">> Common Public License Version 1.0 (CPL-1.0)\n\n	  <<var;name=\"bullet\";original=\"3\u00a0\";match=\".{0,20}\">> Contrat de licence de logiciel libre CeCILL, version 2.1 (CECILL-2.1)\n\n	  <<var;name=\"bullet\";original=\"4\u00a0\";match=\".{0,20}\">> Contrat de licence de logiciel libre CeCILL-C (CECILL-C)\n\n	  <<var;name=\"bullet\";original=\"5\u00a0\";match=\".{0,20}\">> Eclipse Public License - v 1.0 (EPL-1.0)\n\n	  <<var;name=\"bullet\";original=\"6\u00a0\";match=\".{0,20}\">> European Union Public License, version 1.1 (EUPL v. 1.1)\n\n	  <<var;name=\"bullet\";original=\"7\u00a0\";match=\".{0,20}\">> Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 forte version 1.1 (LiLiQ-R+ 1.1)\n\n	  <<var;name=\"bullet\";original=\"8\u00a0\";match=\".{0,20}\">> GNU General Public License Version 2 (GNU GPLv2)\n\n	  <<var;name=\"bullet\";original=\"9\u00a0\";match=\".{0,20}\">> GNU General Public License Version 3 (GNU GPLv3)\n\n	  <<var;name=\"bullet\";original=\"10\u00a0\";match=\".{0,20}\">> GNU Lesser General Public License Version 2.1 (GNU LGPLv2.1)\n\n	  <<var;name=\"bullet\";original=\"11\u00a0\";match=\".{0,20}\">> GNU Lesser General Public License Version 3 (GNU LGPLv3)\n\n	  <<var;name=\"bullet\";original=\"12\u00a0\";match=\".{0,20}\">> Mozilla Public License Version 2.0 (MPL-2.0)\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Contributions\n\n   Sous r\u00e9serve d'une entente distincte, toute contribution soumise par un contributeur au conc\u00e9dant pour inclusion dans le logiciel sera soumise aux termes de cette licence.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Marques de commerce\n\n   La licence n'accorde aucune permission particuli\u00e8re qui permettrait d'utiliser les marques de commerce du conc\u00e9dant, autre que celle requise permettant d'identifier la provenance du logiciel.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Garanties\n\n   Sauf mention contraire, le conc\u00e9dant distribue le logiciel sans aucune garantie, aux risques et p\u00e9rils de l'acqu\u00e9reur de la copie du logiciel, et ce, sans assurer que le logiciel puisse r\u00e9pondre \u00e0 un besoin particulier ou puisse donner un r\u00e9sultat quelconque.\n\n   Sans lier le conc\u00e9dant d'une quelconque mani\u00e8re, rien n'emp\u00eache un licenci\u00e9 d'offrir ou d'exclure des garanties ou du support.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Responsabilit\u00e9\n\n   Le licenci\u00e9 est responsable de tout pr\u00e9judice r\u00e9sultant de l'exercice des droits accord\u00e9s par la licence.\n\n   Le conc\u00e9dant ne saurait \u00eatre tenu responsable du pr\u00e9judice subi par le licenci\u00e9 ou par des tiers, pour quelque cause que ce soit en lien avec la licence et les droits qui y sont accord\u00e9s.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> R\u00e9siliation\n\n   La pr\u00e9sente licence est r\u00e9sili\u00e9e de plein droit d\u00e8s que les droits qui y sont accord\u00e9s ne sont pas exerc\u00e9s conform\u00e9ment aux termes qui y sont stipul\u00e9s.\n\n   Toutefois, si le d\u00e9faut est corrig\u00e9 dans un d\u00e9lai de 30 jours de sa prise de connaissance par la personne en d\u00e9faut, et qu'il s'agit du premier d\u00e9faut, la licence est accord\u00e9e de nouveau.\n\n   Pour tout d\u00e9faut subs\u00e9quent, le consentement expr\u00e8s du conc\u00e9dant est n\u00e9cessaire afin que la licence soit accord\u00e9e de nouveau.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Version de la licence\n\n   Le Centre de services partag\u00e9s du Qu\u00e9bec, ses ayants cause ou toute personne qu'il d\u00e9signe, peuvent diffuser des versions r\u00e9vis\u00e9es ou modifi\u00e9es de cette licence. Chaque version recevra un num\u00e9ro unique. Si un logiciel est d\u00e9j\u00e0 soumis aux termes d'une version sp\u00e9cifique, c'est seulement cette version qui liera les parties \u00e0 la licence.\n\n   Le conc\u00e9dant peut aussi choisir de conc\u00e9der la licence sous la version actuelle ou toute version ult\u00e9rieure, auquel cas le licenci\u00e9 peut choisir sous quelle version la licence lui est accord\u00e9e.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Divers\n\n   Dans la mesure o\u00f9 le conc\u00e9dant est un minist\u00e8re, un organisme public ou une personne morale de droit public, cr\u00e9\u00e9s en vertu d'une loi de l'Assembl\u00e9e nationale du Qu\u00e9bec, la licence est r\u00e9gie par le droit applicable au Qu\u00e9bec et en cas de contestation, les tribunaux du Qu\u00e9bec seront seuls comp\u00e9tents.\n\n   La pr\u00e9sente licence peut \u00eatre distribu\u00e9e sans conditions particuli\u00e8res. Toutefois, une version modifi\u00e9e doit \u00eatre distribu\u00e9e sous un nom diff\u00e9rent. Toute r\u00e9f\u00e9rence au Centre de services partag\u00e9s du Qu\u00e9bec, et, le cas \u00e9ch\u00e9ant, ses ayant droit, doit \u00eatre retir\u00e9e, autre que celle permettant d'identifier la provenance de la licence.\n\n   "
		self.name = "Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 version 1.1"
		self.licenseComments = "French is the canonical language for this license. An English translation is provided here: https://www.forge.gouv.qc.ca/participez/licence-logicielle/licence-libre-du-quebec-liliq-in-english/quebec-free-and-open-source-licence-reciprocity-liliq-r-v1-1/"
		self.licenseId = "LiLiQ-R-1.1"
		self.crossRef = [{"match": "False", "url": "http://opensource.org/licenses/LiLiQ-R-1.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:06Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "https://www.forge.gouv.qc.ca/participez/licence-logicielle/licence-libre-du-quebec-liliq-en-francais/licence-libre-du-quebec-reciprocite-liliq-r-v1-1/", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:18:07Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.forge.gouv.qc.ca/participez/licence-logicielle/licence-libre-du-quebec-liliq-en-francais/licence-libre-du-quebec-reciprocite-liliq-r-v1-1/", "http://opensource.org/licenses/LiLiQ-R-1.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 (LiLiQ-R)</p>\n\n		 <p>Version 1.1</p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Pr\u00e9ambule\n			<br />\n\n   Cette licence s&apos;applique \u00e0 tout logiciel distribu\u00e9\n				 dont le titulaire du droit d&apos;auteur pr\u00e9cise\n				 qu&apos;il est sujet aux termes de la Licence Libre\n				 du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 (LiLiQ-R) (ci-apr\u00e8s\n				 appel\u00e9e la \u00ab\u00a0licence\u00a0\u00bb).\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  D\u00e9finitions\n			<br />\n\n   Dans la pr\u00e9sente licence, \u00e0 moins que le contexte\n				 n&apos;indique un sens diff\u00e9rent, on entend par:\n\n		  <p>\u00ab\u00a0conc\u00e9dant\u00a0\u00bb\u00a0: le titulaire du droit d&apos;auteur sur le\n			 logiciel, ou toute personne d\u00fbment autoris\u00e9e par ce\n			 dernier \u00e0 accorder la pr\u00e9sente licence;</p>\n\n			<p>\u00ab\u00a0contributeur\u00a0\u00bb\u00a0: le titulaire du droit d&apos;auteur\n				 ou toute personne autoris\u00e9e par ce dernier \u00e0\n				 soumettre au conc\u00e9dant une contribution. Un\n				 contributeur dont sa contribution est\n				 incorpor\u00e9e au logiciel est consid\u00e9r\u00e9 comme un\n				 conc\u00e9dant en regard de sa contribution;</p>\n\n			<p>\u00ab\u00a0contribution\u00a0\u00bb\u00a0: tout logiciel original, ou\n				 partie de logiciel original soumis et destin\u00e9\n				 \u00e0 \u00eatre incorpor\u00e9 dans le logiciel;</p>\n\n			<p>\u00ab\u00a0distribution\u00a0\u00bb\u00a0: le fait de d\u00e9livrer une copie du logiciel;</p>\n\n			<p>\u00ab\u00a0licenci\u00e9\u00a0\u00bb\u00a0: toute personne qui poss\u00e8de une copie\n				 du logiciel et qui exerce les droits conc\u00e9d\u00e9s\n				 par la licence;</p>\n\n		   <p>\u00ab\u00a0logiciel\u00a0\u00bb\u00a0: une \u0153uvre prot\u00e9g\u00e9e par le droit\n				 d&apos;auteur, telle qu&apos;un programme d&apos;ordinateur\n				 et sa documentation, pour laquelle le\n				 titulaire du droit d&apos;auteur a pr\u00e9cis\u00e9 qu&apos;elle\n				 est sujette aux termes de la pr\u00e9sente licence;</p>\n\n			<p>\u00ab\u00a0logiciel d\u00e9riv\u00e9\u00a0\u00bb\u00a0: tout logiciel original\n				 r\u00e9alis\u00e9 par un licenci\u00e9, autre que le logiciel\n				 ou un logiciel modifi\u00e9, qui produit ou\n				 reproduit la totalit\u00e9 ou une partie importante\n				 du logiciel;</p>\n\n			<p>\u00ab\u00a0logiciel modifi\u00e9\u00a0\u00bb\u00a0: toute modification par un\n				 licenci\u00e9 de l&apos;un des fichiers source du\n				 logiciel ou encore tout nouveau fichier source\n				 qui incorpore le logiciel ou une partie\n				 importante de ce dernier.\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Licence de droit d&apos;auteur\n			<br />\n\n   Sous r\u00e9serve des termes de la licence, le conc\u00e9dant\n				 accorde au licenci\u00e9 une licence non exclusive\n				 et libre de redevances lui permettant\n				 d&apos;exercer les droits suivants sur le\n				 logiciel\u00a0:\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1\u00a0</var> Produire ou reproduire la totalit\u00e9 ou une partie importante;</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2\u00a0</var> Ex\u00e9cuter ou repr\u00e9senter la totalit\u00e9 ou une partie\n				 importante en public;</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3\u00a0</var> Publier la totalit\u00e9 ou une partie importante.\n			</li>\n			\n</ul>\n			<br />\n\n			<p>Cette licence est accord\u00e9e sans limite territoriale et\n			 sans limite de temps.</p>\n\n			<p>L&apos;exercice complet de ces droits est sujet \u00e0 la\n			 distribution par le conc\u00e9dant du code source du\n			 logiciel, lequel doit \u00eatre sous une forme permettant\n			 d&apos;y apporter des modifications. Le conc\u00e9dant peut\n			 aussi distribuer le logiciel accompagn\u00e9 d&apos;une offre de\n			 distribuer le code source du logiciel, sans frais\n			 suppl\u00e9mentaires, autres que ceux raisonnables afin de\n			 permettre la livraison du code source. Cette offre\n			 doit \u00eatre valide pendant une dur\u00e9e raisonnable.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Distribution\n			<br />\n\n   Le licenci\u00e9 peut distribuer des copies du logiciel,\n				 d&apos;un logiciel modifi\u00e9 ou d\u00e9riv\u00e9, sous r\u00e9serve\n				 de respecter les conditions suivantes :\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1\u00a0</var> Le logiciel doit \u00eatre accompagn\u00e9 d&apos;un exemplaire de\n			 cette licence;</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2\u00a0</var> Si le logiciel a \u00e9t\u00e9 modifi\u00e9, le licenci\u00e9 doit en\n				 faire la mention, de pr\u00e9f\u00e9rence dans chacun\n				 des fichiers modifi\u00e9s dont la nature permet\n				 une telle mention;</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3\u00a0</var> Les \u00e9tiquettes ou mentions faisant \u00e9tat des\n				 droits d&apos;auteur, des marques de commerce, des\n				 garanties ou de la paternit\u00e9 concernant le\n				 logiciel ne doivent pas \u00eatre modifi\u00e9es ou\n				 supprim\u00e9es, \u00e0 moins que ces \u00e9tiquettes ou\n				 mentions ne soient inapplicables \u00e0 un logiciel\n				 modifi\u00e9 ou d\u00e9riv\u00e9 donn\u00e9.</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.1.</var>\n		  R\u00e9ciprocit\u00e9\n			<br />\n\n   Chaque fois que le licenci\u00e9 distribue le logiciel,\n				 le conc\u00e9dant offre au r\u00e9cipiendaire une\n				 concession sur le logiciel selon les termes de\n				 la pr\u00e9sente licence. Le licenci\u00e9 doit offrir\n				 une concession selon les termes de la pr\u00e9sente\n				 licence pour tout logiciel modifi\u00e9 qu&apos;il\n				 distribue.\n\n		  <p>Chaque fois que le licenci\u00e9 distribue le logiciel ou un\n			 logiciel modifi\u00e9, ce dernier doit assumer l&apos;obligation\n			 d&apos;en distribuer le code source, de la mani\u00e8re pr\u00e9vue\n			 au troisi\u00e8me alin\u00e9a de l&apos;article\u00a03.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.2.</var>\n		  Compatibilit\u00e9\n			<br />\n\n   Dans la mesure o\u00f9 le licenci\u00e9 souhaite distribuer\n				 un logiciel modifi\u00e9 combin\u00e9 \u00e0 un logiciel\n				 assujetti \u00e0 une licence compatible, mais dont\n				 il ne serait pas possible d&apos;en respecter les\n				 termes, le conc\u00e9dant offre, en plus de la\n				 pr\u00e9sente concession, une concession selon les\n				 termes de cette licence compatible.\n\n		  <p>Un licenci\u00e9 qui est titulaire exclusif du droit d&apos;auteur\n			 sur le logiciel assujetti \u00e0 une licence compatible ne\n			 peut pas se pr\u00e9valoir de cette offre. Il en est de\n			 m\u00eame pour toute autre personne d\u00fbment autoris\u00e9e \u00e0\n			 sous-licencier par le titulaire exclusif du droit\n			 d&apos;auteur sur le logiciel assujetti \u00e0 une licence\n			 compatible.</p>\n\n			<p>Est consid\u00e9r\u00e9e comme une licence compatible toute licence\n			 libre approuv\u00e9e ou certifi\u00e9e par la Free Software\n			 Foundation ou l&apos;Open Source Initiative, dont le niveau\n			 de r\u00e9ciprocit\u00e9 est comparable ou sup\u00e9rieur \u00e0 celui de\n			 la pr\u00e9sente licence, sans toutefois \u00eatre moindre,\n			 notamment\u00a0:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1\u00a0</var> Common Development and Distribution License (CDDL-1.0)</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2\u00a0</var> Common Public License Version 1.0 (CPL-1.0)</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3\u00a0</var> Contrat de licence de logiciel libre CeCILL,\n				 version 2.1 (CECILL-2.1)</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4\u00a0</var> Contrat de licence de logiciel libre CeCILL-C (CECILL-C)\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5\u00a0</var> Eclipse Public License - v 1.0 (EPL-1.0)</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6\u00a0</var> European Union Public License, version 1.1 (EUPL v. 1.1)\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7\u00a0</var> Licence Libre du Qu\u00e9bec \u2013 R\u00e9ciprocit\u00e9 forte\n				 version 1.1 (LiLiQ-R+ 1.1)</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8\u00a0</var> GNU General Public License Version 2 (GNU GPLv2)</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9\u00a0</var> GNU General Public License Version 3 (GNU GPLv3)</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10\u00a0</var> GNU Lesser General Public License Version 2.1 (GNU LGPLv2.1)\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11\u00a0</var> GNU Lesser General Public License Version 3 (GNU LGPLv3)\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12\u00a0</var> Mozilla Public License Version 2.0 (MPL-2.0)</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Contributions\n			<br />\n\n   Sous r\u00e9serve d&apos;une entente distincte, toute\n				 contribution soumise par un contributeur au\n				 conc\u00e9dant pour inclusion dans le logiciel sera\n				 soumise aux termes de cette licence.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Marques de commerce\n			<br />\n\n   La licence n&apos;accorde aucune permission particuli\u00e8re\n				 qui permettrait d&apos;utiliser les marques de\n				 commerce du conc\u00e9dant, autre que celle requise\n				 permettant d&apos;identifier la provenance du\n				 logiciel.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Garanties\n			<br />\n\n   Sauf mention contraire, le conc\u00e9dant distribue le\n				 logiciel sans aucune garantie, aux risques et\n				 p\u00e9rils de l&apos;acqu\u00e9reur de la copie du logiciel,\n				 et ce, sans assurer que le logiciel puisse\n				 r\u00e9pondre \u00e0 un besoin particulier ou puisse\n				 donner un r\u00e9sultat quelconque.\n\n		  <p>Sans lier le conc\u00e9dant d&apos;une quelconque mani\u00e8re, rien\n			 n&apos;emp\u00eache un licenci\u00e9 d&apos;offrir ou d&apos;exclure des\n			 garanties ou du support.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Responsabilit\u00e9\n			<br />\n\n   Le licenci\u00e9 est responsable de tout pr\u00e9judice\n				 r\u00e9sultant de l&apos;exercice des droits accord\u00e9s\n				 par la licence.\n\n		  <p>Le conc\u00e9dant ne saurait \u00eatre tenu responsable du\n			 pr\u00e9judice subi par le licenci\u00e9 ou par des tiers, pour\n			 quelque cause que ce soit en lien avec la licence et\n			 les droits qui y sont accord\u00e9s.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  R\u00e9siliation\n			<br />\n\n   La pr\u00e9sente licence est r\u00e9sili\u00e9e de plein droit d\u00e8s\n				 que les droits qui y sont accord\u00e9s ne sont pas\n				 exerc\u00e9s conform\u00e9ment aux termes qui y sont\n				 stipul\u00e9s.\n\n		  <p>Toutefois, si le d\u00e9faut est corrig\u00e9 dans un d\u00e9lai de 30\n			 jours de sa prise de connaissance par la personne en\n			 d\u00e9faut, et qu&apos;il s&apos;agit du premier d\u00e9faut, la licence\n			 est accord\u00e9e de nouveau.</p>\n\n			<p>Pour tout d\u00e9faut subs\u00e9quent, le consentement expr\u00e8s du\n			 conc\u00e9dant est n\u00e9cessaire afin que la licence soit\n			 accord\u00e9e de nouveau.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Version de la licence\n			<br />\n\n   Le Centre de services partag\u00e9s du Qu\u00e9bec, ses\n				 ayants cause ou toute personne qu&apos;il d\u00e9signe,\n				 peuvent diffuser des versions r\u00e9vis\u00e9es ou\n				 modifi\u00e9es de cette licence. Chaque version\n				 recevra un num\u00e9ro unique. Si un logiciel est\n				 d\u00e9j\u00e0 soumis aux termes d&apos;une version\n				 sp\u00e9cifique, c&apos;est seulement cette version qui\n				 liera les parties \u00e0 la licence.\n\n		  <p>Le conc\u00e9dant peut aussi choisir de conc\u00e9der la licence\n			 sous la version actuelle ou toute version ult\u00e9rieure,\n			 auquel cas le licenci\u00e9 peut choisir sous quelle\n			 version la licence lui est accord\u00e9e.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Divers\n	  <br />\n\n   Dans la mesure o\u00f9 le conc\u00e9dant est un minist\u00e8re, un organisme\n		 public ou une personne morale de droit public, cr\u00e9\u00e9s en vertu\n		 d&apos;une loi de l&apos;Assembl\u00e9e nationale du Qu\u00e9bec, la licence est\n		 r\u00e9gie par le droit applicable au Qu\u00e9bec et en cas de\n		 contestation, les tribunaux du Qu\u00e9bec seront seuls\n		 comp\u00e9tents.\n	  <p>La pr\u00e9sente licence peut \u00eatre distribu\u00e9e sans conditions\n		 particuli\u00e8res. Toutefois, une version modifi\u00e9e doit \u00eatre\n		 distribu\u00e9e sous un nom diff\u00e9rent. Toute r\u00e9f\u00e9rence au Centre de\n		 services partag\u00e9s du Qu\u00e9bec, et, le cas \u00e9ch\u00e9ant, ses ayant\n		 droit, doit \u00eatre retir\u00e9e, autre que celle permettant\n		 d&apos;identifier la provenance de la licence.</p>\n\n		</li>\n	  \n</ul>\n	"
		self.python_name = "LiLiQR11"

	def __str__(self):
		return json.dumps(self.__dict__)


class Plexus:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 2002 (C) The Codehaus. All Rights Reserved.\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain copyright statements and notices. Redistributions must also contain a copy of this document.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. The name \"classworlds\u201d must not be used to endorse or promote products derived from this Software without prior written permission of The Codehaus. For written permission, please contact bob@codehaus.org.\n\n4. Products derived from this Software may not be called \"classworlds\u201d nor may \"classworlds\u201d appear in their names without prior written permission of The Codehaus. \"classworlds\u201d is a registered trademark of The Codehaus.\n\n5. Due credit should be given to The Codehaus. (http://classworlds.codehaus.org/).\n\nTHIS SOFTWARE IS PROVIDED BY THE CODEHAUS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE CODEHAUS OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 2002 (C) The Codehaus. All Rights Reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain copyright statements and notices. Redistributions must also contain a copy of this document.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The name <<var;name=\"nameClause3\";original=\"\"classworlds\"\";match=\".+\">> must not be used to endorse or promote products derived from this Software without prior written permission of <<var;name=\"organizationClause3\";original=\"The Codehaus\";match=\".+\">> . For written permission, please contact <<var;name=\"contactClause4\";original=\"bob@codehaus.org\";match=\".+\">> .\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Products derived from this Software may not be called <<var;name=\"nameClause4\";original=\"\"classworlds\"\";match=\".+\">> nor may <<var;name=\"name2Clause4\";original=\"\"classworlds\"\";match=\".+\">> appear in their names without prior written permission of <<var;name=\"name3Clause4\";original=\"The Codehaus\";match=\".+\">> . <<var;name=\"trademark\";original=\"\"classworlds\"\";match=\".+\">> is a registered trademark of <<var;name=\"name4Clause4\";original=\"The Codehaus\";match=\".+\">> .\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Due credit should be given to <<var;name=\"nameURL\";original=\"The Codehaus. (http://classworlds.codehaus.org/)\";match=\".+\">> .\n\nTHIS SOFTWARE IS PROVIDED BY <<var;name=\"nameDisclaimer\";original=\"THE CODEHAUS\";match=\".+\">> AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <<var;name=\"name2Disclaimer\";original=\"THE CODEHAUS\";match=\".+\">> OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Plexus Classworlds License"
		self.licenseComments = "dom4j uses this same license."
		self.licenseId = "Plexus"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Plexus_Classworlds_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:29Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Plexus_Classworlds_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 2002 (C) The Codehaus. All Rights Reserved. \n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use of this software and associated documentation (&quot;Software&quot;), with or without\n		 modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain copyright statements and notices. Redistributions must\n			 also contain a copy of this document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  The name\n			<var class=\"replaceable-license-text\"> &quot;classworlds&quot;</var> must not be used to endorse or promote\n			products derived from this Software without prior written permission of\n			<var class=\"replaceable-license-text\"> The Codehaus</var>. For written permission, please contact\n			<var class=\"replaceable-license-text\"> bob@codehaus.org</var>.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Products derived from this Software may not be called\n			<var class=\"replaceable-license-text\"> &quot;classworlds&quot;</var> nor may\n			<var class=\"replaceable-license-text\"> &quot;classworlds&quot;</var> appear in their names without prior\n			written permission of\n			<var class=\"replaceable-license-text\"> The Codehaus</var>.\n			<var class=\"replaceable-license-text\"> &quot;classworlds&quot;</var> is a registered trademark of\n			<var class=\"replaceable-license-text\"> The Codehaus</var>.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Due credit should be given to\n			<var class=\"replaceable-license-text\"> The Codehaus. (http://classworlds.codehaus.org/)</var>.\n\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY\n		<var class=\"replaceable-license-text\"> THE CODEHAUS</var> AND CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESSED OR\n		IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\n		FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL\n		<var class=\"replaceable-license-text\"> THE CODEHAUS</var> OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,\n		INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,\n		PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n		HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\n		POSSIBILITY OF SUCH DAMAGE.\n	  </p>\n\n	"
		self.python_name = "Plexus"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL20withautoconfexception:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.licenseText = "insert GPL v2 license text here\n\nAutoconf Exception\n\nAs a special exception, the Free Software Foundation gives unlimited permission to copy, distribute and modify the configure scripts that are the output of Autoconf. You need not follow the terms of the GNU General Public License when using or distributing such scripts, even though portions of the text of Autoconf appear in them. The GNU General Public License (GPL) does govern all other use of the material that constitutes the Autoconf program.\n\nCertain portions of the Autoconf source text are designed to be copied (in certain cases, depending on the input) into the output of Autoconf. We call these the \"data\" portions. The rest of the Autoconf source text consists of comments plus executable code that decides which of the data portions to output in any given case. We call these comments and executable code the \"non-data\" portions. Autoconf never copies any of the non-data portions into its output.\n\nThis special exception to the GPL applies to versions of Autoconf released by the Free Software Foundation. When you make and distribute a modified version of Autoconf, you may extend this special exception to the GPL to apply to your modified version as well, *unless* your modified version has the potential to copy into its output some of the text that was the non-data portion of the version that you started with. (In other words, unless your change moves or copies text from the non-data portions to the data portions.) If your modification has such potential, you must delete any notice of this special exception to the GPL from your modified version.\n\n"
		self.standardLicenseTemplate = "insert GPL v2 license text here\n\nAutoconf Exception\n\nAs a special exception, the Free Software Foundation gives unlimited permission to copy, distribute and modify the configure scripts that are the output of Autoconf. You need not follow the terms of the GNU General Public License when using or distributing such scripts, even though portions of the text of Autoconf appear in them. The GNU General Public License (GPL) does govern all other use of the material that constitutes the Autoconf program.\n\nCertain portions of the Autoconf source text are designed to be copied (in certain cases, depending on the input) into the output of Autoconf. We call these the \"data\" portions. The rest of the Autoconf source text consists of comments plus executable code that decides which of the data portions to output in any given case. We call these comments and executable code the \"non-data\" portions. Autoconf never copies any of the non-data portions into its output.\n\nThis special exception to the GPL applies to versions of Autoconf released by the Free Software Foundation. When you make and distribute a modified version of Autoconf, you may extend this special exception to the GPL to apply to your modified version as well, *unless* your modified version has the potential to copy into its output some of the text that was the non-data portion of the version that you started with. (In other words, unless your change moves or copies text from the non-data portions to the data portions.) If your modification has such potential, you must delete any notice of this special exception to the GPL from your modified version.\n\n"
		self.name = "GNU General Public License v2.0 w/Autoconf exception"
		self.licenseComments = "DEPRECATED: Use license expression including main license, \"WITH\" operator, and identifier: Autoconf-exception-2.0"
		self.licenseId = "GPL-2.0-with-autoconf-exception"
		self.crossRef = [{"match": "False", "url": "http://ac-archive.sourceforge.net/doc/copyright.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:32Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://ac-archive.sourceforge.net/doc/copyright.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\t	 <p>insert GPL v2 license text here</p>\n\n\t	 <p>Autoconf Exception</p>\n\n\t	 <p>As a special exception, the Free Software Foundation gives unlimited permission to copy, distribute and modify the configure scripts that are the output of Autoconf. You need not follow the terms of the GNU General Public License when using or distributing such scripts, even though portions of the text of Autoconf appear in them. The GNU General Public License (GPL) does govern all other use of the material that constitutes the Autoconf program.</p>\n\n\t	 <p>Certain portions of the Autoconf source text are designed to be copied (in certain cases, depending on the input) into the output of Autoconf. We call these the &quot;data&quot; portions. The rest of the Autoconf source text consists of comments plus executable code that decides which of the data portions to output in any given case. We call these comments and executable code the &quot;non-data&quot; portions. Autoconf never copies any of the non-data portions into its output.</p>\n\n\t	 <p>This special exception to the GPL applies to versions of Autoconf released by the Free Software Foundation. When you make and distribute a modified version of Autoconf, you may extend this special exception to the GPL to apply to your modified version as well, *unless* your modified version has the potential to copy into its output some of the text that was the non-data portion of the version that you started with. (In other words, unless your change moves or copies text from the non-data portions to the data portions.) If your modification has such potential, you must delete any notice of this special exception to the GPL from your modified version.</p>\n\n	"
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "GPL20withautoconfexception"

	def __str__(self):
		return json.dumps(self.__dict__)


class OFL10RFN:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "SIL OPEN FONT LICENSE\n\nVersion 1.0 - 22 November 2005\n\nPREAMBLE\n\nThe goals of the Open Font License (OFL) are to stimulate worldwide development of cooperative font projects, to support the font creation efforts of academic and linguistic communities, and to provide an open framework in which fonts may be shared and improved in partnership with others.\n\nThe OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded, redistributed and sold with any software provided that the font names of derivative works are changed. The fonts and derivatives, however, cannot be released under any other type of license.\n\nDEFINITIONS\n\n\"Font Software\" refers to any and all of the following:\n\n	 - font files\n	 - data files\n	 - source code\n	 - build scripts\n	 - documentation\n\n\"Reserved Font Name\" refers to the Font Software name as seen by users and any other names as specified after the copyright statement.\n\n\"Standard Version\" refers to the collection of Font Software components as distributed by the Copyright Holder.\n\n\"Modified Version\" refers to any derivative font software made by adding to, deleting, or substituting \u2014 in part or in whole -- any of the components of the Standard Version, by changing formats or by porting the Font Software to a new environment.\n\n\"Author\" refers to any designer, engineer, programmer, technical writer or other person who contributed to the Font Software.\n\nPERMISSION & CONDITIONS\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the Font Software, subject to the following conditions:\n\n1) Neither the Font Software nor any of its individual components, in Standard or Modified Versions, may be sold by itself.\n\n2) Standard or Modified Versions of the Font Software may be bundled, redistributed and sold with any software, provided that each copy contains the above copyright notice and this license. These can be included either as stand-alone text files, human-readable headers or in the appropriate machine-readable metadata fields within text or binary files as long as those fields can be easily viewed by the user.\n\n3) No Modified Version of the Font Software may use the Reserved Font Name(s), in part or in whole, unless explicit written permission is granted by the Copyright Holder. This restriction applies to all references stored in the Font Software, such as the font menu name and other font description fields, which are used to differentiate the font from others.\n\n4) The name(s) of the Copyright Holder or the Author(s) of the Font Software shall not be used to promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s) of the Copyright Holder and the Author(s) or with their explicit written permission.\n\n5) The Font Software, modified or unmodified, in part or in whole, must be distributed using this license, and may not be distributed under any other license.\n\nTERMINATION\n\nThis license becomes null and void if any of the above conditions are not met.\n\nDISCLAIMER\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>SIL OPEN FONT LICENSE\n\nVersion 1.0 - 22 November 2005\n\n<<endOptional>>\n\nPREAMBLE\n\nThe goals of the Open Font License (OFL) are to stimulate worldwide development of cooperative font projects, to support the font creation efforts of academic and linguistic communities, and to provide an open framework in which fonts may be shared and improved in partnership with others.\n\nThe OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded, redistributed and sold with any software provided that the font names of derivative works are changed. The fonts and derivatives, however, cannot be released under any other type of license.\n\nDEFINITIONS\n\n\"Font Software\" refers to any and all of the following:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> font files\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> data files\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> source code\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> build scripts\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> documentation\n\n\"Reserved Font Name\" refers to the Font Software name as seen by users and any other names as specified after the copyright statement.\n\n\"Standard Version\" refers to the collection of Font Software components as distributed by the Copyright Holder.\n\n\"Modified Version\" refers to any derivative font software made by adding to, deleting, or substituting \u2014 in part or in whole -- any of the components of the Standard Version, by changing formats or by porting the Font Software to a new environment.\n\n\"Author\" refers to any designer, engineer, programmer, technical writer or other person who contributed to the Font Software.\n\nPERMISSION & CONDITIONS\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the Font Software, subject to the following conditions:\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Neither the Font Software nor any of its individual components, in Standard or Modified Versions, may be sold by itself.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Standard or Modified Versions of the Font Software may be bundled, redistributed and sold with any software, provided that each copy contains the above copyright notice and this license. These can be included either as stand-alone text files, human-readable headers or in the appropriate machine-readable metadata fields within text or binary files as long as those fields can be easily viewed by the user.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> No Modified Version of the Font Software may use the Reserved Font Name(s), in part or in whole, unless explicit written permission is granted by the Copyright Holder. This restriction applies to all references stored in the Font Software, such as the font menu name and other font description fields, which are used to differentiate the font from others.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> The name(s) of the Copyright Holder or the Author(s) of the Font Software shall not be used to promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s) of the Copyright Holder and the Author(s) or with their explicit written permission.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> The Font Software, modified or unmodified, in part or in whole, must be distributed using this license, and may not be distributed under any other license.\n\nTERMINATION\n\nThis license becomes null and void if any of the above conditions are not met.\n\nDISCLAIMER\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n\n"
		self.name = "SIL Open Font License 1.0 with Reserved Font Name"
		self.licenseComments = "This license has been superseded. This license was released in November 2005. The identifier OFL-1.0-RFN should only be used when a Reserved Font Name applies. See OFL-1.0 and OFL-1.0-no-RFN for alternatives."
		self.licenseId = "OFL-1.0-RFN"
		self.crossRef = [{"match": "True", "url": "http://scripts.sil.org/cms/scripts/page.php?item_id=OFL10_web", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:37Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://scripts.sil.org/cms/scripts/page.php?item_id=OFL10_web"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>SIL OPEN FONT LICENSE</p>\n\n		 <p>Version 1.0 - 22 November 2005</p>\n\n	  </div>\n	  <p>PREAMBLE</p>\n\n	  <p>The goals of the Open Font License (OFL) are to stimulate worldwide development of cooperative font\n		 projects, to support the font creation efforts of academic and linguistic communities, and to provide\n		 an open framework in which fonts may be shared and improved in partnership with others.</p>\n\n	  <p>The OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they\n		 are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded,\n		 redistributed and sold with any software provided that the font names of derivative works are changed.\n		 The fonts and derivatives, however, cannot be released under any other type of license.</p>\n\n	  <p>DEFINITIONS</p>\n\n	  <p>&quot;Font Software&quot; refers to any and all of the following:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  font files\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  data files\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  source code\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  build scripts\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  documentation\n		</li>\n	  \n</ul>\n	  <p>&quot;Reserved Font Name&quot; refers to the Font Software name as seen by users and any other names as\n		 specified after the copyright statement.</p>\n\n	  <p>&quot;Standard Version&quot; refers to the collection of Font Software components as distributed by the\n		 Copyright Holder.</p>\n\n	  <p>&quot;Modified Version&quot; refers to any derivative font software made by adding to, deleting, or\n		 substituting \u2014 in part or in whole -- any of the components of the Standard Version, by\n		 changing formats or by porting the Font Software to a new environment.</p>\n\n	  <p>&quot;Author&quot; refers to any designer, engineer, programmer, technical writer or other person who\n		 contributed to the Font Software.</p>\n\n	  <p>PERMISSION &amp; CONDITIONS</p>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of the Font\n		 Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and\n		 unmodified copies of the Font Software, subject to the following conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Neither the Font Software nor any of its individual components, in Standard or Modified Versions,\n			 may be sold by itself.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Standard or Modified Versions of the Font Software may be bundled, redistributed and sold with\n			 any software, provided that each copy contains the above copyright notice and this license.\n			 These can be included either as stand-alone text files, human-readable headers or in the\n			 appropriate machine-readable metadata fields within text or binary files as long as those\n			 fields can be easily viewed by the user.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  No Modified Version of the Font Software may use the Reserved Font Name(s), in part or in whole,\n			 unless explicit written permission is granted by the Copyright Holder. This restriction\n			 applies to all references stored in the Font Software, such as the font menu name and other\n			 font description fields, which are used to differentiate the font from others.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  The name(s) of the Copyright Holder or the Author(s) of the Font Software shall not be used to\n			 promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s)\n			 of the Copyright Holder and the Author(s) or with their explicit written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  The Font Software, modified or unmodified, in part or in whole, must be distributed using this\n			 license, and may not be distributed under any other license.\n		</li>\n	  \n</ul>\n	  <p>TERMINATION</p>\n\n	  <p>This license becomes null and void if any of the above conditions are not met.</p>\n\n	  <p>DISCLAIMER</p>\n\n	  <p>THE FONT SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT\n		 NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT\n		 OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR\n		 ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR\n		 CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE\n		 USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.</p>\n\n	"
		self.python_name = "OFL10RFN"

	def __str__(self):
		return json.dumps(self.__dict__)


class OFL11RFN:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "SIL OPEN FONT LICENSE\n\nVersion 1.1 - 26 February 2007\n\nPREAMBLE\n\nThe goals of the Open Font License (OFL) are to stimulate worldwide development of collaborative font projects, to support the font creation efforts of academic and linguistic communities, and to provide a free and open framework in which fonts may be shared and improved in partnership with others.\n\nThe OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded, redistributed and/or sold with any software provided that any reserved names are not used by derivative works. The fonts and derivatives, however, cannot be released under any other type of license. The requirement for fonts to remain under this license does not apply to any document created using the fonts or their derivatives.\n\nDEFINITIONS\n\n\"Font Software\" refers to the set of files released by the Copyright Holder(s) under this license and clearly marked as such. This may include source files, build scripts and documentation.\n\n\"Reserved Font Name\" refers to any names specified as such after the copyright statement(s).\n\n\"Original Version\" refers to the collection of Font Software components as distributed by the Copyright Holder(s).\n\n\"Modified Version\" refers to any derivative made by adding to, deleting, or substituting \u2014 in part or in whole \u2014 any of the components of the Original Version, by changing formats or by porting the Font Software to a new environment.\n\n\"Author\" refers to any designer, engineer, programmer, technical writer or other person who contributed to the Font Software.\n\nPERMISSION & CONDITIONS\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the Font Software, subject to the following conditions:\n\n1) Neither the Font Software nor any of its individual components, in Original or Modified Versions, may be sold by itself.\n\n2) Original or Modified Versions of the Font Software may be bundled, redistributed and/or sold with any software, provided that each copy contains the above copyright notice and this license. These can be included either as stand-alone text files, human-readable headers or in the appropriate machine-readable metadata fields within text or binary files as long as those fields can be easily viewed by the user.\n\n3) No Modified Version of the Font Software may use the Reserved Font Name(s) unless explicit written permission is granted by the corresponding Copyright Holder. This restriction only applies to the primary font name as presented to the users.\n\n4) The name(s) of the Copyright Holder(s) or the Author(s) of the Font Software shall not be used to promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s) of the Copyright Holder(s) and the Author(s) or with their explicit written permission.\n\n5) The Font Software, modified or unmodified, in part or in whole, must be distributed entirely under this license, and must not be distributed under any other license. The requirement for fonts to remain under this license does not apply to any document created using the Font Software.\n\nTERMINATION\n\nThis license becomes null and void if any of the above conditions are not met.\n\nDISCLAIMER\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) <dates>, <Copyright Holder> (<URL|email>),  with Reserved Font Name <Reserved Font Name>.  \";match=\".{0,5000}\">><<beginOptional>> This Font Software is licensed under the SIL Open Font License, Version 1.1.\n\nThis license is copied below, and is also available with a FAQ at: http://scripts.sil.org/OFL\n\n<<endOptional>><<beginOptional>> SIL OPEN FONT LICENSE\n\nVersion 1.1 - 26 February 2007\n\n<<endOptional>>\n\nPREAMBLE\n\nThe goals of the Open Font License (OFL) are to stimulate worldwide development of collaborative font projects, to support the font creation efforts of academic and linguistic communities, and to provide a free and open framework in which fonts may be shared and improved in partnership with others.\n\nThe OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded, redistributed and/or sold with any software provided that any reserved names are not used by derivative works. The fonts and derivatives, however, cannot be released under any other type of license. The requirement for fonts to remain under this license does not apply to any document created using the fonts or their derivatives.\n\nDEFINITIONS\n\n\"Font Software\" refers to the set of files released by the Copyright Holder(s) under this license and clearly marked as such. This may include source files, build scripts and documentation.\n\n\"Reserved Font Name\" refers to any names specified as such after the copyright statement(s).\n\n\"Original Version\" refers to the collection of Font Software components as distributed by the Copyright Holder(s).\n\n\"Modified Version\" refers to any derivative made by adding to, deleting, or substituting \u2014 in part or in whole \u2014 any of the components of the Original Version, by changing formats or by porting the Font Software to a new environment.\n\n\"Author\" refers to any designer, engineer, programmer, technical writer or other person who contributed to the Font Software.\n\nPERMISSION & CONDITIONS\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the Font Software, subject to the following conditions:\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Neither the Font Software nor any of its individual components, in Original or Modified Versions, may be sold by itself.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Original or Modified Versions of the Font Software may be bundled, redistributed and/or sold with any software, provided that each copy contains the above copyright notice and this license. These can be included either as stand-alone text files, human-readable headers or in the appropriate machine-readable metadata fields within text or binary files as long as those fields can be easily viewed by the user.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> No Modified Version of the Font Software may use the Reserved Font Name(s) unless explicit written permission is granted by the corresponding Copyright Holder. This restriction only applies to the primary font name as presented to the users.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> The name(s) of the Copyright Holder(s) or the Author(s) of the Font Software shall not be used to promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s) of the Copyright Holder(s) and the Author(s) or with their explicit written permission.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> The Font Software, modified or unmodified, in part or in whole, must be distributed entirely under this license, and must not be distributed under any other license. The requirement for fonts to remain under this license does not apply to any document created using the Font Software.\n\nTERMINATION\n\nThis license becomes null and void if any of the above conditions are not met.\n\nDISCLAIMER\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n\n"
		self.name = "SIL Open Font License 1.1 with Reserved Font Name"
		self.licenseComments = "This license was released 26 February 2007. The identifier OFL-1.1-RFN should only be used when a Reserved Font Name applies. See OFL-1.1 and OFL-1.1-no-RFN for alternatives."
		self.licenseId = "OFL-1.1-RFN"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/OFL-1.1", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:19:13Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://scripts.sil.org/cms/scripts/page.php?item_id=OFL_web", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:13Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://scripts.sil.org/cms/scripts/page.php?item_id=OFL_web", "https://opensource.org/licenses/OFL-1.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> <p>Copyright (c) &lt;dates&gt;, &lt;Copyright Holder&gt; (&lt;URL|email&gt;),\n		 <br />\n\nwith Reserved Font Name &lt;Reserved Font Name&gt;.</p>\n</div>\n	  <div class=\"optional-license-text\"> \n		 <p>This Font Software is licensed under the SIL Open Font License, Version 1.1.</p>\n\n		 <p>This license is copied below, and is also available with a FAQ at: http://scripts.sil.org/OFL</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>SIL OPEN FONT LICENSE</p>\n\n		 <p>Version 1.1 - 26 February 2007</p>\n\n	  </div>\n\n	  <p>PREAMBLE</p>\n\n	  <p>The goals of the Open Font License (OFL) are to stimulate worldwide development of collaborative font\n		 projects, to support the font creation efforts of academic and linguistic communities, and to provide\n		 a free and open framework in which fonts may be shared and improved in partnership with others.</p>\n\n	  <p>The OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they\n		 are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded,\n		 redistributed and/or sold with any software provided that any reserved names are not used by\n		 derivative works. The fonts and derivatives, however, cannot be released under any other type of\n		 license. The requirement for fonts to remain under this license does not apply to any document created\n		 using the fonts or their derivatives.</p>\n\n	  <p>DEFINITIONS</p>\n\n	  <p>&quot;Font Software&quot; refers to the set of files released by the Copyright Holder(s) under this license and\n		 clearly marked as such. This may include source files, build scripts and documentation.</p>\n\n	  <p>&quot;Reserved Font Name&quot; refers to any names specified as such after the copyright statement(s).</p>\n\n	  <p>&quot;Original Version&quot; refers to the collection of Font Software components as distributed by the Copyright\n		 Holder(s).</p>\n\n	  <p>&quot;Modified Version&quot; refers to any derivative made by adding to, deleting, or substituting \u2014 in part or in\n		 whole \u2014 any of the components of the Original Version, by changing formats or by porting the Font\n		 Software to a new environment.</p>\n\n	  <p>&quot;Author&quot; refers to any designer, engineer, programmer, technical writer or other person who contributed\n		 to the Font Software.</p>\n\n	  <p>PERMISSION &amp; CONDITIONS</p>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to\n		 use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the\n		 Font Software, subject to the following conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Neither the Font Software nor any of its individual components, in Original or Modified Versions,\n			 may be sold by itself.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Original or Modified Versions of the Font Software may be bundled, redistributed and/or sold with\n			 any software, provided that each copy contains the above copyright notice and this license.\n			 These can be included either as stand-alone text files, human-readable headers or in the\n			 appropriate machine-readable metadata fields within text or binary files as long as those\n			 fields can be easily viewed by the user.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  No Modified Version of the Font Software may use the Reserved Font Name(s) unless explicit\n			 written permission is granted by the corresponding Copyright Holder. This restriction only\n			 applies to the primary font name as presented to the users.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  The name(s) of the Copyright Holder(s) or the Author(s) of the Font Software shall not be used to\n			 promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s)\n			 of the Copyright Holder(s) and the Author(s) or with their explicit written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  The Font Software, modified or unmodified, in part or in whole, must be distributed entirely\n			 under this license, and must not be distributed under any other license. The requirement for\n			 fonts to remain under this license does not apply to any document created using the Font\n			 Software.\n		</li>\n	  \n</ul>\n	  <p>TERMINATION</p>\n\n	  <p>This license becomes null and void if any of the above conditions are not met.</p>\n\n	  <p>DISCLAIMER</p>\n\n	  <p>THE FONT SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT\n		 NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT\n		 OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR\n		 ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR\n		 CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE\n		 USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.</p>\n\n	"
		self.python_name = "OFL11RFN"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBY25:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution 2.5\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to create and reproduce Derivative Works;\n\n	 c. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	 d. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works.\n\n	 e. For the avoidance of doubt, where the work is a musical composition:\n\n		  i. Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work.\n\n		  ii. Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	 f. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor waives the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by clause 4(b), as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any credit as required by clause 4(b), as requested.\n\n	 b. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for attribution in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution 2.5\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and reproduce Derivative Works;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> For the avoidance of doubt, where the work is a musical composition:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor waives the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	  The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any credit as required by clause 4(b), as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any credit as required by clause 4(b), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the Original Author and/or Licensor designate another party or parties (e.g. a sponsor institute, publishing entity, journal) for attribution in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution 2.5 Generic"
		self.licenseId = "CC-BY-2.5"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by/2.5/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by/2.5/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution 2.5</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n			   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n			   other contributions, constituting separate and independent works in themselves, are\n			   assembled into a collective whole. A work that constitutes a Collective Work will not be\n			   considered a Derivative Work (as defined below) for the purposes of this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works, such as a translation, musical arrangement, dramatization,\n			   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n			   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n			   except that a work that constitutes a Collective Work will not be considered a Derivative\n			   Work for the purpose of this License. For the avoidance of doubt, where the Work is a\n			   musical composition or sound recording, the synchronization of the Work in timed-relation\n			   with a moving image (&quot;synching&quot;) will be considered a Derivative Work for the\n			   purpose of this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n			   this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Original Author&quot; means the individual or entity who created the Work.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> f.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		</li>\n\t\n<li>\t\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b.</var>\n			to create and reproduce Derivative Works;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works;\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission Derivative Works.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> e.</var>\n			For the avoidance of doubt, where the work is a musical composition:\n		  </li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> i.</var>\n			  Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to\n				 collect, whether individually or via a performance rights society (e.g. ASCAP, BMI,\n				 SESAC), royalties for the public performance or public digital performance (e.g.\n				 webcast) of the Work.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> ii.</var>\n			  Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to\n				 collect, whether individually or via a music rights agency or designated agent (e.g.\n				 Harry Fox Agency), royalties for any phonorecord You create from the Work (&quot;cover\n				 version&quot;) and distribute, subject to the compulsory license created by 17 USC\n				 Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n			</li>\n			\n</ul>\n\t	</li>\n\t	\n<li>\n			   <var class=\"replaceable-license-text\"> f.</var>\n			Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a\n			   sound recording, Licensor waives the exclusive right to collect, whether individually or\n			   via a performance-rights society (e.g. SoundExchange), royalties for the public digital\n			   performance (e.g. webcast) of the Work, subject to the compulsory license created by 17\n			   USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats. All rights not expressly\n			   granted by Licensor are hereby reserved.</p>\n\n			</li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n			   Work. You must keep intact all notices that refer to this License and to the disclaimer of\n			   warranties. You may not distribute, publicly display, publicly perform, or publicly\n			   digitally perform the Work with any technological measures that control access or use of\n			   the Work in a manner inconsistent with the terms of this License Agreement. The above\n			   applies to the Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Work itself to be made subject to the terms of this\n			   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n			   extent practicable, remove from the Collective Work any credit as required by clause 4(b),\n			   as requested. If You create a Derivative Work, upon notice from any Licensor You must, to\n			   the extent practicable, remove from the Derivative Work any credit as required by clause\n			   4(b), as requested.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n			   or any Derivative Works or Collective Works, You must keep intact all copyright notices\n			   for the Work and provide, reasonable to the medium or means You are utilizing: (i) the\n			   name of the Original Author (or pseudonym, if applicable) if supplied, and/or (ii) if the\n			   Original Author and/or Licensor designate another party or parties (e.g. a sponsor\n			   institute, publishing entity, journal) for attribution in Licensor&apos;s copyright\n			   notice, terms of service or by other reasonable means, the name of such party or parties;\n			   the title of the Work if supplied; to the extent reasonably practicable, the Uniform\n			   Resource Identifier, if any, that Licensor specifies to be associated with the Work,\n			   unless such URI does not refer to the copyright notice or licensing information for the\n			   Work; and in the case of a Derivative Work, a credit identifying the use of the Work in\n			   the Derivative Work (e.g., &quot;French translation of the Work by Original Author,&quot;\n			   or &quot;Screenplay based on original Work by Original Author&quot;). Such credit may be\n			   implemented in any reasonable manner; provided, however, that in the case of a Derivative\n			   Work or Collective Work, at a minimum such credit will appear where any other comparable\n			   authorship credit appears and in a manner at least as prominent as such other comparable\n			   authorship credit.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Derivative\n			   Works or Collective Works from You under this License, however, will not have their\n			   licenses terminated provided such individuals or entities remain in full compliance with\n			   those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this\n			   License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n			   Licensor offers to the recipient a license to the Work on the same terms and conditions as\n			   the license granted to You under this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b.</var>\n			Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to\n			   the recipient a license to the original Work on the same terms and conditions as the\n			   license granted to You under this License.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> e.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n		\n</ul>\n\t</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBY25"

	def __str__(self):
		return json.dumps(self.__dict__)


class NPL11:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Netscape Public LIcense version 1.1\n\nAMENDMENTS\n\nThe Netscape Public License Version 1.1 (\"NPL\") consists of the Mozilla Public License Version 1.1 with the following Amendments, including Exhibit A-Netscape Public License.  Files identified with \"Exhibit A-Netscape Public License\" are governed by the Netscape Public License Version 1.1.\n\nAdditional Terms applicable to the Netscape Public License.\n\n	 I. Effect.\n	 These additional terms described in this Netscape Public License -- Amendments shall apply to the Mozilla Communicator client code and to all Covered Code under this License.\n\n	 II. \"Netscape's Branded Code\" means Covered Code that Netscape distributes and/or permits others to distribute under one or more trademark(s) which are controlled by Netscape but which are not licensed for use under this License.\n	 III. Netscape and logo.\n	 This License does not grant any rights to use the trademarks \"Netscape\", the \"Netscape N and horizon\" logo or the \"Netscape lighthouse\" logo, \"Netcenter\", \"Gecko\", \"Java\" or \"JavaScript\", \"Smart Browsing\" even if such marks are included in the Original Code or Modifications.\n	 IV. Inability to Comply Due to Contractual Obligation.\n\t Prior to licensing the Original Code under this License, Netscape has licensed third party code for use in Netscape's Branded Code. To the extent that Netscape is limited contractually from making such third party code available under this License, Netscape may choose to reintegrate such code into Covered Code without being required to distribute such code in Source Code form, even if such code would otherwise be considered \"Modifications\" under this License.\n	 V. Use of Modifications and Covered Code by Initial Developer.\n		  V.1. In General.\n		  The obligations of Section 3 apply to Netscape, except to the extent specified in this Amendment, Section V.2 and V.3.\n\n		  V.2. Other Products.\n\t\t  Netscape may include Covered Code in products other than the Netscape's Branded Code which are released by Netscape during the two (2) years following the release date of the Original Code, without such additional products becoming subject to the terms of this License, and may license such additional products on different terms from those contained in this License.\n\n		  V.3. Alternative Licensing.\n\t\t  Netscape may license the Source Code of Netscape's Branded Code, including Modifications incorporated therein, without such Netscape Branded Code becoming subject to the terms of this License, and may license such Netscape Branded Code on different terms from those contained in this License.\n\n	 VI. Litigation.\n	 Notwithstanding the limitations of Section 11 above, the provisions regarding litigation in Section 11(a), (b) and (c) of the License shall apply to all disputes relating to this License.\n\n\t EXHIBIT A-Netscape Public License.\n\t \n\"The contents of this file are subject to the Netscape Public License Version 1.1 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/NPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is Mozilla Communicator client code, released March 31, 1998.\n\nThe Initial Developer of the Original Code is Netscape Communications Corporation. Portions created by Netscape are Copyright (C) 1998-1999 Netscape Communications Corporation. All Rights Reserved.\nContributor(s): ______________________________________.\n\t \nAlternatively, the contents of this file may be used under the terms of the _____ license (the  \"[___] License\"), in which case the provisions of [______] License are applicable  instead of those above.  If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the NPL, indicate your decision by deleting  the provisions above and replace  them with the notice and other provisions required by the [___] License.  If you do not delete the provisions above, a recipient may use your version of this file under either the NPL or the [___] License.\"\n\n\nMozilla Public License Version 1.1\n\n1. Definitions.\n\n	 1.0.1. \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n	 1.1. \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	 1.2. \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	 1.3. \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	 1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	 1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n	 1.6. \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	 1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.8. \"License\" means this document.\n\n	 1.8.1. \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	 1.9. \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\nAny addition to or deletion from the contents of a file containing Original Code or previous Modifications.\nAny new file that contains any part of the Original Code or previous Modifications.\n\n	 1.10. \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	 1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	 1.11. \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	 1.12. \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n2. Source Code License.\n\n	 2.1. The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		  a. under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n		  b. under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n		  c. the licenses granted in this Section 2.1 (a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n		  d. Notwithstanding Section 2.1 (b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.\n\n	 2.2. Contributor Grant. Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n		  a. under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n		  b. under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n		  c. the licenses granted in Sections 2.2 (a) and 2.2 (b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n		  d. Notwithstanding Section 2.2 (b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n3. Distribution Obligations.\n\n	 3.1. Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	 3.2. Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	 3.3. Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	 3.4. Intellectual Property Matters\n\n		  (a) Third Party Claims\n		  If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		  (b) Contributor APIs\n		  If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n		  (c) Representations.\n		  Contributor represents that, except as disclosed pursuant to Section 3.4 (a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	 3.5. Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	 3.6. Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Sections 3.1, 3.2, 3.3, 3.4 and 3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	 3.7. Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License.\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n6. Versions of the License.\n\n	 6.1. New Versions\n	 Netscape Communications Corporation (\"Netscape\") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	 6.2. Effect of New Versions\n	 Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Netscape. No one other than Netscape has the right to modify the terms applicable to Covered Code created under this License.\n\n	 6.3. Derivative Works\n	 If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \"Mozilla\", \"MOZILLAPL\", \"MOZPL\", \"Netscape\", \"MPL\", \"NPL\" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n7. DISCLAIMER OF WARRANTY\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. Termination\n\n	 8.1. This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	 8.2. If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		  a. such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n		  b. any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	 8.3. If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	 8.4. In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n9. LIMITATION OF LIABILITY\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. government end users\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n11. Miscellaneous\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n12. Responsibility for claims\nAs between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n13. Multiple-licensed code\nInitial Developer may designate portions of the Covered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the MPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\nExhibit A - Mozilla Public License.\n\n\"The contents of this file are subject to the Mozilla Public License Version 1.1 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________________________.\n\nThe Initial Developer of the Original Code is ________________________.\nPortions created by ______________________ are Copyright (C) ______\n_______________________. All Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAlternatively, the contents of this file may be used under the terms of the _____ license (the  \"[___] License\"), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the MPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the MPL or the [___] License.\"\n\nNOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Netscape Public LIcense version 1.1\n\n<<endOptional>>\n\nAMENDMENTS\n\nThe Netscape Public License Version 1.1 (\"NPL\") consists of the Mozilla Public License Version 1.1 with the following Amendments, including Exhibit A-Netscape Public License. Files identified with \"Exhibit A-Netscape Public License\" are governed by the Netscape Public License Version 1.1.\n\nAdditional Terms applicable to the Netscape Public License.\n\n   <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Effect.\n\n   These additional terms described in this Netscape Public License -- Amendments shall apply to the Mozilla Communicator client code and to all Covered Code under this License.\n\n   <<var;name=\"bullet\";original=\"II.\";match=\".{0,20}\">> \"Netscape's Branded Code\" means Covered Code that Netscape distributes and/or permits others to distribute under one or more trademark(s) which are controlled by Netscape but which are not licensed for use under this License.\n\n   <<var;name=\"bullet\";original=\"III.\";match=\".{0,20}\">> Netscape and logo.\n\n   This License does not grant any rights to use the trademarks \"Netscape\", the \"Netscape N and horizon\" logo or the \"Netscape lighthouse\" logo, \"Netcenter\", \"Gecko\", \"Java\" or \"JavaScript\", \"Smart Browsing\" even if such marks are included in the Original Code or Modifications.\n\n   <<var;name=\"bullet\";original=\"IV.\";match=\".{0,20}\">> Inability to Comply Due to Contractual Obligation.\n\n   Prior to licensing the Original Code under this License, Netscape has licensed third party code for use in Netscape's Branded Code. To the extent that Netscape is limited contractually from making such third party code available under this License, Netscape may choose to reintegrate such code into Covered Code without being required to distribute such code in Source Code form, even if such code would otherwise be considered \"Modifications\" under this License.\n\n   <<var;name=\"bullet\";original=\"V.\";match=\".{0,20}\">> Use of Modifications and Covered Code by Initial Developer.\n\n	  <<var;name=\"bullet\";original=\"V.1.\";match=\".{0,20}\">> In General.\n\n	  The obligations of Section 3 apply to Netscape, except to the extent specified in this Amendment, Section V.2 and V.3.\n\n	  <<var;name=\"bullet\";original=\"V.2.\";match=\".{0,20}\">> Other Products.\n\n	  Netscape may include Covered Code in products other than the Netscape's Branded Code which are released by Netscape during the two (2) years following the release date of the Original Code, without such additional products becoming subject to the terms of this License, and may license such additional products on different terms from those contained in this License.\n\n	  <<var;name=\"bullet\";original=\"V.3.\";match=\".{0,20}\">> Alternative Licensing.\n\n	  Netscape may license the Source Code of Netscape's Branded Code, including Modifications incorporated therein, without such Netscape Branded Code becoming subject to the terms of this License, and may license such Netscape Branded Code on different terms from those contained in this License.\n\n   <<var;name=\"bullet\";original=\"VI.\";match=\".{0,20}\">> Litigation.\n\n   Notwithstanding the limitations of Section 11 above, the provisions regarding litigation in Section 11(a), (b) and (c) of the License shall apply to all disputes relating to this License.\n\n   EXHIBIT A-Netscape Public License.\n\n   \"The contents of this file are subject to the Netscape Public License Version 1.1 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/NPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is Mozilla Communicator client code, released March 31, 1998.\n\nThe Initial Developer of the Original Code is Netscape Communications Corporation. Portions created by Netscape are Copyright (C) 1998-1999 Netscape Communications Corporation. All Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAlternatively, the contents of this file may be used under the terms of the _____ license (the \"[___] License\"), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the NPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the NPL or the [___] License.\"\n\nMozilla Public License Version 1.1\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n   1.0.1. \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Executable\" means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  1.8.1. \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n	  Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n	  Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n		 <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> the licenses granted in this Section 2.1 (a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n		 <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Notwithstanding Section 2.1 (b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant. Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n		 <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> the licenses granted in Sections 2.2 (a) and 2.2 (b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n		 <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Notwithstanding Section 2.2 (b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications. You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims\n\n		 If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs\n\n		 If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> Representations.\n\n		 Contributor represents that, except as disclosed pursuant to Section 3.4 (a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Sections 3.1, 3.2, 3.3, 3.4 and 3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Application of this License.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> New Versions\n\n	  Netscape Communications Corporation (\"Netscape\") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> Effect of New Versions\n\n	  Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Netscape. No one other than Netscape has the right to modify the terms applicable to Covered Code created under this License.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> Derivative Works\n\n	  If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \"Mozilla\", \"MOZILLAPL\", \"MOZPL\", \"Netscape\", \"MPL\", \"NPL\" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"8.1.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	  <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">> If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		 <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		 <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	  <<var;name=\"bullet\";original=\"8.3.\";match=\".{0,20}\">> If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"8.4.\";match=\".{0,20}\">> In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. government end users\n\n   The Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Miscellaneous\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Responsibility for claims\n\n   As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Multiple-licensed code\n\n   Initial Developer may designate portions of the Covered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the MPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\n   <<beginOptional>>Exhibit A - Mozilla Public License.\n\n\"The contents of this file are subject to the Mozilla Public License Version 1.1 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________________________.\n\nThe Initial Developer of the Original Code is ________________________.\n\nPortions created by ______________________ are Copyright (C) ______\n\n_______________________. All Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAlternatively, the contents of this file may be used under the terms of the _____ license (the \"[___] License\"), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the MPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the MPL or the [___] License.\"\n\nNOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.\n\n<<endOptional>>"
		self.name = "Netscape Public License v1.1"
		self.licenseId = "NPL-1.1"
		self.crossRef = [{"match": "False", "url": "http://www.mozilla.org/MPL/NPL/1.1/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:17Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.mozilla.org/MPL/NPL/1.1/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Netscape Public LIcense version 1.1</p>\n\n	  </div>\n\n	  <p>AMENDMENTS</p>\n\n	  <p>The Netscape Public License Version 1.1 (&quot;NPL&quot;) consists of the Mozilla Public License Version 1.1 with\n		 the following Amendments, including Exhibit A-Netscape Public License. Files identified with &quot;Exhibit\n		 A-Netscape Public License&quot; are governed by the Netscape Public License Version 1.1.</p>\n\n	  <p>Additional Terms applicable to the Netscape Public License.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n		  Effect.\n			<br />\n\n   These additional terms described in this Netscape Public License -- Amendments shall\n				 apply to the Mozilla Communicator client code and to all Covered Code under this\n				 License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> II.</var>\n		  &quot;Netscape&apos;s Branded Code&quot; means Covered Code that Netscape distributes and/or permits others\n			 to distribute under one or more trademark(s) which are controlled by Netscape but which\n			 are not licensed for use under this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> III.</var>\n		  Netscape and logo.\n			<br />\n\n   This License does not grant any rights to use the trademarks &quot;Netscape&quot;, the &quot;Netscape\n				 N and horizon&quot; logo or the &quot;Netscape lighthouse&quot; logo, &quot;Netcenter&quot;, &quot;Gecko&quot;,\n				 &quot;Java&quot; or &quot;JavaScript&quot;, &quot;Smart Browsing&quot; even if such marks are included in the\n				 Original Code or Modifications.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> IV.</var>\n		  Inability to Comply Due to Contractual Obligation.\n			<br />\n\n   Prior to licensing the Original Code under this License, Netscape has licensed third\n				 party code for use in Netscape&apos;s Branded Code. To the extent that Netscape is\n				 limited contractually from making such third party code available under this\n				 License, Netscape may choose to reintegrate such code into Covered Code without\n				 being required to distribute such code in Source Code form, even if such code\n				 would otherwise be considered &quot;Modifications&quot; under this License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> V.</var>\n		  Use of Modifications and Covered Code by Initial Developer.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> V.1.</var>\n			  In General.\n				<br />\n\n	  The obligations of Section 3 apply to Netscape, except to the extent specified\n					 in this Amendment, Section V.2 and V.3.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> V.2.</var>\n			  Other Products.\n				<br />\n\n	  Netscape may include Covered Code in products other than the Netscape&apos;s Branded\n					 Code which are released by Netscape during the two (2) years following the\n					 release date of the Original Code, without such additional products\n					 becoming subject to the terms of this License, and may license such\n					 additional products on different terms from those contained in this\n					 License.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> V.3.</var>\n			  Alternative Licensing.\n				<br />\n\n	  Netscape may license the Source Code of Netscape&apos;s Branded Code, including\n					 Modifications incorporated therein, without such Netscape Branded Code\n					 becoming subject to the terms of this License, and may license such\n					 Netscape Branded Code on different terms from those contained in this\n					 License.\n\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> VI.</var>\n		  Litigation.\n			<br />\n\n   Notwithstanding the limitations of Section 11 above, the provisions regarding\n				 litigation in Section 11(a), (b) and (c) of the License shall apply to all\n				 disputes relating to this License.\n			<br />\n\n   EXHIBIT A-Netscape Public License.\n\n		  <p>&quot;The contents of this file are subject to the Netscape Public License Version 1.1 (the\n			 &quot;License&quot;); you may not use this file except in compliance with the License. You may\n			 obtain a copy of the License at http://www.mozilla.org/NPL/</p>\n\n		</li>\n	  \n</ul>\n	  <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY\n		 OF ANY KIND, either express or implied. See the License for the specific language\n		 governing rights and limitations under the License.\n		 <br />\n\nThe Original Code is Mozilla Communicator client code, released March 31, 1998.\n		 <br />\n\nThe Initial Developer of the Original Code is Netscape Communications Corporation.\n			  Portions created by Netscape are Copyright (C) 1998-1999 Netscape Communications\n			  Corporation. All Rights Reserved.\n		 <br />\n\nContributor(s): ______________________________________.\n	  </p>\n\n	  <p>Alternatively, the contents of this file may be used under the terms of the _____ license\n		 (the &quot;[___] License&quot;), in which case the provisions of [______] License are applicable\n		 instead of those above. If you wish to allow use of your version of this file only under\n		 the terms of the [____] License and not to allow others to use your version of this file\n		 under the NPL, indicate your decision by deleting the provisions above and replace them\n		 with the notice and other provisions required by the [___] License. If you do not delete\n		 the provisions above, a recipient may use your version of this file under either the NPL\n		 or the [___] License.&quot;</p>\n\n	  <p>Mozilla Public License Version 1.1</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  <p>1.0.1. &quot;Commercial Use&quot; means distribution or otherwise making the Covered Code available to a\n			 third party.</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			  &quot;Contributor&quot; means each entity that creates or contributes to the creation of Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			  &quot;Contributor Version&quot; means the combination of the Original Code, prior Modifications used by\n				 a Contributor, and the Modifications made by that particular Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			  &quot;Covered Code&quot; means the Original Code or Modifications or the combination of the Original\n				 Code and Modifications, in each case including portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			  &quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the software\n				 development community for the electronic transfer of data.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			  &quot;Executable&quot; means Covered Code in any form other than Source Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			  &quot;Initial Developer&quot; means the individual or entity identified as the Initial Developer in the\n				 Source Code notice required by Exhibit A.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			  &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with code not\n				 governed by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			  &quot;License&quot; means this document.\n			  <p>1.8.1. &quot;Licensable&quot; means having the right to grant, to the maximum extent possible, whether\n				 at the time of the initial grant or subsequently acquired, any and all of the rights\n				 conveyed herein.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			  &quot;Modifications&quot; means any addition to or deletion from the substance or structure of either\n				 the Original Code or any previous Modifications. When Covered Code is released as a series\n				 of files, a Modification is:\n				<br />\n\n	  Any addition to or deletion from the contents of a file containing Original Code or\n					 previous Modifications.\n				<br />\n\n	  Any new file that contains any part of the Original Code or previous Modifications.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			  &quot;Original Code&quot; means Source Code of computer software code which is described in the Source\n				  Code notice required by Exhibit A as Original Code, and which, at the time of its release\n				  under this License is not already Covered Code governed by this License.\n			  <p>1.10.1. &quot;Patent Claims&quot; means any patent claim(s), now owned or hereafter acquired, including\n				 without limitation, method, process, and apparatus claims, in any patent Licensable by\n				 grantor.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			  &quot;Source Code&quot; means the preferred form of the Covered Code for making modifications to it,\n				 including all modules it contains, plus any associated interface definition files, scripts\n				 used to control compilation and installation of an Executable, or source code differential\n				 comparisons against either the Original Code or another well known, available Covered Code\n				 of the Contributor&apos;s choice. The Source Code can be in a compressed or archival form,\n				 provided the appropriate decompression or de-archiving software is widely available for no\n				 charge.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			  &quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity exercising rights under, and\n				 complying with all of the terms of, this License or a future version of this License\n				 issued under Section 6.1. For legal entities, &quot;You&quot; includes any entity which controls, is\n				 controlled by, or is under common control with You. For purposes of this definition,\n				 &quot;control&quot; means (a) the power, direct or indirect, to cause the direction or management of\n				 such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent\n				 (50%) of the outstanding shares or beneficial ownership of such entity.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Source Code License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			  The Initial Developer Grant. The Initial Developer hereby grants You a world-wide,\n				 royalty-free, non-exclusive license, subject to third party intellectual property\n				 claims:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n				  under intellectual property rights (other than patent or trademark) Licensable by Initial\n					 Developer to use, reproduce, modify, display, perform, sublicense and distribute the\n					 Original Code (or portions thereof) with or without Modifications, and/or as part of a\n					 Larger Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n				  under Patents Claims infringed by the making, using or selling of Original Code, to make,\n					 have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the\n					 Original Code (or portions thereof).\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> c.</var>\n				  the licenses granted in this Section 2.1 (a) and (b) are effective on the date Initial\n					 Developer first distributes Original Code under the terms of this License.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> d.</var>\n				  Notwithstanding Section 2.1 (b) above, no patent license is granted: 1) for code that You\n					 delete from the Original Code; 2) separate from the Original Code; or 3) for\n					 infringements caused by: i) the modification of the Original Code or ii) the\n					 combination of the Original Code with other software or devices.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			  Contributor Grant. Subject to third party intellectual property claims, each Contributor\n				 hereby grants You a world-wide, royalty-free, non-exclusive license\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n				  under intellectual property rights (other than patent or trademark) Licensable by\n					 Contributor, to use, reproduce, modify, display, perform, sublicense and distribute\n					 the Modifications created by such Contributor (or portions thereof) either on an\n					 unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger\n					 Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n				  under Patent Claims infringed by the making, using, or selling of Modifications made by\n					 that Contributor either alone and/or in combination with its Contributor Version (or\n					 portions of such combination), to make, use, sell, offer for sale, have made, and/or\n					 otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof);\n					 and 2) the combination of Modifications made by that Contributor with its Contributor\n					 Version (or portions of such combination).\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> c.</var>\n				  the licenses granted in Sections 2.2 (a) and 2.2 (b) are effective on the date\n					 Contributor first makes Commercial Use of the Covered Code.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> d.</var>\n				  Notwithstanding Section 2.2 (b) above, no patent license is granted: 1) for any code that\n					 Contributor has deleted from the Contributor Version; 2) separate from the Contributor\n					 Version; 3) for infringements caused by: i) third party modifications of Contributor\n					 Version or ii) the combination of Modifications made by that Contributor with other\n					 software (except as part of the Contributor Version) or other devices; or 4) under\n					 Patent Claims infringed by Covered Code in the absence of Modifications made by that\n					 Contributor.\n				</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Distribution Obligations.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			  Application of License. The Modifications which You create or to which You contribute are\n				 governed by the terms of this License, including without limitation Section 2.2. The\n				 Source Code version of Covered Code may be distributed only under the terms of this\n				 License or a future version of this License released under Section 6.1, and You must\n				 include a copy of this License with every copy of the Source Code You distribute. You may\n				 not offer or impose any terms on any Source Code version that alters or restricts the\n				 applicable version of this License or the recipients&apos; rights hereunder. However, You may\n				 include an additional document offering the additional rights described in Section\n				 3.5.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			  Availability of Source Code. Any Modification which You create or to which You contribute\n				 must be made available in Source Code form under the terms of this License either on the\n				 same media as an Executable version or via an accepted Electronic Distribution Mechanism\n				 to anyone to whom you made an Executable version available; and if made available via\n				 Electronic Distribution Mechanism, must remain available for at least twelve (12) months\n				 after the date it initially became available, or at least six (6) months after a\n				 subsequent version of that particular Modification has been made available to such\n				 recipients. You are responsible for ensuring that the Source Code version remains\n				 available even if the Electronic Distribution Mechanism is maintained by a third\n				 party.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			  Description of Modifications. You must cause all Covered Code to which You contribute to\n			   contain a file documenting the changes You made to create that Covered Code and the date\n			   of any change. You must include a prominent statement that the Modification is derived,\n			   directly or indirectly, from Original Code provided by the Initial Developer and including\n			   the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an\n			   Executable version or related documentation in which You describe the origin or ownership\n			   of the Covered Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			  Intellectual Property Matters\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  Third Party Claims\n					<br />\n\n		 If Contributor has knowledge that a license under a third party&apos;s intellectual\n						 property rights is required to exercise the rights granted by such Contributor\n						 under Sections 2.1 or 2.2, Contributor must include a text file with the\n						 Source Code distribution titled &quot;LEGAL&quot; which describes the claim and the\n						 party making the claim in sufficient detail that a recipient will know whom to\n						 contact. If Contributor obtains such knowledge after the Modification is made\n						 available as described in Section 3.2, Contributor shall promptly modify the\n						 LEGAL file in all copies Contributor makes available thereafter and shall take\n						 other steps (such as notifying appropriate mailing lists or newsgroups)\n						 reasonably calculated to inform those who received the Covered Code that new\n						 knowledge has been obtained.\n\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  Contributor APIs\n					<br />\n\n		 If Contributor&apos;s Modifications include an application programming interface and\n						 Contributor has knowledge of patent licenses which are reasonably necessary to\n						 implement that API, Contributor must also include this information in the\n						 LEGAL file.\n\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				  Representations.\n					<br />\n\n		 Contributor represents that, except as disclosed pursuant to Section 3.4 (a) above,\n						 Contributor believes that Contributor&apos;s Modifications are Contributor&apos;s\n						 original creation(s) and/or Contributor has sufficient rights to grant the\n						 rights conveyed by this License.\n\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			  Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code.\n				 If it is not possible to put such notice in a particular Source Code file due to its\n				 structure, then You must include such notice in a location (such as a relevant directory)\n				 where a user would be likely to look for such a notice. If You created one or more\n				 Modification(s) You may add your name as a Contributor to the notice described in Exhibit\n				 A. You must also duplicate this License in any documentation for the Source Code where You\n				 describe recipients&apos; rights or ownership rights relating to Covered Code. You may choose\n				 to offer, and to charge a fee for, warranty, support, indemnity or liability obligations\n				 to one or more recipients of Covered Code. However, You may do so only on Your own behalf,\n				 and not on behalf of the Initial Developer or any Contributor. You must make it absolutely\n				 clear than any such warranty, support, indemnity or liability obligation is offered by You\n				 alone, and You hereby agree to indemnify the Initial Developer and every Contributor for\n				 any liability incurred by the Initial Developer or such Contributor as a result of\n				 warranty, support, indemnity or liability terms You offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n			  Distribution of Executable Versions. You may distribute Covered Code in Executable form only\n				 if the requirements of Sections 3.1, 3.2, 3.3, 3.4 and 3.5 have been met for that Covered\n				 Code, and if You include a notice stating that the Source Code version of the Covered Code\n				 is available under the terms of this License, including a description of how and where You\n				 have fulfilled the obligations of Section 3.2. The notice must be conspicuously included\n				 in any notice in an Executable version, related documentation or collateral in which You\n				 describe recipients&apos; rights relating to the Covered Code. You may distribute the\n				 Executable version of Covered Code or ownership rights under a license of Your choice,\n				 which may contain terms different from this License, provided that You are in compliance\n				 with the terms of this License and that the license for the Executable version does not\n				 attempt to limit or alter the recipient&apos;s rights in the Source Code version from the\n				 rights set forth in this License. If You distribute the Executable version under a\n				 different license You must make it absolutely clear that any terms which differ from this\n				 License are offered by You alone, not by the Initial Developer or any Contributor. You\n				 hereby agree to indemnify the Initial Developer and every Contributor for any liability\n				 incurred by the Initial Developer or such Contributor as a result of any such terms You\n				 offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7.</var>\n			  Larger Works. You may create a Larger Work by combining Covered Code with other code not\n				 governed by the terms of this License and distribute the Larger Work as a single product.\n				 In such a case, You must make sure the requirements of this License are fulfilled for the\n				 Covered Code.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Inability to Comply Due to Statute or Regulation.\n		  <p>If it is impossible for You to comply with any of the terms of this License with respect to some\n			 or all of the Covered Code due to statute, judicial order, or regulation then You must: (a)\n			 comply with the terms of this License to the maximum extent possible; and (b) describe the\n			 limitations and the code they affect. Such description must be included in the LEGAL file\n			 described in Section 3.4 and must be included with all distributions of the Source Code.\n			 Except to the extent prohibited by statute or regulation, such description must be\n			 sufficiently detailed for a recipient of ordinary skill to be able to understand it.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Application of this License.\n			<br />\n\n   This License applies to code to which the Initial Developer has attached the notice in\n				 Exhibit A and to related Covered Code.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Versions of the License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n			  New Versions\n				<br />\n\n	  Netscape Communications Corporation (&quot;Netscape&quot;) may publish revised and/or new\n					 versions of the License from time to time. Each version will be given a\n					 distinguishing version number.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n			  Effect of New Versions\n				<br />\n\n	  Once Covered Code has been published under a particular version of the License, You may\n					 always continue to use it under the terms of that version. You may also choose to\n					 use such Covered Code under the terms of any subsequent version of the License\n					 published by Netscape. No one other than Netscape has the right to modify the\n					 terms applicable to Covered Code created under this License.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3.</var>\n			  Derivative Works\n				<br />\n\n	  If You create or use a modified version of this License (which you may only do in order\n					 to apply it to code which is not already Covered Code governed by this License),\n					 You must (a) rename Your license so that the phrases &quot;Mozilla&quot;, &quot;MOZILLAPL&quot;,\n					 &quot;MOZPL&quot;, &quot;Netscape&quot;, &quot;MPL&quot;, &quot;NPL&quot; or any confusingly similar phrase do not appear\n					 in your license (except to note that your license differs from this License) and\n					 (b) otherwise make it clear that Your version of the license contains terms which\n					 differ from the Mozilla Public License and Netscape Public License. (Filling in\n					 the name of the Initial Developer, Original Code or Contributor in the notice\n					 described in Exhibit A shall not of themselves be deemed to be modifications of\n					 this License.)\n\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  DISCLAIMER OF WARRANTY\n			<br />\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTY OF ANY\n				 KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE\n				 COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR\n				 NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE\n				 IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE\n				 INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY\n				 SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL\n				 PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER\n				 THIS DISCLAIMER.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Termination\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1.</var>\n			  This License and the rights granted hereunder will terminate automatically if You fail to\n				 comply with terms herein and fail to cure such breach within 30 days of becoming aware of\n				 the breach. All sublicenses to the Covered Code which are properly granted shall survive\n				 any termination of this License. Provisions which, by their nature, must remain in effect\n				 beyond the termination of this License shall survive.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2.</var>\n			  If You initiate litigation by asserting a patent infringement claim (excluding declatory\n				 judgment actions) against Initial Developer or a Contributor (the Initial Developer or\n				 Contributor against whom You file such action is referred to as &quot;Participant&quot;) alleging\n				 that:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n				  such Participant&apos;s Contributor Version directly or indirectly infringes any patent, then\n					 any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of\n					 this License shall, upon 60 days notice from Participant terminate prospectively,\n					 unless if within 60 days after receipt of notice You either: (i) agree in writing to\n					 pay Participant a mutually agreeable reasonable royalty for Your past and future use\n					 of Modifications made by such Participant, or (ii) withdraw Your litigation claim with\n					 respect to the Contributor Version against such Participant. If within 60 days of\n					 notice, a reasonable royalty and payment arrangement are not mutually agreed upon in\n					 writing by the parties or the litigation claim is not withdrawn, the rights granted by\n					 Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the\n					 expiration of the 60 day notice period specified above.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n				  any software, hardware, or device, other than such Participant&apos;s Contributor Version,\n					 directly or indirectly infringes any patent, then any rights granted to You by such\n					 Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You\n					 first made, used, sold, distributed, or had made, Modifications made by that\n					 Participant.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.3.</var>\n			  If You assert a patent infringement claim against Participant alleging that such\n				 Participant&apos;s Contributor Version directly or indirectly infringes any patent where such\n				 claim is resolved (such as by license or settlement) prior to the initiation of patent\n				 infringement litigation, then the reasonable value of the licenses granted by such\n				 Participant under Sections 2.1 or 2.2 shall be taken into account in determining the\n				 amount or value of any payment or license.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.4.</var>\n			  In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements\n				 (excluding distributors and resellers) which have been validly granted by You or any\n				 distributor hereunder prior to termination shall survive termination.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY\n			<br />\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE),\n				 CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR\n				 ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO\n				 ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY\n				 CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE,\n				 COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES,\n				 EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS\n				 LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY\n				 RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH\n				 LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\n				 OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  U.S. government end users\n			<br />\n\n   The Covered Code is a &quot;commercial item,&quot; as that term is defined in 48 C.F.R. 2.101 (Oct.\n				 1995), consisting of &quot;commercial computer software&quot; and &quot;commercial computer software\n				 documentation,&quot; as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent\n				 with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all\n				 U.S. Government End Users acquire Covered Code with only those rights set forth\n				 herein.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Miscellaneous\n			<br />\n\n   This License represents the complete agreement concerning subject matter hereof. If any\n				 provision of this License is held to be unenforceable, such provision shall be\n				 reformed only to the extent necessary to make it enforceable. This License shall be\n				 governed by California law provisions (except to the extent applicable law, if any,\n				 provides otherwise), excluding its conflict-of-law provisions. With respect to\n				 disputes in which at least one party is a citizen of, or an entity chartered or\n				 registered to do business in the United States of America, any litigation relating to\n				 this License shall be subject to the jurisdiction of the Federal Courts of the\n				 Northern District of California, with venue lying in Santa Clara County, California,\n				 with the losing party responsible for costs, including without limitation, court costs\n				 and reasonable attorneys&apos; fees and expenses. The application of the United Nations\n				 Convention on Contracts for the International Sale of Goods is expressly excluded. Any\n				 law or regulation which provides that the language of a contract shall be consTrued\n				 against the drafter shall not apply to this License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  Responsibility for claims\n			<br />\n\n   As between Initial Developer and the Contributors, each party is responsible for claims and\n				 damages arising, directly or indirectly, out of its utilization of rights under this\n				 License and You agree to work with Initial Developer and Contributors to distribute\n				 such responsibility on an equitable basis. Nothing herein is intended or shall be\n				 deemed to constitute any admission of liability.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  Multiple-licensed code\n		  <p>Initial Developer may designate portions of the Covered Code as &quot;Multiple-Licensed&quot;.\n			 &quot;Multiple-Licensed&quot; means that the Initial Developer permits you to utilize portions of the\n			 Covered Code under Your choice of the MPL or the alternative licenses, if any, specified by\n			 the Initial Developer in the file described in Exhibit A.</p>\n\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>Exhibit A - Mozilla Public License.</p>\n\n		 <p>&quot;The contents of this file are subject to the Mozilla Public License Version 1.1 (the &quot;License&quot;); you may\n		 not use this file except in compliance with the License. You may obtain a copy of the License at\n		 http://www.mozilla.org/MPL/</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF ANY KIND,\n		 either express or implied. See the License for the specific language governing rights and limitations\n		 under the License.</p>\n\n		 <p>The Original Code is ______________________________________.</p>\n\n		 <p>The Initial Developer of the Original Code is ________________________.\n		<br />\n\nPortions created by ______________________ are Copyright (C) ______\n		<br />\n\n_______________________. All Rights Reserved.\n	  </p>\n\n		 <p>Contributor(s): ______________________________________.</p>\n\n		 <p>Alternatively, the contents of this file may be used under the terms of the _____ license (the &quot;[___]\n		 License&quot;), in which case the provisions of [______] License are applicable instead of those above. If\n		 you wish to allow use of your version of this file only under the terms of the [____] License and not\n		 to allow others to use your version of this file under the MPL, indicate your decision by deleting the\n		 provisions above and replace them with the notice and other provisions required by the [___] License.\n		 If you do not delete the provisions above, a recipient may use your version of this file under either\n		 the MPL or the [___] License.&quot;</p>\n\n		 <p>NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code\n		 files of the Original Code. You should use the text of this Exhibit A rather than the text found in\n		 the Original Code Source Code for Your Modifications.</p>\n\n	  </div>\n	"
		self.python_name = "NPL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD3ClauseNoMilitaryLicense:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) year copyright holder. All Rights Reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1.\nRedistribution of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2.\nRedistribution in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3.\nNeither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nYOU ACKNOWLEDGE THAT THIS SOFTWARE IS NOT DESIGNED, LICENSED OR INTENDED FOR USE IN THE DESIGN, CONSTRUCTION, OPERATION OR MAINTENANCE OF ANY MILITARY FACILITY.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) <year> <copyright holder>. All Rights Reserved.\";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistribution of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistribution in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nYOU ACKNOWLEDGE THAT THIS SOFTWARE IS NOT DESIGNED, LICENSED OR INTENDED FOR USE IN THE DESIGN, CONSTRUCTION, OPERATION OR MAINTENANCE OF ANY MILITARY FACILITY.\n\n"
		self.name = "BSD 3-Clause No Military License"
		self.licenseComments = "This is the same as BSD-3-Clause-No-Nuclear-License-2014, except the acknowledgement in the last paragraph is that the software is not designed, licensed or intended for use in a military facility, instead of a nuclear facility."
		self.licenseId = "BSD-3-Clause-No-Military-License"
		self.crossRef = [{"match": "False", "url": "https://gitlab.syncad.com/hive/dhive/-/blob/master/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:44Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://github.com/greymass/swift-eosio/blob/master/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:45Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://gitlab.syncad.com/hive/dhive/-/blob/master/LICENSE", "https://github.com/greymass/swift-eosio/blob/master/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			<var class=\"replaceable-license-text\"> \n			   Copyright (c) &lt;year&gt; &lt;copyright\n			   holder&gt;. All Rights Reserved.\n			</var>\n		 </p>\n\n		 <p>\n			Redistribution and use in source and binary\n			forms, with or without modification, are permitted\n			provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n				  Redistribution of source code must retain the above copyright\n				  notice, this list of conditions and the following disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n				  Redistribution in binary form must reproduce the\n				  above copyright notice, this list of conditions and\n				  the following disclaimer in the documentation and/or\n				  other materials provided with the distribution.\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n				  Neither the name of the copyright holder nor the\n				  names of its contributors may be used to endorse\n				  or promote products derived from this software\n				  without specific prior written permission.\n			</li>\n		 \n</ul>\n		 <p>\n			THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n			&quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT\n			NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n			FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT\n			SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY\n			DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n			DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\n			GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n			INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n			WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n			THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		 </p>\n\n		 <p>\n			YOU ACKNOWLEDGE THAT THIS SOFTWARE IS NOT DESIGNED,\n			LICENSED OR INTENDED FOR USE IN THE DESIGN, CONSTRUCTION,\n			OPERATION OR MAINTENANCE OF ANY MILITARY FACILITY.\n		 </p>\n\n	  "
		self.python_name = "BSD3ClauseNoMilitaryLicense"

	def __str__(self):
		return json.dumps(self.__dict__)


class wxWindows:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.licenseText = "EXCEPTION NOTICE\n\n   1. As a special exception, the copyright holders of this library give permission for additional uses of the text contained in this release of the library as licenced under the wxWindows Library Licence, applying either version 3.1 of the Licence, or (at your option) any later version of the Licence as published by the copyright holders of version 3.1 of the Licence document.\n\n   2. The exception is that you may use, copy, link, modify and distribute under your own terms, binary object code versions of works based on the Library.\n\n   3. If you copy code from files distributed under the terms of the GNU General Public Licence or the GNU Library General Public Licence into a copy of this library, as this licence permits, the exception does not apply to the code that you add in this way. To avoid misleading anyone as to the status of such modified files, you must delete this exception notice from such code and/or adjust the licensing conditions notice accordingly.\n\n   4. If you write modifications of your own for this library, it is your choice whether to permit this exception to apply to your modifications. If you do not wish that, you must delete the exception notice from such code and/or adjust the licensing conditions notice accordingly."
		self.standardLicenseTemplate = "EXCEPTION NOTICE\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> As a special exception, the copyright holders of this library give permission for additional uses of the text contained in this release of the library as licenced under the wxWindows Library Licence, applying either version 3.1 of the Licence, or (at your option) any later version of the Licence as published by the copyright holders of version 3.1 of the Licence document.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> The exception is that you may use, copy, link, modify and distribute under your own terms, binary object code versions of works based on the Library.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> If you copy code from files distributed under the terms of the GNU General Public Licence or the GNU Library General Public Licence into a copy of this library, as this licence permits, the exception does not apply to the code that you add in this way. To avoid misleading anyone as to the status of such modified files, you must delete this exception notice from such code and/or adjust the licensing conditions notice accordingly.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> If you write modifications of your own for this library, it is your choice whether to permit this exception to apply to your modifications. If you do not wish that, you must delete the exception notice from such code and/or adjust the licensing conditions notice accordingly."
		self.name = "wxWindows Library License"
		self.licenseComments = "DEPRECATED: Use license expression including main license, \"WITH\" operator, and identifier: WxWindows-exception-3.1"
		self.licenseId = "wxWindows"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/WXwindows", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:23:57Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/WXwindows"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <p>EXCEPTION NOTICE</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  As a special exception, the copyright holders of this\n			 library give permission for additional uses of the\n			 text contained in this release of the library as\n			 licenced under the wxWindows Library Licence, applying\n			 either version 3.1 of the Licence, or (at your option)\n			 any later version of the Licence as published by the\n			 copyright holders of version 3.1 of the Licence\n			 document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  The exception is that you may use, copy, link, modify and\n			 distribute under your own terms, binary object code\n			 versions of works based on the Library.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  If you copy code from files distributed under the terms\n			 of the GNU General Public Licence or the GNU Library\n			 General Public Licence into a copy of this library, as\n			 this licence permits, the exception does not apply to\n			 the code that you add in this way. To avoid misleading\n			 anyone as to the status of such modified files, you\n			 must delete this exception notice from such code\n			 and/or adjust the licensing conditions notice\n			 accordingly.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  If you write modifications of your own for this library,\n			 it is your choice whether to permit this exception to\n			 apply to your modifications. If you do not wish that,\n			 you must delete the exception notice from such code\n			 and/or adjust the licensing conditions notice\n			 accordingly.\n		</li>\n	  \n</ul>\n	"
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "wxWindows"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNC40:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "Creative Commons Attribution-NonCommercial 4.0 International\n\n Creative Commons Corporation (\u201cCreative Commons\u201d) is not a law firm and does not provide legal services or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or other relationship. Creative Commons makes its licenses and related information available on an \u201cas-is\u201d basis. Creative Commons gives no warranties regarding its licenses, any material licensed under their terms and conditions, or any related information. Creative Commons disclaims all liability for damages resulting from their use to the fullest extent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions that creators and other rights holders may use to share original works of authorship and other material subject to copyright and certain other rights specified in the public license below. The following considerations are for informational purposes only, are not exhaustive, and do not form part of our licenses.\n\nConsiderations for licensors: Our public licenses are intended for use by those authorized to give the public permission to use material in ways otherwise restricted by copyright and certain other rights. Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the license they choose before applying it. Licensors should also secure all rights necessary before applying our licenses so that the public can reuse the material as expected. Licensors should clearly mark any material not subject to the license. This includes other CC-licensed material, or material used under an exception or limitation to copyright. More considerations for licensors.\n\nConsiderations for the public: By using one of our public licenses, a licensor grants the public permission to use the licensed material under specified terms and conditions. If the licensor\u2019s permission is not necessary for any reason\u2013for example, because of any applicable exception or limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only permissions under copyright and certain other rights that a licensor has authority to grant. Use of the licensed material may still be restricted for other reasons, including because others have copyright or other rights in the material. A licensor may make special requests, such as asking that all changes be marked or described. Although not required by our licenses, you are encouraged to respect those requests where reasonable. More considerations for the public.\n\nCreative Commons Attribution-NonCommercial 4.0 International Public License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and conditions of this Creative Commons Attribution-NonCommercial 4.0 International Public License (\"Public License\"). To the extent this Public License may be interpreted as a contract, You are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the Licensor grants You such rights in consideration of benefits the Licensor receives from making the Licensed Material available under these terms and conditions.\n\nSection 1 \u2013 Definitions.\n\n	 a.\tAdapted Material means material subject to Copyright and Similar Rights that is derived from or based upon the Licensed Material and in which the Licensed Material is translated, altered, arranged, transformed, or otherwise modified in a manner requiring permission under the Copyright and Similar Rights held by the Licensor. For purposes of this Public License, where the Licensed Material is a musical work, performance, or sound recording, Adapted Material is always produced where the Licensed Material is synched in timed relation with a moving image.\n\n	 b.\tAdapter's License means the license You apply to Your Copyright and Similar Rights in Your contributions to Adapted Material in accordance with the terms and conditions of this Public License.\n\n	 c.\tCopyright and Similar Rights means copyright and/or similar rights closely related to copyright including, without limitation, performance, broadcast, sound recording, and Sui Generis Database Rights, without regard to how the rights are labeled or categorized. For purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\n	 d.\tEffective Technological Measures means those measures that, in the absence of proper authority, may not be circumvented under laws fulfilling obligations under Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international agreements.\n\n	 e.\tExceptions and Limitations means fair use, fair dealing, and/or any other exception or limitation to Copyright and Similar Rights that applies to Your use of the Licensed Material.\n\n	 f.\tLicensed Material means the artistic or literary work, database, or other material to which the Licensor applied this Public License.\n\n	 g.\tLicensed Rights means the rights granted to You subject to the terms and conditions of this Public License, which are limited to all Copyright and Similar Rights that apply to Your use of the Licensed Material and that the Licensor has authority to license.\n\n	 h.\tLicensor means the individual(s) or entity(ies) granting rights under this Public License.\n\n	 i.\tNonCommercial means not primarily intended for or directed towards commercial advantage or monetary compensation. For purposes of this Public License, the exchange of the Licensed Material for other material subject to Copyright and Similar Rights by digital file-sharing or similar means is NonCommercial provided there is no payment of monetary compensation in connection with the exchange.\n\n	 j.\tShare means to provide material to the public by any means or process that requires permission under the Licensed Rights, such as reproduction, public display, public performance, distribution, dissemination, communication, or importation, and to make material available to the public including in ways that members of the public may access the material from a place and at a time individually chosen by them.\n\n	 k.\tSui Generis Database Rights means rights other than copyright resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other essentially equivalent rights anywhere in the world.\n\n	 l.\tYou means the individual or entity exercising the Licensed Rights under this Public License. Your has a corresponding meaning.\n\nSection 2 \u2013 Scope.\n\n	 a.\tLicense grant.\n\n		  1. Subject to the terms and conditions of this Public License, the Licensor hereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license to exercise the Licensed Rights in the Licensed Material to:\n\n			   A. reproduce and Share the Licensed Material, in whole or in part, for NonCommercial purposes only; and\n\n			   B. produce, reproduce, and Share Adapted Material for NonCommercial purposes only.\n\n		  2. Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations apply to Your use, this Public License does not apply, and You do not need to comply with its terms and conditions.\n\n		  3. Term. The term of this Public License is specified in Section 6(a).\n\n		  4. Media and formats; technical modifications allowed. The Licensor authorizes You to exercise the Licensed Rights in all media and formats whether now known or hereafter created, and to make technical modifications necessary to do so. The Licensor waives and/or agrees not to assert any right or authority to forbid You from making technical modifications necessary to exercise the Licensed Rights, including technical modifications necessary to circumvent Effective Technological Measures. For purposes of this Public License, simply making modifications authorized by this Section 2(a)(4) never produces Adapted Material.\n\n		  5. Downstream recipients.\n\n			   A. Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material automatically receives an offer from the Licensor to exercise the Licensed Rights under the terms and conditions of this Public License.\n\n			   B. No downstream restrictions. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, the Licensed Material if doing so restricts exercise of the Licensed Rights by any recipient of the Licensed Material.\n\n		  6. No endorsement. Nothing in this Public License constitutes or may be consTrued as permission to assert or imply that You are, or that Your use of the Licensed Material is, connected with, or sponsored, endorsed, or granted official status by, the Licensor or others designated to receive attribution as provided in Section 3(a)(1)(A)(i).\n\n	 b.\tOther rights.\n\n		  1. Moral rights, such as the right of integrity, are not licensed under this Public License, nor are publicity, privacy, and/or other similar personality rights; however, to the extent possible, the Licensor waives and/or agrees not to assert any such rights held by the Licensor to the limited extent necessary to allow You to exercise the Licensed Rights, but not otherwise.\n\n		  2. Patent and trademark rights are not licensed under this Public License.\n\n		  3. To the extent possible, the Licensor waives any right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary or waivable statutory or compulsory licensing scheme. In all other cases the Licensor expressly reserves any right to collect such royalties, including when the Licensed Material is used other than for NonCommercial purposes.\n\nSection 3 \u2013 License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following conditions.\n\n	 a.\tAttribution.\n\n		  1. If You Share the Licensed Material (including in modified form), You must:\n\n			   A. retain the following if it is supplied by the Licensor with the Licensed Material:\n\n					i.\tidentification of the creator(s) of the Licensed Material and any others designated to receive attribution, in any reasonable manner requested by the Licensor (including by pseudonym if designated);\n\n					ii.\ta copyright notice;\n\n					iii. a notice that refers to this Public License;\n\n					iv.\ta notice that refers to the disclaimer of warranties;\n\n					v.\ta URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\n			   B. indicate if You modified the Licensed Material and retain an indication of any previous modifications; and\n\n			   C. indicate the Licensed Material is licensed under this Public License, and include the text of, or the URI or hyperlink to, this Public License.\n\n		  2. You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the medium, means, and context in which You Share the Licensed Material. For example, it may be reasonable to satisfy the conditions by providing a URI or hyperlink to a resource that includes the required information.\n\n		  3. If requested by the Licensor, You must remove any of the information required by Section 3(a)(1)(A) to the extent reasonably practicable.\n\n		  4. If You Share Adapted Material You produce, the Adapter's License You apply must not prevent recipients of the Adapted Material from complying with this Public License.\n\nSection 4 \u2013 Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to Your use of the Licensed Material:\n\n	 a.\tfor the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse, reproduce, and Share all or a substantial portion of the contents of the database for NonCommercial purposes only;\n\n	 b.\tif You include all or a substantial portion of the database contents in a database in which You have Sui Generis Database Rights, then the database in which You have Sui Generis Database Rights (but not its individual contents) is Adapted Material; and\n\n	 c.\tYou must comply with the conditions in Section 3(a) if You Share all or a substantial portion of the contents of the database.\nFor the avoidance of doubt, this Section 4 supplements and does not replace Your obligations under this Public License where the Licensed Rights include other Copyright and Similar Rights.\n\nSection 5 \u2013 Disclaimer of Warranties and Limitation of Liability.\n\n	 a.\tUnless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor offers the Licensed Material as-is and as-available, and makes no representations or warranties of any kind concerning the Licensed Material, whether express, implied, statutory, or other. This includes, without limitation, warranties of title, merchantability, fitness for a particular purpose, non-infringement, absence of latent or other defects, accuracy, or the presence or absence of errors, whether or not known or discoverable. Where disclaimers of warranties are not allowed in full or in part, this disclaimer may not apply to You.\n\n	 b.\tTo the extent possible, in no event will the Licensor be liable to You on any legal theory (including, without limitation, negligence) or otherwise for any direct, special, indirect, incidental, consequential, punitive, exemplary, or other losses, costs, expenses, or damages arising out of this Public License or use of the Licensed Material, even if the Licensor has been advised of the possibility of such losses, costs, expenses, or damages. Where a limitation of liability is not allowed in full or in part, this limitation may not apply to You.\n\n	 c.\tThe disclaimer of warranties and limitation of liability provided above shall be interpreted in a manner that, to the extent possible, most closely approximates an absolute disclaimer and waiver of all liability.\n\nSection 6 \u2013 Term and Termination.\n\n	 a.\tThis Public License applies for the term of the Copyright and Similar Rights licensed here. However, if You fail to comply with this Public License, then Your rights under this Public License terminate automatically.\n\n	 b.\tWhere Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n\n		  1. automatically as of the date the violation is cured, provided it is cured within 30 days of Your discovery of the violation; or\n\n		  2. upon express reinstatement by the Licensor.\n\n	 For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have to seek remedies for Your violations of this Public License.\n\n	 c.\tFor the avoidance of doubt, the Licensor may also offer the Licensed Material under separate terms or conditions or stop distributing the Licensed Material at any time; however, doing so will not terminate this Public License.\n\n	 d.\tSections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\nSection 7 \u2013 Other Terms and Conditions.\n\n	 a.\tThe Licensor shall not be bound by any additional or different terms or conditions communicated by You unless expressly agreed.\n\n	 b.\tAny arrangements, understandings, or agreements regarding the Licensed Material not stated herein are separate from and independent of the terms and conditions of this Public License.\n\nSection 8 \u2013 Interpretation.\n\n	 a.\tFor the avoidance of doubt, this Public License does not, and shall not be interpreted to, reduce, limit, restrict, or impose conditions on any use of the Licensed Material that could lawfully be made without permission under this Public License.\n\n	 b.\tTo the extent possible, if any provision of this Public License is deemed unenforceable, it shall be automatically reformed to the minimum extent necessary to make it enforceable. If the provision cannot be reformed, it shall be severed from this Public License without affecting the enforceability of the remaining terms and conditions.\n\n	 c.\tNo term or condition of this Public License will be waived and no failure to comply consented to unless expressly agreed to by the Licensor.\n\n	 d.\tNothing in this Public License constitutes or may be interpreted as a limitation upon, or waiver of, any privileges and immunities that apply to the Licensor or You, including from the legal processes of any jurisdiction or authority.\n\nCreative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to apply one of its public licenses to material it publishes and in those instances will be considered the \u201cLicensor.\u201d Except for the limited purpose of indicating that material is shared under a Creative Commons public license or as otherwise permitted by the Creative Commons policies published at creativecommons.org/policies, Creative Commons does not authorize the use of the trademark \u201cCreative Commons\u201d or any other trademark or logo of Creative Commons without its prior written consent including, without limitation, in connection with any unauthorized modifications to any of its public licenses or any other arrangements, understandings, or agreements concerning use of licensed material. For the avoidance of doubt, this paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<beginOptional>>Creative Commons<<endOptional>> Attribution-NonCommercial 4.0 International\n\n<<endOptional>><<beginOptional>> Creative Commons Corporation (\"Creative Commons\") is not a law firm and does not provide legal services or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or other relationship. Creative Commons makes its licenses and related information available on an \"as-is\" basis. Creative Commons gives no warranties regarding its licenses, any material licensed under their terms and conditions, or any related information. Creative Commons disclaims all liability for damages resulting from their use to the fullest extent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions that creators and other rights holders may use to share original works of authorship and other material subject to copyright and certain other rights specified in the public license below. The following considerations are for informational purposes only, are not exhaustive, and do not form part of our licenses.\n\n   Considerations for licensors: Our public licenses are intended for use by those authorized to give the public permission to use material in ways otherwise restricted by copyright and certain other rights. Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the license they choose before applying it. Licensors should also secure all rights necessary before applying our licenses so that the public can reuse the material as expected. Licensors should clearly mark any material not subject to the license. This includes other <<var;name=\"ccLicensed\";original=\"\";match=\"CC-[ \\t\\r\\n\\f]{0,10}licensed\">> material, or material used under an exception or limitation to copyright. More considerations for licensors <<var;name=\"considerationsLicensors\";original=\": wiki.creativecommons.org/Considerations_for_licensors\";match=\":[ \\t\\r\\n\\f]{1,10}wiki\\.creativecommons\\.org/Considerations_for_licensors|\\.\">>\n\n   Considerations for the public: By using one of our public licenses, a licensor grants the public permission to use the licensed material under specified terms and conditions. If the licensor's permission is not necessary for any reason\u2013for example, because of any applicable exception or limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only permissions under copyright and certain other rights that a licensor has authority to grant. Use of the licensed material may still be restricted for other reasons, including because others have copyright or other rights in the material. A licensor may make special requests, such as asking that all changes be marked or described. Although not required by our licenses, you are encouraged to respect those requests where reasonable. <<var;name=\"spaceUnderscore\";original=\"More considerations\";match=\"More considerations|More_considerations\">> for the public <<var;name=\"considerationsLicensees\";original=\": wiki.creativecommons.org/Considerations_for_licensees\";match=\":[ \\t\\r\\n\\f]{1,10}wiki\\.creativecommons\\.org/Considerations_for_licensees|\\.\">>\n\n   <<endOptional>><<beginOptional>> Creative Commons Attribution-NonCommercial 4.0 International Public License\n\n<<endOptional>>\n\nBy exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and conditions of this Creative Commons Attribution-NonCommercial 4.0 International Public License (\"Public License\"). To the extent this Public License may be interpreted as a contract, You are granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the Licensor grants You such rights in consideration of benefits the Licensor receives from making the Licensed Material available under these terms and conditions.\n\n   Section 1 <<var;name=\"section1TitleHyphens\";original=\"\";match=\"-{1,2}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Adapted Material means material subject to Copyright and Similar Rights that is derived from or based upon the Licensed Material and in which the Licensed Material is translated, altered, arranged, transformed, or otherwise modified in a manner requiring permission under the Copyright and Similar Rights held by the Licensor. For purposes of this Public License, where the Licensed Material is a musical work, performance, or sound recording, Adapted Material is always produced where the Licensed Material is synched in timed relation with a moving image.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Adapter's License means the license You apply to Your Copyright and Similar Rights in Your contributions to Adapted Material in accordance with the terms and conditions of this Public License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Copyright and Similar Rights means copyright and/or similar rights closely related to copyright including, without limitation, performance, broadcast, sound recording, and Sui Generis Database Rights, without regard to how the rights are labeled or categorized. For purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Effective Technological Measures means those measures that, in the absence of proper authority, may not be circumvented under laws fulfilling obligations under Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international agreements.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Exceptions and Limitations means fair use, fair dealing, and/or any other exception or limitation to Copyright and Similar Rights that applies to Your use of the Licensed Material.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Licensed Material means the artistic or literary work, database, or other material to which the Licensor applied this Public License.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Licensed Rights means the rights granted to You subject to the terms and conditions of this Public License, which are limited to all Copyright and Similar Rights that apply to Your use of the Licensed Material and that the Licensor has authority to license.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Licensor means the individual(s) or entity(ies) granting rights under this Public License.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> NonCommercial means not primarily intended for or directed towards commercial advantage or monetary compensation. For purposes of this Public License, the exchange of the Licensed Material for other material subject to Copyright and Similar Rights by digital file-sharing or similar means is NonCommercial provided there is no payment of monetary compensation in connection with the exchange.\n\n	  <<var;name=\"bullet\";original=\"j.\";match=\".{0,20}\">> Share means to provide material to the public by any means or process that requires permission under the Licensed Rights, such as reproduction, public display, public performance, distribution, dissemination, communication, or importation, and to make material available to the public including in ways that members of the public may access the material from a place and at a time individually chosen by them.\n\n	  <<var;name=\"bullet\";original=\"k.\";match=\".{0,20}\">> Sui Generis Database Rights means rights other than copyright resulting from Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended and/or succeeded, as well as other essentially equivalent rights anywhere in the world.\n\n	  <<var;name=\"bullet\";original=\"l.\";match=\".{0,20}\">> You means the individual or entity exercising the Licensed Rights under this Public License. Your has a corresponding meaning.\n\n   Section 2 <<var;name=\"section2TitleHyphens\";original=\"\";match=\"-{1,2}\">> Scope.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> License grant.\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Subject to the terms and conditions of this Public License, the Licensor hereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license to exercise the Licensed Rights in the Licensed Material to:\n\n			<<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> reproduce and Share the Licensed Material, in whole or in part, for NonCommercial purposes only; and\n\n			<<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> produce, reproduce, and Share Adapted Material for NonCommercial purposes only.\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations apply to Your use, this Public License does not apply, and You do not need to comply with its terms and conditions.\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Term. The term of this Public License is specified in Section 6(a).\n\n		 <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Media and formats; technical modifications allowed. The Licensor authorizes You to exercise the Licensed Rights in all media and formats whether now known or hereafter created, and to make technical modifications necessary to do so. The Licensor waives and/or agrees not to assert any right or authority to forbid You from making technical modifications necessary to exercise the Licensed Rights, including technical modifications necessary to circumvent Effective Technological Measures. For purposes of this Public License, simply making modifications authorized by this Section 2(a)(4) never produces Adapted Material.\n\n		 <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Downstream recipients.\n\n			<<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material automatically receives an offer from the Licensor to exercise the Licensed Rights under the terms and conditions of this Public License.\n\n			<<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> No downstream restrictions. You may not offer or impose any additional or different terms or conditions on, or apply any Effective Technological Measures to, the Licensed Material if doing so restricts exercise of the Licensed Rights by any recipient of the Licensed Material.\n\n		 <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> No endorsement. Nothing in this Public License constitutes or may be consTrued as permission to assert or imply that You are, or that Your use of the Licensed Material is, connected with, or sponsored, endorsed, or granted official status by, the Licensor or others designated to receive attribution as provided in Section 3(a)(1)(A)(i).\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Other rights.\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Moral rights, such as the right of integrity, are not licensed under this Public License, nor are publicity, privacy, and/or other similar personality rights; however, to the extent possible, the Licensor waives and/or agrees not to assert any such rights held by the Licensor to the limited extent necessary to allow You to exercise the Licensed Rights, but not otherwise.\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Patent and trademark rights are not licensed under this Public License.\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> To the extent possible, the Licensor waives any right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary or waivable statutory or compulsory licensing scheme. In all other cases the Licensor expressly reserves any right to collect such royalties, including when the Licensed Material is used other than for NonCommercial purposes.\n\n   Section 3 <<var;name=\"section3TitleHyphens\";original=\"\";match=\"-{1,2}\">> License Conditions.\n\n   Your exercise of the Licensed Rights is expressly made subject to the following conditions.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Attribution.\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> If You Share the Licensed Material (including in modified form), You must:\n\n			<<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> retain the following if it is supplied by the Licensor with the Licensed Material:\n\n			   <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> identification of the creator(s) of the Licensed Material and any others designated to receive attribution, in any reasonable manner requested by the Licensor (including by pseudonym if designated);\n\n			   <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> a copyright notice;\n\n			   <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> a notice that refers to this Public License;\n\n			   <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> a notice that refers to the disclaimer of warranties;\n\n			   <<var;name=\"bullet\";original=\"v.\";match=\".{0,20}\">> a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\n			<<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> indicate if You modified the Licensed Material and retain an indication of any previous modifications; and\n\n			<<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> indicate the Licensed Material is licensed under this Public License, and include the text of, or the URI or hyperlink to, this Public License.\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the medium, means, and context in which You Share the Licensed Material. For example, it may be reasonable to satisfy the conditions by providing a URI or hyperlink to a resource that includes the required information.\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> If requested by the Licensor, You must remove any of the information required by Section 3(a)(1)(A) to the extent reasonably practicable.\n\n		 <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> If You Share Adapted Material You produce, the Adapter's License You apply must not prevent recipients of the Adapted Material from complying with this Public License.\n\n   Section 4 <<var;name=\"section4TitleHyphens\";original=\"\";match=\"-{1,2}\">> Sui Generis Database Rights.\n\n   Where the Licensed Rights include Sui Generis Database Rights that apply to Your use of the Licensed Material:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> for the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse, reproduce, and Share all or a substantial portion of the contents of the database for NonCommercial purposes only;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> if You include all or a substantial portion of the database contents in a database in which You have Sui Generis Database Rights, then the database in which You have Sui Generis Database Rights (but not its individual contents) is Adapted Material; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You must comply with the conditions in Section 3(a) if You Share all or a substantial portion of the contents of the database.\n\n   For the avoidance of doubt, this Section 4 supplements and does not replace Your obligations under this Public License where the Licensed Rights include other Copyright and Similar Rights.\n\n   Section 5 <<var;name=\"section5TitleHyphens\";original=\"\";match=\"-{1,2}\">> Disclaimer of Warranties and Limitation of Liability.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Unless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor offers the Licensed Material as-is and as-available, and makes no representations or warranties of any kind concerning the Licensed Material, whether express, implied, statutory, or other. This includes, without limitation, warranties of title, merchantability, fitness for a particular purpose, non-infringement, absence of latent or other defects, accuracy, or the presence or absence of errors, whether or not known or discoverable. Where disclaimers of warranties are not allowed in full or in part, this disclaimer may not apply to You.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> To the extent possible, in no event will the Licensor be liable to You on any legal theory (including, without limitation, negligence) or otherwise for any direct, special, indirect, incidental, consequential, punitive, exemplary, or other losses, costs, expenses, or damages arising out of this Public License or use of the Licensed Material, even if the Licensor has been advised of the possibility of such losses, costs, expenses, or damages. Where a limitation of liability is not allowed in full or in part, this limitation may not apply to You.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> The disclaimer of warranties and limitation of liability provided above shall be interpreted in a manner that, to the extent possible, most closely approximates an absolute disclaimer and waiver of all liability.\n\n   Section 6 <<var;name=\"section6TitleHyphens\";original=\"\";match=\"-{1,2}\">> Term and Termination.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This Public License applies for the term of the Copyright and Similar Rights licensed here. However, if You fail to comply with this Public License, then Your rights under this Public License terminate automatically.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Where Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> automatically as of the date the violation is cured, provided it is cured within 30 days of Your discovery of the violation; or\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> upon express reinstatement by the Licensor.\n\n	  For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have to seek remedies for Your violations of this Public License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For the avoidance of doubt, the Licensor may also offer the Licensed Material under separate terms or conditions or stop distributing the Licensed Material at any time; however, doing so will not terminate this Public License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\n   Section 7 <<var;name=\"section7TitleHyphens\";original=\"\";match=\"-{1,2}\">> Other Terms and Conditions.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> The Licensor shall not be bound by any additional or different terms or conditions communicated by You unless expressly agreed.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Any arrangements, understandings, or agreements regarding the Licensed Material not stated herein are separate from and independent of the terms and conditions of this Public License.\n\n   Section 8 <<var;name=\"section8TitleHyphens\";original=\"\";match=\"-{1,2}\">> Interpretation.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> For the avoidance of doubt, this Public License does not, and shall not be interpreted to, reduce, limit, restrict, or impose conditions on any use of the Licensed Material that could lawfully be made without permission under this Public License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> To the extent possible, if any provision of this Public License is deemed unenforceable, it shall be automatically reformed to the minimum extent necessary to make it enforceable. If the provision cannot be reformed, it shall be severed from this Public License without affecting the enforceability of the remaining terms and conditions.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or condition of this Public License will be waived and no failure to comply consented to unless expressly agreed to by the Licensor.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Nothing in this Public License constitutes or may be interpreted as a limitation upon, or waiver of, any privileges and immunities that apply to the Licensor or You, including from the legal processes of any jurisdiction or authority.<<beginOptional>> Creative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to apply one of its public licenses to material it publishes and in those instances will be considered the \"Licensor.\"<<beginOptional>> The text of the Creative Commons public licenses is dedicated to the public domain under the CC0 Public Domain Dedication.<<endOptional>> Except for the limited purpose of indicating that material is shared under a Creative Commons public license or as otherwise permitted by the Creative Commons policies published at creativecommons.org/policies, Creative Commons does not authorize the use of the trademark \"Creative Commons\" or any other trademark or logo of Creative Commons without its prior written consent including, without limitation, in connection with any unauthorized modifications to any of its public licenses or any other arrangements, understandings, or agreements concerning use of licensed material. For the avoidance of doubt, this paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n\n<<endOptional>>"
		self.name = "Creative Commons Attribution Non Commercial 4.0 International"
		self.licenseId = "CC-BY-NC-4.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc/4.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:19Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc/4.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p><var class=\"optional-license-text\"> Creative Commons </var>Attribution-NonCommercial 4.0 International</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		<p>Creative Commons Corporation (&quot;Creative Commons&quot;) is not a law firm and does not provide legal services\n			or legal advice. Distribution of Creative Commons public licenses does not create a lawyer-client or\n			other relationship. Creative Commons makes its licenses and related information available on an\n			&quot;as-is&quot; basis. Creative Commons gives no warranties regarding its licenses, any material licensed\n			under their terms and conditions, or any related information. Creative Commons disclaims all liability\n			for damages resulting from their use to the fullest extent possible.</p>\n\n		<p>Using Creative Commons Public Licenses</p>\n\n		<p>Creative Commons public licenses provide a standard set of terms and conditions that creators and other\n			rights holders may use to share original works of authorship and other material subject to copyright\n			and certain other rights specified in the public license below. The following considerations are for\n			informational purposes only, are not exhaustive, and do not form part of our licenses.</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				<p>Considerations for licensors: Our public licenses are intended for use by those authorized to give the\n					public permission to use material in ways otherwise restricted by copyright and certain other rights.\n					Our licenses are irrevocable. Licensors should read and understand the terms and conditions of the\n					license they choose before applying it. Licensors should also secure all rights necessary before\n					applying our licenses so that the public can reuse the material as expected. Licensors should clearly\n					mark any material not subject to the license. This includes other <var class=\"replaceable-license-text\"> </var> material, or material\n					used under an exception or limitation to copyright. More considerations for licensors<var class=\"replaceable-license-text\"> : wiki.creativecommons.org/Considerations_for_licensors</var></p>\n\n			</li>\n		   \n<li>\n			   <p>Considerations for the public: By using one of our public licenses, a licensor grants the public\n					permission to use the licensed material under specified terms and conditions. If the licensor&apos;s\n					permission is not necessary for any reason\u2013for example, because of any applicable exception or\n					limitation to copyright\u2013then that use is not regulated by the license. Our licenses grant only\n					permissions under copyright and certain other rights that a licensor has authority to grant. Use of\n					the licensed material may still be restricted for other reasons, including because others have\n					copyright or other rights in the material. A licensor may make special requests, such as asking that\n					all changes be marked or described. Although not required by our licenses, you are encouraged to\n					respect those requests where reasonable. <var class=\"replaceable-license-text\"> More considerations</var> for the public<var class=\"replaceable-license-text\"> : wiki.creativecommons.org/Considerations_for_licensees</var></p>\n\n			</li>\n		\n</ul>\n	  </div>\n	  <div class=\"optional-license-text\"> \n		<p>Creative Commons Attribution-NonCommercial 4.0 International Public License</p>\n\n	  </div>\n\n		<p>By exercising the Licensed Rights (defined below), You accept and agree to be bound by the terms and\n			conditions of this Creative Commons Attribution-NonCommercial 4.0 International Public License\n			(&quot;Public License&quot;). To the extent this Public License may be interpreted as a contract, You are\n			granted the Licensed Rights in consideration of Your acceptance of these terms and conditions, and the\n			Licensor grants You such rights in consideration of benefits the Licensor receives from making the\n			Licensed Material available under these terms and conditions.</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				<p>Section 1 <var class=\"replaceable-license-text\"> </var> Definitions.</p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n						Adapted Material means material subject to Copyright and Similar Rights that is derived from\n						   or based upon the Licensed Material and in which the Licensed Material is translated,\n						   altered, arranged, transformed, or otherwise modified in a manner requiring permission\n						   under the Copyright and Similar Rights held by the Licensor. For purposes of this Public\n						   License, where the Licensed Material is a musical work, performance, or sound recording,\n						   Adapted Material is always produced where the Licensed Material is synched in timed\n						   relation with a moving image.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n						Adapter&apos;s License means the license You apply to Your Copyright and Similar Rights in Your\n						   contributions to Adapted Material in accordance with the terms and conditions of this\n						   Public License.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> c.</var>\n						Copyright and Similar Rights means copyright and/or similar rights closely related to\n						   copyright including, without limitation, performance, broadcast, sound recording, and Sui\n						   Generis Database Rights, without regard to how the rights are labeled or categorized. For\n						   purposes of this Public License, the rights specified in Section 2(b)(1)-(2) are not\n						   Copyright and Similar Rights.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> d.</var>\n						Effective Technological Measures means those measures that, in the absence of proper\n						   authority, may not be circumvented under laws fulfilling obligations under Article 11 of\n						   the WIPO Copyright Treaty adopted on December 20, 1996, and/or similar international\n						   agreements.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> e.</var>\n						Exceptions and Limitations means fair use, fair dealing, and/or any other exception or\n						   limitation to Copyright and Similar Rights that applies to Your use of the Licensed\n						   Material.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> f.</var>\n						Licensed Material means the artistic or literary work, database, or other material to which\n						   the Licensor applied this Public License.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> g.</var>\n						Licensed Rights means the rights granted to You subject to the terms and conditions of this\n						   Public License, which are limited to all Copyright and Similar Rights that apply to Your\n						   use of the Licensed Material and that the Licensor has authority to license.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> h.</var>\n						Licensor means the individual(s) or entity(ies) granting rights under this Public License.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n						NonCommercial means not primarily intended for or directed towards commercial advantage or\n						   monetary compensation. For purposes of this Public License, the exchange of the Licensed\n						   Material for other material subject to Copyright and Similar Rights by digital\n						   file-sharing or similar means is NonCommercial provided there is no payment of monetary\n						   compensation in connection with the exchange.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> j.</var>\n						Share means to provide material to the public by any means or process that requires\n						   permission under the Licensed Rights, such as reproduction, public display, public\n						   performance, distribution, dissemination, communication, or importation, and to make\n						   material available to the public including in ways that members of the public may access\n						   the material from a place and at a time individually chosen by them.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> k.</var>\n						Sui Generis Database Rights means rights other than copyright resulting from Directive\n						   96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal\n						   protection of databases, as amended and/or succeeded, as well as other essentially\n						   equivalent rights anywhere in the world.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> l.</var>\n						You means the individual or entity exercising the Licensed Rights under this Public License.\n						   Your has a corresponding meaning.\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<p>Section 2 <var class=\"replaceable-license-text\"> </var> Scope.</p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n					<var class=\"replaceable-license-text\"> a.</var>\n					License grant.\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 1.</var>\n							Subject to the terms and conditions of this Public License, the Licensor hereby grants\n							 You a worldwide, royalty-free, non-sublicensable, non-exclusive, irrevocable license\n							 to exercise the Licensed Rights in the Licensed Material to:\n							\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> A.</var>\n									reproduce and Share the Licensed Material, in whole or in part, for NonCommercial\n										purposes only; and\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> B.</var>\n									produce, reproduce, and Share Adapted Material for NonCommercial purposes only.\n								</li>\n							\n</ul>\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 2.</var>\n							Exceptions and Limitations. For the avoidance of doubt, where Exceptions and Limitations\n								apply to Your use, this Public License does not apply, and You do not need to comply\n								with its terms and conditions.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 3.</var>\n							Term. The term of this Public License is specified in Section 6(a).\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 4.</var>\n							Media and formats; technical modifications allowed. The Licensor authorizes You to\n								exercise the Licensed Rights in all media and formats whether now known or hereafter\n								created, and to make technical modifications necessary to do so. The Licensor waives\n								and/or agrees not to assert any right or authority to forbid You from making technical\n								modifications necessary to exercise the Licensed Rights, including technical\n								modifications necessary to circumvent Effective Technological Measures. For purposes\n								of this Public License, simply making modifications authorized by this Section 2(a)(4)\n								never produces Adapted Material.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 5.</var>\n							Downstream recipients.\n							\n<ul style=\"list-style:none\">\n								\n<li>\n									<var class=\"replaceable-license-text\"> A.</var>\n									Offer from the Licensor \u2013 Licensed Material. Every recipient of the Licensed Material\n										automatically receives an offer from the Licensor to exercise the Licensed Rights\n										under the terms and conditions of this Public License.\n								</li>\n								\n<li>\n									<var class=\"replaceable-license-text\"> B.</var>\n									No downstream restrictions. You may not offer or impose any additional or different\n										terms or conditions on, or apply any Effective Technological Measures to, the\n										Licensed Material if doing so restricts exercise of the Licensed Rights by any\n										recipient of the Licensed Material.\n								</li>\n							\n</ul>\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 6.</var>\n							No endorsement. Nothing in this Public License constitutes or may be consTrued as\n								permission to assert or imply that You are, or that Your use of the Licensed Material\n								is, connected with, or sponsored, endorsed, or granted official status by, the\n								Licensor or others designated to receive attribution as provided in Section\n								3(a)(1)(A)(i).\n						</li>\n					\n</ul>\n				</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n						Other rights.\n						\n<ul style=\"list-style:none\">\n							\n<li>\n								<var class=\"replaceable-license-text\"> 1.</var>\n								Moral rights, such as the right of integrity, are not licensed under this Public License,\n									nor are publicity, privacy, and/or other similar personality rights; however, to the\n									extent possible, the Licensor waives and/or agrees not to assert any such rights held\n									by the Licensor to the limited extent necessary to allow You to exercise the Licensed\n									Rights, but not otherwise.\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> 2.</var>\n								Patent and trademark rights are not licensed under this Public License.\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> 3.</var>\n								To the extent possible, the Licensor waives any right to collect royalties from You for\n									the exercise of the Licensed Rights, whether directly or through a collecting society\n									under any voluntary or waivable statutory or compulsory licensing scheme. In all other\n									cases the Licensor expressly reserves any right to collect such royalties, including\n									when the Licensed Material is used other than for NonCommercial purposes.\n							</li>\n						\n</ul>\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<p>Section 3 <var class=\"replaceable-license-text\"> </var> License Conditions.</p>\n\n				<p>Your exercise of the Licensed Rights is expressly made subject to the following conditions.</p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n						Attribution.\n						\n<ul style=\"list-style:none\">\n							\n<li>\n								<var class=\"replaceable-license-text\"> 1.</var>\n								If You Share the Licensed Material (including in modified form), You must:\n								\n<ul style=\"list-style:none\">\n									\n<li>\n										<var class=\"replaceable-license-text\"> A.</var>\n										retain the following if it is supplied by the Licensor with the Licensed Material:\n										\n<ul style=\"list-style:none\">\n											\n<li>\n												<var class=\"replaceable-license-text\"> i.</var>\n												identification of the creator(s) of the Licensed Material and any others\n													designated to receive attribution, in any reasonable manner requested by\n													the Licensor (including by pseudonym if designated);\n											</li>\n											\n<li>\n												<var class=\"replaceable-license-text\"> ii.</var>\n												a copyright notice;\n											</li>\n											\n<li>\n												<var class=\"replaceable-license-text\"> iii.</var>\n												a notice that refers to this Public License;\n											</li>\n											\n<li>\n												<var class=\"replaceable-license-text\"> iv.</var>\n												a notice that refers to the disclaimer of warranties;\n											</li>\n											\n<li>\n												<var class=\"replaceable-license-text\"> v.</var>\n												a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n											</li>\n										\n</ul>\n									</li>\n									\n<li>\n										<var class=\"replaceable-license-text\"> B.</var>\n										indicate if You modified the Licensed Material and retain an indication of any\n											previous modifications; and\n									</li>\n									\n<li>\n										<var class=\"replaceable-license-text\"> C.</var>\n										indicate the Licensed Material is licensed under this Public License, and include the\n											text of, or the URI or hyperlink to, this Public License.\n									</li>\n								\n</ul>\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> 2.</var>\n								You may satisfy the conditions in Section 3(a)(1) in any reasonable manner based on the\n									medium, means, and context in which You Share the Licensed Material. For example, it\n									may be reasonable to satisfy the conditions by providing a URI or hyperlink to a\n									resource that includes the required information.\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> 3.</var>\n								If requested by the Licensor, You must remove any of the information required by Section\n									3(a)(1)(A) to the extent reasonably practicable.\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> 4.</var>\n								If You Share Adapted Material You produce, the Adapter&apos;s License You apply must not\n									prevent recipients of the Adapted Material from complying with this Public\n									License.\n							</li>\n						\n</ul>\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<p>Section 4 <var class=\"replaceable-license-text\"> </var> Sui Generis Database Rights.</p>\n\n				<p>Where the Licensed Rights include Sui Generis Database Rights that apply to Your use of\n					the Licensed Material:</p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n						for the avoidance of doubt, Section 2(a)(1) grants You the right to extract, reuse,\n							reproduce, and Share all or a substantial portion of the contents of the database for\n							NonCommercial purposes only;\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n						if You include all or a substantial portion of the database contents in a database in which\n							You have Sui Generis Database Rights, then the database in which You have Sui Generis\n							Database Rights (but not its individual contents) is Adapted Material; and\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> c.</var>\n						You must comply with the conditions in Section 3(a) if You Share all or a substantial portion\n							of the contents of the database.\n					</li>\n				\n</ul>\n				<p>For the avoidance of doubt, this Section 4 supplements and does not replace Your\n					obligations under this Public License where the Licensed Rights include other\n					Copyright and Similar Rights.</p>\n\n			</li>\n			\n<li>\n				<p>Section 5 <var class=\"replaceable-license-text\"> </var> Disclaimer of Warranties and Limitation of Liability.</p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n						Unless otherwise separately undertaken by the Licensor, to the extent possible, the Licensor\n							offers the Licensed Material as-is and as-available, and makes no representations or\n							warranties of any kind concerning the Licensed Material, whether express, implied,\n							statutory, or other. This includes, without limitation, warranties of title,\n							merchantability, fitness for a particular purpose, non-infringement, absence of latent or\n							other defects, accuracy, or the presence or absence of errors, whether or not known or\n							discoverable. Where disclaimers of warranties are not allowed in full or in part, this\n							disclaimer may not apply to You.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n						To the extent possible, in no event will the Licensor be liable to You on any legal theory\n							(including, without limitation, negligence) or otherwise for any direct, special,\n							indirect, incidental, consequential, punitive, exemplary, or other losses, costs,\n							expenses, or damages arising out of this Public License or use of the Licensed Material,\n							even if the Licensor has been advised of the possibility of such losses, costs, expenses,\n							or damages. Where a limitation of liability is not allowed in full or in part, this\n							limitation may not apply to You.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> c.</var>\n						The disclaimer of warranties and limitation of liability provided above shall be interpreted\n							in a manner that, to the extent possible, most closely approximates an absolute disclaimer\n							and waiver of all liability.\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<p>Section 6 <var class=\"replaceable-license-text\"> </var> Term and Termination.</p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n						This Public License applies for the term of the Copyright and Similar Rights licensed here.\n							However, if You fail to comply with this Public License, then Your rights under this\n							Public License terminate automatically.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n						Where Your right to use the Licensed Material has terminated under Section 6(a), it reinstates:\n						\n<ul style=\"list-style:none\">\n							\n<li>\n								<var class=\"replaceable-license-text\"> 1.</var>\n								automatically as of the date the violation is cured, provided it is cured within 30 days\n									of Your discovery of the violation; or\n							</li>\n							\n<li>\n								<var class=\"replaceable-license-text\"> 2.</var>\n								upon express reinstatement by the Licensor.\n							</li>\n						\n</ul>\n						<p>For the avoidance of doubt, this Section 6(b) does not affect any right the Licensor may have\n							to seek remedies for Your violations of this Public License.</p>\n\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> c.</var>\n						For the avoidance of doubt, the Licensor may also offer the Licensed Material under separate\n							terms or conditions or stop distributing the Licensed Material at any time; however, doing\n							so will not terminate this Public License.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> d.</var>\n						Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<p>Section 7 <var class=\"replaceable-license-text\"> </var> Other Terms and Conditions.</p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n						The Licensor shall not be bound by any additional or different terms or conditions\n							communicated by You unless expressly agreed.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n						Any arrangements, understandings, or agreements regarding the Licensed Material not stated\n							herein are separate from and independent of the terms and conditions of this Public\n							License.\n					</li>\n				\n</ul>\n			</li>\n			\n<li>\n				<p>Section 8 <var class=\"replaceable-license-text\"> </var> Interpretation.</p>\n\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n						For the avoidance of doubt, this Public License does not, and shall not be interpreted to,\n							reduce, limit, restrict, or impose conditions on any use of the Licensed Material that\n							could lawfully be made without permission under this Public License.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n						To the extent possible, if any provision of this Public License is deemed unenforceable, it\n							shall be automatically reformed to the minimum extent necessary to make it enforceable. If\n							the provision cannot be reformed, it shall be severed from this Public License without\n							affecting the enforceability of the remaining terms and conditions.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> c.</var>\n						No term or condition of this Public License will be waived and no failure to comply consented\n							to unless expressly agreed to by the Licensor.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> d.</var>\n						Nothing in this Public License constitutes or may be interpreted as a limitation upon, or\n							waiver of, any privileges and immunities that apply to the Licensor or You, including from\n							the legal processes of any jurisdiction or authority.\n					</li>\n				\n</ul>\n			</li>\n		\n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>Creative Commons is not a party to its public licenses. Notwithstanding, Creative Commons may elect to\n		   apply one of its public licenses to material it publishes and in those instances will be considered\n		   the &quot;Licensor.&quot; <var class=\"optional-license-text\"> The text of the Creative Commons public licenses is dedicated to the public\n		   domain under the CC0 Public Domain Dedication.</var> Except for the limited purpose of indicating that material is shared under a Creative\n		   Commons public license or as otherwise permitted by the Creative Commons policies published at\n		   creativecommons.org/policies, Creative Commons does not authorize the use of the trademark &quot;Creative\n		   Commons&quot; or any other trademark or logo of Creative Commons without its prior written consent\n		   including, without limitation, in connection with any unauthorized modifications to any of its public\n		   licenses or any other arrangements, understandings, or agreements concerning use of licensed material.\n		   For the avoidance of doubt, this paragraph does not form part of the public licenses.</p>\n\n		<p>Creative Commons may be contacted at creativecommons.org.</p>\n\n	  </div>\n	"
		self.python_name = "CCBYNC40"

	def __str__(self):
		return json.dumps(self.__dict__)


class MITNFA:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nDistributions of all or part of the Software intended to be used by the recipients as they would use the unmodified Software, containing modifications that substantially alter, remove, or disable functionality of the Software, outside of the documented configuration mechanisms provided by the Software, shall be modified such that the Original Author's bug reporting email addresses and urls are either replaced with the contact information of the parties responsible for the changes, or removed entirely.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
		self.standardLicenseTemplate = "Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nDistributions of all or part of the Software intended to be used by the recipients as they would use the unmodified Software, containing modifications that substantially alter, remove, or disable functionality of the Software, outside of the documented configuration mechanisms provided by the Software, shall be modified such that the Original Author's bug reporting email addresses and urls are either replaced with the contact information of the parties responsible for the changes, or removed entirely.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.name = "MIT +no-False-attribs license"
		self.licenseId = "MITNFA"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/MITNFA", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:38Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/MITNFA"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and\n		 associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,\n		 including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,\n		 and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,\n		 subject to the following conditions:</p>\n\n	  <p>The above copyright notice and this permission notice shall be included in all copies or substantial\n		 portions of the Software.</p>\n\n	  <p>Distributions of all or part of the Software intended to be used by the recipients as they would use the\n		 unmodified Software, containing modifications that substantially alter, remove, or disable\n		 functionality of the Software, outside of the documented configuration mechanisms provided by the\n		 Software, shall be modified such that the Original Author&apos;s bug reporting email addresses and urls are\n		 either replaced with the contact information of the parties responsible for the changes, or removed\n		 entirely.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\n		 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n		 SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	"
		self.python_name = "MITNFA"

	def __str__(self):
		return json.dumps(self.__dict__)


class UPL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Copyright (c) [year] [copyright holders]\n\nThe Universal Permissive License (UPL), Version 1.0\n\nSubject to the condition set forth below, permission is hereby granted to any person obtaining a copy of this software, associated documentation and/or data (collectively the \"Software\"), free of charge and under any and all copyright rights in the Software, and any and all patent rights owned or freely licensable by each licensor hereunder covering either (i) the unmodified Software as contributed to or provided by such licensor, or (ii) the Larger Works (as defined below), to deal in both\n\n(a) the Software, and\n\n(b) any piece of software and/or hardware listed in the lrgrwrks.txt file if one is included with the Software (each a \u201cLarger Work\u201d to which the Software is contributed by such licensors),\n\nwithout restriction, including without limitation the rights to copy, create derivative works of, display, perform, and distribute the Software and make, use, sell, offer for sale, import, export, have made, and have sold the Software and the Larger Work(s), and to sublicense the foregoing rights on either these or other terms.\n\nThis license is subject to the following condition:\n\nThe above copyright notice and either this complete permission notice or at a minimum a reference to the UPL must be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) [year] [copyright holders]  \";match=\".{0,5000}\">><<beginOptional>> The Universal Permissive License (UPL), Version 1.0\n\n<<endOptional>>\n\nSubject to the condition set forth below, permission is hereby granted to any person obtaining a copy of this software, associated documentation and/or data (collectively the \"Software\"), free of charge and under any and all copyright rights in the Software, and any and all patent rights owned or freely licensable by each licensor hereunder covering either (i) the unmodified Software as contributed to or provided by such licensor, or (ii) the Larger Works (as defined below), to deal in both\n\n   <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> the Software, and\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> any piece of software and/or hardware listed in the lrgrwrks.txt file if one is included with the Software (each a \"Larger Work\" to which the Software is contributed by such licensors),\n\nwithout restriction, including without limitation the rights to copy, create derivative works of, display, perform, and distribute the Software and make, use, sell, offer for sale, import, export, have made, and have sold the Software and the Larger Work(s), and to sublicense the foregoing rights on either these or other terms.\n\nThis license is subject to the following condition:\n\nThe above copyright notice and either this complete permission notice or at a minimum a reference to the UPL must be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.name = "Universal Permissive License v1.0"
		self.licenseId = "UPL-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/UPL", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:22Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/UPL"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) [year] [copyright holders]</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>The Universal Permissive License (UPL), Version 1.0</p>\n\n	  </div>\n\n	  <p>Subject to the condition set forth below, permission is hereby granted to any person obtaining a copy of\n		 this software, associated documentation and/or data (collectively the &quot;Software&quot;), free of charge and\n		 under any and all copyright rights in the Software, and any and all patent rights owned or freely\n		 licensable by each licensor hereunder covering either (i) the unmodified Software as contributed to or\n		 provided by such licensor, or (ii) the Larger Works (as defined below), to deal in both</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (a)</var>\n		  the Software, and\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (b)</var>\n		  any piece of software and/or hardware listed in the lrgrwrks.txt file if one is included with the\n			 Software (each a &quot;Larger Work&quot; to which the Software is contributed by such licensors),\n		</li>\n	  \n</ul>\n	  <p>without restriction, including without limitation the rights to copy, create derivative works of,\n		 display, perform, and distribute the Software and make, use, sell, offer for sale, import, export,\n		 have made, and have sold the Software and the Larger Work(s), and to sublicense the foregoing rights\n		 on either these or other terms.</p>\n\n	  <p>This license is subject to the following condition:</p>\n\n	  <p>The above copyright notice and either this complete permission notice or at a minimum a reference to the\n		 UPL must be included in all copies or substantial portions of the Software.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\n		 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n		 SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	"
		self.python_name = "UPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class UCAR:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 2014 University Corporation for Atmospheric Research and contributors.\nAll rights reserved.\n\nThis software was developed by the Unidata Program Center of the\nUniversity Corporation for Atmospheric Research (UCAR)\n<http://www.unidata.ucar.edu>.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n   1) Redistributions of source code must retain the above copyright notice,\n	  this list of conditions and the following disclaimer.\n   2) Redistributions in binary form must reproduce the above copyright notice,\n	  this list of conditions and the following disclaimer in the documentation\n	  and/or other materials provided with the distribution.\n   3) Neither the names of the development group, the copyright holders, nor the\n	  names of contributors may be used to endorse or promote products derived\n	  from this software without specific prior written permission.\n   4) This license shall terminate automatically and you may no longer exercise\n	  any of the rights granted to you by this license as of the date you\n	  commence an action, including a cross-claim or counterclaim, against\n	  the copyright holders or any contributor alleging that this software\n	  infringes a patent. This termination provision shall not apply for an\n	  action alleging patent infringement by combinations of this software with\n	  other software or hardware.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE CONTRIBUTORS\nOR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\nWHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN\nCONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 2014 University Corporation for Atmospheric Research and contributors. All rights reserved.\";match=\".{0,5000}\">>\n\nThis software was developed by the Unidata Program Center of the University Corporation for Atmospheric Research (UCAR) <http://www.unidata.ucar.edu>.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> Neither the names of the development group, the copyright holders, nor the names of contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> This license shall terminate automatically and you may no longer exercise any of the rights granted to you by this license as of the date you commence an action, including a cross-claim or counterclaim, against the copyright holders or any contributor alleging that this software infringes a patent. This termination provision shall not apply for an action alleging patent infringement by combinations of this software with other software or hardware.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE.\n\n"
		self.name = "UCAR License"
		self.licenseId = "UCAR"
		self.crossRef = [{"match": "False", "url": "https://github.com/Unidata/UDUNITS-2/blob/master/COPYRIGHT", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:19Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/Unidata/UDUNITS-2/blob/master/COPYRIGHT"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright 2014 University Corporation for Atmospheric\n			Research and contributors. All rights reserved.\n		 </var>\n		 <p>\n			This software was developed by the Unidata Program\n			Center of the University Corporation for Atmospheric\n			Research (UCAR) &lt;http://www.unidata.ucar.edu&gt;.\n		 </p>\n\n		 <p>\n			Redistribution and use in source and binary\n			forms, with or without modification, are permitted\n			provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1)</var>\n			   Redistributions of source code must retain the above copyright\n			   notice, this list of conditions and the following disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2)</var>\n			   Redistributions in binary form must reproduce the\n			   above copyright notice, this list of conditions and\n			   the following disclaimer in the documentation and/or\n			   other materials provided with the distribution.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3)</var>\n			   Neither the names of the development group, the copyright\n			   holders, nor the names of contributors may be used to endorse\n			   or promote products derived from this software without specific\n			   prior written permission.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4)</var> This license shall terminate\n			   automatically and you may no longer exercise any of the rights\n			   granted to you by this license as of the date you commence\n			   an action, including a cross-claim or counterclaim, against\n			   the copyright holders or any contributor alleging that this\n			   software infringes a patent. This termination provision\n			   shall not apply for an action alleging patent infringement by\n			   combinations of this software with other software or hardware.\n			</li>\n		 \n</ul>\n		 <p>\n			THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY\n			KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE\n			WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\n			PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE CONTRIBUTORS\n			OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR\n			OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR\n			OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n			SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE.\n		 </p>\n\n	  "
		self.python_name = "UCAR"

	def __str__(self):
		return json.dumps(self.__dict__)


class Nokia:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Nokia Open Source License (NOKOS License)\n\nVersion 1.0a\n\n1. DEFINITIONS.\n\n\"Affiliates\" of a party shall mean an entity\n\n	 a) which is directly or indirectly controlling such party;\n\n	 b) which is under the same direct or indirect ownership or control as such party; or\n\n	 c) which is directly or indirectly owned or controlled by such party.\n\n	 For these purposes, an entity shall be treated as being controlled by another if that other entity has fifty percent (50%) or more of the votes in such entity, is able to direct its affairs and/or to control the composition of its board of directors or equivalent body.\n\n\"Commercial Use\" shall mean distribution or otherwise making the Covered Software available to a third party.\n\n\"Contributor\" shall mean each entity that creates or contributes to the creation of Modifications.\n\n\"Contributor Version\" shall mean in case of any Contributor the combination of the Original Software, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor and in case of Nokia in addition the Original Software in any form, including the form as Exceutable.\n\n\"Covered Software\" shall mean the Original Software or Modifications or the combination of the Original Software and Modifications, in each case including portions thereof.\n\n\"Electronic Distribution Mechanism\" shall mean a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n\"Executable\" shall mean Covered Software in any form other than Source Code.\n\n\"Nokia\" shall mean Nokia Corporation and its Affiliates.\n\n\"Larger Work\" shall mean a work, which combines Covered Software or portions thereof with code not governed by the terms of this License.\n\n\"License\" shall mean this document.\n\n\"Licensable\" shall mean having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n\"Modifications\" shall mean any addition to or deletion from the substance or structure of either the Original Software or any previous Modifications. When Covered Software is released as a series of files, a Modification is:\n\n	 a) Any addition to or deletion from the contents of a file containing Original Software or previous Modifications.\n\n	 b) Any new file that contains any part of the Original Software or previous Modifications.\n\n\"Original Software\" shall mean the Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Software, and which, at the time of its release under this License is not already Covered Software governed by this License.\n\n\"Patent Claims\" shall mean any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n\"Source Code\" shall mean the preferred form of the Covered Software for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Software or another well known, available Covered Software of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n\"You\" (or \"Your\") shall mean an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes Affiliates of such entity.\n\n2. SOURCE CODE LICENSE.\n\n	 2.1 Nokia Grant.\n	 Subject to the terms of this License, Nokia hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n	 a) under copyrights Licensable by Nokia to use, reproduce, modify, display, perform, sublicense and distribute the Original Software (or portions thereof) with or without Modifications, and/or as part of a Larger Work;\n\n	 b) and under Patents Claims necessarily infringed by the making, using or selling of Original Software, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Software (or portions thereof).\n\n	 c) The licenses granted in this Section 2.1(a) and (b) are effective on the date Nokia first distributes Original Software under the terms of this License.\n\n	 d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Software; 2) separate from the Original Software; or 3) for infringements caused by: i) the modification of the Original Software or ii) the combination of the Original Software with other software or devices.\n\n	 2.2 Contributor Grant.\n	 Subject to the terms of this License and subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n	 a) under copyrights Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Software and/or as part of a Larger Work; and\n\n	 b) under Patent Claims necessarily infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n	 c) The licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Software.\n\n	 d) Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Software in the absence of Modifications made by that Contributor.\n\n3. DISTRIBUTION OBLIGATIONS.\n\n	 3.1 Application of License.\n	 The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Software may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	 3.2 Availability of Source Code.\n	 Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	 3.3 Description of Modifications.\n	 You must cause all Covered Software to which You contribute to contain a file documenting the changes You made to create that Covered Software and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Software provided by Nokia and including the name of Nokia in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Software.\n\n	 3.4 Intellectual Property Matters\n\n		  (a) Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Software that new knowledge has been obtained.\n\n		  (b) Contributor APIs. If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n		  (c) Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	 3.5 Required Notices.\n	 You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Software. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Software. However, You may do so only on Your own behalf, and not on behalf of Nokia or any Contributor. You must make it absolutely clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify Nokia and every Contributor for any liability incurred by Nokia or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	 3.6 Distribution of Executable Versions.\n	 You may distribute Covered Software in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Software, and if You include a notice stating that the Source Code version of the Covered Software is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Software. You may distribute the Executable version of Covered Software or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by Nokia or any Contributor. You hereby agree to indemnify Nokia and every Contributor for any liability incurred by Nokia or such Contributor as a result of any such terms You offer.\n\n	 3.7 Larger Works.\n	 You may create a Larger Work by combining Covered Software with other software not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Software.\n\n4. INABILITY TO COMPLY DUE TO STATUTE OR REGULATION.\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Software due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code.\n\nExcept to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. APPLICATION OF THIS LICENSE.\nThis License applies to code to which Nokia has attached the notice in Exhibit A and to related Covered Software.\n\n6. VERSIONS OF THE LICENSE.\n\n	 6.1 New Versions.\n	 Nokia may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	 6.2 Effect of New Versions.\n	 Once Covered Software has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Software under the terms of any subsequent version of the License published by Nokia. No one other than Nokia has the right to modify the terms applicable to Covered Software created under this License.\n\n7. DISCLAIMER OF WARRANTY.\nCOVERED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED SOFTWARE IS WITH YOU. SHOULD ANY COVERED SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT NOKIA, ITS LICENSORS OR AFFILIATES OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. TERMINATION.\n\n	 8.1 This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Software which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	 8.2 If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Nokia or a Contributor (Nokia or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		  a) such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		  b) any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	 8.3 If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	 8.4 In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n9. LIMITATION OF LIABILITY.\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, NOKIA, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, BUT MAY ALLOW LIABILITY TO BE LIMITED; IN SUCH CASES, A PARTY's, ITS EMPLOYEES, LICENSORS OR AFFILIATES' LIABILITY SHALL BE LIMITED TO U.S. $50. Nothing contained in this License shall prejudice the statutory rights of any party dealing as a consumer.\n\n10. MISCELLANEOUS.\nThis License represents the complete agreement concerning subject matter hereof. All rights in the Covered Software not expressly granted under this License are reserved. Nothing in this License shall grant You any rights to use any of the trademarks of Nokia or any of its Affiliates, even if any of such trademarks are included in any part of Covered Software and/or documentation to it.\n\nThis License is governed by the laws of Finland excluding its conflict-of-law provisions. All disputes arising from or relating to this Agreement shall be settled by a single arbitrator appointed by the Central Chamber of Commerce of Finland. The arbitration procedure shall take place in Helsinki, Finland in the English language. If any part of this Agreement is found void and unenforceable, it will not affect the validity of the balance of the Agreement, which shall remain valid and enforceable according to its terms.\n\n11. RESPONSIBILITY FOR CLAIMS.\nAs between Nokia and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Nokia and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\nEXHIBIT A\n\nThe contents of this file are subject to the NOKOS License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Software is\n\n______________________________________.\n\nCopyright \u00a9 <year> Nokia and others. All Rights Reserved.\n\nContributor(s): ______________________________________.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Nokia Open Source License (NOKOS License)\n\nVersion 1.0a\n\n<<endOptional>> <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> DEFINITIONS.\n\n\"Affiliates\" of a party shall mean an entity\n\n   <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> which is directly or indirectly controlling such party;\n\n   <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> which is under the same direct or indirect ownership or control as such party; or\n\n   <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> which is directly or indirectly owned or controlled by such party.\n\nFor these purposes, an entity shall be treated as being controlled by another if that other entity has fifty percent (50%) or more of the votes in such entity, is able to direct its affairs and/or to control the composition of its board of directors or equivalent body.\n\n\"Commercial Use\" shall mean distribution or otherwise making the Covered Software available to a third party.\n\n\"Contributor\" shall mean each entity that creates or contributes to the creation of Modifications.\n\n\"Contributor Version\" shall mean in case of any Contributor the combination of the Original Software, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor and in case of Nokia in addition the Original Software in any form, including the form as Exceutable.\n\n\"Covered Software\" shall mean the Original Software or Modifications or the combination of the Original Software and Modifications, in each case including portions thereof.\n\n\"Electronic Distribution Mechanism\" shall mean a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n\"Executable\" shall mean Covered Software in any form other than Source Code.\n\n\"Nokia\" shall mean Nokia Corporation and its Affiliates.\n\n\"Larger Work\" shall mean a work, which combines Covered Software or portions thereof with code not governed by the terms of this License.\n\n\"License\" shall mean this document.\n\n\"Licensable\" shall mean having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n\"Modifications\" shall mean any addition to or deletion from the substance or structure of either the Original Software or any previous Modifications. When Covered Software is released as a series of files, a Modification is:\n\n   <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Software or previous Modifications.\n\n   <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Any new file that contains any part of the Original Software or previous Modifications.\n\n\"Original Software\" shall mean the Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Software, and which, at the time of its release under this License is not already Covered Software governed by this License.\n\n\"Patent Claims\" shall mean any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n\"Source Code\" shall mean the preferred form of the Covered Software for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Software or another well known, available Covered Software of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n\"You\" (or \"Your\") shall mean an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes Affiliates of such entity.\n\n<<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> SOURCE CODE LICENSE.\n\n   <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> Nokia Grant.\n\n   Subject to the terms of this License, Nokia hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> under copyrights Licensable by Nokia to use, reproduce, modify, display, perform, sublicense and distribute the Original Software (or portions thereof) with or without Modifications, and/or as part of a Larger Work;\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> and under Patents Claims necessarily infringed by the making, using or selling of Original Software, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Software (or portions thereof).\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> The licenses granted in this Section 2.1(a) and (b) are effective on the date Nokia first distributes Original Software under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Software; 2) separate from the Original Software; or 3) for infringements caused by: i) the modification of the Original Software or ii) the combination of the Original Software with other software or devices.\n\n   <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> Contributor Grant.\n\n   Subject to the terms of this License and subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> under copyrights Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Software and/or as part of a Larger Work; and\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> under Patent Claims necessarily infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> The licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Software.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Software in the absence of Modifications made by that Contributor. <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> DISTRIBUTION OBLIGATIONS.\n\n   <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> Application of License.\n\n   The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Software may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n   <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> Availability of Source Code.\n\n   Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n   <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> Description of Modifications.\n\n   You must cause all Covered Software to which You contribute to contain a file documenting the changes You made to create that Covered Software and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Software provided by Nokia and including the name of Nokia in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Software.\n\n   <<var;name=\"bullet\";original=\"3.4\";match=\".{0,20}\">> Intellectual Property Matters\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Software that new knowledge has been obtained.\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs. If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n   <<var;name=\"bullet\";original=\"3.5\";match=\".{0,20}\">> Required Notices.\n\n   You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Software. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Software. However, You may do so only on Your own behalf, and not on behalf of Nokia or any Contributor. You must make it absolutely clear that any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify Nokia and every Contributor for any liability incurred by Nokia or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n   <<var;name=\"bullet\";original=\"3.6\";match=\".{0,20}\">> Distribution of Executable Versions.\n\n   You may distribute Covered Software in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Software, and if You include a notice stating that the Source Code version of the Covered Software is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Software. You may distribute the Executable version of Covered Software or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by Nokia or any Contributor. You hereby agree to indemnify Nokia and every Contributor for any liability incurred by Nokia or such Contributor as a result of any such terms You offer.\n\n   <<var;name=\"bullet\";original=\"3.7\";match=\".{0,20}\">> Larger Works.\n\n   You may create a Larger Work by combining Covered Software with other software not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Software. <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> INABILITY TO COMPLY DUE TO STATUTE OR REGULATION.\n\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Software due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code.\n\nExcept to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n<<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> APPLICATION OF THIS LICENSE.\n\nThis License applies to code to which Nokia has attached the notice in Exhibit A and to related Covered Software. <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> VERSIONS OF THE LICENSE.\n\n   <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> New Versions.\n\n   Nokia may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n   <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> Effect of New Versions.\n\n   Once Covered Software has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Software under the terms of any subsequent version of the License published by Nokia. No one other than Nokia has the right to modify the terms applicable to Covered Software created under this License. <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\nCOVERED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED SOFTWARE IS WITH YOU. SHOULD ANY COVERED SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT NOKIA, ITS LICENSORS OR AFFILIATES OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER. <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TERMINATION.\n\n   <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Software which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n   <<var;name=\"bullet\";original=\"8.2\";match=\".{0,20}\">> If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Nokia or a Contributor (Nokia or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n   <<var;name=\"bullet\";original=\"8.3\";match=\".{0,20}\">> If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n   <<var;name=\"bullet\";original=\"8.4\";match=\".{0,20}\">> In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination. <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, NOKIA, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, BUT MAY ALLOW LIABILITY TO BE LIMITED; IN SUCH CASES, A PARTY's, ITS EMPLOYEES, LICENSORS OR AFFILIATES' LIABILITY SHALL BE LIMITED TO U.S. $50. Nothing contained in this License shall prejudice the statutory rights of any party dealing as a consumer. <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof. All rights in the Covered Software not expressly granted under this License are reserved. Nothing in this License shall grant You any rights to use any of the trademarks of Nokia or any of its Affiliates, even if any of such trademarks are included in any part of Covered Software and/or documentation to it.\n\nThis License is governed by the laws of Finland excluding its conflict-of-law provisions. All disputes arising from or relating to this Agreement shall be settled by a single arbitrator appointed by the Central Chamber of Commerce of Finland. The arbitration procedure shall take place in Helsinki, Finland in the English language. If any part of this Agreement is found void and unenforceable, it will not affect the validity of the balance of the Agreement, which shall remain valid and enforceable according to its terms.\n\n<<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS.\n\nAs between Nokia and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Nokia and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.<<beginOptional>> EXHIBIT A\n\nThe contents of this file are subject to the NOKOS License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Software is\n\n______________________________________.\n\nCopyright \u00a9 <year> Nokia and others. All Rights Reserved.\n\nContributor(s): ______________________________________.\n\n<<endOptional>>"
		self.name = "Nokia Open Source License"
		self.licenseId = "Nokia"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/nokia", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:12:40Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/nokia"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Nokia Open Source License (NOKOS License)</p>\n\n		 <p>Version 1.0a</p>\n\n	  </div>\n\n		<var class=\"replaceable-license-text\"> 1.</var>\n		  DEFINITIONS.\n		  <p>&quot;Affiliates&quot; of a party shall mean an entity</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			  which is directly or indirectly controlling such party;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			  which is under the same direct or indirect ownership or control as such party; or\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			  which is directly or indirectly owned or controlled by such party.\n			</li>\n			\n</ul>\n		<p>For these purposes, an entity shall be treated as being controlled by another if that other\n		   entity has fifty percent (50%) or more of the votes in such entity, is able to direct its\n		   affairs and/or to control the composition of its board of directors or equivalent\n		   body.</p>\n\n		<p>&quot;Commercial Use&quot; shall mean distribution or otherwise making the Covered Software\n		   available to a third party.</p>\n\n		<p>&quot;Contributor&quot; shall mean each entity that creates or contributes to the creation of\n		   Modifications.</p>\n\n		<p>&quot;Contributor Version&quot; shall mean in case of any Contributor the combination of the\n		   Original Software, prior Modifications used by a Contributor, and the Modifications made\n		   by that particular Contributor and in case of Nokia in addition the Original Software in\n		   any form, including the form as Exceutable.</p>\n\n		<p>&quot;Covered Software&quot; shall mean the Original Software or Modifications or the\n		   combination of the Original Software and Modifications, in each case including portions\n		   thereof.</p>\n\n		<p>&quot;Electronic Distribution Mechanism&quot; shall mean a mechanism generally accepted in\n		   the software development community for the electronic transfer of data.</p>\n\n		<p>&quot;Executable&quot; shall mean Covered Software in any form other than Source Code.</p>\n\n		<p>&quot;Nokia&quot; shall mean Nokia Corporation and its Affiliates.</p>\n\n		<p>&quot;Larger Work&quot; shall mean a work, which combines Covered Software or portions\n		   thereof with code not governed by the terms of this License.</p>\n\n		<p>&quot;License&quot; shall mean this document.</p>\n\n		<p>&quot;Licensable&quot; shall mean having the right to grant, to the maximum extent possible,\n		   whether at the time of the initial grant or subsequently acquired, any and all of the\n		   rights conveyed herein.</p>\n\n		<p>&quot;Modifications&quot; shall mean any addition to or deletion from the substance or\n		   structure of either the Original Software or any previous Modifications. When Covered\n		   Software is released as a series of files, a Modification is:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			Any addition to or deletion from the contents of a file containing Original Software or\n			   previous Modifications.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			Any new file that contains any part of the Original Software or previous Modifications.\n		  </li>\n		\n</ul>\n		<p>&quot;Original Software&quot; shall mean the Source Code of computer software code which is\n		   described in the Source Code notice required by Exhibit A as Original Software, and which,\n		   at the time of its release under this License is not already Covered Software governed by\n		   this License.</p>\n\n		<p>&quot;Patent Claims&quot; shall mean any patent claim(s), now owned or hereafter acquired,\n		   including without limitation, method, process, and apparatus claims, in any patent\n		   Licensable by grantor.</p>\n\n		<p>&quot;Source Code&quot; shall mean the preferred form of the Covered Software for making\n		   modifications to it, including all modules it contains, plus any associated interface\n		   definition files, scripts used to control compilation and installation of an Executable,\n		   or source code differential comparisons against either the Original Software or another\n		   well known, available Covered Software of the Contributor&apos;s choice. The Source Code\n		   can be in a compressed or archival form, provided the appropriate decompression or\n		   de-archiving software is widely available for no charge.</p>\n\n		<p>&quot;You&quot; (or &quot;Your&quot;) shall mean an individual or a legal entity exercising\n		   rights under, and complying with all of the terms of, this License or a future version of\n		   this License issued under Section 6.1. For legal entities, &quot;You&quot; includes\n		   Affiliates of such entity.</p>\n\n		<var class=\"replaceable-license-text\"> 2.</var>\n		  SOURCE CODE LICENSE.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1</var>\n			  Nokia Grant.\n				<br />\n\n   Subject to the terms of this License, Nokia hereby grants You a world-wide,\n					 royalty-free, non-exclusive license, subject to third party intellectual property\n					 claims:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a)</var>\n				  under copyrights Licensable by Nokia to use, reproduce, modify, display, perform, sublicense\n					 and distribute the Original Software (or portions thereof) with or without Modifications,\n					 and/or as part of a Larger Work;\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b)</var>\n				  and under Patents Claims necessarily infringed by the making, using or selling of Original\n					 Software, to make, have made, use, practice, sell, and offer for sale, and/or otherwise\n					 dispose of the Original Software (or portions thereof).\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> c)</var>\n				  The licenses granted in this Section 2.1(a) and (b) are effective on the date Nokia first\n					 distributes Original Software under the terms of this License.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> d)</var>\n				  Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You\n					 delete from the Original Software; 2) separate from the Original Software; or 3) for\n					 infringements caused by: i) the modification of the Original Software or ii) the\n					 combination of the Original Software with other software or devices.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2</var>\n			  Contributor Grant.\n				<br />\n\n   Subject to the terms of this License and subject to third party intellectual property\n					 claims, each Contributor hereby grants You a world-wide, royalty-free,\n					 non-exclusive license\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a)</var>\n				  under copyrights Licensable by Contributor, to use, reproduce, modify, display, perform,\n					 sublicense and distribute the Modifications created by such Contributor (or portions\n					 thereof) either on an unmodified basis, with other Modifications, as Covered Software\n					 and/or as part of a Larger Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b)</var>\n				  under Patent Claims necessarily infringed by the making, using, or selling of Modifications\n					 made by that Contributor either alone and/or in combination with its Contributor Version\n					 (or portions of such combination), to make, use, sell, offer for sale, have made, and/or\n					 otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and\n					 2) the combination of Modifications made by that Contributor with its Contributor Version\n					 (or portions of such combination).\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> c)</var>\n				  The licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor\n					 first makes Commercial Use of the Covered Software.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> d)</var>\n				  Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that\n					 Contributor has deleted from the Contributor Version; 2) separate from the Contributor\n					 Version; 3) for infringements caused by: i) third party modifications of Contributor\n					 Version or ii) the combination of Modifications made by that Contributor with other\n					 software (except as part of the Contributor Version) or other devices; or 4) under Patent\n					 Claims infringed by Covered Software in the absence of Modifications made by that\n					 Contributor.\n				</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  DISTRIBUTION OBLIGATIONS.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n			  Application of License.\n				<br />\n\n   The Modifications which You create or to which You contribute are governed by the terms\n					 of this License, including without limitation Section 2.2. The Source Code version\n					 of Covered Software may be distributed only under the terms of this License or a\n					 future version of this License released under Section 6.1, and You must include a\n					 copy of this License with every copy of the Source Code You distribute. You may\n					 not offer or impose any terms on any Source Code version that alters or restricts\n					 the applicable version of this License or the recipients&apos; rights hereunder.\n					 However, You may include an additional document offering the additional rights\n					 described in Section 3.5.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n			  Availability of Source Code.\n				<br />\n\n   Any Modification which You create or to which You contribute must be made available in\n					 Source Code form under the terms of this License either on the same media as an\n					 Executable version or via an accepted Electronic Distribution Mechanism to anyone\n					 to whom you made an Executable version available; and if made available via\n					 Electronic Distribution Mechanism, must remain available for at least twelve (12)\n					 months after the date it initially became available, or at least six (6) months\n					 after a subsequent version of that particular Modification has been made available\n					 to such recipients. You are responsible for ensuring that the Source Code version\n					 remains available even if the Electronic Distribution Mechanism is maintained by a\n					 third party.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3</var>\n			  Description of Modifications.\n				<br />\n\n   You must cause all Covered Software to which You contribute to contain a file\n					 documenting the changes You made to create that Covered Software and the date of\n					 any change. You must include a prominent statement that the Modification is\n					 derived, directly or indirectly, from Original Software provided by Nokia and\n					 including the name of Nokia in (a) the Source Code, and (b) in any notice in an\n					 Executable version or related documentation in which You describe the origin or\n					 ownership of the Covered Software.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4</var>\n			  Intellectual Property Matters\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  Third Party Claims. If Contributor has knowledge that a license under a third\n					 party&apos;s intellectual property rights is required to exercise the rights granted\n					 by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file\n					 with the Source Code distribution titled &quot;LEGAL&quot; which describes the claim\n					 and the party making the claim in sufficient detail that a recipient will know whom to\n					 contact. If Contributor obtains such knowledge after the Modification is made\n					 available as described in Section 3.2, Contributor shall promptly modify the LEGAL\n					 file in all copies Contributor makes available thereafter and shall take other steps\n					 (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to\n					 inform those who received the Covered Software that new knowledge has been\n					 obtained.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  Contributor APIs. If Contributor&apos;s Modifications include an application programming\n					 interface and Contributor has knowledge of patent licenses which are reasonably\n					 necessary to implement that API, Contributor must also include this information in the\n					 LEGAL file.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				  Representations. Contributor represents that, except as disclosed pursuant to Section\n					 3.4(a) above, Contributor believes that Contributor&apos;s Modifications are\n					 Contributor&apos;s original creation(s) and/or Contributor has sufficient rights to\n					 grant the rights conveyed by this License.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5</var>\n			  Required Notices.\n				<br />\n\n   You must duplicate the notice in Exhibit A in each file of the Source Code. If it is\n					 not possible to put such notice in a particular Source Code file due to its\n					 structure, then You must include such notice in a location (such as a relevant\n					 directory) where a user would be likely to look for such a notice. If You created\n					 one or more Modification(s) You may add your name as a Contributor to the notice\n					 described in Exhibit A. You must also duplicate this License in any documentation\n					 for the Source Code where You describe recipients&apos; rights or ownership rights\n					 relating to Covered Software. You may choose to offer, and to charge a fee for,\n					 warranty, support, indemnity or liability obligations to one or more recipients of\n					 Covered Software. However, You may do so only on Your own behalf, and not on\n					 behalf of Nokia or any Contributor. You must make it absolutely clear that any\n					 such warranty, support, indemnity or liability obligation is offered by You alone,\n					 and You hereby agree to indemnify Nokia and every Contributor for any liability\n					 incurred by Nokia or such Contributor as a result of warranty, support, indemnity\n					 or liability terms You offer.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6</var>\n			  Distribution of Executable Versions.\n				<br />\n\n   You may distribute Covered Software in Executable form only if the requirements of\n					 Section 3.1-3.5 have been met for that Covered Software, and if You include a\n					 notice stating that the Source Code version of the Covered Software is available\n					 under the terms of this License, including a description of how and where You have\n					 fulfilled the obligations of Section 3.2. The notice must be conspicuously\n					 included in any notice in an Executable version, related documentation or\n					 collateral in which You describe recipients&apos; rights relating to the Covered\n					 Software. You may distribute the Executable version of Covered Software or\n					 ownership rights under a license of Your choice, which may contain terms different\n					 from this License, provided that You are in compliance with the terms of this\n					 License and that the license for the Executable version does not attempt to limit\n					 or alter the recipient&apos;s rights in the Source Code version from the rights\n					 set forth in this License. If You distribute the Executable version under a\n					 different license You must make it absolutely clear that any terms which differ\n					 from this License are offered by You alone, not by Nokia or any Contributor. You\n					 hereby agree to indemnify Nokia and every Contributor for any liability incurred\n					 by Nokia or such Contributor as a result of any such terms You offer.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7</var>\n			  Larger Works.\n				<br />\n\n   You may create a Larger Work by combining Covered Software with other software not\n					 governed by the terms of this License and distribute the Larger Work as a single\n					 product. In such a case, You must make sure the requirements of this License are\n					 fulfilled for the Covered Software.\n\n			</li>\n			\n</ul>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  INABILITY TO COMPLY DUE TO STATUTE OR REGULATION.\n			<br />\n\nIf it is impossible for You to comply with any of the terms of this License with respect to\n				 some or all of the Covered Software due to statute, judicial order, or regulation then\n				 You must: (a) comply with the terms of this License to the maximum extent possible;\n				 and (b) describe the limitations and the code they affect. Such description must be\n				 included in the LEGAL file described in Section 3.4 and must be included with all\n				 distributions of the Source Code.\n\n		  <p>Except to the extent prohibited by statute or regulation, such description must be sufficiently\n			 detailed for a recipient of ordinary skill to be able to understand it.</p>\n\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  APPLICATION OF THIS LICENSE.\n			<br />\n\nThis License applies to code to which Nokia has attached the notice in Exhibit A and to\n				 related Covered Software.\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  VERSIONS OF THE LICENSE.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1</var>\n			  New Versions.\n				<br />\n\n   Nokia may publish revised and/or new versions of the License from time to time. Each\n					 version will be given a distinguishing version number.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2</var>\n			  Effect of New Versions.\n				<br />\n\n   Once Covered Software has been published under a particular version of the License, You\n					 may always continue to use it under the terms of that version. You may also choose\n					 to use such Covered Software under the terms of any subsequent version of the\n					 License published by Nokia. No one other than Nokia has the right to modify the\n					 terms applicable to Covered Software created under this License.\n\n			</li>\n			\n</ul>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  DISCLAIMER OF WARRANTY.\n			<br />\n\nCOVERED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT\n				 WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\n				 WARRANTIES THAT THE COVERED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A\n				 PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND\n				 PERFORMANCE OF THE COVERED SOFTWARE IS WITH YOU. SHOULD ANY COVERED SOFTWARE PROVE\n				 DEFECTIVE IN ANY RESPECT, YOU (NOT NOKIA, ITS LICENSORS OR AFFILIATES OR ANY OTHER\n				 CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS\n				 DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY\n				 COVERED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  TERMINATION.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1</var>\n			  This License and the rights granted hereunder will terminate automatically if You fail to\n				 comply with terms herein and fail to cure such breach within 30 days of becoming aware of\n				 the breach. All sublicenses to the Covered Software which are properly granted shall\n				 survive any termination of this License. Provisions which, by their nature, must remain in\n				 effect beyond the termination of this License shall survive.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2</var>\n			  If You initiate litigation by asserting a patent infringement claim (excluding declatory\n				 judgment actions) against Nokia or a Contributor (Nokia or Contributor against whom You\n				 file such action is referred to as &quot;Participant&quot;) alleging that:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> a)</var>\n				  such Participant&apos;s Contributor Version directly or indirectly infringes any patent,\n					 then any and all rights granted by such Participant to You under Sections 2.1 and/or\n					 2.2 of this License shall, upon 60 days notice from Participant terminate\n					 prospectively, unless if within 60 days after receipt of notice You either: (i) agree\n					 in writing to pay Participant a mutually agreeable reasonable royalty for Your past\n					 and future use of Modifications made by such Participant, or (ii) withdraw Your\n					 litigation claim with respect to the Contributor Version against such Participant. If\n					 within 60 days of notice, a reasonable royalty and payment arrangement are not\n					 mutually agreed upon in writing by the parties or the litigation claim is not\n					 withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2\n					 automatically terminate at the expiration of the 60 day notice period specified\n					 above.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> b)</var>\n				  any software, hardware, or device, other than such Participant&apos;s Contributor\n					 Version, directly or indirectly infringes any patent, then any rights granted to You\n					 by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the\n					 date You first made, used, sold, distributed, or had made, Modifications made by that\n					 Participant.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.3</var>\n			  If You assert a patent infringement claim against Participant alleging that such\n				 Participant&apos;s Contributor Version directly or indirectly infringes any patent where\n				 such claim is resolved (such as by license or settlement) prior to the initiation of\n				 patent infringement litigation, then the reasonable value of the licenses granted by such\n				 Participant under Sections 2.1 or 2.2 shall be taken into account in determining the\n				 amount or value of any payment or license.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.4</var>\n			  In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements\n				 (excluding distributors and resellers) which have been validly granted by You or any\n				 distributor hereunder prior to termination shall survive termination.\n			</li>\n			\n</ul>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY.\n			<br />\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE),\n				 CONTRACT, OR OTHERWISE, SHALL YOU, NOKIA, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF\n				 COVERED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR\n				 ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER\n				 INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER\n				 FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF\n				 SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS\n				 LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY\n				 RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS\n				 SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF\n				 INCIDENTAL OR CONSEQUENTIAL DAMAGES, BUT MAY ALLOW LIABILITY TO BE LIMITED; IN SUCH\n				 CASES, A PARTY&apos;s, ITS EMPLOYEES, LICENSORS OR AFFILIATES&apos; LIABILITY SHALL BE\n				 LIMITED TO U.S. $50. Nothing contained in this License shall prejudice the statutory\n				 rights of any party dealing as a consumer.\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  MISCELLANEOUS.\n			<br />\n\nThis License represents the complete agreement concerning subject matter hereof. All rights\n				 in the Covered Software not expressly granted under this License are reserved. Nothing\n				 in this License shall grant You any rights to use any of the trademarks of Nokia or\n				 any of its Affiliates, even if any of such trademarks are included in any part of\n				 Covered Software and/or documentation to it.\n\n		  <p>This License is governed by the laws of Finland excluding its conflict-of-law provisions. All\n			 disputes arising from or relating to this Agreement shall be settled by a single arbitrator\n			 appointed by the Central Chamber of Commerce of Finland. The arbitration procedure shall take\n			 place in Helsinki, Finland in the English language. If any part of this Agreement is found\n			 void and unenforceable, it will not affect the validity of the balance of the Agreement, which\n			 shall remain valid and enforceable according to its terms.</p>\n\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  RESPONSIBILITY FOR CLAIMS.<br />\n\n			 As between Nokia and the Contributors, each party is responsible for claims and damages arising, directly\n			 or indirectly, out of its utilization of rights under this License and You agree to work with Nokia\n			 and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended\n			 or shall be deemed to constitute any admission of liability.\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A</p>\n\n		 <p>The contents of this file are subject to the NOKOS License Version 1.0 (the &quot;License&quot;); you may\n		 not use this file except in compliance with the License.</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF\n		 ANY KIND, either express or implied. See the License for the specific language governing rights and\n		 limitations under the License.</p>\n\n		 <p>The Original Software is</p>\n\n		 <p>______________________________________.</p>\n\n		 <p>Copyright \u00a9 &lt;year&gt; Nokia and others. All Rights Reserved.</p>\n\n		 <p>Contributor(s): ______________________________________.</p>\n\n	  </div>\n	"
		self.python_name = "Nokia"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD2ClauseNetBSD:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "Copyright (c) 2008 The NetBSD Foundation, Inc. All rights reserved.\n\nThis code is derived from software contributed to The NetBSD Foundation by\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2008 The NetBSD Foundation, Inc. All rights reserved.  \";match=\".{0,5000}\">>\n\nThis code is derived from software contributed to The NetBSD Foundation by <<var;name=\"contributors\";original=\"\";match=\".*\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY <<var;name=\"copyrightHolderAsIs\";original=\"THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS\";match=\".+\">> ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <<var;name=\"copyrightHolderLiability\";original=\"THE FOUNDATION OR CONTRIBUTORS\";match=\".+\">> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD 2-Clause NetBSD License"
		self.licenseComments = "NetBSD adopted this 2-clause license in 2008 for code contributed to NetBSD Foundation. It is being deprecated as a separate license because it is a match to BSD-2-Clause. The line describing that the code is derived from software contributed to NetBSD is not viewed as being a substantive part of the license text."
		self.licenseId = "BSD-2-Clause-NetBSD"
		self.crossRef = [{"match": "False", "url": "http://www.netbsd.org/about/redistribution.html#default", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:12Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.netbsd.org/about/redistribution.html#default"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2008 The NetBSD Foundation, Inc. All rights reserved.</p>\n\n	  </div>\n\n	  <p>This code is derived from software contributed to The NetBSD Foundation by\n		<var class=\"replaceable-license-text\"> </var>\n	  </p>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY\n		<var class=\"replaceable-license-text\"> THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS</var> ``AS IS&apos;&apos;\n		AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n		MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL\n		<var class=\"replaceable-license-text\"> THE FOUNDATION OR CONTRIBUTORS</var> BE LIABLE FOR ANY\n		DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED\n		TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n	  </p>\n\n	"
		self.deprecatedVersion = "3.9"
		self.python_name = "BSD2ClauseNetBSD"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL30only:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU GENERAL PUBLIC LICENSE\nVersion 3, 29 June 2007\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n0. Definitions.\n\n\u201cThis License\u201d refers to version 3 of the GNU General Public License.\n\n\u201cCopyright\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n\u201cThe Program\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \u201cyou\u201d. \u201cLicensees\u201d and \u201crecipients\u201d may be individuals or organizations.\n\nTo \u201cmodify\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \u201cmodified version\u201d of the earlier work or a work \u201cbased on\u201d the earlier work.\n\nA \u201ccovered work\u201d means either the unmodified Program or a work based on the Program.\n\nTo \u201cpropagate\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\nTo \u201cconvey\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\nAn interactive user interface displays \u201cAppropriate Legal Notices\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n1. Source Code.\nThe \u201csource code\u201d for a work means the preferred form of the work for making modifications to it. \u201cObject code\u201d means any non-source form of a work.\n\nA \u201cStandard Interface\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\nThe \u201cSystem Libraries\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \u201cMajor Component\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\nThe \u201cCorresponding Source\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\nThe Corresponding Source for a work in source code form is that same work.\n\n2. Basic Permissions.\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n4. Conveying Verbatim Copies.\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n5. Conveying Modified Source Versions.\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	 a) The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	 b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \u201ckeep intact all notices\u201d.\n\n	 c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	 d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \u201caggregate\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n6. Conveying Non-Source Forms.\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	 a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	 b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	 c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	 d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	 e) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\nA \u201cUser Product\u201d is either (1) a \u201cconsumer product\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \u201cnormally used\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n\u201cInstallation Information\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n7. Additional Terms.\n\u201cAdditional permissions\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	 a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	 b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	 c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	 d) Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	 e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	 f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\nAll other non-permissive additional terms are considered \u201cfurther restrictions\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n8. Termination.\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n9. Acceptance Not Required for Having Copies.\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n10. Automatic Licensing of Downstream Recipients.\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\nAn \u201centity transaction\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n11. Patents.\nA \u201ccontributor\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \u201ccontributor version\u201d.\n\nA contributor's \u201cessential patent claims\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \u201ccontrol\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\nIn the following three paragraphs, a \u201cpatent license\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \u201cgrant\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \u201cKnowingly relying\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\nA patent license is \u201cdiscriminatory\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\nNothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n12. No Surrender of Others' Freedom.\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n13. Use with the GNU Affero General Public License.\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n14. Revised Versions of this License.\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \u201cor any later version\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n15. Disclaimer of Warranty.\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \u201cAS IS\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. Limitation of Liability.\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n17. Interpretation of Sections 15 and 16.\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \u201ccopyright\u201d line and a pointer to where the full notice is found.\n\n	 <one line to give the program's name and a brief idea of what it does.>\n	 Copyright (C) <year>  <name of author>\n\n	 This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.\n\n	 You should have received a copy of the GNU General Public License along with this program.  If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n	 <program>  Copyright (C) <year>  <name of author>\n	 This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n	 This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \u201cabout box\u201d.\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \u201ccopyright disclaimer\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <https://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <https://www.gnu.org/philosophy/why-not-lgpl.html>.\n"
		self.standardLicenseHeaderTemplate = "Copyright (C) <<var;name=\"copyright\";original=\"<year> <name of author>\";match=\".+\">>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\n<<endOptional>>\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n   \"This License\" refers to version 3 of the GNU General Public License.\n\n   \"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n   \"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\n   To \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\n   A \"covered work\" means either the unmodified Program or a work based on the Program.\n\n   To \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\n   To \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\n   An interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Source Code.\n\n   The \"source code\" for a work means the preferred form of the work for making modifications to it. \"Object code\" means any non-source form of a work.\n\n   A \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\n   The \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\n   The \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\n   The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Basic Permissions.\n\n   All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\n   You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\n   Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n   No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\n   When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Conveying Verbatim Copies.\n\n   You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\n   You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Conveying Modified Source Versions.\n\n   You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\n   A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Conveying Non-Source Forms.\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\n   A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\n   A \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n   \"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\n   If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\n   The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\n   Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Additional Terms.\n\n   \"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\n   When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\n   Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	  <<var;name=\"bullet\";original=\"f)\";match=\".{0,20}\">> Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\n   All other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\n   If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\n   Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination.\n\n   You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Acceptance Not Required for Having Copies.\n\n   You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Automatic Licensing of Downstream Recipients.\n\n   Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\n   An \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\n   You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Patents.\n\n   A \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \"contributor version\".\n\n   A contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\n   Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\n   In the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\n   If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\n   If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\n   A patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\n   Nothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> No Surrender of Others' Freedom.\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Use with the GNU Affero General Public License.\n\n   Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Revised Versions of this License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\n   If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\n   Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> Limitation of Liability.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"17.\";match=\".{0,20}\">> Interpretation of Sections 15 and 16.\n\n   If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\n   <<beginOptional>>END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n<program> Copyright (C) <year> <name of author>\n\nThis program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n\nThis is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \"about box\".\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <https://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <https://www.gnu.org/<<var;name=\"philicenses\";original=\"licenses\";match=\"philosophy|licenses\">>/why-not-lgpl.html>.\n\n<<endOptional>>"
		self.name = "GNU General Public License v3.0 only"
		self.licenseComments = "This license was released: 29 June 2007. This license identifier refers to the choice to use the code under GPL-3.0-only, as distinguished from the use of code under GPL-3.0-or-later (i.e., GPL-3.0 or some later version). The license notice (as seen in the Standard License Header field below) states which of these applies to the code in the file. The example in the How to Apply These Terms appendix of the license shows the \"or later\" approach."
		self.licenseId = "GPL-3.0-only"
		self.standardLicenseHeader = "Copyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/GPL-3.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:14:39Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.gnu.org/licenses/gpl-3.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:39Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/gpl-3.0-standalone.html", "https://opensource.org/licenses/GPL-3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU GENERAL PUBLIC LICENSE<br />\n\n		Version 3, 29 June 2007\n	  </p>\n\n	</div>\n	<p>\n	  Copyright \u00a9 2007 Free Software Foundation, Inc.\n	  &lt;https://fsf.org/&gt;\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The GNU General Public License is a free, copyleft\n	  license for software and other kinds of works.\n	</p>\n\n	<p>\n	  The licenses for most software and other practical works are designed to\n	  take away your freedom to share and change the works. By contrast, the GNU\n	  General Public License is intended to guarantee your freedom to share and\n	  change all versions of a program--to make sure it remains free software\n	  for all its users. We, the Free Software Foundation, use the GNU General\n	  Public License for most of our software; it applies also to any other work\n	  released this way by its authors. You can apply it to your programs, too.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not\n	  price. Our General Public Licenses are designed to make sure that you\n	  have the freedom to distribute copies of free software (and charge\n	  for them if you wish), that you receive source code or can get it\n	  if you want it, that you can change the software or use pieces of\n	  it in new free programs, and that you know you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to prevent others from denying you\n	  these rights or asking you to surrender the rights. Therefore, you have\n	  certain responsibilities if you distribute copies of the software, or\n	  if you modify it: responsibilities to respect the freedom of others.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of such a program, whether gratis\n	  or for a fee, you must pass on to the recipients the same freedoms that\n	  you received. You must make sure that they, too, receive or can get the\n	  source code. And you must show them these terms so they know their rights.\n	</p>\n\n	<p>\n	  Developers that use the GNU GPL protect your rights with two steps:\n	  (1) assert copyright on the software, and (2) offer you this License\n	  giving you legal permission to copy, distribute and/or modify it.\n	</p>\n\n	<p>\n	  For the developers&apos; and authors&apos; protection, the GPL clearly\n	  explains that there is no warranty for this free software. For\n	  both users&apos; and authors&apos; sake, the GPL requires that modified\n	  versions be marked as changed, so that their problems will\n	  not be attributed erroneously to authors of previous versions.\n	</p>\n\n	<p>\n	  Some devices are designed to deny users access to install or run modified\n	  versions of the software inside them, although the manufacturer can\n	  do so. This is fundamentally incompatible with the aim of protecting\n	  users&apos; freedom to change the software. The systematic pattern of\n	  such abuse occurs in the area of products for individuals to use,\n	  which is precisely where it is most unacceptable. Therefore, we have\n	  designed this version of the GPL to prohibit the practice for those\n	  products. If such problems arise substantially in other domains,\n	  we stand ready to extend this provision to those domains in future\n	  versions of the GPL, as needed to protect the freedom of users.\n	</p>\n\n	<p>\n	  Finally, every program is threatened constantly by software patents.\n	  States should not allow patents to restrict development and use of\n	  software on general-purpose computers, but in those that do, we wish\n	  to avoid the special danger that patents applied to a free program\n	  could make it effectively proprietary. To prevent this, the GPL\n	  assures that patents cannot be used to render the program non-free.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying,\n	  distribution and modification follow.\n	</p>\n\n	<p>\n	  TERMS AND CONDITIONS\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		Definitions.\n		<p>\n		  &quot;This License&quot; refers to version 3 of the GNU General Public License.\n		</p>\n\n		<p>\n		  &quot;Copyright&quot; also means copyright-like laws that apply\n		  to other kinds of works, such as semiconductor masks.\n		</p>\n\n		<p>\n		  &quot;The Program&quot; refers to any copyrightable work licensed under\n		  this License. Each licensee is addressed as &quot;you&quot;. &quot;Licensees&quot;\n		  and &quot;recipients&quot; may be individuals or organizations.\n		</p>\n\n		<p>\n		  To &quot;modify&quot; a work means to copy from or adapt all or part of the\n		  work in a fashion requiring copyright permission, other than the\n		  making of an exact copy. The resulting work is called a &quot;modified\n		  version&quot; of the earlier work or a work &quot;based on&quot; the earlier work.\n		</p>\n\n		<p>\n		  A &quot;covered work&quot; means either the unmodified\n		  Program or a work based on the Program.\n		</p>\n\n		<p>\n		  To &quot;propagate&quot; a work means to do anything with it that, without\n		  permission, would make you directly or secondarily liable for\n		  infringement under applicable copyright law, except executing it\n		  on a computer or modifying a private copy. Propagation includes\n		  copying, distribution (with or without modification), making available\n		  to the public, and in some countries other activities as well.\n		</p>\n\n		<p>\n		  To &quot;convey&quot; a work means any kind of propagation\n		  that enables other parties to make or receive copies.\n		  Mere interaction with a user through a computer\n		  network, with no transfer of a copy, is not conveying.\n		</p>\n\n		<p>\n		  An interactive user interface displays &quot;Appropriate Legal Notices&quot;\n		  to the extent that it includes a convenient and prominently visible\n		  feature that (1) displays an appropriate copyright notice, and (2)\n		  tells the user that there is no warranty for the work (except to\n		  the extent that warranties are provided), that licensees may convey\n		  the work under this License, and how to view a copy of this License.\n		  If the interface presents a list of user commands or options,\n		  such as a menu, a prominent item in the list meets this criterion.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		Source Code.<br />\n\n		The &quot;source code&quot; for a work means the preferred\n		form of the work for making modifications to it.\n		&quot;Object code&quot; means any non-source form of a work.\n		<p>\n		  A &quot;Standard Interface&quot; means an interface that either is an official\n		  standard defined by a recognized standards body, or, in the case\n		  of interfaces specified for a particular programming language,\n		  one that is widely used among developers working in that language.\n		</p>\n\n		<p>\n		  The &quot;System Libraries&quot; of an executable work include anything, other\n		  than the work as a whole, that (a) is included in the normal form\n		  of packaging a Major Component, but which is not part of that Major\n		  Component, and (b) serves only to enable use of the work with that\n		  Major Component, or to implement a Standard Interface for which an\n		  implementation is available to the public in source code form. A\n		  &quot;Major Component&quot;, in this context, means a major essential component\n		  (kernel, window system, and so on) of the specific operating system\n		  (if any) on which the executable work runs, or a compiler used to\n		  produce the work, or an object code interpreter used to run it.\n		</p>\n\n		<p>\n		  The &quot;Corresponding Source&quot; for a work in object code form means all\n		  the source code needed to generate, install, and (for an executable\n		  work) run the object code and to modify the work, including scripts\n		  to control those activities. However, it does not include the work&apos;s\n		  System Libraries, or general-purpose tools or generally available\n		  free programs which are used unmodified in performing those activities\n		  but which are not part of the work. For example, Corresponding\n		  Source includes interface definition files associated with source\n		  files for the work, and the source code for shared libraries\n		  and dynamically linked subprograms that the work is specifically\n		  designed to require, such as by intimate data communication or\n		  control flow between those subprograms and other parts of the work.\n		</p>\n\n		<p>\n		  The Corresponding Source need not include anything that users can\n		  regenerate automatically from other parts of the Corresponding Source.\n		</p>\n\n		<p>\n		  The Corresponding Source for a work\n		  in source code form is that same work.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		Basic Permissions.<br />\n\n		All rights granted under this License are granted for the term of\n		copyright on the Program, and are irrevocable provided the stated\n		conditions are met. This License explicitly affirms your unlimited\n		permission to run the unmodified Program. The output from running a\n		covered work is covered by this License only if the output, given its\n		content, constitutes a covered work. This License acknowledges your\n		rights of fair use or other equivalent, as provided by copyright law.\n		<p>\n		  You may make, run and propagate covered works that you do not convey,\n		  without conditions so long as your license otherwise remains in force.\n		  You may convey covered works to others for the sole purpose of having\n		  them make modifications exclusively for you, or provide you with\n		  facilities for running those works, provided that you comply with\n		  the terms of this License in conveying all material for which you do\n		  not control copyright. Those thus making or running the covered works\n		  for you must do so exclusively on your behalf, under your direction\n		  and control, on terms that prohibit them from making any copies\n		  of your copyrighted material outside their relationship with you.\n		</p>\n\n		<p>\n		  Conveying under any other circumstances is permitted\n		  solely under the conditions stated below. Sublicensing\n		  is not allowed; section 10 makes it unnecessary.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		Protecting Users&apos; Legal Rights From Anti-Circumvention Law.<br />\n\n		No covered work shall be deemed part of an effective technological\n		measure under any applicable law fulfilling obligations under article\n		11 of the WIPO copyright treaty adopted on 20 December 1996, or\n		similar laws prohibiting or restricting circumvention of such measures.\n		<p>\n		  When you convey a covered work, you waive any legal power to\n		  forbid circumvention of technological measures to the extent\n		  such circumvention is effected by exercising rights under this\n		  License with respect to the covered work, and you disclaim any\n		  intention to limit operation or modification of the work as a means\n		  of enforcing, against the work&apos;s users, your or third parties&apos;\n		  legal rights to forbid circumvention of technological measures.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		Conveying Verbatim Copies.<br />\n\n		You may convey verbatim copies of the Program&apos;s source code as\n		you receive it, in any medium, provided that you conspicuously\n		and appropriately publish on each copy an appropriate copyright\n		notice; keep intact all notices stating that this License and any\n		non-permissive terms added in accord with section 7 apply to the\n		code; keep intact all notices of the absence of any warranty; and\n		give all recipients a copy of this License along with the Program.\n		<p>\n		  You may charge any price or no price for each copy that you\n		  convey, and you may offer support or warranty protection for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		Conveying Modified Source Versions.<br />\n\n		You may convey a work based on the Program, or the modifications to\n		produce it from the Program, in the form of source code under the terms\n		of section 4, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			The work must carry prominent notices stating\n			that you modified it, and giving a relevant date.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			The work must carry prominent notices stating that\n			it is released under this License and any conditions\n			added under section 7. This requirement modifies the\n			requirement in section 4 to &quot;keep intact all notices&quot;.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			You must license the entire work, as a whole, under this License\n			to anyone who comes into possession of a copy. This License\n			will therefore apply, along with any applicable section 7\n			additional terms, to the whole of the work, and all its parts,\n			regardless of how they are packaged. This License gives no\n			permission to license the work in any other way, but it does not\n			invalidate such permission if you have separately received it.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			If the work has interactive user interfaces, each must\n			display Appropriate Legal Notices; however, if the Program\n			has interactive interfaces that do not display Appropriate\n			Legal Notices, your work need not make them do so.\n		  </li>\n		\n</ul>\n		<p>\n		  A compilation of a covered work with other separate and independent\n		  works, which are not by their nature extensions of the covered\n		  work, and which are not combined with it such as to form a larger\n		  program, in or on a volume of a storage or distribution medium,\n		  is called an &quot;aggregate&quot; if the compilation and its resulting\n		  copyright are not used to limit the access or legal rights\n		  of the compilation&apos;s users beyond what the individual works\n		  permit. Inclusion of a covered work in an aggregate does not\n		  cause this License to apply to the other parts of the aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Conveying Non-Source Forms.<br />\n\n		You may convey a covered work in object code form\n		under the terms of sections 4 and 5, provided that you\n		also convey the machine-readable Corresponding Source\n		under the terms of this License, in one of these ways:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Convey the object code in, or embodied in, a physical\n			product (including a physical distribution medium),\n			accompanied by the Corresponding Source fixed on a durable\n			physical medium customarily used for software interchange.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Convey the object code in, or embodied in, a physical product\n			(including a physical distribution medium), accompanied by a\n			written offer, valid for at least three years and valid for\n			as long as you offer spare parts or customer support for that\n			product model, to give anyone who possesses the object code\n			either (1) a copy of the Corresponding Source for all the software\n			in the product that is covered by this License, on a durable\n			physical medium customarily used for software interchange,\n			for a price no more than your reasonable cost of physically\n			performing this conveying of source, or (2) access to copy\n			the Corresponding Source from a network server at no charge.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Convey individual copies of the object code with a\n			copy of the written offer to provide the Corresponding\n			Source. This alternative is allowed only occasionally\n			and noncommercially, and only if you received the object\n			code with such an offer, in accord with subsection 6b.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Convey the object code by offering access from a designated place\n			(gratis or for a charge), and offer equivalent access to the\n			Corresponding Source in the same way through the same place at\n			no further charge. You need not require recipients to copy the\n			Corresponding Source along with the object code. If the place\n			to copy the object code is a network server, the Corresponding\n			Source may be on a different server (operated by you or a third\n			party) that supports equivalent copying facilities, provided you\n			maintain clear directions next to the object code saying where\n			to find the Corresponding Source. Regardless of what server hosts\n			the Corresponding Source, you remain obligated to ensure that it\n			is available for as long as needed to satisfy these requirements.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Convey the object code using peer-to-peer transmission,\n			provided you inform other peers where the object code\n			and Corresponding Source of the work are being offered\n			to the general public at no charge under subsection 6d.\n		  </li>\n		\n</ul>\n		<p>\n		  A separable portion of the object code, whose source code is\n		  excluded from the Corresponding Source as a System Library,\n		  need not be included in conveying the object code work.\n		</p>\n\n		<p>\n		  A &quot;User Product&quot; is either (1) a &quot;consumer product&quot;, which means\n		  any tangible personal property which is normally used for personal,\n		  family, or household purposes, or (2) anything designed or sold\n		  for incorporation into a dwelling. In determining whether a product\n		  is a consumer product, doubtful cases shall be resolved in favor\n		  of coverage. For a particular product received by a particular\n		  user, &quot;normally used&quot; refers to a typical or common use of that\n		  class of product, regardless of the status of the particular\n		  user or of the way in which the particular user actually uses,\n		  or expects or is expected to use, the product. A product is a\n		  consumer product regardless of whether the product has substantial\n		  commercial, industrial or non-consumer uses, unless such uses\n		  represent the only significant mode of use of the product.\n		</p>\n\n		<p>\n		  &quot;Installation Information&quot; for a User Product means any methods,\n		  procedures, authorization keys, or other information required\n		  to install and execute modified versions of a covered work in\n		  that User Product from a modified version of its Corresponding\n		  Source. The information must suffice to ensure that the continued\n		  functioning of the modified object code is in no case prevented\n		  or interfered with solely because modification has been made.\n		</p>\n\n		<p>\n		  If you convey an object code work under this section in, or with,\n		  or specifically for use in, a User Product, and the conveying\n		  occurs as part of a transaction in which the right of possession\n		  and use of the User Product is transferred to the recipient in\n		  perpetuity or for a fixed term (regardless of how the transaction\n		  is characterized), the Corresponding Source conveyed under this\n		  section must be accompanied by the Installation Information.\n		  But this requirement does not apply if neither you nor any third\n		  party retains the ability to install modified object code on the\n		  User Product (for example, the work has been installed in ROM).\n		</p>\n\n		<p>\n		  The requirement to provide Installation Information does not\n		  include a requirement to continue to provide support service,\n		  warranty, or updates for a work that has been modified\n		  or installed by the recipient, or for the User Product in\n		  which it has been modified or installed. Access to a network\n		  may be denied when the modification itself materially and\n		  adversely affects the operation of the network or violates\n		  the rules and protocols for communication across the network.\n		</p>\n\n		<p>\n		  Corresponding Source conveyed, and Installation Information\n		  provided, in accord with this section must be in a format that\n		  is publicly documented (and with an implementation available\n		  to the public in source code form), and must require no\n		  special password or key for unpacking, reading or copying.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		Additional Terms.<br />\n\n		&quot;Additional permissions&quot; are terms that supplement the terms of this\n		License by making exceptions from one or more of its conditions.\n		Additional permissions that are applicable to the entire Program\n		shall be treated as though they were included in this License, to\n		the extent that they are valid under applicable law. If additional\n		permissions apply only to part of the Program, that part may be used\n		separately under those permissions, but the entire Program remains\n		governed by this License without regard to the additional permissions.\n		<p>\n		  When you convey a copy of a covered work, you may at your option\n		  remove any additional permissions from that copy, or from any part\n		  of it. (Additional permissions may be written to require their own\n		  removal in certain cases when you modify the work.) You may place\n		  additional permissions on material, added by you to a covered work,\n		  for which you have or can give appropriate copyright permission.\n		</p>\n\n		<p>\n		  Notwithstanding any other provision of this License, for material you\n		  add to a covered work, you may (if authorized by the copyright holders\n		  of that material) supplement the terms of this License with terms:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Disclaiming warranty or limiting liability differently\n			from the terms of sections 15 and 16 of this License; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Requiring preservation of specified reasonable legal\n			notices or author attributions in that material or in the\n			Appropriate Legal Notices displayed by works containing it; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Prohibiting misrepresentation of the origin of that material,\n			or requiring that modified versions of such material be marked\n			in reasonable ways as different from the original version; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Limiting the use for publicity purposes of names\n			of licensors or authors of the material; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Declining to grant rights under trademark law for use\n			of some trade names, trademarks, or service marks; or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> f)</var>\n			Requiring indemnification of licensors and authors of that\n			material by anyone who conveys the material (or modified\n			versions of it) with contractual assumptions of liability\n			to the recipient, for any liability that these contractual\n			assumptions directly impose on those licensors and authors.\n		  </li>\n		\n</ul>\n		<p>\n		  All other non-permissive additional terms are considered &quot;further\n		  restrictions&quot; within the meaning of section 10. If the Program\n		  as you received it, or any part of it, contains a notice stating\n		  that it is governed by this License along with a term that is\n		  a further restriction, you may remove that term. If a license\n		  document contains a further restriction but permits relicensing or\n		  conveying under this License, you may add to a covered work material\n		  governed by the terms of that license document, provided that the\n		  further restriction does not survive such relicensing or conveying.\n		</p>\n\n		<p>\n		  If you add terms to a covered work in accord with this\n		  section, you must place, in the relevant source files, a\n		  statement of the additional terms that apply to those files,\n		  or a notice indicating where to find the applicable terms.\n		</p>\n\n		<p>\n		  Additional terms, permissive or non-permissive, may be\n		  stated in the form of a separately written license, or stated\n		  as exceptions; the above requirements apply either way.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		Termination.<br />\n\n		You may not propagate or modify a covered work except as\n		expressly provided under this License. Any attempt otherwise\n		to propagate or modify it is void, and will automatically\n		terminate your rights under this License (including any patent\n		licenses granted under the third paragraph of section 11).\n		<p>\n		  However, if you cease all violation of this License, then your\n		  license from a particular copyright holder is reinstated (a)\n		  provisionally, unless and until the copyright holder explicitly\n		  and finally terminates your license, and (b) permanently, if\n		  the copyright holder fails to notify you of the violation by\n		  some reasonable means prior to 60 days after the cessation.\n		</p>\n\n		<p>\n		  Moreover, your license from a particular copyright holder is\n		  reinstated permanently if the copyright holder notifies you\n		  of the violation by some reasonable means, this is the first\n		  time you have received notice of violation of this License\n		  (for any work) from that copyright holder, and you cure the\n		  violation prior to 30 days after your receipt of the notice.\n		</p>\n\n		<p>\n		  Termination of your rights under this section does not\n		  terminate the licenses of parties who have received copies or\n		  rights from you under this License. If your rights have been\n		  terminated and not permanently reinstated, you do not qualify\n		  to receive new licenses for the same material under section 10.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		Acceptance Not Required for Having Copies.<br />\n\n		You are not required to accept this License in order to receive or\n		run a copy of the Program. Ancillary propagation of a covered work\n		occurring solely as a consequence of using peer-to-peer transmission\n		to receive a copy likewise does not require acceptance. However,\n		nothing other than this License grants you permission to propagate\n		or modify any covered work. These actions infringe copyright if you\n		do not accept this License. Therefore, by modifying or propagating a\n		covered work, you indicate your acceptance of this License to do so.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		Automatic Licensing of Downstream Recipients.<br />\n\n		Each time you convey a covered work, the recipient automatically\n		receives a license from the original licensors, to run, modify and\n		propagate that work, subject to this License. You are not responsible\n		for enforcing compliance by third parties with this License.\n		<p>\n		  An &quot;entity transaction&quot; is a transaction transferring control of\n		  an organization, or substantially all assets of one, or subdividing\n		  an organization, or merging organizations. If propagation of a\n		  covered work results from an entity transaction, each party to that\n		  transaction who receives a copy of the work also receives whatever\n		  licenses to the work the party&apos;s predecessor in interest had or could\n		  give under the previous paragraph, plus a right to possession of the\n		  Corresponding Source of the work from the predecessor in interest,\n		  if the predecessor has it or can get it with reasonable efforts.\n		</p>\n\n		<p>\n		  You may not impose any further restrictions on the exercise of the\n		  rights granted or affirmed under this License. For example, you\n		  may not impose a license fee, royalty, or other charge for exercise\n		  of rights granted under this License, and you may not initiate\n		  litigation (including a cross-claim or counterclaim in a lawsuit)\n		  alleging that any patent claim is infringed by making, using, selling,\n		  offering for sale, or importing the Program or any portion of it.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		Patents.<br />\n\n		A &quot;contributor&quot; is a copyright holder who authorizes use under this\n		License of the Program or a work on which the Program is based. The\n		work thus licensed is called the contributor&apos;s &quot;contributor version&quot;.\n		<p>\n		  A contributor&apos;s &quot;essential patent claims&quot; are all patent\n		  claims owned or controlled by the contributor, whether already\n		  acquired or hereafter acquired, that would be infringed by some\n		  manner, permitted by this License, of making, using, or selling\n		  its contributor version, but do not include claims that would\n		  be infringed only as a consequence of further modification\n		  of the contributor version. For purposes of this definition,\n		  &quot;control&quot; includes the right to grant patent sublicenses in\n		  a manner consistent with the requirements of this License.\n		</p>\n\n		<p>\n		  Each contributor grants you a non-exclusive, worldwide, royalty-free\n		  patent license under the contributor&apos;s essential patent claims,\n		  to make, use, sell, offer for sale, import and otherwise run,\n		  modify and propagate the contents of its contributor version.\n		</p>\n\n		<p>\n		  In the following three paragraphs, a &quot;patent license&quot; is any\n		  express agreement or commitment, however denominated, not to\n		  enforce a patent (such as an express permission to practice\n		  a patent or covenant not to sue for patent infringement). To\n		  &quot;grant&quot; such a patent license to a party means to make such an\n		  agreement or commitment not to enforce a patent against the party.\n		</p>\n\n		<p>\n		  If you convey a covered work, knowingly relying on a patent license,\n		  and the Corresponding Source of the work is not available for anyone\n		  to copy, free of charge and under the terms of this License, through\n		  a publicly available network server or other readily accessible\n		  means, then you must either (1) cause the Corresponding Source to\n		  be so available, or (2) arrange to deprive yourself of the benefit\n		  of the patent license for this particular work, or (3) arrange, in\n		  a manner consistent with the requirements of this License, to extend\n		  the patent license to downstream recipients. &quot;Knowingly relying&quot;\n		  means you have actual knowledge that, but for the patent license, your\n		  conveying the covered work in a country, or your recipient&apos;s use of\n		  the covered work in a country, would infringe one or more identifiable\n		  patents in that country that you have reason to believe are valid.\n		</p>\n\n		<p>\n		  If, pursuant to or in connection with a single transaction or\n		  arrangement, you convey, or propagate by procuring conveyance\n		  of, a covered work, and grant a patent license to some of the\n		  parties receiving the covered work authorizing them to use,\n		  propagate, modify or convey a specific copy of the covered work,\n		  then the patent license you grant is automatically extended\n		  to all recipients of the covered work and works based on it.\n		</p>\n\n		<p>\n		  A patent license is &quot;discriminatory&quot; if it does not include within the\n		  scope of its coverage, prohibits the exercise of, or is conditioned\n		  on the non-exercise of one or more of the rights that are specifically\n		  granted under this License. You may not convey a covered work if\n		  you are a party to an arrangement with a third party that is in the\n		  business of distributing software, under which you make payment to\n		  the third party based on the extent of your activity of conveying\n		  the work, and under which the third party grants, to any of the\n		  parties who would receive the covered work from you, a discriminatory\n		  patent license (a) in connection with copies of the covered work\n		  conveyed by you (or copies made from those copies), or (b) primarily\n		  for and in connection with specific products or compilations that\n		  contain the covered work, unless you entered into that arrangement,\n		  or that patent license was granted, prior to 28 March 2007.\n		</p>\n\n		<p>\n		  Nothing in this License shall be consTrued as excluding or\n		  limiting any implied license or other defenses to infringement\n		  that may otherwise be available to you under applicable patent law.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		No Surrender of Others&apos; Freedom.<br />\n\n		If conditions are imposed on you (whether by court order, agreement\n		or otherwise) that contradict the conditions of this License,\n		they do not excuse you from the conditions of this License. If\n		you cannot convey a covered work so as to satisfy simultaneously\n		your obligations under this License and any other pertinent\n		obligations, then as a consequence you may not convey it at all.\n		For example, if you agree to terms that obligate you to collect\n		a royalty for further conveying from those to whom you convey the\n		Program, the only way you could satisfy both those terms and this\n		License would be to refrain entirely from conveying the Program.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 13.</var>\n		Use with the GNU Affero General Public License.<br />\n\n		Notwithstanding any other provision of this License, you have\n		permission to link or combine any covered work with a work licensed\n		under version 3 of the GNU Affero General Public License into\n		a single combined work, and to convey the resulting work. The\n		terms of this License will continue to apply to the part which\n		is the covered work, but the special requirements of the GNU\n		Affero General Public License, section 13, concerning interaction\n		through a network will apply to the combination as such.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 14.</var>\n		Revised Versions of this License.<br />\n\n		The Free Software Foundation may publish revised and/or new\n		versions of the GNU General Public License from time to time. Such\n		new versions will be similar in spirit to the present version,\n		but may differ in detail to address new problems or concerns.\n		<p>\n		  Each version is given a distinguishing version number. If the\n		  Program specifies that a certain numbered version of the GNU\n		  General Public License &quot;or any later version&quot; applies to it,\n		  you have the option of following the terms and conditions either\n		  of that numbered version or of any later version published by\n		  the Free Software Foundation. If the Program does not specify a\n		  version number of the GNU General Public License, you may choose\n		  any version ever published by the Free Software Foundation.\n		</p>\n\n		<p>\n		  If the Program specifies that a proxy can decide which future\n		  versions of the GNU General Public License can be used, that\n		  proxy&apos;s public statement of acceptance of a version permanently\n		  authorizes you to choose that version for the Program.\n		</p>\n\n		<p>\n		  Later license versions may give you additional or\n		  different permissions. However, no additional obligations\n		  are imposed on any author or copyright holder as a\n		  result of your choosing to follow a later version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 15.</var>\n		Disclaimer of Warranty.<br />\n\n		THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY\n		APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT\n		HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT\n		WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT\n		LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n		A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\n		OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU\n		ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 16.</var>\n		Limitation of Liability.<br />\n\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR\n		CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\n		INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n		ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING\n		BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE\n		OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\n		PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 17.</var>\n		Interpretation of Sections 15 and 16.\n	<p>\n	  If the disclaimer of warranty and limitation of liability\n	  provided above cannot be given local legal effect according to\n	  their terms, reviewing courts shall apply local law that most\n	  closely approximates an absolute waiver of all civil liability in\n	  connection with the Program, unless a warranty or assumption of\n	  liability accompanies a copy of the Program in return for a fee.\n	</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Programs\n	  </p>\n\n	  <p>\n		If you develop a new program, and you want it to be\n		of the greatest possible use to the public, the best\n		way to achieve this is to make it free software which\n		everyone can redistribute and change under these terms.\n	  </p>\n\n	  <p>\n		To do so, attach the following notices to the program. It is safest\n		to attach them to the start of each source file to most effectively\n		state the exclusion of warranty; and each file should have at least\n		the &quot;copyright&quot; line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		&lt;one line to give the program&apos;s name and\n		a brief idea of what it does.&gt;<br />\n\n		Copyright (C) &lt;year&gt; &lt;name of author&gt;\n	  </p>\n\n	  <p>\n		This program is free software: you can redistribute it and/or\n		modify it under the terms of the GNU General Public License\n		as published by the Free Software Foundation, either version\n		3 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General\n\tPublic License along with this program. If not, see\n\t&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	  <p>\n		Also add information on how to contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		If the program does terminal interaction, make it output a\n		short notice like this when it starts in an interactive mode:\n	  </p>\n\n	  <p>\n\t&lt;program&gt; Copyright (C) &lt;year&gt;\n\t&lt;name of author&gt;<br />\n\n		This program comes with ABSOLUTELY NO\n		WARRANTY; for details type `show w&apos;.<br />\n\n		This is free software, and you are welcome to redistribute\n		it under certain conditions; type `show c&apos; for details.\n	  </p>\n\n	  <p>\n		The hypothetical commands `show w&apos; and `show c&apos; should\n		show the appropriate parts of the General Public License.\n		Of course, your program&apos;s commands might be different;\n		for a GUI interface, you would use an &quot;about box&quot;.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a\n		programmer) or school, if any, to sign a &quot;copyright disclaimer&quot;\n		for the program, if necessary. For more information on\n\tthis, and how to apply and follow the GNU GPL, see\n\t&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	  <p>\n		The GNU General Public License does not permit incorporating\n		your program into proprietary programs. If your program is a\n		subroutine library, you may consider it more useful to permit\n		linking proprietary applications with the library. If this\n		is what you want to do, use the GNU Lesser General Public\n\tLicense instead of this License. But first, please read\n\t&lt;https://www.gnu.org/<var class=\"replaceable-license-text\">licenses</var>/why-not-lgpl.html&gt;.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (C) <var class=\"replaceable-license-text\"> &lt;year&gt; &lt;name of author&gt;</var>\n	  <p>\n		This program is free software: you can redistribute it and/or\n		modify it under the terms of the GNU General Public License\n		as published by the Free Software Foundation, version 3.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General\n		Public License along with this program. If not, see\n		&lt;https://www.gnu.org/licenses/&gt;.\n	  </p>\n\n	"
		self.python_name = "GPL30only"

	def __str__(self):
		return json.dumps(self.__dict__)


class BrianGladman3Clause:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2003, Dr Brian Gladman, Worcester, UK.   All rights reserved.\n\nLICENSE TERMS\n\nThe free distribution and use of this software in both source and binary\nform is allowed (with or without changes) provided that:\n\n  1. distributions of this source code include the above copyright\n	 notice, this list of conditions and the following disclaimer;\n\n  2. distributions in binary form include the above copyright\n	 notice, this list of conditions and the following disclaimer\n	 in the documentation and/or other associated materials;\n\n  3. the copyright holder's name is not used to endorse products\n	 built using this software without specific written permission.\n\nALTERNATIVELY, provided that this notice is retained in full, this product\nmay be distributed under the terms of the GNU General Public License (GPL),\nin which case the provisions of the GPL apply INSTEAD OF those given above.\n\nDISCLAIMER\n\nThis software is provided 'as is' with no explicit or implied warranties\nin respect of its properties, including, but not limited to, correctness\nand/or fitness for purpose.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2003, Dr Brian Gladman, Worcester, UK. All rights reserved.\";match=\".{0,5000}\">>\n\nLICENSE TERMS\n\nThe free distribution and use of this software in both source and binary form is allowed (with or without changes) provided that:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> distributions of this source code include the above copyright notice, this list of conditions and the following disclaimer;\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> distributions in binary form include the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other associated materials;\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> the copyright holder's name is not used to endorse products built using this software without specific written permission.\n\nALTERNATIVELY, provided that this notice is retained in full, this product may be distributed under the terms of the GNU General Public License (GPL), in which case the provisions of the GPL apply INSTEAD OF those given above.\n\nDISCLAIMER\n\nThis software is provided 'as is' with no explicit or implied warranties in respect of its properties, including, but not limited to, correctness and/or fitness for purpose.\n\n"
		self.name = "Brian Gladman 3-Clause License"
		self.licenseId = "Brian-Gladman-3-Clause"
		self.crossRef = [{"match": "False", "url": "https://github.com/SWI-Prolog/packages-clib/blob/master/sha1/brg_endian.h", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:42Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/SWI-Prolog/packages-clib/blob/master/sha1/brg_endian.h"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (c) 2003, Dr Brian Gladman, Worcester, UK.   All rights reserved.\n		 </var>\n		 <p>\n			LICENSE TERMS\n		 </p>\n\n\t <p>\n			The free distribution and use of this software in both source and binary\n			form is allowed (with or without changes) provided that:\n\t </p>\n\n<ul style=\"list-style:none\">\n\t\t\n<li>\n\t\t\t<var class=\"replaceable-license-text\"> 1.</var> distributions of this source code include the above copyright\n\t\t\tnotice, this list of conditions and the following disclaimer;\n\t\t</li>\n\t\t\n<li>\n\t\t\t<var class=\"replaceable-license-text\"> 2.</var> distributions in binary form include the above copyright\n\t\t\tnotice, this list of conditions and the following disclaimer\n\t\t\tin the documentation and/or other associated materials;\n\t\t</li>\n\t\t\n<li>\n\t\t\t<var class=\"replaceable-license-text\"> 3.</var> the copyright holder&apos;s name is not used to endorse products\n\t\t\tbuilt using this software without specific written permission.\n\t\t</li>\n\t\n</ul>\n\t<p>\n\t\tALTERNATIVELY, provided that this notice is retained in full, this product\n\t\tmay be distributed under the terms of the GNU General Public License (GPL),\n\t\tin which case the provisions of the GPL apply INSTEAD OF those given above.\n\t</p>\n\n\t<p>\n\t\tDISCLAIMER\n\t</p>\n\n\t<p>\n\t\tThis software is provided &apos;as is&apos; with no explicit or implied warranties\n\t\tin respect of its properties, including, but not limited to, correctness\n\t\tand/or fitness for purpose.\n\t</p>\n\n	  "
		self.python_name = "BrianGladman3Clause"

	def __str__(self):
		return json.dumps(self.__dict__)


class eCos20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "The eCos license version 2.0\n\nThis file is part of eCos, the Embedded Configurable Operating System. Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.\n\neCos is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 or (at your option) any later version.\n\neCos is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with eCos; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.\n\nAs a special exception, if other files instantiate templates or use macros or inline functions from this file, or you compile this file and link it with other works to produce a work based on this file, this file does not by itself cause the resulting work to be covered by the GNU General Public License. However the source code for this file must still be made available in accordance with section (3) of the GNU General Public License.\n\nThis exception does not invalidate any other reasons why a work based on this file might be covered by the GNU General Public License.\n\nAlternative licenses for eCos may be arranged by contacting Red Hat, Inc. at http://sources.redhat.com/ecos/ecos-license/ -------------------------------------------\n\n####ECOSGPLCOPYRIGHTEND####\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>The eCos license version 2.0<<endOptional>>\n\nThis file is part of eCos, the Embedded Configurable Operating System. Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.\n\neCos is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 or (at your option) any later version.\n\neCos is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with eCos; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.\n\nAs a special exception, if other files instantiate templates or use macros or inline functions from this file, or you compile this file and link it with other works to produce a work based on this file, this file does not by itself cause the resulting work to be covered by the GNU General Public License. However the source code for this file must still be made available in accordance with section (3) of the GNU General Public License.\n\nThis exception does not invalidate any other reasons why a work based on this file might be covered by the GNU General Public License.\n\nAlternative licenses for eCos may be arranged by contacting Red Hat, Inc. at http://sources.redhat.com/ecos/ecos-license/ -------------------------------------------\n\n<<beginOptional>>####ECOSGPLCOPYRIGHTEND####\n\n<<endOptional>>"
		self.name = "eCos license version 2.0"
		self.licenseComments = "DEPRECATED: Use license expression including main license, \"WITH\" operator, and identifier: eCos-exception-2.0"
		self.licenseId = "eCos-2.0"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/ecos-license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:51Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/ecos-license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <var class=\"optional-license-text\"> The eCos license version 2.0</var>\n\n\t	 <p>This file is part of eCos, the Embedded Configurable Operating System. Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.</p>\n\n\t	 <p>eCos is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 or (at your option) any later version.</p>\n\n\t	 <p>eCos is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.</p>\n\n\t	 <p>You should have received a copy of the GNU General Public License along with eCos; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.</p>\n\n\t	 <p>As a special exception, if other files instantiate templates or use macros or inline functions from this file, or you compile this file and link it with other works to produce a work based on this file, this file does not by itself cause the resulting work to be covered by the GNU General Public License. However the source code for this file must still be made available in accordance with section (3) of the GNU General Public License.</p>\n\n\t	 <p>This exception does not invalidate any other reasons why a work based on this file might be covered by the GNU General Public License.</p>\n\n\t	 <p>Alternative licenses for eCos may be arranged by contacting Red Hat, Inc. at http://sources.redhat.com/ecos/ecos-license/ -------------------------------------------</p>\n\n	  <div class=\"optional-license-text\"> \n\t		<p>####ECOSGPLCOPYRIGHTEND####</p>\n\n	  </div>\n	"
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "eCos20"

	def __str__(self):
		return json.dumps(self.__dict__)


class SimPL20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Simple Public License (SimPL)\n\nPreamble\n\nThis Simple Public License 2.0 (SimPL 2.0 for short) is a plain language implementation of GPL 2.0.  The words are different, but the goal is the same - to guarantee for all users the freedom to share and change software.  If anyone wonders about the meaning of the SimPL, they should interpret it as consistent with GPL 2.0.\n\nSimple Public License (SimPL) 2.0\n\nThe SimPL applies to the software's source and object code and comes with any rights that I have in it (other than trademarks). You agree to the SimPL by copying, distributing, or making a derivative work of the software.\n\nYou get the royalty free right to:\n\n- Use the software for any purpose;\n- Make derivative works of it (this is called a \"Derived Work\");\n- Copy and distribute it and any Derived Work.\n\nIf you distribute the software or a Derived Work, you must give back to the community by:\n\n- Prominently noting the date of any changes you make;\n- Leaving other people's copyright notices, warranty disclaimers, and license terms  in place;\n- Providing the source code, build scripts, installation scripts, and interface definitions in a form that is easy to get and best to modify;\n- Licensing it to everyone under SimPL, or substantially similar terms (such as GPL 2.0), without adding further restrictions to the rights provided;\n- Conspicuously announcing that it is available under that license.\n\nThere are some things that you must shoulder:\n\n- You get NO WARRANTIES. None of any kind;\n- If the software damages you in any way, you may only recover direct damages up to the amount you paid for it (that is zero if you did not pay anything). You may not recover any other damages, including those called \"consequential damages.\" (The state or country where you live may not allow you to limit your liability in this way, so this may not apply to you);\n\nThe SimPL continues perpetually, except that your license rights end automatically if:\n\n- You do not abide by the \"give back to the community\" terms (your licensees get to keep their rights if they abide);\n- Anyone prevents you from distributing the software under the terms of the SimPL.\n\nLicense for the License\n\nYou may do anything that you want with the SimPL text; it's a license form to use in any way that you find helpful.  To avoid confusion, however, if you change the terms in any way then you may not call your license the Simple Public License or the SimPL (but feel free to acknowledge that your license is \"based on the Simple Public License\").\n"
		self.standardLicenseTemplate = "<<beginOptional>>Simple Public License (SimPL)\n\n<<endOptional>><<beginOptional>> Preamble\n\nThis Simple Public License 2.0 (SimPL 2.0 for short) is a plain language implementation of GPL 2.0. The words are different, but the goal is the same - to guarantee for all users the freedom to share and change software. If anyone wonders about the meaning of the SimPL, they should interpret it as consistent with GPL 2.0.\n\n<<endOptional>><<beginOptional>> Simple Public License (SimPL) 2.0\n\n<<endOptional>>\n\nThe SimPL applies to the software's source and object code and comes with any rights that I have in it (other than trademarks). You agree to the SimPL by copying, distributing, or making a derivative work of the software.\n\nYou get the royalty free right to:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Use the software for any purpose;\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Make derivative works of it (this is called a \"Derived Work\");\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Copy and distribute it and any Derived Work.\n\nIf you distribute the software or a Derived Work, you must give back to the community by:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Prominently noting the date of any changes you make;\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Leaving other people's copyright notices, warranty disclaimers, and license terms in place;\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Providing the source code, build scripts, installation scripts, and interface definitions in a form that is easy to get and best to modify;\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Licensing it to everyone under SimPL, or substantially similar terms (such as GPL 2.0), without adding further restrictions to the rights provided;\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Conspicuously announcing that it is available under that license.\n\nThere are some things that you must shoulder:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> You get NO WARRANTIES. None of any kind;\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> If the software damages you in any way, you may only recover direct damages up to the amount you paid for it (that is zero if you did not pay anything). You may not recover any other damages, including those called \"consequential damages.\" (The state or country where you live may not allow you to limit your liability in this way, so this may not apply to you);\n\nThe SimPL continues perpetually, except that your license rights end automatically if:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> You do not abide by the \"give back to the community\" terms (your licensees get to keep their rights if they abide);\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Anyone prevents you from distributing the software under the terms of the SimPL.\n\nLicense for the License\n\nYou may do anything that you want with the SimPL text; it's a license form to use in any way that you find helpful. To avoid confusion, however, if you change the terms in any way then you may not call your license the Simple Public License or the SimPL (but feel free to acknowledge that your license is \"based on the Simple Public License\").\n\n"
		self.name = "Simple Public License 2.0"
		self.licenseId = "SimPL-2.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/SimPL-2.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:17:34Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/SimPL-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Simple Public License (SimPL)</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Preamble</p>\n\n		 <p>This Simple Public License 2.0 (SimPL 2.0 for short) is a plain language implementation of GPL 2.0. The\n		 words are different, but the goal is the same - to guarantee for all users the freedom to share and\n		 change software. If anyone wonders about the meaning of the SimPL, they should interpret it as\n		 consistent with GPL 2.0.</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Simple Public License (SimPL) 2.0</p>\n\n	  </div>\n\n	  <p>The SimPL applies to the software&apos;s source and object code and comes with any rights that I have in it\n		 (other than trademarks). You agree to the SimPL by copying, distributing, or making a derivative work\n		 of the software.</p>\n\n	  <p>You get the royalty free right to:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Use the software for any purpose;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Make derivative works of it (this is called a &quot;Derived Work&quot;);\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Copy and distribute it and any Derived Work.\n		</li>\n	  \n</ul>\n	  <p>If you distribute the software or a Derived Work, you must give back to the community by:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Prominently noting the date of any changes you make;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Leaving other people&apos;s copyright notices, warranty disclaimers, and license terms in place;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Providing the source code, build scripts, installation scripts, and interface definitions in a\n			 form that is easy to get and best to modify;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Licensing it to everyone under SimPL, or substantially similar terms (such as GPL 2.0), without\n			 adding further restrictions to the rights provided;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Conspicuously announcing that it is available under that license.\n		</li>\n	  \n</ul>\n	  <p>There are some things that you must shoulder:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  You get NO WARRANTIES. None of any kind;\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  If the software damages you in any way, you may only recover direct damages up to the amount you\n			 paid for it (that is zero if you did not pay anything). You may not recover any other damages,\n			 including those called &quot;consequential damages.&quot; (The state or country where you live may not\n			 allow you to limit your liability in this way, so this may not apply to you);\n		</li>\n	  \n</ul>\n	  <p>The SimPL continues perpetually, except that your license rights end automatically if:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  You do not abide by the &quot;give back to the community&quot; terms (your licensees get to keep their\n			 rights if they abide);\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Anyone prevents you from distributing the software under the terms of the SimPL.\n		</li>\n	  \n</ul>\n	  <p>License for the License</p>\n\n	  <p>You may do anything that you want with the SimPL text; it&apos;s a license form to use in any way that you\n		 find helpful. To avoid confusion, however, if you change the terms in any way then you may not call\n		 your license the Simple Public License or the SimPL (but feel free to acknowledge that your license is\n		 &quot;based on the Simple Public License&quot;).</p>\n\n	"
		self.python_name = "SimPL20"

	def __str__(self):
		return json.dumps(self.__dict__)


class EUPL12:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "EUROPEAN UNION PUBLIC LICENCE v. 1.2\nEUPL \u00a9 the European Union 2007, 2016\n\nThis European Union Public Licence (the \u2018EUPL\u2019) applies to the Work (as defined below) which is provided under the\nterms of this Licence. Any use of the Work, other than as authorised under this Licence is prohibited (to the extent such\nuse is covered by a right of the copyright holder of the Work).\nThe Work is provided under the terms of this Licence when the Licensor (as defined below) has placed the following\nnotice immediately following the copyright notice for the Work:\n						  Licensed under the EUPL\nor has expressed by any other means his willingness to license under the EUPL.\n\n1.Definitions\nIn this Licence, the following terms have the following meaning:\n\u2014 \u2018The Licence\u2019:this Licence.\n\u2014 \u2018The Original Work\u2019:the work or software distributed or communicated by the Licensor under this Licence, available\nas Source Code and also as Executable Code as the case may be.\n\u2014 \u2018Derivative Works\u2019:the works or software that could be created by the Licensee, based upon the Original Work or\nmodifications thereof. This Licence does not define the extent of modification or dependence on the Original Work\nrequired in order to classify a work as a Derivative Work; this extent is determined by copyright law applicable in\nthe country mentioned in Article 15.\n\u2014 \u2018The Work\u2019:the Original Work or its Derivative Works.\n\u2014 \u2018The Source Code\u2019:the human-readable form of the Work which is the most convenient for people to study and\nmodify.\n\u2014 \u2018The Executable Code\u2019:any code which has generally been compiled and which is meant to be interpreted by\na computer as a program.\n\u2014 \u2018The Licensor\u2019:the natural or legal person that distributes or communicates the Work under the Licence.\n\u2014 \u2018Contributor(s)\u2019:any natural or legal person who modifies the Work under the Licence, or otherwise contributes to\nthe creation of a Derivative Work.\n\u2014 \u2018The Licensee\u2019 or \u2018You\u2019:any natural or legal person who makes any usage of the Work under the terms of the\nLicence.\n\u2014 \u2018Distribution\u2019 or \u2018Communication\u2019:any act of selling, giving, lending, renting, distributing, communicating,\ntransmitting, or otherwise making available, online or offline, copies of the Work or providing access to its essential\nfunctionalities at the disposal of any other natural or legal person.\n\n2.Scope of the rights granted by the Licence\nThe Licensor hereby grants You a worldwide, royalty-free, non-exclusive, sublicensable licence to do the following, for\nthe duration of copyright vested in the Original Work:\n\u2014 use the Work in any circumstance and for all usage,\n\u2014 reproduce the Work,\n\u2014 modify the Work, and make Derivative Works based upon the Work,\n\u2014 communicate to the public, including the right to make available or display the Work or copies thereof to the public\nand perform publicly, as the case may be, the Work,\n\u2014 distribute the Work or copies thereof,\n\u2014 lend and rent the Work or copies thereof,\n\u2014 sublicense rights in the Work or copies thereof.\nThose rights can be exercised on any media, supports and formats, whether now known or later invented, as far as the\napplicable law permits so.\nIn the countries where moral rights apply, the Licensor waives his right to exercise his moral right to the extent allowed\nby law in order to make effective the licence of the economic rights here above listed.\nThe Licensor grants to the Licensee royalty-free, non-exclusive usage rights to any patents held by the Licensor, to the\nextent necessary to make use of the rights granted on the Work under this Licence.\n\n3.Communication of the Source Code\nThe Licensor may provide the Work either in its Source Code form, or as Executable Code. If the Work is provided as\nExecutable Code, the Licensor provides in addition a machine-readable copy of the Source Code of the Work along with\neach copy of the Work that the Licensor distributes or indicates, in a notice following the copyright notice attached to\nthe Work, a repository where the Source Code is easily and freely accessible for as long as the Licensor continues to\ndistribute or communicate the Work.\n\n4.Limitations on copyright\nNothing in this Licence is intended to deprive the Licensee of the benefits from any exception or limitation to the\nexclusive rights of the rights owners in the Work, of the exhaustion of those rights or of other applicable limitations\nthereto.\n\n5.Obligations of the Licensee\nThe grant of the rights mentioned above is subject to some restrictions and obligations imposed on the Licensee. Those\nobligations are the following:\n\nAttribution right: The Licensee shall keep intact all copyright, patent or trademarks notices and all notices that refer to\nthe Licence and to the disclaimer of warranties. The Licensee must include a copy of such notices and a copy of the\nLicence with every copy of the Work he/she distributes or communicates. The Licensee must cause any Derivative Work\nto carry prominent notices stating that the Work has been modified and the date of modification.\n\nCopyleft clause: If the Licensee distributes or communicates copies of the Original Works or Derivative Works, this\nDistribution or Communication will be done under the terms of this Licence or of a later version of this Licence unless\nthe Original Work is expressly distributed only under this version of the Licence \u2014 for example by communicating\n\u2018EUPL v. 1.2 only\u2019. The Licensee (becoming Licensor) cannot offer or impose any additional terms or conditions on the\nWork or Derivative Work that alter or restrict the terms of the Licence.\n\nCompatibility clause: If the Licensee Distributes or Communicates Derivative Works or copies thereof based upon both\nthe Work and another work licensed under a Compatible Licence, this Distribution or Communication can be done\nunder the terms of this Compatible Licence. For the sake of this clause, \u2018Compatible Licence\u2019 refers to the licences listed\nin the appendix attached to this Licence. Should the Licensee's obligations under the Compatible Licence conflict with\nhis/her obligations under this Licence, the obligations of the Compatible Licence shall prevail.\n\nProvision of Source Code: When distributing or communicating copies of the Work, the Licensee will provide\na machine-readable copy of the Source Code or indicate a repository where this Source will be easily and freely available\nfor as long as the Licensee continues to distribute or communicate the Work.\nLegal Protection: This Licence does not grant permission to use the trade names, trademarks, service marks, or names\nof the Licensor, except as required for reasonable and customary use in describing the origin of the Work and\nreproducing the content of the copyright notice.\n\n6.Chain of Authorship\nThe original Licensor warrants that the copyright in the Original Work granted hereunder is owned by him/her or\nlicensed to him/her and that he/she has the power and authority to grant the Licence.\nEach Contributor warrants that the copyright in the modifications he/she brings to the Work are owned by him/her or\nlicensed to him/her and that he/she has the power and authority to grant the Licence.\nEach time You accept the Licence, the original Licensor and subsequent Contributors grant You a licence to their contributions\nto the Work, under the terms of this Licence.\n\n7.Disclaimer of Warranty\nThe Work is a work in progress, which is continuously improved by numerous Contributors. It is not a finished work\nand may therefore contain defects or \u2018bugs\u2019 inherent to this type of development.\nFor the above reason, the Work is provided under the Licence on an \u2018as is\u2019 basis and without warranties of any kind\nconcerning the Work, including without limitation merchantability, fitness for a particular purpose, absence of defects or\nerrors, accuracy, non-infringement of intellectual property rights other than copyright as stated in Article 6 of this\nLicence.\nThis disclaimer of warranty is an essential part of the Licence and a condition for the grant of any rights to the Work.\n\n8.Disclaimer of Liability\nExcept in the cases of wilful misconduct or damages directly caused to natural persons, the Licensor will in no event be\nliable for any direct or indirect, material or moral, damages of any kind, arising out of the Licence or of the use of the\nWork, including without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, loss\nof data or any commercial damage, even if the Licensor has been advised of the possibility of such damage. However,\nthe Licensor will be liable under statutory product liability laws as far such laws apply to the Work.\n\n9.Additional agreements\nWhile distributing the Work, You may choose to conclude an additional agreement, defining obligations or services\nconsistent with this Licence. However, if accepting obligations, You may act only on your own behalf and on your sole\nresponsibility, not on behalf of the original Licensor or any other Contributor, and only if You agree to indemnify,\ndefend, and hold each Contributor harmless for any liability incurred by, or claims asserted against such Contributor by\nthe fact You have accepted any warranty or additional liability.\n\n10.Acceptance of the Licence\nThe provisions of this Licence can be accepted by clicking on an icon \u2018I agree\u2019 placed under the bottom of a window\ndisplaying the text of this Licence or by affirming consent in any other similar way, in accordance with the rules of\napplicable law. Clicking on that icon indicates your clear and irrevocable acceptance of this Licence and all of its terms\nand conditions.\nSimilarly, you irrevocably accept this Licence and all of its terms and conditions by exercising any rights granted to You\nby Article 2 of this Licence, such as the use of the Work, the creation by You of a Derivative Work or the Distribution\nor Communication by You of the Work or copies thereof.\n\n11.Information to the public\nIn case of any Distribution or Communication of the Work by means of electronic communication by You (for example,\nby offering to download the Work from a remote location) the distribution channel or media (for example, a website)\nmust at least provide to the public the information requested by the applicable law regarding the Licensor, the Licence\nand the way it may be accessible, concluded, stored and reproduced by the Licensee.\n\n12.Termination of the Licence\nThe Licence and the rights granted hereunder will terminate automatically upon any breach by the Licensee of the terms\nof the Licence.\nSuch a termination will not terminate the licences of any person who has received the Work from the Licensee under\nthe Licence, provided such persons remain in full compliance with the Licence.\n\n13.Miscellaneous\nWithout prejudice of Article 9 above, the Licence represents the complete agreement between the Parties as to the\nWork.\nIf any provision of the Licence is invalid or unenforceable under applicable law, this will not affect the validity or\nenforceability of the Licence as a whole. Such provision will be consTrued or reformed so as necessary to make it valid\nand enforceable.\nThe European Commission may publish other linguistic versions or new versions of this Licence or updated versions of\nthe Appendix, so far this is required and reasonable, without reducing the scope of the rights granted by the Licence.\nNew versions of the Licence will be published with a unique version number.\nAll linguistic versions of this Licence, approved by the European Commission, have identical value. Parties can take\nadvantage of the linguistic version of their choice.\n\n14.Jurisdiction\nWithout prejudice to specific agreement between parties,\n\u2014 any litigation resulting from the interpretation of this License, arising between the European Union institutions,\nbodies, offices or agencies, as a Licensor, and any Licensee, will be subject to the jurisdiction of the Court of Justice\nof the European Union, as laid down in article 272 of the Treaty on the Functioning of the European Union,\n\u2014 any litigation arising between other parties and resulting from the interpretation of this License, will be subject to\nthe exclusive jurisdiction of the competent court where the Licensor resides or conducts its primary business.\n\n15.Applicable Law\nWithout prejudice to specific agreement between parties,\n\u2014 this Licence shall be governed by the law of the European Union Member State where the Licensor has his seat,\nresides or has his registered office,\n\u2014 this licence shall be governed by Belgian law if the Licensor has no seat, residence or registered office inside\na European Union Member State.\n\n\n														 Appendix\n\n\u2018Compatible Licences\u2019 according to Article 5 EUPL are:\n\u2014 GNU General Public License (GPL) v. 2, v. 3\n\u2014 GNU Affero General Public License (AGPL) v. 3\n\u2014 Open Software License (OSL) v. 2.1, v. 3.0\n\u2014 Eclipse Public License (EPL) v. 1.0\n\u2014 CeCILL v. 2.0, v. 2.1\n\u2014 Mozilla Public Licence (MPL) v. 2\n\u2014 GNU Lesser General Public Licence (LGPL) v. 2.1, v. 3\n\u2014 Creative Commons Attribution-ShareAlike v. 3.0 Unported (CC BY-SA 3.0) for works other than software\n\u2014 European Union Public Licence (EUPL) v. 1.1, v. 1.2\n\u2014 Qu\u00e9bec Free and Open-Source Licence \u2014 Reciprocity (LiLiQ-R) or Strong Reciprocity (LiLiQ-R+).\n\nThe European Commission may update this Appendix to later versions of the above licences without producing\na new version of the EUPL, as long as they provide the rights granted in Article 2 of this Licence and protect the\ncovered Source Code from exclusive appropriation.\nAll other changes or additions to this Appendix require the production of a new EUPL version.\n"
		self.standardLicenseTemplate = "<<beginOptional>>European Union Public Licence v. 1.2\n\n<<endOptional>>\n\nEUPL \u00a9 the European Union 2007, 2016\n\nThis European Union Public Licence (the 'EUPL') applies to the Work (as defined below) which is provided under the terms of this Licence. Any use of the Work, other than as authorised under this Licence is prohibited (to the extent such use is covered by a right of the copyright holder of the Work).\n\nThe Work is provided under the terms of this Licence when the Licensor (as defined below) has placed the following notice immediately following the copyright notice for the Work:\n\n   Licensed under the EUPL\n\n   or has expressed by any other means his willingness to license under the EUPL.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n   In this Licence, the following terms have the following meaning:\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> 'The Licence': this Licence.\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> 'The Original Work': the work or software distributed or communicated by the Licensor under this Licence, available as Source Code and also as Executable Code as the case may be.\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> 'Derivative Works': the works or software that could be created by the Licensee, based upon the Original Work or modifications thereof. This Licence does not define the extent of modification or dependence on the Original Work required in order to classify a work as a Derivative Work; this extent is determined by copyright law applicable in the country mentioned in Article 15.\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> 'The Work': the Original Work or its Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> 'The Source Code': the human-readable form of the Work which is the most convenient for people to study and modify.\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> 'The Executable Code': any code which has generally been compiled and which is meant to be interpreted by a computer as a program.\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> 'The Licensor': the natural or legal person that distributes or communicates the Work under the Licence.\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> 'Contributor(s)': any natural or legal person who modifies the Work under the Licence, or otherwise contributes to the creation of a Derivative Work.\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> 'The Licensee' or 'You': any natural or legal person who makes any usage of the Work under the terms of the Licence.\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> 'Distribution' or 'Communication': any act of selling, giving, lending, renting, distributing, communicating, transmitting, or otherwise making available, online or offline, copies of the Work or providing access to its essential functionalities at the disposal of any other natural or legal person.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Scope of the rights granted by the Licence\n\n   The Licensor hereby grants You a worldwide, royalty-free, non-exclusive, sublicensable licence to do the following, for the duration of copyright vested in the Original Work:\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> use the Work in any circumstance and for all usage,\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> reproduce the Work,\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> modify the Work, and make Derivative Works based upon the Work,\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> communicate to the public, including the right to make available or display the Work or copies thereof to the public and perform publicly, as the case may be, the Work,\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> distribute the Work or copies thereof,\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> lend and rent the Work or copies thereof,\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> sublicense rights in the Work or copies thereof.\n\n   Those rights can be exercised on any media, supports and formats, whether now known or later invented, as far as the applicable law permits so.\n\n   In the countries where moral rights apply, the Licensor waives his right to exercise his moral right to the extent allowed by law in order to make effective the licence of the economic rights here above listed.\n\n   The Licensor grants to the Licensee royalty-free, non-exclusive usage rights to any patents held by the Licensor, to the extent necessary to make use of the rights granted on the Work under this Licence.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Communication of the Source Code\n\n   The Licensor may provide the Work either in its Source Code form, or as Executable Code. If the Work is provided as Executable Code, the Licensor provides in addition a machine-readable copy of the Source Code of the Work along with each copy of the Work that the Licensor distributes or indicates, in a notice following the copyright notice attached to the Work, a repository where the Source Code is easily and freely accessible for as long as the Licensor continues to distribute or communicate the Work.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Limitations on copyright\n\n   Nothing in this Licence is intended to deprive the Licensee of the benefits from any exception or limitation to the exclusive rights of the rights owners in the Work, of the exhaustion of those rights or of other applicable limitations thereto.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Obligations of the Licensee\n\n   The grant of the rights mentioned above is subject to some restrictions and obligations imposed on the Licensee. Those obligations are the following:\n\n   Attribution right: The Licensee shall keep intact all copyright, patent or trademarks notices and all notices that refer to the Licence and to the disclaimer of warranties. The Licensee must include a copy of such notices and a copy of the Licence with every copy of the Work he/she distributes or communicates. The Licensee must cause any Derivative Work to carry prominent notices stating that the Work has been modified and the date of modification.\n\n   Copyleft clause: If the Licensee distributes or communicates copies of the Original Works or Derivative Works, this Distribution or Communication will be done under the terms of this Licence or of a later version of this Licence unless the Original Work is expressly distributed only under this version of the Licence \u2014 for example by communicating 'EUPL v. 1.2 only'. The Licensee (becoming Licensor) cannot offer or impose any additional terms or conditions on the Work or Derivative Work that alter or restrict the terms of the Licence.\n\n   Compatibility clause: If the Licensee Distributes or Communicates Derivative Works or copies thereof based upon both the Work and another work licensed under a Compatible Licence, this Distribution or Communication can be done under the terms of this Compatible Licence. For the sake of this clause, 'Compatible Licence' refers to the licences listed in the appendix attached to this Licence. Should the Licensee's obligations under the Compatible Licence conflict with his/her obligations under this Licence, the obligations of the Compatible Licence shall prevail.\n\n   Provision of Source Code: When distributing or communicating copies of the Work, the Licensee will provide a machine-readable copy of the Source Code or indicate a repository where this Source will be easily and freely available for as long as the Licensee continues to distribute or communicate the Work.\n\n   Legal Protection: This Licence does not grant permission to use the trade names, trademarks, service marks, or names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the copyright notice.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Chain of Authorship\n\n   The original Licensor warrants that the copyright in the Original Work granted hereunder is owned by him/her or licensed to him/her and that he/she has the power and authority to grant the Licence.\n\n   Each Contributor warrants that the copyright in the modifications he/she brings to the Work are owned by him/her or licensed to him/her and that he/she has the power and authority to grant the Licence.\n\n   Each time You accept the Licence, the original Licensor and subsequent Contributors grant You a licence to their contributions to the Work, under the terms of this Licence.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Disclaimer of Warranty\n\n   The Work is a work in progress, which is continuously improved by numerous Contributors. It is not a finished work and may therefore contain defects or 'bugs' inherent to this type of development.\n\n   For the above reason, the Work is provided under the Licence on an 'as is' basis and without warranties of any kind concerning the Work, including without limitation merchantability, fitness for a particular purpose, absence of defects or errors, accuracy, non-infringement of intellectual property rights other than copyright as stated in Article 6 of this Licence.\n\n   This disclaimer of warranty is an essential part of the Licence and a condition for the grant of any rights to the Work.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Disclaimer of Liability\n\n   Except in the cases of wilful misconduct or damages directly caused to natural persons, the Licensor will in no event be liable for any direct or indirect, material or moral, damages of any kind, arising out of the Licence or of the use of the Work, including without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, loss of data or any commercial damage, even if the Licensor has been advised of the possibility of such damage. However, the Licensor will be liable under statutory product liability laws as far such laws apply to the Work.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Additional agreements\n\n   While distributing the Work, You may choose to conclude an additional agreement, defining obligations or services consistent with this Licence. However, if accepting obligations, You may act only on your own behalf and on your sole responsibility, not on behalf of the original Licensor or any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against such Contributor by the fact You have accepted any warranty or additional liability.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Acceptance of the Licence\n\n   The provisions of this Licence can be accepted by clicking on an icon 'I agree' placed under the bottom of a window displaying the text of this Licence or by affirming consent in any other similar way, in accordance with the rules of applicable law. Clicking on that icon indicates your clear and irrevocable acceptance of this Licence and all of its terms and conditions.\n\n   Similarly, you irrevocably accept this Licence and all of its terms and conditions by exercising any rights granted to You by Article 2 of this Licence, such as the use of the Work, the creation by You of a Derivative Work or the Distribution or Communication by You of the Work or copies thereof.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Information to the public\n\n   In case of any Distribution or Communication of the Work by means of electronic communication by You (for example, by offering to download the Work from a remote location) the distribution channel or media (for example, a website) must at least provide to the public the information requested by the applicable law regarding the Licensor, the Licence and the way it may be accessible, concluded, stored and reproduced by the Licensee.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Termination of the Licence\n\n   The Licence and the rights granted hereunder will terminate automatically upon any breach by the Licensee of the terms of the Licence.\n\n   Such a termination will not terminate the licences of any person who has received the Work from the Licensee under the Licence, provided such persons remain in full compliance with the Licence.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Miscellaneous\n\n   Without prejudice of Article 9 above, the Licence represents the complete agreement between the Parties as to the Work.\n\n   If any provision of the Licence is invalid or unenforceable under applicable law, this will not affect the validity or enforceability of the Licence as a whole. Such provision will be consTrued or reformed so as necessary to make it valid and enforceable.\n\n   The European Commission may publish other linguistic versions or new versions of this Licence or updated versions of the Appendix, so far this is required and reasonable, without reducing the scope of the rights granted by the Licence. New versions of the Licence will be published with a unique version number.\n\n   All linguistic versions of this Licence, approved by the European Commission, have identical value. Parties can take advantage of the linguistic version of their choice.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Jurisdiction\n\n   Without prejudice to specific agreement between parties,\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> any litigation resulting from the interpretation of this License, arising between the European Union institutions, bodies, offices or agencies, as a Licensor, and any Licensee, will be subject to the jurisdiction of the Court of Justice of the European Union, as laid down in article 272 of the Treaty on the Functioning of the European Union,\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> any litigation arising between other parties and resulting from the interpretation of this License, will be subject to the exclusive jurisdiction of the competent court where the Licensor resides or conducts its primary business.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Applicable Law\n\n   Without prejudice to specific agreement between parties,\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> this Licence shall be governed by the law of the European Union Member State where the Licensor has his seat, resides or has his registered office,\n\n	  <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> this licence shall be governed by Belgian law if the Licensor has no seat, residence or registered office inside a European Union Member State.\n\nAppendix\n\n'Compatible Licences' according to Article 5 EUPL are:\n\n   <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> GNU General Public License (GPL) v. 2, v. 3\n\n   <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> GNU Affero General Public License (AGPL) v. 3\n\n   <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> Open Software License (OSL) v. 2.1, v. 3.0\n\n   <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> Eclipse Public License (EPL) v. 1.0\n\n   <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> CeCILL v. 2.0, v. 2.1\n\n   <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> Mozilla Public Licence (MPL) v. 2\n\n   <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> GNU Lesser General Public Licence (LGPL) v. 2.1, v. 3\n\n   <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> Creative Commons Attribution-ShareAlike v. 3.0 Unported (CC BY-SA 3.0) for works other than software\n\n   <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> European Union Public Licence (EUPL) v. 1.1, v. 1.2\n\n   <<var;name=\"bullet\";original=\"\u2014\";match=\".{0,20}\">> Qu\u00e9bec Free and Open-Source Licence \u2014 Reciprocity (LiLiQ-R) or Strong Reciprocity (LiLiQ-R+).\n\nThe European Commission may update this Appendix to later versions of the above licences without producing a new version of the EUPL, as long as they provide the rights granted in Article 2 of this Licence and protect the covered Source Code from exclusive appropriation.\n\nAll other changes or additions to this Appendix require the production of a new EUPL version.\n\n"
		self.name = "European Union Public License 1.2"
		self.licenseComments = "This license was released: 19 May 2016. This license is available in the 22 official languages of the EU. The English version is included here."
		self.licenseId = "EUPL-1.2"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/EUPL-1.2", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:18:10Z", "isWayBackLink": False, "order": 5}, {"match": "False", "url": "http://eur-lex.europa.eu/legal-content/EN/TXT/HTML/?uri=CELEX:32017D0863", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:14Z", "isWayBackLink": False, "order": 4}, {"match": "N/A", "url": "https://joinup.ec.europa.eu/sites/default/files/inline-files/EUPL%20v1_2%20EN(1).txt", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:18:15Z", "isWayBackLink": False, "order": 3}, {"match": "False", "url": "https://joinup.ec.europa.eu/sites/default/files/custom-page/attachment/2020-03/EUPL-1.2%20EN.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:15Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://joinup.ec.europa.eu/sites/default/files/custom-page/attachment/eupl_v1.2_en.pdf", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:15Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://joinup.ec.europa.eu/page/eupl-text-11-12", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:18Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://joinup.ec.europa.eu/page/eupl-text-11-12", "https://joinup.ec.europa.eu/sites/default/files/custom-page/attachment/eupl_v1.2_en.pdf", "https://joinup.ec.europa.eu/sites/default/files/custom-page/attachment/2020-03/EUPL-1.2%20EN.txt", "https://joinup.ec.europa.eu/sites/default/files/inline-files/EUPL%20v1_2%20EN(1).txt", "http://eur-lex.europa.eu/legal-content/EN/TXT/HTML/?uri=CELEX:32017D0863", "https://opensource.org/licenses/EUPL-1.2"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		European Union Public Licence v. 1.2\n	  </p>\n\n	</div>\n	<p>\n	  EUPL \u00a9 the European Union 2007, 2016\n	</p>\n\n	<p>\n	  This European Union Public Licence (the &apos;EUPL&apos;) applies to the\n	  Work (as defined below) which is provided under the terms of\n	  this Licence. Any use of the Work, other than as authorised\n	  under this Licence is prohibited (to the extent such use\n	  is covered by a right of the copyright holder of the Work).\n	</p>\n\n	<p>\n	  The Work is provided under the terms of this Licence when the\n	  Licensor (as defined below) has placed the following notice\n	  immediately following the copyright notice for the Work:\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<p>\n		  Licensed under the EUPL\n		</p>\n\n	  </li>\n	  \n<li>\n		<p>\n		  or has expressed by any other means his\n		  willingness to license under the EUPL.\n		</p>\n\n	  </li>\n	\n</ul>\n	\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		Definitions\n		<p>\n		  In this Licence, the following terms have the following meaning:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			&apos;The Licence&apos;: this Licence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			&apos;The Original Work&apos;: the work or software distributed or\n			communicated by the Licensor under this Licence, available as\n			Source Code and also as Executable Code as the case may be.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			&apos;Derivative Works&apos;: the works or software that could be created\n			by the Licensee, based upon the Original Work or modifications\n			thereof. This Licence does not define the extent of modification\n			or dependence on the Original Work required in order to classify\n			a work as a Derivative Work; this extent is determined by\n			copyright law applicable in the country mentioned in Article 15.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			&apos;The Work&apos;: the Original Work or its Derivative Works.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			&apos;The Source Code&apos;: the human-readable form of the Work\n			which is the most convenient for people to study and modify.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			&apos;The Executable Code&apos;: any code which has generally been compiled\n			and which is meant to be interpreted by a computer as a program.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			&apos;The Licensor&apos;: the natural or legal person that\n			distributes or communicates the Work under the Licence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			&apos;Contributor(s)&apos;: any natural or legal person who\n			modifies the Work under the Licence, or otherwise\n			contributes to the creation of a Derivative Work.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			&apos;The Licensee&apos; or &apos;You&apos;: any natural or legal person who\n			makes any usage of the Work under the terms of the Licence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			&apos;Distribution&apos; or &apos;Communication&apos;: any act of selling, giving,\n			lending, renting, distributing, communicating, transmitting,\n			or otherwise making available, online or offline, copies of\n			the Work or providing access to its essential functionalities\n			at the disposal of any other natural or legal person.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		Scope of the rights granted by the Licence\n		<p>\n		  The Licensor hereby grants You a worldwide, royalty-free,\n		  non-exclusive, sublicensable licence to do the following,\n		  for the duration of copyright vested in the Original Work:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			use the Work in any circumstance and for all usage,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			reproduce the Work,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			modify the Work, and make Derivative Works based upon the Work,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			communicate to the public, including the right to make\n			available or display the Work or copies thereof to the\n			public and perform publicly, as the case may be, the Work,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			distribute the Work or copies thereof,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			lend and rent the Work or copies thereof,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			sublicense rights in the Work or copies thereof.\n		  </li>\n		\n</ul>\n		<p>\n		  Those rights can be exercised on any media,\n		  supports and formats, whether now known or later\n		  invented, as far as the applicable law permits so.\n		</p>\n\n		<p>\n		  In the countries where moral rights apply, the Licensor\n		  waives his right to exercise his moral right to the\n		  extent allowed by law in order to make effective the\n		  licence of the economic rights here above listed.\n		</p>\n\n		<p>\n		  The Licensor grants to the Licensee royalty-free, non-exclusive usage\n		  rights to any patents held by the Licensor, to the extent necessary\n		  to make use of the rights granted on the Work under this Licence.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		Communication of the Source Code\n		<p>\n		  The Licensor may provide the Work either in its Source Code form,\n		  or as Executable Code. If the Work is provided as Executable\n		  Code, the Licensor provides in addition a machine-readable copy\n		  of the Source Code of the Work along with each copy of the Work\n		  that the Licensor distributes or indicates, in a notice following\n		  the copyright notice attached to the Work, a repository where\n		  the Source Code is easily and freely accessible for as long as\n		  the Licensor continues to distribute or communicate the Work.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		Limitations on copyright\n		<p>\n		  Nothing in this Licence is intended to deprive the Licensee of\n		  the benefits from any exception or limitation to the exclusive\n		  rights of the rights owners in the Work, of the exhaustion\n		  of those rights or of other applicable limitations thereto.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		Obligations of the Licensee\n		<p>\n		  The grant of the rights mentioned above is subject\n		  to some restrictions and obligations imposed on\n		  the Licensee. Those obligations are the following:\n		</p>\n\n		<p>\n		  Attribution right: The Licensee shall keep intact all copyright,\n		  patent or trademarks notices and all notices that refer to the\n		  Licence and to the disclaimer of warranties. The Licensee must\n		  include a copy of such notices and a copy of the Licence with every\n		  copy of the Work he/she distributes or communicates. The Licensee\n		  must cause any Derivative Work to carry prominent notices stating\n		  that the Work has been modified and the date of modification.\n		</p>\n\n		<p>\n		  Copyleft clause: If the Licensee distributes or communicates copies\n		  of the Original Works or Derivative Works, this Distribution or\n		  Communication will be done under the terms of this Licence or of a\n		  later version of this Licence unless the Original Work is expressly\n		  distributed only under this version of the Licence \u2014 for example by\n		  communicating &apos;EUPL v. 1.2 only&apos;. The Licensee (becoming Licensor)\n		  cannot offer or impose any additional terms or conditions on the Work\n		  or Derivative Work that alter or restrict the terms of the Licence.\n		</p>\n\n		<p>\n		  Compatibility clause: If the Licensee Distributes or Communicates\n		  Derivative Works or copies thereof based upon both the Work\n		  and another work licensed under a Compatible Licence, this\n		  Distribution or Communication can be done under the terms of\n		  this Compatible Licence. For the sake of this clause, &apos;Compatible\n		  Licence&apos; refers to the licences listed in the appendix attached\n		  to this Licence. Should the Licensee&apos;s obligations under the\n		  Compatible Licence conflict with his/her obligations under this\n		  Licence, the obligations of the Compatible Licence shall prevail.\n		</p>\n\n		<p>\n		  Provision of Source Code: When distributing or communicating\n		  copies of the Work, the Licensee will provide a machine-readable\n		  copy of the Source Code or indicate a repository where this\n		  Source will be easily and freely available for as long as\n		  the Licensee continues to distribute or communicate the Work.\n		</p>\n\n		<p>\n		  Legal Protection: This Licence does not grant permission\n		  to use the trade names, trademarks, service marks, or\n		  names of the Licensor, except as required for reasonable\n		  and customary use in describing the origin of the Work\n		  and reproducing the content of the copyright notice.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Chain of Authorship\n		<p>\n		  The original Licensor warrants that the copyright in the Original\n		  Work granted hereunder is owned by him/her or licensed to him/her\n		  and that he/she has the power and authority to grant the Licence.\n		</p>\n\n		<p>\n		  Each Contributor warrants that the copyright in the modifications\n		  he/she brings to the Work are owned by him/her or licensed to him/her\n		  and that he/she has the power and authority to grant the Licence.\n		</p>\n\n		<p>\n		  Each time You accept the Licence, the original Licensor\n		  and subsequent Contributors grant You a licence to their\n		  contributions to the Work, under the terms of this Licence.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		Disclaimer of Warranty\n		<p>\n		  The Work is a work in progress, which is continuously improved by\n		  numerous Contributors. It is not a finished work and may therefore\n		  contain defects or &apos;bugs&apos; inherent to this type of development.\n		</p>\n\n		<p>\n		  For the above reason, the Work is provided under the Licence on\n		  an &apos;as is&apos; basis and without warranties of any kind concerning\n		  the Work, including without limitation merchantability,\n		  fitness for a particular purpose, absence of defects or errors,\n		  accuracy, non-infringement of intellectual property rights\n		  other than copyright as stated in Article 6 of this Licence.\n		</p>\n\n		<p>\n		  This disclaimer of warranty is an essential part of the Licence\n		  and a condition for the grant of any rights to the Work.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		Disclaimer of Liability\n		<p>\n		  Except in the cases of wilful misconduct or damages directly caused\n		  to natural persons, the Licensor will in no event be liable for\n		  any direct or indirect, material or moral, damages of any kind,\n		  arising out of the Licence or of the use of the Work, including\n		  without limitation, damages for loss of goodwill, work stoppage,\n		  computer failure or malfunction, loss of data or any commercial\n		  damage, even if the Licensor has been advised of the possibility of\n		  such damage. However, the Licensor will be liable under statutory\n		  product liability laws as far such laws apply to the Work.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		Additional agreements\n		<p>\n		  While distributing the Work, You may choose to conclude an additional\n		  agreement, defining obligations or services consistent with this\n		  Licence. However, if accepting obligations, You may act only on your\n		  own behalf and on your sole responsibility, not on behalf of the\n		  original Licensor or any other Contributor, and only if You agree\n		  to indemnify, defend, and hold each Contributor harmless for any\n		  liability incurred by, or claims asserted against such Contributor\n		  by the fact You have accepted any warranty or additional liability.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		Acceptance of the Licence\n		<p>\n		  The provisions of this Licence can be accepted by clicking on\n		  an icon &apos;I agree&apos; placed under the bottom of a window displaying\n		  the text of this Licence or by affirming consent in any other\n		  similar way, in accordance with the rules of applicable law.\n		  Clicking on that icon indicates your clear and irrevocable\n		  acceptance of this Licence and all of its terms and conditions.\n		</p>\n\n		<p>\n		  Similarly, you irrevocably accept this Licence and all of its\n		  terms and conditions by exercising any rights granted to You\n		  by Article 2 of this Licence, such as the use of the Work,\n		  the creation by You of a Derivative Work or the Distribution\n		  or Communication by You of the Work or copies thereof.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		Information to the public\n		<p>\n		  In case of any Distribution or Communication of the Work by means\n		  of electronic communication by You (for example, by offering\n		  to download the Work from a remote location) the distribution\n		  channel or media (for example, a website) must at least provide\n		  to the public the information requested by the applicable\n		  law regarding the Licensor, the Licence and the way it may be\n		  accessible, concluded, stored and reproduced by the Licensee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		Termination of the Licence\n		<p>\n		  The Licence and the rights granted hereunder\n		  will terminate automatically upon any breach\n		  by the Licensee of the terms of the Licence.\n		</p>\n\n		<p>\n		  Such a termination will not terminate the licences of any person\n		  who has received the Work from the Licensee under the Licence,\n		  provided such persons remain in full compliance with the Licence.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 13.</var>\n		Miscellaneous\n		<p>\n		  Without prejudice of Article 9 above, the Licence represents\n		  the complete agreement between the Parties as to the Work.\n		</p>\n\n		<p>\n		  If any provision of the Licence is invalid or unenforceable under\n		  applicable law, this will not affect the validity or enforceability\n		  of the Licence as a whole. Such provision will be consTrued\n		  or reformed so as necessary to make it valid and enforceable.\n		</p>\n\n		<p>\n		  The European Commission may publish other linguistic versions or\n		  new versions of this Licence or updated versions of the Appendix,\n		  so far this is required and reasonable, without reducing the\n		  scope of the rights granted by the Licence. New versions of\n		  the Licence will be published with a unique version number.\n		</p>\n\n		<p>\n		  All linguistic versions of this Licence, approved by the\n		  European Commission, have identical value. Parties can\n		  take advantage of the linguistic version of their choice.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 14.</var>\n		Jurisdiction\n		<p>\n		  Without prejudice to specific agreement between parties,\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			any litigation resulting from the interpretation of this\n			License, arising between the European Union institutions,\n			bodies, offices or agencies, as a Licensor, and any\n			Licensee, will be subject to the jurisdiction of the Court\n			of Justice of the European Union, as laid down in article\n			272 of the Treaty on the Functioning of the European Union,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			any litigation arising between other parties and resulting\n			from the interpretation of this License, will be subject\n			to the exclusive jurisdiction of the competent court where\n			the Licensor resides or conducts its primary business.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 15.</var>\n		Applicable Law\n		<p>\n		  Without prejudice to specific agreement between parties,\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			this Licence shall be governed by the law of the\n			European Union Member State where the Licensor has\n			his seat, resides or has his registered office,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> \u2014</var>\n			this licence shall be governed by Belgian law if\n			the Licensor has no seat, residence or registered\n			office inside a European Union Member State.\n		  </li>\n		\n</ul>\n	  </li>\n	\n</ul>\n	<p>\n	  Appendix\n	</p>\n\n	<p>\n	  &apos;Compatible Licences&apos; according to Article 5 EUPL are:\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> \u2014</var>\n		GNU General Public License (GPL) v. 2, v. 3\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> \u2014</var>\n		GNU Affero General Public License (AGPL) v. 3\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> \u2014</var>\n		Open Software License (OSL) v. 2.1, v. 3.0\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> \u2014</var>\n		Eclipse Public License (EPL) v. 1.0\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> \u2014</var>\n		CeCILL v. 2.0, v. 2.1\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> \u2014</var>\n		Mozilla Public Licence (MPL) v. 2\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> \u2014</var>\n		GNU Lesser General Public Licence (LGPL) v. 2.1, v. 3\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> \u2014</var>\n		Creative Commons Attribution-ShareAlike v. 3.0\n		Unported (CC BY-SA 3.0) for works other than software\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> \u2014</var>\n		European Union Public Licence (EUPL) v. 1.1, v. 1.2\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> \u2014</var>\n		Qu\u00e9bec Free and Open-Source Licence \u2014 Reciprocity\n		(LiLiQ-R) or Strong Reciprocity (LiLiQ-R+).\n	  </li>\n	\n</ul>\n	<p>\n	  The European Commission may update this Appendix to later versions\n	  of the above licences without producing a new version of the EUPL, as\n	  long as they provide the rights granted in Article 2 of this Licence\n	  and protect the covered Source Code from exclusive appropriation.\n	</p>\n\n	<p>\n	  All other changes or additions to this Appendix\n	  require the production of a new EUPL version.\n	</p>\n\n	"
		self.python_name = "EUPL12"

	def __str__(self):
		return json.dumps(self.__dict__)


class MITWu:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2003-2005  Tom Wu\nAll Rights Reserved.\n\nPermission is hereby granted, free of charge, to any person obtaining\na copy of this software and associated documentation files (the\n\"Software\"), to deal in the Software without restriction, including\nwithout limitation the rights to use, copy, modify, merge, publish,\ndistribute, sublicense, and/or sell copies of the Software, and to\npermit persons to whom the Software is furnished to do so, subject to\nthe following conditions:\n\nThe above copyright notice and this permission notice shall be\nincluded in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS-IS\" AND WITHOUT WARRANTY OF ANY KIND,\nEXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY\nWARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n\nIN NO EVENT SHALL TOM WU BE LIABLE FOR ANY SPECIAL, INCIDENTAL,\nINDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER\nRESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF\nTHE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT\nOF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\nIn addition, the following condition applies:\n\nAll redistributions must retain an intact copy of this copyright notice\nand disclaimer.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2003-2005 Tom Wu  All Rights Reserved.  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS-IS\" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n\nIN NO EVENT SHALL TOM WU BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\nIn addition, the following condition applies:\n\nAll redistributions must retain an intact copy of this copyright notice and disclaimer.\n\n"
		self.name = "MIT Tom Wu Variant"
		self.licenseId = "MIT-Wu"
		self.crossRef = [{"match": "False", "url": "https://github.com/chromium/octane/blob/master/crypto.js", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:56Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/chromium/octane/blob/master/crypto.js"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n\t<p>Copyright (c) 2003-2005 Tom Wu<br />\n\n\tAll Rights Reserved.</p>\n\n	  </div>\n\n\t<p>Permission is hereby granted, free of charge, to any person obtaining\n\ta copy of this software and associated documentation files (the\n\t&quot;Software&quot;), to deal in the Software without restriction, including\n\twithout limitation the rights to use, copy, modify, merge, publish,\n\tdistribute, sublicense, and/or sell copies of the Software, and to\n\tpermit persons to whom the Software is furnished to do so, subject to\n\tthe following conditions:</p>\n\n\t<p>The above copyright notice and this permission notice shall be\n\tincluded in all copies or substantial portions of the Software.</p>\n\n\t<p>THE SOFTWARE IS PROVIDED &quot;AS-IS&quot; AND WITHOUT WARRANTY OF ANY KIND,\n\tEXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY\n\tWARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.</p>\n\n\t<p>IN NO EVENT SHALL TOM WU BE LIABLE FOR ANY SPECIAL, INCIDENTAL,\n\tINDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER\n\tRESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF\n\tTHE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT\n\tOF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.</p>\n\n\t<p>In addition, the following condition applies:</p>\n\n\t<p>All redistributions must retain an intact copy of this copyright notice\n\tand disclaimer.</p>\n\n	"
		self.python_name = "MITWu"

	def __str__(self):
		return json.dumps(self.__dict__)


class SunPPP2000:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2000 by Sun Microsystems, Inc.\nAll rights reserved.\n\nPermission to use, copy, modify, and distribute this software and its\ndocumentation is hereby granted, provided that the above copyright\nnotice appears in all copies.\n\nSUN MAKES NO REPRESENTATION OR WARRANTIES ABOUT THE SUITABILITY OF\nTHE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED\nTO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A\nPARTICULAR PURPOSE, OR NON-INFRINGEMENT.  SUN SHALL NOT BE LIABLE FOR\nANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR\nDISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES\n\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2000 by Sun Microsystems, Inc.  All rights reserved.  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation is hereby granted, provided that the above copyright notice appears in all copies.\n\nSUN MAKES NO REPRESENTATION OR WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES\n\n"
		self.name = "Sun PPP License (2000)"
		self.licenseId = "Sun-PPP-2000"
		self.crossRef = [{"match": "False", "url": "https://github.com/ppp-project/ppp/blob/master/modules/ppp_ahdlc.c#L7-L19", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:09Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/ppp-project/ppp/blob/master/modules/ppp_ahdlc.c#L7-L19"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2000 by Sun Microsystems, Inc.<br />\n\n			All rights reserved.</p>\n\n	  </div>\n	  <p>\n		 Permission to use, copy, modify, and distribute this software and its\n		 documentation is hereby granted, provided that the above copyright\n		 notice appears in all copies.\n	  </p>\n\n	  <p>\n		 SUN MAKES NO REPRESENTATION OR WARRANTIES ABOUT THE SUITABILITY OF\n		 THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED\n		 TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A\n		 PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  SUN SHALL NOT BE LIABLE FOR\n		 ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR\n		 DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES\n	  </p>\n\n	"
		self.python_name = "SunPPP2000"

	def __str__(self):
		return json.dumps(self.__dict__)


class AFL20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The Academic Free License\nv. 2.0\n\nThis Academic Free License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\n	 Licensed under the Academic Free License version 2.0\n\n1) Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license to do the following:\n\n	 a) to reproduce the Original Work in copies;\n	 b) to prepare derivative works (\"Derivative Works\") based upon the Original Work;\n	 c) to distribute copies of the Original Work and Derivative Works to the public;\n	 d) to perform the Original Work publicly; and\n	 e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and offer for sale the Original Work and Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work.  Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes.  Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\n4) Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior written permission of the Licensor.  Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor except as expressly stated herein.  No patent license is granted to make, use, sell or offer to sell embodiments of any patent claims other than the licensed claims defined in Section 2.  No right is granted to the trademarks of Licensor even if such marks are included in the Original Work.  Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any Original Work that Licensor otherwise would have a right to license.\n\n5) This section intentionally omitted.\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\"  You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights.  Except as expressly stated in the immediately proceeding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU.  This DISCLAIMER OF WARRANTY constitutes an essential part of this License.  No license to Original Work is granted hereunder except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to any person for any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses.  This limitation of liability shall not apply to liability for death or personal injury resulting from Licensor's negligence to the extent applicable law prohibits such limitation.  Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\n9) Acceptance and Termination. If You distribute  copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License.  Nothing else but this License (or another written agreement between Licensor and You) grants You permission to create Derivative Works based upon the Original Work or to exercise any of the rights granted in Section 1 herein, and any attempt to do so except under the terms of this License (or another written agreement between Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other countries, and by international treaty.  Therefore, by exercising any of the rights granted to You in Section 1 herein, You indicate Your acceptance of this License and all of its terms and conditions.\n\n10) Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, for patent infringement (i) against Licensor with respect to a patent applicable to software or (ii) against any entity with respect to a patent applicable to the Original Work (but excluding combinations of the Original Work with other software or hardware).\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions.  The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.  Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of the U.S. Copyright Act, 17 U.S.C. \u00a4 101 et seq., the equivalent laws of other countries, and international treaty.  This section shall survive the termination of this License.\n\n12) Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action.  This section shall survive the termination of this License.\n\n13) Miscellaneous. This License represents the complete agreement concerning the subject matter hereof.  If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License.  For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you.  For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2003 Lawrence E. Rosen.  All rights reserved.\nPermission is hereby granted to copy and distribute this license without modification.  This license may not be modified without the express written permission of its copyright owner.\n"
		self.standardLicenseHeaderTemplate = "Licensed under the Academic Free License version 2.0\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Academic Free License\n\nv. 2.0\n\n<<endOptional>><<beginOptional>> This Academic Free License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\nLicensed under the Academic Free License version 2.0\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license to do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> to reproduce the Original Work in copies;\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> to prepare derivative works (\"Derivative Works\") based upon the Original Work;\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> to distribute copies of the Original Work and Derivative Works to the public;\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> to perform the Original Work publicly; and\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> to display the Original Work publicly.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and offer for sale the Original Work and Derivative Works.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior written permission of the Licensor. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor except as expressly stated herein. No patent license is granted to make, use, sell or offer to sell embodiments of any patent claims other than the licensed claims defined in Section 2. No right is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any Original Work that Licensor otherwise would have a right to license.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> This section intentionally omitted.\n\n   <<var;name=\"bullet\";original=\"6)\";match=\".{0,20}\">> Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n   <<var;name=\"bullet\";original=\"7)\";match=\".{0,20}\">> Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights. Except as expressly stated in the immediately proceeding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to Original Work is granted hereunder except under this disclaimer.\n\n   <<var;name=\"bullet\";original=\"8)\";match=\".{0,20}\">> Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to any person for any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to liability for death or personal injury resulting from Licensor's negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\n   <<var;name=\"bullet\";original=\"9)\";match=\".{0,20}\">> Acceptance and Termination. If You distribute copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. Nothing else but this License (or another written agreement between Licensor and You) grants You permission to create Derivative Works based upon the Original Work or to exercise any of the rights granted in Section 1 herein, and any attempt to do so except under the terms of this License (or another written agreement between Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other countries, and by international treaty. Therefore, by exercising any of the rights granted to You in Section 1 herein, You indicate Your acceptance of this License and all of its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"10)\";match=\".{0,20}\">> Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, for patent infringement (i) against Licensor with respect to a patent applicable to software or (ii) against any entity with respect to a patent applicable to the Original Work (but excluding combinations of the Original Work with other software or hardware).\n\n   <<var;name=\"bullet\";original=\"11)\";match=\".{0,20}\">> Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of the U.S. Copyright Act, 17 U.S.C. \u00a4 101 et seq., the equivalent laws of other countries, and international treaty. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"12)\";match=\".{0,20}\">> Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"13)\";match=\".{0,20}\">> Miscellaneous. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n   <<var;name=\"bullet\";original=\"14)\";match=\".{0,20}\">> Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"15)\";match=\".{0,20}\">> Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2003 Lawrence E. Rosen. All rights reserved.\n\nPermission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n\n"
		self.name = "Academic Free License v2.0"
		self.licenseId = "AFL-2.0"
		self.standardLicenseHeader = "Licensed under the Academic Free License version 2.0\n\n"
		self.crossRef = [{"match": "N/A", "url": "http://wayback.archive.org/web/20060924134533/http://www.opensource.org/licenses/afl-2.0.txt", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:09:33Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://wayback.archive.org/web/20060924134533/http://www.opensource.org/licenses/afl-2.0.txt"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Academic Free License\n		<br />\n\nv. 2.0\n	  </p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>This Academic Free License (the &quot;License&quot;) applies to any original work of authorship (the &quot;Original\n		 Work&quot;) whose owner (the &quot;Licensor&quot;) has placed the following notice immediately following the\n		 copyright notice for the Original Work:</p>\n\n		 <p>Licensed under the Academic Free License version 2.0</p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive,\n			 perpetual, sublicenseable license to do the following:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			  to reproduce the Original Work in copies;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			  to prepare derivative works (&quot;Derivative Works&quot;) based upon the Original Work;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			  to distribute copies of the Original Work and Derivative Works to the public;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			  to perform the Original Work publicly; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			  to display the Original Work publicly.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive,\n			 perpetual, sublicenseable license, under patent claims owned or controlled by the Licensor\n			 that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and\n			 offer for sale the Original Work and Derivative Works.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  Grant of Source Code License. The term &quot;Source Code&quot; means the preferred form of the Original\n			 Work for making modifications to it and all available documentation describing how to modify\n			 the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source\n			 Code of the Original Work along with each copy of the Original Work that Licensor distributes.\n			 Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of\n			 the Source Code in an information repository reasonably calculated to permit inexpensive and\n			 convenient access by You for as long as Licensor continues to distribute the Original Work,\n			 and by publishing the address of that information repository in a notice immediately following\n			 the copyright notice that applies to the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors\n			 to the Original Work, nor any of their trademarks or service marks, may be used to endorse or\n			 promote products derived from this Original Work without express prior written permission of\n			 the Licensor. Nothing in this License shall be deemed to grant any rights to trademarks,\n			 copyrights, patents, trade secrets or any other intellectual property of Licensor except as\n			 expressly stated herein. No patent license is granted to make, use, sell or offer to sell\n			 embodiments of any patent claims other than the licensed claims defined in Section 2. No right\n			 is granted to the trademarks of Licensor even if such marks are included in the Original Work.\n			 Nothing in this License shall be interpreted to prohibit Licensor from licensing under\n			 different terms from this License any Original Work that Licensor otherwise would have a right\n			 to license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  This section intentionally omitted.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6)</var>\n		  Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create,\n			 all copyright, patent or trademark notices from the Source Code of the Original Work, as well\n			 as any notices of licensing and any descriptive text identified therein as an &quot;Attribution\n			 Notice.&quot; You must cause the Source Code for any Derivative Works that You create to carry a\n			 prominent Attribution Notice reasonably calculated to inform recipients that You have modified\n			 the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7)</var>\n		  Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to\n			 the Original Work and the patent rights granted herein by Licensor are owned by the Licensor\n			 or are sublicensed to You under the terms of this License with the permission of the\n			 contributor(s) of those copyrights and patent rights. Except as expressly stated in the\n			 immediately proceeding sentence, the Original Work is provided under this License on an &quot;AS\n			 IS&quot; BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the\n			 warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. THE\n			 ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY\n			 constitutes an essential part of this License. No license to Original Work is granted\n			 hereunder except under this disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8)</var>\n		  Limitation of Liability. Under no circumstances and under no legal theory, whether in tort\n			 (including negligence), contract, or otherwise, shall the Licensor be liable to any person for\n			 any direct, indirect, special, incidental, or consequential damages of any character arising\n			 as a result of this License or the use of the Original Work including, without limitation,\n			 damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all\n			 other commercial damages or losses. This limitation of liability shall not apply to liability\n			 for death or personal injury resulting from Licensor&apos;s negligence to the extent applicable law\n			 prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of\n			 incidental or consequential damages, so this exclusion and limitation may not apply to\n			 You.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9)</var>\n		  Acceptance and Termination. If You distribute copies of the Original Work or a Derivative Work,\n			 You must make a reasonable effort under the circumstances to obtain the express assent of\n			 recipients to the terms of this License. Nothing else but this License (or another written\n			 agreement between Licensor and You) grants You permission to create Derivative Works based\n			 upon the Original Work or to exercise any of the rights granted in Section 1 herein, and any\n			 attempt to do so except under the terms of this License (or another written agreement between\n			 Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other\n			 countries, and by international treaty. Therefore, by exercising any of the rights granted to\n			 You in Section 1 herein, You indicate Your acceptance of this License and all of its terms and\n			 conditions.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10)</var>\n		  Termination for Patent Action. This License shall terminate automatically and You may no longer\n			 exercise any of the rights granted to You by this License as of the date You commence an\n			 action, including a cross-claim or counterclaim, for patent infringement (i) against Licensor\n			 with respect to a patent applicable to software or (ii) against any entity with respect to a\n			 patent applicable to the Original Work (but excluding combinations of the Original Work with\n			 other software or hardware).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11)</var>\n		  Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought\n			 only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor\n			 conducts its primary business, and under the laws of that jurisdiction excluding its\n			 conflict-of-law provisions. The application of the United Nations Convention on Contracts for\n			 the International Sale of Goods is expressly excluded. Any use of the Original Work outside\n			 the scope of this License or after its termination shall be subject to the requirements and\n			 penalties of the U.S. Copyright Act, 17 U.S.C. \u00a4 101 et seq., the equivalent laws of other\n			 countries, and international treaty. This section shall survive the termination of this\n			 License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12)</var>\n		  Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating\n			 thereto, the prevailing party shall be entitled to recover its costs and expenses, including,\n			 without limitation, reasonable attorneys&apos; fees and costs incurred in connection with such\n			 action, including any appeal of such action. This section shall survive the termination of\n			 this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13)</var>\n		  Miscellaneous. This License represents the complete agreement concerning the subject matter\n			 hereof. If any provision of this License is held to be unenforceable, such provision shall be\n			 reformed only to the extent necessary to make it enforceable.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14)</var>\n		  Definition of &quot;You&quot; in This License. &quot;You&quot; throughout this License, whether in upper or lower\n			 case, means an individual or a legal entity exercising rights under, and complying with all of\n			 the terms of, this License. For legal entities, &quot;You&quot; includes any entity that controls, is\n			 controlled by, or is under common control with you. For purposes of this definition, &quot;control&quot;\n			 means (i) the power, direct or indirect, to cause the direction or management of such entity,\n			 whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the\n			 outstanding shares, or (iii) beneficial ownership of such entity.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15)</var>\n		  Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned\n			 by this License or by law, and Licensor promises not to interfere with or be responsible for\n			 such uses by You.\n		</li>\n	  \n</ul>\n	  <p>This license is Copyright (C) 2003 Lawrence E. Rosen. All rights reserved.\n		<br />\n\nPermission is hereby granted to copy and distribute this license without modification. This license\n			 may not be modified without the express written permission of its copyright owner.\n	  </p>\n\n	"
		self.standardLicenseHeaderHtml = "\n		 <p>Licensed under the Academic Free License version 2.0</p>\n\n		 "
		self.python_name = "AFL20"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD3ClauseNoNuclearLicense2014:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "\nCopyright \u00a9 2008, 2014 Oracle and/or its affiliates. All rights reserved.\n\nUse is subject to license terms.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 * Neither the name of Oracle Corporation nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nYou acknowledge that this software is not designed, licensed or intended for use in the design, construction, operation or maintenance of any nuclear facility.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright \u00a9 2008, 2014 Oracle and/or its affiliates. All rights reserved.  \";match=\".{0,5000}\">>\n\nUse is subject to license terms.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Neither the name of Oracle Corporation nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nYou acknowledge that this software is not designed, licensed or intended for use in the design, construction, operation or maintenance of any nuclear facility.\n\n"
		self.name = "BSD 3-Clause No Nuclear License 2014"
		self.licenseComments = "This license has a Oracle copyright notice. It is the same license as BSD-3-Clause-No-Nuclear-License, except it has a different entire disclaimer clause that is the same as BSD-3-Clause."
		self.licenseId = "BSD-3-Clause-No-Nuclear-License-2014"
		self.crossRef = [{"match": "N/A", "url": "https://java.net/projects/javaeetutorial/pages/BerkeleyLicense", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:17:10Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://java.net/projects/javaeetutorial/pages/BerkeleyLicense"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright \u00a9 2008, 2014 Oracle and/or its affiliates. All rights\n		 reserved.</p>\n\n	  </div>\n	  <p>Use is subject to license terms.</p>\n\n	  <p>Redistribution and use in source and binary forms, with or\n		 without modification, are permitted provided that the\n		 following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions of source code must retain the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions in binary form must reproduce the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer in the documentation and/or other\n			 materials provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Neither the name of Oracle Corporation nor the names of\n			 its contributors may be used to endorse or promote\n			 products derived from this software without specific\n			 prior written permission.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND\n		 CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n		 MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE\n		 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR\n		 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n		 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\n		 NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n		 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n		 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n		 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR\n		 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,\n		 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>You acknowledge that this software is not designed, licensed or\n		 intended for use in the design, construction, operation or\n		 maintenance of any nuclear facility.</p>\n\n	"
		self.python_name = "BSD3ClauseNoNuclearLicense2014"

	def __str__(self):
		return json.dumps(self.__dict__)


class CATOSL11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Computer Associates Trusted Open Source License\nVersion 1.1\n\nPLEASE READ THIS DOCUMENT CAREFULLY AND IN ITS ENTIRETY. THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMPUTER ASSOCIATES TRUSTED OPEN SOURCE LICENSE (\"LICENSE\"). ANY USE, REPRODUCTION, MODIFICATION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES THE RECIPIENT'S ACCEPTANCE OF THIS LICENSE.\n\nLicense Background\n\nComputer Associates International, Inc. (CA) believes in open source. We believe that the open source development approach can take appropriate software programs to unprecedented levels of quality, growth, and innovation. To demonstrate our continuing commitment to open source, we are releasing the Program (as defined below) under this License.\n\nThis License is intended to permit contributors and recipients of the Program to use the Program, including its source code, freely and without many of the concerns of some other open source licenses. Although we expect the underlying Program, and Contributions (as defined below) made to such Program, to remain open, this License is designed to permit you to maintain your own software programs free of this License unless you choose to do so. Thus, only your Contributions to the Program must be distributed under the terms of this License.\n\nThe provisions that follow set forth the terms and conditions under which you may use the Program.\n\n1. DEFINITIONS\n\n1.1 Contribution means (a) in the case of CA, the Original Program; and (b) in the case of each Contributor (including CA), changes and additions to the Program, where such changes and/or additions to the Program originate from and are distributed by that particular Contributor to unaffiliated third parties. A Contribution originates from a Contributor if it was added to the Program by such Contributor itself or anyone acting on such Contributors behalf. Contributions do not include additions to the Program which: (x) are separate modules of software distributed in conjunction with the Program under their own license agreement, and (y) are not derivative works of the Program.\n\n1.2 Contributor means CA and any other person or entity that distributes the Program.\n\n1.3 Contributor Version means as to a Contributor, that version of the Program that includes the Contributors Contribution but not any Contributions made to the Program thereafter.\n\n1.4 Larger Work means a work that combines the Program or portions thereof with code not governed by the terms of this License.\n\n1.5 Licensed Patents mean patents licensable by a Contributor that are infringed by the use or sale of its Contribution alone or when combined with the Program.\n\n1.6 Original Program means the original version of the software to which this License is attached and as released by CA, including source code, object code and documentation, if any.\n\n1.7 Program means the Original Program and Contributions.\n\n1.8 Recipient means anyone who modifies, copies, uses or distributes the Program.\n\n2. GRANT OF RIGHTS\n\n2.1 Subject to the terms of this License, each Contributor hereby grants Recipient an irrevocable, non-exclusive, worldwide, royalty-free license to reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, and such derivative works, in source code and object code form. For the avoidance of doubt, the license provided in this Section 2.1 shall not include a license to any Licensed Patents of a Contributor.\n\n2.2 Subject to the terms of this License, each Contributor hereby grants Recipient an irrevocable, non-exclusive, worldwide, royalty-free license to the Licensed Patents to the extent necessary to make, use, sell, offer to sell and import the Contribution of such Contributor, if any, in source code and object code form. The license granted in this Section 2.2 shall apply to the combination of the Contribution and the Program if, at the time the Contribution is added by the Contributor, such addition of the Contribution causes the Licensed Patents to be infringed by such combination. Notwithstanding the foregoing, no license is granted under this Section 2.2: (a) for any code or works that do not include the Contributor Version, as it exists and is used in accordance with the terms hereof; (b) for infringements caused by: (i) third party modifications of the Contributor Version; or (ii) the combination of Contributions made by each such Contributor with other software (except as part of the Contributor Version) or other devices; or (c) with respect to Licensed Patents infringed by the Program in the absence of Contributions made by that Contributor.\n\n2.3 Recipient understands that although each Contributor grants the licenses to its Contributions set forth herein, except as provided in Section 2.4, no assurances are provided by any Contributor that the Program does not infringe the patent or other intellectual property rights of any other person or entity. Each Contributor disclaims any liability to Recipient for claims brought by any other person or entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole responsibility to secure any other intellectual property rights needed, if any.\n\n2.4 Each Contributor represents and warrants that it has all right, title and interest in the copyrights in its Contributions, and has the right to grant the copyright licenses set forth in this License.\n\n3. DISTRIBUTION REQUIREMENTS\n\n3.1 If the Program is distributed in object code form, then a prominent notice must be included in the code itself as well as in any related documentation, stating that the source code for the Program is available from the Contributor with information on how and where to obtain the source code. A Contributor may choose to distribute the Program in object code form under its own license agreement, provided that:\n\n	 * it complies with the terms and conditions of this License; and\n	 * its license agreement:\n		  * effectively disclaims on behalf of all Contributors all warranties and conditions, express and implied, including warranties or conditions of title and non-infringement, and implied warranties or conditions of merchantability and fitness for a particular purpose, to the maximum extent permitted by applicable law;\n		  * effectively excludes on behalf of all Contributors all liability for damages, including direct, indirect, special, incidental and consequential damages, such as lost profits, to the maximum extent permitted by applicable law;\n		  * states that any provisions which are inconsistent with this License are offered by that Contributor alone and not by any other party; and\n		  * states that source code for the Program is available from such Contributor at the cost of distribution, and informs licensees how to obtain it in a reasonable manner.\n\n3.2 When the Program is made available in source code form:\n\n	 * it must be made available under this License; and\n	 * a copy of this License must be included with each copy of the Program.\n\n3.3 This License is intended to facilitate the commercial distribution of the Program by any Contributor. However, Contributors may only charge Recipients a one-time, upfront fee for the distribution of the Program. Contributors may not charge Recipients any recurring charge, license fee, or any ongoing royalty for the Recipients exercise of its rights under this License to the Program. Contributors shall make the source code for the Contributor Version they distribute available at a cost, if any, equal to the cost to the Contributor to physically copy and distribute the work. It is not the intent of this License to prohibit a Contributor from charging fees for any service or maintenance that a Contributor may charge to a Recipient, so long as such fees are not an attempt to circumvent the foregoing restrictions on charging royalties or other recurring fees for the Program itself.\n\n3.4 A Contributor may create a Larger Work by combining the Program with other software code not governed by the terms of this License, and distribute the Larger Work as a single product. In such a case, the Contributor must make sure that the requirements of this License are fulfilled for the Program. Any Contributor who includes the Program in a commercial product offering, including as part of a Larger Work, may subject itself, but not any other Contributor, to additional contractual commitments, including, but not limited to, performance warranties and non-infringement representations on suchContributors behalf. No Contributor may create any additional liability for other Contributors. Therefore, if a Contributor includes the Program in a commercial product offering, such Contributor (Commercial Contributor) hereby agrees to defend and indemnify every other Contributor (Indemnified Contributor) who made Contributions to the Program distributed by the Commercial Contributor against any losses, damages and costs (collectively Losses) arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Contributor to the extent caused by the acts or omissions, including any additional contractual commitments, of such Commercial Contributor in connection with its distribution of the Program. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement.\n\n3.5 If Contributor has knowledge that a license under a third partys intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must (a) include a text file with the Program source code distribution titled ../IP_ISSUES, and (b) notify CA in writing at Computer Associates International, Inc., One Computer Associates Plaza, Islandia, New York 11749, Attn: Open Source Group or by email at opensource@ca.com, both describing the claim and the party making the claim in sufficient detail that a Recipient and CA will know whom to contact with regard to such matter. If Contributor obtains such knowledge after the Contribution is made available, Contributor shall also promptly modify the IP_ISSUES file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Program that such new knowledge has been obtained.\n\n3.6 Recipient shall not remove, obscure, or modify any CA or other Contributor copyright or patent proprietary notices appearing in the Program, whether in the source code, object code or in any documentation. In addition to the obligations set forth in Section 4, each Contributor must identify itself as the originator of its Contribution, if any, in a manner that reasonably allows subsequent Recipients to identify the originator of the Contribution.\n\n4. CONTRIBUTION RESTRICTIONS\n\n4.1 Each Contributor must cause the Program to which the Contributor provides a Contribution to contain a file documenting the changes the Contributor made to create its version of the Program and the date of any change. Each Contributor must also include a prominent statement that the Contribution is derived, directly or indirectly, from the Program distributed by a prior Contributor, including the name of the prior Contributor from which such Contribution was derived, in (a) the Program source code, and (b) in any notice in an executable version or related documentation in which the Contributor describes the origin or ownership of the Program.\n\n5. NO WARRANTY\n\n5.1 EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, THE PROGRAM IS PROVIDED AS IS AND IN ITS PRESENT STATE AND CONDITION. NO WARRANTY, REPRESENTATION, CONDITION, UNDERTAKING OR TERM, EXPRESS OR IMPLIED, STATUTORY OR OTHERWISE, AS TO THE CONDITION, QUALITY, DURABILITY, PERFORMANCE, NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE OR USE OF THE PROGRAM IS GIVEN OR ASSUMED BY ANY CONTRIBUTOR AND ALL SUCH WARRANTIES, REPRESENTATIONS, CONDITIONS, UNDERTAKINGS AND TERMS ARE HEREBY EXCLUDED TO THE FULLEST EXTENT PERMITTED BY LAW.\n\n5.2 Each Recipient is solely responsible for determining the appropriateness of using and distributing the Program and assumes all risks associated with its exercise of rights under this License, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n5.3 Each Recipient acknowledges that the Program is not intended for use in the operation of nuclear facilities, aircraft navigation, communication systems, or air traffic control machines in which case the failure of the Program could lead to death, personal injury, or severe physical or environmental damage.\n\n6. DISCLAIMER OF LIABILITY\n\n6.1 EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, AND TO THE EXTENT PERMITTED BY LAW, NO CONTRIBUTOR SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. TRADEMARKS AND BRANDING\n\n7.1 This License does not grant any Recipient or any third party any rights to use the trademarks or trade names now or subsequently posted at http://www.ca.com/catrdmrk.htm, or any other trademarks, service marks, logos or trade names belonging to CA (collectively CA Marks) or to any trademark, service mark, logo or trade name belonging to any Contributor. Recipient agrees not to use any CA Marks in or as part of the name of products derived from the Original Program or to endorse or promote products derived from the Original Program.\n\n7.2 Subject to Section 7.1, Recipients may distribute the Program under trademarks, logos, and product names belonging to the Recipient provided that all copyright and other attribution notices remain in the Program.\n\n8. PATENT LITIGATION\n\n8.1 If Recipient institutes patent litigation against any person or entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of the Program with other software or hardware) infringes such Recipients patent(s), then such Recipients rights granted under Section 2.2 shall terminate as of the date such litigation is filed.\n\n9. OWNERSHIP\n\n9.1 Subject to the licenses granted under this License in Sections 2.1 and 2.2 above, each Contributor retains all rights, title and interest in and to any Contributions made by such Contributor. CA retains all rights, title and interest in and to the Original Program and any Contributions made by or on behalf of CA (CA Contributions), and such CA Contributions will not be automatically subject to this License. CA may, at its sole discretion, choose to license such CA Contributions under this License, or on different terms from those contained in this License or may choose not to license them at all.\n\n10. TERMINATION\n\n10.1 All of Recipients rights under this License shall terminate if it fails to comply with any of the material terms or conditions of this License and does not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If Recipients rights under this License terminate, Recipient agrees to cease use and distribution of the Program as soon as reasonably practicable. However, Recipients obligations under this License and any licenses granted by Recipient as a Contributor relating to the Program shall continue and survive termination.\n\n11. GENERAL\n\n11.1 If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n11.2 CA may publish new versions (including revisions) of this License from time to time. Each new version of the License will be given a distinguishing version number. The Program (including Contributions) may always be distributed subject to the version of the License under which it was received. In addition, after a new version of the License is published, Contributor may elect to distribute the Program (including its Contributions) under the new version. No one other than CA has the right to modify this License.\n\n11.3 If it is impossible for Recipient to comply with any of the terms of this License with respect to some or all of the Program due to statute, judicial order, or regulation, then Recipient must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the IP_ISSUES file described in Section 3.5 and must be included with all distributions of the Program source code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a Recipient of ordinary skill to be able to understand it.\n\n11.4 This License is governed by the laws of the State of New York. No Recipient will bring a legal action under this License more than one year after the cause of action arose. Each Recipient waives its rights to a jury trial in any resulting litigation. Any litigation or other dispute resolution between a Recipient and CA relating to this License shall take place in the State of New York, and Recipient and CA hereby consent to the personal jurisdiction of, and venue in, the state and federal courts within that district with respect to this License. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n11.5 Where Recipient is located in the province of Quebec, Canada, the following clause applies: The parties hereby confirm that they have requested that this License and all related documents be drafted in English. Les parties contractantes confirment qu'elles ont exige que le present contrat et tous les documents associes soient rediges en anglais.\n\n11.6 The Program is subject to all export and import laws, restrictions and regulations of the country in which Recipient receives the Program. Recipient is solely responsible for complying with and ensuring that Recipient does not export, re-export, or import the Program in violation of such laws, restrictions or regulations, or without any necessary licenses and authorizations.\n\n11.7 This License constitutes the entire agreement between the parties with respect to the subject matter hereof.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Computer Associates Trusted Open Source License\n\nVersion 1.1\n\n<<endOptional>>\n\nPLEASE READ THIS DOCUMENT CAREFULLY AND IN ITS ENTIRETY. THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMPUTER ASSOCIATES TRUSTED OPEN SOURCE LICENSE (\"LICENSE\"). ANY USE, REPRODUCTION, MODIFICATION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES THE RECIPIENT'S ACCEPTANCE OF THIS LICENSE.\n\nLicense Background\n\nComputer Associates International, Inc. (CA) believes in open source. We believe that the open source development approach can take appropriate software programs to unprecedented levels of quality, growth, and innovation. To demonstrate our continuing commitment to open source, we are releasing the Program (as defined below) under this License.\n\nThis License is intended to permit contributors and recipients of the Program to use the Program, including its source code, freely and without many of the concerns of some other open source licenses. Although we expect the underlying Program, and Contributions (as defined below) made to such Program, to remain open, this License is designed to permit you to maintain your own software programs free of this License unless you choose to do so. Thus, only your Contributions to the Program must be distributed under the terms of this License.\n\nThe provisions that follow set forth the terms and conditions under which you may use the Program.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> DEFINITIONS\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> Contribution means (a) in the case of CA, the Original Program; and (b) in the case of each Contributor (including CA), changes and additions to the Program, where such changes and/or additions to the Program originate from and are distributed by that particular Contributor to unaffiliated third parties. A Contribution originates from a Contributor if it was added to the Program by such Contributor itself or anyone acting on such Contributors behalf. Contributions do not include additions to the Program which: (x) are separate modules of software distributed in conjunction with the Program under their own license agreement, and (y) are not derivative works of the Program.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> Contributor means CA and any other person or entity that distributes the Program.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> Contributor Version means as to a Contributor, that version of the Program that includes the Contributors Contribution but not any Contributions made to the Program thereafter.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> Larger Work means a work that combines the Program or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> Licensed Patents mean patents licensable by a Contributor that are infringed by the use or sale of its Contribution alone or when combined with the Program.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> Original Program means the original version of the software to which this License is attached and as released by CA, including source code, object code and documentation, if any.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> Program means the Original Program and Contributions.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> Recipient means anyone who modifies, copies, uses or distributes the Program.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> GRANT OF RIGHTS\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> Subject to the terms of this License, each Contributor hereby grants Recipient an irrevocable, non-exclusive, worldwide, royalty-free license to reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, and such derivative works, in source code and object code form. For the avoidance of doubt, the license provided in this Section 2.1 shall not include a license to any Licensed Patents of a Contributor.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> Subject to the terms of this License, each Contributor hereby grants Recipient an irrevocable, non-exclusive, worldwide, royalty-free license to the Licensed Patents to the extent necessary to make, use, sell, offer to sell and import the Contribution of such Contributor, if any, in source code and object code form. The license granted in this Section 2.2 shall apply to the combination of the Contribution and the Program if, at the time the Contribution is added by the Contributor, such addition of the Contribution causes the Licensed Patents to be infringed by such combination. Notwithstanding the foregoing, no license is granted under this Section 2.2: (a) for any code or works that do not include the Contributor Version, as it exists and is used in accordance with the terms hereof; (b) for infringements caused by: (i) third party modifications of the Contributor Version; or (ii) the combination of Contributions made by each such Contributor with other software (except as part of the Contributor Version) or other devices; or (c) with respect to Licensed Patents infringed by the Program in the absence of Contributions made by that Contributor.\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> Recipient understands that although each Contributor grants the licenses to its Contributions set forth herein, except as provided in Section 2.4, no assurances are provided by any Contributor that the Program does not infringe the patent or other intellectual property rights of any other person or entity. Each Contributor disclaims any liability to Recipient for claims brought by any other person or entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole responsibility to secure any other intellectual property rights needed, if any.\n\n	  <<var;name=\"bullet\";original=\"2.4\";match=\".{0,20}\">> Each Contributor represents and warrants that it has all right, title and interest in the copyrights in its Contributions, and has the right to grant the copyright licenses set forth in this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> DISTRIBUTION REQUIREMENTS\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> If the Program is distributed in object code form, then a prominent notice must be included in the code itself as well as in any related documentation, stating that the source code for the Program is available from the Contributor with information on how and where to obtain the source code. A Contributor may choose to distribute the Program in object code form under its own license agreement, provided that:\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> it complies with the terms and conditions of this License; and\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> its license agreement:\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> effectively disclaims on behalf of all Contributors all warranties and conditions, express and implied, including warranties or conditions of title and non-infringement, and implied warranties or conditions of merchantability and fitness for a particular purpose, to the maximum extent permitted by applicable law;\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> effectively excludes on behalf of all Contributors all liability for damages, including direct, indirect, special, incidental and consequential damages, such as lost profits, to the maximum extent permitted by applicable law;\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> states that any provisions which are inconsistent with this License are offered by that Contributor alone and not by any other party; and\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> states that source code for the Program is available from such Contributor at the cost of distribution, and informs licensees how to obtain it in a reasonable manner.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> When the Program is made available in source code form:\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> it must be made available under this License; and\n\n		 <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> a copy of this License must be included with each copy of the Program.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> This License is intended to facilitate the commercial distribution of the Program by any Contributor. However, Contributors may only charge Recipients a one-time, upfront fee for the distribution of the Program. Contributors may not charge Recipients any recurring charge, license fee, or any ongoing royalty for the Recipients exercise of its rights under this License to the Program. Contributors shall make the source code for the Contributor Version they distribute available at a cost, if any, equal to the cost to the Contributor to physically copy and distribute the work. It is not the intent of this License to prohibit a Contributor from charging fees for any service or maintenance that a Contributor may charge to a Recipient, so long as such fees are not an attempt to circumvent the foregoing restrictions on charging royalties or other recurring fees for the Program itself.\n\n	  <<var;name=\"bullet\";original=\"3.4\";match=\".{0,20}\">> A Contributor may create a Larger Work by combining the Program with other software code not governed by the terms of this License, and distribute the Larger Work as a single product. In such a case, the Contributor must make sure that the requirements of this License are fulfilled for the Program. Any Contributor who includes the Program in a commercial product offering, including as part of a Larger Work, may subject itself, but not any other Contributor, to additional contractual commitments, including, but not limited to, performance warranties and non-infringement representations on suchContributors behalf. No Contributor may create any additional liability for other Contributors. Therefore, if a Contributor includes the Program in a commercial product offering, such Contributor (Commercial Contributor) hereby agrees to defend and indemnify every other Contributor (Indemnified Contributor) who made Contributions to the Program distributed by the Commercial Contributor against any losses, damages and costs (collectively Losses) arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Contributor to the extent caused by the acts or omissions, including any additional contractual commitments, of such Commercial Contributor in connection with its distribution of the Program. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement.\n\n	  <<var;name=\"bullet\";original=\"3.5\";match=\".{0,20}\">> If Contributor has knowledge that a license under a third partys intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must (a) include a text file with the Program source code distribution titled ../IP_ISSUES, and (b) notify CA in writing at Computer Associates International, Inc., One Computer Associates Plaza, Islandia, New York 11749, Attn: Open Source Group or by email at opensource@ca.com, both describing the claim and the party making the claim in sufficient detail that a Recipient and CA will know whom to contact with regard to such matter. If Contributor obtains such knowledge after the Contribution is made available, Contributor shall also promptly modify the IP_ISSUES file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Program that such new knowledge has been obtained.\n\n	  <<var;name=\"bullet\";original=\"3.6\";match=\".{0,20}\">> Recipient shall not remove, obscure, or modify any CA or other Contributor copyright or patent proprietary notices appearing in the Program, whether in the source code, object code or in any documentation. In addition to the obligations set forth in Section 4, each Contributor must identify itself as the originator of its Contribution, if any, in a manner that reasonably allows subsequent Recipients to identify the originator of the Contribution.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> CONTRIBUTION RESTRICTIONS\n\n	  <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> Each Contributor must cause the Program to which the Contributor provides a Contribution to contain a file documenting the changes the Contributor made to create its version of the Program and the date of any change. Each Contributor must also include a prominent statement that the Contribution is derived, directly or indirectly, from the Program distributed by a prior Contributor, including the name of the prior Contributor from which such Contribution was derived, in (a) the Program source code, and (b) in any notice in an executable version or related documentation in which the Contributor describes the origin or ownership of the Program.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> NO WARRANTY\n\n	  <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, THE PROGRAM IS PROVIDED AS IS AND IN ITS PRESENT STATE AND CONDITION. NO WARRANTY, REPRESENTATION, CONDITION, UNDERTAKING OR TERM, EXPRESS OR IMPLIED, STATUTORY OR OTHERWISE, AS TO THE CONDITION, QUALITY, DURABILITY, PERFORMANCE, NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE OR USE OF THE PROGRAM IS GIVEN OR ASSUMED BY ANY CONTRIBUTOR AND ALL SUCH WARRANTIES, REPRESENTATIONS, CONDITIONS, UNDERTAKINGS AND TERMS ARE HEREBY EXCLUDED TO THE FULLEST EXTENT PERMITTED BY LAW.\n\n	  <<var;name=\"bullet\";original=\"5.2\";match=\".{0,20}\">> Each Recipient is solely responsible for determining the appropriateness of using and distributing the Program and assumes all risks associated with its exercise of rights under this License, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n	  <<var;name=\"bullet\";original=\"5.3\";match=\".{0,20}\">> Each Recipient acknowledges that the Program is not intended for use in the operation of nuclear facilities, aircraft navigation, communication systems, or air traffic control machines in which case the failure of the Program could lead to death, personal injury, or severe physical or environmental damage.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> DISCLAIMER OF LIABILITY\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, AND TO THE EXTENT PERMITTED BY LAW, NO CONTRIBUTOR SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> TRADEMARKS AND BRANDING\n\n	  <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> This License does not grant any Recipient or any third party any rights to use the trademarks or trade names now or subsequently posted at http://www.ca.com/catrdmrk.htm, or any other trademarks, service marks, logos or trade names belonging to CA (collectively CA Marks) or to any trademark, service mark, logo or trade name belonging to any Contributor. Recipient agrees not to use any CA Marks in or as part of the name of products derived from the Original Program or to endorse or promote products derived from the Original Program.\n\n	  <<var;name=\"bullet\";original=\"7.2\";match=\".{0,20}\">> Subject to Section 7.1, Recipients may distribute the Program under trademarks, logos, and product names belonging to the Recipient provided that all copyright and other attribution notices remain in the Program.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> PATENT LITIGATION\n\n	  <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> If Recipient institutes patent litigation against any person or entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of the Program with other software or hardware) infringes such Recipients patent(s), then such Recipients rights granted under Section 2.2 shall terminate as of the date such litigation is filed.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> OWNERSHIP\n\n	  <<var;name=\"bullet\";original=\"9.1\";match=\".{0,20}\">> Subject to the licenses granted under this License in Sections 2.1 and 2.2 above, each Contributor retains all rights, title and interest in and to any Contributions made by such Contributor. CA retains all rights, title and interest in and to the Original Program and any Contributions made by or on behalf of CA (CA Contributions), and such CA Contributions will not be automatically subject to this License. CA may, at its sole discretion, choose to license such CA Contributions under this License, or on different terms from those contained in this License or may choose not to license them at all.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> TERMINATION\n\n	  <<var;name=\"bullet\";original=\"10.1\";match=\".{0,20}\">> All of Recipients rights under this License shall terminate if it fails to comply with any of the material terms or conditions of this License and does not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If Recipients rights under this License terminate, Recipient agrees to cease use and distribution of the Program as soon as reasonably practicable. However, Recipients obligations under this License and any licenses granted by Recipient as a Contributor relating to the Program shall continue and survive termination.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> GENERAL\n\n	  <<var;name=\"bullet\";original=\"11.1\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"11.2\";match=\".{0,20}\">> CA may publish new versions (including revisions) of this License from time to time. Each new version of the License will be given a distinguishing version number. The Program (including Contributions) may always be distributed subject to the version of the License under which it was received. In addition, after a new version of the License is published, Contributor may elect to distribute the Program (including its Contributions) under the new version. No one other than CA has the right to modify this License.\n\n	  <<var;name=\"bullet\";original=\"11.3\";match=\".{0,20}\">> If it is impossible for Recipient to comply with any of the terms of this License with respect to some or all of the Program due to statute, judicial order, or regulation, then Recipient must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the IP_ISSUES file described in Section 3.5 and must be included with all distributions of the Program source code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a Recipient of ordinary skill to be able to understand it.\n\n	  <<var;name=\"bullet\";original=\"11.4\";match=\".{0,20}\">> This License is governed by the laws of the State of New York. No Recipient will bring a legal action under this License more than one year after the cause of action arose. Each Recipient waives its rights to a jury trial in any resulting litigation. Any litigation or other dispute resolution between a Recipient and CA relating to this License shall take place in the State of New York, and Recipient and CA hereby consent to the personal jurisdiction of, and venue in, the state and federal courts within that district with respect to this License. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n	  <<var;name=\"bullet\";original=\"11.5\";match=\".{0,20}\">> Where Recipient is located in the province of Quebec, Canada, the following clause applies: The parties hereby confirm that they have requested that this License and all related documents be drafted in English. Les parties contractantes confirment qu'elles ont exige que le present contrat et tous les documents associes soient rediges en anglais.\n\n	  <<var;name=\"bullet\";original=\"11.6\";match=\".{0,20}\">> The Program is subject to all export and import laws, restrictions and regulations of the country in which Recipient receives the Program. Recipient is solely responsible for complying with and ensuring that Recipient does not export, re-export, or import the Program in violation of such laws, restrictions or regulations, or without any necessary licenses and authorizations.\n\n	  <<var;name=\"bullet\";original=\"11.7\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the subject matter hereof."
		self.name = "Computer Associates Trusted Open Source License 1.1"
		self.licenseId = "CATOSL-1.1"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/CATOSL-1.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:24Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/CATOSL-1.1"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Computer Associates Trusted Open Source License\n		<br />\n\nVersion 1.1\n	  </p>\n\n	  </div>\n\n	  <p>PLEASE READ THIS DOCUMENT CAREFULLY AND IN ITS ENTIRETY. THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE\n		 TERMS OF THIS COMPUTER ASSOCIATES TRUSTED OPEN SOURCE LICENSE (&quot;LICENSE&quot;). ANY USE,\n		 REPRODUCTION, MODIFICATION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES THE RECIPIENT&apos;S ACCEPTANCE\n		 OF THIS LICENSE.</p>\n\n	  <p>License Background</p>\n\n	  <p>Computer Associates International, Inc. (CA) believes in open source. We believe that the open source\n		 development approach can take appropriate software programs to unprecedented levels of quality,\n		 growth, and innovation. To demonstrate our continuing commitment to open source, we are releasing the\n		 Program (as defined below) under this License.</p>\n\n	  <p>This License is intended to permit contributors and recipients of the Program to use the Program,\n		 including its source code, freely and without many of the concerns of some other open source licenses.\n		 Although we expect the underlying Program, and Contributions (as defined below) made to such Program,\n		 to remain open, this License is designed to permit you to maintain your own software programs free of\n		 this License unless you choose to do so. Thus, only your Contributions to the Program must be\n		 distributed under the terms of this License.</p>\n\n	  <p>The provisions that follow set forth the terms and conditions under which you may use the Program.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  DEFINITIONS\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1</var>\n			  Contribution means (a) in the case of CA, the Original Program; and (b) in the case of each\n				 Contributor (including CA), changes and additions to the Program, where such changes and/or\n				 additions to the Program originate from and are distributed by that particular Contributor to\n				 unaffiliated third parties. A Contribution originates from a Contributor if it was added to\n				 the Program by such Contributor itself or anyone acting on such Contributors behalf.\n				 Contributions do not include additions to the Program which: (x) are separate modules of\n				 software distributed in conjunction with the Program under their own license agreement, and\n				 (y) are not derivative works of the Program.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2</var>\n			  Contributor means CA and any other person or entity that distributes the Program.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3</var>\n			  Contributor Version means as to a Contributor, that version of the Program that includes the\n				 Contributors Contribution but not any Contributions made to the Program thereafter.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4</var>\n			  Larger Work means a work that combines the Program or portions thereof with code not governed by\n				 the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5</var>\n			  Licensed Patents mean patents licensable by a Contributor that are infringed by the use or sale\n				 of its Contribution alone or when combined with the Program.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6</var>\n			  Original Program means the original version of the software to which this License is attached and\n				 as released by CA, including source code, object code and documentation, if any.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7</var>\n			  Program means the Original Program and Contributions.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8</var>\n			  Recipient means anyone who modifies, copies, uses or distributes the Program.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  GRANT OF RIGHTS\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1</var>\n			  Subject to the terms of this License, each Contributor hereby grants Recipient an irrevocable,\n				 non-exclusive, worldwide, royalty-free license to reproduce, prepare derivative works of,\n				 publicly display, publicly perform, distribute and sublicense the Contribution of such\n				 Contributor, if any, and such derivative works, in source code and object code form. For the\n				 avoidance of doubt, the license provided in this Section 2.1 shall not include a license to\n				 any Licensed Patents of a Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2</var>\n			  Subject to the terms of this License, each Contributor hereby grants Recipient an irrevocable,\n				 non-exclusive, worldwide, royalty-free license to the Licensed Patents to the extent necessary\n				 to make, use, sell, offer to sell and import the Contribution of such Contributor, if any, in\n				 source code and object code form. The license granted in this Section 2.2 shall apply to the\n				 combination of the Contribution and the Program if, at the time the Contribution is added by\n				 the Contributor, such addition of the Contribution causes the Licensed Patents to be infringed\n				 by such combination. Notwithstanding the foregoing, no license is granted under this Section\n				 2.2: (a) for any code or works that do not include the Contributor Version, as it exists and\n				 is used in accordance with the terms hereof; (b) for infringements caused by: (i) third party\n				 modifications of the Contributor Version; or (ii) the combination of Contributions made by\n				 each such Contributor with other software (except as part of the Contributor Version) or other\n				 devices; or (c) with respect to Licensed Patents infringed by the Program in the absence of\n				 Contributions made by that Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.3</var>\n			  Recipient understands that although each Contributor grants the licenses to its Contributions set\n				 forth herein, except as provided in Section 2.4, no assurances are provided by any Contributor\n				 that the Program does not infringe the patent or other intellectual property rights of any\n				 other person or entity. Each Contributor disclaims any liability to Recipient for claims\n				 brought by any other person or entity based on infringement of intellectual property rights or\n				 otherwise. As a condition to exercising the rights and licenses granted hereunder, each\n				 Recipient hereby assumes sole responsibility to secure any other intellectual property rights\n				 needed, if any.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.4</var>\n			  Each Contributor represents and warrants that it has all right, title and interest in the\n				 copyrights in its Contributions, and has the right to grant the copyright licenses set forth\n				 in this License.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  DISTRIBUTION REQUIREMENTS\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n			  If the Program is distributed in object code form, then a prominent notice must be included in\n				 the code itself as well as in any related documentation, stating that the source code for the\n				 Program is available from the Contributor with information on how and where to obtain the\n				 source code. A Contributor may choose to distribute the Program in object code form under its\n				 own license agreement, provided that:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> *</var>\n				  it complies with the terms and conditions of this License; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> *</var>\n				  its license agreement:\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> *</var>\n				  effectively disclaims on behalf of all Contributors all warranties and conditions,\n					 express and implied, including warranties or conditions of title and non-infringement,\n					 and implied warranties or conditions of merchantability and fitness for a particular\n					 purpose, to the maximum extent permitted by applicable law;\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> *</var>\n				  effectively excludes on behalf of all Contributors all liability for damages, including\n					 direct, indirect, special, incidental and consequential damages, such as lost profits,\n					 to the maximum extent permitted by applicable law;\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> *</var>\n				  states that any provisions which are inconsistent with this License are offered by that\n					 Contributor alone and not by any other party; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> *</var>\n				  states that source code for the Program is available from such Contributor at the cost of\n					 distribution, and informs licensees how to obtain it in a reasonable manner.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n			  When the Program is made available in source code form:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> *</var>\n				  it must be made available under this License; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> *</var>\n				  a copy of this License must be included with each copy of the Program.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3</var>\n			  This License is intended to facilitate the commercial distribution of the Program by any\n				 Contributor. However, Contributors may only charge Recipients a one-time, upfront fee for the\n				 distribution of the Program. Contributors may not charge Recipients any recurring charge,\n				 license fee, or any ongoing royalty for the Recipients exercise of its rights under this\n				 License to the Program. Contributors shall make the source code for the Contributor Version\n				 they distribute available at a cost, if any, equal to the cost to the Contributor to\n				 physically copy and distribute the work. It is not the intent of this License to prohibit a\n				 Contributor from charging fees for any service or maintenance that a Contributor may charge to\n				 a Recipient, so long as such fees are not an attempt to circumvent the foregoing restrictions\n				 on charging royalties or other recurring fees for the Program itself.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4</var>\n			  A Contributor may create a Larger Work by combining the Program with other software code not\n				 governed by the terms of this License, and distribute the Larger Work as a single product. In\n				 such a case, the Contributor must make sure that the requirements of this License are\n				 fulfilled for the Program. Any Contributor who includes the Program in a commercial product\n				 offering, including as part of a Larger Work, may subject itself, but not any other\n				 Contributor, to additional contractual commitments, including, but not limited to, performance\n				 warranties and non-infringement representations on suchContributors behalf. No Contributor may\n				 create any additional liability for other Contributors. Therefore, if a Contributor includes\n				 the Program in a commercial product offering, such Contributor (Commercial Contributor) hereby\n				 agrees to defend and indemnify every other Contributor (Indemnified Contributor) who made\n				 Contributions to the Program distributed by the Commercial Contributor against any losses,\n				 damages and costs (collectively Losses) arising from claims, lawsuits and other legal actions\n				 brought by a third party against the Indemnified Contributor to the extent caused by the acts\n				 or omissions, including any additional contractual commitments, of such Commercial Contributor\n				 in connection with its distribution of the Program. The obligations in this section do not\n				 apply to any claims or Losses relating to any actual or alleged intellectual property\n				 infringement.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5</var>\n			  If Contributor has knowledge that a license under a third partys intellectual property rights is\n				 required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2,\n				 Contributor must (a) include a text file with the Program source code distribution titled\n				 ../IP_ISSUES, and (b) notify CA in writing at Computer Associates International, Inc., One\n				 Computer Associates Plaza, Islandia, New York 11749, Attn: Open Source Group or by email at\n				 opensource@ca.com, both describing the claim and the party making the claim in sufficient\n				 detail that a Recipient and CA will know whom to contact with regard to such matter. If\n				 Contributor obtains such knowledge after the Contribution is made available, Contributor shall\n				 also promptly modify the IP_ISSUES file in all copies Contributor makes available thereafter\n				 and shall take other steps (such as notifying appropriate mailing lists or newsgroups)\n				 reasonably calculated to inform those who received the Program that such new knowledge has\n				 been obtained.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6</var>\n			  Recipient shall not remove, obscure, or modify any CA or other Contributor copyright or patent\n				 proprietary notices appearing in the Program, whether in the source code, object code or in\n				 any documentation. In addition to the obligations set forth in Section 4, each Contributor\n				 must identify itself as the originator of its Contribution, if any, in a manner that\n				 reasonably allows subsequent Recipients to identify the originator of the Contribution.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  CONTRIBUTION RESTRICTIONS\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.1</var>\n			  Each Contributor must cause the Program to which the Contributor provides a Contribution to\n				 contain a file documenting the changes the Contributor made to create its version of the\n				 Program and the date of any change. Each Contributor must also include a prominent statement\n				 that the Contribution is derived, directly or indirectly, from the Program distributed by a\n				 prior Contributor, including the name of the prior Contributor from which such Contribution\n				 was derived, in (a) the Program source code, and (b) in any notice in an executable version or\n				 related documentation in which the Contributor describes the origin or ownership of the\n				 Program.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  NO WARRANTY\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.1</var>\n			  EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, THE PROGRAM IS PROVIDED AS IS AND IN ITS PRESENT\n				 STATE AND CONDITION. NO WARRANTY, REPRESENTATION, CONDITION, UNDERTAKING OR TERM, EXPRESS OR\n				 IMPLIED, STATUTORY OR OTHERWISE, AS TO THE CONDITION, QUALITY, DURABILITY, PERFORMANCE,\n				 NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE OR USE OF THE PROGRAM\n				 IS GIVEN OR ASSUMED BY ANY CONTRIBUTOR AND ALL SUCH WARRANTIES, REPRESENTATIONS, CONDITIONS,\n				 UNDERTAKINGS AND TERMS ARE HEREBY EXCLUDED TO THE FULLEST EXTENT PERMITTED BY LAW.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.2</var>\n			  Each Recipient is solely responsible for determining the appropriateness of using and\n				 distributing the Program and assumes all risks associated with its exercise of rights under\n				 this License, including but not limited to the risks and costs of program errors, compliance\n				 with applicable laws, damage to or loss of data, programs or equipment, and unavailability or\n				 interruption of operations.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.3</var>\n			  Each Recipient acknowledges that the Program is not intended for use in the operation of nuclear\n				 facilities, aircraft navigation, communication systems, or air traffic control machines in\n				 which case the failure of the Program could lead to death, personal injury, or severe physical\n				 or environmental damage.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  DISCLAIMER OF LIABILITY\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1</var>\n			  EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, AND TO THE EXTENT PERMITTED BY LAW, NO CONTRIBUTOR\n				 SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR\n				 CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY\n				 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR\n				 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF\n				 ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  TRADEMARKS AND BRANDING\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.1</var>\n			  This License does not grant any Recipient or any third party any rights to use the trademarks or\n				 trade names now or subsequently posted at http://www.ca.com/catrdmrk.htm, or any other\n				 trademarks, service marks, logos or trade names belonging to CA (collectively CA Marks) or to\n				 any trademark, service mark, logo or trade name belonging to any Contributor. Recipient agrees\n				 not to use any CA Marks in or as part of the name of products derived from the Original\n				 Program or to endorse or promote products derived from the Original Program.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.2</var>\n			  Subject to Section 7.1, Recipients may distribute the Program under trademarks, logos, and\n				 product names belonging to the Recipient provided that all copyright and other attribution\n				 notices remain in the Program.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  PATENT LITIGATION\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1</var>\n			  If Recipient institutes patent litigation against any person or entity (including a cross-claim\n				 or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of the\n				 Program with other software or hardware) infringes such Recipients patent(s), then such\n				 Recipients rights granted under Section 2.2 shall terminate as of the date such litigation is\n				 filed.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  OWNERSHIP\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.1</var>\n			  Subject to the licenses granted under this License in Sections 2.1 and 2.2 above, each\n				 Contributor retains all rights, title and interest in and to any Contributions made by such\n				 Contributor. CA retains all rights, title and interest in and to the Original Program and any\n				 Contributions made by or on behalf of CA (CA Contributions), and such CA Contributions will\n				 not be automatically subject to this License. CA may, at its sole discretion, choose to\n				 license such CA Contributions under this License, or on different terms from those contained\n				 in this License or may choose not to license them at all.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  TERMINATION\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.1</var>\n			  All of Recipients rights under this License shall terminate if it fails to comply with any of the\n				 material terms or conditions of this License and does not cure such failure in a reasonable\n				 period of time after becoming aware of such noncompliance. If Recipients rights under this\n				 License terminate, Recipient agrees to cease use and distribution of the Program as soon as\n				 reasonably practicable. However, Recipients obligations under this License and any licenses\n				 granted by Recipient as a Contributor relating to the Program shall continue and survive\n				 termination.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  GENERAL\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.1</var>\n			  If any provision of this License is invalid or unenforceable under applicable law, it shall not\n				 affect the validity or enforceability of the remainder of the terms of this License, and\n				 without further action by the parties hereto, such provision shall be reformed to the minimum\n				 extent necessary to make such provision valid and enforceable.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.2</var>\n			  CA may publish new versions (including revisions) of this License from time to time. Each new\n				 version of the License will be given a distinguishing version number. The Program (including\n				 Contributions) may always be distributed subject to the version of the License under which it\n				 was received. In addition, after a new version of the License is published, Contributor may\n				 elect to distribute the Program (including its Contributions) under the new version. No one\n				 other than CA has the right to modify this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.3</var>\n			  If it is impossible for Recipient to comply with any of the terms of this License with respect to\n				 some or all of the Program due to statute, judicial order, or regulation, then Recipient must:\n				 (a) comply with the terms of this License to the maximum extent possible; and (b) describe the\n				 limitations and the code they affect. Such description must be included in the IP_ISSUES file\n				 described in Section 3.5 and must be included with all distributions of the Program source\n				 code. Except to the extent prohibited by statute or regulation, such description must be\n				 sufficiently detailed for a Recipient of ordinary skill to be able to understand it.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.4</var>\n			  This License is governed by the laws of the State of New York. No Recipient will bring a legal\n				 action under this License more than one year after the cause of action arose. Each Recipient\n				 waives its rights to a jury trial in any resulting litigation. Any litigation or other dispute\n				 resolution between a Recipient and CA relating to this License shall take place in the State\n				 of New York, and Recipient and CA hereby consent to the personal jurisdiction of, and venue\n				 in, the state and federal courts within that district with respect to this License. The\n				 application of the United Nations Convention on Contracts for the International Sale of Goods\n				 is expressly excluded.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.5</var>\n			  Where Recipient is located in the province of Quebec, Canada, the following clause applies: The\n				 parties hereby confirm that they have requested that this License and all related documents be\n				 drafted in English. Les parties contractantes confirment qu&apos;elles ont exige que le\n				 present contrat et tous les documents associes soient rediges en anglais.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.6</var>\n			  The Program is subject to all export and import laws, restrictions and regulations of the country\n				 in which Recipient receives the Program. Recipient is solely responsible for complying with\n				 and ensuring that Recipient does not export, re-export, or import the Program in violation of\n				 such laws, restrictions or regulations, or without any necessary licenses and\n				 authorizations.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.7</var>\n			  This License constitutes the entire agreement between the parties with respect to the subject\n				 matter hereof.\n			</li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	"
		self.python_name = "CATOSL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class IJG:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Independent JPEG Group License\n\nLEGAL ISSUES\n\nIn plain English:\n\n1. We don't promise that this software works. (But if you find any bugs, please let us know!)\n2. You can use this software for whatever you want. You don't have to pay us.\n3. You may not pretend that you wrote this software. If you use it in a program, you must acknowledge somewhere in your documentation that you've used the IJG code.\n\nIn legalese:\n\nThe authors make NO WARRANTY or representation, either express or implied, with respect to this software, its quality, accuracy, merchantability, or fitness for a particular purpose. This software is provided \"AS IS\", and you, its user, assume the entire risk as to its quality and accuracy.\n\nThis software is copyright (C) 1991-1998, Thomas G. Lane. All Rights Reserved except as specified below.\n\nPermission is hereby granted to use, copy, modify, and distribute this software (or portions thereof) for any purpose, without fee, subject to these conditions:\n\n	 (1) If any part of the source code for this software is distributed, then this README file must be included, with this copyright and no-warranty notice unaltered; and any additions, deletions, or changes to the original files must be clearly indicated in accompanying documentation.\n	 (2) If only executable code is distributed, then the accompanying documentation must state that \"this software is based in part on the work of the Independent JPEG Group\".\n	 (3) Permission for use of this software is granted only if the user accepts full responsibility for any undesirable consequences; the authors accept NO LIABILITY for damages of any kind.\n\nThese conditions apply to any software derived from or based on the IJG code, not just to the unmodified library. If you use our work, you ought to acknowledge us.\n\nPermission is NOT granted for the use of any IJG author's name or company name in advertising or publicity relating to this software or products derived from it. This software may be referred to only as \"the Independent JPEG Group's software\".\n\nWe specifically permit and encourage the use of this software as the basis of commercial products, provided that all warranty or liability claims are assumed by the product vendor.\n\nansi2knr.c is included in this distribution by permission of L. Peter Deutsch, sole proprietor of its copyright holder, Aladdin Enterprises of Menlo Park, CA. ansi2knr.c is NOT covered by the above copyright and conditions, but instead by the usual distribution terms of the Free Software Foundation; principally, that you must include source code if you redistribute it. (See the file ansi2knr.c for full details.) However, since ansi2knr.c is not needed as part of any program generated from the IJG code, this does not limit you more than the foregoing paragraphs do.\n\nThe Unix configuration script \"configure\" was produced with GNU Autoconf. It is copyright by the Free Software Foundation but is freely distributable. The same holds for its supporting scripts (config.guess, config.sub, ltconfig, ltmain.sh). Another support script, install-sh, is copyright by M.I.T. but is also freely distributable.\n\nIt appears that the arithmetic coding option of the JPEG spec is covered by patents owned by IBM, AT&T, and Mitsubishi. Hence arithmetic coding cannot legally be used without obtaining one or more licenses. For this reason, support for arithmetic coding has been removed from the free JPEG software. (Since arithmetic coding provides only a marginal gain over the unpatented Huffman mode, it is unlikely that very many implementations will support it.) So far as we are aware, there are no patent restrictions on the remaining code.\n\nThe IJG distribution formerly included code to read and write GIF files. To avoid entanglement with the Unisys LZW patent, GIF reading support has been removed altogether, and the GIF writer has been simplified to produce \"uncompressed GIFs\". This technique does not use the LZW algorithm; the resulting GIF files are larger than usual, but are readable by all standard GIF decoders.\n\nWe are required to state that\n	 \"The Graphics Interchange Format(c) is the Copyright property of CompuServe Incorporated. GIF(sm) is a Service Mark property of CompuServe Incorporated.\"\n"
		self.standardLicenseTemplate = "<<beginOptional>>Independent JPEG Group License\n\n<<endOptional>><<beginOptional>> LEGAL ISSUES\n\nIn plain English:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> We don't promise that this software works. (But if you find any bugs, please let us know!)\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You can use this software for whatever you want. You don't have to pay us.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may not pretend that you wrote this software. If you use it in a program, you must acknowledge somewhere in your documentation that you've used the IJG code.\n\nIn legalese:\n\n<<endOptional>>\n\nThe authors make NO WARRANTY or representation, either express or implied, with respect to this software, its quality, accuracy, merchantability, or fitness for a particular purpose. This software is provided \"AS IS\", and you, its user, assume the entire risk as to its quality and accuracy.\n\nThis software is copyright (C) 1991-1998, Thomas G. Lane. All Rights Reserved except as specified below.\n\nPermission is hereby granted to use, copy, modify, and distribute this software (or portions thereof) for any purpose, without fee, subject to these conditions:\n\n   <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> If any part of the source code for this software is distributed, then this README file must be included, with this copyright and no-warranty notice unaltered; and any additions, deletions, or changes to the original files must be clearly indicated in accompanying documentation.\n\n   <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> If only executable code is distributed, then the accompanying documentation must state that \"this software is based in part on the work of the Independent JPEG Group\".\n\n   <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> Permission for use of this software is granted only if the user accepts full responsibility for any undesirable consequences; the authors accept NO LIABILITY for damages of any kind.\n\nThese conditions apply to any software derived from or based on the IJG code, not just to the unmodified library. If you use our work, you ought to acknowledge us.\n\nPermission is NOT granted for the use of any IJG author's name or company name in advertising or publicity relating to this software or products derived from it. This software may be referred to only as \"the Independent JPEG Group's software\".\n\nWe specifically permit and encourage the use of this software as the basis of commercial products, provided that all warranty or liability claims are assumed by the product vendor.\n\nansi2knr.c is included in this distribution by permission of L. Peter Deutsch, sole proprietor of its copyright holder, Aladdin Enterprises of Menlo Park, CA. ansi2knr.c is NOT covered by the above copyright and conditions, but instead by the usual distribution terms of the Free Software Foundation; principally, that you must include source code if you redistribute it. (See the file ansi2knr.c for full details.) However, since ansi2knr.c is not needed as part of any program generated from the IJG code, this does not limit you more than the foregoing paragraphs do.\n\nThe Unix configuration script \"configure\" was produced with GNU Autoconf. It is copyright by the Free Software Foundation but is freely distributable. The same holds for its supporting scripts (config.guess, config.sub, ltconfig, ltmain.sh). Another support script, install-sh, is copyright by M.I.T. but is also freely distributable.\n\nIt appears that the arithmetic coding option of the JPEG spec is covered by patents owned by IBM, AT&T, and Mitsubishi. Hence arithmetic coding cannot legally be used without obtaining one or more licenses. For this reason, support for arithmetic coding has been removed from the free JPEG software. (Since arithmetic coding provides only a marginal gain over the unpatented Huffman mode, it is unlikely that very many implementations will support it.) So far as we are aware, there are no patent restrictions on the remaining code.\n\nThe IJG distribution formerly included code to read and write GIF files. To avoid entanglement with the Unisys LZW patent, GIF reading support has been removed altogether, and the GIF writer has been simplified to produce \"uncompressed GIFs\". This technique does not use the LZW algorithm; the resulting GIF files are larger than usual, but are readable by all standard GIF decoders.\n\nWe are required to state that\n\n\"The Graphics Interchange Format(c) is the Copyright property of CompuServe Incorporated. GIF(sm) is a Service Mark property of CompuServe Incorporated.\"\n\n"
		self.name = "Independent JPEG Group License"
		self.licenseId = "IJG"
		self.crossRef = [{"match": "False", "url": "http://dev.w3.org/cvsweb/Amaya/libjpeg/Attic/README?rev=1.2", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:51Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://dev.w3.org/cvsweb/Amaya/libjpeg/Attic/README?rev=1.2"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Independent JPEG Group License</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>LEGAL ISSUES</p>\n\n		 <p>In plain English:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n		  We don&apos;t promise that this software works. (But if you find any bugs, please let us know!)\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n		  You can use this software for whatever you want. You don&apos;t have to pay us.\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n		  You may not pretend that you wrote this software. If you use it in a program, you must\n			 acknowledge somewhere in your documentation that you&apos;ve used the IJG code.\n		</li>\n		 \n</ul>\n		 <p>In legalese:</p>\n\n	  </div>\n\n	  <p>The authors make NO WARRANTY or representation, either express or implied, with respect to this software,\n		 its quality, accuracy, merchantability, or fitness for a particular purpose. This software is provided\n		 &quot;AS IS&quot;, and you, its user, assume the entire risk as to its quality and accuracy.</p>\n\n	  <p>This software is copyright (C) 1991-1998, Thomas G. Lane. All Rights Reserved except as specified below.</p>\n\n	  <p>Permission is hereby granted to use, copy, modify, and distribute this software (or portions thereof) for\n		 any purpose, without fee, subject to these conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (1)</var>\n		  If any part of the source code for this software is distributed, then this README file must\n			 be included, with this copyright and no-warranty notice unaltered; and any additions,\n			 deletions, or changes to the original files must be clearly indicated in accompanying\n			 documentation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (2)</var>\n		  If only executable code is distributed, then the accompanying documentation must state that\n			 &quot;this software is based in part on the work of the Independent JPEG Group&quot;.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (3)</var>\n		  Permission for use of this software is granted only if the user accepts full responsibility\n			 for any undesirable consequences; the authors accept NO LIABILITY for damages of any\n			 kind.\n		</li>\n	  \n</ul>\n	  <p>These conditions apply to any software derived from or based on the IJG code, not just to the unmodified\n		 library. If you use our work, you ought to acknowledge us.</p>\n\n	  <p>Permission is NOT granted for the use of any IJG author&apos;s name or company name in advertising or\n		 publicity relating to this software or products derived from it. This software may be referred to only\n		 as &quot;the Independent JPEG Group&apos;s software&quot;.</p>\n\n	  <p>We specifically permit and encourage the use of this software as the basis of commercial products,\n		 provided that all warranty or liability claims are assumed by the product vendor.</p>\n\n	  <p>ansi2knr.c is included in this distribution by permission of L. Peter Deutsch, sole proprietor of its\n		 copyright holder, Aladdin Enterprises of Menlo Park, CA. ansi2knr.c is NOT covered by the above\n		 copyright and conditions, but instead by the usual distribution terms of the Free Software Foundation;\n		 principally, that you must include source code if you redistribute it. (See the file ansi2knr.c for\n		 full details.) However, since ansi2knr.c is not needed as part of any program generated from the IJG\n		 code, this does not limit you more than the foregoing paragraphs do.</p>\n\n	  <p>The Unix configuration script &quot;configure&quot; was produced with GNU Autoconf. It is copyright by\n		 the Free Software Foundation but is freely distributable. The same holds for its supporting scripts\n		 (config.guess, config.sub, ltconfig, ltmain.sh). Another support script, install-sh, is copyright by\n		 M.I.T. but is also freely distributable.</p>\n\n	  <p>It appears that the arithmetic coding option of the JPEG spec is covered by patents owned by IBM,\n		 AT&amp;T, and Mitsubishi. Hence arithmetic coding cannot legally be used without obtaining one or more\n		 licenses. For this reason, support for arithmetic coding has been removed from the free JPEG software.\n		 (Since arithmetic coding provides only a marginal gain over the unpatented Huffman mode, it is\n		 unlikely that very many implementations will support it.) So far as we are aware, there are no patent\n		 restrictions on the remaining code.</p>\n\n	  <p>The IJG distribution formerly included code to read and write GIF files. To avoid entanglement with the\n		 Unisys LZW patent, GIF reading support has been removed altogether, and the GIF writer has been\n		 simplified to produce &quot;uncompressed GIFs&quot;. This technique does not use the LZW algorithm;\n		 the resulting GIF files are larger than usual, but are readable by all standard GIF decoders.</p>\n\n	  <p>We are required to state that\n		<br />\n\n&quot;The Graphics Interchange Format(c) is the Copyright property of CompuServe Incorporated.\n			 GIF(sm) is a Service Mark property of CompuServe Incorporated.&quot;\n	  </p>\n\n	"
		self.python_name = "IJG"

	def __str__(self):
		return json.dumps(self.__dict__)


class SSPL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "					 Server Side Public License\n					 VERSION 1, OCTOBER 16, 2018\n\n					Copyright \u00a9 2018 MongoDB, Inc.\n\n  Everyone is permitted to copy and distribute verbatim copies of this\n  license document, but changing it is not allowed.\n\n					   TERMS AND CONDITIONS\n\n  0. Definitions.\n  \n  \u201cThis License\u201d refers to Server Side Public License.\n\n  \u201cCopyright\u201d also means copyright-like laws that apply to other kinds of\n  works, such as semiconductor masks.\n\n  \u201cThe Program\u201d refers to any copyrightable work licensed under this\n  License.  Each licensee is addressed as \u201cyou\u201d. \u201cLicensees\u201d and\n  \u201crecipients\u201d may be individuals or organizations.\n\n  To \u201cmodify\u201d a work means to copy from or adapt all or part of the work in\n  a fashion requiring copyright permission, other than the making of an\n  exact copy. The resulting work is called a \u201cmodified version\u201d of the\n  earlier work or a work \u201cbased on\u201d the earlier work.\n\n  A \u201ccovered work\u201d means either the unmodified Program or a work based on\n  the Program.\n\n  To \u201cpropagate\u201d a work means to do anything with it that, without\n  permission, would make you directly or secondarily liable for\n  infringement under applicable copyright law, except executing it on a\n  computer or modifying a private copy. Propagation includes copying,\n  distribution (with or without modification), making available to the\n  public, and in some countries other activities as well.\n\n  To \u201cconvey\u201d a work means any kind of propagation that enables other\n  parties to make or receive copies. Mere interaction with a user through a\n  computer network, with no transfer of a copy, is not conveying.\n\n  An interactive user interface displays \u201cAppropriate Legal Notices\u201d to the\n  extent that it includes a convenient and prominently visible feature that\n  (1) displays an appropriate copyright notice, and (2) tells the user that\n  there is no warranty for the work (except to the extent that warranties\n  are provided), that licensees may convey the work under this License, and\n  how to view a copy of this License. If the interface presents a list of\n  user commands or options, such as a menu, a prominent item in the list\n  meets this criterion.\n\n  1. Source Code.\n\n  The \u201csource code\u201d for a work means the preferred form of the work for\n  making modifications to it. \u201cObject code\u201d means any non-source form of a\n  work.\n\n  A \u201cStandard Interface\u201d means an interface that either is an official\n  standard defined by a recognized standards body, or, in the case of\n  interfaces specified for a particular programming language, one that is\n  widely used among developers working in that language.  The \u201cSystem\n  Libraries\u201d of an executable work include anything, other than the work as\n  a whole, that (a) is included in the normal form of packaging a Major\n  Component, but which is not part of that Major Component, and (b) serves\n  only to enable use of the work with that Major Component, or to implement\n  a Standard Interface for which an implementation is available to the\n  public in source code form. A \u201cMajor Component\u201d, in this context, means a\n  major essential component (kernel, window system, and so on) of the\n  specific operating system (if any) on which the executable work runs, or\n  a compiler used to produce the work, or an object code interpreter used\n  to run it.\n\n  The \u201cCorresponding Source\u201d for a work in object code form means all the\n  source code needed to generate, install, and (for an executable work) run\n  the object code and to modify the work, including scripts to control\n  those activities. However, it does not include the work's System\n  Libraries, or general-purpose tools or generally available free programs\n  which are used unmodified in performing those activities but which are\n  not part of the work. For example, Corresponding Source includes\n  interface definition files associated with source files for the work, and\n  the source code for shared libraries and dynamically linked subprograms\n  that the work is specifically designed to require, such as by intimate\n  data communication or control flow between those subprograms and other\n  parts of the work.\n\n  The Corresponding Source need not include anything that users can\n  regenerate automatically from other parts of the Corresponding Source.\n\n  The Corresponding Source for a work in source code form is that same work.\n\n  2. Basic Permissions.\n\n  All rights granted under this License are granted for the term of\n  copyright on the Program, and are irrevocable provided the stated\n  conditions are met. This License explicitly affirms your unlimited\n  permission to run the unmodified Program, subject to section 13. The\n  output from running a covered work is covered by this License only if the\n  output, given its content, constitutes a covered work. This License\n  acknowledges your rights of fair use or other equivalent, as provided by\n  copyright law.  Subject to section 13, you may make, run and propagate\n  covered works that you do not convey, without conditions so long as your\n  license otherwise remains in force. You may convey covered works to\n  others for the sole purpose of having them make modifications exclusively\n  for you, or provide you with facilities for running those works, provided\n  that you comply with the terms of this License in conveying all\n  material for which you do not control copyright. Those thus making or\n  running the covered works for you must do so exclusively on your\n  behalf, under your direction and control, on terms that prohibit them\n  from making any copies of your copyrighted material outside their\n  relationship with you.\n\n  Conveying under any other circumstances is permitted solely under the\n  conditions stated below. Sublicensing is not allowed; section 10 makes it\n  unnecessary.\n\n  3. Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n  No covered work shall be deemed part of an effective technological\n  measure under any applicable law fulfilling obligations under article 11\n  of the WIPO copyright treaty adopted on 20 December 1996, or similar laws\n  prohibiting or restricting circumvention of such measures.\n\n  When you convey a covered work, you waive any legal power to forbid\n  circumvention of technological measures to the extent such circumvention is\n  effected by exercising rights under this License with respect to the\n  covered work, and you disclaim any intention to limit operation or\n  modification of the work as a means of enforcing, against the work's users,\n  your or third parties' legal rights to forbid circumvention of\n  technological measures.\n\n  4. Conveying Verbatim Copies.\n\n  You may convey verbatim copies of the Program's source code as you\n  receive it, in any medium, provided that you conspicuously and\n  appropriately publish on each copy an appropriate copyright notice; keep\n  intact all notices stating that this License and any non-permissive terms\n  added in accord with section 7 apply to the code; keep intact all notices\n  of the absence of any warranty; and give all recipients a copy of this\n  License along with the Program.  You may charge any price or no price for\n  each copy that you convey, and you may offer support or warranty\n  protection for a fee.\n\n  5. Conveying Modified Source Versions.\n\n  You may convey a work based on the Program, or the modifications to\n  produce it from the Program, in the form of source code under the terms\n  of section 4, provided that you also meet all of these conditions:\n\n	a) The work must carry prominent notices stating that you modified it,\n	and giving a relevant date.\n\n	b) The work must carry prominent notices stating that it is released\n	under this License and any conditions added under section 7. This\n	requirement modifies the requirement in section 4 to \u201ckeep intact all\n	notices\u201d.\n\n	c) You must license the entire work, as a whole, under this License to\n	anyone who comes into possession of a copy. This License will therefore\n	apply, along with any applicable section 7 additional terms, to the\n	whole of the work, and all its parts, regardless of how they are\n	packaged. This License gives no permission to license the work in any\n	other way, but it does not invalidate such permission if you have\n	separately received it.\n\n	d) If the work has interactive user interfaces, each must display\n	Appropriate Legal Notices; however, if the Program has interactive\n	interfaces that do not display Appropriate Legal Notices, your work\n	need not make them do so.\n\n  A compilation of a covered work with other separate and independent\n  works, which are not by their nature extensions of the covered work, and\n  which are not combined with it such as to form a larger program, in or on\n  a volume of a storage or distribution medium, is called an \u201caggregate\u201d if\n  the compilation and its resulting copyright are not used to limit the\n  access or legal rights of the compilation's users beyond what the\n  individual works permit. Inclusion of a covered work in an aggregate does\n  not cause this License to apply to the other parts of the aggregate.\n  \n  6. Conveying Non-Source Forms.\n\n  You may convey a covered work in object code form under the terms of\n  sections 4 and 5, provided that you also convey the machine-readable\n  Corresponding Source under the terms of this License, in one of these\n  ways:\n\n	a) Convey the object code in, or embodied in, a physical product\n	(including a physical distribution medium), accompanied by the\n	Corresponding Source fixed on a durable physical medium customarily\n	used for software interchange.\n   \n	b) Convey the object code in, or embodied in, a physical product\n	(including a physical distribution medium), accompanied by a written\n	offer, valid for at least three years and valid for as long as you\n	offer spare parts or customer support for that product model, to give\n	anyone who possesses the object code either (1) a copy of the\n	Corresponding Source for all the software in the product that is\n	covered by this License, on a durable physical medium customarily used\n	for software interchange, for a price no more than your reasonable cost\n	of physically performing this conveying of source, or (2) access to\n	copy the Corresponding Source from a network server at no charge.\n   \n	c) Convey individual copies of the object code with a copy of the\n	written offer to provide the Corresponding Source. This alternative is\n	allowed only occasionally and noncommercially, and only if you received\n	the object code with such an offer, in accord with subsection 6b.\n   \n	d) Convey the object code by offering access from a designated place\n	(gratis or for a charge), and offer equivalent access to the\n	Corresponding Source in the same way through the same place at no\n	further charge. You need not require recipients to copy the\n	Corresponding Source along with the object code. If the place to copy\n	the object code is a network server, the Corresponding Source may be on\n	a different server (operated by you or a third party) that supports\n	equivalent copying facilities, provided you maintain clear directions\n	next to the object code saying where to find the Corresponding Source.\n	Regardless of what server hosts the Corresponding Source, you remain\n	obligated to ensure that it is available for as long as needed to\n	satisfy these requirements.\n   \n	e) Convey the object code using peer-to-peer transmission, provided you\n	inform other peers where the object code and Corresponding Source of\n	the work are being offered to the general public at no charge under\n	subsection 6d.\n\n  A separable portion of the object code, whose source code is excluded\n  from the Corresponding Source as a System Library, need not be included\n  in conveying the object code work.\n\n  A \u201cUser Product\u201d is either (1) a \u201cconsumer product\u201d, which means any\n  tangible personal property which is normally used for personal, family,\n  or household purposes, or (2) anything designed or sold for incorporation\n  into a dwelling. In determining whether a product is a consumer product,\n  doubtful cases shall be resolved in favor of coverage. For a particular\n  product received by a particular user, \u201cnormally used\u201d refers to a\n  typical or common use of that class of product, regardless of the status\n  of the particular user or of the way in which the particular user\n  actually uses, or expects or is expected to use, the product. A product\n  is a consumer product regardless of whether the product has substantial\n  commercial, industrial or non-consumer uses, unless such uses represent\n  the only significant mode of use of the product.\n\n  \u201cInstallation Information\u201d for a User Product means any methods,\n  procedures, authorization keys, or other information required to install\n  and execute modified versions of a covered work in that User Product from\n  a modified version of its Corresponding Source. The information must\n  suffice to ensure that the continued functioning of the modified object\n  code is in no case prevented or interfered with solely because\n  modification has been made.\n\n  If you convey an object code work under this section in, or with, or\n  specifically for use in, a User Product, and the conveying occurs as part\n  of a transaction in which the right of possession and use of the User\n  Product is transferred to the recipient in perpetuity or for a fixed term\n  (regardless of how the transaction is characterized), the Corresponding\n  Source conveyed under this section must be accompanied by the\n  Installation Information. But this requirement does not apply if neither\n  you nor any third party retains the ability to install modified object\n  code on the User Product (for example, the work has been installed in\n  ROM).\n\n  The requirement to provide Installation Information does not include a\n  requirement to continue to provide support service, warranty, or updates\n  for a work that has been modified or installed by the recipient, or for\n  the User Product in which it has been modified or installed. Access\n  to a network may be denied when the modification itself materially\n  and adversely affects the operation of the network or violates the\n  rules and protocols for communication across the network.\n\n  Corresponding Source conveyed, and Installation Information provided, in\n  accord with this section must be in a format that is publicly documented\n  (and with an implementation available to the public in source code form),\n  and must require no special password or key for unpacking, reading or\n  copying.\n\n  7. Additional Terms.\n\n  \u201cAdditional permissions\u201d are terms that supplement the terms of this\n  License by making exceptions from one or more of its conditions.\n  Additional permissions that are applicable to the entire Program shall be\n  treated as though they were included in this License, to the extent that\n  they are valid under applicable law. If additional permissions apply only\n  to part of the Program, that part may be used separately under those\n  permissions, but the entire Program remains governed by this License\n  without regard to the additional permissions.  When you convey a copy of\n  a covered work, you may at your option remove any additional permissions\n  from that copy, or from any part of it. (Additional permissions may be\n  written to require their own removal in certain cases when you modify the\n  work.) You may place additional permissions on material, added by you to\n  a covered work, for which you have or can give appropriate copyright\n  permission.\n\n  Notwithstanding any other provision of this License, for material you add\n  to a covered work, you may (if authorized by the copyright holders of\n  that material) supplement the terms of this License with terms:\n\n	a) Disclaiming warranty or limiting liability differently from the\n	terms of sections 15 and 16 of this License; or\n\n	b) Requiring preservation of specified reasonable legal notices or\n	author attributions in that material or in the Appropriate Legal\n	Notices displayed by works containing it; or\n\n	c) Prohibiting misrepresentation of the origin of that material, or\n	requiring that modified versions of such material be marked in\n	reasonable ways as different from the original version; or\n\n	d) Limiting the use for publicity purposes of names of licensors or\n	authors of the material; or\n\n	e) Declining to grant rights under trademark law for use of some trade\n	names, trademarks, or service marks; or\n\n	f) Requiring indemnification of licensors and authors of that material\n	by anyone who conveys the material (or modified versions of it) with\n	contractual assumptions of liability to the recipient, for any\n	liability that these contractual assumptions directly impose on those\n	licensors and authors.\n\n  All other non-permissive additional terms are considered \u201cfurther\n  restrictions\u201d within the meaning of section 10. If the Program as you\n  received it, or any part of it, contains a notice stating that it is\n  governed by this License along with a term that is a further restriction,\n  you may remove that term. If a license document contains a further\n  restriction but permits relicensing or conveying under this License, you\n  may add to a covered work material governed by the terms of that license\n  document, provided that the further restriction does not survive such\n  relicensing or conveying.\n\n  If you add terms to a covered work in accord with this section, you must\n  place, in the relevant source files, a statement of the additional terms\n  that apply to those files, or a notice indicating where to find the\n  applicable terms.  Additional terms, permissive or non-permissive, may be\n  stated in the form of a separately written license, or stated as\n  exceptions; the above requirements apply either way.\n\n  8. Termination.\n\n  You may not propagate or modify a covered work except as expressly\n  provided under this License. Any attempt otherwise to propagate or modify\n  it is void, and will automatically terminate your rights under this\n  License (including any patent licenses granted under the third paragraph\n  of section 11).\n\n  However, if you cease all violation of this License, then your license\n  from a particular copyright holder is reinstated (a) provisionally,\n  unless and until the copyright holder explicitly and finally terminates\n  your license, and (b) permanently, if the copyright holder fails to\n  notify you of the violation by some reasonable means prior to 60 days\n  after the cessation.\n\n  Moreover, your license from a particular copyright holder is reinstated\n  permanently if the copyright holder notifies you of the violation by some\n  reasonable means, this is the first time you have received notice of\n  violation of this License (for any work) from that copyright holder, and\n  you cure the violation prior to 30 days after your receipt of the notice.\n\n  Termination of your rights under this section does not terminate the\n  licenses of parties who have received copies or rights from you under\n  this License. If your rights have been terminated and not permanently\n  reinstated, you do not qualify to receive new licenses for the same\n  material under section 10.\n\n  9. Acceptance Not Required for Having Copies.\n\n  You are not required to accept this License in order to receive or run a\n  copy of the Program. Ancillary propagation of a covered work occurring\n  solely as a consequence of using peer-to-peer transmission to receive a\n  copy likewise does not require acceptance. However, nothing other than\n  this License grants you permission to propagate or modify any covered\n  work. These actions infringe copyright if you do not accept this License.\n  Therefore, by modifying or propagating a covered work, you indicate your\n  acceptance of this License to do so.\n\n  10. Automatic Licensing of Downstream Recipients.\n\n  Each time you convey a covered work, the recipient automatically receives\n  a license from the original licensors, to run, modify and propagate that\n  work, subject to this License. You are not responsible for enforcing\n  compliance by third parties with this License.\n\n  An \u201centity transaction\u201d is a transaction transferring control of an\n  organization, or substantially all assets of one, or subdividing an\n  organization, or merging organizations. If propagation of a covered work\n  results from an entity transaction, each party to that transaction who\n  receives a copy of the work also receives whatever licenses to the work\n  the party's predecessor in interest had or could give under the previous\n  paragraph, plus a right to possession of the Corresponding Source of the\n  work from the predecessor in interest, if the predecessor has it or can\n  get it with reasonable efforts.\n\n  You may not impose any further restrictions on the exercise of the rights\n  granted or affirmed under this License. For example, you may not impose a\n  license fee, royalty, or other charge for exercise of rights granted\n  under this License, and you may not initiate litigation (including a\n  cross-claim or counterclaim in a lawsuit) alleging that any patent claim\n  is infringed by making, using, selling, offering for sale, or importing\n  the Program or any portion of it.\n\n  11. Patents.\n\n  A \u201ccontributor\u201d is a copyright holder who authorizes use under this\n  License of the Program or a work on which the Program is based. The work\n  thus licensed is called the contributor's \u201ccontributor version\u201d.\n\n  A contributor's \u201cessential patent claims\u201d are all patent claims owned or\n  controlled by the contributor, whether already acquired or hereafter\n  acquired, that would be infringed by some manner, permitted by this\n  License, of making, using, or selling its contributor version, but do not\n  include claims that would be infringed only as a consequence of further\n  modification of the contributor version. For purposes of this definition,\n  \u201ccontrol\u201d includes the right to grant patent sublicenses in a manner\n  consistent with the requirements of this License.\n\n  Each contributor grants you a non-exclusive, worldwide, royalty-free\n  patent license under the contributor's essential patent claims, to make,\n  use, sell, offer for sale, import and otherwise run, modify and propagate\n  the contents of its contributor version.\n\n  In the following three paragraphs, a \u201cpatent license\u201d is any express\n  agreement or commitment, however denominated, not to enforce a patent\n  (such as an express permission to practice a patent or covenant not to\n  sue for patent infringement). To \u201cgrant\u201d such a patent license to a party\n  means to make such an agreement or commitment not to enforce a patent\n  against the party.\n\n  If you convey a covered work, knowingly relying on a patent license, and\n  the Corresponding Source of the work is not available for anyone to copy,\n  free of charge and under the terms of this License, through a publicly\n  available network server or other readily accessible means, then you must\n  either (1) cause the Corresponding Source to be so available, or (2)\n  arrange to deprive yourself of the benefit of the patent license for this\n  particular work, or (3) arrange, in a manner consistent with the\n  requirements of this License, to extend the patent license to downstream\n  recipients. \u201cKnowingly relying\u201d means you have actual knowledge that, but\n  for the patent license, your conveying the covered work in a country, or\n  your recipient's use of the covered work in a country, would infringe\n  one or more identifiable patents in that country that you have reason\n  to believe are valid.\n\n  If, pursuant to or in connection with a single transaction or\n  arrangement, you convey, or propagate by procuring conveyance of, a\n  covered work, and grant a patent license to some of the parties receiving\n  the covered work authorizing them to use, propagate, modify or convey a\n  specific copy of the covered work, then the patent license you grant is\n  automatically extended to all recipients of the covered work and works\n  based on it.\n\n  A patent license is \u201cdiscriminatory\u201d if it does not include within the\n  scope of its coverage, prohibits the exercise of, or is conditioned on\n  the non-exercise of one or more of the rights that are specifically\n  granted under this License. You may not convey a covered work if you are\n  a party to an arrangement with a third party that is in the business of\n  distributing software, under which you make payment to the third party\n  based on the extent of your activity of conveying the work, and under\n  which the third party grants, to any of the parties who would receive the\n  covered work from you, a discriminatory patent license (a) in connection\n  with copies of the covered work conveyed by you (or copies made from\n  those copies), or (b) primarily for and in connection with specific\n  products or compilations that contain the covered work, unless you\n  entered into that arrangement, or that patent license was granted, prior\n  to 28 March 2007.\n\n  Nothing in this License shall be consTrued as excluding or limiting any\n  implied license or other defenses to infringement that may otherwise be\n  available to you under applicable patent law.\n\n  12. No Surrender of Others' Freedom.\n\n  If conditions are imposed on you (whether by court order, agreement or\n  otherwise) that contradict the conditions of this License, they do not\n  excuse you from the conditions of this License. If you cannot use,\n  propagate or convey a covered work so as to satisfy simultaneously your\n  obligations under this License and any other pertinent obligations, then\n  as a consequence you may not use, propagate or convey it at all. For\n  example, if you agree to terms that obligate you to collect a royalty for\n  further conveying from those to whom you convey the Program, the only way\n  you could satisfy both those terms and this License would be to refrain\n  entirely from conveying the Program.\n\n  13. Offering the Program as a Service.\n\n  If you make the functionality of the Program or a modified version\n  available to third parties as a service, you must make the Service Source\n  Code available via network download to everyone at no charge, under the\n  terms of this License. Making the functionality of the Program or\n  modified version available to third parties as a service includes,\n  without limitation, enabling third parties to interact with the\n  functionality of the Program or modified version remotely through a\n  computer network, offering a service the value of which entirely or\n  primarily derives from the value of the Program or modified version, or\n  offering a service that accomplishes for users the primary purpose of the\n  Program or modified version.\n\n  \u201cService Source Code\u201d means the Corresponding Source for the Program or\n  the modified version, and the Corresponding Source for all programs that\n  you use to make the Program or modified version available as a service,\n  including, without limitation, management software, user interfaces,\n  application program interfaces, automation software, monitoring software,\n  backup software, storage software and hosting software, all such that a\n  user could run an instance of the service using the Service Source Code\n  you make available.  \n\n  14. Revised Versions of this License.\n\n  MongoDB, Inc. may publish revised and/or new versions of the Server Side\n  Public License from time to time. Such new versions will be similar in\n  spirit to the present version, but may differ in detail to address new\n  problems or concerns.\n\n  Each version is given a distinguishing version number. If the Program\n  specifies that a certain numbered version of the Server Side Public\n  License \u201cor any later version\u201d applies to it, you have the option of\n  following the terms and conditions either of that numbered version or of\n  any later version published by MongoDB, Inc. If the Program does not\n  specify a version number of the Server Side Public License, you may\n  choose any version ever published by MongoDB, Inc.\n\n  If the Program specifies that a proxy can decide which future versions of\n  the Server Side Public License can be used, that proxy's public statement\n  of acceptance of a version permanently authorizes you to choose that\n  version for the Program.\n\n  Later license versions may give you additional or different permissions.\n  However, no additional obligations are imposed on any author or copyright holder\n  as a result of your choosing to follow a later version.\n\n  15. Disclaimer of Warranty.\n\n  THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY\n  APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS \n  AND/OR OTHER PARTIES PROVIDE THE PROGRAM \u201cAS IS\u201d WITHOUT WARRANTY\n  OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,\n  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n  PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM\n  IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF\n  ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n  \n  16. Limitation of Liability.\n  \n  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n  WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS\n  THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING\n  ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF\n  THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO\n  LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU\n  OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER\n  PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE\n  POSSIBILITY OF SUCH DAMAGES.\n  \n  17. Interpretation of Sections 15 and 16.\n\n  If the disclaimer of warranty and limitation of liability provided above\n  cannot be given local legal effect according to their terms, reviewing\n  courts shall apply local law that most closely approximates an absolute\n  waiver of all civil liability in connection with the Program, unless a\n  warranty or assumption of liability accompanies a copy of the Program in\n  return for a fee.\n  \n						END OF TERMS AND CONDITIONS\n"
		self.standardLicenseHeaderTemplate = "This program is free software: you can redistribute it and/or modify it under the terms of the Server Side Public License, version 1, as published by MongoDB, Inc. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the Server Side Public License for more details. You should have received a copy of the Server Side Public License along with this program. If not, see <http://www.mongodb.com/licensing/server-side-public-license>."
		self.standardLicenseTemplate = "Server Side Public License\n\nVERSION 1, OCTOBER 16, 2018\n\nCopyright \u00a9 2018 MongoDB, Inc.\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nTERMS AND CONDITIONS\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n   \"This License\" refers to Server Side Public License.\n\n   \"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n   \"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\n   To \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\n   A \"covered work\" means either the unmodified Program or a work based on the Program.\n\n   To \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\n   To \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\n   An interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Source Code.\n\n   The \"source code\" for a work means the preferred form of the work for making modifications to it. \"Object code\" means any non-source form of a work.\n\n   A \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\n   The \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\n   The \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\n   The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Basic Permissions.\n\n   All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program, subject to section 13. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\n   Subject to section 13, you may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\n   Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n   No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\n   When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Conveying Verbatim Copies.\n\n   You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\n   You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Conveying Modified Source Versions.\n\n   You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\n   A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Conveying Non-Source Forms.\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\n   A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\n   A \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n   \"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\n   If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\n   The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\n   Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Additional Terms.\n\n   \"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\n   When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\n   Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	  <<var;name=\"bullet\";original=\"f)\";match=\".{0,20}\">> Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\n   All other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\n   If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\n   Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination.\n\n   You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Acceptance Not Required for Having Copies.\n\n   You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Automatic Licensing of Downstream Recipients.\n\n   Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\n   An \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\n   You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Patents.\n\n   A \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \"contributor version\".\n\n   A contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\n   Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\n   In the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\n   If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\n   If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\n   A patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\n   Nothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> No Surrender of Others' Freedom.\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot use, propagate or convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not use, propagate or convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Offering the Program as a Service.\n\n   If you make the functionality of the Program or a modified version available to third parties as a service, you must make the Service Source Code available via network download to everyone at no charge, under the terms of this License. Making the functionality of the Program or modified version available to third parties as a service includes, without limitation, enabling third parties to interact with the functionality of the Program or modified version remotely through a computer network, offering a service the value of which entirely or primarily derives from the value of the Program or modified version, or offering a service that accomplishes for users the primary purpose of the Program or modified version.\n\n   \"Service Source Code\" means the Corresponding Source for the Program or the modified version, and the Corresponding Source for all programs that you use to make the Program or modified version available as a service, including, without limitation, management software, user interfaces, application program interfaces, automation software, monitoring software, backup software, storage software and hosting software, all such that a user could run an instance of the service using the Service Source Code you make available.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Revised Versions of this License.\n\n   MongoDB, Inc. may publish revised and/or new versions of the Server Side Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the Server Side Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by MongoDB, Inc. If the Program does not specify a version number of the Server Side Public License, you may choose any version ever published by MongoDB, Inc.\n\n   If the Program specifies that a proxy can decide which future versions of the Server Side Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\n   Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> Limitation of Liability.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"17.\";match=\".{0,20}\">> Interpretation of Sections 15 and 16.\n\n   If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\n   <<beginOptional>>END OF TERMS AND CONDITIONS\n\n<<endOptional>>"
		self.name = "Server Side Public License, v 1"
		self.licenseComments = "This license uses much of the text of AGPL-3.0, but with a different clause 13 and 14."
		self.licenseId = "SSPL-1.0"
		self.standardLicenseHeader = "This program is free software: you can redistribute it and/or modify it under the terms of the Server Side Public License, version 1, as published by MongoDB, Inc. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the Server Side Public License for more details. You should have received a copy of the Server Side Public License along with this program. If not, see <http://www.mongodb.com/licensing/server-side-public-license>."
		self.crossRef = [{"match": "False", "url": "https://www.mongodb.com/licensing/server-side-public-license", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.mongodb.com/licensing/server-side-public-license"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<p>\nServer Side Public License</p>\n\n			<p>\nVERSION 1, OCTOBER 16, 2018</p>\n\n			<p>\nCopyright \u00a9 2018 MongoDB, Inc.</p>\n\n			<p>\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.</p>\n\n			<p>\nTERMS AND CONDITIONS</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 0.</var> Definitions.\n					<p>\n&quot;This License&quot; refers to Server Side Public License.</p>\n\n					<p>\n&quot;Copyright&quot; also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.</p>\n\n					<p>\n&quot;The Program&quot; refers to any copyrightable work licensed under this License. Each licensee is addressed as &quot;you&quot;. &quot;Licensees&quot; and &quot;recipients&quot; may be individuals or organizations.</p>\n\n					<p>\nTo &quot;modify&quot; a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a &quot;modified version&quot; of the earlier work or a work &quot;based on&quot; the earlier work.</p>\n\n					<p>\nA &quot;covered work&quot; means either the unmodified Program or a work based on the Program.</p>\n\n					<p>\nTo &quot;propagate&quot; a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.</p>\n\n					<p>\nTo &quot;convey&quot; a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.</p>\n\n					<p>\nAn interactive user interface displays &quot;Appropriate Legal Notices&quot; to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.</var> Source Code.\n					<p>\nThe &quot;source code&quot; for a work means the preferred form of the work for making modifications to it. &quot;Object code&quot; means any non-source form of a work.</p>\n\n					<p>\nA &quot;Standard Interface&quot; means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.</p>\n\n					<p>\nThe &quot;System Libraries&quot; of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A &quot;Major Component&quot;, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.</p>\n\n					<p>\nThe &quot;Corresponding Source&quot; for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work&apos;s System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.</p>\n\n					<p>\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.</p>\n\n					<p>\nThe Corresponding Source for a work in source code form is that same work.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.</var> Basic Permissions.\n					<p>\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program, subject to section 13. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.</p>\n\n					<p>\nSubject to section 13, you may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.</p>\n\n					<p>\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.</var> Protecting Users&apos; Legal Rights From Anti-Circumvention Law.\n					<p>\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.</p>\n\n					<p>\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work&apos;s users, your or third parties&apos; legal rights to forbid circumvention of technological measures.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.</var> Conveying Verbatim Copies.\n					<p>\nYou may convey verbatim copies of the Program&apos;s source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.</p>\n\n					<p>\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 5.</var>  Conveying Modified Source Versions.\n					<p>\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:</p>\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a)</var> The work must carry prominent notices stating that you modified it, and giving a relevant date.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b)</var> The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to &quot;keep intact all notices&quot;.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c)</var>You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d)</var>If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n						</li>\n					\n</ul>\n					<p>\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an &quot;aggregate&quot; if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation&apos;s users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 6.</var> Conveying Non-Source Forms.\n					<p>\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:</p>\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a)</var> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b)</var> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c)</var> Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d)</var> Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e)</var> Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n						</li>\n					\n</ul>\n					<p>\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.</p>\n\n					<p>\nA &quot;User Product&quot; is either (1) a &quot;consumer product&quot;, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, &quot;normally used&quot; refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.</p>\n\n					<p>\n&quot;Installation Information&quot; for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.</p>\n\n					<p>\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).</p>\n\n					<p>\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.</p>\n\n					<p>\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 7.</var> Additional Terms.\n					<p>\n&quot;Additional permissions&quot; are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.</p>\n\n					<p>\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.</p>\n\n					<p>\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:</p>\n\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a)</var>Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b)</var> Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c)</var> Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d)</var> Limiting the use for publicity purposes of names of licensors or authors of the material; or\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> e)</var> Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> f)</var> Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n						</li>\n					\n</ul>\n					<p>\nAll other non-permissive additional terms are considered &quot;further restrictions&quot; within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.</p>\n\n					<p>\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.</p>\n\n					<p>\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 8.</var>Termination.\n					<p>\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).</p>\n\n					<p>\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.</p>\n\n					<p>\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.</p>\n\n					<p>\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 9.</var> Acceptance Not Required for Having Copies.\n					<p>\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 10.</var> Automatic Licensing of Downstream Recipients.\n					<p>\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.</p>\n\n					<p>\nAn &quot;entity transaction&quot; is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party&apos;s predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.</p>\n\n					<p>\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 11.</var> Patents.\n					<p>\nA &quot;contributor&quot; is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor&apos;s &quot;contributor version&quot;.</p>\n\n					<p>\nA contributor&apos;s &quot;essential patent claims&quot; are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, &quot;control&quot; includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.</p>\n\n					<p>\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor&apos;s essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.</p>\n\n					<p>\nIn the following three paragraphs, a &quot;patent license&quot; is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To &quot;grant&quot; such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.</p>\n\n					<p>\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. &quot;Knowingly relying&quot; means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient&apos;s use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.</p>\n\n					<p>\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.</p>\n\n					<p>\nA patent license is &quot;discriminatory&quot; if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.</p>\n\n					<p>\nNothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 12.</var> No Surrender of Others&apos; Freedom.\n					<p>\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot use, propagate or convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not use, propagate or convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 13.</var> Offering the Program as a Service.\n					<p>\nIf you make the functionality of the Program or a modified version available to third parties as a service, you must make the Service Source Code available via network download to everyone at no charge, under the terms of this License. Making the functionality of the Program or modified version available to third parties as a service includes, without limitation, enabling third parties to interact with the functionality of the Program or modified version remotely through a computer network, offering a service the value of which entirely or primarily derives from the value of the Program or modified version, or offering a service that accomplishes for users the primary purpose of the Program or modified version.</p>\n\n					<p>\n&quot;Service Source Code&quot; means the Corresponding Source for the Program or the modified version, and the Corresponding Source for all programs that you use to make the Program or modified version available as a service, including, without limitation, management software, user interfaces, application program interfaces, automation software, monitoring software, backup software, storage software and hosting software, all such that a user could run an instance of the service using the Service Source Code you make available.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 14.</var> Revised Versions of this License.\n					<p>\nMongoDB, Inc. may publish revised and/or new versions of the Server Side Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.</p>\n\n					<p>\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the Server Side Public License &quot;or any later version&quot; applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by MongoDB, Inc. If the Program does not specify a version number of the Server Side Public License, you may choose any version ever published by MongoDB, Inc.</p>\n\n					<p>\nIf the Program specifies that a proxy can decide which future versions of the Server Side Public License can be used, that proxy&apos;s public statement of acceptance of a version permanently authorizes you to choose that version for the Program.</p>\n\n					<p>\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 15.</var> Disclaimer of Warranty.\n					<p>\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 16.</var> Limitation of Liability.\n					<p>\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 17.</var> Interpretation of Sections 15 and 16.\n					<p>\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.</p>\n\n				</li>\n			  \n</ul>\n			  <div class=\"optional-license-text\"> \n				<p>\n				  END OF TERMS AND CONDITIONS\n				</p>\n\n			  </div>\n		"
		self.standardLicenseHeaderHtml = "\nThis program is free software: you can redistribute it and/or modify it under the terms of the Server Side Public License, version 1, as published by MongoDB, Inc.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the Server Side Public License for more details.\n\nYou should have received a copy of the Server Side Public License along with this program. If not, see &lt;http://www.mongodb.com/licensing/server-side-public-license&gt;."
		self.python_name = "SSPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class etalab20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "LICENCE OUVERTE / OPEN LICENCE\n===================================================================\n\n- Version 2.0\n- Avril 2017\n\n\n\u00ab R\u00c9UTILISATION \u00bb DE L\u2019\u00ab INFORMATION \u00bb SOUS CETTE LICENCE\n-------------------------------------------------------------------\n\nLe \u00ab Conc\u00e9dant \u00bb conc\u00e8de au \u00ab R\u00e9utilisateur \u00bb un droit non exclusif et gratuit\nde libre \u00ab R\u00e9utilisation \u00bb de l\u2019\u00ab Information \u00bb objet de la pr\u00e9sente licence,\n\u00e0 des fins commerciales ou non, dans le monde entier et pour une dur\u00e9e\nillimit\u00e9e, dans les conditions exprim\u00e9es ci-dessous.\n\nLe \u00ab R\u00e9utilisateur \u00bb est libre de r\u00e9utiliser l\u2019\u00ab Information \u00bb :\n\n- de la reproduire, la copier,\n- de l\u2019adapter, la modifier, l\u2019extraire et la transformer, pour cr\u00e9er des\n\u00ab Informations d\u00e9riv\u00e9es \u00bb, des produits ou des services,\n- de la communiquer, la diffuser, la redistribuer, la publier et la transmettre,\n- de l\u2019exploiter \u00e0 titre commercial, par exemple en la combinant avec d\u2019autres\ninformations, ou en l\u2019incluant dans son propre produit ou application.\n\nSous r\u00e9serve de :\n\n- mentionner la paternit\u00e9 de l\u2019\u00ab Information \u00bb : sa source (au moins le nom du\n\u00ab Conc\u00e9dant \u00bb) et la date de derni\u00e8re mise \u00e0 jour de l\u2019\u00ab Information \u00bb\nr\u00e9utilis\u00e9e.\n\nLe \u00ab R\u00e9utilisateur \u00bb peut notamment s\u2019acquitter de cette condition en renvoyant,\npar un lien hypertexte, vers la source de \u00ab l\u2019Information \u00bb et assurant une\nmention effective de sa paternit\u00e9.\n\nPar exemple :\n\n\u00ab Minist\u00e8re de xxx - Donn\u00e9es originales t\u00e9l\u00e9charg\u00e9es sur\nhttp://www.data.gouv.fr/fr/datasets/xxx/, mise \u00e0 jour du 14 f\u00e9vrier 2017 \u00bb.\n\nCette mention de paternit\u00e9 ne conf\u00e8re aucun caract\u00e8re officiel \u00e0 la\n\u00ab R\u00e9utilisation \u00bb de l\u2019\u00ab Information \u00bb, et ne doit pas sugg\u00e9rer une quelconque\nreconnaissance ou caution par le \u00ab Conc\u00e9dant \u00bb, ou par toute autre entit\u00e9\npublique, du \u00ab R\u00e9utilisateur \u00bb ou de sa \u00ab R\u00e9utilisation \u00bb.\n\n\n\u00ab DONN\u00c9ES \u00c0 CARACT\u00c8RE PERSONNEL \u00bb\n-------------------------------------------------------------------\n\nL\u2019\u00ab Information \u00bb mise \u00e0 disposition peut contenir des \u00ab Donn\u00e9es \u00e0 caract\u00e8re\npersonnel \u00bb pouvant faire l\u2019objet d\u2019une \u00ab R\u00e9utilisation \u00bb. Si tel est le cas,\nle \u00ab Conc\u00e9dant \u00bb informe le \u00ab R\u00e9utilisateur \u00bb de leur pr\u00e9sence.\n\nL\u2019\u00ab Information \u00bb peut \u00eatre librement r\u00e9utilis\u00e9e, dans le cadre des droits\naccord\u00e9s par la pr\u00e9sente licence, \u00e0 condition de respecter le cadre l\u00e9gal\nrelatif \u00e0 la protection des donn\u00e9es \u00e0 caract\u00e8re personnel.\n\n\n\u00ab DROITS DE PROPRI\u00c9T\u00c9 INTELLECTUELLE \u00bb\n-------------------------------------------------------------------\n\nIl est garanti au \u00ab R\u00e9utilisateur \u00bb que les \u00e9ventuels \u00ab Droits de propri\u00e9t\u00e9\nintellectuelle \u00bb d\u00e9tenus par des tiers ou par le \u00ab Conc\u00e9dant \u00bb sur\nl\u2019\u00ab Information \u00bb ne font pas obstacle aux droits accord\u00e9s par la pr\u00e9sente\nlicence.\n\nLorsque le \u00ab Conc\u00e9dant \u00bb d\u00e9tient des \u00ab Droits de propri\u00e9t\u00e9 intellectuelle \u00bb\ncessibles sur l\u2019\u00ab Information \u00bb, il les c\u00e8de au \u00ab R\u00e9utilisateur \u00bb de fa\u00e7on non\nexclusive, \u00e0 titre gracieux, pour le monde entier, pour toute la dur\u00e9e des\n\u00ab Droits de propri\u00e9t\u00e9 intellectuelle \u00bb, et le \u00ab R\u00e9utilisateur \u00bb peut faire tout\nusage de l\u2019\u00ab Information \u00bb conform\u00e9ment aux libert\u00e9s et aux conditions d\u00e9finies\npar la pr\u00e9sente licence.\n\n\nRESPONSABILIT\u00c9\n-------------------------------------------------------------------\n\nL\u2019\u00ab Information \u00bb est mise \u00e0 disposition telle que produite ou re\u00e7ue par le\n\u00ab Conc\u00e9dant \u00bb, sans autre garantie expresse ou tacite que celles pr\u00e9vues par la\npr\u00e9sente licence. L\u2019absence de d\u00e9fauts ou d\u2019erreurs \u00e9ventuellement contenues\ndans l\u2019\u00ab Information \u00bb, comme la fourniture continue de l\u2019\u00ab Information \u00bb n\u2019est\npas garantie par le \u00ab Conc\u00e9dant \u00bb. Il ne peut \u00eatre tenu pour responsable de\ntoute perte, pr\u00e9judice ou dommage de quelque sorte caus\u00e9 \u00e0 des tiers du fait de\nla \u00ab R\u00e9utilisation \u00bb.\n\nLe \u00ab R\u00e9utilisateur \u00bb est seul responsable de la \u00ab R\u00e9utilisation \u00bb de\nl\u2019\u00ab Information \u00bb.\n\nLa \u00ab R\u00e9utilisation \u00bb ne doit pas induire en erreur des tiers quant au contenu\nde l\u2019\u00ab Information \u00bb, sa source et sa date de mise \u00e0 jour.\n\n\nDROIT APPLICABLE\n-------------------------------------------------------------------\n\nLa pr\u00e9sente licence est r\u00e9gie par le droit fran\u00e7ais.\n\n\nCOMPATIBILIT\u00c9 DE LA PR\u00c9SENTE LICENCE\n-------------------------------------------------------------------\n\nLa pr\u00e9sente licence a \u00e9t\u00e9 con\u00e7ue pour \u00eatre compatible avec toute licence libre\nqui exige au moins la mention de paternit\u00e9 et notamment avec la version\nant\u00e9rieure de la pr\u00e9sente licence ainsi qu\u2019avec les licences :\n\n- \u00ab Open Government Licence \u00bb (OGL) du Royaume-Uni,\n- \u00ab Creative Commons Attribution \u00bb (CC-BY) de Creative Commons et\n- \u00ab Open Data Commons Attribution \u00bb (ODC-BY) de l\u2019Open Knowledge Foundation.\n\n\nD\u00c9FINITIONS\n-------------------------------------------------------------------\n\nSont consid\u00e9r\u00e9s, au sens de la pr\u00e9sente licence comme :\n\nLe \u00ab Conc\u00e9dant \u00bb : toute personne conc\u00e9dant un droit de \u00ab R\u00e9utilisation \u00bb sur\nl\u2019\u00ab Information \u00bb dans les libert\u00e9s et les conditions pr\u00e9vues par la pr\u00e9sente\nlicence\n\nL\u2019\u00ab Information \u00bb :\n\n- toute information publique figurant dans des documents communiqu\u00e9s ou publi\u00e9s\npar une administration mentionn\u00e9e au premier alin\u00e9a de l\u2019article L.300-2 du\nCRPA;\n- toute information mise \u00e0 disposition par toute personne selon les termes et\nconditions de la pr\u00e9sente licence.\n\nLa \u00ab R\u00e9utilisation \u00bb : l\u2019utilisation de l\u2019\u00ab Information \u00bb \u00e0 d\u2019autres fins que\ncelles pour lesquelles elle a \u00e9t\u00e9 produite ou re\u00e7ue.\n\nLe \u00ab R\u00e9utilisateur \u00bb: toute personne qui r\u00e9utilise les \u00ab Informations \u00bb\nconform\u00e9ment aux conditions de la pr\u00e9sente licence.\n\nDes \u00ab Donn\u00e9es \u00e0 caract\u00e8re personnel \u00bb : toute information se rapportant \u00e0 une\npersonne physique identifi\u00e9e ou identifiable, pouvant \u00eatre identifi\u00e9e\ndirectement ou indirectement. Leur \u00ab R\u00e9utilisation \u00bb est subordonn\u00e9e au respect\ndu cadre juridique en vigueur.\n\nUne \u00ab Information d\u00e9riv\u00e9e \u00bb : toute nouvelle donn\u00e9e ou information cr\u00e9\u00e9es\ndirectement \u00e0 partir de l\u2019\u00ab Information \u00bb ou \u00e0 partir d\u2019une combinaison de\nl\u2019\u00ab Information \u00bb et d\u2019autres donn\u00e9es ou informations non soumises \u00e0 cette\nlicence.\n\nLes \u00ab Droits de propri\u00e9t\u00e9 intellectuelle \u00bb : tous droits identifi\u00e9s comme tels\npar le Code de la propri\u00e9t\u00e9 intellectuelle (notamment le droit d\u2019auteur, droits\nvoisins au droit d\u2019auteur, droit sui generis des producteurs de bases de\ndonn\u00e9es\u2026).\n\n\n\u00c0 PROPOS DE CETTE LICENCE\n-------------------------------------------------------------------\n\nLa pr\u00e9sente licence a vocation \u00e0 \u00eatre utilis\u00e9e par les administrations pour la\nr\u00e9utilisation de leurs informations publiques. Elle peut \u00e9galement \u00eatre\nutilis\u00e9e par toute personne souhaitant mettre \u00e0 disposition de\nl\u2019\u00ab Information \u00bb dans les conditions d\u00e9finies par la pr\u00e9sente licence.\n\nLa France est dot\u00e9e d\u2019un cadre juridique global visant \u00e0 une diffusion\nspontan\u00e9e par les administrations de leurs informations publiques afin d\u2019en\npermettre la plus large r\u00e9utilisation.\n\nLe droit de la \u00ab R\u00e9utilisation \u00bb de l\u2019\u00ab Information \u00bb des administrations est\nr\u00e9gi par le code des relations entre le public et l\u2019administration (CRPA).\n\nCette licence facilite la r\u00e9utilisation libre et gratuite des informations\npubliques et figure parmi les licences qui peuvent \u00eatre utilis\u00e9es par\nl\u2019administration en vertu du d\u00e9cret pris en application de l\u2019article L.323-2\ndu CRPA.\n\nEtalab est la mission charg\u00e9e, sous l\u2019autorit\u00e9 du Premier ministre, d\u2019ouvrir le\nplus grand nombre de donn\u00e9es publiques des administrations de l\u2019Etat et de ses\n\u00e9tablissements publics. Elle a r\u00e9alis\u00e9 la Licence Ouverte pour faciliter la\nr\u00e9utilisation libre et gratuite de ces informations publiques, telles que\nd\u00e9finies par l\u2019article L321-1 du CRPA.\n\nCette licence est la version 2.0 de la Licence Ouverte.\n\nEtalab se r\u00e9serve la facult\u00e9 de proposer de nouvelles versions de la Licence\nOuverte. Cependant, les \u00ab R\u00e9utilisateurs \u00bb pourront continuer \u00e0 r\u00e9utiliser les\ninformations qu\u2019ils ont obtenues sous cette licence s\u2019ils le souhaitent.\n"
		self.standardLicenseTemplate = "<<beginOptional>>LICENCE OUVERTE / OPEN LICENCE\n\n<<beginOptional>>===================================================================\n\n<<endOptional>>\n\n- Version 2.0\n\n- Avril 2017\n\n<<endOptional>>\n\n\u00ab R\u00c9UTILISATION \u00bb DE L'\u00ab INFORMATION \u00bb SOUS CETTE LICENCE\n\n<<beginOptional>>-------------------------------------------------------------------\n\n<<endOptional>>\n\nLe \u00ab Conc\u00e9dant \u00bb conc\u00e8de au \u00ab R\u00e9utilisateur \u00bb un droit non exclusif et gratuit de libre \u00ab R\u00e9utilisation \u00bb de l'\u00ab Information \u00bb objet de la pr\u00e9sente licence, \u00e0 des fins commerciales ou non, dans le monde entier et pour une dur\u00e9e illimit\u00e9e, dans les conditions exprim\u00e9es ci-dessous.\n\nLe \u00ab R\u00e9utilisateur \u00bb est libre de r\u00e9utiliser l'\u00ab Information \u00bb :\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> de la reproduire, la copier,\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> de l'adapter, la modifier, l'extraire et la transformer, pour cr\u00e9er des \u00ab Informations d\u00e9riv\u00e9es \u00bb, des produits ou des services,\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> de la communiquer, la diffuser, la redistribuer, la publier et la transmettre,\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> de l'exploiter \u00e0 titre commercial, par exemple en la combinant avec d'autres informations, ou en l'incluant dans son propre produit ou application.\n\nSous r\u00e9serve de :\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> mentionner la paternit\u00e9 de l'\u00ab Information \u00bb : sa source (au moins le nom du \u00ab Conc\u00e9dant \u00bb) et la date de derni\u00e8re mise \u00e0 jour de l'\u00ab Information \u00bb r\u00e9utilis\u00e9e.\n\nLe \u00ab R\u00e9utilisateur \u00bb peut notamment s'acquitter de cette condition en renvoyant, par un lien hypertexte, vers la source de \u00ab l'Information \u00bb et assurant une mention effective de sa paternit\u00e9.\n\nPar exemple :\n\n\u00ab Minist\u00e8re de xxx - Donn\u00e9es originales t\u00e9l\u00e9charg\u00e9es sur http://www.data.gouv.fr/fr/datasets/xxx/, mise \u00e0 jour du 14 f\u00e9vrier 2017 \u00bb.\n\nCette mention de paternit\u00e9 ne conf\u00e8re aucun caract\u00e8re officiel \u00e0 la \u00ab R\u00e9utilisation \u00bb de l'\u00ab Information \u00bb, et ne doit pas sugg\u00e9rer une quelconque reconnaissance ou caution par le \u00ab Conc\u00e9dant \u00bb, ou par toute autre entit\u00e9 publique, du \u00ab R\u00e9utilisateur \u00bb ou de sa \u00ab R\u00e9utilisation \u00bb.\n\n\u00ab DONN\u00c9ES \u00c0 CARACT\u00c8RE PERSONNEL \u00bb\n\n<<beginOptional>>-------------------------------------------------------------------\n\n<<endOptional>>\n\nL'\u00ab Information \u00bb mise \u00e0 disposition peut contenir des \u00ab Donn\u00e9es \u00e0 caract\u00e8re personnel \u00bb pouvant faire l'objet d'une \u00ab R\u00e9utilisation \u00bb. Si tel est le cas, le \u00ab Conc\u00e9dant \u00bb informe le \u00ab R\u00e9utilisateur \u00bb de leur pr\u00e9sence.\n\nL'\u00ab Information \u00bb peut \u00eatre librement r\u00e9utilis\u00e9e, dans le cadre des droits accord\u00e9s par la pr\u00e9sente licence, \u00e0 condition de respecter le cadre l\u00e9gal relatif \u00e0 la protection des donn\u00e9es \u00e0 caract\u00e8re personnel.\n\n\u00ab DROITS DE PROPRI\u00c9T\u00c9 INTELLECTUELLE \u00bb\n\n<<beginOptional>>-------------------------------------------------------------------\n\n<<endOptional>>\n\nIl est garanti au \u00ab R\u00e9utilisateur \u00bb que les \u00e9ventuels \u00ab Droits de propri\u00e9t\u00e9 intellectuelle \u00bb d\u00e9tenus par des tiers ou par le \u00ab Conc\u00e9dant \u00bb sur l'\u00ab Information \u00bb ne font pas obstacle aux droits accord\u00e9s par la pr\u00e9sente licence.\n\nLorsque le \u00ab Conc\u00e9dant \u00bb d\u00e9tient des \u00ab Droits de propri\u00e9t\u00e9 intellectuelle \u00bb cessibles sur l'\u00ab Information \u00bb, il les c\u00e8de au \u00ab R\u00e9utilisateur \u00bb de fa\u00e7on non exclusive, \u00e0 titre gracieux, pour le monde entier, pour toute la dur\u00e9e des \u00ab Droits de propri\u00e9t\u00e9 intellectuelle \u00bb, et le \u00ab R\u00e9utilisateur \u00bb peut faire tout usage de l'\u00ab Information \u00bb conform\u00e9ment aux libert\u00e9s et aux conditions d\u00e9finies par la pr\u00e9sente licence.\n\nRESPONSABILIT\u00c9\n\n<<beginOptional>>-------------------------------------------------------------------\n\n<<endOptional>>\n\nL'\u00ab Information \u00bb est mise \u00e0 disposition telle que produite ou re\u00e7ue par le \u00ab Conc\u00e9dant \u00bb, sans autre garantie expresse ou tacite que celles pr\u00e9vues par la pr\u00e9sente licence. L'absence de d\u00e9fauts ou d'erreurs \u00e9ventuellement contenues dans l'\u00ab Information \u00bb, comme la fourniture continue de l'\u00ab Information \u00bb n'est pas garantie par le \u00ab Conc\u00e9dant \u00bb. Il ne peut \u00eatre tenu pour responsable de toute perte, pr\u00e9judice ou dommage de quelque sorte caus\u00e9 \u00e0 des tiers du fait de la \u00ab R\u00e9utilisation \u00bb.\n\nLe \u00ab R\u00e9utilisateur \u00bb est seul responsable de la \u00ab R\u00e9utilisation \u00bb de l'\u00ab Information \u00bb.\n\nLa \u00ab R\u00e9utilisation \u00bb ne doit pas induire en erreur des tiers quant au contenu de l'\u00ab Information \u00bb, sa source et sa date de mise \u00e0 jour.\n\nDROIT APPLICABLE\n\n<<beginOptional>>-------------------------------------------------------------------\n\n<<endOptional>>\n\nLa pr\u00e9sente licence est r\u00e9gie par le droit fran\u00e7ais.\n\nCOMPATIBILIT\u00c9 DE LA PR\u00c9SENTE LICENCE\n\n<<beginOptional>>-------------------------------------------------------------------\n\n<<endOptional>>\n\nLa pr\u00e9sente licence a \u00e9t\u00e9 con\u00e7ue pour \u00eatre compatible avec toute licence libre qui exige au moins la mention de paternit\u00e9 et notamment avec la version ant\u00e9rieure de la pr\u00e9sente licence ainsi qu'avec les licences :\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> \u00ab Open Government Licence \u00bb (OGL) du Royaume-Uni,\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> \u00ab Creative Commons Attribution \u00bb (CC-BY) de Creative Commons et\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> \u00ab Open Data Commons Attribution \u00bb (ODC-BY) de l'Open Knowledge Foundation.\n\nD\u00c9FINITIONS\n\n<<beginOptional>>-------------------------------------------------------------------\n\n<<endOptional>>\n\nSont consid\u00e9r\u00e9s, au sens de la pr\u00e9sente licence comme :\n\nLe \u00ab Conc\u00e9dant \u00bb : toute personne conc\u00e9dant un droit de \u00ab R\u00e9utilisation \u00bb sur l'\u00ab Information \u00bb dans les libert\u00e9s et les conditions pr\u00e9vues par la pr\u00e9sente licence\n\nL'\u00ab Information \u00bb :\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> toute information publique figurant dans des documents communiqu\u00e9s ou publi\u00e9s par une administration mentionn\u00e9e au premier alin\u00e9a de l'article L.300-2 du CRPA;\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> toute information mise \u00e0 disposition par toute personne selon les termes et conditions de la pr\u00e9sente licence.\n\nLa \u00ab R\u00e9utilisation \u00bb : l'utilisation de l'\u00ab Information \u00bb \u00e0 d'autres fins que celles pour lesquelles elle a \u00e9t\u00e9 produite ou re\u00e7ue.\n\nLe \u00ab R\u00e9utilisateur \u00bb: toute personne qui r\u00e9utilise les \u00ab Informations \u00bb conform\u00e9ment aux conditions de la pr\u00e9sente licence.\n\nDes \u00ab Donn\u00e9es \u00e0 caract\u00e8re personnel \u00bb : toute information se rapportant \u00e0 une personne physique identifi\u00e9e ou identifiable, pouvant \u00eatre identifi\u00e9e directement ou indirectement. Leur \u00ab R\u00e9utilisation \u00bb est subordonn\u00e9e au respect du cadre juridique en vigueur.\n\nUne \u00ab Information d\u00e9riv\u00e9e \u00bb : toute nouvelle donn\u00e9e ou information cr\u00e9\u00e9es directement \u00e0 partir de l'\u00ab Information \u00bb ou \u00e0 partir d'une combinaison de l'\u00ab Information \u00bb et d'autres donn\u00e9es ou informations non soumises \u00e0 cette licence.\n\nLes \u00ab Droits de propri\u00e9t\u00e9 intellectuelle \u00bb : tous droits identifi\u00e9s comme tels par le Code de la propri\u00e9t\u00e9 intellectuelle (notamment le droit d'auteur, droits voisins au droit d'auteur, droit sui generis des producteurs de bases de donn\u00e9es\u2026).\n\n\u00c0 PROPOS DE CETTE LICENCE\n\n<<beginOptional>>-------------------------------------------------------------------\n\n<<endOptional>>\n\nLa pr\u00e9sente licence a vocation \u00e0 \u00eatre utilis\u00e9e par les administrations pour la r\u00e9utilisation de leurs informations publiques. Elle peut \u00e9galement \u00eatre utilis\u00e9e par toute personne souhaitant mettre \u00e0 disposition de l'\u00ab Information \u00bb dans les conditions d\u00e9finies par la pr\u00e9sente licence.\n\nLa France est dot\u00e9e d'un cadre juridique global visant \u00e0 une diffusion spontan\u00e9e par les administrations de leurs informations publiques afin d'en permettre la plus large r\u00e9utilisation.\n\nLe droit de la \u00ab R\u00e9utilisation \u00bb de l'\u00ab Information \u00bb des administrations est r\u00e9gi par le code des relations entre le public et l'administration (CRPA).\n\nCette licence facilite la r\u00e9utilisation libre et gratuite des informations publiques et figure parmi les licences qui peuvent \u00eatre utilis\u00e9es par l'administration en vertu du d\u00e9cret pris en application de l'article L.323-2 du CRPA.\n\nEtalab est la mission charg\u00e9e, sous l'autorit\u00e9 du Premier ministre, d'ouvrir le plus grand nombre de donn\u00e9es publiques des administrations de l'Etat et de ses \u00e9tablissements publics. Elle a r\u00e9alis\u00e9 la Licence Ouverte pour faciliter la r\u00e9utilisation libre et gratuite de ces informations publiques, telles que d\u00e9finies par l'article L321-1 du CRPA.\n\nCette licence est la version 2.0 de la Licence Ouverte.\n\nEtalab se r\u00e9serve la facult\u00e9 de proposer de nouvelles versions de la Licence Ouverte. Cependant, les \u00ab R\u00e9utilisateurs \u00bb pourront continuer \u00e0 r\u00e9utiliser les informations qu'ils ont obtenues sous cette licence s'ils le souhaitent.\n\n"
		self.name = "Etalab Open License 2.0"
		self.licenseComments = "English translation can be found here: https://www.etalab.gouv.fr/wp-content/uploads/2018/11/open-licence.pdf"
		self.licenseId = "etalab-2.0"
		self.crossRef = [{"match": "False", "url": "https://raw.githubusercontent.com/DISIC/politique-de-contribution-open-source/master/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:46Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/DISIC/politique-de-contribution-open-source/blob/master/LICENSE.pdf", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:46Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/DISIC/politique-de-contribution-open-source/blob/master/LICENSE.pdf", "https://raw.githubusercontent.com/DISIC/politique-de-contribution-open-source/master/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\n	  <div class=\"optional-license-text\"> \n			<p>LICENCE OUVERTE / OPEN LICENCE</p>\n\n			<div class=\"optional-license-text\"> <p>===================================================================</p>\n</div>\n\n			<p>- Version 2.0</p>\n\n			<p>- Avril 2017</p>\n\n	  </div>\n\n	<p>\u00ab R\u00c9UTILISATION \u00bb DE L&apos;\u00ab INFORMATION \u00bb SOUS CETTE LICENCE</p>\n\n	<div class=\"optional-license-text\"> <p>-------------------------------------------------------------------</p>\n</div>\n\n	<p>Le \u00ab Conc\u00e9dant \u00bb conc\u00e8de au \u00ab R\u00e9utilisateur \u00bb un droit non exclusif et gratuit\n	de libre \u00ab R\u00e9utilisation \u00bb de l&apos;\u00ab Information \u00bb objet de la pr\u00e9sente licence,\n	\u00e0 des fins commerciales ou non, dans le monde entier et pour une dur\u00e9e\n	illimit\u00e9e, dans les conditions exprim\u00e9es ci-dessous.</p>\n\n	<p>Le \u00ab R\u00e9utilisateur \u00bb est libre de r\u00e9utiliser l&apos;\u00ab Information \u00bb :</p>\n\n<ul style=\"list-style:none\">\n		\n<li><var class=\"replaceable-license-text\"> -</var> de la reproduire, la copier,</li>\n		\n<li><var class=\"replaceable-license-text\"> -</var> de l&apos;adapter, la modifier, l&apos;extraire et la transformer, pour cr\u00e9er des \u00ab Informations d\u00e9riv\u00e9es \u00bb, des produits ou des services,</li>\n		\n<li><var class=\"replaceable-license-text\"> -</var> de la communiquer, la diffuser, la redistribuer, la publier et la transmettre,</li>\n		\n<li><var class=\"replaceable-license-text\"> -</var> de l&apos;exploiter \u00e0 titre commercial, par exemple en la combinant avec d&apos;autres informations, ou en l&apos;incluant dans son propre produit ou application.</li>\n	\n</ul>\n\n	<p>Sous r\u00e9serve de :</p>\n\n<ul style=\"list-style:none\">\n		\n<li><var class=\"replaceable-license-text\"> -</var> mentionner la paternit\u00e9 de l&apos;\u00ab Information \u00bb : sa source (au moins le nom du \u00ab Conc\u00e9dant \u00bb) et la date de derni\u00e8re mise \u00e0 jour de l&apos;\u00ab Information \u00bb r\u00e9utilis\u00e9e.</li>\n	\n</ul>\n\n	<p>Le \u00ab R\u00e9utilisateur \u00bb peut notamment s&apos;acquitter de cette condition en renvoyant,\n	par un lien hypertexte, vers la source de \u00ab l&apos;Information \u00bb et assurant une\n	mention effective de sa paternit\u00e9.</p>\n\n	<p>Par exemple :</p>\n\n	<p>\u00ab Minist\u00e8re de xxx - Donn\u00e9es originales t\u00e9l\u00e9charg\u00e9es sur\n	http://www.data.gouv.fr/fr/datasets/xxx/, mise \u00e0 jour du 14 f\u00e9vrier 2017 \u00bb.</p>\n\n	<p>Cette mention de paternit\u00e9 ne conf\u00e8re aucun caract\u00e8re officiel \u00e0 la\n	\u00ab R\u00e9utilisation \u00bb de l&apos;\u00ab Information \u00bb, et ne doit pas sugg\u00e9rer une quelconque\n	reconnaissance ou caution par le \u00ab Conc\u00e9dant \u00bb, ou par toute autre entit\u00e9\n	publique, du \u00ab R\u00e9utilisateur \u00bb ou de sa \u00ab R\u00e9utilisation \u00bb.</p>\n\n	<p>\u00ab DONN\u00c9ES \u00c0 CARACT\u00c8RE PERSONNEL \u00bb</p>\n\n	<div class=\"optional-license-text\"> <p>-------------------------------------------------------------------</p>\n</div>\n\n	<p>L&apos;\u00ab Information \u00bb mise \u00e0 disposition peut contenir des \u00ab Donn\u00e9es \u00e0 caract\u00e8re\n	personnel \u00bb pouvant faire l&apos;objet d&apos;une \u00ab R\u00e9utilisation \u00bb. Si tel est le cas,\n	le \u00ab Conc\u00e9dant \u00bb informe le \u00ab R\u00e9utilisateur \u00bb de leur pr\u00e9sence.</p>\n\n	<p>L&apos;\u00ab Information \u00bb peut \u00eatre librement r\u00e9utilis\u00e9e, dans le cadre des droits\n	accord\u00e9s par la pr\u00e9sente licence, \u00e0 condition de respecter le cadre l\u00e9gal\n	relatif \u00e0 la protection des donn\u00e9es \u00e0 caract\u00e8re personnel.</p>\n\n	<p>\u00ab DROITS DE PROPRI\u00c9T\u00c9 INTELLECTUELLE \u00bb</p>\n\n	<div class=\"optional-license-text\"> <p>-------------------------------------------------------------------</p>\n</div>\n\n	<p>Il est garanti au \u00ab R\u00e9utilisateur \u00bb que les \u00e9ventuels \u00ab Droits de propri\u00e9t\u00e9\n	intellectuelle \u00bb d\u00e9tenus par des tiers ou par le \u00ab Conc\u00e9dant \u00bb sur\n	l&apos;\u00ab Information \u00bb ne font pas obstacle aux droits accord\u00e9s par la pr\u00e9sente\n	licence.</p>\n\n	<p>Lorsque le \u00ab Conc\u00e9dant \u00bb d\u00e9tient des \u00ab Droits de propri\u00e9t\u00e9 intellectuelle \u00bb\n	cessibles sur l&apos;\u00ab Information \u00bb, il les c\u00e8de au \u00ab R\u00e9utilisateur \u00bb de fa\u00e7on non\n	exclusive, \u00e0 titre gracieux, pour le monde entier, pour toute la dur\u00e9e des\n	\u00ab Droits de propri\u00e9t\u00e9 intellectuelle \u00bb, et le \u00ab R\u00e9utilisateur \u00bb peut faire tout\n	usage de l&apos;\u00ab Information \u00bb conform\u00e9ment aux libert\u00e9s et aux conditions d\u00e9finies\n	par la pr\u00e9sente licence.</p>\n\n	<p>RESPONSABILIT\u00c9</p>\n\n	<div class=\"optional-license-text\"> <p>-------------------------------------------------------------------</p>\n</div>\n\n	<p>L&apos;\u00ab Information \u00bb est mise \u00e0 disposition telle que produite ou re\u00e7ue par le\n	\u00ab Conc\u00e9dant \u00bb, sans autre garantie expresse ou tacite que celles pr\u00e9vues par la\n	pr\u00e9sente licence. L&apos;absence de d\u00e9fauts ou d&apos;erreurs \u00e9ventuellement contenues\n	dans l&apos;\u00ab Information \u00bb, comme la fourniture continue de l&apos;\u00ab Information \u00bb n&apos;est\n	pas garantie par le \u00ab Conc\u00e9dant \u00bb. Il ne peut \u00eatre tenu pour responsable de\n	toute perte, pr\u00e9judice ou dommage de quelque sorte caus\u00e9 \u00e0 des tiers du fait de\n	la \u00ab R\u00e9utilisation \u00bb.</p>\n\n	<p>Le \u00ab R\u00e9utilisateur \u00bb est seul responsable de la \u00ab R\u00e9utilisation \u00bb de\n	l&apos;\u00ab Information \u00bb.</p>\n\n	<p>La \u00ab R\u00e9utilisation \u00bb ne doit pas induire en erreur des tiers quant au contenu\n	de l&apos;\u00ab Information \u00bb, sa source et sa date de mise \u00e0 jour.</p>\n\n	<p>DROIT APPLICABLE</p>\n\n	<div class=\"optional-license-text\"> <p>-------------------------------------------------------------------</p>\n</div>\n\n	<p>La pr\u00e9sente licence est r\u00e9gie par le droit fran\u00e7ais.</p>\n\n	<p>COMPATIBILIT\u00c9 DE LA PR\u00c9SENTE LICENCE</p>\n\n	<div class=\"optional-license-text\"> <p>-------------------------------------------------------------------</p>\n</div>\n\n	<p>La pr\u00e9sente licence a \u00e9t\u00e9 con\u00e7ue pour \u00eatre compatible avec toute licence libre\n	qui exige au moins la mention de paternit\u00e9 et notamment avec la version\n	ant\u00e9rieure de la pr\u00e9sente licence ainsi qu&apos;avec les licences :</p>\n\n<ul style=\"list-style:none\">\n		\n<li><var class=\"replaceable-license-text\"> -</var> \u00ab Open Government Licence \u00bb (OGL) du Royaume-Uni,</li>\n		\n<li><var class=\"replaceable-license-text\"> -</var> \u00ab Creative Commons Attribution \u00bb (CC-BY) de Creative Commons et</li>\n		\n<li><var class=\"replaceable-license-text\"> -</var> \u00ab Open Data Commons Attribution \u00bb (ODC-BY) de l&apos;Open Knowledge Foundation.</li>\n	\n</ul>\n\n	<p>D\u00c9FINITIONS</p>\n\n	<div class=\"optional-license-text\"> <p>-------------------------------------------------------------------</p>\n</div>\n\n	<p>Sont consid\u00e9r\u00e9s, au sens de la pr\u00e9sente licence comme :</p>\n\n	<p>Le \u00ab Conc\u00e9dant \u00bb : toute personne conc\u00e9dant un droit de \u00ab R\u00e9utilisation \u00bb sur\n	l&apos;\u00ab Information \u00bb dans les libert\u00e9s et les conditions pr\u00e9vues par la pr\u00e9sente\n	licence</p>\n\n	<p>L&apos;\u00ab Information \u00bb :</p>\n\n<ul style=\"list-style:none\">\n		\n<li><var class=\"replaceable-license-text\"> -</var> toute information publique figurant dans des documents communiqu\u00e9s ou publi\u00e9s par une administration mentionn\u00e9e au premier alin\u00e9a de l&apos;article L.300-2 du CRPA;</li>\n		\n<li><var class=\"replaceable-license-text\"> -</var> toute information mise \u00e0 disposition par toute personne selon les termes et conditions de la pr\u00e9sente licence.</li>\n	\n</ul>\n\n	<p>La \u00ab R\u00e9utilisation \u00bb : l&apos;utilisation de l&apos;\u00ab Information \u00bb \u00e0 d&apos;autres fins que\n	celles pour lesquelles elle a \u00e9t\u00e9 produite ou re\u00e7ue.</p>\n\n	<p>Le \u00ab R\u00e9utilisateur \u00bb: toute personne qui r\u00e9utilise les \u00ab Informations \u00bb\n	conform\u00e9ment aux conditions de la pr\u00e9sente licence.</p>\n\n	<p>Des \u00ab Donn\u00e9es \u00e0 caract\u00e8re personnel \u00bb : toute information se rapportant \u00e0 une\n	personne physique identifi\u00e9e ou identifiable, pouvant \u00eatre identifi\u00e9e\n	directement ou indirectement. Leur \u00ab R\u00e9utilisation \u00bb est subordonn\u00e9e au respect\n	du cadre juridique en vigueur.</p>\n\n	<p>Une \u00ab Information d\u00e9riv\u00e9e \u00bb : toute nouvelle donn\u00e9e ou information cr\u00e9\u00e9es\n	directement \u00e0 partir de l&apos;\u00ab Information \u00bb ou \u00e0 partir d&apos;une combinaison de\n	l&apos;\u00ab Information \u00bb et d&apos;autres donn\u00e9es ou informations non soumises \u00e0 cette\n	licence.</p>\n\n	<p>Les \u00ab Droits de propri\u00e9t\u00e9 intellectuelle \u00bb : tous droits identifi\u00e9s comme tels\n	par le Code de la propri\u00e9t\u00e9 intellectuelle (notamment le droit d&apos;auteur, droits\n	voisins au droit d&apos;auteur, droit sui generis des producteurs de bases de\n	donn\u00e9es\u2026).</p>\n\n	<p>\u00c0 PROPOS DE CETTE LICENCE</p>\n\n	<div class=\"optional-license-text\"> <p>-------------------------------------------------------------------</p>\n</div>\n\n	<p>La pr\u00e9sente licence a vocation \u00e0 \u00eatre utilis\u00e9e par les administrations pour la\n	r\u00e9utilisation de leurs informations publiques. Elle peut \u00e9galement \u00eatre\n	utilis\u00e9e par toute personne souhaitant mettre \u00e0 disposition de\n	l&apos;\u00ab Information \u00bb dans les conditions d\u00e9finies par la pr\u00e9sente licence.</p>\n\n	<p>La France est dot\u00e9e d&apos;un cadre juridique global visant \u00e0 une diffusion\n	spontan\u00e9e par les administrations de leurs informations publiques afin d&apos;en\n	permettre la plus large r\u00e9utilisation.</p>\n\n	<p>Le droit de la \u00ab R\u00e9utilisation \u00bb de l&apos;\u00ab Information \u00bb des administrations est\n	r\u00e9gi par le code des relations entre le public et l&apos;administration (CRPA).</p>\n\n	<p>Cette licence facilite la r\u00e9utilisation libre et gratuite des informations\n	publiques et figure parmi les licences qui peuvent \u00eatre utilis\u00e9es par\n	l&apos;administration en vertu du d\u00e9cret pris en application de l&apos;article L.323-2\n	du CRPA.</p>\n\n	<p>Etalab est la mission charg\u00e9e, sous l&apos;autorit\u00e9 du Premier ministre, d&apos;ouvrir le\n	plus grand nombre de donn\u00e9es publiques des administrations de l&apos;Etat et de ses\n	\u00e9tablissements publics. Elle a r\u00e9alis\u00e9 la Licence Ouverte pour faciliter la\n	r\u00e9utilisation libre et gratuite de ces informations publiques, telles que\n	d\u00e9finies par l&apos;article L321-1 du CRPA.</p>\n\n	<p>Cette licence est la version 2.0 de la Licence Ouverte.</p>\n\n	<p>Etalab se r\u00e9serve la facult\u00e9 de proposer de nouvelles versions de la Licence\n	Ouverte. Cependant, les \u00ab R\u00e9utilisateurs \u00bb pourront continuer \u00e0 r\u00e9utiliser les\n	informations qu&apos;ils ont obtenues sous cette licence s&apos;ils le souhaitent.</p>\n\n	"
		self.python_name = "etalab20"

	def __str__(self):
		return json.dumps(self.__dict__)


class MITtestregex:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = " * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of THIS SOFTWARE FILE (the \"Software\"), to deal in the Software\n * without restriction, including without limitation the rights to use,\n * copy, modify, merge, publish, distribute, and/or sell copies of the\n * Software, and to permit persons to whom the Software is furnished to do\n * so, subject to the following disclaimer:\n *\n * THIS SOFTWARE IS PROVIDED BY AT&T ``AS IS'' AND ANY EXPRESS OR IMPLIED\n * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.\n * IN NO EVENT SHALL AT&T BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\n * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "Permission is hereby granted, free of charge, to any person obtaining a copy of THIS SOFTWARE FILE (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following disclaimer:\n\nTHIS SOFTWARE IS PROVIDED BY AT&T ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL AT&T BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "MIT testregex Variant"
		self.licenseId = "MIT-testregex"
		self.crossRef = [{"match": "False", "url": "https://github.com/dotnet/runtime/blob/55e1ac7c07df62c4108d4acedf78f77574470ce5/src/libraries/System.Text.RegularExpressions/tests/FunctionalTests/AttRegexTests.cs#L12-L28", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:15Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/dotnet/runtime/blob/55e1ac7c07df62c4108d4acedf78f77574470ce5/src/libraries/System.Text.RegularExpressions/tests/FunctionalTests/AttRegexTests.cs#L12-L28"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\n			   <p>\n				  Permission is hereby granted, free of charge, to any person\n				  obtaining a copy of THIS SOFTWARE FILE (the &quot;Software&quot;),\n				  to deal in the Software without restriction, including\n				  without limitation the rights to use, copy, modify, merge,\n				  publish, distribute, and/or sell copies of the Software, and\n				  to permit persons to whom the Software is furnished to do\n				  so, subject to the following disclaimer: </p>\n\n			   <p>THIS SOFTWARE IS\n				  PROVIDED BY AT&amp;T ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED\n				  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\n				  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n				  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL AT&amp;T BE\n				  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\n				  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n				  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n				  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n				  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n				  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\n				  OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\n				  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n			   </p>\n\n	  "
		self.python_name = "MITtestregex"

	def __str__(self):
		return json.dumps(self.__dict__)


class CECILLB:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "\nCeCILL-B FREE SOFTWARE LICENSE AGREEMENT\n\n\n	Notice\n\nThis Agreement is a Free Software license agreement that is the result\nof discussions between its authors in order to ensure compliance with\nthe two main principles guiding its drafting:\n\n	* firstly, compliance with the principles governing the distribution\n	  of Free Software: access to source code, broad rights granted to\n	  users,\n	* secondly, the election of a governing law, French law, with which\n	  it is conformant, both as regards the law of torts and\n	  intellectual property law, and the protection that it offers to\n	  both authors and holders of the economic rights over software.\n\nThe authors of the CeCILL-B (for Ce[a] C[nrs] I[nria] L[ogiciel] L[ibre])\nlicense are:\n\nCommissariat \u00e0 l'Energie Atomique - CEA, a public scientific, technical\nand industrial research establishment, having its principal place of\nbusiness at 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n\nCentre National de la Recherche Scientifique - CNRS, a public scientific\nand technological establishment, having its principal place of business\nat 3 rue Michel-Ange, 75794 Paris cedex 16, France.\n\nInstitut National de Recherche en Informatique et en Automatique -\nINRIA, a public scientific and technological establishment, having its\nprincipal place of business at Domaine de Voluceau, Rocquencourt, BP\n105, 78153 Le Chesnay cedex, France.\n\n\n	Preamble\n\nThis Agreement is an open source software license intended to give users\nsignificant freedom to modify and redistribute the software licensed\nhereunder.\n\nThe exercising of this freedom is conditional upon a strong obligation\nof giving credits for everybody that distributes a software\nincorporating a software ruled by the current license so as all\ncontributions to be properly identified and acknowledged.\n\nIn consideration of access to the source code and the rights to copy,\nmodify and redistribute granted by the license, users are provided only\nwith a limited warranty and the software's author, the holder of the\neconomic rights, and the successive licensors only have limited liability.\n\nIn this respect, the risks associated with loading, using, modifying\nand/or developing or reproducing the software by the user are brought to\nthe user's attention, given its Free Software status, which may make it\ncomplicated to use, with the result that its use is reserved for\ndevelopers and experienced professionals having in-depth computer\nknowledge. Users are therefore encouraged to load and test the\nsuitability of the software as regards their requirements in conditions\nenabling the security of their systems and/or data to be ensured and,\nmore generally, to use and operate it in the same conditions of\nsecurity. This Agreement may be freely reproduced and published,\nprovided it is not altered, and that no provisions are either added or\nremoved herefrom.\n\nThis Agreement may apply to any or all software for which the holder of\nthe economic rights decides to submit the use thereof to its provisions.\n\n\n	Article 1 - DEFINITIONS\n\nFor the purpose of this Agreement, when the following expressions\ncommence with a capital letter, they shall have the following meaning:\n\nAgreement: means this license agreement, and its possible subsequent\nversions and annexes.\n\nSoftware: means the software in its Object Code and/or Source Code form\nand, where applicable, its documentation, \"as is\" when the Licensee\naccepts the Agreement.\n\nInitial Software: means the Software in its Source Code and possibly its\nObject Code form and, where applicable, its documentation, \"as is\" when\nit is first distributed under the terms and conditions of the Agreement.\n\nModified Software: means the Software modified by at least one\nContribution.\n\nSource Code: means all the Software's instructions and program lines to\nwhich access is required so as to modify the Software.\n\nObject Code: means the binary files originating from the compilation of\nthe Source Code.\n\nHolder: means the holder(s) of the economic rights over the Initial\nSoftware.\n\nLicensee: means the Software user(s) having accepted the Agreement.\n\nContributor: means a Licensee having made at least one Contribution.\n\nLicensor: means the Holder, or any other individual or legal entity, who\ndistributes the Software under the Agreement.\n\nContribution: means any or all modifications, corrections, translations,\nadaptations and/or new functions integrated into the Software by any or\nall Contributors, as well as any or all Internal Modules.\n\nModule: means a set of sources files including their documentation that\nenables supplementary functions or services in addition to those offered\nby the Software.\n\nExternal Module: means any or all Modules, not derived from the\nSoftware, so that this Module and the Software run in separate address\nspaces, with one calling the other when they are run.\n\nInternal Module: means any or all Module, connected to the Software so\nthat they both execute in the same address space.\n\nParties: mean both the Licensee and the Licensor.\n\nThese expressions may be used both in singular and plural form.\n\n\n	Article 2 - PURPOSE\n\nThe purpose of the Agreement is the grant by the Licensor to the\nLicensee of a non-exclusive, transferable and worldwide license for the\nSoftware as set forth in Article 5 hereinafter for the whole term of the\nprotection granted by the rights over said Software.\n\n\n	Article 3 - ACCEPTANCE\n\n3.1 The Licensee shall be deemed as having accepted the terms and\nconditions of this Agreement upon the occurrence of the first of the\nfollowing events:\n\n	* (i) loading the Software by any or all means, notably, by\n	  downloading from a remote server, or by loading from a physical\n	  medium;\n	* (ii) the first time the Licensee exercises any of the rights\n	  granted hereunder.\n\n3.2 One copy of the Agreement, containing a notice relating to the\ncharacteristics of the Software, to the limited warranty, and to the\nfact that its use is restricted to experienced users has been provided\nto the Licensee prior to its acceptance as set forth in Article 3.1\nhereinabove, and the Licensee hereby acknowledges that it has read and\nunderstood it.\n\n\n	Article 4 - EFFECTIVE DATE AND TERM\n\n\n	  4.1 EFFECTIVE DATE\n\nThe Agreement shall become effective on the date when it is accepted by\nthe Licensee as set forth in Article 3.1.\n\n\n	  4.2 TERM\n\nThe Agreement shall remain in force for the entire legal term of\nprotection of the economic rights over the Software.\n\n\n	Article 5 - SCOPE OF RIGHTS GRANTED\n\nThe Licensor hereby grants to the Licensee, who accepts, the following\nrights over the Software for any or all use, and for the term of the\nAgreement, on the basis of the terms and conditions set forth hereinafter.\n\nBesides, if the Licensor owns or comes to own one or more patents\nprotecting all or part of the functions of the Software or of its\ncomponents, the Licensor undertakes not to enforce the rights granted by\nthese patents against successive Licensees using, exploiting or\nmodifying the Software. If these patents are transferred, the Licensor\nundertakes to have the transferees subscribe to the obligations set\nforth in this paragraph.\n\n\n	  5.1 RIGHT OF USE\n\nThe Licensee is authorized to use the Software, without any limitation\nas to its fields of application, with it being hereinafter specified\nthat this comprises:\n\n   1. permanent or temporary reproduction of all or part of the Software\n	  by any or all means and in any or all form.\n\n   2. loading, displaying, running, or storing the Software on any or\n	  all medium.\n\n   3. entitlement to observe, study or test its operation so as to\n	  determine the ideas and principles behind any or all constituent\n	  elements of said Software. This shall apply when the Licensee\n	  carries out any or all loading, displaying, running, transmission\n	  or storage operation as regards the Software, that it is entitled\n	  to carry out hereunder.\n\n\n	  5.2 ENTITLEMENT TO MAKE CONTRIBUTIONS\n\nThe right to make Contributions includes the right to translate, adapt,\narrange, or make any or all modifications to the Software, and the right\nto reproduce the resulting software.\n\nThe Licensee is authorized to make any or all Contributions to the\nSoftware provided that it includes an explicit notice that it is the\nauthor of said Contribution and indicates the date of the creation thereof.\n\n\n	  5.3 RIGHT OF DISTRIBUTION\n\nIn particular, the right of distribution includes the right to publish,\ntransmit and communicate the Software to the general public on any or\nall medium, and by any or all means, and the right to market, either in\nconsideration of a fee, or free of charge, one or more copies of the\nSoftware by any means.\n\nThe Licensee is further authorized to distribute copies of the modified\nor unmodified Software to third parties according to the terms and\nconditions set forth hereinafter.\n\n\n		5.3.1 DISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\nThe Licensee is authorized to distribute True copies of the Software in\nSource Code or Object Code form, provided that said distribution\ncomplies with all the provisions of the Agreement and is accompanied by:\n\n   1. a copy of the Agreement,\n\n   2. a notice relating to the limitation of both the Licensor's\n	  warranty and liability as set forth in Articles 8 and 9,\n\nand that, in the event that only the Object Code of the Software is\nredistributed, the Licensee allows effective access to the full Source\nCode of the Software at a minimum during the entire period of its\ndistribution of the Software, it being understood that the additional\ncost of acquiring the Source Code shall not exceed the cost of\ntransferring the data.\n\n\n		5.3.2 DISTRIBUTION OF MODIFIED SOFTWARE\n\nIf the Licensee makes any Contribution to the Software, the resulting\nModified Software may be distributed under a license agreement other\nthan this Agreement subject to compliance with the provisions of Article\n5.3.4.\n\n\n		5.3.3 DISTRIBUTION OF EXTERNAL MODULES\n\nWhen the Licensee has developed an External Module, the terms and\nconditions of this Agreement do not apply to said External Module, that\nmay be distributed under a separate license agreement.\n\n\n		5.3.4 CREDITS\n\nAny Licensee who may distribute a Modified Software hereby expressly\nagrees to:\n\n   1. indicate in the related documentation that it is based on the\n	  Software licensed hereunder, and reproduce the intellectual\n	  property notice for the Software,\n\n   2. ensure that written indications of the Software intended use,\n	  intellectual property notice and license hereunder are included in\n	  easily accessible format from the Modified Software interface,\n\n   3. mention, on a freely accessible website describing the Modified\n	  Software, at least throughout the distribution term thereof, that\n	  it is based on the Software licensed hereunder, and reproduce the\n	  Software intellectual property notice,\n\n   4. where it is distributed to a third party that may distribute a\n	  Modified Software without having to make its source code\n	  available, make its best efforts to ensure that said third party\n	  agrees to comply with the obligations set forth in this Article .\n\nIf the Software, whether or not modified, is distributed with an\nExternal Module designed for use in connection with the Software, the\nLicensee shall submit said External Module to the foregoing obligations.\n\n\n		5.3.5 COMPATIBILITY WITH THE CeCILL AND CeCILL-C LICENSES\n\nWhere a Modified Software contains a Contribution subject to the CeCILL\nlicense, the provisions set forth in Article 5.3.4 shall be optional.\n\nA Modified Software may be distributed under the CeCILL-C license. In\nsuch a case the provisions set forth in Article 5.3.4 shall be optional.\n\n\n	Article 6 - INTELLECTUAL PROPERTY\n\n\n	  6.1 OVER THE INITIAL SOFTWARE\n\nThe Holder owns the economic rights over the Initial Software. Any or\nall use of the Initial Software is subject to compliance with the terms\nand conditions under which the Holder has elected to distribute its work\nand no one shall be entitled to modify the terms and conditions for the\ndistribution of said Initial Software.\n\nThe Holder undertakes that the Initial Software will remain ruled at\nleast by this Agreement, for the duration set forth in Article 4.2.\n\n\n	  6.2 OVER THE CONTRIBUTIONS\n\nThe Licensee who develops a Contribution is the owner of the\nintellectual property rights over this Contribution as defined by\napplicable law.\n\n\n	  6.3 OVER THE EXTERNAL MODULES\n\nThe Licensee who develops an External Module is the owner of the\nintellectual property rights over this External Module as defined by\napplicable law and is free to choose the type of agreement that shall\ngovern its distribution.\n\n\n	  6.4 JOINT PROVISIONS\n\nThe Licensee expressly undertakes:\n\n   1. not to remove, or modify, in any manner, the intellectual property\n	  notices attached to the Software;\n\n   2. to reproduce said notices, in an identical manner, in the copies\n	  of the Software modified or not.\n\nThe Licensee undertakes not to directly or indirectly infringe the\nintellectual property rights of the Holder and/or Contributors on the\nSoftware and to take, where applicable, vis-\u00e0-vis its staff, any and all\nmeasures required to ensure respect of said intellectual property rights\nof the Holder and/or Contributors.\n\n\n	Article 7 - RELATED SERVICES\n\n7.1 Under no circumstances shall the Agreement oblige the Licensor to\nprovide technical assistance or maintenance services for the Software.\n\nHowever, the Licensor is entitled to offer this type of services. The\nterms and conditions of such technical assistance, and/or such\nmaintenance, shall be set forth in a separate instrument. Only the\nLicensor offering said maintenance and/or technical assistance services\nshall incur liability therefor.\n\n7.2 Similarly, any Licensor is entitled to offer to its licensees, under\nits sole responsibility, a warranty, that shall only be binding upon\nitself, for the redistribution of the Software and/or the Modified\nSoftware, under terms and conditions that it is free to decide. Said\nwarranty, and the financial terms and conditions of its application,\nshall be subject of a separate instrument executed between the Licensor\nand the Licensee.\n\n\n	Article 8 - LIABILITY\n\n8.1 Subject to the provisions of Article 8.2, the Licensee shall be\nentitled to claim compensation for any direct loss it may have suffered\nfrom the Software as a result of a fault on the part of the relevant\nLicensor, subject to providing evidence thereof.\n\n8.2 The Licensor's liability is limited to the commitments made under\nthis Agreement and shall not be incurred as a result of in particular:\n(i) loss due the Licensee's total or partial failure to fulfill its\nobligations, (ii) direct or consequential loss that is suffered by the\nLicensee due to the use or performance of the Software, and (iii) more\ngenerally, any consequential loss. In particular the Parties expressly\nagree that any or all pecuniary or business loss (i.e. loss of data,\nloss of profits, operating loss, loss of customers or orders,\nopportunity cost, any disturbance to business activities) or any or all\nlegal proceedings instituted against the Licensee by a third party,\nshall constitute consequential loss and shall not provide entitlement to\nany or all compensation from the Licensor.\n\n\n	Article 9 - WARRANTY\n\n9.1 The Licensee acknowledges that the scientific and technical\nstate-of-the-art when the Software was distributed did not enable all\npossible uses to be tested and verified, nor for the presence of\npossible defects to be detected. In this respect, the Licensee's\nattention has been drawn to the risks associated with loading, using,\nmodifying and/or developing and reproducing the Software which are\nreserved for experienced users.\n\nThe Licensee shall be responsible for verifying, by any or all means,\nthe suitability of the product for its requirements, its good working\norder, and for ensuring that it shall not cause damage to either persons\nor properties.\n\n9.2 The Licensor hereby represents, in good faith, that it is entitled\nto grant all the rights over the Software (including in particular the\nrights set forth in Article 5).\n\n9.3 The Licensee acknowledges that the Software is supplied \"as is\" by\nthe Licensor without any other express or tacit warranty, other than\nthat provided for in Article 9.2 and, in particular, without any warranty\nas to its commercial value, its secured, safe, innovative or relevant\nnature.\n\nSpecifically, the Licensor does not warrant that the Software is free\nfrom any error, that it will operate without interruption, that it will\nbe compatible with the Licensee's own equipment and software\nconfiguration, nor that it will meet the Licensee's requirements.\n\n9.4 The Licensor does not either expressly or tacitly warrant that the\nSoftware does not infringe any third party intellectual property right\nrelating to a patent, software or any other property right. Therefore,\nthe Licensor disclaims any and all liability towards the Licensee\narising out of any or all proceedings for infringement that may be\ninstituted in respect of the use, modification and redistribution of the\nSoftware. Nevertheless, should such proceedings be instituted against\nthe Licensee, the Licensor shall provide it with technical and legal\nassistance for its defense. Such technical and legal assistance shall be\ndecided on a case-by-case basis between the relevant Licensor and the\nLicensee pursuant to a memorandum of understanding. The Licensor\ndisclaims any and all liability as regards the Licensee's use of the\nname of the Software. No warranty is given as regards the existence of\nprior rights over the name of the Software or as regards the existence\nof a trademark.\n\n\n	Article 10 - TERMINATION\n\n10.1 In the event of a breach by the Licensee of its obligations\nhereunder, the Licensor may automatically terminate this Agreement\nthirty (30) days after notice has been sent to the Licensee and has\nremained ineffective.\n\n10.2 A Licensee whose Agreement is terminated shall no longer be\nauthorized to use, modify or distribute the Software. However, any\nlicenses that it may have granted prior to termination of the Agreement\nshall remain valid subject to their having been granted in compliance\nwith the terms and conditions hereof.\n\n\n	Article 11 - MISCELLANEOUS\n\n\n	  11.1 EXCUSABLE EVENTS\n\nNeither Party shall be liable for any or all delay, or failure to\nperform the Agreement, that may be attributable to an event of force\nmajeure, an act of God or an outside cause, such as defective\nfunctioning or interruptions of the electricity or telecommunications\nnetworks, network paralysis following a virus attack, intervention by\ngovernment authorities, natural disasters, water damage, earthquakes,\nfire, explosions, strikes and labor unrest, war, etc.\n\n11.2 Any failure by either Party, on one or more occasions, to invoke\none or more of the provisions hereof, shall under no circumstances be\ninterpreted as being a waiver by the interested Party of its right to\ninvoke said provision(s) subsequently.\n\n11.3 The Agreement cancels and replaces any or all previous agreements,\nwhether written or oral, between the Parties and having the same\npurpose, and constitutes the entirety of the agreement between said\nParties concerning said purpose. No supplement or modification to the\nterms and conditions hereof shall be effective as between the Parties\nunless it is made in writing and signed by their duly authorized\nrepresentatives.\n\n11.4 In the event that one or more of the provisions hereof were to\nconflict with a current or future applicable act or legislative text,\nsaid act or legislative text shall prevail, and the Parties shall make\nthe necessary amendments so as to comply with said act or legislative\ntext. All other provisions shall remain effective. Similarly, invalidity\nof a provision of the Agreement, for any reason whatsoever, shall not\ncause the Agreement as a whole to be invalid.\n\n\n	  11.5 LANGUAGE\n\nThe Agreement is drafted in both French and English and both versions\nare deemed authentic.\n\n\n	Article 12 - NEW VERSIONS OF THE AGREEMENT\n\n12.1 Any person is authorized to duplicate and distribute copies of this\nAgreement.\n\n12.2 So as to ensure coherence, the wording of this Agreement is\nprotected and may only be modified by the authors of the License, who\nreserve the right to periodically publish updates or new versions of the\nAgreement, each with a separate number. These subsequent versions may\naddress new issues encountered by Free Software.\n\n12.3 Any Software distributed under a given version of the Agreement may\nonly be subsequently distributed under the same version of the Agreement\nor a subsequent version.\n\n\n	Article 13 - GOVERNING LAW AND JURISDICTION\n\n13.1 The Agreement is governed by French law. The Parties agree to\nendeavor to seek an amicable solution to any disagreements or disputes\nthat may arise during the performance of the Agreement.\n\n13.2 Failing an amicable solution within two (2) months as from their\noccurrence, and unless emergency proceedings are necessary, the\ndisagreements or disputes shall be referred to the Paris Courts having\njurisdiction, by the more diligent Party.\n\n\nVersion 1.0 dated 2006-09-05.\n"
		self.standardLicenseTemplate = "<<beginOptional>>CeCILL-B FREE SOFTWARE LICENSE AGREEMENT\n\n<<endOptional>><<beginOptional>> Notice\n\nThis Agreement is a Free Software license agreement that is the result of discussions between its authors in order to ensure compliance with the two main principles guiding its drafting:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> firstly, compliance with the principles governing the distribution of Free Software: access to source code, broad rights granted to users,\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> secondly, the election of a governing law, French law, with which it is conformant, both as regards the law of torts and intellectual property law, and the protection that it offers to both authors and holders of the economic rights over software.\n\nThe authors of the <<var;name=\"licenseNameFootnote\";original=\"CeCILL\u00b9\";match=\"CeCILL-B[\u00b91]?( \\(?for Ce[\\[\\(]a[\\]\\)] C[\\[\\(]nrs[\\]\\)] I[\\[\\(]nria[\\]\\)] L[\\[\\(]ogiciel[\\]\\)] L[\\[\\(]ibre[\\]\\)]\\)?)?\">> license are:\n\n   Commissariat \u00e0 l'Energie Atomique - CEA, a public scientific, technical and industrial research establishment, having its principal place of business at 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n\n   Centre National de la Recherche Scientifique - CNRS, a public scientific and technological establishment, having its principal place of business at 3 rue Michel-Ange, 75794 Paris cedex 16, France.\n\n   Institut National de Recherche en Informatique et en Automatique - INRIA, a public scientific and technological establishment, having its principal place of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay cedex, France.\n\n   <<endOptional>>\n\n   <<var;name=\"bullet\";original=\"Preamble\";match=\".{0,20}\">> This Agreement is an open source software license intended to give users significant freedom to modify and redistribute the software licensed hereunder.\n\n   The exercising of this freedom is conditional upon a strong obligation of giving credits for everybody that distributes a software incorporating a software ruled by the current license so as all contributions to be properly identified and acknowledged.\n\n   In consideration of access to the source code and the rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors only have limited liability.\n\n   In this respect, the risks associated with loading, using, modifying and/or developing or reproducing the software by the user are brought to the user's attention, given its Free Software status, which may make it complicated to use, with the result that its use is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the suitability of the software as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions of security. This Agreement may be freely reproduced and published, provided it is not altered, and that no provisions are either added or removed herefrom.\n\n   This Agreement may apply to any or all software for which the holder of the economic rights decides to submit the use thereof to its provisions.\n\n   <<var;name=\"bullet\";original=\"Article 1 -\";match=\".{0,20}\">> DEFINITIONS\n\n   For the purpose of this Agreement, when the following expressions commence with a capital letter, they shall have the following meaning:\n\n	  Agreement: means this license agreement, and its possible subsequent versions and annexes.\n\n	  Software: means the software in its Object Code and/or Source Code form and, where applicable, its documentation, \"as is\" when the Licensee accepts the Agreement.\n\n	  Initial Software: means the Software in its Source Code and possibly its Object Code form and, where applicable, its documentation, \"as is\" when it is first distributed under the terms and conditions of the Agreement.\n\n	  Modified Software: means the Software modified by at least one Contribution.\n\n	  Source Code: means all the Software's instructions and program lines to which access is required so as to modify the Software.\n\n	  Object Code: means the binary files originating from the compilation of the Source Code.\n\n	  Holder: means the holder(s) of the economic rights over the Initial Software.\n\n	  Licensee: means the Software user(s) having accepted the Agreement.\n\n	  Contributor: means a Licensee having made at least one Contribution.\n\n	  Licensor: means the Holder, or any other individual or legal entity, who distributes the Software under the Agreement.\n\n	  Contribution: means any or all modifications, corrections, translations, adaptations and/or new functions integrated into the Software by any or all Contributors, as well as any or all Internal Modules.\n\n	  Module: means a set of sources files including their documentation that enables supplementary functions or services in addition to those offered by the Software.\n\n	  External Module: means any or all Modules, not derived from the Software, so that this Module and the Software run in separate address spaces, with one calling the other when they are run.\n\n	  Internal Module: means any or all Module, connected to the Software so that they both execute in the same address space.\n\n	  Parties: mean both the Licensee and the Licensor.\n\n   These expressions may be used both in singular and plural form.\n\n   <<var;name=\"bullet\";original=\"Article 2 -\";match=\".{0,20}\">> PURPOSE\n\n   The purpose of the Agreement is the grant by the Licensor to the Licensee of a non-exclusive, transferable and worldwide license for the Software as set forth in Article 5 hereinafter for the whole term of the protection granted by the rights over said Software.\n\n   <<var;name=\"bullet\";original=\"Article 3 -\";match=\".{0,20}\">> ACCEPTANCE\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> The Licensee shall be deemed as having accepted the terms and conditions of this Agreement upon the occurrence of the first of the following events:\n\n		 <<var;name=\"bullet\";original=\"(i)\";match=\".{0,20}\">> loading the Software by any or all means, notably, by downloading from a remote server, or by loading from a physical medium;\n\n		 <<var;name=\"bullet\";original=\"(ii)\";match=\".{0,20}\">> the first time the Licensee exercises any of the rights granted hereunder.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> One copy of the Agreement, containing a notice relating to the characteristics of the Software, to the limited warranty, and to the fact that its use is restricted to experienced users has been provided to the Licensee prior to its acceptance as set forth in Article 3.1 hereinabove, and the Licensee hereby acknowledges that it has read and understood it.\n\n   <<var;name=\"bullet\";original=\"Article 4 -\";match=\".{0,20}\">> EFFECTIVE DATE AND TERM\n\n	  <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> EFFECTIVE DATE\n\n	  The Agreement shall become effective on the date when it is accepted by the Licensee as set forth in Article 3.1.\n\n	  <<var;name=\"bullet\";original=\"4.2\";match=\".{0,20}\">> TERM\n\n	  The Agreement shall remain in force for the entire legal term of protection of the economic rights over the Software.\n\n   <<var;name=\"bullet\";original=\"Article 5 -\";match=\".{0,20}\">> SCOPE OF RIGHTS GRANTED\n\n   The Licensor hereby grants to the Licensee, who accepts, the following rights over the Software for any or all use, and for the term of the Agreement, on the basis of the terms and conditions set forth hereinafter.\n\n   Besides, if the Licensor owns or comes to own one or more patents protecting all or part of the functions of the Software or of its components, the Licensor undertakes not to enforce the rights granted by these patents against successive Licensees using, exploiting or modifying the Software. If these patents are transferred, the Licensor undertakes to have the transferees subscribe to the obligations set forth in this paragraph.\n\n	  <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> RIGHT OF USE\n\n	  The Licensee is authorized to use the Software, without any limitation as to its fields of application, with it being hereinafter specified that this comprises:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> permanent or temporary reproduction of all or part of the Software by any or all means and in any or all form.\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> loading, displaying, running, or storing the Software on any or all medium.\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> entitlement to observe, study or test its operation so as to determine the ideas and principles behind any or all constituent elements of said Software. This shall apply when the Licensee carries out any or all loading, displaying, running, transmission or storage operation as regards the Software, that it is entitled to carry out hereunder.\n\n	  <<var;name=\"bullet\";original=\"5.2\";match=\".{0,20}\">> ENTITLEMENT TO MAKE CONTRIBUTIONS\n\n	  The right to make Contributions includes the right to translate, adapt, arrange, or make any or all modifications to the Software, and the right to reproduce the resulting software.\n\n	  The Licensee is authorized to make any or all Contributions to the Software provided that it includes an explicit notice that it is the author of said Contribution and indicates the date of the creation thereof.\n\n	  <<var;name=\"bullet\";original=\"5.3\";match=\".{0,20}\">> RIGHT OF DISTRIBUTION\n\n	  In particular, the right of distribution includes the right to publish, transmit and communicate the Software to the general public on any or all medium, and by any or all means, and the right to market, either in consideration of a fee, or free of charge, one or more copies of the Software by any means.\n\n	  The Licensee is further authorized to distribute copies of the modified or unmodified Software to third parties according to the terms and conditions set forth hereinafter.\n\n		 <<var;name=\"bullet\";original=\"5.3.1.\";match=\".{0,20}\">> DISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\n		 The Licensee is authorized to distribute True copies of the Software in Source Code or Object Code form, provided that said distribution complies with all the provisions of the Agreement and is accompanied by:\n\n			<<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> a copy of the Agreement,\n\n			<<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> a notice relating to the limitation of both the Licensor's warranty and liability as set forth in Articles 8 and 9,\n\n		 and that, in the event that only the Object Code of the Software is redistributed, the Licensee allows effective access to the full Source Code of the Software at a minimum during the entire period of its distribution of the Software, it being understood that the additional cost of acquiring the Source Code shall not exceed the cost of transferring the data.\n\n		 <<var;name=\"bullet\";original=\"5.3.2.\";match=\".{0,20}\">> DISTRIBUTION OF MODIFIED SOFTWARE\n\n		 If the Licensee makes any Contribution to the Software, the resulting Modified Software may be distributed under a license agreement other than this Agreement subject to compliance with the provisions of Article 5.3.4.\n\n		 <<var;name=\"bullet\";original=\"5.3.3.\";match=\".{0,20}\">> DISTRIBUTION OF EXTERNAL MODULES\n\n		 When the Licensee has developed an External Module, the terms and conditions of this Agreement do not apply to said External Module, that may be distributed under a separate license agreement.\n\n		 <<var;name=\"bullet\";original=\"5.3.4.\";match=\".{0,20}\">> CREDITS\n\n		 Any Licensee who may distribute a Modified Software hereby expressly agrees to:\n\n			<<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> indicate in the related documentation that it is based on the Software licensed hereunder, and reproduce the intellectual property notice for the Software,\n\n			<<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> ensure that written indications of the Software intended use, intellectual property notice and license hereunder are included in easily accessible format from the Modified Software interface,\n\n			<<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> mention, on a freely accessible website describing the Modified Software, at least throughout the distribution term thereof, that it is based on the Software licensed hereunder, and reproduce the Software intellectual property notice,\n\n			<<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> where it is distributed to a third party that may distribute a Modified Software without having to make its source code available, make its best efforts to ensure that said third party agrees to comply with the obligations set forth in this Article .\n\n		 If the Software, whether or not modified, is distributed with an External Module designed for use in connection with the Software, the Licensee shall submit said External Module to the foregoing obligations.\n\n		 <<var;name=\"bullet\";original=\"5.3.5.\";match=\".{0,20}\">> COMPATIBILITY WITH THE CeCILL AND CeCILL-C LICENSES\n\n		 Where a Modified Software contains a Contribution subject to the CeCILL license, the provisions set forth in Article 5.3.4 shall be optional.\n\n		 A Modified Software may be distributed under the CeCILL-C license. In such a case the provisions set forth in Article 5.3.4 shall be optional.\n\n   <<var;name=\"bullet\";original=\"Article 6 -\";match=\".{0,20}\">> INTELLECTUAL PROPERTY\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> OVER THE INITIAL SOFTWARE\n\n	  The Holder owns the economic rights over the Initial Software. Any or all use of the Initial Software is subject to compliance with the terms and conditions under which the Holder has elected to distribute its work and no one shall be entitled to modify the terms and conditions for the distribution of said Initial Software.\n\n	  The Holder undertakes that the Initial Software will remain ruled at least by this Agreement, for the duration set forth in Article 4.2.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> OVER THE CONTRIBUTIONS\n\n	  The Licensee who develops a Contribution is the owner of the intellectual property rights over this Contribution as defined by applicable law.\n\n	  <<var;name=\"bullet\";original=\"6.3\";match=\".{0,20}\">> OVER THE EXTERNAL MODULES\n\n	  The Licensee who develops an External Module is the owner of the intellectual property rights over this External Module as defined by applicable law and is free to choose the type of agreement that shall govern its distribution.\n\n	  <<var;name=\"bullet\";original=\"6.4\";match=\".{0,20}\">> JOINT PROVISIONS\n\n	  The Licensee expressly undertakes:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> not to remove, or modify, in any manner, the intellectual property notices attached to the Software;\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> to reproduce said notices, in an identical manner, in the copies of the Software modified or not.\n\n	  The Licensee undertakes not to directly or indirectly infringe the intellectual property rights of the Holder and/or Contributors on the Software and to take, where applicable, vis-\u00e0-vis its staff, any and all measures required to ensure respect of said intellectual property rights of the Holder and/or Contributors.\n\n   <<var;name=\"bullet\";original=\"Article 7 -\";match=\".{0,20}\">> RELATED SERVICES\n\n	  <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> Under no circumstances shall the Agreement oblige the Licensor to provide technical assistance or maintenance services for the Software.\n\n	  However, the Licensor is entitled to offer this type of services. The terms and conditions of such technical assistance, and/or such maintenance, shall be set forth in a separate instrument. Only the Licensor offering said maintenance and/or technical assistance services shall incur liability therefor.\n\n	  <<var;name=\"bullet\";original=\"7.2\";match=\".{0,20}\">> Similarly, any Licensor is entitled to offer to its licensees, under its sole responsibility, a warranty, that shall only be binding upon itself, for the redistribution of the Software and/or the Modified Software, under terms and conditions that it is free to decide. Said warranty, and the financial terms and conditions of its application, shall be subject of a separate instrument executed between the Licensor and the Licensee.\n\n   <<var;name=\"bullet\";original=\"Article 8 -\";match=\".{0,20}\">> LIABILITY\n\n	  <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> Subject to the provisions of Article 8.2, the Licensee shall be entitled to claim compensation for any direct loss it may have suffered from the Software as a result of a fault on the part of the relevant Licensor, subject to providing evidence thereof.\n\n	  <<var;name=\"bullet\";original=\"8.2\";match=\".{0,20}\">> The Licensor's liability is limited to the commitments made under this Agreement and shall not be incurred as a result of in particular: (i) loss due the Licensee's total or partial failure to fulfill its obligations, (ii) direct or consequential loss that is suffered by the Licensee due to the use or performance of the Software, and (iii) more generally, any consequential loss. In particular the Parties expressly agree that any or all pecuniary or business loss (i.e. loss of data, loss of profits, operating loss, loss of customers or orders, opportunity cost, any disturbance to business activities) or any or all legal proceedings instituted against the Licensee by a third party, shall constitute consequential loss and shall not provide entitlement to any or all compensation from the Licensor.\n\n   <<var;name=\"bullet\";original=\"Article 9 -\";match=\".{0,20}\">> WARRANTY\n\n	  <<var;name=\"bullet\";original=\"9.1\";match=\".{0,20}\">> The Licensee acknowledges that the scientific and technical state-of-the-art when the Software was distributed did not enable all possible uses to be tested and verified, nor for the presence of possible defects to be detected. In this respect, the Licensee's attention has been drawn to the risks associated with loading, using, modifying and/or developing and reproducing the Software which are reserved for experienced users.\n\n	  The Licensee shall be responsible for verifying, by any or all means, the suitability of the product for its requirements, its good working order, and for ensuring that it shall not cause damage to either persons or properties.\n\n	  <<var;name=\"bullet\";original=\"9.2\";match=\".{0,20}\">> The Licensor hereby represents, in good faith, that it is entitled to grant all the rights over the Software (including in particular the rights set forth in Article 5).\n\n	  <<var;name=\"bullet\";original=\"9.3\";match=\".{0,20}\">> The Licensee acknowledges that the Software is supplied \"as is\" by the Licensor without any other express or tacit warranty, other than that provided for in Article 9.2 and, in particular, without any warranty as to its commercial value, its secured, safe, innovative or relevant nature.\n\n	  Specifically, the Licensor does not warrant that the Software is free from any error, that it will operate without interruption, that it will be compatible with the Licensee's own equipment and software configuration, nor that it will meet the Licensee's requirements.\n\n	  <<var;name=\"bullet\";original=\"9.4\";match=\".{0,20}\">> The Licensor does not either expressly or tacitly warrant that the Software does not infringe any third party intellectual property right relating to a patent, software or any other property right. Therefore, the Licensor disclaims any and all liability towards the Licensee arising out of any or all proceedings for infringement that may be instituted in respect of the use, modification and redistribution of the Software. Nevertheless, should such proceedings be instituted against the Licensee, the Licensor shall provide it with technical and legal assistance for its defense. Such technical and legal assistance shall be decided on a case-by-case basis between the relevant Licensor and the Licensee pursuant to a memorandum of understanding. The Licensor disclaims any and all liability as regards the Licensee's use of the name of the Software. No warranty is given as regards the existence of prior rights over the name of the Software or as regards the existence of a trademark.\n\n   <<var;name=\"bullet\";original=\"Article 10 -\";match=\".{0,20}\">> TERMINATION\n\n	  <<var;name=\"bullet\";original=\"10.1\";match=\".{0,20}\">> In the event of a breach by the Licensee of its obligations hereunder, the Licensor may automatically terminate this Agreement thirty (30) days after notice has been sent to the Licensee and has remained ineffective.\n\n	  <<var;name=\"bullet\";original=\"10.2\";match=\".{0,20}\">> A Licensee whose Agreement is terminated shall no longer be authorized to use, modify or distribute the Software. However, any licenses that it may have granted prior to termination of the Agreement shall remain valid subject to their having been granted in compliance with the terms and conditions hereof.\n\n   <<var;name=\"bullet\";original=\"Article 11 -\";match=\".{0,20}\">> MISCELLANEOUS\n\n	  <<var;name=\"bullet\";original=\"11.1\";match=\".{0,20}\">> EXCUSABLE EVENTS\n\n	  Neither Party shall be liable for any or all delay, or failure to perform the Agreement, that may be attributable to an event of force majeure, an act of God or an outside cause, such as defective functioning or interruptions of the electricity or telecommunications networks, network paralysis following a virus attack, intervention by government authorities, natural disasters, water damage, earthquakes, fire, explosions, strikes and labor unrest, war, etc.\n\n	  <<var;name=\"bullet\";original=\"11.2\";match=\".{0,20}\">> Any failure by either Party, on one or more occasions, to invoke one or more of the provisions hereof, shall under no circumstances be interpreted as being a waiver by the interested Party of its right to invoke said provision(s) subsequently.\n\n	  <<var;name=\"bullet\";original=\"11.3\";match=\".{0,20}\">> The Agreement cancels and replaces any or all previous agreements, whether written or oral, between the Parties and having the same purpose, and constitutes the entirety of the agreement between said Parties concerning said purpose. No supplement or modification to the terms and conditions hereof shall be effective as between the Parties unless it is made in writing and signed by their duly authorized representatives.\n\n	  <<var;name=\"bullet\";original=\"11.4\";match=\".{0,20}\">> In the event that one or more of the provisions hereof were to conflict with a current or future applicable act or legislative text, said act or legislative text shall prevail, and the Parties shall make the necessary amendments so as to comply with said act or legislative text. All other provisions shall remain effective. Similarly, invalidity of a provision of the Agreement, for any reason whatsoever, shall not cause the Agreement as a whole to be invalid.\n\n	  <<var;name=\"bullet\";original=\"11.5\";match=\".{0,20}\">> LANGUAGE\n\n	  The Agreement is drafted in both French and English and both versions are deemed authentic.\n\n   <<var;name=\"bullet\";original=\"Article 12 -\";match=\".{0,20}\">> NEW VERSIONS OF THE AGREEMENT\n\n	  <<var;name=\"bullet\";original=\"12.1\";match=\".{0,20}\">> Any person is authorized to duplicate and distribute copies of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"12.2\";match=\".{0,20}\">> So as to ensure coherence, the wording of this Agreement is protected and may only be modified by the authors of the License, who reserve the right to periodically publish updates or new versions of the Agreement, each with a separate number. These subsequent versions may address new issues encountered by Free Software.\n\n	  <<var;name=\"bullet\";original=\"12.3\";match=\".{0,20}\">> Any Software distributed under a given version of the Agreement may only be subsequently distributed under the same version of the Agreement or a subsequent version.\n\n   <<var;name=\"bullet\";original=\"Article 13 -\";match=\".{0,20}\">> GOVERNING LAW AND JURISDICTION\n\n	  <<var;name=\"bullet\";original=\"13.1\";match=\".{0,20}\">> The Agreement is governed by French law. The Parties agree to endeavor to seek an amicable solution to any disagreements or disputes that may arise during the performance of the Agreement.\n\n	  <<var;name=\"bullet\";original=\"13.2\";match=\".{0,20}\">> Failing an amicable solution within two (2) months as from their occurrence, and unless emergency proceedings are necessary, the disagreements or disputes shall be referred to the Paris Courts having jurisdiction, by the more diligent Party.\n\nVersion 1.0 dated 2006-09-05.\n\n<<beginOptional>>1 CeCILL stands for Ce(a) C(nrs) I(nria) L(ogiciel) L(ibre)<<endOptional>>"
		self.name = "CeCILL-B Free Software License Agreement"
		self.licenseComments = "French version can be found here: http://www.cecill.info/licences/Licence_CeCILL-B_V1-fr.html"
		self.licenseId = "CECILL-B"
		self.crossRef = [{"match": "False", "url": "http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>\nCeCILL-B FREE SOFTWARE LICENSE AGREEMENT\n	  </p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>\nNotice\n	  </p>\n\n		 <p>\nThis Agreement is a Free Software license agreement that is the result of discussions between its authors in order to ensure compliance with the two main principles guiding its drafting:\n	  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n\nfirstly, compliance with the principles governing the distribution of Free Software: access to source code, broad rights granted to users,\n\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n\nsecondly, the election of a governing law, French law, with which it is conformant, both as regards the law of torts and intellectual property law, and the protection that it offers to both authors and holders of the economic rights over software.\n\n		</li>\n		 \n</ul>\n		 <p>\nThe authors of the <var class=\"replaceable-license-text\"> CeCILL\u00b9</var> license are:\n	  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <p>\nCommissariat \u00e0 l&apos;Energie Atomique - CEA, a public scientific, technical and industrial research establishment, having its principal place of business at 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n		  </p>\n\n			</li>\n			\n<li>\n			   <p>\nCentre National de la Recherche Scientifique - CNRS, a public scientific and technological establishment, having its principal place of business at 3 rue Michel-Ange, 75794 Paris cedex 16, France.\n		  </p>\n\n			</li>\n			\n<li>\n			   <p>\nInstitut National de Recherche en Informatique et en Automatique - INRIA, a public scientific and technological establishment, having its principal place of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay cedex, France.\n		  </p>\n\n			</li>\n		 \n</ul>\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Preamble</var>\n\nThis Agreement is an open source software license intended to give users significant freedom to modify and redistribute the software licensed hereunder.\n\n		  <p>\nThe exercising of this freedom is conditional upon a strong obligation of giving credits for everybody that distributes a software incorporating a software ruled by the current license so as all contributions to be properly identified and acknowledged.\n		  </p>\n\n			<p>\nIn consideration of access to the source code and the rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software&apos;s author, the holder of the economic rights, and the successive licensors only have limited liability.\n		  </p>\n\n			<p>\nIn this respect, the risks associated with loading, using, modifying and/or developing or reproducing the software by the user are brought to the user&apos;s attention, given its Free Software status, which may make it complicated to use, with the result that its use is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the suitability of the software as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions of security. This Agreement may be freely reproduced and published, provided it is not altered, and that no provisions are either added or removed herefrom.\n		  </p>\n\n			<p>\nThis Agreement may apply to any or all software for which the holder of the economic rights decides to submit the use thereof to its provisions.\n		  </p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 1 -</var>\n\n		DEFINITIONS\n\n	  <p>\nFor the purpose of this Agreement, when the following expressions commence with a capital letter, they shall have the following meaning:\n	  </p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <p>\nAgreement: means this license agreement, and its possible subsequent versions and annexes.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nSoftware: means the software in its Object Code and/or Source Code form and, where applicable, its documentation, &quot;as is&quot; when the Licensee accepts the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nInitial Software: means the Software in its Source Code and possibly its Object Code form and, where applicable, its documentation, &quot;as is&quot; when it is first distributed under the terms and conditions of the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nModified Software: means the Software modified by at least one Contribution.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nSource Code: means all the Software&apos;s instructions and program lines to which access is required so as to modify the Software.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nObject Code: means the binary files originating from the compilation of the Source Code.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nHolder: means the holder(s) of the economic rights over the Initial Software.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nLicensee: means the Software user(s) having accepted the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nContributor: means a Licensee having made at least one Contribution.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nLicensor: means the Holder, or any other individual or legal entity, who distributes the Software under the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nContribution: means any or all modifications, corrections, translations, adaptations and/or new functions integrated into the Software by any or all Contributors, as well as any or all Internal Modules.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nModule: means a set of sources files including their documentation that enables supplementary functions or services in addition to those offered by the Software.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nExternal Module: means any or all Modules, not derived from the Software, so that this Module and the Software run in separate address spaces, with one calling the other when they are run.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nInternal Module: means any or all Module, connected to the Software so that they both execute in the same address space.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nParties: mean both the Licensee and the Licensor.\n		  </p>\n\n			   </li>\n			\n</ul>\n			<p>\nThese expressions may be used both in singular and plural form.\n	  </p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 2 -</var>\n\nPURPOSE\n\n	  <p>\nThe purpose of the Agreement is the grant by the Licensor to the Licensee of a non-exclusive, transferable and worldwide license for the Software as set forth in Article 5 hereinafter for the whole term of the protection granted by the rights over said Software.\n	  </p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 3 -</var>\n\nACCEPTANCE\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n\nThe Licensee shall be deemed as having accepted the terms and conditions of this Agreement upon the occurrence of the first of the following events:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (i)</var>\n\nloading the Software by any or all means, notably, by downloading from a remote server, or by loading from a physical medium;\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (ii)</var>\n\nthe first time the Licensee exercises any of the rights granted hereunder.\n\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n\nOne copy of the Agreement, containing a notice relating to the characteristics of the Software, to the limited warranty, and to the fact that its use is restricted to experienced users has been provided to the Licensee prior to its acceptance as set forth in Article 3.1 hereinabove, and the Licensee hereby acknowledges that it has read and understood it.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 4 -</var>\n\nEFFECTIVE DATE AND TERM\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.1</var>\n\nEFFECTIVE DATE\n\n		  <p>\nThe Agreement shall become effective on the date when it is accepted by the Licensee as set forth in Article 3.1.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.2</var>\n\nTERM\n\n		  <p>\nThe Agreement shall remain in force for the entire legal term of protection of the economic rights over the Software.\n		  </p>\n\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 5 -</var>\n\nSCOPE OF RIGHTS GRANTED\n\n	  <p>\nThe Licensor hereby grants to the Licensee, who accepts, the following rights over the Software for any or all use, and for the term of the Agreement, on the basis of the terms and conditions set forth hereinafter.\n	  </p>\n\n			<p>\nBesides, if the Licensor owns or comes to own one or more patents protecting all or part of the functions of the Software or of its components, the Licensor undertakes not to enforce the rights granted by these patents against successive Licensees using, exploiting or modifying the Software. If these patents are transferred, the Licensor undertakes to have the transferees subscribe to the obligations set forth in this paragraph.\n	  </p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.1</var>\n\nRIGHT OF USE\n\n		  <p>\nThe Licensee is authorized to use the Software, without any limitation as to its fields of application, with it being hereinafter specified that this comprises:\n		  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n\npermanent or temporary reproduction of all or part of the Software by any or all means and in any or all form.\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n\nloading, displaying, running, or storing the Software on any or all medium.\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.</var>\n\nentitlement to observe, study or test its operation so as to determine the ideas and principles behind any or all constituent elements of said Software. This shall apply when the Licensee carries out any or all loading, displaying, running, transmission or storage operation as regards the Software, that it is entitled to carry out hereunder.\n\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.2</var>\n\nENTITLEMENT TO MAKE CONTRIBUTIONS\n\n		  <p>\nThe right to make Contributions includes the right to translate, adapt, arrange, or make any or all modifications to the Software, and the right to reproduce the resulting software.\n		  </p>\n\n				  <p>\nThe Licensee is authorized to make any or all Contributions to the Software provided that it includes an explicit notice that it is the author of said Contribution and indicates the date of the creation thereof.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.3</var>\n\nRIGHT OF DISTRIBUTION\n\n		  <p>\nIn particular, the right of distribution includes the right to publish, transmit and communicate the Software to the general public on any or all medium, and by any or all means, and the right to market, either in consideration of a fee, or free of charge, one or more copies of the Software by any means.\n		  </p>\n\n				  <p>\nThe Licensee is further authorized to distribute copies of the modified or unmodified Software to third parties according to the terms and conditions set forth hereinafter.\n		  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.1.</var>\n\nDISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\n			  <p>\nThe Licensee is authorized to distribute True copies of the Software in Source Code or Object Code form, provided that said distribution complies with all the provisions of the Agreement and is accompanied by:\n			  </p>\n\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 1.</var>\n\na copy of the Agreement,\n\n			  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 2.</var>\n\na notice relating to the limitation of both the Licensor&apos;s warranty and liability as set forth in Articles 8 and 9,\n\n			  </li>\n						\n</ul>\n						<p>\nand that, in the event that only the Object Code of the Software is redistributed, the Licensee allows effective access to the full Source Code of the Software at a minimum during the entire period of its distribution of the Software, it being understood that the additional cost of acquiring the Source Code shall not exceed the cost of transferring the data.\n			</p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.2.</var>\n\nDISTRIBUTION OF MODIFIED SOFTWARE\n\n			<p>\nIf the Licensee makes any Contribution to the Software, the resulting Modified Software may be distributed under a license agreement other than this Agreement subject to compliance with the provisions of Article 5.3.4.\n			</p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.3.</var>\n\nDISTRIBUTION OF EXTERNAL MODULES\n\n		  <p>\nWhen the Licensee has developed an External Module, the terms and conditions of this Agreement do not apply to said External Module, that may be distributed under a separate license agreement.\n		  </p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.4.</var>\n\nCREDITS\n\n		  <p>\nAny Licensee who may distribute a Modified Software hereby expressly agrees to:\n		  </p>\n\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 1.</var>\n\nindicate in the related documentation that it is based on the Software licensed hereunder, and reproduce the intellectual property notice for the Software,\n\n			  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 2.</var>\n\nensure that written indications of the Software intended use, intellectual property notice and license hereunder are included in easily accessible format from the Modified Software interface,\n\n			  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 3.</var>\n\nmention, on a freely accessible website describing the Modified Software, at least throughout the distribution term thereof, that it is based on the Software licensed hereunder, and reproduce the Software intellectual property notice,\n\n			  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 4.</var>\n\nwhere it is distributed to a third party that may distribute a Modified Software without having to make its source code available, make its best efforts to ensure that said third party agrees to comply with the obligations set forth in this Article .\n\n			  </li>\n\t					   \n</ul>\n\t					   <p>\nIf the Software, whether or not modified, is distributed with an External Module designed for use in connection with the Software, the Licensee shall submit said External Module to the foregoing obligations.\n\t	</p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.5.</var>\n\nCOMPATIBILITY WITH THE CeCILL AND CeCILL-C LICENSES\n\n			<p>\nWhere a Modified Software contains a Contribution subject to the CeCILL license, the provisions set forth in Article 5.3.4 shall be optional.\n			</p>\n\n						<p>\nA Modified Software may be distributed under the CeCILL-C license. In such a case the provisions set forth in Article 5.3.4 shall be optional.\n			</p>\n\n\t					</li>\n\t				 \n</ul>\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 6 -</var>\n\nINTELLECTUAL PROPERTY\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1</var>\n\nOVER THE INITIAL SOFTWARE\n\n		  <p>\nThe Holder owns the economic rights over the Initial Software. Any or all use of the Initial Software is subject to compliance with the terms and conditions under which the Holder has elected to distribute its work and no one shall be entitled to modify the terms and conditions for the distribution of said Initial Software.\n		  </p>\n\n				  <p>\nThe Holder undertakes that the Initial Software will remain ruled at least by this Agreement, for the duration set forth in Article 4.2.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2</var>\n\nOVER THE CONTRIBUTIONS\n\n		  <p>\nThe Licensee who develops a Contribution is the owner of the intellectual property rights over this Contribution as defined by applicable law.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3</var>\n\nOVER THE EXTERNAL MODULES\n\n		  <p>\nThe Licensee who develops an External Module is the owner of the intellectual property rights over this External Module as defined by applicable law and is free to choose the type of agreement that shall govern its distribution.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.4</var>\n\nJOINT PROVISIONS\n\n		  <p>\nThe Licensee expressly undertakes:\n		  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n\nnot to remove, or modify, in any manner, the intellectual property notices attached to the Software;\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n\nto reproduce said notices, in an identical manner, in the copies of the Software modified or not.\n\n			</li>\n				  \n</ul>\n				  <p>\nThe Licensee undertakes not to directly or indirectly infringe the intellectual property rights of the Holder and/or Contributors on the Software and to take, where applicable, vis-\u00e0-vis its staff, any and all measures required to ensure respect of said intellectual property rights of the Holder and/or Contributors.\n		  </p>\n\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 7 -</var>\n\nRELATED SERVICES\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.1</var>\n\nUnder no circumstances shall the Agreement oblige the Licensor to provide technical assistance or maintenance services for the Software.\n\n		  <p>\nHowever, the Licensor is entitled to offer this type of services. The terms and conditions of such technical assistance, and/or such maintenance, shall be set forth in a separate instrument. Only the Licensor offering said maintenance and/or technical assistance services shall incur liability therefor.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.2</var>\n\nSimilarly, any Licensor is entitled to offer to its licensees, under its sole responsibility, a warranty, that shall only be binding upon itself, for the redistribution of the Software and/or the Modified Software, under terms and conditions that it is free to decide. Said warranty, and the financial terms and conditions of its application, shall be subject of a separate instrument executed between the Licensor and the Licensee.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 8 -</var>\n\nLIABILITY\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1</var>\n\nSubject to the provisions of Article 8.2, the Licensee shall be entitled to claim compensation for any direct loss it may have suffered from the Software as a result of a fault on the part of the relevant Licensor, subject to providing evidence thereof.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2</var>\n\nThe Licensor&apos;s liability is limited to the commitments made under this Agreement and shall not be incurred as a result of in particular: (i) loss due the Licensee&apos;s total or partial failure to fulfill its obligations, (ii) direct or consequential loss that is suffered by the Licensee due to the use or performance of the Software, and (iii) more generally, any consequential loss. In particular the Parties expressly agree that any or all pecuniary or business loss (i.e. loss of data, loss of profits, operating loss, loss of customers or orders, opportunity cost, any disturbance to business activities) or any or all legal proceedings instituted against the Licensee by a third party, shall constitute consequential loss and shall not provide entitlement to any or all compensation from the Licensor.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 9 -</var>\n\nWARRANTY\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.1</var>\n\nThe Licensee acknowledges that the scientific and technical state-of-the-art when the Software was distributed did not enable all possible uses to be tested and verified, nor for the presence of possible defects to be detected. In this respect, the Licensee&apos;s attention has been drawn to the risks associated with loading, using, modifying and/or developing and reproducing the Software which are reserved for experienced users.\n\n		  <p>\nThe Licensee shall be responsible for verifying, by any or all means, the suitability of the product for its requirements, its good working order, and for ensuring that it shall not cause damage to either persons or properties.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.2</var>\n\nThe Licensor hereby represents, in good faith, that it is entitled to grant all the rights over the Software (including in particular the rights set forth in Article 5).\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.3</var>\n\nThe Licensee acknowledges that the Software is supplied &quot;as is&quot; by the Licensor without any other express or tacit warranty, other than that provided for in Article 9.2 and, in particular, without any warranty as to its commercial value, its secured, safe, innovative or relevant nature.\n\n		  <p>\nSpecifically, the Licensor does not warrant that the Software is free from any error, that it will operate without interruption, that it will be compatible with the Licensee&apos;s own equipment and software configuration, nor that it will meet the Licensee&apos;s requirements.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.4</var>\n\nThe Licensor does not either expressly or tacitly warrant that the Software does not infringe any third party intellectual property right relating to a patent, software or any other property right. Therefore, the Licensor disclaims any and all liability towards the Licensee arising out of any or all proceedings for infringement that may be instituted in respect of the use, modification and redistribution of the Software. Nevertheless, should such proceedings be instituted against the Licensee, the Licensor shall provide it with technical and legal assistance for its defense. Such technical and legal assistance shall be decided on a case-by-case basis between the relevant Licensor and the Licensee pursuant to a memorandum of understanding. The Licensor disclaims any and all liability as regards the Licensee&apos;s use of the name of the Software. No warranty is given as regards the existence of prior rights over the name of the Software or as regards the existence of a trademark.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 10 -</var>\n\nTERMINATION\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.1</var>\n\nIn the event of a breach by the Licensee of its obligations hereunder, the Licensor may automatically terminate this Agreement thirty (30) days after notice has been sent to the Licensee and has remained ineffective.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.2</var>\n\nA Licensee whose Agreement is terminated shall no longer be authorized to use, modify or distribute the Software. However, any licenses that it may have granted prior to termination of the Agreement shall remain valid subject to their having been granted in compliance with the terms and conditions hereof.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 11 -</var>\n\nMISCELLANEOUS\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.1</var>\n\nEXCUSABLE EVENTS\n\n		  <p>\nNeither Party shall be liable for any or all delay, or failure to perform the Agreement, that may be attributable to an event of force majeure, an act of God or an outside cause, such as defective functioning or interruptions of the electricity or telecommunications networks, network paralysis following a virus attack, intervention by government authorities, natural disasters, water damage, earthquakes, fire, explosions, strikes and labor unrest, war, etc.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.2</var>\n\nAny failure by either Party, on one or more occasions, to invoke one or more of the provisions hereof, shall under no circumstances be interpreted as being a waiver by the interested Party of its right to invoke said provision(s) subsequently.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.3</var>\n\nThe Agreement cancels and replaces any or all previous agreements, whether written or oral, between the Parties and having the same purpose, and constitutes the entirety of the agreement between said Parties concerning said purpose. No supplement or modification to the terms and conditions hereof shall be effective as between the Parties unless it is made in writing and signed by their duly authorized representatives.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.4</var>\n\nIn the event that one or more of the provisions hereof were to conflict with a current or future applicable act or legislative text, said act or legislative text shall prevail, and the Parties shall make the necessary amendments so as to comply with said act or legislative text. All other provisions shall remain effective. Similarly, invalidity of a provision of the Agreement, for any reason whatsoever, shall not cause the Agreement as a whole to be invalid.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.5</var>\n\nLANGUAGE\n\n		  <p>\nThe Agreement is drafted in both French and English and both versions are deemed authentic.\n		  </p>\n\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 12 -</var>\n\nNEW VERSIONS OF THE AGREEMENT\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.1</var>\n\nAny person is authorized to duplicate and distribute copies of this Agreement.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.2</var>\n\nSo as to ensure coherence, the wording of this Agreement is protected and may only be modified by the authors of the License, who reserve the right to periodically publish updates or new versions of the Agreement, each with a separate number. These subsequent versions may address new issues encountered by Free Software.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.3</var>\n\nAny Software distributed under a given version of the Agreement may only be subsequently distributed under the same version of the Agreement or a subsequent version.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 13 -</var>\n\nGOVERNING LAW AND JURISDICTION\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.1</var>\n\nThe Agreement is governed by French law. The Parties agree to endeavor to seek an amicable solution to any disagreements or disputes that may arise during the performance of the Agreement.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.2</var>\n\nFailing an amicable solution within two (2) months as from their occurrence, and unless emergency proceedings are necessary, the disagreements or disputes shall be referred to the Paris Courts having jurisdiction, by the more diligent Party.\n\n		</li>\n			\n</ul>\n		 </li>\n	  \n</ul>\n	  <p>\nVersion 1.0 dated 2006-09-05.\n  </p>\n\n  <var class=\"optional-license-text\"> 1 CeCILL stands for Ce(a) C(nrs) I(nria) L(ogiciel) L(ibre)</var>\n	"
		self.python_name = "CECILLB"

	def __str__(self):
		return json.dumps(self.__dict__)


class OGLCanada20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Open Government Licence - Canada\n\nYou are encouraged to use the Information that is available under this licence with only a few conditions.\n\nUsing Information under this licence\n* Use of any Information indicates your acceptance of the terms below.\n* The Information Provider grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information, including for commercial purposes, subject to the terms below.\n\nYou are free to:\n* Copy, modify, publish, translate, adapt, distribute or otherwise use the Information in any medium, mode or format for any lawful purpose.\n\nYou must, where you do any of the above:\n* Acknowledge the source of the Information by including any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence.\n* If the Information Provider does not provide a specific attribution statement, or if you are using Information from several information providers and multiple attributions are not practical for your product or application, you must use the following attribution statement:\n	 Contains information licensed under the Open Government Licence \u2013 Canada.\n\nThe terms of this licence are important, and if you fail to comply with any of them, the rights granted to you under this licence, or any similar licence granted by the Information Provider, will end automatically.\n\nExemptions\nThis licence does not grant you any right to use:\n* Personal Information;\n* third party rights the Information Provider is not authorized to license;\n* the names, crests, logos, or other official symbols of the Information Provider; and\n* Information subject to other intellectual property rights, including patents, trade-marks and official marks.\n\nNon-endorsement\nThis licence does not grant you any right to use the Information in a way that suggests any official status or that the Information Provider endorses you or your use of the Information.\n\nNo Warranty\nThe Information is licensed \u201cas is\u201d, and the Information Provider excludes all representations, warranties, obligations, and liabilities, whether express or implied, to the maximum extent permitted by law.\n\nThe Information Provider is not liable for any errors or omissions in the Information, and will not under any circumstances be liable for any direct, indirect, special, incidental, consequential, or other loss, injury or damage caused by its use or otherwise arising in connection with this licence or the Information, even if specifically advised of the possibility of such loss, injury or damage.\n\nGoverning Law\nThis licence is governed by the laws of the province of Ontario and the applicable laws of Canada.\n\nLegal proceedings related to this licence may only be brought in the courts of Ontario or the Federal Court of Canada.\n\nDefinitions\nIn this licence, the terms below have the following meanings:\n\n\"Information\" means information resources protected by copyright or other information that is offered for use under the terms of this licence.\n\n\"Information Provider\" means Her Majesty the Queen in right of Canada.\n\n\u201cPersonal Information\u201d means \u201cpersonal information\u201d as defined in section 3 of the Privacy Act, R.S.C. 1985, c. P-21.\n\n\"You\" means the natural or legal person, or body of persons corporate or incorporate, acquiring rights under this licence.\n\nVersioning\nThis is version 2.0 of the Open Government Licence \u2013 Canada. The Information Provider may make changes to the terms of this licence from time to time and issue a new version of the licence. Your use of the Information will be governed by the terms of the licence in force as of the date you accessed the information.\n"
		self.standardLicenseTemplate = "Open Government Licence - Canada\n\nYou are encouraged to use the Information that is available under this licence with only a few conditions.\n\nUsing Information under this licence\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Use of any Information indicates your acceptance of the terms below.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> The Information Provider grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information, including for commercial purposes, subject to the terms below.\n\nYou are free to:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Copy, modify, publish, translate, adapt, distribute or otherwise use the Information in any medium, mode or format for any lawful purpose.\n\nYou must, where you do any of the above:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Acknowledge the source of the Information by including any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> If the Information Provider does not provide a specific attribution statement, or if you are using Information from several information providers and multiple attributions are not practical for your product or application, you must use the following attribution statement:\n\n   Contains information licensed under the Open Government Licence \u2013 Canada.\n\nThe terms of this licence are important, and if you fail to comply with any of them, the rights granted to you under this licence, or any similar licence granted by the Information Provider, will end automatically.\n\nExemptions\n\nThis licence does not grant you any right to use:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Personal Information;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> third party rights the Information Provider is not authorized to license;\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> the names, crests, logos, or other official symbols of the Information Provider; and\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Information subject to other intellectual property rights, including patents, trade-marks and official marks.\n\nNon-endorsement\n\nThis licence does not grant you any right to use the Information in a way that suggests any official status or that the Information Provider endorses you or your use of the Information.\n\nNo Warranty\n\nThe Information is licensed \"as is\", and the Information Provider excludes all representations, warranties, obligations, and liabilities, whether express or implied, to the maximum extent permitted by law.\n\nThe Information Provider is not liable for any errors or omissions in the Information, and will not under any circumstances be liable for any direct, indirect, special, incidental, consequential, or other loss, injury or damage caused by its use or otherwise arising in connection with this licence or the Information, even if specifically advised of the possibility of such loss, injury or damage.\n\nGoverning Law\n\nThis licence is governed by the laws of the province of Ontario and the applicable laws of Canada.\n\nLegal proceedings related to this licence may only be brought in the courts of Ontario or the Federal Court of Canada.\n\nDefinitions\n\nIn this licence, the terms below have the following meanings:\n\n\"Information\"\n\nmeans information resources protected by copyright or other information that is offered for use under the terms of this licence.\n\n\"Information Provider\"\n\nmeans Her Majesty the Queen in right of Canada.\n\n\"Personal Information\"\n\nmeans \"personal information\" as defined in section 3 of the Privacy Act, R.S.C. 1985, c. P-21.\n\n\"You\"\n\nmeans the natural or legal person, or body of persons corporate or incorporate, acquiring rights under this licence.\n\nVersioning\n\nThis is version 2.0 of the Open Government Licence \u2013 Canada. The Information Provider may make changes to the terms of this licence from time to time and issue a new version of the licence. Your use of the Information will be governed by the terms of the licence in force as of the date you accessed the information.\n\n"
		self.name = "Open Government Licence - Canada"
		self.licenseId = "OGL-Canada-2.0"
		self.crossRef = [{"match": "False", "url": "https://open.canada.ca/en/open-government-licence-canada", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:09Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://open.canada.ca/en/open-government-licence-canada"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<p>Open Government Licence - Canada</p>\n\n			<p>You are encouraged to use the Information that is available under this licence with only a few conditions.</p>\n\n			<p>Using Information under this licence</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var> Use of any Information indicates your acceptance of the terms below.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var> The Information Provider grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information, including for commercial purposes, subject to the terms below.\n				</li>\n			\n</ul>\n			<p>You are free to:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var> Copy, modify, publish, translate, adapt, distribute or otherwise use the Information in any medium, mode or format for any lawful purpose.\n				</li>\n			\n</ul>\n			<p>You must, where you do any of the above:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var> Acknowledge the source of the Information by including any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var> If the Information Provider does not provide a specific attribution statement, or if you are using Information from several information providers and multiple attributions are not practical for your product or application, you must use the following attribution statement:\n					<p>Contains information licensed under the Open Government Licence \u2013 Canada.</p>\n\n				</li>\n			\n</ul>\n			<p>The terms of this licence are important, and if you fail to comply with any of them, the rights granted to you under this licence, or any similar licence granted by the Information Provider, will end automatically.</p>\n\n			<p>Exemptions</p>\n\n			<p>This licence does not grant you any right to use:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var> Personal Information;\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var> third party rights the Information Provider is not authorized to license;\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var> the names, crests, logos, or other official symbols of the Information Provider; and\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> *</var> Information subject to other intellectual property rights, including patents, trade-marks and official marks.\n				</li>\n			\n</ul>\n			<p>Non-endorsement</p>\n\n			<p>This licence does not grant you any right to use the Information in a way that suggests any official status or that the Information Provider endorses you or your use of the Information.</p>\n\n			<p>No Warranty</p>\n\n			<p>The Information is licensed &quot;as is&quot;, and the Information Provider excludes all representations, warranties, obligations, and liabilities, whether express or implied, to the maximum extent permitted by law.</p>\n\n			<p>The Information Provider is not liable for any errors or omissions in the Information, and will not under any circumstances be liable for any direct, indirect, special, incidental, consequential, or other loss, injury or damage caused by its use or otherwise arising in connection with this licence or the Information, even if specifically advised of the possibility of such loss, injury or damage.</p>\n\n			<p>Governing Law</p>\n\n			<p>This licence is governed by the laws of the province of Ontario and the applicable laws of Canada.</p>\n\n			<p>Legal proceedings related to this licence may only be brought in the courts of Ontario or the Federal Court of Canada.</p>\n\n			<p>Definitions</p>\n\n			<p>In this licence, the terms below have the following meanings:</p>\n\n			<p>&quot;Information&quot;</p>\n\n			<p>means information resources protected by copyright or other information that is offered for use under the terms of this licence.</p>\n\n			<p>&quot;Information Provider&quot;</p>\n\n			<p>means Her Majesty the Queen in right of Canada.</p>\n\n			<p>&quot;Personal Information&quot;</p>\n\n			<p>means &quot;personal information&quot; as defined in section 3 of the Privacy Act, R.S.C. 1985, c. P-21.</p>\n\n			<p>&quot;You&quot;</p>\n\n			<p>means the natural or legal person, or body of persons corporate or incorporate, acquiring rights under this licence.</p>\n\n			<p>Versioning</p>\n\n			<p>This is version 2.0 of the Open Government Licence \u2013 Canada. The Information Provider may make changes to the terms of this licence from time to time and issue a new version of the licence. Your use of the Information will be governed by the terms of the licence in force as of the date you accessed the information.</p>\n\n		"
		self.python_name = "OGLCanada20"

	def __str__(self):
		return json.dumps(self.__dict__)


class dvipdfm:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "A modified version of this file may be distributed, but it should be distributed with a *different* name. Changed files must be distributed *together with a complete and unchanged* distribution of these files.\n"
		self.standardLicenseTemplate = "A modified version of this file may be distributed, but it should be distributed with a *different* name. Changed files must be distributed *together with a complete and unchanged* distribution of these files.\n\n"
		self.name = "dvipdfm License"
		self.licenseId = "dvipdfm"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/dvipdfm", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:00Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/dvipdfm"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>A modified version of this file may be distributed, but it should be distributed with a *different* name.\n		 Changed files must be distributed *together with a complete and unchanged* distribution of these\n		 files.</p>\n\n	"
		self.python_name = "dvipdfm"

	def __str__(self):
		return json.dumps(self.__dict__)


class LPL102:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Lucent Public License Version 1.02\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS PUBLIC LICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.\n\n1. DEFINITIONS\n\n\"Contribution\" means:\n\n	 a.  in the case of Lucent Technologies Inc. (\"LUCENT\"), the Original Program, and\n	 b.  in the case of each Contributor,\n\n		  i.  changes to the Program, and\n		  ii.  additions to the Program;\n\n		  where such changes and/or additions to the Program were added to the Program by such Contributor itself or anyone acting on such Contributor's behalf, and the Contributor explicitly consents, in accordance with Section 3C, to characterization of the changes and/or additions as Contributions.\n\n\"Contributor\" means LUCENT and any other entity that has Contributed a Contribution to the Program.\n\n\"Distributor\" means a Recipient that distributes the Program, modifications to the Program, or any part thereof.\n\n\"Licensed Patents\" mean patent claims licensable by a Contributor which are necessarily infringed by the use or sale of its Contribution alone or when combined with the Program.\n\n\"Original Program\" means the original version of the software accompanying this Agreement as released by LUCENT, including source code, object code and documentation, if any.\n\n\"Program\" means the Original Program and Contributions or any part thereof\n\n\"Recipient\" means anyone who receives the Program under this Agreement, including all Contributors.\n\n2. GRANT OF RIGHTS\n\n	 a.  Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, and such derivative works, in source code and object code form.\n\n	 b.  Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell, import and otherwise transfer the Contribution of such Contributor, if any, in source code and object code form. The patent license granted by a Contributor shall also apply to the combination of the Contribution of that Contributor and the Program if, at the time the Contribution is added by the Contributor, such addition of the Contribution causes such combination to be covered by the Licensed Patents. The patent license granted by a Contributor shall not apply to (i) any other combinations which include the Contribution, nor to (ii) Contributions of other Contributors. No hardware per se is licensed hereunder.\n\n	 c.  Recipient understands that although each Contributor grants the licenses to its Contributions set forth herein, no assurances are provided by any Contributor that the Program does not infringe the patent or other intellectual property rights of any other entity. Each Contributor disclaims any liability to Recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow Recipient to distribute the Program, it is Recipient's responsibility to acquire that license before distributing the Program.\n\n	 d.  Each Contributor represents that to its knowledge it has sufficient copyright rights in its Contribution, if any, to grant the copyright license set forth in this Agreement.\n\n3. REQUIREMENTS\n\n	 A. Distributor may choose to distribute the Program in any form under this Agreement or under its own license agreement, provided that:\n\n		  1.  it complies with the terms and conditions of this Agreement;\n		  2.  if the Program is distributed in source code or other tangible form, a copy of this Agreement or Distributor's own license agreement is included with each copy of the Program; and\n		  3.  if distributed under Distributor's own license agreement, such license agreement:\n\n			   a.  effectively disclaims on behalf of all Contributors all warranties and conditions, express and implied, including warranties or conditions of title and non-infringement, and implied warranties or conditions of merchantability and fitness for a particular purpose;\n			   b.  effectively excludes on behalf of all Contributors all liability for damages, including direct, indirect, special, incidental and consequential damages, such as lost profits; and\n			   c.  states that any provisions which differ from this Agreement are offered by that Contributor alone and not by any other party.\n\n	 B. Each Distributor must include the following in a conspicuous location in the Program:\n\n	 Copyright (C) 2003, Lucent Technologies Inc. and others. All Rights Reserved.\n\n	 C. In addition, each Contributor must identify itself as the originator of its Contribution in a manner that reasonably allows subsequent Recipients to identify the originator of the Contribution. Also, each Contributor must agree that the additions and/or changes are intended to be a Contribution. Once a Contribution is contributed, it may not thereafter be revoked.\n\n4. COMMERCIAL DISTRIBUTION\n\nCommercial distributors of software may accept certain responsibilities with respect to end users, business partners and the like. While this license is intended to facilitate the commercial use of the Program, the Distributor who includes the Program in a commercial product offering should do so in a manner which does not create potential liability for Contributors. Therefore, if a Distributor includes the Program in a commercial product offering, such Distributor (\"Commercial Distributor\") hereby agrees to defend and indemnify every Contributor (\"Indemnified Contributor\") against any losses, damages and costs (collectively \"Losses\") arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Contributor to the extent caused by the acts or omissions of such Commercial Distributor in connection with its distribution of the Program in a commercial product offering. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the Commercial Distributor in writing of such claim, and b) allow the Commercial Distributor to control, and cooperate with the Commercial Distributor in, the defense and any related settlement negotiations. The Indemnified Contributor may participate in any such claim at its own expense.\n\nFor example, a Distributor might include the Program in a commercial product offering, Product X. That Distributor is then a Commercial Distributor. If that Commercial Distributor then makes performance claims, or offers warranties related to Product X, those performance claims and warranties are such Commercial Distributor's responsibility alone. Under this section, the Commercial Distributor would have to defend claims against the Contributors related to those performance claims and warranties, and if a court requires any Contributor to pay any damages as a result, the Commercial Distributor must pay those damages.\n\n5. NO WARRANTY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness of using and distributing the Program and assumes all risks associated with its exercise of rights under this Agreement, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n6. DISCLAIMER OF LIABILITY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. EXPORT CONTROL\n\nRecipient agrees that Recipient alone is responsible for compliance with the United States export administration regulations (and the export control laws and regulation of any other countries).\n\n8. GENERAL\n\nIf any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Agreement, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\nIf Recipient institutes patent litigation against a Contributor with respect to a patent applicable to software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted by that Contributor to such Recipient under this Agreement shall terminate as of the date such litigation is filed. In addition, if Recipient institutes patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of the Program with other software or hardware) infringes such Recipient's patent(s), then such Recipient's rights granted under Section 2(b) shall terminate as of the date such litigation is filed.\n\nAll Recipient's rights under this Agreement shall terminate if it fails to comply with any of the material terms or conditions of this Agreement and does not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If all Recipient's rights under this Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as reasonably practicable. However, Recipient's obligations under this Agreement and any licenses granted by Recipient relating to the Program shall continue and survive.\n\nLUCENT may publish new versions (including revisions) of this Agreement from time to time. Each new version of the Agreement will be given a distinguishing version number. The Program (including Contributions) may always be distributed subject to the version of the Agreement under which it was received. In addition, after a new version of the Agreement is published, Contributor may elect to distribute the Program (including its Contributions) under the new version. No one other than LUCENT has the right to modify this Agreement. Except as expressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights or licenses to the intellectual property of any Contributor under this Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not expressly granted under this Agreement are reserved.\n\nThis Agreement is governed by the laws of the State of New York and the intellectual property laws of the United States of America. No party to this Agreement will bring a legal action under this Agreement more than one year after the cause of action arose. Each party waives its rights to a jury trial in any resulting litigation.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Lucent Public License Version 1.02\n\n<<endOptional>>\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS PUBLIC LICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> DEFINITIONS\n\n   \"Contribution\" means:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> in the case of Lucent Technologies Inc. (\"LUCENT\"), the Original Program, and\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> in the case of each Contributor,\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> changes to the Program, and\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> additions to the Program;\n\n		 where such changes and/or additions to the Program were added to the Program by such Contributor itself or anyone acting on such Contributor's behalf, and the Contributor explicitly consents, in accordance with Section 3C, to characterization of the changes and/or additions as Contributions.\n\n	  \"Contributor\" means LUCENT and any other entity that has Contributed a Contribution to the Program.\n\n	  \"Distributor\" means a Recipient that distributes the Program, modifications to the Program, or any part thereof.\n\n	  \"Licensed Patents\" mean patent claims licensable by a Contributor which are necessarily infringed by the use or sale of its Contribution alone or when combined with the Program.\n\n	  \"Original Program\" means the original version of the software accompanying this Agreement as released by LUCENT, including source code, object code and documentation, if any.\n\n	  \"Program\" means the Original Program and Contributions or any part thereof\n\n	  \"Recipient\" means anyone who receives the Program under this Agreement, including all Contributors.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> GRANT OF RIGHTS\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, and such derivative works, in source code and object code form.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell, import and otherwise transfer the Contribution of such Contributor, if any, in source code and object code form. The patent license granted by a Contributor shall also apply to the combination of the Contribution of that Contributor and the Program if, at the time the Contribution is added by the Contributor, such addition of the Contribution causes such combination to be covered by the Licensed Patents. The patent license granted by a Contributor shall not apply to (i) any other combinations which include the Contribution, nor to (ii) Contributions of other Contributors. No hardware per se is licensed hereunder.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Recipient understands that although each Contributor grants the licenses to its Contributions set forth herein, no assurances are provided by any Contributor that the Program does not infringe the patent or other intellectual property rights of any other entity. Each Contributor disclaims any liability to Recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow Recipient to distribute the Program, it is Recipient's responsibility to acquire that license before distributing the Program.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Each Contributor represents that to its knowledge it has sufficient copyright rights in its Contribution, if any, to grant the copyright license set forth in this Agreement.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> REQUIREMENTS\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Distributor may choose to distribute the Program in any form under this Agreement or under its own license agreement, provided that:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> it complies with the terms and conditions of this Agreement;\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> if the Program is distributed in source code or other tangible form, a copy of this Agreement or Distributor's own license agreement is included with each copy of the Program; and\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> if distributed under Distributor's own license agreement, such license agreement:\n\n			<<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> effectively disclaims on behalf of all Contributors all warranties and conditions, express and implied, including warranties or conditions of title and non-infringement, and implied warranties or conditions of merchantability and fitness for a particular purpose;\n\n			<<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> effectively excludes on behalf of all Contributors all liability for damages, including direct, indirect, special, incidental and consequential damages, such as lost profits; and\n\n			<<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> states that any provisions which differ from this Agreement are offered by that Contributor alone and not by any other party.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Each Distributor must include the following in a conspicuous location in the Program:\n\n	  Copyright (C) 2003, Lucent Technologies Inc. and others. All Rights Reserved.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> In addition, each Contributor must identify itself as the originator of its Contribution in a manner that reasonably allows subsequent Recipients to identify the originator of the Contribution. Also, each Contributor must agree that the additions and/or changes are intended to be a Contribution. Once a Contribution is contributed, it may not thereafter be revoked.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> COMMERCIAL DISTRIBUTION\n\n   Commercial distributors of software may accept certain responsibilities with respect to end users, business partners and the like. While this license is intended to facilitate the commercial use of the Program, the Distributor who includes the Program in a commercial product offering should do so in a manner which does not create potential liability for Contributors. Therefore, if a Distributor includes the Program in a commercial product offering, such Distributor (\"Commercial Distributor\") hereby agrees to defend and indemnify every Contributor (\"Indemnified Contributor\") against any losses, damages and costs (collectively \"Losses\") arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Contributor to the extent caused by the acts or omissions of such Commercial Distributor in connection with its distribution of the Program in a commercial product offering. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the Commercial Distributor in writing of such claim, and b) allow the Commercial Distributor to control, and cooperate with the Commercial Distributor in, the defense and any related settlement negotiations. The Indemnified Contributor may participate in any such claim at its own expense.\n\n   For example, a Distributor might include the Program in a commercial product offering, Product X. That Distributor is then a Commercial Distributor. If that Commercial Distributor then makes performance claims, or offers warranties related to Product X, those performance claims and warranties are such Commercial Distributor's responsibility alone. Under this section, the Commercial Distributor would have to defend claims against the Contributors related to those performance claims and warranties, and if a court requires any Contributor to pay any damages as a result, the Commercial Distributor must pay those damages.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> NO WARRANTY\n\n   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness of using and distributing the Program and assumes all risks associated with its exercise of rights under this Agreement, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> DISCLAIMER OF LIABILITY\n\n   EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> EXPORT CONTROL\n\n   Recipient agrees that Recipient alone is responsible for compliance with the United States export administration regulations (and the export control laws and regulation of any other countries).\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> GENERAL\n\n   If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Agreement, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n   If Recipient institutes patent litigation against a Contributor with respect to a patent applicable to software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted by that Contributor to such Recipient under this Agreement shall terminate as of the date such litigation is filed. In addition, if Recipient institutes patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of the Program with other software or hardware) infringes such Recipient's patent(s), then such Recipient's rights granted under Section 2(b) shall terminate as of the date such litigation is filed.\n\n   All Recipient's rights under this Agreement shall terminate if it fails to comply with any of the material terms or conditions of this Agreement and does not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If all Recipient's rights under this Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as reasonably practicable. However, Recipient's obligations under this Agreement and any licenses granted by Recipient relating to the Program shall continue and survive.\n\n   LUCENT may publish new versions (including revisions) of this Agreement from time to time. Each new version of the Agreement will be given a distinguishing version number. The Program (including Contributions) may always be distributed subject to the version of the Agreement under which it was received. In addition, after a new version of the Agreement is published, Contributor may elect to distribute the Program (including its Contributions) under the new version. No one other than LUCENT has the right to modify this Agreement. Except as expressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights or licenses to the intellectual property of any Contributor under this Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not expressly granted under this Agreement are reserved.\n\n   This Agreement is governed by the laws of the State of New York and the intellectual property laws of the United States of America. No party to this Agreement will bring a legal action under this Agreement more than one year after the cause of action arose. Each party waives its rights to a jury trial in any resulting litigation.\n\n   "
		self.name = "Lucent Public License v1.02"
		self.licenseId = "LPL-1.02"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/LPL-1.02", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:32Z", "isWayBackLink": False, "order": 1}, {"match": "N/A", "url": "http://plan9.bell-labs.com/plan9/license.html", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:20:43Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://plan9.bell-labs.com/plan9/license.html", "https://opensource.org/licenses/LPL-1.02"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Lucent Public License Version 1.02</p>\n\n	  </div>\n\n	  <p>THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS PUBLIC LICENSE (&quot;AGREEMENT&quot;). ANY\n		 USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT&apos;S ACCEPTANCE OF THIS\n		 AGREEMENT.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  DEFINITIONS\n		  <p>&quot;Contribution&quot; means:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			in the case of Lucent Technologies Inc. (&quot;LUCENT&quot;), the Original Program, and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			in the case of each Contributor,\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  changes to the Program, and\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  additions to the Program;\n			  <p>where such changes and/or additions to the Program were added to the Program by such\n				 Contributor itself or anyone acting on such Contributor&apos;s behalf, and the\n				 Contributor explicitly consents, in accordance with Section 3C, to characterization of\n				 the changes and/or additions as Contributions.</p>\n\n					 </li>\n				  \n</ul>\n				  <p>&quot;Contributor&quot; means LUCENT and any other entity that has Contributed a\n				 Contribution to the Program.</p>\n\n				  <p>&quot;Distributor&quot; means a Recipient that distributes the Program, modifications to\n				 the Program, or any part thereof.</p>\n\n				  <p>&quot;Licensed Patents&quot; mean patent claims licensable by a Contributor which are\n				 necessarily infringed by the use or sale of its Contribution alone or when combined\n				 with the Program.</p>\n\n				  <p>&quot;Original Program&quot; means the original version of the software accompanying this\n				 Agreement as released by LUCENT, including source code, object code and documentation,\n				 if any.</p>\n\n				  <p>&quot;Program&quot; means the Original Program and Contributions or any part thereof</p>\n\n				  <p>&quot;Recipient&quot; means anyone who receives the Program under this Agreement,\n				 including all Contributors.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  GRANT OF RIGHTS\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Subject to the terms of this Agreement, each Contributor hereby grants Recipient a\n			   non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare derivative\n			   works of, publicly display, publicly perform, distribute and sublicense the Contribution\n			   of such Contributor, if any, and such derivative works, in source code and object code\n			   form.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the terms of this Agreement, each Contributor hereby grants Recipient a\n			   non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use,\n			   sell, offer to sell, import and otherwise transfer the Contribution of such Contributor,\n			   if any, in source code and object code form. The patent license granted by a Contributor\n			   shall also apply to the combination of the Contribution of that Contributor and the\n			   Program if, at the time the Contribution is added by the Contributor, such addition of the\n			   Contribution causes such combination to be covered by the Licensed Patents. The patent\n			   license granted by a Contributor shall not apply to (i) any other combinations which\n			   include the Contribution, nor to (ii) Contributions of other Contributors. No hardware per\n			   se is licensed hereunder.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Recipient understands that although each Contributor grants the licenses to its Contributions\n			   set forth herein, no assurances are provided by any Contributor that the Program does not\n			   infringe the patent or other intellectual property rights of any other entity. Each\n			   Contributor disclaims any liability to Recipient for claims brought by any other entity\n			   based on infringement of intellectual property rights or otherwise. As a condition to\n			   exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole\n			   responsibility to secure any other intellectual property rights needed, if any. For\n			   example, if a third party patent license is required to allow Recipient to distribute the\n			   Program, it is Recipient&apos;s responsibility to acquire that license before distributing\n			   the Program.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			Each Contributor represents that to its knowledge it has sufficient copyright rights in its\n			   Contribution, if any, to grant the copyright license set forth in this Agreement.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  REQUIREMENTS\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> A.</var>\n			Distributor may choose to distribute the Program in any form under this Agreement or under\n			   its own license agreement, provided that:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n			  it complies with the terms and conditions of this Agreement;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n			  if the Program is distributed in source code or other tangible form, a copy of this\n				 Agreement or Distributor&apos;s own license agreement is included with each copy of\n				 the Program; and\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.</var>\n			  if distributed under Distributor&apos;s own license agreement, such license agreement:\n			\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> a.</var>\n				effectively disclaims on behalf of all Contributors all warranties and conditions,\n				   express and implied, including warranties or conditions of title and\n				   non-infringement, and implied warranties or conditions of merchantability and\n				   fitness for a particular purpose;\n			  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> b.</var>\n				effectively excludes on behalf of all Contributors all liability for damages,\n				   including direct, indirect, special, incidental and consequential damages, such as\n				   lost profits; and\n			  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> c.</var>\n				states that any provisions which differ from this Agreement are offered by that\n				   Contributor alone and not by any other party.\n			  </li>\n						\n</ul>\n					 </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> B.</var>\n			Each Distributor must include the following in a conspicuous location in the Program:\n			<p>Copyright (C) 2003, Lucent Technologies Inc. and others. All Rights Reserved.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> C.</var>\n			In addition, each Contributor must identify itself as the originator of its Contribution in a\n			   manner that reasonably allows subsequent Recipients to identify the originator of the\n			   Contribution. Also, each Contributor must agree that the additions and/or changes are\n			   intended to be a Contribution. Once a Contribution is contributed, it may not thereafter\n			   be revoked.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  COMMERCIAL DISTRIBUTION\n		  <p>Commercial distributors of software may accept certain responsibilities with respect to end\n			 users, business partners and the like. While this license is intended to facilitate the\n			 commercial use of the Program, the Distributor who includes the Program in a commercial\n			 product offering should do so in a manner which does not create potential liability for\n			 Contributors. Therefore, if a Distributor includes the Program in a commercial product\n			 offering, such Distributor (&quot;Commercial Distributor&quot;) hereby agrees to defend and\n			 indemnify every Contributor (&quot;Indemnified Contributor&quot;) against any losses, damages\n			 and costs (collectively &quot;Losses&quot;) arising from claims, lawsuits and other legal\n			 actions brought by a third party against the Indemnified Contributor to the extent caused by\n			 the acts or omissions of such Commercial Distributor in connection with its distribution of\n			 the Program in a commercial product offering. The obligations in this section do not apply to\n			 any claims or Losses relating to any actual or alleged intellectual property infringement. In\n			 order to qualify, an Indemnified Contributor must: a) promptly notify the Commercial\n			 Distributor in writing of such claim, and b) allow the Commercial Distributor to control, and\n			 cooperate with the Commercial Distributor in, the defense and any related settlement\n			 negotiations. The Indemnified Contributor may participate in any such claim at its own\n			 expense.</p>\n\n			<p>For example, a Distributor might include the Program in a commercial product offering, Product X.\n			 That Distributor is then a Commercial Distributor. If that Commercial Distributor then makes\n			 performance claims, or offers warranties related to Product X, those performance claims and\n			 warranties are such Commercial Distributor&apos;s responsibility alone. Under this section,\n			 the Commercial Distributor would have to defend claims against the Contributors related to\n			 those performance claims and warranties, and if a court requires any Contributor to pay any\n			 damages as a result, the Commercial Distributor must pay those damages.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  NO WARRANTY\n		  <p>EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN &quot;AS IS&quot;\n			 BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING,\n			 WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY\n			 OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the\n			 appropriateness of using and distributing the Program and assumes all risks associated with\n			 its exercise of rights under this Agreement, including but not limited to the risks and costs\n			 of program errors, compliance with applicable laws, damage to or loss of data, programs or\n			 equipment, and unavailability or interruption of operations.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  DISCLAIMER OF LIABILITY\n		  <p>EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL\n			 HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n			 DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF\n			 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\n			 ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS\n			 GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  EXPORT CONTROL\n		  <p>Recipient agrees that Recipient alone is responsible for compliance with the United States export\n			 administration regulations (and the export control laws and regulation of any other\n			 countries).</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  GENERAL\n	  <p>If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect\n		 the validity or enforceability of the remainder of the terms of this Agreement, and without further\n		 action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make\n		 such provision valid and enforceable.</p>\n\n			<p>If Recipient institutes patent litigation against a Contributor with respect to a patent applicable to\n		 software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted by\n		 that Contributor to such Recipient under this Agreement shall terminate as of the date such litigation\n		 is filed. In addition, if Recipient institutes patent litigation against any entity (including a\n		 cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of\n		 the Program with other software or hardware) infringes such Recipient&apos;s patent(s), then such\n		 Recipient&apos;s rights granted under Section 2(b) shall terminate as of the date such litigation is\n		 filed.</p>\n\n			<p>All Recipient&apos;s rights under this Agreement shall terminate if it fails to comply with any of the\n		 material terms or conditions of this Agreement and does not cure such failure in a reasonable period\n		 of time after becoming aware of such noncompliance. If all Recipient&apos;s rights under this\n		 Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as\n		 reasonably practicable. However, Recipient&apos;s obligations under this Agreement and any licenses\n		 granted by Recipient relating to the Program shall continue and survive.</p>\n\n			<p>LUCENT may publish new versions (including revisions) of this Agreement from time to time. Each new\n		 version of the Agreement will be given a distinguishing version number. The Program (including\n		 Contributions) may always be distributed subject to the version of the Agreement under which it was\n		 received. In addition, after a new version of the Agreement is published, Contributor may elect to\n		 distribute the Program (including its Contributions) under the new version. No one other than LUCENT\n		 has the right to modify this Agreement. Except as expressly stated in Sections 2(a) and 2(b) above,\n		 Recipient receives no rights or licenses to the intellectual property of any Contributor under this\n		 Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not\n		 expressly granted under this Agreement are reserved.</p>\n\n			<p>This Agreement is governed by the laws of the State of New York and the intellectual property laws of the\n		 United States of America. No party to this Agreement will bring a legal action under this Agreement\n		 more than one year after the cause of action arose. Each party waives its rights to a jury trial in\n		 any resulting litigation.</p>\n\n		 </li>\n	  \n</ul>\n	"
		self.python_name = "LPL102"

	def __str__(self):
		return json.dumps(self.__dict__)


class Zend20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The Zend Engine License, version 2.00\nCopyright (c) 1999-2002 Zend Technologies Ltd. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, is permitted provided that the following conditions are met:\n\n	 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 3. The names \"Zend\" and \"Zend Engine\" must not be used to endorse or promote products derived from this software without prior permission from Zend Technologies Ltd. For written permission, please contact license@zend.com.\n\n	 4. Zend Technologies Ltd. may publish revised and/or new versions of the license from time to time. Each version will be given a distinguishing version number. Once covered code has been published under a particular version of the license, you may always continue to use it under the terms of that version. You may also choose to use such covered code under the terms of any subsequent version of the license published by Zend Technologies Ltd. No one other than Zend Technologies Ltd. has the right to modify the terms applicable to covered code created under this License.\n\n	 5. Redistributions of any form whatsoever must retain the following acknowledgment: \"This product includes the Zend Engine, freely available at http://www.zend.com\"\n\n	 6. All advertising materials mentioning features or use of this software must display the following acknowledgment: \"The Zend Engine is freely available at http://www.zend.com\"\n\nTHIS SOFTWARE IS PROVIDED BY ZEND TECHNOLOGIES LTD. ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ZEND TECHNOLOGIES LTD. BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Zend Engine License, version 2.00\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 1999-2002 Zend Technologies Ltd. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, is permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The names \"Zend\" and \"Zend Engine\" must not be used to endorse or promote products derived from this software without prior permission from Zend Technologies Ltd. For written permission, please contact license@zend.com.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Zend Technologies Ltd. may publish revised and/or new versions of the license from time to time. Each version will be given a distinguishing version number. Once covered code has been published under a particular version of the license, you may always continue to use it under the terms of that version. You may also choose to use such covered code under the terms of any subsequent version of the license published by Zend Technologies Ltd. No one other than Zend Technologies Ltd. has the right to modify the terms applicable to covered code created under this License.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Redistributions of any form whatsoever must retain the following acknowledgment: \"This product includes the Zend Engine, freely available at http://www.zend.com\"\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> All advertising materials mentioning features or use of this software must display the following acknowledgment: \"The Zend Engine is freely available at http://www.zend.com\"\n\nTHIS SOFTWARE IS PROVIDED BY ZEND TECHNOLOGIES LTD. ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ZEND TECHNOLOGIES LTD. BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Zend License v2.0"
		self.licenseId = "Zend-2.0"
		self.crossRef = [{"match": "N/A", "url": "https://web.archive.org/web/20130517195954/http://www.zend.com/license/2_00.txt", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:12:18Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://web.archive.org/web/20130517195954/http://www.zend.com/license/2_00.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Zend Engine License, version 2.00</p>\n\n	  </div>\n	  <var class=\"replaceable-license-text\"> \n	  Copyright (c) 1999-2002 Zend Technologies Ltd. All rights reserved.<br />\n\n	  </var>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, is permitted provided that\n	   the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		Redistributions of source code must retain the above copyright notice, this list of conditions and\n		   the following disclaimer.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		Redistributions in binary form must reproduce the above copyright notice, this list of conditions and\n		   the following disclaimer in the documentation and/or other materials provided with the\n		   distribution.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		The names &quot;Zend&quot; and &quot;Zend Engine&quot; must not be used to endorse or promote products derived from this\n		   software without prior permission from Zend Technologies Ltd. For written permission, please\n		   contact license@zend.com.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		Zend Technologies Ltd. may publish revised and/or new versions of the license from time to time. Each\n		   version will be given a distinguishing version number. Once covered code has been published under\n		   a particular version of the license, you may always continue to use it under the terms of that\n		   version. You may also choose to use such covered code under the terms of any subsequent version of\n		   the license published by Zend Technologies Ltd. No one other than Zend Technologies Ltd. has the\n		   right to modify the terms applicable to covered code created under this License.\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		Redistributions of any form whatsoever must retain the following acknowledgment: &quot;This product\n		   includes the Zend Engine, freely available at http://www.zend.com&quot;\n	  </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		All advertising materials mentioning features or use of this software must display the following\n		   acknowledgment: &quot;The Zend Engine is freely available at http://www.zend.com&quot;\n	  </li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY ZEND TECHNOLOGIES LTD. ``AS IS&apos;&apos; AND ANY EXPRESSED OR IMPLIED WARRANTIES,\n	   INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n	   PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ZEND TECHNOLOGIES LTD. BE LIABLE FOR ANY DIRECT, INDIRECT,\n	   INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF\n	   SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND\n	   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR\n	   OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\n	   DAMAGE.</p>\n\n	"
		self.python_name = "Zend20"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBY10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution 1.0\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to create and reproduce Derivative Works;\n\n	 c. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	 d. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	 b. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n5. Representations, Warranties and Disclaimer\n\n	 a. By offering the Work for public release under this License, Licensor represents and warrants that, to the best of Licensor's knowledge after reasonable inquiry:\n\n		  i. Licensor has secured all rights in the Work necessary to grant the license rights hereunder and to permit the lawful exercise of the rights granted hereunder without You having any obligation to pay any royalties, compulsory license fees, residuals or any other payments;\n\n		  ii. The Work does not infringe the copyright, trademark, publicity rights, common law rights or any other right of any third party or constitute defamation, invasion of privacy or other tortious injury to any third party.\n\n	 b. EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution 1.0\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and reproduce Derivative Works;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\n	  The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> By offering the Work for public release under this License, Licensor represents and warrants that, to the best of Licensor's knowledge after reasonable inquiry:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Licensor has secured all rights in the Work necessary to grant the license rights hereunder and to permit the lawful exercise of the rights granted hereunder without You having any obligation to pay any royalties, compulsory license fees, residuals or any other payments;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> The Work does not infringe the copyright, trademark, publicity rights, common law rights or any other right of any third party or constitute defamation, invasion of privacy or other tortious injury to any third party.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution 1.0 Generic"
		self.licenseId = "CC-BY-1.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by/1.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:36Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by/1.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution 1.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS\n		 INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE\n		 INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n			Definitions\n				\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> a.</var>\n						&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n							encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n							other contributions, constituting separate and independent works in themselves, are\n							assembled into a collective whole. A work that constitutes a Collective Work will not be\n							considered a Derivative Work (as defined below) for the purposes of this License.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> b.</var>\n						&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n							pre-existing works, such as a translation, musical arrangement, dramatization,\n							fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n							condensation, or any other form in which the Work may be recast, transformed, or adapted,\n							except that a work that constitutes a Collective Work will not be considered a Derivative\n							Work for the purpose of this License.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> c.</var>\n						&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n							this License.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> d.</var>\n						&quot;Original Author&quot; means the individual or entity who created the Work.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> e.</var>\n						&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n					</li>\n					\n<li>\n						<var class=\"replaceable-license-text\"> f.</var>\n						&quot;You&quot; means an individual or entity exercising rights under this License who has\n							not previously violated the terms of this License with respect to the Work, or who has\n							received express permission from the Licensor to exercise rights under this License\n							despite a previous violation.\n					</li>\n				\n</ul>\n			</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n			Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n				arising from fair use, first sale or other limitations on the exclusive rights of the\n				copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n			License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n				worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n				copyright) license to exercise the rights in the Work as stated below:\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> a.</var>\n					to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n						reproduce the Work as incorporated in the Collective Works;\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> b.</var>\n					to create and reproduce Derivative Works;\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> c.</var>\n					to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n						publicly by means of a digital audio transmission the Work including as incorporated in\n						Collective Works;\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> d.</var>\n					to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n						publicly by means of a digital audio transmission Derivative Works;\n					<p>The above rights may be exercised in all media and formats whether now known or hereafter\n						devised. The above rights include the right to make such modifications as are technically\n						necessary to exercise the rights in other media and formats. All rights not expressly\n						granted by Licensor are hereby reserved.</p>\n\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n			Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n				the following restrictions:\n			\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> a.</var>\n					You may distribute, publicly display, publicly perform, or publicly digitally perform the\n						Work only under the terms of this License, and You must include a copy of, or the Uniform\n						Resource Identifier for, this License with every copy or phonorecord of the Work You\n						distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n						offer or impose any terms on the Work that alter or restrict the terms of this License or\n						the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n						Work. You must keep intact all notices that refer to this License and to the disclaimer of\n						warranties. You may not distribute, publicly display, publicly perform, or publicly\n						digitally perform the Work with any technological measures that control access or use of\n						the Work in a manner inconsistent with the terms of this License Agreement. The above\n						applies to the Work as incorporated in a Collective Work, but this does not require the\n						Collective Work apart from the Work itself to be made subject to the terms of this\n						License. If You create a Collective Work, upon notice from any Licensor You must, to the\n						extent practicable, remove from the Collective Work any reference to such Licensor or the\n						Original Author, as requested. If You create a Derivative Work, upon notice from any\n						Licensor You must, to the extent practicable, remove from the Derivative Work any\n						reference to such Licensor or the Original Author, as requested.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> b.</var>\n					If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n						or any Derivative Works or Collective Works, You must keep intact all copyright notices\n						for the Work and give the Original Author credit reasonable to the medium or means You are\n						utilizing by conveying the name (or pseudonym if applicable) of the Original Author if\n						supplied; the title of the Work if supplied; in the case of a Derivative Work, a credit\n						identifying the use of the Work in the Derivative Work (e.g., &quot;French translation of\n						the Work by Original Author,&quot; or &quot;Screenplay based on original Work by Original\n						Author&quot;). Such credit may be implemented in any reasonable manner; provided, however,\n						that in the case of a Derivative Work or Collective Work, at a minimum such credit will\n						appear where any other comparable authorship credit appears and in a manner at least as\n						prominent as such other comparable authorship credit.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n			Representations, Warranties and Disclaimer\n			\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> a.</var>\n					By offering the Work for public release under this License, Licensor represents and warrants\n						that, to the best of Licensor&apos;s knowledge after reasonable inquiry:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> i.</var>\n							Licensor has secured all rights in the Work necessary to grant the license rights\n								hereunder and to permit the lawful exercise of the rights granted hereunder without\n								You having any obligation to pay any royalties, compulsory license fees, residuals or\n								any other payments;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> ii.</var>\n							The Work does not infringe the copyright, trademark, publicity rights, common law rights\n								or any other right of any third party or constitute defamation, invasion of privacy or\n								other tortious injury to any third party.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> b.</var>\n					EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING OR REQUIRED BY\n						APPLICABLE LAW, THE WORK IS LICENSED ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OF\n						ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES\n						REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n			Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, AND EXCEPT FOR DAMAGES\n				ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM BREACH OF THE WARRANTIES IN SECTION 5,\n				IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL,\n				CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE\n				WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n			Termination\n			\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> a.</var>\n					This License and the rights granted hereunder will terminate automatically upon any breach by\n						You of the terms of this License. Individuals or entities who have received Derivative\n						Works or Collective Works from You under this License, however, will not have their\n						licenses terminated provided such individuals or entities remain in full compliance with\n						those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this\n						License.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> b.</var>\n					Subject to the above terms and conditions, the license granted here is perpetual (for the\n						duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n						reserves the right to release the Work under different license terms or to stop\n						distributing the Work at any time; provided, however that any such election will not serve\n						to withdraw this License (or any other license that has been, or is required to be,\n						granted under the terms of this License), and this License will continue in full force and\n						effect unless terminated as stated above.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n			Miscellaneous\n			\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> a.</var>\n					Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n						Licensor offers to the recipient a license to the Work on the same terms and conditions as\n						the license granted to You under this License.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> b.</var>\n					Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to\n						the recipient a license to the original Work on the same terms and conditions as the\n						license granted to You under this License.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> c.</var>\n					If any provision of this License is invalid or unenforceable under applicable law, it shall\n						not affect the validity or enforceability of the remainder of the terms of this License,\n						and without further action by the parties to this agreement, such provision shall be\n						reformed to the minimum extent necessary to make such provision valid and enforceable.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> d.</var>\n					No term or provision of this License shall be deemed waived and no breach consented to unless\n						such waiver or consent shall be in writing and signed by the party to be charged with such\n						waiver or consent.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> e.</var>\n					This License constitutes the entire agreement between the parties with respect to the Work\n						licensed here. There are no understandings, agreements or representations with respect to\n						the Work not specified here. Licensor shall not be bound by any additional provisions that\n						may appear in any communication from You. This License may not be modified without the\n						mutual written agreement of the Licensor and You.\n				</li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBY10"

	def __str__(self):
		return json.dumps(self.__dict__)


class Beerware:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "\"THE BEER-WARE LICENSE\" (Revision 42):  <phk@FreeBSD.ORG> wrote this file. As long as you retain this notice you  can do whatever you want with this stuff. If we meet some day, and you think  this stuff is worth it, you can buy me a beer in return Poul-Henning Kamp\n"
		self.standardLicenseTemplate = "\"THE BEER-WARE LICENSE\" (Revision 42):\n\n<<var;name=\"email\";original=\"<phk@FreeBSD.ORG>\";match=\"<phk@FreeBSD.ORG>|<phk@login.dkuug.dk>\">> wrote this file. As long as you retain this notice you can do whatever you want with this stuff. If we meet some day, and you think this stuff is worth it, you can buy me a beer in return Poul-Henning Kamp\n\n"
		self.name = "Beerware License"
		self.licenseId = "Beerware"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Beerware", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:53Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://people.freebsd.org/~phk/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:54Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Beerware", "https://people.freebsd.org/~phk/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	   <p>&quot;THE BEER-WARE LICENSE&quot; (Revision 42):</p>\n\n	  <p><var class=\"replaceable-license-text\"> &lt;phk@FreeBSD.ORG&gt;</var> wrote this file. As long as you retain\n		 this notice you can do whatever you want with this stuff. If we meet some day, and you think this\n		 stuff is worth it, you can buy me a beer in return Poul-Henning Kamp</p>\n\n	"
		self.python_name = "Beerware"

	def __str__(self):
		return json.dumps(self.__dict__)


class IPA:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "IPA Font License Agreement v1.0\n\nThe Licensor provides the Licensed Program (as defined in Article 1 below) under the terms of this license agreement (\"Agreement\").  Any use, reproduction or distribution of the Licensed Program, or any exercise of rights under this Agreement by a Recipient (as defined in Article 1 below) constitutes the Recipient's acceptance of this Agreement.\n\nArticle 1 (Definitions)\n\n1. \"Digital Font Program\" shall mean a computer program containing, or used to render or display fonts.\n\n2. \"Licensed Program\" shall mean a Digital Font Program licensed by the Licensor under this Agreement.\n\n3. \"Derived Program\" shall mean a Digital Font Program created as a result of a modification, addition, deletion, replacement or any other adaptation to or of a part or all of the Licensed Program, and includes a case where a Digital Font Program newly created by retrieving font information from a part or all of the Licensed Program or Embedded Fonts from a Digital Document File with or without modification of the retrieved font information.\n\n4. \"Digital Content\" shall mean products provided to end users in the form of digital data, including video content, motion and/or still pictures, TV programs or other broadcasting content and products consisting of character text, pictures, photographic images, graphic symbols and/or the like.\n\n5. \"Digital Document File\" shall mean a PDF file or other Digital Content created by various software programs in which a part or all of the Licensed Program becomes embedded or contained in the file for the display of the font (\"Embedded Fonts\").  Embedded Fonts are used only in the display of characters in the particular Digital Document File within which they are embedded, and shall be distinguished from those in any Digital Font Program, which may be used for display of characters outside that particular Digital Document File.\n\n6. \"Computer\" shall include a server in this Agreement.\n\n7. \"Reproduction and Other Exploitation\" shall mean reproduction, transfer, distribution, lease, public transmission, presentation, exhibition, adaptation and any other exploitation.\n\n8. \"Recipient\" shall mean anyone who receives the Licensed Program under this Agreement, including one that receives the Licensed Program from a Recipient.\n\nArticle 2 (Grant of License)\n\nThe Licensor grants to the Recipient a license to use the Licensed Program in any and all countries in accordance with each of the provisions set forth in this Agreement. However, any and all rights underlying in the Licensed Program shall be held by the Licensor. In no sense is this Agreement intended to transfer any right relating to the Licensed Program held by the Licensor except as specifically set forth herein or any right relating to any trademark, trade name, or service mark to the Recipient.\n\n1. The Recipient may install the Licensed Program on any number of Computers and use the same in accordance with the provisions set forth in this Agreement.\n\n2. The Recipient may use the Licensed Program, with or without modification in printed materials or in Digital Content as an expression of character texts or the like.\n\n3. The Recipient may conduct Reproduction and Other Exploitation of the printed materials and Digital Content created in accordance with the preceding Paragraph, for commercial or non-commercial purposes and in any form of media including but not limited to broadcasting, communication and various recording media.\n\n4. If any Recipient extracts Embedded Fonts from a Digital Document File to create a Derived Program, such Derived Program shall be subject to the terms of this agreement.\n\n5. If any Recipient performs Reproduction or Other Exploitation of a Digital Document File in which Embedded Fonts of the Licensed Program are used only for rendering the Digital Content within such Digital Document File then such Recipient shall have no further obligations under this Agreement in relation to such actions.\n\n6. The Recipient may reproduce the Licensed Program as is without modification and transfer such copies, publicly transmit or otherwise redistribute the Licensed Program to a third party for commercial or non-commercial purposes (\"Redistribute\"), in accordance with the provisions set forth in Article 3 Paragraph 2.\n\n7. The Recipient may create, use, reproduce and/or Redistribute a Derived Program under the terms stated above for the Licensed Program: provided, that the Recipient shall follow the provisions set forth in Article 3 Paragraph 1 when Redistributing the Derived Program.\n\nArticle 3 (Restriction)\n\nThe license granted in the preceding Article shall be subject to the following restrictions:\n\n1. If a Derived Program is Redistributed pursuant to Paragraph 4 and 7 of the preceding Article, the following conditions must be met :\n\n	 (1) The following must be also Redistributed together with the Derived Program, or be made available online or by means of mailing mechanisms in exchange for a cost which does not exceed the total costs of postage, storage medium and handling fees:\n\n		  (a) a copy of the Derived Program; and\n\n		  (b) any additional file created by the font developing program in the course of creating the Derived Program that can be used for further modification of the Derived Program, if any.\n\n	 (2) It is required to also Redistribute means to enable recipients of the Derived Program to replace the Derived Program with the Licensed Program first released under this License (the \"Original Program\").  Such means may be to provide a difference file from the Original Program, or instructions setting out a method to replace the Derived Program with the Original Program.\n\n	 (3) The Recipient must license the Derived Program under the terms and conditions of this Agreement.\n\n	 (4) No one may use or include the name of the Licensed Program as a program name, font name or file name of the Derived Program.\n\n	 (5) Any material to be made available online or by means of mailing a medium to satisfy the requirements of this paragraph may be provided, verbatim, by any party wishing to do so.\n\n2. If the Recipient Redistributes the Licensed Program pursuant to Paragraph 6 of the preceding Article, the Recipient shall meet all of the following conditions:\n\n	 (1) The Recipient may not change the name of the Licensed Program.\n\n	 (2) The Recipient may not alter or otherwise modify the Licensed Program.\n\n	 (3) The Recipient must attach a copy of this Agreement to the Licensed Program.\n\n3. THIS LICENSED PROGRAM IS PROVIDED BY THE LICENSOR \"AS IS\" AND ANY EXPRESSED OR IMPLIED WARRANTY AS TO THE LICENSED PROGRAM OR ANY DERIVED PROGRAM, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE, ARE DISCLAIMED.  IN NO EVENT SHALL THE LICENSOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXTENDED, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO; PROCUREMENT OF SUBSTITUTED GOODS OR SERVICE; DAMAGES ARISING FROM SYSTEM FAILURE; LOSS OR CORRUPTION OF EXISTING DATA OR PROGRAM; LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE INSTALLATION, USE, THE REPRODUCTION OR OTHER EXPLOITATION OF THE LICENSED PROGRAM OR ANY DERIVED PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n4. The Licensor is under no obligation to respond to any technical questions or inquiries, or provide any other user support in connection with the installation, use or the Reproduction and Other Exploitation of the Licensed Program or Derived Programs thereof.\n\nArticle 4 (Termination of Agreement)\n\n1. The term of this Agreement shall begin from the time of receipt of the Licensed Program by the Recipient and shall continue as long as the Recipient retains any such Licensed Program in any way.\n\n2. Notwithstanding the provision set forth in the preceding Paragraph, in the event of the breach of any of the provisions set forth in this Agreement by the Recipient, this Agreement shall automatically terminate without any notice. In the case of such termination, the Recipient may not use or conduct Reproduction and Other Exploitation of the Licensed Program or a Derived Program: provided that such termination shall not affect any rights of any other Recipient receiving the Licensed Program or the Derived Program from such Recipient who breached this Agreement.\n\nArticle 5 (Governing Law)\n\n1. IPA may publish revised and/or new versions of this License.  In such an event, the Recipient may select either this Agreement or any subsequent version of the Agreement in using, conducting the Reproduction and Other Exploitation of, or Redistributing the Licensed Program or a Derived Program. Other matters not specified above shall be subject to the Copyright Law of Japan and other related laws and regulations of Japan.\n\n2. This Agreement shall be consTrued under the laws of Japan.\n"
		self.standardLicenseTemplate = "<<beginOptional>>IPA Font License Agreement v1.0\n\n<<endOptional>>\n\nThe Licensor provides the Licensed Program (as defined in Article 1 below) under the terms of this license agreement (\"Agreement\"). Any use, reproduction or distribution of the Licensed Program, or any exercise of rights under this Agreement by a Recipient (as defined in Article 1 below) constitutes the Recipient's acceptance of this Agreement.\n\nArticle 1 (Definitions)\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> \"Digital Font Program\" shall mean a computer program containing, or used to render or display fonts.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> \"Licensed Program\" shall mean a Digital Font Program licensed by the Licensor under this Agreement.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> \"Derived Program\" shall mean a Digital Font Program created as a result of a modification, addition, deletion, replacement or any other adaptation to or of a part or all of the Licensed Program, and includes a case where a Digital Font Program newly created by retrieving font information from a part or all of the Licensed Program or Embedded Fonts from a Digital Document File with or without modification of the retrieved font information.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> \"Digital Content\" shall mean products provided to end users in the form of digital data, including video content, motion and/or still pictures, TV programs or other broadcasting content and products consisting of character text, pictures, photographic images, graphic symbols and/or the like.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> \"Digital Document File\" shall mean a PDF file or other Digital Content created by various software programs in which a part or all of the Licensed Program becomes embedded or contained in the file for the display of the font (\"Embedded Fonts\"). Embedded Fonts are used only in the display of characters in the particular Digital Document File within which they are embedded, and shall be distinguished from those in any Digital Font Program, which may be used for display of characters outside that particular Digital Document File.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> \"Computer\" shall include a server in this Agreement.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> \"Reproduction and Other Exploitation\" shall mean reproduction, transfer, distribution, lease, public transmission, presentation, exhibition, adaptation and any other exploitation.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> \"Recipient\" shall mean anyone who receives the Licensed Program under this Agreement, including one that receives the Licensed Program from a Recipient.\n\nArticle 2 (Grant of License)\n\nThe Licensor grants to the Recipient a license to use the Licensed Program in any and all countries in accordance with each of the provisions set forth in this Agreement. However, any and all rights underlying in the Licensed Program shall be held by the Licensor. In no sense is this Agreement intended to transfer any right relating to the Licensed Program held by the Licensor except as specifically set forth herein or any right relating to any trademark, trade name, or service mark to the Recipient.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The Recipient may install the Licensed Program on any number of Computers and use the same in accordance with the provisions set forth in this Agreement.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> The Recipient may use the Licensed Program, with or without modification in printed materials or in Digital Content as an expression of character texts or the like.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The Recipient may conduct Reproduction and Other Exploitation of the printed materials and Digital Content created in accordance with the preceding Paragraph, for commercial or non-commercial purposes and in any form of media including but not limited to broadcasting, communication and various recording media.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> If any Recipient extracts Embedded Fonts from a Digital Document File to create a Derived Program, such Derived Program shall be subject to the terms of this agreement.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> If any Recipient performs Reproduction or Other Exploitation of a Digital Document File in which Embedded Fonts of the Licensed Program are used only for rendering the Digital Content within such Digital Document File then such Recipient shall have no further obligations under this Agreement in relation to such actions.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The Recipient may reproduce the Licensed Program as is without modification and transfer such copies, publicly transmit or otherwise redistribute the Licensed Program to a third party for commercial or non-commercial purposes (\"Redistribute\"), in accordance with the provisions set forth in Article 3 Paragraph 2.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> The Recipient may create, use, reproduce and/or Redistribute a Derived Program under the terms stated above for the Licensed Program: provided, that the Recipient shall follow the provisions set forth in Article 3 Paragraph 1 when Redistributing the Derived Program.\n\nArticle 3 (Restriction)\n\nThe license granted in the preceding Article shall be subject to the following restrictions:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> If a Derived Program is Redistributed pursuant to Paragraph 4 and 7 of the preceding Article, the following conditions must be met :\n\n	  <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> The following must be also Redistributed together with the Derived Program, or be made available online or by means of mailing mechanisms in exchange for a cost which does not exceed the total costs of postage, storage medium and handling fees:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> a copy of the Derived Program; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> any additional file created by the font developing program in the course of creating the Derived Program that can be used for further modification of the Derived Program, if any.\n\n	  <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> It is required to also Redistribute means to enable recipients of the Derived Program to replace the Derived Program with the Licensed Program first released under this License (the \"Original Program\"). Such means may be to provide a difference file from the Original Program, or instructions setting out a method to replace the Derived Program with the Original Program.\n\n	  <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> The Recipient must license the Derived Program under the terms and conditions of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"(4)\";match=\".{0,20}\">> No one may use or include the name of the Licensed Program as a program name, font name or file name of the Derived Program.\n\n	  <<var;name=\"bullet\";original=\"(5)\";match=\".{0,20}\">> Any material to be made available online or by means of mailing a medium to satisfy the requirements of this paragraph may be provided, verbatim, by any party wishing to do so.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> If the Recipient Redistributes the Licensed Program pursuant to Paragraph 6 of the preceding Article, the Recipient shall meet all of the following conditions:\n\n	  <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> The Recipient may not change the name of the Licensed Program.\n\n	  <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> The Recipient may not alter or otherwise modify the Licensed Program.\n\n	  <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> The Recipient must attach a copy of this Agreement to the Licensed Program.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> THIS LICENSED PROGRAM IS PROVIDED BY THE LICENSOR \"AS IS\" AND ANY EXPRESSED OR IMPLIED WARRANTY AS TO THE LICENSED PROGRAM OR ANY DERIVED PROGRAM, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE, ARE DISCLAIMED. IN NO EVENT SHALL THE LICENSOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXTENDED, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO; PROCUREMENT OF SUBSTITUTED GOODS OR SERVICE; DAMAGES ARISING FROM SYSTEM FAILURE; LOSS OR CORRUPTION OF EXISTING DATA OR PROGRAM; LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE INSTALLATION, USE, THE REPRODUCTION OR OTHER EXPLOITATION OF THE LICENSED PROGRAM OR ANY DERIVED PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The Licensor is under no obligation to respond to any technical questions or inquiries, or provide any other user support in connection with the installation, use or the Reproduction and Other Exploitation of the Licensed Program or Derived Programs thereof.\n\nArticle 4 (Termination of Agreement)\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> The term of this Agreement shall begin from the time of receipt of the Licensed Program by the Recipient and shall continue as long as the Recipient retains any such Licensed Program in any way.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Notwithstanding the provision set forth in the preceding Paragraph, in the event of the breach of any of the provisions set forth in this Agreement by the Recipient, this Agreement shall automatically terminate without any notice. In the case of such termination, the Recipient may not use or conduct Reproduction and Other Exploitation of the Licensed Program or a Derived Program: provided that such termination shall not affect any rights of any other Recipient receiving the Licensed Program or the Derived Program from such Recipient who breached this Agreement.\n\nArticle 5 (Governing Law)\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> IPA may publish revised and/or new versions of this License. In such an event, the Recipient may select either this Agreement or any subsequent version of the Agreement in using, conducting the Reproduction and Other Exploitation of, or Redistributing the Licensed Program or a Derived Program. Other matters not specified above shall be subject to the Copyright Law of Japan and other related laws and regulations of Japan.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> This Agreement shall be consTrued under the laws of Japan."
		self.name = "IPA Font License"
		self.licenseId = "IPA"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/IPA", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:32Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/IPA"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>IPA Font License Agreement v1.0</p>\n\n	  </div>\n\n	  <p>The Licensor provides the Licensed Program (as defined in Article 1 below) under the terms of this\n		 license agreement (&quot;Agreement&quot;). Any use, reproduction or distribution of the Licensed\n		 Program, or any exercise of rights under this Agreement by a Recipient (as defined in Article 1 below)\n		 constitutes the Recipient&apos;s acceptance of this Agreement.</p>\n\n	  <p>Article 1 (Definitions)</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  &quot;Digital Font Program&quot; shall mean a computer program containing, or used to render or\n			 display fonts.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  &quot;Licensed Program&quot; shall mean a Digital Font Program licensed by the Licensor under\n			 this Agreement.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  &quot;Derived Program&quot; shall mean a Digital Font Program created as a result of a\n			 modification, addition, deletion, replacement or any other adaptation to or of a part or all\n			 of the Licensed Program, and includes a case where a Digital Font Program newly created by\n			 retrieving font information from a part or all of the Licensed Program or Embedded Fonts from\n			 a Digital Document File with or without modification of the retrieved font information.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  &quot;Digital Content&quot; shall mean products provided to end users in the form of digital\n			 data, including video content, motion and/or still pictures, TV programs or other broadcasting\n			 content and products consisting of character text, pictures, photographic images, graphic\n			 symbols and/or the like.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  &quot;Digital Document File&quot; shall mean a PDF file or other Digital Content created by\n			 various software programs in which a part or all of the Licensed Program becomes embedded or\n			 contained in the file for the display of the font (&quot;Embedded Fonts&quot;). Embedded Fonts\n			 are used only in the display of characters in the particular Digital Document File within\n			 which they are embedded, and shall be distinguished from those in any Digital Font Program,\n			 which may be used for display of characters outside that particular Digital Document File.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  &quot;Computer&quot; shall include a server in this Agreement.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  &quot;Reproduction and Other Exploitation&quot; shall mean reproduction, transfer, distribution,\n			 lease, public transmission, presentation, exhibition, adaptation and any other\n			 exploitation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  &quot;Recipient&quot; shall mean anyone who receives the Licensed Program under this Agreement,\n			 including one that receives the Licensed Program from a Recipient.\n		</li>\n	  \n</ul>\n	  <p>Article 2 (Grant of License)</p>\n\n	  <p>The Licensor grants to the Recipient a license to use the Licensed Program in any and all\n		 countries in accordance with each of the provisions set forth in this Agreement. However, any\n		 and all rights underlying in the Licensed Program shall be held by the Licensor. In no sense\n		 is this Agreement intended to transfer any right relating to the Licensed Program held by the\n		 Licensor except as specifically set forth herein or any right relating to any trademark, trade\n		 name, or service mark to the Recipient.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  The Recipient may install the Licensed Program on any number of Computers and use the same in\n			 accordance with the provisions set forth in this Agreement.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  The Recipient may use the Licensed Program, with or without modification in printed materials or\n			 in Digital Content as an expression of character texts or the like.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  The Recipient may conduct Reproduction and Other Exploitation of the printed materials and\n			 Digital Content created in accordance with the preceding Paragraph, for commercial or\n			 non-commercial purposes and in any form of media including but not limited to broadcasting,\n			 communication and various recording media.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  If any Recipient extracts Embedded Fonts from a Digital Document File to create a Derived\n			 Program, such Derived Program shall be subject to the terms of this agreement.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  If any Recipient performs Reproduction or Other Exploitation of a Digital Document File in which\n			 Embedded Fonts of the Licensed Program are used only for rendering the Digital Content within\n			 such Digital Document File then such Recipient shall have no further obligations under this\n			 Agreement in relation to such actions.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The Recipient may reproduce the Licensed Program as is without modification and transfer such\n			 copies, publicly transmit or otherwise redistribute the Licensed Program to a third party for\n			 commercial or non-commercial purposes (&quot;Redistribute&quot;), in accordance with the\n			 provisions set forth in Article 3 Paragraph 2.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  The Recipient may create, use, reproduce and/or Redistribute a Derived Program under the terms\n			 stated above for the Licensed Program: provided, that the Recipient shall follow the\n			 provisions set forth in Article 3 Paragraph 1 when Redistributing the Derived Program.\n		</li>\n	  \n</ul>\n	  <p>Article 3 (Restriction)</p>\n\n	  <p>The license granted in the preceding Article shall be subject to the following restrictions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  If a Derived Program is Redistributed pursuant to Paragraph 4 and 7 of the preceding Article, the\n			 following conditions must be met :\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (1)</var>\n			  The following must be also Redistributed together with the Derived Program, or be made\n				 available online or by means of mailing mechanisms in exchange for a cost which does not\n				 exceed the total costs of postage, storage medium and handling fees:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  a copy of the Derived Program; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  any additional file created by the font developing program in the course of creating the\n					 Derived Program that can be used for further modification of the Derived Program, if\n					 any.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (2)</var>\n			  It is required to also Redistribute means to enable recipients of the Derived Program to\n				 replace the Derived Program with the Licensed Program first released under this License\n				 (the &quot;Original Program&quot;). Such means may be to provide a difference file from\n				 the Original Program, or instructions setting out a method to replace the Derived Program\n				 with the Original Program.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (3)</var>\n			  The Recipient must license the Derived Program under the terms and conditions of this Agreement.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (4)</var>\n			  No one may use or include the name of the Licensed Program as a program name, font name or\n				 file name of the Derived Program.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (5)</var>\n			  Any material to be made available online or by means of mailing a medium to satisfy the\n				 requirements of this paragraph may be provided, verbatim, by any party wishing to do\n				 so.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  If the Recipient Redistributes the Licensed Program pursuant to Paragraph 6 of the preceding\n			 Article, the Recipient shall meet all of the following conditions:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (1)</var>\n			  The Recipient may not change the name of the Licensed Program.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (2)</var>\n			  The Recipient may not alter or otherwise modify the Licensed Program.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (3)</var>\n			  The Recipient must attach a copy of this Agreement to the Licensed Program.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  THIS LICENSED PROGRAM IS PROVIDED BY THE LICENSOR &quot;AS IS&quot; AND ANY EXPRESSED OR IMPLIED\n			 WARRANTY AS TO THE LICENSED PROGRAM OR ANY DERIVED PROGRAM, INCLUDING, BUT NOT LIMITED TO,\n			 WARRANTIES OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE,\n			 ARE DISCLAIMED. IN NO EVENT SHALL THE LICENSOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n			 SPECIAL, EXTENDED, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO;\n			 PROCUREMENT OF SUBSTITUTED GOODS OR SERVICE; DAMAGES ARISING FROM SYSTEM FAILURE; LOSS OR\n			 CORRUPTION OF EXISTING DATA OR PROGRAM; LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF\n			 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\n			 ARISING IN ANY WAY OUT OF THE INSTALLATION, USE, THE REPRODUCTION OR OTHER EXPLOITATION OF THE\n			 LICENSED PROGRAM OR ANY DERIVED PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN\n			 IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  The Licensor is under no obligation to respond to any technical questions or inquiries, or\n			 provide any other user support in connection with the installation, use or the Reproduction\n			 and Other Exploitation of the Licensed Program or Derived Programs thereof.\n		</li>\n	  \n</ul>\n	  <p>Article 4 (Termination of Agreement)</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  The term of this Agreement shall begin from the time of receipt of the Licensed Program by the\n			 Recipient and shall continue as long as the Recipient retains any such Licensed Program in any\n			 way.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Notwithstanding the provision set forth in the preceding Paragraph, in the event of the breach of\n			 any of the provisions set forth in this Agreement by the Recipient, this Agreement shall\n			 automatically terminate without any notice. In the case of such termination, the Recipient may\n			 not use or conduct Reproduction and Other Exploitation of the Licensed Program or a Derived\n			 Program: provided that such termination shall not affect any rights of any other Recipient\n			 receiving the Licensed Program or the Derived Program from such Recipient who breached this\n			 Agreement.\n		</li>\n	  \n</ul>\n	  <p>Article 5 (Governing Law)</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  IPA may publish revised and/or new versions of this License. In such an event, the Recipient may\n			 select either this Agreement or any subsequent version of the Agreement in using, conducting\n			 the Reproduction and Other Exploitation of, or Redistributing the Licensed Program or a\n			 Derived Program. Other matters not specified above shall be subject to the Copyright Law of\n			 Japan and other related laws and regulations of Japan.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  This Agreement shall be consTrued under the laws of Japan.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "IPA"

	def __str__(self):
		return json.dumps(self.__dict__)


class DEC3Clause:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1997 Digital Equipment Corporation.\nAll rights reserved.\n\nThis software is furnished under license and may be used and copied only in\naccordance with the following terms and conditions.  Subject to these\nconditions, you may download, copy, install, use, modify and distribute\nthis software in source and/or binary form. No title or ownership is\ntransferred hereby.\n\n1) Any source code used, modified or distributed must reproduce and retain\n   this copyright notice and list of conditions as they appear in the\n   source file.\n\n2) No right is granted to use any trade name, trademark, or logo of Digital\n   Equipment Corporation. Neither the \"Digital Equipment Corporation\"\n   name nor any trademark or logo of Digital Equipment Corporation may be\n   used to endorse or promote products derived from this software without\n   the prior written permission of Digital Equipment Corporation.\n\n3) This software is provided \"AS-IS\" and any express or implied warranties,\n   including but not limited to, any implied warranties of merchantability,\n   fitness for a particular purpose, or non-infringement are disclaimed.\n   In no event shall DIGITAL be liable for any damages whatsoever, and in\n   particular, DIGITAL shall not be liable for special, indirect,\n   consequential, or incidental damages or damages for lost profits, loss\n   of revenue or loss of use, whether such damages arise in contract,\n   negligence, tort, under statute, in equity, at law or otherwise, even\n   if advised of the possibility of such damage.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1997 Digital Equipment Corporation.  All rights reserved.\";match=\".{0,5000}\">>\n\nThis software is furnished under license and may be used and copied only in accordance with the following terms and conditions. Subject to these conditions, you may download, copy, install, use, modify and distribute this software in source and/or binary form. No title or ownership is transferred hereby.\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">>\n\n   Any source code used, modified or distributed must reproduce and retain this copyright notice and list of conditions as they appear in the source file.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">>\n\n   No right is granted to use any trade name, trademark, or logo of Digital Equipment Corporation. Neither the \"Digital Equipment Corporation\" name nor any trademark or logo of Digital Equipment Corporation may be used to endorse or promote products derived from this software without the prior written permission of Digital Equipment Corporation.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">>\n\n   This software is provided \"AS-IS\" and any express or implied warranties, including but not limited to, any implied warranties of merchantability, fitness for a particular purpose, or non-infringement are disclaimed. In no event shall DIGITAL be liable for any damages whatsoever, and in particular, DIGITAL shall not be liable for special, indirect, consequential, or incidental damages or damages for lost profits, loss of revenue or loss of use, whether such damages arise in contract, negligence, tort, under statute, in equity, at law or otherwise, even if advised of the possibility of such damage.\n\n   "
		self.name = "DEC 3-Clause License"
		self.licenseId = "DEC-3-Clause"
		self.crossRef = [{"match": "False", "url": "https://gitlab.freedesktop.org/xorg/xserver/-/blob/master/COPYING?ref_type=heads#L239", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:31Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gitlab.freedesktop.org/xorg/xserver/-/blob/master/COPYING?ref_type=heads#L239"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<var class=\"replaceable-license-text\"> \n				Copyright 1997 Digital Equipment Corporation.\n				<br />\n\nAll rights reserved.\n			</var>\n			<p>\n				This software is furnished under license and may be used and copied only in\n				accordance with the following terms and conditions.  Subject to these\n				conditions, you may download, copy, install, use, modify and distribute\n				this software in source and/or binary form. No title or ownership is\n				transferred hereby.\n			</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1)</var>\n					<p>\n						Any source code used, modified or distributed must reproduce and retain\n						this copyright notice and list of conditions as they appear in the\n						source file.\n					</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2)</var>\n					<p>\n						No right is granted to use any trade name, trademark, or logo of Digital\n						Equipment Corporation. Neither the &quot;Digital Equipment Corporation&quot;\n						name nor any trademark or logo of Digital Equipment Corporation may be\n						used to endorse or promote products derived from this software without\n						the prior written permission of Digital Equipment Corporation.\n					</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3)</var>\n					<p>\n						This software is provided &quot;AS-IS&quot; and any express or implied warranties,\n						including but not limited to, any implied warranties of merchantability,\n						fitness for a particular purpose, or non-infringement are disclaimed.\n						In no event shall DIGITAL be liable for any damages whatsoever, and in\n						particular, DIGITAL shall not be liable for special, indirect,\n						consequential, or incidental damages or damages for lost profits, loss\n						of revenue or loss of use, whether such damages arise in contract,\n						negligence, tort, under statute, in equity, at law or otherwise, even\n						if advised of the possibility of such damage.\n					</p>\n\n				</li>\n			\n</ul>\n		"
		self.python_name = "DEC3Clause"

	def __str__(self):
		return json.dumps(self.__dict__)


class DSDP:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "COPYRIGHT NOTIFICATION\n\n(C) COPYRIGHT 2004 UNIVERSITY OF CHICAGO\n\nThis program discloses material protectable under copyright laws of the United States. Permission to copy and modify this software and its documentation is hereby granted, provided that this notice is retained thereon and on all copies or modifications. The University of Chicago makes no representations as to the suitability and operability of this software for any purpose. It is provided \"as is\"; without express or implied warranty. Permission is hereby granted to use, reproduce, prepare derivative works, and to redistribute to others, so long as this original copyright notice is retained. Any publication resulting from research that made use of this software should cite this document.\n\n	 This software was authored by:\n\n	 Steven J. Benson Mathematics and Computer Science Division Argonne National Laboratory Argonne IL 60439\n\n	 Yinyu Ye Department of Management Science and Engineering Stanford University Stanford, CA U.S.A\n\n	 Any questions or comments on the software may be directed to benson@mcs.anl.gov or yinyu-ye@stanford.edu\n\nArgonne National Laboratory with facilities in the states of Illinois and Idaho, is owned by The United States Government, and operated by the University of Chicago under provision of a contract with the Department of Energy.\n\nDISCLAIMER\nTHIS PROGRAM WAS PREPARED AS AN ACCOUNT OF WORK SPONSORED BY AN AGENCY OF THE UNITED STATES GOVERNMENT. NEITHER THE UNITED STATES GOVERNMENT NOR ANY AGENCY THEREOF, NOR THE UNIVERSITY OF CHICAGO, NOR ANY OF THEIR EMPLOYEES OR OFFICERS, MAKES ANY WARRANTY, EXPRESS OR IMPLIED, OR ASSUMES ANY LEGAL LIABILITY OR RESPONSIBILITY FOR THE ACCURACY, COMPLETENESS, OR USEFULNESS OF ANY INFORMATION, APPARATUS, PRODUCT, OR PROCESS DISCLOSED, OR REPRESENTS THAT ITS USE WOULD NOT INFRINGE PRIVATELY OWNED RIGHTS. REFERENCE HEREIN TO ANY SPECIFIC COMMERCIAL PRODUCT, PROCESS, OR SERVICE BY TRADE NAME, TRADEMARK, MANUFACTURER, OR OTHERWISE, DOES NOT NECESSARILY CONSTITUTE OR IMPLY ITS ENDORSEMENT, RECOMMENDATION, OR FAVORING BY THE UNITED STATES GOVERNMENT OR ANY AGENCY THEREOF. THE VIEW AND OPINIONS OF AUTHORS EXPRESSED HEREIN DO NOT NECESSARILY STATE OR REFLECT THOSE OF THE UNITED STATES GOVERNMENT OR ANY AGENCY THEREOF.\n"
		self.standardLicenseTemplate = "<<beginOptional>>COPYRIGHT NOTIFICATION\n\n<<endOptional>> <<var;name=\"copyright\";original=\"(C) COPYRIGHT 2004 UNIVERSITY OF CHICAGO  \";match=\".{0,5000}\">>\n\nThis program discloses material protectable under copyright laws of the United States. Permission to copy and modify this software and its documentation is hereby granted, provided that this notice is retained thereon and on all copies or modifications. The University of Chicago makes no representations as to the suitability and operability of this software for any purpose. It is provided \"as is\"; without express or implied warranty. Permission is hereby granted to use, reproduce, prepare derivative works, and to redistribute to others, so long as this original copyright notice is retained. Any publication resulting from research that made use of this software should cite this document.\n\nThis software was authored by:\n\nSteven J. Benson Mathematics and Computer Science Division Argonne National Laboratory Argonne IL 60439\n\nYinyu Ye Department of Management Science and Engineering Stanford University Stanford, CA U.S.A\n\nAny questions or comments on the software may be directed to benson@mcs.anl.gov or yinyu-ye@stanford.edu\n\nArgonne National Laboratory with facilities in the states of Illinois and Idaho, is owned by The United States Government, and operated by the University of Chicago under provision of a contract with the Department of Energy.\n\nDISCLAIMER\n\nTHIS PROGRAM WAS PREPARED AS AN ACCOUNT OF WORK SPONSORED BY AN AGENCY OF THE UNITED STATES GOVERNMENT. NEITHER THE UNITED STATES GOVERNMENT NOR ANY AGENCY THEREOF, NOR THE UNIVERSITY OF CHICAGO, NOR ANY OF THEIR EMPLOYEES OR OFFICERS, MAKES ANY WARRANTY, EXPRESS OR IMPLIED, OR ASSUMES ANY LEGAL LIABILITY OR RESPONSIBILITY FOR THE ACCURACY, COMPLETENESS, OR USEFULNESS OF ANY INFORMATION, APPARATUS, PRODUCT, OR PROCESS DISCLOSED, OR REPRESENTS THAT ITS USE WOULD NOT INFRINGE PRIVATELY OWNED RIGHTS. REFERENCE HEREIN TO ANY SPECIFIC COMMERCIAL PRODUCT, PROCESS, OR SERVICE BY TRADE NAME, TRADEMARK, MANUFACTURER, OR OTHERWISE, DOES NOT NECESSARILY CONSTITUTE OR IMPLY ITS ENDORSEMENT, RECOMMENDATION, OR FAVORING BY THE UNITED STATES GOVERNMENT OR ANY AGENCY THEREOF. THE VIEW AND OPINIONS OF AUTHORS EXPRESSED HEREIN DO NOT NECESSARILY STATE OR REFLECT THOSE OF THE UNITED STATES GOVERNMENT OR ANY AGENCY THEREOF.\n\n"
		self.name = "DSDP License"
		self.licenseId = "DSDP"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/DSDP", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:00Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/DSDP"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>COPYRIGHT NOTIFICATION</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>(C) COPYRIGHT 2004 UNIVERSITY OF CHICAGO</p>\n\n	  </div>\n\n	  <p>This program discloses material protectable under copyright laws of the United States. Permission to copy\n		 and modify this software and its documentation is hereby granted, provided that this notice is\n		 retained thereon and on all copies or modifications. The University of Chicago makes no\n		 representations as to the suitability and operability of this software for any purpose. It is provided\n		 &quot;as is&quot;; without express or implied warranty. Permission is hereby granted to use, reproduce, prepare\n		 derivative works, and to redistribute to others, so long as this original copyright notice is\n		 retained. Any publication resulting from research that made use of this software should cite this\n		 document.</p>\n\n	  <p>This software was authored by:</p>\n\n	  <p>Steven J. Benson Mathematics and Computer Science Division Argonne National Laboratory Argonne IL 60439</p>\n\n	  <p>Yinyu Ye Department of Management Science and Engineering Stanford University Stanford, CA U.S.A</p>\n\n	  <p>Any questions or comments on the software may be directed to benson@mcs.anl.gov or yinyu-ye@stanford.edu</p>\n\n	  <p>Argonne National Laboratory with facilities in the states of Illinois and Idaho, is owned by The United\n		 States Government, and operated by the University of Chicago under provision of a contract with the\n		 Department of Energy.</p>\n\n	  <p>DISCLAIMER\n		<br />\n\nTHIS PROGRAM WAS PREPARED AS AN ACCOUNT OF WORK SPONSORED BY AN AGENCY OF THE UNITED STATES\n			 GOVERNMENT. NEITHER THE UNITED STATES GOVERNMENT NOR ANY AGENCY THEREOF, NOR THE UNIVERSITY OF\n			 CHICAGO, NOR ANY OF THEIR EMPLOYEES OR OFFICERS, MAKES ANY WARRANTY, EXPRESS OR IMPLIED, OR\n			 ASSUMES ANY LEGAL LIABILITY OR RESPONSIBILITY FOR THE ACCURACY, COMPLETENESS, OR USEFULNESS OF\n			 ANY INFORMATION, APPARATUS, PRODUCT, OR PROCESS DISCLOSED, OR REPRESENTS THAT ITS USE WOULD\n			 NOT INFRINGE PRIVATELY OWNED RIGHTS. REFERENCE HEREIN TO ANY SPECIFIC COMMERCIAL PRODUCT,\n			 PROCESS, OR SERVICE BY TRADE NAME, TRADEMARK, MANUFACTURER, OR OTHERWISE, DOES NOT NECESSARILY\n			 CONSTITUTE OR IMPLY ITS ENDORSEMENT, RECOMMENDATION, OR FAVORING BY THE UNITED STATES\n			 GOVERNMENT OR ANY AGENCY THEREOF. THE VIEW AND OPINIONS OF AUTHORS EXPRESSED HEREIN DO NOT\n			 NECESSARILY STATE OR REFLECT THOSE OF THE UNITED STATES GOVERNMENT OR ANY AGENCY THEREOF.\n	  </p>\n\n	"
		self.python_name = "DSDP"

	def __str__(self):
		return json.dumps(self.__dict__)


class Hippocratic21:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "[SOFTWARE NAME] Copyright (YEAR) (COPYRIGHT HOLDER(S)/AUTHOR(S))(\u201cLicensor\u201d)\n\nHippocratic License Version Number: 2.1.\n\nPurpose. The purpose of this License is for the Licensor named above to permit the Licensee (as defined below) broad permission, if consistent with Human Rights Laws and Human Rights Principles (as each is defined below), to use and work with the Software (as defined below) within the full scope of Licensor\u2019s copyright and patent rights, if any, in the Software, while ensuring attribution and protecting the Licensor from liability.\n\nPermission and Conditions. The Licensor grants permission by this license (\u201cLicense\u201d), free of charge, to the extent of Licensor\u2019s rights under applicable copyright and patent law, to any person or entity (the \u201cLicensee\u201d) obtaining a copy of this software and associated documentation files (the \u201cSoftware\u201d), to do everything with the Software that would otherwise infringe (i) the Licensor\u2019s copyright in the Software or (ii) any patent claims to the Software that the Licensor can license or becomes able to license, subject to all of the following terms and conditions:\n\n* Acceptance. This License is automatically offered to every person and entity subject to its terms and conditions. Licensee accepts this License and agrees to its terms and conditions by taking any action with the Software that, absent this License, would infringe any intellectual property right held by Licensor.\n\n* Notice. Licensee must ensure that everyone who gets a copy of any part of this Software from Licensee, with or without changes, also receives the License and the above copyright notice (and if included by the Licensor, patent, trademark and attribution notice). Licensee must cause any modified versions of the Software to carry prominent notices stating that Licensee changed the Software. For clarity, although Licensee is free to create modifications of the Software and distribute only the modified portion created by Licensee with additional or different terms, the portion of the Software not modified must be distributed pursuant to this License. If anyone notifies Licensee in writing that Licensee has not complied with this Notice section, Licensee can keep this License by taking all practical steps to comply within 30 days after the notice. If Licensee does not do so, Licensee\u2019s License (and all rights licensed hereunder) shall end immediately.\n\n* Compliance with Human Rights Principles and Human Rights Laws.\n\n	1. Human Rights Principles.\n\n		(a) Licensee is advised to consult the articles of the United Nations Universal Declaration of Human Rights and the United Nations Global Compact that define recognized principles of international human rights (the \u201cHuman Rights Principles\u201d). Licensee shall use the Software in a manner consistent with Human Rights Principles.\n\n		(b) Unless the Licensor and Licensee agree otherwise, any dispute, controversy, or claim arising out of or relating to (i) Section 1(a) regarding Human Rights Principles, including the breach of Section 1(a), termination of this License for breach of the Human Rights Principles, or invalidity of Section 1(a) or (ii) a determination of whether any Law is consistent or in conflict with Human Rights Principles pursuant to Section 2, below, shall be settled by arbitration in accordance with the Hague Rules on Business and Human Rights Arbitration (the \u201cRules\u201d); provided, however, that Licensee may elect not to participate in such arbitration, in which event this License (and all rights licensed hereunder) shall end immediately. The number of arbitrators shall be one unless the Rules require otherwise.\n\n		Unless both the Licensor and Licensee agree to the contrary: (1) All documents and information concerning the arbitration shall be public and may be disclosed by any party; (2) The repository referred to under Article 43 of the Rules shall make available to the public in a timely manner all documents concerning the arbitration which are communicated to it, including all submissions of the parties, all evidence admitted into the record of the proceedings, all transcripts or other recordings of hearings and all orders, decisions and awards of the arbitral tribunal, subject only to the arbitral tribunal's powers to take such measures as may be necessary to safeguard the integrity of the arbitral process pursuant to Articles 18, 33, 41 and 42 of the Rules; and (3) Article 26(6) of the Rules shall not apply.\n\n	2. Human Rights Laws. The Software shall not be used by any person or entity for any systems, activities, or other uses that violate any Human Rights Laws.  \u201cHuman Rights Laws\u201d means any applicable laws, regulations, or rules (collectively, \u201cLaws\u201d) that protect human, civil, labor, privacy, political, environmental, security, economic, due process, or similar rights; provided, however, that such Laws are consistent and not in conflict with Human Rights Principles (a dispute over the consistency or a conflict between Laws and Human Rights Principles shall be determined by arbitration as stated above).  Where the Human Rights Laws of more than one jurisdiction are applicable or in conflict with respect to the use of the Software, the Human Rights Laws that are most protective of the individuals or groups harmed shall apply.\n\n	3. Indemnity. Licensee shall hold harmless and indemnify Licensor (and any other contributor) against all losses, damages, liabilities, deficiencies, claims, actions, judgments, settlements, interest, awards, penalties, fines, costs, or expenses of whatever kind, including Licensor\u2019s reasonable attorneys\u2019 fees, arising out of or relating to Licensee\u2019s use of the Software in violation of Human Rights Laws or Human Rights Principles.\n\n* Failure to Comply. Any failure of Licensee to act according to the terms and conditions of this License is both a breach of the License and an infringement of the intellectual property rights of the Licensor (subject to exceptions under Laws, e.g., fair use). In the event of a breach or infringement, the terms and conditions of this License may be enforced by Licensor under the Laws of any jurisdiction to which Licensee is subject. Licensee also agrees that the Licensor may enforce the terms and conditions of this License against Licensee through specific performance (or similar remedy under Laws) to the extent permitted by Laws. For clarity, except in the event of a breach of this License, infringement, or as otherwise stated in this License, Licensor may not terminate this License with Licensee.\n\n* Enforceability and Interpretation. If any term or provision of this License is determined to be invalid, illegal, or unenforceable by a court of competent jurisdiction, then such invalidity, illegality, or unenforceability shall not affect any other term or provision of this License or invalidate or render unenforceable such term or provision in any other jurisdiction; provided, however, subject to a court modification pursuant to the immediately following sentence, if any term or provision of this License pertaining to Human Rights Laws or Human Rights Principles is deemed invalid, illegal, or unenforceable against Licensee by a court of competent jurisdiction, all rights in the Software granted to Licensee shall be deemed null and void as between Licensor and Licensee. Upon a determination that any term or provision is invalid, illegal, or unenforceable, to the extent permitted by Laws, the court may modify this License to affect the original purpose that the Software be used in compliance with Human Rights Principles and Human Rights Laws as closely as possible. The language in this License shall be interpreted as to its fair meaning and not strictly for or against any party.\n\n* Disclaimer. TO THE FULL EXTENT ALLOWED BY LAW, THIS SOFTWARE COMES \u201cAS IS,\u201d WITHOUT ANY WARRANTY, EXPRESS OR IMPLIED, AND LICENSOR AND ANY OTHER CONTRIBUTOR SHALL NOT BE LIABLE TO ANYONE FOR ANY DAMAGES OR OTHER LIABILITY ARISING FROM, OUT OF, OR IN CONNECTION WITH THE SOFTWARE OR THIS LICENSE, UNDER ANY KIND OF LEGAL CLAIM.\n\nThis Hippocratic License is an Ethical Source license (https://ethicalsource.dev) and is offered for use by licensors and licensees at their own risk, on an \u201cAS IS\u201d basis, and with no warranties express or implied, to the maximum extent permitted by Laws.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"[SOFTWARE NAME] Copyright (C) (YEAR) (COPYRIGHT HOLDER(S)/AUTHOR(S) (\"Licensor\")\";match=\".{0,5000}\">><<beginOptional>> Hippocratic License Version Number: 2.1.\n\n<<endOptional>>\n\nPurpose. The purpose of this License is for the Licensor named above to permit the Licensee (as defined below) broad permission, if consistent with Human Rights Laws and Human Rights Principles (as each is defined below), to use and work with the Software (as defined below) within the full scope of Licensor's copyright and patent rights, if any, in the Software, while ensuring attribution and protecting the Licensor from liability.\n\nPermission and Conditions. The Licensor grants permission by this license (\"License\"), free of charge, to the extent of Licensor's rights under applicable copyright and patent law, to any person or entity (the \"Licensee\") obtaining a copy of this software and associated documentation files (the \"Software\"), to do everything with the Software that would otherwise infringe (i) the Licensor's copyright in the Software or (ii) any patent claims to the Software that the Licensor can license or becomes able to license, subject to all of the following terms and conditions:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Acceptance. This License is automatically offered to every person and entity subject to its terms and conditions. Licensee accepts this License and agrees to its terms and conditions by taking any action with the Software that, absent this License, would infringe any intellectual property right held by Licensor.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Notice. Licensee must ensure that everyone who gets a copy of any part of this Software from Licensee, with or without changes, also receives the License and the above copyright notice (and if included by the Licensor, patent, trademark and attribution notice). Licensee must cause any modified versions of the Software to carry prominent notices stating that Licensee changed the Software. For clarity, although Licensee is free to create modifications of the Software and distribute only the modified portion created by Licensee with additional or different terms, the portion of the Software not modified must be distributed pursuant to this License. If anyone notifies Licensee in writing that Licensee has not complied with this Notice section, Licensee can keep this License by taking all practical steps to comply within 30 days after the notice. If Licensee does not do so, Licensee's License (and all rights licensed hereunder) shall end immediately.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Compliance with Human Rights Principles and Human Rights Laws.\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Human Rights Principles.\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Licensee is advised to consult the articles of the United Nations Universal Declaration of Human Rights and the United Nations Global Compact that define recognized principles of international human rights (the \"Human Rights Principles\"). Licensee shall use the Software in a manner consistent with Human Rights Principles.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Unless the Licensor and Licensee agree otherwise, any dispute, controversy, or claim arising out of or relating to (i) Section 1(a) regarding Human Rights Principles, including the breach of Section 1(a), termination of this License for breach of the Human Rights Principles, or invalidity of Section 1(a) or (ii) a determination of whether any Law is consistent or in conflict with Human Rights Principles pursuant to Section 2, below, shall be settled by arbitration in accordance with the Hague Rules on Business and Human Rights Arbitration (the \"Rules\"); provided, however, that Licensee may elect not to participate in such arbitration, in which event this License (and all rights licensed hereunder) shall end immediately. The number of arbitrators shall be one unless the Rules require otherwise.\n\n		 Unless both the Licensor and Licensee agree to the contrary: (1) All documents and information concerning the arbitration shall be public and may be disclosed by any party; (2) The repository referred to under Article 43 of the Rules shall make available to the public in a timely manner all documents concerning the arbitration which are communicated to it, including all submissions of the parties, all evidence admitted into the record of the proceedings, all transcripts or other recordings of hearings and all orders, decisions and awards of the arbitral tribunal, subject only to the arbitral tribunal's powers to take such measures as may be necessary to safeguard the integrity of the arbitral process pursuant to Articles 18, 33, 41 and 42 of the Rules; and (3) Article 26(6) of the Rules shall not apply.\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Human Rights Laws. The Software shall not be used by any person or entity for any systems, activities, or other uses that violate any Human Rights Laws. \"Human Rights Laws\" means any applicable laws, regulations, or rules (collectively, \"Laws\") that protect human, civil, labor, privacy, political, environmental, security, economic, due process, or similar rights; provided, however, that such Laws are consistent and not in conflict with Human Rights Principles (a dispute over the consistency or a conflict between Laws and Human Rights Principles shall be determined by arbitration as stated above). Where the Human Rights Laws of more than one jurisdiction are applicable or in conflict with respect to the use of the Software, the Human Rights Laws that are most protective of the individuals or groups harmed shall apply.\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Indemnity. Licensee shall hold harmless and indemnify Licensor (and any other contributor) against all losses, damages, liabilities, deficiencies, claims, actions, judgments, settlements, interest, awards, penalties, fines, costs, or expenses of whatever kind, including Licensor's reasonable attorneys' fees, arising out of or relating to Licensee's use of the Software in violation of Human Rights Laws or Human Rights Principles.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Failure to Comply. Any failure of Licensee to act according to the terms and conditions of this License is both a breach of the License and an infringement of the intellectual property rights of the Licensor (subject to exceptions under Laws, e.g., fair use). In the event of a breach or infringement, the terms and conditions of this License may be enforced by Licensor under the Laws of any jurisdiction to which Licensee is subject. Licensee also agrees that the Licensor may enforce the terms and conditions of this License against Licensee through specific performance (or similar remedy under Laws) to the extent permitted by Laws. For clarity, except in the event of a breach of this License, infringement, or as otherwise stated in this License, Licensor may not terminate this License with Licensee.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Enforceability and Interpretation. If any term or provision of this License is determined to be invalid, illegal, or unenforceable by a court of competent jurisdiction, then such invalidity, illegality, or unenforceability shall not affect any other term or provision of this License or invalidate or render unenforceable such term or provision in any other jurisdiction; provided, however, subject to a court modification pursuant to the immediately following sentence, if any term or provision of this License pertaining to Human Rights Laws or Human Rights Principles is deemed invalid, illegal, or unenforceable against Licensee by a court of competent jurisdiction, all rights in the Software granted to Licensee shall be deemed null and void as between Licensor and Licensee. Upon a determination that any term or provision is invalid, illegal, or unenforceable, to the extent permitted by Laws, the court may modify this License to affect the original purpose that the Software be used in compliance with Human Rights Principles and Human Rights Laws as closely as possible. The language in this License shall be interpreted as to its fair meaning and not strictly for or against any party.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Disclaimer. TO THE FULL EXTENT ALLOWED BY LAW, THIS SOFTWARE COMES \"AS IS,\" WITHOUT ANY WARRANTY, EXPRESS OR IMPLIED, AND LICENSOR AND ANY OTHER CONTRIBUTOR SHALL NOT BE LIABLE TO ANYONE FOR ANY DAMAGES OR OTHER LIABILITY ARISING FROM, OUT OF, OR IN CONNECTION WITH THE SOFTWARE OR THIS LICENSE, UNDER ANY KIND OF LEGAL CLAIM.\n\nThis Hippocratic License is an Ethical Source license (https://ethicalsource.dev) and is offered for use by licensors and licensees at their own risk, on an \"AS IS\" basis, and with no warranties express or implied, to the maximum extent permitted by Laws.\n\n"
		self.name = "Hippocratic License 2.1"
		self.licenseId = "Hippocratic-2.1"
		self.crossRef = [{"match": "False", "url": "https://firstdonoharm.dev/version/2/1/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:24Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://github.com/EthicalSource/hippocratic-license/blob/58c0e646d64ff6fbee275bfe2b9492f914e3ab2a/LICENSE.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:25Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://firstdonoharm.dev/version/2/1/license.html", "https://github.com/EthicalSource/hippocratic-license/blob/58c0e646d64ff6fbee275bfe2b9492f914e3ab2a/LICENSE.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<var class=\"replaceable-license-text\"> \n			[SOFTWARE NAME] Copyright (C) (YEAR) (COPYRIGHT HOLDER(S)/AUTHOR(S) (&quot;Licensor&quot;)\n		</var>\n		<div class=\"optional-license-text\"> \n			<p>Hippocratic License Version Number: 2.1.</p>\n\n		</div>\n\n		<p>Purpose. The purpose of this License is for the Licensor named above to permit the Licensee (as defined below) broad permission, if consistent with Human Rights Laws and Human Rights Principles (as each is defined below), to use and work with the Software (as defined below) within the full scope of Licensor&apos;s copyright and patent rights, if any, in the Software, while ensuring attribution and protecting the Licensor from liability.</p>\n\n		<p>Permission and Conditions. The Licensor grants permission by this license (&quot;License&quot;), free of charge, to the extent of Licensor&apos;s rights under applicable copyright and patent law, to any person or entity (the &quot;Licensee&quot;) obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to do everything with the Software that would otherwise infringe (i) the Licensor&apos;s copyright in the Software or (ii) any patent claims to the Software that the Licensor can license or becomes able to license, subject to all of the following terms and conditions:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> *</var> Acceptance. This License is automatically offered to every person and entity subject to its terms and conditions. Licensee accepts this License and agrees to its terms and conditions by taking any action with the Software that, absent this License, would infringe any intellectual property right held by Licensor.\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> *</var> Notice. Licensee must ensure that everyone who gets a copy of any part of this Software from Licensee, with or without changes, also receives the License and the above copyright notice (and if included by the Licensor, patent, trademark and attribution notice). Licensee must cause any modified versions of the Software to carry prominent notices stating that Licensee changed the Software. For clarity, although Licensee is free to create modifications of the Software and distribute only the modified portion created by Licensee with additional or different terms, the portion of the Software not modified must be distributed pursuant to this License. If anyone notifies Licensee in writing that Licensee has not complied with this Notice section, Licensee can keep this License by taking all practical steps to comply within 30 days after the notice. If Licensee does not do so, Licensee&apos;s License (and all rights licensed hereunder) shall end immediately.\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> *</var> Compliance with Human Rights Principles and Human Rights Laws.\n\n<ul style=\"list-style:none\">\n					\n<li>\n						<var class=\"replaceable-license-text\"> 1.</var> Human Rights Principles.\n\n<ul style=\"list-style:none\">\n							\n<li>\n								<var class=\"replaceable-license-text\"> (a)</var> Licensee is advised to consult the articles of the United Nations Universal Declaration of Human Rights and the United Nations Global Compact that define recognized principles of international human rights (the &quot;Human Rights Principles&quot;). Licensee shall use the Software in a manner consistent with Human Rights Principles.\n							</li>\n\n<li>\n								<var class=\"replaceable-license-text\"> (b)</var> Unless the Licensor and Licensee agree otherwise, any dispute, controversy, or claim arising out of or relating to (i) Section 1(a) regarding Human Rights Principles, including the breach of Section 1(a), termination of this License for breach of the Human Rights Principles, or invalidity of Section 1(a) or (ii) a determination of whether any Law is consistent or in conflict with Human Rights Principles pursuant to Section 2, below, shall be settled by arbitration in accordance with the Hague Rules on Business and Human Rights Arbitration (the &quot;Rules&quot;); provided, however, that Licensee may elect not to participate in such arbitration, in which event this License (and all rights licensed hereunder) shall end immediately. The number of arbitrators shall be one unless the Rules require otherwise.\n							</li>\n\n<li>\n								Unless both the Licensor and Licensee agree to the contrary: (1) All documents and information concerning the arbitration shall be public and may be disclosed by any party; (2) The repository referred to under Article 43 of the Rules shall make available to the public in a timely manner all documents concerning the arbitration which are communicated to it, including all submissions of the parties, all evidence admitted into the record of the proceedings, all transcripts or other recordings of hearings and all orders, decisions and awards of the arbitral tribunal, subject only to the arbitral tribunal&apos;s powers to take such measures as may be necessary to safeguard the integrity of the arbitral process pursuant to Articles 18, 33, 41 and 42 of the Rules; and (3) Article 26(6) of the Rules shall not apply.\n							</li>\n						\n</ul>\n					</li>\n\n<li>\n						<var class=\"replaceable-license-text\"> 2.</var> Human Rights Laws. The Software shall not be used by any person or entity for any systems, activities, or other uses that violate any Human Rights Laws.  &quot;Human Rights Laws&quot; means any applicable laws, regulations, or rules (collectively, &quot;Laws&quot;) that protect human, civil, labor, privacy, political, environmental, security, economic, due process, or similar rights; provided, however, that such Laws are consistent and not in conflict with Human Rights Principles (a dispute over the consistency or a conflict between Laws and Human Rights Principles shall be determined by arbitration as stated above).  Where the Human Rights Laws of more than one jurisdiction are applicable or in conflict with respect to the use of the Software, the Human Rights Laws that are most protective of the individuals or groups harmed shall apply.\n					</li>\n\n<li>\n						<var class=\"replaceable-license-text\"> 3.</var> Indemnity. Licensee shall hold harmless and indemnify Licensor (and any other contributor) against all losses, damages, liabilities, deficiencies, claims, actions, judgments, settlements, interest, awards, penalties, fines, costs, or expenses of whatever kind, including Licensor&apos;s reasonable attorneys&apos; fees, arising out of or relating to Licensee&apos;s use of the Software in violation of Human Rights Laws or Human Rights Principles.\n					</li>\n				\n</ul>\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> *</var> Failure to Comply. Any failure of Licensee to act according to the terms and conditions of this License is both a breach of the License and an infringement of the intellectual property rights of the Licensor (subject to exceptions under Laws, e.g., fair use). In the event of a breach or infringement, the terms and conditions of this License may be enforced by Licensor under the Laws of any jurisdiction to which Licensee is subject. Licensee also agrees that the Licensor may enforce the terms and conditions of this License against Licensee through specific performance (or similar remedy under Laws) to the extent permitted by Laws. For clarity, except in the event of a breach of this License, infringement, or as otherwise stated in this License, Licensor may not terminate this License with Licensee.\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> *</var> Enforceability and Interpretation. If any term or provision of this License is determined to be invalid, illegal, or unenforceable by a court of competent jurisdiction, then such invalidity, illegality, or unenforceability shall not affect any other term or provision of this License or invalidate or render unenforceable such term or provision in any other jurisdiction; provided, however, subject to a court modification pursuant to the immediately following sentence, if any term or provision of this License pertaining to Human Rights Laws or Human Rights Principles is deemed invalid, illegal, or unenforceable against Licensee by a court of competent jurisdiction, all rights in the Software granted to Licensee shall be deemed null and void as between Licensor and Licensee. Upon a determination that any term or provision is invalid, illegal, or unenforceable, to the extent permitted by Laws, the court may modify this License to affect the original purpose that the Software be used in compliance with Human Rights Principles and Human Rights Laws as closely as possible. The language in this License shall be interpreted as to its fair meaning and not strictly for or against any party.\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> *</var> Disclaimer. TO THE FULL EXTENT ALLOWED BY LAW, THIS SOFTWARE COMES &quot;AS IS,&quot; WITHOUT ANY WARRANTY, EXPRESS OR IMPLIED, AND LICENSOR AND ANY OTHER CONTRIBUTOR SHALL NOT BE LIABLE TO ANYONE FOR ANY DAMAGES OR OTHER LIABILITY ARISING FROM, OUT OF, OR IN CONNECTION WITH THE SOFTWARE OR THIS LICENSE, UNDER ANY KIND OF LEGAL CLAIM.\n			</li>\n		\n</ul>\n\n		<p>This Hippocratic License is an Ethical Source license (https://ethicalsource.dev) and is offered for use by licensors and licensees at their own risk, on an &quot;AS IS&quot; basis, and with no warranties express or implied, to the maximum extent permitted by Laws.</p>\n\n	"
		self.python_name = "Hippocratic21"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL11only:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU Free Documentation License\nVersion 1.1, March 2000\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other written document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\".\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (For example, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, whose contents can be viewed and edited directly and straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup has been designed to thwart or discourage subsequent modification by readers is not Transparent. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML designed for human modification. Opaque formats include PostScript, PDF, proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies of the Document numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a publicly-accessible computer-network location containing a complete Transparent copy of the Document, free of added material, which the general network-using public has access to download anonymously at no charge using public-standard network protocols. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has less than five).\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n	 H. Include an unaltered copy of this License.\n	 I. Preserve the section entitled \"History\", and its title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the section's title, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section as \"Endorsements\" or to conflict in title with any Invariant Section.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections entitled \"History\" in the various original documents, forming one section entitled \"History\"; likewise combine any sections entitled \"Acknowledgements\", and any sections entitled \"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, does not as a whole count as a Modified Version of the Document, provided no compilation copyright is claimed for the compilation. Such a compilation is called an \"aggregate\", and this License does not apply to the other self-contained works thus compiled with the Document, on account of their being thus compiled, if they are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one quarter of the entire aggregate, the Document's Cover Texts may be placed on covers that surround only the Document within the aggregate. Otherwise they must appear on covers around the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License provided that you also include the original English version of this License. In case of a disagreement between the translation and the original English version of this License, the original English version will prevail.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead of saying which ones are invariant. If you have no Front-Cover Texts, write \"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise for Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1; with <<var;name=\"invariantSections\";original=\"the Invariant Sections being LIST THEIR TITLES\";match=\"the Invariant Sections	   being .+|no Invariant Sections\">> , with <<var;name=\"frontCoverTexts\";original=\"the Front-Cover Texts being LIST\";match=\"the Front-Cover Texts being .+|no Front-Cover Texts\">> , and with <<var;name=\"backCoverTexts\";original=\"the Back-Cover Texts being LIST\";match=\"the Back-Cover Texts being .+|no Back-Cover Texts\">> . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.1, March 2000\n\n<<endOptional>>\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other written document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\".\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (For example, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, whose contents can be viewed and edited directly and straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup has been designed to thwart or discourage subsequent modification by readers is not Transparent. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML designed for human modification. Opaque formats include PostScript, PDF, proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies of the Document numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a publicly-accessible computer-network location containing a complete Transparent copy of the Document, free of added material, which the general network-using public has access to download anonymously at no charge using public-standard network protocols. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has less than five).\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section entitled \"History\", and its title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the section's title, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section as \"Endorsements\" or to conflict in title with any Invariant Section.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections entitled \"History\" in the various original documents, forming one section entitled \"History\"; likewise combine any sections entitled \"Acknowledgements\", and any sections entitled \"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, does not as a whole count as a Modified Version of the Document, provided no compilation copyright is claimed for the compilation. Such a compilation is called an \"aggregate\", and this License does not apply to the other self-contained works thus compiled with the Document, on account of their being thus compiled, if they are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one quarter of the entire aggregate, the Document's Cover Texts may be placed on covers that surround only the Document within the aggregate. Otherwise they must appear on covers around the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License provided that you also include the original English version of this License. In case of a disagreement between the translation and the original English version of this License, the original English version will prevail.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead of saying which ones are invariant. If you have no Front-Cover Texts, write \"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise for Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.1 only"
		self.licenseComments = "This license was released March 2000. The identifier GFDL-1.1-only can be used to indicate that this license applies, without asserting whether or not any Invariant Sections, Front-Cover Texts or Back-Cover Texts are present. See GFDL-1.1-only-invariants and GFDL-1.1-only-no-invariants for alternative identifiers that can be used to express explicitly that these sections or cover texts are present or are not present, respectively."
		self.licenseId = "GFDL-1.1-only"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1; with the Invariant Sections being LIST THEIR TITLES , with the Front-Cover Texts being LIST , and with the Back-Cover Texts being LIST . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/fdl-1.1.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:25Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/fdl-1.1.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.1, March 2000\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2000 Free Software Foundation, Inc. 51\n	  Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook,\n		  or other written document &quot;free&quot; in the sense of freedom: to\n		  assure everyone the effective freedom to copy and redistribute\n		  it, with or without modifying it, either commercially or\n		  noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work that\n		  contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. The\n		  &quot;Document&quot;, below, refers to any such manual or work. Any\n		  member of the public is a licensee, and is addressed as &quot;you&quot;.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter section\n		  of the Document that deals exclusively with the relationship\n		  of the publishers or authors of the Document to the Document&apos;s\n		  overall subject (or to related matters) and contains nothing\n		  that could fall directly within that overall subject. (For\n		  example, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections, in the\n		  notice that says that the Document is released under this License.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are\n		  listed, as Front-Cover Texts or Back-Cover Texts, in the notice\n		  that says that the Document is released under this License.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable copy,\n		  represented in a format whose specification is available to the\n		  general public, whose contents can be viewed and edited directly\n		  and straightforwardly with generic text editors or (for images\n		  composed of pixels) generic paint programs or (for drawings) some\n		  widely available drawing editor, and that is suitable for input\n		  to text formatters or for automatic translation to a variety of\n		  formats suitable for input to text formatters. A copy made in an\n		  otherwise Transparent file format whose markup has been designed\n		  to thwart or discourage subsequent modification by readers is not\n		  Transparent. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include\n		  plain ASCII without markup, Texinfo input format, LaTeX\n		  input format, SGML or XML using a publicly available DTD, and\n		  standard-conforming simple HTML designed for human modification.\n		  Opaque formats include PostScript, PDF, proprietary formats\n		  that can be read and edited only by proprietary word processors,\n		  SGML or XML for which the DTD and/or processing tools are\n		  not generally available, and the machine-generated HTML\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies of the Document numbering more than\n		  100, and the Document&apos;s license notice requires Cover Texts, you\n		  must enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a publicly-accessible computer-network location\n		  containing a complete Transparent copy of the Document, free\n		  of added material, which the general network-using public has\n		  access to download anonymously at no charge using public-standard\n		  network protocols. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or entities\n			responsible for authorship of the modifications in the Modified\n			Version, together with at least five of the principal authors of the\n			Document (all of its principal authors, if it has less than five).\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant Sections\n			and required Cover Texts given in the Document&apos;s license notice.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> H.</var>\n			Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section entitled &quot;History&quot;, and its title, and add\n			to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			In any section entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			preserve the section&apos;s title, and preserve in the section\n			all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section as &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released\n		  under this License, under the terms defined in section 4\n		  above for modified versions, provided that you include in\n		  the combination all of the Invariant Sections of all of\n		  the original documents, unmodified, and list them all as\n		  Invariant Sections of your combined work in its license notice.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  entitled &quot;History&quot;; likewise combine any sections entitled\n		  &quot;Acknowledgements&quot;, and any sections entitled &quot;Dedications&quot;.\n		  You must delete all sections entitled &quot;Endorsements.&quot;\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other separate\n		  and independent documents or works, in or on a volume of a storage\n		  or distribution medium, does not as a whole count as a Modified\n		  Version of the Document, provided no compilation copyright is claimed\n		  for the compilation. Such a compilation is called an &quot;aggregate&quot;,\n		  and this License does not apply to the other self-contained works\n		  thus compiled with the Document, on account of their being thus\n		  compiled, if they are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to these\n		  copies of the Document, then if the Document is less than one quarter\n		  of the entire aggregate, the Document&apos;s Cover Texts may be placed\n		  on covers that surround only the Document within the aggregate.\n		  Otherwise they must appear on covers around the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of\n		  section 4. Replacing Invariant Sections with translations requires\n		  special permission from their copyright holders, but you may\n		  include translations of some or all Invariant Sections in addition\n		  to the original versions of these Invariant Sections. You may\n		  include a translation of this License provided that you also\n		  include the original English version of this License. In case of\n		  a disagreement between the translation and the original English\n		  version of this License, the original English version will prevail.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided for under this License. Any other\n		  attempt to copy, modify, sublicense or distribute the Document\n		  is void, and will automatically terminate your rights under\n		  this License. However, parties who have received copies, or\n		  rights, from you under this License will not have their licenses\n		  terminated so long as such parties remain in full compliance.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option\n		  of following the terms and conditions either of that specified\n		  version or of any later version that has been published (not as a\n		  draft) by the Free Software Foundation. If the Document does not\n		  specify a version number of this License, you may choose any version\n		  ever published (not as a draft) by the Free Software Foundation.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the\n		GNU Free Documentation License, Version 1.1 or any later version\n		published by the Free Software Foundation; with the Invariant Sections\n		being LIST THEIR TITLES, with the Front-Cover Texts being LIST,\n		and with the Back-Cover Texts being LIST. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have no Invariant Sections, write &quot;with no Invariant\n		Sections&quot; instead of saying which ones are invariant. If you have\n		no Front-Cover Texts, write &quot;no Front-Cover Texts&quot; instead of\n		&quot;Front-Cover Texts being LIST&quot;; likewise for Back-Cover Texts.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>\n	  Permission is granted to copy, distribute and/or modify this\n	  document under the terms of the GNU Free Documentation License,\n	  Version 1.1; with <var class=\"replaceable-license-text\"> the Invariant Sections being LIST THEIR\n	  TITLES</var>, with <var class=\"replaceable-license-text\"> the Front-Cover Texts being LIST</var>, and with <var class=\"replaceable-license-text\"> the\n	  Back-Cover Texts being LIST</var>. A copy of the license is included\n	  in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL11only"

	def __str__(self):
		return json.dumps(self.__dict__)


class bzip2105:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.licenseText = "Version 1.0.5 of 10 December 2007\n\nCopyright \u00a9 1996-2007 Julian Seward\n\nThis program, bzip2, the associated library libbzip2, and all documentation, are copyright \u00a9 1996-2007 Julian Seward. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 \u2022 Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 \u2022 The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.\n\n	 \u2022 Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n	 \u2022 The name of the author may not be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE AUTHOR \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\nPATENTS: To the best of my knowledge, bzip2 and libbzip2 do not use any patented algorithms. However, I do not have the resources to carry out a patent search. Therefore I cannot give any guarantee of the above statement.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Version 1.0.5 of 10 December 2007\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright \u00a9 1996-2007 Julian Seward  \";match=\".{0,5000}\">>\n\nThis program, bzip2, the associated library libbzip2, and all documentation, are copyright \u00a9 1996-2007 Julian Seward. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> The name of the author may not be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE AUTHOR \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nPATENTS: To the best of my knowledge, bzip2 and libbzip2 do not use any patented algorithms. However, I do not have the resources to carry out a patent search. Therefore I cannot give any guarantee of the above statement.\n\n"
		self.name = "bzip2 and libbzip2 License v1.0.5"
		self.licenseComments = "bzip2-1.0.5 is being deprecated in favor of bzip2-1.0.6, which is now equivalent as of License List version 3.16 with the addition of markup for version numbering and the optional PATENTS statement, which was not specific to bzip2 1.0.5."
		self.licenseId = "bzip2-1.0.5"
		self.crossRef = [{"match": "False", "url": "http://bzip.org/1.0.5/bzip2-manual-1.0.5.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:30Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://sourceware.org/bzip2/1.0.5/bzip2-manual-1.0.5.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:30Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://sourceware.org/bzip2/1.0.5/bzip2-manual-1.0.5.html", "http://bzip.org/1.0.5/bzip2-manual-1.0.5.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Version 1.0.5 of 10 December 2007</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright \u00a9 1996-2007 Julian Seward</p>\n\n	  </div>\n\n	  <p>This program, bzip2, the associated library libbzip2, and all documentation, are copyright \u00a9\n		 1996-2007 Julian Seward. All rights reserved.</p>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u2022</var>\n		  Redistributions of source code must retain the above copyright notice, this list of\n			 conditions and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u2022</var>\n		  The origin of this software must not be misrepresented; you must not claim that you wrote the\n			 original software. If you use this software in a product, an acknowledgment in the product\n			 documentation would be appreciated but is not required.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u2022</var>\n		  Altered source versions must be plainly marked as such, and must not be misrepresented as\n			 being the original software.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> \u2022</var>\n		  The name of the author may not be used to endorse or promote products derived from this\n			 software without specific prior written permission.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE AUTHOR &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n		 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\n		 GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n		 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR\n		 OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\n		 SUCH DAMAGE.\n	  </p>\n\n	  <p>PATENTS: To the best of my knowledge, bzip2 and libbzip2 do not use any patented algorithms.\n		 However, I do not have the resources to carry out a patent search. Therefore I cannot give any\n		 guarantee of the above statement.\n	  </p>\n\n	"
		self.deprecatedVersion = "3.16"
		self.python_name = "bzip2105"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP13:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The OpenLDAP Public License\nVersion 1.3, 17 January 1999\n\nCopyright 1998-1999, The OpenLDAP Foundation. All Rights Reserved.\n\nNote: This license is derived from the \"Artistic License\" as distributed with the Perl Programming Language. As significant differences exist, the complete license should be read.\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n	 \"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n	 \"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n	 \"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n	 \"You\" is you, if you're thinking about copying or distributing this Package.\n\n	 \"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n	 \"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	 a) place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	 b) use the modified Package only within your corporation or organization.\n\n	 c) rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	 d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	 a) distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	 b) accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	 c) accompany any non-standard executables with their corresponding Standard Version executables, giving the non-standard executables non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	 d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n7. C subroutines supplied by you and linked into this Package in order to emulate subroutines and variables defined by this Package shall not be considered part of this Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not change the behavior of the Package in any way that would cause it to fail the regression tests for the Package.\n\n8. Software supplied by you and linked with this Package in order to use subroutines and variables defined by this Package shall not be considered part of this Package and do not automatically fall under the copyright of this Package, and the executables produced by linking your software with this Package may be used and redistributed without restriction and may be sold commercially.\n\n9. The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n10. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\nThe End\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 1.3, 17 January 1999\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 1998-1999, The OpenLDAP Foundation. All Rights Reserved.  \";match=\".{0,5000}\">><<beginOptional>> Note: This license is derived from the \"Artistic License\" as distributed with the Perl Programming Language. As significant differences exist, the complete license should be read.\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\n<<endOptional>>\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n\"You\" is you, if you're thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> use the modified Package only within your corporation or organization.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> accompany any non-standard executables with their corresponding Standard Version executables, giving the non-standard executables non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> C subroutines supplied by you and linked into this Package in order to emulate subroutines and variables defined by this Package shall not be considered part of this Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not change the behavior of the Package in any way that would cause it to fail the regression tests for the Package.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Software supplied by you and linked with this Package in order to use subroutines and variables defined by this Package shall not be considered part of this Package and do not automatically fall under the copyright of this Package, and the executables produced by linking your software with this Package may be used and redistributed without restriction and may be sold commercially.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.<<beginOptional>> The End\n\n<<endOptional>>"
		self.name = "Open LDAP Public License v1.3"
		self.licenseComments = "This license was released 17 January 1999. This license was issued twice in the same day with a minor correction. This is the corrected (second) version."
		self.licenseId = "OLDAP-1.3"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=e5f8117f0ce088d0bd7a8e18ddf37eaa40eb09b1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:25Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=e5f8117f0ce088d0bd7a8e18ddf37eaa40eb09b1"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 1.3, 17 January 1999\n	  </p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1998-1999, The OpenLDAP Foundation. All Rights Reserved.</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Note: This license is derived from the &quot;Artistic License&quot; as distributed with the Perl\n		 Programming Language. As significant differences exist, the complete license should be read.</p>\n\n		 <p>PREAMBLE</p>\n\n		 <p>The intent of this document is to state the conditions under which a Package may be copied, such that the\n		 Copyright Holder maintains some semblance of artistic control over the development of the package,\n		 while giving the users of the package the right to use and distribute the Package in a more-or-less\n		 customary fashion, plus the right to make reasonable modifications.</p>\n\n	  </div>\n\n	  <p>Definitions:</p>\n\n	  <p>&quot;Package&quot; refers to the collection of files distributed by the Copyright Holder, and\n		 derivatives of that collection of files created through textual modification.</p>\n\n	  <p>&quot;Standard Version&quot; refers to such a Package if it has not been modified, or has been modified\n		 in accordance with the wishes of the Copyright Holder.</p>\n\n	  <p>&quot;Copyright Holder&quot; is whoever is named in the copyright or copyrights for the package.</p>\n\n	  <p>&quot;You&quot; is you, if you&apos;re thinking about copying or distributing this Package.</p>\n\n	  <p>&quot;Reasonable copying fee&quot; is whatever you can justify on the basis of media cost, duplication\n		 charges, time of people involved, and so on. (You will not be required to justify it to the Copyright\n		 Holder, but only to the computing community at large as a market that must bear the fee.)</p>\n\n	  <p>&quot;Freely Available&quot; means that no fee is charged for the item itself, though there may be fees\n		 involved in handling the item. It also means that recipients of the item may redistribute it under the\n		 same conditions they received it.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may make and give away verbatim copies of the source form of the Standard Version of this\n			 Package without restriction, provided that you duplicate all of the original copyright notices\n			 and associated disclaimers.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may apply bug fixes, portability fixes and other modifications derived from the Public Domain\n			 or from the Copyright Holder. A Package modified in such a way shall still be considered the\n			 Standard Version.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may otherwise modify your copy of this Package in any way, provided that you insert a\n			 prominent notice in each changed file stating how and when you changed that file, and provided\n			 that you do at least ONE of the following:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			place your modifications in the Public Domain or otherwise make them Freely Available, such\n			   as by posting said modifications to Usenet or an equivalent medium, or placing the\n			   modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright\n			   Holder to include your modifications in the Standard Version of the Package.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			use the modified Package only within your corporation or organization.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c)</var>\n			rename any non-standard executables so the names do not conflict with standard executables,\n			   which must also be provided, and provide a separate manual page for each non-standard\n			   executable that clearly documents how it differs from the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d)</var>\n			make other distribution arrangements with the Copyright Holder.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may distribute the programs of this Package in object code or executable form, provided that\n			 you do at least ONE of the following:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			distribute a Standard Version of the executables and library files, together with\n			   instructions (in the manual page or equivalent) on where to get the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			accompany the distribution with the machine-readable source of the Package with your modifications.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c)</var>\n			accompany any non-standard executables with their corresponding Standard Version executables,\n			   giving the non-standard executables non-standard names, and clearly documenting the\n			   differences in manual pages (or equivalent), together with instructions on where to get\n			   the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d)</var>\n			make other distribution arrangements with the Copyright Holder.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may charge a reasonable copying fee for any distribution of this Package. You may charge any\n			 fee you choose for support of this Package. You may not charge a fee for this Package itself.\n			 However, you may distribute this Package in aggregate with other (possibly commercial)\n			 programs as part of a larger (possibly commercial) software distribution provided that you do\n			 not advertise this Package as a product of your own.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The scripts and library files supplied as input to or produced as output from the programs of\n			 this Package do not automatically fall under the copyright of this Package, but belong to\n			 whomever generated them, and may be sold commercially, and may be aggregated with this\n			 Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  C subroutines supplied by you and linked into this Package in order to emulate subroutines and\n			 variables defined by this Package shall not be considered part of this Package, but are the\n			 equivalent of input as in Paragraph 6, provided these subroutines do not change the behavior\n			 of the Package in any way that would cause it to fail the regression tests for the\n			 Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Software supplied by you and linked with this Package in order to use subroutines and variables\n			 defined by this Package shall not be considered part of this Package and do not automatically\n			 fall under the copyright of this Package, and the executables produced by linking your\n			 software with this Package may be used and redistributed without restriction and may be sold\n			 commercially.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  The name of the Copyright Holder may not be used to endorse or promote products derived from this\n			 software without specific prior written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  THIS PACKAGE IS PROVIDED &quot;AS IS&quot; AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\n			 INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A\n			 PARTICULAR PURPOSE.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>The End</p>\n\n	  </div>\n	"
		self.python_name = "OLDAP13"

	def __str__(self):
		return json.dumps(self.__dict__)


class APSL20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "APPLE PUBLIC SOURCE LICENSE\nVersion 2.0 -  August 6, 2003\n\nPlease read this License carefully before downloading this software.  By downloading or using this software, you are agreeing to be bound by the terms of this License.  If you do not or cannot agree to the terms of this License, please do not download or use the software.\n\nApple Note:  In January 2007, Apple changed its corporate name from \"Apple Computer, Inc.\" to \"Apple Inc.\"  This change has been reflected below and copyright years updated, but no other changes have been made to the APSL 2.0.\n\n1. General; Definitions.  This License applies to any program or other work which Apple Inc. (\"Apple\") makes publicly available and which contains a notice placed by Apple identifying such program or work as \"Original Code\" and stating that it is subject to the terms of this Apple Public Source License version 2.0 (\"License\").  As used in this License:\n\n	 1.1  \"Applicable Patent Rights\" mean:  (a) in the case where Apple is the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to Apple and (ii) that cover subject matter contained in the Original Code, but only to the extent necessary to use, reproduce and/or distribute the Original Code without infringement; and (b) in the case where You are the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to You and (ii) that cover subject matter in Your Modifications, taken alone or in combination with Original Code.\n\n	 1.2 \"Contributor\" means any person or entity that creates or contributes to the creation of Modifications.\n\n	 1.3  \"Covered Code\" means the Original Code, Modifications, the combination of Original Code and any Modifications, and/or any respective portions thereof.\n\n	 1.4 \"Externally Deploy\" means: (a) to sublicense, distribute or otherwise make Covered Code available, directly or indirectly, to anyone other than You; and/or (b) to use Covered Code, alone or as part of a Larger Work, in any way to provide a service, including but not limited to delivery of content, through electronic communication with a client other than You.\n\n	 1.5 \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.6 \"Modifications\" mean any addition to, deletion from, and/or change to, the substance and/or structure of the Original Code, any previous Modifications, the combination of Original Code and any previous Modifications, and/or any respective portions thereof.  When code is released as a series of files, a Modification is:  (a) any addition to or deletion from the contents of a file containing Covered Code; and/or (b) any new file or other representation of computer program statements that contains any part of Covered Code.\n\n	 1.7 \"Original Code\" means (a) the Source Code of a program or other work as originally made available by Apple under this License, including the Source Code of any updates or upgrades to such programs or works made available by Apple under this License, and that has been expressly identified by Apple as such in the header file(s) of such work; and (b) the object code compiled from such Source Code and originally made available by Apple under this License\n\n	 1.8 \"Source Code\" means the human readable form of a program or other work that is suitable for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an executable (object code).\n\n	 1.9 \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License.  For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n2. Permitted Uses; Conditions & Restrictions.   Subject to the terms and conditions of this License, Apple hereby grants You, effective on the date You accept this License and download the Original Code, a world-wide, royalty-free, non-exclusive license, to the extent of Apple's Applicable Patent Rights and copyrights covering the Original Code, to do the following:\n\n	 2.1 Unmodified Code.  You may use, reproduce, display, perform, internally distribute within Your organization, and Externally Deploy verbatim, unmodified copies of the Original Code, for commercial or non-commercial purposes, provided that in each instance:\n\n		  (a) You must retain and reproduce in all copies of Original Code the copyright and other proprietary notices and disclaimers of Apple as they appear in the Original Code, and keep intact all notices in the Original Code that refer to this License; and\n\n		  (b)  You must include a copy of this License with every copy of Source Code of Covered Code and documentation You distribute or Externally Deploy, and You may not offer or impose any terms on such Source Code that alter or restrict this License or the recipients' rights hereunder, except as permitted under Section 6.\n\n	 2.2 Modified Code.  You may modify Covered Code and use, reproduce, display, perform, internally distribute within Your organization, and Externally Deploy Your Modifications and Covered Code, for commercial or non-commercial purposes, provided that in each instance You also meet all of these conditions:\n\n		  (a) You must satisfy all the conditions of Section 2.1 with respect to the Source Code of the Covered Code;\n\n		  (b) You must duplicate, to the extent it does not already exist, the notice in Exhibit A in each file of the Source Code of all Your Modifications, and cause the modified files to carry prominent notices stating that You changed the files and the date of any change; and\n\n		  (c) If You Externally Deploy Your Modifications, You must make Source Code of all Your Externally Deployed Modifications either available to those to whom You have Externally Deployed Your Modifications, or publicly available.  Source Code of Your Externally Deployed Modifications must be released under the terms set forth in this License, including the license grants set forth in Section 3 below, for as long as you Externally Deploy the Covered Code or twelve (12) months from the date of initial External Deployment, whichever is longer. You should preferably distribute the Source Code of Your Externally Deployed Modifications electronically (e.g. download from a web site).\n\n	 2.3 Distribution of Executable Versions.  In addition, if You Externally Deploy Covered Code (Original Code and/or Modifications) in object code, executable form only, You must include a prominent notice, in the code itself as well as in related documentation, stating that Source Code of the Covered Code is available under the terms of this License with information on how and where to obtain such Source Code.\n\n	 2.4 Third Party Rights.  You expressly acknowledge and agree that although Apple and each Contributor grants the licenses to their respective portions of the Covered Code set forth herein, no assurances are provided by Apple or any Contributor that the Covered Code does not infringe the patent or other intellectual property rights of any other entity. Apple and each Contributor disclaim any liability to You for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, You hereby assume sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow You to distribute the Covered Code, it is Your responsibility to acquire that license before distributing the Covered Code.\n\n3. Your Grants.  In consideration of, and as a condition to, the licenses granted to You under this License, You hereby grant to any person or entity receiving or distributing Covered Code under this License a non-exclusive, royalty-free, perpetual, irrevocable license, under Your Applicable Patent Rights and other intellectual property rights (other than patent) owned or controlled by You, to use, reproduce, display, perform, modify, sublicense, distribute and Externally Deploy Your Modifications of the same scope and extent as Apple's licenses under Sections 2.1 and 2.2 above.\n\n4. Larger Works.  You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product.  In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof.\n\n5. Limitations on Patent License.   Except as expressly stated in Section 2, no other patent rights, express or implied, are granted by Apple herein.  Modifications and/or Larger Works may require additional patent licenses from Apple which Apple may grant in its sole discretion.\n\n6. Additional Terms.  You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations and/or other rights consistent with the scope of the license granted herein (\"Additional Terms\") to one or more recipients of Covered Code. However, You may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Apple or any Contributor. You must obtain the recipient's agreement that any such Additional Terms are offered by You alone, and You hereby agree to indemnify, defend and hold Apple and every Contributor harmless for any liability incurred by or claims asserted against Apple or such Contributor by reason of any such Additional Terms.\n\n7. Versions of the License.  Apple may publish revised and/or new versions of this License from time to time.  Each version will be given a distinguishing version number.  Once Original Code has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of this License published by Apple.  No one other than Apple has the right to modify the terms applicable to Covered Code created under this License.\n\n8. NO WARRANTY OR SUPPORT.  The Covered Code may contain in whole or in part pre-release, untested, or not fully tested works.  The Covered Code may contain errors that could cause failures or loss of data, and may be incomplete or contain inaccuracies.  You expressly acknowledge and agree that use of the Covered Code, or any portion thereof, is at Your sole and entire risk.  THE COVERED CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF ANY KIND AND APPLE AND APPLE'S LICENSOR(S) (COLLECTIVELY REFERRED TO AS \"APPLE\" FOR THE PURPOSES OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY, OF QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.  APPLE AND EACH CONTRIBUTOR DOES NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE COVERED CODE, THAT THE FUNCTIONS CONTAINED IN THE COVERED CODE WILL MEET YOUR REQUIREMENTS, THAT THE OPERATION OF THE COVERED CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE COVERED CODE WILL BE CORRECTED.  NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY APPLE, AN APPLE AUTHORIZED REPRESENTATIVE OR ANY CONTRIBUTOR SHALL CREATE A WARRANTY.  You acknowledge that the Covered Code is not intended for use in the operation of nuclear facilities, aircraft navigation, communication systems, or air traffic control machines in which case the failure of the Covered Code could lead to death, personal injury, or severe physical or environmental damage.\n\n9. LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT SHALL APPLE OR ANY CONTRIBUTOR BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE COVERED CODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF APPLE OR SUCH CONTRIBUTOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS LIMITATION MAY NOT APPLY TO YOU. In no event shall Apple's total liability to You for all damages (other than as may be required by applicable law) under this License exceed the amount of fifty dollars ($50.00).\n\n10. Trademarks.  This License does not grant any rights to use the trademarks or trade names  \"Apple\", \"Mac\", \"Mac OS\", \"QuickTime\", \"QuickTime Streaming Server\" or any other trademarks, service marks, logos or trade names belonging to Apple (collectively \"Apple Marks\") or to any trademark, service mark, logo or trade name belonging to any Contributor.  You agree not to use any Apple Marks in or as part of the name of products derived from the Original Code or to endorse or promote products derived from the Original Code other than as expressly permitted by and in strict compliance at all times with Apple's third party trademark usage guidelines which are posted at http://www.apple.com/legal/guidelinesfor3rdparties.html.\n\n11. Ownership. Subject to the licenses granted under this License, each Contributor retains all rights, title and interest in and to any Modifications made by such Contributor.  Apple retains all rights, title and interest in and to the Original Code and any Modifications made by or on behalf of Apple (\"Apple Modifications\"), and such Apple Modifications will not be automatically subject to this License.  Apple may, at its sole discretion, choose to license such Apple Modifications under this License, or on different terms from those contained in this License or may choose not to license them at all.\n\n12. Termination.\n\n	 12.1 Termination.  This License and the rights granted hereunder will terminate:\n\n		  (a) automatically without notice from Apple if You fail to comply with any term(s) of this License and fail to cure such breach within 30 days of becoming aware of such breach;\n\n		  (b) immediately in the event of the circumstances described in Section 13.5(b); or\n\n		  (c) automatically without notice from Apple if You, at any time during the term of this License, commence an action for patent infringement against Apple; provided that Apple did not first commence an action for patent infringement against You in that instance.\n\n	 12.2 Effect of Termination.  Upon termination, You agree to immediately stop any further use, reproduction, modification, sublicensing and distribution of the Covered Code.  All sublicenses to the Covered Code which have been properly granted prior to termination shall survive any termination of this License.  Provisions which, by their nature, should remain in effect beyond the termination of this License shall survive, including but not limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13.  No party will be liable to any other for compensation, indemnity or damages of any sort solely as a result of terminating this License in accordance with its terms, and termination of this License will be without prejudice to any other right or remedy of any party.\n\n13.  Miscellaneous.\n\n	 13.1 Government End Users.   The Covered Code is a \"commercial item\" as defined in FAR 2.101.  Government software and technical data rights in the Covered Code include only those rights customarily provided to the public as defined in this License. This customary commercial license in technical data and software is provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation).  Accordingly, all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n	 13.2 Relationship of Parties.  This License will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between or among You, Apple or any Contributor, and You will not represent to the contrary, whether expressly, by implication, appearance or otherwise.\n\n	 13.3 Independent Development.   Nothing in this License will impair Apple's right to acquire, license, develop, have others develop for it, market and/or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Modifications, Larger Works, technology or products that You may develop, produce, market or distribute.\n\n	 13.4 Waiver; Construction.  Failure by Apple or any Contributor to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision.  Any law or regulation which provides that the language of a contract shall be consTrued against the drafter will not apply to this License.\n\n	 13.5 Severability.  (a) If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect.  (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You from fully and/or specifically complying with Sections 2 and/or 3 or prevents the enforceability of either of those Sections, this License will immediately terminate and You must immediately discontinue any use of the Covered Code and destroy all copies of it that are in your possession or control.\n\n	 13.6 Dispute Resolution.  Any litigation or other dispute resolution between You and Apple relating to this License shall take place in the Northern District of California, and You and Apple hereby consent to the personal jurisdiction of, and venue in, the state and federal courts within that District with respect to this License. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n	 13.7 Entire Agreement; Governing Law.  This License constitutes the entire agreement between the parties with respect to the subject matter hereof.  This License shall be governed by the laws of the United States and the State of California, except that body of California law concerning conflicts of law.\n\n	 Where You are located in the province of Quebec, Canada, the following clause applies:  The parties hereby confirm that they have requested that this License and all related documents be drafted in English.  Les parties ont exig\u00e9 que le pr\u00e9sent contrat et tous les documents connexes soient r\u00e9dig\u00e9s en anglais.\n\nEXHIBIT A.\n\n\"Portions Copyright (c) 1999-2007 Apple Inc.  All Rights Reserved.\n\nThis file contains Original Code and/or Modifications of Original Code as defined in and that are subject to the Apple Public Source License Version 2.0 (the 'License').  You may not use this file except in compliance with the License.  Please obtain a copy of the License at http://www.opensource.apple.com/apsl/ and read it before using this file.\n\nThe Original Code and all software distributed under the License are distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.  Please see the License for the specific language governing rights and limitations under the License.\"\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>\"<<endOptional>>Portions Copyright (c) 1999-2007 Apple Inc. All Rights Reserved.\n\nThis file contains Original Code and/or Modifications of Original Code as defined in and that are subject to the Apple Public Source License Version 2.0 (the 'License'). You may not use this file except in compliance with the License. Please obtain a copy of the License at http://www.opensource.apple.com/apsl/ and read it before using this file.\n\nThe Original Code and all software distributed under the License are distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. Please see the License for the specific language governing rights and limitations under the License.<<beginOptional>>\"<<endOptional>>\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>APPLE PUBLIC SOURCE LICENSE\n\nVersion 2.0 - August 6, 2003\n\n<<endOptional>><<beginOptional>> Please read this License carefully before downloading this software. By downloading or using this software, you are agreeing to be bound by the terms of this License. If you do not or cannot agree to the terms of this License, please do not download or use the software.\n\nApple Note: In January 2007, Apple changed its corporate name from \"Apple Computer, Inc.\" to \"Apple Inc.\" This change has been reflected below and copyright years updated, but no other changes have been made to the APSL 2.0.\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> General; Definitions. This License applies to any program or other work which Apple Inc. (\"Apple\") makes publicly available and which contains a notice placed by Apple identifying such program or work as \"Original Code\" and stating that it is subject to the terms of this Apple Public Source License version 2.0 (\"License\"). As used in this License:\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Applicable Patent Rights\" mean: (a) in the case where Apple is the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to Apple and (ii) that cover subject matter contained in the Original Code, but only to the extent necessary to use, reproduce and/or distribute the Original Code without infringement; and (b) in the case where You are the grantor of rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to You and (ii) that cover subject matter in Your Modifications, taken alone or in combination with Original Code.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Contributor\" means any person or entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Covered Code\" means the Original Code, Modifications, the combination of Original Code and any Modifications, and/or any respective portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Externally Deploy\" means: (a) to sublicense, distribute or otherwise make Covered Code available, directly or indirectly, to anyone other than You; and/or (b) to use Covered Code, alone or as part of a Larger Work, in any way to provide a service, including but not limited to delivery of content, through electronic communication with a client other than You.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"Modifications\" mean any addition to, deletion from, and/or change to, the substance and/or structure of the Original Code, any previous Modifications, the combination of Original Code and any previous Modifications, and/or any respective portions thereof. When code is released as a series of files, a Modification is: (a) any addition to or deletion from the contents of a file containing Covered Code; and/or (b) any new file or other representation of computer program statements that contains any part of Covered Code.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"Original Code\" means (a) the Source Code of a program or other work as originally made available by Apple under this License, including the Source Code of any updates or upgrades to such programs or works made available by Apple under this License, and that has been expressly identified by Apple as such in the header file(s) of such work; and (b) the object code compiled from such Source Code and originally made available by Apple under this License\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"Source Code\" means the human readable form of a program or other work that is suitable for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an executable (object code).\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"You\" or \"Your\" means an individual or a legal entity exercising rights under this License. For legal entities, \"You\" or \"Your\" includes any entity which controls, is controlled by, or is under common control with, You, where \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Permitted Uses; Conditions & Restrictions. Subject to the terms and conditions of this License, Apple hereby grants You, effective on the date You accept this License and download the Original Code, a world-wide, royalty-free, non-exclusive license, to the extent of Apple's Applicable Patent Rights and copyrights covering the Original Code, to do the following:\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> Unmodified Code. You may use, reproduce, display, perform, internally distribute within Your organization, and Externally Deploy verbatim, unmodified copies of the Original Code, for commercial or non-commercial purposes, provided that in each instance:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> You must retain and reproduce in all copies of Original Code the copyright and other proprietary notices and disclaimers of Apple as they appear in the Original Code, and keep intact all notices in the Original Code that refer to this License; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You must include a copy of this License with every copy of Source Code of Covered Code and documentation You distribute or Externally Deploy, and You may not offer or impose any terms on such Source Code that alter or restrict this License or the recipients' rights hereunder, except as permitted under Section 6.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> Modified Code. You may modify Covered Code and use, reproduce, display, perform, internally distribute within Your organization, and Externally Deploy Your Modifications and Covered Code, for commercial or non-commercial purposes, provided that in each instance You also meet all of these conditions:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> You must satisfy all the conditions of Section 2.1 with respect to the Source Code of the Covered Code;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> You must duplicate, to the extent it does not already exist, the notice in Exhibit A in each file of the Source Code of all Your Modifications, and cause the modified files to carry prominent notices stating that You changed the files and the date of any change; and\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> If You Externally Deploy Your Modifications, You must make Source Code of all Your Externally Deployed Modifications either available to those to whom You have Externally Deployed Your Modifications, or publicly available. Source Code of Your Externally Deployed Modifications must be released under the terms set forth in this License, including the license grants set forth in Section 3 below, for as long as you Externally Deploy the Covered Code or twelve (12) months from the date of initial External Deployment, whichever is longer. You should preferably distribute the Source Code of Your Externally Deployed Modifications electronically (e.g. download from a web site).\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> Distribution of Executable Versions. In addition, if You Externally Deploy Covered Code (Original Code and/or Modifications) in object code, executable form only, You must include a prominent notice, in the code itself as well as in related documentation, stating that Source Code of the Covered Code is available under the terms of this License with information on how and where to obtain such Source Code.\n\n	  <<var;name=\"bullet\";original=\"2.4\";match=\".{0,20}\">> Third Party Rights. You expressly acknowledge and agree that although Apple and each Contributor grants the licenses to their respective portions of the Covered Code set forth herein, no assurances are provided by Apple or any Contributor that the Covered Code does not infringe the patent or other intellectual property rights of any other entity. Apple and each Contributor disclaim any liability to You for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, You hereby assume sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow You to distribute the Covered Code, it is Your responsibility to acquire that license before distributing the Covered Code.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Your Grants. In consideration of, and as a condition to, the licenses granted to You under this License, You hereby grant to any person or entity receiving or distributing Covered Code under this License a non-exclusive, royalty-free, perpetual, irrevocable license, under Your Applicable Patent Rights and other intellectual property rights (other than patent) owned or controlled by You, to use, reproduce, display, perform, modify, sublicense, distribute and Externally Deploy Your Modifications of the same scope and extent as Apple's licenses under Sections 2.1 and 2.2 above.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In each such instance, You must make sure the requirements of this License are fulfilled for the Covered Code or any portion thereof.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Limitations on Patent License. Except as expressly stated in Section 2, no other patent rights, express or implied, are granted by Apple herein. Modifications and/or Larger Works may require additional patent licenses from Apple which Apple may grant in its sole discretion.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations and/or other rights consistent with the scope of the license granted herein (\"Additional Terms\") to one or more recipients of Covered Code. However, You may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Apple or any Contributor. You must obtain the recipient's agreement that any such Additional Terms are offered by You alone, and You hereby agree to indemnify, defend and hold Apple and every Contributor harmless for any liability incurred by or claims asserted against Apple or such Contributor by reason of any such Additional Terms.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Versions of the License. Apple may publish revised and/or new versions of this License from time to time. Each version will be given a distinguishing version number. Once Original Code has been published under a particular version of this License, You may continue to use it under the terms of that version. You may also choose to use such Original Code under the terms of any subsequent version of this License published by Apple. No one other than Apple has the right to modify the terms applicable to Covered Code created under this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part pre-release, untested, or not fully tested works. The Covered Code may contain errors that could cause failures or loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and agree that use of the Covered Code, or any portion thereof, is at Your sole and entire risk. THE COVERED CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF ANY KIND AND APPLE AND APPLE'S LICENSOR(S) (COLLECTIVELY REFERRED TO AS \"APPLE\" FOR THE PURPOSES OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY, OF QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. APPLE AND EACH CONTRIBUTOR DOES NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE COVERED CODE, THAT THE FUNCTIONS CONTAINED IN THE COVERED CODE WILL MEET YOUR REQUIREMENTS, THAT THE OPERATION OF THE COVERED CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE COVERED CODE WILL BE CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY APPLE, AN APPLE AUTHORIZED REPRESENTATIVE OR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You acknowledge that the Covered Code is not intended for use in the operation of nuclear facilities, aircraft navigation, communication systems, or air traffic control machines in which case the failure of the Covered Code could lead to death, personal injury, or severe physical or environmental damage.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT SHALL APPLE OR ANY CONTRIBUTOR BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE COVERED CODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF APPLE OR SUCH CONTRIBUTOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS LIMITATION MAY NOT APPLY TO YOU. In no event shall Apple's total liability to You for all damages (other than as may be required by applicable law) under this License exceed the amount of fifty dollars ($50.00).\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Trademarks. This License does not grant any rights to use the trademarks or trade names \"Apple\", \"Mac\", \"Mac OS\", \"QuickTime\", \"QuickTime Streaming Server\" or any other trademarks, service marks, logos or trade names belonging to Apple (collectively \"Apple Marks\") or to any trademark, service mark, logo or trade name belonging to any Contributor. You agree not to use any Apple Marks in or as part of the name of products derived from the Original Code or to endorse or promote products derived from the Original Code other than as expressly permitted by and in strict compliance at all times with Apple's third party trademark usage guidelines which are posted at http://www.apple.com/legal/guidelinesfor3rdparties.html.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Ownership. Subject to the licenses granted under this License, each Contributor retains all rights, title and interest in and to any Modifications made by such Contributor. Apple retains all rights, title and interest in and to the Original Code and any Modifications made by or on behalf of Apple (\"Apple Modifications\"), and such Apple Modifications will not be automatically subject to this License. Apple may, at its sole discretion, choose to license such Apple Modifications under this License, or on different terms from those contained in this License or may choose not to license them at all.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Termination.\n\n	  <<var;name=\"bullet\";original=\"12.1\";match=\".{0,20}\">> Termination. This License and the rights granted hereunder will terminate:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> automatically without notice from Apple if You fail to comply with any term(s) of this License and fail to cure such breach within 30 days of becoming aware of such breach;\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> immediately in the event of the circumstances described in Section 13.5(b); or\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> automatically without notice from Apple if You, at any time during the term of this License, commence an action for patent infringement against Apple; provided that Apple did not first commence an action for patent infringement against You in that instance.\n\n	  <<var;name=\"bullet\";original=\"12.2\";match=\".{0,20}\">> Effect of Termination. Upon termination, You agree to immediately stop any further use, reproduction, modification, sublicensing and distribution of the Covered Code. All sublicenses to the Covered Code which have been properly granted prior to termination shall survive any termination of this License. Provisions which, by their nature, should remain in effect beyond the termination of this License shall survive, including but not limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13. No party will be liable to any other for compensation, indemnity or damages of any sort solely as a result of terminating this License in accordance with its terms, and termination of this License will be without prejudice to any other right or remedy of any party.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Miscellaneous.\n\n	  <<var;name=\"bullet\";original=\"13.1\";match=\".{0,20}\">> Government End Users. The Covered Code is a \"commercial item\" as defined in FAR 2.101. Government software and technical data rights in the Covered Code include only those rights customarily provided to the public as defined in this License. This customary commercial license in technical data and software is provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation). Accordingly, all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n	  <<var;name=\"bullet\";original=\"13.2\";match=\".{0,20}\">> Relationship of Parties. This License will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between or among You, Apple or any Contributor, and You will not represent to the contrary, whether expressly, by implication, appearance or otherwise.\n\n	  <<var;name=\"bullet\";original=\"13.3\";match=\".{0,20}\">> Independent Development. Nothing in this License will impair Apple's right to acquire, license, develop, have others develop for it, market and/or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Modifications, Larger Works, technology or products that You may develop, produce, market or distribute.\n\n	  <<var;name=\"bullet\";original=\"13.4\";match=\".{0,20}\">> Waiver; Construction. Failure by Apple or any Contributor to enforce any provision of this License will not be deemed a waiver of future enforcement of that or any other provision. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter will not apply to this License.\n\n	  <<var;name=\"bullet\";original=\"13.5\";match=\".{0,20}\">> Severability. (a) If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You from fully and/or specifically complying with Sections 2 and/or 3 or prevents the enforceability of either of those Sections, this License will immediately terminate and You must immediately discontinue any use of the Covered Code and destroy all copies of it that are in your possession or control.\n\n	  <<var;name=\"bullet\";original=\"13.6\";match=\".{0,20}\">> Dispute Resolution. Any litigation or other dispute resolution between You and Apple relating to this License shall take place in the Northern District of California, and You and Apple hereby consent to the personal jurisdiction of, and venue in, the state and federal courts within that District with respect to this License. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded.\n\n	  <<var;name=\"bullet\";original=\"13.7\";match=\".{0,20}\">> Entire Agreement; Governing Law. This License constitutes the entire agreement between the parties with respect to the subject matter hereof. This License shall be governed by the laws of the United States and the State of California, except that body of California law concerning conflicts of law.\n\n	  Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby confirm that they have requested that this License and all related documents be drafted in English. Les parties ont exig\u00e9 que le pr\u00e9sent contrat et tous les documents connexes soient r\u00e9dig\u00e9s en anglais.\n\n	  <<beginOptional>>EXHIBIT A.\n\n<<beginOptional>>\"<<endOptional>>Portions Copyright (c) 1999-2007 Apple Inc. All Rights Reserved.\n\nThis file contains Original Code and/or Modifications of Original Code as defined in and that are subject to the Apple Public Source License Version 2.0 (the 'License'). You may not use this file except in compliance with the License. Please obtain a copy of the License at http://www.opensource.apple.com/apsl/ and read it before using this file.\n\nThe Original Code and all software distributed under the License are distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. Please see the License for the specific language governing rights and limitations under the License.<<beginOptional>>\"<<endOptional>>\n\n<<endOptional>>"
		self.name = "Apple Public Source License 2.0"
		self.licenseComments = "This license was released: 6 August 2003."
		self.licenseId = "APSL-2.0"
		self.standardLicenseHeader = "\"Portions Copyright (c) 1999-2007 Apple Inc. All Rights Reserved.\n\nThis file contains Original Code and/or Modifications of Original Code as defined in and that are subject to the Apple Public Source License Version 2.0 (the 'License'). You may not use this file except in compliance with the License. Please obtain a copy of the License at http://www.opensource.apple.com/apsl/ and read it before using this file.\n\nThe Original Code and all software distributed under the License are distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. Please see the License for the specific language governing rights and limitations under the License.\"\n\n"
		self.crossRef = [{"match": "False", "url": "http://www.opensource.apple.com/license/apsl/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:00Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.opensource.apple.com/license/apsl/"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>APPLE PUBLIC SOURCE LICENSE\n		<br />\n\nVersion 2.0 - August 6, 2003\n	  </p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Please read this License carefully before downloading this software. By downloading or using this\n		 software, you are agreeing to be bound by the terms of this License. If you do not or cannot agree to\n		 the terms of this License, please do not download or use the software.</p>\n\n		 <p>Apple Note: In January 2007, Apple changed its corporate name from &quot;Apple Computer, Inc.&quot; to\n		 &quot;Apple Inc.&quot; This change has been reflected below and copyright years updated, but no other\n		 changes have been made to the APSL 2.0.</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  General; Definitions. This License applies to any program or other work which Apple Inc.\n			 (&quot;Apple&quot;) makes publicly available and which contains a notice placed by Apple\n			 identifying such program or work as &quot;Original Code&quot; and stating that it is subject\n			 to the terms of this Apple Public Source License version 2.0 (&quot;License&quot;). As used in\n			 this License:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1</var>\n			  &quot;Applicable Patent Rights&quot; mean: (a) in the case where Apple is the grantor of\n				 rights, (i) claims of patents that are now or hereafter acquired, owned by or assigned to\n				 Apple and (ii) that cover subject matter contained in the Original Code, but only to the\n				 extent necessary to use, reproduce and/or distribute the Original Code without\n				 infringement; and (b) in the case where You are the grantor of rights, (i) claims of\n				 patents that are now or hereafter acquired, owned by or assigned to You and (ii) that\n				 cover subject matter in Your Modifications, taken alone or in combination with Original\n				 Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2</var>\n			  &quot;Contributor&quot; means any person or entity that creates or contributes to the\n				 creation of Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3</var>\n			  &quot;Covered Code&quot; means the Original Code, Modifications, the combination of Original\n				 Code and any Modifications, and/or any respective portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4</var>\n			  &quot;Externally Deploy&quot; means: (a) to sublicense, distribute or otherwise make Covered\n				 Code available, directly or indirectly, to anyone other than You; and/or (b) to use\n				 Covered Code, alone or as part of a Larger Work, in any way to provide a service,\n				 including but not limited to delivery of content, through electronic communication with a\n				 client other than You.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5</var>\n			  &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with\n				 code not governed by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6</var>\n			  &quot;Modifications&quot; mean any addition to, deletion from, and/or change to, the\n				 substance and/or structure of the Original Code, any previous Modifications, the\n				 combination of Original Code and any previous Modifications, and/or any respective\n				 portions thereof. When code is released as a series of files, a Modification is: (a) any\n				 addition to or deletion from the contents of a file containing Covered Code; and/or (b)\n				 any new file or other representation of computer program statements that contains any part\n				 of Covered Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7</var>\n			  &quot;Original Code&quot; means (a) the Source Code of a program or other work as originally\n				 made available by Apple under this License, including the Source Code of any updates or\n				 upgrades to such programs or works made available by Apple under this License, and that\n				 has been expressly identified by Apple as such in the header file(s) of such work; and (b)\n				 the object code compiled from such Source Code and originally made available by Apple\n				 under this License\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8</var>\n			  &quot;Source Code&quot; means the human readable form of a program or other work that is\n				 suitable for making modifications to it, including all modules it contains, plus any\n				 associated interface definition files, scripts used to control compilation and\n				 installation of an executable (object code).\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9</var>\n			  &quot;You&quot; or &quot;Your&quot; means an individual or a legal entity exercising rights\n				 under this License. For legal entities, &quot;You&quot; or &quot;Your&quot; includes any\n				 entity which controls, is controlled by, or is under common control with, You, where\n				 &quot;control&quot; means (a) the power, direct or indirect, to cause the direction or\n				 management of such entity, whether by contract or otherwise, or (b) ownership of fifty\n				 percent (50%) or more of the outstanding shares or beneficial ownership of such\n				 entity.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Permitted Uses; Conditions &amp; Restrictions. Subject to the terms and conditions of this\n			 License, Apple hereby grants You, effective on the date You accept this License and download\n			 the Original Code, a world-wide, royalty-free, non-exclusive license, to the extent of\n			 Apple&apos;s Applicable Patent Rights and copyrights covering the Original Code, to do the\n			 following:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1</var>\n			  Unmodified Code. You may use, reproduce, display, perform, internally distribute within Your\n				 organization, and Externally Deploy verbatim, unmodified copies of the Original Code, for\n				 commercial or non-commercial purposes, provided that in each instance:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  You must retain and reproduce in all copies of Original Code the copyright and other\n					 proprietary notices and disclaimers of Apple as they appear in the Original Code, and\n					 keep intact all notices in the Original Code that refer to this License; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  You must include a copy of this License with every copy of Source Code of Covered Code\n					 and documentation You distribute or Externally Deploy, and You may not offer or impose\n					 any terms on such Source Code that alter or restrict this License or the\n					 recipients&apos; rights hereunder, except as permitted under Section 6.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2</var>\n			  Modified Code. You may modify Covered Code and use, reproduce, display, perform, internally\n				 distribute within Your organization, and Externally Deploy Your Modifications and Covered\n				 Code, for commercial or non-commercial purposes, provided that in each instance You also\n				 meet all of these conditions:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  You must satisfy all the conditions of Section 2.1 with respect to the Source Code of the\n					 Covered Code;\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  You must duplicate, to the extent it does not already exist, the notice in Exhibit A in\n					 each file of the Source Code of all Your Modifications, and cause the modified files\n					 to carry prominent notices stating that You changed the files and the date of any\n					 change; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				  If You Externally Deploy Your Modifications, You must make Source Code of all Your\n					 Externally Deployed Modifications either available to those to whom You have\n					 Externally Deployed Your Modifications, or publicly available. Source Code of Your\n					 Externally Deployed Modifications must be released under the terms set forth in this\n					 License, including the license grants set forth in Section 3 below, for as long as you\n					 Externally Deploy the Covered Code or twelve (12) months from the date of initial\n					 External Deployment, whichever is longer. You should preferably distribute the Source\n					 Code of Your Externally Deployed Modifications electronically (e.g. download from a\n					 web site).\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.3</var>\n			  Distribution of Executable Versions. In addition, if You Externally Deploy Covered Code\n				 (Original Code and/or Modifications) in object code, executable form only, You must\n				 include a prominent notice, in the code itself as well as in related documentation,\n				 stating that Source Code of the Covered Code is available under the terms of this License\n				 with information on how and where to obtain such Source Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.4</var>\n			  Third Party Rights. You expressly acknowledge and agree that although Apple and each\n				 Contributor grants the licenses to their respective portions of the Covered Code set forth\n				 herein, no assurances are provided by Apple or any Contributor that the Covered Code does\n				 not infringe the patent or other intellectual property rights of any other entity. Apple\n				 and each Contributor disclaim any liability to You for claims brought by any other entity\n				 based on infringement of intellectual property rights or otherwise. As a condition to\n				 exercising the rights and licenses granted hereunder, You hereby assume sole\n				 responsibility to secure any other intellectual property rights needed, if any. For\n				 example, if a third party patent license is required to allow You to distribute the\n				 Covered Code, it is Your responsibility to acquire that license before distributing the\n				 Covered Code.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Your Grants. In consideration of, and as a condition to, the licenses granted to You under this\n			 License, You hereby grant to any person or entity receiving or distributing Covered Code under\n			 this License a non-exclusive, royalty-free, perpetual, irrevocable license, under Your\n			 Applicable Patent Rights and other intellectual property rights (other than patent) owned or\n			 controlled by You, to use, reproduce, display, perform, modify, sublicense, distribute and\n			 Externally Deploy Your Modifications of the same scope and extent as Apple&apos;s licenses\n			 under Sections 2.1 and 2.2 above.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Larger Works. You may create a Larger Work by combining Covered Code with other code not governed\n			 by the terms of this License and distribute the Larger Work as a single product. In each such\n			 instance, You must make sure the requirements of this License are fulfilled for the Covered\n			 Code or any portion thereof.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Limitations on Patent License. Except as expressly stated in Section 2, no other patent rights,\n			 express or implied, are granted by Apple herein. Modifications and/or Larger Works may require\n			 additional patent licenses from Apple which Apple may grant in its sole discretion.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Additional Terms. You may choose to offer, and to charge a fee for, warranty, support, indemnity\n			 or liability obligations and/or other rights consistent with the scope of the license granted\n			 herein (&quot;Additional Terms&quot;) to one or more recipients of Covered Code. However, You\n			 may do so only on Your own behalf and as Your sole responsibility, and not on behalf of Apple\n			 or any Contributor. You must obtain the recipient&apos;s agreement that any such Additional\n			 Terms are offered by You alone, and You hereby agree to indemnify, defend and hold Apple and\n			 every Contributor harmless for any liability incurred by or claims asserted against Apple or\n			 such Contributor by reason of any such Additional Terms.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Versions of the License. Apple may publish revised and/or new versions of this License from time\n			 to time. Each version will be given a distinguishing version number. Once Original Code has\n			 been published under a particular version of this License, You may continue to use it under\n			 the terms of that version. You may also choose to use such Original Code under the terms of\n			 any subsequent version of this License published by Apple. No one other than Apple has the\n			 right to modify the terms applicable to Covered Code created under this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part pre-release, untested,\n			 or not fully tested works. The Covered Code may contain errors that could cause failures or\n			 loss of data, and may be incomplete or contain inaccuracies. You expressly acknowledge and\n			 agree that use of the Covered Code, or any portion thereof, is at Your sole and entire risk.\n			 THE COVERED CODE IS PROVIDED &quot;AS IS&quot; AND WITHOUT WARRANTY, UPGRADES OR SUPPORT OF\n			 ANY KIND AND APPLE AND APPLE&apos;S LICENSOR(S) (COLLECTIVELY REFERRED TO AS &quot;APPLE&quot;\n			 FOR THE PURPOSES OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY DISCLAIM ALL WARRANTIES\n			 AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\n			 AND/OR CONDITIONS OF MERCHANTABILITY, OF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR\n			 PURPOSE, OF ACCURACY, OF QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. APPLE AND\n			 EACH CONTRIBUTOR DOES NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE COVERED\n			 CODE, THAT THE FUNCTIONS CONTAINED IN THE COVERED CODE WILL MEET YOUR REQUIREMENTS, THAT THE\n			 OPERATION OF THE COVERED CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN THE\n			 COVERED CODE WILL BE CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY APPLE, AN\n			 APPLE AUTHORIZED REPRESENTATIVE OR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You acknowledge\n			 that the Covered Code is not intended for use in the operation of nuclear facilities, aircraft\n			 navigation, communication systems, or air traffic control machines in which case the failure\n			 of the Covered Code could lead to death, personal injury, or severe physical or environmental\n			 damage.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT SHALL APPLE OR ANY\n			 CONTRIBUTOR BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING\n			 OUT OF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE COVERED CODE, OR ANY\n			 PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE),\n			 PRODUCTS LIABILITY OR OTHERWISE, EVEN IF APPLE OR SUCH CONTRIBUTOR HAS BEEN ADVISED OF THE\n			 POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY\n			 REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY OF INCIDENTAL OR\n			 CONSEQUENTIAL DAMAGES, SO THIS LIMITATION MAY NOT APPLY TO YOU. In no event shall Apple&apos;s\n			 total liability to You for all damages (other than as may be required by applicable law) under\n			 this License exceed the amount of fifty dollars ($50.00).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Trademarks. This License does not grant any rights to use the trademarks or trade names\n			 &quot;Apple&quot;, &quot;Mac&quot;, &quot;Mac OS&quot;, &quot;QuickTime&quot;, &quot;QuickTime\n			 Streaming Server&quot; or any other trademarks, service marks, logos or trade names belonging\n			 to Apple (collectively &quot;Apple Marks&quot;) or to any trademark, service mark, logo or\n			 trade name belonging to any Contributor. You agree not to use any Apple Marks in or as part of\n			 the name of products derived from the Original Code or to endorse or promote products derived\n			 from the Original Code other than as expressly permitted by and in strict compliance at all\n			 times with Apple&apos;s third party trademark usage guidelines which are posted at\n			 http://www.apple.com/legal/guidelinesfor3rdparties.html.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Ownership. Subject to the licenses granted under this License, each Contributor retains all\n			 rights, title and interest in and to any Modifications made by such Contributor. Apple retains\n			 all rights, title and interest in and to the Original Code and any Modifications made by or on\n			 behalf of Apple (&quot;Apple Modifications&quot;), and such Apple Modifications will not be\n			 automatically subject to this License. Apple may, at its sole discretion, choose to license\n			 such Apple Modifications under this License, or on different terms from those contained in\n			 this License or may choose not to license them at all.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  Termination.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.1</var>\n			  Termination. This License and the rights granted hereunder will terminate:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  automatically without notice from Apple if You fail to comply with any term(s) of this\n					 License and fail to cure such breach within 30 days of becoming aware of such\n					 breach;\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  immediately in the event of the circumstances described in Section 13.5(b); or\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				  automatically without notice from Apple if You, at any time during the term of this\n					 License, commence an action for patent infringement against Apple; provided that Apple\n					 did not first commence an action for patent infringement against You in that\n					 instance.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.2</var>\n			  Effect of Termination. Upon termination, You agree to immediately stop any further use,\n				 reproduction, modification, sublicensing and distribution of the Covered Code. All\n				 sublicenses to the Covered Code which have been properly granted prior to termination\n				 shall survive any termination of this License. Provisions which, by their nature, should\n				 remain in effect beyond the termination of this License shall survive, including but not\n				 limited to Sections 3, 5, 8, 9, 10, 11, 12.2 and 13. No party will be liable to any other\n				 for compensation, indemnity or damages of any sort solely as a result of terminating this\n				 License in accordance with its terms, and termination of this License will be without\n				 prejudice to any other right or remedy of any party.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  Miscellaneous.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.1</var>\n			  Government End Users. The Covered Code is a &quot;commercial item&quot; as defined in FAR\n				 2.101. Government software and technical data rights in the Covered Code include only\n				 those rights customarily provided to the public as defined in this License. This customary\n				 commercial license in technical data and software is provided in accordance with FAR\n				 12.211 (Technical Data) and 12.212 (Computer Software) and, for Department of Defense\n				 purchases, DFAR 252.227-7015 (Technical Data -- Commercial Items) and 227.7202-3 (Rights\n				 in Commercial Computer Software or Computer Software Documentation). Accordingly, all U.S.\n				 Government End Users acquire Covered Code with only those rights set forth herein.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.2</var>\n			  Relationship of Parties. This License will not be consTrued as creating an agency,\n				 partnership, joint venture or any other form of legal association between or among You,\n				 Apple or any Contributor, and You will not represent to the contrary, whether expressly,\n				 by implication, appearance or otherwise.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.3</var>\n			  Independent Development. Nothing in this License will impair Apple&apos;s right to acquire,\n				 license, develop, have others develop for it, market and/or distribute technology or\n				 products that perform the same or similar functions as, or otherwise compete with,\n				 Modifications, Larger Works, technology or products that You may develop, produce, market\n				 or distribute.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.4</var>\n			  Waiver; Construction. Failure by Apple or any Contributor to enforce any provision of this\n				 License will not be deemed a waiver of future enforcement of that or any other provision.\n				 Any law or regulation which provides that the language of a contract shall be consTrued\n				 against the drafter will not apply to this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.5</var>\n			  Severability. (a) If for any reason a court of competent jurisdiction finds any provision of\n				 this License, or portion thereof, to be unenforceable, that provision of the License will\n				 be enforced to the maximum extent permissible so as to effect the economic benefits and\n				 intent of the parties, and the remainder of this License will continue in full force and\n				 effect. (b) Notwithstanding the foregoing, if applicable law prohibits or restricts You\n				 from fully and/or specifically complying with Sections 2 and/or 3 or prevents the\n				 enforceability of either of those Sections, this License will immediately terminate and\n				 You must immediately discontinue any use of the Covered Code and destroy all copies of it\n				 that are in your possession or control.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.6</var>\n			  Dispute Resolution. Any litigation or other dispute resolution between You and Apple relating\n				 to this License shall take place in the Northern District of California, and You and Apple\n				 hereby consent to the personal jurisdiction of, and venue in, the state and federal courts\n				 within that District with respect to this License. The application of the United Nations\n				 Convention on Contracts for the International Sale of Goods is expressly excluded.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.7</var>\n			  Entire Agreement; Governing Law. This License constitutes the entire agreement between the\n				 parties with respect to the subject matter hereof. This License shall be governed by the\n				 laws of the United States and the State of California, except that body of California law\n				 concerning conflicts of law.\n			  <p>Where You are located in the province of Quebec, Canada, the following clause applies: The parties hereby\n				 confirm that they have requested that this License and all related documents be drafted in English.\n				 Les parties ont exig\u00e9 que le pr\u00e9sent contrat et tous les documents connexes soient\n				 r\u00e9dig\u00e9s en anglais.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A.</p>\n\n		 <p><var class=\"optional-license-text\">&quot;</var>Portions Copyright (c) 1999-2007 Apple Inc. All Rights Reserved.</p>\n\n		 <p>This file contains Original Code and/or Modifications of Original Code as defined in and that are subject\n		 to the Apple Public Source License Version 2.0 (the &apos;License&apos;). You may not use this file\n		 except in compliance with the License. Please obtain a copy of the License at\n		 http://www.opensource.apple.com/apsl/ and read it before using this file.</p>\n\n		 <p>The Original Code and all software distributed under the License are distributed on an &apos;AS IS&apos;\n		 basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH\n		 WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\n		 PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. Please see the License for the specific language\n		 governing rights and limitations under the License.<var class=\"optional-license-text\">&quot;</var></p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p><var class=\"optional-license-text\">&quot;</var>Portions Copyright (c) 1999-2007 Apple Inc. All Rights Reserved.</p>\n\n		 <p>This file contains Original Code and/or Modifications of Original Code as defined in and that are subject\n		 to the Apple Public Source License Version 2.0 (the &apos;License&apos;). You may not use this file\n		 except in compliance with the License. Please obtain a copy of the License at\n		 http://www.opensource.apple.com/apsl/ and read it before using this file.</p>\n\n		 <p>The Original Code and all software distributed under the License are distributed on an &apos;AS IS&apos;\n		 basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH\n		 WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\n		 PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. Please see the License for the specific language\n		 governing rights and limitations under the License.<var class=\"optional-license-text\">&quot;</var></p>\n\n		 "
		self.python_name = "APSL20"

	def __str__(self):
		return json.dumps(self.__dict__)


class Sendmail823:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "SENDMAIL LICENSE\n\nThe following license terms and conditions apply, unless a redistribution agreement or other license is obtained from Proofpoint, Inc., 892 Ross Street, Sunnyvale, CA, 94089, USA, or by electronic mail at sendmail-license@proofpoint.com.\n\nLicense Terms:\n\nUse, Modification and Redistribution (including distribution of any modified or derived work) in source and binary forms is permitted only if each of the following conditions is met:\n\n1. Redistributions qualify as \"freeware\" or \"Open Source Software\" under one of the following terms:\n\n	 (a) Redistributions are made at no charge beyond the reasonable cost of materials and delivery.\n\n	 (b) Redistributions are accompanied by a copy of the Source Code or by an irrevocable offer to provide a copy of the Source Code for up to three years at the cost of materials and delivery. Such redistributions must allow further use, modification, and redistribution of the Source Code under substantially the same terms as this license. For the purposes of redistribution \"Source Code\" means the complete compilable and linkable source code of sendmail and associated libraries and utilities in the sendmail distribution including all modifications.\n\n2. Redistributions of Source Code must retain the copyright notices as they appear in each Source Code file, these license terms, and the disclaimer/limitation of liability set forth as paragraph 6 below.\n\n3. Redistributions in binary form must reproduce the Copyright Notice, these license terms, and the disclaimer/limitation of liability set forth as paragraph 6 below, in the documentation and/or other materials provided with the distribution. For the purposes of binary distribution the \"Copyright Notice\" refers to the following language:\n\"Copyright (c) 1998-2014 Proofpoint, Inc. All rights reserved.\"\n\n4. Neither the name of Proofpoint, Inc. nor the University of California nor names of their contributors may be used to endorse or promote products derived from this software without specific prior written permission. The name \"sendmail\" is a trademark of Proofpoint, Inc.\n\n5. All redistributions must comply with the conditions imposed by the University of California on certain embedded code, which copyright Notice and conditions for redistribution are as follows:\n\n	 (a) Copyright (c) 1988, 1993 The Regents of the University of California. All rights reserved.\n\n	 (b) Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n		  (i) Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n		  (ii) Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n		  (iii) Neither the name of the University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\n6. Disclaimer/Limitation of Liability: THIS SOFTWARE IS PROVIDED BY SENDMAIL, INC. AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SENDMAIL, INC., THE REGENTS OF THE UNIVERSITY OF CALIFORNIA OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n$Revision: 8.23 $, Last updated $Date: 2014-01-26 20:10:01 $, Document 139848.1\n"
		self.standardLicenseTemplate = "<<beginOptional>>SENDMAIL LICENSE\n\n<<endOptional>><<beginOptional>> The following license terms and conditions apply, unless a redistribution agreement or other license is obtained from Proofpoint, Inc., 892 Ross Street, Sunnyvale, CA, 94089, USA, or by electronic mail at sendmail-license@proofpoint.com.\n\nLicense Terms:\n\n<<endOptional>>\n\nUse, Modification and Redistribution (including distribution of any modified or derived work) in source and binary forms is permitted only if each of the following conditions is met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions qualify as \"freeware\" or \"Open Source Software\" under one of the following terms:\n\n   <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Redistributions are made at no charge beyond the reasonable cost of materials and delivery.\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Redistributions are accompanied by a copy of the Source Code or by an irrevocable offer to provide a copy of the Source Code for up to three years at the cost of materials and delivery. Such redistributions must allow further use, modification, and redistribution of the Source Code under substantially the same terms as this license. For the purposes of redistribution \"Source Code\" means the complete compilable and linkable source code of sendmail and associated libraries and utilities in the sendmail distribution including all modifications.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions of Source Code must retain the copyright notices as they appear in each Source Code file, these license terms, and the disclaimer/limitation of liability set forth as paragraph 6 below.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the Copyright Notice, these license terms, and the disclaimer/limitation of liability set forth as paragraph 6 below, in the documentation and/or other materials provided with the distribution. For the purposes of binary distribution the \"Copyright Notice\" refers to the following language:\n\n   \"Copyright (c) 1998-2014 Proofpoint, Inc. All rights reserved.\"\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Neither the name of Proofpoint, Inc. nor the University of California nor names of their contributors may be used to endorse or promote products derived from this software without specific prior written permission. The name \"sendmail\" is a trademark of Proofpoint, Inc.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> All redistributions must comply with the conditions imposed by the University of California on certain embedded code, which copyright Notice and conditions for redistribution are as follows:\n\n   <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Copyright (c) 1988, 1993 The Regents of the University of California. All rights reserved.\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"(i)\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"(ii)\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"(iii)\";match=\".{0,20}\">> Neither the name of the University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Disclaimer/Limitation of Liability: THIS SOFTWARE IS PROVIDED BY SENDMAIL, INC. AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SENDMAIL, INC., THE REGENTS OF THE UNIVERSITY OF CALIFORNIA OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> $Revision: 8.23 $, Last updated $Date: 2014-01-26 20:10:01 $, Document 139848.1\n\n<<endOptional>>"
		self.name = "Sendmail License 8.23"
		self.licenseId = "Sendmail-8.23"
		self.crossRef = [{"match": "N/A", "url": "https://web.archive.org/web/20181003101040/https://www.proofpoint.com/sites/default/files/sendmail-license.pdf", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:10:18Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.proofpoint.com/sites/default/files/sendmail-license.pdf", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:18Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.proofpoint.com/sites/default/files/sendmail-license.pdf", "https://web.archive.org/web/20181003101040/https://www.proofpoint.com/sites/default/files/sendmail-license.pdf"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>SENDMAIL LICENSE</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>The following license terms and conditions apply, unless a redistribution agreement or other license is\n		 obtained from Proofpoint, Inc., 892 Ross Street, Sunnyvale, CA, 94089, USA, or by\n		 electronic mail at sendmail-license@proofpoint.com.</p>\n\n		 <p>License Terms:</p>\n\n	  </div>\n\n	  <p>Use, Modification and Redistribution (including distribution of any modified or derived work) in source\n		 and binary forms is permitted only if each of the following conditions is met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions qualify as &quot;freeware&quot; or &quot;Open Source Software&quot; under one of the following terms:\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (a)</var>\n		  Redistributions are made at no charge beyond the reasonable cost of materials and delivery.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (b)</var>\n		  Redistributions are accompanied by a copy of the Source Code or by an irrevocable offer to\n			 provide a copy of the Source Code for up to three years at the cost of materials and delivery.\n			 Such redistributions must allow further use, modification, and redistribution of the Source\n			 Code under substantially the same terms as this license. For the purposes of redistribution\n			 &quot;Source Code&quot; means the complete compilable and linkable source code of sendmail and associated\n			 libraries and utilities in the sendmail distribution including all modifications.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions of Source Code must retain the copyright notices as they appear in each Source\n			 Code file, these license terms, and the disclaimer/limitation of liability set forth as\n			 paragraph 6 below.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Redistributions in binary form must reproduce the Copyright Notice, these license terms, and the\n			 disclaimer/limitation of liability set forth as paragraph 6 below, in the documentation and/or\n			 other materials provided with the distribution. For the purposes of binary distribution the\n			 &quot;Copyright Notice&quot; refers to the following language:\n			<br />\n\n   &quot;Copyright (c) 1998-2014 Proofpoint, Inc. All rights reserved.&quot;\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Neither the name of Proofpoint, Inc. nor the University of California nor names of their\n			 contributors may be used to endorse or promote products derived from this software without\n			 specific prior written permission. The name &quot;sendmail&quot; is a trademark of Proofpoint, Inc.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  All redistributions must comply with the conditions imposed by the University of California on\n			 certain embedded code, which copyright Notice and conditions for redistribution are as\n			 follows:\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (a)</var>\n		  Copyright (c) 1988, 1993 The Regents of the University of California. All rights reserved.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (b)</var>\n		  Redistribution and use in source and binary forms, with or without modification, are permitted\n			 provided that the following conditions are met:\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (i)</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (ii)</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (iii)</var>\n		  Neither the name of the University nor the names of its contributors may be used to endorse or\n			 promote products derived from this software without specific prior written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Disclaimer/Limitation of Liability: THIS SOFTWARE IS PROVIDED BY SENDMAIL, INC. AND CONTRIBUTORS\n			 &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\n			 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT\n			 SHALL SENDMAIL, INC., THE REGENTS OF THE UNIVERSITY OF CALIFORNIA OR CONTRIBUTORS BE LIABLE\n			 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\n			 BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR\n			 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n			 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT\n			 OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>$Revision: 8.23 $, Last updated $Date: 2014-01-26 20:10:01 $, Document 139848.1</p>\n\n	  </div>\n	"
		self.python_name = "Sendmail823"

	def __str__(self):
		return json.dumps(self.__dict__)


class LGPL30only:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU LESSER GENERAL PUBLIC LICENSE\nVersion 3, 29 June 2007\n\nCopyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nThis version of the GNU Lesser General Public License incorporates the terms and conditions of version 3 of the GNU General Public License, supplemented by the additional permissions listed below.\n\n0. Additional Definitions.\n\nAs used herein, \"this License\" refers to version 3 of the GNU Lesser General Public License, and the \"GNU GPL\" refers to version 3 of the GNU General Public License.\n\n\"The Library\" refers to a covered work governed by this License, other than an Application or a Combined Work as defined below.\n\nAn \"Application\" is any work that makes use of an interface provided by the Library, but which is not otherwise based on the Library. Defining a subclass of a class defined by the Library is deemed a mode of using an interface provided by the Library.\n\nA \"Combined Work\" is a work produced by combining or linking an Application with the Library.  The particular version of the Library with which the Combined Work was made is also called the \"Linked Version\".\n\nThe \"Minimal Corresponding Source\" for a Combined Work means the Corresponding Source for the Combined Work, excluding any source code for portions of the Combined Work that, considered in isolation, are based on the Application, and not on the Linked Version.\n\nThe \"Corresponding Application Code\" for a Combined Work means the object code and/or source code for the Application, including any data and utility programs needed for reproducing the Combined Work from the Application, but excluding the System Libraries of the Combined Work.\n\n1. Exception to Section 3 of the GNU GPL.\nYou may convey a covered work under sections 3 and 4 of this License without being bound by section 3 of the GNU GPL.\n\n2. Conveying Modified Versions.\nIf you modify a copy of the Library, and, in your modifications, a facility refers to a function or data to be supplied by an Application that uses the facility (other than as an argument passed when the facility is invoked), then you may convey a copy of the modified version:\n\n	 a) under this License, provided that you make a good faith effort to ensure that, in the event an Application does not supply the function or data, the facility still operates, and performs whatever part of its purpose remains meaningful, or\n\n	 b) under the GNU GPL, with none of the additional permissions of this License applicable to that copy.\n\n3. Object Code Incorporating Material from Library Header Files.\nThe object code form of an Application may incorporate material from a header file that is part of the Library.  You may convey such object code under terms of your choice, provided that, if the incorporated material is not limited to numerical parameters, data structure layouts and accessors, or small macros, inline functions and templates (ten or fewer lines in length), you do both of the following:\n\n	 a) Give prominent notice with each copy of the object code that the Library is used in it and that the Library and its use are covered by this License.\n\n	 b) Accompany the object code with a copy of the GNU GPL and this license document.\n\n4. Combined Works.\nYou may convey a Combined Work under terms of your choice that, taken together, effectively do not restrict modification of the portions of the Library contained in the Combined Work and reverse engineering for debugging such modifications, if you also do each of the following:\n\n	 a) Give prominent notice with each copy of the Combined Work that the Library is used in it and that the Library and its use are covered by this License.\n\n	 b) Accompany the Combined Work with a copy of the GNU GPL and this license document.\n\n	 c) For a Combined Work that displays copyright notices during execution, include the copyright notice for the Library among these notices, as well as a reference directing the user to the copies of the GNU GPL and this license document.\n\n	 d) Do one of the following:\n\n		   0) Convey the Minimal Corresponding Source under the terms of this License, and the Corresponding Application Code in a form suitable for, and under terms that permit, the user to recombine or relink the Application with a modified version of the Linked Version to produce a modified Combined Work, in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.\n\n		  1) Use a suitable shared library mechanism for linking with the Library.  A suitable mechanism is one that (a) uses at run time a copy of the Library already present on the user's computer system, and (b) will operate properly with a modified version of the Library that is interface-compatible with the Linked Version.\n\n	 e) Provide Installation Information, but only if you would otherwise be required to provide such information under section 6 of the GNU GPL, and only to the extent that such information is necessary to install and execute a modified version of the Combined Work produced by recombining or relinking the Application with a modified version of the Linked Version. (If you use option 4d0, the Installation Information must accompany the Minimal Corresponding Source and Corresponding Application Code. If you use option 4d1, you must provide the Installation Information in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.)\n\n5. Combined Libraries.\nYou may place library facilities that are a work based on the Library side by side in a single library together with other library facilities that are not Applications and are not covered by this License, and convey such a combined library under terms of your choice, if you do both of the following:\n\n	 a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities, conveyed under the terms of this License.\n\n	 b) Give prominent notice with the combined library that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n6. Revised Versions of the GNU Lesser General Public License.\nThe Free Software Foundation may publish revised and/or new versions of the GNU Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Library as you received it specifies that a certain numbered version of the GNU Lesser General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that published version or of any later version published by the Free Software Foundation. If the Library as you received it does not specify a version number of the GNU Lesser General Public License, you may choose any version of the GNU Lesser General Public License ever published by the Free Software Foundation.\n\nIf the Library as you received it specifies that a proxy can decide whether future versions of the GNU Lesser General Public License shall\napply, that proxy's public statement of acceptance of any version is permanent authorization for you to choose that version for the Library.\n\nGNU GENERAL PUBLIC LICENSE\nVersion 3, 29 June 2007\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n0. Definitions.\n\n\u201cThis License\u201d refers to version 3 of the GNU General Public License.\n\n\u201cCopyright\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n\u201cThe Program\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \u201cyou\u201d. \u201cLicensees\u201d and \u201crecipients\u201d may be individuals or organizations.\n\nTo \u201cmodify\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \u201cmodified version\u201d of the earlier work or a work \u201cbased on\u201d the earlier work.\n\nA \u201ccovered work\u201d means either the unmodified Program or a work based on the Program.\n\nTo \u201cpropagate\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\nTo \u201cconvey\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\nAn interactive user interface displays \u201cAppropriate Legal Notices\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n1. Source Code.\nThe \u201csource code\u201d for a work means the preferred form of the work for making modifications to it. \u201cObject code\u201d means any non-source form of a work.\n\nA \u201cStandard Interface\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\nThe \u201cSystem Libraries\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \u201cMajor Component\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\nThe \u201cCorresponding Source\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\nThe Corresponding Source for a work in source code form is that same work.\n\n2. Basic Permissions.\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n4. Conveying Verbatim Copies.\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n5. Conveying Modified Source Versions.\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	 a) The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	 b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \u201ckeep intact all notices\u201d.\n\n	 c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	 d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \u201caggregate\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n6. Conveying Non-Source Forms.\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	 a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	 b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	 c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	 d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	 e) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\nA \u201cUser Product\u201d is either (1) a \u201cconsumer product\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \u201cnormally used\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n\u201cInstallation Information\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n7. Additional Terms.\n\u201cAdditional permissions\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	 a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	 b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	 c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	 d) Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	 e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	 f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\nAll other non-permissive additional terms are considered \u201cfurther restrictions\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n8. Termination.\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n9. Acceptance Not Required for Having Copies.\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n10. Automatic Licensing of Downstream Recipients.\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\nAn \u201centity transaction\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n11. Patents.\nA \u201ccontributor\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \u201ccontributor version\u201d.\n\nA contributor's \u201cessential patent claims\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \u201ccontrol\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\nIn the following three paragraphs, a \u201cpatent license\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \u201cgrant\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \u201cKnowingly relying\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\nA patent license is \u201cdiscriminatory\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\nNothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n12. No Surrender of Others' Freedom.\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n13. Use with the GNU Affero General Public License.\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n14. Revised Versions of this License.\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \u201cor any later version\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n15. Disclaimer of Warranty.\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \u201cAS IS\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. Limitation of Liability.\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n17. Interpretation of Sections 15 and 16.\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \u201ccopyright\u201d line and a pointer to where the full notice is found.\n\n	 <one line to give the program's name and a brief idea of what it does.>\n	 Copyright (C) <year>  <name of author>\n\n	 This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.\n\n	 You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n	 <program>  Copyright (C) <year>  <name of author>\n	 This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n	 This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \u201cabout box\u201d.\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \u201ccopyright disclaimer\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <http://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <http://www.gnu.org/philosophy/why-not-lgpl.html>.\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\n<<endOptional>>\n\nCopyright (C) 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nThis version of the GNU Lesser General Public License incorporates the terms and conditions of version 3 of the GNU General Public License, supplemented by the additional permissions listed below.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Additional Definitions.\n\n	  As used herein, \"this License\" refers to version 3 of the GNU Lesser General Public License, and the \"GNU GPL\" refers to version 3 of the GNU General Public License.\n\n	  \"The Library\" refers to a covered work governed by this License, other than an Application or a Combined Work as defined below.\n\n	  An \"Application\" is any work that makes use of an interface provided by the Library, but which is not otherwise based on the Library. Defining a subclass of a class defined by the Library is deemed a mode of using an interface provided by the Library.\n\n	  A \"Combined Work\" is a work produced by combining or linking an Application with the Library. The particular version of the Library with which the Combined Work was made is also called the \"Linked Version\".\n\n	  The \"Minimal Corresponding Source\" for a Combined Work means the Corresponding Source for the Combined Work, excluding any source code for portions of the Combined Work that, considered in isolation, are based on the Application, and not on the Linked Version.\n\n	  The \"Corresponding Application Code\" for a Combined Work means the object code and/or source code for the Application, including any data and utility programs needed for reproducing the Combined Work from the Application, but excluding the System Libraries of the Combined Work.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Exception to Section 3 of the GNU GPL.\n\n   You may convey a covered work under sections 3 and 4 of this License without being bound by section 3 of the GNU GPL.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Conveying Modified Versions.\n\n   If you modify a copy of the Library, and, in your modifications, a facility refers to a function or data to be supplied by an Application that uses the facility (other than as an argument passed when the facility is invoked), then you may convey a copy of the modified version:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> under this License, provided that you make a good faith effort to ensure that, in the event an Application does not supply the function or data, the facility still operates, and performs whatever part of its purpose remains meaningful, or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> under the GNU GPL, with none of the additional permissions of this License applicable to that copy.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Object Code Incorporating Material from Library Header Files.\n\n   The object code form of an Application may incorporate material from a header file that is part of the Library. You may convey such object code under terms of your choice, provided that, if the incorporated material is not limited to numerical parameters, data structure layouts and accessors, or small macros, inline functions and templates (ten or fewer lines in length), you do both of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Give prominent notice with each copy of the object code that the Library is used in it and that the Library and its use are covered by this License.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany the object code with a copy of the GNU GPL and this license document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Combined Works.\n\n   You may convey a Combined Work under terms of your choice that, taken together, effectively do not restrict modification of the portions of the Library contained in the Combined Work and reverse engineering for debugging such modifications, if you also do each of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Give prominent notice with each copy of the Combined Work that the Library is used in it and that the Library and its use are covered by this License.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany the Combined Work with a copy of the GNU GPL and this license document.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> For a Combined Work that displays copyright notices during execution, include the copyright notice for the Library among these notices, as well as a reference directing the user to the copies of the GNU GPL and this license document.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Do one of the following:\n\n		 <<var;name=\"bullet\";original=\"0)\";match=\".{0,20}\">> Convey the Minimal Corresponding Source under the terms of this License, and the Corresponding Application Code in a form suitable for, and under terms that permit, the user to recombine or relink the Application with a modified version of the Linked Version to produce a modified Combined Work, in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.\n\n		 <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (a) uses at run time a copy of the Library already present on the user's computer system, and (b) will operate properly with a modified version of the Library that is interface-compatible with the Linked Version.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Provide Installation Information, but only if you would otherwise be required to provide such information under section 6 of the GNU GPL, and only to the extent that such information is necessary to install and execute a modified version of the Combined Work produced by recombining or relinking the Application with a modified version of the Linked Version. (If you use option 4d0, the Installation Information must accompany the Minimal Corresponding Source and Corresponding Application Code. If you use option 4d1, you must provide the Installation Information in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.)\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Combined Libraries.\n\n   You may place library facilities that are a work based on the Library side by side in a single library together with other library facilities that are not Applications and are not covered by this License, and convey such a combined library under terms of your choice, if you do both of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities, conveyed under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Give prominent notice with the combined library that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Revised Versions of the GNU Lesser General Public License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library as you received it specifies that a certain numbered version of the GNU Lesser General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that published version or of any later version published by the Free Software Foundation. If the Library as you received it does not specify a version number of the GNU Lesser General Public License, you may choose any version of the GNU Lesser General Public License ever published by the Free Software Foundation.\n\n   If the Library as you received it specifies that a proxy can decide whether future versions of the GNU Lesser General Public License shall apply, that proxy's public statement of acceptance of any version is permanent authorization for you to choose that version for the Library.\n\n   <<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n   \"This License\" refers to version 3 of the GNU General Public License.\n\n   \"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n   \"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\n   To \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\n   A \"covered work\" means either the unmodified Program or a work based on the Program.\n\n   To \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\n   To \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\n   An interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Source Code.\n\n   The \"source code\" for a work means the preferred form of the work for making modifications to it. \"Object code\" means any non-source form of a work.\n\n   A \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\n   The \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\n   The \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\n   The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Basic Permissions.\n\n   All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\n   You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\n   Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n   No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\n   When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Conveying Verbatim Copies.\n\n   You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\n   You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Conveying Modified Source Versions.\n\n   You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\n   A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Conveying Non-Source Forms.\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\n   A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\n   A \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n   \"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\n   If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\n   The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\n   Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Additional Terms.\n\n   \"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\n   When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\n   Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	  <<var;name=\"bullet\";original=\"f)\";match=\".{0,20}\">> Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\n   All other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\n   If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\n   Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination.\n\n   You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Acceptance Not Required for Having Copies.\n\n   You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Automatic Licensing of Downstream Recipients.\n\n   Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\n   An \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\n   You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Patents.\n\n   A \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \"contributor version\".\n\n   A contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\n   Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\n   In the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\n   If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\n   If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\n   A patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\n   Nothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> No Surrender of Others' Freedom.\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Use with the GNU Affero General Public License.\n\n   Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Revised Versions of this License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\n   If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\n   Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> Limitation of Liability.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"17.\";match=\".{0,20}\">> Interpretation of Sections 15 and 16.\n\n   If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\n   <<beginOptional>>END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n<program> Copyright (C) <year> <name of author>\n\nThis program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n\nThis is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \"about box\".\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <https://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <https://www.gnu.org/ <<var;name=\"philicenses\";original=\"licenses\";match=\"philosophy|licenses\">> /why-not-lgpl.html>.\n\n<<endOptional>><<endOptional>>"
		self.name = "GNU Lesser General Public License v3.0 only"
		self.licenseComments = "This license was released: 29 June 2007. This refers to when only this version of the LGPL is used (as opposed to \"or later\"). The markup includes the GPL-3.0 text as optional text, because the LGPL-3.0 is structured as a supplement to the terms of GPL-3.0."
		self.licenseId = "LGPL-3.0-only"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/LGPL-3.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:11:00Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://www.gnu.org/licenses/lgpl+gpl-3.0.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:01Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.gnu.org/licenses/lgpl-3.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:01Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/lgpl-3.0-standalone.html", "https://www.gnu.org/licenses/lgpl+gpl-3.0.txt", "https://opensource.org/licenses/LGPL-3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU LESSER GENERAL PUBLIC LICENSE<br />\n\n		Version 3, 29 June 2007\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2007 Free Software Foundation, Inc.\n	  &lt;https://fsf.org/&gt;\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  This version of the GNU Lesser General Public License incorporates\n	  the terms and conditions of version 3 of the GNU General Public\n	  License, supplemented by the additional permissions listed below.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		Additional Definitions.\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<p>\n			  As used herein, &quot;this License&quot; refers to version 3 of\n			  the GNU Lesser General Public License, and the &quot;GNU GPL&quot;\n			  refers to version 3 of the GNU General Public License.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  &quot;The Library&quot; refers to a covered work governed by this License,\n			  other than an Application or a Combined Work as defined below.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  An &quot;Application&quot; is any work that makes use of an interface\n			  provided by the Library, but which is not otherwise based on the\n			  Library. Defining a subclass of a class defined by the Library\n			  is deemed a mode of using an interface provided by the Library.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  A &quot;Combined Work&quot; is a work produced by combining or\n			  linking an Application with the Library. The particular\n			  version of the Library with which the Combined\n			  Work was made is also called the &quot;Linked Version&quot;.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  The &quot;Minimal Corresponding Source&quot; for a Combined\n			  Work means the Corresponding Source for the Combined\n			  Work, excluding any source code for portions of the\n			  Combined Work that, considered in isolation, are based\n			  on the Application, and not on the Linked Version.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  The &quot;Corresponding Application Code&quot; for a Combined\n			  Work means the object code and/or source code for the\n			  Application, including any data and utility programs needed\n			  for reproducing the Combined Work from the Application,\n			  but excluding the System Libraries of the Combined Work.\n			</p>\n\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		Exception to Section 3 of the GNU GPL.<br />\n\n		You may convey a covered work under sections 3 and 4 of this\n		License without being bound by section 3 of the GNU GPL.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		Conveying Modified Versions.<br />\n\n		If you modify a copy of the Library, and, in your\n		modifications, a facility refers to a function or data\n		to be supplied by an Application that uses the facility\n		(other than as an argument passed when the facility is\n		invoked), then you may convey a copy of the modified version:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			under this License, provided that you make a good faith\n			effort to ensure that, in the event an Application does not\n			supply the function or data, the facility still operates, and\n			performs whatever part of its purpose remains meaningful, or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			under the GNU GPL, with none of the additional\n			permissions of this License applicable to that copy.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		Object Code Incorporating Material from Library Header Files.<br />\n\n		The object code form of an Application may incorporate material from\n		a header file that is part of the Library. You may convey such object\n		code under terms of your choice, provided that, if the incorporated\n		material is not limited to numerical parameters, data structure\n		layouts and accessors, or small macros, inline functions and templates\n		(ten or fewer lines in length), you do both of the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Give prominent notice with each copy of the object\n			code that the Library is used in it and that the\n			Library and its use are covered by this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Accompany the object code with a copy of\n			the GNU GPL and this license document.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		Combined Works.<br />\n\n		You may convey a Combined Work under terms of your choice that, taken\n		together, effectively do not restrict modification of the portions of\n		the Library contained in the Combined Work and reverse engineering for\n		debugging such modifications, if you also do each of the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Give prominent notice with each copy of the Combined\n			Work that the Library is used in it and that the\n			Library and its use are covered by this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Accompany the Combined Work with a copy\n			of the GNU GPL and this license document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			For a Combined Work that displays copyright notices during\n			execution, include the copyright notice for the Library\n			among these notices, as well as a reference directing the\n			user to the copies of the GNU GPL and this license document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Do one of the following:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				<var class=\"replaceable-license-text\"> 0)</var>\n				Convey the Minimal Corresponding Source under the terms\n				of this License, and the Corresponding Application Code\n				in a form suitable for, and under terms that permit,\n				the user to recombine or relink the Application with\n				a modified version of the Linked Version to produce a\n				modified Combined Work, in the manner specified by section\n				6 of the GNU GPL for conveying Corresponding Source.\n			  </li>\n			  \n<li>\n				<var class=\"replaceable-license-text\"> 1)</var>\n				Use a suitable shared library mechanism for linking\n				with the Library. A suitable mechanism is one that\n				(a) uses at run time a copy of the Library already\n				present on the user&apos;s computer system, and (b) will\n				operate properly with a modified version of the Library\n				that is interface-compatible with the Linked Version.\n			  </li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Provide Installation Information, but only if you would otherwise\n			be required to provide such information under section 6 of the GNU\n			GPL, and only to the extent that such information is necessary to\n			install and execute a modified version of the Combined Work produced\n			by recombining or relinking the Application with a modified version\n			of the Linked Version. (If you use option 4d0, the Installation\n			Information must accompany the Minimal Corresponding Source and\n			Corresponding Application Code. If you use option 4d1, you must\n			provide the Installation Information in the manner specified by\n			section 6 of the GNU GPL for conveying Corresponding Source.)\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		Combined Libraries.<br />\n\n		You may place library facilities that are a work based on\n		the Library side by side in a single library together with\n		other library facilities that are not Applications and are not\n		covered by this License, and convey such a combined library\n		under terms of your choice, if you do both of the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany the combined library with a copy of the same work\n			based on the Library, uncombined with any other library\n			facilities, conveyed under the terms of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Give prominent notice with the combined library that part\n			of it is a work based on the Library, and explaining where\n			to find the accompanying uncombined form of the same work.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Revised Versions of the GNU Lesser General Public License.\n		<p>\n		  The Free Software Foundation may publish revised and/or new versions\n		  of the GNU Lesser General Public License from time to time. Such\n		  new versions will be similar in spirit to the present version,\n		  but may differ in detail to address new problems or concerns.\n		</p>\n\n		<p>\n		  Each version is given a distinguishing version number. If the Library\n		  as you received it specifies that a certain numbered version of the\n		  GNU Lesser General Public License &quot;or any later version&quot; applies\n		  to it, you have the option of following the terms and conditions\n		  either of that published version or of any later version published\n		  by the Free Software Foundation. If the Library as you received it\n		  does not specify a version number of the GNU Lesser General Public\n		  License, you may choose any version of the GNU Lesser General\n		  Public License ever published by the Free Software Foundation.\n		</p>\n\n		<p>\n		  If the Library as you received it specifies that a proxy\n		  can decide whether future versions of the GNU Lesser\n		  General Public License shall apply, that proxy&apos;s public\n		  statement of acceptance of any version is permanent\n		  authorization for you to choose that version for the Library.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU GENERAL PUBLIC LICENSE<br />\n\n		Version 3, 29 June 2007\n	  </p>\n\n	  <p>\n		Copyright \u00a9 2007 Free Software Foundation, Inc.\n		&lt;https://fsf.org/&gt;\n	  </p>\n\n	  <p>\n		Everyone is permitted to copy and distribute verbatim copies\n		of this license document, but changing it is not allowed.\n	  </p>\n\n	  <p>\n		Preamble\n	  </p>\n\n	  <p>\n		The GNU General Public License is a free, copyleft\n		license for software and other kinds of works.\n	  </p>\n\n	  <p>\n		The licenses for most software and other practical works are designed to\n		take away your freedom to share and change the works. By contrast, the GNU\n		General Public License is intended to guarantee your freedom to share and\n		change all versions of a program--to make sure it remains free software\n		for all its users. We, the Free Software Foundation, use the GNU General\n		Public License for most of our software; it applies also to any other work\n		released this way by its authors. You can apply it to your programs, too.\n	  </p>\n\n	  <p>\n		When we speak of free software, we are referring to freedom, not\n		price. Our General Public Licenses are designed to make sure that you\n		have the freedom to distribute copies of free software (and charge\n		for them if you wish), that you receive source code or can get it\n		if you want it, that you can change the software or use pieces of\n		it in new free programs, and that you know you can do these things.\n	  </p>\n\n	  <p>\n		To protect your rights, we need to prevent others from denying you\n		these rights or asking you to surrender the rights. Therefore, you have\n		certain responsibilities if you distribute copies of the software, or\n		if you modify it: responsibilities to respect the freedom of others.\n	  </p>\n\n	  <p>\n		For example, if you distribute copies of such a program, whether gratis\n		or for a fee, you must pass on to the recipients the same freedoms that\n		you received. You must make sure that they, too, receive or can get the\n		source code. And you must show them these terms so they know their rights.\n	  </p>\n\n	  <p>\n		Developers that use the GNU GPL protect your rights with two steps:\n		(1) assert copyright on the software, and (2) offer you this License\n		giving you legal permission to copy, distribute and/or modify it.\n	  </p>\n\n	  <p>\n		For the developers&apos; and authors&apos; protection, the GPL clearly\n		explains that there is no warranty for this free software. For\n		both users&apos; and authors&apos; sake, the GPL requires that modified\n		versions be marked as changed, so that their problems will\n		not be attributed erroneously to authors of previous versions.\n	  </p>\n\n	  <p>\n		Some devices are designed to deny users access to install or run modified\n		versions of the software inside them, although the manufacturer can\n		do so. This is fundamentally incompatible with the aim of protecting\n		users&apos; freedom to change the software. The systematic pattern of\n		such abuse occurs in the area of products for individuals to use,\n		which is precisely where it is most unacceptable. Therefore, we have\n		designed this version of the GPL to prohibit the practice for those\n		products. If such problems arise substantially in other domains,\n		we stand ready to extend this provision to those domains in future\n		versions of the GPL, as needed to protect the freedom of users.\n	  </p>\n\n	  <p>\n		Finally, every program is threatened constantly by software patents.\n		States should not allow patents to restrict development and use of\n		software on general-purpose computers, but in those that do, we wish\n		to avoid the special danger that patents applied to a free program\n		could make it effectively proprietary. To prevent this, the GPL\n		assures that patents cannot be used to render the program non-free.\n	  </p>\n\n	  <p>\n		The precise terms and conditions for copying,\n		distribution and modification follow.\n	  </p>\n\n	  <p>\n		TERMS AND CONDITIONS\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 0.</var>\n		  Definitions.\n		  <p>\n			&quot;This License&quot; refers to version 3 of the GNU General Public License.\n		  </p>\n\n		  <p>\n			&quot;Copyright&quot; also means copyright-like laws that apply\n			to other kinds of works, such as semiconductor masks.\n		  </p>\n\n		  <p>\n			&quot;The Program&quot; refers to any copyrightable work licensed under\n			this License. Each licensee is addressed as &quot;you&quot;. &quot;Licensees&quot;\n			and &quot;recipients&quot; may be individuals or organizations.\n		  </p>\n\n		  <p>\n			To &quot;modify&quot; a work means to copy from or adapt all or part of the\n			work in a fashion requiring copyright permission, other than the\n			making of an exact copy. The resulting work is called a &quot;modified\n			version&quot; of the earlier work or a work &quot;based on&quot; the earlier work.\n		  </p>\n\n		  <p>\n			A &quot;covered work&quot; means either the unmodified\n			Program or a work based on the Program.\n		  </p>\n\n		  <p>\n			To &quot;propagate&quot; a work means to do anything with it that, without\n			permission, would make you directly or secondarily liable for\n			infringement under applicable copyright law, except executing it\n			on a computer or modifying a private copy. Propagation includes\n			copying, distribution (with or without modification), making available\n			to the public, and in some countries other activities as well.\n		  </p>\n\n		  <p>\n			To &quot;convey&quot; a work means any kind of propagation\n			that enables other parties to make or receive copies.\n			Mere interaction with a user through a computer\n			network, with no transfer of a copy, is not conveying.\n		  </p>\n\n		  <p>\n			An interactive user interface displays &quot;Appropriate Legal Notices&quot;\n			to the extent that it includes a convenient and prominently visible\n			feature that (1) displays an appropriate copyright notice, and (2)\n			tells the user that there is no warranty for the work (except to\n			the extent that warranties are provided), that licensees may convey\n			the work under this License, and how to view a copy of this License.\n			If the interface presents a list of user commands or options,\n			such as a menu, a prominent item in the list meets this criterion.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 1.</var>\n		  Source Code.<br />\n\n		  The &quot;source code&quot; for a work means the preferred\n		  form of the work for making modifications to it.\n		  &quot;Object code&quot; means any non-source form of a work.\n		  <p>\n			A &quot;Standard Interface&quot; means an interface that either is an official\n			standard defined by a recognized standards body, or, in the case\n			of interfaces specified for a particular programming language,\n			one that is widely used among developers working in that language.\n		  </p>\n\n		  <p>\n			The &quot;System Libraries&quot; of an executable work include anything, other\n			than the work as a whole, that (a) is included in the normal form\n			of packaging a Major Component, but which is not part of that Major\n			Component, and (b) serves only to enable use of the work with that\n			Major Component, or to implement a Standard Interface for which an\n			implementation is available to the public in source code form. A\n			&quot;Major Component&quot;, in this context, means a major essential component\n			(kernel, window system, and so on) of the specific operating system\n			(if any) on which the executable work runs, or a compiler used to\n			produce the work, or an object code interpreter used to run it.\n		  </p>\n\n		  <p>\n			The &quot;Corresponding Source&quot; for a work in object code form means all\n			the source code needed to generate, install, and (for an executable\n			work) run the object code and to modify the work, including scripts\n			to control those activities. However, it does not include the work&apos;s\n			System Libraries, or general-purpose tools or generally available\n			free programs which are used unmodified in performing those activities\n			but which are not part of the work. For example, Corresponding\n			Source includes interface definition files associated with source\n			files for the work, and the source code for shared libraries\n			and dynamically linked subprograms that the work is specifically\n			designed to require, such as by intimate data communication or\n			control flow between those subprograms and other parts of the work.\n		  </p>\n\n		  <p>\n			The Corresponding Source need not include anything that users can\n			regenerate automatically from other parts of the Corresponding Source.\n		  </p>\n\n		  <p>\n			The Corresponding Source for a work\n			in source code form is that same work.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 2.</var>\n		  Basic Permissions.<br />\n\n		  All rights granted under this License are granted for the term of\n		  copyright on the Program, and are irrevocable provided the stated\n		  conditions are met. This License explicitly affirms your unlimited\n		  permission to run the unmodified Program. The output from running a\n		  covered work is covered by this License only if the output, given its\n		  content, constitutes a covered work. This License acknowledges your\n		  rights of fair use or other equivalent, as provided by copyright law.\n		  <p>\n			You may make, run and propagate covered works that you do not convey,\n			without conditions so long as your license otherwise remains in force.\n			You may convey covered works to others for the sole purpose of having\n			them make modifications exclusively for you, or provide you with\n			facilities for running those works, provided that you comply with\n			the terms of this License in conveying all material for which you do\n			not control copyright. Those thus making or running the covered works\n			for you must do so exclusively on your behalf, under your direction\n			and control, on terms that prohibit them from making any copies\n			of your copyrighted material outside their relationship with you.\n		  </p>\n\n		  <p>\n			Conveying under any other circumstances is permitted\n			solely under the conditions stated below. Sublicensing\n			is not allowed; section 10 makes it unnecessary.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 3.</var>\n		  Protecting Users&apos; Legal Rights From Anti-Circumvention Law.<br />\n\n		  No covered work shall be deemed part of an effective technological\n		  measure under any applicable law fulfilling obligations under article\n		  11 of the WIPO copyright treaty adopted on 20 December 1996, or\n		  similar laws prohibiting or restricting circumvention of such measures.\n		  <p>\n			When you convey a covered work, you waive any legal power to\n			forbid circumvention of technological measures to the extent\n			such circumvention is effected by exercising rights under this\n			License with respect to the covered work, and you disclaim any\n			intention to limit operation or modification of the work as a means\n			of enforcing, against the work&apos;s users, your or third parties&apos;\n			legal rights to forbid circumvention of technological measures.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 4.</var>\n		  Conveying Verbatim Copies.<br />\n\n		  You may convey verbatim copies of the Program&apos;s source code as\n		  you receive it, in any medium, provided that you conspicuously\n		  and appropriately publish on each copy an appropriate copyright\n		  notice; keep intact all notices stating that this License and any\n		  non-permissive terms added in accord with section 7 apply to the\n		  code; keep intact all notices of the absence of any warranty; and\n		  give all recipients a copy of this License along with the Program.\n		  <p>\n			You may charge any price or no price for each copy that you\n			convey, and you may offer support or warranty protection for a fee.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 5.</var>\n		  Conveying Modified Source Versions.<br />\n\n		  You may convey a work based on the Program, or the modifications to\n		  produce it from the Program, in the form of source code under the terms\n		  of section 4, provided that you also meet all of these conditions:\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a)</var>\n			  The work must carry prominent notices stating\n			  that you modified it, and giving a relevant date.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> b)</var>\n			  The work must carry prominent notices stating that\n			  it is released under this License and any conditions\n			  added under section 7. This requirement modifies the\n			  requirement in section 4 to &quot;keep intact all notices&quot;.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> c)</var>\n			  You must license the entire work, as a whole, under this License\n			  to anyone who comes into possession of a copy. This License\n			  will therefore apply, along with any applicable section 7\n			  additional terms, to the whole of the work, and all its parts,\n			  regardless of how they are packaged. This License gives no\n			  permission to license the work in any other way, but it does not\n			  invalidate such permission if you have separately received it.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> d)</var>\n			  If the work has interactive user interfaces, each must\n			  display Appropriate Legal Notices; however, if the Program\n			  has interactive interfaces that do not display Appropriate\n			  Legal Notices, your work need not make them do so.\n			</li>\n		  \n</ul>\n		  <p>\n			A compilation of a covered work with other separate and independent\n			works, which are not by their nature extensions of the covered\n			work, and which are not combined with it such as to form a larger\n			program, in or on a volume of a storage or distribution medium,\n			is called an &quot;aggregate&quot; if the compilation and its resulting\n			copyright are not used to limit the access or legal rights\n			of the compilation&apos;s users beyond what the individual works\n			permit. Inclusion of a covered work in an aggregate does not\n			cause this License to apply to the other parts of the aggregate.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 6.</var>\n		  Conveying Non-Source Forms.<br />\n\n		  You may convey a covered work in object code form\n		  under the terms of sections 4 and 5, provided that you\n		  also convey the machine-readable Corresponding Source\n		  under the terms of this License, in one of these ways:\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a)</var>\n			  Convey the object code in, or embodied in, a physical\n			  product (including a physical distribution medium),\n			  accompanied by the Corresponding Source fixed on a durable\n			  physical medium customarily used for software interchange.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> b)</var>\n			  Convey the object code in, or embodied in, a physical product\n			  (including a physical distribution medium), accompanied by a\n			  written offer, valid for at least three years and valid for\n			  as long as you offer spare parts or customer support for that\n			  product model, to give anyone who possesses the object code\n			  either (1) a copy of the Corresponding Source for all the software\n			  in the product that is covered by this License, on a durable\n			  physical medium customarily used for software interchange,\n			  for a price no more than your reasonable cost of physically\n			  performing this conveying of source, or (2) access to copy\n			  the Corresponding Source from a network server at no charge.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> c)</var>\n			  Convey individual copies of the object code with a\n			  copy of the written offer to provide the Corresponding\n			  Source. This alternative is allowed only occasionally\n			  and noncommercially, and only if you received the object\n			  code with such an offer, in accord with subsection 6b.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> d)</var>\n			  Convey the object code by offering access from a designated place\n			  (gratis or for a charge), and offer equivalent access to the\n			  Corresponding Source in the same way through the same place at\n			  no further charge. You need not require recipients to copy the\n			  Corresponding Source along with the object code. If the place\n			  to copy the object code is a network server, the Corresponding\n			  Source may be on a different server (operated by you or a third\n			  party) that supports equivalent copying facilities, provided you\n			  maintain clear directions next to the object code saying where\n			  to find the Corresponding Source. Regardless of what server hosts\n			  the Corresponding Source, you remain obligated to ensure that it\n			  is available for as long as needed to satisfy these requirements.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> e)</var>\n			  Convey the object code using peer-to-peer transmission,\n			  provided you inform other peers where the object code\n			  and Corresponding Source of the work are being offered\n			  to the general public at no charge under subsection 6d.\n			</li>\n		  \n</ul>\n		  <p>\n			A separable portion of the object code, whose source code is\n			excluded from the Corresponding Source as a System Library,\n			need not be included in conveying the object code work.\n		  </p>\n\n		  <p>\n			A &quot;User Product&quot; is either (1) a &quot;consumer product&quot;, which means\n			any tangible personal property which is normally used for personal,\n			family, or household purposes, or (2) anything designed or sold\n			for incorporation into a dwelling. In determining whether a product\n			is a consumer product, doubtful cases shall be resolved in favor\n			of coverage. For a particular product received by a particular\n			user, &quot;normally used&quot; refers to a typical or common use of that\n			class of product, regardless of the status of the particular\n			user or of the way in which the particular user actually uses,\n			or expects or is expected to use, the product. A product is a\n			consumer product regardless of whether the product has substantial\n			commercial, industrial or non-consumer uses, unless such uses\n			represent the only significant mode of use of the product.\n		  </p>\n\n		  <p>\n			&quot;Installation Information&quot; for a User Product means any methods,\n			procedures, authorization keys, or other information required\n			to install and execute modified versions of a covered work in\n			that User Product from a modified version of its Corresponding\n			Source. The information must suffice to ensure that the continued\n			functioning of the modified object code is in no case prevented\n			or interfered with solely because modification has been made.\n		  </p>\n\n		  <p>\n			If you convey an object code work under this section in, or with,\n			or specifically for use in, a User Product, and the conveying\n			occurs as part of a transaction in which the right of possession\n			and use of the User Product is transferred to the recipient in\n			perpetuity or for a fixed term (regardless of how the transaction\n			is characterized), the Corresponding Source conveyed under this\n			section must be accompanied by the Installation Information.\n			But this requirement does not apply if neither you nor any third\n			party retains the ability to install modified object code on the\n			User Product (for example, the work has been installed in ROM).\n		  </p>\n\n		  <p>\n			The requirement to provide Installation Information does not\n			include a requirement to continue to provide support service,\n			warranty, or updates for a work that has been modified\n			or installed by the recipient, or for the User Product in\n			which it has been modified or installed. Access to a network\n			may be denied when the modification itself materially and\n			adversely affects the operation of the network or violates\n			the rules and protocols for communication across the network.\n		  </p>\n\n		  <p>\n			Corresponding Source conveyed, and Installation Information\n			provided, in accord with this section must be in a format that\n			is publicly documented (and with an implementation available\n			to the public in source code form), and must require no\n			special password or key for unpacking, reading or copying.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 7.</var>\n		  Additional Terms.<br />\n\n		  &quot;Additional permissions&quot; are terms that supplement the terms of this\n		  License by making exceptions from one or more of its conditions.\n		  Additional permissions that are applicable to the entire Program\n		  shall be treated as though they were included in this License, to\n		  the extent that they are valid under applicable law. If additional\n		  permissions apply only to part of the Program, that part may be used\n		  separately under those permissions, but the entire Program remains\n		  governed by this License without regard to the additional permissions.\n		  <p>\n			When you convey a copy of a covered work, you may at your option\n			remove any additional permissions from that copy, or from any part\n			of it. (Additional permissions may be written to require their own\n			removal in certain cases when you modify the work.) You may place\n			additional permissions on material, added by you to a covered work,\n			for which you have or can give appropriate copyright permission.\n		  </p>\n\n		  <p>\n			Notwithstanding any other provision of this License, for material you\n			add to a covered work, you may (if authorized by the copyright holders\n			of that material) supplement the terms of this License with terms:\n		  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a)</var>\n			  Disclaiming warranty or limiting liability differently\n			  from the terms of sections 15 and 16 of this License; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> b)</var>\n			  Requiring preservation of specified reasonable legal\n			  notices or author attributions in that material or in the\n			  Appropriate Legal Notices displayed by works containing it; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> c)</var>\n			  Prohibiting misrepresentation of the origin of that material,\n			  or requiring that modified versions of such material be marked\n			  in reasonable ways as different from the original version; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> d)</var>\n			  Limiting the use for publicity purposes of names\n			  of licensors or authors of the material; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> e)</var>\n			  Declining to grant rights under trademark law for use\n			  of some trade names, trademarks, or service marks; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> f)</var>\n			  Requiring indemnification of licensors and authors of that\n			  material by anyone who conveys the material (or modified\n			  versions of it) with contractual assumptions of liability\n			  to the recipient, for any liability that these contractual\n			  assumptions directly impose on those licensors and authors.\n			</li>\n		  \n</ul>\n		  <p>\n			All other non-permissive additional terms are considered &quot;further\n			restrictions&quot; within the meaning of section 10. If the Program\n			as you received it, or any part of it, contains a notice stating\n			that it is governed by this License along with a term that is\n			a further restriction, you may remove that term. If a license\n			document contains a further restriction but permits relicensing or\n			conveying under this License, you may add to a covered work material\n			governed by the terms of that license document, provided that the\n			further restriction does not survive such relicensing or conveying.\n		  </p>\n\n		  <p>\n			If you add terms to a covered work in accord with this\n			section, you must place, in the relevant source files, a\n			statement of the additional terms that apply to those files,\n			or a notice indicating where to find the applicable terms.\n		  </p>\n\n		  <p>\n			Additional terms, permissive or non-permissive, may be\n			stated in the form of a separately written license, or stated\n			as exceptions; the above requirements apply either way.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 8.</var>\n		  Termination.<br />\n\n		  You may not propagate or modify a covered work except as\n		  expressly provided under this License. Any attempt otherwise\n		  to propagate or modify it is void, and will automatically\n		  terminate your rights under this License (including any patent\n		  licenses granted under the third paragraph of section 11).\n		  <p>\n			However, if you cease all violation of this License, then your\n			license from a particular copyright holder is reinstated (a)\n			provisionally, unless and until the copyright holder explicitly\n			and finally terminates your license, and (b) permanently, if\n			the copyright holder fails to notify you of the violation by\n			some reasonable means prior to 60 days after the cessation.\n		  </p>\n\n		  <p>\n			Moreover, your license from a particular copyright holder is\n			reinstated permanently if the copyright holder notifies you\n			of the violation by some reasonable means, this is the first\n			time you have received notice of violation of this License\n			(for any work) from that copyright holder, and you cure the\n			violation prior to 30 days after your receipt of the notice.\n		  </p>\n\n		  <p>\n			Termination of your rights under this section does not\n			terminate the licenses of parties who have received copies or\n			rights from you under this License. If your rights have been\n			terminated and not permanently reinstated, you do not qualify\n			to receive new licenses for the same material under section 10.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 9.</var>\n		  Acceptance Not Required for Having Copies.<br />\n\n		  You are not required to accept this License in order to receive or\n		  run a copy of the Program. Ancillary propagation of a covered work\n		  occurring solely as a consequence of using peer-to-peer transmission\n		  to receive a copy likewise does not require acceptance. However,\n		  nothing other than this License grants you permission to propagate\n		  or modify any covered work. These actions infringe copyright if you\n		  do not accept this License. Therefore, by modifying or propagating a\n		  covered work, you indicate your acceptance of this License to do so.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 10.</var>\n		  Automatic Licensing of Downstream Recipients.<br />\n\n		  Each time you convey a covered work, the recipient automatically\n		  receives a license from the original licensors, to run, modify and\n		  propagate that work, subject to this License. You are not responsible\n		  for enforcing compliance by third parties with this License.\n		  <p>\n			An &quot;entity transaction&quot; is a transaction transferring control of\n			an organization, or substantially all assets of one, or subdividing\n			an organization, or merging organizations. If propagation of a\n			covered work results from an entity transaction, each party to that\n			transaction who receives a copy of the work also receives whatever\n			licenses to the work the party&apos;s predecessor in interest had or could\n			give under the previous paragraph, plus a right to possession of the\n			Corresponding Source of the work from the predecessor in interest,\n			if the predecessor has it or can get it with reasonable efforts.\n		  </p>\n\n		  <p>\n			You may not impose any further restrictions on the exercise of the\n			rights granted or affirmed under this License. For example, you\n			may not impose a license fee, royalty, or other charge for exercise\n			of rights granted under this License, and you may not initiate\n			litigation (including a cross-claim or counterclaim in a lawsuit)\n			alleging that any patent claim is infringed by making, using, selling,\n			offering for sale, or importing the Program or any portion of it.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 11.</var>\n		  Patents.<br />\n\n		  A &quot;contributor&quot; is a copyright holder who authorizes use under this\n		  License of the Program or a work on which the Program is based. The\n		  work thus licensed is called the contributor&apos;s &quot;contributor version&quot;.\n		  <p>\n			A contributor&apos;s &quot;essential patent claims&quot; are all patent\n			claims owned or controlled by the contributor, whether already\n			acquired or hereafter acquired, that would be infringed by some\n			manner, permitted by this License, of making, using, or selling\n			its contributor version, but do not include claims that would\n			be infringed only as a consequence of further modification\n			of the contributor version. For purposes of this definition,\n			&quot;control&quot; includes the right to grant patent sublicenses in\n			a manner consistent with the requirements of this License.\n		  </p>\n\n		  <p>\n			Each contributor grants you a non-exclusive, worldwide, royalty-free\n			patent license under the contributor&apos;s essential patent claims,\n			to make, use, sell, offer for sale, import and otherwise run,\n			modify and propagate the contents of its contributor version.\n		  </p>\n\n		  <p>\n			In the following three paragraphs, a &quot;patent license&quot; is any\n			express agreement or commitment, however denominated, not to\n			enforce a patent (such as an express permission to practice\n			a patent or covenant not to sue for patent infringement). To\n			&quot;grant&quot; such a patent license to a party means to make such an\n			agreement or commitment not to enforce a patent against the party.\n		  </p>\n\n		  <p>\n			If you convey a covered work, knowingly relying on a patent license,\n			and the Corresponding Source of the work is not available for anyone\n			to copy, free of charge and under the terms of this License, through\n			a publicly available network server or other readily accessible\n			means, then you must either (1) cause the Corresponding Source to\n			be so available, or (2) arrange to deprive yourself of the benefit\n			of the patent license for this particular work, or (3) arrange, in\n			a manner consistent with the requirements of this License, to extend\n			the patent license to downstream recipients. &quot;Knowingly relying&quot;\n			means you have actual knowledge that, but for the patent license, your\n			conveying the covered work in a country, or your recipient&apos;s use of\n			the covered work in a country, would infringe one or more identifiable\n			patents in that country that you have reason to believe are valid.\n		  </p>\n\n		  <p>\n			If, pursuant to or in connection with a single transaction or\n			arrangement, you convey, or propagate by procuring conveyance\n			of, a covered work, and grant a patent license to some of the\n			parties receiving the covered work authorizing them to use,\n			propagate, modify or convey a specific copy of the covered work,\n			then the patent license you grant is automatically extended\n			to all recipients of the covered work and works based on it.\n		  </p>\n\n		  <p>\n			A patent license is &quot;discriminatory&quot; if it does not include within the\n			scope of its coverage, prohibits the exercise of, or is conditioned\n			on the non-exercise of one or more of the rights that are specifically\n			granted under this License. You may not convey a covered work if\n			you are a party to an arrangement with a third party that is in the\n			business of distributing software, under which you make payment to\n			the third party based on the extent of your activity of conveying\n			the work, and under which the third party grants, to any of the\n			parties who would receive the covered work from you, a discriminatory\n			patent license (a) in connection with copies of the covered work\n			conveyed by you (or copies made from those copies), or (b) primarily\n			for and in connection with specific products or compilations that\n			contain the covered work, unless you entered into that arrangement,\n			or that patent license was granted, prior to 28 March 2007.\n		  </p>\n\n		  <p>\n			Nothing in this License shall be consTrued as excluding or\n			limiting any implied license or other defenses to infringement\n			that may otherwise be available to you under applicable patent law.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 12.</var>\n		  No Surrender of Others&apos; Freedom.<br />\n\n		  If conditions are imposed on you (whether by court order, agreement\n		  or otherwise) that contradict the conditions of this License,\n		  they do not excuse you from the conditions of this License. If\n		  you cannot convey a covered work so as to satisfy simultaneously\n		  your obligations under this License and any other pertinent\n		  obligations, then as a consequence you may not convey it at all.\n		  For example, if you agree to terms that obligate you to collect\n		  a royalty for further conveying from those to whom you convey the\n		  Program, the only way you could satisfy both those terms and this\n		  License would be to refrain entirely from conveying the Program.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 13.</var>\n		  Use with the GNU Affero General Public License.<br />\n\n		  Notwithstanding any other provision of this License, you have\n		  permission to link or combine any covered work with a work licensed\n		  under version 3 of the GNU Affero General Public License into\n		  a single combined work, and to convey the resulting work. The\n		  terms of this License will continue to apply to the part which\n		  is the covered work, but the special requirements of the GNU\n		  Affero General Public License, section 13, concerning interaction\n		  through a network will apply to the combination as such.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 14.</var>\n		  Revised Versions of this License.<br />\n\n		  The Free Software Foundation may publish revised and/or new\n		  versions of the GNU General Public License from time to time. Such\n		  new versions will be similar in spirit to the present version,\n		  but may differ in detail to address new problems or concerns.\n		  <p>\n			Each version is given a distinguishing version number. If the\n			Program specifies that a certain numbered version of the GNU\n			General Public License &quot;or any later version&quot; applies to it,\n			you have the option of following the terms and conditions either\n			of that numbered version or of any later version published by\n			the Free Software Foundation. If the Program does not specify a\n			version number of the GNU General Public License, you may choose\n			any version ever published by the Free Software Foundation.\n		  </p>\n\n		  <p>\n			If the Program specifies that a proxy can decide which future\n			versions of the GNU General Public License can be used, that\n			proxy&apos;s public statement of acceptance of a version permanently\n			authorizes you to choose that version for the Program.\n		  </p>\n\n		  <p>\n			Later license versions may give you additional or\n			different permissions. However, no additional obligations\n			are imposed on any author or copyright holder as a\n			result of your choosing to follow a later version.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 15.</var>\n		  Disclaimer of Warranty.<br />\n\n		  THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY\n		  APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT\n		  HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT\n		  WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT\n		  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n		  A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\n		  OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU\n		  ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 16.</var>\n		  Limitation of Liability.<br />\n\n		  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		  WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR\n		  CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\n		  INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n		  ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING\n		  BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE\n		  OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\n		  PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		  OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 17.</var>\n		  Interpretation of Sections 15 and 16.\n	  <p>\n		If the disclaimer of warranty and limitation of liability\n		provided above cannot be given local legal effect according to\n		their terms, reviewing courts shall apply local law that most\n		closely approximates an absolute waiver of all civil liability in\n		connection with the Program, unless a warranty or assumption of\n		liability accompanies a copy of the Program in return for a fee.\n	  </p>\n\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>\n		  END OF TERMS AND CONDITIONS\n		</p>\n\n		<p>\n		  How to Apply These Terms to Your New Programs\n		</p>\n\n		<p>\n		  If you develop a new program, and you want it to be\n		  of the greatest possible use to the public, the best\n		  way to achieve this is to make it free software which\n		  everyone can redistribute and change under these terms.\n		</p>\n\n		<p>\n		  To do so, attach the following notices to the program. It is safest\n		  to attach them to the start of each source file to most effectively\n		  state the exclusion of warranty; and each file should have at least\n		  the &quot;copyright&quot; line and a pointer to where the full notice is found.\n		</p>\n\n		<p>\n		  &lt;one line to give the program&apos;s name and\n		  a brief idea of what it does.&gt;<br />\n\n		  Copyright (C) &lt;year&gt; &lt;name of author&gt;\n		</p>\n\n		<p>\n		  This program is free software: you can redistribute it and/or\n		  modify it under the terms of the GNU General Public License\n		  as published by the Free Software Foundation, either version\n		  3 of the License, or (at your option) any later version.\n		</p>\n\n		<p>\n		  This program is distributed in the hope that it will be\n		  useful, but WITHOUT ANY WARRANTY; without even the implied\n		  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		  PURPOSE. See the GNU General Public License for more details.\n		</p>\n\n		<p>\n		  You should have received a copy of the GNU General\n	Public License along with this program. If not, see\n	&lt;https://www.gnu.org/licenses/&gt;.\n		</p>\n\n		<p>\n		  Also add information on how to contact you by electronic and paper mail.\n		</p>\n\n		<p>\n		  If the program does terminal interaction, make it output a\n		  short notice like this when it starts in an interactive mode:\n		</p>\n\n		<p>\n	&lt;program&gt; Copyright (C) &lt;year&gt;\n	&lt;name of author&gt;<br />\n\n		  This program comes with ABSOLUTELY NO\n		  WARRANTY; for details type `show w&apos;.<br />\n\n		  This is free software, and you are welcome to redistribute\n		  it under certain conditions; type `show c&apos; for details.\n		</p>\n\n		<p>\n		  The hypothetical commands `show w&apos; and `show c&apos; should\n		  show the appropriate parts of the General Public License.\n		  Of course, your program&apos;s commands might be different;\n		  for a GUI interface, you would use an &quot;about box&quot;.\n		</p>\n\n		<p>\n		  You should also get your employer (if you work as a\n		  programmer) or school, if any, to sign a &quot;copyright disclaimer&quot;\n		  for the program, if necessary. For more information on\n	this, and how to apply and follow the GNU GPL, see\n	&lt;https://www.gnu.org/licenses/&gt;.\n		</p>\n\n		<p>\n		  The GNU General Public License does not permit incorporating\n		  your program into proprietary programs. If your program is a\n		  subroutine library, you may consider it more useful to permit\n		  linking proprietary applications with the library. If this\n		  is what you want to do, use the GNU Lesser General Public\n	License instead of this License. But first, please read\n	&lt;https://www.gnu.org/<var class=\"replaceable-license-text\"> licenses</var>/why-not-lgpl.html&gt;.\n		</p>\n\n	  </div>\n  \n	</div>\n	"
		self.python_name = "LGPL30only"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYSA20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-ShareAlike 2.0\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	 g. \"License Elements\" means the following high-level license attributes as selected by Licensor and indicated in the title of this License: Attribution, ShareAlike.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to create and reproduce Derivative Works;\n\n	 c. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	 d. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works.\n\n	 e. For the avoidance of doubt, where the work is a musical composition:\n\n		  i. Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work.\n\n		  ii. Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect, whether individually or via a music rights society or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	 f. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor waives the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	 b. You may distribute, publicly display, publicly perform, or publicly digitally perform a Derivative Work only under the terms of this License, a later version of this License with the same License Elements as this License, or a Creative Commons iCommons license that contains the same License Elements as this License (e.g. Attribution-ShareAlike 2.0 Japan). You must include a copy of, or the Uniform Resource Identifier for, this License or other license specified in the previous sentence with every copy or phonorecord of each Derivative Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Derivative Works that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder, and You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Derivative Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Derivative Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Derivative Work itself to be made subject to the terms of this License.\n\n	 c. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE MATERIALS, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-ShareAlike 2.0\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"License Elements\" means the following high-level license attributes as selected by Licensor and indicated in the title of this License: Attribution, ShareAlike.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and reproduce Derivative Works;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> For the avoidance of doubt, where the work is a musical composition:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect, whether individually or via a music rights society or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor waives the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform a Derivative Work only under the terms of this License, a later version of this License with the same License Elements as this License, or a Creative Commons iCommons license that contains the same License Elements as this License (e.g. Attribution-ShareAlike 2.0 Japan). You must include a copy of, or the Uniform Resource Identifier for, this License or other license specified in the previous sentence with every copy or phonorecord of each Derivative Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Derivative Works that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder, and You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Derivative Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Derivative Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Derivative Work itself to be made subject to the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE MATERIALS, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Share Alike 2.0 Generic"
		self.licenseId = "CC-BY-SA-2.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-sa/2.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:38Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-sa/2.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-ShareAlike 2.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n			   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n			   other contributions, constituting separate and independent works in themselves, are\n			   assembled into a collective whole. A work that constitutes a Collective Work will not be\n			   considered a Derivative Work (as defined below) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works, such as a translation, musical arrangement, dramatization,\n			   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n			   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n			   except that a work that constitutes a Collective Work will not be considered a Derivative\n			   Work for the purpose of this License. For the avoidance of doubt, where the Work is a\n			   musical composition or sound recording, the synchronization of the Work in timed-relation\n			   with a moving image (&quot;synching&quot;) will be considered a Derivative Work for the\n			   purpose of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n			   this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Original Author&quot; means the individual or entity who created the Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> g.</var>\n			&quot;License Elements&quot; means the following high-level license attributes as selected by\n			   Licensor and indicated in the title of this License: Attribution, ShareAlike.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to create and reproduce Derivative Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission Derivative Works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			For the avoidance of doubt, where the work is a musical composition:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to\n				 collect, whether individually or via a performance rights society (e.g. ASCAP, BMI,\n				 SESAC), royalties for the public performance or public digital performance (e.g.\n				 webcast) of the Work.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to\n				 collect, whether individually or via a music rights society or designated agent (e.g.\n				 Harry Fox Agency), royalties for any phonorecord You create from the Work (&quot;cover\n				 version&quot;) and distribute, subject to the compulsory license created by 17 USC\n				 Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a\n			   sound recording, Licensor waives the exclusive right to collect, whether individually or\n			   via a performance-rights society (e.g. SoundExchange), royalties for the public digital\n			   performance (e.g. webcast) of the Work, subject to the compulsory license created by 17\n			   USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n		  </li>\n			\n</ul>\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats. All rights not expressly\n			   granted by Licensor are hereby reserved.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n			   Work. You must keep intact all notices that refer to this License and to the disclaimer of\n			   warranties. You may not distribute, publicly display, publicly perform, or publicly\n			   digitally perform the Work with any technological measures that control access or use of\n			   the Work in a manner inconsistent with the terms of this License Agreement. The above\n			   applies to the Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Work itself to be made subject to the terms of this\n			   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n			   extent practicable, remove from the Collective Work any reference to such Licensor or the\n			   Original Author, as requested. If You create a Derivative Work, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Derivative Work any\n			   reference to such Licensor or the Original Author, as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform a\n			   Derivative Work only under the terms of this License, a later version of this License with\n			   the same License Elements as this License, or a Creative Commons iCommons license that\n			   contains the same License Elements as this License (e.g. Attribution-ShareAlike 2.0\n			   Japan). You must include a copy of, or the Uniform Resource Identifier for, this License\n			   or other license specified in the previous sentence with every copy or phonorecord of each\n			   Derivative Work You distribute, publicly display, publicly perform, or publicly digitally\n			   perform. You may not offer or impose any terms on the Derivative Works that alter or\n			   restrict the terms of this License or the recipients&apos; exercise of the rights granted\n			   hereunder, and You must keep intact all notices that refer to this License and to the\n			   disclaimer of warranties. You may not distribute, publicly display, publicly perform, or\n			   publicly digitally perform the Derivative Work with any technological measures that\n			   control access or use of the Work in a manner inconsistent with the terms of this License\n			   Agreement. The above applies to the Derivative Work as incorporated in a Collective Work,\n			   but this does not require the Collective Work apart from the Derivative Work itself to be\n			   made subject to the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n			   or any Derivative Works or Collective Works, You must keep intact all copyright notices\n			   for the Work and give the Original Author credit reasonable to the medium or means You are\n			   utilizing by conveying the name (or pseudonym if applicable) of the Original Author if\n			   supplied; the title of the Work if supplied; to the extent reasonably practicable, the\n			   Uniform Resource Identifier, if any, that Licensor specifies to be associated with the\n			   Work, unless such URI does not refer to the copyright notice or licensing information for\n			   the Work; and in the case of a Derivative Work, a credit identifying the use of the Work\n			   in the Derivative Work (e.g., &quot;French translation of the Work by Original\n			   Author,&quot; or &quot;Screenplay based on original Work by Original Author&quot;). Such\n			   credit may be implemented in any reasonable manner; provided, however, that in the case of\n			   a Derivative Work or Collective Work, at a minimum such credit will appear where any other\n			   comparable authorship credit appears and in a manner at least as prominent as such other\n			   comparable authorship credit.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO\n			 REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE MATERIALS, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n\t\t\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n\t\t\t\t\tThis License and the rights granted hereunder will terminate automatically upon any breach by\n\t\t\t\t\tYou of the terms of this License. Individuals or entities who have received Derivative\n\t\t\t\t\tWorks or Collective Works from You under this License, however, will not have their\n\t\t\t\t\tlicenses terminated provided such individuals or entities remain in full compliance with\n\t\t\t\t\tthose licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this\n\t\t\t\t\tLicense.\n\t\t\t\t</li>\n			   \n<li>\n\t\t\t\t\t<var class=\"replaceable-license-text\"> b.</var>\n\t\t\t\t\tSubject to the above terms and conditions, the license granted here is perpetual (for the\n\t\t\t\t\tduration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n\t\t\t\t\treserves the right to release the Work under different license terms or to stop\n\t\t\t\t\tdistributing the Work at any time; provided, however that any such election will not serve\n\t\t\t\t\tto withdraw this License (or any other license that has been, or is required to be,\n\t\t\t\t\tgranted under the terms of this License), and this License will continue in full force and\n\t\t\t\t\teffect unless terminated as stated above.\n\t\t\t\t</li>\n			\n</ul>\n\t\t</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n\t\t\tMiscellaneous\n		</li>\n\t	\n<li>\n\t	\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n			   Licensor offers to the recipient a license to the Work on the same terms and conditions as\n			   the license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to\n			   the recipient a license to the original Work on the same terms and conditions as the\n			   license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			\n</ul>\n\t	</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYSA20"

	def __str__(self):
		return json.dumps(self.__dict__)


class LAL12:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Licence Art Libre\n[ Copyleft Attitude ]\n\nVersion 1.2\n\nPr\u00e9ambule :\n\nAvec cette Licence Art Libre, l\u2019autorisation est donn\u00e9e de copier, de diffuser et de transformer librement les oeuvres dans le respect des droits de l\u2019auteur.\n\nLoin d\u2019ignorer les droits de l\u2019auteur, cette licence les reconna\u00eet et les prot\u00e8ge. Elle en reformule le principe en permettant au public de faire un usage cr\u00e9atif des oeuvres d\u2019art.\nAlors que l\u2019usage fait du droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique conduit \u00e0 restreindre l\u2019acc\u00e8s du public \u00e0 l\u2019oeuvre, la Licence Art Libre a pour but de le favoriser.\nL\u2019intention est d\u2019ouvrir l\u2019acc\u00e8s et d\u2019autoriser l\u2019utilisation des ressources d\u2019une oeuvre par le plus grand nombre. En avoir jouissance pour en multiplier les r\u00e9jouissances, cr\u00e9er de nouvelles conditions de cr\u00e9ation pour amplifier les possibilit\u00e9s de cr\u00e9ation. Dans le respect des auteurs avec la reconnaissance et la d\u00e9fense de leur droit moral.\n\nEn effet, avec la venue du num\u00e9rique, l\u2019invention de l\u2019internet et des logiciels libres, un nouveau mode de cr\u00e9ation et de production est apparu. Il est aussi l\u2019amplification de ce qui a \u00e9t\u00e9 exp\u00e9riment\u00e9 par nombre d\u2019artistes contemporains.\nLe savoir et la cr\u00e9ation sont des ressources qui doivent demeurer libres pour \u00eatre encore v\u00e9ritablement du savoir et de la cr\u00e9ation. C\u2019est \u00e0 dire rester une recherche fondamentale qui ne soit pas directement li\u00e9e \u00e0 une application concr\u00e8te. Cr\u00e9er c\u2019est d\u00e9couvrir l\u2019inconnu, c\u2019est inventer le r\u00e9el avant tout souci de r\u00e9alisme.\nAinsi, l\u2019objet de l\u2019art n\u2019est pas confondu avec l\u2019objet d\u2019art fini et d\u00e9fini comme tel. C\u2019est la raison essentielle de cette Licence Art Libre : promouvoir et prot\u00e9ger des pratiques artistiques lib\u00e9r\u00e9es des seules r\u00e8gles de l\u2019\u00e9conomie de march\u00e9.\n\nD\u00c9FINITIONS\n\n\u2013 L\u2019oeuvre :il s\u2019agit d\u2019une oeuvre commune qui comprend l\u2019oeuvre originelle ainsi que toutes les contributions post\u00e9rieures (les originaux cons\u00e9quents et les copies). Elle est cr\u00e9\u00e9e \u00e0 l\u2019initiative de l\u2019auteur originel qui par cette licence d\u00e9finit les conditions selon lesquelles les contributions sont faites.\n\n\u2013 L\u2019oeuvre originelle :c\u2019est-\u00e0-dire l\u2019oeuvre cr\u00e9\u00e9e par l\u2019initiateur de l\u2019oeuvre commune dont les copies vont \u00eatre modifi\u00e9es par qui le souhaite.\n\n\u2013 Les oeuvres cons\u00e9quentes :c\u2019est-\u00e0-dire les propositions des auteurs qui contribuent \u00e0 la formation de l\u2019oeuvre en faisant usage des droits de reproduction, de diffusion et de modification que leur conf\u00e8re la licence.\n\n\u2013 Original (source ou ressource de l\u2019oeuvre) :exemplaire dat\u00e9 de l\u2019oeuvre, de sa d\u00e9finition, de sa partition ou de son programme que l\u2019auteur pr\u00e9sente comme r\u00e9f\u00e9rence pour toutes actualisations, interpr\u00e9tations, copies ou reproductions ult\u00e9rieures.\n\n\u2013 Copie :toute reproduction d\u2019un original au sens de cette licence.\n\n\u2013 Auteur de l\u2019oeuvre originelle :c\u2019est la personne qui a cr\u00e9\u00e9 l\u2019oeuvre \u00e0 l\u2019origine d\u2019une arborescence de cette oeuvre modifi\u00e9e. Par cette licence, l\u2019auteur d\u00e9termine les conditions dans lesquelles ce travail se fait.\n\n\u2013 Contributeur :toute personne qui contribue \u00e0 la cr\u00e9ation de l\u2019oeuvre. Il est l\u2019auteur d\u2019une oeuvre originale r\u00e9sultant de la modification d\u2019une copie de l\u2019oeuvre originelle ou de la modification d\u2019une copie d\u2019une oeuvre cons\u00e9quente.\n\n1. OBJET\nCette licence a pour objet de d\u00e9finir les conditions selon lesquelles vous pouvez jouir librement de cette oeuvre.\n\n2. L\u2019\u00c9TENDUE DE LA JOUISSANCE\nCette oeuvre est soumise au droit d\u2019auteur, et l\u2019auteur par cette licence vous indique quelles sont vos libert\u00e9s pour la copier, la diffuser et la modifier:\n\n2.1 LA LIBERT\u00c9 DE COPIER (OU DE REPRODUCTION)\nVous avez la libert\u00e9 de copier cette oeuvre pour un usage personnel, pour vos amis, ou toute autre personne et quelque soit la technique employ\u00e9e.\n\n2.2 LA LIBERT\u00c9 DE DIFFUSER, D\u2019INTERPR\u00c9TER (OU DE REPR\u00c9SENTATION)\nVous pouvez diffuser librement les copies de ces oeuvres, modifi\u00e9es ou non, quel que soit le support, quel que soit le lieu, \u00e0 titre on\u00e9reux ou gratuit si vous respectez toutes les conditions suivantes:\n	 \u2013 joindre aux copies, cette licence \u00e0 l\u2019identique, ou indiquer pr\u00e9cis\u00e9ment o\u00f9 se trouve la licence,	  \u2013 indiquer au destinataire le nom de l\u2019auteur des originaux,	  \u2013 indiquer au destinataire o\u00f9 il pourra avoir acc\u00e8s aux originaux (originels et/ou cons\u00e9quents). L\u2019auteur de l\u2019original pourra, s\u2019il le souhaite, vous autoriser \u00e0 diffuser l\u2019original dans les m\u00eames conditions que les copies.\n\n2.3 LA LIBERT\u00c9 DE MODIFIER\nVous avez la libert\u00e9 de modifier les copies des originaux (originels et cons\u00e9quents), qui peuvent \u00eatre partielles ou non, dans le respect des conditions pr\u00e9vues \u00e0 l\u2019article 2.2 en cas de diffusion (ou repr\u00e9sentation) de la copie modifi\u00e9e. L\u2019auteur de l\u2019original pourra, s\u2019il le souhaite, vous autoriser \u00e0 modifier l\u2019original dans les m\u00eames conditions que les copies.\n\n3. L\u2019INCORPORATION DE L\u2019OEUVRE\nTous les \u00e9l\u00e9ments de cette oeuvre doivent demeurer libres, c\u2019est pourquoi il ne vous est pas permis d\u2019int\u00e9grer les originaux (originels et cons\u00e9quents) dans une autre oeuvre qui ne serait pas soumise \u00e0 cette licence.\n\n4. VOS DROITS D\u2019AUTEUR\nCette licence n\u2019a pas pour objet de nier vos droits d\u2019auteur sur votre contribution. En choisissant de contribuer \u00e0 l\u2019\u00e9volution de cette oeuvre, vous acceptez seulement d\u2019offrir aux autres les m\u00eames droits sur votre contribution que ceux qui vous ont \u00e9t\u00e9 accord\u00e9s par cette licence.\n\n5. LA DUR\u00c9E DE LA LICENCE\nCette licence prend effet d\u00e8s votre acceptation de ses dispositions. Le fait de copier, de diffuser, ou de modifier l\u2019oeuvre constitue une acception tacite. Cette licence a pour dur\u00e9e la dur\u00e9e des droits d\u2019auteur attach\u00e9s \u00e0 l\u2019oeuvre. Si vous ne respectez pas les termes de cette licence, vous perdez automatiquement les droits qu\u2019elle vous conf\u00e8re. Si le r\u00e9gime juridique auquel vous \u00eates soumis ne vous permet pas de respecter les termes de cette licence, vous ne pouvez pas vous pr\u00e9valoir des libert\u00e9s qu\u2019elle conf\u00e8re.\n\n6. LES DIFF\u00c9RENTES VERSIONS DE LA LICENCE\nCette licence pourra \u00eatre modifi\u00e9e r\u00e9guli\u00e8rement, en vue de son am\u00e9lioration, par ses auteurs (les acteurs du mouvement \u00ab\u00a0copyleft attitude\u00a0\u00bb) sous la forme de nouvelles versions num\u00e9rot\u00e9es.\nVous avez toujours le choix entre vous contenter des dispositions contenues dans la version sous laquelle la copie vous a \u00e9t\u00e9 communiqu\u00e9e ou alors, vous pr\u00e9valoir des dispositions d\u2019une des versions ult\u00e9rieures.\n\n7. LES SOUS-LICENCES\nLes sous licences ne sont pas autoris\u00e9es par la pr\u00e9sente. Toute personne qui souhaite b\u00e9n\u00e9ficier des libert\u00e9s qu\u2019elle conf\u00e8re sera li\u00e9e directement \u00e0 l\u2019auteur de l\u2019oeuvre originelle.\n\n8. LA LOI APPLICABLE AU CONTRAT\nCette licence est soumise au droit fran\u00e7ais.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Licence Art Libre\n\n[ Copyleft Attitude ]\n\nVersion 1.2\n\n<<endOptional>>\n\nPr\u00e9ambule :\n\nAvec cette Licence Art Libre, l'autorisation est donn\u00e9e de copier, de diffuser et de transformer librement les oeuvres dans le respect des droits de l'auteur.\n\nLoin d'ignorer les droits de l'auteur, cette licence les reconna\u00eet et les prot\u00e8ge. Elle en reformule le principe en permettant au public de faire un usage cr\u00e9atif des oeuvres d'art.\n\nAlors que l'usage fait du droit de la propri\u00e9t\u00e9 litt\u00e9raire et artistique conduit \u00e0 restreindre l'acc\u00e8s du public \u00e0 l'oeuvre, la Licence Art Libre a pour but de le favoriser.\n\nL'intention est d'ouvrir l'acc\u00e8s et d'autoriser l'utilisation des ressources d'une oeuvre par le plus grand nombre. En avoir jouissance pour en multiplier les r\u00e9jouissances, cr\u00e9er de nouvelles conditions de cr\u00e9ation pour amplifier les possibilit\u00e9s de cr\u00e9ation. Dans le respect des auteurs avec la reconnaissance et la d\u00e9fense de leur droit moral.\n\nEn effet, avec la venue du num\u00e9rique, l'invention de l'internet et des logiciels libres, un nouveau mode de cr\u00e9ation et de production est apparu. Il est aussi l'amplification de ce qui a \u00e9t\u00e9 exp\u00e9riment\u00e9 par nombre d'artistes contemporains.\n\nLe savoir et la cr\u00e9ation sont des ressources qui doivent demeurer libres pour \u00eatre encore v\u00e9ritablement du savoir et de la cr\u00e9ation. C'est \u00e0 dire rester une recherche fondamentale qui ne soit pas directement li\u00e9e \u00e0 une application concr\u00e8te. Cr\u00e9er c'est d\u00e9couvrir l'inconnu, c'est inventer le r\u00e9el avant tout souci de r\u00e9alisme.\n\nAinsi, l'objet de l'art n'est pas confondu avec l'objet d'art fini et d\u00e9fini comme tel.\n\nC'est la raison essentielle de cette Licence Art Libre : promouvoir et prot\u00e9ger des pratiques artistiques lib\u00e9r\u00e9es des seules r\u00e8gles de l'\u00e9conomie de march\u00e9.\n\nD\u00c9FINITIONS\n\n\u2013 L'oeuvre :\n\nil s'agit d'une oeuvre commune qui comprend l'oeuvre originelle ainsi que toutes les contributions post\u00e9rieures (les originaux cons\u00e9quents et les copies). Elle est cr\u00e9\u00e9e \u00e0 l'initiative de l'auteur originel qui par cette licence d\u00e9finit les conditions selon lesquelles les contributions sont faites.\n\n\u2013 L'oeuvre originelle :\n\nc'est-\u00e0-dire l'oeuvre cr\u00e9\u00e9e par l'initiateur de l'oeuvre commune dont les copies vont \u00eatre modifi\u00e9es par qui le souhaite.\n\n\u2013 Les oeuvres cons\u00e9quentes :\n\nc'est-\u00e0-dire les propositions des auteurs qui contribuent \u00e0 la formation de l'oeuvre en faisant usage des droits de reproduction, de diffusion et de modification que leur conf\u00e8re la licence.\n\n\u2013 Original (source ou ressource de l'oeuvre) :\n\nexemplaire dat\u00e9 de l'oeuvre, de sa d\u00e9finition, de sa partition ou de son programme que l'auteur pr\u00e9sente comme r\u00e9f\u00e9rence pour toutes actualisations, interpr\u00e9tations, copies ou reproductions ult\u00e9rieures.\n\n\u2013 Copie :\n\ntoute reproduction d'un original au sens de cette licence.\n\n\u2013 Auteur de l'oeuvre originelle :\n\nc'est la personne qui a cr\u00e9\u00e9 l'oeuvre \u00e0 l'origine d'une arborescence de cette oeuvre modifi\u00e9e. Par cette licence, l'auteur d\u00e9termine les conditions dans lesquelles ce travail se fait.\n\n\u2013 Contributeur :\n\ntoute personne qui contribue \u00e0 la cr\u00e9ation de l'oeuvre. Il est l'auteur d'une oeuvre originale r\u00e9sultant de la modification d'une copie de l'oeuvre originelle ou de la modification d'une copie d'une oeuvre cons\u00e9quente.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> OBJET\n\n   Cette licence a pour objet de d\u00e9finir les conditions selon lesquelles vous pouvez jouir librement de cette oeuvre.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> L'\u00c9TENDUE DE LA JOUISSANCE\n\n   Cette oeuvre est soumise au droit d'auteur, et l'auteur par cette licence vous indique quelles sont vos libert\u00e9s pour la copier, la diffuser et la modifier:\n\n   <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> LA LIBERT\u00c9 DE COPIER (OU DE REPRODUCTION)\n\n   Vous avez la libert\u00e9 de copier cette oeuvre pour un usage personnel, pour vos amis, ou toute autre personne et quelque soit la technique employ\u00e9e.\n\n   <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> LA LIBERT\u00c9 DE DIFFUSER, D'INTERPR\u00c9TER (OU DE REPR\u00c9SENTATION)\n\n   Vous pouvez diffuser librement les copies de ces oeuvres, modifi\u00e9es ou non, quel que soit le support, quel que soit le lieu, \u00e0 titre on\u00e9reux ou gratuit si vous respectez toutes les conditions suivantes:\n\n   \u2013 joindre aux copies, cette licence \u00e0 l'identique, ou indiquer pr\u00e9cis\u00e9ment o\u00f9 se trouve la licence,\n\n   \u2013 indiquer au destinataire le nom de l'auteur des originaux,\n\n   \u2013 indiquer au destinataire o\u00f9 il pourra avoir acc\u00e8s aux originaux\n\n   (originels et/ou cons\u00e9quents). L'auteur de l'original pourra, s'il le souhaite, vous autoriser \u00e0 diffuser l'original dans les m\u00eames conditions que les copies.\n\n   <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> LA LIBERT\u00c9 DE MODIFIER\n\n   Vous avez la libert\u00e9 de modifier les copies des originaux (originels et cons\u00e9quents), qui peuvent \u00eatre partielles ou non, dans le respect des conditions pr\u00e9vues \u00e0 l'article 2.2 en cas de diffusion (ou repr\u00e9sentation) de la copie modifi\u00e9e. L'auteur de l'original pourra, s'il le souhaite, vous autoriser \u00e0 modifier l'original dans les m\u00eames conditions que les copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> L'INCORPORATION DE L'OEUVRE\n\n   Tous les \u00e9l\u00e9ments de cette oeuvre doivent demeurer libres, c'est pourquoi il ne vous est pas permis d'int\u00e9grer les originaux (originels et cons\u00e9quents) dans une autre oeuvre qui ne serait pas soumise \u00e0 cette licence.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> VOS DROITS D'AUTEUR\n\n   Cette licence n'a pas pour objet de nier vos droits d'auteur sur votre contribution. En choisissant de contribuer \u00e0 l'\u00e9volution de cette oeuvre, vous acceptez seulement d'offrir aux autres les m\u00eames droits sur votre contribution que ceux qui vous ont \u00e9t\u00e9 accord\u00e9s par cette licence.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> LA DUR\u00c9E DE LA LICENCE\n\n   Cette licence prend effet d\u00e8s votre acceptation de ses dispositions. Le fait de copier, de diffuser, ou de modifier l'oeuvre constitue une acception tacite.\n\n   Cette licence a pour dur\u00e9e la dur\u00e9e des droits d'auteur attach\u00e9s \u00e0 l'oeuvre.\n\n   Si vous ne respectez pas les termes de cette licence, vous perdez automatiquement les droits qu'elle vous conf\u00e8re.\n\n   Si le r\u00e9gime juridique auquel vous \u00eates soumis ne vous permet pas de respecter les termes de cette licence, vous ne pouvez pas vous pr\u00e9valoir des libert\u00e9s qu'elle conf\u00e8re.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> LES DIFF\u00c9RENTES VERSIONS DE LA LICENCE\n\n   Cette licence pourra \u00eatre modifi\u00e9e r\u00e9guli\u00e8rement, en vue de son am\u00e9lioration, par ses auteurs (les acteurs du mouvement \u00ab\u00a0copyleft attitude\u00a0\u00bb) sous la forme de nouvelles versions num\u00e9rot\u00e9es.\n\n   Vous avez toujours le choix entre vous contenter des dispositions contenues dans la version sous laquelle la copie vous a \u00e9t\u00e9 communiqu\u00e9e ou alors, vous pr\u00e9valoir des dispositions d'une des versions ult\u00e9rieures.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> LES SOUS-LICENCES\n\n   Les sous licences ne sont pas autoris\u00e9es par la pr\u00e9sente. Toute personne qui souhaite b\u00e9n\u00e9ficier des libert\u00e9s qu'elle conf\u00e8re sera li\u00e9e directement \u00e0 l'auteur de l'oeuvre originelle.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> LA LOI APPLICABLE AU CONTRAT\n\nCette licence est soumise au droit fran\u00e7ais.\n\n"
		self.name = "Licence Art Libre 1.2"
		self.licenseComments = "French is the canonical language for this license. Translations are available in: English: http://artlibre.org/licence/lal/licence-art-libre-12/ Italian: http://artlibre.org/licence/lal/it/ Spanish: http://artlibre.org/licence/lal/es/"
		self.licenseId = "LAL-1.2"
		self.crossRef = [{"match": "False", "url": "http://artlibre.org/licence/lal/licence-art-libre-12/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:08Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://artlibre.org/licence/lal/licence-art-libre-12/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Licence Art Libre\n		<br />\n\n[ Copyleft Attitude ]\n	  </p>\n\n		 <p>Version 1.2</p>\n\n	  </div>\n		 <p>Pr\u00e9ambule :</p>\n\n	  <p>Avec cette Licence Art Libre, l&apos;autorisation est donn\u00e9e de\n		 copier, de diffuser et de transformer librement les oeuvres\n		 dans le respect des droits de l&apos;auteur.</p>\n\n	  <p>Loin d&apos;ignorer les droits de l&apos;auteur, cette licence les\n		 reconna\u00eet et les prot\u00e8ge. Elle en reformule le principe en\n		 permettant au public de faire un usage cr\u00e9atif des oeuvres\n		 d&apos;art.\n		<br />\n\nAlors que l&apos;usage fait du droit de la propri\u00e9t\u00e9 litt\u00e9raire\n			 et artistique conduit \u00e0 restreindre l&apos;acc\u00e8s du public\n			 \u00e0 l&apos;oeuvre, la Licence Art Libre a pour but de le\n			 favoriser.\n		<br />\n\nL&apos;intention est d&apos;ouvrir l&apos;acc\u00e8s et d&apos;autoriser\n			 l&apos;utilisation des ressources d&apos;une oeuvre par le plus\n			 grand nombre. En avoir jouissance pour en multiplier\n			 les r\u00e9jouissances, cr\u00e9er de nouvelles conditions de\n			 cr\u00e9ation pour amplifier les possibilit\u00e9s de cr\u00e9ation.\n			 Dans le respect des auteurs avec la reconnaissance et\n			 la d\u00e9fense de leur droit moral.\n	  </p>\n\n	  <p>En effet, avec la venue du num\u00e9rique, l&apos;invention de l&apos;internet\n		 et des logiciels libres, un nouveau mode de cr\u00e9ation et de\n		 production est apparu. Il est aussi l&apos;amplification de ce qui\n		 a \u00e9t\u00e9 exp\u00e9riment\u00e9 par nombre d&apos;artistes contemporains.\n		<br />\n\nLe savoir et la cr\u00e9ation sont des ressources qui doivent\n			 demeurer libres pour \u00eatre encore v\u00e9ritablement du\n			 savoir et de la cr\u00e9ation. C&apos;est \u00e0 dire rester une\n			 recherche fondamentale qui ne soit pas directement\n			 li\u00e9e \u00e0 une application concr\u00e8te. Cr\u00e9er c&apos;est d\u00e9couvrir\n			 l&apos;inconnu, c&apos;est inventer le r\u00e9el avant tout souci de\n			 r\u00e9alisme.\n		<br />\n\nAinsi, l&apos;objet de l&apos;art n&apos;est pas confondu avec l&apos;objet\n			 d&apos;art fini et d\u00e9fini comme tel.\n\t\t<br />\n\nC&apos;est la raison essentielle de cette Licence Art Libre : promouvoir et prot\u00e9ger des pratiques artistiques lib\u00e9r\u00e9es des seules r\u00e8gles de l&apos;\u00e9conomie de march\u00e9.\n	  </p>\n\n	  <p>D\u00c9FINITIONS</p>\n\n	  <p>\u2013 L&apos;oeuvre :\n\t  <br />\n\nil s&apos;agit d&apos;une oeuvre commune qui comprend l&apos;oeuvre originelle ainsi que toutes les contributions post\u00e9rieures (les originaux cons\u00e9quents et les copies). Elle est cr\u00e9\u00e9e \u00e0 l&apos;initiative de l&apos;auteur originel qui par cette licence d\u00e9finit les conditions selon lesquelles les contributions sont faites.\n\t  </p>\n\n	  <p>\u2013 L&apos;oeuvre originelle :\n\t  <br />\n\nc&apos;est-\u00e0-dire l&apos;oeuvre cr\u00e9\u00e9e par l&apos;initiateur de l&apos;oeuvre commune dont les copies vont \u00eatre modifi\u00e9es par qui le souhaite.\n\t  </p>\n\n	  <p>\u2013 Les oeuvres cons\u00e9quentes :\n\t  <br />\n\nc&apos;est-\u00e0-dire les propositions des auteurs qui contribuent \u00e0 la formation de l&apos;oeuvre en faisant usage des droits de reproduction, de diffusion et de modification que leur conf\u00e8re la licence.\n\t  </p>\n\n	  <p>\u2013 Original (source ou ressource de l&apos;oeuvre) :\n\t  <br />\n\nexemplaire dat\u00e9 de l&apos;oeuvre, de sa d\u00e9finition, de sa partition ou de son programme que l&apos;auteur pr\u00e9sente comme r\u00e9f\u00e9rence pour toutes actualisations, interpr\u00e9tations, copies ou reproductions ult\u00e9rieures.\n\t  </p>\n\n	  <p>\u2013 Copie :\n\t  <br />\n\ntoute reproduction d&apos;un original au sens de cette licence.\n\t  </p>\n\n	  <p>\u2013 Auteur de l&apos;oeuvre originelle :\n\t  <br />\n\nc&apos;est la personne qui a cr\u00e9\u00e9 l&apos;oeuvre \u00e0 l&apos;origine d&apos;une arborescence de cette oeuvre modifi\u00e9e. Par cette licence, l&apos;auteur d\u00e9termine les conditions dans lesquelles ce travail se fait.\n\t  </p>\n\n	  <p>\u2013 Contributeur :\n\t  <br />\n\ntoute personne qui contribue \u00e0 la cr\u00e9ation de l&apos;oeuvre. Il est l&apos;auteur d&apos;une oeuvre originale r\u00e9sultant de la modification d&apos;une copie de l&apos;oeuvre originelle ou de la modification d&apos;une copie d&apos;une oeuvre cons\u00e9quente.\n\t  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  OBJET\n			<br />\n\n   Cette licence a pour objet de d\u00e9finir les\n				 conditions selon lesquelles vous pouvez jouir\n				 librement de cette oeuvre.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  L&apos;\u00c9TENDUE DE LA JOUISSANCE\n			<br />\n\n   Cette oeuvre est soumise au droit d&apos;auteur, et\n				 l&apos;auteur par cette licence vous indique quelles sont vos libert\u00e9s pour la copier, la diffuser et la modifier:\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.1</var>\n		  LA LIBERT\u00c9 DE COPIER (OU DE REPRODUCTION)\n			<br />\n\n   Vous avez la libert\u00e9 de copier cette oeuvre pour un\n				 usage personnel, pour vos amis, ou toute autre\n				 personne et quelque soit la technique\n				 employ\u00e9e.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.2</var>\n		  LA LIBERT\u00c9 DE DIFFUSER, D&apos;INTERPR\u00c9TER (OU DE REPR\u00c9SENTATION)\n			<br />\n\n   Vous pouvez diffuser librement les copies de ces\n				 oeuvres, modifi\u00e9es ou non, quel que soit le support, quel que soit le lieu, \u00e0 titre on\u00e9reux ou gratuit si vous respectez toutes les conditions suivantes:\n			<br />\n\n   \u2013 joindre aux copies, cette licence \u00e0 l&apos;identique,\n				 ou indiquer pr\u00e9cis\u00e9ment o\u00f9 se trouve la licence,\n\t\t\t<br />\n\n   \u2013 indiquer au destinataire le nom de l&apos;auteur des originaux,\n\t\t\t<br />\n\n   \u2013 indiquer au destinataire o\u00f9 il pourra avoir acc\u00e8s aux originaux\n\t\t\t<br />\n\n   (originels et/ou cons\u00e9quents).\n\t\t\tL&apos;auteur de l&apos;original pourra, s&apos;il le souhaite, vous autoriser \u00e0 diffuser l&apos;original dans les m\u00eames conditions que les copies.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.3</var>\n		  LA LIBERT\u00c9 DE MODIFIER\n			<br />\n\n   Vous avez la libert\u00e9 de modifier les copies des\n				 originaux (originels et cons\u00e9quents), qui peuvent \u00eatre partielles ou non, dans le respect des conditions pr\u00e9vues \u00e0 l&apos;article 2.2 en cas de diffusion (ou repr\u00e9sentation) de la copie modifi\u00e9e. L&apos;auteur de l&apos;original pourra, s&apos;il le souhaite, vous autoriser \u00e0 modifier l&apos;original dans les m\u00eames conditions que les copies.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  L&apos;INCORPORATION DE L&apos;OEUVRE\n			<br />\n\n   Tous les \u00e9l\u00e9ments de cette oeuvre doivent demeurer\n				 libres, c&apos;est pourquoi il ne vous est pas\n				 permis d&apos;int\u00e9grer les originaux (originels et\n				 cons\u00e9quents) dans une autre oeuvre qui ne\n				 serait pas soumise \u00e0 cette licence.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  VOS DROITS D&apos;AUTEUR\n			<br />\n\n   Cette licence n&apos;a pas pour objet de nier vos droits\n				 d&apos;auteur sur votre contribution. En\n				 choisissant de contribuer \u00e0 l&apos;\u00e9volution de\n				 cette oeuvre, vous acceptez seulement d&apos;offrir\n				 aux autres les m\u00eames droits sur votre\n				 contribution que ceux qui vous ont \u00e9t\u00e9\n				 accord\u00e9s par cette licence.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  LA DUR\u00c9E DE LA LICENCE\n			<br />\n\n   Cette licence prend effet d\u00e8s votre acceptation de\n				 ses dispositions. Le fait de copier, de\n				 diffuser, ou de modifier l&apos;oeuvre constitue\n				 une acception tacite.\n			<br />\n\n   Cette licence a pour dur\u00e9e la dur\u00e9e des droits d&apos;auteur attach\u00e9s \u00e0 l&apos;oeuvre.\n\t\t\t<br />\n\n   Si vous ne respectez pas les termes de cette licence, vous perdez automatiquement les droits qu&apos;elle vous conf\u00e8re.\n\t\t\t<br />\n\n   Si le r\u00e9gime juridique auquel vous \u00eates soumis ne vous permet pas de respecter les termes de cette licence, vous ne pouvez pas vous pr\u00e9valoir des libert\u00e9s qu&apos;elle conf\u00e8re.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  LES DIFF\u00c9RENTES VERSIONS DE LA LICENCE\n			<br />\n\n   Cette licence pourra \u00eatre modifi\u00e9e r\u00e9guli\u00e8rement,\n				 en vue de son am\u00e9lioration, par ses auteurs\n				 (les acteurs du mouvement \u00ab\u00a0copyleft\n				 attitude\u00a0\u00bb) sous la forme de nouvelles\n				 versions num\u00e9rot\u00e9es.\n			<br />\n\n   Vous avez toujours le choix entre vous contenter\n				 des dispositions contenues dans la version\n				 sous laquelle la copie vous a \u00e9t\u00e9 communiqu\u00e9e\n				 ou alors, vous pr\u00e9valoir des dispositions\n				 d&apos;une des versions ult\u00e9rieures.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  LES SOUS-LICENCES\n			<br />\n\n   Les sous licences ne sont pas autoris\u00e9es par la\n				 pr\u00e9sente. Toute personne qui souhaite\n				 b\u00e9n\u00e9ficier des libert\u00e9s qu&apos;elle conf\u00e8re sera\n				 li\u00e9e directement \u00e0 l&apos;auteur de l&apos;oeuvre\n				 originelle.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  LA LOI APPLICABLE AU CONTRAT\n		</li>\n	  \n</ul>\n	  <p>Cette licence est soumise au droit fran\u00e7ais.</p>\n\n	"
		self.python_name = "LAL12"

	def __str__(self):
		return json.dumps(self.__dict__)


class NLOD20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Norwegian Licence for Open Government Data (NLOD) 2.0\n\nPreface of licence\n\nThis licence grants you the right to copy, use and distribute information, provided you acknowledge the contributors and comply with the terms and conditions stipulated in this licence. By using information made available under this licence, you accept the terms and conditions set forth in this licence. As set out in Section 7, the licensor disclaims any and all liability for the quality of the information and what the information is used for.\n\nThis licence shall not impose any limitations on the rights or freedoms of the licensee under the Norwegian Freedom of Information Act or any other legislation granting the general public a right of access to public sector information, or that follow from exemptions or limitations stipulated in the Norwegian Copyright Act. Further, the licence shall not impose any limitations on the licensee\u2019s freedom of expression recognized by law.\n\n1. Definitions\n\n	 \u00abDatabase\u00bb shall mean a database or similar protected under Section 43 of the Norwegian Copyright Act.\n	 \u00abInformation\u00bb shall mean texts, images, recordings, data sets or other works protected under Section 1 of the Norwegian Copyright Act, or which are protected under provisions addressing what is referred to as \u00abneighbouring rights\u00bb in Chapter 5 of the Norwegian Copyright Act (including databases and photographs), and which are distributed under this licence.\n	 \u00abCopy\u00bb shall mean reproduction in any form.\n	 \u00abLicensee\u00bb and \u00abyou\u00bb shall mean natural or legal persons using information under this licence.\n	 \u00abLicensor\u00bb shall mean the natural or legal person that makes information available under this licence.\n	 \u00abDistribute\u00bb shall mean any actions whereby information is made available, including to distribute, transfer, communicate, disperse, show, perform, sell, lend and rent.\n	 \u00abUse\u00bb shall mean one or more actions relevant to copyright law requiring permission from the owner of the copyright.\n\n2. Licence\nThe licensee, subject to the limitations that follow from this licence, may use the information for any purpose and in all contexts, by:\n\n	 * copying the information and distributing the information to others,\n	 * modifying the information and/or combining the information with other information, and\n	 * copying and distributing such changed or combined information.\n\nThis is a non-exclusive, free, perpetual and worldwide licence. The information may be used in any medium and format known today and/or which will become known in the future. The Licensee shall not sub-license or transfer this licence.\n\n3. Exemptions\nThe licence does not apply to and therefore does not grant a right to use:\n\n	 * information which contains personal data covered by the Norwegian Personal Data Act unless there is a legitimate basis for the disclosure and further processing of the personal data\n	 * information distributed in violation of a statutory obligation to observe confidentiality\n	 * information excluded from public disclosure pursuant to law, including information deemed sensitive under the Norwegian National Security Act\n	 * information subject to third party rights which the licensor is not authorised to license to the licensee\n	 * information protected by intellectual property rights other than copyright and neighbouring rights in accordance with Chapter 5 of the Norwegian Copyright Act, such as trademarks, patents and design rights, but this does not entail an impediment to use information where the licensor\u2019s logo has been permanently integrated into the information or to attribute the origin of the information in accordance with the article below relating to attribution.\n\nIf the licensor has made available information not covered by the licence according to the above list, the licensee must cease all use of the information under the licence, and erase the information as soon as he or she becomes aware of or should have understood that the information is not covered by the licence.\n\n4. Effects of breach of the licence\nThe licence is subject to the licensee\u2019s compliance with the terms and conditions of this licence. In the event that the licensee commits a breach of this licence, this will entail that the licensee\u2019s right to use the information will be revoked immediately without further notice. In case of such a breach, the licensee must immediately and without further notice take measures to cause the infringement to end. Because the right to use the information has been terminated, the licensee must cease all use of the information by virtue of the licence.\n\n5. Attribution\nThe licensee shall attribute the licensor as specified by the licensor and include a reference to this licence. To the extent practically possible, the licensee shall provide a link to both this licence and the source of the information.\n\nIf the licensor has not specified how attributions shall be made, the licensee shall normally state the following: \u00abContains data under the Norwegian licence for Open Government data (NLOD) distributed by [name of licensor]\u00bb.\n\nIf the licensor has specified that the information shall only be available under a specific version of this licence, cf. Section 10, the licensee shall also state this.\n\nIf the information has been changed, the licensee must clearly indicate that changes have been made by the licensee.\n\n6. Proper use\nThe licensee shall not use the information in a manner that appears misleading nor present the information in a distorted or incorrect manner.\nNeither the licensor\u2019s nor other contributors' names or trademarks must be used to support, recommend or market the licensee or any products or services using the information.\n\n7. Disclaimer of liability\nThe information is licensed \u00abas is\u00bb. The information may contain errors and omissions. The licensor provides no warranties, including relating to the content and relevance of the information.\n\nThe licensor disclaims any liability for errors and defects associated with the information to the maximum extent permitted by law.\n\nThe licensor shall not be liable for direct or indirect losses as a result of use of the information or in connection with copying or further distribution of the information.\n\n8. Guarantees regarding data quality and accessibility\nThis licence does not prevent the licensor from issuing supplementary statements regarding expected or intended data quality and accessibility. Such statements shall be regarded as indicative in nature and not binding on the part of the licensor. The disclaimers in Section 7 also apply in full for such indicative statements. Based on separate agreement, the licensor may provide guarantees and distribute the information on terms and conditions different from those set forth in this licence.\n\n9. Licence compatibility\nIf the licensee is to distribute an adapted or combined work based on information covered by this licence and some other work licensed under a licence compatible by contract, such distribution may be based on an appropriate licence compatible by contract, cf. the list below.\n\nA licence compatible by contract shall mean the following licences:\n\n	 * for all information: Open Government Licence (version 1.0, 2.0 and 3.0), Creative Commons Attribution Licence (international version 4.0 and norwegian version 4.0),\n	 * for those parts of the information which do not constitute databases: Creative Commons Attribution Licence (generic version 1.0, 2.0, 2.5 and unported version 3.0) and Creative Commons Navngivelse 3.0 Norge,\n	 * for those parts of the information which constitute databases: Open Data Commons Attribution License (version 1.0).\n	 \nThis provision does not prevent other licences from being compatible with this licence based on their content.\n\n10. New versions of the licence\nThe licensee may choose to use the information covered by this licence under any new versions of the Norwegian licence for Open Government data (NLOD) issued by the responsible ministry (currently the Ministry of Local Government and Modernisation) when these versions are final and official, unless the licensor when making the information available under this licence specifically has stated that solely version 2.0 of this licence may be used.\n\n11. Governing law and legal venue\nThis licence, including its formation, and any disputes and claims arising in connection with or relating to this licence, shall be regulated by Norwegian law. The legal venue shall be the licensor\u2019s ordinary legal venue. The licensor may, with regard to intellectual proprietary rights, choose to pursue a claim at other competent legal venues and/or based on the laws of the country where the intellectual property rights are sought enforced.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Norwegian Licence for Open Government Data (NLOD) 2.0\n\n<<endOptional>>\n\nPreface of licence\n\nThis licence grants you the right to copy, use and distribute information, provided you acknowledge the contributors and comply with the terms and conditions stipulated in this licence. By using information made available under this licence, you accept the terms and conditions set forth in this licence. As set out in Section 7, the licensor disclaims any and all liability for the quality of the information and what the information is used for.\n\nThis licence shall not impose any limitations on the rights or freedoms of the licensee under the Norwegian Freedom of Information Act or any other legislation granting the general public a right of access to public sector information, or that follow from exemptions or limitations stipulated in the Norwegian Copyright Act. Further, the licence shall not impose any limitations on the licensee's freedom of expression recognized by law.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n   \u00abDatabase\u00bb shall mean a database or similar protected under Section 43 of the Norwegian Copyright Act.\n\n   \u00abInformation\u00bb shall mean texts, images, recordings, data sets or other works protected under Section 1 of the Norwegian Copyright Act, or which are protected under provisions addressing what is referred to as \u00abneighbouring rights\u00bb in Chapter 5 of the Norwegian Copyright Act (including databases and photographs), and which are distributed under this licence.\n\n   \u00abCopy\u00bb shall mean reproduction in any form.\n\n   \u00abLicensee\u00bb and \u00abyou\u00bb shall mean natural or legal persons using information under this licence.\n\n   \u00abLicensor\u00bb shall mean the natural or legal person that makes information available under this licence.\n\n   \u00abDistribute\u00bb shall mean any actions whereby information is made available, including to distribute, transfer, communicate, disperse, show, perform, sell, lend and rent.\n\n   \u00abUse\u00bb shall mean one or more actions relevant to copyright law requiring permission from the owner of the copyright.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Licence\n\n   The licensee, subject to the limitations that follow from this licence, may use the information for any purpose and in all contexts, by:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> copying the information and distributing the information to others,\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> modifying the information and/or combining the information with other information, and\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> copying and distributing such changed or combined information.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> This is a non-exclusive, free, perpetual and worldwide licence. The information may be used in any medium and format known today and/or which will become known in the future. The Licensee shall not sub-license or transfer this licence.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Exemptions\n\n   The licence does not apply to and therefore does not grant a right to use:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> information which contains personal data covered by the Norwegian Personal Data Act unless there is a legitimate basis for the disclosure and further processing of the personal data\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> information distributed in violation of a statutory obligation to observe confidentiality\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> information excluded from public disclosure pursuant to law, including information deemed sensitive under the Norwegian National Security Act\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> information subject to third party rights which the licensor is not authorised to license to the licensee\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> information protected by intellectual property rights other than copyright and neighbouring rights in accordance with Chapter 5 of the Norwegian Copyright Act, such as trademarks, patents and design rights, but this does not entail an impediment to use information where the licensor's logo has been permanently integrated into the information or to attribute the origin of the information in accordance with the article below relating to attribution.\n\n   If the licensor has made available information not covered by the licence according to the above list, the licensee must cease all use of the information under the licence, and erase the information as soon as he or she becomes aware of or should have understood that the information is not covered by the licence.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Effects of breach of the licence\n\n   The licence is subject to the licensee's compliance with the terms and conditions of this licence. In the event that the licensee commits a breach of this licence, this will entail that the licensee's right to use the information will be revoked immediately without further notice. In case of such a breach, the licensee must immediately and without further notice take measures to cause the infringement to end. Because the right to use the information has been terminated, the licensee must cease all use of the information by virtue of the licence.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Attribution\n\n   The licensee shall attribute the licensor as specified by the licensor and include a reference to this licence. To the extent practically possible, the licensee shall provide a link to both this licence and the source of the information.\n\n   If the licensor has not specified how attributions shall be made, the licensee shall normally state the following: \u00abContains data under the Norwegian licence for Open Government data (NLOD) distributed by [name of licensor]\u00bb.\n\n   If the licensor has specified that the information shall only be available under a specific version of this licence, cf. Section 10, the licensee shall also state this.\n\n   If the information has been changed, the licensee must clearly indicate that changes have been made by the licensee.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Proper use\n\n   The licensee shall not use the information in a manner that appears misleading nor present the information in a distorted or incorrect manner.\n\n   Neither the licensor's nor other contributors' names or trademarks must be used to support, recommend or market the licensee or any products or services using the information.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Disclaimer of liability\n\n   The information is licensed \u00abas is\u00bb. The information may contain errors and omissions. The licensor provides no warranties, including relating to the content and relevance of the information.\n\n   The licensor disclaims any liability for errors and defects associated with the information to the maximum extent permitted by law.\n\n   The licensor shall not be liable for direct or indirect losses as a result of use of the information or in connection with copying or further distribution of the information.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Guarantees regarding data quality and accessibility\n\n   This licence does not prevent the licensor from issuing supplementary statements regarding expected or intended data quality and accessibility. Such statements shall be regarded as indicative in nature and not binding on the part of the licensor. The disclaimers in Section 7 also apply in full for such indicative statements. Based on separate agreement, the licensor may provide guarantees and distribute the information on terms and conditions different from those set forth in this licence.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Licence compatibility\n\n   If the licensee is to distribute an adapted or combined work based on information covered by this licence and some other work licensed under a licence compatible by contract, such distribution may be based on an appropriate licence compatible by contract, cf. the list below.\n\n   A licence compatible by contract shall mean the following licences:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> for all information: Open Government Licence (version 1.0, 2.0 and 3.0), Creative Commons Attribution Licence (international version 4.0 and norwegian version 4.0),\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> for those parts of the information which do not constitute databases: Creative Commons Attribution Licence (generic version 1.0, 2.0, 2.5 and unported version 3.0) and Creative Commons Navngivelse 3.0 Norge,\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> for those parts of the information which constitute databases: Open Data Commons Attribution License (version 1.0).\n\n   This provision does not prevent other licences from being compatible with this licence based on their content.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> New versions of the licence\n\n   The licensee may choose to use the information covered by this licence under any new versions of the Norwegian licence for Open Government data (NLOD) issued by the responsible ministry (currently the Ministry of Local Government and Modernisation) when these versions are final and official, unless the licensor when making the information available under this licence specifically has stated that solely version 2.0 of this licence may be used.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Governing law and legal venue\n\nThis licence, including its formation, and any disputes and claims arising in connection with or relating to this licence, shall be regulated by Norwegian law. The legal venue shall be the licensor's ordinary legal venue. The licensor may, with regard to intellectual proprietary rights, choose to pursue a claim at other competent legal venues and/or based on the laws of the country where the intellectual property rights are sought enforced.\n\n"
		self.name = "Norwegian Licence for Open Government Data (NLOD) 2.0"
		self.licenseComments = "Norwegian translation available here: http://data.norge.no/nlod/no/2.0"
		self.licenseId = "NLOD-2.0"
		self.crossRef = [{"match": "False", "url": "http://data.norge.no/nlod/en/2.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:32Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://data.norge.no/nlod/en/2.0"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Norwegian Licence for Open Government Data (NLOD) 2.0</p>\n\n	  </div>\n		  <p>Preface of licence</p>\n\n	  <p>This licence grants you the right to copy, use and distribute\n		 information, provided you acknowledge the contributors and\n		 comply with the terms and conditions stipulated in this\n		 licence. By using information made available under this\n		 licence, you accept the terms and conditions set forth in this\n		 licence. As set out in Section 7, the licensor disclaims any\n		 and all liability for the quality of the information and what\n		 the information is used for.</p>\n\n	  <p>This licence shall not impose any limitations on the rights or\n		 freedoms of the licensee under the Norwegian Freedom of\n		 Information Act or any other legislation granting the general\n		 public a right of access to public sector information, or that\n		 follow from exemptions or limitations stipulated in the\n		 Norwegian Copyright Act. Further, the licence shall not impose\n		 any limitations on the licensee&apos;s freedom of expression\n		 recognized by law.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		  <p>\u00abDatabase\u00bb shall mean a database or similar protected\n			 under Section 43 of the Norwegian Copyright Act.\n			<br />\n\n   \u00abInformation\u00bb shall mean texts, images, recordings,\n				 data sets or other works protected under\n				 Section 1 of the Norwegian Copyright Act, or\n				 which are protected under provisions\n				 addressing what is referred to as\n				 \u00abneighbouring rights\u00bb in Chapter 5 of the\n				 Norwegian Copyright Act (including databases\n				 and photographs), and which are distributed\n				 under this licence.\n			<br />\n\n   \u00abCopy\u00bb shall mean reproduction in any form.\n			<br />\n\n   \u00abLicensee\u00bb and \u00abyou\u00bb shall mean natural or legal\n				 persons using information under this licence.\n			<br />\n\n   \u00abLicensor\u00bb shall mean the natural or legal person\n				 that makes information available under this\n				 licence.\n			<br />\n\n   \u00abDistribute\u00bb shall mean any actions whereby\n				 information is made available, including to\n				 distribute, transfer, communicate, disperse,\n				 show, perform, sell, lend and rent.\n			<br />\n\n   \u00abUse\u00bb shall mean one or more actions relevant to\n				 copyright law requiring permission from the\n				 owner of the copyright.\n		  </p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Licence\n			<br />\n\n   The licensee, subject to the limitations that\n				 follow from this licence, may use the\n				 information for any purpose and in all\n				 contexts, by:\n\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  copying the information and distributing the information\n			 to others,\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  modifying the information and/or combining the\n			 information with other information, and\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  copying and distributing such changed or combined information.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  This is a non-exclusive, free, perpetual and worldwide\n			 licence. The information may be used in any medium and\n			 format known today and/or which will become known in\n			 the future. The Licensee shall not sub-license or\n			 transfer this licence.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Exemptions\n			<br />\n\n   The licence does not apply to and therefore does\n				 not grant a right to use:\n\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  information which contains personal data covered by the\n			 Norwegian Personal Data Act unless there is a\n			 legitimate basis for the disclosure and further\n			 processing of the personal data\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  information distributed in violation of a statutory\n			 obligation to observe confidentiality\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  information excluded from public disclosure pursuant to\n			 law, including information deemed sensitive under the\n			 Norwegian National Security Act\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  information subject to third party rights which the\n			 licensor is not authorised to license to the\n			 licensee\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  information protected by intellectual property rights\n			 other than copyright and neighbouring rights in\n			 accordance with Chapter 5 of the Norwegian Copyright\n			 Act, such as trademarks, patents and design rights,\n			 but this does not entail an impediment to use\n			 information where the licensor&apos;s logo has been\n			 permanently integrated into the information or to\n			 attribute the origin of the information in accordance\n			 with the article below relating to attribution.\n		  <p>If the licensor has made available information not\n			 covered by the licence according to the above list,\n			 the licensee must cease all use of the information\n			 under the licence, and erase the information as soon\n			 as he or she becomes aware of or should have\n			 understood that the information is not covered by the\n			 licence.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Effects of breach of the licence\n			<br />\n\n   The licence is subject to the licensee&apos;s compliance\n				 with the terms and conditions of this licence.\n				 In the event that the licensee commits a\n				 breach of this licence, this will entail that\n				 the licensee&apos;s right to use the information\n				 will be revoked immediately without further\n				 notice. In case of such a breach, the licensee\n				 must immediately and without further notice\n				 take measures to cause the infringement to\n				 end. Because the right to use the information\n				 has been terminated, the licensee must cease\n				 all use of the information by virtue of the\n				 licence.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Attribution\n			<br />\n\n   The licensee shall attribute the licensor as\n				 specified by the licensor and include a\n				 reference to this licence. To the extent\n				 practically possible, the licensee shall\n				 provide a link to both this licence and the\n				 source of the information.\n\n		  <p>If the licensor has not specified how attributions shall\n			 be made, the licensee shall normally state the\n			 following: \u00abContains data under the Norwegian licence\n			 for Open Government data (NLOD) distributed by [name\n			 of licensor]\u00bb.</p>\n\n			<p>If the licensor has specified that the information shall\n			 only be available under a specific version of this\n			 licence, cf. Section 10, the licensee shall also state\n			 this.</p>\n\n			<p>If the information has been changed, the licensee must\n			 clearly indicate that changes have been made by the\n			 licensee.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Proper use\n			<br />\n\n   The licensee shall not use the information in a\n				 manner that appears misleading nor present the\n				 information in a distorted or incorrect\n				 manner.\n			<br />\n\n   Neither the licensor&apos;s nor other contributors&apos;\n				 names or trademarks must be used to support,\n				 recommend or market the licensee or any\n				 products or services using the information.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Disclaimer of liability\n			<br />\n\n   The information is licensed \u00abas is\u00bb. The\n				 information may contain errors and omissions.\n				 The licensor provides no warranties, including\n				 relating to the content and relevance of the\n				 information.\n\n		  <p>The licensor disclaims any liability for errors and\n			 defects associated with the information to the maximum\n			 extent permitted by law.</p>\n\n			<p>The licensor shall not be liable for direct or indirect\n			 losses as a result of use of the information or in\n			 connection with copying or further distribution of the\n			 information.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Guarantees regarding data quality and accessibility\n			<br />\n\n   This licence does not prevent the licensor from\n				 issuing supplementary statements regarding\n				 expected or intended data quality and\n				 accessibility. Such statements shall be\n				 regarded as indicative in nature and not\n				 binding on the part of the licensor. The\n				 disclaimers in Section 7 also apply in full\n				 for such indicative statements. Based on\n				 separate agreement, the licensor may provide\n				 guarantees and distribute the information on\n				 terms and conditions different from those set\n				 forth in this licence.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Licence compatibility\n			<br />\n\n   If the licensee is to distribute an adapted or\n				 combined work based on information covered by\n				 this licence and some other work licensed\n				 under a licence compatible by contract, such\n				 distribution may be based on an appropriate\n				 licence compatible by contract, cf. the list\n				 below.\n\n		  <p>A licence compatible by contract shall mean the following\n			 licences:</p>\n\n		</li>\n	  \n</ul>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  for all information: Open Government Licence (version 1.0,\n			 2.0 and 3.0), Creative Commons Attribution Licence\n			 (international version 4.0 and norwegian version 4.0),\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  for those parts of the information which do not\n			 constitute databases: Creative Commons Attribution\n			 Licence (generic version 1.0, 2.0, 2.5 and unported\n			 version 3.0) and Creative Commons Navngivelse 3.0\n			 Norge,\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  for those parts of the information which constitute\n			 databases: Open Data Commons Attribution License\n			 (version 1.0).\n		  <p>This provision does not prevent other licences from being\n			 compatible with this licence based on their\n			 content.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  New versions of the licence\n			<br />\n\n   The licensee may choose to use the information\n			covered by this licence under any new versions of the\n			Norwegian licence for Open Government data (NLOD) issued by\n			the responsible ministry (currently the Ministry of Local\n			Government and Modernisation) when these versions are final\n			and official, unless the licensor when making the\n			information available under this licence specifically has\n			stated that solely version 2.0 of this licence may be used.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Governing law and legal venue\n		</li>\n	  \n</ul>\n	  <p>This licence, including its formation, and any disputes and\n		 claims arising in connection with or relating to this licence,\n		 shall be regulated by Norwegian law. The legal venue shall be\n		 the licensor&apos;s ordinary legal venue. The licensor may, with\n		 regard to intellectual proprietary rights, choose to pursue a\n		 claim at other competent legal venues and/or based on the laws\n		 of the country where the intellectual property rights are\n		 sought enforced.</p>\n\n	"
		self.python_name = "NLOD20"

	def __str__(self):
		return json.dumps(self.__dict__)


class ADSL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This software code is made available \"AS IS\" without warranties of any kind. You may copy, display, modify and redistribute the software code either by itself or as incorporated into your code; provided that you do not remove any proprietary notices. Your use of this software code is at your own risk and you waive any claim against Amazon Digital Services, Inc. or its affiliates with respect to your use of this software code. (c) 2006 Amazon Digital Services, Inc. or its affiliates.\n"
		self.standardLicenseTemplate = "This software code is made available \"AS IS\" without warranties of any kind. You may copy, display, modify and redistribute the software code either by itself or as incorporated into your code; provided that you do not remove any proprietary notices. Your use of this software code is at your own risk and you waive any claim against Amazon Digital Services, Inc. or its affiliates with respect to your use of this software code. (c) 2006 Amazon Digital Services, Inc. or its affiliates.\n\n"
		self.name = "Amazon Digital Services License"
		self.licenseId = "ADSL"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/AmazonDigitalServicesLicense", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:44Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/AmazonDigitalServicesLicense"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>This software code is made available &quot;AS IS&quot; without warranties of any kind. You may copy, display,\n		 modify and redistribute the software code either by itself or as incorporated into your code; provided\n		 that you do not remove any proprietary notices. Your use of this software code is at your own\n		 risk and you waive any claim against Amazon Digital Services, Inc. or its affiliates with respect to\n		 your use of this software code. (c) 2006 Amazon Digital Services, Inc. or its affiliates.</p>\n\n	"
		self.python_name = "ADSL"

	def __str__(self):
		return json.dumps(self.__dict__)


class AdaCoredoc:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This document may be copied, in whole or in part, in any form or by any means, as is or with alterations, provided that (1) alterations are clearly marked as alterations and (2) this copyright notice is included unmodified in any copy.\n"
		self.standardLicenseTemplate = "This document may be copied, in whole or in part, in any form or by any means, as is or with alterations, provided that (1) alterations are clearly marked as alterations and (2) this copyright notice is included unmodified in any copy.\n\n"
		self.name = "AdaCore Doc License"
		self.licenseId = "AdaCore-doc"
		self.crossRef = [{"match": "False", "url": "https://github.com/AdaCore/xmlada/blob/master/docs/index.rst", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:07Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://github.com/AdaCore/gnatcoll-db/blob/master/docs/index.rst", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:07Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://github.com/AdaCore/gnatcoll-core/blob/master/docs/index.rst", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:08Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://github.com/AdaCore/xmlada/blob/master/docs/index.rst", "https://github.com/AdaCore/gnatcoll-core/blob/master/docs/index.rst", "https://github.com/AdaCore/gnatcoll-db/blob/master/docs/index.rst"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			This document may be copied, in whole or in part, in any form\n			or by any means, as is or with alterations, provided that\n			(1) alterations are clearly marked as alterations and (2)\n			this copyright notice is included unmodified in any copy.\n		 </p>\n\n	  "
		self.python_name = "AdaCoredoc"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL20withGCCexception:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.licenseText = "insert GPL v2 license text here\n\nGCC Linking Exception\n\nIn addition to the permissions in the GNU General Public License, the Free Software Foundation gives you unlimited permission to link the compiled version of this file into combinations with other programs, and to distribute those combinations without any restriction coming from the use of this file. (The General Public License restrictions do apply in other respects; for example, they cover modification of the file, and distribution when not linked into a combine executable.\n\n"
		self.standardLicenseTemplate = "insert GPL v2 license text here\n\nGCC Linking Exception\n\nIn addition to the permissions in the GNU General Public License, the Free Software Foundation gives you unlimited permission to link the compiled version of this file into combinations with other programs, and to distribute those combinations without any restriction coming from the use of this file. (The General Public License restrictions do apply in other respects; for example, they cover modification of the file, and distribution when not linked into a combine executable.\n\n"
		self.name = "GNU General Public License v2.0 w/GCC Runtime Library exception"
		self.licenseComments = "DEPRECATED: Use license expression including main license, \"WITH\" operator, and identifier: GCC-exception-2.0"
		self.licenseId = "GPL-2.0-with-GCC-exception"
		self.crossRef = [{"match": "False", "url": "https://gcc.gnu.org/git/?p=gcc.git;a=blob;f=gcc/libgcc1.c;h=762f5143fc6eed57b6797c82710f3538aa52b40b;hb=cb143a3ce4fb417c68f5fa2691a1b1b1053dfba9#l10", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:22Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gcc.gnu.org/git/?p=gcc.git;a=blob;f=gcc/libgcc1.c;h=762f5143fc6eed57b6797c82710f3538aa52b40b;hb=cb143a3ce4fb417c68f5fa2691a1b1b1053dfba9#l10"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\t	 <p>insert GPL v2 license text here</p>\n\n\t	 <p>GCC Linking Exception </p>\n\n\t	 <p>In addition to the permissions in the GNU General Public License, the Free Software Foundation gives you unlimited permission to link the compiled version of this file into combinations with other programs, and to distribute those combinations without any restriction coming from the use of this file. (The General Public License restrictions do apply in other respects; for example, they cover modification of the file, and distribution when not linked into a combine executable.</p>\n\n	"
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "GPL20withGCCexception"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDDEC:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "COPYRIGHT 1990\nDIGITAL EQUIPMENT CORPORATION\nMAYNARD, MASSACHUSETTS\nALL RIGHTS RESERVED.\n\nTHE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION.\nDIGITAL MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE\nFOR ANY PURPOSE. IT IS SUPPLIED \"AS IS\" WITHOUT EXPRESS OR IMPLIED\nWARRANTY.\n\nIF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE COPYRIGHT\nRIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON THE DERIVATIVE WORK IN\nADDITION TO THAT SET FORTH ABOVE.\n\nPermission to use, copy, modify, and distribute this software and\nits documentation for any purpose and without fee is hereby granted,\nprovided that the above copyright notice appear in all copies\nand that both that copyright notice and this permission notice appear in supporting\ndocumentation,\nand that the name of Digital Equipment Corporation not be\nused in advertising or publicity pertaining to distribution of the\nsoftware without specific, written prior permission.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"COPYRIGHT 1990  DIGITAL EQUIPMENT CORPORATION  MAYNARD, MASSACHUSETTS  ALL RIGHTS RESERVED.\";match=\".{0,5000}\">>\n\nTHE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION. DIGITAL MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE. IT IS SUPPLIED \"AS IS\" WITHOUT EXPRESS OR IMPLIED WARRANTY.\n\nIF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE COPYRIGHT RIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON THE DERIVATIVE WORK IN ADDITION TO THAT SET FORTH ABOVE.\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of Digital Equipment Corporation not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.\n\n"
		self.name = "Historical Permission Notice and Disclaimer - DEC variant"
		self.licenseComments = "The permission grant is the same as HPND, but the disclaimer is quite different and there is a obligation related to modified versions."
		self.licenseId = "HPND-DEC"
		self.crossRef = [{"match": "False", "url": "https://gitlab.freedesktop.org/xorg/app/xkbcomp/-/blob/master/COPYING?ref_type=heads#L69", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:42Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gitlab.freedesktop.org/xorg/app/xkbcomp/-/blob/master/COPYING?ref_type=heads#L69"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n		   COPYRIGHT 1990<br />\n\n		   DIGITAL EQUIPMENT CORPORATION<br />\n\n		   MAYNARD, MASSACHUSETTS<br />\n\n		   ALL RIGHTS RESERVED.\n		 </var>\n		 <p>\n			THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT\n			NOTICE AND SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL\n			EQUIPMENT CORPORATION. DIGITAL MAKES NO REPRESENTATIONS\n			ABOUT THE SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE. IT\n			IS SUPPLIED &quot;AS IS&quot; WITHOUT EXPRESS OR IMPLIED WARRANTY.\n		 </p>\n\n		 <p>\n			IF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE\n			COPYRIGHT RIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON\n			THE DERIVATIVE WORK IN ADDITION TO THAT SET FORTH ABOVE.\n		 </p>\n\n		 <p>\n			Permission to use, copy, modify, and distribute this software\n			and its documentation for any purpose and without fee is\n			hereby granted, provided that the above copyright notice\n			appear in all copies and that both that copyright notice and\n			this permission notice appear in supporting documentation,\n			and that the name of Digital Equipment Corporation not be\n			used in advertising or publicity pertaining to distribution\n			of the software without specific, written prior permission.\n		 </p>\n\n	  "
		self.python_name = "HPNDDEC"

	def __str__(self):
		return json.dumps(self.__dict__)


class ErlPL11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "ERLANG PUBLIC LICENSE Version 1.1\n\n1. Definitions.\n\n1.1. ``Contributor'' means each entity that creates or contributes to the creation of Modifications.\n\n1.2. ``Contributor Version'' means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n1.3. ``Covered Code'' means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n1.4. ``Electronic Distribution Mechanism'' means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n1.5. ``Executable'' means Covered Code in any form other than Source Code.\n\n1.6. ``Initial Developer'' means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n1.7. ``Larger Work'' means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n1.8. ``License'' means this document.\n\n1.9. ``Modifications'' means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n	 A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n	 B. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10. ``Original Code'' means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n1.11. ``Source Code'' means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or a list of source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n1.12. ``You'' means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities,``You'' includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, ``control'' means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n2. Source Code License.\n\n2.1. The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n	 (a) to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and\n\n	 (b) under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell (``Utilize'') the Original Code (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Original Code (or portions thereof) and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n2.2. Contributor Grant. Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n	 (a) to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code or as part of a Larger Work; and\n\n	 (b) under patents now or hereafter owned or controlled by Contributor, to Utilize the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Contributor Version (or portions thereof), and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n3. Distribution Obligations.\n\n3.1. Application of License. The Modifications which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n3.2. Availability of Source Code. Any Modification which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n3.3. Description of Modifications. You must cause all Covered Code to which you contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n3.4. Intellectual Property Matters\n\n	 (a) Third Party Claims. If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled ``LEGAL'' which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n	 (b) Contributor APIs. If Your Modification is an application programming interface and You own or control patents which are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n3.5. Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Covered Code. If You created one or more Modification(s), You may add your name as a Contributor to the notice described in Exhibit A. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n3.6. Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n3.7. Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation. If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License.\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A, and to related Covered Code.\n\n6. CONNECTION TO MOZILLA PUBLIC LICENSE\nThis Erlang License is a derivative work of the Mozilla Public License, Version 1.0. It contains terms which differ from the Mozilla Public License, Version 1.0.\n\n7. DISCLAIMER OF WARRANTY.\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN ``AS IS'' BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. TERMINATION.\nThis License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n9. DISCLAIMER OF LIABILITY\nAny utilization of Covered Code shall not cause the Initial Developer or any Contributor to be liable for any damages (neither direct nor indirect).\n\n10. MISCELLANEOUS\nThis License represents the complete agreement concerning the subject matter hereof. If any provision is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be consTrued by and in accordance with the substantive laws of Sweden. Any dispute, controversy or claim arising out of or relating to this License, or the breach, termination or invalidity thereof, shall be subject to the exclusive jurisdiction of Swedish courts, with the Stockholm City Court as the first instance.\n\nEXHIBIT A.\n\n``The contents of this file are subject to the Erlang Public License, Version 1.1, (the \"License\"); you may not use this file except in compliance with the License. You should have received a copy of the Erlang Public License along with this software. If not, it can be retrieved via the world wide web at http://www.erlang.org/.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Initial Developer of the Original Code is Ericsson Utvecklings AB. Portions created by Ericsson are Copyright 1999, Ericsson Utvecklings AB. All Rights Reserved.''\n"
		self.standardLicenseTemplate = "<<beginOptional>>ERLANG PUBLIC LICENSE Version 1.1\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> ``Contributor'' means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> ``Contributor Version'' means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> ``Covered Code'' means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> ``Electronic Distribution Mechanism'' means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> ``Executable'' means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> ``Initial Developer'' means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> ``Larger Work'' means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> ``License'' means this document.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> ``Modifications'' means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> ``Original Code'' means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> ``Source Code'' means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or a list of source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> ``You'' means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, ``You'' includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, ``control'' means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell (``Utilize'') the Original Code (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Original Code (or portions thereof) and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant. Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under patents now or hereafter owned or controlled by Contributor, to Utilize the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Contributor Version (or portions thereof), and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Application of License. The Modifications which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code. Any Modification which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications. You must cause all Covered Code to which you contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims. If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled ``LEGAL'' which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs. If Your Modification is an application programming interface and You own or control patents which are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Covered Code. If You created one or more Modification(s), You may add your name as a Contributor to the notice described in Exhibit A. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation. If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Application of this License.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A, and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> CONNECTION TO MOZILLA PUBLIC LICENSE\n\n   This Erlang License is a derivative work of the Mozilla Public License, Version 1.0. It contains terms which differ from the Mozilla Public License, Version 1.0.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN ``AS IS'' BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TERMINATION.\n\n   This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> DISCLAIMER OF LIABILITY\n\n   Any utilization of Covered Code shall not cause the Initial Developer or any Contributor to be liable for any damages (neither direct nor indirect).\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> MISCELLANEOUS\n\n   This License represents the complete agreement concerning the subject matter hereof. If any provision is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be consTrued by and in accordance with the substantive laws of Sweden. Any dispute, controversy or claim arising out of or relating to this License, or the breach, termination or invalidity thereof, shall be subject to the exclusive jurisdiction of Swedish courts, with the Stockholm City Court as the first instance.\n\nEXHIBIT A.\n\n``The contents of this file are subject to the Erlang Public License, Version 1.1, (the \"License\"); you may not use this file except in compliance with the License. You should have received a copy of the Erlang Public License along with this software. If not, it can be retrieved via the world wide web at http://www.erlang.org/.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Initial Developer of the Original Code is Ericsson Utvecklings AB. Portions created by Ericsson are Copyright 1999, Ericsson Utvecklings AB. All Rights Reserved.''\n\n"
		self.name = "Erlang Public License v1.1"
		self.licenseComments = "This Erlang License is a derivative work of the Mozilla Public License, Version 1.0. It contains terms which differ from the Mozilla Public License, Version 1.0."
		self.licenseId = "ErlPL-1.1"
		self.crossRef = [{"match": "True", "url": "http://www.erlang.org/EPLICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:32Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.erlang.org/EPLICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>ERLANG PUBLIC LICENSE Version 1.1</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			  ``Contributor&apos;&apos; means each entity that creates or contributes to the creation of\n				 Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			  ``Contributor Version&apos;&apos; means the combination of the Original Code, prior Modifications\n				 used by a Contributor, and the Modifications made by that particular Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			  ``Covered Code&apos;&apos; means the Original Code or Modifications or the combination of the\n				 Original Code and Modifications, in each case including portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			  ``Electronic Distribution Mechanism&apos;&apos; means a mechanism generally accepted in the\n				 software development community for the electronic transfer of data.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			  ``Executable&apos;&apos; means Covered Code in any form other than Source Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			  ``Initial Developer&apos;&apos; means the individual or entity identified as the Initial\n				 Developer in the Source Code notice required by Exhibit A.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			  ``Larger Work&apos;&apos; means a work which combines Covered Code or portions thereof with code\n				 not governed by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			  ``License&apos;&apos; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			  ``Modifications&apos;&apos; means any addition to or deletion from the substance or structure of\n				 either the Original Code or any previous Modifications. When Covered Code is released as a\n				 series of files, a Modification is:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				  Any addition to or deletion from the contents of a file containing Original Code or previous\n					 Modifications.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				  Any new file that contains any part of the Original Code or previous Modifications.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			  ``Original Code&apos;&apos; means Source Code of computer software code which is described in the\n				 Source Code notice required by Exhibit A as Original Code, and which, at the time of its\n				 release under this License is not already Covered Code governed by this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			  ``Source Code&apos;&apos; means the preferred form of the Covered Code for making modifications\n				 to it, including all modules it contains, plus any associated interface definition files,\n				 scripts used to control compilation and installation of an Executable, or a list of source\n				 code differential comparisons against either the Original Code or another well known,\n				 available Covered Code of the Contributor&apos;s choice. The Source Code can be in a\n				 compressed or archival form, provided the appropriate decompression or de-archiving software\n				 is widely available for no charge.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			  ``You&apos;&apos; means an individual or a legal entity exercising rights under, and complying\n				 with all of the terms of, this License. For legal entities, ``You&apos;&apos; includes any\n				 entity which controls, is controlled by, or is under common control with You. For purposes of\n				 this definition, ``control&apos;&apos; means (a) the power, direct or indirect, to cause the\n				 direction or management of such entity, whether by contract or otherwise, or (b) ownership of\n				 fifty percent (50%) or more of the outstanding shares or beneficial ownership of such\n				 entity.\n			</li>\n			\n</ul>\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Source Code License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			  The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free,\n				 non-exclusive license, subject to third party intellectual property claims:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or\n					 portions thereof) with or without Modifications, or as part of a Larger Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  under patents now or hereafter owned or controlled by Initial Developer, to make, have made,\n					 use and sell (``Utilize&apos;&apos;) the Original Code (or portions thereof), but solely\n					 to the extent that any such patent is reasonably necessary to enable You to Utilize the\n					 Original Code (or portions thereof) and not to any greater extent that may be necessary to\n					 Utilize further Modifications or combinations.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			  Contributor Grant. Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive\n				 license, subject to third party intellectual property claims:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  to use, reproduce, modify, display, perform, sublicense and distribute the Modifications\n					 created by such Contributor (or portions thereof) either on an unmodified basis, with\n					 other Modifications, as Covered Code or as part of a Larger Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  under patents now or hereafter owned or controlled by Contributor, to Utilize the Contributor\n					 Version (or portions thereof), but solely to the extent that any such patent is reasonably\n					 necessary to enable You to Utilize the Contributor Version (or portions thereof), and not\n					 to any greater extent that may be necessary to Utilize further Modifications or\n					 combinations.\n				</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Distribution Obligations.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			  Application of License. The Modifications which You contribute are governed by the terms of this\n				 License, including without limitation Section 2.2. The Source Code version of Covered Code may\n				 be distributed only under the terms of this License, and You must include a copy of this\n				 License with every copy of the Source Code You distribute. You may not offer or impose any\n				 terms on any Source Code version that alters or restricts the applicable version of this\n				 License or the recipients&apos; rights hereunder. However, You may include an additional\n				 document offering the additional rights described in Section 3.5.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			  Availability of Source Code. Any Modification which You contribute must be made available in\n				 Source Code form under the terms of this License either on the same media as an Executable\n				 version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an\n				 Executable version available; and if made available via Electronic Distribution Mechanism,\n				 must remain available for at least twelve (12) months after the date it initially became\n				 available, or at least six (6) months after a subsequent version of that particular\n				 Modification has been made available to such recipients. You are responsible for ensuring that\n				 the Source Code version remains available even if the Electronic Distribution Mechanism is\n				 maintained by a third party.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			  Description of Modifications. You must cause all Covered Code to which you contribute to contain\n				 a file documenting the changes You made to create that Covered Code and the date of any\n				 change. You must include a prominent statement that the Modification is derived, directly or\n				 indirectly, from Original Code provided by the Initial Developer and including the name of the\n				 Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or\n				 related documentation in which You describe the origin or ownership of the Covered Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			  Intellectual Property Matters\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  Third Party Claims. If You have knowledge that a party claims an intellectual property right\n					 in particular functionality or code (or its utilization under this License), you must\n					 include a text file with the source code distribution titled ``LEGAL&apos;&apos; which\n					 describes the claim and the party making the claim in sufficient detail that a recipient\n					 will know whom to contact. If you obtain such knowledge after You make Your Modification\n					 available as described in Section 3.2, You shall promptly modify the LEGAL file in all\n					 copies You make available thereafter and shall take other steps (such as notifying\n					 appropriate mailing lists or newsgroups) reasonably calculated to inform those who\n					 received the Covered Code that new knowledge has been obtained.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  Contributor APIs. If Your Modification is an application programming interface and You own or\n					 control patents which are reasonably necessary to implement that API, you must also\n					 include this information in the LEGAL file.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			  Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code, and\n				 this License in any documentation for the Source Code, where You describe recipients&apos;\n				 rights relating to Covered Code. If You created one or more Modification(s), You may add your\n				 name as a Contributor to the notice described in Exhibit A. If it is not possible to put such\n				 notice in a particular Source Code file due to its structure, then you must include such\n				 notice in a location (such as a relevant directory file) where a user would be likely to look\n				 for such a notice. You may choose to offer, and to charge a fee for, warranty, support,\n				 indemnity or liability obligations to one or more recipients of Covered Code. However, You may\n				 do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor.\n				 You must make it absolutely clear than any such warranty, support, indemnity or liability\n				 obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer\n				 and every Contributor for any liability incurred by the Initial Developer or such Contributor\n				 as a result of warranty, support, indemnity or liability terms You offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n			  Distribution of Executable Versions. You may distribute Covered Code in Executable form only if\n				 the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a\n				 notice stating that the Source Code version of the Covered Code is available under the terms\n				 of this License, including a description of how and where You have fulfilled the obligations\n				 of Section 3.2. The notice must be conspicuously included in any notice in an Executable\n				 version, related documentation or collateral in which You describe recipients&apos; rights\n				 relating to the Covered Code. You may distribute the Executable version of Covered Code under\n				 a license of Your choice, which may contain terms different from this License, provided that\n				 You are in compliance with the terms of this License and that the license for the Executable\n				 version does not attempt to limit or alter the recipient&apos;s rights in the Source Code\n				 version from the rights set forth in this License. If You distribute the Executable version\n				 under a different license You must make it absolutely clear that any terms which differ from\n				 this License are offered by You alone, not by the Initial Developer or any Contributor. You\n				 hereby agree to indemnify the Initial Developer and every Contributor for any liability\n				 incurred by the Initial Developer or such Contributor as a result of any such terms You\n				 offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7.</var>\n			  Larger Works. You may create a Larger Work by combining Covered Code with other code not governed\n				 by the terms of this License and distribute the Larger Work as a single product. In such a\n				 case, You must make sure the requirements of this License are fulfilled for the Covered\n				 Code.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Inability to Comply Due to Statute or Regulation. If it is impossible for You to comply with any\n			 of the terms of this License with respect to some or all of the Covered Code due to statute or\n			 regulation then You must: (a) comply with the terms of this License to the maximum extent\n			 possible; and (b) describe the limitations and the code they affect. Such description must be\n			 included in the LEGAL file described in Section 3.4 and must be included with all\n			 distributions of the Source Code. Except to the extent prohibited by statute or regulation,\n			 such description must be sufficiently detailed for a recipient of ordinary skill to be able to\n			 understand it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Application of this License.\n		  <p>This License applies to code to which the Initial Developer has attached the notice in\n			 Exhibit A, and to related Covered Code.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  CONNECTION TO MOZILLA PUBLIC LICENSE\n		  <p>This Erlang License is a derivative work of the Mozilla Public License, Version 1.0. It\n			 contains terms which differ from the Mozilla Public License, Version 1.0.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  DISCLAIMER OF WARRANTY.\n		  <p>COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN ``AS IS&apos;&apos; BASIS, WITHOUT\n			 WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\n			 WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A\n			 PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND\n			 PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE\n			 IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE\n			 COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY\n			 CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS\n			 AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  TERMINATION.\n		  <p>This License and the rights granted hereunder will terminate automatically if You fail to\n			 comply with terms herein and fail to cure such breach within 30 days of becoming aware\n			 of the breach. All sublicenses to the Covered Code which are properly granted shall\n			 survive any termination of this License. Provisions which, by their nature, must\n			 remain in effect beyond the termination of this License shall survive.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  DISCLAIMER OF LIABILITY\n		  <p>Any utilization of Covered Code shall not cause the Initial Developer or any Contributor to\n			 be liable for any damages (neither direct nor indirect).</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  MISCELLANEOUS\n		  <p>This License represents the complete agreement concerning the subject matter hereof. If any provision is\n			 held to be unenforceable, such provision shall be reformed only to the extent necessary to make it\n			 enforceable. This License shall be consTrued by and in accordance with the substantive laws of Sweden.\n			 Any dispute, controversy or claim arising out of or relating to this License, or the breach,\n			 termination or invalidity thereof, shall be subject to the exclusive jurisdiction of Swedish courts,\n			 with the Stockholm City Court as the first instance.</p>\n\n		</li>\n	  \n</ul>\n\n	  <p>EXHIBIT A.</p>\n\n	  <p>``The contents of this file are subject to the Erlang Public License, Version 1.1, (the\n		&quot;License&quot;); you may not use this file except in compliance with the License. You should have\n		received a copy of the Erlang Public License along with this software. If not, it can be retrieved via\n		the world wide web at http://www.erlang.org/.</p>\n\n	  <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF\n		ANY KIND, either express or implied. See the License for the specific language governing rights and\n		limitations under the License.</p>\n\n	  <p>The Initial Developer of the Original Code is Ericsson Utvecklings AB. Portions created by Ericsson are\n		Copyright 1999, Ericsson Utvecklings AB. All Rights Reserved.&apos;&apos;</p>\n\n	"
		self.python_name = "ErlPL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class NISTSoftware:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "NIST-developed software is provided by NIST as a public service. \nYou may use, copy, and distribute copies of the software in any \nmedium, provided that you keep intact this entire notice. You may \nimprove, modify, and create derivative works of the software or any \nportion of the software, and you may copy and distribute such \nmodifications or works. Modified works should carry a notice stating \nthat you changed the software and should note the date and nature of \nany such change. Please explicitly acknowledge the National Institute \nof Standards and Technology as the source of the software.\n\nNIST-developed software is expressly provided \"AS IS.\" NIST MAKES NO \nWARRANTY OF ANY KIND, EXPRESS, IMPLIED, IN FACT, OR ARISING BY OPERATION \nOF LAW, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY, \nFITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT, AND DATA ACCURACY. NIST \nNEITHER REPRESENTS NOR WARRANTS THAT THE OPERATION OF THE SOFTWARE WILL BE \nUNINTERRUPTED OR ERROR-FREE, OR THAT ANY DEFECTS WILL BE CORRECTED. NIST DOES \nNOT WARRANT OR MAKE ANY REPRESENTATIONS REGARDING THE USE OF THE SOFTWARE OR \nTHE RESULTS THEREOF, INCLUDING BUT NOT LIMITED TO THE CORRECTNESS, ACCURACY, \nRELIABILITY, OR USEFULNESS OF THE SOFTWARE.\n\nYou are solely responsible for determining the appropriateness of using and \ndistributing the software and you assume all risks associated with its use, \nincluding but not limited to the risks and costs of program errors, compliance \nwith applicable laws, damage to or loss of data, programs or equipment, and the \nunavailability or interruption of operation. This software is not intended to be \nused in any situation where a failure could cause risk of injury or damage to \nproperty. The software developed by NIST employees is not subject to copyright \nprotection within the United States.\n"
		self.standardLicenseTemplate = "NIST-developed software is provided by NIST as a public service. You may use, copy, and distribute copies of the software in any medium, provided that you keep intact this entire notice. You may improve, modify, and create derivative works of the software or any portion of the software, and you may copy and distribute such modifications or works. Modified works should carry a notice stating that you changed the software and should note the date and nature of any such change. Please explicitly acknowledge the National Institute of Standards and Technology as the source of the software.\n\nNIST-developed software is expressly provided \"AS IS.\" NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED, IN FACT, OR ARISING BY OPERATION OF LAW, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT, AND DATA ACCURACY. NIST NEITHER REPRESENTS NOR WARRANTS THAT THE OPERATION OF THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT ANY DEFECTS WILL BE CORRECTED. NIST DOES NOT WARRANT OR MAKE ANY REPRESENTATIONS REGARDING THE USE OF THE SOFTWARE OR THE RESULTS THEREOF, INCLUDING BUT NOT LIMITED TO THE CORRECTNESS, ACCURACY, RELIABILITY, OR USEFULNESS OF THE SOFTWARE.\n\nYou are solely responsible for determining the appropriateness of using and distributing the software and you assume all risks associated with its use, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and the unavailability or interruption of operation. This software is not intended to be used in any situation where a failure could cause risk of injury or damage to property. The software developed by NIST employees is not subject to copyright protection within the United States.\n\n"
		self.name = "NIST Software License"
		self.licenseId = "NIST-Software"
		self.crossRef = [{"match": "False", "url": "https://github.com/open-quantum-safe/liboqs/blob/40b01fdbb270f8614fde30e65d30e9da18c02393/src/common/rand/rand_nist.c#L1-L15", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:52Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/open-quantum-safe/liboqs/blob/40b01fdbb270f8614fde30e65d30e9da18c02393/src/common/rand/rand_nist.c#L1-L15"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			NIST-developed software is provided by NIST as a public service.\n			You may use, copy, and distribute copies of the software in any\n			medium, provided that you keep intact this entire notice. You may\n			improve, modify, and create derivative works of the software or\n			any portion of the software, and you may copy and distribute such\n			modifications or works. Modified works should carry a notice stating\n			that you changed the software and should note the date and nature\n			of any such change. Please explicitly acknowledge the National\n			Institute of Standards and Technology as the source of the software.\n		 </p>\n\n		 <p>\n			NIST-developed software is expressly provided &quot;AS IS.&quot; NIST MAKES\n			NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED, IN FACT, OR ARISING\n			BY OPERATION OF LAW, INCLUDING, WITHOUT LIMITATION, THE IMPLIED\n			WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,\n			NON-INFRINGEMENT, AND DATA ACCURACY. NIST NEITHER REPRESENTS NOR\n			WARRANTS THAT THE OPERATION OF THE SOFTWARE WILL BE UNINTERRUPTED\n			OR ERROR-FREE, OR THAT ANY DEFECTS WILL BE CORRECTED. NIST DOES\n			NOT WARRANT OR MAKE ANY REPRESENTATIONS REGARDING THE USE OF THE\n			SOFTWARE OR THE RESULTS THEREOF, INCLUDING BUT NOT LIMITED TO THE\n			CORRECTNESS, ACCURACY, RELIABILITY, OR USEFULNESS OF THE SOFTWARE.\n		 </p>\n\n		 <p>\n			You are solely responsible for determining the appropriateness\n			of using and distributing the software and you assume all risks\n			associated with its use, including but not limited to the risks and\n			costs of program errors, compliance with applicable laws, damage\n			to or loss of data, programs or equipment, and the unavailability\n			or interruption of operation. This software is not intended to be\n			used in any situation where a failure could cause risk of injury\n			or damage to property. The software developed by NIST employees\n			is not subject to copyright protection within the United States.\n		 </p>\n\n	  "
		self.python_name = "NISTSoftware"

	def __str__(self):
		return json.dumps(self.__dict__)


class HPNDexportUSmodify:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1994 CyberSAFE Corporation.\nCopyright 1990,1991,2007,2008 by the Massachusetts\nInstitute of Technology.\nAll Rights Reserved.\n\nExport of this software from the United States of America may\nrequire a specific license from the United States Government.  It\nis the responsibility of any person or organization\ncontemplating export to obtain such a license before exporting.\n\nWITHIN THAT CONSTRAINT, permission to use, copy, modify, and\ndistribute this software and its documentation for any purpose and\nwithout fee is hereby granted, provided that the above copyright\nnotice appear in all copies and that both that copyright notice and\nthis permission notice appear in supporting documentation, and that\nthe name of M.I.T. not be used in advertising or publicity\npertaining to distribution of the software without specific,\nwritten prior permission.  Furthermore if you modify this software\nyou must label your software as modified software and not\ndistribute it in such a fashion that it might be confused with the\noriginal M.I.T. software.  Neither M.I.T., the Open Computing\nSecurity Group, nor CyberSAFE Corporation make any representations\nabout the suitability of this software for any purpose.  It is\nprovided \"as is\" without express or implied warranty.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1994 CyberSAFE Corporation.  Copyright 1990,1991,2007,2008 by the Massachusetts Institute of Technology.  All Rights Reserved.  \";match=\".{0,5000}\">>\n\nExport of this software from the United States of America may require a specific license from the United States Government. It is the responsibility of any person or organization contemplating export to obtain such a license before exporting.\n\nWITHIN THAT CONSTRAINT, permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of M.I.T. not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. Furthermore if you modify this software you must label your software as modified software and not distribute it in such a fashion that it might be confused with the original M.I.T. software. <<var;name=\"norepresentations\";original=\"Neither M.I.T., the Open Computing Security Group, nor CyberSAFE Corporation make any\";match=\"Neither .+ make any|.+ makes no\">> representations about the suitability of this software for any purpose. It is provided \"as is\" without express or implied warranty.\n\n"
		self.name = "HPND with US Government export control warning and modification rqmt"
		self.licenseComments = "This is very similar to HPND-export-US but adds a requirement related to modifications of the code."
		self.licenseId = "HPND-export-US-modify"
		self.crossRef = [{"match": "False", "url": "https://github.com/krb5/krb5/blob/krb5-1.21.2-final/NOTICE#L1157-L1182", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:07Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://github.com/pythongssapi/k5test/blob/v0.10.3/K5TEST-LICENSE.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:07Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://github.com/krb5/krb5/blob/krb5-1.21.2-final/NOTICE#L1157-L1182", "https://github.com/pythongssapi/k5test/blob/v0.10.3/K5TEST-LICENSE.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"replaceable-license-text\"> \n				<p>\n					Copyright (C) 1994 CyberSAFE Corporation.\n					<br />\n\nCopyright 1990,1991,2007,2008 by the Massachusetts Institute of Technology.\n					<br />\n\nAll Rights Reserved.\n				</p>\n\n			</div>\n			<p>\n				Export of this software from the United States of America may require a specific license from the United States Government.\n				It is the responsibility of any person or organization contemplating export to obtain such a license before exporting.\n			</p>\n\n			<p>\n				WITHIN THAT CONSTRAINT,\n				permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted,\n				provided that the above copyright notice appear in all copies\n				and that both that copyright notice and this permission notice appear in supporting documentation,\n				and that the name of M.I.T. not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.\n				Furthermore if you modify this software you must label your software as modified software\n				and not distribute it in such a fashion that it might be confused with the original M.I.T. software.\n				<var class=\"replaceable-license-text\"> Neither M.I.T., the Open Computing Security Group, nor CyberSAFE Corporation make any</var>\n				representations about the suitability of this software for any purpose.\n				It is provided &quot;as is&quot; without express or implied warranty.\n			</p>\n\n		"
		self.python_name = "HPNDexportUSmodify"

	def __str__(self):
		return json.dumps(self.__dict__)


class BitTorrent10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "BitTorrent Open Source License\n\nVersion 1.0\n\nThis BitTorrent Open Source License (the \"License\") applies to the BitTorrent client and related software products as\nwell as any updates or maintenance releases of that software (\"BitTorrent Products\") that are distributed by\nBitTorrent, Inc. (\"Licensor\").  Any BitTorrent Product licensed pursuant to this License is a Licensed Product.\nLicensed Product, in its entirety, is protected by U.S. copyright law.  This License identifies the terms under which\nyou may use, copy, distribute or modify Licensed Product.\n\nPreamble\n\nThis Preamble is intended to describe, in plain English, the nature and scope of this License.  However, this\nPreamble is not a part of this license.  The legal effect of this License is dependent only upon the terms of the\nLicense and not this Preamble.\n\nThis License complies with the Open Source Definition and is derived from the Jabber Open Source License 1.0 (the\n\"JOSL\"), which has been approved by Open Source Initiative. Sections 4(c) and 4(f)(iii) from the JOSL have been\ndropped.\n\nThis License provides that:\n\n1.	  You may use, sell or give away the Licensed Product, alone or as a component of an aggregate software\ndistribution containing programs from several different sources.  No royalty or other fee is required.\n\n2.	  Both Source Code and executable versions of the Licensed Product, including Modifications made by previous\nContributors, are available for your use.  (The terms \"Licensed Product,\" \"Modifications,\" \"Contributors\" and \"Source\nCode\" are defined in the License.)\n\n3.	  You are allowed to make Modifications to the Licensed Product, and you can create Derivative Works from it.\n(The term \"Derivative Works\" is defined in the License.)\n\n4.	  By accepting the Licensed Product under the provisions of this License, you agree that any Modifications you\nmake to the Licensed Product and then distribute are governed by the provisions of this License.  In particular, you\nmust make the Source Code of your Modifications available to others.\n\n5.	  You may use the Licensed Product for any purpose, but the Licensor is not providing you any warranty\nwhatsoever, nor is the Licensor accepting any liability in the event that the Licensed Product doesn't work properly\nor causes you any injury or damages.\n\n6.	  If you sublicense the Licensed Product or Derivative Works, you may charge fees for warranty or support, or\nfor accepting indemnity or liability obligations to your customers.  You cannot charge for the Source Code.\n\n7.	  If you assert any patent claims against the Licensor relating to the Licensed Product, or if you breach any\nterms of the License, your rights to the Licensed Product under this License automatically terminate.\n\nYou may use this License to distribute your own Derivative Works, in which case the provisions of this License will\napply to your Derivative Works just as they do to the original Licensed Product.\n\nAlternatively, you may distribute your Derivative Works under any other OSI-approved Open Source license, or under a\nproprietary license of your choice.  If you use any license other than this License, however, you must continue to\nfulfill the requirements of this License (including the provisions relating to publishing the Source Code) for those\nportions of your Derivative Works that consist of the Licensed Product, including the files containing Modifications.\n\nNew versions of this License may be published from time to time.  You may choose to  continue to use the license\nterms in this version of the License or those from the new version.  However, only the Licensor has the right to\nchange the License terms as they apply to the Licensed Product.\n\nThis License relies on precise definitions for certain terms.  Those terms are defined when they are first used, and\nthe definitions are repeated for your convenience in a Glossary at the end of the License.\n\n\nLicense Terms\n\n1.	  Grant of License From Licensor.  Licensor hereby grants you a world-wide, royalty-free, non-exclusive\nlicense, subject to third party intellectual property claims, to do the following:\n\na.	   Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created by such\nContributor or portions thereof, in both Source Code or as an executable program, either on an unmodified basis or as\npart of Derivative Works.\n\nb.	   Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, sell, offer for\nsale, have made, and/or otherwise dispose of Modifications or portions thereof, but solely to the extent that any\nsuch claim is necessary to enable you to make, use, sell, offer for sale, have made, and/or otherwise dispose of\nModifications or portions thereof or Derivative Works thereof.\n\n\n2. Grant of License to Modifications From Contributor. \"Modifications\" means any additions to or deletions from the\nsubstance or structure of (i) a file containing Licensed Product, or (ii) any new file that contains any part of\nLicensed Product. Hereinafter in this License, the term \"Licensed Product\" shall include all previous Modifications\nthat you receive from any Contributor. By application of the provisions in Section 4(a) below, each person or entity\nwho created or contributed to the creation of, and distributed, a Modification (a \"Contributor\") hereby grants you a\nworld-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, to do the\nfollowing:\n\n   1. Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created by such\nContributor or portions thereof, in both Source Code or as an executable program, either on an unmodified basis or as\npart of Derivative Works.\n\n   2. Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, sell, offer for\nsale, have made, and/or otherwise dispose of Modifications or portions thereof, but solely to the extent that any\nsuch claim is necessary to enable you to make, use, sell, offer for sale, have made, and/or otherwise dispose of\nModifications or portions thereof or Derivative Works thereof.\n\n\n3.	  Exclusions From License Grant.  Nothing in this License shall be deemed to grant any rights to trademarks,\ncopyrights, patents, trade secrets or any other intellectual property of Licensor or any Contributor except as\nexpressly stated herein. No patent license is granted separate from the Licensed Product, for code that you delete\nfrom the Licensed Product, or for combinations of the Licensed Product with other software or hardware.  No right is\ngranted to the trademarks of Licensor or any Contributor even if such marks are included in the Licensed Product.\nNothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this\nLicense any code that Licensor otherwise would have a right to license.\n\n\n4.	  Your Obligations Regarding Distribution.\n\na.	   Application of This License to Your Modifications.  As an express condition for your use of the Licensed\nProduct, you hereby agree that any Modifications that you create or to which you contribute, and which you\ndistribute, are governed by the terms of this License including, without limitation, Section 2.  Any Modifications\nthat you create or to which you contribute may be distributed only under the terms of this License or a future\nversion of this License released under Section 7.  You must include a copy of this License with every copy of the\nModifications you distribute.  You agree not to offer or impose any terms on any Source Code or executable version of\nthe Licensed Product or Modifications that alter or restrict the applicable version of this License or the\nrecipients' rights hereunder. However, you may include an additional document offering the additional rights\ndescribed in Section 4(d).\n\nb.	   Availability of Source Code.  You must make available, under the terms of this License, the Source Code of\nthe Licensed Product and any Modifications that you distribute, either on the same media as you distribute any\nexecutable or other form of the Licensed Product, or via a mechanism generally accepted in the software development\ncommunity for the electronic transfer of data (an \"Electronic Distribution Mechanism\").  The Source Code for any\nversion of Licensed Product or Modifications that you distribute must remain available for at least twelve (12)\nmonths after the date it initially became available, or at least six (6) months after a subsequent version of said\nLicensed Product or Modifications has been made available.  You are responsible for ensuring that the Source Code\nversion remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\nc.	   Intellectual Property Matters.\n\n								i.			Third Party Claims.  If you have knowledge that a license to a third\nparty's intellectual property right is required to exercise the rights granted by this License, you must include a\ntext file with the Source Code distribution titled \"LEGAL\" that describes the claim and the party making the claim in\nsufficient detail that a recipient will know whom to contact.  If you obtain such knowledge after you make any\nModifications available as described in Section 4(b), you shall promptly modify the LEGAL file in all copies you make\navailable thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups)\nreasonably calculated to inform those who received the Licensed Product from you that new knowledge has been\nobtained.\n\n							   ii.			Contributor APIs.  If your Modifications include an application\nprogramming interface (\"API\") and you have knowledge of patent licenses that are reasonably necessary to implement\nthat API, you must also include this information in the LEGAL file.\n\n							  iii.			Representations.  You represent that, except as disclosed pursuant to\n4(c)(i) above, you believe that any Modifications you distribute are your original creations and that you have\nsufficient rights to grant the rights conveyed by this License.\n\nd.	   Required Notices.  You must duplicate this License in any documentation you provide along with the Source\nCode of any Modifications you create or to which you contribute, and which you distribute, wherever you describe\nrecipients' rights relating to Licensed Product.  You must duplicate the notice contained in Exhibit A (the \"Notice\")\nin each file of the Source Code of any copy you distribute of the Licensed Product. If you created a Modification,\nyou may add your name as a Contributor to the Notice.  If it is not possible to put the Notice in a particular Source\nCode file due to its structure, then you must include such Notice in a location (such as a relevant directory file)\nwhere a user would be likely to look for such a notice.  You may choose to offer, and charge a fee for, warranty,\nsupport, indemnity or liability obligations to one or more recipients of Licensed Product. However, you may do so\nonly on your own behalf, and not on behalf of the Licensor or any Contributor.  You must make it clear that any such\nwarranty, support, indemnity or liability obligation is offered by you alone, and you hereby agree to indemnify the\nLicensor and every Contributor for any liability incurred by the Licensor or such Contributor as a result of\nwarranty, support, indemnity or liability terms you offer.\n\ne.		Distribution of Executable Versions.  You may distribute Licensed Product as an executable program under a\nlicense of your choice that may contain terms different from this License provided (i) you have satisfied the\nrequirements of Sections 4(a) through 4(d) for that distribution, (ii) you include a conspicuous notice in the\nexecutable version, related documentation and collateral materials stating that the Source Code version of the\nLicensed Product is available under the terms of this License, including a description of how and where you have\nfulfilled the obligations of Section 4(b), and (iii) you make it clear that any terms that differ from this License\nare offered by you alone, not by Licensor or any Contributor.  You hereby agree to indemnify the Licensor and every\nContributor for any liability incurred by Licensor or such Contributor as a result of any terms you offer.\n\nf.	   Distribution of Derivative Works.  You may create Derivative Works (e.g., combinations of some or all of the\nLicensed Product with other code) and distribute the Derivative Works as products under any other license you select,\nwith the proviso that the requirements of this License are fulfilled for those portions of the Derivative Works that\nconsist of the Licensed Product or any Modifications thereto.\n\n\n5.	  Inability to Comply Due to Statute or Regulation.  If it is impossible for you to comply with any of the\nterms of this License with respect to some or all of the Licensed Product due to statute, judicial order, or\nregulation, then you must (i) comply with the terms of this License to the maximum extent possible, (ii) cite the\nstatute or regulation that prohibits you from adhering to the License, and (iii) describe the limitations and the\ncode they affect. Such description must be included in the LEGAL file described in Section 4(d), and must be included\nwith all distributions of the Source Code.  Except to the extent prohibited by statute or regulation, such\ndescription must be sufficiently detailed for a recipient of ordinary skill at computer programming to be able to\nunderstand it.\n\n\n6.	  Application of This License.  This License applies to code to which Licensor or Contributor has attached the\nNotice in Exhibit A, which is incorporated herein by this reference.\n\n\n7.	  Versions of This License.\n\na.	   New Versions.  Licensor may publish from time to time revised and/or new versions of the License.\n\nb.	   Effect of New Versions.  Once Licensed Product has been published under a particular version of the License,\nyou may always continue to use it under the terms of that version.  You may also choose to use such Licensed Product\nunder the terms of any subsequent version of the License published by Licensor.  No one other than Licensor has the\nright to modify the terms applicable to Licensed Product created under this License.\n\nc.	   Derivative Works of this License.  If you create or use a modified version of this License, which you may do\nonly in order to apply it to software that is not already a Licensed Product under this License, you must rename your\nlicense so that it is not confusingly similar to this License, and must make it clear that your license contains\nterms that differ from this License.  In so naming your license, you may not use any trademark of Licensor or any\nContributor.\n\n\n8.	  Disclaimer of Warranty.  LICENSED PRODUCT IS PROVIDED UNDER THIS LICENSE ON AN AS IS BASIS, WITHOUT WARRANTY\nOF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE LICENSED PRODUCT IS FREE\nOF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND\nPERFORMANCE OF THE LICENSED PRODUCT IS WITH YOU.  SHOULD LICENSED PRODUCT PROVE DEFECTIVE IN ANY RESPECT, YOU (AND\nNOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION.  THIS\nDISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF LICENSED PRODUCT IS AUTHORIZED\nHEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n\n9.	  Termination.\n\na.	   Automatic Termination Upon Breach.  This license and the rights granted hereunder will terminate\nautomatically if you fail to comply with the terms herein and fail to cure such breach within thirty (30) days of\nbecoming aware of the breach.  All sublicenses to the Licensed Product that are properly granted shall survive any\ntermination of this license.  Provisions that, by their nature, must remain in effect beyond the termination of this\nLicense, shall survive.\n\nb.	   Termination Upon Assertion of Patent Infringement.  If you initiate litigation by asserting a patent\ninfringement claim (excluding declaratory judgment actions) against Licensor or a Contributor (Licensor or\nContributor against whom you file such an action is referred to herein as Respondent) alleging that Licensed Product\ndirectly or indirectly infringes any patent, then any and all rights granted by such Respondent to you under Sections\n1 or 2 of this License shall terminate prospectively upon sixty (60) days notice from Respondent (the \"Notice\nPeriod\") unless within that Notice Period you either agree in writing (i) to pay Respondent a mutually agreeable\nreasonably royalty for your past or future use of Licensed Product made by such Respondent, or (ii) withdraw your\nlitigation claim with respect to Licensed Product against such Respondent.  If within said Notice Period a reasonable\nroyalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not\nwithdrawn, the rights granted by Licensor to you under Sections 1 and 2 automatically terminate at the expiration of\nsaid Notice Period.\n\nc.	   Reasonable Value of This License.  If you assert a patent infringement claim against Respondent alleging\nthat Licensed Product directly or indirectly infringes any patent where such claim is resolved (such as by license or\nsettlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses\ngranted by said Respondent under Sections 1 and 2 shall be taken into account in determining the amount or value of\nany payment or license.\n\nd.	   No Retroactive Effect of Termination.  In the event of termination under Sections 9(a) or 9(b) above, all\nend user license agreements (excluding licenses to distributors and resellers) that have been validly granted by you\nor any distributor hereunder prior to termination shall survive termination.\n\n\n10.  Limitation of Liability.  UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE),\nCONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF LICENSED PRODUCT, OR ANY SUPPLIER\nOF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF\nANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR\nMALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE\nPOSSIBILITY OF SUCH DAMAGES.  THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY\nRESULTING FROM SUCH PARTYS NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.  SOME JURISDICTIONS DO\nNOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY\nNOT APPLY TO YOU.\n\n\n11.  Responsibility for Claims.  As between Licensor and Contributors, each party is responsible for claims and\ndamages arising, directly or indirectly, out of its utilization of rights under this License.  You agree to work with\nLicensor and Contributors to distribute such responsibility on an equitable basis.  Nothing herein is intended or\nshall be deemed to constitute any admission of liability.\n\n\n12.  U.S. Government End Users.  The Licensed Product is a commercial item, as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of commercial computer software and commercial computer software documentation, as such\nterms are used in 48 C.F.R. 12.212 (Sept. 1995).  Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Licensed Product with only those rights set forth\nherein.\n\n\n13.  Miscellaneous.  This License represents the complete agreement concerning the subject matter hereof.  If any\nprovision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary\nto make it enforceable.  This License shall be governed by California law provisions (except to the extent applicable\nlaw, if any, provides otherwise), excluding its conflict-of-law provisions.  You expressly agree that any litigation\nrelating to this license shall be subject to the jurisdiction of the Federal Courts of the Northern District of\nCalifornia or the Superior Court of the County of Santa Clara, California (as appropriate), with venue lying in Santa\nClara County, California, with the losing party responsible for costs including, without limitation, court costs and\nreasonable attorneys fees and expenses.  The application of the United Nations Convention on Contracts for the\nInternational Sale of Goods is expressly excluded.  You and Licensor expressly waive any rights to a jury trial in\nany litigation concerning Licensed Product or this License.  Any law or regulation that provides that the language of\na contract shall be consTrued against the drafter shall not apply to this License.\n\n\n14.  Definition of You in This License. You throughout this License, whether in upper or lower case, means an\nindividual or a legal entity exercising rights under, and complying with all of the terms of, this License or a\nfuture version of this License issued under Section 7.  For legal entities, you includes any entity that controls, is\ncontrolled by, or is under common control with you.  For purposes of this definition, control means (i) the power,\ndirect or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii)\nownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n\n15.  Glossary.  All defined terms in this License that are used in more than one Section of this License are repeated\nhere, in alphabetical order, for the convenience of the reader.  The Section of this License in which each defined\nterm is first used is shown in parentheses.\n\nContributor:  Each person or entity who created or contributed to the creation of, and distributed, a Modification.\n(See Section 2)\n\nDerivative Works: That term as used in this License is defined under U.S. copyright law.  (See Section 1(b))\n\nLicense:  This BitTorrent Open Source License.  (See first paragraph of License)\n\nLicensed Product:  Any BitTorrent Product licensed pursuant to this License.  The term \"Licensed Product\" includes\nall previous Modifications from any Contributor that you receive.  (See first paragraph of License and Section 2)\n\nLicensor:  BitTorrent, Inc.  (See first paragraph of License)\n\nModifications:  Any additions to or deletions from the substance or structure of (i) a file containing Licensed\nProduct, or (ii) any new file that contains any part of Licensed Product.  (See Section 2)\n\nNotice:  The notice contained in Exhibit A.  (See Section 4(e))\n\nSource Code: The preferred form for making modifications to the Licensed Product, including all modules contained\ntherein, plus any associated interface definition files, scripts used to control compilation and installation of an\nexecutable program, or a list of differential comparisons against the Source Code of the Licensed Product.  (See\nSection 1(a))\n\nYou:  This term is defined in Section 14 of this License.\n\n\nEXHIBIT A\n\nThe Notice below must appear in each file of the Source Code of any copy you distribute of the Licensed Product or\nany hereto.  Contributors to any Modifications may add their own copyright notices to identify their own\ncontributions.\n\nLicense:\n\nThe contents of this file are subject to the BitTorrent Open Source License Version 1.0 (the License).  You may not\ncopy or use this file, in either source code or executable form, except in compliance with the License.  You may\nobtain a copy of the License at http://www.bittorrent.com/license/.\n\nSoftware distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND, either express\nor implied.  See the License for the specific language governing rights and limitations under the License.\n"
		self.standardLicenseHeaderTemplate = "The contents of this file are subject to the BitTorrent Open Source License Version 1.0 (the License). You may not copy or use this file, in either source code or executable form, except in compliance with the License. You may obtain a copy of the License at http://www.bittorrent.com/license/.\n\nSoftware distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>BitTorrent Open Source License\n\nVersion 1.0\n\n<<endOptional>>\n\nThis BitTorrent Open Source License (the \"License\") applies to the BitTorrent client and related software products as well as any updates or maintenance releases of that software (\"BitTorrent Products\") that are distributed by BitTorrent, Inc. (\"Licensor\"). Any BitTorrent Product licensed pursuant to this License is a Licensed Product. Licensed Product, in its entirety, is protected by U.S. copyright law. This License identifies the terms under which you may use, copy, distribute or modify Licensed Product.\n\nPreamble\n\nThis Preamble is intended to describe, in plain English, the nature and scope of this License. However, this Preamble is not a part of this license. The legal effect of this License is dependent only upon the terms of the License and not this Preamble.\n\nThis License complies with the Open Source Definition and is derived from the Jabber Open Source License 1.0 (the \"JOSL\"), which has been approved by Open Source Initiative. Sections 4(c) and 4(f)(iii) from the JOSL have been dropped.\n\nThis License provides that:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may use, sell or give away the Licensed Product, alone or as a component of an aggregate software distribution containing programs from several different sources. No royalty or other fee is required.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Both Source Code and executable versions of the Licensed Product, including Modifications made by previous Contributors, are available for your use. (The terms \"Licensed Product,\" \"Modifications,\" \"Contributors\" and \"Source Code\" are defined in the License.)\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You are allowed to make Modifications to the Licensed Product, and you can create Derivative Works from it. (The term \"Derivative Works\" is defined in the License.)\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> By accepting the Licensed Product under the provisions of this License, you agree that any Modifications you make to the Licensed Product and then distribute are governed by the provisions of this License. In particular, you must make the Source Code of your Modifications available to others.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may use the Licensed Product for any purpose, but the Licensor is not providing you any warranty whatsoever, nor is the Licensor accepting any liability in the event that the Licensed Product doesn't work properly or causes you any injury or damages.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> If you sublicense the Licensed Product or Derivative Works, you may charge fees for warranty or support, or for accepting indemnity or liability obligations to your customers. You cannot charge for the Source Code.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> If you assert any patent claims against the Licensor relating to the Licensed Product, or if you breach any terms of the License, your rights to the Licensed Product under this License automatically terminate.\n\nYou may use this License to distribute your own Derivative Works, in which case the provisions of this License will apply to your Derivative Works just as they do to the original Licensed Product.\n\nAlternatively, you may distribute your Derivative Works under any other OSI-approved Open Source license, or under a proprietary license of your choice. If you use any license other than this License, however, you must continue to fulfill the requirements of this License (including the provisions relating to publishing the Source Code) for those portions of your Derivative Works that consist of the Licensed Product, including the files containing Modifications.\n\nNew versions of this License may be published from time to time. You may choose to continue to use the license terms in this version of the License or those from the new version. However, only the Licensor has the right to change the License terms as they apply to the Licensed Product.\n\nThis License relies on precise definitions for certain terms. Those terms are defined when they are first used, and the definitions are repeated for your convenience in a Glossary at the end of the License.\n\nLicense Terms\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Grant of License From Licensor. Licensor hereby grants you a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, to do the following:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created by such Contributor or portions thereof, in both Source Code or as an executable program, either on an unmodified basis or as part of Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof, but solely to the extent that any such claim is necessary to enable you to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof or Derivative Works thereof.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Grant of License to Modifications From Contributor. \"Modifications\" means any additions to or deletions from the substance or structure of (i) a file containing Licensed Product, or (ii) any new file that contains any part of Licensed Product. Hereinafter in this License, the term \"Licensed Product\" shall include all previous Modifications that you receive from any Contributor. By application of the provisions in Section 4(a) below, each person or entity who created or contributed to the creation of, and distributed, a Modification (a \"Contributor\") hereby grants you a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, to do the following:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created by such Contributor or portions thereof, in both Source Code or as an executable program, either on an unmodified basis or as part of Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof, but solely to the extent that any such claim is necessary to enable you to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof or Derivative Works thereof.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor or any Contributor except as expressly stated herein. No patent license is granted separate from the Licensed Product, for code that you delete from the Licensed Product, or for combinations of the Licensed Product with other software or hardware. No right is granted to the trademarks of Licensor or any Contributor even if such marks are included in the Licensed Product. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any code that Licensor otherwise would have a right to license.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Your Obligations Regarding Distribution.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Application of This License to Your Modifications. As an express condition for your use of the Licensed Product, you hereby agree that any Modifications that you create or to which you contribute, and which you distribute, are governed by the terms of this License including, without limitation, Section 2. Any Modifications that you create or to which you contribute may be distributed only under the terms of this License or a future version of this License released under Section 7. You must include a copy of this License with every copy of the Modifications you distribute. You agree not to offer or impose any terms on any Source Code or executable version of the Licensed Product or Modifications that alter or restrict the applicable version of this License or the recipients' rights hereunder. However, you may include an additional document offering the additional rights described in Section 4(d).\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Availability of Source Code. You must make available, under the terms of this License, the Source Code of the Licensed Product and any Modifications that you distribute, either on the same media as you distribute any executable or other form of the Licensed Product, or via a mechanism generally accepted in the software development community for the electronic transfer of data (an \"Electronic Distribution Mechanism\"). The Source Code for any version of Licensed Product or Modifications that you distribute must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of said Licensed Product or Modifications has been made available. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Intellectual Property Matters.\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Third Party Claims. If you have knowledge that a license to a third party's intellectual property right is required to exercise the rights granted by this License, you must include a text file with the Source Code distribution titled \"LEGAL\" that describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after you make any Modifications available as described in Section 4(b), you shall promptly modify the LEGAL file in all copies you make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Licensed Product from you that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Contributor APIs. If your Modifications include an application programming interface (\"API\") and you have knowledge of patent licenses that are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Representations. You represent that, except as disclosed pursuant to 4(c)(i) above, you believe that any Modifications you distribute are your original creations and that you have sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Required Notices. You must duplicate this License in any documentation you provide along with the Source Code of any Modifications you create or to which you contribute, and which you distribute, wherever you describe recipients' rights relating to Licensed Product. You must duplicate the notice contained in Exhibit A (the \"Notice\") in each file of the Source Code of any copy you distribute of the Licensed Product. If you created a Modification, you may add your name as a Contributor to the Notice. If it is not possible to put the Notice in a particular Source Code file due to its structure, then you must include such Notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Licensed Product. However, you may do so only on your own behalf, and not on behalf of the Licensor or any Contributor. You must make it clear that any such warranty, support, indemnity or liability obligation is offered by you alone, and you hereby agree to indemnify the Licensor and every Contributor for any liability incurred by the Licensor or such Contributor as a result of warranty, support, indemnity or liability terms you offer.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Licensed Product as an executable program under a license of your choice that may contain terms different from this License provided (i) you have satisfied the requirements of Sections 4(a) through 4(d) for that distribution, (ii) you include a conspicuous notice in the executable version, related documentation and collateral materials stating that the Source Code version of the Licensed Product is available under the terms of this License, including a description of how and where you have fulfilled the obligations of Section 4(b), and (iii) you make it clear that any terms that differ from this License are offered by you alone, not by Licensor or any Contributor. You hereby agree to indemnify the Licensor and every Contributor for any liability incurred by Licensor or such Contributor as a result of any terms you offer.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Distribution of Derivative Works. You may create Derivative Works (e.g., combinations of some or all of the Licensed Product with other code) and distribute the Derivative Works as products under any other license you select, with the proviso that the requirements of this License are fulfilled for those portions of the Derivative Works that consist of the Licensed Product or any Modifications thereto.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation. If it is impossible for you to comply with any of the terms of this License with respect to some or all of the Licensed Product due to statute, judicial order, or regulation, then you must (i) comply with the terms of this License to the maximum extent possible, (ii) cite the statute or regulation that prohibits you from adhering to the License, and (iii) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 4(d), and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill at computer programming to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Application of This License. This License applies to code to which Licensor or Contributor has attached the Notice in Exhibit A, which is incorporated herein by this reference.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Versions of This License.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> New Versions. Licensor may publish from time to time revised and/or new versions of the License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Effect of New Versions. Once Licensed Product has been published under a particular version of the License, you may always continue to use it under the terms of that version. You may also choose to use such Licensed Product under the terms of any subsequent version of the License published by Licensor. No one other than Licensor has the right to modify the terms applicable to Licensed Product created under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Derivative Works of this License. If you create or use a modified version of this License, which you may do only in order to apply it to software that is not already a Licensed Product under this License, you must rename your license so that it is not confusingly similar to this License, and must make it clear that your license contains terms that differ from this License. In so naming your license, you may not use any trademark of Licensor or any Contributor.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Disclaimer of Warranty. LICENSED PRODUCT IS PROVIDED UNDER THIS LICENSE ON AN AS IS BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE LICENSED PRODUCT IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED PRODUCT IS WITH YOU. SHOULD LICENSED PRODUCT PROVE DEFECTIVE IN ANY RESPECT, YOU (AND NOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF LICENSED PRODUCT IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Termination.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Automatic Termination Upon Breach. This license and the rights granted hereunder will terminate automatically if you fail to comply with the terms herein and fail to cure such breach within thirty (30) days of becoming aware of the breach. All sublicenses to the Licensed Product that are properly granted shall survive any termination of this license. Provisions that, by their nature, must remain in effect beyond the termination of this License, shall survive.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Termination Upon Assertion of Patent Infringement. If you initiate litigation by asserting a patent infringement claim (excluding declaratory judgment actions) against Licensor or a Contributor (Licensor or Contributor against whom you file such an action is referred to herein as Respondent) alleging that Licensed Product directly or indirectly infringes any patent, then any and all rights granted by such Respondent to you under Sections 1 or 2 of this License shall terminate prospectively upon sixty (60) days notice from Respondent (the \"Notice Period\") unless within that Notice Period you either agree in writing (i) to pay Respondent a mutually agreeable reasonably royalty for your past or future use of Licensed Product made by such Respondent, or (ii) withdraw your litigation claim with respect to Licensed Product against such Respondent. If within said Notice Period a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Licensor to you under Sections 1 and 2 automatically terminate at the expiration of said Notice Period.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Reasonable Value of This License. If you assert a patent infringement claim against Respondent alleging that Licensed Product directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by said Respondent under Sections 1 and 2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No Retroactive Effect of Termination. In the event of termination under Sections 9(a) or 9(b) above, all end user license agreements (excluding licenses to distributors and resellers) that have been validly granted by you or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF LICENSED PRODUCT, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY\n\n   RESULTING FROM SUCH PARTYS NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Responsibility for Claims. As between Licensor and Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License. You agree to work with Licensor and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or\n\n   shall be deemed to constitute any admission of liability.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> U.S. Government End Users. The Licensed Product is a commercial item, as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of commercial computer software and commercial computer software documentation, as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Licensed Product with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Miscellaneous. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. You expressly agree that any litigation relating to this license shall be subject to the jurisdiction of the Federal Courts of the Northern District of California or the Superior Court of the County of Santa Clara, California (as appropriate), with venue lying in Santa Clara County, California, with the losing party responsible for costs including, without limitation, court costs and reasonable attorneys fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. You and Licensor expressly waive any rights to a jury trial in any litigation concerning Licensed Product or this License. Any law or regulation that provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Definition of You in This License. You throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 7. For legal entities, you includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, control means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Glossary. All defined terms in this License that are used in more than one Section of this License are repeated here, in alphabetical order, for the convenience of the reader. The Section of this License in which each defined term is first used is shown in parentheses.\n\n   Contributor: Each person or entity who created or contributed to the creation of, and distributed, a Modification. (See Section 2)\n\n   Derivative Works: That term as used in this License is defined under U.S. copyright law. (See Section 1(b))\n\n   License: This BitTorrent Open Source License. (See first paragraph of License)\n\n   Licensed Product: Any BitTorrent Product licensed pursuant to this License. The term \"Licensed Product\" includes all previous Modifications from any Contributor that you receive. (See first paragraph of License and Section 2)\n\n   Licensor: BitTorrent, Inc. (See first paragraph of License)\n\n   Modifications: Any additions to or deletions from the substance or structure of (i) a file containing Licensed Product, or (ii) any new file that contains any part of Licensed Product. (See Section 2)\n\n   Notice: The notice contained in Exhibit A. (See Section 4(e))\n\n   Source Code: The preferred form for making modifications to the Licensed Product, including all modules contained therein, plus any associated interface definition files, scripts used to control compilation and installation of an executable program, or a list of differential comparisons against the Source Code of the Licensed Product. (See\n\n   Section 1(a))\n\n   You: This term is defined in Section 14 of this License.\n\n   <<beginOptional>>EXHIBIT A\n\nThe Notice below must appear in each file of the Source Code of any copy you distribute of the Licensed Product or any hereto. Contributors to any Modifications may add their own copyright notices to identify their own contributions.\n\nLicense:\n\nThe contents of this file are subject to the BitTorrent Open Source License Version 1.0 (the License). You may not copy or use this file, in either source code or executable form, except in compliance with the License. You may obtain a copy of the License at http://www.bittorrent.com/license/.\n\nSoftware distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\n<<endOptional>>"
		self.name = "BitTorrent Open Source License v1.0"
		self.licenseId = "BitTorrent-1.0"
		self.standardLicenseHeader = "The contents of this file are subject to the BitTorrent Open Source License Version 1.0 (the License). You may not copy or use this file, in either source code or executable form, except in compliance with the License. You may obtain a copy of the License at http://www.bittorrent.com/license/.\n\nSoftware distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\n"
		self.crossRef = [{"match": "False", "url": "http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/licenses/BitTorrent?r1=1.1&r2=1.1.1.1&diff_format=s", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:37Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/licenses/BitTorrent?r1=1.1&r2=1.1.1.1&diff_format=s"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>BitTorrent Open Source License\n		<br />\n\nVersion 1.0\n	  </p>\n\n	  </div>\n\n	  <p>This BitTorrent Open Source License (the &quot;License&quot;) applies to the BitTorrent client and\n		 related software products as well as any updates or maintenance releases of that software\n		 (&quot;BitTorrent Products&quot;) that are distributed by BitTorrent, Inc. (&quot;Licensor&quot;). Any\n		 BitTorrent Product licensed pursuant to this License is a Licensed Product. Licensed Product, in its\n		 entirety, is protected by U.S. copyright law. This License identifies the terms under which you may\n		 use, copy, distribute or modify Licensed Product.</p>\n\n	  <p>Preamble</p>\n\n	  <p>This Preamble is intended to describe, in plain English, the nature and scope of this License. However,\n		 this Preamble is not a part of this license. The legal effect of this License is dependent only upon\n		 the terms of the License and not this Preamble.</p>\n\n	  <p>This License complies with the Open Source Definition and is derived from the Jabber Open Source License\n		 1.0 (the &quot;JOSL&quot;), which has been approved by Open Source Initiative. Sections 4(c) and\n		 4(f)(iii) from the JOSL have been dropped.</p>\n\n	  <p>This License provides that:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may use, sell or give away the Licensed Product, alone or as a component of an aggregate\n			 software distribution containing programs from several different sources. No royalty or other\n			 fee is required.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Both Source Code and executable versions of the Licensed Product, including Modifications made by\n			 previous Contributors, are available for your use. (The terms &quot;Licensed Product,&quot;\n			 &quot;Modifications,&quot; &quot;Contributors&quot; and &quot;Source Code&quot; are defined in\n			 the License.)\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You are allowed to make Modifications to the Licensed Product, and you can create Derivative\n			 Works from it. (The term &quot;Derivative Works&quot; is defined in the License.)\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  By accepting the Licensed Product under the provisions of this License, you agree that any\n			 Modifications you make to the Licensed Product and then distribute are governed by the\n			 provisions of this License. In particular, you must make the Source Code of your Modifications\n			 available to others.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may use the Licensed Product for any purpose, but the Licensor is not providing you any\n			 warranty whatsoever, nor is the Licensor accepting any liability in the event that the\n			 Licensed Product doesn&apos;t work properly or causes you any injury or damages.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  If you sublicense the Licensed Product or Derivative Works, you may charge fees for warranty or\n			 support, or for accepting indemnity or liability obligations to your customers. You cannot\n			 charge for the Source Code.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  If you assert any patent claims against the Licensor relating to the Licensed Product, or if you\n			 breach any terms of the License, your rights to the Licensed Product under this License\n			 automatically terminate.\n		</li>\n	  \n</ul>\n	  <p>You may use this License to distribute your own Derivative Works, in which case the provisions of this\n		 License will apply to your Derivative Works just as they do to the original Licensed Product.</p>\n\n	  <p>Alternatively, you may distribute your Derivative Works under any other OSI-approved Open Source license,\n		 or under a proprietary license of your choice. If you use any license other than this License,\n		 however, you must continue to fulfill the requirements of this License (including the provisions\n		 relating to publishing the Source Code) for those portions of your Derivative Works that consist of\n		 the Licensed Product, including the files containing Modifications.</p>\n\n	  <p>New versions of this License may be published from time to time. You may choose to continue to use the\n		 license terms in this version of the License or those from the new version. However, only the Licensor\n		 has the right to change the License terms as they apply to the Licensed Product.</p>\n\n	  <p>This License relies on precise definitions for certain terms. Those terms are defined when they are first\n		 used, and the definitions are repeated for your convenience in a Glossary at the end of the\n		 License.</p>\n\n	  <p>License Terms</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Grant of License From Licensor. Licensor hereby grants you a world-wide, royalty-free,\n			 non-exclusive license, subject to third party intellectual property claims, to do the\n			 following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created\n			   by such Contributor or portions thereof, in both Source Code or as an executable program,\n			   either on an unmodified basis or as part of Derivative Works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Under claims of patents now or hereafter owned or controlled by Contributor, to make, use,\n			   sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions\n			   thereof, but solely to the extent that any such claim is necessary to enable you to make,\n			   use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or\n			   portions thereof or Derivative Works thereof.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Grant of License to Modifications From Contributor. &quot;Modifications&quot; means any additions\n			 to or deletions from the substance or structure of (i) a file containing Licensed Product, or\n			 (ii) any new file that contains any part of Licensed Product. Hereinafter in this License, the\n			 term &quot;Licensed Product&quot; shall include all previous Modifications that you receive\n			 from any Contributor. By application of the provisions in Section 4(a) below, each person or\n			 entity who created or contributed to the creation of, and distributed, a Modification (a\n			 &quot;Contributor&quot;) hereby grants you a world-wide, royalty-free, non-exclusive license,\n			 subject to third party intellectual property claims, to do the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created\n			   by such Contributor or portions thereof, in both Source Code or as an executable program,\n			   either on an unmodified basis or as part of Derivative Works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Under claims of patents now or hereafter owned or controlled by Contributor, to make, use,\n			   sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions\n			   thereof, but solely to the extent that any such claim is necessary to enable you to make,\n			   use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or\n			   portions thereof or Derivative Works thereof.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to\n			 trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor\n			 or any Contributor except as expressly stated herein. No patent license is granted separate\n			 from the Licensed Product, for code that you delete from the Licensed Product, or for\n			 combinations of the Licensed Product with other software or hardware. No right is granted to\n			 the trademarks of Licensor or any Contributor even if such marks are included in the Licensed\n			 Product. Nothing in this License shall be interpreted to prohibit Licensor from licensing\n			 under different terms from this License any code that Licensor otherwise would have a right to\n			 license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Your Obligations Regarding Distribution.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Application of This License to Your Modifications. As an express condition for your use of\n			   the Licensed Product, you hereby agree that any Modifications that you create or to which\n			   you contribute, and which you distribute, are governed by the terms of this License\n			   including, without limitation, Section 2. Any Modifications that you create or to which\n			   you contribute may be distributed only under the terms of this License or a future version\n			   of this License released under Section 7. You must include a copy of this License with\n			   every copy of the Modifications you distribute. You agree not to offer or impose any terms\n			   on any Source Code or executable version of the Licensed Product or Modifications that\n			   alter or restrict the applicable version of this License or the recipients&apos; rights\n			   hereunder. However, you may include an additional document offering the additional rights\n			   described in Section 4(d).\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Availability of Source Code. You must make available, under the terms of this License, the\n			   Source Code of the Licensed Product and any Modifications that you distribute, either on\n			   the same media as you distribute any executable or other form of the Licensed Product, or\n			   via a mechanism generally accepted in the software development community for the\n			   electronic transfer of data (an &quot;Electronic Distribution Mechanism&quot;). The Source\n			   Code for any version of Licensed Product or Modifications that you distribute must remain\n			   available for at least twelve (12) months after the date it initially became available, or\n			   at least six (6) months after a subsequent version of said Licensed Product or\n			   Modifications has been made available. You are responsible for ensuring that the Source\n			   Code version remains available even if the Electronic Distribution Mechanism is maintained\n			   by a third party.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Intellectual Property Matters.\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Third Party Claims. If you have knowledge that a license to a third party&apos;s\n				 intellectual property right is required to exercise the rights granted by this\n				 License, you must include a text file with the Source Code distribution titled\n				 &quot;LEGAL&quot; that describes the claim and the party making the claim in\n				 sufficient detail that a recipient will know whom to contact. If you obtain such\n				 knowledge after you make any Modifications available as described in Section 4(b),\n				 you shall promptly modify the LEGAL file in all copies you make available thereafter\n				 and shall take other steps (such as notifying appropriate mailing lists or newsgroups)\n				 reasonably calculated to inform those who received the Licensed Product from you that\n				 new knowledge has been obtained.\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Contributor APIs. If your Modifications include an application programming interface\n				 (&quot;API&quot;) and you have knowledge of patent licenses that are reasonably\n				 necessary to implement that API, you must also include this information in the LEGAL\n				 file.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> iii.</var>\n			  Representations. You represent that, except as disclosed pursuant to 4(c)(i) above, you\n				 believe that any Modifications you distribute are your original creations and that you\n				 have sufficient rights to grant the rights conveyed by this License.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			Required Notices. You must duplicate this License in any documentation you provide along with\n			   the Source Code of any Modifications you create or to which you contribute, and which you\n			   distribute, wherever you describe recipients&apos; rights relating to Licensed Product.\n			   You must duplicate the notice contained in Exhibit A (the &quot;Notice&quot;) in each file\n			   of the Source Code of any copy you distribute of the Licensed Product. If you created a\n			   Modification, you may add your name as a Contributor to the Notice. If it is not possible\n			   to put the Notice in a particular Source Code file due to its structure, then you must\n			   include such Notice in a location (such as a relevant directory file) where a user would\n			   be likely to look for such a notice. You may choose to offer, and charge a fee for,\n			   warranty, support, indemnity or liability obligations to one or more recipients of\n			   Licensed Product. However, you may do so only on your own behalf, and not on behalf of the\n			   Licensor or any Contributor. You must make it clear that any such warranty, support,\n			   indemnity or liability obligation is offered by you alone, and you hereby agree to\n			   indemnify the Licensor and every Contributor for any liability incurred by the Licensor or\n			   such Contributor as a result of warranty, support, indemnity or liability terms you\n			   offer.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			Distribution of Executable Versions. You may distribute Licensed Product as an executable\n			   program under a license of your choice that may contain terms different from this License\n			   provided (i) you have satisfied the requirements of Sections 4(a) through 4(d) for that\n			   distribution, (ii) you include a conspicuous notice in the executable version, related\n			   documentation and collateral materials stating that the Source Code version of the Licensed\n			   Product is available under the terms of this License, including a description of how and\n			   where you have fulfilled the obligations of Section 4(b), and (iii) you make it clear that\n			   any terms that differ from this License are offered by you alone, not by Licensor or any\n			   Contributor. You hereby agree to indemnify the Licensor and every Contributor for any\n			   liability incurred by Licensor or such Contributor as a result of any terms you offer.\n\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			Distribution of Derivative Works. You may create Derivative Works (e.g., combinations of some\n			   or all of the Licensed Product with other code) and distribute the Derivative Works as\n			   products under any other license you select, with the proviso that the requirements of\n			   this License are fulfilled for those portions of the Derivative Works that consist of the\n			   Licensed Product or any Modifications thereto.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Inability to Comply Due to Statute or Regulation. If it is impossible for you to comply with any\n			 of the terms of this License with respect to some or all of the Licensed Product due to\n			 statute, judicial order, or regulation, then you must (i) comply with the terms of this\n			 License to the maximum extent possible, (ii) cite the statute or regulation that prohibits you\n			 from adhering to the License, and (iii) describe the limitations and the code they affect.\n			 Such description must be included in the LEGAL file described in Section 4(d), and must be\n			 included with all distributions of the Source Code. Except to the extent prohibited by statute\n			 or regulation, such description must be sufficiently detailed for a recipient of ordinary\n			 skill at computer programming to be able to understand it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Application of This License. This License applies to code to which Licensor or Contributor has\n			 attached the Notice in Exhibit A, which is incorporated herein by this reference.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Versions of This License.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			New Versions. Licensor may publish from time to time revised and/or new versions of the License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Effect of New Versions. Once Licensed Product has been published under a particular version\n			   of the License, you may always continue to use it under the terms of that version. You may\n			   also choose to use such Licensed Product under the terms of any subsequent version of the\n			   License published by Licensor. No one other than Licensor has the right to modify the\n			   terms applicable to Licensed Product created under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Derivative Works of this License. If you create or use a modified version of this License,\n			   which you may do only in order to apply it to software that is not already a Licensed\n			   Product under this License, you must rename your license so that it is not confusingly\n			   similar to this License, and must make it clear that your license contains terms that\n			   differ from this License. In so naming your license, you may not use any trademark of\n			   Licensor or any Contributor.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Disclaimer of Warranty. LICENSED PRODUCT IS PROVIDED UNDER THIS LICENSE ON AN AS IS BASIS,\n			 WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\n			 WARRANTIES THAT THE LICENSED PRODUCT IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\n			 PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED\n			 PRODUCT IS WITH YOU. SHOULD LICENSED PRODUCT PROVE DEFECTIVE IN ANY RESPECT, YOU (AND NOT THE\n			 LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR\n			 CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE\n			 OF LICENSED PRODUCT IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Termination.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Automatic Termination Upon Breach. This license and the rights granted hereunder will\n			   terminate automatically if you fail to comply with the terms herein and fail to cure such\n			   breach within thirty (30) days of becoming aware of the breach. All sublicenses to the\n			   Licensed Product that are properly granted shall survive any termination of this license.\n			   Provisions that, by their nature, must remain in effect beyond the termination of this\n			   License, shall survive.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Termination Upon Assertion of Patent Infringement. If you initiate litigation by asserting a\n			   patent infringement claim (excluding declaratory judgment actions) against Licensor or a\n			   Contributor (Licensor or Contributor against whom you file such an action is referred to\n			   herein as Respondent) alleging that Licensed Product directly or indirectly infringes any\n			   patent, then any and all rights granted by such Respondent to you under Sections 1 or 2 of\n			   this License shall terminate prospectively upon sixty (60) days notice from Respondent\n			   (the &quot;Notice Period&quot;) unless within that Notice Period you either agree in\n			   writing (i) to pay Respondent a mutually agreeable reasonably royalty for your past or\n			   future use of Licensed Product made by such Respondent, or (ii) withdraw your litigation\n			   claim with respect to Licensed Product against such Respondent. If within said Notice\n			   Period a reasonable royalty and payment arrangement are not mutually agreed upon in\n			   writing by the parties or the litigation claim is not withdrawn, the rights granted by\n			   Licensor to you under Sections 1 and 2 automatically terminate at the expiration of said\n			   Notice Period.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Reasonable Value of This License. If you assert a patent infringement claim against\n			   Respondent alleging that Licensed Product directly or indirectly infringes any patent\n			   where such claim is resolved (such as by license or settlement) prior to the initiation of\n			   patent infringement litigation, then the reasonable value of the licenses granted by said\n			   Respondent under Sections 1 and 2 shall be taken into account in determining the amount\n			   or value of any payment or license.\n\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			No Retroactive Effect of Termination. In the event of termination under Sections 9(a) or 9(b)\n			   above, all end user license agreements (excluding licenses to distributors and resellers)\n			   that have been validly granted by you or any distributor hereunder prior to termination\n			   shall survive termination.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT\n			 (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY\n			 DISTRIBUTOR OF LICENSED PRODUCT, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY\n			 PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER\n			 INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE\n			 OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL\n			 HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT\n			 APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY\n			<br />\n\n   RESULTING FROM SUCH PARTYS NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH\n				 LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\n				 OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Responsibility for Claims. As between Licensor and Contributors, each party is responsible for\n			 claims and damages arising, directly or indirectly, out of its utilization of rights under\n			 this License. You agree to work with Licensor and Contributors to distribute such\n			 responsibility on an equitable basis. Nothing herein is intended or\n			<br />\n\n   shall be deemed to constitute any admission of liability.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  U.S. Government End Users. The Licensed Product is a commercial item, as that term is defined in\n			 48 C.F.R. 2.101 (Oct. 1995), consisting of commercial computer software and commercial\n			 computer software documentation, as such terms are used in 48 C.F.R. 12.212 (Sept. 1995).\n			 Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995),\n			 all U.S. Government End Users acquire Licensed Product with only those rights set forth herein.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  Miscellaneous. This License represents the complete agreement concerning the subject matter\n			 hereof. If any provision of this License is held to be unenforceable, such provision shall be\n			 reformed only to the extent necessary to make it enforceable. This License shall be governed\n			 by California law provisions (except to the extent applicable law, if any, provides otherwise),\n			 excluding its conflict-of-law provisions. You expressly agree that any litigation relating to\n			 this license shall be subject to the jurisdiction of the Federal Courts of the Northern District\n			 of California or the Superior Court of the County of Santa Clara, California (as appropriate),\n			 with venue lying in Santa Clara County, California, with the losing party responsible for costs\n			 including, without limitation, court costs and reasonable attorneys fees and expenses. The\n			 application of the United Nations Convention on Contracts for the International Sale of Goods is\n			 expressly excluded. You and Licensor expressly waive any rights to a jury trial in any litigation\n			 concerning Licensed Product or this License. Any law or regulation that provides that the language\n			 of a contract shall be consTrued against the drafter shall not apply to this License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14.</var>\n		  Definition of You in This License. You throughout this License, whether in upper or lower case,\n			 means an individual or a legal entity exercising rights under, and complying with all of the\n			 terms of, this License or a future version of this License issued under Section 7. For legal\n			 entities, you includes any entity that controls, is controlled by, or is under common control\n			 with you. For purposes of this definition, control means (i) the power, direct or indirect,\n			 to cause the direction or management of such entity, whether by contract or otherwise, or\n			 (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial\n			 ownership of such entity.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15.</var>\n		  Glossary. All defined terms in this License that are used in more than one Section of this\n			 License are repeated here, in alphabetical order, for the convenience of the reader. The\n			 Section of this License in which each defined term is first used is shown in parentheses.\n\n	  <p>Contributor: Each person or entity who created or contributed to the creation of, and distributed, a\n		 Modification. (See Section 2)</p>\n\n	  <p>Derivative Works: That term as used in this License is defined under U.S. copyright law. (See Section 1(b))</p>\n\n	  <p>License: This BitTorrent Open Source License. (See first paragraph of License)</p>\n\n	  <p>Licensed Product: Any BitTorrent Product licensed pursuant to this License. The term &quot;Licensed\n		 Product&quot; includes all previous Modifications from any Contributor that you receive. (See first\n		 paragraph of License and Section 2)</p>\n\n	  <p>Licensor: BitTorrent, Inc. (See first paragraph of License)</p>\n\n	  <p>Modifications: Any additions to or deletions from the substance or structure of (i) a file containing\n		 Licensed Product, or (ii) any new file that contains any part of Licensed Product. (See Section 2)</p>\n\n	  <p>Notice: The notice contained in Exhibit A. (See Section 4(e))</p>\n\n	  <p>Source Code: The preferred form for making modifications to the Licensed Product, including all modules\n		 contained therein, plus any associated interface definition files, scripts used to control compilation\n		 and installation of an executable program, or a list of differential comparisons against the Source\n		 Code of the Licensed Product. (See\n		<br />\n\n   Section 1(a))\n	  </p>\n\n	  <p>You: This term is defined in Section 14 of this License.</p>\n\n		   </li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A</p>\n\n		 <p>The Notice below must appear in each file of the Source Code of any copy you distribute of the Licensed\n		 Product or any hereto. Contributors to any Modifications may add their own copyright notices to\n		 identify their own contributions.</p>\n\n		 <p>License:</p>\n\n		 <p>The contents of this file are subject to the BitTorrent Open Source License Version 1.0 (the License).\n		 You may not copy or use this file, in either source code or executable form, except in compliance with\n		 the License. You may obtain a copy of the License at http://www.bittorrent.com/license/.</p>\n\n		 <p>Software distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND,\n		 either express or implied. See the License for the specific language governing rights and limitations\n		 under the License.</p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p>The contents of this file are subject to the BitTorrent Open Source License Version 1.0 (the License).\n		 You may not copy or use this file, in either source code or executable form, except in compliance with\n		 the License. You may obtain a copy of the License at http://www.bittorrent.com/license/.</p>\n\n		 <p>Software distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND,\n		 either express or implied. See the License for the specific language governing rights and limitations\n		 under the License.</p>\n\n		 "
		self.python_name = "BitTorrent10"

	def __str__(self):
		return json.dumps(self.__dict__)


class CERNOHL11:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "CERN OHL v1.1\n2011-07-08 - CERN, Geneva, Switzerland\nCERN Open Hardware Licence v1.1\n\nPreamble\nThrough this CERN Open Hardware Licence (\"CERN OHL\") version 1.1, the Organization wishes to disseminate its hardware designs (as published on http://www.ohwr.org/) as widely as possible, and generally to foster collaboration among public research hardware designers. The CERN OHL is copyright of CERN. Anyone is welcome to use the CERN OHL, in unmodified form only, for the distribution of his own Open Hardware designs. Any other right is reserved.\n\n1. Definitions\nIn this Licence, the following terms have the following meanings:\n\u201cLicence\u201d means this CERN OHL.\n\u201cDocumentation\u201d means schematic diagrams, designs, circuit or circuit board layouts, mechanical drawings, flow charts and descriptive text, and other explanatory material that is explicitly stated as being made available under the conditions of this Licence. The Documentation may be in any medium, including but not limited to computer files and representations on paper, film, or any other media.\n\u201cProduct\u201d means either an entire, or any part of a, device built using the Documentation or the modified Documentation.\n\u201cLicensee\u201d means any natural or legal person exercising rights under this Licence.\n\u201cLicensor\u201d means any natural or legal person that creates or modifies Documentation and subsequently communicates to the public and/ or distributes the resulting Documentation under the terms and conditions of this Licence.\nA Licensee may at the same time be a Licensor, and vice versa.\n\n2. Applicability\n2.1 This Licence governs the use, copying, modification, communication to the public and distribution of the Documentation, and the manufacture and distribution of Products. By exercising any right granted under this Licence, the Licensee irrevocably accepts these terms and conditions.\n2.2 This Licence is granted by the Licensor directly to the Licensee, and shall apply worldwide and without limitation in time. The Licensee may assign his licence rights or grant sub-licences.\n2.3 This Licence does not apply to software, firmware, or code loaded into programmable devices which may be used in conjunction with the Documentation, the modified Documentation or with Products. The use of such software, firmware, or code is subject to the applicable licence terms and conditions.\n\n3. Copying, modification, communication to the public and distribution of the Documentation\n3.1 The Licensee shall keep intact all copyright and trademarks notices and all notices that refer to this Licence and to the disclaimer of warranties that is included in the Documentation. He shall include a copy thereof in every copy of the documentation or, as the case may be, modified Documentation, that he communicates to the public or distributes.\n3.2 The Licensee may use, copy, communicate to the public and distribute verbatim copies of the Documentation, in any medium, subject to the requirements specified in section 3.1.\n3.3 The Licensee may modify the Documentation or any portion thereof. The Licensee may communicate to the public and distribute the modified Documentation (thereby in addition to being a Licensee also becoming a Licensor), always provided that he shall:\na. comply with section 3.1;\nb. cause the modified Documentation to carry prominent notices stating that the Licensee has modified the Documentation, with the date and details of the modifications;\nc. license the modified Documentation under the terms and conditions of this Licence or, where applicable, a later version of this Licence as may be issued by CERN; and\nd. send a copy of the modified Documentation to all Licensors that contributed to the parts of the Documentation that were modified, as well as to any other Licensor who has requested to receive a copy of the modified Documentation and has provided a means of contact with the Documentation.\n3.4 The Licence includes a licence to those patents or registered designs that are held by the Licensor, to the extent necessary to make use of the rights granted under this Licence. The scope of this section 3.4 shall be strictly limited to the parts of the Documentation or modified Documentation created by the Licensor.\n\n4. Manufacture and distribution of Products\n4.1 The Licensee may manufacture or distribute Products always provided that the Licensee distributes to each recipient of such Products a copy of the Documentation or modified Documentation, as applicable, and complies with section 3.\n4.2 The Licensee is invited to inform in writing any Licensor who has indicated its wish to receive this information about the type, quantity and dates of production of Products the Licensee has (had) manufactured.\n\n5. Warranty and liability\n5.1 DISCLAIMER \u2013 The Documentation and any modified Documentation are provided \"as is\" and any express or implied warranties, including, but not limited to, implied warranties of merchantability, of satisfactory quality, and fitness for a particular purpose or use are disclaimed in respect of the Documentation, the modified Documentation or any Product. The Licensor makes no representation that the Documentation, modified Documentation, or any Product, does or will not infringe any patent, copyright, trade secret or other proprietary right. The entire risk as to the use, quality, and performance of a Product shall be with the Licensee and not the Licensor. This disclaimer of warranty is an essential part of this Licence and a condition for the grant of any rights granted under this Licence. The Licensee warrants that it does not act in a consumer capacity.\n5.2 LIMITATION OF LIABILITY \u2013 The Licensor shall have no liability for direct, indirect, special, incidental, consequential, exemplary, punitive or other damages of any character including, without limitation, procurement of substitute goods or services, loss of use, data or profits, or business interruption, however caused and on any\ntheory of contract, warranty, tort (including negligence), product liability or otherwise, arising in any way in relation to the Documentation, modified Documentation and/or the use, manufacture or distribution of a Product, even if advised of the possibility of such damages, and the Licensee shall hold the Licensor(s) free and harmless\nfrom any liability, costs, damages, fees and expenses, including claims by third parties, in relation to such use.\n\n6. General\n6.1 The rights granted under this Licence do not imply or represent any transfer or assignment of intellectual property rights to the Licensee.\n6.2 The Licensee shall not use or make reference to any of the names, acronyms, images or logos under which the Licensor is known, save in so far as required to comply with section 3. Any such permitted use or reference shall be factual and shall in no event suggest any kind of endorsement by the Licensor or its personnel of the modified Documentation or any Product, or any kind of implication by the Licensor or its personnel in the preparation of the modified Documentation or Product.\n6.3 CERN may publish updated versions of this Licence which retain the same general provisions as this version, but differ in detail so far this is required and reasonable. New versions will be published with a unique version number.\n6.4 This Licence shall terminate with immediate effect, upon written notice and without involvement of a court if the Licensee fails to comply with any of its terms and conditions, or if the Licensee initiates legal action against Licensor in relation to this Licence. Section 5 shall continue to apply.\n6.5 Except as may be otherwise agreed with the Intergovernmental Organization, any dispute with respect to this Licence involving an Intergovernmental Organization shall, by virtue of the latter's Intergovernmental status, be settled by international arbitration. The arbitration proceedings shall be held at the place where the Intergovernmental Organization has its seat. The arbitral award shall be final and binding upon the parties, who hereby expressly agree to renounce any form of appeal or revision.\n"
		self.standardLicenseTemplate = "<<beginOptional>>CERN OHL v1.1\n\n2011-07-08 - CERN, Geneva, Switzerland\n\nCERN Open Hardware Licence v1.1\n\n<<endOptional>>\n\nPreamble\n\nThrough this CERN Open Hardware Licence (\"CERN OHL\") version 1.1, the Organization wishes to disseminate its hardware designs (as published on http://www.ohwr.org/) as widely as possible, and generally to foster collaboration among public research hardware designers. The CERN OHL is copyright of CERN. Anyone is welcome to use the CERN OHL, in unmodified form only, for the distribution of his own Open Hardware designs. Any other right is reserved.\n\n1. Definitions\n\nIn this Licence, the following terms have the following meanings:\n\n\"Licence\" means this CERN OHL.\n\n\"Documentation\" means schematic diagrams, designs, circuit or circuit board layouts, mechanical drawings, flow charts and descriptive text, and other explanatory material that is explicitly stated as being made available under the conditions of this Licence. The Documentation may be in any medium, including but not limited to computer files and representations on paper, film, or any other media.\n\n\"Product\" means either an entire, or any part of a, device built using the Documentation or the modified Documentation.\n\n\"Licensee\" means any natural or legal person exercising rights under this Licence.\n\n\"Licensor\" means any natural or legal person that creates or modifies Documentation and subsequently communicates to the public and/ or distributes the resulting Documentation under the terms and conditions of this Licence.\n\nA Licensee may at the same time be a Licensor, and vice versa.\n\n2. Applicability\n\n   <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> This Licence governs the use, copying, modification, communication to the public and distribution of the Documentation, and the manufacture and distribution of Products. By exercising any right granted under this Licence, the Licensee irrevocably accepts these terms and conditions.\n\n   <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> This Licence is granted by the Licensor directly to the Licensee, and shall apply worldwide and without limitation in time. The Licensee may assign his licence rights or grant sub-licences.\n\n   <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> This Licence does not apply to software, firmware, or code loaded into programmable devices which may be used in conjunction with the Documentation, the modified Documentation or with Products. The use of such software, firmware, or code is subject to the applicable licence terms and conditions.\n\n3. Copying, modification, communication to the public and distribution of the Documentation\n\n   <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> The Licensee shall keep intact all copyright and trademarks notices and all notices that refer to this Licence and to the disclaimer of warranties that is included in the Documentation. He shall include a copy thereof in every copy of the documentation or, as the case may be, modified Documentation, that he communicates to the public or distributes.\n\n   <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> The Licensee may use, copy, communicate to the public and distribute verbatim copies of the Documentation, in any medium, subject to the requirements specified in section 3.1.\n\n   <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> The Licensee may modify the Documentation or any portion thereof. The Licensee may communicate to the public and distribute the modified Documentation (thereby in addition to being a Licensee also becoming a Licensor), always provided that he shall:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> comply with section 3.1;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> cause the modified Documentation to carry prominent notices stating that the Licensee has modified the Documentation, with the date and details of the modifications;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> license the modified Documentation under the terms and conditions of this Licence or, where applicable, a later version of this Licence as may be issued by CERN; and\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> send a copy of the modified Documentation to all Licensors that contributed to the parts of the Documentation that were modified, as well as to any other Licensor who has requested to receive a copy of the modified Documentation and has provided a means of contact with the Documentation.\n\n   <<var;name=\"bullet\";original=\"3.4\";match=\".{0,20}\">> The Licence includes a licence to those patents or registered designs that are held by the Licensor, to the extent necessary to make use of the rights granted under this Licence. The scope of this section 3.4 shall be strictly limited to the parts of the Documentation or modified Documentation created by the Licensor.\n\n4. Manufacture and distribution of Products\n\n   <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> The Licensee may manufacture or distribute Products always provided that the Licensee distributes to each recipient of such Products a copy of the Documentation or modified Documentation, as applicable, and complies with section 3.\n\n   <<var;name=\"bullet\";original=\"4.2\";match=\".{0,20}\">> The Licensee is invited to inform in writing any Licensor who has indicated its wish to receive this information about the type, quantity and dates of production of Products the Licensee has (had) manufactured.\n\n5. Warranty and liability\n\n   <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> DISCLAIMER \u2013 The Documentation and any modified Documentation are provided \"as is\" and any express or implied warranties, including, but not limited to, implied warranties of merchantability, of satisfactory quality, and fitness for a particular purpose or use are disclaimed in respect of the Documentation, the modified Documentation or any Product. The Licensor makes no representation that the Documentation, modified Documentation, or any Product, does or will not infringe any patent, copyright, trade secret or other proprietary right. The entire risk as to the use, quality, and performance of a Product shall be with the Licensee and not the Licensor. This disclaimer of warranty is an essential part of this Licence and a condition for the grant of any rights granted under this Licence. The Licensee warrants that it does not act in a consumer capacity.\n\n   <<var;name=\"bullet\";original=\"5.2\";match=\".{0,20}\">> LIMITATION OF LIABILITY \u2013 The Licensor shall have no liability for direct, indirect, special, incidental, consequential, exemplary, punitive or other damages of any character including, without limitation, procurement of substitute goods or services, loss of use, data or profits, or business interruption, however caused and on any theory of contract, warranty, tort (including negligence), product liability or otherwise, arising in any way in relation to the Documentation, modified Documentation and/or the use, manufacture or distribution of a Product, even if advised of the possibility of such damages, and the Licensee shall hold the Licensor(s) free and harmless from any liability, costs, damages, fees and expenses, including claims by third parties, in relation to such use.\n\n6. General\n\n   <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> The rights granted under this Licence do not imply or represent any transfer or assignment of intellectual property rights to the Licensee.\n\n   <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> The Licensee shall not use or make reference to any of the names, acronyms, images or logos under which the Licensor is known, save in so far as required to comply with section 3. Any such permitted use or reference shall be factual and shall in no event suggest any kind of endorsement by the Licensor or its personnel of the modified Documentation or any Product, or any kind of implication by the Licensor or its personnel in the preparation of the modified Documentation or Product.\n\n   <<var;name=\"bullet\";original=\"6.3\";match=\".{0,20}\">> CERN may publish updated versions of this Licence which retain the same general provisions as this version, but differ in detail so far this is required and reasonable. New versions will be published with a unique version number.\n\n   <<var;name=\"bullet\";original=\"6.4\";match=\".{0,20}\">> This Licence shall terminate with immediate effect, upon written notice and without involvement of a court if the Licensee fails to comply with any of its terms and conditions, or if the Licensee initiates legal action against Licensor in relation to this Licence. Section 5 shall continue to apply.\n\n   <<var;name=\"bullet\";original=\"6.5\";match=\".{0,20}\">> Except as may be otherwise agreed with the Intergovernmental Organization, any dispute with respect to this Licence involving an Intergovernmental Organization shall, by virtue of the latter's Intergovernmental status, be settled by international arbitration. The arbitration proceedings shall be held at the place where the Intergovernmental Organization has its seat. The arbitral award shall be final and binding upon the parties, who hereby expressly agree to renounce any form of appeal or revision."
		self.name = "CERN Open Hardware Licence v1.1"
		self.licenseId = "CERN-OHL-1.1"
		self.crossRef = [{"match": "N/A", "url": "https://www.ohwr.org/project/licenses/wikis/cern-ohl-v1.1", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:09:29Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.ohwr.org/project/licenses/wikis/cern-ohl-v1.1"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> \nCERN OHL v1.1\n				<p>\n2011-07-08 - CERN, Geneva, Switzerland</p>\n\n				<p>\n	CERN Open Hardware Licence v1.1</p>\n\n			</div>\n			<p>\nPreamble</p>\n\n			<p>\nThrough this CERN Open Hardware Licence (&quot;CERN OHL&quot;) version 1.1, the Organization wishes to disseminate its hardware designs (as published on http://www.ohwr.org/) as widely as possible, and generally to foster collaboration among public research hardware designers. The CERN OHL is copyright of CERN. Anyone is welcome to use the CERN OHL, in unmodified form only, for the distribution of his own Open Hardware designs. Any other right is reserved.</p>\n\n			<p>\n1. Definitions</p>\n\n			<p>\nIn this Licence, the following terms have the following meanings:</p>\n\n			<p>\n&quot;Licence&quot; means this CERN OHL.</p>\n\n			<p>\n&quot;Documentation&quot; means schematic diagrams, designs, circuit or circuit board layouts, mechanical drawings, flow charts and descriptive text, and other explanatory material that is explicitly stated as being made available under the conditions of this Licence. The Documentation may be in any medium, including but not limited to computer files and representations on paper, film, or any other media.</p>\n\n			<p>\n&quot;Product&quot; means either an entire, or any part of a, device built using the Documentation or the modified Documentation.</p>\n\n			<p>\n&quot;Licensee&quot; means any natural or legal person exercising rights under this Licence.</p>\n\n			<p>\n&quot;Licensor&quot; means any natural or legal person that creates or modifies Documentation and subsequently communicates to the public and/ or distributes the resulting Documentation under the terms and conditions of this Licence.</p>\n\n			<p>\nA Licensee may at the same time be a Licensor, and vice versa.</p>\n\n			<p></p>\n\n			<p>\n2. Applicability</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.1</var> This Licence governs the use, copying, modification, communication to the public and distribution of the Documentation, and the manufacture and distribution of Products. By exercising any right granted under this Licence, the Licensee irrevocably accepts these terms and conditions.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.2</var> This Licence is granted by the Licensor directly to the Licensee, and shall apply worldwide and without limitation in time. The Licensee may assign his licence rights or grant sub-licences.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.3</var> This Licence does not apply to software, firmware, or code loaded into programmable devices which may be used in conjunction with the Documentation, the modified Documentation or with Products. The use of such software, firmware, or code is subject to the applicable licence terms and conditions.\n				</li>\n			\n</ul>\n			<p>\n3. Copying, modification, communication to the public and distribution of the Documentation</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.1</var>The Licensee shall keep intact all copyright and trademarks notices and all notices that refer to this Licence and to the disclaimer of warranties that is included in the Documentation. He shall include a copy thereof in every copy of the documentation or, as the case may be, modified Documentation, that he communicates to the public or distributes.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.2</var> The Licensee may use, copy, communicate to the public and distribute verbatim copies of the Documentation, in any medium, subject to the requirements specified in section 3.1.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.3</var>The Licensee may modify the Documentation or any portion thereof. The Licensee may communicate to the public and distribute the modified Documentation (thereby in addition to being a Licensee also becoming a Licensor), always provided that he shall:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> a.</var> comply with section 3.1;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> b.</var> cause the modified Documentation to carry prominent notices stating that the Licensee has modified the Documentation, with the date and details of the modifications;\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> c.</var> license the modified Documentation under the terms and conditions of this Licence or, where applicable, a later version of this Licence as may be issued by CERN; and\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> d.</var> send a copy of the modified Documentation to all Licensors that contributed to the parts of the Documentation that were modified, as well as to any other Licensor who has requested to receive a copy of the modified Documentation and has provided a means of contact with the Documentation.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.4</var> The Licence includes a licence to those patents or registered designs that are held by the Licensor, to the extent necessary to make use of the rights granted under this Licence. The scope of this section 3.4 shall be strictly limited to the parts of the Documentation or modified Documentation created by the Licensor.\n				</li>\n			\n</ul>\n			<p>\n4. Manufacture and distribution of Products</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.1</var> The Licensee may manufacture or distribute Products always provided that the Licensee distributes to each recipient of such Products a copy of the Documentation or modified Documentation, as applicable, and complies with section 3.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.2</var> The Licensee is invited to inform in writing any Licensor who has indicated its wish to receive this information about the type, quantity and dates of production of Products the Licensee has (had) manufactured.\n				</li>\n			\n</ul>\n			<p>\n5. Warranty and liability</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 5.1</var> DISCLAIMER \u2013 The Documentation and any modified Documentation are provided &quot;as is&quot; and any express or implied warranties, including, but not limited to, implied warranties of merchantability, of satisfactory quality, and fitness for a particular purpose or use are disclaimed in respect of the Documentation, the modified Documentation or any Product. The Licensor makes no representation that the Documentation, modified Documentation, or any Product, does or will not infringe any patent, copyright, trade secret or other proprietary right. The entire risk as to the use, quality, and performance of a Product shall be with the Licensee and not the Licensor. This disclaimer of warranty is an essential part of this Licence and a condition for the grant of any rights granted under this Licence. The Licensee warrants that it does not act in a consumer capacity.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 5.2</var> LIMITATION OF LIABILITY \u2013 The Licensor shall have no liability for direct, indirect, special, incidental, consequential, exemplary, punitive or other damages of any character including, without limitation, procurement of substitute goods or services, loss of use, data or profits, or business interruption, however caused and on any\ntheory of contract, warranty, tort (including negligence), product liability or otherwise, arising in any way in relation to the Documentation, modified Documentation and/or the use, manufacture or distribution of a Product, even if advised of the possibility of such damages, and the Licensee shall hold the Licensor(s) free and harmless from any liability, costs, damages, fees and expenses, including claims by third parties, in relation to such use.\n				</li>\n			\n</ul>\n			<p>\n6. General</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 6.1</var> The rights granted under this Licence do not imply or represent any transfer or assignment of intellectual property rights to the Licensee.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 6.2</var> The Licensee shall not use or make reference to any of the names, acronyms, images or logos under which the Licensor is known, save in so far as required to comply with section 3. Any such permitted use or reference shall be factual and shall in no event suggest any kind of endorsement by the Licensor or its personnel of the modified Documentation or any Product, or any kind of implication by the Licensor or its personnel in the preparation of the modified Documentation or Product.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 6.3</var> CERN may publish updated versions of this Licence which retain the same general provisions as this version, but differ in detail so far this is required and reasonable. New versions will be published with a unique version number.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 6.4</var> This Licence shall terminate with immediate effect, upon written notice and without involvement of a court if the Licensee fails to comply with any of its terms and conditions, or if the Licensee initiates legal action against Licensor in relation to this Licence. Section 5 shall continue to apply.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 6.5</var> Except as may be otherwise agreed with the Intergovernmental Organization, any dispute with respect to this Licence involving an Intergovernmental Organization shall, by virtue of the latter&apos;s Intergovernmental status, be settled by international arbitration. The arbitration proceedings shall be held at the place where the Intergovernmental Organization has its seat. The arbitral award shall be final and binding upon the parties, who hereby expressly agree to renounce any form of appeal or revision.\n				</li>\n			\n</ul>\n		"
		self.python_name = "CERNOHL11"

	def __str__(self):
		return json.dumps(self.__dict__)


class GPL20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "GNU GENERAL PUBLIC LICENSE\nVersion 2, June 1991\n\nCopyright (C) 1989, 1991 Free Software Foundation, Inc.\n51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This General Public License applies to most of the Free Software Foundation's software and to any other program whose authors commit to using it. (Some other Free Software Foundation software is covered by the GNU Lesser General Public License instead.) You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n\nActivities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is True depends on what the Program does.\n\n1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\nYou may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	 a) You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\n	 b) You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n\n	 c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n\nThese requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\nThus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n\nIn addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n3. You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n\n	 a) Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	 b) Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	 c) Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n\nThe source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\nIf distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n4. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n5. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n\n6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n7. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n\nIf any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\nThis section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n8. If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n9. The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation.\n\n10. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\nNO WARRANTY\n\n11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n	 one line to give the program's name and an idea of what it does. Copyright (C) yyyy name of author\n\n	 This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\n	 You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA. Also add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\n	 Gnomovision version 69, Copyright (C) year name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here is a sample; alter the names:\n\n	 Yoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (which makes passes at compilers) written by James Hacker.\n\nsignature of Ty Coon, 1 April 1989 Ty Coon, President of Vice\n"
		self.standardLicenseHeaderTemplate = "Copyright (C) <<var;name=\"copyright\";original=\"yyyy name of author\";match=\".+\">>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., <<var;name=\"freeSoftwareFoundationAddress\";original=\"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA\";match=\".{54,64}\">> .\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\n<<endOptional>>\n\nCopyright (C) 1989, 1991 Free Software Foundation, Inc. <<var;name=\"incComma\";original=\"\";match=\",|\">>\n\n<<var;name=\"freeSoftwareFoundationAddress\";original=\"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA\";match=\".{54,64}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This General Public License applies to most of the Free Software Foundation's software and to any other program whose authors commit to using it. (Some other Free Software Foundation software is covered by the GNU Lesser General Public License instead.) You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\n\nAlso, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\n<<var;name=\"termsTitle\";original=\"\";match=\"GNU GENERAL PUBLIC LICENSE|\">> TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is True depends on what the Program does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n\n   In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n\n   The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   If distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<beginOptional>><<<endOptional>>one line to give the program's name and <<var;name=\"ideaArticle\";original=\"an\";match=\"a brief|an\">> idea of what it does.<<beginOptional>>><<endOptional>>\n\nCopyright (C)<<beginOptional>> <<<endOptional>> <<var;name=\"templateYear\";original=\"yyyy\";match=\"yyyy|year\">><<beginOptional>>> <<endOptional>><<beginOptional>> <<<endOptional>>name of author<<beginOptional>>><<endOptional>>\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301<<beginOptional>>, <<endOptional>> USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when it starts in an interactive mode:\n\nGnomovision version 69, Copyright (C) year name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision' (which makes passes at compilers) written by James Hacker.\n\n<<beginOptional>><<<endOptional>>signature of Ty Coon<<beginOptional>>><<endOptional>>, 1 April 1989 Ty Coon, President of Vice\n\n<<endOptional>><<beginOptional>> This General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License.\n\n<<endOptional>>"
		self.name = "GNU General Public License v2.0 only"
		self.licenseId = "GPL-2.0"
		self.standardLicenseHeader = "Copyright (C) yyyy name of author\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA .\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:22Z", "isWayBackLink": False, "order": 0}, {"match": "N/A", "url": "https://opensource.org/licenses/GPL-2.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:22Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html", "https://opensource.org/licenses/GPL-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU GENERAL PUBLIC LICENSE<br />\n\n		Version 2, June 1991\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 1989, 1991 Free Software Foundation, Inc.<var class=\"replaceable-license-text\"> </var><br />\n\n	  <var class=\"replaceable-license-text\"> 51 Franklin\n	  Street, Fifth Floor, Boston, MA 02110-1301, USA</var>\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  Preamble\n	</p>\n\n	<p>\n	  The licenses for most software are designed to take away your freedom\n	  to share and change it. By contrast, the GNU General Public License is\n	  intended to guarantee your freedom to share and change free software--to\n	  make sure the software is free for all its users. This General Public\n	  License applies to most of the Free Software Foundation&apos;s software\n	  and to any other program whose authors commit to using it. (Some other\n	  Free Software Foundation software is covered by the GNU Lesser General\n	  Public License instead.) You can apply it to your programs, too.\n	</p>\n\n	<p>\n	  When we speak of free software, we are referring to freedom, not price.\n	  Our General Public Licenses are designed to make sure that you have\n	  the freedom to distribute copies of free software (and charge for\n	  this service if you wish), that you receive source code or can get\n	  it if you want it, that you can change the software or use pieces of\n	  it in new free programs; and that you know you can do these things.\n	</p>\n\n	<p>\n	  To protect your rights, we need to make restrictions that forbid\n	  anyone to deny you these rights or to ask you to surrender the\n	  rights. These restrictions translate to certain responsibilities for\n	  you if you distribute copies of the software, or if you modify it.\n	</p>\n\n	<p>\n	  For example, if you distribute copies of such a program, whether gratis\n	  or for a fee, you must give the recipients all the rights that you\n	  have. You must make sure that they, too, receive or can get the source\n	  code. And you must show them these terms so they know their rights.\n	</p>\n\n	<p>\n	  We protect your rights with two steps: (1) copyright the\n	  software, and (2) offer you this license which gives you legal\n	  permission to copy, distribute and/or modify the software.\n	</p>\n\n	<p>\n	  Also, for each author&apos;s protection and ours, we want to make\n	  certain that everyone understands that there is no warranty for\n	  this free software. If the software is modified by someone else\n	  and passed on, we want its recipients to know that what they\n	  have is not the original, so that any problems introduced by\n	  others will not reflect on the original authors&apos; reputations.\n	</p>\n\n	<p>\n	  Finally, any free program is threatened constantly by software patents.\n	  We wish to avoid the danger that redistributors of a free program\n	  will individually obtain patent licenses, in effect making the program\n	  proprietary. To prevent this, we have made it clear that any patent\n	  must be licensed for everyone&apos;s free use or not licensed at all.\n	</p>\n\n	<p>\n	  The precise terms and conditions for copying,\n	  distribution and modification follow.\n	</p>\n\n	<p>\n	  <var class=\"replaceable-license-text\"> </var>\n	  TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		This License applies to any program or other work which contains a\n		notice placed by the copyright holder saying it may be distributed\n		under the terms of this General Public License. The &quot;Program&quot;, below,\n		refers to any such program or work, and a &quot;work based on the Program&quot;\n		means either the Program or any derivative work under copyright law:\n		that is to say, a work containing the Program or a portion of it,\n		either verbatim or with modifications and/or translated into another\n		language. (Hereinafter, translation is included without limitation\n		in the term &quot;modification&quot;.) Each licensee is addressed as &quot;you&quot;.\n		<p>\n		  Activities other than copying, distribution and modification are\n		  not covered by this License; they are outside its scope. The act\n		  of running the Program is not restricted, and the output from the\n		  Program is covered only if its contents constitute a work based\n		  on the Program (independent of having been made by running the\n		  Program). Whether that is True depends on what the Program does.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		You may copy and distribute verbatim copies of the Program&apos;s source\n		code as you receive it, in any medium, provided that you conspicuously\n		and appropriately publish on each copy an appropriate copyright notice\n		and disclaimer of warranty; keep intact all the notices that refer to\n		this License and to the absence of any warranty; and give any other\n		recipients of the Program a copy of this License along with the Program.\n		<p>\n		  You may charge a fee for the physical act of\n		  transferring a copy, and you may at your option\n		  offer warranty protection in exchange for a fee.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		You may modify your copy or copies of the Program or any portion\n		of it, thus forming a work based on the Program, and copy and\n		distribute such modifications or work under the terms of Section\n		1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			You must cause the modified files to carry prominent notices\n			stating that you changed the files and the date of any change.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			You must cause any work that you distribute or publish,\n			that in whole or in part contains or is derived from the\n			Program or any part thereof, to be licensed as a whole at no\n			charge to all third parties under the terms of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			If the modified program normally reads commands interactively\n			when run, you must cause it, when started running for such\n			interactive use in the most ordinary way, to print or display\n			an announcement including an appropriate copyright notice and\n			a notice that there is no warranty (or else, saying that you\n			provide a warranty) and that users may redistribute the program\n			under these conditions, and telling the user how to view a copy\n			of this License. (Exception: if the Program itself is interactive\n			but does not normally print such an announcement, your work\n			based on the Program is not required to print an announcement.)\n		  </li>\n		\n</ul>\n		<p>\n		  These requirements apply to the modified work as a whole. If\n		  identifiable sections of that work are not derived from the\n		  Program, and can be reasonably considered independent and separate\n		  works in themselves, then this License, and its terms, do not\n		  apply to those sections when you distribute them as separate\n		  works. But when you distribute the same sections as part of a\n		  whole which is a work based on the Program, the distribution\n		  of the whole must be on the terms of this License, whose\n		  permissions for other licensees extend to the entire whole,\n		  and thus to each and every part regardless of who wrote it.\n		</p>\n\n		<p>\n		  Thus, it is not the intent of this section to claim rights or\n		  contest your rights to work written entirely by you; rather,\n		  the intent is to exercise the right to control the distribution\n		  of derivative or collective works based on the Program.\n		</p>\n\n		<p>\n		  In addition, mere aggregation of another work not based on\n		  the Program with the Program (or with a work based on the\n		  Program) on a volume of a storage or distribution medium does\n		  not bring the other work under the scope of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		You may copy and distribute the Program (or a work based on it,\n		under Section 2) in object code or executable form under the terms of\n		Sections 1 and 2 above provided that you also do one of the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany it with the complete corresponding machine-readable source\n			code, which must be distributed under the terms of Sections 1 and\n			2 above on a medium customarily used for software interchange; or,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Accompany it with a written offer, valid for at least three\n			years, to give any third party, for a charge no more than your\n			cost of physically performing source distribution, a complete\n			machine-readable copy of the corresponding source code, to\n			be distributed under the terms of Sections 1 and 2 above\n			on a medium customarily used for software interchange; or,\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Accompany it with the information you received as to the offer\n			to distribute corresponding source code. (This alternative\n			is allowed only for noncommercial distribution and only if\n			you received the program in object code or executable form\n			with such an offer, in accord with Subsection b above.)\n		  </li>\n		\n</ul>\n		<p>\n		  The source code for a work means the preferred form of the work\n		  for making modifications to it. For an executable work, complete\n		  source code means all the source code for all modules it contains,\n		  plus any associated interface definition files, plus the scripts\n		  used to control compilation and installation of the executable.\n		  However, as a special exception, the source code distributed\n		  need not include anything that is normally distributed (in either\n		  source or binary form) with the major components (compiler,\n		  kernel, and so on) of the operating system on which the executable\n		  runs, unless that component itself accompanies the executable.\n		</p>\n\n		<p>\n		  If distribution of executable or object code is made by offering\n		  access to copy from a designated place, then offering equivalent\n		  access to copy the source code from the same place counts as\n		  distribution of the source code, even though third parties are\n		  not compelled to copy the source along with the object code.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		You may not copy, modify, sublicense, or distribute the Program\n		except as expressly provided under this License. Any attempt\n		otherwise to copy, modify, sublicense or distribute the Program\n		is void, and will automatically terminate your rights under\n		this License. However, parties who have received copies, or\n		rights, from you under this License will not have their licenses\n		terminated so long as such parties remain in full compliance.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		You are not required to accept this License, since you have\n		not signed it. However, nothing else grants you permission to\n		modify or distribute the Program or its derivative works. These\n		actions are prohibited by law if you do not accept this License.\n		Therefore, by modifying or distributing the Program (or any\n		work based on the Program), you indicate your acceptance of this\n		License to do so, and all its terms and conditions for copying,\n		distributing or modifying the Program or works based on it.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Each time you redistribute the Program (or any work based on the\n		Program), the recipient automatically receives a license from the\n		original licensor to copy, distribute or modify the Program subject to\n		these terms and conditions. You may not impose any further restrictions\n		on the recipients&apos; exercise of the rights granted herein. You are not\n		responsible for enforcing compliance by third parties to this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		If, as a consequence of a court judgment or allegation of patent\n		infringement or for any other reason (not limited to patent issues),\n		conditions are imposed on you (whether by court order, agreement\n		or otherwise) that contradict the conditions of this License,\n		they do not excuse you from the conditions of this License. If you\n		cannot distribute so as to satisfy simultaneously your obligations\n		under this License and any other pertinent obligations, then as a\n		consequence you may not distribute the Program at all. For example,\n		if a patent license would not permit royalty-free redistribution of\n		the Program by all those who receive copies directly or indirectly\n		through you, then the only way you could satisfy both it and this\n		License would be to refrain entirely from distribution of the Program.\n		<p>\n		  If any portion of this section is held invalid or\n		  unenforceable under any particular circumstance, the\n		  balance of the section is intended to apply and the section\n		  as a whole is intended to apply in other circumstances.\n		</p>\n\n		<p>\n		  It is not the purpose of this section to induce you to infringe\n		  any patents or other property right claims or to contest\n		  validity of any such claims; this section has the sole purpose\n		  of protecting the integrity of the free software distribution\n		  system, which is implemented by public license practices. Many\n		  people have made generous contributions to the wide range of\n		  software distributed through that system in reliance on consistent\n		  application of that system; it is up to the author/donor to\n		  decide if he or she is willing to distribute software through\n		  any other system and a licensee cannot impose that choice.\n		</p>\n\n		<p>\n		  This section is intended to make thoroughly clear what is\n		  believed to be a consequence of the rest of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		If the distribution and/or use of the Program is restricted in\n		certain countries either by patents or by copyrighted interfaces,\n		the original copyright holder who places the Program under this\n		License may add an explicit geographical distribution limitation\n		excluding those countries, so that distribution is permitted only\n		in or among countries not thus excluded. In such case, this License\n		incorporates the limitation as if written in the body of this License.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		The Free Software Foundation may publish revised and/or new\n		versions of the General Public License from time to time. Such\n		new versions will be similar in spirit to the present version,\n		but may differ in detail to address new problems or concerns.\n		<p>\n		  Each version is given a distinguishing version number. If the\n		  Program specifies a version number of this License which applies\n		  to it and &quot;any later version&quot;, you have the option of following\n		  the terms and conditions either of that version or of any later\n		  version published by the Free Software Foundation. If the Program\n		  does not specify a version number of this License, you may choose\n		  any version ever published by the Free Software Foundation.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		If you wish to incorporate parts of the Program into other free\n		programs whose distribution conditions are different, write to the\n		author to ask for permission. For software which is copyrighted by the\n		Free Software Foundation, write to the Free Software Foundation; we\n		sometimes make exceptions for this. Our decision will be guided by the\n		two goals of preserving the free status of all derivatives of our free\n		software and of promoting the sharing and reuse of software generally.\n		<p>\n		  NO WARRANTY\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 11.</var>\n		BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\n		FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT\n		WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER\n		PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND,\n		EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\n		IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF\n		THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU\n		ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 12.</var>\n		IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n		REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR\n		DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL\n		DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM\n		(INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\n		INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF\n		THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		END OF TERMS AND CONDITIONS\n	  </p>\n\n	  <p>\n		How to Apply These Terms to Your New Programs\n	  </p>\n\n	  <p>\n		If you develop a new program, and you want it to be\n		of the greatest possible use to the public, the best\n		way to achieve this is to make it free software which\n		everyone can redistribute and change under these terms.\n	  </p>\n\n	  <p>\n		To do so, attach the following notices to the program. It is safest\n		to attach them to the start of each source file to most effectively\n		convey the exclusion of warranty; and each file should have at least\n		the &quot;copyright&quot; line and a pointer to where the full notice is found.\n	  </p>\n\n	  <p>\n		<var class=\"optional-license-text\">&lt;</var>one line to give the program&apos;s name and <var class=\"replaceable-license-text\"> an</var> idea of what it does.<var class=\"optional-license-text\">&gt;</var>\n		<br />\n\n		Copyright (C)\n		<var class=\"optional-license-text\"> &lt;</var><var class=\"replaceable-license-text\"> yyyy</var><var class=\"optional-license-text\">&gt; </var>\n		<var class=\"optional-license-text\"> &lt;</var>name of author<var class=\"optional-license-text\">&gt;</var>\n	  </p>\n\n	  <p>\n		This program is free software; you can redistribute it and/or\n		modify it under the terms of the GNU General Public License\n		as published by the Free Software Foundation; either version\n		2 of the License, or (at your option) any later version.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General Public License\n		along with this program; if not, write to the Free Software Foundation,\n		Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301<var class=\"optional-license-text\">, </var>\n		USA.\n	  </p>\n\n	  <p>\n		Also add information on how to\n		contact you by electronic and paper mail.\n	  </p>\n\n	  <p>\n		If the program is interactive, make it output a short\n		notice like this when it starts in an interactive mode:\n	  </p>\n\n	  <p>\n		Gnomovision version 69, Copyright (C) year name of author\n		Gnomovision comes with ABSOLUTELY NO WARRANTY; for details\n		type `show w&apos;. This is free software, and you are welcome to\n		redistribute it under certain conditions; type `show c&apos; for details.\n	  </p>\n\n	  <p>\n		The hypothetical commands `show w&apos; and `show c&apos; should show the\n		appropriate parts of the General Public License. Of course, the commands\n		you use may be called something other than `show w&apos; and `show c&apos;; they\n		could even be mouse-clicks or menu items--whatever suits your program.\n	  </p>\n\n	  <p>\n		You should also get your employer (if you work as a programmer)\n		or your school, if any, to sign a &quot;copyright disclaimer&quot; for\n		the program, if necessary. Here is a sample; alter the names:\n	  </p>\n\n	  <p>\n		Yoyodyne, Inc., hereby disclaims all copyright interest in the program\n		`Gnomovision&apos; (which makes passes at compilers) written by James Hacker.\n	  </p>\n\n	  <p>\n\t<var class=\"optional-license-text\">&lt;</var>signature of Ty Coon<var class=\"optional-license-text\">&gt;</var>,\n\t1 April 1989 Ty Coon, President of Vice\n	  </p>\n\n	</div>\n	<div class=\"optional-license-text\"> \n	  <p>\n		This General Public License does not permit incorporating your program into\n		proprietary programs.  If your program is a subroutine library, you may\n		consider it more useful to permit linking proprietary applications with the\n		library.  If this is what you want to do, use the GNU Lesser General\n		Public License instead of this License.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (C) <var class=\"replaceable-license-text\"> yyyy name of author</var>\n	  <p>\n		This program is free software; you can redistribute it and/or\n		modify it under the terms of the GNU General Public License\n		as published by the Free Software Foundation; version 2.\n	  </p>\n\n	  <p>\n		This program is distributed in the hope that it will be\n		useful, but WITHOUT ANY WARRANTY; without even the implied\n		warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		PURPOSE. See the GNU General Public License for more details.\n	  </p>\n\n	  <p>\n		You should have received a copy of the GNU General Public License\n		along with this program; if not, write to the Free Software Foundation,\n		Inc., <var class=\"replaceable-license-text\"> 51\n		Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA</var>.\n	  </p>\n\n	"
		self.deprecatedVersion = "3.0"
		self.python_name = "GPL20"

	def __str__(self):
		return json.dumps(self.__dict__)


class FreeImage:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "FreeImage Public License - Version 1.0\n\n1. Definitions.\n\n	 1.1. \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	 1.2. \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	 1.3. \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	 1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	 1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n	 1.6. \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	 1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	 1.8. \"License\" means this document.\n\n	 1.9. \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a\nModification is:\n\n		  A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n		  B. Any new file that contains any part of the Original Code or previous Modifications.\n\n	 1.10. \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	 1.11. \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or a list of source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	 1.12. \"You\" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n2. Source Code License.\n\n	 2.1. The Initial Developer Grant.\n	 The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		  (a) to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and\n\n		  (b) under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell (\"Utilize\") the Original Code (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Original Code (or portions thereof) and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n	 2.2. Contributor Grant.\n	 Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		  (a) to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code or as part of a Larger Work; and\n\n		  (b) under patents now or hereafter owned or controlled by Contributor, to Utilize the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Contributor Version (or portions thereof), and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n3. Distribution Obligations.\n\n	 3.1. Application of License.\n	 The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	 3.2. Availability of Source Code.\n	 Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	 3.3. Description of Modifications.\n	 You must cause all Covered Code to which you contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	 3.4. Intellectual Property Matters\n\n		  (a) Third Party Claims.\n		  If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		  (b) Contributor APIs.\n		  If Your Modification is an application programming interface and You own or control patents which are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n	 3.5. Required Notices.\n	 You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Covered Code. If You created one or more Modification(s), You may add your name as a Contributor to the notice described in Exhibit A. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	 3.6. Distribution of Executable Versions.\n	 You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You descr ibe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code under a license of Your choice, which may contain terms different from this License,provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	 3.7. Larger Works.\n	 You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation.\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License.\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A, and to related Covered Code.\n\n6. Versions of the License.\n\n	 6.1. New Versions.\n	 Floris van den Berg may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	 6.2. Effect of New Versions.\n	 Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Floris van den Berg\nNo one other than Floris van den Berg has the right to modify the terms applicable to Covered Code created under this License.\n\n	 6.3. Derivative Works.\n	 If you create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), you must (a) rename Your license so that the phrases \"FreeImage\", `FreeImage Public License\", \"FIPL\", or any confusingly similar phrase do not appear anywhere in your license and (b) otherwise make it clear that your version of the license contains terms which differ from the FreeImage Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n7. DISCLAIMER OF WARRANTY.\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. TERMINATION.\nThis License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n9. LIMITATION OF LIABILITY.\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. GOVERNMENT END USERS.\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n11. MISCELLANEOUS.\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by Dutch law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in, the The Netherlands: (a) unless otherwise agreed in writing, all disputes relating to this License (excepting any dispute relating to intellectual property rights) shall be subject to final and binding arbitration, with the losing party paying all costs of arbitration; (b) any arbitration relating to this Agreement shall be held in Almelo, The Netherlands; and (c) any litigation relating to this Agreement shall be subject to the jurisdiction of the court of Almelo, The Netherlands with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys fees and expenses. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n12. RESPONSIBILITY FOR CLAIMS.\nExcept in cases where another Contributor has failed to comply with Section 3.4, You are responsible for damages arising, directly or indirectly, out of Your utilization of rights under this License, based on the number of copies of Covered Code you made available, the revenues you received from utilizing such rights, and other relevant factors. You agree to work with affected parties to distribute responsibility on an equitable basis.\n\nEXHIBIT A.\n\n\"The contents of this file are subject to the FreeImage Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://home.wxs.nl/~flvdberg/freeimage-license.txt\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n"
		self.standardLicenseTemplate = "<<beginOptional>>FreeImage Public License - Version 1.0\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> \"Executable\" means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a\n\n	  Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or a list of source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"You\" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Initial Developer Grant.\n\n	  The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell (\"Utilize\") the Original Code (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Original Code (or portions thereof) and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant.\n\n	  Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under patents now or hereafter owned or controlled by Contributor, to Utilize the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Contributor Version (or portions thereof), and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Application of License.\n\n	  The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code.\n\n	  Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications.\n\n	  You must cause all Covered Code to which you contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims.\n\n		 If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs.\n\n		 If Your Modification is an application programming interface and You own or control patents which are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices.\n\n	  You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Covered Code. If You created one or more Modification(s), You may add your name as a Contributor to the notice described in Exhibit A. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Versions.\n\n	  You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You descr ibe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works.\n\n	  You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Application of this License.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A, and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> New Versions.\n\n	  Floris van den Berg may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> Effect of New Versions.\n\n	  Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Floris van den Berg\n\n	  No one other than Floris van den Berg has the right to modify the terms applicable to Covered Code created under this License.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> Derivative Works.\n\n	  If you create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), you must (a) rename Your license so that the phrases \"FreeImage\", `FreeImage Public License\", \"FIPL\", or any confusingly similar phrase do not appear anywhere in your license and (b) otherwise make it clear that your version of the license contains terms which differ from the FreeImage Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TERMINATION.\n\n   This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS.\n\n   The Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> MISCELLANEOUS.\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by Dutch law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in, the The Netherlands: (a) unless otherwise agreed in writing, all disputes relating to this License (excepting any dispute relating to intellectual property rights) shall be subject to final and binding arbitration, with the losing party paying all costs of arbitration; (b) any arbitration relating to this Agreement shall be held in Almelo, The Netherlands; and (c) any litigation relating to this Agreement shall be subject to the jurisdiction of the court of Almelo, The Netherlands with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys fees and expenses. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS.\n\n   Except in cases where another Contributor has failed to comply with Section 3.4, You are responsible for damages arising, directly or indirectly, out of Your utilization of rights under this License, based on the number of copies of Covered Code you made available, the revenues you received from utilizing such rights, and other relevant factors. You agree to work with affected parties to distribute responsibility on an equitable basis.<<beginOptional>> EXHIBIT A.\n\n\"The contents of this file are subject to the FreeImage Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://home.wxs.nl/~flvdberg/freeimage-license.txt\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\n<<endOptional>>"
		self.name = "FreeImage Public License v1.0"
		self.licenseComments = "This is similar to MPL-1.0, but for the names, choice of law, and jurisdiction"
		self.licenseId = "FreeImage"
		self.crossRef = [{"match": "False", "url": "http://freeimage.sourceforge.net/freeimage-license.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:06Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://freeimage.sourceforge.net/freeimage-license.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>FreeImage Public License - Version 1.0</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			  &quot;Contributor&quot; means each entity that creates or contributes to the creation of\n				 Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			  &quot;Contributor Version&quot; means the combination of the Original Code, prior\n				 Modifications used by a Contributor, and the Modifications made by that particular\n				 Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			  &quot;Covered Code&quot; means the Original Code or Modifications or the combination of the\n				 Original Code and Modifications, in each case including portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			  &quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the\n				 software development community for the electronic transfer of data.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			  &quot;Executable&quot; means Covered Code in any form other than Source Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			  &quot;Initial Developer&quot; means the individual or entity identified as the Initial\n				 Developer in the Source Code notice required by Exhibit A.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			  &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with\n				 code not governed by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			  &quot;License&quot; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			  &quot;Modifications&quot; means any addition to or deletion from the substance or structure\n				 of either the Original Code or any previous Modifications. When Covered Code is released\n				 as a series of files, a\n				 <br />\n\n	  Modification is:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				  Any addition to or deletion from the contents of a file containing Original Code or\n					 previous Modifications.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				  Any new file that contains any part of the Original Code or previous Modifications.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			  &quot;Original Code&quot; means Source Code of computer software code which is described in\n				 the Source Code notice required by Exhibit A as Original Code, and which, at the time of\n				 its release under this License is not already Covered Code governed by this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			  &quot;Source Code&quot; means the preferred form of the Covered Code for making modifications\n				 to it, including all modules it contains, plus any associated interface definition files,\n				 scripts used to control compilation and installation of an Executable, or a list of source\n				 code differential comparisons against either the Original Code or another well known,\n				 available Covered Code of the Contributor&apos;s choice. The Source Code can be in a\n				 compressed or archival form, provided the appropriate decompression or de-archiving\n				 software is widely available for no charge.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			  &quot;You&quot; means an individual or a legal entity exercising rights under, and complying\n				 with all of the terms of, this License or a future version of this License issued under\n				 Section 6.1. For legal entities, &quot;You&quot; includes any entity which controls, is\n				 controlled by, or is under common control with You. For purposes of this definition,\n				 &quot;control&quot; means (a) the power, direct or indirect, to cause the direction or\n				 management of such entity, whether by contract or otherwise, or (b) ownership of fifty\n				 percent (50%) or more of the outstanding shares or beneficial ownership of such\n				 entity.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Source Code License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			  The Initial Developer Grant.\n				<br />\n\n	  The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive\n					 license, subject to third party intellectual property claims:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  to use, reproduce, modify, display, perform, sublicense and distribute the Original Code\n					 (or portions thereof) with or without Modifications, or as part of a Larger Work;\n					 and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  under patents now or hereafter owned or controlled by Initial Developer, to make, have\n					 made, use and sell (&quot;Utilize&quot;) the Original Code (or portions thereof), but\n					 solely to the extent that any such patent is reasonably necessary to enable You to\n					 Utilize the Original Code (or portions thereof) and not to any greater extent that may\n					 be necessary to Utilize further Modifications or combinations.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			  Contributor Grant.\n				<br />\n\n	  Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license,\n					 subject to third party intellectual property claims:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  to use, reproduce, modify, display, perform, sublicense and distribute the Modifications\n					 created by such Contributor (or portions thereof) either on an unmodified basis, with\n					 other Modifications, as Covered Code or as part of a Larger Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  under patents now or hereafter owned or controlled by Contributor, to Utilize the\n					 Contributor Version (or portions thereof), but solely to the extent that any such\n					 patent is reasonably necessary to enable You to Utilize the Contributor Version (or\n					 portions thereof), and not to any greater extent that may be necessary to Utilize\n					 further Modifications or combinations.\n				</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Distribution Obligations.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			  Application of License.\n				<br />\n\n	  The Modifications which You create or to which You contribute are governed by the terms\n					 of this License, including without limitation Section 2.2. The Source Code version\n					 of Covered Code may be distributed only under the terms of this License or a\n					 future version of this License released under Section 6.1, and You must include a\n					 copy of this License with every copy of the Source Code You distribute. You may\n					 not offer or impose any terms on any Source Code version that alters or restricts\n					 the applicable version of this License or the recipients&apos; rights hereunder.\n					 However, You may include an additional document offering the additional rights\n					 described in Section 3.5.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			  Availability of Source Code.\n				<br />\n\n	  Any Modification which You create or to which You contribute must be made available in\n					 Source Code form under the terms of this License either on the same media as an\n					 Executable version or via an accepted Electronic Distribution Mechanism to anyone\n					 to whom you made an Executable version available; and if made available via\n					 Electronic Distribution Mechanism, must remain available for at least twelve (12)\n					 months after the date it initially became available, or at least six (6) months\n					 after a subsequent version of that particular Modification has been made available\n					 to such recipients. You are responsible for ensuring that the Source Code version\n					 remains available even if the Electronic Distribution Mechanism is maintained by a\n					 third party.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			  Description of Modifications.\n				<br />\n\n	  You must cause all Covered Code to which you contribute to contain a file documenting\n					 the changes You made to create that Covered Code and the date of any change. You\n					 must include a prominent statement that the Modification is derived, directly or\n					 indirectly, from Original Code provided by the Initial Developer and including the\n					 name of the Initial Developer in (a) the Source Code, and (b) in any notice in an\n					 Executable version or related documentation in which You describe the origin or\n					 ownership of the Covered Code.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			  Intellectual Property Matters\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  Third Party Claims.\n					<br />\n\n		 If You have knowledge that a party claims an intellectual property right in\n						 particular functionality or code (or its utilization under this License), you\n						 must include a text file with the source code distribution titled\n						 &quot;LEGAL&quot; which describes the claim and the party making the claim in\n						 sufficient detail that a recipient will know whom to contact. If you obtain\n						 such knowledge after You make Your Modification available as described in\n						 Section 3.2, You shall promptly modify the LEGAL file in all copies You make\n						 available thereafter and shall take other steps (such as notifying appropriate\n						 mailing lists or newsgroups) reasonably calculated to inform those who\n						 received the Covered Code that new knowledge has been obtained.\n\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  Contributor APIs.\n					<br />\n\n		 If Your Modification is an application programming interface and You own or control\n						 patents which are reasonably necessary to implement that API, you must also\n						 include this information in the LEGAL file.\n\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			  Required Notices.\n				<br />\n\n	  You must duplicate the notice in Exhibit A in each file of the Source Code, and this\n					 License in any documentation for the Source Code, where You describe\n					 recipients&apos; rights relating to Covered Code. If You created one or more\n					 Modification(s), You may add your name as a Contributor to the notice described in\n					 Exhibit A. If it is not possible to put such notice in a particular Source Code\n					 file due to its structure, then you must include such notice in a location (such\n					 as a relevant directory file) where a user would be likely to look for such a\n					 notice. You may choose to offer, and to charge a fee for, warranty, support,\n					 indemnity or liability obligations to one or more recipients of Covered Code.\n					 However, You may do so only on Your own behalf, and not on behalf of the Initial\n					 Developer or any Contributor. You must make it absolutely clear than any such\n					 warranty, support, indemnity or liability obligation is offered by You alone, and\n					 You hereby agree to indemnify the Initial Developer and every Contributor for any\n					 liability incurred by the Initial Developer or such Contributor as a result of\n					 warranty, support, indemnity or liability terms You offer.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n			  Distribution of Executable Versions.\n				<br />\n\n	  You may distribute Covered Code in Executable form only if the requirements of Section\n					 3.1-3.5 have been met for that Covered Code, and if You include a notice stating\n					 that the Source Code version of the Covered Code is available under the terms of\n					 this License, including a description of how and where You have fulfilled the\n					 obligations of Section 3.2. The notice must be conspicuously included in any\n					 notice in an Executable version, related documentation or collateral in which You\n					 descr ibe recipients&apos; rights relating to the Covered Code. You may distribute\n					 the Executable version of Covered Code under a license of Your choice, which may\n					 contain terms different from this License, provided that You are in compliance with\n					 the terms of this License and that the license for the Executable version does not\n					 attempt to limit or alter the recipient&apos;s rights in the Source Code version\n					 from the rights set forth in this License. If You distribute the Executable\n					 version under a different license You must make it absolutely clear that any terms\n					 which differ from this License are offered by You alone, not by the Initial\n					 Developer or any Contributor. You hereby agree to indemnify the Initial Developer\n					 and every Contributor for any liability incurred by the Initial Developer or such\n					 Contributor as a result of any such terms You offer.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7.</var>\n			  Larger Works.\n				<br />\n\n	  You may create a Larger Work by combining Covered Code with other code not governed by\n					 the terms of this License and distribute the Larger Work as a single product. In\n					 such a case, You must make sure the requirements of this License are fulfilled for\n					 the Covered Code.\n\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Inability to Comply Due to Statute or Regulation.\n			<br />\n\n   If it is impossible for You to comply with any of the terms of this License with respect to\n				 some or all of the Covered Code due to statute or regulation then You must: (a) comply\n				 with the terms of this License to the maximum extent possible; and (b) describe the\n				 limitations and the code they affect. Such description must be included in the LEGAL\n				 file described in Section 3.4 and must be included with all distributions of the\n				 Source Code. Except to the extent prohibited by statute or regulation, such\n				 description must be sufficiently detailed for a recipient of ordinary skill to be able\n				 to understand it.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Application of this License.\n			<br />\n\n   This License applies to code to which the Initial Developer has attached the notice in\n				 Exhibit A, and to related Covered Code.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Versions of the License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n			  New Versions.\n				<br />\n\n	  Floris van den Berg may publish revised and/or new versions of the License from time to\n					 time. Each version will be given a distinguishing version number.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n			  Effect of New Versions.\n				<br />\n\n	  Once Covered Code has been published under a particular version of the License, You may\n					 always continue to use it under the terms of that version. You may also choose to\n					 use such Covered Code under the terms of any subsequent version of the License\n					 published by Floris van den Berg\n				<br />\n\n	  No one other than Floris van den Berg has the right to modify the terms applicable to\n					 Covered Code created under this License.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3.</var>\n			  Derivative Works.\n				<br />\n\n	  If you create or use a modified version of this License (which you may only do in order\n					 to apply it to code which is not already Covered Code governed by this License),\n					 you must (a) rename Your license so that the phrases &quot;FreeImage&quot;,\n					 `FreeImage Public License&quot;, &quot;FIPL&quot;, or any confusingly similar\n					 phrase do not appear anywhere in your license and (b) otherwise make it clear that\n					 your version of the license contains terms which differ from the FreeImage Public\n					 License. (Filling in the name of the Initial Developer, Original Code or\n					 Contributor in the notice described in Exhibit A shall not of themselves be deemed\n					 to be modifications of this License.)\n\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  DISCLAIMER OF WARRANTY.\n			<br />\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTY\n				 OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\n				 THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE\n				 OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED\n				 CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE\n				 INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY\n				 SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL\n				 PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER\n				 THIS DISCLAIMER.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  TERMINATION.\n			<br />\n\n   This License and the rights granted hereunder will terminate automatically if You fail to\n				 comply with terms herein and fail to cure such breach within 30 days of becoming aware\n				 of the breach. All sublicenses to the Covered Code which are properly granted shall\n				 survive any termination of this License. Provisions which, by their nature, must\n				 remain in effect beyond the termination of this License shall survive.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY.\n			<br />\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE),\n				 CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY\n				 DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU\n				 OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF\n				 ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK\n				 STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR\n				 LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH\n				 DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR\n				 PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE\n				 LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR\n				 LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION\n				 MAY NOT APPLY TO YOU.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  U.S. GOVERNMENT END USERS.\n			<br />\n\n   The Covered Code is a &quot;commercial item,&quot; as that term is defined in 48 C.F.R.\n				 2.101 (Oct. 1995), consisting of &quot;commercial computer software&quot; and\n				 &quot;commercial computer software documentation,&quot; as such terms are used in 48\n				 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1\n				 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\n				 with only those rights set forth herein.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  MISCELLANEOUS.\n			<br />\n\n   This License represents the complete agreement concerning subject matter hereof. If any\n				 provision of this License is held to be unenforceable, such provision shall be\n				 reformed only to the extent necessary to make it enforceable. This License shall be\n				 governed by Dutch law provisions (except to the extent applicable law, if any,\n				 provides otherwise), excluding its conflict-of-law provisions. With respect to\n				 disputes in which at least one party is a citizen of, or an entity chartered or\n				 registered to do business in, the The Netherlands: (a) unless otherwise agreed in\n				 writing, all disputes relating to this License (excepting any dispute relating to\n				 intellectual property rights) shall be subject to final and binding arbitration, with\n				 the losing party paying all costs of arbitration; (b) any arbitration relating to this\n				 Agreement shall be held in Almelo, The Netherlands; and (c) any litigation relating to\n				 this Agreement shall be subject to the jurisdiction of the court of Almelo, The\n				 Netherlands with the losing party responsible for costs, including without limitation,\n				 court costs and reasonable attorneys fees and expenses. Any law or regulation which\n				 provides that the language of a contract shall be consTrued against the drafter shall\n				 not apply to this License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  RESPONSIBILITY FOR CLAIMS.\n			<br />\n\n   Except in cases where another Contributor has failed to comply with Section 3.4, You are responsible for\n				 damages arising, directly or indirectly, out of Your utilization of rights under this License, based\n				 on the number of copies of Covered Code you made available, the revenues you received from utilizing\n				 such rights, and other relevant factors. You agree to work with affected parties to distribute\n				 responsibility on an equitable basis.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A.</p>\n\n		 <p>&quot;The contents of this file are subject to the FreeImage Public License Version 1.0 (the\n		 &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain\n		 a copy of the License at http://home.wxs.nl/~flvdberg/freeimage-license.txt</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF\n		 ANY KIND, either express or implied. See the License for the specific language governing rights and\n		 limitations under the License.</p>\n\n	  </div>\n	"
		self.python_name = "FreeImage"

	def __str__(self):
		return json.dumps(self.__dict__)


class LGPL20plus:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.licenseText = "GNU LIBRARY GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\nCopyright (C) 1991 Free Software Foundation, Inc.\n\n51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the library GPL. It is numbered 2 because it goes with version 2 of the ordinary GPL.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Library General Public License, applies to some specially designated Free Software Foundation software, and to any other libraries whose authors decide to use it. You can use it for your libraries, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library, or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link a program with the library, you must provide complete object files to the recipients so that they can relink them with the library, after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nOur method of protecting your rights has two steps: (1) copyright the library, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the library.\n\nAlso, for each distributor's protection, we want to make certain that everyone understands that there is no warranty for this free library. If the library is modified by someone else and passed on, we want its recipients to know that what they have is not the original version, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that companies distributing free software will individually obtain patent licenses, thus in effect transforming the program into proprietary software. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License, which was designed for utility programs. This license, the GNU Library General Public License, applies to certain designated libraries. This license is quite different from the ordinary one; be sure to read it in full, and don't assume that anything in it is the same as in the ordinary license.\n\nThe reason we have a separate public license for some libraries is that they blur the distinction we usually make between modifying or adding to a program and simply using it. Linking a program with a library, without changing the library, is in some sense simply using the library, and is analogous to running a utility program or application program. However, in a textual and legal sense, the linked executable is a combined work, a derivative of the original library, and the ordinary General Public License treats it as such.\n\nBecause of this blurred distinction, using the ordinary General Public License for libraries did not effectively promote software sharing, because most developers did not use the libraries. We concluded that weaker conditions might promote sharing better.\n\nHowever, unrestricted linking of non-free programs would deprive the users of those programs of all benefit from the free status of the libraries themselves. This Library General Public License is intended to permit developers of non-free programs to use free libraries, while preserving your freedom as a user of such programs to change the free libraries that are incorporated in them. (We have not seen how to achieve this as regards changes in header files, but we have achieved it as regards changes in the actual functions of the Library.) The hope is that this will lead to faster development of free libraries.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, while the latter only works together with the library.\n\nNote that it is possible for a library to be covered by the ordinary General Public License rather than by this special one.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   0. This License Agreement applies to any software library which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Library General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\n   A \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\n   The \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n   \"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n   1. You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   2. You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  a) The modified work must itself be a software library.\n\n	  b) You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	  c) You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	  d) If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n	  (For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\n   In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   3. You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\n   Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\n   This option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n   4. You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\n   If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   5. A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\n   However, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\n   When a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\n   If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\n   Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n   6. As an exception to the Sections above, you may also compile or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\n   You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	  a) Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	  b) Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	  c) If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	  d) Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\n   For an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n   7. You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	  a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	  b) Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   8. You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   9. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n   10. Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n   11. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   12. If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   13. The Free Software Foundation may publish revised and/or new versions of the Library General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n   14. If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\none line to give the library's name and an idea of what it does.\n\nCopyright (C) year name of author\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.\n\nYou should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\n\nthe library `Frob' (a library for tweaking knobs) written\n\nby James Random Hacker.\n\nsignature of Ty Coon, 1 April 1990\n\nTy Coon, President of Vice\n\nThat's all there is to it!\n\n"
		self.standardLicenseHeaderTemplate = "<<var;name=\"description\";original=\"one line to give the library's name and an idea of what it does.\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"year name of author\";match=\".+\">>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.\n\nYou should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU LIBRARY GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (C) 1991 Free Software Foundation, Inc.  51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA  \";match=\".{0,5000}\">>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n[This is the first released version of the library GPL. It is numbered 2 because it goes with version 2 of the ordinary GPL.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.\n\nThis license, the Library General Public License, applies to some specially designated Free Software Foundation software, and to any other libraries whose authors decide to use it. You can use it for your libraries, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library, or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link a program with the library, you must provide complete object files to the recipients so that they can relink them with the library, after making changes to the library and recompiling it. And you must show them these terms so they know their rights.\n\nOur method of protecting your rights has two steps: (1) copyright the library, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the library.\n\nAlso, for each distributor's protection, we want to make certain that everyone understands that there is no warranty for this free library. If the library is modified by someone else and passed on, we want its recipients to know that what they have is not the original version, so that any problems introduced by others will not reflect on the original authors' reputations.\n\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that companies distributing free software will individually obtain patent licenses, thus in effect transforming the program into proprietary software. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU General Public License, which was designed for utility programs. This license, the GNU Library General Public License, applies to certain designated libraries. This license is quite different from the ordinary one; be sure to read it in full, and don't assume that anything in it is the same as in the ordinary license.\n\nThe reason we have a separate public license for some libraries is that they blur the distinction we usually make between modifying or adding to a program and simply using it. Linking a program with a library, without changing the library, is in some sense simply using the library, and is analogous to running a utility program or application program. However, in a textual and legal sense, the linked executable is a combined work, a derivative of the original library, and the ordinary General Public License treats it as such.\n\nBecause of this blurred distinction, using the ordinary General Public License for libraries did not effectively promote software sharing, because most developers did not use the libraries. We concluded that weaker conditions might promote sharing better.\n\nHowever, unrestricted linking of non-free programs would deprive the users of those programs of all benefit from the free status of the libraries themselves. This Library General Public License is intended to permit developers of non-free programs to use free libraries, while preserving your freedom as a user of such programs to change the free libraries that are incorporated in them. (We have not seen how to achieve this as regards changes in header files, but we have achieved it as regards changes in the actual functions of the Library.) The hope is that this will lead to faster development of free libraries.\n\nThe precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a \"work based on the library\" and a \"work that uses the library\". The former contains code derived from the library, while the latter only works together with the library.\n\nNote that it is possible for a library to be covered by the ordinary General Public License rather than by this special one.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> This License Agreement applies to any software library which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Library General Public License (also called \"this License\"). Each licensee is addressed as \"you\".\n\n   A \"library\" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.\n\n   The \"Library\", below, refers to any such software library or work which has been distributed under these terms. A \"work based on the Library\" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term \"modification\".)\n\n   \"Source code\" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.\n\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is True depends on what the Library does and what the program that uses the Library does.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.\n\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The modified work must itself be a software library.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.\n\n	  (For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)\n\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.\n\n   In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.\n\n   Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.\n\n   This option is useful when you wish to copy part of the code of the Library into a program that is not a library.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.\n\n   If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a \"work that uses the Library\". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.\n\n   However, linking a \"work that uses the Library\" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a \"work that uses the library\". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.\n\n   When a \"work that uses the Library\" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is True is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be True is not precisely defined by law.\n\n   If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)\n\n   Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> As an exception to the Sections above, you may also compile or link a \"work that uses the Library\" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.\n\n   You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable \"work that uses the Library\", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Verify that the user has already received a copy of these materials or that you have already sent this user a copy.\n\n   For an executable, the required form of the \"work that uses the Library\" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n\n   It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.\n\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.\n\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> The Free Software Foundation may publish revised and/or new versions of the Library General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n\n   NO WARRANTY\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.<<beginOptional>> END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).\n\nTo apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<<var;name=\"description\";original=\"one line to give the library's name and an idea of what it does.\";match=\".+\">>\n\nCopyright (C) <<var;name=\"copyright\";original=\"year name of author\";match=\".+\">>\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.\n\nYou should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school, if any, to sign a \"copyright disclaimer\" for the library, if necessary. Here is a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\n\nthe library `Frob' (a library for tweaking knobs) written\n\nby James Random Hacker.\n\nsignature of Ty Coon, 1 April 1990\n\nTy Coon, President of Vice\n\nThat's all there is to it!\n\n<<endOptional>>"
		self.name = "GNU Library General Public License v2 or later"
		self.licenseId = "LGPL-2.0+"
		self.standardLicenseHeader = "one line to give the library's name and an idea of what it does.\n\nCopyright (C) year name of author\n\nThis library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.\n\nYou should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/lgpl-2.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:38Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/lgpl-2.0-standalone.html"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>GNU LIBRARY GENERAL PUBLIC LICENSE</p>\n\n		 <p>Version 2, June 1991</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 1991 Free Software Foundation, Inc.\n		<br />\n\n51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA\n	  </p>\n\n	  </div>\n	  <p>Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is\n		 not allowed.</p>\n\n	  <p>[This is the first released version of the library GPL. It is numbered 2 because it goes with version 2\n		 of the ordinary GPL.]</p>\n\n	  <p>Preamble</p>\n\n	  <p>The licenses for most software are designed to take away your freedom to share and change it. By\n		 contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change\n		 free software--to make sure the software is free for all its users.</p>\n\n	  <p>This license, the Library General Public License, applies to some specially designated Free Software\n		 Foundation software, and to any other libraries whose authors decide to use it. You can use it for\n		 your libraries, too.</p>\n\n	  <p>When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are\n		 designed to make sure that you have the freedom to distribute copies of free software (and charge for\n		 this service if you wish), that you receive source code or can get it if you want it, that you can\n		 change the software or use pieces of it in new free programs; and that you know you can do these\n		 things.</p>\n\n	  <p>To protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to\n		 ask you to surrender the rights. These restrictions translate to certain responsibilities for you if\n		 you distribute copies of the library, or if you modify it.</p>\n\n	  <p>For example, if you distribute copies of the library, whether gratis or for a fee, you must give the\n		 recipients all the rights that we gave you. You must make sure that they, too, receive or can get the\n		 source code. If you link a program with the library, you must provide complete object files to the\n		 recipients so that they can relink them with the library, after making changes to the library and\n		 recompiling it. And you must show them these terms so they know their rights.</p>\n\n	  <p>Our method of protecting your rights has two steps: (1) copyright the library, and (2) offer you this\n		 license which gives you legal permission to copy, distribute and/or modify the library.</p>\n\n	  <p>Also, for each distributor&apos;s protection, we want to make certain that everyone understands that\n		 there is no warranty for this free library. If the library is modified by someone else and passed on,\n		 we want its recipients to know that what they have is not the original version, so that any problems\n		 introduced by others will not reflect on the original authors&apos; reputations.</p>\n\n	  <p>Finally, any free program is threatened constantly by software patents. We wish to avoid the danger that\n		 companies distributing free software will individually obtain patent licenses, thus in effect\n		 transforming the program into proprietary software. To prevent this, we have made it clear that any\n		 patent must be licensed for everyone&apos;s free use or not licensed at all.</p>\n\n	  <p>Most GNU software, including some libraries, is covered by the ordinary GNU General Public License, which\n		 was designed for utility programs. This license, the GNU Library General Public License, applies to\n		 certain designated libraries. This license is quite different from the ordinary one; be sure to read\n		 it in full, and don&apos;t assume that anything in it is the same as in the ordinary license.</p>\n\n	  <p>The reason we have a separate public license for some libraries is that they blur the distinction we\n		 usually make between modifying or adding to a program and simply using it. Linking a program with a\n		 library, without changing the library, is in some sense simply using the library, and is analogous to\n		 running a utility program or application program. However, in a textual and legal sense, the linked\n		 executable is a combined work, a derivative of the original library, and the ordinary General Public\n		 License treats it as such.</p>\n\n	  <p>Because of this blurred distinction, using the ordinary General Public License for libraries did not\n		 effectively promote software sharing, because most developers did not use the libraries. We concluded\n		 that weaker conditions might promote sharing better.</p>\n\n	  <p>However, unrestricted linking of non-free programs would deprive the users of those programs of all\n		 benefit from the free status of the libraries themselves. This Library General Public License is\n		 intended to permit developers of non-free programs to use free libraries, while preserving your\n		 freedom as a user of such programs to change the free libraries that are incorporated in them. (We\n		 have not seen how to achieve this as regards changes in header files, but we have achieved it as\n		 regards changes in the actual functions of the Library.) The hope is that this will lead to faster\n		 development of free libraries.</p>\n\n	  <p>The precise terms and conditions for copying, distribution and modification follow. Pay close attention\n		 to the difference between a &quot;work based on the library&quot; and a &quot;work that uses the\n		 library&quot;. The former contains code derived from the library, while the latter only works together\n		 with the library.</p>\n\n	  <p>Note that it is possible for a library to be covered by the ordinary General Public License rather than\n		 by this special one.</p>\n\n	  <p>TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  This License Agreement applies to any software library which contains a notice placed by the\n			 copyright holder or other authorized party saying it may be distributed under the terms of\n			 this Library General Public License (also called &quot;this License&quot;). Each licensee is\n			 addressed as &quot;you&quot;.\n		  <p>A &quot;library&quot; means a collection of software functions and/or data prepared so as to be\n			 conveniently linked with application programs (which use some of those functions and data) to\n			 form executables.</p>\n\n			<p>The &quot;Library&quot;, below, refers to any such software library or work which has been\n			 distributed under these terms. A &quot;work based on the Library&quot; means either the\n			 Library or any derivative work under copyright law: that is to say, a work containing the\n			 Library or a portion of it, either verbatim or with modifications and/or translated\n			 straightforwardly into another language. (Hereinafter, translation is included without\n			 limitation in the term &quot;modification&quot;.)</p>\n\n			<p>&quot;Source code&quot; for a work means the preferred form of the work for making modifications\n			 to it. For a library, complete source code means all the source code for all modules it\n			 contains, plus any associated interface definition files, plus the scripts used to control\n			 compilation and installation of the library.</p>\n\n			<p>Activities other than copying, distribution and modification are not covered by this License;\n			 they are outside its scope. The act of running a program using the Library is not restricted,\n			 and output from such a program is covered only if its contents constitute a work based on the\n			 Library (independent of the use of the Library in a tool for writing it). Whether that is True\n			 depends on what the Library does and what the program that uses the Library does.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may copy and distribute verbatim copies of the Library&apos;s complete source code as you\n			 receive it, in any medium, provided that you conspicuously and appropriately publish on each\n			 copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices\n			 that refer to this License and to the absence of any warranty; and distribute a copy of this\n			 License along with the Library.\n		  <p>You may charge a fee for the physical act of transferring a copy, and you may at your option\n			 offer warranty protection in exchange for a fee.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may modify your copy or copies of the Library or any portion of it, thus forming a work based\n			 on the Library, and copy and distribute such modifications or work under the terms of Section\n			 1 above, provided that you also meet all of these conditions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			The modified work must itself be a software library.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			You must cause the files modified to carry prominent notices stating that you changed the\n			   files and the date of any change.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			You must cause the whole of the work to be licensed at no charge to all third parties under\n			   the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			If a facility in the modified Library refers to a function or a table of data to be supplied\n			   by an application program that uses the facility, other than as an argument passed when\n			   the facility is invoked, then you must make a good faith effort to ensure that, in the\n			   event an application does not supply such function or table, the facility still operates,\n			   and performs whatever part of its purpose remains meaningful.\n			<p>(For example, a function in a library to compute square roots has a purpose that is entirely\n			   well-defined independent of the application. Therefore, Subsection 2d requires that any\n			   application-supplied function or table used by this function must be optional: if the\n			   application does not supply it, the square root function must still compute square\n			   roots.)</p>\n\n			   </li>\n			\n</ul>\n			<p>These requirements apply to the modified work as a whole. If identifiable sections of that\n			   work are not derived from the Library, and can be reasonably considered independent and\n			   separate works in themselves, then this License, and its terms, do not apply to those\n			   sections when you distribute them as separate works. But when you distribute the same\n			   sections as part of a whole which is a work based on the Library, the distribution of the\n			   whole must be on the terms of this License, whose permissions for other licensees extend\n			   to the entire whole, and thus to each and every part regardless of who wrote it.</p>\n\n			<p>Thus, it is not the intent of this section to claim rights or contest your rights to work\n			   written entirely by you; rather, the intent is to exercise the right to control the\n			   distribution of derivative or collective works based on the Library.</p>\n\n			<p>In addition, mere aggregation of another work not based on the Library with the Library (or\n			   with a work based on the Library) on a volume of a storage or distribution medium does not\n			   bring the other work under the scope of this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may opt to apply the terms of the ordinary GNU General Public License instead of this License\n			 to a given copy of the Library. To do this, you must alter all the notices that refer to this\n			 License, so that they refer to the ordinary GNU General Public License, version 2, instead of\n			 to this License. (If a newer version than version 2 of the ordinary GNU General Public License\n			 has appeared, then you can specify that version instead if you wish.) Do not make any other\n			 change in these notices.\n		  <p>Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU\n			 General Public License applies to all subsequent copies and derivative works made from that\n			 copy.</p>\n\n			<p>This option is useful when you wish to copy part of the code of the Library into a program that\n			 is not a library.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in\n			 object code or executable form under the terms of Sections 1 and 2 above provided that you\n			 accompany it with the complete corresponding machine-readable source code, which must be\n			 distributed under the terms of Sections 1 and 2 above on a medium customarily used for\n			 software interchange.\n		  <p>If distribution of object code is made by offering access to copy from a designated place, then\n			 offering equivalent access to copy the source code from the same place satisfies the\n			 requirement to distribute the source code, even though third parties are not compelled to copy\n			 the source along with the object code.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  A program that contains no derivative of any portion of the Library, but is designed to work with\n			 the Library by being compiled or linked with it, is called a &quot;work that uses the\n			 Library&quot;. Such a work, in isolation, is not a derivative work of the Library, and\n			 therefore falls outside the scope of this License.\n		  <p>However, linking a &quot;work that uses the Library&quot; with the Library creates an executable\n			 that is a derivative of the Library (because it contains portions of the Library), rather than\n			 a &quot;work that uses the library&quot;. The executable is therefore covered by this License.\n			 Section 6 states terms for distribution of such executables.</p>\n\n			<p>When a &quot;work that uses the Library&quot; uses material from a header file that is part of\n			 the Library, the object code for the work may be a derivative work of the Library even though\n			 the source code is not. Whether this is True is especially significant if the work can be\n			 linked without the Library, or if the work is itself a library. The threshold for this to be\n			 True is not precisely defined by law.</p>\n\n			<p>If such an object file uses only numerical parameters, data structure layouts and accessors, and\n			 small macros and small inline functions (ten lines or less in length), then the use of the\n			 object file is unrestricted, regardless of whether it is legally a derivative work.\n			 (Executables containing this object code plus portions of the Library will still fall under\n			 Section 6.)</p>\n\n			<p>Otherwise, if the work is a derivative of the Library, you may distribute the object code for the\n			 work under the terms of Section 6. Any executables containing that work also fall under\n			 Section 6, whether or not they are linked directly with the Library itself.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  As an exception to the Sections above, you may also compile or link a &quot;work that uses the\n			 Library&quot; with the Library to produce a work containing portions of the Library, and\n			 distribute that work under terms of your choice, provided that the terms permit modification\n			 of the work for the customer&apos;s own use and reverse engineering for debugging such\n			 modifications.\n		  <p>You must give prominent notice with each copy of the work that the Library is used in it and that\n			 the Library and its use are covered by this License. You must supply a copy of this License.\n			 If the work during execution displays copyright notices, you must include the copyright notice\n			 for the Library among them, as well as a reference directing the user to the copy of this\n			 License. Also, you must do one of these things:</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			Accompany the work with the complete corresponding machine-readable source code for the\n			   Library including whatever changes were used in the work (which must be distributed under\n			   Sections 1 and 2 above); and, if the work is an executable linked with the Library, with\n			   the complete machine-readable &quot;work that uses the Library&quot;, as object code\n			   and/or source code, so that the user can modify the Library and then relink to produce a\n			   modified executable containing the modified Library. (It is understood that the user who\n			   changes the contents of definitions files in the Library will not necessarily be able to\n			   recompile the application to use the modified definitions.)\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			Accompany the work with a written offer, valid for at least three years, to give the same\n			   user the materials specified in Subsection 6a, above, for a charge no more than the cost\n			   of performing this distribution.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			If distribution of the work is made by offering access to copy from a designated place, offer\n			   equivalent access to copy the above specified materials from the same place.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			Verify that the user has already received a copy of these materials or that you have already\n			   sent this user a copy.\n		  </li>\n			\n</ul>\n			<p>For an executable, the required form of the &quot;work that uses the Library&quot; must\n			   include any data and utility programs needed for reproducing the executable from it.\n			   However, as a special exception, the source code distributed need not include anything\n			   that is normally distributed (in either source or binary form) with the major components\n			   (compiler, kernel, and so on) of the operating system on which the executable runs, unless\n			   that component itself accompanies the executable.</p>\n\n			<p>It may happen that this requirement contradicts the license restrictions of other proprietary\n			   libraries that do not normally accompany the operating system. Such a contradiction means\n			   you cannot use both them and the Library together in an executable that you\n			   distribute.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  You may place library facilities that are a work based on the Library side-by-side in a single\n			 library together with other library facilities not covered by this License, and distribute\n			 such a combined library, provided that the separate distribution of the work based on the\n			 Library and of the other library facilities is otherwise permitted, and provided that you do\n			 these two things:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			Accompany the combined library with a copy of the same work based on the Library, uncombined\n			   with any other library facilities. This must be distributed under the terms of the\n			   Sections above.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			Give prominent notice with the combined library of the fact that part of it is a work based\n			   on the Library, and explaining where to find the accompanying uncombined form of the same\n			   work.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  You may not copy, modify, sublicense, link with, or distribute the Library except as expressly\n			 provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or\n			 distribute the Library is void, and will automatically terminate your rights under this\n			 License. However, parties who have received copies, or rights, from you under this License\n			 will not have their licenses terminated so long as such parties remain in full compliance.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  You are not required to accept this License, since you have not signed it. However, nothing else\n			 grants you permission to modify or distribute the Library or its derivative works. These\n			 actions are prohibited by law if you do not accept this License. Therefore, by modifying or\n			 distributing the Library (or any work based on the Library), you indicate your acceptance of\n			 this License to do so, and all its terms and conditions for copying, distributing or modifying\n			 the Library or works based on it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Each time you redistribute the Library (or any work based on the Library), the recipient\n			 automatically receives a license from the original licensor to copy, distribute, link with or\n			 modify the Library subject to these terms and conditions. You may not impose any further\n			 restrictions on the recipients&apos; exercise of the rights granted herein. You are not\n			 responsible for enforcing compliance by third parties to this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  If, as a consequence of a court judgment or allegation of patent infringement or for any other\n			 reason (not limited to patent issues), conditions are imposed on you (whether by court order,\n			 agreement or otherwise) that contradict the conditions of this License, they do not excuse you\n			 from the conditions of this License. If you cannot distribute so as to satisfy simultaneously\n			 your obligations under this License and any other pertinent obligations, then as a consequence\n			 you may not distribute the Library at all. For example, if a patent license would not permit\n			 royalty-free redistribution of the Library by all those who receive copies directly or\n			 indirectly through you, then the only way you could satisfy both it and this License would be\n			 to refrain entirely from distribution of the Library.\n		  <p>If any portion of this section is held invalid or unenforceable under any particular\n			 circumstance, the balance of the section is intended to apply, and the section as a whole is\n			 intended to apply in other circumstances.</p>\n\n			<p>It is not the purpose of this section to induce you to infringe any patents or other property\n			 right claims or to contest validity of any such claims; this section has the sole purpose of\n			 protecting the integrity of the free software distribution system which is implemented by\n			 public license practices. Many people have made generous contributions to the wide range of\n			 software distributed through that system in reliance on consistent application of that system;\n			 it is up to the author/donor to decide if he or she is willing to distribute software through\n			 any other system and a licensee cannot impose that choice.</p>\n\n			<p>This section is intended to make thoroughly clear what is believed to be a consequence of the\n			 rest of this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  If the distribution and/or use of the Library is restricted in certain countries either by\n			 patents or by copyrighted interfaces, the original copyright holder who places the Library\n			 under this License may add an explicit geographical distribution limitation excluding those\n			 countries, so that distribution is permitted only in or among countries not thus excluded. In\n			 such case, this License incorporates the limitation as if written in the body of this\n			 License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  The Free Software Foundation may publish revised and/or new versions of the Library General\n			 Public License from time to time. Such new versions will be similar in spirit to the present\n			 version, but may differ in detail to address new problems or concerns.\n		  <p>Each version is given a distinguishing version number. If the Library specifies a version number\n			 of this License which applies to it and &quot;any later version&quot;, you have the option of\n			 following the terms and conditions either of that version or of any later version published by\n			 the Free Software Foundation. If the Library does not specify a license version number, you\n			 may choose any version ever published by the Free Software Foundation.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14.</var>\n		  If you wish to incorporate parts of the Library into other free programs whose distribution\n			 conditions are incompatible with these, write to the author to ask for permission. For\n			 software which is copyrighted by the Free Software Foundation, write to the Free Software\n			 Foundation; we sometimes make exceptions for this. Our decision will be guided by the two\n			 goals of preserving the free status of all derivatives of our free software and of promoting\n			 the sharing and reuse of software generally.\n		  <p>NO WARRANTY</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15.</var>\n		  BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE\n			 EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT\n			 HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY &quot;AS IS&quot; WITHOUT WARRANTY OF ANY\n			 KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n			 MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND\n			 PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE\n			 COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 16.</var>\n		  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER,\n			 OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE\n			 LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n			 ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF\n			 DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A\n			 FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY\n			 HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>END OF TERMS AND CONDITIONS</p>\n\n		 <p>How to Apply These Terms to Your New Libraries</p>\n\n		 <p>If you develop a new library, and you want it to be of the greatest possible use to the public, we\n		 recommend making it free software that everyone can redistribute and change. You can do so by\n		 permitting redistribution under these terms (or, alternatively, under the terms of the ordinary\n		 General Public License).</p>\n\n		 <p>To apply these terms, attach the following notices to the library. It is safest to attach them to the\n		 start of each source file to most effectively convey the exclusion of warranty; and each file should\n		 have at least the &quot;copyright&quot; line and a pointer to where the full notice is found.</p>\n\n		 <p><var class=\"replaceable-license-text\"> one line to give the library&apos;s name and an idea of what it does.</var><br />\n\n		 Copyright (C) <var class=\"replaceable-license-text\"> year name of author</var></p>\n\n		 <p>This library is free software; you can redistribute it and/or modify it under the terms of the GNU\n		 Library General Public License as published by the Free Software Foundation; either version 2 of the\n		 License, or (at your option) any later version.</p>\n\n		 <p>This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even\n		 the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library\n		 General Public License for more details.</p>\n\n		 <p>You should have received a copy of the GNU Library General Public License along with this library; if\n		 not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301,\n		 USA.</p>\n\n		 <p>Also add information on how to contact you by electronic and paper mail.</p>\n\n		 <p>You should also get your employer (if you work as a programmer) or your school, if any, to sign a\n		 &quot;copyright disclaimer&quot; for the library, if necessary. Here is a sample; alter the names:</p>\n\n		 <p>Yoyodyne, Inc., hereby disclaims all copyright interest in\n		<br />\n\nthe library `Frob&apos; (a library for tweaking knobs) written\n		<br />\n\nby James Random Hacker.\n	  </p>\n\n		 <p>signature of Ty Coon, 1 April 1990\n		<br />\n\nTy Coon, President of Vice\n	  </p>\n\n		 <p>That&apos;s all there is to it!</p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p><var class=\"replaceable-license-text\"> one line to give the library&apos;s name and an idea of what it does.</var><br />\n\n		 Copyright (C) <var class=\"replaceable-license-text\"> year name of author</var></p>\n\n		 <p>This library is free software; you can redistribute it and/or modify it under the terms of the GNU\n		 Library General Public License as published by the Free Software Foundation; either version 2 of the\n		 License, or (at your option) any later version.</p>\n\n		 <p>This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even\n		 the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library\n		 General Public License for more details.</p>\n\n		 <p>You should have received a copy of the GNU Library General Public License along with this library; if\n		 not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301,\n		 USA.</p>\n\n		 "
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "LGPL20plus"

	def __str__(self):
		return json.dumps(self.__dict__)


class Afmparse:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "(C) 1988, 1989 by Adobe Systems Incorporated. All rights reserved.\n\nThis file may be freely copied and redistributed as long as:\n\n	 1) This entire notice continues to be included in the file,\n	 2) If the file has been modified in any way, a notice of such modification is conspicuously indicated.\n\nPostScript, Display PostScript,and Adobe are registered trademarks of Adobe Systems Incorporated.\n\nTHE INFORMATION BELOW IS FURNISHED AS IS, IS SUBJECT TO CHANGE WITHOUT NOTICE, AND SHOULD NOT BE CONSTRUED AS A COMMITMENT BY ADOBE SYSTEMS INCORPORATED. ADOBE SYSTEMS INCORPORATED ASSUMES NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR INACCURACIES, MAKES NO WARRANTY OF ANY KIND (EXPRESS, IMPLIED OR STATUTORY) WITH RESPECT TO THIS INFORMATION, AND EXPRESSLY DISCLAIMS ANY AND ALL WARRANTIES OF MERCHANTABILITY, FITNESS FOR PARTICULAR PURPOSES AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"(C) 1988, 1989 by Adobe Systems Incorporated. All rights reserved.  \";match=\".{0,5000}\">>\n\nThis file may be freely copied and redistributed as long as:\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> This entire notice continues to be included in the file,\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> If the file has been modified in any way, a notice of such modification is conspicuously indicated.\n\nPostScript, Display PostScript, and Adobe are registered trademarks of Adobe Systems Incorporated.\n\nTHE INFORMATION BELOW IS FURNISHED AS IS, IS SUBJECT TO CHANGE WITHOUT NOTICE, AND SHOULD NOT BE CONSTRUED AS A COMMITMENT BY ADOBE SYSTEMS INCORPORATED. ADOBE SYSTEMS INCORPORATED ASSUMES NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR INACCURACIES, MAKES NO WARRANTY OF ANY KIND (EXPRESS, IMPLIED OR STATUTORY) WITH RESPECT TO THIS INFORMATION, AND EXPRESSLY DISCLAIMS ANY AND ALL WARRANTIES OF MERCHANTABILITY, FITNESS FOR PARTICULAR PURPOSES AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.\n\n"
		self.name = "Afmparse License"
		self.licenseId = "Afmparse"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Afmparse", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:45Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Afmparse"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>(C) 1988, 1989 by Adobe Systems Incorporated. All rights reserved.</p>\n\n	  </div>\n\n	  <p>This file may be freely copied and redistributed as long as:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  This entire notice continues to be included in the file,\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  If the file has been modified in any way, a notice of such modification is conspicuously indicated.\n		</li>\n	  \n</ul>\n	  <p>PostScript, Display PostScript, and Adobe are registered trademarks of Adobe Systems Incorporated.</p>\n\n	  <p>THE INFORMATION BELOW IS FURNISHED AS IS, IS SUBJECT TO CHANGE WITHOUT NOTICE, AND SHOULD NOT BE\n		 CONSTRUED AS A COMMITMENT BY ADOBE SYSTEMS INCORPORATED. ADOBE SYSTEMS INCORPORATED ASSUMES NO\n		 RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR INACCURACIES, MAKES NO WARRANTY OF ANY KIND (EXPRESS,\n		 IMPLIED OR STATUTORY) WITH RESPECT TO THIS INFORMATION, AND EXPRESSLY DISCLAIMS ANY AND ALL WARRANTIES\n		 OF MERCHANTABILITY, FITNESS FOR PARTICULAR PURPOSES AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.</p>\n\n	"
		self.python_name = "Afmparse"

	def __str__(self):
		return json.dumps(self.__dict__)


class ODCBy10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "# ODC Attribution License (ODC-By)\n\n### Preamble\n\nThe Open Data Commons Attribution License is a license agreement intended to allow users to freely share, modify, and use this Database subject only to the attribution requirements set out in Section 4.\n\nDatabases can contain a wide variety of types of content (images, audiovisual material, and sounds all in the same database, for example), and so this license only governs the rights over the Database, and not the contents of the Database individually. Licensors may therefore wish to use this license together with another license for the contents.\n\nSometimes the contents of a database, or the database itself, can be covered by other rights not addressed here (such as private contracts, trademark over the name, or privacy rights / data protection rights over information in the contents), and so you are advised that you may have to consult other documents or clear other rights before doing activities not covered by this License.\n\n------\n\nThe Licensor (as defined below)\n\nand\n\nYou (as defined below)\n\nagree as follows:\n\n### 1.0 Definitions of Capitalised Words\n\n\"Collective Database\" \u2013 Means this Database in unmodified form as part of a collection of independent databases in themselves that together are assembled into a collective whole. A work that constitutes a Collective Database will not be considered a Derivative Database.\n\n\"Convey\" \u2013 As a verb, means Using the Database, a Derivative Database, or the Database as part of a Collective Database in any way that enables a Person to make or receive copies of the Database or a Derivative Database. Conveying does not include interaction with a user through a computer network, or creating and Using a Produced Work, where no transfer of a copy of the Database or a Derivative Database occurs.\n\n\"Contents\" \u2013 The contents of this Database, which includes the information, independent works, or other material collected into the Database. For example, the contents of the Database could be factual data or works such as images, audiovisual material, text, or sounds.\n\n\"Database\" \u2013 A collection of material (the Contents) arranged in a systematic or methodical way and individually accessible by electronic or other means offered under the terms of this License.\n\n\"Database Directive\" \u2013 Means Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended or succeeded.\n\n\"Database Right\" \u2013 Means rights resulting from the Chapter III (\"sui generis\") rights in the Database Directive (as amended and as transposed by member states), which includes the Extraction and Re-utilisation of the whole or a Substantial part of the Contents, as well as any similar rights available in the relevant jurisdiction under Section 10.4.\n\n\"Derivative Database\" \u2013 Means a database based upon the Database, and includes any translation, adaptation, arrangement, modification, or any other alteration of the Database or of a Substantial part of the Contents. This includes, but is not limited to, Extracting or Re-utilising the whole or a Substantial part of the Contents in a new Database.\n\n\"Extraction\" \u2013 Means the permanent or temporary transfer of all or a Substantial part of the Contents to another medium by any means or in any form.\n\n\"License\" \u2013 Means this license agreement and is both a license of rights such as copyright and Database Rights and an agreement in contract.\n\n\"Licensor\" \u2013 Means the Person that offers the Database under the terms of this License.\n\n\"Person\" \u2013 Means a natural or legal person or a body of persons corporate or incorporate.\n\n\"Produced Work\" \u2013 a work (such as an image, audiovisual material, text, or sounds) resulting from using the whole or a Substantial part of the Contents (via a search or other query) from this Database, a Derivative Database, or this Database as part of a Collective Database.\n\n\"Publicly\" \u2013 means to Persons other than You or under Your control by either more than 50% ownership or by the power to direct their activities (such as contracting with an independent consultant).\n\n\"Re-utilisation\" \u2013 means any form of making available to the public all or a Substantial part of the Contents by the distribution of copies, by renting, by online or other forms of transmission.\n\n\"Substantial\" \u2013 Means substantial in terms of quantity or quality or a combination of both. The repeated and systematic Extraction or Re-utilisation of insubstantial parts of the Contents may amount to the Extraction or Re-utilisation of a Substantial part of the Contents.\n\n\"Use\" \u2013 As a verb, means doing any act that is restricted by copyright or Database Rights whether in the original medium or any other; and includes without limitation distributing, copying, publicly performing, publicly displaying, and preparing derivative works of the Database, as well as modifying the Database as may be technically necessary to use it in a different mode or format.\n\n\"You\" \u2013 Means a Person exercising rights under this License who has not previously violated the terms of this License with respect to the Database, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\nWords in the singular include the plural and vice versa.\n\n### 2.0 What this License covers\n\n2.1. Legal effect of this document. This License is:\n\n a. A license of applicable copyright and neighbouring rights;\n\n b. A license of the Database Right; and\n\n c. An agreement in contract between You and the Licensor.\n\n2.2 Legal rights covered. This License covers the legal rights in the Database, including:\n\n a. Copyright. Any copyright or neighbouring rights in the Database. The copyright licensed includes any individual elements of the Database, but does not cover the copyright over the Contents independent of this Database. See Section 2.4 for details. Copyright law varies between jurisdictions, but is likely to cover: the Database model or schema, which is the structure, arrangement, and organisation of the Database, and can also include the Database tables and table indexes; the data entry and output sheets; and the Field names of Contents stored in the Database;\n\n b. Database Rights. Database Rights only extend to the Extraction and Re-utilisation of the whole or a Substantial part of the Contents. Database Rights can apply even when there is no copyright over the Database. Database Rights can also apply when the Contents are removed from the Database and are selected and arranged in a way that would not infringe any applicable copyright; and\n\n c. Contract. This is an agreement between You and the Licensor for access to the Database. In return you agree to certain conditions of use on this access as outlined in this License.\n\n2.3 Rights not covered.\n\n a. This License does not apply to computer programs used in the making or operation of the Database;\n\n b. This License does not cover any patents over the Contents or the Database; and\n\n c. This License does not cover any trademarks associated with the Database.\n\n2.4 Relationship to Contents in the Database. The individual items of the Contents contained in this Database may be covered by other rights, including copyright, patent, data protection, privacy, or personality rights, and this License does not cover any rights (other than Database Rights or in contract) in individual Contents contained in the Database. For example, if used on a Database of images (the Contents), this License would not apply to copyright over individual images, which could have their own separate licenses, or one single license covering all of the rights over the images.\n\n### 3.0 Rights granted\n\n3.1 Subject to the terms and conditions of this License, the Licensor grants to You a worldwide, royalty-free, non-exclusive, terminable (but only under Section 9) license to Use the Database for the duration of any applicable copyright and Database Rights. These rights explicitly include commercial use, and do not exclude any field of endeavour. To the extent possible in the relevant jurisdiction, these rights may be exercised in all media and formats whether now known or created in the future.\n\nThe rights granted cover, for example:\n\n a. Extraction and Re-utilisation of the whole or a Substantial part of the Contents;\n\n b. Creation of Derivative Databases;\n\n c. Creation of Collective Databases;\n\n d. Creation of temporary or permanent reproductions by any means and in any form, in whole or in part, including of any Derivative Databases or as a part of Collective Databases; and\n\n e. Distribution, communication, display, lending, making available, or performance to the public by any means and in any form, in whole or in part, including of any Derivative Database or as a part of Collective Databases.\n\n3.2 Compulsory license schemes. For the avoidance of doubt:\n\n a. Non-waivable compulsory license schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n b. Waivable compulsory license schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,\n\n c. Voluntary license schemes. The Licensor waives the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License.\n\n3.3 The right to release the Database under different terms, or to stop distributing or making available the Database, is reserved. Note that this Database may be multiple-licensed, and so You may have the choice of using alternative licenses for this Database. Subject to Section 10.4, all other rights not expressly granted by Licensor are reserved.\n\n### 4.0 Conditions of Use\n\n4.1 The rights granted in Section 3 above are expressly made subject to Your complying with the following conditions of use. These are important conditions of this License, and if You fail to follow them, You will be in material breach of its terms.\n\n4.2 Notices. If You Publicly Convey this Database, any Derivative Database, or the Database as part of a Collective Database, then You must:\n\n a. Do so only under the terms of this License;\n\n b. Include a copy of this License or its Uniform Resource Identifier (URI) with the Database or Derivative Database, including both in the Database or Derivative Database and in any relevant documentation;\n\n c. Keep intact any copyright or Database Right notices and notices that refer to this License; and\n\n d. If it is not possible to put the required notices in a particular file due to its structure, then You must include the notices in a location (such as a relevant directory) where users would be likely to look for it.\n\n4.3 Notice for using output (Contents). Creating and Using a Produced Work does not require the notice in Section 4.2. However, if you Publicly Use a Produced Work, You must include a notice associated with the Produced Work reasonably calculated to make any Person that uses, views, accesses, interacts with, or is otherwise exposed to the Produced Work aware that Content was obtained from the Database, Derivative Database, or the Database as part of a Collective Database, and that it is available under this License.\n\n a. Example notice. The following text will satisfy notice under Section 4.3:\n\n Contains information from DATABASE NAME which is made available under the ODC Attribution License.\n\nDATABASE NAME should be replaced with the name of the Database and a hyperlink to the location of the Database. \"ODC Attribution License\" should contain a hyperlink to the URI of the text of this License. If hyperlinks are not possible, You should include the plain text of the required URI's with the above notice.\n\n4.4 Licensing of others. You may not sublicense the Database. Each time You communicate the Database, the whole or Substantial part of the Contents, or any Derivative Database to anyone else in any way, the Licensor offers to the recipient a license to the Database on the same terms and conditions as this License. You are not responsible for enforcing compliance by third parties with this License, but You may enforce any rights that You have over a Derivative Database. You are solely responsible for any modifications of a Derivative Database made by You or another Person at Your direction. You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License.\n\n### 5.0 Moral rights\n\n5.1 Moral rights. This section covers moral rights, including any rights to be identified as the author of the Database or to object to treatment that would otherwise prejudice the author's honour and reputation, or any other derogatory treatment:\n\n a. For jurisdictions allowing waiver of moral rights, Licensor waives all moral rights that Licensor may have in the Database to the fullest extent possible by the law of the relevant jurisdiction under Section 10.4;\n\n b. If waiver of moral rights under Section 5.1 a in the relevant jurisdiction is not possible, Licensor agrees not to assert any moral rights over the Database and waives all claims in moral rights to the fullest extent possible by the law of the relevant jurisdiction under Section 10.4; and\n\n c. For jurisdictions not allowing waiver or an agreement not to assert moral rights under Section 5.1 a and b, the author may retain their moral rights over certain aspects of the Database.\n\nPlease note that some jurisdictions do not allow for the waiver of moral rights, and so moral rights may still subsist over the Database in some jurisdictions.\n\n### 6.0 Fair dealing, Database exceptions, and other rights not affected\n\n6.1 This License does not affect any rights that You or anyone else may independently have under any applicable law to make any use of this Database, including without limitation:\n\n a. Exceptions to the Database Right including: Extraction of Contents from non-electronic Databases for private purposes, Extraction for purposes of illustration for teaching or scientific research, and Extraction or Re-utilisation for public security or an administrative or judicial procedure.\n\n b. Fair dealing, fair use, or any other legally recognised limitation or exception to infringement of copyright or other applicable laws.\n\n6.2 This License does not affect any rights of lawful users to Extract and Re-utilise insubstantial parts of the Contents, evaluated quantitatively or qualitatively, for any purposes whatsoever, including creating a Derivative Database (subject to other rights over the Contents, see Section 2.4). The repeated and systematic Extraction or Re-utilisation of insubstantial parts of the Contents may however amount to the Extraction or Re-utilisation of a Substantial part of the Contents.\n\n### 7.0 Warranties and Disclaimer\n\n7.1 The Database is licensed by the Licensor \"as is\" and without any warranty of any kind, either express, implied, or arising by statute, custom, course of dealing, or trade usage. Licensor specifically disclaims any and all implied warranties or conditions of title, non-infringement, accuracy or completeness, the presence or absence of errors, fitness for a particular purpose, merchantability, or otherwise. Some jurisdictions do not allow the exclusion of implied warranties, so this exclusion may not apply to You.\n\n### 8.0 Limitation of liability\n\n8.1 Subject to any liability that may not be excluded or limited by law, the Licensor is not liable for, and expressly excludes, all liability for loss or damage however and whenever caused to anyone by any use under this License, whether by You or by anyone else, and whether caused by any fault on the part of the Licensor or not. This exclusion of liability includes, but is not limited to, any special, incidental, consequential, punitive, or exemplary damages such as loss of revenue, data, anticipated profits, and lost business. This exclusion applies even if the Licensor has been advised of the possibility of such damages.\n\n8.2 If liability may not be excluded by law, it is limited to actual and direct financial loss to the extent it is caused by proved negligence on the part of the Licensor.\n\n### 9.0 Termination of Your rights under this License\n\n9.1 Any breach by You of the terms and conditions of this License automatically terminates this License with immediate effect and without notice to You. For the avoidance of doubt, Persons who have received the Database, the whole or a Substantial part of the Contents, Derivative Databases, or the Database as part of a Collective Database from You under this License will not have their licenses terminated provided their use is in full compliance with this License or a license granted under Section 4.8 of this License. Sections 1, 2, 7, 8, 9 and 10 will survive any termination of this License.\n\n9.2 If You are not in breach of the terms of this License, the Licensor will not terminate Your rights under it.\n\n9.3 Unless terminated under Section 9.1, this License is granted to You for the duration of applicable rights in the Database.\n\n9.4 Reinstatement of rights. If you cease any breach of the terms and conditions of this License, then your full rights under this License will be reinstated:\n\n a. Provisionally and subject to permanent termination until the 60th day after cessation of breach;\n\n b. Permanently on the 60th day after cessation of breach unless otherwise reasonably notified by the Licensor; or\n\n c. Permanently if reasonably notified by the Licensor of the violation, this is the first time You have received notice of violation of this License from the Licensor, and You cure the violation prior to 30 days after your receipt of the notice.\n\n9.5 Notwithstanding the above, Licensor reserves the right to release the Database under different license terms or to stop distributing or making available the Database. Releasing the Database under different license terms or stopping the distribution of the Database will not withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n### 10.0 General\n\n10.1 If any provision of this License is held to be invalid or unenforceable, that must not affect the validity or enforceability of the remainder of the terms and conditions of this License and each remaining provision of this License shall be valid and enforced to the fullest extent permitted by law.\n\n10.2 This License is the entire agreement between the parties with respect to the rights granted here over the Database. It replaces any earlier understandings, agreements or representations with respect to the Database.\n\n10.3 If You are in breach of the terms of this License, You will not be entitled to rely on the terms of this License or to complain of any breach by the Licensor.\n\n10.4 Choice of law. This License takes effect in and will be governed by the laws of the relevant jurisdiction in which the License terms are sought to be enforced. If the standard suite of rights granted under applicable copyright law and Database Rights in the relevant jurisdiction includes additional rights not granted under this License, these additional rights are granted in this License in order to meet the terms of this License.\n"
		self.standardLicenseTemplate = "<<beginOptional>><<beginOptional>>##<<endOptional>>\n\nODC Attribution License (ODC-By)\n\n<<endOptional>><<beginOptional>> ###<<endOptional>>\n\nPreamble\n\nThe Open Data Commons Attribution License is a license agreement intended to allow users to freely share, modify, and use this Database subject only to the attribution requirements set out in Section 4.\n\nDatabases can contain a wide variety of types of content (images, audiovisual material, and sounds all in the same database, for example), and so this license only governs the rights over the Database, and not the contents of the Database individually. Licensors may therefore wish to use this license together with another license for the contents.\n\nSometimes the contents of a database, or the database itself, can be covered by other rights not addressed here (such as private contracts, trademark over the name, or privacy rights / data protection rights over information in the contents), and so you are advised that you may have to consult other documents or clear other rights before doing activities not covered by this License.\n\n------\n\nThe Licensor (as defined below)\n\nand\n\nYou (as defined below)\n\nagree as follows:\n\n   <<var;name=\"bullet\";original=\"1.0\";match=\".{0,20}\">> Definitions of Capitalised Words\n\n   \"Collective Database\" - Means this Database in unmodified form as part of a collection of independent databases in themselves that together are assembled into a collective whole. A work that constitutes a Collective Database will not be considered a Derivative Database.\n\n   \"Convey\" - As a verb, means Using the Database, a Derivative Database, or the Database as part of a Collective Database in any way that enables a Person to make or receive copies of the Database or a Derivative Database. Conveying does not include interaction with a user through a computer network, or creating and Using a Produced Work, where no transfer of a copy of the Database or a Derivative Database occurs.\n\n   \"Contents\" - The contents of this Database, which includes the information, independent works, or other material collected into the Database. For example, the contents of the Database could be factual data or works such as images, audiovisual material, text, or sounds.\n\n   \"Database\" - A collection of material (the Contents) arranged in a systematic or methodical way and individually accessible by electronic or other means offered under the terms of this License.\n\n   \"Database Directive\" - Means Directive 96/9/EC of the European Parliament and of the Council of 11 March 1996 on the legal protection of databases, as amended or succeeded.\n\n   \"Database Right\" - Means rights resulting from the Chapter III (\"sui generis\") rights in the Database Directive (as amended and as transposed by member states), which includes the Extraction and Re-utilisation of the whole or a Substantial part of the Contents, as well as any similar rights available in the relevant jurisdiction under Section 10.4.\n\n   \"Derivative Database\" - Means a database based upon the Database, and includes any translation, adaptation, arrangement, modification, or any other alteration of the Database or of a Substantial part of the Contents. This includes, but is not limited to, Extracting or Re-utilising the whole or a Substantial part of the Contents in a new Database.\n\n   \"Extraction\" - Means the permanent or temporary transfer of all or a Substantial part of the Contents to another medium by any means or in any form.\n\n   \"License\" - Means this license agreement and is both a license of rights such as copyright and Database Rights and an agreement in contract.\n\n   \"Licensor\" - Means the Person that offers the Database under the terms of this License.\n\n   \"Person\" - Means a natural or legal person or a body of persons corporate or incorporate.\n\n   \"Produced Work\" - a work (such as an image, audiovisual material, text, or sounds) resulting from using the whole or a Substantial part of the Contents (via a search or other query) from this Database, a Derivative Database, or this Database as part of a Collective Database.\n\n   \"Publicly\" - means to Persons other than You or under Your control by either more than 50% ownership or by the power to direct their activities (such as contracting with an independent consultant).\n\n   \"Re-utilisation\" - means any form of making available to the public all or a Substantial part of the Contents by the distribution of copies, by renting, by online or other forms of transmission.\n\n   \"Substantial\" - Means substantial in terms of quantity or quality or a combination of both. The repeated and systematic Extraction or Re-utilisation of insubstantial parts of the Contents may amount to the Extraction or Re-utilisation of a Substantial part of the Contents.\n\n   \"Use\" - As a verb, means doing any act that is restricted by copyright or Database Rights whether in the original medium or any other; and includes without limitation distributing, copying, publicly performing, publicly displaying, and preparing derivative works of the Database, as well as modifying the Database as may be technically necessary to use it in a different mode or format.\n\n   \"You\" - Means a Person exercising rights under this License who has not previously violated the terms of this License with respect to the Database, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   Words in the singular include the plural and vice versa.\n\n   <<var;name=\"bullet\";original=\"2.0\";match=\".{0,20}\">> What this License covers\n\n   <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> Legal effect of this document. This License is:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> A license of applicable copyright and neighbouring rights;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> A license of the Database Right; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> An agreement in contract between You and the Licensor.\n\n   <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> Legal rights covered. This License covers the legal rights in the Database, including:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Copyright. Any copyright or neighbouring rights in the Database. The copyright licensed includes any individual elements of the Database, but does not cover the copyright over the Contents independent of this Database. See Section 2.4 for details. Copyright law varies between jurisdictions, but is likely to cover: the Database model or schema, which is the structure, arrangement, and organisation of the Database, and can also include the Database tables and table indexes; the data entry and output sheets; and the Field names of Contents stored in the Database;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Database Rights. Database Rights only extend to the Extraction and Re-utilisation of the whole or a Substantial part of the Contents. Database Rights can apply even when there is no copyright over the Database. Database Rights can also apply when the Contents are removed from the Database and are selected and arranged in a way that would not infringe any applicable copyright; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Contract. This is an agreement between You and the Licensor for access to the Database. In return you agree to certain conditions of use on this access as outlined in this License.\n\n   <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> Rights not covered.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License does not apply to computer programs used in the making or operation of the Database;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> This License does not cover any patents over the Contents or the Database; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> This License does not cover any trademarks associated with the Database.\n\n   <<var;name=\"bullet\";original=\"2.4\";match=\".{0,20}\">> Relationship to Contents in the Database. The individual items of the Contents contained in this Database may be covered by other rights, including copyright, patent, data protection, privacy, or personality rights, and this License does not cover any rights (other than Database Rights or in contract) in individual Contents contained in the Database. For example, if used on a Database of images (the Contents), this License would not apply to copyright over individual images, which could have their own separate licenses, or one single license covering all of the rights over the images.\n\n   <<var;name=\"bullet\";original=\"3.0\";match=\".{0,20}\">> Rights granted\n\n   <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> Subject to the terms and conditions of this License, the Licensor grants to You a worldwide, royalty-free, non-exclusive, terminable (but only under Section 9) license to Use the Database for the duration of any applicable copyright and Database Rights. These rights explicitly include commercial use, and do not exclude any field of endeavour. To the extent possible in the relevant jurisdiction, these rights may be exercised in all media and formats whether now known or created in the future.\n\n   The rights granted cover, for example:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Extraction and Re-utilisation of the whole or a Substantial part of the Contents;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Creation of Derivative Databases;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Creation of Collective Databases;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Creation of temporary or permanent reproductions by any means and in any form, in whole or in part, including of any Derivative Databases or as a part of Collective Databases; and\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Distribution, communication, display, lending, making available, or performance to the public by any means and in any form, in whole or in part, including of any Derivative Database or as a part of Collective Databases.\n\n   <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> Compulsory license schemes. For the avoidance of doubt:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Non-waivable compulsory license schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Waivable compulsory license schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Voluntary license schemes. The Licensor waives the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License.\n\n   <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> The right to release the Database under different terms, or to stop distributing or making available the Database, is reserved. Note that this Database may be multiple-licensed, and so You may have the choice of using alternative licenses for this Database. Subject to Section 10.4, all other rights not expressly granted by Licensor are reserved.\n\n   <<var;name=\"bullet\";original=\"4.0\";match=\".{0,20}\">> Conditions of Use\n\n   <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> The rights granted in Section 3 above are expressly made subject to Your complying with the following conditions of use. These are important conditions of this License, and if You fail to follow them, You will be in material breach of its terms.\n\n   <<var;name=\"bullet\";original=\"4.2\";match=\".{0,20}\">> Notices. If You Publicly Convey this Database, any Derivative Database, or the Database as part of a Collective Database, then You must:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Do so only under the terms of this License;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Include a copy of this License or its Uniform Resource Identifier (URI) with the Database or Derivative Database, including both in the Database or Derivative Database and in any relevant documentation;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Keep intact any copyright or Database Right notices and notices that refer to this License; and\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> If it is not possible to put the required notices in a particular file due to its structure, then You must include the notices in a location (such as a relevant directory) where users would be likely to look for it.\n\n   <<var;name=\"bullet\";original=\"4.3\";match=\".{0,20}\">> Notice for using output (Contents). Creating and Using a Produced Work does not require the notice in Section 4.2. However, if you Publicly Use a Produced Work, You must include a notice associated with the Produced Work reasonably calculated to make any Person that uses, views, accesses, interacts with, or is otherwise exposed to the Produced Work aware that Content was obtained from the Database, Derivative Database, or the Database as part of a Collective Database, and that it is available under this License.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Example notice. The following text will satisfy notice under Section 4.3:\n\n	  Contains information from DATABASE NAME which is made available under the ODC Attribution License.\n\n	  DATABASE NAME should be replaced with the name of the Database and a hyperlink to the location of the Database. \"ODC Attribution License\" should contain a hyperlink to the URI of the text of this License. If hyperlinks are not possible, You should include the plain text of the required URI's with the above notice.\n\n   <<var;name=\"bullet\";original=\"4.4\";match=\".{0,20}\">> Licensing of others. You may not sublicense the Database. Each time You communicate the Database, the whole or Substantial part of the Contents, or any Derivative Database to anyone else in any way, the Licensor offers to the recipient a license to the Database on the same terms and conditions as this License. You are not responsible for enforcing compliance by third parties with this License, but You may enforce any rights that You have over a Derivative Database. You are solely responsible for any modifications of a Derivative Database made by You or another Person at Your direction. You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License.\n\n   <<var;name=\"bullet\";original=\"5.0\";match=\".{0,20}\">> Moral rights\n\n   <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> Moral rights. This section covers moral rights, including any rights to be identified as the author of the Database or to object to treatment that would otherwise prejudice the author's honour and reputation, or any other derogatory treatment:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> For jurisdictions allowing waiver of moral rights, Licensor waives all moral rights that Licensor may have in the Database to the fullest extent possible by the law of the relevant jurisdiction under Section 10.4;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If waiver of moral rights under Section 5.1 a in the relevant jurisdiction is not possible, Licensor agrees not to assert any moral rights over the Database and waives all claims in moral rights to the fullest extent possible by the law of the relevant jurisdiction under Section 10.4; and\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For jurisdictions not allowing waiver or an agreement not to assert moral rights under Section 5.1 a and b, the author may retain their moral rights over certain aspects of the Database.\n\n	  Please note that some jurisdictions do not allow for the waiver of moral rights, and so moral rights may still subsist over the Database in some jurisdictions.\n\n   <<var;name=\"bullet\";original=\"6.0\";match=\".{0,20}\">> Fair dealing, Database exceptions, and other rights not affected\n\n   <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> This License does not affect any rights that You or anyone else may independently have under any applicable law to make any use of this Database, including without limitation:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Exceptions to the Database Right including: Extraction of Contents from non-electronic Databases for private purposes, Extraction for purposes of illustration for teaching or scientific research, and Extraction or Re-utilisation for public security or an administrative or judicial procedure.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Fair dealing, fair use, or any other legally recognised limitation or exception to infringement of copyright or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> This License does not affect any rights of lawful users to Extract and Re-utilise insubstantial parts of the Contents, evaluated quantitatively or qualitatively, for any purposes whatsoever, including creating a Derivative Database (subject to other rights over the Contents, see Section 2.4). The repeated and systematic Extraction or Re-utilisation of insubstantial parts of the Contents may however amount to the Extraction or Re-utilisation of a Substantial part of the Contents.\n\n   <<var;name=\"bullet\";original=\"7.0\";match=\".{0,20}\">> Warranties and Disclaimer\n\n   <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> The Database is licensed by the Licensor \"as is\" and without any warranty of any kind, either express, implied, or arising by statute, custom, course of dealing, or trade usage. Licensor specifically disclaims any and all implied warranties or conditions of title, non-infringement, accuracy or completeness, the presence or absence of errors, fitness for a particular purpose, merchantability, or otherwise. Some jurisdictions do not allow the exclusion of implied warranties, so this exclusion may not apply to You.\n\n   <<var;name=\"bullet\";original=\"8.0\";match=\".{0,20}\">> Limitation of liability\n\n   <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> Subject to any liability that may not be excluded or limited by law, the Licensor is not liable for, and expressly excludes, all liability for loss or damage however and whenever caused to anyone by any use under this License, whether by You or by anyone else, and whether caused by any fault on the part of the Licensor or not. This exclusion of liability includes, but is not limited to, any special, incidental, consequential, punitive, or exemplary damages such as loss of revenue, data, anticipated profits, and lost business. This exclusion applies even if the Licensor has been advised of the possibility of such damages.\n\n   <<var;name=\"bullet\";original=\"8.2\";match=\".{0,20}\">> If liability may not be excluded by law, it is limited to actual and direct financial loss to the extent it is caused by proved negligence on the part of the Licensor.\n\n   <<var;name=\"bullet\";original=\"9.0\";match=\".{0,20}\">> Termination of Your rights under this License\n\n   <<var;name=\"bullet\";original=\"9.1\";match=\".{0,20}\">> Any breach by You of the terms and conditions of this License automatically terminates this License with immediate effect and without notice to You. For the avoidance of doubt, Persons who have received the Database, the whole or a Substantial part of the Contents, Derivative Databases, or the Database as part of a Collective Database from You under this License will not have their licenses terminated provided their use is in full compliance with this License or a license granted under Section 4.8 of this License. Sections 1, 2, 7, 8, 9 and 10 will survive any termination of this License.\n\n   <<var;name=\"bullet\";original=\"9.2\";match=\".{0,20}\">> If You are not in breach of the terms of this License, the Licensor will not terminate Your rights under it.\n\n   <<var;name=\"bullet\";original=\"9.3\";match=\".{0,20}\">> Unless terminated under Section 9.1, this License is granted to You for the duration of applicable rights in the Database.\n\n   <<var;name=\"bullet\";original=\"9.4\";match=\".{0,20}\">> Reinstatement of rights. If you cease any breach of the terms and conditions of this License, then your full rights under this License will be reinstated:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Provisionally and subject to permanent termination until the 60th day after cessation of breach;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Permanently on the 60th day after cessation of breach unless otherwise reasonably notified by the Licensor; or\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Permanently if reasonably notified by the Licensor of the violation, this is the first time You have received notice of violation of this License from the Licensor, and You cure the violation prior to 30 days after your receipt of the notice.\n\n   <<var;name=\"bullet\";original=\"9.5\";match=\".{0,20}\">> Notwithstanding the above, Licensor reserves the right to release the Database under different license terms or to stop distributing or making available the Database. Releasing the Database under different license terms or stopping the distribution of the Database will not withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"10.0\";match=\".{0,20}\">> General\n\n   <<var;name=\"bullet\";original=\"10.1\";match=\".{0,20}\">> If any provision of this License is held to be invalid or unenforceable, that must not affect the validity or enforceability of the remainder of the terms and conditions of this License and each remaining provision of this License shall be valid and enforced to the fullest extent permitted by law.\n\n   <<var;name=\"bullet\";original=\"10.2\";match=\".{0,20}\">> This License is the entire agreement between the parties with respect to the rights granted here over the Database. It replaces any earlier understandings, agreements or representations with respect to the Database.\n\n   <<var;name=\"bullet\";original=\"10.3\";match=\".{0,20}\">> If You are in breach of the terms of this License, You will not be entitled to rely on the terms of this License or to complain of any breach by the Licensor.\n\n   <<var;name=\"bullet\";original=\"10.4\";match=\".{0,20}\">> Choice of law. This License takes effect in and will be governed by the laws of the relevant jurisdiction in which the License terms are sought to be enforced. If the standard suite of rights granted under applicable copyright law and Database Rights in the relevant jurisdiction includes additional rights not granted under this License, these additional rights are granted in this License in order to meet the terms of this License."
		self.name = "Open Data Commons Attribution License v1.0"
		self.licenseId = "ODC-By-1.0"
		self.crossRef = [{"match": "True", "url": "https://opendatacommons.org/licenses/by/1.0/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:27Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opendatacommons.org/licenses/by/1.0/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n\t	 <var class=\"optional-license-text\"> ##</var>\n		 <p>ODC Attribution License (ODC-By)</p>\n\n	  </div>\n	  <var class=\"optional-license-text\"> ###</var>\n	  <p>Preamble</p>\n\n	  <p>The Open Data Commons Attribution License is a license agreement intended to allow users to freely\n	  share, modify, and use this Database subject only to the attribution requirements set out in Section 4.</p>\n\n	  <p>Databases can contain a wide variety of types of content (images, audiovisual material, and sounds\n	  all in the same database, for example), and so this license only governs the rights over the Database,\n	  and not the contents of the Database individually. Licensors may therefore wish to use this license\n	  together with another license for the contents.</p>\n\n	  <p>Sometimes the contents of a database, or the database itself, can be covered by other rights not\n	  addressed here (such as private contracts, trademark over the name, or privacy rights / data protection\n	  rights over information in the contents), and so you are advised that you may have to consult other\n	  documents or clear other rights before doing activities not covered by this License.</p>\n\n	  <p>------</p>\n\n	  <p>The Licensor (as defined below)</p>\n\n	  <p>and</p>\n\n	  <p>You (as defined below)</p>\n\n	  <p>agree as follows:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.0</var>\n		  Definitions of Capitalised Words\n		  <p>&quot;Collective Database&quot; - Means this Database in unmodified form as part of a\n			 collection of independent databases in themselves that together are assembled into a\n			 collective whole. A work that constitutes a Collective Database will not be considered a\n			 Derivative Database.</p>\n\n			<p>&quot;Convey&quot; - As a verb, means Using the Database, a Derivative Database, or the\n			 Database as part of a Collective Database in any way that enables a Person to make or receive\n			 copies of the Database or a Derivative Database. Conveying does not include interaction with a\n			 user through a computer network, or creating and Using a Produced Work, where no transfer of a\n			 copy of the Database or a Derivative Database occurs.</p>\n\n			 <p>  &quot;Contents&quot; - The\n			 contents of this Database, which includes the information, independent works, or other\n			 material collected into the Database. For example, the contents of the Database could be\n			 factual data or works such as images, audiovisual material, text, or sounds.</p>\n\n			<p>&quot;Database&quot; - A collection of material (the Contents) arranged in a systematic or\n			 methodical way and individually accessible by electronic or other means offered under the\n			 terms of this License.</p>\n\n			<p>&quot;Database Directive&quot; - Means Directive 96/9/EC of the European Parliament and of\n			 the Council of 11 March 1996 on the legal protection of databases, as amended or\n			 succeeded.</p>\n\n			<p>&quot;Database Right&quot; - Means rights resulting from the Chapter III (&quot;sui\n			 generis&quot;) rights in the Database Directive (as amended and as transposed by member\n			 states), which includes the Extraction and Re-utilisation of the whole or a Substantial part\n			 of the Contents, as well as any similar rights available in the relevant jurisdiction under\n			 Section 10.4.</p>\n\n			<p>&quot;Derivative Database&quot; - Means a database based upon the Database, and includes\n			 any translation, adaptation, arrangement, modification, or any other alteration of the\n			 Database or of a Substantial part of the Contents. This includes, but is not limited to,\n			 Extracting or Re-utilising the whole or a Substantial part of the Contents in a new\n			 Database.</p>\n\n			<p>&quot;Extraction&quot; - Means the permanent or temporary transfer of all or a Substantial\n			 part of the Contents to another medium by any means or in any form.</p>\n\n			<p>&quot;License&quot; - Means this license agreement and is both a license of rights such as\n			 copyright and Database Rights and an agreement in contract.</p>\n\n			<p>&quot;Licensor&quot; - Means the Person that offers the Database under the terms of this\n			 License.</p>\n\n			<p>&quot;Person&quot; - Means a natural or legal person or a body of persons corporate or\n			 incorporate.</p>\n\n			<p>&quot;Produced Work&quot; - a work (such as an image, audiovisual material, text, or\n			 sounds) resulting from using the whole or a Substantial part of the Contents (via a search or\n			 other query) from this Database, a Derivative Database, or this Database as part of a\n			 Collective Database.</p>\n\n			<p>&quot;Publicly&quot; - means to Persons other than You or under Your control by either\n			 more than 50% ownership or by the power to direct their activities (such as contracting with\n			 an independent consultant).</p>\n\n			<p>&quot;Re-utilisation&quot; - means any form of making available to the public all or a\n			 Substantial part of the Contents by the distribution of copies, by renting, by online or other\n			 forms of transmission.</p>\n\n			<p>&quot;Substantial&quot; - Means substantial in terms of quantity or quality or a\n			 combination of both. The repeated and systematic Extraction or Re-utilisation of insubstantial\n			 parts of the Contents may amount to the Extraction or Re-utilisation of a Substantial part of\n			 the Contents.</p>\n\n			<p>&quot;Use&quot; - As a verb, means doing any act that is restricted by copyright or\n			 Database Rights whether in the original medium or any other; and includes without limitation\n			 distributing, copying, publicly performing, publicly displaying, and preparing derivative\n			 works of the Database, as well as modifying the Database as may be technically necessary to\n			 use it in a different mode or format.</p>\n\n			<p>&quot;You&quot; - Means a Person exercising rights under this License who has not\n			 previously violated the terms of this License with respect to the Database, or who has\n			 received express permission from the Licensor to exercise rights under this License despite a\n			 previous violation.</p>\n\n			<p>Words in the singular include the plural and vice versa.</p>\n\n		</li>\n	  \n<li>\n\t  <var class=\"replaceable-license-text\"> 2.0</var>\n\tWhat this License covers\n	  </li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.1.</var>\n		  Legal effect of this document. This License is:\n		\n<ul style=\"list-style:none\">\n			\n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			A license of applicable copyright and neighbouring rights;\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			A license of the Database Right; and\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			An agreement in contract between You and the Licensor.\n\t	</li>\n		\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.2</var>\n		  Legal rights covered. This License covers the legal rights in the Database, including:\n		\n<ul style=\"list-style:none\">\n			\n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Copyright. Any copyright or neighbouring rights in the Database. The copyright licensed\n			   includes any individual elements of the Database, but does not cover the copyright over\n			   the Contents independent of this Database. See Section 2.4 for details. Copyright law\n			   varies between jurisdictions, but is likely to cover: the Database model or schema, which\n			   is the structure, arrangement, and organisation of the Database, and can also include the\n			   Database tables and table indexes; the data entry and output sheets; and the Field names\n			   of Contents stored in the Database;\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Database Rights. Database Rights only extend to the Extraction and Re-utilisation of the\n			   whole or a Substantial part of the Contents. Database Rights can apply even when there is\n			   no copyright over the Database. Database Rights can also apply when the Contents are\n			   removed from the Database and are selected and arranged in a way that would not infringe\n			   any applicable copyright; and\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Contract. This is an agreement between You and the Licensor for access to the Database. In\n			   return you agree to certain conditions of use on this access as outlined in this\n			   License.\n\t	</li>\n	   \n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.3</var>\n		  Rights not covered.\n		\n<ul style=\"list-style:none\">\n			\n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License does not apply to computer programs used in the making or operation of the Database;\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			This License does not cover any patents over the Contents or the Database; and\n\t	</li>\n\t	\n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			This License does not cover any trademarks associated with the Database.\n\t	</li>\n		\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.4</var>\n		  Relationship to Contents in the Database. The individual items of the Contents contained in this\n			 Database may be covered by other rights, including copyright, patent, data protection,\n			 privacy, or personality rights, and this License does not cover any rights (other than\n			 Database Rights or in contract) in individual Contents contained in the Database. For example,\n			 if used on a Database of images (the Contents), this License would not apply to copyright over\n			 individual images, which could have their own separate licenses, or one single license\n			 covering all of the rights over the images.\n		</li>\n	  \n<li>\n\t  <var class=\"replaceable-license-text\"> 3.0</var>\n\tRights granted\n	  </li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.1</var>\n		  Subject to the terms and conditions of this License, the Licensor grants to You a worldwide,\n			 royalty-free, non-exclusive, terminable (but only under Section 9) license to Use the Database\n			 for the duration of any applicable copyright and Database Rights. These rights explicitly\n			 include commercial use, and do not exclude any field of endeavour. To the extent possible in\n			 the relevant jurisdiction, these rights may be exercised in all media and formats whether now\n			 known or created in the future.\n		  <p>The rights granted cover, for example:</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Extraction and Re-utilisation of the whole or a Substantial part of the Contents;\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Creation of Derivative Databases;\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Creation of Collective Databases;\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			Creation of temporary or permanent reproductions by any means and in any form, in whole or in\n			   part, including of any Derivative Databases or as a part of Collective Databases; and\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			Distribution, communication, display, lending, making available, or performance to the public\n			   by any means and in any form, in whole or in part, including of any Derivative Database or\n			   as a part of Collective Databases.\n\t	</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.2</var>\n		  Compulsory license schemes. For the avoidance of doubt:\n		\n<ul style=\"list-style:none\">\n			\n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Non-waivable compulsory license schemes. In those jurisdictions in which the right to collect\n			   royalties through any statutory or compulsory licensing scheme cannot be waived, the\n			   Licensor reserves the exclusive right to collect such royalties for any exercise by You of\n			   the rights granted under this License;\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Waivable compulsory license schemes. In those jurisdictions in which the right to collect\n			   royalties through any statutory or compulsory licensing scheme can be waived, the Licensor\n			   waives the exclusive right to collect such royalties for any exercise by You of the rights\n			   granted under this License; and,\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Voluntary license schemes. The Licensor waives the right to collect royalties, whether\n			   individually or, in the event that the Licensor is a member of a collecting society that\n			   administers voluntary licensing schemes, via that society, from any exercise by You of the\n			   rights granted under this License.\n\t	</li>\n		\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.3</var>\n		  The right to release the Database under different terms, or to stop distributing or making\n			 available the Database, is reserved. Note that this Database may be multiple-licensed, and so\n			 You may have the choice of using alternative licenses for this Database. Subject to Section\n			 10.4, all other rights not expressly granted by Licensor are reserved.\n		</li>\n	  \n<li>\n\t  <var class=\"replaceable-license-text\"> 4.0</var>\n\tConditions of Use\n	  </li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.1</var>\n		  The rights granted in Section 3 above are expressly made subject to Your complying with the\n			 following conditions of use. These are important conditions of this License, and if You fail\n			 to follow them, You will be in material breach of its terms.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.2</var>\n		  Notices. If You Publicly Convey this Database, any Derivative Database, or the Database as part\n			 of a Collective Database, then You must:\n		\n<ul style=\"list-style:none\">\n		   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Do so only under the terms of this License;\n		  </li>\n		  \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Include a copy of this License or its Uniform Resource Identifier (URI) with the Database or\n\t	Derivative Database, including both in the Database or Derivative Database and in any relevant\n\t	documentation;\n		  </li>\n		  \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Keep intact any copyright or Database Right notices and notices that refer to this License; and\n		  </li>\n		  \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			If it is not possible to put the required notices in a particular file due to its structure,\n\t	then You must include the notices in a location (such as a relevant directory) where users\n\t	would be likely to look for it.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.3</var>\n		  Notice for using output (Contents). Creating and Using a Produced Work does not require the\n			 notice in Section 4.2. However, if you Publicly Use a Produced Work, You must include a notice\n			 associated with the Produced Work reasonably calculated to make any Person that uses, views,\n			 accesses, interacts with, or is otherwise exposed to the Produced Work aware that Content was\n			 obtained from the Database, Derivative Database, or the Database as part of a Collective\n			 Database, and that it is available under this License.\n		\n<ul style=\"list-style:none\">\n			\n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Example notice. The following text will satisfy notice under Section 4.3:\n			<p>Contains information from DATABASE NAME which is made available under the ODC Attribution\n\t	License.</p>\n\n			<p>DATABASE NAME should be replaced with the name of the Database and a hyperlink to the\n\t	location of the Database. &quot;ODC Attribution License&quot; should contain a hyperlink to the URI\n\t	of the text of this License. If hyperlinks are not possible, You should include the plain text\n\t	of the required URI&apos;s with the above notice.</p>\n\n			</li>\n		\n</ul>\n	  </li>\n	  \n<li>\n\t	<var class=\"replaceable-license-text\"> 4.4</var>\n\t	Licensing of others. You may not sublicense the Database. Each time You communicate the Database,\n\t	the whole or Substantial part of the Contents, or any Derivative Database to anyone else in any way,\n\t	the Licensor offers to the recipient a license to the Database on the same terms and conditions as\n\t	this License. You are not responsible for enforcing compliance by third parties with this License,\n\t	but You may enforce any rights that You have over a Derivative Database. You are solely responsible\n\t	for any modifications of a Derivative Database made by You or another Person at Your direction. You\n\t	may not impose any further restrictions on the exercise of the rights granted or affirmed under\n\t	this License.\n		</li>\n	  \n<li>\n\t  <var class=\"replaceable-license-text\"> 5.0</var>\n\tMoral rights\n	  </li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.1</var>\n		  Moral rights. This section covers moral rights, including any rights to be identified as the\n			 author of the Database or to object to treatment that would otherwise prejudice the\n			 author&apos;s honour and reputation, or any other derogatory treatment:\n		\n<ul style=\"list-style:none\">\n			\n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			For jurisdictions allowing waiver of moral rights, Licensor waives all moral rights that\n			   Licensor may have in the Database to the fullest extent possible by the law of the\n			   relevant jurisdiction under Section 10.4;\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If waiver of moral rights under Section 5.1 a in the relevant jurisdiction is not possible,\n			   Licensor agrees not to assert any moral rights over the Database and waives all claims in\n			   moral rights to the fullest extent possible by the law of the relevant jurisdiction under\n			   Section 10.4; and\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			For jurisdictions not allowing waiver or an agreement not to assert moral rights under\n			   Section 5.1 a and b, the author may retain their moral rights over certain aspects of the\n			   Database.\n			<p>Please note that some jurisdictions do not allow for the waiver of moral rights, and so moral\n			   rights may still subsist over the Database in some jurisdictions.</p>\n\n			</li>\n			\n</ul>\n		</li>\n	  \n<li>\n\t  <var class=\"replaceable-license-text\"> 6.0</var>\n\tFair dealing, Database exceptions, and other rights not affected\n	  </li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.1</var>\n		  This License does not affect any rights that You or anyone else may independently have under any\n			 applicable law to make any use of this Database, including without limitation:\n		\n<ul style=\"list-style:none\">\n			\n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Exceptions to the Database Right including: Extraction of Contents from non-electronic\n			   Databases for private purposes, Extraction for purposes of illustration for teaching or\n			   scientific research, and Extraction or Re-utilisation for public security or an\n			   administrative or judicial procedure.\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Fair dealing, fair use, or any other legally recognised limitation or exception to\n			   infringement of copyright or other applicable laws.\n\t	</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.2</var>\n		  This License does not affect any rights of lawful users to Extract and Re-utilise insubstantial\n			 parts of the Contents, evaluated quantitatively or qualitatively, for any purposes whatsoever,\n			 including creating a Derivative Database (subject to other rights over the Contents, see\n			 Section 2.4). The repeated and systematic Extraction or Re-utilisation of insubstantial parts\n			 of the Contents may however amount to the Extraction or Re-utilisation of a Substantial part\n			 of the Contents.\n		</li>\n	  \n<li>\n\t  <var class=\"replaceable-license-text\"> 7.0</var>\n\tWarranties and Disclaimer\n	  </li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.1</var>\n		  The Database is licensed by the Licensor &quot;as is&quot; and without any warranty of any kind,\n			 either express, implied, or arising by statute, custom, course of dealing, or trade usage.\n			 Licensor specifically disclaims any and all implied warranties or conditions of title,\n			 non-infringement, accuracy or completeness, the presence or absence of errors, fitness for a\n			 particular purpose, merchantability, or otherwise. Some jurisdictions do not allow the\n			 exclusion of implied warranties, so this exclusion may not apply to You.\n		</li>\n	  \n<li>\n\t  <var class=\"replaceable-license-text\"> 8.0</var>\n\tLimitation of liability\n	  </li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.1</var>\n		  Subject to any liability that may not be excluded or limited by law, the Licensor is not liable\n			 for, and expressly excludes, all liability for loss or damage however and whenever caused to\n			 anyone by any use under this License, whether by You or by anyone else, and whether caused by\n			 any fault on the part of the Licensor or not. This exclusion of liability includes, but is not\n			 limited to, any special, incidental, consequential, punitive, or exemplary damages such as\n			 loss of revenue, data, anticipated profits, and lost business. This exclusion applies even if\n			 the Licensor has been advised of the possibility of such damages.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.2</var>\n		  If liability may not be excluded by law, it is limited to actual and direct financial loss to the\n			 extent it is caused by proved negligence on the part of the Licensor.\n		</li>\n	  \n<li>\n\t  <var class=\"replaceable-license-text\"> 9.0</var>\n\tTermination of Your rights under this License\n	  </li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.1</var>\n		  Any breach by You of the terms and conditions of this License automatically terminates this\n			 License with immediate effect and without notice to You. For the avoidance of doubt, Persons\n			 who have received the Database, the whole or a Substantial part of the Contents, Derivative\n			 Databases, or the Database as part of a Collective Database from You under this License will\n			 not have their licenses terminated provided their use is in full compliance with this License\n			 or a license granted under Section 4.8 of this License. Sections 1, 2, 7, 8, 9 and 10 will\n			 survive any termination of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.2</var>\n		  If You are not in breach of the terms of this License, the Licensor will not terminate Your\n			 rights under it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.3</var>\n		  Unless terminated under Section 9.1, this License is granted to You for the duration of\n			 applicable rights in the Database.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.4</var>\n		  Reinstatement of rights. If you cease any breach of the terms and conditions of this License,\n			 then your full rights under this License will be reinstated:\n		\n<ul style=\"list-style:none\">\n			\n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Provisionally and subject to permanent termination until the 60th day after cessation of breach;\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Permanently on the 60th day after cessation of breach unless otherwise reasonably notified by\n			   the Licensor; or\n\t	</li>\n			\n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Permanently if reasonably notified by the Licensor of the violation, this is the first time\n			   You have received notice of violation of this License from the Licensor, and You cure the\n			   violation prior to 30 days after your receipt of the notice.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.5</var>\n		  Notwithstanding the above, Licensor reserves the right to release the Database under different\n			 license terms or to stop distributing or making available the Database. Releasing the Database\n			 under different license terms or stopping the distribution of the Database will not withdraw\n			 this License (or any other license that has been, or is required to be, granted under the\n			 terms of this License), and this License will continue in full force and effect unless\n			 terminated as stated above.\n		</li>\n	  \n<li>\n\t  <var class=\"replaceable-license-text\"> 10.0</var>\n\tGeneral\n	  </li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.1</var>\n		  If any provision of this License is held to be invalid or unenforceable, that must not affect the\n			 validity or enforceability of the remainder of the terms and conditions of this License and\n			 each remaining provision of this License shall be valid and enforced to the fullest extent\n			 permitted by law.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.2</var>\n		  This License is the entire agreement between the parties with respect to the rights granted here\n			 over the Database. It replaces any earlier understandings, agreements or representations with\n			 respect to the Database.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.3</var>\n		  If You are in breach of the terms of this License, You will not be entitled to rely on the terms\n			 of this License or to complain of any breach by the Licensor.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.4</var>\n		  Choice of law. This License takes effect in and will be governed by the laws of the relevant\n			 jurisdiction in which the License terms are sought to be enforced. If the standard suite of\n			 rights granted under applicable copyright law and Database Rights in the relevant jurisdiction\n			 includes additional rights not granted under this License, these additional rights are granted\n			 in this License in order to meet the terms of this License.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "ODCBy10"

	def __str__(self):
		return json.dumps(self.__dict__)


class Dotseqn:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1995 by Donald Arseneau\n\nThis file may be freely transmitted and reproduced, but it may not be changed unless the name is changed also (except that you may freely change the paper-size option for \\documentclass).\n\nThis notice must be left intact.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1995 by Donald Arseneau  \";match=\".{0,5000}\">>\n\nThis file may be freely transmitted and reproduced, but it may not be changed unless the name is changed also (except that you may freely change the paper-size option for \\documentclass).\n\nThis notice must be left intact.\n\n"
		self.name = "Dotseqn License"
		self.licenseId = "Dotseqn"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Dotseqn", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:11Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Dotseqn"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 1995 by Donald Arseneau</p>\n\n	  </div>\n\n	  <p>This file may be freely transmitted and reproduced, but it may not be changed unless the name is changed\n		 also (except that you may freely change the paper-size option for \\documentclass).</p>\n\n	  <p>This notice must be left intact.</p>\n\n	"
		self.python_name = "Dotseqn"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCSA20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-NonCommercial-ShareAlike 2.0\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	 g. \"License Elements\" means the following high-level license attributes as selected by Licensor and indicated in the title of this License: Attribution, Noncommercial, ShareAlike.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to create and reproduce Derivative Works;\n\n	 c. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	 d. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Sections 4(e) and 4(f).\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	 b. You may distribute, publicly display, publicly perform, or publicly digitally perform a Derivative Work only under the terms of this License, a later version of this License with the same License Elements as this License, or a Creative Commons iCommons license that contains the same License Elements as this License (e.g. Attribution-NonCommercial-ShareAlike 2.0 Japan). You must include a copy of, or the Uniform Resource Identifier for, this License or other license specified in the previous sentence with every copy or phonorecord of each Derivative Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Derivative Works that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder, and You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Derivative Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Derivative Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Derivative Work itself to be made subject to the terms of this License.\n\n	 c. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	 d. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n	 e. For the avoidance of doubt, where the Work is a musical composition:\n\n		  i. Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work if that performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n		  ii. Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if Your distribution of such cover version is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n	 f. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor reserves the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if Your public digital performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NonCommercial-ShareAlike 2.0\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"License Elements\" means the following high-level license attributes as selected by Licensor and indicated in the title of this License: Attribution, Noncommercial, ShareAlike.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and reproduce Derivative Works;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;\n\n	  The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Sections 4(e) and 4(f).\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested. If You create a Derivative Work, upon notice from any Licensor You must, to the extent practicable, remove from the Derivative Work any reference to such Licensor or the Original Author, as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform a Derivative Work only under the terms of this License, a later version of this License with the same License Elements as this License, or a Creative Commons iCommons license that contains the same License Elements as this License (e.g. Attribution-NonCommercial-ShareAlike 2.0 Japan). You must include a copy of, or the Uniform Resource Identifier for, this License or other license specified in the previous sentence with every copy or phonorecord of each Derivative Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Derivative Works that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder, and You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Derivative Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Derivative Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Derivative Work itself to be made subject to the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or any Derivative Works or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and in the case of a Derivative Work, a credit identifying the use of the Work in the Derivative Work (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Derivative Work or Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> For the avoidance of doubt, where the Work is a musical composition:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work if that performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if Your distribution of such cover version is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor reserves the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if Your public digital performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Derivative Works or Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial Share Alike 2.0 Generic"
		self.licenseId = "CC-BY-NC-SA-2.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-sa/2.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:04Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-sa/2.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NonCommercial-ShareAlike 2.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n			   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n			   other contributions, constituting separate and independent works in themselves, are\n			   assembled into a collective whole. A work that constitutes a Collective Work will not be\n			   considered a Derivative Work (as defined below) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works, such as a translation, musical arrangement, dramatization,\n			   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n			   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n			   except that a work that constitutes a Collective Work will not be considered a Derivative\n			   Work for the purpose of this License. For the avoidance of doubt, where the Work is a\n			   musical composition or sound recording, the synchronization of the Work in timed-relation\n			   with a moving image (&quot;synching&quot;) will be considered a Derivative Work for the\n			   purpose of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n			   this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Original Author&quot; means the individual or entity who created the Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> g.</var>\n			&quot;License Elements&quot; means the following high-level license attributes as selected by\n			   Licensor and indicated in the title of this License: Attribution, Noncommercial,\n			   ShareAlike.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to create and reproduce Derivative Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission Derivative Works;\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats. All rights not expressly\n			   granted by Licensor are hereby reserved, including but not limited to the rights set forth\n			   in Sections 4(e) and 4(f).</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n			   Work. You must keep intact all notices that refer to this License and to the disclaimer of\n			   warranties. You may not distribute, publicly display, publicly perform, or publicly\n			   digitally perform the Work with any technological measures that control access or use of\n			   the Work in a manner inconsistent with the terms of this License Agreement. The above\n			   applies to the Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Work itself to be made subject to the terms of this\n			   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n			   extent practicable, remove from the Collective Work any reference to such Licensor or the\n			   Original Author, as requested. If You create a Derivative Work, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Derivative Work any\n			   reference to such Licensor or the Original Author, as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform a\n			   Derivative Work only under the terms of this License, a later version of this License with\n			   the same License Elements as this License, or a Creative Commons iCommons license that\n			   contains the same License Elements as this License (e.g.\n			   Attribution-NonCommercial-ShareAlike 2.0 Japan). You must include a copy of, or the\n			   Uniform Resource Identifier for, this License or other license specified in the previous\n			   sentence with every copy or phonorecord of each Derivative Work You distribute, publicly\n			   display, publicly perform, or publicly digitally perform. You may not offer or impose any\n			   terms on the Derivative Works that alter or restrict the terms of this License or the\n			   recipients&apos; exercise of the rights granted hereunder, and You must keep intact all\n			   notices that refer to this License and to the disclaimer of warranties. You may not\n			   distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Derivative Work with any technological measures that control access or use of the Work in\n			   a manner inconsistent with the terms of this License Agreement. The above applies to the\n			   Derivative Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Derivative Work itself to be made subject to the terms of\n			   this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			You may not exercise any of the rights granted to You in Section 3 above in any manner that\n			   is primarily intended for or directed toward commercial advantage or private monetary\n			   compensation. The exchange of the Work for other copyrighted works by means of digital\n			   file-sharing or otherwise shall not be considered to be intended for or directed toward\n			   commercial advantage or private monetary compensation, provided there is no payment of any\n			   monetary compensation in connection with the exchange of copyrighted works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the Work\n			   or any Derivative Works or Collective Works, You must keep intact all copyright notices\n			   for the Work and give the Original Author credit reasonable to the medium or means You are\n			   utilizing by conveying the name (or pseudonym if applicable) of the Original Author if\n			   supplied; the title of the Work if supplied; to the extent reasonably practicable, the\n			   Uniform Resource Identifier, if any, that Licensor specifies to be associated with the\n			   Work, unless such URI does not refer to the copyright notice or licensing information for\n			   the Work; and in the case of a Derivative Work, a credit identifying the use of the Work\n			   in the Derivative Work (e.g., &quot;French translation of the Work by Original\n			   Author,&quot; or &quot;Screenplay based on original Work by Original Author&quot;). Such\n			   credit may be implemented in any reasonable manner; provided, however, that in the case of\n			   a Derivative Work or Collective Work, at a minimum such credit will appear where any other\n			   comparable authorship credit appears and in a manner at least as prominent as such other\n			   comparable authorship credit.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			For the avoidance of doubt, where the Work is a musical composition:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to\n				 collect, whether individually or via a performance rights society (e.g. ASCAP, BMI,\n				 SESAC), royalties for the public performance or public digital performance (e.g.\n				 webcast) of the Work if that performance is primarily intended for or directed toward\n				 commercial advantage or private monetary compensation.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to\n				 collect, whether individually or via a music rights agency or designated agent (e.g.\n				 Harry Fox Agency), royalties for any phonorecord You create from the Work (&quot;cover\n				 version&quot;) and distribute, subject to the compulsory license created by 17 USC\n				 Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if\n				 Your distribution of such cover version is primarily intended for or directed toward\n				 commercial advantage or private monetary compensation.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a\n			   sound recording, Licensor reserves the exclusive right to collect, whether individually or\n			   via a performance-rights society (e.g. SoundExchange), royalties for the public digital\n			   performance (e.g. webcast) of the Work, subject to the compulsory license created by 17\n			   USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if\n			   Your public digital performance is primarily intended for or directed toward commercial\n			   advantage or private monetary compensation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Derivative\n			   Works or Collective Works from You under this License, however, will not have their\n			   licenses terminated provided such individuals or entities remain in full compliance with\n			   those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n			   Licensor offers to the recipient a license to the Work on the same terms and conditions as\n			   the license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Each time You distribute or publicly digitally perform a Derivative Work, Licensor offers to\n			   the recipient a license to the original Work on the same terms and conditions as the\n			   license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYNCSA20"

	def __str__(self):
		return json.dumps(self.__dict__)


class FDKAAC:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Software License for The Fraunhofer FDK AAC Codec Library for Android\n\n\u00a9 Copyright  1995 - 2012 Fraunhofer-Gesellschaft zur F\u00f6rderung der angewandten Forschung e.V.\n  All rights reserved.\n\n1.	INTRODUCTION\nThe Fraunhofer FDK AAC Codec Library for Android (\"FDK AAC Codec\") is software that implements\nthe MPEG Advanced Audio Coding (\"AAC\") encoding and decoding scheme for digital audio.\nThis FDK AAC Codec software is intended to be used on a wide variety of Android devices.\n\nAAC's HE-AAC and HE-AAC v2 versions are regarded as today's most efficient general perceptual\naudio codecs. AAC-ELD is considered the best-performing full-bandwidth communications codec by\nindependent studies and is widely deployed. AAC has been standardized by ISO and IEC as part\nof the MPEG specifications.\n\nPatent licenses for necessary patent claims for the FDK AAC Codec (including those of Fraunhofer)\nmay be obtained through Via Licensing (www.vialicensing.com) or through the respective patent owners\nindividually for the purpose of encoding or decoding bit streams in products that are compliant with\nthe ISO/IEC MPEG audio standards. Please note that most manufacturers of Android devices already license\nthese patent claims through Via Licensing or directly from the patent owners, and therefore FDK AAC Codec\nsoftware may already be covered under those patent licenses when it is used for those licensed purposes only.\n\nCommercially-licensed AAC software libraries, including floating-point versions with enhanced sound quality,\nare also available from Fraunhofer. Users are encouraged to check the Fraunhofer website for additional\napplications information and documentation.\n\n2.	COPYRIGHT LICENSE\n\nRedistribution and use in source and binary forms, with or without modification, are permitted without\npayment of copyright license fees provided that you satisfy the following conditions:\n\nYou must retain the complete text of this software license in redistributions of the FDK AAC Codec or\nyour modifications thereto in source code form.\n\nYou must retain the complete text of this software license in the documentation and/or other materials\nprovided with redistributions of the FDK AAC Codec or your modifications thereto in binary form.\nYou must make available free of charge copies of the complete source code of the FDK AAC Codec and your\nmodifications thereto to recipients of copies in binary form.\n\nThe name of Fraunhofer may not be used to endorse or promote products derived from this library without\nprior written permission.\n\nYou may not charge copyright license fees for anyone to use, copy or distribute the FDK AAC Codec\nsoftware or your modifications thereto.\n\nYour modified versions of the FDK AAC Codec must carry prominent notices stating that you changed the software\nand the date of any change. For modified versions of the FDK AAC Codec, the term\n\"Fraunhofer FDK AAC Codec Library for Android\" must be replaced by the term\n\"Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library for Android.\"\n\n3.	NO PATENT LICENSE\n\nNO EXPRESS OR IMPLIED LICENSES TO ANY PATENT CLAIMS, including without limitation the patents of Fraunhofer,\nARE GRANTED BY THIS SOFTWARE LICENSE. Fraunhofer provides no warranty of patent non-infringement with\nrespect to this software.\n\nYou may use this FDK AAC Codec software or modifications thereto only for purposes that are authorized\nby appropriate patent licenses.\n\n4.	DISCLAIMER\n\nThis FDK AAC Codec software is provided by Fraunhofer on behalf of the copyright holders and contributors\n\"AS IS\" and WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, including but not limited to the implied warranties\nof merchantability and fitness for a particular purpose. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR\nCONTRIBUTORS BE LIABLE for any direct, indirect, incidental, special, exemplary, or consequential damages,\nincluding but not limited to procurement of substitute goods or services; loss of use, data, or profits,\nor business interruption, however caused and on any theory of liability, whether in contract, strict\nliability, or tort (including negligence), arising in any way out of the use of this software, even if\nadvised of the possibility of such damage.\n\n5.	CONTACT INFORMATION\n\nFraunhofer Institute for Integrated Circuits IIS\nAttention: Audio and Multimedia Departments - FDK AAC LL\nAm Wolfsmantel 33\n91058 Erlangen, Germany\n\nwww.iis.fraunhofer.de/amm\namm-info@iis.fraunhofer.de\n"
		self.standardLicenseTemplate = "<<beginOptional>>Software License for The Fraunhofer FDK AAC Codec Library for Android<<endOptional>> <<var;name=\"copyright\";original=\"\u00a9 Copyright 1995 - 2012 Fraunhofer-Gesellschaft zur F\u00f6rderung der angewandten Forschung e.V.  \";match=\".{0,5000}\">>\n\nAll rights reserved.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> INTRODUCTION\n\n   The Fraunhofer FDK AAC Codec Library for Android (\"FDK AAC Codec\") is software that implements the MPEG Advanced Audio Coding (\"AAC\") encoding and decoding scheme for digital audio. This FDK AAC Codec software is intended to be used on a wide variety of Android devices.\n\n   AAC's HE-AAC and HE-AAC v2 versions are regarded as today's most efficient general perceptual audio codecs. AAC-ELD is considered the best-performing full-bandwidth communications codec by independent studies and is widely deployed. AAC has been standardized by ISO and IEC as part of the MPEG specifications.\n\n   Patent licenses for necessary patent claims for the FDK AAC Codec (including those of Fraunhofer) may be obtained through Via Licensing (www.vialicensing.com) or through the respective patent owners individually for the purpose of encoding or decoding bit streams in products that are compliant with the ISO/IEC MPEG audio standards. Please note that most manufacturers of Android devices already license these patent claims through Via Licensing or directly from the patent owners, and therefore FDK AAC Codec software may already be covered under those patent licenses when it is used for those licensed purposes only.\n\n   Commercially-licensed AAC software libraries, including floating-point versions with enhanced sound quality, are also available from Fraunhofer. Users are encouraged to check the Fraunhofer website for additional applications information and documentation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> COPYRIGHT LICENSE\n\n   Redistribution and use in source and binary forms, with or without modification, are permitted without payment of copyright license fees provided that you satisfy the following conditions:\n\n   You must retain the complete text of this software license in redistributions of the FDK AAC Codec or your modifications thereto in source code form.\n\n   You must retain the complete text of this software license in the documentation and/or other materials provided with redistributions of the FDK AAC Codec or your modifications thereto in binary form. You must make available free of charge copies of the complete source code of the FDK AAC Codec and your modifications thereto to recipients of copies in binary form.\n\n   The name of Fraunhofer may not be used to endorse or promote products derived from this library without prior written permission.\n\n   You may not charge copyright license fees for anyone to use, copy or distribute the FDK AAC Codec software or your modifications thereto.\n\n   Your modified versions of the FDK AAC Codec must carry prominent notices stating that you changed the software and the date of any change. For modified versions of the FDK AAC Codec, the term \"Fraunhofer FDK AAC Codec Library for Android\" must be replaced by the term \"Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library for Android.\"\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> NO PATENT LICENSE\n\n   NO EXPRESS OR IMPLIED LICENSES TO ANY PATENT CLAIMS, including without limitation the patents of Fraunhofer, ARE GRANTED BY THIS SOFTWARE LICENSE. Fraunhofer provides no warranty of patent non-infringement with respect to this software.\n\n   You may use this FDK AAC Codec software or modifications thereto only for purposes that are authorized by appropriate patent licenses.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> DISCLAIMER\n\n   This FDK AAC Codec software is provided by Fraunhofer on behalf of the copyright holders and contributors \"AS IS\" and WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE for any direct, indirect, incidental, special, exemplary, or consequential damages, including but not limited to procurement of substitute goods or services; loss of use, data, or profits, or business interruption, however caused and on any theory of liability, whether in contract, strict liability, or tort (including negligence), arising in any way out of the use of this software, even if advised of the possibility of such damage.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> CONTACT INFORMATION\n\n   Fraunhofer Institute for Integrated Circuits IIS Attention: Audio and Multimedia Departments - FDK AAC LL Am Wolfsmantel 33 91058 Erlangen, Germany\n\n   www.iis.fraunhofer.de/amm amm-info@iis.fraunhofer.de\n\n   "
		self.name = "Fraunhofer FDK AAC Codec Library"
		self.licenseId = "FDK-AAC"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/FDK-AAC", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:26Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://directory.fsf.org/wiki/License:Fdk", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:27Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/FDK-AAC", "https://directory.fsf.org/wiki/License:Fdk"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <var class=\"optional-license-text\"> Software License for The Fraunhofer FDK AAC Codec Library for Android</var>\n	  <div class=\"replaceable-license-text\"> \n		<p>\u00a9 Copyright 1995 - 2012 Fraunhofer-Gesellschaft zur F\u00f6rderung der angewandten Forschung e.V.</p>\n\n	  </div>\n	  <p>All rights reserved.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>INTRODUCTION\n		<p>The Fraunhofer FDK AAC Codec Library for Android (&quot;FDK AAC Codec&quot;) is software that implements the MPEG Advanced Audio Coding (&quot;AAC&quot;) encoding and decoding scheme for digital audio. This FDK AAC Codec software is intended to be used on a wide variety of Android devices.</p>\n\n		<p>AAC&apos;s HE-AAC and HE-AAC v2 versions are regarded as today&apos;s most efficient general perceptual audio codecs. AAC-ELD is considered the best-performing full-bandwidth communications codec by independent studies and is widely deployed. AAC has been standardized by ISO and IEC as part of the MPEG specifications.</p>\n\n		<p>Patent licenses for necessary patent claims for the FDK AAC Codec (including those of Fraunhofer) may be obtained through Via Licensing (www.vialicensing.com) or through the respective patent owners individually for the purpose of encoding or decoding bit streams in products that are compliant with the ISO/IEC MPEG audio standards. Please note that most manufacturers of Android devices already license these patent claims through Via Licensing or directly from the patent owners, and therefore FDK AAC Codec software may already be covered under those patent licenses when it is used for those licensed purposes only.</p>\n\n		<p>Commercially-licensed AAC software libraries, including floating-point versions with enhanced sound quality, are also available from Fraunhofer. Users are encouraged to check the Fraunhofer website for additional applications information and documentation.</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>COPYRIGHT LICENSE\n		<p>Redistribution and use in source and binary forms, with or without modification, are permitted without payment of copyright license fees provided that you satisfy the following conditions:</p>\n\n		<p>You must retain the complete text of this software license in redistributions of the FDK AAC Codec or your modifications thereto in source code form.</p>\n\n		<p>You must retain the complete text of this software license in the documentation and/or other materials provided with redistributions of the FDK AAC Codec or your modifications thereto in binary form. You must make available free of charge copies of the complete source code of the FDK AAC Codec and your modifications thereto to recipients of copies in binary form.</p>\n\n		<p>The name of Fraunhofer may not be used to endorse or promote products derived from this library without prior written permission.</p>\n\n		<p>You may not charge copyright license fees for anyone to use, copy or distribute the FDK AAC Codec software or your modifications thereto.</p>\n\n		<p>Your modified versions of the FDK AAC Codec must carry prominent notices stating that you changed the software and the date of any change. For modified versions of the FDK AAC Codec, the term &quot;Fraunhofer FDK AAC Codec Library for Android&quot; must be replaced by the term &quot;Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library for Android.&quot;</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>NO PATENT LICENSE\n		<p>NO EXPRESS OR IMPLIED LICENSES TO ANY PATENT CLAIMS, including without limitation the patents of Fraunhofer, ARE GRANTED BY THIS SOFTWARE LICENSE. Fraunhofer provides no warranty of patent non-infringement with respect to this software.</p>\n\n		<p>You may use this FDK AAC Codec software or modifications thereto only for purposes that are authorized by appropriate patent licenses.</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>DISCLAIMER\n		<p>This FDK AAC Codec software is provided by Fraunhofer on behalf of the copyright holders and contributors &quot;AS IS&quot; and WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE for any direct, indirect, incidental, special, exemplary, or consequential damages, including but not limited to procurement of substitute goods or services; loss of use, data, or profits, or business interruption, however caused and on any theory of liability, whether in contract, strict liability, or tort (including negligence), arising in any way out of the use of this software, even if advised of the possibility of such damage.</p>\n</li>\n		\n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>CONTACT INFORMATION\n		<p>Fraunhofer Institute for Integrated Circuits IIS Attention: Audio and Multimedia Departments - FDK AAC LL Am Wolfsmantel 33 91058 Erlangen, Germany</p>\n\n		<p>www.iis.fraunhofer.de/amm amm-info@iis.fraunhofer.de</p>\n</li>\n	  \n</ul>\n	"
		self.python_name = "FDKAAC"

	def __str__(self):
		return json.dumps(self.__dict__)


class MulanPSL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1, \u7b2c1\u7248\n\n\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c \u7b2c1\u7248\n\n2019\u5e748\u6708 http://license.coscl.org.cn/MulanPSL\n\n\u60a8\u5bf9\u201c\u8f6f\u4ef6\u201d\u7684\u590d\u5236\u3001\u4f7f\u7528\u3001\u4fee\u6539\u53ca\u5206\u53d1\u53d7\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c1\u7248\uff08\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\uff09\u7684\u5982\u4e0b\u6761\u6b3e\u7684\u7ea6\u675f\uff1a\n\n0.   \u5b9a\u4e49\n\n\u201c\u8f6f\u4ef6\u201d\u662f\u6307\u7531\u201c\u8d21\u732e\u201d\u6784\u6210\u7684\u8bb8\u53ef\u5728\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u4e0b\u7684\u7a0b\u5e8f\u548c\u76f8\u5173\u6587\u6863\u7684\u96c6\u5408\u3002\n\n\u201c\u8d21\u732e\u8005\u201d\u662f\u6307\u5c06\u53d7\u7248\u6743\u6cd5\u4fdd\u62a4\u7684\u4f5c\u54c1\u8bb8\u53ef\u5728\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u4e0b\u7684\u81ea\u7136\u4eba\u6216\u201c\u6cd5\u4eba\u5b9e\u4f53\u201d\u3002\n\n\u201c\u6cd5\u4eba\u5b9e\u4f53\u201d\u662f\u6307\u63d0\u4ea4\u8d21\u732e\u7684\u673a\u6784\u53ca\u5176\u201c\u5173\u8054\u5b9e\u4f53\u201d\u3002\n\n\u201c\u5173\u8054\u5b9e\u4f53\u201d\u662f\u6307\uff0c\u5bf9\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u4e0b\u7684\u4e00\u65b9\u800c\u8a00\uff0c\u63a7\u5236\u3001\u53d7\u63a7\u5236\u6216\u4e0e\u5176\u5171\u540c\u53d7\u63a7\u5236\u7684\u673a\u6784\uff0c\u6b64\u5904\u7684\u63a7\u5236\u662f\u6307\u6709\u53d7\u63a7\u65b9\u6216\u5171\u540c\u53d7\u63a7\u65b9\u81f3\u5c1150%\u76f4\u63a5\u6216\u95f4\u63a5\u7684\u6295\u7968\u6743\u3001\u8d44\u91d1\u6216\u5176\u4ed6\u6709\u4ef7\u8bc1\u5238\u3002\n\n\u201c\u8d21\u732e\u201d\u662f\u6307\u7531\u4efb\u4e00\u201c\u8d21\u732e\u8005\u201d\u8bb8\u53ef\u5728\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u4e0b\u7684\u53d7\u7248\u6743\u6cd5\u4fdd\u62a4\u7684\u4f5c\u54c1\u3002\n\n1.   \u6388\u4e88\u7248\u6743\u8bb8\u53ef\n\n\u6bcf\u4e2a\u201c\u8d21\u732e\u8005\u201d\u6839\u636e\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u6388\u4e88\u60a8\u6c38\u4e45\u6027\u7684\u3001\u5168\u7403\u6027\u7684\u3001\u514d\u8d39\u7684\u3001\u975e\u72ec\u5360\u7684\u3001\u4e0d\u53ef\u64a4\u9500\u7684\u7248\u6743\u8bb8\u53ef\uff0c\u60a8\u53ef\u4ee5\u590d\u5236\u3001\u4f7f\u7528\u3001\u4fee\u6539\u3001\u5206\u53d1\u5176\u201c\u8d21\u732e\u201d\uff0c\u4e0d\u8bba\u4fee\u6539\u4e0e\u5426\u3002\n\n2.   \u6388\u4e88\u4e13\u5229\u8bb8\u53ef\n\n\u6bcf\u4e2a\u201c\u8d21\u732e\u8005\u201d\u6839\u636e\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u6388\u4e88\u60a8\u6c38\u4e45\u6027\u7684\u3001\u5168\u7403\u6027\u7684\u3001\u514d\u8d39\u7684\u3001\u975e\u72ec\u5360\u7684\u3001\u4e0d\u53ef\u64a4\u9500\u7684\uff08\u6839\u636e\u672c\u6761\u89c4\u5b9a\u64a4\u9500\u9664\u5916\uff09\u4e13\u5229\u8bb8\u53ef\uff0c\u4f9b\u60a8\u5236\u9020\u3001\u59d4\u6258\u5236\u9020\u3001\u4f7f\u7528\u3001\u8bb8\u8bfa\u9500\u552e\u3001\u9500\u552e\u3001\u8fdb\u53e3\u5176\u201c\u8d21\u732e\u201d\u6216\u4ee5\u5176\u4ed6\u65b9\u5f0f\u8f6c\u79fb\u5176\u201c\u8d21\u732e\u201d\u3002\u524d\u8ff0\u4e13\u5229\u8bb8\u53ef\u4ec5\u9650\u4e8e\u201c\u8d21\u732e\u8005\u201d\u73b0\u5728\u6216\u5c06\u6765\u62e5\u6709\u6216\u63a7\u5236\u7684\u5176\u201c\u8d21\u732e\u201d\u672c\u8eab\u6216\u5176\u201c\u8d21\u732e\u201d\u4e0e\u8bb8\u53ef\u201c\u8d21\u732e\u201d\u65f6\u7684\u201c\u8f6f\u4ef6\u201d\u7ed3\u5408\u800c\u5c06\u5fc5\u7136\u4f1a\u4fb5\u72af\u7684\u4e13\u5229\u6743\u5229\u8981\u6c42\uff0c\u4e0d\u5305\u62ec\u4ec5\u56e0\u60a8\u6216\u4ed6\u4eba\u4fee\u6539\u201c\u8d21\u732e\u201d\u6216\u5176\u4ed6\u7ed3\u5408\u800c\u5c06\u5fc5\u7136\u4f1a\u4fb5\u72af\u5230\u7684\u4e13\u5229\u6743\u5229\u8981\u6c42\u3002\u5982\u60a8\u6216\u60a8\u7684\u201c\u5173\u8054\u5b9e\u4f53\u201d\u76f4\u63a5\u6216\u95f4\u63a5\u5730\uff08\u5305\u62ec\u901a\u8fc7\u4ee3\u7406\u3001\u4e13\u5229\u88ab\u8bb8\u53ef\u4eba\u6216\u53d7\u8ba9\u4eba\uff09\uff0c\u5c31\u201c\u8f6f\u4ef6\u201d\u6216\u5176\u4e2d\u7684\u201c\u8d21\u732e\u201d\u5bf9\u4efb\u4f55\u4eba\u53d1\u8d77\u4e13\u5229\u4fb5\u6743\u8bc9\u8bbc\uff08\u5305\u62ec\u53cd\u8bc9\u6216\u4ea4\u53c9\u8bc9\u8bbc\uff09\u6216\u5176\u4ed6\u4e13\u5229\u7ef4\u6743\u884c\u52a8\uff0c\u6307\u63a7\u5176\u4fb5\u72af\u4e13\u5229\u6743\uff0c\u5219\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u6388\u4e88\u60a8\u5bf9\u201c\u8f6f\u4ef6\u201d\u7684\u4e13\u5229\u8bb8\u53ef\u81ea\u60a8\u63d0\u8d77\u8bc9\u8bbc\u6216\u53d1\u8d77\u7ef4\u6743\u884c\u52a8\u4e4b\u65e5\u7ec8\u6b62\u3002\n\n3.   \u65e0\u5546\u6807\u8bb8\u53ef\n\n\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u4e0d\u63d0\u4f9b\u5bf9\u201c\u8d21\u732e\u8005\u201d\u7684\u5546\u54c1\u540d\u79f0\u3001\u5546\u6807\u3001\u670d\u52a1\u6807\u5fd7\u6216\u4ea7\u54c1\u540d\u79f0\u7684\u5546\u6807\u8bb8\u53ef\uff0c\u4f46\u60a8\u4e3a\u6ee1\u8db3\u7b2c4\u6761\u89c4\u5b9a\u7684\u58f0\u660e\u4e49\u52a1\u800c\u5fc5\u987b\u4f7f\u7528\u9664\u5916\u3002\n\n4.   \u5206\u53d1\u9650\u5236\n\n\u60a8\u53ef\u4ee5\u5728\u4efb\u4f55\u5a92\u4ecb\u4e2d\u5c06\u201c\u8f6f\u4ef6\u201d\u4ee5\u6e90\u7a0b\u5e8f\u5f62\u5f0f\u6216\u53ef\u6267\u884c\u5f62\u5f0f\u91cd\u65b0\u5206\u53d1\uff0c\u4e0d\u8bba\u4fee\u6539\u4e0e\u5426\uff0c\u4f46\u60a8\u5fc5\u987b\u5411\u63a5\u6536\u8005\u63d0\u4f9b\u201c\u672c\u8bb8\u53ef\u8bc1\u201d\u7684\u526f\u672c\uff0c\u5e76\u4fdd\u7559\u201c\u8f6f\u4ef6\u201d\u4e2d\u7684\u7248\u6743\u3001\u5546\u6807\u3001\u4e13\u5229\u53ca\u514d\u8d23\u58f0\u660e\u3002\n\n5.   \u514d\u8d23\u58f0\u660e\u4e0e\u8d23\u4efb\u9650\u5236\n\n\u201c\u8f6f\u4ef6\u201d\u53ca\u5176\u4e2d\u7684\u201c\u8d21\u732e\u201d\u5728\u63d0\u4f9b\u65f6\u4e0d\u5e26\u4efb\u4f55\u660e\u793a\u6216\u9ed8\u793a\u7684\u62c5\u4fdd\u3002\u5728\u4efb\u4f55\u60c5\u51b5\u4e0b\uff0c\u201c\u8d21\u732e\u8005\u201d\u6216\u7248\u6743\u6240\u6709\u8005\u4e0d\u5bf9\u4efb\u4f55\u4eba\u56e0\u4f7f\u7528\u201c\u8f6f\u4ef6\u201d\u6216\u5176\u4e2d\u7684\u201c\u8d21\u732e\u201d\u800c\u5f15\u53d1\u7684\u4efb\u4f55\u76f4\u63a5\u6216\u95f4\u63a5\u635f\u5931\u627f\u62c5\u8d23\u4efb\uff0c\u4e0d\u8bba\u56e0\u4f55\u79cd\u539f\u56e0\u5bfc\u81f4\u6216\u8005\u57fa\u4e8e\u4f55\u79cd\u6cd5\u5f8b\u7406\u8bba,\u5373\u4f7f\u5176\u66fe\u88ab\u5efa\u8bae\u6709\u6b64\u79cd\u635f\u5931\u7684\u53ef\u80fd\u6027\u3002\n\n\u6761\u6b3e\u7ed3\u675f\n\n\u5982\u4f55\u5c06\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c1\u7248\uff0c\u5e94\u7528\u5230\u60a8\u7684\u8f6f\u4ef6\n\n\u5982\u679c\u60a8\u5e0c\u671b\u5c06\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c1\u7248\uff0c\u5e94\u7528\u5230\u60a8\u7684\u65b0\u8f6f\u4ef6\uff0c\u4e3a\u4e86\u65b9\u4fbf\u63a5\u6536\u8005\u67e5\u9605\uff0c\u5efa\u8bae\u60a8\u5b8c\u6210\u5982\u4e0b\u4e09\u6b65\uff1a\n\n1\uff0c \u8bf7\u60a8\u8865\u5145\u5982\u4e0b\u58f0\u660e\u4e2d\u7684\u7a7a\u767d\uff0c\u5305\u62ec\u8f6f\u4ef6\u540d\u3001\u8f6f\u4ef6\u7684\u9996\u6b21\u53d1\u8868\u5e74\u4efd\u4ee5\u53ca\u60a8\u4f5c\u4e3a\u7248\u6743\u4eba\u7684\u540d\u5b57\uff1b\n\n2\uff0c \u8bf7\u60a8\u5728\u8f6f\u4ef6\u5305\u7684\u4e00\u7ea7\u76ee\u5f55\u4e0b\u521b\u5efa\u4ee5\u201cLICENSE\u201d\u4e3a\u540d\u7684\u6587\u4ef6\uff0c\u5c06\u6574\u4e2a\u8bb8\u53ef\u8bc1\u6587\u672c\u653e\u5165\u8be5\u6587\u4ef6\u4e2d\uff1b\n\n3\uff0c \u8bf7\u5c06\u5982\u4e0b\u58f0\u660e\u6587\u672c\u653e\u5165\u6bcf\u4e2a\u6e90\u6587\u4ef6\u7684\u5934\u90e8\u6ce8\u91ca\u4e2d\u3002\n\nCopyright (c) [2019] [name of copyright holder]\n[Software Name] is licensed under the Mulan PSL v1.\nYou can use this software according to the terms and conditions of the Mulan PSL v1.\nYou may obtain a copy of Mulan PSL v1 at:\n	http://license.coscl.org.cn/MulanPSL\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\nSee the Mulan PSL v1 for more details.\nMulan Permissive Software License\uff0cVersion 1\n\nMulan Permissive Software License\uff0cVersion 1 (Mulan PSL v1)\n\nAugust 2019 http://license.coscl.org.cn/MulanPSL\n\nYour reproduction, use, modification and distribution of the Software shall be subject to Mulan PSL v1 (this License) with following terms and conditions:\n\n0. Definition\n\nSoftware means the program and related documents which are comprised of those Contribution and licensed under this License.\n\nContributor means the Individual or Legal Entity who licenses its copyrightable work under this License.\n\nLegal Entity means the entity making a Contribution and all its Affiliates.\n\nAffiliates means entities that control, or are controlled by, or are under common control with a party to this License, \u2018control\u2019 means direct or indirect ownership of at least fifty percent (50%) of the voting power, capital or other securities of controlled or commonly controlled entity.\n\nContribution means the copyrightable work licensed by a particular Contributor under this License.\n\n1. Grant of Copyright License\n\nSubject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable copyright license to reproduce, use, modify, or distribute its Contribution, with modification or not.\n\n2. Grant of Patent License\n\nSubject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable (except for revocation under this Section) patent license to make, have made, use, offer for sale, sell, import or otherwise transfer its Contribution where such patent license is only limited to the patent claims owned or controlled by such Contributor now or in future which will be necessarily infringed by its Contribution alone, or by combination of the Contribution with the Software to which the Contribution was contributed, excluding of any patent claims solely be infringed by your or others\u2019 modification or other combinations. If you or your Affiliates directly or indirectly (including through an agent, patent licensee or assignee\uff09, institute patent litigation (including a cross claim or counterclaim in a litigation) or other patent enforcement activities against any individual or entity by alleging that the Software or any Contribution in it infringes patents, then any patent license granted to you under this License for the Software shall terminate as of the date such litigation or activity is filed or taken.\n\n3. No Trademark License\n\nNo trademark license is granted to use the trade names, trademarks, service marks, or product names of Contributor, except as required to fulfill notice requirements in section 4.\n\n4. Distribution Restriction\n\nYou may distribute the Software in any medium with or without modification, whether in source or executable forms, provided that you provide recipients with a copy of this License and retain copyright, patent, trademark and disclaimer statements in the Software.\n\n5. Disclaimer of Warranty and Limitation of Liability\n\nThe Software and Contribution in it are provided without warranties of any kind, either express or implied. In no event shall any Contributor or copyright holder be liable to you for any damages, including, but not limited to any direct, or indirect, special or consequential damages arising from your use or inability to use the Software or the Contribution in it, no matter how it\u2019s caused or based on which legal theory, even if advised of the possibility of such damages.\n\nEnd of the Terms and Conditions\n\nHow to apply the Mulan Permissive Software License\uff0cVersion 1 (Mulan PSL v1) to your software\n\nTo apply the Mulan PSL v1 to your work, for easy identification by recipients, you are suggested to complete following three steps:\n\ni. Fill in the blanks in following statement, including insert your software name, the year of the first publication of your software, and your name identified as the copyright owner;\nii. Create a file named \u201cLICENSE\u201d which contains the whole context of this License in the first directory of your software package;\niii. Attach the statement to the appropriate annotated syntax at the beginning of each source file.\n\nCopyright (c) [2019] [name of copyright holder]\n[Software Name] is licensed under the Mulan PSL v1.\nYou can use this software according to the terms and conditions of the Mulan PSL v1.\nYou may obtain a copy of Mulan PSL v1 at:\n	http://license.coscl.org.cn/MulanPSL\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\nSee the Mulan PSL v1 for more details.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) [2019] [name of copyright holder]\n\n[Software Name] is licensed under the Mulan PSL v1.\n\nYou can use this software according to the terms and conditions of the Mulan PSL v1.\n\nYou may obtain a copy of Mulan PSL v1 at:\n\nhttp://license.coscl.org.cn/MulanPSL\n\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\n\nSee the Mulan PSL v1 for more details.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1, \u7b2c1\u7248\n\n<<endOptional>><<beginOptional>> \u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c \u7b2c1\u7248\n\n2019\u5e748\u6708 http://license.coscl.org.cn/MulanPSL\n\n<<endOptional>>\n\n\u60a8\u5bf9\"\u8f6f\u4ef6\"\u7684\u590d\u5236\u3001\u4f7f\u7528\u3001\u4fee\u6539\u53ca\u5206\u53d1\u53d7\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c1\u7248\uff08\"\u672c\u8bb8\u53ef\u8bc1\"\uff09\u7684\u5982\u4e0b\u6761\u6b3e\u7684\u7ea6\u675f\uff1a\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> \u5b9a\u4e49\n\n   \"\u8f6f\u4ef6\"\u662f\u6307\u7531\"\u8d21\u732e\"\u6784\u6210\u7684\u8bb8\u53ef\u5728\"\u672c\u8bb8\u53ef\u8bc1\"\u4e0b\u7684\u7a0b\u5e8f\u548c\u76f8\u5173\u6587\u6863\u7684\u96c6\u5408\u3002\n\n   \"\u8d21\u732e\u8005\"\u662f\u6307\u5c06\u53d7\u7248\u6743\u6cd5\u4fdd\u62a4\u7684\u4f5c\u54c1\u8bb8\u53ef\u5728\"\u672c\u8bb8\u53ef\u8bc1\"\u4e0b\u7684\u81ea\u7136\u4eba\u6216\"\u6cd5\u4eba\u5b9e\u4f53\"\u3002\n\n   \"\u6cd5\u4eba\u5b9e\u4f53\"\u662f\u6307\u63d0\u4ea4\u8d21\u732e\u7684\u673a\u6784\u53ca\u5176\"\u5173\u8054\u5b9e\u4f53\"\u3002\n\n   \"\u5173\u8054\u5b9e\u4f53\"\u662f\u6307\uff0c\u5bf9\"\u672c\u8bb8\u53ef\u8bc1\"\u4e0b\u7684\u4e00\u65b9\u800c\u8a00\uff0c\u63a7\u5236\u3001\u53d7\u63a7\u5236\u6216\u4e0e\u5176\u5171\u540c\u53d7\u63a7\u5236\u7684\u673a\u6784\uff0c\u6b64\u5904\u7684\u63a7\u5236\u662f\u6307\u6709\u53d7\u63a7\u65b9\u6216\u5171\u540c\u53d7\u63a7\u65b9\u81f3\u5c1150%\u76f4\u63a5\u6216\u95f4\u63a5\u7684\u6295\u7968\u6743\u3001\u8d44\u91d1\u6216\u5176\u4ed6\u6709\u4ef7\u8bc1\u5238\u3002\n\n   \"\u8d21\u732e\"\u662f\u6307\u7531\u4efb\u4e00\"\u8d21\u732e\u8005\"\u8bb8\u53ef\u5728\"\u672c\u8bb8\u53ef\u8bc1\"\u4e0b\u7684\u53d7\u7248\u6743\u6cd5\u4fdd\u62a4\u7684\u4f5c\u54c1\u3002\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> \u6388\u4e88\u7248\u6743\u8bb8\u53ef\n\n   \u6bcf\u4e2a\"\u8d21\u732e\u8005\"\u6839\u636e\"\u672c\u8bb8\u53ef\u8bc1\"\u6388\u4e88\u60a8\u6c38\u4e45\u6027\u7684\u3001\u5168\u7403\u6027\u7684\u3001\u514d\u8d39\u7684\u3001\u975e\u72ec\u5360\u7684\u3001\u4e0d\u53ef\u64a4\u9500\u7684\u7248\u6743\u8bb8\u53ef\uff0c\u60a8\u53ef\u4ee5\u590d\u5236\u3001\u4f7f\u7528\u3001\u4fee\u6539\u3001\u5206\u53d1\u5176\"\u8d21\u732e\"\uff0c\u4e0d\u8bba\u4fee\u6539\u4e0e\u5426\u3002\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> \u6388\u4e88\u4e13\u5229\u8bb8\u53ef\n\n   \u6bcf\u4e2a\"\u8d21\u732e\u8005\"\u6839\u636e\"\u672c\u8bb8\u53ef\u8bc1\"\u6388\u4e88\u60a8\u6c38\u4e45\u6027\u7684\u3001\u5168\u7403\u6027\u7684\u3001\u514d\u8d39\u7684\u3001\u975e\u72ec\u5360\u7684\u3001\u4e0d\u53ef\u64a4\u9500\u7684\uff08\u6839\u636e\u672c\u6761\u89c4\u5b9a\u64a4\u9500\u9664\u5916\uff09\u4e13\u5229\u8bb8\u53ef\uff0c\u4f9b\u60a8\u5236\u9020\u3001\u59d4\u6258\u5236\u9020\u3001\u4f7f\u7528\u3001\u8bb8\u8bfa\u9500\u552e\u3001\u9500\u552e\u3001\u8fdb\u53e3\u5176\"\u8d21\u732e\"\u6216\u4ee5\u5176\u4ed6\u65b9\u5f0f\u8f6c\u79fb\u5176\"\u8d21\u732e\"\u3002\u524d\u8ff0\u4e13\u5229\u8bb8\u53ef\u4ec5\u9650\u4e8e\"\u8d21\u732e\u8005\"\u73b0\u5728\u6216\u5c06\u6765\u62e5\u6709\u6216\u63a7\u5236\u7684\u5176\"\u8d21\u732e\"\u672c\u8eab\u6216\u5176\"\u8d21\u732e\"\u4e0e\u8bb8\u53ef\"\u8d21\u732e\"\u65f6\u7684\"\u8f6f\u4ef6\"\u7ed3\u5408\u800c\u5c06\u5fc5\u7136\u4f1a\u4fb5\u72af\u7684\u4e13\u5229\u6743\u5229\u8981\u6c42\uff0c\u4e0d\u5305\u62ec\u4ec5\u56e0\u60a8\u6216\u4ed6\u4eba\u4fee\u6539\"\u8d21\u732e\"\u6216\u5176\u4ed6\u7ed3\u5408\u800c\u5c06\u5fc5\u7136\u4f1a\u4fb5\u72af\u5230\u7684\u4e13\u5229\u6743\u5229\u8981\u6c42\u3002\u5982\u60a8\u6216\u60a8\u7684\"\u5173\u8054\u5b9e\u4f53\"\u76f4\u63a5\u6216\u95f4\u63a5\u5730\uff08\u5305\u62ec\u901a\u8fc7\u4ee3\u7406\u3001\u4e13\u5229\u88ab\u8bb8\u53ef\u4eba\u6216\u53d7\u8ba9\u4eba\uff09\uff0c\u5c31\"\u8f6f\u4ef6\"\u6216\u5176\u4e2d\u7684\"\u8d21\u732e\"\u5bf9\u4efb\u4f55\u4eba\u53d1\u8d77\u4e13\u5229\u4fb5\u6743\u8bc9\u8bbc\uff08\u5305\u62ec\u53cd\u8bc9\u6216\u4ea4\u53c9\u8bc9\u8bbc\uff09\u6216\u5176\u4ed6\u4e13\u5229\u7ef4\u6743\u884c\u52a8\uff0c\u6307\u63a7\u5176\u4fb5\u72af\u4e13\u5229\u6743\uff0c\u5219\"\u672c\u8bb8\u53ef\u8bc1\"\u6388\u4e88\u60a8\u5bf9\"\u8f6f\u4ef6\"\u7684\u4e13\u5229\u8bb8\u53ef\u81ea\u60a8\u63d0\u8d77\u8bc9\u8bbc\u6216\u53d1\u8d77\u7ef4\u6743\u884c\u52a8\u4e4b\u65e5\u7ec8\u6b62\u3002\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> \u65e0\u5546\u6807\u8bb8\u53ef\n\n   \"\u672c\u8bb8\u53ef\u8bc1\"\u4e0d\u63d0\u4f9b\u5bf9\"\u8d21\u732e\u8005\"\u7684\u5546\u54c1\u540d\u79f0\u3001\u5546\u6807\u3001\u670d\u52a1\u6807\u5fd7\u6216\u4ea7\u54c1\u540d\u79f0\u7684\u5546\u6807\u8bb8\u53ef\uff0c\u4f46\u60a8\u4e3a\u6ee1\u8db3\u7b2c4\u6761\u89c4\u5b9a\u7684\u58f0\u660e\u4e49\u52a1\u800c\u5fc5\u987b\u4f7f\u7528\u9664\u5916\u3002\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> \u5206\u53d1\u9650\u5236\n\n   \u60a8\u53ef\u4ee5\u5728\u4efb\u4f55\u5a92\u4ecb\u4e2d\u5c06\"\u8f6f\u4ef6\"\u4ee5\u6e90\u7a0b\u5e8f\u5f62\u5f0f\u6216\u53ef\u6267\u884c\u5f62\u5f0f\u91cd\u65b0\u5206\u53d1\uff0c\u4e0d\u8bba\u4fee\u6539\u4e0e\u5426\uff0c\u4f46\u60a8\u5fc5\u987b\u5411\u63a5\u6536\u8005\u63d0\u4f9b\"\u672c\u8bb8\u53ef\u8bc1\"\u7684\u526f\u672c\uff0c\u5e76\u4fdd\u7559\"\u8f6f\u4ef6\"\u4e2d\u7684\u7248\u6743\u3001\u5546\u6807\u3001\u4e13\u5229\u53ca\u514d\u8d23\u58f0\u660e\u3002\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> \u514d\u8d23\u58f0\u660e\u4e0e\u8d23\u4efb\u9650\u5236\n\n   \"\u8f6f\u4ef6\"\u53ca\u5176\u4e2d\u7684\"\u8d21\u732e\"\u5728\u63d0\u4f9b\u65f6\u4e0d\u5e26\u4efb\u4f55\u660e\u793a\u6216\u9ed8\u793a\u7684\u62c5\u4fdd\u3002\u5728\u4efb\u4f55\u60c5\u51b5\u4e0b\uff0c\"\u8d21\u732e\u8005\"\u6216\u7248\u6743\u6240\u6709\u8005\u4e0d\u5bf9\u4efb\u4f55\u4eba\u56e0\u4f7f\u7528\"\u8f6f\u4ef6\"\u6216\u5176\u4e2d\u7684\"\u8d21\u732e\"\u800c\u5f15\u53d1\u7684\u4efb\u4f55\u76f4\u63a5\u6216\u95f4\u63a5\u635f\u5931\u627f\u62c5\u8d23\u4efb\uff0c\u4e0d\u8bba\u56e0\u4f55\u79cd\u539f\u56e0\u5bfc\u81f4\u6216\u8005\u57fa\u4e8e\u4f55\u79cd\u6cd5\u5f8b\u7406\u8bba,\u5373\u4f7f\u5176\u66fe\u88ab\u5efa\u8bae\u6709\u6b64\u79cd\u635f\u5931\u7684\u53ef\u80fd\u6027\u3002\n\n\u6761\u6b3e\u7ed3\u675f\n\n\u5982\u4f55\u5c06\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c1\u7248\uff0c\u5e94\u7528\u5230\u60a8\u7684\u8f6f\u4ef6\n\n\u5982\u679c\u60a8\u5e0c\u671b\u5c06\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c1\u7248\uff0c\u5e94\u7528\u5230\u60a8\u7684\u65b0\u8f6f\u4ef6\uff0c\u4e3a\u4e86\u65b9\u4fbf\u63a5\u6536\u8005\u67e5\u9605\uff0c\u5efa\u8bae\u60a8\u5b8c\u6210\u5982\u4e0b\u4e09\u6b65\uff1a\n\n   <<var;name=\"bullet\";original=\"1\uff0c\";match=\".{0,20}\">> \u8bf7\u60a8\u8865\u5145\u5982\u4e0b\u58f0\u660e\u4e2d\u7684\u7a7a\u767d\uff0c\u5305\u62ec\u8f6f\u4ef6\u540d\u3001\u8f6f\u4ef6\u7684\u9996\u6b21\u53d1\u8868\u5e74\u4efd\u4ee5\u53ca\u60a8\u4f5c\u4e3a\u7248\u6743\u4eba\u7684\u540d\u5b57\uff1b\n\n   <<var;name=\"bullet\";original=\"2\uff0c\";match=\".{0,20}\">> \u8bf7\u60a8\u5728\u8f6f\u4ef6\u5305\u7684\u4e00\u7ea7\u76ee\u5f55\u4e0b\u521b\u5efa\u4ee5\"LICENSE\"\u4e3a\u540d\u7684\u6587\u4ef6\uff0c\u5c06\u6574\u4e2a\u8bb8\u53ef\u8bc1\u6587\u672c\u653e\u5165\u8be5\u6587\u4ef6\u4e2d\uff1b\n\n   <<var;name=\"bullet\";original=\"3\uff0c\";match=\".{0,20}\">> \u8bf7\u5c06\u5982\u4e0b\u58f0\u660e\u6587\u672c\u653e\u5165\u6bcf\u4e2a\u6e90\u6587\u4ef6\u7684\u5934\u90e8\u6ce8\u91ca\u4e2d\u3002\n\nCopyright (c) [2019] [name of copyright holder]\n\n[Software Name] is licensed under the Mulan PSL v1.\n\nYou can use this software according to the terms and conditions of the Mulan PSL v1.\n\nYou may obtain a copy of Mulan PSL v1 at:\n\nhttp://license.coscl.org.cn/MulanPSL\n\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\n\nSee the Mulan PSL v1 for more details.\n\n<<beginOptional>>Mulan Permissive Software License\uff0cVersion 1\n\n<<endOptional>><<beginOptional>> Mulan Permissive Software License\uff0cVersion 1 (Mulan PSL v1)\n\nAugust 2019 http://license.coscl.org.cn/MulanPSL\n\n<<endOptional>>\n\nYour reproduction, use, modification and distribution of the Software shall be subject to Mulan PSL v1 (this License) with following terms and conditions:\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definition\n\n   Software means the program and related documents which are comprised of those Contribution and licensed under this License.\n\n   Contributor means the Individual or Legal Entity who licenses its copyrightable work under this License.\n\n   Legal Entity means the entity making a Contribution and all its Affiliates.\n\n   Affiliates means entities that control, or are controlled by, or are under common control with a party to this License, 'control' means direct or indirect ownership of at least fifty percent (50%) of the voting power, capital or other securities of controlled or commonly controlled entity.\n\n   Contribution means the copyrightable work licensed by a particular Contributor under this License.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Grant of Copyright License\n\n   Subject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable copyright license to reproduce, use, modify, or distribute its Contribution, with modification or not.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Grant of Patent License\n\n   Subject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable (except for revocation under this Section) patent license to make, have made, use, offer for sale, sell, import or otherwise transfer its Contribution where such patent license is only limited to the patent claims owned or controlled by such Contributor now or in future which will be necessarily infringed by its Contribution alone, or by combination of the Contribution with the Software to which the Contribution was contributed, excluding of any patent claims solely be infringed by your or others' modification or other combinations. If you or your Affiliates directly or indirectly (including through an agent, patent licensee or assignee\uff09, institute patent litigation (including a cross claim or counterclaim in a litigation) or other patent enforcement activities against any individual or entity by alleging that the Software or any Contribution in it infringes patents, then any patent license granted to you under this License for the Software shall terminate as of the date such litigation or activity is filed or taken.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> No Trademark License\n\n   No trademark license is granted to use the trade names, trademarks, service marks, or product names of Contributor, except as required to fulfill notice requirements in section 4.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Distribution Restriction\n\n   You may distribute the Software in any medium with or without modification, whether in source or executable forms, provided that you provide recipients with a copy of this License and retain copyright, patent, trademark and disclaimer statements in the Software.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Disclaimer of Warranty and Limitation of Liability\n\n   The Software and Contribution in it are provided without warranties of any kind, either express or implied. In no event shall any Contributor or copyright holder be liable to you for any damages,including, but not limited to any direct, or indirect, special or consequential damages arising from your use or inability to use the Software or the Contribution in it, no matter how it's caused or based on which legal theory, even if advised of the possibility of such damages.\n\nEnd of the Terms and Conditions\n\nHow to apply the Mulan Permissive Software License\uff0cVersion 1 (Mulan PSL v1) to your software\n\nTo apply the Mulan PSL v1 to your work, for easy identification by recipients, you are suggested to complete following three steps:\n\n   <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Fill in the blanks in following statement, including insert your software name, the year of the first publication of your software, and your name identified as the copyright owner;\n\n   <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Create a file named \"LICENSE\" which contains the whole context of this License in the first directory of your software package;\n\n   <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Attach the statement to the appropriate annotated syntax at the beginning of each source file.\n\nCopyright (c) [2019] [name of copyright holder]\n\n[Software Name] is licensed under the Mulan PSL v1.\n\nYou can use this software according to the terms and conditions of the Mulan PSL v1.\n\nYou may obtain a copy of Mulan PSL v1 at:\n\nhttp://license.coscl.org.cn/MulanPSL\n\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\n\nSee the Mulan PSL v1 for more details.\n\n"
		self.name = "Mulan Permissive Software License, Version 1"
		self.licenseComments = "Both the Chinese and English translations of this license have been included in the markup, because current examples of use appear to include both translations in license documents."
		self.licenseId = "MulanPSL-1.0"
		self.standardLicenseHeader = "Copyright (c) [2019] [name of copyright holder]\n\n[Software Name] is licensed under the Mulan PSL v1.\n\nYou can use this software according to the terms and conditions of the Mulan PSL v1.\n\nYou may obtain a copy of Mulan PSL v1 at:\n\nhttp://license.coscl.org.cn/MulanPSL\n\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\n\nSee the Mulan PSL v1 for more details.\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://license.coscl.org.cn/MulanPSL/", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:22:15Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://github.com/yuwenlong/longphp/blob/25dfb70cc2a466dc4bb55ba30901cbce08d164b5/LICENSE", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:15Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://license.coscl.org.cn/MulanPSL/", "https://github.com/yuwenlong/longphp/blob/25dfb70cc2a466dc4bb55ba30901cbce08d164b5/LICENSE"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<div class=\"optional-license-text\"> <p>\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1, \u7b2c1\u7248</p>\n</div>\n\n		<div class=\"optional-license-text\"> <p>\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c \u7b2c1\u7248</p>\n\n		<p>2019\u5e748\u6708 http://license.coscl.org.cn/MulanPSL</p>\n</div>\n\n		<p>\u60a8\u5bf9&quot;\u8f6f\u4ef6&quot;\u7684\u590d\u5236\u3001\u4f7f\u7528\u3001\u4fee\u6539\u53ca\u5206\u53d1\u53d7\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c1\u7248\uff08&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\uff09\u7684\u5982\u4e0b\u6761\u6b3e\u7684\u7ea6\u675f\uff1a</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n				<var class=\"replaceable-license-text\"> 0.</var> \u5b9a\u4e49\n				<p>&quot;\u8f6f\u4ef6&quot;\u662f\u6307\u7531&quot;\u8d21\u732e&quot;\u6784\u6210\u7684\u8bb8\u53ef\u5728&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u4e0b\u7684\u7a0b\u5e8f\u548c\u76f8\u5173\u6587\u6863\u7684\u96c6\u5408\u3002</p>\n\n				<p>&quot;\u8d21\u732e\u8005&quot;\u662f\u6307\u5c06\u53d7\u7248\u6743\u6cd5\u4fdd\u62a4\u7684\u4f5c\u54c1\u8bb8\u53ef\u5728&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u4e0b\u7684\u81ea\u7136\u4eba\u6216&quot;\u6cd5\u4eba\u5b9e\u4f53&quot;\u3002</p>\n\n				<p>&quot;\u6cd5\u4eba\u5b9e\u4f53&quot;\u662f\u6307\u63d0\u4ea4\u8d21\u732e\u7684\u673a\u6784\u53ca\u5176&quot;\u5173\u8054\u5b9e\u4f53&quot;\u3002</p>\n\n				<p>&quot;\u5173\u8054\u5b9e\u4f53&quot;\u662f\u6307\uff0c\u5bf9&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u4e0b\u7684\u4e00\u65b9\u800c\u8a00\uff0c\u63a7\u5236\u3001\u53d7\u63a7\u5236\u6216\u4e0e\u5176\u5171\u540c\u53d7\u63a7\u5236\u7684\u673a\u6784\uff0c\u6b64\u5904\u7684\u63a7\u5236\u662f\u6307\u6709\u53d7\u63a7\u65b9\u6216\u5171\u540c\u53d7\u63a7\u65b9\u81f3\u5c1150%\u76f4\u63a5\u6216\u95f4\u63a5\u7684\u6295\u7968\u6743\u3001\u8d44\u91d1\u6216\u5176\u4ed6\u6709\u4ef7\u8bc1\u5238\u3002</p>\n\n				<p>&quot;\u8d21\u732e&quot;\u662f\u6307\u7531\u4efb\u4e00&quot;\u8d21\u732e\u8005&quot;\u8bb8\u53ef\u5728&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u4e0b\u7684\u53d7\u7248\u6743\u6cd5\u4fdd\u62a4\u7684\u4f5c\u54c1\u3002</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 1.</var> \u6388\u4e88\u7248\u6743\u8bb8\u53ef\n				<p>\u6bcf\u4e2a&quot;\u8d21\u732e\u8005&quot;\u6839\u636e&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u6388\u4e88\u60a8\u6c38\u4e45\u6027\u7684\u3001\u5168\u7403\u6027\u7684\u3001\u514d\u8d39\u7684\u3001\u975e\u72ec\u5360\u7684\u3001\u4e0d\u53ef\u64a4\u9500\u7684\u7248\u6743\u8bb8\u53ef\uff0c\u60a8\u53ef\u4ee5\u590d\u5236\u3001\u4f7f\u7528\u3001\u4fee\u6539\u3001\u5206\u53d1\u5176&quot;\u8d21\u732e&quot;\uff0c\u4e0d\u8bba\u4fee\u6539\u4e0e\u5426\u3002</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 2.</var> \u6388\u4e88\u4e13\u5229\u8bb8\u53ef\n\n				<p>\u6bcf\u4e2a&quot;\u8d21\u732e\u8005&quot;\u6839\u636e&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u6388\u4e88\u60a8\u6c38\u4e45\u6027\u7684\u3001\u5168\u7403\u6027\u7684\u3001\u514d\u8d39\u7684\u3001\u975e\u72ec\u5360\u7684\u3001\u4e0d\u53ef\u64a4\u9500\u7684\uff08\u6839\u636e\u672c\u6761\u89c4\u5b9a\u64a4\u9500\u9664\u5916\uff09\u4e13\u5229\u8bb8\u53ef\uff0c\u4f9b\u60a8\u5236\u9020\u3001\u59d4\u6258\u5236\u9020\u3001\u4f7f\u7528\u3001\u8bb8\u8bfa\u9500\u552e\u3001\u9500\u552e\u3001\u8fdb\u53e3\u5176&quot;\u8d21\u732e&quot;\u6216\u4ee5\u5176\u4ed6\u65b9\u5f0f\u8f6c\u79fb\u5176&quot;\u8d21\u732e&quot;\u3002\u524d\u8ff0\u4e13\u5229\u8bb8\u53ef\u4ec5\u9650\u4e8e&quot;\u8d21\u732e\u8005&quot;\u73b0\u5728\u6216\u5c06\u6765\u62e5\u6709\u6216\u63a7\u5236\u7684\u5176&quot;\u8d21\u732e&quot;\u672c\u8eab\u6216\u5176&quot;\u8d21\u732e&quot;\u4e0e\u8bb8\u53ef&quot;\u8d21\u732e&quot;\u65f6\u7684&quot;\u8f6f\u4ef6&quot;\u7ed3\u5408\u800c\u5c06\u5fc5\u7136\u4f1a\u4fb5\u72af\u7684\u4e13\u5229\u6743\u5229\u8981\u6c42\uff0c\u4e0d\u5305\u62ec\u4ec5\u56e0\u60a8\u6216\u4ed6\u4eba\u4fee\u6539&quot;\u8d21\u732e&quot;\u6216\u5176\u4ed6\u7ed3\u5408\u800c\u5c06\u5fc5\u7136\u4f1a\u4fb5\u72af\u5230\u7684\u4e13\u5229\u6743\u5229\u8981\u6c42\u3002\u5982\u60a8\u6216\u60a8\u7684&quot;\u5173\u8054\u5b9e\u4f53&quot;\u76f4\u63a5\u6216\u95f4\u63a5\u5730\uff08\u5305\u62ec\u901a\u8fc7\u4ee3\u7406\u3001\u4e13\u5229\u88ab\u8bb8\u53ef\u4eba\u6216\u53d7\u8ba9\u4eba\uff09\uff0c\u5c31&quot;\u8f6f\u4ef6&quot;\u6216\u5176\u4e2d\u7684&quot;\u8d21\u732e&quot;\u5bf9\u4efb\u4f55\u4eba\u53d1\u8d77\u4e13\u5229\u4fb5\u6743\u8bc9\u8bbc\uff08\u5305\u62ec\u53cd\u8bc9\u6216\u4ea4\u53c9\u8bc9\u8bbc\uff09\u6216\u5176\u4ed6\u4e13\u5229\u7ef4\u6743\u884c\u52a8\uff0c\u6307\u63a7\u5176\u4fb5\u72af\u4e13\u5229\u6743\uff0c\u5219&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u6388\u4e88\u60a8\u5bf9&quot;\u8f6f\u4ef6&quot;\u7684\u4e13\u5229\u8bb8\u53ef\u81ea\u60a8\u63d0\u8d77\u8bc9\u8bbc\u6216\u53d1\u8d77\u7ef4\u6743\u884c\u52a8\u4e4b\u65e5\u7ec8\u6b62\u3002</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 3.</var> \u65e0\u5546\u6807\u8bb8\u53ef\n\n				<p>&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u4e0d\u63d0\u4f9b\u5bf9&quot;\u8d21\u732e\u8005&quot;\u7684\u5546\u54c1\u540d\u79f0\u3001\u5546\u6807\u3001\u670d\u52a1\u6807\u5fd7\u6216\u4ea7\u54c1\u540d\u79f0\u7684\u5546\u6807\u8bb8\u53ef\uff0c\u4f46\u60a8\u4e3a\u6ee1\u8db3\u7b2c4\u6761\u89c4\u5b9a\u7684\u58f0\u660e\u4e49\u52a1\u800c\u5fc5\u987b\u4f7f\u7528\u9664\u5916\u3002</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 4.</var> \u5206\u53d1\u9650\u5236\n\n				<p>\u60a8\u53ef\u4ee5\u5728\u4efb\u4f55\u5a92\u4ecb\u4e2d\u5c06&quot;\u8f6f\u4ef6&quot;\u4ee5\u6e90\u7a0b\u5e8f\u5f62\u5f0f\u6216\u53ef\u6267\u884c\u5f62\u5f0f\u91cd\u65b0\u5206\u53d1\uff0c\u4e0d\u8bba\u4fee\u6539\u4e0e\u5426\uff0c\u4f46\u60a8\u5fc5\u987b\u5411\u63a5\u6536\u8005\u63d0\u4f9b&quot;\u672c\u8bb8\u53ef\u8bc1&quot;\u7684\u526f\u672c\uff0c\u5e76\u4fdd\u7559&quot;\u8f6f\u4ef6&quot;\u4e2d\u7684\u7248\u6743\u3001\u5546\u6807\u3001\u4e13\u5229\u53ca\u514d\u8d23\u58f0\u660e\u3002</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 5.</var> \u514d\u8d23\u58f0\u660e\u4e0e\u8d23\u4efb\u9650\u5236\n\n				<p>&quot;\u8f6f\u4ef6&quot;\u53ca\u5176\u4e2d\u7684&quot;\u8d21\u732e&quot;\u5728\u63d0\u4f9b\u65f6\u4e0d\u5e26\u4efb\u4f55\u660e\u793a\u6216\u9ed8\u793a\u7684\u62c5\u4fdd\u3002\u5728\u4efb\u4f55\u60c5\u51b5\u4e0b\uff0c&quot;\u8d21\u732e\u8005&quot;\u6216\u7248\u6743\u6240\u6709\u8005\u4e0d\u5bf9\u4efb\u4f55\u4eba\u56e0\u4f7f\u7528&quot;\u8f6f\u4ef6&quot;\u6216\u5176\u4e2d\u7684&quot;\u8d21\u732e&quot;\u800c\u5f15\u53d1\u7684\u4efb\u4f55\u76f4\u63a5\u6216\u95f4\u63a5\u635f\u5931\u627f\u62c5\u8d23\u4efb\uff0c\u4e0d\u8bba\u56e0\u4f55\u79cd\u539f\u56e0\u5bfc\u81f4\u6216\u8005\u57fa\u4e8e\u4f55\u79cd\u6cd5\u5f8b\u7406\u8bba,\u5373\u4f7f\u5176\u66fe\u88ab\u5efa\u8bae\u6709\u6b64\u79cd\u635f\u5931\u7684\u53ef\u80fd\u6027\u3002</p>\n\n			</li>\n		\n</ul>\n\n		<p>\u6761\u6b3e\u7ed3\u675f</p>\n\n		<p>\u5982\u4f55\u5c06\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c1\u7248\uff0c\u5e94\u7528\u5230\u60a8\u7684\u8f6f\u4ef6</p>\n\n		<p>\u5982\u679c\u60a8\u5e0c\u671b\u5c06\u6728\u5170\u5bbd\u677e\u8bb8\u53ef\u8bc1\uff0c\u7b2c1\u7248\uff0c\u5e94\u7528\u5230\u60a8\u7684\u65b0\u8f6f\u4ef6\uff0c\u4e3a\u4e86\u65b9\u4fbf\u63a5\u6536\u8005\u67e5\u9605\uff0c\u5efa\u8bae\u60a8\u5b8c\u6210\u5982\u4e0b\u4e09\u6b65\uff1a</p>\n\n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 1\uff0c</var> \u8bf7\u60a8\u8865\u5145\u5982\u4e0b\u58f0\u660e\u4e2d\u7684\u7a7a\u767d\uff0c\u5305\u62ec\u8f6f\u4ef6\u540d\u3001\u8f6f\u4ef6\u7684\u9996\u6b21\u53d1\u8868\u5e74\u4efd\u4ee5\u53ca\u60a8\u4f5c\u4e3a\u7248\u6743\u4eba\u7684\u540d\u5b57\uff1b</li>\n\n<li><var class=\"replaceable-license-text\"> 2\uff0c</var> \u8bf7\u60a8\u5728\u8f6f\u4ef6\u5305\u7684\u4e00\u7ea7\u76ee\u5f55\u4e0b\u521b\u5efa\u4ee5&quot;LICENSE&quot;\u4e3a\u540d\u7684\u6587\u4ef6\uff0c\u5c06\u6574\u4e2a\u8bb8\u53ef\u8bc1\u6587\u672c\u653e\u5165\u8be5\u6587\u4ef6\u4e2d\uff1b</li>\n\n<li><var class=\"replaceable-license-text\"> 3\uff0c</var> \u8bf7\u5c06\u5982\u4e0b\u58f0\u660e\u6587\u672c\u653e\u5165\u6bcf\u4e2a\u6e90\u6587\u4ef6\u7684\u5934\u90e8\u6ce8\u91ca\u4e2d\u3002</li>\n		\n</ul>\n\n		<p>Copyright (c) [2019] [name of copyright holder]</p>\n\n		<p>[Software Name] is licensed under the Mulan PSL v1.</p>\n\n		<p>You can use this software according to the terms and conditions of the Mulan PSL v1.</p>\n\n		<p>You may obtain a copy of Mulan PSL v1 at:</p>\n\n			<p>http://license.coscl.org.cn/MulanPSL</p>\n\n		<p>THIS SOFTWARE IS PROVIDED ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.</p>\n\n		<p>See the Mulan PSL v1 for more details.</p>\n\n		<div class=\"optional-license-text\"> <p>Mulan Permissive Software License\uff0cVersion 1</p>\n</div>\n\n		<div class=\"optional-license-text\"> <p>Mulan Permissive Software License\uff0cVersion 1 (Mulan PSL v1)</p>\n\n		<p>August 2019 http://license.coscl.org.cn/MulanPSL</p>\n</div>\n\n		<p>Your reproduction, use, modification and distribution of the Software shall be subject to Mulan PSL v1 (this License) with following terms and conditions:</p>\n\n<ul style=\"list-style:none\">\n\n<li>\n				<var class=\"replaceable-license-text\"> 0.</var> Definition\n\n				<p>Software means the program and related documents which are comprised of those Contribution and licensed under this License.</p>\n\n				<p>Contributor means the Individual or Legal Entity who licenses its copyrightable work under this License.</p>\n\n				<p>Legal Entity means the entity making a Contribution and all its Affiliates.</p>\n\n				<p>Affiliates means entities that control, or are controlled by, or are under common control with a party to this License, &apos;control&apos; means direct or indirect ownership of at least fifty percent (50%) of the voting power, capital or other securities of controlled or commonly controlled entity.</p>\n\n				<p>Contribution means the copyrightable work licensed by a particular Contributor under this License.</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 1.</var> Grant of Copyright License\n\n				<p>Subject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable copyright license to reproduce, use, modify, or distribute its Contribution, with modification or not.</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 2.</var> Grant of Patent License\n\n				<p>Subject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable (except for revocation under this Section) patent license to make, have made, use, offer for sale, sell, import or otherwise transfer its Contribution where such patent license is only limited to the patent claims owned or controlled by such Contributor now or in future which will be necessarily infringed by its Contribution alone, or by combination of the Contribution with the Software to which the Contribution was contributed, excluding of any patent claims solely be infringed by your or others&apos; modification or other combinations. If you or your Affiliates directly or indirectly (including through an agent, patent licensee or assignee\uff09, institute patent litigation (including a cross claim or counterclaim in a litigation) or other patent enforcement activities against any individual or entity by alleging that the Software or any Contribution in it infringes patents, then any patent license granted to you under this License for the Software shall terminate as of the date such litigation or activity is filed or taken.</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 3.</var> No Trademark License\n\n				<p>No trademark license is granted to use the trade names, trademarks, service marks, or product names of Contributor, except as required to fulfill notice requirements in section 4.</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 4.</var> Distribution Restriction\n\n				<p>You may distribute the Software in any medium with or without modification, whether in source or executable forms, provided that you provide recipients with a copy of this License and retain copyright, patent, trademark and disclaimer statements in the Software.</p>\n\n			</li>\n\n<li>\n				<var class=\"replaceable-license-text\"> 5.</var> Disclaimer of Warranty and Limitation of Liability\n\n				<p>The Software and Contribution in it are provided without warranties of any kind, either express or implied. In no event shall any Contributor or copyright holder be liable to you for any damages,including, but not limited to any direct, or indirect, special or consequential damages arising from your use or inability to use the Software or the Contribution in it, no matter how it&apos;s caused or based on which legal theory, even if advised of the possibility of such damages.</p>\n\n			</li>\n		\n</ul>\n\n		<p>End of the Terms and Conditions</p>\n\n		<p>How to apply the Mulan Permissive Software License\uff0cVersion 1 (Mulan PSL v1) to your software</p>\n\n		<p>To apply the Mulan PSL v1 to your work, for easy identification by recipients, you are suggested to complete following three steps:</p>\n\n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> i.</var> Fill in the blanks in following statement, including insert your software name, the year of the first publication of your software, and your name identified as the copyright owner;</li>\n			\n<li><var class=\"replaceable-license-text\"> ii.</var> Create a file named &quot;LICENSE&quot; which contains the whole context of this License in the first directory of your software package;</li>\n			\n<li><var class=\"replaceable-license-text\"> iii.</var> Attach the statement to the appropriate annotated syntax at the beginning of each source file.</li>\n		\n</ul>\n\n		<p>Copyright (c) [2019] [name of copyright holder]</p>\n\n		<p>[Software Name] is licensed under the Mulan PSL v1.</p>\n\n		<p>You can use this software according to the terms and conditions of the Mulan PSL v1.</p>\n\n		<p>You may obtain a copy of Mulan PSL v1 at:</p>\n\n			<p>http://license.coscl.org.cn/MulanPSL</p>\n\n		<p>THIS SOFTWARE IS PROVIDED ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.</p>\n\n		<p>See the Mulan PSL v1 for more details.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n		<p>Copyright (c) [2019] [name of copyright holder]</p>\n\n		<p>[Software Name] is licensed under the Mulan PSL v1.</p>\n\n		<p>You can use this software according to the terms and conditions of the Mulan PSL v1.</p>\n\n		<p>You may obtain a copy of Mulan PSL v1 at:</p>\n\n			<p>http://license.coscl.org.cn/MulanPSL</p>\n\n		<p>THIS SOFTWARE IS PROVIDED ON AN &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.</p>\n\n		<p>See the Mulan PSL v1 for more details.</p>\n\n	   "
		self.python_name = "MulanPSL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD4Clause:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Copyright (c) <year> <owner>. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. All advertising materials mentioning features or use of this software must display the following acknowledgement:\nThis product includes software developed by the organization.\n\n4. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY COPYRIGHT HOLDER \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) <year> <owner>. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> All advertising materials mentioning features or use of this software must display the following acknowledgement:\n\n   This product includes software developed by <<var;name=\"organizationClause3\";original=\"the organization\";match=\".+\">> .\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> <<var;name=\"organizationClause4\";original=\"Neither the name of the copyright holder nor the names the copyright holder nor the names of its contributors may\";match=\"(The name of.+may not)|(Neither the name of.+nor the names of its contributors may)\">> be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY <<var;name=\"copyrightHolderAsIs\";original=\"COPYRIGHT HOLDER\";match=\".+\">> \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <<var;name=\"copyrightHolderLiability\";original=\"COPYRIGHT HOLDER\";match=\".+\">> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD 4-Clause \"Original\" or \"Old\" License"
		self.licenseComments = "This license was rescinded by the author on 22 July 1999."
		self.licenseId = "BSD-4-Clause"
		self.crossRef = [{"match": "False", "url": "http://directory.fsf.org/wiki/License:BSD_4Clause", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:44Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://directory.fsf.org/wiki/License:BSD_4Clause"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) &lt;year&gt; &lt;owner&gt;. All rights reserved. \n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  All advertising materials mentioning features or use of this software must display the following\n			 acknowledgement:\n			<br />\n\n   This product includes software developed by\n			<var class=\"replaceable-license-text\"> the organization</var>.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		 <var class=\"replaceable-license-text\"> \n				 Neither the name of the copyright holder nor the names the copyright holder nor the names of its\n		   contributors may</var> be used to endorse or promote products derived from this software without\n			specific prior written permission.\n\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY\n		<var class=\"replaceable-license-text\"> COPYRIGHT HOLDER</var> &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED\n		WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n		PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL\n		<var class=\"replaceable-license-text\"> COPYRIGHT HOLDER</var> BE LIABLE FOR ANY DIRECT,\n		INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,\n		PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n		HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\n		POSSIBILITY OF SUCH DAMAGE.\n	  </p>\n\n	"
		self.python_name = "BSD4Clause"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD3Clauseflex:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Flex carries the copyright used for BSD software, slightly modified\nbecause it originated at the Lawrence Berkeley (not Livermore!) Laboratory,\nwhich operates under a contract with the Department of Energy:\n\nCopyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007 The Flex Project.\n\nCopyright (c) 1990, 1997 The Regents of the University of California.\nAll rights reserved.\n\nThis code is derived from software contributed to Berkeley by\nVern Paxson.\n\nThe United States Government has rights in this work pursuant\nto contract no. DE-AC03-76SF00098 between the United States\nDepartment of Energy and the University of California.\n\nRedistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions\nare met:\n\n1. Redistributions of source code must retain the above copyright\n   notice, this list of conditions and the following disclaimer.\n2. Redistributions in binary form must reproduce the above copyright\n   notice, this list of conditions and the following disclaimer in the\n   documentation and/or other materials provided with the distribution.\n\nNeither the name of the University nor the names of its contributors\nmay be used to endorse or promote products derived from this software\nwithout specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR\nIMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED\nWARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\nPURPOSE.\n\nThis basically says \"do whatever you please with this software except\nremove this notice or take advantage of the University's (or the flex\nauthors') name\".\n\nNote that the \"flex.skl\" scanner skeleton carries no copyright notice.\nYou are free to do whatever you please with scanners generated using flex;\nfor them, you are not even bound by the above copyright.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Flex carries the copyright used for BSD software, slightly modified because it originated at the Lawrence Berkeley (not Livermore!) Laboratory, which operates under a contract with the Department of Energy:<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007 The Flex Project.  Copyright (c) 1990, 1997 The Regents of the University of California.  All rights reserved.\";match=\".{0,5000}\">>\n\nThis code is derived from software contributed to Berkeley by Vern Paxson.\n\nThe United States Government has rights in this work pursuant to contract no. DE-AC03-76SF00098 between the United States Department of Energy and the University of California.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nNeither the name of the University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\nThis basically says \"do whatever you please with this software except remove this notice or take advantage of the University's (or the flex authors') name\".\n\nNote that the \"flex.skl\" scanner skeleton carries no copyright notice. You are free to do whatever you please with scanners generated using flex; for them, you are not even bound by the above copyright.\n\n"
		self.name = "BSD 3-Clause Flex variant"
		self.licenseId = "BSD-3-Clause-flex"
		self.crossRef = [{"match": "False", "url": "https://github.com/westes/flex/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:12Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/westes/flex/blob/master/COPYING"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"optional-license-text\"> \n			Flex carries the copyright used for BSD software,\n			slightly modified because it originated at the Lawrence\n			Berkeley (not Livermore!) Laboratory, which operates\n			under a contract with the Department of Energy:\n		 </var>\n		 <var class=\"replaceable-license-text\"> \n			Copyright (c) 2001, 2002, 2003, 2004,\n			2005, 2006, 2007 The Flex Project.<br />\n\n			Copyright (c) 1990, 1997 The Regents of\n			the University of California.<br />\n\n			All rights reserved.\n		 </var>\n		 <p>\n			This code is derived from software\n			contributed to Berkeley by Vern Paxson.\n		 </p>\n\n		 <p>\n			The United States Government has rights in this work pursuant\n			to contract no. DE-AC03-76SF00098 between the United States\n			Department of Energy and the University of California.\n		 </p>\n\n		 <p>\n			Redistribution and use in source and binary\n			forms, with or without modification, are permitted\n			provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   Redistributions of source code must retain the above copyright\n			   notice, this list of conditions and the following disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Redistributions in binary form must reproduce the\n			   above copyright notice, this list of conditions and\n			   the following disclaimer in the documentation and/or\n			   other materials provided with the distribution.\n			</li>\n		 \n</ul>\n		 <p>\n			Neither the name of the University nor the names of its\n			contributors may be used to endorse or promote products derived\n			from this software without specific prior written permission.\n		 </p>\n\n		 <p>\n			THIS SOFTWARE IS PROVIDED ``AS IS&apos;&apos; AND WITHOUT ANY EXPRESS OR\n			IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED\n			WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n		 </p>\n\n		 <p>\n			This basically says &quot;do whatever you please with this\n			software except remove this notice or take advantage\n			of the University&apos;s (or the flex authors&apos;) name&quot;.\n		 </p>\n\n		 <p>\n			Note that the &quot;flex.skl&quot; scanner skeleton carries\n			no copyright notice. You are free to do whatever\n			you please with scanners generated using flex; for\n			them, you are not even bound by the above copyright.\n		 </p>\n\n	  "
		self.python_name = "BSD3Clauseflex"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP26:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The OpenLDAP Public License\nVersion 2.6, 14 June 2001\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain copyright statements and notices.\n\n2. Redistributions in binary form must reproduce applicable copyright statements and notices, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. Redistributions must contain a verbatim copy of this document.\n\n4. The names and trademarks of the authors and copyright holders must not be used in advertising or otherwise to promote the sale, use or other dealing in this Software without specific, written prior permission.\n\n5. The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION, ITS CONTRIBUTORS, OR THE AUTHOR(S) OR OWNER(S) OF THE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2001 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved. Permission to copy and distributed verbatim copies of this document is granted.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 2.6, 14 June 2001\n\n<<endOptional>>\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain copyright statements and notices.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce applicable copyright statements and notices, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions must contain a verbatim copy of this document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> The names and trademarks of the authors and copyright holders must not be used in advertising or otherwise to promote the sale, use or other dealing in this Software without specific, written prior permission.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use the Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION, ITS CONTRIBUTORS, OR THE AUTHOR(S) OR OWNER(S) OF THE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\n<<var;name=\"copyright\";original=\"Copyright 1999-2001 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.\";match=\".{0,5000}\">> Permission to copy and distributed verbatim copies of this document is granted.\n\n"
		self.name = "Open LDAP Public License v2.6"
		self.licenseComments = "This license was released 14 June 2001."
		self.licenseId = "OLDAP-2.6"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=1cae062821881f41b73012ba816434897abf4205", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:57Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=1cae062821881f41b73012ba816434897abf4205"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 2.6, 14 June 2001\n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use of this software and associated documentation (&quot;Software&quot;), with or without\n		 modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain copyright statements and notices.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce applicable copyright statements and notices, this\n			 list of conditions, and the following disclaimer in the documentation and/or other materials\n			 provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Redistributions must contain a verbatim copy of this document.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  The names and trademarks of the authors and copyright holders must not be used in advertising or\n			 otherwise to promote the sale, use or other dealing in this Software without specific, written\n			 prior permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished\n			 by a version number. You may use the Software under terms of this license revision or under\n			 the terms of any subsequent revision of the license.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESSED OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION, ITS\n		 CONTRIBUTORS, OR THE AUTHOR(S) OR OWNER(S) OF THE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT,\n		 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\n		 OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\n		 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\n		 POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>OpenLDAP is a trademark of the OpenLDAP Foundation.</p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> Copyright 1999-2001 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.</var>\n		Permission to copy and distributed verbatim copies of this document is granted.\n	  </p>\n\n	"
		self.python_name = "OLDAP26"

	def __str__(self):
		return json.dumps(self.__dict__)


class UnicodeDFS2016:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "UNICODE, INC. LICENSE AGREEMENT - DATA FILES AND SOFTWARE\n\nUnicode Data Files include all data files under the directories http://www.unicode.org/Public/, http://www.unicode.org/reports/, http://www.unicode.org/cldr/data/, http://source.icu-project.org/repos/icu/, and http://www.unicode.org/utility/trac/browser/.\n\nUnicode Data Files do not include PDF online code charts under the directory http://www.unicode.org/Public/.\n\nSoftware includes any source code published in the Unicode Standard or under the directories http://www.unicode.org/Public/, http://www.unicode.org/reports/, http://www.unicode.org/cldr/data/, http://source.icu-project.org/repos/icu/, and http://www.unicode.org/utility/trac/browser/.\n\nNOTICE TO USER: Carefully read the following legal agreement. BY DOWNLOADING, INSTALLING, COPYING OR OTHERWISE USING UNICODE INC.'S DATA FILES (\"DATA FILES\"), AND/OR SOFTWARE (\"SOFTWARE\"), YOU UNEQUIVOCALLY ACCEPT, AND AGREE TO BE BOUND BY, ALL OF THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE, DO NOT DOWNLOAD, INSTALL, COPY, DISTRIBUTE OR USE THE DATA FILES OR SOFTWARE.\n\nCOPYRIGHT AND PERMISSION NOTICE\n\nCopyright \u00a9 1991-2016 Unicode, Inc. All rights reserved. Distributed under the Terms of Use in http://www.unicode.org/copyright.html.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Unicode data files and any associated documentation (the \"Data Files\") or Unicode software and any associated documentation (the \"Software\") to deal in the Data Files or Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Data Files or Software, and to permit persons to whom the Data Files or Software are furnished to do so, provided that either\n\n	 (a) this copyright and permission notice appear with all copies of the Data Files or Software, or\n	 (b) this copyright and permission notice appear in associated Documentation.\n\nTHE DATA FILES AND SOFTWARE ARE PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA FILES OR SOFTWARE.\n\nExcept as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other dealings in these Data Files or Software without prior written authorization of the copyright holder.\n"
		self.standardLicenseTemplate = "<<beginOptional>>UNICODE, INC. LICENSE AGREEMENT - DATA FILES AND SOFTWARE\n\n<<endOptional>><<beginOptional>> See Terms of Use for definitions of Unicode Inc.'s Data Files and Software.<<endOptional>><<beginOptional>> Unicode Data Files include all data files under the directories http://www.unicode.org/Public/, http://www.unicode.org/reports/, http://www.unicode.org/cldr/data/, http://source.icu-project.org/repos/icu/,<<beginOptional>> http://www.unicode.org/ivd/data/,<<endOptional>> and http://www.unicode.org/utility/trac/browser/.\n\nUnicode Data Files do not include PDF online code charts under the directory http://www.unicode.org/Public/.\n\nSoftware includes any source code published in the Unicode Standard or under the directories http://www.unicode.org/Public/, http://www.unicode.org/reports/, http://www.unicode.org/cldr/data/, http://source.icu-project.org/repos/icu/, and http://www.unicode.org/utility/trac/browser/.\n\n<<endOptional>>\n\nNOTICE TO USER: Carefully read the following legal agreement. BY DOWNLOADING, INSTALLING, COPYING OR OTHERWISE USING UNICODE INC.'S DATA FILES (\"DATA FILES\"), AND/OR SOFTWARE (\"SOFTWARE\"), YOU UNEQUIVOCALLY ACCEPT, AND AGREE TO BE BOUND BY, ALL OF THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE, DO NOT DOWNLOAD, INSTALL, COPY, DISTRIBUTE OR USE THE DATA FILES OR SOFTWARE.\n\nCOPYRIGHT AND PERMISSION NOTICE\n\n<<var;name=\"copyright\";original=\"Copyright \u00a9 1991-2016 Unicode, Inc. All rights reserved. Distributed under the Terms of Use in http://www.unicode.org/copyright.html.  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Unicode data files and any associated documentation (the \"Data Files\") or Unicode software and any associated documentation (the \"Software\") to deal in the Data Files or Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Data Files or Software, and to permit persons to whom the Data Files or Software are furnished to do so, provided that either\n\n   <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> this copyright and permission notice appear with all copies of the Data Files or Software, or\n\n   <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> this copyright and permission notice appear in associated Documentation.\n\nTHE DATA FILES AND SOFTWARE ARE PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA FILES OR SOFTWARE.\n\nExcept as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other dealings in these Data Files or Software without prior written authorization of the copyright holder.\n\n"
		self.name = "Unicode License Agreement - Data Files and Software (2016)"
		self.licenseId = "Unicode-DFS-2016"
		self.crossRef = [{"match": "False", "url": "http://www.unicode.org/copyright.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:39Z", "isWayBackLink": False, "order": 2}, {"match": "N/A", "url": "http://web.archive.org/web/20160823201924/http://www.unicode.org/copyright.html#License", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:10:39Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.unicode.org/license.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:39Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.unicode.org/license.txt", "http://web.archive.org/web/20160823201924/http://www.unicode.org/copyright.html#License", "http://www.unicode.org/copyright.html"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> \n				<p>UNICODE, INC. LICENSE AGREEMENT - DATA FILES AND SOFTWARE</p>\n\n			</div>\n			<var class=\"optional-license-text\"> See Terms of Use for definitions of Unicode Inc.&apos;s\n				Data Files and Software.</var>\n			<div class=\"optional-license-text\"> <p>Unicode Data Files include all data files under the directories\n		 http://www.unicode.org/Public/,\n		 http://www.unicode.org/reports/,\n		 http://www.unicode.org/cldr/data/,\n		 http://source.icu-project.org/repos/icu/,\n				<var class=\"optional-license-text\"> http://www.unicode.org/ivd/data/,</var> and\n		 http://www.unicode.org/utility/trac/browser/.\n			</p>\n\n			<p>Unicode Data Files do not include PDF online code charts under\n		 the directory http://www.unicode.org/Public/.</p>\n\n			<p>Software includes any source code published in the Unicode\n		 Standard or under the directories\n		 http://www.unicode.org/Public/,\n		 http://www.unicode.org/reports/,\n		 http://www.unicode.org/cldr/data/,\n		 http://source.icu-project.org/repos/icu/, and\n				http://www.unicode.org/utility/trac/browser/.</p>\n</div>\n			<p>NOTICE TO USER: Carefully read the following legal agreement. BY\n		 DOWNLOADING, INSTALLING, COPYING OR OTHERWISE USING UNICODE\n		 INC.&apos;S DATA FILES (&quot;DATA FILES&quot;), AND/OR SOFTWARE\n		 (&quot;SOFTWARE&quot;), YOU UNEQUIVOCALLY ACCEPT, AND AGREE TO BE BOUND\n		 BY, ALL OF THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU\n		 DO NOT AGREE, DO NOT DOWNLOAD, INSTALL, COPY, DISTRIBUTE OR\n		 USE THE DATA FILES OR SOFTWARE.</p>\n\n			<p>COPYRIGHT AND PERMISSION NOTICE</p>\n\n			<div class=\"replaceable-license-text\"> \n				<p>Copyright \u00a9 1991-2016 Unicode, Inc. All rights reserved.\n		 Distributed under the Terms of Use in\n		 http://www.unicode.org/copyright.html.</p>\n\n			</div>\n			<p>Permission is hereby granted, free of charge, to any person\n		 obtaining a copy of the Unicode data files and any associated\n		 documentation (the &quot;Data Files&quot;) or Unicode software and any\n		 associated documentation (the &quot;Software&quot;) to deal in the Data\n		 Files or Software without restriction, including without\n		 limitation the rights to use, copy, modify, merge, publish,\n		 distribute, and/or sell copies of the Data Files or Software,\n		 and to permit persons to whom the Data Files or Software are\n		 furnished to do so, provided that either</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> (a)</var>\n		  this copyright and permission notice appear with all\n			 copies of the Data Files or Software, or\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> (b)</var>\n		  this copyright and permission notice appear in associated\n			 Documentation.\n				</li>\n			\n</ul>\n			<p>THE DATA FILES AND SOFTWARE ARE PROVIDED &quot;AS IS&quot;, WITHOUT\n		 WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A\n		 PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.\n		 IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN\n		 THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT\n		 OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING\n		 FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF\n		 CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\n		 OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA FILES\n		 OR SOFTWARE.</p>\n\n			<p>Except as contained in this notice, the name of a copyright\n		 holder shall not be used in advertising or otherwise to\n		 promote the sale, use or other dealings in these Data Files or\n		 Software without prior written authorization of the copyright\n		 holder.</p>\n\n		"
		self.python_name = "UnicodeDFS2016"

	def __str__(self):
		return json.dumps(self.__dict__)


class MITModernVariant:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Permission is hereby granted, without written agreement and without\nlicense or royalty fees, to use, copy, modify, and distribute this\nsoftware and its documentation for any purpose, provided that the\nabove copyright notice and the following two paragraphs appear in\nall copies of this software.\n\nIN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE TO ANY PARTY FOR\nDIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES\nARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN\nIF THE COPYRIGHT HOLDER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH\nDAMAGE.\n\nTHE COPYRIGHT HOLDER SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\nFITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS\nON AN \"AS IS\" BASIS, AND THE COPYRIGHT HOLDER HAS NO OBLIGATION TO\nPROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright \u00a9 1990-2021 The Regents of the University of California. All rights reserved.  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, without written agreement and without license or royalty fees, to use, copy, modify, and distribute this software and its documentation for any purpose, provided that the above copyright notice and the following two paragraphs appear in all copies of this software.\n\nIN NO EVENT SHALL <<var;name=\"copyrightHolder0\";original=\"THE UNIVERSITY OF CALIFORNIA\";match=\".+\">> BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF <<var;name=\"copyrightHolder1\";original=\"THE UNIVERSITY OF CALIFORNIA\";match=\".+\">> HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n<<var;name=\"copyrightHolder2\";original=\"THE UNIVERSITY OF CALIFORNIA\";match=\".+\">> SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS ON AN \"AS IS\" BASIS, AND <<var;name=\"copyrightHolder3\";original=\"THE UNIVERSITY OF CALIFORNIA\";match=\".+\">> HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.\n\n"
		self.name = "MIT License Modern Variant"
		self.licenseComments = "This license is labeled as \"Modern Variant\" based on its corresponding listing on the Fedora licensing wiki page."
		self.licenseId = "MIT-Modern-Variant"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing:MIT#Modern_Variants", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:58Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://pirlwww.lpl.arizona.edu/resources/guide/software/PerlTk/Tixlic.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:59Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://ptolemy.berkeley.edu/copyright.htm", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:00Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing:MIT#Modern_Variants", "https://ptolemy.berkeley.edu/copyright.htm", "https://pirlwww.lpl.arizona.edu/resources/guide/software/PerlTk/Tixlic.html"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n		<div class=\"replaceable-license-text\"> \n			<p>Copyright \u00a9 1990-2021 The Regents of the University of California. All rights reserved.</p>\n\n		</div>\n\n		<p>\n			Permission is hereby granted, without written agreement and without license or royalty fees, to use, \n			copy, modify, and distribute this software and its documentation for any purpose, provided that the\n			above copyright notice and the following two paragraphs appear in all copies of this software.\n		</p>\n\n		<p>\n			IN NO EVENT SHALL <var class=\"replaceable-license-text\"> THE UNIVERSITY OF CALIFORNIA</var> BE LIABLE\n			TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE\n			USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF <var class=\"replaceable-license-text\"> THE UNIVERSITY OF CALIFORNIA</var>\n			HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		</p>\n\n		<p>\n			<var class=\"replaceable-license-text\"> THE UNIVERSITY OF CALIFORNIA</var> SPECIFICALLY DISCLAIMS ANY\n			WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n			A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS ON AN &quot;AS IS&quot; BASIS, AND\n			<var class=\"replaceable-license-text\"> THE UNIVERSITY OF CALIFORNIA</var> HAS NO OBLIGATION TO PROVIDE\n			MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.\n		</p>\n\n	"
		self.python_name = "MITModernVariant"

	def __str__(self):
		return json.dumps(self.__dict__)


class TCL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This software is copyrighted by the Regents of the University of California, Sun Microsystems, Inc., Scriptics Corporation, ActiveState Corporation and other parties. The following terms apply to all files associated with the software unless explicitly disclaimed in individual files.\n\nThe authors hereby grant permission to use, copy, modify, distribute, and license this software and its documentation for any purpose, provided that existing copyright notices are retained in all copies and that this notice is included verbatim in any distributions. No written agreement, license, or royalty fee is required for any of the authorized uses. Modifications to this software may be copyrighted by their authors and need not follow the licensing terms described here, provided that the new terms are clearly indicated on the first page of each file where they apply.\n\nIN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nTHE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. THIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.\n\nGOVERNMENT USE: If you are acquiring this software on behalf of the U.S. government, the Government shall have only \"Restricted Rights\" in the software and related documentation as defined in the Federal Acquisition Regulations (FARs) in Clause 52.227.19 (c) (2). If you are acquiring the software on behalf of the Department of Defense, the software shall be classified as \"Commercial Computer Software\" and the Government shall have only \"Restricted Rights\" as defined in Clause 252.227-7013 (c) (1) of DFARs. Notwithstanding the foregoing, the authors grant the U.S. Government and others acting in its behalf permission to use and distribute the software in accordance with the terms specified in this license.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"This software is copyrighted by the Regents of the University of California, Sun Microsystems, Inc., Scriptics Corporation, ActiveState Corporation and other parties.\";match=\".{0,5000}\">> The following terms apply to all files associated with the software unless explicitly disclaimed in individual files.\n\nThe authors hereby grant permission to use, copy, modify, distribute, and license this software and its documentation for any purpose, provided that existing copyright notices are retained in all copies and that this notice is included verbatim in any distributions. No written agreement, license, or royalty fee is required for any of the authorized uses. Modifications to this software may be copyrighted by their authors and need not follow the licensing terms described here, provided that the new terms are clearly indicated on the first page of each file where they apply.\n\nIN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nTHE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. THIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.\n\nGOVERNMENT USE: If you are acquiring this software on behalf of the U.S. government, the Government shall have only \"Restricted Rights\" in the software and related documentation as defined in the Federal Acquisition Regulations (FARs) in Clause 52.227.19 (c) (2). If you are acquiring the software on behalf of the Department of Defense, the software shall be classified as \"Commercial Computer Software\" and the Government shall have only \"Restricted Rights\" as defined in Clause 252.227-7013 (c) (1) of DFARs. Notwithstanding the foregoing, the authors grant the U.S. Government and others acting in its behalf permission to use and distribute the software in accordance with the terms specified in this license.\n\n"
		self.name = "TCL/TK License"
		self.licenseId = "TCL"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/TCL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:24Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://www.tcl.tk/software/tcltk/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:24Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.tcl.tk/software/tcltk/license.html", "https://fedoraproject.org/wiki/Licensing/TCL"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\t  <p>\n		 <var class=\"replaceable-license-text\"> \n			This software is copyrighted by the Regents of the University of California, Sun Microsystems, Inc.,\n			Scriptics Corporation, ActiveState Corporation and other parties. \n\t	 </var>  \n\t\tThe following terms apply to all\n		files associated with the software unless explicitly disclaimed in individual files. \n	  </p>\n\n	  <p>The authors hereby grant permission to use, copy, modify, distribute, and license this software and its\n		 documentation for any purpose, provided that existing copyright notices are retained in all copies and\n		 that this notice is included verbatim in any distributions. No written agreement, license, or royalty\n		 fee is required for any of the authorized uses. Modifications to this software may be copyrighted by\n		 their authors and need not follow the licensing terms described here, provided that the new terms are\n		 clearly indicated on the first page of each file where they apply.</p>\n\n	  <p>IN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL,\n		 INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR\n		 ANY DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>THE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\n		 IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. THIS\n		 SOFTWARE IS PROVIDED ON AN &quot;AS IS&quot; BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE NO OBLIGATION TO\n		 PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.</p>\n\n	  <p>GOVERNMENT USE: If you are acquiring this software on behalf of the U.S. government, the Government shall\n		 have only &quot;Restricted Rights&quot; in the software and related documentation as defined in the Federal\n		 Acquisition Regulations (FARs) in Clause 52.227.19 (c) (2). If you are acquiring the software on\n		 behalf of the Department of Defense, the software shall be classified as &quot;Commercial Computer\n		 Software&quot; and the Government shall have only &quot;Restricted Rights&quot; as defined in Clause 252.227-7013 (c)\n		 (1) of DFARs. Notwithstanding the foregoing, the authors grant the U.S. Government and others acting\n		 in its behalf permission to use and distribute the software in accordance with the terms specified in\n		 this license.</p>\n\n	"
		self.python_name = "TCL"

	def __str__(self):
		return json.dumps(self.__dict__)


class CPAL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Common Public Attribution License Version 1.0 (CPAL)\n\n1. \u201cDefinitions\u201d\n\n1.0.1 \u201cCommercial Use\u201d means distribution or otherwise making the Covered Code available to a third party.\n\n1.1 \u201cContributor\u201d means each entity that creates or contributes to the creation of Modifications.\n\n1.2 \u201cContributor Version\u201d means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n1.3 \u201cCovered Code\u201d means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n1.4 \u201cElectronic Distribution Mechanism\u201d means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n1.5 \u201cExecutable\u201d means Covered Code in any form other than Source Code.\n\n1.6 \u201cInitial Developer\u201d means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n1.7 \u201cLarger Work\u201d means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n1.8 \u201cLicense\u201d means this document.\n\n1.8.1 \u201cLicensable\u201d means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n1.9 \u201cModifications\u201d means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10 \u201cOriginal Code\u201d means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n1.10.1 \u201cPatent Claims\u201d means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n1.11 \u201cSource Code\u201d means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor\u2019s choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n1.12 \u201cYou\u201d (or \u201cYour\u201d) means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \u201cYou\u201d includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \u201ccontrol\u201d means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n2. Source Code License.\n\n2.1 The Initial Developer Grant.\nThe Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n	 (a) under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n	 (b) under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n	 (c) the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n	 (d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.\n\n2.2 Contributor Grant.\nSubject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n	 (a) under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n	 (b) under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n	 (c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n	 (d) Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n3. Distribution Obligations.\n\n3.1 Application of License.\nThe Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients\u2019 rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n3.2 Availability of Source Code.\nAny Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n3.3 Description of Modifications.\nYou must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n3.4 Intellectual Property Matters\n\n	 (a) Third Party Claims.  If Contributor has knowledge that a license under a third party\u2019s intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \u201cLEGAL\u201d which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n	 (b) Contributor APIs.  If Contributor\u2019s Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n	 (c) Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor\u2019s Modifications are Contributor\u2019s original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n3.5 Required Notices.\nYou must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients\u2019 rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n3.6 Distribution of Executable Versions.\nYou may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients\u2019 rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient\u2019s rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer, Original Developer or any Contributor. You hereby agree to indemnify the Initial Developer, Original Developer and every Contributor for any liability incurred by the Initial Developer, Original Developer or such Contributor as a result of any such terms You offer.\n\n3.7 Larger Works.\nYou may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation.\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License.\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n6. Versions of the License.\n\n6.1 New Versions.\nSocialtext, Inc. (\u201cSocialtext\u201d) may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n6.2 Effect of New Versions.\nOnce Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Socialtext. No one other than Socialtext has the right to modify the terms applicable to Covered Code created under this License.\n\n6.3 Derivative Works.\nIf You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \u201cSocialtext\u201d, \u201cCPAL\u201d or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the CPAL. (Filling in the name of the Initial Developer, Original Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n7. DISCLAIMER OF WARRANTY.\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \u201cAS IS\u201d BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER, ORIGINAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. TERMINATION.\n\n8.1 This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n8.2 If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer, Original Developer or a Contributor (the Initial Developer, Original Developer or Contributor against whom You file such action is referred to as \u201cParticipant\u201d) alleging that:\n\n	 (a) such Participant\u2019s Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n	 (b) any software, hardware, or device, other than such Participant\u2019s Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n8.3 If You assert a patent infringement claim against Participant alleging that such Participant\u2019s Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n8.4 In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n9. LIMITATION OF LIABILITY.\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ORIGINAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY\u2019S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. GOVERNMENT END USERS.\nThe Covered Code is a \u201ccommercial item,\u201d as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \u201ccommercial computer software\u201d and \u201ccommercial computer software documentation,\u201d as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n11. MISCELLANEOUS.\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys\u2019 fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n12. RESPONSIBILITY FOR CLAIMS.\nAs between Initial Developer, Original Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer, Original Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n13. MULTIPLE-LICENSED CODE.\nInitial Developer may designate portions of the Covered Code as Multiple-Licensed. Multiple-Licensed means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the CPAL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\n14. ADDITIONAL TERM: ATTRIBUTION\n\n	 (a) As a modest attribution to the organizer of the development of the Original Code (\u201cOriginal Developer\u201d), in the hope that its promotional value may help justify the time, money and effort invested in writing the Original Code, the Original Developer may include in Exhibit B (\u201cAttribution Information\u201d) a requirement that each time an Executable and Source Code or a Larger Work is launched or initially run (which includes initiating a session), a prominent display of the Original Developer\u2019s Attribution Information (as defined below) must occur on the graphic user interface employed by the end user to access such Covered Code (which may include display on a splash screen), if any. The size of the graphic image should be consistent with the size of the other elements of the Attribution Information. If the access by the end user to the Executable and Source Code does not create a graphic user interface for access to the Covered Code, this obligation shall not apply. If the Original Code displays such Attribution Information in a particular form (such as in the form of a splash screen, notice at login, an \u201cabout\u201d display, or dedicated attribution area on user interface screens), continued use of such form for that Attribution Information is one way of meeting this requirement for notice.\n\n	 (b) Attribution information may only include a copyright notice, a brief phrase, graphic image and a URL (\u201cAttribution Information\u201d) and is subject to the Attribution Limits as defined below. For these purposes, prominent shall mean display for sufficient duration to give reasonable notice to the user of the identity of the Original Developer and that if You include Attribution Information or similar information for other parties, You must ensure that the Attribution Information for the Original Developer shall be no less prominent than such Attribution Information or similar information for the other party. For greater certainty, the Original Developer may choose to specify in Exhibit B below that the above attribution requirement only applies to an Executable and Source Code resulting from the Original Code or any Modification, but not a Larger Work. The intent is to provide for reasonably modest attribution, therefore the Original Developer cannot require that You display, at any time, more than the following information as Attribution Information: (a) a copyright notice including the name of the Original Developer; (b) a word or one phrase (not exceeding 10 words); (c) one graphic image provided by the Original Developer; and (d) a URL (collectively, the \u201cAttribution Limits\u201d).\n\n	 (c) If Exhibit B does not include any Attribution Information, then there are no requirements for You to display any Attribution Information of the Original Developer.\n\n	 (d) You acknowledge that all trademarks, service marks and/or trade names contained within the Attribution Information distributed with the Covered Code are the exclusive property of their owners and may only be used with the permission of their owners, or under circumstances otherwise permitted by law or as expressly set out in this License.\n\n15. ADDITIONAL TERM: NETWORK USE.\nThe term \u201cExternal Deployment\u201d means the use, distribution, or communication of the Original Code or Modifications in any way such that the Original Code or Modifications may be used by anyone other than You, whether those works are distributed or communicated to those persons or made available as an application intended for use over a network. As an express condition for the grants of license hereunder, You must treat any External Deployment by You of the Original Code or Modifications as a distribution under section 3.1 and make Source Code available under Section 3.2.\n\nEXHIBIT A. Common Public Attribution License Version 1.0.\n\n\u201cThe contents of this file are subject to the Common Public Attribution License Version 1.0 (the \u201cLicense\u201d); you may not use this file except in compliance with the License. You may obtain a copy of the License at _____________. The License is based on the Mozilla Public License Version 1.1 but Sections 14 and 15 have been added to cover use of software over a computer network and provide for limited attribution for the Original Developer. In addition, Exhibit A has been modified to be consistent with Exhibit B.\nSoftware distributed under the License is distributed on an \u201cAS IS\u201d basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\nThe Original Code is______________________.\nThe Original Developer is not the Initial Developer and is __________. If left blank, the Original Developer is the Initial Developer.\nThe Initial Developer of the Original Code is ____________. All portions of the code written by ___________ are Copyright (c) _____. All Rights Reserved.\nContributor ______________________.\nAlternatively, the contents of this file may be used under the terms of the _____ license (the [___] License), in which case the provisions of [______] License are applicable instead of those above.\nIf you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the CPAL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the CPAL or the [___] License.\u201d\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n\nEXHIBIT B. Attribution Information\n\nAttribution Copyright Notice: _______________________\nAttribution Phrase (not exceeding 10 words): _______________________\nAttribution URL: _______________________\nGraphic Image as provided in the Covered Code, if any.\nDisplay of Attribution Information is [required/not required] in Larger Works which are defined in the CPAL as a work which combines Covered Code or portions thereof with code not governed by the terms of the CPAL.\n"
		self.standardLicenseHeaderTemplate = "\"The contents of this file are subject to the Common Public Attribution License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <<var;name=\"source\";original=\"_____________\";match=\".+\">> . The License is based on the Mozilla Public License Version 1.1 but Sections 14 and 15 have been added to cover use of software over a computer network and provide for limited attribution for the Original Developer. In addition, Exhibit A has been modified to be consistent with Exhibit B.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code <<var;name=\"code\";original=\"is______________________\";match=\".+\">> .\n\nThe Original Developer is not the Initial Developer and is <<var;name=\"originalDeveloper\";original=\"__________\";match=\".+\">> . If left blank, the Original Developer is the Initial Developer.\n\nThe Initial Developer of the Original Code is <<var;name=\"initialDeveloper\";original=\"____________\";match=\".+\">> . All portions of the code written by <<var;name=\"initialDeveloper2\";original=\"___________\";match=\".+\">> are Copyright (c) <<var;name=\"copyright\";original=\"_____\";match=\".+\">> . All Rights Reserved.\n\nContributor <<var;name=\"contributor\";original=\"______________________\";match=\".+\">> .\n\nAlternatively, the contents of this file may be used under the terms of the <<var;name=\"altLicense\";original=\"_____\";match=\".+\">> license (the <<var;name=\"altLicenseShort1\";original=\"[___]\";match=\".+\">> License), in which case the provisions of <<var;name=\"altLicenseShort2\";original=\"[______]\";match=\".+\">> License are applicable instead of those above.\n\nIf you wish to allow use of your version of this file only under the terms of the <<var;name=\"altLicenseShort3\";original=\"[____]\";match=\".+\">> License and not to allow others to use your version of this file under the CPAL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the <<var;name=\"altLicenseShort4\";original=\"[___]\";match=\".+\">> License. If you do not delete the provisions above, a recipient may use your version of this file under either the CPAL or the <<var;name=\"altLicenseShort5\";original=\"[___]\";match=\".+\">> License.\"\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Common Public Attribution License Version 1.0 (CPAL)\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> \"Definitions\"\n\n	  <<var;name=\"bullet\";original=\"1.0.1\";match=\".{0,20}\">> \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> \"Contributor\" means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> \"Contributor Version\" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> \"Covered Code\" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> \"Electronic Distribution Mechanism\" means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> \"Executable\" means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> \"Initial Developer\" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> \"Larger Work\" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> \"License\" means this document.\n\n	  <<var;name=\"bullet\";original=\"1.8.1\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> \"Modifications\" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> \"Original Code\" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.10.1\";match=\".{0,20}\">> \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	  <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> \"Source Code\" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12\";match=\".{0,20}\">> \"You\" (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You\" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control\" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> The Initial Developer Grant.\n\n	  The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> Contributor Grant.\n\n	  Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> Application of License.\n\n	  The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> Availability of Source Code.\n\n	  Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> Description of Modifications.\n\n	  You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4\";match=\".{0,20}\">> Intellectual Property Matters\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL\" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs. If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"3.5\";match=\".{0,20}\">> Required Notices.\n\n	  You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6\";match=\".{0,20}\">> Distribution of Executable Versions.\n\n	  You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer, Original Developer or any Contributor. You hereby agree to indemnify the Initial Developer, Original Developer and every Contributor for any liability incurred by the Initial Developer, Original Developer or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.7\";match=\".{0,20}\">> Larger Works.\n\n	  You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Application of this License.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> New Versions.\n\n	  Socialtext, Inc. (\"Socialtext\") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> Effect of New Versions.\n\n	  Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Socialtext. No one other than Socialtext has the right to modify the terms applicable to Covered Code created under this License.\n\n	  <<var;name=\"bullet\";original=\"6.3\";match=\".{0,20}\">> Derivative Works.\n\n	  If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases \"Socialtext\", \"CPAL\" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the CPAL. (Filling in the name of the Initial Developer, Original Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER, ORIGINAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TERMINATION.\n\n	  <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	  <<var;name=\"bullet\";original=\"8.2\";match=\".{0,20}\">> If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer, Original Developer or a Contributor (the Initial Developer, Original Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	  <<var;name=\"bullet\";original=\"8.3\";match=\".{0,20}\">> If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"8.4\";match=\".{0,20}\">> In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ORIGINAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS.\n\n   The Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial computer software documentation,\" as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> MISCELLANEOUS.\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS.\n\n   As between Initial Developer, Original Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer, Original Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> MULTIPLE-LICENSED CODE.\n\n   Initial Developer may designate portions of the Covered Code as Multiple-Licensed. Multiple-Licensed means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the CPAL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> ADDITIONAL TERM: ATTRIBUTION\n\n	  <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> As a modest attribution to the organizer of the development of the Original Code (\"Original Developer\"), in the hope that its promotional value may help justify the time, money and effort invested in writing the Original Code, the Original Developer may include in Exhibit B (\"Attribution Information\") a requirement that each time an Executable and Source Code or a Larger Work is launched or initially run (which includes initiating a session), a prominent display of the Original Developer's Attribution Information (as defined below) must occur on the graphic user interface employed by the end user to access such Covered Code (which may include display on a splash screen), if any. The size of the graphic image should be consistent with the size of the other elements of the Attribution Information. If the access by the end user to the Executable and Source Code does not create a graphic user interface for access to the Covered Code, this obligation shall not apply. If the Original Code displays such Attribution Information in a particular form (such as in the form of a splash screen, notice at login, an \"about\" display, or dedicated attribution area on user interface screens), continued use of such form for that Attribution Information is one way of meeting this requirement for notice.\n\n	  <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Attribution information may only include a copyright notice, a brief phrase, graphic image and a URL (\"Attribution Information\") and is subject to the Attribution Limits as defined below. For these purposes, prominent shall mean display for sufficient duration to give reasonable notice to the user of the identity of the Original Developer and that if You include Attribution Information or similar information for other parties, You must ensure that the Attribution Information for the Original Developer shall be no less prominent than such Attribution Information or similar information for the other party. For greater certainty, the Original Developer may choose to specify in Exhibit B below that the above attribution requirement only applies to an Executable and Source Code resulting from the Original Code or any Modification, but not a Larger Work. The intent is to provide for reasonably modest attribution, therefore the Original Developer cannot require that You display, at any time, more than the following information as Attribution Information: (a) a copyright notice including the name of the Original Developer; (b) a word or one phrase (not exceeding 10 words); (c) one graphic image provided by the Original Developer; and (d) a URL (collectively, the \"Attribution Limits\").\n\n	  <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> If Exhibit B does not include any Attribution Information, then there are no requirements for You to display any Attribution Information of the Original Developer.\n\n	  <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> You acknowledge that all trademarks, service marks and/or trade names contained within the Attribution Information distributed with the Covered Code are the exclusive property of their owners and may only be used with the permission of their owners, or under circumstances otherwise permitted by law or as expressly set out in this License.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> ADDITIONAL TERM: NETWORK USE.\n\n   The term \"External Deployment\" means the use, distribution, or communication of the Original Code or Modifications in any way such that the Original Code or Modifications may be used by anyone other than You, whether those works are distributed or communicated to those persons or made available as an application intended for use over a network. As an express condition for the grants of license hereunder, You must treat any External Deployment by You of the Original Code or Modifications as a distribution under section 3.1 and make Source Code available under Section 3.2.\n\n   <<beginOptional>>EXHIBIT A. Common Public Attribution License Version 1.0.\n\n\"The contents of this file are subject to the Common Public Attribution License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <<var;name=\"source\";original=\"_____________\";match=\".+\">> . The License is based on the Mozilla Public License Version 1.1 but Sections 14 and 15 have been added to cover use of software over a computer network and provide for limited attribution for the Original Developer. In addition, Exhibit A has been modified to be consistent with Exhibit B.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code <<var;name=\"code\";original=\"is______________________\";match=\".+\">> .\n\nThe Original Developer is not the Initial Developer and is <<var;name=\"originalDeveloper\";original=\"__________\";match=\".+\">> . If left blank, the Original Developer is the Initial Developer.\n\nThe Initial Developer of the Original Code is <<var;name=\"initialDeveloper\";original=\"____________\";match=\".+\">> . All portions of the code written by <<var;name=\"initialDeveloper2\";original=\"___________\";match=\".+\">> are Copyright (c) <<var;name=\"copyright\";original=\"_____\";match=\".+\">> . All Rights Reserved.\n\nContributor <<var;name=\"contributor\";original=\"______________________\";match=\".+\">> .\n\nAlternatively, the contents of this file may be used under the terms of the <<var;name=\"altLicense\";original=\"_____\";match=\".+\">> license (the <<var;name=\"altLicenseShort1\";original=\"[___]\";match=\".+\">> License), in which case the provisions of <<var;name=\"altLicenseShort2\";original=\"[______]\";match=\".+\">> License are applicable instead of those above.\n\nIf you wish to allow use of your version of this file only under the terms of the <<var;name=\"altLicenseShort3\";original=\"[____]\";match=\".+\">> License and not to allow others to use your version of this file under the CPAL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the <<var;name=\"altLicenseShort4\";original=\"[___]\";match=\".+\">> License. If you do not delete the provisions above, a recipient may use your version of this file under either the CPAL or the <<var;name=\"altLicenseShort5\";original=\"[___]\";match=\".+\">> License.\"\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n\nEXHIBIT B. Attribution Information\n\nAttribution Copyright Notice: _______________________\n\nAttribution Phrase (not exceeding 10 words): _______________________\n\nAttribution URL: _______________________\n\nGraphic Image as provided in the Covered Code, if any.\n\nDisplay of Attribution Information is [required/not required] in Larger Works which are defined in the CPAL as a work which combines Covered Code or portions thereof with code not governed by the terms of the CPAL.\n\n<<endOptional>>"
		self.name = "Common Public Attribution License 1.0"
		self.licenseComments = "This license is essentially a rebranded version of MPL-1.1, but with some important changes. The added \u00a714 includes an advertising clause, and in order for that CPAL-1.0 introduces the concept of an \"Original Developer\" (\"organizer of the development of the Original Code\"). The added \u00a715 extends the (weak) copyleft also to trigger on network use."
		self.licenseId = "CPAL-1.0"
		self.standardLicenseHeader = "\"The contents of this file are subject to the Common Public Attribution License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at _____________ . The License is based on the Mozilla Public License Version 1.1 but Sections 14 and 15 have been added to cover use of software over a computer network and provide for limited attribution for the Original Developer. In addition, Exhibit A has been modified to be consistent with Exhibit B.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is______________________ .\n\nThe Original Developer is not the Initial Developer and is __________ . If left blank, the Original Developer is the Initial Developer.\n\nThe Initial Developer of the Original Code is ____________ . All portions of the code written by ___________ are Copyright (c) _____ . All Rights Reserved.\n\nContributor ______________________ .\n\nAlternatively, the contents of this file may be used under the terms of the _____ license (the [___] License), in which case the provisions of [______] License are applicable instead of those above.\n\nIf you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the CPAL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the CPAL or the [___] License.\"\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/CPAL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:07Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/CPAL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Common Public Attribution License Version 1.0 (CPAL)</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  &quot;Definitions&quot;\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.0.1</var>\n			  &quot;Commercial Use&quot; means distribution or otherwise making the Covered Code\n				 available to a third party.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1</var>\n			  &quot;Contributor&quot; means each entity that creates or contributes to the creation of\n				 Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2</var>\n			  &quot;Contributor Version&quot; means the combination of the Original Code, prior\n				 Modifications used by a Contributor, and the Modifications made by that particular\n				 Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3</var>\n			  &quot;Covered Code&quot; means the Original Code or Modifications or the combination of the\n				 Original Code and Modifications, in each case including portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4</var>\n			  &quot;Electronic Distribution Mechanism&quot; means a mechanism generally accepted in the\n				 software development community for the electronic transfer of data.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5</var>\n			  &quot;Executable&quot; means Covered Code in any form other than Source Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6</var>\n			  &quot;Initial Developer&quot; means the individual or entity identified as the Initial\n				 Developer in the Source Code notice required by Exhibit A.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7</var>\n			  &quot;Larger Work&quot; means a work which combines Covered Code or portions thereof with\n				 code not governed by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8</var>\n			  &quot;License&quot; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.1</var>\n			  &quot;Licensable&quot; means having the right to grant, to the maximum extent possible,\n				 whether at the time of the initial grant or subsequently acquired, any and all of the rights\n				 conveyed herein.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9</var>\n			  &quot;Modifications&quot; means any addition to or deletion from the substance or structure\n				 of either the Original Code or any previous Modifications. When Covered Code is released as a\n				 series of files, a Modification is:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				  Any addition to or deletion from the contents of a file containing Original Code or previous\n					 Modifications.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				  Any new file that contains any part of the Original Code or previous Modifications.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10</var>\n			  &quot;Original Code&quot; means Source Code of computer software code which is described in\n				 the Source Code notice required by Exhibit A as Original Code, and which, at the time of its\n				 release under this License is not already Covered Code governed by this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.1</var>\n			  &quot;Patent Claims&quot; means any patent claim(s), now owned or hereafter acquired,\n				 including without limitation, method, process, and apparatus claims, in any patent Licensable\n				 by grantor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11</var>\n			  &quot;Source Code&quot; means the preferred form of the Covered Code for making modifications\n				 to it, including all modules it contains, plus any associated interface definition files,\n				 scripts used to control compilation and installation of an Executable, or source code\n				 differential comparisons against either the Original Code or another well known, available\n				 Covered Code of the Contributor&apos;s choice. The Source Code can be in a compressed or\n				 archival form, provided the appropriate decompression or de-archiving software is widely\n				 available for no charge.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12</var>\n			  &quot;You&quot; (or &quot;Your&quot;) means an individual or a legal entity exercising\n				 rights under, and complying with all of the terms of, this License or a future version of this\n				 License issued under Section 6.1. For legal entities, &quot;You&quot; includes any entity\n				 which controls, is controlled by, or is under common control with You. For purposes of this\n				 definition, &quot;control&quot; means (a) the power, direct or indirect, to cause the\n				 direction or management of such entity, whether by contract or otherwise, or (b) ownership of\n				 more than fifty percent (50%) of the outstanding shares or beneficial ownership of such\n				 entity.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Source Code License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1</var>\n			  The Initial Developer Grant.\n				<br />\n\n	  The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license,\n					 subject to third party intellectual property claims:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  under intellectual property rights (other than patent or trademark) Licensable by Initial\n					 Developer to use, reproduce, modify, display, perform, sublicense and distribute the\n					 Original Code (or portions thereof) with or without Modifications, and/or as part of a\n					 Larger Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  under Patents Claims infringed by the making, using or selling of Original Code, to make,\n					 have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the\n					 Original Code (or portions thereof).\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				  the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial\n					 Developer first distributes Original Code under the terms of this License.\n				 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				  Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You\n					 delete from the Original Code; 2) separate from the Original Code; or 3) for infringements\n					 caused by: i) the modification of the Original Code or ii) the combination of the Original\n					 Code with other software or devices.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2</var>\n			  Contributor Grant.\n				<br />\n\n	  Subject to third party intellectual property claims, each Contributor hereby grants You a\n					 world-wide, royalty-free, non-exclusive license\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  under intellectual property rights (other than patent or trademark) Licensable by\n					 Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the\n					 Modifications created by such Contributor (or portions thereof) either on an unmodified\n					 basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  under Patent Claims infringed by the making, using, or selling of Modifications made by that\n					 Contributor either alone and/or in combination with its Contributor Version (or portions\n					 of such combination), to make, use, sell, offer for sale, have made, and/or otherwise\n					 dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the\n					 combination of Modifications made by that Contributor with its Contributor Version (or\n					 portions of such combination).\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				  the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor\n					 first makes Commercial Use of the Covered Code.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				  Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that\n					 Contributor has deleted from the Contributor Version; 2) separate from the Contributor\n					 Version; 3) for infringements caused by: i) third party modifications of Contributor\n					 Version or ii) the combination of Modifications made by that Contributor with other\n					 software (except as part of the Contributor Version) or other devices; or 4) under Patent\n					 Claims infringed by Covered Code in the absence of Modifications made by that\n					 Contributor.\n				</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Distribution Obligations.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n			  Application of License.\n				<br />\n\n	  The Modifications which You create or to which You contribute are governed by the terms of\n					 this License, including without limitation Section 2.2. The Source Code version of\n					 Covered Code may be distributed only under the terms of this License or a future\n					 version of this License released under Section 6.1, and You must include a copy of\n					 this License with every copy of the Source Code You distribute. You may not offer or\n					 impose any terms on any Source Code version that alters or restricts the applicable\n					 version of this License or the recipients&apos; rights hereunder. However, You may\n					 include an additional document offering the additional rights described in Section\n					 3.5.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n			  Availability of Source Code.\n				<br />\n\n	  Any Modification which You create or to which You contribute must be made available in\n					 Source Code form under the terms of this License either on the same media as an\n					 Executable version or via an accepted Electronic Distribution Mechanism to anyone to\n					 whom you made an Executable version available; and if made available via Electronic\n					 Distribution Mechanism, must remain available for at least twelve (12) months after\n					 the date it initially became available, or at least six (6) months after a subsequent\n					 version of that particular Modification has been made available to such recipients.\n					 You are responsible for ensuring that the Source Code version remains available even\n					 if the Electronic Distribution Mechanism is maintained by a third party.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3</var>\n			  Description of Modifications.\n				<br />\n\n	  You must cause all Covered Code to which You contribute to contain a file documenting the\n					 changes You made to create that Covered Code and the date of any change. You must\n					 include a prominent statement that the Modification is derived, directly or\n					 indirectly, from Original Code provided by the Initial Developer and including the\n					 name of the Initial Developer in (a) the Source Code, and (b) in any notice in an\n					 Executable version or related documentation in which You describe the origin or\n					 ownership of the Covered Code.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4</var>\n			  Intellectual Property Matters\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  Third Party Claims. If Contributor has knowledge that a license under a third party&apos;s\n					 intellectual property rights is required to exercise the rights granted by such\n					 Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the\n					 Source Code distribution titled &quot;LEGAL&quot; which describes the claim and the\n					 party making the claim in sufficient detail that a recipient will know whom to contact. If\n					 Contributor obtains such knowledge after the Modification is made available as described\n					 in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor\n					 makes available thereafter and shall take other steps (such as notifying appropriate\n					 mailing lists or newsgroups) reasonably calculated to inform those who received the\n					 Covered Code that new knowledge has been obtained.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  Contributor APIs. If Contributor&apos;s Modifications include an application programming\n					 interface and Contributor has knowledge of patent licenses which are reasonably necessary\n					 to implement that API, Contributor must also include this information in the LEGAL\n					 file.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				  Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a)\n					 above, Contributor believes that Contributor&apos;s Modifications are\n					 Contributor&apos;s original creation(s) and/or Contributor has sufficient rights to\n					 grant the rights conveyed by this License.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5</var>\n			  Required Notices.\n				<br />\n\n	  You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not\n					 possible to put such notice in a particular Source Code file due to its structure,\n					 then You must include such notice in a location (such as a relevant directory) where a\n					 user would be likely to look for such a notice. If You created one or more\n					 Modification(s) You may add your name as a Contributor to the notice described in\n					 Exhibit A. You must also duplicate this License in any documentation for the Source\n					 Code where You describe recipients&apos; rights or ownership rights relating to\n					 Covered Code. You may choose to offer, and to charge a fee for, warranty, support,\n					 indemnity or liability obligations to one or more recipients of Covered Code. However,\n					 You may do so only on Your own behalf, and not on behalf of the Initial Developer or\n					 any Contributor. You must make it absolutely clear than any such warranty, support,\n					 indemnity or liability obligation is offered by You alone, and You hereby agree to\n					 indemnify the Initial Developer and every Contributor for any liability incurred by\n					 the Initial Developer or such Contributor as a result of warranty, support, indemnity\n					 or liability terms You offer.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6</var>\n			  Distribution of Executable Versions.\n				<br />\n\n	  You may distribute Covered Code in Executable form only if the requirements of Section\n					 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that\n					 the Source Code version of the Covered Code is available under the terms of this\n					 License, including a description of how and where You have fulfilled the obligations\n					 of Section 3.2. The notice must be conspicuously included in any notice in an\n					 Executable version, related documentation or collateral in which You describe\n					 recipients&apos; rights relating to the Covered Code. You may distribute the\n					 Executable version of Covered Code or ownership rights under a license of Your choice,\n					 which may contain terms different from this License, provided that You are in\n					 compliance with the terms of this License and that the license for the Executable\n					 version does not attempt to limit or alter the recipient&apos;s rights in the Source\n					 Code version from the rights set forth in this License. If You distribute the\n					 Executable version under a different license You must make it absolutely clear that\n					 any terms which differ from this License are offered by You alone, not by the Initial\n					 Developer, Original Developer or any Contributor. You hereby agree to indemnify the\n					 Initial Developer, Original Developer and every Contributor for any liability incurred\n					 by the Initial Developer, Original Developer or such Contributor as a result of any\n					 such terms You offer.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7</var>\n			  Larger Works.\n				<br />\n\n	  You may create a Larger Work by combining Covered Code with other code not governed by the\n					 terms of this License and distribute the Larger Work as a single product. In such a\n					 case, You must make sure the requirements of this License are fulfilled for the\n					 Covered Code.\n\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Inability to Comply Due to Statute or Regulation.\n			<br />\n\n   If it is impossible for You to comply with any of the terms of this License with respect to\n				 some or all of the Covered Code due to statute, judicial order, or regulation then You\n				 must: (a) comply with the terms of this License to the maximum extent possible; and\n				 (b) describe the limitations and the code they affect. Such description must be\n				 included in the LEGAL file described in Section 3.4 and must be included with all\n				 distributions of the Source Code. Except to the extent prohibited by statute or\n				 regulation, such description must be sufficiently detailed for a recipient of ordinary\n				 skill to be able to understand it.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Application of this License.\n			<br />\n\n   This License applies to code to which the Initial Developer has attached the notice in\n				 Exhibit A and to related Covered Code.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Versions of the License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1</var>\n			  New Versions.\n				<br />\n\n	  Socialtext, Inc. (&quot;Socialtext&quot;) may publish revised and/or new versions of\n					 the License from time to time. Each version will be given a distinguishing version\n					 number.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2</var>\n			  Effect of New Versions.\n				<br />\n\n	  Once Covered Code has been published under a particular version of the License, You may\n					 always continue to use it under the terms of that version. You may also choose to use\n					 such Covered Code under the terms of any subsequent version of the License published\n					 by Socialtext. No one other than Socialtext has the right to modify the terms\n					 applicable to Covered Code created under this License.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3</var>\n			  Derivative Works.\n				<br />\n\n	  If You create or use a modified version of this License (which you may only do in order to\n					 apply it to code which is not already Covered Code governed by this License), You must\n					 (a) rename Your license so that the phrases &quot;Socialtext&quot;,\n					 &quot;CPAL&quot; or any confusingly similar phrase do not appear in your license\n					 (except to note that your license differs from this License) and (b) otherwise make it\n					 clear that Your version of the license contains terms which differ from the CPAL.\n					 (Filling in the name of the Initial Developer, Original Developer, Original Code or\n					 Contributor in the notice described in Exhibit A shall not of themselves be deemed to\n					 be modifications of this License.)\n\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  DISCLAIMER OF WARRANTY.\n			<br />\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&quot; BASIS, WITHOUT\n				 WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\n				 WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A\n				 PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND\n				 PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE\n				 IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER, ORIGINAL DEVELOPER OR ANY OTHER\n				 CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS\n				 DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY\n				 COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  TERMINATION.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1</var>\n			  This License and the rights granted hereunder will terminate automatically if You fail to comply\n				 with terms herein and fail to cure such breach within 30 days of becoming aware of the breach.\n				 All sublicenses to the Covered Code which are properly granted shall survive any termination\n				 of this License. Provisions which, by their nature, must remain in effect beyond the\n				 termination of this License shall survive.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2</var>\n			  If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment\n				 actions) against Initial Developer, Original Developer or a Contributor (the Initial\n				 Developer, Original Developer or Contributor against whom You file such action is referred to\n				 as &quot;Participant&quot;) alleging that:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  such Participant&apos;s Contributor Version directly or indirectly infringes any patent,\n					 then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2\n					 of this License shall, upon 60 days notice from Participant terminate prospectively,\n					 unless if within 60 days after receipt of notice You either: (i) agree in writing to pay\n					 Participant a mutually agreeable reasonable royalty for Your past and future use of\n					 Modifications made by such Participant, or (ii) withdraw Your litigation claim with\n					 respect to the Contributor Version against such Participant. If within 60 days of notice,\n					 a reasonable royalty and payment arrangement are not mutually agreed upon in writing by\n					 the parties or the litigation claim is not withdrawn, the rights granted by Participant to\n					 You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day\n					 notice period specified above.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  any software, hardware, or device, other than such Participant&apos;s Contributor Version,\n					 directly or indirectly infringes any patent, then any rights granted to You by such\n					 Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You\n					 first made, used, sold, distributed, or had made, Modifications made by that\n					 Participant.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.3</var>\n			  If You assert a patent infringement claim against Participant alleging that such\n				 Participant&apos;s Contributor Version directly or indirectly infringes any patent where\n				 such claim is resolved (such as by license or settlement) prior to the initiation of patent\n				 infringement litigation, then the reasonable value of the licenses granted by such Participant\n				 under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of\n				 any payment or license.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.4</var>\n			  In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements\n				 (excluding distributors and resellers) which have been validly granted by You or any\n				 distributor hereunder prior to termination shall survive termination.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY.\n			<br />\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE),\n				 CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ORIGINAL DEVELOPER, ANY\n				 OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH\n				 PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR\n				 CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS\n				 OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER\n				 COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE\n				 POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY\n				 FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE\n				 EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE\n				 EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND\n				 LIMITATION MAY NOT APPLY TO YOU.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  U.S. GOVERNMENT END USERS.\n			<br />\n\n   The Covered Code is a &quot;commercial item,&quot; as that term is defined in 48 C.F.R.\n				 2.101 (Oct. 1995), consisting of &quot;commercial computer software&quot; and\n				 &quot;commercial computer software documentation,&quot; as such terms are used in\n				 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R.\n				 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire\n				 Covered Code with only those rights set forth herein.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  MISCELLANEOUS.\n			<br />\n\n   This License represents the complete agreement concerning subject matter hereof. If any\n				 provision of this License is held to be unenforceable, such provision shall be\n				 reformed only to the extent necessary to make it enforceable. This License shall be\n				 governed by California law provisions (except to the extent applicable law, if any,\n				 provides otherwise), excluding its conflict-of-law provisions. With respect to\n				 disputes in which at least one party is a citizen of, or an entity chartered or\n				 registered to do business in the United States of America, any litigation relating to\n				 this License shall be subject to the jurisdiction of the Federal Courts of the\n				 Northern District of California, with venue lying in Santa Clara County, California,\n				 with the losing party responsible for costs, including without limitation, court costs\n				 and reasonable attorneys&apos; fees and expenses. The application of the United\n				 Nations Convention on Contracts for the International Sale of Goods is expressly\n				 excluded. Any law or regulation which provides that the language of a contract shall\n				 be consTrued against the drafter shall not apply to this License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  RESPONSIBILITY FOR CLAIMS.\n			<br />\n\n   As between Initial Developer, Original Developer and the Contributors, each party is\n				 responsible for claims and damages arising, directly or indirectly, out of its\n				 utilization of rights under this License and You agree to work with Initial Developer,\n				 Original Developer and Contributors to distribute such responsibility on an equitable\n				 basis. Nothing herein is intended or shall be deemed to constitute any admission of\n				 liability.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  MULTIPLE-LICENSED CODE.\n			<br />\n\n   Initial Developer may designate portions of the Covered Code as Multiple-Licensed.\n				 Multiple-Licensed means that the Initial Developer permits you to utilize portions of\n				 the Covered Code under Your choice of the CPAL or the alternative licenses, if any,\n				 specified by the Initial Developer in the file described in Exhibit A.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14.</var>\n		  ADDITIONAL TERM: ATTRIBUTION\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (a)</var>\n			  As a modest attribution to the organizer of the development of the Original Code\n				 (&quot;Original Developer&quot;), in the hope that its promotional value may help\n				 justify the time, money and effort invested in writing the Original Code, the Original\n				 Developer may include in Exhibit B (&quot;Attribution Information&quot;) a requirement\n				 that each time an Executable and Source Code or a Larger Work is launched or initially run\n				 (which includes initiating a session), a prominent display of the Original\n				 Developer&apos;s Attribution Information (as defined below) must occur on the graphic\n				 user interface employed by the end user to access such Covered Code (which may include\n				 display on a splash screen), if any. The size of the graphic image should be consistent\n				 with the size of the other elements of the Attribution Information. If the access by the\n				 end user to the Executable and Source Code does not create a graphic user interface for\n				 access to the Covered Code, this obligation shall not apply. If the Original Code displays\n				 such Attribution Information in a particular form (such as in the form of a splash screen,\n				 notice at login, an &quot;about&quot; display, or dedicated attribution area on user\n				 interface screens), continued use of such form for that Attribution Information is one way\n				 of meeting this requirement for notice.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (b)</var>\n			  Attribution information may only include a copyright notice, a brief phrase, graphic image\n				 and a URL (&quot;Attribution Information&quot;) and is subject to the Attribution\n				 Limits as defined below. For these purposes, prominent shall mean display for sufficient\n				 duration to give reasonable notice to the user of the identity of the Original Developer\n				 and that if You include Attribution Information or similar information for other parties,\n				 You must ensure that the Attribution Information for the Original Developer shall be no\n				 less prominent than such Attribution Information or similar information for the other\n				 party. For greater certainty, the Original Developer may choose to specify in Exhibit B\n				 below that the above attribution requirement only applies to an Executable and Source Code\n				 resulting from the Original Code or any Modification, but not a Larger Work. The intent is\n				 to provide for reasonably modest attribution, therefore the Original Developer cannot\n				 require that You display, at any time, more than the following information as Attribution\n				 Information: (a) a copyright notice including the name of the Original Developer; (b) a\n				 word or one phrase (not exceeding 10 words); (c) one graphic image provided by the\n				 Original Developer; and (d) a URL (collectively, the &quot;Attribution\n				 Limits&quot;).\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (c)</var>\n			  If Exhibit B does not include any Attribution Information, then there are no requirements for\n				 You to display any Attribution Information of the Original Developer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (d)</var>\n			  You acknowledge that all trademarks, service marks and/or trade names contained within the\n				 Attribution Information distributed with the Covered Code are the exclusive property of\n				 their owners and may only be used with the permission of their owners, or under\n				 circumstances otherwise permitted by law or as expressly set out in this License.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15.</var>\n		  ADDITIONAL TERM: NETWORK USE.\n		  <p>The term &quot;External Deployment&quot; means the use, distribution, or communication of the\n			 Original Code or Modifications in any way such that the Original Code or Modifications may be used by\n			 anyone other than You, whether those works are distributed or communicated to those persons or made\n			 available as an application intended for use over a network. As an express condition for the grants of\n			 license hereunder, You must treat any External Deployment by You of the Original Code or Modifications\n			 as a distribution under section 3.1 and make Source Code available under Section 3.2.</p>\n\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A. Common Public Attribution License Version 1.0.</p>\n\n		 <p>&quot;The contents of this file are subject to the Common Public Attribution License Version 1.0 (the\n		 &quot;License&quot;); you may not use this file except in compliance with the License. You may\n		 obtain a copy of the License at <var class=\"replaceable-license-text\"> _____________</var>. The License is based on the Mozilla Public License\n		 Version 1.1 but Sections 14 and 15 have been added to cover use of software over a computer network\n		 and provide for limited attribution for the Original Developer. In addition, Exhibit A has been\n		 modified to be consistent with Exhibit B.\n		<br />\n\nSoftware distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT\n			 WARRANTY OF ANY KIND, either express or implied. See the License for the specific language\n			 governing rights and limitations under the License.\n		<br />\n\nThe Original Code <var class=\"replaceable-license-text\"> is______________________</var>.\n		<br />\n\nThe Original Developer is not the Initial Developer and is <var class=\"replaceable-license-text\"> __________</var>. If left blank, the Original\n			 Developer is the Initial Developer.\n		<br />\n\nThe Initial Developer of the Original Code is <var class=\"replaceable-license-text\"> ____________</var>. All portions of the code written by\n			 <var class=\"replaceable-license-text\"> ___________</var> are Copyright (c) <var class=\"replaceable-license-text\"> _____</var>. All Rights Reserved.\n		<br />\n\nContributor <var class=\"replaceable-license-text\"> ______________________</var>.\n		<br />\n\nAlternatively, the contents of this file may be used under the terms of the <var class=\"replaceable-license-text\"> _____</var> license (the\n			 <var class=\"replaceable-license-text\"> [___]</var> License), in which case the provisions of <var class=\"replaceable-license-text\"> [______]</var> License are applicable instead of\n			 those above.\n		<br />\n\nIf you wish to allow use of your version of this file only under the terms of the <var class=\"replaceable-license-text\"> [____]</var> License\n			 and not to allow others to use your version of this file under the CPAL, indicate your\n			 decision by deleting the provisions above and replace them with the notice and other\n			 provisions required by the <var class=\"replaceable-license-text\"> [___]</var> License. If you do not delete the provisions above, a\n			 recipient may use your version of this file under either the CPAL or the <var class=\"replaceable-license-text\"> [___]</var>\n			 License.&quot;\n	  </p>\n\n		 <p>[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code\n		 files of the Original Code. You should use the text of this Exhibit A rather than the text found in\n		 the Original Code Source Code for Your Modifications.]</p>\n\n		 <p>EXHIBIT B. Attribution Information</p>\n\n		 <p>Attribution Copyright Notice: _______________________\n		<br />\n\nAttribution Phrase (not exceeding 10 words): _______________________\n		<br />\n\nAttribution URL: _______________________\n		<br />\n\nGraphic Image as provided in the Covered Code, if any.\n		<br />\n\nDisplay of Attribution Information is [required/not required] in Larger Works which are defined in\n			 the CPAL as a work which combines Covered Code or portions thereof with code not governed by\n			 the terms of the CPAL.\n	  </p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		 <p>&quot;The contents of this file are subject to the Common Public Attribution License Version 1.0 (the\n		 &quot;License&quot;); you may not use this file except in compliance with the License. You may\n		 obtain a copy of the License at <var class=\"replaceable-license-text\"> _____________</var>. The License is based on the Mozilla Public License\n		 Version 1.1 but Sections 14 and 15 have been added to cover use of software over a computer network\n		 and provide for limited attribution for the Original Developer. In addition, Exhibit A has been\n		 modified to be consistent with Exhibit B.\n		<br />\n\nSoftware distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT\n			 WARRANTY OF ANY KIND, either express or implied. See the License for the specific language\n			 governing rights and limitations under the License.\n		<br />\n\nThe Original Code <var class=\"replaceable-license-text\"> is______________________</var>.\n		<br />\n\nThe Original Developer is not the Initial Developer and is <var class=\"replaceable-license-text\"> __________</var>. If left blank, the Original\n			 Developer is the Initial Developer.\n		<br />\n\nThe Initial Developer of the Original Code is <var class=\"replaceable-license-text\"> ____________</var>. All portions of the code written by\n			 <var class=\"replaceable-license-text\"> ___________</var> are Copyright (c) <var class=\"replaceable-license-text\"> _____</var>. All Rights Reserved.\n		<br />\n\nContributor <var class=\"replaceable-license-text\"> ______________________</var>.\n		<br />\n\nAlternatively, the contents of this file may be used under the terms of the <var class=\"replaceable-license-text\"> _____</var> license (the\n			 <var class=\"replaceable-license-text\"> [___]</var> License), in which case the provisions of <var class=\"replaceable-license-text\"> [______]</var> License are applicable instead of\n			 those above.\n		<br />\n\nIf you wish to allow use of your version of this file only under the terms of the <var class=\"replaceable-license-text\"> [____]</var> License\n			 and not to allow others to use your version of this file under the CPAL, indicate your\n			 decision by deleting the provisions above and replace them with the notice and other\n			 provisions required by the <var class=\"replaceable-license-text\"> [___]</var> License. If you do not delete the provisions above, a\n			 recipient may use your version of this file under either the CPAL or the <var class=\"replaceable-license-text\"> [___]</var>\n			 License.&quot;\n	  </p>\n\n		 "
		self.python_name = "CPAL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCSA30IGO:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Attribution-NonCommercial-ShareAlike 3.0 IGO\n\nCREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE. THE LICENSOR IS NOT NECESSARILY AN INTERGOVERNMENTAL ORGANIZATION (IGO), AS DEFINED IN THE LICENSE BELOW.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\u201cLICENSE\u201d). THE LICENSOR (DEFINED BELOW) HOLDS COPYRIGHT AND OTHER RIGHTS IN THE WORK. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED. BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION FOR YOUR ACCEPTANCE AND AGREEMENT TO THE TERMS OF THE LICENSE.\n\n1. Definitions\n\n	a. \"IGO\" means, solely and exclusively for purposes of this License, an organization established by a treaty or other instrument governed by international law and possessing its own international legal personality. Other organizations established to carry out activities across national borders and that accordingly enjoy immunity from legal process are also IGOs for the sole and exclusive purposes of this License. IGOs may include as members, in addition to states, other entities.\n	\n	b. \"Work\" means the literary and/or artistic work eligible for copyright protection, whatever may be the mode or form of its expression including digital form, and offered under the terms of this License. It is understood that a database, which by reason of the selection and arrangement of its contents constitutes an intellectual creation, is considered a Work.\n	\n	c. \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License and may be, but is not necessarily, an IGO.\n	\n	d. \"You\" means an individual or entity exercising rights under this License.\n	\n	e. \"License Elements\" means the following high-level license attributes as selected by the Licensor and indicated in the title of this License: Attribution, Noncommercial, ShareAlike.\n	\n	f. \"Reproduce\" means to make a copy of the Work in any manner or form, and by any means.\n	\n	g. \"Distribute\" means the activity of making publicly available the Work or Adaptation (or copies of the Work or Adaptation), as applicable, by sale, rental, public lending or any other known form of transfer of ownership or possession of the Work or copy of the Work.\n	\n	h. \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n	\n	i. \"Adaptation\" means a work derived from or based upon the Work, or upon the Work and other pre-existing works. Adaptations may include works such as translations, derivative works, or any alterations and arrangements of any kind involving the Work. For purposes of this License, where the Work is a musical work, performance, or phonogram, the synchronization of the Work in timed-relation with a moving image is an Adaptation. For the avoidance of doubt, including the Work in a Collection is not an Adaptation.\n	\n	j. \"Collection\" means a collection of literary or artistic works or other works or subject matter other than works listed in Section 1(b) which by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. For the avoidance of doubt, a Collection will not be considered as an Adaptation.\n\n2. Scope of this License. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright protection.\n\n3. License Grant. Subject to the terms and conditions of this License, the Licensor hereby grants You a worldwide, royalty-free, non-exclusive license to exercise the rights in the Work as follows:\n\n	a. to Reproduce, Distribute and Publicly Perform the Work, to incorporate the Work into one or more Collections, and to Reproduce, Distribute and Publicly Perform the Work as incorporated in the Collections; and,\n	\n	b. to create, Reproduce, Distribute and Publicly Perform Adaptations, provided that You clearly label, demarcate or otherwise identify that changes were made to the original Work.\n\nThis License lasts for the duration of the term of the copyright in the Work licensed by the Licensor. The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by the Licensor are hereby reserved, including but not limited to the rights set forth in Section 4(e).\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	a. You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work (see section 8(a)). You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from a Licensor You must, to the extent practicable, remove from the Collection any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(d), as requested. If You create an Adaptation, upon notice from a Licensor You must, to the extent practicable, remove from the Adaptation any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(d), as requested.\n	\n	b. You may Distribute or Publicly Perform an Adaptation only under the terms of: (i) this License; (ii) a later version of this License with the same License Elements as this License; or (iii) either the unported Creative Commons license or a ported Creative Commons license (either this or a later license version) containing the same License Elements (the \u201cApplicable License\u201d). (I) You must include a copy of, or the URI for, the Applicable License with every copy of each Adaptation You Distribute or Publicly Perform. (II) You may not offer or impose any terms on the Adaptation that restrict the terms of the Applicable License or the ability of the recipient of the Adaptation to exercise the rights granted to that recipient under the terms of the Applicable License. (III) You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work as included in the Adaptation You Distribute or Publicly Perform. (IV) When You Distribute or Publicly Perform the Adaptation, You may not impose any effective technological measures on the Adaptation that restrict the ability of a recipient of the Adaptation from You to exercise the rights granted to that recipient under the terms of the Applicable License. This Section 4(b) applies to the Adaptation as incorporated in a Collection, but this does not require the Collection apart from the Adaptation itself to be made subject to the terms of the Applicable License.\n	\n	c. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be primarily intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n	\n	d. If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) any attributions that the Licensor indicates be associated with the Work as indicated in a copyright notice, (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation. The credit required by this Section 4(d) may be implemented in any reasonable manner; provided, however, that in the case of an Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributors to the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Licensor or others designated for attribution, of You or Your use of the Work, without the separate, express prior written permission of the Licensor or such others.\n	\n	e. For the avoidance of doubt:\n		\n		i. Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n		\n		ii. Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License if Your exercise of such rights is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(c) and otherwise waives the right to collect royalties through any statutory or compulsory licensing scheme; and,\n		\n		iii. Voluntary License Schemes. To the extent possible, the Licensor waives the right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary licensing scheme. In all other cases the Licensor expressly reserves the right to collect such royalties.\n	\n	f. Except as otherwise agreed in writing by the Licensor, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the honor or reputation of the Licensor where moral rights apply.\n\n5. Representations, Warranties and Disclaimer\n\nTHE LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.\n\n6. Limitation on Liability\n\nIN NO EVENT WILL THE LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	a. Subject to the terms and conditions set forth in this License, the license granted here lasts for the duration of the term of the copyright in the Work licensed by the Licensor as stated in Section 3. Notwithstanding the above, the Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated below.\n	\n	b. If You fail to comply with this License, then this License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License. Notwithstanding the foregoing, this License reinstates automatically as of the date the violation is cured, provided it is cured within 30 days of You discovering the violation, or upon express reinstatement by the Licensor. For the avoidance of doubt, this Section 7(b) does not affect any rights the Licensor may have to seek remedies for violations of this License by You.\n\n8. Miscellaneous\n\n	a. Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n	\n	b Each time You Distribute or Publicly Perform an Adaptation, the Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n	\n	c. If any provision of this License is invalid or unenforceable, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n	\n	d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the Licensor.\n	\n	e. This License constitutes the entire agreement between You and the Licensor with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n	\n	f. The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). Interpretation of the scope of the rights granted by the Licensor and the conditions imposed on You under this License, this License, and the rights and conditions set forth herein shall be made with reference to copyright as determined in accordance with general principles of international law, including the above mentioned conventions.\n	\n	g. Nothing in this License constitutes or may be interpreted as a limitation upon or waiver of any privileges and immunities that may apply to the Licensor or You, including immunity from the legal processes of any jurisdiction, national court or other authority.\n	\n	h. Where the Licensor is an IGO, any and all disputes arising under this License that cannot be settled amicably shall be resolved in accordance with the following procedure:\n		\n		i. Pursuant to a notice of mediation communicated by reasonable means by either You or the Licensor to the other, the dispute shall be submitted to non-binding mediation conducted in accordance with rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with those communicated in the notice of mediation. The language used in the mediation proceedings shall be English unless otherwise agreed.\n		\n		ii. If any such dispute has not been settled within 45 days following the date on which the notice of mediation is provided, either You or the Licensor may, pursuant to a notice of arbitration communicated by reasonable means to the other, elect to have the dispute referred to and finally determined by arbitration. The arbitration shall be conducted in accordance with the rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with the UNCITRAL Arbitration Rules as then in force. The arbitral tribunal shall consist of a sole arbitrator and the language of the proceedings shall be English unless otherwise agreed. The place of arbitration shall be where the Licensor has its headquarters. The arbitral proceedings shall be conducted remotely (e.g., via telephone conference or written submissions) whenever practicable.\n		\n		iii. Interpretation of this License in any dispute submitted to mediation or arbitration shall be as set forth in Section 8(f), above.\n		\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of the Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Attribution-NonCommercial-ShareAlike 3.0 IGO\n\n<<endOptional>>\n\nCREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE. THE LICENSOR IS NOT NECESSARILY AN INTERGOVERNMENTAL ORGANIZATION (IGO), AS DEFINED IN THE LICENSE BELOW.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"LICENSE\"). THE LICENSOR (DEFINED BELOW) HOLDS COPYRIGHT AND OTHER RIGHTS IN THE WORK. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION FOR YOUR ACCEPTANCE AND AGREEMENT TO THE TERMS OF THE LICENSE.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"IGO\" means, solely and exclusively for purposes of this License, an organization established by a treaty or other instrument governed by international law and possessing its own international legal personality. Other organizations established to carry out activities across national borders and that accordingly enjoy immunity from legal process are also IGOs for the sole and exclusive purposes of this License. IGOs may include as members, in addition to states, other entities.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Work\" means the literary and/or artistic work eligible for copyright protection, whatever may be the mode or form of its expression including digital form, and offered under the terms of this License. It is understood that a database, which by reason of the selection and arrangement of its contents constitutes an intellectual creation, is considered a Work.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License and may be, but is not necessarily, an IGO.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"License Elements\" means the following high-level license attributes as selected by the Licensor and indicated in the title of this License: Attribution, Noncommercial, ShareAlike.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Reproduce\" means to make a copy of the Work in any manner or form, and by any means.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"Distribute\" means the activity of making publicly available the Work or Adaptation (or copies of the Work or Adaptation), as applicable, by sale, rental, public lending or any other known form of transfer of ownership or possession of the Work or copy of the Work.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"Adaptation\" means a work derived from or based upon the Work, or upon the Work and other pre-existing works. Adaptations may include works such as translations, derivative works, or any alterations and arrangements of any kind involving the Work. For purposes of this License, where the Work is a musical work, performance, or phonogram, the synchronization of the Work in timed-relation with a moving image is an Adaptation. For the avoidance of doubt, including the Work in a Collection is not an Adaptation.\n\n	  <<var;name=\"bullet\";original=\"j.\";match=\".{0,20}\">> \"Collection\" means a collection of literary or artistic works or other works or subject matter other than works listed in Section 1(b) which by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. For the avoidance of doubt, a Collection will not be considered as an Adaptation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Scope of this License. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright protection.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, the Licensor hereby grants You a worldwide, royalty-free, non-exclusive license to exercise the rights in the Work as follows:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to Reproduce, Distribute and Publicly Perform the Work, to incorporate the Work into one or more Collections, and to Reproduce, Distribute and Publicly Perform the Work as incorporated in the Collections; and,\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create, Reproduce, Distribute and Publicly Perform Adaptations, provided that You clearly label, demarcate or otherwise identify that changes were made to the original Work. This License lasts for the duration of the term of the copyright in the Work licensed by the Licensor. The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by the Licensor are hereby reserved, including but not limited to the rights set forth in Section 4(e).\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work (see section 8(a)). You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from a Licensor You must, to the extent practicable, remove from the Collection any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(d), as requested. If You create an Adaptation, upon notice from a Licensor You must, to the extent practicable, remove from the Adaptation any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(d), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may Distribute or Publicly Perform an Adaptation only under the terms of: (i) this License; (ii) a later version of this License with the same License Elements as this License; or (iii) either the unported Creative Commons license or a ported Creative Commons license (either this or a later license version) containing the same License Elements (the \"Applicable License\"). (I) You must include a copy of, or the URI for, the Applicable License with every copy of each Adaptation You Distribute or Publicly Perform. (II) You may not offer or impose any terms on the Adaptation that restrict the terms of the Applicable License or the ability of the recipient of the Adaptation to exercise the rights granted to that recipient under the terms of the Applicable License. (III) You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work as included in the Adaptation You Distribute or Publicly Perform. (IV) When You Distribute or Publicly Perform the Adaptation, You may not impose any effective technological measures on the Adaptation that restrict the ability of a recipient of the Adaptation from You to exercise the rights granted to that recipient under the terms of the Applicable License. This Section 4(b) applies to the Adaptation as incorporated in a Collection, but this does not require the Collection apart from the Adaptation itself to be made subject to the terms of the Applicable License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be primarily intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) any attributions that the Licensor indicates be associated with the Work as indicated in a copyright notice, (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation. The credit required by this Section 4(d) may be implemented in any reasonable manner; provided, however, that in the case of an Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributors to the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Licensor or others designated for attribution, of You or Your use of the Work, without the separate, express prior written permission of the Licensor or such others.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> For the avoidance of doubt:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License if Your exercise of such rights is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(c) and otherwise waives the right to collect royalties through any statutory or compulsory licensing scheme; and,\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Voluntary License Schemes. To the extent possible, the Licensor waives the right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary licensing scheme. In all other cases the Licensor expressly reserves the right to collect such royalties.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Except as otherwise agreed in writing by the Licensor, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the honor or reputation of the Licensor where moral rights apply.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer THE LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability IN NO EVENT WILL THE LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Subject to the terms and conditions set forth in this License, the license granted here lasts for the duration of the term of the copyright in the Work licensed by the Licensor as stated in Section 3. Notwithstanding the above, the Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated below.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If You fail to comply with this License, then this License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License. Notwithstanding the foregoing, this License reinstates automatically as of the date the violation is cured, provided it is cured within 30 days of You discovering the violation, or upon express reinstatement by the Licensor. For the avoidance of doubt, this Section 7(b) does not affect any rights the Licensor may have to seek remedies for violations of this License by You.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform an Adaptation, the Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the Licensor.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between You and the Licensor with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). Interpretation of the scope of the rights granted by the Licensor and the conditions imposed on You under this License, this License, and the rights and conditions set forth herein shall be made with reference to copyright as determined in accordance with general principles of international law, including the above mentioned conventions.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Nothing in this License constitutes or may be interpreted as a limitation upon or waiver of any privileges and immunities that may apply to the Licensor or You, including immunity from the legal processes of any jurisdiction, national court or other authority.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Where the Licensor is an IGO, any and all disputes arising under this License that cannot be settled amicably shall be resolved in accordance with the following procedure:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Pursuant to a notice of mediation communicated by reasonable means by either You or the Licensor to the other, the dispute shall be submitted to non-binding mediation conducted in accordance with rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with those communicated in the notice of mediation. The language used in the mediation proceedings shall be English unless otherwise agreed.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> If any such dispute has not been settled within 45 days following the date on which the notice of mediation is provided, either You or the Licensor may, pursuant to a notice of arbitration communicated by reasonable means to the other, elect to have the dispute referred to and finally determined by arbitration. The arbitration shall be conducted in accordance with the rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with the UNCITRAL Arbitration Rules as then in force. The arbitral tribunal shall consist of a sole arbitrator and the language of the proceedings shall be English unless otherwise agreed. The place of arbitration shall be where the Licensor has its headquarters. The arbitral proceedings shall be conducted remotely (e.g., via telephone conference or written submissions) whenever practicable.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Interpretation of this License in any dispute submitted to mediation or arbitration shall be as set forth in Section 8(f), above.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of the Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial Share Alike 3.0 IGO"
		self.licenseId = "CC-BY-NC-SA-3.0-IGO"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-sa/3.0/igo/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:33Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-sa/3.0/igo/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		  <p>Attribution-NonCommercial-ShareAlike 3.0 IGO</p>\n\n	  </div>\n	  <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE. THE LICENSOR IS NOT NECESSARILY AN INTERGOVERNMENTAL ORGANIZATION (IGO), AS DEFINED IN THE LICENSE BELOW.</p>\n\n	  <p>License</p>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (&quot;LICENSE&quot;). THE LICENSOR (DEFINED BELOW) HOLDS COPYRIGHT AND OTHER RIGHTS IN THE WORK. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION FOR YOUR ACCEPTANCE AND AGREEMENT TO THE TERMS OF THE LICENSE.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			  <var class=\"replaceable-license-text\"> 1.</var> Definitions\n			  \n<ul style=\"list-style:none\">\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> a.</var> &quot;IGO&quot; means, solely and exclusively for purposes of this License, an organization established by a treaty or other instrument governed by international law and possessing its own international legal personality. Other organizations established to carry out activities across national borders and that accordingly enjoy immunity from legal process are also IGOs for the sole and exclusive purposes of this License. IGOs may include as members, in addition to states, other entities.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> b.</var> &quot;Work&quot; means the literary and/or artistic work eligible for copyright protection, whatever may be the mode or form of its expression including digital form, and offered under the terms of this License. It is understood that a database, which by reason of the selection and arrangement of its contents constitutes an intellectual creation, is considered a Work.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> c.</var> &quot;Licensor&quot; means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License and may be, but is not necessarily, an IGO.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> d.</var> &quot;You&quot; means an individual or entity exercising rights under this License.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> e.</var> &quot;License Elements&quot; means the following high-level license attributes as selected by the Licensor and indicated in the title of this License: Attribution, Noncommercial, ShareAlike.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> f.</var> &quot;Reproduce&quot; means to make a copy of the Work in any manner or form, and by any means.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> g.</var> &quot;Distribute&quot; means the activity of making publicly available the Work or Adaptation (or copies of the Work or Adaptation), as applicable, by sale, rental, public lending or any other known form of transfer of ownership or possession of the Work or copy of the Work.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> h.</var> &quot;Publicly Perform&quot; means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> i.</var> &quot;Adaptation&quot; means a work derived from or based upon the Work, or upon the Work and other pre-existing works. Adaptations may include works such as translations, derivative works, or any alterations and arrangements of any kind involving the Work. For purposes of this License, where the Work is a musical work, performance, or phonogram, the synchronization of the Work in timed-relation with a moving image is an Adaptation. For the avoidance of doubt, including the Work in a Collection is not an Adaptation.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> j.</var> &quot;Collection&quot; means a collection of literary or artistic works or other works or subject matter other than works listed in Section 1(b) which by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. For the avoidance of doubt, a Collection will not be considered as an Adaptation.\n				  </li>\n			  \n</ul>\n		  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var> Scope of this License. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright protection.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var> License Grant. Subject to the terms and conditions of this License, the Licensor hereby grants You a worldwide, royalty-free, non-exclusive license to exercise the rights in the Work as follows:\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> to Reproduce, Distribute and Publicly Perform the Work, to incorporate the Work into one or more Collections, and to Reproduce, Distribute and Publicly Perform the Work as incorporated in the Collections; and,\n					  </li>\n					  \n<li> \n						  <var class=\"replaceable-license-text\"> b.</var> to create, Reproduce, Distribute and Publicly Perform Adaptations, provided that You clearly label, demarcate or otherwise identify that changes were made to the original Work.\n					  </li>\n				  \n</ul>\n\nThis License lasts for the duration of the term of the copyright in the Work licensed by the Licensor. The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by the Licensor are hereby reserved, including but not limited to the rights set forth in Section 4(e).\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work (see section 8(a)). You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from a Licensor You must, to the extent practicable, remove from the Collection any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(d), as requested. If You create an Adaptation, upon notice from a Licensor You must, to the extent practicable, remove from the Adaptation any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(d), as requested.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> You may Distribute or Publicly Perform an Adaptation only under the terms of: (i) this License; (ii) a later version of this License with the same License Elements as this License; or (iii) either the unported Creative Commons license or a ported Creative Commons license (either this or a later license version) containing the same License Elements (the &quot;Applicable License&quot;). (I) You must include a copy of, or the URI for, the Applicable License with every copy of each Adaptation You Distribute or Publicly Perform. (II) You may not offer or impose any terms on the Adaptation that restrict the terms of the Applicable License or the ability of the recipient of the Adaptation to exercise the rights granted to that recipient under the terms of the Applicable License. (III) You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work as included in the Adaptation You Distribute or Publicly Perform. (IV) When You Distribute or Publicly Perform the Adaptation, You may not impose any effective technological measures on the Adaptation that restrict the ability of a recipient of the Adaptation from You to exercise the rights granted to that recipient under the terms of the Applicable License. This Section 4(b) applies to the Adaptation as incorporated in a Collection, but this does not require the Collection apart from the Adaptation itself to be made subject to the terms of the Applicable License.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be primarily intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) any attributions that the Licensor indicates be associated with the Work as indicated in a copyright notice, (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation. The credit required by this Section 4(d) may be implemented in any reasonable manner; provided, however, that in the case of an Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributors to the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Licensor or others designated for attribution, of You or Your use of the Work, without the separate, express prior written permission of the Licensor or such others.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> For the avoidance of doubt:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License if Your exercise of such rights is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(c) and otherwise waives the right to collect royalties through any statutory or compulsory licensing scheme; and,\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> Voluntary License Schemes. To the extent possible, the Licensor waives the right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary licensing scheme. In all other cases the Licensor expressly reserves the right to collect such royalties.\n							  </li>\n						  \n</ul>\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> f.</var> Except as otherwise agreed in writing by the Licensor, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the honor or reputation of the Licensor where moral rights apply.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 5.</var> Representations, Warranties and Disclaimer\nTHE LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 6.</var> Limitation on Liability\nIN NO EVENT WILL THE LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 7.</var> Termination\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Subject to the terms and conditions set forth in this License, the license granted here lasts for the duration of the term of the copyright in the Work licensed by the Licensor as stated in Section 3. Notwithstanding the above, the Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated below.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> If You fail to comply with this License, then this License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License. Notwithstanding the foregoing, this License reinstates automatically as of the date the violation is cured, provided it is cured within 30 days of You discovering the violation, or upon express reinstatement by the Licensor. For the avoidance of doubt, this Section 7(b) does not affect any rights the Licensor may have to seek remedies for violations of this License by You.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 8.</var> Miscellaneous\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Each time You Distribute or Publicly Perform an Adaptation, the Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> If any provision of this License is invalid or unenforceable, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the Licensor.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> This License constitutes the entire agreement between You and the Licensor with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> f.</var> The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). Interpretation of the scope of the rights granted by the Licensor and the conditions imposed on You under this License, this License, and the rights and conditions set forth herein shall be made with reference to copyright as determined in accordance with general principles of international law, including the above mentioned conventions.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> g.</var> Nothing in this License constitutes or may be interpreted as a limitation upon or waiver of any privileges and immunities that may apply to the Licensor or You, including immunity from the legal processes of any jurisdiction, national court or other authority.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> h.</var> Where the Licensor is an IGO, any and all disputes arising under this License that cannot be settled amicably shall be resolved in accordance with the following procedure:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Pursuant to a notice of mediation communicated by reasonable means by either You or the Licensor to the other, the dispute shall be submitted to non-binding mediation conducted in accordance with rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with those communicated in the notice of mediation. The language used in the mediation proceedings shall be English unless otherwise agreed.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> If any such dispute has not been settled within 45 days following the date on which the notice of mediation is provided, either You or the Licensor may, pursuant to a notice of arbitration communicated by reasonable means to the other, elect to have the dispute referred to and finally determined by arbitration. The arbitration shall be conducted in accordance with the rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with the UNCITRAL Arbitration Rules as then in force. The arbitral tribunal shall consist of a sole arbitrator and the language of the proceedings shall be English unless otherwise agreed. The place of arbitration shall be where the Licensor has its headquarters. The arbitral proceedings shall be conducted remotely (e.g., via telephone conference or written submissions) whenever practicable.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> Interpretation of this License in any dispute submitted to mediation or arbitration shall be as set forth in Section 8(f), above.\n							  </li>\n						  \n</ul>\n					  </li>\n				  \n</ul>\n			  </li>\n		  \n</ul>\n		  <p>Creative Commons Notice</p>\n\n		  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of the Licensor.</p>\n\n		  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark &quot;Creative Commons&quot; or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.</p>\n\n		  <p>Creative Commons may be contacted at https://creativecommons.org/.</p>\n\n	  "
		self.python_name = "CCBYNCSA30IGO"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL11noinvariantsorlater:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU Free Documentation License\nVersion 1.1, March 2000\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other written document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\".\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (For example, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, whose contents can be viewed and edited directly and straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup has been designed to thwart or discourage subsequent modification by readers is not Transparent. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML designed for human modification. Opaque formats include PostScript, PDF, proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies of the Document numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a publicly-accessible computer-network location containing a complete Transparent copy of the Document, free of added material, which the general network-using public has access to download anonymously at no charge using public-standard network protocols. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has less than five).\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n	 H. Include an unaltered copy of this License.\n	 I. Preserve the section entitled \"History\", and its title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the section's title, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section as \"Endorsements\" or to conflict in title with any Invariant Section.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections entitled \"History\" in the various original documents, forming one section entitled \"History\"; likewise combine any sections entitled \"Acknowledgements\", and any sections entitled \"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, does not as a whole count as a Modified Version of the Document, provided no compilation copyright is claimed for the compilation. Such a compilation is called an \"aggregate\", and this License does not apply to the other self-contained works thus compiled with the Document, on account of their being thus compiled, if they are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one quarter of the entire aggregate, the Document's Cover Texts may be placed on covers that surround only the Document within the aggregate. Otherwise they must appear on covers around the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License provided that you also include the original English version of this License. In case of a disagreement between the translation and the original English version of this License, the original English version will prevail.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead of saying which ones are invariant. If you have no Front-Cover Texts, write \"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise for Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.1, March 2000\n\n<<endOptional>>\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other written document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\".\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (For example, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, whose contents can be viewed and edited directly and straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup has been designed to thwart or discourage subsequent modification by readers is not Transparent. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML designed for human modification. Opaque formats include PostScript, PDF, proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies of the Document numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a publicly-accessible computer-network location containing a complete Transparent copy of the Document, free of added material, which the general network-using public has access to download anonymously at no charge using public-standard network protocols. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has less than five).\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section entitled \"History\", and its title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the section's title, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section as \"Endorsements\" or to conflict in title with any Invariant Section.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections entitled \"History\" in the various original documents, forming one section entitled \"History\"; likewise combine any sections entitled \"Acknowledgements\", and any sections entitled \"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, does not as a whole count as a Modified Version of the Document, provided no compilation copyright is claimed for the compilation. Such a compilation is called an \"aggregate\", and this License does not apply to the other self-contained works thus compiled with the Document, on account of their being thus compiled, if they are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one quarter of the entire aggregate, the Document's Cover Texts may be placed on covers that surround only the Document within the aggregate. Otherwise they must appear on covers around the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License provided that you also include the original English version of this License. In case of a disagreement between the translation and the original English version of this License, the original English version will prevail.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead of saying which ones are invariant. If you have no Front-Cover Texts, write \"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise for Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.1 or later - no invariants"
		self.licenseComments = "This license was released March 2000. The identifier GFDL-1.1-or-later-no-invariants should only be used when there are no Invariant Sections, Front-Cover Texts or Back-Cover Texts. See GFDL-1.1-or-later and GFDL-1.1-or-later-invariants for alternatives."
		self.licenseId = "GFDL-1.1-no-invariants-or-later"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\n"
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/fdl-1.1.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:49Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/fdl-1.1.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.1, March 2000\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2000 Free Software Foundation, Inc. 51\n	  Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook,\n		  or other written document &quot;free&quot; in the sense of freedom: to\n		  assure everyone the effective freedom to copy and redistribute\n		  it, with or without modifying it, either commercially or\n		  noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work that\n		  contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. The\n		  &quot;Document&quot;, below, refers to any such manual or work. Any\n		  member of the public is a licensee, and is addressed as &quot;you&quot;.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter section\n		  of the Document that deals exclusively with the relationship\n		  of the publishers or authors of the Document to the Document&apos;s\n		  overall subject (or to related matters) and contains nothing\n		  that could fall directly within that overall subject. (For\n		  example, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections, in the\n		  notice that says that the Document is released under this License.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are\n		  listed, as Front-Cover Texts or Back-Cover Texts, in the notice\n		  that says that the Document is released under this License.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable copy,\n		  represented in a format whose specification is available to the\n		  general public, whose contents can be viewed and edited directly\n		  and straightforwardly with generic text editors or (for images\n		  composed of pixels) generic paint programs or (for drawings) some\n		  widely available drawing editor, and that is suitable for input\n		  to text formatters or for automatic translation to a variety of\n		  formats suitable for input to text formatters. A copy made in an\n		  otherwise Transparent file format whose markup has been designed\n		  to thwart or discourage subsequent modification by readers is not\n		  Transparent. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include\n		  plain ASCII without markup, Texinfo input format, LaTeX\n		  input format, SGML or XML using a publicly available DTD, and\n		  standard-conforming simple HTML designed for human modification.\n		  Opaque formats include PostScript, PDF, proprietary formats\n		  that can be read and edited only by proprietary word processors,\n		  SGML or XML for which the DTD and/or processing tools are\n		  not generally available, and the machine-generated HTML\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies of the Document numbering more than\n		  100, and the Document&apos;s license notice requires Cover Texts, you\n		  must enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a publicly-accessible computer-network location\n		  containing a complete Transparent copy of the Document, free\n		  of added material, which the general network-using public has\n		  access to download anonymously at no charge using public-standard\n		  network protocols. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or entities\n			responsible for authorship of the modifications in the Modified\n			Version, together with at least five of the principal authors of the\n			Document (all of its principal authors, if it has less than five).\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant Sections\n			and required Cover Texts given in the Document&apos;s license notice.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> H.</var>\n			Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section entitled &quot;History&quot;, and its title, and add\n			to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			In any section entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			preserve the section&apos;s title, and preserve in the section\n			all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section as &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released\n		  under this License, under the terms defined in section 4\n		  above for modified versions, provided that you include in\n		  the combination all of the Invariant Sections of all of\n		  the original documents, unmodified, and list them all as\n		  Invariant Sections of your combined work in its license notice.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  entitled &quot;History&quot;; likewise combine any sections entitled\n		  &quot;Acknowledgements&quot;, and any sections entitled &quot;Dedications&quot;.\n		  You must delete all sections entitled &quot;Endorsements.&quot;\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other separate\n		  and independent documents or works, in or on a volume of a storage\n		  or distribution medium, does not as a whole count as a Modified\n		  Version of the Document, provided no compilation copyright is claimed\n		  for the compilation. Such a compilation is called an &quot;aggregate&quot;,\n		  and this License does not apply to the other self-contained works\n		  thus compiled with the Document, on account of their being thus\n		  compiled, if they are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to these\n		  copies of the Document, then if the Document is less than one quarter\n		  of the entire aggregate, the Document&apos;s Cover Texts may be placed\n		  on covers that surround only the Document within the aggregate.\n		  Otherwise they must appear on covers around the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of\n		  section 4. Replacing Invariant Sections with translations requires\n		  special permission from their copyright holders, but you may\n		  include translations of some or all Invariant Sections in addition\n		  to the original versions of these Invariant Sections. You may\n		  include a translation of this License provided that you also\n		  include the original English version of this License. In case of\n		  a disagreement between the translation and the original English\n		  version of this License, the original English version will prevail.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided for under this License. Any other\n		  attempt to copy, modify, sublicense or distribute the Document\n		  is void, and will automatically terminate your rights under\n		  this License. However, parties who have received copies, or\n		  rights, from you under this License will not have their licenses\n		  terminated so long as such parties remain in full compliance.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option\n		  of following the terms and conditions either of that specified\n		  version or of any later version that has been published (not as a\n		  draft) by the Free Software Foundation. If the Document does not\n		  specify a version number of this License, you may choose any version\n		  ever published (not as a draft) by the Free Software Foundation.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the\n		GNU Free Documentation License, Version 1.1 or any later version\n		published by the Free Software Foundation; with the Invariant Sections\n		being LIST THEIR TITLES, with the Front-Cover Texts being LIST,\n		and with the Back-Cover Texts being LIST. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have no Invariant Sections, write &quot;with no Invariant\n		Sections&quot; instead of saying which ones are invariant. If you have\n		no Front-Cover Texts, write &quot;no Front-Cover Texts&quot; instead of\n		&quot;Front-Cover Texts being LIST&quot;; likewise for Back-Cover Texts.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  <p>\n		Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>.\n		Permission is granted to copy,\n		distribute and/or modify this document under the terms of the\n		GNU Free Documentation License, Version 1.1 or any later version\n		published by the Free Software Foundation; with no Invariant\n		Sections, with no Front-Cover Texts, and with no Back-Cover Texts.\n		A copy of the license is included in the section entitled &quot;GNU Free\n		Documentation License&quot;.\n	  </p>\n\n	"
		self.python_name = "GFDL11noinvariantsorlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class OFL10noRFN:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "SIL OPEN FONT LICENSE\n\nVersion 1.0 - 22 November 2005\n\nPREAMBLE\n\nThe goals of the Open Font License (OFL) are to stimulate worldwide development of cooperative font projects, to support the font creation efforts of academic and linguistic communities, and to provide an open framework in which fonts may be shared and improved in partnership with others.\n\nThe OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded, redistributed and sold with any software provided that the font names of derivative works are changed. The fonts and derivatives, however, cannot be released under any other type of license.\n\nDEFINITIONS\n\n\"Font Software\" refers to any and all of the following:\n\n	 - font files\n	 - data files\n	 - source code\n	 - build scripts\n	 - documentation\n\n\"Reserved Font Name\" refers to the Font Software name as seen by users and any other names as specified after the copyright statement.\n\n\"Standard Version\" refers to the collection of Font Software components as distributed by the Copyright Holder.\n\n\"Modified Version\" refers to any derivative font software made by adding to, deleting, or substituting \u2014 in part or in whole -- any of the components of the Standard Version, by changing formats or by porting the Font Software to a new environment.\n\n\"Author\" refers to any designer, engineer, programmer, technical writer or other person who contributed to the Font Software.\n\nPERMISSION & CONDITIONS\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the Font Software, subject to the following conditions:\n\n1) Neither the Font Software nor any of its individual components, in Standard or Modified Versions, may be sold by itself.\n\n2) Standard or Modified Versions of the Font Software may be bundled, redistributed and sold with any software, provided that each copy contains the above copyright notice and this license. These can be included either as stand-alone text files, human-readable headers or in the appropriate machine-readable metadata fields within text or binary files as long as those fields can be easily viewed by the user.\n\n3) No Modified Version of the Font Software may use the Reserved Font Name(s), in part or in whole, unless explicit written permission is granted by the Copyright Holder. This restriction applies to all references stored in the Font Software, such as the font menu name and other font description fields, which are used to differentiate the font from others.\n\n4) The name(s) of the Copyright Holder or the Author(s) of the Font Software shall not be used to promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s) of the Copyright Holder and the Author(s) or with their explicit written permission.\n\n5) The Font Software, modified or unmodified, in part or in whole, must be distributed using this license, and may not be distributed under any other license.\n\nTERMINATION\n\nThis license becomes null and void if any of the above conditions are not met.\n\nDISCLAIMER\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>SIL OPEN FONT LICENSE\n\nVersion 1.0 - 22 November 2005\n\n<<endOptional>>\n\nPREAMBLE\n\nThe goals of the Open Font License (OFL) are to stimulate worldwide development of cooperative font projects, to support the font creation efforts of academic and linguistic communities, and to provide an open framework in which fonts may be shared and improved in partnership with others.\n\nThe OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded, redistributed and sold with any software provided that the font names of derivative works are changed. The fonts and derivatives, however, cannot be released under any other type of license.\n\nDEFINITIONS\n\n\"Font Software\" refers to any and all of the following:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> font files\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> data files\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> source code\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> build scripts\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> documentation\n\n\"Reserved Font Name\" refers to the Font Software name as seen by users and any other names as specified after the copyright statement.\n\n\"Standard Version\" refers to the collection of Font Software components as distributed by the Copyright Holder.\n\n\"Modified Version\" refers to any derivative font software made by adding to, deleting, or substituting \u2014 in part or in whole -- any of the components of the Standard Version, by changing formats or by porting the Font Software to a new environment.\n\n\"Author\" refers to any designer, engineer, programmer, technical writer or other person who contributed to the Font Software.\n\nPERMISSION & CONDITIONS\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of the Font Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and unmodified copies of the Font Software, subject to the following conditions:\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Neither the Font Software nor any of its individual components, in Standard or Modified Versions, may be sold by itself.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Standard or Modified Versions of the Font Software may be bundled, redistributed and sold with any software, provided that each copy contains the above copyright notice and this license. These can be included either as stand-alone text files, human-readable headers or in the appropriate machine-readable metadata fields within text or binary files as long as those fields can be easily viewed by the user.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> No Modified Version of the Font Software may use the Reserved Font Name(s), in part or in whole, unless explicit written permission is granted by the Copyright Holder. This restriction applies to all references stored in the Font Software, such as the font menu name and other font description fields, which are used to differentiate the font from others.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> The name(s) of the Copyright Holder or the Author(s) of the Font Software shall not be used to promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s) of the Copyright Holder and the Author(s) or with their explicit written permission.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> The Font Software, modified or unmodified, in part or in whole, must be distributed using this license, and may not be distributed under any other license.\n\nTERMINATION\n\nThis license becomes null and void if any of the above conditions are not met.\n\nDISCLAIMER\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n\n"
		self.name = "SIL Open Font License 1.0 with no Reserved Font Name"
		self.licenseComments = "This license has been superseded. This license was released in November 2005. The identifier OFL-1.0-no-RFN should only be used when there is no Reserved Font Name. See OFL-1.0 and OFL-1.0-RFN for alternatives."
		self.licenseId = "OFL-1.0-no-RFN"
		self.crossRef = [{"match": "True", "url": "http://scripts.sil.org/cms/scripts/page.php?item_id=OFL10_web", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:02Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://scripts.sil.org/cms/scripts/page.php?item_id=OFL10_web"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>SIL OPEN FONT LICENSE</p>\n\n		 <p>Version 1.0 - 22 November 2005</p>\n\n	  </div>\n	  <p>PREAMBLE</p>\n\n	  <p>The goals of the Open Font License (OFL) are to stimulate worldwide development of cooperative font\n		 projects, to support the font creation efforts of academic and linguistic communities, and to provide\n		 an open framework in which fonts may be shared and improved in partnership with others.</p>\n\n	  <p>The OFL allows the licensed fonts to be used, studied, modified and redistributed freely as long as they\n		 are not sold by themselves. The fonts, including any derivative works, can be bundled, embedded,\n		 redistributed and sold with any software provided that the font names of derivative works are changed.\n		 The fonts and derivatives, however, cannot be released under any other type of license.</p>\n\n	  <p>DEFINITIONS</p>\n\n	  <p>&quot;Font Software&quot; refers to any and all of the following:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  font files\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  data files\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  source code\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  build scripts\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  documentation\n		</li>\n	  \n</ul>\n	  <p>&quot;Reserved Font Name&quot; refers to the Font Software name as seen by users and any other names as\n		 specified after the copyright statement.</p>\n\n	  <p>&quot;Standard Version&quot; refers to the collection of Font Software components as distributed by the\n		 Copyright Holder.</p>\n\n	  <p>&quot;Modified Version&quot; refers to any derivative font software made by adding to, deleting, or\n		 substituting \u2014 in part or in whole -- any of the components of the Standard Version, by\n		 changing formats or by porting the Font Software to a new environment.</p>\n\n	  <p>&quot;Author&quot; refers to any designer, engineer, programmer, technical writer or other person who\n		 contributed to the Font Software.</p>\n\n	  <p>PERMISSION &amp; CONDITIONS</p>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of the Font\n		 Software, to use, study, copy, merge, embed, modify, redistribute, and sell modified and\n		 unmodified copies of the Font Software, subject to the following conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Neither the Font Software nor any of its individual components, in Standard or Modified Versions,\n			 may be sold by itself.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Standard or Modified Versions of the Font Software may be bundled, redistributed and sold with\n			 any software, provided that each copy contains the above copyright notice and this license.\n			 These can be included either as stand-alone text files, human-readable headers or in the\n			 appropriate machine-readable metadata fields within text or binary files as long as those\n			 fields can be easily viewed by the user.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  No Modified Version of the Font Software may use the Reserved Font Name(s), in part or in whole,\n			 unless explicit written permission is granted by the Copyright Holder. This restriction\n			 applies to all references stored in the Font Software, such as the font menu name and other\n			 font description fields, which are used to differentiate the font from others.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  The name(s) of the Copyright Holder or the Author(s) of the Font Software shall not be used to\n			 promote, endorse or advertise any Modified Version, except to acknowledge the contribution(s)\n			 of the Copyright Holder and the Author(s) or with their explicit written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  The Font Software, modified or unmodified, in part or in whole, must be distributed using this\n			 license, and may not be distributed under any other license.\n		</li>\n	  \n</ul>\n	  <p>TERMINATION</p>\n\n	  <p>This license becomes null and void if any of the above conditions are not met.</p>\n\n	  <p>DISCLAIMER</p>\n\n	  <p>THE FONT SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT\n		 NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT\n		 OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR\n		 ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR\n		 CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE\n		 USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.</p>\n\n	"
		self.python_name = "OFL10noRFN"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYSA30IGO:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-ShareAlike 3.0 IGO\n\nCREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE. THE LICENSOR IS NOT NECESSARILY AN INTERGOVERNMENTAL ORGANIZATION (IGO), AS DEFINED IN THE LICENSE BELOW. \n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"LICENSE\"). THE LICENSOR (DEFINED BELOW) HOLDS COPYRIGHT AND OTHER RIGHTS IN THE WORK. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION FOR YOUR ACCEPTANCE AND AGREEMENT TO THE TERMS OF THE LICENSE.\n\n1. Definitions\n\n	a. \"IGO\" means, solely and exclusively for purposes of this License, an organization established by a treaty or other instrument governed by international law and possessing its own international legal personality. Other organizations established to carry out activities across national borders and that accordingly enjoy immunity from legal process are also IGOs for the sole and exclusive purposes of this License. IGOs may include as members, in addition to states, other entities.\n\n	b. \"Work\" means the literary and/or artistic work eligible for copyright protection, whatever may be the mode or form of its expression including digital form, and offered under the terms of this License. It is understood that a database, which by reason of the selection and arrangement of its contents constitutes an intellectual creation, is considered a Work.\n\n	c. \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License and may be, but is not necessarily, an IGO.\n\n	d. \"You\" means an individual or entity exercising rights under this License.\n\n	e. \"License Elements\" means the following high-level license attributes as selected by the Licensor and indicated in the title of this License: Attribution, ShareAlike.\n\n	f. \"Reproduce\" means to make a copy of the Work in any manner or form, and by any means.\n\n	g. \"Distribute\" means the activity of making publicly available the Work or Adaptation (or copies of the Work or Adaptation), as applicable, by sale, rental, public lending or any other known form of transfer of ownership or possession of the Work or copy of the Work.\n\t\n	h. \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	i. \"Adaptation\" means a work derived from or based upon the Work, or upon the Work and other pre-existing works. Adaptations may include works such as translations, derivative works, or any alterations and arrangements of any kind involving the Work. For purposes of this License, where the Work is a musical work, performance, or phonogram, the synchronization of the Work in timed-relation with a moving image is an Adaptation. For the avoidance of doubt, including the Work in a Collection is not an Adaptation.\n\n	j. \"Collection\" means a collection of literary or artistic works or other works or subject matter other than works listed in Section 1(b) which by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. For the avoidance of doubt, a Collection will not be considered as an Adaptation.\n\n	k. \"Creative Commons Compatible License\" means a license that is listed at https://creativecommons.org/compatiblelicenses that has been approved by Creative Commons as being essentially equivalent to this License, including, at a minimum, because that license: (i) contains terms that have the same purpose, meaning and effect as the License Elements of this License; and, (ii) explicitly permits the relicensing of adaptations of works made available under that license under this License or a Creative Commons jurisdiction license with the same License Elements as this License.\n\n2. Scope of this License. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright protection.\n\n3. License Grant. Subject to the terms and conditions of this License, the Licensor hereby grants You a worldwide, royalty-free, non-exclusive license to exercise the rights in the Work as follows:\n\n	a. to Reproduce, Distribute and Publicly Perform the Work, to incorporate the Work into one or more Collections, and to Reproduce, Distribute and Publicly Perform the Work as incorporated in the Collections; and,\n\n	b. to create, Reproduce, Distribute and Publicly Perform Adaptations, provided that You clearly label, demarcate or otherwise identify that changes were made to the original Work.\n\n	c. For the avoidance of doubt:\n\n		i. Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		ii. Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,\n\n		ii. Voluntary License Schemes. To the extent possible, the Licensor waives the right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary licensing scheme.\n\nThis License lasts for the duration of the term of the copyright in the Work licensed by the Licensor. The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by the Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	a. You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work (see section 8(a)). You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from a Licensor You must, to the extent practicable, remove from the Collection any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(c), as requested. If You create an Adaptation, upon notice from a Licensor You must, to the extent practicable, remove from the Adaptation any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(c), as requested.\n\n	b. You may Distribute or Publicly Perform an Adaptation only under the terms of: (i) this License; (ii) a later version of this License with the same License Elements as this License; (iii) either the unported Creative Commons license or a ported Creative Commons license (either this or a later license version) containing the same License Elements; or (iv) a Creative Commons Compatible License. If You license the Adaptation under one of the licenses mentioned in (iv), You must comply with the terms of that license. If you license the Adaptation under the terms of any of the licenses mentioned in (i), (ii) or (iii) (the \"Applicable License\"), You must comply with terms of the Applicable License generally and the following provisions: (I) You must include a copy of, or the URI for, the Applicable License with every copy of each Adaptation You Distribute or Publicly Perform. (II) You may not offer or impose any terms on the Adaptation that restrict the terms of the Applicable License or the ability of the recipient of the Adaptation to exercise the rights granted to that recipient under the terms of the Applicable License. (III) You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work as included in the Adaptation You Distribute or Publicly Perform. (IV) When You Distribute or Publicly Perform the Adaptation, You may not impose any effective technological measures on the Adaptation that restrict the ability of a recipient of the Adaptation from You to exercise the rights granted to that recipient under the terms of the Applicable License. This Section 4(b) applies to the Adaptation as incorporated in a Collection, but this does not require the Collection apart from the Adaptation itself to be made subject to the terms of the Applicable License.\n\n	c. If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) any attributions that the Licensor indicates be associated with the Work as indicated in a copyright notice, (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation. The credit required by this Section 4(c) may be implemented in any reasonable manner; provided, however, that in the case of an Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributors to the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Licensor or others designated for attribution, of You or Your use of the Work, without the separate, express prior written permission of the Licensor or such others.\n\n	d. Except as otherwise agreed in writing by the Licensor, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the honor or reputation of the Licensor where moral rights apply.\n\n5. Representations, Warranties and Disclaimer\n\nTHE LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.\n\n6. Limitation on Liability\n\nIN NO EVENT WILL THE LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	a. Subject to the terms and conditions set forth in this License, the license granted here lasts for the duration of the term of the copyright in the Work licensed by the Licensor as stated in Section 3. Notwithstanding the above, the Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated below.\n\n	b. If You fail to comply with this License, then this License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License. Notwithstanding the foregoing, this License reinstates automatically as of the date the violation is cured, provided it is cured within 30 days of You discovering the violation, or upon express reinstatement by the Licensor. For the avoidance of doubt, this Section 7(b) does not affect any rights the Licensor may have to seek remedies for violations of this License by You.\n\n8. Miscellaneous\n\n	a. Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	b. Each time You Distribute or Publicly Perform an Adaptation, the Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\t\n	c. If any provision of this License is invalid or unenforceable, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\t\n	d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the Licensor.\n\n	e. This License constitutes the entire agreement between You and the Licensor with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	f. The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). Interpretation of the scope of the rights granted by the Licensor and the conditions imposed on You under this License, this License, and the rights and conditions set forth herein shall be made with reference to copyright as determined in accordance with general principles of international law, including the above mentioned conventions.\n\n	g. Nothing in this License constitutes or may be interpreted as a limitation upon or waiver of any privileges and immunities that may apply to the Licensor or You, including immunity from the legal processes of any jurisdiction, national court or other authority.\n\n	h. Where the Licensor is an IGO, any and all disputes arising under this License that cannot be settled amicably shall be resolved in accordance with the following procedure:\n\n		i. Pursuant to a notice of mediation communicated by reasonable means by either You or the Licensor to the other, the dispute shall be submitted to non-binding mediation conducted in accordance with rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with those communicated in the notice of mediation. The language used in the mediation proceedings shall be English unless otherwise agreed.\n\n		ii. If any such dispute has not been settled within 45 days following the date on which the notice of mediation is provided, either You or the Licensor may, pursuant to a notice of arbitration communicated by reasonable means to the other, elect to have the dispute referred to and finally determined by arbitration. The arbitration shall be conducted in accordance with the rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with the UNCITRAL Arbitration Rules as then in force. The arbitral tribunal shall consist of a sole arbitrator and the language of the proceedings shall be English unless otherwise agreed. The place of arbitration shall be where the Licensor has its headquarters. The arbitral proceedings shall be conducted remotely (e.g., via telephone conference or written submissions) whenever practicable.\n\n		iii. Interpretation of this License in any dispute submitted to mediation or arbitration shall be as set forth in Section 8(f), above.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of the Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-ShareAlike 3.0 IGO\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE. THE LICENSOR IS NOT NECESSARILY AN INTERGOVERNMENTAL ORGANIZATION (IGO), AS DEFINED IN THE LICENSE BELOW.\n\n<<endOptional>><<beginOptional>> License\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"LICENSE\"). THE LICENSOR (DEFINED BELOW) HOLDS COPYRIGHT AND OTHER RIGHTS IN THE WORK. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION FOR YOUR ACCEPTANCE AND AGREEMENT TO THE TERMS OF THE LICENSE.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"IGO\" means, solely and exclusively for purposes of this License, an organization established by a treaty or other instrument governed by international law and possessing its own international legal personality. Other organizations established to carry out activities across national borders and that accordingly enjoy immunity from legal process are also IGOs for the sole and exclusive purposes of this License. IGOs may include as members, in addition to states, other entities.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Work\" means the literary and/or artistic work eligible for copyright protection, whatever may be the mode or form of its expression including digital form, and offered under the terms of this License. It is understood that a database, which by reason of the selection and arrangement of its contents constitutes an intellectual creation, is considered a Work.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License and may be, but is not necessarily, an IGO.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"License Elements\" means the following high-level license attributes as selected by the Licensor and indicated in the title of this License: Attribution, ShareAlike.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Reproduce\" means to make a copy of the Work in any manner or form, and by any means.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"Distribute\" means the activity of making publicly available the Work or Adaptation (or copies of the Work or Adaptation), as applicable, by sale, rental, public lending or any other known form of transfer of ownership or possession of the Work or copy of the Work.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"Adaptation\" means a work derived from or based upon the Work, or upon the Work and other pre-existing works. Adaptations may include works such as translations, derivative works, or any alterations and arrangements of any kind involving the Work. For purposes of this License, where the Work is a musical work, performance, or phonogram, the synchronization of the Work in timed-relation with a moving image is an Adaptation. For the avoidance of doubt, including the Work in a Collection is not an Adaptation.\n\n	  <<var;name=\"bullet\";original=\"j.\";match=\".{0,20}\">> \"Collection\" means a collection of literary or artistic works or other works or subject matter other than works listed in Section 1(b) which by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. For the avoidance of doubt, a Collection will not be considered as an Adaptation.\n\n	  <<var;name=\"bullet\";original=\"k.\";match=\".{0,20}\">> \"Creative Commons Compatible License\" means a license that is listed at https://creativecommons.org/compatiblelicenses that has been approved by Creative Commons as being essentially equivalent to this License, including, at a minimum, because that license: (i) contains terms that have the same purpose, meaning and effect as the License Elements of this License; and, (ii) explicitly permits the relicensing of adaptations of works made available under that license under this License or a Creative Commons jurisdiction license with the same License Elements as this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Scope of this License. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright protection.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, the Licensor hereby grants You a worldwide, royalty-free, non-exclusive license to exercise the rights in the Work as follows:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to Reproduce, Distribute and Publicly Perform the Work, to incorporate the Work into one or more Collections, and to Reproduce, Distribute and Publicly Perform the Work as incorporated in the Collections; and,\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create, Reproduce, Distribute and Publicly Perform Adaptations, provided that You clearly label, demarcate or otherwise identify that changes were made to the original Work.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For the avoidance of doubt:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Voluntary License Schemes. To the extent possible, the Licensor waives the right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary licensing scheme.\n\n   This License lasts for the duration of the term of the copyright in the Work licensed by the Licensor. The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by the Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work (see section 8(a)). You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from a Licensor You must, to the extent practicable, remove from the Collection any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(c), as requested. If You create an Adaptation, upon notice from a Licensor You must, to the extent practicable, remove from the Adaptation any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(c), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may Distribute or Publicly Perform an Adaptation only under the terms of: (i) this License; (ii) a later version of this License with the same License Elements as this License; (iii) either the unported Creative Commons license or a ported Creative Commons license (either this or a later license version) containing the same License Elements; or (iv) a Creative Commons Compatible License. If You license the Adaptation under one of the licenses mentioned in (iv), You must comply with the terms of that license. If you license the Adaptation under the terms of any of the licenses mentioned in (i), (ii) or (iii) (the \"Applicable License\"), You must comply with terms of the Applicable License generally and the following provisions: (I) You must include a copy of, or the URI for, the Applicable License with every copy of each Adaptation You Distribute or Publicly Perform. (II) You may not offer or impose any terms on the Adaptation that restrict the terms of the Applicable License or the ability of the recipient of the Adaptation to exercise the rights granted to that recipient under the terms of the Applicable License. (III) You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work as included in the Adaptation You Distribute or Publicly Perform. (IV) When You Distribute or Publicly Perform the Adaptation, You may not impose any effective technological measures on the Adaptation that restrict the ability of a recipient of the Adaptation from You to exercise the rights granted to that recipient under the terms of the Applicable License. This Section 4(b) applies to the Adaptation as incorporated in a Collection, but this does not require the Collection apart from the Adaptation itself to be made subject to the terms of the Applicable License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) any attributions that the Licensor indicates be associated with the Work as indicated in a copyright notice, (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation. The credit required by this Section 4(c) may be implemented in any reasonable manner; provided, however, that in the case of an Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributors to the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Licensor or others designated for attribution, of You or Your use of the Work, without the separate, express prior written permission of the Licensor or such others.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Except as otherwise agreed in writing by the Licensor, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the honor or reputation of the Licensor where moral rights apply.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   THE LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability\n\n   IN NO EVENT WILL THE LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Subject to the terms and conditions set forth in this License, the license granted here lasts for the duration of the term of the copyright in the Work licensed by the Licensor as stated in Section 3. Notwithstanding the above, the Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated below.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If You fail to comply with this License, then this License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License. Notwithstanding the foregoing, this License reinstates automatically as of the date the violation is cured, provided it is cured within 30 days of You discovering the violation, or upon express reinstatement by the Licensor. For the avoidance of doubt, this Section 7(b) does not affect any rights the Licensor may have to seek remedies for violations of this License by You.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform an Adaptation, the Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the Licensor.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License constitutes the entire agreement between You and the Licensor with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). Interpretation of the scope of the rights granted by the Licensor and the conditions imposed on You under this License, this License, and the rights and conditions set forth herein shall be made with reference to copyright as determined in accordance with general principles of international law, including the above mentioned conventions.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Nothing in this License constitutes or may be interpreted as a limitation upon or waiver of any privileges and immunities that may apply to the Licensor or You, including immunity from the legal processes of any jurisdiction, national court or other authority.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Where the Licensor is an IGO, any and all disputes arising under this License that cannot be settled amicably shall be resolved in accordance with the following procedure:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Pursuant to a notice of mediation communicated by reasonable means by either You or the Licensor to the other, the dispute shall be submitted to non-binding mediation conducted in accordance with rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with those communicated in the notice of mediation. The language used in the mediation proceedings shall be English unless otherwise agreed.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> If any such dispute has not been settled within 45 days following the date on which the notice of mediation is provided, either You or the Licensor may, pursuant to a notice of arbitration communicated by reasonable means to the other, elect to have the dispute referred to and finally determined by arbitration. The arbitration shall be conducted in accordance with the rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with the UNCITRAL Arbitration Rules as then in force. The arbitral tribunal shall consist of a sole arbitrator and the language of the proceedings shall be English unless otherwise agreed. The place of arbitration shall be where the Licensor has its headquarters. The arbitral proceedings shall be conducted remotely (e.g., via telephone conference or written submissions) whenever practicable.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Interpretation of this License in any dispute submitted to mediation or arbitration shall be as set forth in Section 8(f), above.<<beginOptional>> Creative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of the Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n\n<<endOptional>>"
		self.name = "Creative Commons Attribution-ShareAlike 3.0 IGO"
		self.licenseId = "CC-BY-SA-3.0-IGO"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-sa/3.0/igo/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:18Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-sa/3.0/igo/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"optional-license-text\"> \n			<p>Creative Commons Attribution-ShareAlike 3.0 IGO</p>\n\n		 </div>\n		 <div class=\"optional-license-text\"> <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE. THE LICENSOR IS NOT NECESSARILY AN INTERGOVERNMENTAL ORGANIZATION (IGO), AS DEFINED IN THE LICENSE BELOW.</p>\n</div>\n\n		 <div class=\"optional-license-text\"> <p>License</p>\n</div>\n\n		 <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (&quot;LICENSE&quot;). THE LICENSOR (DEFINED BELOW) HOLDS COPYRIGHT AND OTHER RIGHTS IN THE WORK. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE IS PROHIBITED.</p>\n\n		 <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION FOR YOUR ACCEPTANCE AND AGREEMENT TO THE TERMS OF THE LICENSE.</p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var> Definitions\n\n<ul style=\"list-style:none\">\n				  \n<li><var class=\"replaceable-license-text\"> a.</var> &quot;IGO&quot; means, solely and exclusively for purposes of this License, an organization established by a treaty or other instrument governed by international law and possessing its own international legal personality. Other organizations established to carry out activities across national borders and that accordingly enjoy immunity from legal process are also IGOs for the sole and exclusive purposes of this License. IGOs may include as members, in addition to states, other entities.</li>\n				  \n<li><var class=\"replaceable-license-text\"> b.</var> &quot;Work&quot; means the literary and/or artistic work eligible for copyright protection, whatever may be the mode or form of its expression including digital form, and offered under the terms of this License. It is understood that a database, which by reason of the selection and arrangement of its contents constitutes an intellectual creation, is considered a Work.</li>\n				  \n<li><var class=\"replaceable-license-text\"> c.</var> &quot;Licensor&quot; means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License and may be, but is not necessarily, an IGO.</li>\n				  \n<li><var class=\"replaceable-license-text\"> d.</var> &quot;You&quot; means an individual or entity exercising rights under this License.</li>\n				  \n<li><var class=\"replaceable-license-text\"> e.</var> &quot;License Elements&quot; means the following high-level license attributes as selected by the Licensor and indicated in the title of this License: Attribution, ShareAlike.</li>\n				  \n<li><var class=\"replaceable-license-text\"> f.</var> &quot;Reproduce&quot; means to make a copy of the Work in any manner or form, and by any means.</li>\n				  \n<li><var class=\"replaceable-license-text\"> g.</var> &quot;Distribute&quot; means the activity of making publicly available the Work or Adaptation (or copies of the Work or Adaptation), as applicable, by sale, rental, public lending or any other known form of transfer of ownership or possession of the Work or copy of the Work.</li>\n				  \n<li><var class=\"replaceable-license-text\"> h.</var> &quot;Publicly Perform&quot; means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.</li>\n				  \n<li><var class=\"replaceable-license-text\"> i.</var> &quot;Adaptation&quot; means a work derived from or based upon the Work, or upon the Work and other pre-existing works. Adaptations may include works such as translations, derivative works, or any alterations and arrangements of any kind involving the Work. For purposes of this License, where the Work is a musical work, performance, or phonogram, the synchronization of the Work in timed-relation with a moving image is an Adaptation. For the avoidance of doubt, including the Work in a Collection is not an Adaptation.</li>\n				  \n<li><var class=\"replaceable-license-text\"> j.</var> &quot;Collection&quot; means a collection of literary or artistic works or other works or subject matter other than works listed in Section 1(b) which by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. For the avoidance of doubt, a Collection will not be considered as an Adaptation.</li>\n\t\t  \n<li><var class=\"replaceable-license-text\"> k.</var> &quot;Creative Commons Compatible License&quot; means a license that is listed at https://creativecommons.org/compatiblelicenses that has been approved by Creative Commons as being essentially equivalent to this License, including, at a minimum, because that license: (i) contains terms that have the same purpose, meaning and effect as the License Elements of this License; and, (ii) explicitly permits the relicensing of adaptations of works made available under that license under this License or a Creative Commons jurisdiction license with the same License Elements as this License.</li>\n			   \n</ul>\n			</li>\n\n<li><var class=\"replaceable-license-text\"> 2.</var> Scope of this License. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright protection.</li>\n\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var> License Grant. Subject to the terms and conditions of this License, the Licensor hereby grants You a worldwide, royalty-free, non-exclusive license to exercise the rights in the Work as follows:\n\n<ul style=\"list-style:none\">\n				  \n<li><var class=\"replaceable-license-text\"> a.</var> to Reproduce, Distribute and Publicly Perform the Work, to incorporate the Work into one or more Collections, and to Reproduce, Distribute and Publicly Perform the Work as incorporated in the Collections; and,</li>\n				  \n<li><var class=\"replaceable-license-text\"> b.</var> to create, Reproduce, Distribute and Publicly Perform Adaptations, provided that You clearly label, demarcate or otherwise identify that changes were made to the original Work.</li>\n				  \n<li><var class=\"replaceable-license-text\"> c.</var> For the avoidance of doubt:\n					 \n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> i.</var> Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;</li>\n						\n<li><var class=\"replaceable-license-text\"> ii.</var> Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,</li>\n						\n<li><var class=\"replaceable-license-text\"> iii.</var> Voluntary License Schemes. To the extent possible, the Licensor waives the right to collect royalties from You for the exercise of the Licensed Rights, whether directly or through a collecting society under any voluntary licensing scheme.</li>\n					 \n</ul>\n				  </li>\n			   \n</ul>\n			   <p>This License lasts for the duration of the term of the copyright in the Work licensed by the Licensor. The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. All rights not expressly granted by the Licensor are hereby reserved.</p>\n\n			</li>\n\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n<ul style=\"list-style:none\">\n				  \n<li><var class=\"replaceable-license-text\"> a.</var> You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work (see section 8(a)). You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from a Licensor You must, to the extent practicable, remove from the Collection any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(c), as requested. If You create an Adaptation, upon notice from a Licensor You must, to the extent practicable, remove from the Adaptation any credit (inclusive of any logo, trademark, official mark or official emblem) as required by Section 4(c), as requested.</li>\n				  \n<li><var class=\"replaceable-license-text\"> b.</var> You may Distribute or Publicly Perform an Adaptation only under the terms of: (i) this License; (ii) a later version of this License with the same License Elements as this License; (iii) either the unported Creative Commons license or a ported Creative Commons license (either this or a later license version) containing the same License Elements; or (iv) a Creative Commons Compatible License. If You license the Adaptation under one of the licenses mentioned in (iv), You must comply with the terms of that license. If you license the Adaptation under the terms of any of the licenses mentioned in (i), (ii) or (iii) (the &quot;Applicable License&quot;), You must comply with terms of the Applicable License generally and the following provisions: (I) You must include a copy of, or the URI for, the Applicable License with every copy of each Adaptation You Distribute or Publicly Perform. (II) You may not offer or impose any terms on the Adaptation that restrict the terms of the Applicable License or the ability of the recipient of the Adaptation to exercise the rights granted to that recipient under the terms of the Applicable License. (III) You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work as included in the Adaptation You Distribute or Publicly Perform. (IV) When You Distribute or Publicly Perform the Adaptation, You may not impose any effective technological measures on the Adaptation that restrict the ability of a recipient of the Adaptation from You to exercise the rights granted to that recipient under the terms of the Applicable License. This Section 4(b) applies to the Adaptation as incorporated in a Collection, but this does not require the Collection apart from the Adaptation itself to be made subject to the terms of the Applicable License.</li>\n				  \n<li><var class=\"replaceable-license-text\"> c.</var> If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) any attributions that the Licensor indicates be associated with the Work as indicated in a copyright notice, (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that the Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation. The credit required by this Section 4(c) may be implemented in any reasonable manner; provided, however, that in the case of an Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributors to the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Licensor or others designated for attribution, of You or Your use of the Work, without the separate, express prior written permission of the Licensor or such others.</li>\n				  \n<li><var class=\"replaceable-license-text\"> d.</var> Except as otherwise agreed in writing by the Licensor, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the honor or reputation of the Licensor where moral rights apply.</li>\n			   \n</ul>\n			</li>\n\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var> Representations, Warranties and Disclaimer\n\n			   <p>THE LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.</p>\n\n			</li>\n\n<li>\n			   <var class=\"replaceable-license-text\"> 6.</var> Limitation on Liability\n\n			   <p>IN NO EVENT WILL THE LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p>\n\n			</li>\n\n<li>\n			   <var class=\"replaceable-license-text\"> 7.</var> Termination\n\n<ul style=\"list-style:none\">\n				  \n<li><var class=\"replaceable-license-text\"> a.</var> Subject to the terms and conditions set forth in this License, the license granted here lasts for the duration of the term of the copyright in the Work licensed by the Licensor as stated in Section 3. Notwithstanding the above, the Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated below.</li>\n				  \n<li><var class=\"replaceable-license-text\"> b.</var> If You fail to comply with this License, then this License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License. Notwithstanding the foregoing, this License reinstates automatically as of the date the violation is cured, provided it is cured within 30 days of You discovering the violation, or upon express reinstatement by the Licensor. For the avoidance of doubt, this Section 7(b) does not affect any rights the Licensor may have to seek remedies for violations of this License by You.</li>\n			   \n</ul>\n			</li>\n\n<li>\n			   <var class=\"replaceable-license-text\"> 8.</var> Miscellaneous\n\n<ul style=\"list-style:none\">\n				  \n<li><var class=\"replaceable-license-text\"> a.</var> Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.</li>\n				  \n<li><var class=\"replaceable-license-text\"> b.</var> Each time You Distribute or Publicly Perform an Adaptation, the Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.</li>\n				  \n<li><var class=\"replaceable-license-text\"> c.</var> If any provision of this License is invalid or unenforceable, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.</li>\n				  \n<li><var class=\"replaceable-license-text\"> d.</var> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the Licensor.</li>\n				  \n<li><var class=\"replaceable-license-text\"> e.</var> This License constitutes the entire agreement between You and the Licensor with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. The Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.</li>\n				  \n<li><var class=\"replaceable-license-text\"> f.</var> The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). Interpretation of the scope of the rights granted by the Licensor and the conditions imposed on You under this License, this License, and the rights and conditions set forth herein shall be made with reference to copyright as determined in accordance with general principles of international law, including the above mentioned conventions.</li>\n				  \n<li><var class=\"replaceable-license-text\"> g.</var> Nothing in this License constitutes or may be interpreted as a limitation upon or waiver of any privileges and immunities that may apply to the Licensor or You, including immunity from the legal processes of any jurisdiction, national court or other authority.</li>\n				  \n<li><var class=\"replaceable-license-text\"> h.</var> Where the Licensor is an IGO, any and all disputes arising under this License that cannot be settled amicably shall be resolved in accordance with the following procedure:\n					 \n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> i.</var> Pursuant to a notice of mediation communicated by reasonable means by either You or the Licensor to the other, the dispute shall be submitted to non-binding mediation conducted in accordance with rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with those communicated in the notice of mediation. The language used in the mediation proceedings shall be English unless otherwise agreed.</li>\n						\n<li><var class=\"replaceable-license-text\"> ii.</var> If any such dispute has not been settled within 45 days following the date on which the notice of mediation is provided, either You or the Licensor may, pursuant to a notice of arbitration communicated by reasonable means to the other, elect to have the dispute referred to and finally determined by arbitration. The arbitration shall be conducted in accordance with the rules designated by the Licensor in the copyright notice published with the Work, or if none then in accordance with the UNCITRAL Arbitration Rules as then in force. The arbitral tribunal shall consist of a sole arbitrator and the language of the proceedings shall be English unless otherwise agreed. The place of arbitration shall be where the Licensor has its headquarters. The arbitral proceedings shall be conducted remotely (e.g., via telephone conference or written submissions) whenever practicable.</li>\n						\n<li><var class=\"replaceable-license-text\"> iii.</var> Interpretation of this License in any dispute submitted to mediation or arbitration shall be as set forth in Section 8(f), above.</li>\n					 \n</ul>\n				  </li>\n			   \n</ul>\n			</li>\n		 \n</ul>\n\n		 <div class=\"optional-license-text\"> \n			<p>Creative Commons Notice</p>\n\n			<p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of the Licensor.</p>\n\n			<p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark &quot;Creative Commons&quot; or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.</p>\n\n			<p>Creative Commons may be contacted at https://creativecommons.org/.</p>\n\n		 </div>\n\n	  "
		self.python_name = "CCBYSA30IGO"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSDSourceCode:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2011, Deusty, LLC\nAll rights reserved.\n\nRedistribution and use of this software in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 * Neither the name of Deusty nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission of Deusty, LLC.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2011, Deusty, LLC  All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use of this software in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Neither the name of <<var;name=\"organizationClause3\";original=\"Deusty\";match=\".+\">> nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission of <<var;name=\"organizationClause2\";original=\"Deusty, LLC.\";match=\".+\">>\n\nTHIS SOFTWARE IS PROVIDED BY <<var;name=\"copyrightHolderAsIs\";original=\"THE COPYRIGHT HOLDERS AND CONTRIBUTORS\";match=\".+\">> \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <<var;name=\"copyrightHolderLiability\";original=\"THE COPYRIGHT HOLDER OR CONTRIBUTORS\";match=\".+\">> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD Source Code Attribution"
		self.licenseId = "BSD-Source-Code"
		self.crossRef = [{"match": "False", "url": "https://github.com/robbiehanson/CocoaHTTPServer/blob/master/LICENSE.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:10Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/robbiehanson/CocoaHTTPServer/blob/master/LICENSE.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2011, Deusty, LLC\n			<br />\n\nAll rights reserved.\n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use of this software in source and binary\n		 forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Redistributions of source code must retain the above\n			 copyright notice, this list of conditions and the\n			 following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n		  Neither the name of\n			<var class=\"replaceable-license-text\"> \n			Deusty</var> nor the names of its contributors may be\n			used to endorse or promote products derived from this\n			software without specific prior written permission of\n			<var class=\"replaceable-license-text\"> Deusty, LLC.\n			</var>\n\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY\n		<var class=\"replaceable-license-text\"> THE COPYRIGHT HOLDERS\n		AND CONTRIBUTORS</var> &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED\n		WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\n		WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL\n		<var class=\"replaceable-license-text\"> THE COPYRIGHT\n		HOLDER OR CONTRIBUTORS</var> BE LIABLE FOR ANY DIRECT, INDIRECT,\n		INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n		(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\n		OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n		WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n		THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\n		DAMAGE.\n	  </p>\n\n	"
		self.python_name = "BSDSourceCode"

	def __str__(self):
		return json.dumps(self.__dict__)


class LPPL12:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The LaTeX Project Public License\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n\nLPPL Version 1.2 1999-09-03\n\nCopyright 1999 LaTeX3 Project\n\nEveryone is allowed to distribute verbatim copies of this license document, but modification of it is not allowed.\n\nPREAMBLE\n========\n\nThe LaTeX Project Public License (LPPL) is the license under which the base LaTeX distribution is distributed.\n\nYou may use this license for any program that you have written and wish to distribute. This license may be particularly suitable if your program is TeX-related (such as a LaTeX package), but you may use it even if your program is unrelated to TeX. The section `WHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER THIS LICENSE', below, gives instructions, examples, and recommendations for authors who are considering distributing their programs under this license.\n\nIn this license document, `The Program' refers to any program distributed under this license.\n\nThis license gives conditions under which The Program may be distributed and conditions under which modified versions of The Program may be distributed. Individual files of The Program may bear supplementary and/or superseding conditions on modification of themselves and on the distribution of modified versions of themselves, but *no* file of The Program may bear supplementary or superseding conditions on the distribution of an unmodified copy of the file. A distributor wishing to distribute a complete, unmodified copy of The Program therefore needs to check the conditions only in this license and nowhere else.\n\nActivities other than distribution and/or modification of The Program are not covered by this license; they are outside its scope. In particular, the act of running The Program is not restricted.\n\nWe, the LaTeX3 Project, believe that the conditions below give you the freedom to make and distribute modified versions of The Program that conform with whatever technical specifications you wish while maintaining the availability, integrity, and reliability of The Program. If you do not see how to achieve your goal while meeting these conditions, then read the document `cfgguide.tex' in the base LaTeX distribution for suggestions.\n\nCONDITIONS ON DISTRIBUTION AND MODIFICATION\n===========================================\n\nYou may distribute a complete, unmodified copy of The Program. Distribution of only part of The Program is not allowed.\n\nYou may not modify in any way a file of The Program that bears a legal notice forbidding modification of that file.\n\nYou may distribute a modified file of The Program if, and only if, the following eight conditions are met:\n\n	 1. You must meet any additional conditions borne by the file on the distribution of a modified version of the file as described below in the subsection `Additional Conditions on Individual Files of The Program'.\n\n	 2. If the file is a LaTeX software file, then you must meet any applicable additional conditions on the distribution of a modified version of the file that are described below in the subsection `Additional Conditions on LaTeX Software Files'.\n\n	 3. You must not distribute the modified file with the filename of the original file.\n\n	 4. In the modified file, you must acknowledge the authorship and name of the original file, and the name (if any) of the program which contains it.\n\n	 5. You must change any identification string in the file to indicate clearly that the modified file is not part of The Program.\n\n	 6. You must change any addresses in the modified file for the reporting of errors in the file or in The Program generally to ensure that reports for files no longer maintained by the original maintainers will be directed to the maintainers of the modified files.\n\n	 7. You must distribute the modified file under a license that forbids distribution both of the modified file and of any files derived from the modified file with the filename of the original file.\n\n	 8. You must do either (A) or (B):\n\n		  (A) distribute a copy of The Program (that is, a complete, unmodified copy of The Program) together with the modified file; if your distribution of the modified file is made by offering access to copy the modified file from a designated place, then offering equivalent access to copy The Program from the same place meets this condition, even though third parties are not compelled to copy The Program along with the modified file;\n\n		  (B) provide to those who receive the modified file information that is sufficient for them to obtain a copy of The Program; for example, you may provide a Uniform Resource Locator (URL) for a site that you expect will provide them with a copy of The Program free of charge (either the version from which your modification is derived, or perhaps a later version).\n\nNote that in the above, `distribution' of a file means making the file available to others by any means. This includes, for instance, installing the file on any machine in such a way that the file is accessible by users other than yourself. `Modification' of a file means any procedure that produces a derivative file under any applicable law -- that is, a file containing the original file or a significant portion of it, either verbatim or with modifications and/or translated into another language.\n\nChanging the name of a file (other than as necessitated by the file conventions of the target file systems) is considered to be a modification of the file.\n\nThe distribution conditions in this license do not have to be applied to files that have been modified in accordance with the above conditions. Note, however, that Condition 7. does apply to any such modified file.\n\nThe conditions above are not intended to prohibit, and hence do not apply to, the updating, by any method, of a file so that it becomes identical to the latest version of that file of The Program.\n\n\nA Recommendation on Modification Without Distribution -----------------------------------------------------\n\nIt is wise never to modify a file of The Program, even for your own personal use, without also meeting the above eight conditions for distributing the modified file. While you might intend that such modified files will never be distributed, often this will happen by accident -- you may forget that you have modified the file; or it may not occur to you when allowing others to access the modified file that you are thus distributing it and violating the conditions of this license. It is usually in your best interest to keep your copy of The Program identical with the public one. Many programs provide ways to control the behavior of that program without altering its licensed files.\n\nAdditional Conditions on Individual Files of The Program --------------------------------------------------------\n\nAn individual file of The Program may bear additional conditions that supplement and/or supersede the conditions in this license if, and only if, such additional conditions exclusively concern modification of the file or distribution of a modified version of the file. The conditions on individual files of The Program therefore may differ only with respect to the kind and extent of modification of those files that is allowed, and with respect to the distribution of modified versions of those files.\n\nAdditional Conditions on LaTeX Software Files\n---------------------------------------------\n\nIf a file of The Program is intended to be used with LaTeX (that is, if it is a LaTeX software file), then the following additional conditions, which supplement and/or supersede the conditions above, apply to the file according to its filename extension:\n\n	 - You may not modify any file with filename extension `.ins' since these are installation files containing the legal notices that are placed in the files they generate.\n\n	 - You may distribute modified versions of files with filename extension `.fd' (LaTeX font definition files) under the standard conditions of the LPPL as described above. You may also distribute such modified LaTeX font definition files with their original names provided that:\n		  (1) the only changes to the original files either enable use of available fonts or prevent attempts to access unavailable fonts;\n		  (2) you also distribute the original, unmodified files (TeX input paths can be used to control which set of LaTeX font definition files is actually used by TeX).\n\n	 - You may distribute modified versions of files with filename extension `.cfg' (configuration files) with their original names. The Program may (and usually will) specify the range of commands that are allowed in a particular configuration file.\n\nBecause of portability and exchangeability issues in LaTeX software, The LaTeX3 Project deprecates the distribution of modified versions of components of LaTeX or of generally available contributed code for them, but such distribution can meet the conditions of this license.\n\nNO WARRANTY\n===========\n\nThere is no warranty for The Program. Except when otherwise stated in writing, The Copyright Holder provides The Program `as is', without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of The Program is with you. Should The Program prove defective, you assume the cost of all necessary servicing, repair, or correction.\n\nIn no event unless agreed to in writing will The Copyright Holder, or any author named in the files of The Program, or any other party who may distribute and/or modify The Program as permitted above, be liable to you for damages, including any general, special, incidental or consequential damages arising out of any use of The Program or out of inability to use The Program (including, but not limited to, loss of data, data being rendered inaccurate, or losses sustained by anyone as a result of any failure of The Program to operate with any other programs), even if The Copyright Holder or said author or said other party has been advised of the possibility of such damages.\n\nWHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER THIS LICENSE =========================================================\n\nThis section contains important instructions, examples, and recommendations for authors who are considering distributing their programs under this license. These authors are addressed as `you' in this section.\n\nChoosing This License or Another License\n----------------------------------------\n\nIf for any part of your program you want or need to use *distribution* conditions that differ from those in this license, then do not refer to this license anywhere in your program but instead distribute your program under a different license. You may use the text of this license as a model for your own license, but your license should not refer to the LPPL or otherwise give the impression that your program is distributed under the LPPL.\n\nThe document `modguide.tex' in the base LaTeX distribution explains the motivation behind the conditions of this license. It explains, for example, why distributing LaTeX under the GNU General Public License (GPL) was considered inappropriate. Even if your program is unrelated to LaTeX, the discussion in `modguide.tex' may still be relevant, and authors intending to distribute their programs under any license are encouraged to read it.\n\nHow to Use This License\n-----------------------\n\nTo use this license, place in each of the files of your program both an explicit copyright notice including your name and the year and also a statement that the distribution and/or modification of the file is constrained by the conditions in this license.\n\nHere is an example of such a notice and statement:\n\n	 %% pig.dtx\n	 %% Copyright 2001 M. Y. Name\n	 %\n	 % This program may be distributed and/or modified under the\n	 % conditions of the LaTeX Project Public License, either version 1.2\n	 % of this license or (at your option) any later version.\n	 % The latest version of this license is in\n	 % http://www.latex-project.org/lppl.txt\n	 % and version 1.2 or later is part of all distributions of LaTeX\n	 % version 1999/12/01 or later.\n	 %\n	 % This program consists of the files pig.dtx and pig.ins\n\nGiven such a notice and statement in a file, the conditions given in this license document would apply, with `The Program' referring to the two files `pig.dtx' and `pig.ins', and `The Copyright Holder' referring to the person `M. Y. Name'.\n\nImportant Recommendations\n-------------------------\n\nDefining What Constitutes The Program\n\nThe LPPL requires that distributions of The Program contain all the files of The Program. It is therefore important that you provide a way for the licensee to determine which files constitute The Program. This could, for example, be achieved by explicitly listing all the files of The Program near the copyright notice of each file or by using a line like\n\n	 % This program consists of all files listed in manifest.txt.\n\nin that place. In the absence of an unequivocal list it might be impossible for the licensee to determine what is considered by you to comprise The Program.\n\nNoting Exceptional Files If The Program contains any files bearing additional conditions on modification, or on distribution of modified versions, of those files (other than those listed in `Additional Conditions on LaTeX Software Files'), then it is recommended that The Program contain a prominent file that defines the exceptional conditions, and either lists the exceptional files or defines one or more categories of exceptional files.\n\nFiles containing the text of a license (such as this file) are often examples of files bearing more restrictive conditions on modification. LaTeX configuration files (with filename extension `.cfg') are examples of files bearing less restrictive conditions on the distribution of a modified version of the file. The additional conditions on LaTeX software given above are examples of declaring a category of files bearing exceptional additional conditions.\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>%%<<endOptional>> <<var;name=\"filename\";original=\"pig.dtx\";match=\".+\">>\n\n<<beginOptional>>%%<<endOptional>> Copyright <<var;name=\"copyright\";original=\"2001 M. Y. Name\";match=\".+\">>\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This program may be distributed and/or modified under the\n\n<<beginOptional>>%<<endOptional>> conditions of the LaTeX Project Public License, either version 1.2\n\n<<beginOptional>>%<<endOptional>> of this license or (at your option) any later version.\n\n<<beginOptional>>%<<endOptional>> The latest version of this license is in\n\n<<beginOptional>>%<<endOptional>> http://www.latex-project.org/lppl.txt\n\n<<beginOptional>>%<<endOptional>> and version 1.2 or later is part of all distributions of LaTeX\n\n<<beginOptional>>%<<endOptional>> version 1999/12/01 or later.\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This program consists of the <<var;name=\"filenames\";original=\"files pig.dtx and pig.ins\";match=\".+\">>\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>The LaTeX Project Public License\n\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n\nLPPL Version 1.2 1999-09-03\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 1999 LaTeX3 Project  \";match=\".{0,5000}\">>\n\nEveryone is allowed to distribute verbatim copies of this license document, but modification of it is not allowed.\n\nPREAMBLE\n\n========\n\nThe LaTeX Project Public License (LPPL) is the license under which the base LaTeX distribution is distributed.\n\nYou may use this license for any program that you have written and wish to distribute. This license may be particularly suitable if your program is TeX-related (such as a LaTeX package), but you may use it even if your program is unrelated to TeX. The section `WHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER THIS LICENSE', below, gives instructions, examples, and recommendations for authors who are considering distributing their programs under this license.\n\nIn this license document, `The Program' refers to any program distributed under this license.\n\nThis license gives conditions under which The Program may be distributed and conditions under which modified versions of The Program may be distributed. Individual files of The Program may bear supplementary and/or superseding conditions on modification of themselves and on the distribution of modified versions of themselves, but *no* file of The Program may bear supplementary or superseding conditions on the distribution of an unmodified copy of the file. A distributor wishing to distribute a complete, unmodified copy of The Program therefore needs to check the conditions only in this license and nowhere else.\n\nActivities other than distribution and/or modification of The Program are not covered by this license; they are outside its scope. In particular, the act of running The Program is not restricted.\n\nWe, the LaTeX3 Project, believe that the conditions below give you the freedom to make and distribute modified versions of The Program that conform with whatever technical specifications you wish while maintaining the availability, integrity, and reliability of The Program. If you do not see how to achieve your goal while meeting these conditions, then read the document `cfgguide.tex' in the base LaTeX distribution for suggestions.\n\nCONDITIONS ON DISTRIBUTION AND MODIFICATION\n\n===========================================\n\nYou may distribute a complete, unmodified copy of The Program. Distribution of only part of The Program is not allowed.\n\nYou may not modify in any way a file of The Program that bears a legal notice forbidding modification of that file.\n\nYou may distribute a modified file of The Program if, and only if, the following eight conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You must meet any additional conditions borne by the file on the distribution of a modified version of the file as described below in the subsection `Additional Conditions on Individual Files of The Program'.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> If the file is a LaTeX software file, then you must meet any applicable additional conditions on the distribution of a modified version of the file that are described below in the subsection `Additional Conditions on LaTeX Software Files'.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You must not distribute the modified file with the filename of the original file.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> In the modified file, you must acknowledge the authorship and name of the original file, and the name (if any) of the program which contains it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You must change any identification string in the file to indicate clearly that the modified file is not part of The Program.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> You must change any addresses in the modified file for the reporting of errors in the file or in The Program generally to ensure that reports for files no longer maintained by the original maintainers will be directed to the maintainers of the modified files.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> You must distribute the modified file under a license that forbids distribution both of the modified file and of any files derived from the modified file with the filename of the original file.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> You must do either (A) or (B):\n\n	  <<var;name=\"bullet\";original=\"(A)\";match=\".{0,20}\">> distribute a copy of The Program (that is, a complete, unmodified copy of The Program) together with the modified file; if your distribution of the modified file is made by offering access to copy the modified file from a designated place, then offering equivalent access to copy The Program from the same place meets this condition, even though third parties are not compelled to copy The Program along with the modified file;\n\n	  <<var;name=\"bullet\";original=\"(B)\";match=\".{0,20}\">> provide to those who receive the modified file information that is sufficient for them to obtain a copy of The Program; for example, you may provide a Uniform Resource Locator (URL) for a site that you expect will provide them with a copy of The Program free of charge (either the version from which your modification is derived, or perhaps a later version).\n\nNote that in the above, `distribution' of a file means making the file available to others by any means. This includes, for instance, installing the file on any machine in such a way that the file is accessible by users other than yourself. `Modification' of a file means any procedure that produces a derivative file under any applicable law -- that is, a file containing the original file or a significant portion of it, either verbatim or with modifications and/or translated into another language.\n\nChanging the name of a file (other than as necessitated by the file conventions of the target file systems) is considered to be a modification of the file.\n\nThe distribution conditions in this license do not have to be applied to files that have been modified in accordance with the above conditions. Note, however, that Condition 7. does apply to any such modified file.\n\nThe conditions above are not intended to prohibit, and hence do not apply to, the updating, by any method, of a file so that it becomes identical to the latest version of that file of The Program.\n\nA Recommendation on Modification Without Distribution -----------------------------------------------------\n\nIt is wise never to modify a file of The Program, even for your own personal use, without also meeting the above eight conditions for distributing the modified file. While you might intend that such modified files will never be distributed, often this will happen by accident -- you may forget that you have modified the file; or it may not occur to you when allowing others to access the modified file that you are thus distributing it and violating the conditions of this license. It is usually in your best interest to keep your copy of The Program identical with the public one. Many programs provide ways to control the behavior of that program without altering its licensed files.\n\nAdditional Conditions on Individual Files of The Program --------------------------------------------------------\n\nAn individual file of The Program may bear additional conditions that supplement and/or supersede the conditions in this license if, and only if, such additional conditions exclusively concern modification of the file or distribution of a modified version of the file. The conditions on individual files of The Program therefore may differ only with respect to the kind and extent of modification of those files that is allowed, and with respect to the distribution of modified versions of those files.\n\nAdditional Conditions on LaTeX Software Files\n\n---------------------------------------------\n\nIf a file of The Program is intended to be used with LaTeX (that is, if it is a LaTeX software file), then the following additional conditions, which supplement and/or supersede the conditions above, apply to the file according to its filename extension:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> You may not modify any file with filename extension `.ins' since these are installation files containing the legal notices that are placed in the files they generate.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> You may distribute modified versions of files with filename extension `.fd' (LaTeX font definition files) under the standard conditions of the LPPL as described above. You may also distribute such modified LaTeX font definition files with their original names provided that:\n\n	  <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> the only changes to the original files either enable use of available fonts or prevent attempts to access unavailable fonts;\n\n	  <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> you also distribute the original, unmodified files (TeX input paths can be used to control which set of LaTeX font definition files is actually used by TeX).\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> You may distribute modified versions of files with filename extension `.cfg' (configuration files) with their original names. The Program may (and usually will) specify the range of commands that are allowed in a particular configuration file.\n\nBecause of portability and exchangeability issues in LaTeX software, The LaTeX3 Project deprecates the distribution of modified versions of components of LaTeX or of generally available contributed code for them, but such distribution can meet the conditions of this license.\n\nNO WARRANTY\n\n===========\n\nThere is no warranty for The Program. Except when otherwise stated in writing, The Copyright Holder provides The Program `as is', without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of The Program is with you. Should The Program prove defective, you assume the cost of all necessary servicing, repair, or correction.\n\nIn no event unless agreed to in writing will The Copyright Holder, or any author named in the files of The Program, or any other party who may distribute and/or modify The Program as permitted above, be liable to you for damages, including any general, special, incidental or consequential damages arising out of any use of The Program or out of inability to use The Program (including, but not limited to, loss of data, data being rendered inaccurate, or losses sustained by anyone as a result of any failure of The Program to operate with any other programs), even if The Copyright Holder or said author or said other party has been advised of the possibility of such damages.\n\nWHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER THIS LICENSE =========================================================\n\nThis section contains important instructions, examples, and recommendations for authors who are considering distributing their programs under this license. These authors are addressed as `you' in this section.\n\nChoosing This License or Another License\n\n----------------------------------------\n\nIf for any part of your program you want or need to use *distribution* conditions that differ from those in this license, then do not refer to this license anywhere in your program but instead distribute your program under a different license. You may use the text of this license as a model for your own license, but your license should not refer to the LPPL or otherwise give the impression that your program is distributed under the LPPL.\n\nThe document `modguide.tex' in the base LaTeX distribution explains the motivation behind the conditions of this license. It explains, for example, why distributing LaTeX under the GNU General Public License (GPL) was considered inappropriate. Even if your program is unrelated to LaTeX, the discussion in `modguide.tex' may still be relevant, and authors intending to distribute their programs under any license are encouraged to read it.\n\nHow to Use This License\n\n-----------------------\n\nTo use this license, place in each of the files of your program both an explicit copyright notice including your name and the year and also a statement that the distribution and/or modification of the file is constrained by the conditions in this license.\n\nHere is an example of such a notice and statement:\n\n<<beginOptional>>%%<<endOptional>> <<var;name=\"filename\";original=\"pig.dtx\";match=\".+\">>\n\n<<beginOptional>>%%<<endOptional>> Copyright <<var;name=\"copyright\";original=\"2001 M. Y. Name\";match=\".+\">>\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This program may be distributed and/or modified under the\n\n<<beginOptional>>%<<endOptional>> conditions of the LaTeX Project Public License, either version 1.2\n\n<<beginOptional>>%<<endOptional>> of this license or (at your option) any later version.\n\n<<beginOptional>>%<<endOptional>> The latest version of this license is in\n\n<<beginOptional>>%<<endOptional>> http://www.latex-project.org/lppl.txt\n\n<<beginOptional>>%<<endOptional>> and version 1.2 or later is part of all distributions of LaTeX\n\n<<beginOptional>>%<<endOptional>> version 1999/12/01 or later.\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This program consists of the <<var;name=\"filenames\";original=\"files pig.dtx and pig.ins\";match=\".+\">>\n\nGiven such a notice and statement in a file, the conditions given in this license document would apply, with `The Program' referring to the two files `pig.dtx' and `pig.ins', and `The Copyright Holder' referring to the person `M. Y. Name'.\n\nImportant Recommendations\n\n-------------------------\n\nDefining What Constitutes The Program\n\nThe LPPL requires that distributions of The Program contain all the files of The Program. It is therefore important that you provide a way for the licensee to determine which files constitute The Program. This could, for example, be achieved by explicitly listing all the files of The Program near the copyright notice of each file or by using a line like\n\n% This program consists of all files listed in manifest.txt.\n\nin that place. In the absence of an unequivocal list it might be impossible for the licensee to determine what is considered by you to comprise The Program.\n\nNoting Exceptional Files If The Program contains any files bearing additional conditions on modification, or on distribution of modified versions, of those files (other than those listed in `Additional Conditions on LaTeX Software Files'), then it is recommended that The Program contain a prominent file that defines the exceptional conditions, and either lists the exceptional files or defines one or more categories of exceptional files.\n\nFiles containing the text of a license (such as this file) are often examples of files bearing more restrictive conditions on modification. LaTeX configuration files (with filename extension `.cfg') are examples of files bearing less restrictive conditions on the distribution of a modified version of the file. The additional conditions on LaTeX software given above are examples of declaring a category of files bearing exceptional additional conditions.\n\n"
		self.name = "LaTeX Project Public License v1.2"
		self.licenseComments = "This license was released 3 Sept 1999."
		self.licenseId = "LPPL-1.2"
		self.standardLicenseHeader = "%% pig.dtx\n\n%% Copyright 2001 M. Y. Name\n\n%\n\n% This program may be distributed and/or modified under the\n\n% conditions of the LaTeX Project Public License, either version 1.2\n\n% of this license or (at your option) any later version.\n\n% The latest version of this license is in\n\n% http://www.latex-project.org/lppl.txt\n\n% and version 1.2 or later is part of all distributions of LaTeX\n\n% version 1999/12/01 or later.\n\n%\n\n% This program consists of the files pig.dtx and pig.ins\n\n"
		self.crossRef = [{"match": "False", "url": "http://www.latex-project.org/lppl/lppl-1-2.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.latex-project.org/lppl/lppl-1-2.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The LaTeX Project Public License\n		<br />\n\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n	  </p>\n\n		 <p>LPPL Version 1.2 1999-09-03</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1999 LaTeX3 Project</p>\n\n	  </div>\n	  <p>Everyone is allowed to distribute verbatim copies of this license document, but modification of it is not\n		 allowed.</p>\n\n	  <p>PREAMBLE\n		<br />\n\n========\n	  </p>\n\n	  <p>The LaTeX Project Public License (LPPL) is the license under which the base LaTeX distribution is\n		 distributed.</p>\n\n	  <p>You may use this license for any program that you have written and wish to distribute. This license may\n		 be particularly suitable if your program is TeX-related (such as a LaTeX package), but you may use it\n		 even if your program is unrelated to TeX. The section `WHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER\n		 THIS LICENSE&apos;, below, gives instructions, examples, and recommendations for authors who are\n		 considering distributing their programs under this license.</p>\n\n	  <p>In this license document, `The Program&apos; refers to any program distributed under this license.</p>\n\n	  <p>This license gives conditions under which The Program may be distributed and conditions under which\n		 modified versions of The Program may be distributed. Individual files of The Program may bear\n		 supplementary and/or superseding conditions on modification of themselves and on the distribution of\n		 modified versions of themselves, but *no* file of The Program may bear supplementary or superseding\n		 conditions on the distribution of an unmodified copy of the file. A distributor wishing to distribute\n		 a complete, unmodified copy of The Program therefore needs to check the conditions only in this\n		 license and nowhere else.</p>\n\n	  <p>Activities other than distribution and/or modification of The Program are not covered by this license;\n		 they are outside its scope. In particular, the act of running The Program is not restricted.</p>\n\n	  <p>We, the LaTeX3 Project, believe that the conditions below give you the freedom to make and distribute\n		 modified versions of The Program that conform with whatever technical specifications you wish while\n		 maintaining the availability, integrity, and reliability of The Program. If you do not see how to\n		 achieve your goal while meeting these conditions, then read the document `cfgguide.tex&apos; in the\n		 base LaTeX distribution for suggestions.</p>\n\n	  <p>CONDITIONS ON DISTRIBUTION AND MODIFICATION\n		<br />\n\n===========================================\n	  </p>\n\n	  <p>You may distribute a complete, unmodified copy of The Program. Distribution of only part of The Program\n		 is not allowed.</p>\n\n	  <p>You may not modify in any way a file of The Program that bears a legal notice forbidding modification of\n		 that file.</p>\n\n	  <p>You may distribute a modified file of The Program if, and only if, the following eight conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n			You must meet any additional conditions borne by the file on the distribution of a modified\n			   version of the file as described below in the subsection `Additional Conditions on\n			   Individual Files of The Program&apos;.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n			If the file is a LaTeX software file, then you must meet any applicable additional conditions\n			   on the distribution of a modified version of the file that are described below in the\n			   subsection `Additional Conditions on LaTeX Software Files&apos;.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n			You must not distribute the modified file with the filename of the original file.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n			In the modified file, you must acknowledge the authorship and name of the original file, and\n			   the name (if any) of the program which contains it.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n			You must change any identification string in the file to indicate clearly that the modified\n			   file is not part of The Program.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n			You must change any addresses in the modified file for the reporting of errors in the file or\n			   in The Program generally to ensure that reports for files no longer maintained by the\n			   original maintainers will be directed to the maintainers of the modified files.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n			You must distribute the modified file under a license that forbids distribution both of the\n			   modified file and of any files derived from the modified file with the filename of the\n			   original file.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n			You must do either (A) or (B):\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (A)</var>\n			  distribute a copy of The Program (that is, a complete, unmodified copy of The Program)\n				 together with the modified file; if your distribution of the modified file is made by\n				 offering access to copy the modified file from a designated place, then offering\n				 equivalent access to copy The Program from the same place meets this condition, even\n				 though third parties are not compelled to copy The Program along with the modified\n				 file;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (B)</var>\n			  provide to those who receive the modified file information that is sufficient for them to\n				 obtain a copy of The Program; for example, you may provide a Uniform Resource Locator\n				 (URL) for a site that you expect will provide them with a copy of The Program free of\n				 charge (either the version from which your modification is derived, or perhaps a later\n				 version).\n			</li>\n			\n</ul>\n		  </li>\n		\n</ul>\n	  <p>Note that in the above, `distribution&apos; of a file means making the file available to\n		 others by any means. This includes, for instance, installing the file on any machine\n		 in such a way that the file is accessible by users other than yourself.\n		 `Modification&apos; of a file means any procedure that produces a derivative file\n		 under any applicable law -- that is, a file containing the original file or a\n		 significant portion of it, either verbatim or with modifications and/or translated\n		 into another language.</p>\n\n	  <p>Changing the name of a file (other than as necessitated by the file conventions of the\n		 target file systems) is considered to be a modification of the file.</p>\n\n	  <p>The distribution conditions in this license do not have to be applied to files that have\n		 been modified in accordance with the above conditions. Note, however, that Condition\n		 7. does apply to any such modified file.</p>\n\n	  <p>The conditions above are not intended to prohibit, and hence do not apply to, the\n		 updating, by any method, of a file so that it becomes identical to the latest version\n		 of that file of The Program.</p>\n\n	  <p>A Recommendation on Modification Without Distribution\n		 -----------------------------------------------------</p>\n\n	  <p>It is wise never to modify a file of The Program, even for your own personal use, without\n		 also meeting the above eight conditions for distributing the modified file. While you\n		 might intend that such modified files will never be distributed, often this will\n		 happen by accident -- you may forget that you have modified the file; or it may not\n		 occur to you when allowing others to access the modified file that you are thus\n		 distributing it and violating the conditions of this license. It is usually in your\n		 best interest to keep your copy of The Program identical with the public one. Many\n		 programs provide ways to control the behavior of that program without altering its\n		 licensed files.</p>\n\n	  <p>Additional Conditions on Individual Files of The Program\n		 --------------------------------------------------------</p>\n\n	  <p>An individual file of The Program may bear additional conditions that supplement and/or\n		 supersede the conditions in this license if, and only if, such additional conditions\n		 exclusively concern modification of the file or distribution of a modified version of\n		 the file. The conditions on individual files of The Program therefore may differ only\n		 with respect to the kind and extent of modification of those files that is allowed,\n		 and with respect to the distribution of modified versions of those files.</p>\n\n	  <p>Additional Conditions on LaTeX Software Files\n		<br />\n\n---------------------------------------------\n	  </p>\n\n	  <p>If a file of The Program is intended to be used with LaTeX (that is, if it is a LaTeX\n		 software file), then the following additional conditions, which supplement and/or\n		 supersede the conditions above, apply to the file according to its filename\n		 extension:</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n			You may not modify any file with filename extension `.ins&apos; since these are installation\n			   files containing the legal notices that are placed in the files they generate.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n			You may distribute modified versions of files with filename extension `.fd&apos; (LaTeX font\n			   definition files) under the standard conditions of the LPPL as described above. You may\n			   also distribute such modified LaTeX font definition files with their original names\n			   provided that:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (1)</var>\n			  the only changes to the original files either enable use of available fonts or prevent\n				 attempts to access unavailable fonts;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> (2)</var>\n			  you also distribute the original, unmodified files (TeX input paths can be used to\n				 control which set of LaTeX font definition files is actually used by TeX).\n			</li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n			You may distribute modified versions of files with filename extension `.cfg&apos;\n			   (configuration files) with their original names. The Program may (and usually will)\n			   specify the range of commands that are allowed in a particular configuration file.\n		  </li>\n		\n</ul>\n	  <p>Because of portability and exchangeability issues in LaTeX software, The LaTeX3 Project deprecates the\n		 distribution of modified versions of components of LaTeX or of generally available contributed code\n		 for them, but such distribution can meet the conditions of this license.</p>\n\n	  <p>NO WARRANTY\n		<br />\n\n===========\n	  </p>\n\n	  <p>There is no warranty for The Program. Except when otherwise stated in writing, The Copyright Holder\n		 provides The Program `as is&apos;, without warranty of any kind, either expressed or implied,\n		 including, but not limited to, the implied warranties of merchantability and fitness for a particular\n		 purpose. The entire risk as to the quality and performance of The Program is with you. Should The\n		 Program prove defective, you assume the cost of all necessary servicing, repair, or correction.</p>\n\n	  <p>In no event unless agreed to in writing will The Copyright Holder, or any author named in the files of\n		 The Program, or any other party who may distribute and/or modify The Program as permitted above, be\n		 liable to you for damages, including any general, special, incidental or consequential damages arising\n		 out of any use of The Program or out of inability to use The Program (including, but not limited to,\n		 loss of data, data being rendered inaccurate, or losses sustained by anyone as a result of any failure\n		 of The Program to operate with any other programs), even if The Copyright Holder or said author or\n		 said other party has been advised of the possibility of such damages.</p>\n\n	  <p>WHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER THIS LICENSE\n		 =========================================================</p>\n\n	  <p>This section contains important instructions, examples, and recommendations for authors who are\n		 considering distributing their programs under this license. These authors are addressed as `you&apos;\n		 in this section.</p>\n\n	  <p>Choosing This License or Another License\n		<br />\n\n----------------------------------------\n	  </p>\n\n	  <p>If for any part of your program you want or need to use *distribution* conditions that differ from those\n		 in this license, then do not refer to this license anywhere in your program but instead distribute\n		 your program under a different license. You may use the text of this license as a model for your own\n		 license, but your license should not refer to the LPPL or otherwise give the impression that your\n		 program is distributed under the LPPL.</p>\n\n	  <p>The document `modguide.tex&apos; in the base LaTeX distribution explains the motivation behind the\n		 conditions of this license. It explains, for example, why distributing LaTeX under the GNU General\n		 Public License (GPL) was considered inappropriate. Even if your program is unrelated to LaTeX, the\n		 discussion in `modguide.tex&apos; may still be relevant, and authors intending to distribute their\n		 programs under any license are encouraged to read it.</p>\n\n	  <p>How to Use This License\n		<br />\n\n-----------------------\n	  </p>\n\n	  <p>To use this license, place in each of the files of your program both an explicit copyright notice\n		 including your name and the year and also a statement that the distribution and/or modification of the\n		 file is constrained by the conditions in this license.</p>\n\n	  <p>Here is an example of such a notice and statement:</p>\n\n	  <p><var class=\"optional-license-text\"> %%</var> <var class=\"replaceable-license-text\"> pig.dtx</var>\n		<br />\n\n<var class=\"optional-license-text\"> %%</var> Copyright <var class=\"replaceable-license-text\"> 2001 M. Y. Name</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This program may be distributed and/or modified under the\n		<br />\n\n<var class=\"optional-license-text\"> %</var> conditions of the LaTeX Project Public License, either version 1.2\n		<br />\n\n<var class=\"optional-license-text\"> %</var> of this license or (at your option) any later version.\n		<br />\n\n<var class=\"optional-license-text\"> %</var> The latest version of this license is in\n		<br />\n\n<var class=\"optional-license-text\"> %</var> http://www.latex-project.org/lppl.txt\n		<br />\n\n<var class=\"optional-license-text\"> %</var> and version 1.2 or later is part of all distributions of LaTeX\n		<br />\n\n<var class=\"optional-license-text\"> %</var> version 1999/12/01 or later.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This program consists of the <var class=\"replaceable-license-text\"> files pig.dtx and pig.ins</var>\n	  </p>\n\n	  <p>Given such a notice and statement in a file, the conditions given in this license document would apply,\n		 with `The Program&apos; referring to the two files `pig.dtx&apos; and `pig.ins&apos;, and `The\n		 Copyright Holder&apos; referring to the person `M. Y. Name&apos;.</p>\n\n	  <p>Important Recommendations\n		<br />\n\n-------------------------\n	  </p>\n\n	  <p>Defining What Constitutes The Program</p>\n\n	  <p>The LPPL requires that distributions of The Program contain all the files of The Program. It is therefore\n		 important that you provide a way for the licensee to determine which files constitute The Program.\n		 This could, for example, be achieved by explicitly listing all the files of The Program near the\n		 copyright notice of each file or by using a line like</p>\n\n	  <p>% This program consists of all files listed in manifest.txt.</p>\n\n	  <p>in that place. In the absence of an unequivocal list it might be impossible for the licensee to determine\n		 what is considered by you to comprise The Program.</p>\n\n	  <p>Noting Exceptional Files If The Program contains any files bearing additional conditions on modification,\n		 or on distribution of modified versions, of those files (other than those listed in `Additional\n		 Conditions on LaTeX Software Files&apos;), then it is recommended that The Program contain a prominent\n		 file that defines the exceptional conditions, and either lists the exceptional files or defines one or\n		 more categories of exceptional files.</p>\n\n	  <p>Files containing the text of a license (such as this file) are often examples of files bearing more\n		 restrictive conditions on modification. LaTeX configuration files (with filename extension\n		 `.cfg&apos;) are examples of files bearing less restrictive conditions on the distribution of a\n		 modified version of the file. The additional conditions on LaTeX software given above are examples of\n		 declaring a category of files bearing exceptional additional conditions.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n	  <p><var class=\"optional-license-text\"> %%</var> <var class=\"replaceable-license-text\"> pig.dtx</var>\n		<br />\n\n<var class=\"optional-license-text\"> %%</var> Copyright <var class=\"replaceable-license-text\"> 2001 M. Y. Name</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This program may be distributed and/or modified under the\n		<br />\n\n<var class=\"optional-license-text\"> %</var> conditions of the LaTeX Project Public License, either version 1.2\n		<br />\n\n<var class=\"optional-license-text\"> %</var> of this license or (at your option) any later version.\n		<br />\n\n<var class=\"optional-license-text\"> %</var> The latest version of this license is in\n		<br />\n\n<var class=\"optional-license-text\"> %</var> http://www.latex-project.org/lppl.txt\n		<br />\n\n<var class=\"optional-license-text\"> %</var> and version 1.2 or later is part of all distributions of LaTeX\n		<br />\n\n<var class=\"optional-license-text\"> %</var> version 1999/12/01 or later.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This program consists of the <var class=\"replaceable-license-text\"> files pig.dtx and pig.ins</var>\n	  </p>\n\n	  "
		self.python_name = "LPPL12"

	def __str__(self):
		return json.dumps(self.__dict__)


class mplus:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "\nThese fonts are free softwares. Unlimited permission is\ngranted to use, copy, and distribute it, with or without\nmodification, either commercially and noncommercially.\nTHESE FONTS ARE PROVIDED \"AS IS\" WITHOUT WARRANTY.\n	 \n"
		self.standardLicenseTemplate = "These fonts are free softwares. Unlimited permission is granted to use, copy, and distribute it, with or without modification, either commercially and noncommercially. THESE FONTS ARE PROVIDED \"AS IS\" WITHOUT WARRANTY.\n\n"
		self.name = "mplus Font License"
		self.licenseId = "mplus"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing:Mplus?rd=Licensing/mplus", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:38Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing:Mplus?rd=Licensing/mplus"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			These fonts are free softwares. Unlimited permission is\n			granted to use, copy, and distribute it, with or without\n			modification, either commercially and noncommercially.\n			THESE FONTS ARE PROVIDED &quot;AS IS&quot; WITHOUT WARRANTY.\n		 </p>\n\n	  "
		self.python_name = "mplus"

	def __str__(self):
		return json.dumps(self.__dict__)


class UMichMerit:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "[C] The Regents of the University of Michigan and Merit Network, Inc. 1992,\n1993, 1994, 1995 All Rights Reserved\n\nPermission to use, copy, modify, and distribute this software and its\ndocumentation for any purpose and without fee is hereby granted, provided\nthat the above copyright notice and this permission notice appear in all\ncopies of the software and derivative works or modified versions thereof,\nand that both the copyright notice and this permission and disclaimer\nnotice appear in supporting documentation.\n\nTHIS SOFTWARE IS PROVIDED \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER\nEXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION WARRANTIES OF\nMERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE REGENTS OF THE\nUNIVERSITY OF MICHIGAN AND MERIT NETWORK, INC. DO NOT WARRANT THAT THE\nFUNCTIONS CONTAINED IN THE SOFTWARE WILL MEET LICENSEE'S REQUIREMENTS OR\nTHAT OPERATION WILL BE UNINTERRUPTED OR ERROR FREE.  The Regents of the\nUniversity of Michigan and Merit Network, Inc. shall not be liable for any\nspecial, indirect, incidental or consequential damages with respect to any\nclaim by Licensee or any third party arising from use of the software.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Michigan/Merit Networks License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"[C] <copyright holder> <year> All Rights Reserved  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies of the software and derivative works or modified versions thereof, and that both the copyright notice and this permission and disclaimer notice appear in supporting documentation. THIS SOFTWARE IS PROVIDED \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE REGENTS OF THE UNIVERSITY OF MICHIGAN AND MERIT NETWORK, INC. DO NOT WARRANT THAT THE FUNCTIONS CONTAINED IN THE SOFTWARE WILL MEET LICENSEE'S REQUIREMENTS OR THAT OPERATION WILL BE UNINTERRUPTED OR ERROR FREE. The Regents of the University of Michigan and Merit Network, Inc. shall not be liable for any special, indirect, incidental or consequential damages with respect to any claim by Licensee or any third party arising from use of the software.\n\n"
		self.name = "Michigan/Merit Networks License"
		self.licenseComments = "This license starts with an HPND-like grant, but has additional obligations (similar to HPND-Kevlin-Henney and HPND_Pbmplus) and a different disclaimer of warranties."
		self.licenseId = "UMich-Merit"
		self.crossRef = [{"match": "False", "url": "https://github.com/radcli/radcli/blob/master/COPYRIGHT#L64", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:41Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/radcli/radcli/blob/master/COPYRIGHT#L64"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Michigan/Merit Networks License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>[C] &lt;copyright holder&gt; &lt;year&gt; All Rights Reserved</p>\n\n	  </div>\n\n	  <p>\n\tPermission to use, copy, modify, and distribute this software and its\n\tdocumentation for any purpose and without fee is hereby granted, provided\n\tthat the above copyright notice and this permission notice appear in all\n\tcopies of the software and derivative works or modified versions thereof,\n\tand that both the copyright notice and this permission and disclaimer\n\tnotice appear in supporting documentation.\n\n\tTHIS SOFTWARE IS PROVIDED &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND, EITHER\n\tEXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION WARRANTIES OF\n\tMERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE REGENTS OF THE\n\tUNIVERSITY OF MICHIGAN AND MERIT NETWORK, INC. DO NOT WARRANT THAT THE\n\tFUNCTIONS CONTAINED IN THE SOFTWARE WILL MEET LICENSEE&apos;S REQUIREMENTS OR\n\tTHAT OPERATION WILL BE UNINTERRUPTED OR ERROR FREE.  The Regents of the\n\tUniversity of Michigan and Merit Network, Inc. shall not be liable for any\n\tspecial, indirect, incidental or consequential damages with respect to any\n\tclaim by Licensee or any third party arising from use of the software.\n	  </p>\n\n	"
		self.python_name = "UMichMerit"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP27:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The OpenLDAP Public License\nVersion 2.7, 7 September 2001\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain copyright statements and notices,\n\n2. Redistributions in binary form must reproduce applicable copyright statements and notices, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution, and\n\n3. Redistributions must contain a verbatim copy of this document.\n\nThe OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use this Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND ITS CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION, ITS CONTRIBUTORS, OR THE AUTHOR(S) OR OWNER(S) OF THE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe names of the authors and copyright holders must not be used in advertising or otherwise to promote the sale, use or other dealing in this Software without specific, written prior permission. Title to copyright in this Software shall at all times remain with copyright holders.\n\nOpenLDAP is a registered trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2001 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved. Permission to copy and distribute verbatim copies of this document is granted.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 2.7, 7 September 2001\n\n<<endOptional>>\n\nRedistribution and use of this software and associated documentation (\"Software\"), with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain copyright statements and notices,\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce applicable copyright statements and notices, this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution, and\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions must contain a verbatim copy of this document.\n\nThe OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a version number. You may use this Software under terms of this license revision or under the terms of any subsequent revision of the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND ITS CONTRIBUTORS ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION, ITS CONTRIBUTORS, OR THE AUTHOR(S) OR OWNER(S) OF THE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe names of the authors and copyright holders must not be used in advertising or otherwise to promote the sale, use or other dealing in this Software without specific, written prior permission. Title to copyright in this Software shall at all times remain with copyright holders.\n\nOpenLDAP is a registered trademark of the OpenLDAP Foundation.\n\n<<var;name=\"copyright\";original=\"Copyright 1999-2001 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.\";match=\".{0,5000}\">> Permission to copy and distribute verbatim copies of this document is granted.\n\n"
		self.name = "Open LDAP Public License v2.7"
		self.licenseComments = "This license was released 7 September 2001."
		self.licenseId = "OLDAP-2.7"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=47c2415c1df81556eeb39be6cad458ef87c534a2", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=47c2415c1df81556eeb39be6cad458ef87c534a2"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 2.7, 7 September 2001\n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use of this software and associated documentation (&quot;Software&quot;), with or without\n		 modification, are permitted provided that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain copyright statements and notices,\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce applicable copyright statements and notices, this\n			 list of conditions, and the following disclaimer in the documentation and/or other materials\n			 provided with the distribution, and\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Redistributions must contain a verbatim copy of this document.\n		</li>\n	  \n</ul>\n	  <p>The OpenLDAP Foundation may revise this license from time to time. Each revision is distinguished by a\n		 version number. You may use this Software under terms of this license revision or under the terms of\n		 any subsequent revision of the license.</p>\n\n	  <p>THIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND ITS CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESSED OR\n		 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n		 FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION, ITS\n		 CONTRIBUTORS, OR THE AUTHOR(S) OR OWNER(S) OF THE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT,\n		 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\n		 OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\n		 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\n		 POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <p>The names of the authors and copyright holders must not be used in advertising or otherwise to promote\n		 the sale, use or other dealing in this Software without specific, written prior permission. Title to\n		 copyright in this Software shall at all times remain with copyright holders.</p>\n\n	  <p>OpenLDAP is a registered trademark of the OpenLDAP Foundation.</p>\n\n	  <p>\n		<var class=\"replaceable-license-text\"> Copyright 1999-2001 The OpenLDAP Foundation, Redwood City, California, USA. All Rights Reserved.</var>\n		Permission to copy and distribute verbatim copies of this document is granted.\n	  </p>\n\n	"
		self.python_name = "OLDAP27"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL11noinvariantsonly:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU Free Documentation License\nVersion 1.1, March 2000\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other written document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\".\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (For example, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, whose contents can be viewed and edited directly and straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup has been designed to thwart or discourage subsequent modification by readers is not Transparent. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML designed for human modification. Opaque formats include PostScript, PDF, proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies of the Document numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a publicly-accessible computer-network location containing a complete Transparent copy of the Document, free of added material, which the general network-using public has access to download anonymously at no charge using public-standard network protocols. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has less than five).\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n	 H. Include an unaltered copy of this License.\n	 I. Preserve the section entitled \"History\", and its title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the section's title, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section as \"Endorsements\" or to conflict in title with any Invariant Section.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections entitled \"History\" in the various original documents, forming one section entitled \"History\"; likewise combine any sections entitled \"Acknowledgements\", and any sections entitled \"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, does not as a whole count as a Modified Version of the Document, provided no compilation copyright is claimed for the compilation. Such a compilation is called an \"aggregate\", and this License does not apply to the other self-contained works thus compiled with the Document, on account of their being thus compiled, if they are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one quarter of the entire aggregate, the Document's Cover Texts may be placed on covers that surround only the Document within the aggregate. Otherwise they must appear on covers around the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License provided that you also include the original English version of this License. In case of a disagreement between the translation and the original English version of this License, the original English version will prevail.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead of saying which ones are invariant. If you have no Front-Cover Texts, write \"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise for Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.1, March 2000\n\n<<endOptional>>\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other written document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\".\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (For example, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, whose contents can be viewed and edited directly and straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup has been designed to thwart or discourage subsequent modification by readers is not Transparent. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML designed for human modification. Opaque formats include PostScript, PDF, proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies of the Document numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a publicly-accessible computer-network location containing a complete Transparent copy of the Document, free of added material, which the general network-using public has access to download anonymously at no charge using public-standard network protocols. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has less than five).\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section entitled \"History\", and its title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the section's title, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section as \"Endorsements\" or to conflict in title with any Invariant Section.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections entitled \"History\" in the various original documents, forming one section entitled \"History\"; likewise combine any sections entitled \"Acknowledgements\", and any sections entitled \"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, does not as a whole count as a Modified Version of the Document, provided no compilation copyright is claimed for the compilation. Such a compilation is called an \"aggregate\", and this License does not apply to the other self-contained works thus compiled with the Document, on account of their being thus compiled, if they are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one quarter of the entire aggregate, the Document's Cover Texts may be placed on covers that surround only the Document within the aggregate. Otherwise they must appear on covers around the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License provided that you also include the original English version of this License. In case of a disagreement between the translation and the original English version of this License, the original English version will prevail.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead of saying which ones are invariant. If you have no Front-Cover Texts, write \"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise for Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.1 only - no invariants"
		self.licenseComments = "This license was released March 2000. The identifier GFDL-1.1-only-no-invariants should only be used when there are no Invariant Sections, Front-Cover Texts or Back-Cover Texts. See GFDL-1.1-only and GFDL-1.1-only-invariants for alternatives."
		self.licenseId = "GFDL-1.1-no-invariants-only"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/fdl-1.1.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:55Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/fdl-1.1.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.1, March 2000\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2000 Free Software Foundation, Inc. 51\n	  Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook,\n		  or other written document &quot;free&quot; in the sense of freedom: to\n		  assure everyone the effective freedom to copy and redistribute\n		  it, with or without modifying it, either commercially or\n		  noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work that\n		  contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. The\n		  &quot;Document&quot;, below, refers to any such manual or work. Any\n		  member of the public is a licensee, and is addressed as &quot;you&quot;.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter section\n		  of the Document that deals exclusively with the relationship\n		  of the publishers or authors of the Document to the Document&apos;s\n		  overall subject (or to related matters) and contains nothing\n		  that could fall directly within that overall subject. (For\n		  example, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections, in the\n		  notice that says that the Document is released under this License.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are\n		  listed, as Front-Cover Texts or Back-Cover Texts, in the notice\n		  that says that the Document is released under this License.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable copy,\n		  represented in a format whose specification is available to the\n		  general public, whose contents can be viewed and edited directly\n		  and straightforwardly with generic text editors or (for images\n		  composed of pixels) generic paint programs or (for drawings) some\n		  widely available drawing editor, and that is suitable for input\n		  to text formatters or for automatic translation to a variety of\n		  formats suitable for input to text formatters. A copy made in an\n		  otherwise Transparent file format whose markup has been designed\n		  to thwart or discourage subsequent modification by readers is not\n		  Transparent. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include\n		  plain ASCII without markup, Texinfo input format, LaTeX\n		  input format, SGML or XML using a publicly available DTD, and\n		  standard-conforming simple HTML designed for human modification.\n		  Opaque formats include PostScript, PDF, proprietary formats\n		  that can be read and edited only by proprietary word processors,\n		  SGML or XML for which the DTD and/or processing tools are\n		  not generally available, and the machine-generated HTML\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies of the Document numbering more than\n		  100, and the Document&apos;s license notice requires Cover Texts, you\n		  must enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a publicly-accessible computer-network location\n		  containing a complete Transparent copy of the Document, free\n		  of added material, which the general network-using public has\n		  access to download anonymously at no charge using public-standard\n		  network protocols. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or entities\n			responsible for authorship of the modifications in the Modified\n			Version, together with at least five of the principal authors of the\n			Document (all of its principal authors, if it has less than five).\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant Sections\n			and required Cover Texts given in the Document&apos;s license notice.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> H.</var>\n			Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section entitled &quot;History&quot;, and its title, and add\n			to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			In any section entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			preserve the section&apos;s title, and preserve in the section\n			all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section as &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released\n		  under this License, under the terms defined in section 4\n		  above for modified versions, provided that you include in\n		  the combination all of the Invariant Sections of all of\n		  the original documents, unmodified, and list them all as\n		  Invariant Sections of your combined work in its license notice.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  entitled &quot;History&quot;; likewise combine any sections entitled\n		  &quot;Acknowledgements&quot;, and any sections entitled &quot;Dedications&quot;.\n		  You must delete all sections entitled &quot;Endorsements.&quot;\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other separate\n		  and independent documents or works, in or on a volume of a storage\n		  or distribution medium, does not as a whole count as a Modified\n		  Version of the Document, provided no compilation copyright is claimed\n		  for the compilation. Such a compilation is called an &quot;aggregate&quot;,\n		  and this License does not apply to the other self-contained works\n		  thus compiled with the Document, on account of their being thus\n		  compiled, if they are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to these\n		  copies of the Document, then if the Document is less than one quarter\n		  of the entire aggregate, the Document&apos;s Cover Texts may be placed\n		  on covers that surround only the Document within the aggregate.\n		  Otherwise they must appear on covers around the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of\n		  section 4. Replacing Invariant Sections with translations requires\n		  special permission from their copyright holders, but you may\n		  include translations of some or all Invariant Sections in addition\n		  to the original versions of these Invariant Sections. You may\n		  include a translation of this License provided that you also\n		  include the original English version of this License. In case of\n		  a disagreement between the translation and the original English\n		  version of this License, the original English version will prevail.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided for under this License. Any other\n		  attempt to copy, modify, sublicense or distribute the Document\n		  is void, and will automatically terminate your rights under\n		  this License. However, parties who have received copies, or\n		  rights, from you under this License will not have their licenses\n		  terminated so long as such parties remain in full compliance.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option\n		  of following the terms and conditions either of that specified\n		  version or of any later version that has been published (not as a\n		  draft) by the Free Software Foundation. If the Document does not\n		  specify a version number of this License, you may choose any version\n		  ever published (not as a draft) by the Free Software Foundation.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the\n		GNU Free Documentation License, Version 1.1 or any later version\n		published by the Free Software Foundation; with the Invariant Sections\n		being LIST THEIR TITLES, with the Front-Cover Texts being LIST,\n		and with the Back-Cover Texts being LIST. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have no Invariant Sections, write &quot;with no Invariant\n		Sections&quot; instead of saying which ones are invariant. If you have\n		no Front-Cover Texts, write &quot;no Front-Cover Texts&quot; instead of\n		&quot;Front-Cover Texts being LIST&quot;; likewise for Back-Cover Texts.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>\n	  Permission is granted to copy, distribute and/or modify this\n	  document under the terms of the GNU Free Documentation License,\n	  Version 1.1; with no Invariant Sections, with no Front-Cover Texts,\n	  and with no Back-Cover Texts. A copy of the license is included\n	  in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL11noinvariantsonly"

	def __str__(self):
		return json.dumps(self.__dict__)


class VSL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Vovida Software License v. 1.0\n\nThis license applies to all software incorporated in the \"Vovida Open Communication Application Library\" except for those portions incorporating third party software specifically identified as being licensed under separate license.\n\nThe Vovida Software License, Version 1.0\nCopyright (c) 2000 Vovida Networks, Inc. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n3. The names \"VOCAL\", \"Vovida Open Communication Application Library\", and \"Vovida Open Communication Application Library (VOCAL)\" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact vocal@vovida.org.\n\n4. Products derived from this software may not be called \"VOCAL\", nor may \"VOCAL\" appear in their name, without prior written permission.\n\nTHIS SOFTWARE IS PROVIDED \"AS IS\" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL VOVIDA NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DAMAGES IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Vovida Software License v. 1.0\n\n<<endOptional>><<beginOptional>> This license applies to all software incorporated in the \"Vovida Open Communication Application Library\" except for those portions incorporating third party software specifically identified as being licensed under separate license.\n\n<<endOptional>><<beginOptional>> The Vovida Software License, Version 1.0\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2000 Vovida Networks, Inc. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The names \"VOCAL\", \"Vovida Open Communication Application Library\", and \"Vovida Open Communication Application Library (VOCAL)\" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact vocal@vovida.org.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Products derived from this software may not be called \"VOCAL\", nor may \"VOCAL\" appear in their name, without prior written permission.\n\nTHIS SOFTWARE IS PROVIDED \"AS IS\" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL VOVIDA NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DAMAGES IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Vovida Software License v1.0"
		self.licenseId = "VSL-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/VSL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:04Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/VSL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Vovida Software License v. 1.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>This license applies to all software incorporated in the &quot;Vovida Open Communication Application Library&quot;\n		 except for those portions incorporating third party software specifically identified as being licensed\n		 under separate license.</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>The Vovida Software License, Version 1.0</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2000 Vovida Networks, Inc. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that\n		 the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions and\n			 the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions and\n			 the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  The names &quot;VOCAL&quot;, &quot;Vovida Open Communication Application Library&quot;, and &quot;Vovida Open Communication\n			 Application Library (VOCAL)&quot; must not be used to endorse or promote products derived from this\n			 software without prior written permission. For written permission, please contact\n			 vocal@vovida.org.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Products derived from this software may not be called &quot;VOCAL&quot;, nor may &quot;VOCAL&quot; appear in their name,\n			 without prior written permission.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED &quot;AS IS&quot; AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\n		 IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT ARE\n		 DISCLAIMED. IN NO EVENT SHALL VOVIDA NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DAMAGES IN\n		 EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n		 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR\n		 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\n		 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\n		 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "VSL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class Giftware:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Allegro 4 (the giftware license)\n\nAllegro is gift-ware. It was created by a number of people working in cooperation, and is given to you freely as a gift. You may use, modify, redistribute, and generally hack it about in any way you like, and you do not have to give us anything in return.\n\nHowever, if you like this product you are encouraged to thank us by making a return gift to the Allegro community. This could be by writing an add-on package, providing a useful bug report, making an improvement to the library, or perhaps just releasing the sources of your program so that other people can learn from them. If you redistribute parts of this code or make a game using it, it would be nice if you mentioned Allegro somewhere in the credits, but you are not required to do this. We trust you not to abuse our generosity.\n\nBy Shawn Hargreaves, 18 October 1998.\n\nDISCLAIMER: THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Allegro 4 (the giftware license)\n\n<<endOptional>>\n\nAllegro is gift-ware. It was created by a number of people working in cooperation, and is given to you freely as a gift. You may use, modify, redistribute, and generally hack it about in any way you like, and you do not have to give us anything in return.\n\nHowever, if you like this product you are encouraged to thank us by making a return gift to the Allegro community. This could be by writing an add-on package, providing a useful bug report, making an improvement to the library, or perhaps just releasing the sources of your program so that other people can learn from them. If you redistribute parts of this code or make a game using it, it would be nice if you mentioned Allegro somewhere in the credits, but you are not required to do this. We trust you not to abuse our generosity.\n\nBy Shawn Hargreaves, 18 October 1998.\n\nDISCLAIMER: THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\n"
		self.name = "Giftware License"
		self.licenseComments = "This license may also be known as Allegro 4. The Allegro 5 license shown at the alleg.sourceforge.net URL is the same as zlib"
		self.licenseId = "Giftware"
		self.crossRef = [{"match": "True", "url": "http://liballeg.org/license.html#allegro-4-the-giftware-license", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:14Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://liballeg.org/license.html#allegro-4-the-giftware-license"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Allegro 4 (the giftware license)</p>\n\n	  </div>\n\n	  <p>Allegro is gift-ware. It was created by a number of people working in cooperation, and is given to you\n		 freely as a gift. You may use, modify, redistribute, and generally hack it about in any way you like,\n		 and you do not have to give us anything in return.</p>\n\n	  <p>However, if you like this product you are encouraged to thank us by making a return gift to the Allegro\n		 community. This could be by writing an add-on package, providing a useful bug report, making an\n		 improvement to the library, or perhaps just releasing the sources of your program so that other people\n		 can learn from them. If you redistribute parts of this code or make a game using it, it would be nice\n		 if you mentioned Allegro somewhere in the credits, but you are not required to do this. We trust you\n		 not to abuse our generosity.</p>\n\n	  <p>By Shawn Hargreaves, 18 October 1998.</p>\n\n	  <p>DISCLAIMER: THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING\n		 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND\n		 NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE\n		 LIABLE FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT\n		 OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	"
		self.python_name = "Giftware"

	def __str__(self):
		return json.dumps(self.__dict__)


class CDLAPermissive20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Community Data License Agreement - Permissive - Version 2.0\n\nThis is the Community Data License Agreement - Permissive, Version 2.0 (the \"agreement\"). Data Provider(s) and Data Recipient(s) agree as follows:\n\n1. Provision of the Data\n\n1.1. A Data Recipient may use, modify, and share the Data made available by Data Provider(s) under this agreement if that Data Recipient follows the terms of this agreement.\n\n1.2. This agreement does not impose any restriction on a Data Recipient's use, modification, or sharing of any portions of the Data that are in the public domain or that may be used, modified, or shared under any other legal exception or limitation.\n\n2. Conditions for Sharing Data\n\n2.1. A Data Recipient may share Data, with or without modifications, so long as the Data Recipient makes available the text of this agreement with the shared Data.\n\n3. No Restrictions on Results\n\n3.1. This agreement does not impose any restriction or obligations with respect to the use, modification, or sharing of Results.\n\n4. No Warranty; Limitation of Liability\n\n4.1. All Data Recipients receive the Data subject to the following terms:\n\nTHE DATA IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT REPRESENTATIONS, WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n\nNO DATA PROVIDER SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE DATA OR RESULTS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n5. Definitions\n\n5.1. \"Data\" means the material received by a Data Recipient under this agreement.\n\n5.2. \"Data Provider\" means any person who is the source of Data provided under this agreement and in reliance on a Data Recipient's agreement to its terms.\n\n5.3. \"Data Recipient\" means any person who receives Data directly or indirectly from a Data Provider and agrees to the terms of this agreement.\n\n5.4. \"Results\" means any outcome obtained by computational analysis of Data, including for example machine learning models and models' insights.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Community Data License Agreement - Permissive - Version 2.0\n\n<<endOptional>>\n\nThis is the Community Data License Agreement - Permissive, Version 2.0 (the \"agreement\"). Data Provider(s) and Data Recipient(s) agree as follows:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Provision of the Data\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> A Data Recipient may use, modify, and share the Data made available by Data Provider(s) under this agreement if that Data Recipient follows the terms of this agreement.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> This agreement does not impose any restriction on a Data Recipient's use, modification, or sharing of any portions of the Data that are in the public domain or that may be used, modified, or shared under any other legal exception or limitation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Conditions for Sharing Data\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> A Data Recipient may share Data, with or without modifications, so long as the Data Recipient makes available the text of this agreement with the shared Data.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> No Restrictions on Results\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> This agreement does not impose any restriction or obligations with respect to the use, modification, or sharing of Results.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> No Warranty; Limitation of Liability\n\n	  <<var;name=\"bullet\";original=\"4.1.\";match=\".{0,20}\">> All Data Recipients receive the Data subject to the following terms:\n\n	  THE DATA IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT REPRESENTATIONS, WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\n\n	  NO DATA PROVIDER SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE DATA OR RESULTS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"5.1.\";match=\".{0,20}\">> \"Data\" means the material received by a Data Recipient under this agreement.\n\n	  <<var;name=\"bullet\";original=\"5.2.\";match=\".{0,20}\">> \"Data Provider\" means any person who is the source of Data provided under this agreement and in reliance on a Data Recipient's agreement to its terms.\n\n	  <<var;name=\"bullet\";original=\"5.3.\";match=\".{0,20}\">> \"Data Recipient\" means any person who receives Data directly or indirectly from a Data Provider and agrees to the terms of this agreement.\n\n	  <<var;name=\"bullet\";original=\"5.4.\";match=\".{0,20}\">> \"Results\" means any outcome obtained by computational analysis of Data, including for example machine learning models and models' insights."
		self.name = "Community Data License Agreement Permissive 2.0"
		self.licenseId = "CDLA-Permissive-2.0"
		self.crossRef = [{"match": "True", "url": "https://cdla.dev/permissive-2-0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:29Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://cdla.dev/permissive-2-0"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> \n				<p>Community Data License Agreement - Permissive - Version 2.0</p>\n\n			</div>\n\n			<p>This is the Community Data License Agreement - Permissive, Version 2.0 (the &quot;agreement&quot;). Data Provider(s) and Data Recipient(s) agree as follows:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.</var>\n					Provision of the Data\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 1.1.</var>\n							A Data Recipient may use, modify, and share the Data made available by Data Provider(s) under this agreement if that Data Recipient follows the terms of this agreement.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 1.2.</var>\n							This agreement does not impose any restriction on a Data Recipient&apos;s use, modification, or sharing of any portions of the Data that are in the public domain or that may be used, modified, or shared under any other legal exception or limitation.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.</var>\n					Conditions for Sharing Data\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 2.1.</var>\n							A Data Recipient may share Data, with or without modifications, so long as the Data Recipient makes available the text of this agreement with the shared Data.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.</var>\n					No Restrictions on Results\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 3.1.</var>\n							This agreement does not impose any restriction or obligations with respect to the use, modification, or sharing of Results.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 4.</var>\n					No Warranty; Limitation of Liability\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 4.1.</var>\n							All Data Recipients receive the Data subject to the following terms:\n							<p>THE DATA IS PROVIDED ON AN &quot;AS IS&quot; BASIS, WITHOUT REPRESENTATIONS, WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.</p>\n\n							<p>NO DATA PROVIDER SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE DATA OR RESULTS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p>\n\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 5.</var>\n					Definitions\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 5.1.</var>\n							&quot;Data&quot; means the material received by a Data Recipient under this agreement.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 5.2.</var>\n							&quot;Data Provider&quot; means any person who is the source of Data provided under this agreement and in reliance on a Data Recipient&apos;s agreement to its terms.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 5.3.</var>\n							&quot;Data Recipient&quot; means any person who receives Data directly or indirectly from a Data Provider and agrees to the terms of this agreement.\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 5.4.</var>\n							&quot;Results&quot; means any outcome obtained by computational analysis of Data, including for example machine learning models and models&apos; insights.\n						</li>\n					\n</ul>\n				</li>\n			\n</ul>\n		"
		self.python_name = "CDLAPermissive20"

	def __str__(self):
		return json.dumps(self.__dict__)


class UCL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Upstream Compatibility License v. 1.0 (UCL-1.0)\n\nThis Upstream Compatibility License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following licensing notice adjacent to the copyright notice for the Original Work:\n\n	 Licensed under the Upstream Compatibility License 1.0\n\n1) Grant of Copyright License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, for the duration of the copyright, to do the following:\n\n	 a) to reproduce the Original Work in copies, either alone or as part of a collective work;\n\n	 b) to translate, adapt, alter, transform, modify, or arrange the Original Work, thereby creating derivative works (\"Derivative Works\") based upon the Original Work;\n\n	 c) to distribute or communicate copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work You distribute or communicate shall be licensed under this Upstream Compatibility License and all Derivative Work You distribute or communicate\n	 shall be licensed under both this Upstream Compatibility License and the Apache License 2.0 or later;\n\n	 d) to perform the Original Work publicly; and\n\n	 e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, for the duration of the patents, to make, use, sell, offer for sale, have made, and import the Original Work and Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work.\n\n4) Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior permission of the Licensor. Except as expressly stated herein, nothing in this License grants any license to Licensor\u2019s trademarks, copyrights, patents, trade secrets or any other intellectual property. No patent license is granted to make, use, sell, offer for sale, have made, or import embodiments of any patent claims other than the licensed claims defined in Section 2. No license is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under terms different from this License any Original Work that Licensor otherwise would have a right to license.\n\n5) External Deployment. The term \"External Deployment\" means the use, distribution, or communication of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether those works are distributed or communicated to those persons or made available as an application intended for use over a network. As an express condition for the grants of license hereunder, You must treat any External Deployment by You of the Original Work or a Derivative Work as a distribution under section 1(c).\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent, or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights. Except as expressly stated in the immediately preceding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of non-infringement, merchantability or fitness for a particular purpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to the Original Work is granted by this License except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to anyone for any indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to the extent applicable law prohibits such limitation.\n\n9) Acceptance and Termination. If, at any time, You expressly assented to this License, that assent indicates your clear and irrevocable acceptance of this License and all of its terms and conditions. If You distribute or communicate copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. This License conditions your rights to undertake the activities listed in Section 1, including your right to create Derivative Works based upon the Original Work, and doing so without honoring these terms and conditions is prohibited by copyright law and international treaty. Nothing in this License is intended to affect copyright exceptions and limitations (including \u201cfair use\u201d or \u201cfair dealing\u201d). This License shall terminate immediately and You may no longer exercise any of the rights granted to You by this License upon your failure to honor the conditions in Section 1(c).\n\n10) Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, against Licensor or any licensee alleging that the Original Work infringes a patent. This termination provision shall not apply for an action alleging patent infringement by combinations of the Original Work with other software or hardware.\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of copyright or patent law in the appropriate jurisdiction. This section shall survive the termination of this License.\n\n12) Attorneys' Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n13) Miscellaneous. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\n16) Modification of This License. This License is Copyright (c) 2005 Lawrence Rosen and Copyright (c) 2017 Nigel Tzeng. Permission is granted to copy, distribute, or communicate this License without modification. Nothing in this License permits You to modify this License as applied to the Original Work or to Derivative Works. However, You may modify the text of this License and copy, distribute or communicate your modified version (the \"Modified License\") and apply it to other original works of authorship subject to the following conditions: (i) You may not indicate in any way that your Modified License is the \"Open Software License\" or \"OSL\" or the \"Upstream Compatibility License\" or \"UCL\" and you may not use those names in the name of your Modified License; (ii) You must replace the notice specified in the first paragraph above with the notice \"Licensed under <insert your license name here>\" or with a notice of your own that is not confusingly similar to the notice in this License; and (iii) You may not claim that your original works are open source software unless your Modified License has been approved by Open Source Initiative (OSI) and You comply with its license review and certification process.\n"
		self.standardLicenseHeaderTemplate = "Licensed under the Upstream Compatibility License 1.0\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Upstream Compatibility License v. 1.0 (UCL-1.0)\n\n<<endOptional>>\n\nThis Upstream Compatibility License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following licensing notice adjacent to the copyright notice for the Original Work:\n\nLicensed under the Upstream Compatibility License 1.0\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Grant of Copyright License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, for the duration of the copyright, to do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> to reproduce the Original Work in copies, either alone or as part of a collective work;\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> to translate, adapt, alter, transform, modify, or arrange the Original Work, thereby creating derivative works (\"Derivative Works\") based upon the Original Work;\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> to distribute or communicate copies of the Original Work and Derivative Works to the public, with the proviso that copies of Original Work You distribute or communicate shall be licensed under this Upstream Compatibility License and all Derivative Work You distribute or communicate shall be licensed under both this Upstream Compatibility License and the Apache License 2.0 or later;\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> to perform the Original Work publicly; and\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> to display the Original Work publicly.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Grant of Patent License. Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, for the duration of the patents, to make, use, sell, offer for sale, have made, and import the Original Work and Derivative Works.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior permission of the Licensor. Except as expressly stated herein, nothing in this License grants any license to Licensor's trademarks, copyrights, patents, trade secrets or any other intellectual property. No patent license is granted to make, use, sell, offer for sale, have made, or import embodiments of any patent claims other than the licensed claims defined in Section 2. No license is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under terms different from this License any Original Work that Licensor otherwise would have a right to license.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> External Deployment. The term \"External Deployment\" means the use, distribution, or communication of the Original Work or Derivative Works in any way such that the Original Work or Derivative Works may be used by anyone other than You, whether those works are distributed or communicated to those persons or made available as an application intended for use over a network. As an express condition for the grants of license hereunder, You must treat any External Deployment by You of the Original Work or a Derivative Work as a distribution under section 1(c).\n\n   <<var;name=\"bullet\";original=\"6)\";match=\".{0,20}\">> Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent, or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n   <<var;name=\"bullet\";original=\"7)\";match=\".{0,20}\">> Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights. Except as expressly stated in the immediately preceding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of non-infringement, merchantability or fitness for a particular purpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to the Original Work is granted by this License except under this disclaimer.\n\n   <<var;name=\"bullet\";original=\"8)\";match=\".{0,20}\">> Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to anyone for any indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to the extent applicable law prohibits such limitation.\n\n   <<var;name=\"bullet\";original=\"9)\";match=\".{0,20}\">> Acceptance and Termination. If, at any time, You expressly assented to this License, that assent indicates your clear and irrevocable acceptance of this License and all of its terms and conditions. If You distribute or communicate copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. This License conditions your rights to undertake the activities listed in Section 1, including your right to create Derivative Works based upon the Original Work, and doing so without honoring these terms and conditions is prohibited by copyright law and international treaty. Nothing in this License is intended to affect copyright exceptions and limitations (including \"fair use\" or \"fair dealing\"). This License shall terminate immediately and You may no longer exercise any of the rights granted to You by this License upon your failure to honor the conditions in Section 1(c).\n\n   <<var;name=\"bullet\";original=\"10)\";match=\".{0,20}\">> Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, against Licensor or any licensee alleging that the Original Work infringes a patent. This termination provision shall not apply for an action alleging patent infringement by combinations of the Original Work with other software or hardware.\n\n   <<var;name=\"bullet\";original=\"11)\";match=\".{0,20}\">> Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of copyright or patent law in the appropriate jurisdiction. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"12)\";match=\".{0,20}\">> Attorneys' Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"13)\";match=\".{0,20}\">> Miscellaneous. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n   <<var;name=\"bullet\";original=\"14)\";match=\".{0,20}\">> Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"15)\";match=\".{0,20}\">> Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\n   <<var;name=\"bullet\";original=\"16)\";match=\".{0,20}\">> Modification of This License. This License is Copyright (c) 2005 Lawrence Rosen and Copyright (c) 2017 Nigel Tzeng. Permission is granted to copy, distribute, or communicate this License without modification. Nothing in this License permits You to modify this License as applied to the Original Work or to Derivative Works. However, You may modify the text of this License and copy, distribute or communicate your modified version (the \"Modified License\") and apply it to other original works of authorship subject to the following conditions: (i) You may not indicate in any way that your Modified License is the \"Open Software License\" or \"OSL\" or the \"Upstream Compatibility License\" or \"UCL\" and you may not use those names in the name of your Modified License; (ii) You must replace the notice specified in the first paragraph above with the notice \"Licensed under<<beginOptional>> <insert your license name here><<endOptional>> \" or with a notice of your own that is not confusingly similar to the notice in this License; and (iii) You may not claim that your original works are open source software unless your Modified License has been approved by Open Source Initiative (OSI) and You comply with its license review and certification process."
		self.name = "Upstream Compatibility License v1.0"
		self.licenseId = "UCL-1.0"
		self.standardLicenseHeader = "Licensed under the Upstream Compatibility License 1.0\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/UCL-1.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:16:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/UCL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Upstream Compatibility License v. 1.0 (UCL-1.0)</p>\n\n	  </div>\n\n	  <p>This Upstream Compatibility License (the &quot;License&quot;) applies to any original work of authorship (the\n		 &quot;Original Work&quot;) whose owner (the &quot;Licensor&quot;) has placed the following licensing\n		 notice adjacent to the copyright notice for the Original Work:</p>\n\n	  <p>Licensed under the Upstream Compatibility License 1.0</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Grant of Copyright License. Licensor grants You a worldwide, royalty-free, non-exclusive,\n			 sublicensable license, for the duration of the copyright, to do the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			to reproduce the Original Work in copies, either alone or as part of a collective work;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			to translate, adapt, alter, transform, modify, or arrange the Original Work, thereby creating\n			   derivative works (&quot;Derivative Works&quot;) based upon the Original Work;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			to distribute or communicate copies of the Original Work and Derivative Works to the public,\n			   with the proviso that copies of Original Work You distribute or communicate shall be\n			   licensed under this Upstream Compatibility License and all Derivative Work You\n			   distribute or communicate shall be licensed under both this Upstream Compatibility\n			   License and the Apache License 2.0 or later;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			to perform the Original Work publicly; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			to display the Original Work publicly.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Grant of Patent License. Licensor grants You a worldwide, royalty-free, non-exclusive,\n			 sublicensable license, under patent claims owned or controlled by the Licensor that are\n			 embodied in the Original Work as furnished by the Licensor, for the duration of the patents,\n			 to make, use, sell, offer for sale, have made, and import the Original Work and Derivative\n			 Works.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  Grant of Source Code License. The term &quot;Source Code&quot; means the preferred form of the\n			 Original Work for making modifications to it and all available documentation describing how to\n			 modify the Original Work. Licensor agrees to provide a machine-readable copy of the Source\n			 Code of the Original Work along with each copy of the Original Work that Licensor distributes.\n			 Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of\n			 the Source Code in an information repository reasonably calculated to permit inexpensive and\n			 convenient access by You for as long as Licensor continues to distribute the Original\n			 Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors\n			 to the Original Work, nor any of their trademarks or service marks, may be used to endorse or\n			 promote products derived from this Original Work without express prior permission of the\n			 Licensor. Except as expressly stated herein, nothing in this License grants any license to\n			 Licensor&apos;s trademarks, copyrights, patents, trade secrets or any other intellectual\n			 property. No patent license is granted to make, use, sell, offer for sale, have made, or\n			 import embodiments of any patent claims other than the licensed claims defined in Section 2.\n			 No license is granted to the trademarks of Licensor even if such marks are included in the\n			 Original Work. Nothing in this License shall be interpreted to prohibit Licensor from\n			 licensing under terms different from this License any Original Work that Licensor otherwise\n			 would have a right to license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  External Deployment. The term &quot;External Deployment&quot; means the use, distribution, or\n			 communication of the Original Work or Derivative Works in any way such that the Original Work\n			 or Derivative Works may be used by anyone other than You, whether those works are distributed\n			 or communicated to those persons or made available as an application intended for use over a\n			 network. As an express condition for the grants of license hereunder, You must treat any\n			 External Deployment by You of the Original Work or a Derivative Work as a distribution under\n			 section 1(c).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6)</var>\n		  Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create,\n			 all copyright, patent, or trademark notices from the Source Code of the Original Work, as well\n			 as any notices of licensing and any descriptive text identified therein as an\n			 &quot;Attribution Notice.&quot; You must cause the Source Code for any Derivative Works that\n			 You create to carry a prominent Attribution Notice reasonably calculated to inform recipients\n			 that You have modified the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7)</var>\n		  Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to\n			 the Original Work and the patent rights granted herein by Licensor are owned by the Licensor\n			 or are sublicensed to You under the terms of this License with the permission of the\n			 contributor(s) of those copyrights and patent rights. Except as expressly stated in the\n			 immediately preceding sentence, the Original Work is provided under this License on an\n			 &quot;AS IS&quot; BASIS and WITHOUT WARRANTY, either express or implied, including, without\n			 limitation, the warranties of non-infringement, merchantability or fitness for a particular\n			 purpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER\n			 OF WARRANTY constitutes an essential part of this License. No license to the Original Work is\n			 granted by this License except under this disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8)</var>\n		  Limitation of Liability. Under no circumstances and under no legal theory, whether in tort\n			 (including negligence), contract, or otherwise, shall the Licensor be liable to anyone for any\n			 indirect, special, incidental, or consequential damages of any character arising as a result\n			 of this License or the use of the Original Work including, without limitation, damages for\n			 loss of goodwill, work stoppage, computer failure or malfunction, or any and all other\n			 commercial damages or losses. This limitation of liability shall not apply to the extent\n			 applicable law prohibits such limitation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9)</var>\n		  Acceptance and Termination. If, at any time, You expressly assented to this License, that assent\n			 indicates your clear and irrevocable acceptance of this License and all of its terms and\n			 conditions. If You distribute or communicate copies of the Original Work or a Derivative Work,\n			 You must make a reasonable effort under the circumstances to obtain the express assent of\n			 recipients to the terms of this License. This License conditions your rights to undertake the\n			 activities listed in Section 1, including your right to create Derivative Works based upon the\n			 Original Work, and doing so without honoring these terms and conditions is prohibited by\n			 copyright law and international treaty. Nothing in this License is intended to affect\n			 copyright exceptions and limitations (including &quot;fair use&quot; or &quot;fair\n			 dealing&quot;). This License shall terminate immediately and You may no longer exercise any\n			 of the rights granted to You by this License upon your failure to honor the conditions in\n			 Section 1(c).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10)</var>\n		  Termination for Patent Action. This License shall terminate automatically and You may no longer\n			 exercise any of the rights granted to You by this License as of the date You commence an\n			 action, including a cross-claim or counterclaim, against Licensor or any licensee alleging\n			 that the Original Work infringes a patent. This termination provision shall not apply for an\n			 action alleging patent infringement by combinations of the Original Work with other software\n			 or hardware.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11)</var>\n		  Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought\n			 only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor\n			 conducts its primary business, and under the laws of that jurisdiction excluding its\n			 conflict-of-law provisions. The application of the United Nations Convention on Contracts for\n			 the International Sale of Goods is expressly excluded. Any use of the Original Work outside\n			 the scope of this License or after its termination shall be subject to the requirements and\n			 penalties of copyright or patent law in the appropriate jurisdiction. This section shall\n			 survive the termination of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12)</var>\n		  Attorneys&apos; Fees. In any action to enforce the terms of this License or seeking damages\n			 relating thereto, the prevailing party shall be entitled to recover its costs and expenses,\n			 including, without limitation, reasonable attorneys&apos; fees and costs incurred in\n			 connection with such action, including any appeal of such action. This section shall survive\n			 the termination of this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13)</var>\n		  Miscellaneous. If any provision of this License is held to be unenforceable, such provision shall\n			 be reformed only to the extent necessary to make it enforceable.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14)</var>\n		  Definition of &quot;You&quot; in This License. &quot;You&quot; throughout this License, whether\n			 in upper or lower case, means an individual or a legal entity exercising rights under, and\n			 complying with all of the terms of, this License. For legal entities, &quot;You&quot; includes\n			 any entity that controls, is controlled by, or is under common control with you. For purposes\n			 of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the\n			 direction or management of such entity, whether by contract or otherwise, or (ii) ownership of\n			 fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such\n			 entity.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15)</var>\n		  Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned\n			 by this License or by law, and Licensor promises not to interfere with or be responsible for\n			 such uses by You.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 16)</var>\n		  Modification of This License. This License is Copyright (c) 2005 Lawrence Rosen and\n			 Copyright (c) 2017 Nigel Tzeng. Permission is granted to copy, distribute, or communicate\n			 this License without modification. Nothing in this License permits You to modify this\n			 License as applied to the Original Work or to Derivative Works. However, You may modify\n			 the text of this License and copy, distribute or communicate your modified version (the\n			 &quot;Modified License&quot;) and apply it to other original works of authorship subject to the\n			 following conditions: (i) You may not indicate in any way that your Modified License is\n			 the &quot;Open Software License&quot; or &quot;OSL&quot; or the &quot;Upstream Compatibility License&quot; or &quot;UCL&quot;\n			 and you may not use those names in the name of your Modified License; (ii) You must\n			 replace the notice specified in the first paragraph above with the notice &quot;Licensed under\n		   <var class=\"optional-license-text\"> &lt;insert your license name here&gt;</var>&quot; or with a notice of your own that is not confusingly\n			 similar to the notice in this License; and (iii) You may not claim that your original works\n			 are open source software unless your Modified License has been approved by Open\n			 Source Initiative (OSI) and You comply with its license review and certification process.\n		</li>\n	  \n</ul>\n	"
		self.standardLicenseHeaderHtml = "\n	  <p>Licensed under the Upstream Compatibility License 1.0</p>\n\n	  "
		self.python_name = "UCL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class NCL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2004 the University Corporation for Atmospheric\nResearch (\"UCAR\"). All rights reserved. Developed by NCAR's\nComputational and Information Systems Laboratory, UCAR,\nwww.cisl.ucar.edu.\n\nRedistribution and use of the Software in source and binary forms,\nwith or without modification, is permitted provided that the\nfollowing conditions are met:\n\n- Neither the names of NCAR's Computational and Information Systems\nLaboratory, the University Corporation for Atmospheric Research,\nnor the names of its sponsors or contributors may be used to\nendorse or promote products derived from this Software without\nspecific prior written permission.\n\n- Redistributions of source code must retain the above copyright\nnotices, this list of conditions, and the disclaimer below.\n\n- Redistributions in binary form must reproduce the above copyright\nnotice, this list of conditions, and the disclaimer below in the\ndocumentation and/or other materials provided with the\ndistribution.\n\nTHIS SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND,\nEXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND\nNONINFRINGEMENT. IN NO EVENT SHALL THE CONTRIBUTORS OR COPYRIGHT\nHOLDERS BE LIABLE FOR ANY CLAIM, INDIRECT, INCIDENTAL, SPECIAL,\nEXEMPLARY, OR CONSEQUENTIAL DAMAGES OR OTHER LIABILITY, WHETHER IN AN\nACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN\nCONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE\nSOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2004 the University Corporation for Atmospheric Research (\"UCAR\"). All rights reserved. Developed by NCAR's Computational and Information Systems Laboratory, UCAR, www.cisl.ucar.edu.  \";match=\".{0,5000}\">>\n\nRedistribution and use<<beginOptional>> of the Software<<endOptional>> in source and binary forms, with or without modification, <<var;name=\"is\";original=\"is\";match=\"is|are\">> permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">>\n\n   Neither the names of NCAR's Computational and Information Systems Laboratory, the University Corporation for Atmospheric Research, nor the names of its<<beginOptional>> sponsors or<<endOptional>> contributors may be used to endorse or promote products derived from this Software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">>\n\n   Redistributions of source code must retain the above copyright notices, this list of conditions, and the disclaimer below.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">>\n\n   Redistributions in binary form must reproduce the above copyright notice, this list of conditions, and the disclaimer below in the documentation and/or other materials provided with the distribution.\n\nTHIS SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE.\n\n"
		self.name = "NCL Source Code License"
		self.licenseId = "NCL"
		self.crossRef = [{"match": "False", "url": "https://gitlab.freedesktop.org/pipewire/pipewire/-/blob/master/src/modules/module-filter-chain/pffft.c?ref_type=heads#L1-52", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gitlab.freedesktop.org/pipewire/pipewire/-/blob/master/src/modules/module-filter-chain/pffft.c?ref_type=heads#L1-52"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <div class=\"replaceable-license-text\"> \n			<p>\n			Copyright (c) 2004 the University Corporation for\n			Atmospheric Research (&quot;UCAR&quot;). All rights reserved.\n			Developed by NCAR&apos;s Computational and Information\n			Systems Laboratory, UCAR, www.cisl.ucar.edu.\n			</p>\n\n		 </div>\n		 <p>\n			Redistribution and use <var class=\"optional-license-text\"> of the Software</var> in source and\n			binary forms, with or without modification, <var class=\"replaceable-license-text\"> is</var> permitted\n			provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> -</var>\n			   <p>\n				  Neither the names of NCAR&apos;s Computational and Information\n				  Systems Laboratory, the University Corporation for Atmospheric\n				  Research, nor the names of its <var class=\"optional-license-text\"> sponsors or</var> contributors\n				  may be used to endorse or promote products derived from\n				  this Software without specific prior written permission.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> -</var>\n			   <p>\n				  Redistributions of source code must retain the above copyright\n				  notices, this list of conditions, and the disclaimer below.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> -</var>\n			   <p>\n				  Redistributions in binary form must reproduce the\n				  above copyright notice, this list of conditions,\n				  and the disclaimer below in the documentation and/or\n				  other materials provided with the distribution.\n			   </p>\n\n			</li>\n		 \n</ul>\n		 <p>\n			THIS SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY\n			KIND, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO\n			THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\n			PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n			CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,\n			INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n			DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,\n			TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH\n			THE SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE.\n		 </p>\n\n	  "
		self.python_name = "NCL"

	def __str__(self):
		return json.dumps(self.__dict__)


class LGPL30plus:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	deprecatedVersion: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = True
		self.isFsfLibre = True
		self.licenseText = "GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\nCopyright (C) 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nThis version of the GNU Lesser General Public License incorporates the terms and conditions of version 3 of the GNU General Public License, supplemented by the additional permissions listed below.\n\n   0. Additional Definitions.\n\n	  As used herein, \"this License\" refers to version 3 of the GNU Lesser General Public License, and the \"GNU GPL\" refers to version 3 of the GNU General Public License.\n\n	  \"The Library\" refers to a covered work governed by this License, other than an Application or a Combined Work as defined below.\n\n	  An \"Application\" is any work that makes use of an interface provided by the Library, but which is not otherwise based on the Library. Defining a subclass of a class defined by the Library is deemed a mode of using an interface provided by the Library.\n\n	  A \"Combined Work\" is a work produced by combining or linking an Application with the Library. The particular version of the Library with which the Combined Work was made is also called the \"Linked Version\".\n\n	  The \"Minimal Corresponding Source\" for a Combined Work means the Corresponding Source for the Combined Work, excluding any source code for portions of the Combined Work that, considered in isolation, are based on the Application, and not on the Linked Version.\n\n	  The \"Corresponding Application Code\" for a Combined Work means the object code and/or source code for the Application, including any data and utility programs needed for reproducing the Combined Work from the Application, but excluding the System Libraries of the Combined Work.\n\n   1. Exception to Section 3 of the GNU GPL.\n\n   You may convey a covered work under sections 3 and 4 of this License without being bound by section 3 of the GNU GPL.\n\n   2. Conveying Modified Versions.\n\n   If you modify a copy of the Library, and, in your modifications, a facility refers to a function or data to be supplied by an Application that uses the facility (other than as an argument passed when the facility is invoked), then you may convey a copy of the modified version:\n\n	  a) under this License, provided that you make a good faith effort to ensure that, in the event an Application does not supply the function or data, the facility still operates, and performs whatever part of its purpose remains meaningful, or\n\n	  b) under the GNU GPL, with none of the additional permissions of this License applicable to that copy.\n\n   3. Object Code Incorporating Material from Library Header Files.\n\n   The object code form of an Application may incorporate material from a header file that is part of the Library. You may convey such object code under terms of your choice, provided that, if the incorporated material is not limited to numerical parameters, data structure layouts and accessors, or small macros, inline functions and templates (ten or fewer lines in length), you do both of the following:\n\n	  a) Give prominent notice with each copy of the object code that the Library is used in it and that the Library and its use are covered by this License.\n\n	  b) Accompany the object code with a copy of the GNU GPL and this license document.\n\n   4. Combined Works.\n\n   You may convey a Combined Work under terms of your choice that, taken together, effectively do not restrict modification of the portions of the Library contained in the Combined Work and reverse engineering for debugging such modifications, if you also do each of the following:\n\n	  a) Give prominent notice with each copy of the Combined Work that the Library is used in it and that the Library and its use are covered by this License.\n\n	  b) Accompany the Combined Work with a copy of the GNU GPL and this license document.\n\n	  c) For a Combined Work that displays copyright notices during execution, include the copyright notice for the Library among these notices, as well as a reference directing the user to the copies of the GNU GPL and this license document.\n\n	  d) Do one of the following:\n\n		 0) Convey the Minimal Corresponding Source under the terms of this License, and the Corresponding Application Code in a form suitable for, and under terms that permit, the user to recombine or relink the Application with a modified version of the Linked Version to produce a modified Combined Work, in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.\n\n		 1) Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (a) uses at run time a copy of the Library already present on the user's computer system, and (b) will operate properly with a modified version of the Library that is interface-compatible with the Linked Version.\n\n	  e) Provide Installation Information, but only if you would otherwise be required to provide such information under section 6 of the GNU GPL, and only to the extent that such information is necessary to install and execute a modified version of the Combined Work produced by recombining or relinking the Application with a modified version of the Linked Version. (If you use option 4d0, the Installation Information must accompany the Minimal Corresponding Source and Corresponding Application Code. If you use option 4d1, you must provide the Installation Information in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.)\n\n   5. Combined Libraries.\n\n   You may place library facilities that are a work based on the Library side by side in a single library together with other library facilities that are not Applications and are not covered by this License, and convey such a combined library under terms of your choice, if you do both of the following:\n\n	  a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities, conveyed under the terms of this License.\n\n	  b) Give prominent notice with the combined library that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   6. Revised Versions of the GNU Lesser General Public License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library as you received it specifies that a certain numbered version of the GNU Lesser General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that published version or of any later version published by the Free Software Foundation. If the Library as you received it does not specify a version number of the GNU Lesser General Public License, you may choose any version of the GNU Lesser General Public License ever published by the Free Software Foundation.\n\n   If the Library as you received it specifies that a proxy can decide whether future versions of the GNU Lesser General Public License shall apply, that proxy's public statement of acceptance of any version is permanent authorization for you to choose that version for the Library.\n\n   GNU GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n   0. Definitions.\n\n   \"This License\" refers to version 3 of the GNU General Public License.\n\n   \"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n   \"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\n   To \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\n   A \"covered work\" means either the unmodified Program or a work based on the Program.\n\n   To \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\n   To \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\n   An interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n   1. Source Code.\n\n   The \"source code\" for a work means the preferred form of the work for making modifications to it. \"Object code\" means any non-source form of a work.\n\n   A \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\n   The \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\n   The \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\n   The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   2. Basic Permissions.\n\n   All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\n   You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\n   Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   3. Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n   No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\n   When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n   4. Conveying Verbatim Copies.\n\n   You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\n   You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n   5. Conveying Modified Source Versions.\n\n   You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	  a) The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	  b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	  c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	  d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\n   A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n   6. Conveying Non-Source Forms.\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	  a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	  b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	  c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	  d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	  e) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\n   A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\n   A \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n   \"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\n   If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\n   The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\n   Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n   7. Additional Terms.\n\n   \"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\n   When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\n   Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	  a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	  b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	  c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	  d) Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	  e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	  f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\n   All other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\n   If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\n   Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n   8. Termination.\n\n   You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n   9. Acceptance Not Required for Having Copies.\n\n   You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n   10. Automatic Licensing of Downstream Recipients.\n\n   Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\n   An \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\n   You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n   11. Patents.\n\n   A \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \"contributor version\".\n\n   A contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\n   Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\n   In the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\n   If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\n   If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\n   A patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\n   Nothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n   12. No Surrender of Others' Freedom.\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n   13. Use with the GNU Affero General Public License.\n\n   Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n   14. Revised Versions of this License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\n   If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\n   Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n   15. Disclaimer of Warranty.\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   16. Limitation of Liability.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   17. Interpretation of Sections 15 and 16.\n\n   If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\n   END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n<program> Copyright (C) <year> <name of author>\n\nThis program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n\nThis is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \"about box\".\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <https://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <https://www.gnu.org/ licenses /why-not-lgpl.html>.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\n<<endOptional>>\n\nCopyright (C) 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nThis version of the GNU Lesser General Public License incorporates the terms and conditions of version 3 of the GNU General Public License, supplemented by the additional permissions listed below.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Additional Definitions.\n\n	  As used herein, \"this License\" refers to version 3 of the GNU Lesser General Public License, and the \"GNU GPL\" refers to version 3 of the GNU General Public License.\n\n	  \"The Library\" refers to a covered work governed by this License, other than an Application or a Combined Work as defined below.\n\n	  An \"Application\" is any work that makes use of an interface provided by the Library, but which is not otherwise based on the Library. Defining a subclass of a class defined by the Library is deemed a mode of using an interface provided by the Library.\n\n	  A \"Combined Work\" is a work produced by combining or linking an Application with the Library. The particular version of the Library with which the Combined Work was made is also called the \"Linked Version\".\n\n	  The \"Minimal Corresponding Source\" for a Combined Work means the Corresponding Source for the Combined Work, excluding any source code for portions of the Combined Work that, considered in isolation, are based on the Application, and not on the Linked Version.\n\n	  The \"Corresponding Application Code\" for a Combined Work means the object code and/or source code for the Application, including any data and utility programs needed for reproducing the Combined Work from the Application, but excluding the System Libraries of the Combined Work.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Exception to Section 3 of the GNU GPL.\n\n   You may convey a covered work under sections 3 and 4 of this License without being bound by section 3 of the GNU GPL.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Conveying Modified Versions.\n\n   If you modify a copy of the Library, and, in your modifications, a facility refers to a function or data to be supplied by an Application that uses the facility (other than as an argument passed when the facility is invoked), then you may convey a copy of the modified version:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> under this License, provided that you make a good faith effort to ensure that, in the event an Application does not supply the function or data, the facility still operates, and performs whatever part of its purpose remains meaningful, or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> under the GNU GPL, with none of the additional permissions of this License applicable to that copy.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Object Code Incorporating Material from Library Header Files.\n\n   The object code form of an Application may incorporate material from a header file that is part of the Library. You may convey such object code under terms of your choice, provided that, if the incorporated material is not limited to numerical parameters, data structure layouts and accessors, or small macros, inline functions and templates (ten or fewer lines in length), you do both of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Give prominent notice with each copy of the object code that the Library is used in it and that the Library and its use are covered by this License.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany the object code with a copy of the GNU GPL and this license document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Combined Works.\n\n   You may convey a Combined Work under terms of your choice that, taken together, effectively do not restrict modification of the portions of the Library contained in the Combined Work and reverse engineering for debugging such modifications, if you also do each of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Give prominent notice with each copy of the Combined Work that the Library is used in it and that the Library and its use are covered by this License.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany the Combined Work with a copy of the GNU GPL and this license document.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> For a Combined Work that displays copyright notices during execution, include the copyright notice for the Library among these notices, as well as a reference directing the user to the copies of the GNU GPL and this license document.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Do one of the following:\n\n		 <<var;name=\"bullet\";original=\"0)\";match=\".{0,20}\">> Convey the Minimal Corresponding Source under the terms of this License, and the Corresponding Application Code in a form suitable for, and under terms that permit, the user to recombine or relink the Application with a modified version of the Linked Version to produce a modified Combined Work, in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.\n\n		 <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (a) uses at run time a copy of the Library already present on the user's computer system, and (b) will operate properly with a modified version of the Library that is interface-compatible with the Linked Version.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Provide Installation Information, but only if you would otherwise be required to provide such information under section 6 of the GNU GPL, and only to the extent that such information is necessary to install and execute a modified version of the Combined Work produced by recombining or relinking the Application with a modified version of the Linked Version. (If you use option 4d0, the Installation Information must accompany the Minimal Corresponding Source and Corresponding Application Code. If you use option 4d1, you must provide the Installation Information in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.)\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Combined Libraries.\n\n   You may place library facilities that are a work based on the Library side by side in a single library together with other library facilities that are not Applications and are not covered by this License, and convey such a combined library under terms of your choice, if you do both of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities, conveyed under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Give prominent notice with the combined library that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Revised Versions of the GNU Lesser General Public License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library as you received it specifies that a certain numbered version of the GNU Lesser General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that published version or of any later version published by the Free Software Foundation. If the Library as you received it does not specify a version number of the GNU Lesser General Public License, you may choose any version of the GNU Lesser General Public License ever published by the Free Software Foundation.\n\n   If the Library as you received it specifies that a proxy can decide whether future versions of the GNU Lesser General Public License shall apply, that proxy's public statement of acceptance of any version is permanent authorization for you to choose that version for the Library.\n\n   <<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n   \"This License\" refers to version 3 of the GNU General Public License.\n\n   \"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n   \"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\n   To \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\n   A \"covered work\" means either the unmodified Program or a work based on the Program.\n\n   To \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\n   To \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\n   An interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Source Code.\n\n   The \"source code\" for a work means the preferred form of the work for making modifications to it. \"Object code\" means any non-source form of a work.\n\n   A \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\n   The \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\n   The \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\n   The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Basic Permissions.\n\n   All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\n   You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\n   Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n   No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\n   When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Conveying Verbatim Copies.\n\n   You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\n   You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Conveying Modified Source Versions.\n\n   You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\n   A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Conveying Non-Source Forms.\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\n   A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\n   A \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n   \"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\n   If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\n   The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\n   Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Additional Terms.\n\n   \"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\n   When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\n   Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	  <<var;name=\"bullet\";original=\"f)\";match=\".{0,20}\">> Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\n   All other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\n   If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\n   Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination.\n\n   You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Acceptance Not Required for Having Copies.\n\n   You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Automatic Licensing of Downstream Recipients.\n\n   Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\n   An \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\n   You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Patents.\n\n   A \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \"contributor version\".\n\n   A contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\n   Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\n   In the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\n   If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\n   If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\n   A patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\n   Nothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> No Surrender of Others' Freedom.\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Use with the GNU Affero General Public License.\n\n   Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Revised Versions of this License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\n   If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\n   Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> Limitation of Liability.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"17.\";match=\".{0,20}\">> Interpretation of Sections 15 and 16.\n\n   If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\n   <<beginOptional>>END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n<program> Copyright (C) <year> <name of author>\n\nThis program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n\nThis is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \"about box\".\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <https://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <https://www.gnu.org/ <<var;name=\"philicenses\";original=\"licenses\";match=\"philosophy|licenses\">> /why-not-lgpl.html>.\n\n<<endOptional>><<endOptional>>"
		self.name = "GNU Lesser General Public License v3.0 or later"
		self.licenseComments = "The identifier \"LGPL-3.0+\" has been deprecated; LGPL-3.0-or-later is the preferred identifier to indicate version 3.0 or any later version of the LGPL."
		self.licenseId = "LGPL-3.0+"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/LGPL-3.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:17:17Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://www.gnu.org/licenses/lgpl+gpl-3.0.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:17Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.gnu.org/licenses/lgpl-3.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:17Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/lgpl-3.0-standalone.html", "https://www.gnu.org/licenses/lgpl+gpl-3.0.txt", "https://opensource.org/licenses/LGPL-3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>GNU LESSER GENERAL PUBLIC LICENSE\n		<br />\n\nVersion 3, 29 June 2007\n	  </p>\n\n	  </div>\n	  <p>Copyright (C) 2007 Free Software Foundation, Inc. &lt;https://fsf.org/&gt;</p>\n\n	  <p>Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is\n		 not allowed.</p>\n\n	  <p>This version of the GNU Lesser General Public License incorporates the terms and conditions of version 3\n		 of the GNU General Public License, supplemented by the additional permissions listed below.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 0.</var>\n		  Additional Definitions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <p>As used herein, &quot;this License&quot; refers to version 3 of the GNU Lesser General Public\n				 License, and the &quot;GNU GPL&quot; refers to version 3 of the GNU General Public\n				 License.</p>\n\n			   </li>\n			   \n<li>\n				  <p>&quot;The Library&quot; refers to a covered work governed by this License, other than an\n				 Application or a Combined Work as defined below.</p>\n\n			   </li>\n			   \n<li>\n				  <p>An &quot;Application&quot; is any work that makes use of an interface provided by the Library,\n				 but which is not otherwise based on the Library. Defining a subclass of a class defined by the\n				 Library is deemed a mode of using an interface provided by the Library.</p>\n\n			   </li>\n			   \n<li>\n				  <p>A &quot;Combined Work&quot; is a work produced by combining or linking an Application with the\n				 Library. The particular version of the Library with which the Combined Work was made is also\n				 called the &quot;Linked Version&quot;.</p>\n\n			   </li>\n			   \n<li>\n				  <p>The &quot;Minimal Corresponding Source&quot; for a Combined Work means the Corresponding Source\n				 for the Combined Work, excluding any source code for portions of the Combined Work that,\n				 considered in isolation, are based on the Application, and not on the Linked Version.</p>\n\n			   </li>\n			   \n<li>\n				  <p>The &quot;Corresponding Application Code&quot; for a Combined Work means the object code and/or\n				 source code for the Application, including any data and utility programs needed for\n				 reproducing the Combined Work from the Application, but excluding the System Libraries of the\n				 Combined Work.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Exception to Section 3 of the GNU GPL.\n			<br />\n\n   You may convey a covered work under sections 3 and 4 of this License without being bound by\n				 section 3 of the GNU GPL.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Conveying Modified Versions.\n			<br />\n\n   If you modify a copy of the Library, and, in your modifications, a facility refers to a\n				 function or data to be supplied by an Application that uses the facility (other than\n				 as an argument passed when the facility is invoked), then you may convey a copy of the\n				 modified version:\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			  under this License, provided that you make a good faith effort to ensure that, in the event\n				 an Application does not supply the function or data, the facility still operates, and\n				 performs whatever part of its purpose remains meaningful, or\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			  under the GNU GPL, with none of the additional permissions of this License applicable to that copy.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Object Code Incorporating Material from Library Header Files.\n			<br />\n\n   The object code form of an Application may incorporate material from a header file that is\n				 part of the Library. You may convey such object code under terms of your choice,\n				 provided that, if the incorporated material is not limited to numerical parameters,\n				 data structure layouts and accessors, or small macros, inline functions and templates\n				 (ten or fewer lines in length), you do both of the following:\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			  Give prominent notice with each copy of the object code that the Library is used in it and\n				 that the Library and its use are covered by this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			  Accompany the object code with a copy of the GNU GPL and this license document.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Combined Works.\n			<br />\n\n   You may convey a Combined Work under terms of your choice that, taken together, effectively\n				 do not restrict modification of the portions of the Library contained in the Combined\n				 Work and reverse engineering for debugging such modifications, if you also do each of\n				 the following:\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			  Give prominent notice with each copy of the Combined Work that the Library is used in it and\n				 that the Library and its use are covered by this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			  Accompany the Combined Work with a copy of the GNU GPL and this license document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			  For a Combined Work that displays copyright notices during execution, include the copyright\n				 notice for the Library among these notices, as well as a reference directing the user to\n				 the copies of the GNU GPL and this license document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			  Do one of the following:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 0)</var>\n				  Convey the Minimal Corresponding Source under the terms of this License, and the\n					 Corresponding Application Code in a form suitable for, and under terms that permit,\n					 the user to recombine or relink the Application with a modified version of the Linked\n					 Version to produce a modified Combined Work, in the manner specified by section 6 of\n					 the GNU GPL for conveying Corresponding Source.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1)</var>\n				  Use a suitable shared library mechanism for linking with the Library. A suitable\n					 mechanism is one that (a) uses at run time a copy of the Library already present on\n					 the user&apos;s computer system, and (b) will operate properly with a modified version\n					 of the Library that is interface-compatible with the Linked Version.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			  Provide Installation Information, but only if you would otherwise be required to provide such\n				 information under section 6 of the GNU GPL, and only to the extent that such information\n				 is necessary to install and execute a modified version of the Combined Work produced by\n				 recombining or relinking the Application with a modified version of the Linked Version.\n				 (If you use option 4d0, the Installation Information must accompany the Minimal\n				 Corresponding Source and Corresponding Application Code. If you use option 4d1, you must\n				 provide the Installation Information in the manner specified by section 6 of the GNU GPL\n				 for conveying Corresponding Source.)\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Combined Libraries.\n			<br />\n\n   You may place library facilities that are a work based on the Library side by side in a\n				 single library together with other library facilities that are not Applications and\n				 are not covered by this License, and convey such a combined library under terms of\n				 your choice, if you do both of the following:\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			  Accompany the combined library with a copy of the same work based on the Library, uncombined\n				 with any other library facilities, conveyed under the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			  Give prominent notice with the combined library that part of it is a work based on the\n				 Library, and explaining where to find the accompanying uncombined form of the same\n				 work.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Revised Versions of the GNU Lesser General Public License.\n		  <p>The Free Software Foundation may publish revised and/or new versions of the GNU Lesser General Public\n			 License from time to time. Such new versions will be similar in spirit to the present version, but may\n			 differ in detail to address new problems or concerns.</p>\n\n			<p>Each version is given a distinguishing version number. If the Library as you received it specifies that a\n			 certain numbered version of the GNU Lesser General Public License &quot;or any later version&quot;\n			 applies to it, you have the option of following the terms and conditions either of that published\n			 version or of any later version published by the Free Software Foundation. If the Library as you\n			 received it does not specify a version number of the GNU Lesser General Public License, you may choose\n			 any version of the GNU Lesser General Public License ever published by the Free Software\n			 Foundation.</p>\n\n			<p>If the Library as you received it specifies that a proxy can decide whether future versions of the GNU\n			 Lesser General Public License shall apply, that proxy&apos;s public statement of acceptance of any version\n			 is permanent authorization for you to choose that version for the Library.\n		  </p>\n\n		</li>\n	  \n</ul> \n	  <div class=\"optional-license-text\"> \n		 <p>\n		   GNU GENERAL PUBLIC LICENSE<br />\n\n		   Version 3, 29 June 2007\n		 </p>\n\n		 <p>\n		   Copyright \u00a9 2007 Free Software Foundation, Inc.\n		   &lt;https://fsf.org/&gt;\n		 </p>\n\n		 <p>\n		   Everyone is permitted to copy and distribute verbatim copies\n		   of this license document, but changing it is not allowed.\n		 </p>\n\n		 <p>\n		   Preamble\n		 </p>\n\n		 <p>\n		   The GNU General Public License is a free, copyleft\n		   license for software and other kinds of works.\n		 </p>\n\n		 <p>\n		   The licenses for most software and other practical works are designed to\n		   take away your freedom to share and change the works. By contrast, the GNU\n		   General Public License is intended to guarantee your freedom to share and\n		   change all versions of a program--to make sure it remains free software\n		   for all its users. We, the Free Software Foundation, use the GNU General\n		   Public License for most of our software; it applies also to any other work\n		   released this way by its authors. You can apply it to your programs, too.\n		 </p>\n\n		 <p>\n		   When we speak of free software, we are referring to freedom, not\n		   price. Our General Public Licenses are designed to make sure that you\n		   have the freedom to distribute copies of free software (and charge\n		   for them if you wish), that you receive source code or can get it\n		   if you want it, that you can change the software or use pieces of\n		   it in new free programs, and that you know you can do these things.\n		 </p>\n\n		 <p>\n		   To protect your rights, we need to prevent others from denying you\n		   these rights or asking you to surrender the rights. Therefore, you have\n		   certain responsibilities if you distribute copies of the software, or\n		   if you modify it: responsibilities to respect the freedom of others.\n		 </p>\n\n		 <p>\n		   For example, if you distribute copies of such a program, whether gratis\n		   or for a fee, you must pass on to the recipients the same freedoms that\n		   you received. You must make sure that they, too, receive or can get the\n		   source code. And you must show them these terms so they know their rights.\n		 </p>\n\n		 <p>\n		   Developers that use the GNU GPL protect your rights with two steps:\n		   (1) assert copyright on the software, and (2) offer you this License\n		   giving you legal permission to copy, distribute and/or modify it.\n		 </p>\n\n		 <p>\n		   For the developers&apos; and authors&apos; protection, the GPL clearly\n		   explains that there is no warranty for this free software. For\n		   both users&apos; and authors&apos; sake, the GPL requires that modified\n		   versions be marked as changed, so that their problems will\n		   not be attributed erroneously to authors of previous versions.\n		 </p>\n\n		 <p>\n		   Some devices are designed to deny users access to install or run modified\n		   versions of the software inside them, although the manufacturer can\n		   do so. This is fundamentally incompatible with the aim of protecting\n		   users&apos; freedom to change the software. The systematic pattern of\n		   such abuse occurs in the area of products for individuals to use,\n		   which is precisely where it is most unacceptable. Therefore, we have\n		   designed this version of the GPL to prohibit the practice for those\n		   products. If such problems arise substantially in other domains,\n		   we stand ready to extend this provision to those domains in future\n		   versions of the GPL, as needed to protect the freedom of users.\n		 </p>\n\n		 <p>\n		   Finally, every program is threatened constantly by software patents.\n		   States should not allow patents to restrict development and use of\n		   software on general-purpose computers, but in those that do, we wish\n		   to avoid the special danger that patents applied to a free program\n		   could make it effectively proprietary. To prevent this, the GPL\n		   assures that patents cannot be used to render the program non-free.\n		 </p>\n\n		 <p>\n		   The precise terms and conditions for copying,\n		   distribution and modification follow.\n		 </p>\n\n		 <p>\n		   TERMS AND CONDITIONS\n		 </p>\n\n<ul style=\"list-style:none\">\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 0.</var>\n			 Definitions.\n			 <p>\n			   &quot;This License&quot; refers to version 3 of the GNU General Public License.\n			 </p>\n\n			 <p>\n			   &quot;Copyright&quot; also means copyright-like laws that apply\n			   to other kinds of works, such as semiconductor masks.\n			 </p>\n\n			 <p>\n			   &quot;The Program&quot; refers to any copyrightable work licensed under\n			   this License. Each licensee is addressed as &quot;you&quot;. &quot;Licensees&quot;\n			   and &quot;recipients&quot; may be individuals or organizations.\n			 </p>\n\n			 <p>\n			   To &quot;modify&quot; a work means to copy from or adapt all or part of the\n			   work in a fashion requiring copyright permission, other than the\n			   making of an exact copy. The resulting work is called a &quot;modified\n			   version&quot; of the earlier work or a work &quot;based on&quot; the earlier work.\n			 </p>\n\n			 <p>\n			   A &quot;covered work&quot; means either the unmodified\n			   Program or a work based on the Program.\n			 </p>\n\n			 <p>\n			   To &quot;propagate&quot; a work means to do anything with it that, without\n			   permission, would make you directly or secondarily liable for\n			   infringement under applicable copyright law, except executing it\n			   on a computer or modifying a private copy. Propagation includes\n			   copying, distribution (with or without modification), making available\n			   to the public, and in some countries other activities as well.\n			 </p>\n\n			 <p>\n			   To &quot;convey&quot; a work means any kind of propagation\n			   that enables other parties to make or receive copies.\n			   Mere interaction with a user through a computer\n			   network, with no transfer of a copy, is not conveying.\n			 </p>\n\n			 <p>\n			   An interactive user interface displays &quot;Appropriate Legal Notices&quot;\n			   to the extent that it includes a convenient and prominently visible\n			   feature that (1) displays an appropriate copyright notice, and (2)\n			   tells the user that there is no warranty for the work (except to\n			   the extent that warranties are provided), that licensees may convey\n			   the work under this License, and how to view a copy of this License.\n			   If the interface presents a list of user commands or options,\n			   such as a menu, a prominent item in the list meets this criterion.\n			 </p>\n\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 1.</var>\n			 Source Code.<br />\n\n			 The &quot;source code&quot; for a work means the preferred\n			 form of the work for making modifications to it.\n			 &quot;Object code&quot; means any non-source form of a work.\n			 <p>\n			   A &quot;Standard Interface&quot; means an interface that either is an official\n			   standard defined by a recognized standards body, or, in the case\n			   of interfaces specified for a particular programming language,\n			   one that is widely used among developers working in that language.\n			 </p>\n\n			 <p>\n			   The &quot;System Libraries&quot; of an executable work include anything, other\n			   than the work as a whole, that (a) is included in the normal form\n			   of packaging a Major Component, but which is not part of that Major\n			   Component, and (b) serves only to enable use of the work with that\n			   Major Component, or to implement a Standard Interface for which an\n			   implementation is available to the public in source code form. A\n			   &quot;Major Component&quot;, in this context, means a major essential component\n			   (kernel, window system, and so on) of the specific operating system\n			   (if any) on which the executable work runs, or a compiler used to\n			   produce the work, or an object code interpreter used to run it.\n			 </p>\n\n			 <p>\n			   The &quot;Corresponding Source&quot; for a work in object code form means all\n			   the source code needed to generate, install, and (for an executable\n			   work) run the object code and to modify the work, including scripts\n			   to control those activities. However, it does not include the work&apos;s\n			   System Libraries, or general-purpose tools or generally available\n			   free programs which are used unmodified in performing those activities\n			   but which are not part of the work. For example, Corresponding\n			   Source includes interface definition files associated with source\n			   files for the work, and the source code for shared libraries\n			   and dynamically linked subprograms that the work is specifically\n			   designed to require, such as by intimate data communication or\n			   control flow between those subprograms and other parts of the work.\n			 </p>\n\n			 <p>\n			   The Corresponding Source need not include anything that users can\n			   regenerate automatically from other parts of the Corresponding Source.\n			 </p>\n\n			 <p>\n			   The Corresponding Source for a work\n			   in source code form is that same work.\n			 </p>\n\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 2.</var>\n			 Basic Permissions.<br />\n\n			 All rights granted under this License are granted for the term of\n			 copyright on the Program, and are irrevocable provided the stated\n			 conditions are met. This License explicitly affirms your unlimited\n			 permission to run the unmodified Program. The output from running a\n			 covered work is covered by this License only if the output, given its\n			 content, constitutes a covered work. This License acknowledges your\n			 rights of fair use or other equivalent, as provided by copyright law.\n			 <p>\n			   You may make, run and propagate covered works that you do not convey,\n			   without conditions so long as your license otherwise remains in force.\n			   You may convey covered works to others for the sole purpose of having\n			   them make modifications exclusively for you, or provide you with\n			   facilities for running those works, provided that you comply with\n			   the terms of this License in conveying all material for which you do\n			   not control copyright. Those thus making or running the covered works\n			   for you must do so exclusively on your behalf, under your direction\n			   and control, on terms that prohibit them from making any copies\n			   of your copyrighted material outside their relationship with you.\n			 </p>\n\n			 <p>\n			   Conveying under any other circumstances is permitted\n			   solely under the conditions stated below. Sublicensing\n			   is not allowed; section 10 makes it unnecessary.\n			 </p>\n\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 3.</var>\n			 Protecting Users&apos; Legal Rights From Anti-Circumvention Law.<br />\n\n			 No covered work shall be deemed part of an effective technological\n			 measure under any applicable law fulfilling obligations under article\n			 11 of the WIPO copyright treaty adopted on 20 December 1996, or\n			 similar laws prohibiting or restricting circumvention of such measures.\n			 <p>\n			   When you convey a covered work, you waive any legal power to\n			   forbid circumvention of technological measures to the extent\n			   such circumvention is effected by exercising rights under this\n			   License with respect to the covered work, and you disclaim any\n			   intention to limit operation or modification of the work as a means\n			   of enforcing, against the work&apos;s users, your or third parties&apos;\n			   legal rights to forbid circumvention of technological measures.\n			 </p>\n\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 4.</var>\n			 Conveying Verbatim Copies.<br />\n\n			 You may convey verbatim copies of the Program&apos;s source code as\n			 you receive it, in any medium, provided that you conspicuously\n			 and appropriately publish on each copy an appropriate copyright\n			 notice; keep intact all notices stating that this License and any\n			 non-permissive terms added in accord with section 7 apply to the\n			 code; keep intact all notices of the absence of any warranty; and\n			 give all recipients a copy of this License along with the Program.\n			 <p>\n			   You may charge any price or no price for each copy that you\n			   convey, and you may offer support or warranty protection for a fee.\n			 </p>\n\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 5.</var>\n			 Conveying Modified Source Versions.<br />\n\n			 You may convey a work based on the Program, or the modifications to\n			 produce it from the Program, in the form of source code under the terms\n			 of section 4, provided that you also meet all of these conditions:\n			 \n<ul style=\"list-style:none\">\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> a)</var>\n				 The work must carry prominent notices stating\n				 that you modified it, and giving a relevant date.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> b)</var>\n				 The work must carry prominent notices stating that\n				 it is released under this License and any conditions\n				 added under section 7. This requirement modifies the\n				 requirement in section 4 to &quot;keep intact all notices&quot;.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> c)</var>\n				 You must license the entire work, as a whole, under this License\n				 to anyone who comes into possession of a copy. This License\n				 will therefore apply, along with any applicable section 7\n				 additional terms, to the whole of the work, and all its parts,\n				 regardless of how they are packaged. This License gives no\n				 permission to license the work in any other way, but it does not\n				 invalidate such permission if you have separately received it.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> d)</var>\n				 If the work has interactive user interfaces, each must\n				 display Appropriate Legal Notices; however, if the Program\n				 has interactive interfaces that do not display Appropriate\n				 Legal Notices, your work need not make them do so.\n			   </li>\n			 \n</ul>\n			 <p>\n			   A compilation of a covered work with other separate and independent\n			   works, which are not by their nature extensions of the covered\n			   work, and which are not combined with it such as to form a larger\n			   program, in or on a volume of a storage or distribution medium,\n			   is called an &quot;aggregate&quot; if the compilation and its resulting\n			   copyright are not used to limit the access or legal rights\n			   of the compilation&apos;s users beyond what the individual works\n			   permit. Inclusion of a covered work in an aggregate does not\n			   cause this License to apply to the other parts of the aggregate.\n			 </p>\n\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 6.</var>\n			 Conveying Non-Source Forms.<br />\n\n			 You may convey a covered work in object code form\n			 under the terms of sections 4 and 5, provided that you\n			 also convey the machine-readable Corresponding Source\n			 under the terms of this License, in one of these ways:\n			 \n<ul style=\"list-style:none\">\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> a)</var>\n				 Convey the object code in, or embodied in, a physical\n				 product (including a physical distribution medium),\n				 accompanied by the Corresponding Source fixed on a durable\n				 physical medium customarily used for software interchange.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> b)</var>\n				 Convey the object code in, or embodied in, a physical product\n				 (including a physical distribution medium), accompanied by a\n				 written offer, valid for at least three years and valid for\n				 as long as you offer spare parts or customer support for that\n				 product model, to give anyone who possesses the object code\n				 either (1) a copy of the Corresponding Source for all the software\n				 in the product that is covered by this License, on a durable\n				 physical medium customarily used for software interchange,\n				 for a price no more than your reasonable cost of physically\n				 performing this conveying of source, or (2) access to copy\n				 the Corresponding Source from a network server at no charge.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> c)</var>\n				 Convey individual copies of the object code with a\n				 copy of the written offer to provide the Corresponding\n				 Source. This alternative is allowed only occasionally\n				 and noncommercially, and only if you received the object\n				 code with such an offer, in accord with subsection 6b.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> d)</var>\n				 Convey the object code by offering access from a designated place\n				 (gratis or for a charge), and offer equivalent access to the\n				 Corresponding Source in the same way through the same place at\n				 no further charge. You need not require recipients to copy the\n				 Corresponding Source along with the object code. If the place\n				 to copy the object code is a network server, the Corresponding\n				 Source may be on a different server (operated by you or a third\n				 party) that supports equivalent copying facilities, provided you\n				 maintain clear directions next to the object code saying where\n				 to find the Corresponding Source. Regardless of what server hosts\n				 the Corresponding Source, you remain obligated to ensure that it\n				 is available for as long as needed to satisfy these requirements.\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> e)</var>\n				 Convey the object code using peer-to-peer transmission,\n				 provided you inform other peers where the object code\n				 and Corresponding Source of the work are being offered\n				 to the general public at no charge under subsection 6d.\n			   </li>\n			 \n</ul>\n			 <p>\n			   A separable portion of the object code, whose source code is\n			   excluded from the Corresponding Source as a System Library,\n			   need not be included in conveying the object code work.\n			 </p>\n\n			 <p>\n			   A &quot;User Product&quot; is either (1) a &quot;consumer product&quot;, which means\n			   any tangible personal property which is normally used for personal,\n			   family, or household purposes, or (2) anything designed or sold\n			   for incorporation into a dwelling. In determining whether a product\n			   is a consumer product, doubtful cases shall be resolved in favor\n			   of coverage. For a particular product received by a particular\n			   user, &quot;normally used&quot; refers to a typical or common use of that\n			   class of product, regardless of the status of the particular\n			   user or of the way in which the particular user actually uses,\n			   or expects or is expected to use, the product. A product is a\n			   consumer product regardless of whether the product has substantial\n			   commercial, industrial or non-consumer uses, unless such uses\n			   represent the only significant mode of use of the product.\n			 </p>\n\n			 <p>\n			   &quot;Installation Information&quot; for a User Product means any methods,\n			   procedures, authorization keys, or other information required\n			   to install and execute modified versions of a covered work in\n			   that User Product from a modified version of its Corresponding\n			   Source. The information must suffice to ensure that the continued\n			   functioning of the modified object code is in no case prevented\n			   or interfered with solely because modification has been made.\n			 </p>\n\n			 <p>\n			   If you convey an object code work under this section in, or with,\n			   or specifically for use in, a User Product, and the conveying\n			   occurs as part of a transaction in which the right of possession\n			   and use of the User Product is transferred to the recipient in\n			   perpetuity or for a fixed term (regardless of how the transaction\n			   is characterized), the Corresponding Source conveyed under this\n			   section must be accompanied by the Installation Information.\n			   But this requirement does not apply if neither you nor any third\n			   party retains the ability to install modified object code on the\n			   User Product (for example, the work has been installed in ROM).\n			 </p>\n\n			 <p>\n			   The requirement to provide Installation Information does not\n			   include a requirement to continue to provide support service,\n			   warranty, or updates for a work that has been modified\n			   or installed by the recipient, or for the User Product in\n			   which it has been modified or installed. Access to a network\n			   may be denied when the modification itself materially and\n			   adversely affects the operation of the network or violates\n			   the rules and protocols for communication across the network.\n			 </p>\n\n			 <p>\n			   Corresponding Source conveyed, and Installation Information\n			   provided, in accord with this section must be in a format that\n			   is publicly documented (and with an implementation available\n			   to the public in source code form), and must require no\n			   special password or key for unpacking, reading or copying.\n			 </p>\n\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 7.</var>\n			 Additional Terms.<br />\n\n			 &quot;Additional permissions&quot; are terms that supplement the terms of this\n			 License by making exceptions from one or more of its conditions.\n			 Additional permissions that are applicable to the entire Program\n			 shall be treated as though they were included in this License, to\n			 the extent that they are valid under applicable law. If additional\n			 permissions apply only to part of the Program, that part may be used\n			 separately under those permissions, but the entire Program remains\n			 governed by this License without regard to the additional permissions.\n			 <p>\n			   When you convey a copy of a covered work, you may at your option\n			   remove any additional permissions from that copy, or from any part\n			   of it. (Additional permissions may be written to require their own\n			   removal in certain cases when you modify the work.) You may place\n			   additional permissions on material, added by you to a covered work,\n			   for which you have or can give appropriate copyright permission.\n			 </p>\n\n			 <p>\n			   Notwithstanding any other provision of this License, for material you\n			   add to a covered work, you may (if authorized by the copyright holders\n			   of that material) supplement the terms of this License with terms:\n			 </p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> a)</var>\n				 Disclaiming warranty or limiting liability differently\n				 from the terms of sections 15 and 16 of this License; or\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> b)</var>\n				 Requiring preservation of specified reasonable legal\n				 notices or author attributions in that material or in the\n				 Appropriate Legal Notices displayed by works containing it; or\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> c)</var>\n				 Prohibiting misrepresentation of the origin of that material,\n				 or requiring that modified versions of such material be marked\n				 in reasonable ways as different from the original version; or\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> d)</var>\n				 Limiting the use for publicity purposes of names\n				 of licensors or authors of the material; or\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> e)</var>\n				 Declining to grant rights under trademark law for use\n				 of some trade names, trademarks, or service marks; or\n			   </li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> f)</var>\n				 Requiring indemnification of licensors and authors of that\n				 material by anyone who conveys the material (or modified\n				 versions of it) with contractual assumptions of liability\n				 to the recipient, for any liability that these contractual\n				 assumptions directly impose on those licensors and authors.\n			   </li>\n			 \n</ul>\n			 <p>\n			   All other non-permissive additional terms are considered &quot;further\n			   restrictions&quot; within the meaning of section 10. If the Program\n			   as you received it, or any part of it, contains a notice stating\n			   that it is governed by this License along with a term that is\n			   a further restriction, you may remove that term. If a license\n			   document contains a further restriction but permits relicensing or\n			   conveying under this License, you may add to a covered work material\n			   governed by the terms of that license document, provided that the\n			   further restriction does not survive such relicensing or conveying.\n			 </p>\n\n			 <p>\n			   If you add terms to a covered work in accord with this\n			   section, you must place, in the relevant source files, a\n			   statement of the additional terms that apply to those files,\n			   or a notice indicating where to find the applicable terms.\n			 </p>\n\n			 <p>\n			   Additional terms, permissive or non-permissive, may be\n			   stated in the form of a separately written license, or stated\n			   as exceptions; the above requirements apply either way.\n			 </p>\n\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 8.</var>\n			 Termination.<br />\n\n			 You may not propagate or modify a covered work except as\n			 expressly provided under this License. Any attempt otherwise\n			 to propagate or modify it is void, and will automatically\n			 terminate your rights under this License (including any patent\n			 licenses granted under the third paragraph of section 11).\n			 <p>\n			   However, if you cease all violation of this License, then your\n			   license from a particular copyright holder is reinstated (a)\n			   provisionally, unless and until the copyright holder explicitly\n			   and finally terminates your license, and (b) permanently, if\n			   the copyright holder fails to notify you of the violation by\n			   some reasonable means prior to 60 days after the cessation.\n			 </p>\n\n			 <p>\n			   Moreover, your license from a particular copyright holder is\n			   reinstated permanently if the copyright holder notifies you\n			   of the violation by some reasonable means, this is the first\n			   time you have received notice of violation of this License\n			   (for any work) from that copyright holder, and you cure the\n			   violation prior to 30 days after your receipt of the notice.\n			 </p>\n\n			 <p>\n			   Termination of your rights under this section does not\n			   terminate the licenses of parties who have received copies or\n			   rights from you under this License. If your rights have been\n			   terminated and not permanently reinstated, you do not qualify\n			   to receive new licenses for the same material under section 10.\n			 </p>\n\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 9.</var>\n			 Acceptance Not Required for Having Copies.<br />\n\n			 You are not required to accept this License in order to receive or\n			 run a copy of the Program. Ancillary propagation of a covered work\n			 occurring solely as a consequence of using peer-to-peer transmission\n			 to receive a copy likewise does not require acceptance. However,\n			 nothing other than this License grants you permission to propagate\n			 or modify any covered work. These actions infringe copyright if you\n			 do not accept this License. Therefore, by modifying or propagating a\n			 covered work, you indicate your acceptance of this License to do so.\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 10.</var>\n			 Automatic Licensing of Downstream Recipients.<br />\n\n			 Each time you convey a covered work, the recipient automatically\n			 receives a license from the original licensors, to run, modify and\n			 propagate that work, subject to this License. You are not responsible\n			 for enforcing compliance by third parties with this License.\n			 <p>\n			   An &quot;entity transaction&quot; is a transaction transferring control of\n			   an organization, or substantially all assets of one, or subdividing\n			   an organization, or merging organizations. If propagation of a\n			   covered work results from an entity transaction, each party to that\n			   transaction who receives a copy of the work also receives whatever\n			   licenses to the work the party&apos;s predecessor in interest had or could\n			   give under the previous paragraph, plus a right to possession of the\n			   Corresponding Source of the work from the predecessor in interest,\n			   if the predecessor has it or can get it with reasonable efforts.\n			 </p>\n\n			 <p>\n			   You may not impose any further restrictions on the exercise of the\n			   rights granted or affirmed under this License. For example, you\n			   may not impose a license fee, royalty, or other charge for exercise\n			   of rights granted under this License, and you may not initiate\n			   litigation (including a cross-claim or counterclaim in a lawsuit)\n			   alleging that any patent claim is infringed by making, using, selling,\n			   offering for sale, or importing the Program or any portion of it.\n			 </p>\n\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 11.</var>\n			 Patents.<br />\n\n			 A &quot;contributor&quot; is a copyright holder who authorizes use under this\n			 License of the Program or a work on which the Program is based. The\n			 work thus licensed is called the contributor&apos;s &quot;contributor version&quot;.\n			 <p>\n			   A contributor&apos;s &quot;essential patent claims&quot; are all patent\n			   claims owned or controlled by the contributor, whether already\n			   acquired or hereafter acquired, that would be infringed by some\n			   manner, permitted by this License, of making, using, or selling\n			   its contributor version, but do not include claims that would\n			   be infringed only as a consequence of further modification\n			   of the contributor version. For purposes of this definition,\n			   &quot;control&quot; includes the right to grant patent sublicenses in\n			   a manner consistent with the requirements of this License.\n			 </p>\n\n			 <p>\n			   Each contributor grants you a non-exclusive, worldwide, royalty-free\n			   patent license under the contributor&apos;s essential patent claims,\n			   to make, use, sell, offer for sale, import and otherwise run,\n			   modify and propagate the contents of its contributor version.\n			 </p>\n\n			 <p>\n			   In the following three paragraphs, a &quot;patent license&quot; is any\n			   express agreement or commitment, however denominated, not to\n			   enforce a patent (such as an express permission to practice\n			   a patent or covenant not to sue for patent infringement). To\n			   &quot;grant&quot; such a patent license to a party means to make such an\n			   agreement or commitment not to enforce a patent against the party.\n			 </p>\n\n			 <p>\n			   If you convey a covered work, knowingly relying on a patent license,\n			   and the Corresponding Source of the work is not available for anyone\n			   to copy, free of charge and under the terms of this License, through\n			   a publicly available network server or other readily accessible\n			   means, then you must either (1) cause the Corresponding Source to\n			   be so available, or (2) arrange to deprive yourself of the benefit\n			   of the patent license for this particular work, or (3) arrange, in\n			   a manner consistent with the requirements of this License, to extend\n			   the patent license to downstream recipients. &quot;Knowingly relying&quot;\n			   means you have actual knowledge that, but for the patent license, your\n			   conveying the covered work in a country, or your recipient&apos;s use of\n			   the covered work in a country, would infringe one or more identifiable\n			   patents in that country that you have reason to believe are valid.\n			 </p>\n\n			 <p>\n			   If, pursuant to or in connection with a single transaction or\n			   arrangement, you convey, or propagate by procuring conveyance\n			   of, a covered work, and grant a patent license to some of the\n			   parties receiving the covered work authorizing them to use,\n			   propagate, modify or convey a specific copy of the covered work,\n			   then the patent license you grant is automatically extended\n			   to all recipients of the covered work and works based on it.\n			 </p>\n\n			 <p>\n			   A patent license is &quot;discriminatory&quot; if it does not include within the\n			   scope of its coverage, prohibits the exercise of, or is conditioned\n			   on the non-exercise of one or more of the rights that are specifically\n			   granted under this License. You may not convey a covered work if\n			   you are a party to an arrangement with a third party that is in the\n			   business of distributing software, under which you make payment to\n			   the third party based on the extent of your activity of conveying\n			   the work, and under which the third party grants, to any of the\n			   parties who would receive the covered work from you, a discriminatory\n			   patent license (a) in connection with copies of the covered work\n			   conveyed by you (or copies made from those copies), or (b) primarily\n			   for and in connection with specific products or compilations that\n			   contain the covered work, unless you entered into that arrangement,\n			   or that patent license was granted, prior to 28 March 2007.\n			 </p>\n\n			 <p>\n			   Nothing in this License shall be consTrued as excluding or\n			   limiting any implied license or other defenses to infringement\n			   that may otherwise be available to you under applicable patent law.\n			 </p>\n\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 12.</var>\n			 No Surrender of Others&apos; Freedom.<br />\n\n			 If conditions are imposed on you (whether by court order, agreement\n			 or otherwise) that contradict the conditions of this License,\n			 they do not excuse you from the conditions of this License. If\n			 you cannot convey a covered work so as to satisfy simultaneously\n			 your obligations under this License and any other pertinent\n			 obligations, then as a consequence you may not convey it at all.\n			 For example, if you agree to terms that obligate you to collect\n			 a royalty for further conveying from those to whom you convey the\n			 Program, the only way you could satisfy both those terms and this\n			 License would be to refrain entirely from conveying the Program.\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 13.</var>\n			 Use with the GNU Affero General Public License.<br />\n\n			 Notwithstanding any other provision of this License, you have\n			 permission to link or combine any covered work with a work licensed\n			 under version 3 of the GNU Affero General Public License into\n			 a single combined work, and to convey the resulting work. The\n			 terms of this License will continue to apply to the part which\n			 is the covered work, but the special requirements of the GNU\n			 Affero General Public License, section 13, concerning interaction\n			 through a network will apply to the combination as such.\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 14.</var>\n			 Revised Versions of this License.<br />\n\n			 The Free Software Foundation may publish revised and/or new\n			 versions of the GNU General Public License from time to time. Such\n			 new versions will be similar in spirit to the present version,\n			 but may differ in detail to address new problems or concerns.\n			 <p>\n			   Each version is given a distinguishing version number. If the\n			   Program specifies that a certain numbered version of the GNU\n			   General Public License &quot;or any later version&quot; applies to it,\n			   you have the option of following the terms and conditions either\n			   of that numbered version or of any later version published by\n			   the Free Software Foundation. If the Program does not specify a\n			   version number of the GNU General Public License, you may choose\n			   any version ever published by the Free Software Foundation.\n			 </p>\n\n			 <p>\n			   If the Program specifies that a proxy can decide which future\n			   versions of the GNU General Public License can be used, that\n			   proxy&apos;s public statement of acceptance of a version permanently\n			   authorizes you to choose that version for the Program.\n			 </p>\n\n			 <p>\n			   Later license versions may give you additional or\n			   different permissions. However, no additional obligations\n			   are imposed on any author or copyright holder as a\n			   result of your choosing to follow a later version.\n			 </p>\n\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 15.</var>\n			 Disclaimer of Warranty.<br />\n\n			 THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY\n			 APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT\n			 HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT\n			 WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT\n			 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n			 A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\n			 OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU\n			 ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 16.</var>\n			 Limitation of Liability.<br />\n\n			 IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n			 WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR\n			 CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\n			 INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n			 ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING\n			 BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE\n			 OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\n			 PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n			 OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		   </li>\n		   \n<li>\n			 <var class=\"replaceable-license-text\"> 17.</var>\n			 Interpretation of Sections 15 and 16.\n		 <p>\n		   If the disclaimer of warranty and limitation of liability\n		   provided above cannot be given local legal effect according to\n		   their terms, reviewing courts shall apply local law that most\n		   closely approximates an absolute waiver of all civil liability in\n		   connection with the Program, unless a warranty or assumption of\n		   liability accompanies a copy of the Program in return for a fee.\n		 </p>\n\n		   </li>\n		 \n</ul>\n		 <div class=\"optional-license-text\"> \n		   <p>\n			 END OF TERMS AND CONDITIONS\n		   </p>\n\n		   <p>\n			 How to Apply These Terms to Your New Programs\n		   </p>\n\n		   <p>\n			 If you develop a new program, and you want it to be\n			 of the greatest possible use to the public, the best\n			 way to achieve this is to make it free software which\n			 everyone can redistribute and change under these terms.\n		   </p>\n\n		   <p>\n			 To do so, attach the following notices to the program. It is safest\n			 to attach them to the start of each source file to most effectively\n			 state the exclusion of warranty; and each file should have at least\n			 the &quot;copyright&quot; line and a pointer to where the full notice is found.\n		   </p>\n\n		   <p>\n			 &lt;one line to give the program&apos;s name and\n			 a brief idea of what it does.&gt;<br />\n\n			 Copyright (C) &lt;year&gt; &lt;name of author&gt;\n		   </p>\n\n		   <p>\n			 This program is free software: you can redistribute it and/or\n			 modify it under the terms of the GNU General Public License\n			 as published by the Free Software Foundation, either version\n			 3 of the License, or (at your option) any later version.\n		   </p>\n\n		   <p>\n			 This program is distributed in the hope that it will be\n			 useful, but WITHOUT ANY WARRANTY; without even the implied\n			 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n			 PURPOSE. See the GNU General Public License for more details.\n		   </p>\n\n		   <p>\n			 You should have received a copy of the GNU General\n	   Public License along with this program. If not, see\n	   &lt;https://www.gnu.org/licenses/&gt;.\n		   </p>\n\n		   <p>\n			 Also add information on how to contact you by electronic and paper mail.\n		   </p>\n\n		   <p>\n			 If the program does terminal interaction, make it output a\n			 short notice like this when it starts in an interactive mode:\n		   </p>\n\n		   <p>\n	   &lt;program&gt; Copyright (C) &lt;year&gt;\n	   &lt;name of author&gt;<br />\n\n			 This program comes with ABSOLUTELY NO\n			 WARRANTY; for details type `show w&apos;.<br />\n\n			 This is free software, and you are welcome to redistribute\n			 it under certain conditions; type `show c&apos; for details.\n		   </p>\n\n		   <p>\n			 The hypothetical commands `show w&apos; and `show c&apos; should\n			 show the appropriate parts of the General Public License.\n			 Of course, your program&apos;s commands might be different;\n			 for a GUI interface, you would use an &quot;about box&quot;.\n		   </p>\n\n		   <p>\n			 You should also get your employer (if you work as a\n			 programmer) or school, if any, to sign a &quot;copyright disclaimer&quot;\n			 for the program, if necessary. For more information on\n	   this, and how to apply and follow the GNU GPL, see\n	   &lt;https://www.gnu.org/licenses/&gt;.\n		   </p>\n\n		   <p>\n			 The GNU General Public License does not permit incorporating\n			 your program into proprietary programs. If your program is a\n			 subroutine library, you may consider it more useful to permit\n			 linking proprietary applications with the library. If this\n			 is what you want to do, use the GNU Lesser General Public\n	   License instead of this License. But first, please read\n	   &lt;https://www.gnu.org/<var class=\"replaceable-license-text\"> licenses</var>/why-not-lgpl.html&gt;.\n		   </p>\n\n		 </div>\n	 \n	   </div>   \n   "
		self.deprecatedVersion = "2.0rc2"
		self.python_name = "LGPL30plus"

	def __str__(self):
		return json.dumps(self.__dict__)


class SMLNJ:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "STANDARD ML OF NEW JERSEY COPYRIGHT NOTICE, LICENSE AND DISCLAIMER.\n\nCopyright (c) 2001-2011 by The Fellowship of SML/NJ Copyright (c) 1989-2001 by Lucent Technologies\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both the copyright notice and this permission notice and warranty disclaimer appear in supporting documentation, and that the name of Lucent Technologies, Bell Labs or any Lucent entity not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.\n\nLucent disclaims all warranties with regard to this software, including all implied warranties of merchantability and fitness. In no event shall Lucent be liable for any special, indirect or consequential damages or any damages whatsoever resulting from loss of use, data or profits, whether in an action of contract, negligence or other tortious action, arising out of or in connection with the use or performance of this software.\n"
		self.standardLicenseTemplate = "<<beginOptional>>STANDARD ML OF NEW JERSEY COPYRIGHT NOTICE, LICENSE AND DISCLAIMER.\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2001-2011 by The Fellowship of SML/NJ  Copyright (c) 1989-2001 by Lucent Technologies  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both the copyright notice and this permission notice and warranty disclaimer appear in supporting documentation, and that <<var;name=\"advertisingPermission\";original=\"the name of Lucent Technologies, Bell Labs or any Lucent entity\";match=\"(the name of.+)|(the names of.+)\">> not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.\n\n<<var;name=\"warrantyDisclaimer\";original=\"Lucent disclaims\";match=\"(.+disclaims)|(.+disclaim)\">> all warranties with regard to this software, including all implied warranties of merchantability and fitness. In no event shall <<var;name=\"damagesLiability\";original=\"Lucent\";match=\".+\">> be liable for any special, indirect or consequential damages or any damages whatsoever resulting from loss of use, data or profits, whether in an action of contract, negligence or other tortious action, arising out of or in connection with the use or performance of this software.\n\n"
		self.name = "Standard ML of New Jersey License"
		self.licenseId = "SMLNJ"
		self.crossRef = [{"match": "False", "url": "https://www.smlnj.org/license.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:55Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.smlnj.org/license.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>STANDARD ML OF NEW JERSEY COPYRIGHT NOTICE, LICENSE AND DISCLAIMER.</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2001-2011 by The Fellowship of SML/NJ\n		<br />\n\nCopyright (c) 1989-2001 by Lucent Technologies\n	  </p>\n\n	  </div>\n\n	  <p>Permission to use, copy, modify, and distribute this software and its documentation for any purpose and\n		 without fee is hereby granted, provided that the above copyright notice appear in all copies and that\n		 both the copyright notice and this permission notice and warranty disclaimer appear in supporting\n		 documentation, and that <var class=\"replaceable-license-text\"> the\n		 name of Lucent Technologies, Bell Labs or any Lucent entity</var> not be used in\n		 advertising or publicity pertaining to distribution of the software without specific, written prior\n		 permission.</p>\n\n	  <p><var class=\"replaceable-license-text\"> Lucent disclaims</var> all\n		 warranties with regard to this software, including all implied warranties of\n		 merchantability and fitness. In no event shall <var class=\"replaceable-license-text\"> Lucent</var> be\n		 liable for any special, indirect or consequential damages or any damages whatsoever resulting\n		 from loss of use, data or profits, whether in an action of contract, negligence or other tortious\n		 action, arising out of or in connection with the use or performance of this software.</p>\n\n	"
		self.python_name = "SMLNJ"

	def __str__(self):
		return json.dumps(self.__dict__)


class CERNOHLS20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "CERN Open Hardware Licence Version 2 - Strongly Reciprocal\n\n\nPreamble\n\nCERN has developed this licence to promote collaboration among\nhardware designers and to provide a legal tool which supports the\nfreedom to use, study, modify, share and distribute hardware designs\nand products based on those designs. Version 2 of the CERN Open\nHardware Licence comes in three variants: CERN-OHL-P (permissive); and\ntwo reciprocal licences: CERN-OHL-W (weakly reciprocal) and this\nlicence, CERN-OHL-S (strongly reciprocal).\n\nThe CERN-OHL-S is copyright CERN 2020. Anyone is welcome to use it, in\nunmodified form only.\n\nUse of this Licence does not imply any endorsement by CERN of any\nLicensor or their designs nor does it imply any involvement by CERN in\ntheir development.\n\n\n1 Definitions\n\n  1.1 'Licence' means this CERN-OHL-S.\n\n  1.2 'Compatible Licence' means\n\n	   a) any earlier version of the CERN Open Hardware licence, or\n\n	   b) any version of the CERN-OHL-S, or\n\n	   c) any licence which permits You to treat the Source to which\n		  it applies as licensed under CERN-OHL-S provided that on\n		  Conveyance of any such Source, or any associated Product You\n		  treat the Source in question as being licensed under\n		  CERN-OHL-S.\n\n  1.3 'Source' means information such as design materials or digital\n	  code which can be applied to Make or test a Product or to\n	  prepare a Product for use, Conveyance or sale, regardless of its\n	  medium or how it is expressed. It may include Notices.\n\n  1.4 'Covered Source' means Source that is explicitly made available\n	  under this Licence.\n\n  1.5 'Product' means any device, component, work or physical object,\n	  whether in finished or intermediate form, arising from the use,\n	  application or processing of Covered Source.\n\n  1.6 'Make' means to create or configure something, whether by\n	  manufacture, assembly, compiling, loading or applying Covered\n	  Source or another Product or otherwise.\n\n  1.7 'Available Component' means any part, sub-assembly, library or\n	  code which:\n\n	   a) is licensed to You as Complete Source under a Compatible\n		  Licence; or\n\n	   b) is available, at the time a Product or the Source containing\n		  it is first Conveyed, to You and any other prospective\n		  licensees\n\n			i) as a physical part with sufficient rights and\n			   information (including any configuration and\n			   programming files and information about its\n			   characteristics and interfaces) to enable it either to\n			   be Made itself, or to be sourced and used to Make the\n			   Product; or\n		   ii) as part of the normal distribution of a tool used to\n			   design or Make the Product.\n\n  1.8 'Complete Source' means the set of all Source necessary to Make\n	  a Product, in the preferred form for making modifications,\n	  including necessary installation and interfacing information\n	  both for the Product, and for any included Available Components.\n	  If the format is proprietary, it must also be made available in\n	  a format (if the proprietary tool can create it) which is\n	  viewable with a tool available to potential licensees and\n	  licensed under a licence approved by the Free Software\n	  Foundation or the Open Source Initiative. Complete Source need\n	  not include the Source of any Available Component, provided that\n	  You include in the Complete Source sufficient information to\n	  enable a recipient to Make or source and use the Available\n	  Component to Make the Product.\n\n  1.9 'Source Location' means a location where a Licensor has placed\n	  Covered Source, and which that Licensor reasonably believes will\n	  remain easily accessible for at least three years for anyone to\n	  obtain a digital copy.\n\n 1.10 'Notice' means copyright, acknowledgement and trademark notices,\n	  Source Location references, modification notices (subsection\n	  3.3(b)) and all notices that refer to this Licence and to the\n	  disclaimer of warranties that are included in the Covered\n	  Source.\n\n 1.11 'Licensee' or 'You' means any person exercising rights under\n	  this Licence.\n\n 1.12 'Licensor' means a natural or legal person who creates or\n	  modifies Covered Source. A person may be a Licensee and a\n	  Licensor at the same time.\n\n 1.13 'Convey' means to communicate to the public or distribute.\n\n\n2 Applicability\n\n  2.1 This Licence governs the use, copying, modification, Conveying\n	  of Covered Source and Products, and the Making of Products. By\n	  exercising any right granted under this Licence, You irrevocably\n	  accept these terms and conditions.\n\n  2.2 This Licence is granted by the Licensor directly to You, and\n	  shall apply worldwide and without limitation in time.\n\n  2.3 You shall not attempt to restrict by contract or otherwise the\n	  rights granted under this Licence to other Licensees.\n\n  2.4 This Licence is not intended to restrict fair use, fair dealing,\n	  or any other similar right.\n\n\n3 Copying, modifying and Conveying Covered Source\n\n  3.1 You may copy and Convey verbatim copies of Covered Source, in\n	  any medium, provided You retain all Notices.\n\n  3.2 You may modify Covered Source, other than Notices, provided that\n	  You irrevocably undertake to make that modified Covered Source\n	  available from a Source Location should You Convey a Product in\n	  circumstances where the recipient does not otherwise receive a\n	  copy of the modified Covered Source. In each case subsection 3.3\n	  shall apply.\n\n	  You may only delete Notices if they are no longer applicable to\n	  the corresponding Covered Source as modified by You and You may\n	  add additional Notices applicable to Your modifications.\n	  Including Covered Source in a larger work is modifying the\n	  Covered Source, and the larger work becomes modified Covered\n	  Source.\n\n  3.3 You may Convey modified Covered Source (with the effect that You\n	  shall also become a Licensor) provided that You:\n\n	   a) retain Notices as required in subsection 3.2;\n\n	   b) add a Notice to the modified Covered Source stating that You\n		  have modified it, with the date and brief description of how\n		  You have modified it;\n\n	   c) add a Source Location Notice for the modified Covered Source\n		  if You Convey in circumstances where the recipient does not\n		  otherwise receive a copy of the modified Covered Source; and\n\n	   d) license the modified Covered Source under the terms and\n		  conditions of this Licence (or, as set out in subsection\n		  8.3, a later version, if permitted by the licence of the\n		  original Covered Source). Such modified Covered Source must\n		  be licensed as a whole, but excluding Available Components\n		  contained in it, which remain licensed under their own\n		  applicable licences.\n\n\n4 Making and Conveying Products\n\nYou may Make Products, and/or Convey them, provided that You either\nprovide each recipient with a copy of the Complete Source or ensure\nthat each recipient is notified of the Source Location of the Complete\nSource. That Complete Source is Covered Source, and You must\naccordingly satisfy Your obligations set out in subsection 3.3. If\nspecified in a Notice, the Product must visibly and securely display\nthe Source Location on it or its packaging or documentation in the\nmanner specified in that Notice.\n\n\n5 Research and Development\n\nYou may Convey Covered Source, modified Covered Source or Products to\na legal entity carrying out development, testing or quality assurance\nwork on Your behalf provided that the work is performed on terms which\nprevent the entity from both using the Source or Products for its own\ninternal purposes and Conveying the Source or Products or any\nmodifications to them to any person other than You. Any modifications\nmade by the entity shall be deemed to be made by You pursuant to\nsubsection 3.2.\n\n\n6 DISCLAIMER AND LIABILITY\n\n  6.1 DISCLAIMER OF WARRANTY -- The Covered Source and any Products\n	  are provided 'as is' and any express or implied warranties,\n	  including, but not limited to, implied warranties of\n	  merchantability, of satisfactory quality, non-infringement of\n	  third party rights, and fitness for a particular purpose or use\n	  are disclaimed in respect of any Source or Product to the\n	  maximum extent permitted by law. The Licensor makes no\n	  representation that any Source or Product does not or will not\n	  infringe any patent, copyright, trade secret or other\n	  proprietary right. The entire risk as to the use, quality, and\n	  performance of any Source or Product shall be with You and not\n	  the Licensor. This disclaimer of warranty is an essential part\n	  of this Licence and a condition for the grant of any rights\n	  granted under this Licence.\n\n  6.2 EXCLUSION AND LIMITATION OF LIABILITY -- The Licensor shall, to\n	  the maximum extent permitted by law, have no liability for\n	  direct, indirect, special, incidental, consequential, exemplary,\n	  punitive or other damages of any character including, without\n	  limitation, procurement of substitute goods or services, loss of\n	  use, data or profits, or business interruption, however caused\n	  and on any theory of contract, warranty, tort (including\n	  negligence), product liability or otherwise, arising in any way\n	  in relation to the Covered Source, modified Covered Source\n	  and/or the Making or Conveyance of a Product, even if advised of\n	  the possibility of such damages, and You shall hold the\n	  Licensor(s) free and harmless from any liability, costs,\n	  damages, fees and expenses, including claims by third parties,\n	  in relation to such use.\n\n\n7 Patents\n\n  7.1 Subject to the terms and conditions of this Licence, each\n	  Licensor hereby grants to You a perpetual, worldwide,\n	  non-exclusive, no-charge, royalty-free, irrevocable (except as\n	  stated in subsections 7.2 and 8.4) patent license to Make, have\n	  Made, use, offer to sell, sell, import, and otherwise transfer\n	  the Covered Source and Products, where such licence applies only\n	  to those patent claims licensable by such Licensor that are\n	  necessarily infringed by exercising rights under the Covered\n	  Source as Conveyed by that Licensor.\n\n  7.2 If You institute patent litigation against any entity (including\n	  a cross-claim or counterclaim in a lawsuit) alleging that the\n	  Covered Source or a Product constitutes direct or contributory\n	  patent infringement, or You seek any declaration that a patent\n	  licensed to You under this Licence is invalid or unenforceable\n	  then any rights granted to You under this Licence shall\n	  terminate as of the date such process is initiated.\n\n\n8 General\n\n  8.1 If any provisions of this Licence are or subsequently become\n	  invalid or unenforceable for any reason, the remaining\n	  provisions shall remain effective.\n\n  8.2 You shall not use any of the name (including acronyms and\n	  abbreviations), image, or logo by which the Licensor or CERN is\n	  known, except where needed to comply with section 3, or where\n	  the use is otherwise allowed by law. Any such permitted use\n	  shall be factual and shall not be made so as to suggest any kind\n	  of endorsement or implication of involvement by the Licensor or\n	  its personnel.\n\n  8.3 CERN may publish updated versions and variants of this Licence\n	  which it considers to be in the spirit of this version, but may\n	  differ in detail to address new problems or concerns. New\n	  versions will be published with a unique version number and a\n	  variant identifier specifying the variant. If the Licensor has\n	  specified that a given variant applies to the Covered Source\n	  without specifying a version, You may treat that Covered Source\n	  as being released under any version of the CERN-OHL with that\n	  variant. If no variant is specified, the Covered Source shall be\n	  treated as being released under CERN-OHL-S. The Licensor may\n	  also specify that the Covered Source is subject to a specific\n	  version of the CERN-OHL or any later version in which case You\n	  may apply this or any later version of CERN-OHL with the same\n	  variant identifier published by CERN.\n\n  8.4 This Licence shall terminate with immediate effect if You fail\n	  to comply with any of its terms and conditions.\n\n  8.5 However, if You cease all breaches of this Licence, then Your\n	  Licence from any Licensor is reinstated unless such Licensor has\n	  terminated this Licence by giving You, while You remain in\n	  breach, a notice specifying the breach and requiring You to cure\n	  it within 30 days, and You have failed to come into compliance\n	  in all material respects by the end of the 30 day period. Should\n	  You repeat the breach after receipt of a cure notice and\n	  subsequent reinstatement, this Licence will terminate\n	  immediately and permanently. Section 6 shall continue to apply\n	  after any termination.\n\n  8.6 This Licence shall not be enforceable except by a Licensor\n	  acting as such, and third party beneficiary rights are\n	  specifically excluded.\n"
		self.standardLicenseTemplate = "<<beginOptional>>CERN Open Hardware Licence Version 2 - Strongly Reciprocal<<endOptional>>\n\nPreamble\n\nCERN has developed this licence to promote collaboration among hardware designers and to provide a legal tool which supports the freedom to use, study, modify, share and distribute hardware designs and products based on those designs. Version 2 of the CERN Open Hardware Licence comes in three variants: CERN-OHL-P (permissive); and two reciprocal licences: CERN-OHL-W (weakly reciprocal) and this licence, CERN-OHL-S (strongly reciprocal).\n\nThe CERN-OHL-S is copyright CERN 2020. Anyone is welcome to use it, in unmodified form only.\n\nUse of this Licence does not imply any endorsement by CERN of any Licensor or their designs nor does it imply any involvement by CERN in their development.\n\n   <<var;name=\"bullet\";original=\"1\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"1.1\";match=\".{0,20}\">> 'Licence' means this CERN-OHL-S.\n\n	  <<var;name=\"bullet\";original=\"1.2\";match=\".{0,20}\">> 'Compatible Licence' means\n\n		 <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> any earlier version of the CERN Open Hardware licence, or\n\n		 <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> any version of the CERN-OHL-S, or\n\n		 <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> any licence which permits You to treat the Source to which it applies as licensed under CERN-OHL-S provided that on Conveyance of any such Source, or any associated Product You treat the Source in question as being licensed under CERN-OHL-S.\n\n	  <<var;name=\"bullet\";original=\"1.3\";match=\".{0,20}\">> 'Source' means information such as design materials or digital code which can be applied to Make or test a Product or to prepare a Product for use, Conveyance or sale, regardless of its medium or how it is expressed. It may include Notices.\n\n	  <<var;name=\"bullet\";original=\"1.4\";match=\".{0,20}\">> 'Covered Source' means Source that is explicitly made available under this Licence.\n\n	  <<var;name=\"bullet\";original=\"1.5\";match=\".{0,20}\">> 'Product' means any device, component, work or physical object, whether in finished or intermediate form, arising from the use, application or processing of Covered Source.\n\n	  <<var;name=\"bullet\";original=\"1.6\";match=\".{0,20}\">> 'Make' means to create or configure something, whether by manufacture, assembly, compiling, loading or applying Covered Source or another Product or otherwise.\n\n	  <<var;name=\"bullet\";original=\"1.7\";match=\".{0,20}\">> 'Available Component' means any part, sub-assembly, library or code which:\n\n		 <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> is licensed to You as Complete Source under a Compatible Licence; or\n\n		 <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> is available, at the time a Product or the Source containing it is first Conveyed, to You and any other prospective licensees\n\n			<<var;name=\"bullet\";original=\"i)\";match=\".{0,20}\">> as a physical part with sufficient rights and information (including any configuration and programming files and information about its characteristics and interfaces) to enable it either to be Made itself, or to be sourced and used to Make the Product; or\n\n			<<var;name=\"bullet\";original=\"ii)\";match=\".{0,20}\">> as part of the normal distribution of a tool used to design or Make the Product.\n\n	  <<var;name=\"bullet\";original=\"1.8\";match=\".{0,20}\">> 'Complete Source' means the set of all Source necessary to Make a Product, in the preferred form for making modifications, including necessary installation and interfacing information both for the Product, and for any included Available Components. If the format is proprietary, it must also be made available in a format (if the proprietary tool can create it) which is viewable with a tool available to potential licensees and licensed under a licence approved by the Free Software Foundation or the Open Source Initiative. Complete Source need not include the Source of any Available Component, provided that You include in the Complete Source sufficient information to enable a recipient to Make or source and use the Available Component to Make the Product.\n\n	  <<var;name=\"bullet\";original=\"1.9\";match=\".{0,20}\">> 'Source Location' means a location where a Licensor has placed Covered Source, and which that Licensor reasonably believes will remain easily accessible for at least three years for anyone to obtain a digital copy.\n\n	  <<var;name=\"bullet\";original=\"1.10\";match=\".{0,20}\">> 'Notice' means copyright, acknowledgement and trademark notices, Source Location references, modification notices (subsection 3.3(b)) and all notices that refer to this Licence and to the disclaimer of warranties that are included in the Covered Source.\n\n	  <<var;name=\"bullet\";original=\"1.11\";match=\".{0,20}\">> 'Licensee' or 'You' means any person exercising rights under this Licence.\n\n	  <<var;name=\"bullet\";original=\"1.12\";match=\".{0,20}\">> 'Licensor' means a natural or legal person who creates or modifies Covered Source. A person may be a Licensee and a Licensor at the same time.\n\n	  <<var;name=\"bullet\";original=\"1.13\";match=\".{0,20}\">> 'Convey' means to communicate to the public or distribute.\n\n   <<var;name=\"bullet\";original=\"2\";match=\".{0,20}\">> Applicability\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> This Licence governs the use, copying, modification, Conveying of Covered Source and Products, and the Making of Products. By exercising any right granted under this Licence, You irrevocably accept these terms and conditions.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> This Licence is granted by the Licensor directly to You, and shall apply worldwide and without limitation in time.\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> You shall not attempt to restrict by contract or otherwise the rights granted under this Licence to other Licensees.\n\n	  <<var;name=\"bullet\";original=\"2.4\";match=\".{0,20}\">> This Licence is not intended to restrict fair use, fair dealing, or any other similar right.\n\n   <<var;name=\"bullet\";original=\"3\";match=\".{0,20}\">> Copying, modifying and Conveying Covered Source\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> You may copy and Convey verbatim copies of Covered Source, in any medium, provided You retain all Notices.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> You may modify Covered Source, other than Notices, provided that You irrevocably undertake to make that modified Covered Source available from a Source Location should You Convey a Product in circumstances where the recipient does not otherwise receive a copy of the modified Covered Source. In each case subsection 3.3 shall apply.\n\n	  You may only delete Notices if they are no longer applicable to the corresponding Covered Source as modified by You and You may add additional Notices applicable to Your modifications. Including Covered Source in a larger work is modifying the Covered Source, and the larger work becomes modified Covered Source.\n\n	  <<var;name=\"bullet\";original=\"3.3\";match=\".{0,20}\">> You may Convey modified Covered Source (with the effect that You shall also become a Licensor) provided that You:\n\n		 <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> retain Notices as required in subsection 3.2;\n\n		 <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> add a Notice to the modified Covered Source stating that You have modified it, with the date and brief description of how You have modified it;\n\n		 <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> add a Source Location Notice for the modified Covered Source if You Convey in circumstances where the recipient does not otherwise receive a copy of the modified Covered Source; and\n\n		 <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> license the modified Covered Source under the terms and conditions of this Licence (or, as set out in subsection 8.3, a later version, if permitted by the licence of the original Covered Source). Such modified Covered Source must be licensed as a whole, but excluding Available Components contained in it, which remain licensed under their own applicable licences.\n\n   <<var;name=\"bullet\";original=\"4\";match=\".{0,20}\">> Making and Conveying Products\n\n   You may Make Products, and/or Convey them, provided that You either provide each recipient with a copy of the Complete Source or ensure that each recipient is notified of the Source Location of the Complete Source. That Complete Source is Covered Source, and You must accordingly satisfy Your obligations set out in subsection 3.3. If specified in a Notice, the Product must visibly and securely display the Source Location on it or its packaging or documentation in the manner specified in that Notice.\n\n   <<var;name=\"bullet\";original=\"5\";match=\".{0,20}\">> Research and Development\n\n   You may Convey Covered Source, modified Covered Source or Products to a legal entity carrying out development, testing or quality assurance work on Your behalf provided that the work is performed on terms which prevent the entity from both using the Source or Products for its own internal purposes and Conveying the Source or Products or any modifications to them to any person other than You. Any modifications made by the entity shall be deemed to be made by You pursuant to subsection 3.2.\n\n   <<var;name=\"bullet\";original=\"6\";match=\".{0,20}\">> DISCLAIMER AND LIABILITY\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY -- The Covered Source and any Products are provided 'as is' and any express or implied warranties, including, but not limited to, implied warranties of merchantability, of satisfactory quality, non-infringement of third party rights, and fitness for a particular purpose or use are disclaimed in respect of any Source or Product to the maximum extent permitted by law. The Licensor makes no representation that any Source or Product does not or will not infringe any patent, copyright, trade secret or other proprietary right. The entire risk as to the use, quality, and performance of any Source or Product shall be with You and not the Licensor. This disclaimer of warranty is an essential part of this Licence and a condition for the grant of any rights granted under this Licence.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> EXCLUSION AND LIMITATION OF LIABILITY -- The Licensor shall, to the maximum extent permitted by law, have no liability for direct, indirect, special, incidental, consequential, exemplary, punitive or other damages of any character including, without limitation, procurement of substitute goods or services, loss of use, data or profits, or business interruption, however caused and on any theory of contract, warranty, tort (including negligence), product liability or otherwise, arising in any way in relation to the Covered Source, modified Covered Source and/or the Making or Conveyance of a Product, even if advised of the possibility of such damages, and You shall hold the Licensor(s) free and harmless from any liability, costs, damages, fees and expenses, including claims by third parties, in relation to such use.\n\n   <<var;name=\"bullet\";original=\"7\";match=\".{0,20}\">> Patents\n\n	  <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> Subject to the terms and conditions of this Licence, each Licensor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in subsections 7.2 and 8.4) patent license to Make, have Made, use, offer to sell, sell, import, and otherwise transfer the Covered Source and Products, where such licence applies only to those patent claims licensable by such Licensor that are necessarily infringed by exercising rights under the Covered Source as Conveyed by that Licensor.\n\n	  <<var;name=\"bullet\";original=\"7.2\";match=\".{0,20}\">> If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Covered Source or a Product constitutes direct or contributory patent infringement, or You seek any declaration that a patent licensed to You under this Licence is invalid or unenforceable then any rights granted to You under this Licence shall terminate as of the date such process is initiated.\n\n   <<var;name=\"bullet\";original=\"8\";match=\".{0,20}\">> General\n\n	  <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> If any provisions of this Licence are or subsequently become invalid or unenforceable for any reason, the remaining provisions shall remain effective.\n\n	  <<var;name=\"bullet\";original=\"8.2\";match=\".{0,20}\">> You shall not use any of the name (including acronyms and abbreviations), image, or logo by which the Licensor or CERN is known, except where needed to comply with section 3, or where the use is otherwise allowed by law. Any such permitted use shall be factual and shall not be made so as to suggest any kind of endorsement or implication of involvement by the Licensor or its personnel.\n\n	  <<var;name=\"bullet\";original=\"8.3\";match=\".{0,20}\">> CERN may publish updated versions and variants of this Licence which it considers to be in the spirit of this version, but may differ in detail to address new problems or concerns. New versions will be published with a unique version number and a variant identifier specifying the variant. If the Licensor has specified that a given variant applies to the Covered Source without specifying a version, You may treat that Covered Source as being released under any version of the CERN-OHL with that variant. If no variant is specified, the Covered Source shall be treated as being released under CERN-OHL-S. The Licensor may also specify that the Covered Source is subject to a specific version of the CERN-OHL or any later version in which case You may apply this or any later version of CERN-OHL with the same variant identifier published by CERN.\n\n	  <<var;name=\"bullet\";original=\"8.4\";match=\".{0,20}\">> This Licence shall terminate with immediate effect if You fail to comply with any of its terms and conditions.\n\n	  <<var;name=\"bullet\";original=\"8.5\";match=\".{0,20}\">> However, if You cease all breaches of this Licence, then Your Licence from any Licensor is reinstated unless such Licensor has terminated this Licence by giving You, while You remain in breach, a notice specifying the breach and requiring You to cure it within 30 days, and You have failed to come into compliance in all material respects by the end of the 30 day period. Should You repeat the breach after receipt of a cure notice and subsequent reinstatement, this Licence will terminate immediately and permanently. Section 6 shall continue to apply after any termination.\n\n	  <<var;name=\"bullet\";original=\"8.6\";match=\".{0,20}\">> This Licence shall not be enforceable except by a Licensor acting as such, and third party beneficiary rights are specifically excluded."
		self.name = "CERN Open Hardware Licence Version 2 - Strongly Reciprocal"
		self.licenseId = "CERN-OHL-S-2.0"
		self.crossRef = [{"match": "False", "url": "https://www.ohwr.org/project/cernohl/wikis/Documents/CERN-OHL-version-2", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:41Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.ohwr.org/project/cernohl/wikis/Documents/CERN-OHL-version-2"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <var class=\"optional-license-text\"> CERN Open Hardware Licence Version 2 - Strongly Reciprocal</var>\n	  <p>Preamble</p>\n\n	  <p>CERN has developed this licence to promote collaboration among hardware designers and to provide a legal tool which supports the freedom to use, study, modify, share and distribute hardware designs and products based on those designs. Version 2 of the CERN Open Hardware Licence comes in three variants: CERN-OHL-P (permissive); and two reciprocal licences: CERN-OHL-W (weakly reciprocal) and this licence, CERN-OHL-S (strongly reciprocal).</p>\n\n	  <p>The CERN-OHL-S is copyright CERN 2020. Anyone is welcome to use it, in unmodified form only.</p>\n\n	  <p>Use of this Licence does not imply any endorsement by CERN of any Licensor or their designs nor does it imply any involvement by CERN in their development.</p>\n\n<ul style=\"list-style:none\">\n		\n<li><var class=\"replaceable-license-text\"> 1</var> Definitions\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 1.1</var> &apos;Licence&apos; means this CERN-OHL-S.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.2</var> &apos;Compatible Licence&apos; means\n			  \n<ul style=\"list-style:none\">\n				 \n<li><var class=\"replaceable-license-text\"> a)</var> any earlier version of the CERN Open Hardware licence, or</li>\n				 \n<li><var class=\"replaceable-license-text\"> b)</var> any version of the CERN-OHL-S, or</li>\n				 \n<li><var class=\"replaceable-license-text\"> c)</var> any licence which permits You to treat the Source to which it applies as licensed under CERN-OHL-S provided that on Conveyance of any such Source, or any associated Product You treat the Source in question as being licensed under CERN-OHL-S.</li>\n			  \n</ul>\n			</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.3</var> &apos;Source&apos; means information such as design materials or digital code which can be applied to Make or test a Product or to prepare a Product for use, Conveyance or sale, regardless of its medium or how it is expressed. It may include Notices.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.4</var> &apos;Covered Source&apos; means Source that is explicitly made available under this Licence.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.5</var> &apos;Product&apos; means any device, component, work or physical object, whether in finished or intermediate form, arising from the use, application or processing of Covered Source.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.6</var> &apos;Make&apos; means to create or configure something, whether by manufacture, assembly, compiling, loading or applying Covered Source or another Product or otherwise.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.7</var> &apos;Available Component&apos; means any part, sub-assembly, library or code which:\n			  \n<ul style=\"list-style:none\">\n				 \n<li><var class=\"replaceable-license-text\"> a)</var> is licensed to You as Complete Source under a Compatible Licence; or</li>\n				 \n<li>\n					<var class=\"replaceable-license-text\"> b)</var> is available, at the time a Product or the Source containing it is first Conveyed, to You and any other prospective licensees\n					\n<ul style=\"list-style:none\">\n					  \n<li><var class=\"replaceable-license-text\"> i)</var> as a physical part with sufficient rights and information (including any configuration and programming files and information about its characteristics and interfaces) to enable it either to be Made itself, or to be sourced and used to Make the Product; or</li>\n					  \n<li><var class=\"replaceable-license-text\"> ii)</var> as part of the normal distribution of a tool used to design or Make the Product.</li>\n					\n</ul>\n				  </li>\n			  \n</ul>\n			</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.8</var> &apos;Complete Source&apos; means the set of all Source necessary to Make a Product, in the preferred form for making modifications, including necessary installation and interfacing information both for the Product, and for any included Available Components. If the format is proprietary, it must also be made available in a format (if the proprietary tool can create it) which is viewable with a tool available to potential licensees and licensed under a licence approved by the Free Software Foundation or the Open Source Initiative. Complete Source need not include the Source of any Available Component, provided that You include in the Complete Source sufficient information to enable a recipient to Make or source and use the Available Component to Make the Product.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.9</var> &apos;Source Location&apos; means a location where a Licensor has placed Covered Source, and which that Licensor reasonably believes will remain easily accessible for at least three years for anyone to obtain a digital copy.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.10</var> &apos;Notice&apos; means copyright, acknowledgement and trademark notices, Source Location references, modification notices (subsection 3.3(b)) and all notices that refer to this Licence and to the disclaimer of warranties that are included in the Covered Source.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.11</var> &apos;Licensee&apos; or &apos;You&apos; means any person exercising rights under this Licence.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.12</var> &apos;Licensor&apos; means a natural or legal person who creates or modifies Covered Source. A person may be a Licensee and a Licensor at the same time.</li>\n			\n<li><var class=\"replaceable-license-text\"> 1.13</var> &apos;Convey&apos; means to communicate to the public or distribute.</li>\n		  \n</ul>\n		</li>\n		\n<li><var class=\"replaceable-license-text\"> 2</var> Applicability\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 2.1</var> This Licence governs the use, copying, modification, Conveying of Covered Source and Products, and the Making of Products. By exercising any right granted under this Licence, You irrevocably accept these terms and conditions.</li>\n			\n<li><var class=\"replaceable-license-text\"> 2.2</var> This Licence is granted by the Licensor directly to You, and shall apply worldwide and without limitation in time.</li>\n			\n<li><var class=\"replaceable-license-text\"> 2.3</var> You shall not attempt to restrict by contract or otherwise the rights granted under this Licence to other Licensees.</li>\n			\n<li><var class=\"replaceable-license-text\"> 2.4</var> This Licence is not intended to restrict fair use, fair dealing, or any other similar right.</li>\n		  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 3</var> Copying, modifying and Conveying Covered Source\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 3.1</var> You may copy and Convey verbatim copies of Covered Source, in any medium, provided You retain all Notices.</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 3.2</var> You may modify Covered Source, other than Notices, provided that You irrevocably undertake to make that modified Covered Source available from a Source Location should You Convey a Product in circumstances where the recipient does not otherwise receive a copy of the modified Covered Source. In each case subsection 3.3 shall apply.\n			  <p>You may only delete Notices if they are no longer applicable to the corresponding Covered Source as modified by You and You may add additional Notices applicable to Your modifications. Including Covered Source in a larger work is modifying the Covered Source, and the larger work becomes modified Covered Source.</p>\n\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 3.3</var> You may Convey modified Covered Source (with the effect that You shall also become a Licensor) provided that You:\n			  \n<ul style=\"list-style:none\">\n				 \n<li><var class=\"replaceable-license-text\"> a)</var> retain Notices as required in subsection 3.2;</li>\n				 \n<li><var class=\"replaceable-license-text\"> b)</var> add a Notice to the modified Covered Source stating that You have modified it, with the date and brief description of how You have modified it;</li>\n				 \n<li><var class=\"replaceable-license-text\"> c)</var> add a Source Location Notice for the modified Covered Source if You Convey in circumstances where the recipient does not otherwise receive a copy of the modified Covered Source; and</li>\n				 \n<li><var class=\"replaceable-license-text\"> d)</var> license the modified Covered Source under the terms and conditions of this Licence (or, as set out in subsection 8.3, a later version, if permitted by the licence of the original Covered Source). Such modified Covered Source must be licensed as a whole, but excluding Available Components contained in it, which remain licensed under their own applicable licences.</li>\n			  \n</ul>\n			</li>\n		  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 4</var> Making and Conveying Products\n		  <p>You may Make Products, and/or Convey them, provided that You either provide each recipient with a copy of the Complete Source or ensure that each recipient is notified of the Source Location of the Complete Source. That Complete Source is Covered Source, and You must accordingly satisfy Your obligations set out in subsection 3.3. If specified in a Notice, the Product must visibly and securely display the Source Location on it or its packaging or documentation in the manner specified in that Notice.</p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 5</var> Research and Development\n		  <p>You may Convey Covered Source, modified Covered Source or Products to a legal entity carrying out development, testing or quality assurance work on Your behalf provided that the work is performed on terms which prevent the entity from both using the Source or Products for its own internal purposes and Conveying the Source or Products or any modifications to them to any person other than You. Any modifications made by the entity shall be deemed to be made by You pursuant to subsection 3.2.</p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 6</var> DISCLAIMER AND LIABILITY\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 6.1</var> DISCLAIMER OF WARRANTY -- The Covered Source and any Products are provided &apos;as is&apos; and any express or implied warranties, including, but not limited to, implied warranties of merchantability, of satisfactory quality, non-infringement of third party rights, and fitness for a particular purpose or use are disclaimed in respect of any Source or Product to the maximum extent permitted by law. The Licensor makes no representation that any Source or Product does not or will not infringe any patent, copyright, trade secret or other proprietary right. The entire risk as to the use, quality, and performance of any Source or Product shall be with You and not the Licensor. This disclaimer of warranty is an essential part of this Licence and a condition for the grant of any rights granted under this Licence.</li>\n			\n<li><var class=\"replaceable-license-text\"> 6.2</var> EXCLUSION AND LIMITATION OF LIABILITY -- The Licensor shall, to the maximum extent permitted by law, have no liability for direct, indirect, special, incidental, consequential, exemplary, punitive or other damages of any character including, without limitation, procurement of substitute goods or services, loss of use, data or profits, or business interruption, however caused and on any theory of contract, warranty, tort (including negligence), product liability or otherwise, arising in any way in relation to the Covered Source, modified Covered Source and/or the Making or Conveyance of a Product, even if advised of the possibility of such damages, and You shall hold the Licensor(s) free and harmless from any liability, costs, damages, fees and expenses, including claims by third parties, in relation to such use.</li>\n		  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 7</var> Patents\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 7.1</var> Subject to the terms and conditions of this Licence, each Licensor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in subsections 7.2 and 8.4) patent license to Make, have Made, use, offer to sell, sell, import, and otherwise transfer the Covered Source and Products, where such licence applies only to those patent claims licensable by such Licensor that are necessarily infringed by exercising rights under the Covered Source as Conveyed by that Licensor.</li>\n			\n<li><var class=\"replaceable-license-text\"> 7.2</var> If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Covered Source or a Product constitutes direct or contributory patent infringement, or You seek any declaration that a patent licensed to You under this Licence is invalid or unenforceable then any rights granted to You under this Licence shall terminate as of the date such process is initiated.</li>\n		  \n</ul>\n		</li>\n		\n<li><var class=\"replaceable-license-text\"> 8</var> General\n		  \n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> 8.1</var> If any provisions of this Licence are or subsequently become invalid or unenforceable for any reason, the remaining provisions shall remain effective.</li>\n			\n<li><var class=\"replaceable-license-text\"> 8.2</var> You shall not use any of the name (including acronyms and abbreviations), image, or logo by which the Licensor or CERN is known, except where needed to comply with section 3, or where the use is otherwise allowed by law. Any such permitted use shall be factual and shall not be made so as to suggest any kind of endorsement or implication of involvement by the Licensor or its personnel.</li>\n			\n<li><var class=\"replaceable-license-text\"> 8.3</var> CERN may publish updated versions and variants of this Licence which it considers to be in the spirit of this version, but may differ in detail to address new problems or concerns. New versions will be published with a unique version number and a variant identifier specifying the variant. If the Licensor has specified that a given variant applies to the Covered Source without specifying a version, You may treat that Covered Source as being released under any version of the CERN-OHL with that variant. If no variant is specified, the Covered Source shall be treated as being released under CERN-OHL-S. The Licensor may also specify that the Covered Source is subject to a specific version of the CERN-OHL or any later version in which case You may apply this or any later version of CERN-OHL with the same variant identifier published by CERN.</li>\n			\n<li><var class=\"replaceable-license-text\"> 8.4</var> This Licence shall terminate with immediate effect if You fail to comply with any of its terms and conditions.</li>\n			\n<li><var class=\"replaceable-license-text\"> 8.5</var> However, if You cease all breaches of this Licence, then Your Licence from any Licensor is reinstated unless such Licensor has terminated this Licence by giving You, while You remain in breach, a notice specifying the breach and requiring You to cure it within 30 days, and You have failed to come into compliance in all material respects by the end of the 30 day period. Should You repeat the breach after receipt of a cure notice and subsequent reinstatement, this Licence will terminate immediately and permanently. Section 6 shall continue to apply after any termination.</li>\n			\n<li><var class=\"replaceable-license-text\"> 8.6</var> This Licence shall not be enforceable except by a Licensor acting as such, and third party beneficiary rights are specifically excluded.</li>\n		  \n</ul>\n		</li>\n	  \n</ul>\n	"
		self.python_name = "CERNOHLS20"

	def __str__(self):
		return json.dumps(self.__dict__)


class FBM:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Portions of this code Copyright (C) 1989 by Michael Mauldin.\nPermission is granted to use this file in whole or in\npart for any purpose, educational, recreational or commercial,\nprovided that this copyright notice is retained unchanged.\nThis software is available to all free of charge by anonymous\nFTP and in the UUNET archives.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Portions of this code Copyright (C) 1989 by Michael Mauldin.\";match=\".{0,5000}\">>\n\nPermission is granted to use this file in whole or in part for any purpose, educational, recreational or commercial, provided that this copyright notice is retained unchanged. This software is available to all free of charge by anonymous FTP and in the UUNET archives.\n\n"
		self.name = "Fuzzy Bitmap License"
		self.licenseId = "FBM"
		self.crossRef = [{"match": "False", "url": "https://github.com/SWI-Prolog/packages-xpce/blob/161a40cd82004f731ba48024f9d30af388a7edf5/src/img/gifwrite.c#L21-L26", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:59Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/SWI-Prolog/packages-xpce/blob/161a40cd82004f731ba48024f9d30af388a7edf5/src/img/gifwrite.c#L21-L26"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\t<var class=\"replaceable-license-text\"> \n\t  Portions of this code Copyright (C) 1989 by Michael Mauldin.\n\t</var>\n		<p>Permission is granted to use this file in whole or in\n part for any purpose, educational, recreational or commercial,\n provided that this copyright notice is retained unchanged.\n This software is available to all free of charge by anonymous\n FTP and in the UUNET archives.</p>\n\n	  "
		self.python_name = "FBM"

	def __str__(self):
		return json.dumps(self.__dict__)


class Wsuipa:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "This file was added by Clea F. Rees on 2008/11/30 with the permission of Dean Guenther and pointers to this file were added to all source files.\n\nUnlimited copying and redistribution of each of the files is permitted as long as the file is not modified. Modifications, and redistribution of modified versions, are also permitted, but only if the resulting file is renamed.\n\nThe copyright holder is Washington State University. The original author of the fonts is Janene Winter. The primary contact (as of 2008) is Dean Guenther.\n"
		self.standardLicenseTemplate = "<<beginOptional>>This file was added by Clea F. Rees on 2008/11/30 with the permission of Dean Guenther and pointers to this file were added to all source files.\n\n<<endOptional>>\n\nUnlimited copying and redistribution of each of the files is permitted as long as the file is not modified. Modifications, and redistribution of modified versions, are also permitted, but only if the resulting file is renamed.\n\n<<var;name=\"copyright\";original=\"The copyright holder is Washington State University. The original author of the fonts is Janene Winter. The primary contact (as of 2008) is Dean Guenther.  \";match=\".{0,5000}\">>"
		self.name = "Wsuipa License"
		self.licenseId = "Wsuipa"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Wsuipa", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:39Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Wsuipa"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>This file was added by Clea F. Rees on 2008/11/30 with the permission of Dean Guenther and pointers to\n		 this file were added to all source files.</p>\n\n	  </div>\n\n	  <p>Unlimited copying and redistribution of each of the files is permitted as long as the file is not\n		 modified. Modifications, and redistribution of modified versions, are also permitted, but only if the\n		 resulting file is renamed.</p>\n\n	  <div class=\"replaceable-license-text\"> \n		 <p>The copyright holder is Washington State University. The original author of the fonts is Janene Winter.\n		 The primary contact (as of 2008) is Dean Guenther.</p>\n\n	  </div>\n	"
		self.python_name = "Wsuipa"

	def __str__(self):
		return json.dumps(self.__dict__)


class Sleepycat:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The Sleepycat License Copyright (c) 1990-1999 Sleepycat Software. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 - Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 - Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 - Redistributions in any form must be accompanied by information on how to obtain complete source code for the DB software and any accompanying software that uses the DB software. The source code must either be included in the distribution or be available for no more than the cost of distribution plus a nominal fee, and must be freely redistributable under reasonable conditions. For an executable file, complete source code means the source code for all modules it contains. It does not include source code for modules or files that typically accompany the major components of the operating system on which the executable file runs.\n\nTHIS SOFTWARE IS PROVIDED BY SLEEPYCAT SOFTWARE ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED. IN NO EVENT SHALL SLEEPYCAT SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n\nCopyright (c) 1990, 1993, 1994, 1995 The Regents of the University of California. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 - Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 - Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 - Neither the name of the University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n\nCopyright (c) 1995, 1996 The President and Fellows of Harvard University. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 - Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 - Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 - Neither the name of the University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY HARVARD AND ITS CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL HARVARD OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Sleepycat License <<var;name=\"copyright\";original=\"Copyright (c) 1990-1999 Sleepycat Software. All rights reserved.\";match=\".{0,5000}\">>\n\n<<endOptional>>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistributions in any form must be accompanied by information on how to obtain complete source code for the DB software and any accompanying software that uses the DB software. The source code must either be included in the distribution or be available for no more than the cost of distribution plus a nominal fee, and must be freely redistributable under reasonable conditions. For an executable file, complete source code means the source code for all modules it contains. It does not include source code for modules or files that typically accompany the major components of the operating system on which the executable file runs.\n\nTHIS SOFTWARE IS PROVIDED BY SLEEPYCAT SOFTWARE ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED. IN NO EVENT SHALL SLEEPYCAT SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n<<var;name=\"copyright\";original=\"Copyright (c) 1990, 1993, 1994, 1995 The Regents of the University of California. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Neither the name of the University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n<<var;name=\"copyright\";original=\"Copyright (c) 1995, 1996 The President and Fellows of Harvard University. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Neither the name of the University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY HARVARD AND ITS CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL HARVARD OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Sleepycat License"
		self.licenseId = "Sleepycat"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Sleepycat", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/Sleepycat"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Sleepycat License <var class=\"replaceable-license-text\"> Copyright (c) 1990-1999 Sleepycat Software. All rights reserved.</var>\n		 </p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Redistributions in any form must be accompanied by information on how to obtain complete source\n			 code for the DB software and any accompanying software that uses the DB software. The source\n			 code must either be included in the distribution or be available for no more than the cost of\n			 distribution plus a nominal fee, and must be freely redistributable under reasonable\n			 conditions. For an executable file, complete source code means the source code for all modules\n			 it contains. It does not include source code for modules or files that typically accompany the\n			 major components of the operating system on which the executable file runs.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY SLEEPYCAT SOFTWARE ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\n		 PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED. IN NO EVENT SHALL SLEEPYCAT SOFTWARE BE LIABLE FOR ANY\n		 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED\n		 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1990, 1993, 1994, 1995 The Regents of the University of California. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Neither the name of the University nor the names of its contributors may be used to endorse or\n			 promote products derived from this software without specific prior written permission.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED\n		 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n		 PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY\n		 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED\n		 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1995, 1996 The President and Fellows of Harvard University. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of conditions\n			 and the following disclaimer in the documentation and/or other materials provided with the\n			 distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  Neither the name of the University nor the names of its contributors may be used to endorse or\n			 promote products derived from this software without specific prior written permission.\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY HARVARD AND ITS CONTRIBUTORS ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED\n		 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A\n		 PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL HARVARD OR ITS CONTRIBUTORS BE LIABLE FOR ANY\n		 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED\n		 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n		 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "Sleepycat"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSDSourcebeginningfile:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1997 Justin T. Gibbs.\nAll rights reserved.\n\nRedistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions\nare met:\n1. Redistributions of source code must retain the above copyright\n   notice, this list of conditions, and the following disclaimer,\n   without modification, immediately at the beginning of the file.\n2. The name of the author may not be used to endorse or promote products\n   derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND\nANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR\nANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\nOR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\nHOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\nLIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\nOUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\nSUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1997 Justin T. Gibbs.  All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions, and the following disclaimer, without modification, immediately at the beginning of the file.\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> The name of <<var;name=\"organizationClause3\";original=\"the author\";match=\".+\">> may not be used to endorse or promote products derived from this software without specific prior written permission <<var;name=\"organizationClause2\";original=\"\";match=\".*\">> .\n\nTHIS SOFTWARE IS PROVIDED BY <<var;name=\"copyrightHolderAsIs\";original=\"THE AUTHORS AND CONTRIBUTORS\";match=\".+\">> \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <<var;name=\"copyrightHolderLiability\";original=\"THE AUTHOR OR CONTRIBUTORS\";match=\".+\">> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD Source Code Attribution - beginning of file variant"
		self.licenseComments = "This license is mostly the same as BSD-Source-Code but adds includes a specific requirement requiring retention of the copyright notice \"immediately at the beginning of the file\"."
		self.licenseId = "BSD-Source-beginning-file"
		self.crossRef = [{"match": "False", "url": "https://github.com/lattera/freebsd/blob/master/sys/cam/cam.c#L4", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:36Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/lattera/freebsd/blob/master/sys/cam/cam.c#L4"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1997 Justin T. Gibbs.\n			<br />\n\nAll rights reserved.\n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without\n		 modification, are permitted provided that the following conditions\n		 are met:\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n			Redistributions of source code must retain the above copyright\n			notice, this list of conditions, and the following disclaimer,\n			without modification, immediately at the beginning of the file.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> *</var>\n			The name of\n			<var class=\"replaceable-license-text\"> \n			the author</var> may not be used to endorse or promote products\n			derived from this software without specific prior written permission\n			<var class=\"replaceable-license-text\"> \n			</var>.\n\n		</li>\n	  \n</ul>\n	  <p>THIS SOFTWARE IS PROVIDED BY\n		<var class=\"replaceable-license-text\"> THE AUTHORS\n		AND CONTRIBUTORS</var> &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED\n		WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\n		WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL\n		<var class=\"replaceable-license-text\"> THE AUTHOR\n		OR CONTRIBUTORS</var> BE LIABLE FOR ANY DIRECT, INDIRECT,\n		INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n		(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\n		OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n		WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n		THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\n		DAMAGE.\n	  </p>\n\n	"
		self.python_name = "BSDSourcebeginningfile"

	def __str__(self):
		return json.dumps(self.__dict__)


class OpenPBS23:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "\n		OpenPBS (Portable Batch System) v2.3 Software License\n\nCopyright (c) 1999-2000 Veridian Information Solutions, Inc.\nAll rights reserved.\n\n---------------------------------------------------------------------------\nFor a license to use or redistribute the OpenPBS software under conditions\nother than those described below, or to purchase support for this software,\nplease contact Veridian Systems, PBS Products Department (\"Licensor\") at:\n\n   www.OpenPBS.org  +1 650 967-4675				  sales@OpenPBS.org\n					   877 902-4PBS (US toll-free)\n---------------------------------------------------------------------------\n\nThis license covers use of the OpenPBS v2.3 software (the \"Software\") at\nyour site or location, and, for certain users, redistribution of the\nSoftware to other sites and locations.  Use and redistribution of\nOpenPBS v2.3 in source and binary forms, with or without modification,\nare permitted provided that all of the following conditions are met.\nAfter December 31, 2001, only conditions 3-6 must be met:\n\n1. Commercial and/or non-commercial use of the Software is permitted\n   provided a current software registration is on file at www.OpenPBS.org.\n   If use of this software contributes to a publication, product, or\n   service, proper attribution must be given; see www.OpenPBS.org/credit.html\n\n2. Redistribution in any form is only permitted for non-commercial,\n   non-profit purposes.  There can be no charge for the Software or any\n   software incorporating the Software.  Further, there can be no\n   expectation of revenue generated as a consequence of redistributing\n   the Software.\n\n3. Any Redistribution of source code must retain the above copyright notice\n   and the acknowledgment contained in paragraph 6, this list of conditions\n   and the disclaimer contained in paragraph 7.\n\n4. Any Redistribution in binary form must reproduce the above copyright\n   notice and the acknowledgment contained in paragraph 6, this list of\n   conditions and the disclaimer contained in paragraph 7 in the\n   documentation and/or other materials provided with the distribution.\n\n5. Redistributions in any form must be accompanied by information on how to\n   obtain complete source code for the OpenPBS software and any\n   modifications and/or additions to the OpenPBS software.  The source code\n   must either be included in the distribution or be available for no more\n   than the cost of distribution plus a nominal fee, and all modifications\n   and additions to the Software must be freely redistributable by any party\n   (including Licensor) without restriction.\n\n6. All advertising materials mentioning features or use of the Software must\n   display the following acknowledgment:\n\n	\"This product includes software developed by NASA Ames Research Center,\n	Lawrence Livermore National Laboratory, and Veridian Information Solutions,\n	Inc.  Visit www.OpenPBS.org for OpenPBS software support,\n	products, and information.\"\n\n7. DISCLAIMER OF WARRANTY\n\nTHIS SOFTWARE IS PROVIDED \"AS IS\" WITHOUT WARRANTY OF ANY KIND. ANY EXPRESS\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT\nARE EXPRESSLY DISCLAIMED.\n\nIN NO EVENT SHALL VERIDIAN CORPORATION, ITS AFFILIATED COMPANIES, OR THE\nU.S. GOVERNMENT OR ANY OF ITS AGENCIES BE LIABLE FOR ANY DIRECT OR INDIRECT,\nINCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,\nOR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\nLIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\nNEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,\nEVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis license will be governed by the laws of the Commonwealth of Virginia,\nwithout reference to its choice of law rules.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>OpenPBS (Portable Batch System) v2.3 Software License<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 1999-2000 Veridian Information Solutions, Inc. All rights reserved.  \";match=\".{0,5000}\">><<beginOptional>> ---------------------------------------------------------------------------\n\nFor a license to use or redistribute the OpenPBS software under conditions other than those described below, or to purchase support for this software, please contact Veridian Systems, PBS Products Department (\"Licensor\") at:\n\nwww.OpenPBS.org +1 650 967-4675 sales@OpenPBS.org 877 902-4PBS (US toll-free)\n\n---------------------------------------------------------------------------<<endOptional>>\n\nThis license covers use of the OpenPBS v2.3 software (the \"Software\") at your site or location, and, for certain users, redistribution of the Software to other sites and locations. Use and redistribution of OpenPBS v2.3 in source and binary forms, with or without modification, are permitted provided that all of the following conditions are met. After December 31, 2001, only conditions 3-6 must be met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Commercial and/or non-commercial use of the Software is permitted provided a current software registration is on file at www.OpenPBS.org. If use of this software contributes to a publication, product, or service, proper attribution must be given; see www.OpenPBS.org/credit.html\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistribution in any form is only permitted for non-commercial, non-profit purposes. There can be no charge for the Software or any software incorporating the Software. Further, there can be no expectation of revenue generated as a consequence of redistributing the Software.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Any Redistribution of source code must retain the above copyright notice and the acknowledgment contained in paragraph 6, this list of conditions and the disclaimer contained in paragraph 7.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">>\n\n   Any Redistribution in binary form must reproduce the above copyright notice and the acknowledgment contained in paragraph 6, this list of conditions and the disclaimer contained in paragraph 7 in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">>\n\n   Redistributions in any form must be accompanied by information on how to obtain complete source code for the OpenPBS software and any modifications and/or additions to the OpenPBS software. The source code must either be included in the distribution or be available for no more than the cost of distribution plus a nominal fee, and all modifications and additions to the Software must be freely redistributable by any party (including Licensor) without restriction.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> All advertising materials mentioning features or use of the Software must display the following acknowledgment:\n\n   \"This product includes software developed by NASA Ames Research Center, Lawrence Livermore National Laboratory, and Veridian Information Solutions, Inc. Visit www.OpenPBS.org for OpenPBS software support, products, and information.\"\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY\n\n   THIS SOFTWARE IS PROVIDED \"AS IS\" WITHOUT WARRANTY OF ANY KIND. ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT ARE EXPRESSLY DISCLAIMED.\n\nIN NO EVENT SHALL VERIDIAN CORPORATION, ITS AFFILIATED COMPANIES, OR THE U.S. GOVERNMENT OR ANY OF ITS AGENCIES BE LIABLE FOR ANY DIRECT OR INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis license will be governed by the laws of the Commonwealth of Virginia, without reference to its choice of law rules.\n\n"
		self.name = "OpenPBS v2.3 Software License"
		self.licenseId = "OpenPBS-2.3"
		self.crossRef = [{"match": "False", "url": "https://github.com/adaptivecomputing/torque/blob/master/PBS_License.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:26Z", "isWayBackLink": False, "order": 0}, {"match": "False", "url": "https://www.mcs.anl.gov/research/projects/openpbs/PBS_License.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:26Z", "isWayBackLink": False, "order": 1}]
		self.seeAlso = ["https://github.com/adaptivecomputing/torque/blob/master/PBS_License.txt", "https://www.mcs.anl.gov/research/projects/openpbs/PBS_License.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"optional-license-text\"> \n			OpenPBS (Portable Batch System) v2.3 Software License\n		 </var>\n		 <div class=\"replaceable-license-text\"> \n			<p>Copyright (c) 1999-2000 Veridian Information\n			   Solutions, Inc. All rights reserved.</p>\n\n		 </div>\n		 <div class=\"optional-license-text\"> \n			---------------------------------------------------------------------------\n			<p>\n			   For a license to use or redistribute the OpenPBS software\n			   under conditions other than those described below, or\n			   to purchase support for this software, please contact\n			   Veridian Systems, PBS Products Department (&quot;Licensor&quot;) at:\n			</p>\n\n			<p>\n			   www.OpenPBS.org +1 650 967-4675\n			   sales@OpenPBS.org 877 902-4PBS (US toll-free)\n			</p>\n\n			---------------------------------------------------------------------------\n		 </div>\n		 <p>\n			This license covers use of the OpenPBS v2.3 software (the\n			&quot;Software&quot;) at your site or location, and, for certain\n			users, redistribution of the Software to other sites and\n			locations. Use and redistribution of OpenPBS v2.3 in source\n			and binary forms, with or without modification, are permitted\n			provided that all of the following conditions are met.\n			After December 31, 2001, only conditions 3-6 must be met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			<p><var class=\"replaceable-license-text\"> 1.</var>\n				  Commercial and/or non-commercial use of the Software\n				  is permitted provided a current software registration\n				  is on file at www.OpenPBS.org. If use of this software\n				  contributes to a publication, product, or service, proper\n				  attribution must be given; see www.OpenPBS.org/credit.html\n			   </p>\n\n			</li>\n			\n<li>\n			   <p><var class=\"replaceable-license-text\"> 2.</var>\n				  Redistribution in any form is only permitted for\n				  non-commercial, non-profit purposes. There can be no\n				  charge for the Software or any software incorporating the\n				  Software. Further, there can be no expectation of revenue\n				  generated as a consequence of redistributing the Software.\n			   </p>\n\n			</li>\n			\n<li>\n			  <p> <var class=\"replaceable-license-text\"> 3.</var>\n				  Any Redistribution of source code must retain\n				  the above copyright notice and the acknowledgment\n				  contained in paragraph 6, this list of conditions\n				  and the disclaimer contained in paragraph 7.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   <p>\n				  Any Redistribution in binary form must reproduce the\n				  above copyright notice and the acknowledgment contained\n				  in paragraph 6, this list of conditions and the\n				  disclaimer contained in paragraph 7 in the documentation\n				  and/or other materials provided with the distribution.\n			   </p>\n\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   <p>\n				  Redistributions in any form must be accompanied by information\n				  on how to obtain complete source code for the OpenPBS\n				  software and any modifications and/or additions to the\n				  OpenPBS software. The source code must either be included in\n				  the distribution or be available for no more than the cost\n				  of distribution plus a nominal fee, and all modifications\n				  and additions to the Software must be freely redistributable\n				  by any party (including Licensor) without restriction.\n			   </p>\n\n			</li>\n			\n<li>\n			   <p><var class=\"replaceable-license-text\"> 6.</var>\n				  All advertising materials mentioning features or use of\n				  the Software must display the following acknowledgment:\n			   </p>\n\n			   <p>\n				  &quot;This product includes software developed by NASA Ames\n				  Research Center, Lawrence Livermore National Laboratory, and\n				  Veridian Information Solutions, Inc. Visit www.OpenPBS.org\n				  for OpenPBS software support, products, and information.&quot;\n			   </p>\n\n			</li>\n			\n<li>\n			   <p><var class=\"replaceable-license-text\"> 7.</var>\n				  DISCLAIMER OF WARRANTY\n			   </p>\n\n			   <p>\n				  THIS SOFTWARE IS PROVIDED &quot;AS IS&quot; WITHOUT WARRANTY\n				  OF ANY KIND. ANY EXPRESS OR IMPLIED WARRANTIES,\n				  INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\n				  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,\n				  AND NON-INFRINGEMENT ARE EXPRESSLY DISCLAIMED.\n			   </p>\n\n			</li>\n		 \n</ul>\n		 <p>\n			IN NO EVENT SHALL VERIDIAN CORPORATION, ITS AFFILIATED COMPANIES,\n			OR THE U.S. GOVERNMENT OR ANY OF ITS AGENCIES BE LIABLE FOR\n			ANY DIRECT OR INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR\n			CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\n			OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;\n			OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\n			LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n			THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		 </p>\n\n		 <p>\n			This license will be governed by the laws of the Commonwealth\n			of Virginia, without reference to its choice of law rules.\n		 </p>\n\n	  "
		self.python_name = "OpenPBS23"

	def __str__(self):
		return json.dumps(self.__dict__)


class Caldera:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Caldera International, Inc. hereby grants a fee free license that includes the rights use, modify and distribute this named source code, including creating derived binary products created from the source code. The source code for which Caldera International, Inc. grants rights are limited to the following UNIX Operating Systems that operate on the 16-Bit PDP-11 CPU and early versions of the 32-Bit UNIX Operating System, with specific exclusion of UNIX System III and UNIX System V and successor operating systems:\n\n	 32-bit 32V UNIX\n	 16 bit UNIX Versions 1, 2, 3, 4, 5, 6, 7\n\nCaldera International, Inc. makes no guarantees or commitments that any source code is available from Caldera\nInternational, Inc.\n\nThe following copyright notice applies to the source code files for which this license is granted.\n\nCopyright(C) Caldera International Inc. 2001-2002. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n	 Redistributions of source code and documentation must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n	 Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n	 All advertising materials mentioning features or use of this software must display the following acknowledgement:\nThis product includes software developed or owned by Caldera International, Inc.\n\n	 Neither the name of Caldera International, Inc. nor the names of other contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nUSE OF THE SOFTWARE PROVIDED FOR UNDER THIS LICENSE BY CALDERA INTERNATIONAL, INC. AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\nPURPOSE ARE DISCLAIMED. IN NO EVENT SHALL CALDERA INTERNATIONAL, INC. BE LIABLE FOR ANY DIRECT, INDIRECT INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "Caldera International, Inc. hereby grants a fee free license that includes the rights use, modify and distribute this named source code, including creating derived binary products created from the source code. The source code for which Caldera International, Inc. grants rights are limited to the following UNIX Operating Systems that operate on the 16-Bit PDP-11 CPU and early versions of the 32-Bit UNIX Operating System, with specific exclusion of UNIX System III and UNIX System V and successor operating systems:\n\n32-bit 32V UNIX\n\n16 bit UNIX Versions 1, 2, 3, 4, 5, 6, 7\n\nCaldera International, Inc. makes no guarantees or commitments that any source code is available from Caldera International, Inc.\n\nThe following copyright notice applies to the source code files for which this license is granted.\n\nCopyright(C) Caldera International Inc. 2001-2002. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\nRedistributions of source code and documentation must retain the above copyright notice, this list of conditions and the following disclaimer.\n\nRedistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nAll advertising materials mentioning features or use of this software must display the following acknowledgement:\n\n   This product includes software developed or owned by Caldera International, Inc.\n\nNeither the name of Caldera International, Inc. nor the names of other contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nUSE OF THE SOFTWARE PROVIDED FOR UNDER THIS LICENSE BY CALDERA INTERNATIONAL, INC. AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL CALDERA INTERNATIONAL, INC. BE LIABLE FOR ANY DIRECT, INDIRECT INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Caldera License"
		self.licenseId = "Caldera"
		self.crossRef = [{"match": "False", "url": "http://www.lemis.com/grog/UNIX/ancient-source-all.pdf", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:40Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.lemis.com/grog/UNIX/ancient-source-all.pdf"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>Caldera International, Inc. hereby grants a fee free license that includes the rights use, modify and\n		 distribute this named source code, including creating derived binary products created from the source\n		 code. The source code for which Caldera International, Inc. grants rights are limited to the following\n		 UNIX Operating Systems that operate on the 16-Bit PDP-11 CPU and early versions of the 32-Bit UNIX\n		 Operating System, with specific exclusion of UNIX System III and UNIX System V and successor operating\n		 systems:</p>\n\n	  <p>32-bit 32V UNIX</p>\n\n	  <p>16 bit UNIX Versions 1, 2, 3, 4, 5, 6, 7</p>\n\n	  <p>Caldera International, Inc. makes no guarantees or commitments that any source code is available from Caldera\n		International, Inc.\n	  </p>\n\n	  <p>The following copyright notice applies to the source code files for which this license is granted.</p>\n\n	  <p>Copyright(C) Caldera International Inc. 2001-2002. All rights reserved.</p>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n	  <p>Redistributions of source code and documentation must retain the above copyright notice, this list of\n		 conditions and the following disclaimer.</p>\n\n	  <p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the\n		 following disclaimer in the documentation and/or other materials provided with the distribution.</p>\n\n	  <p>All advertising materials mentioning features or use of this software must display the following\n		 acknowledgement:\n		\n<ul style=\"list-style:none\">\n			\n<li>\n				<p>This product includes software developed or owned by Caldera International, Inc.</p>\n\n			</li>\n		\n</ul>\n	  </p>\n\n	  <p>Neither the name of Caldera International, Inc. nor the names of other contributors may be used to\n		 endorse or promote products derived from this software without specific prior written permission.</p>\n\n	  <p>USE OF THE SOFTWARE PROVIDED FOR UNDER THIS LICENSE BY CALDERA INTERNATIONAL, INC. AND CONTRIBUTORS ``AS\n		 IS&apos;&apos; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n		 MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL CALDERA INTERNATIONAL,\n		 INC. BE LIABLE FOR ANY DIRECT, INDIRECT INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\n		 BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n		 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR\n		 TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED\n		 OF THE POSSIBILITY OF SUCH DAMAGE.\n	  </p>\n\n	"
		self.python_name = "Caldera"

	def __str__(self):
		return json.dumps(self.__dict__)


class BitTorrent11:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "BitTorrent Open Source License\nVersion 1.1\n\nThis BitTorrent Open Source License (the \"License\") applies to the BitTorrent client and related software products as well as any updates or maintenance releases of that software (\"BitTorrent Products\") that are distributed by BitTorrent, Inc. (\"Licensor\"). Any BitTorrent Product licensed pursuant to this License is a Licensed Product. Licensed Product, in its entirety, is protected by U.S. copyright law. This License identifies the terms under which you may use, copy, distribute or modify Licensed Product.\n\nPreamble\n\nThis Preamble is intended to describe, in plain English, the nature and scope of this License. However, this Preamble is not a part of this license. The legal effect of this License is dependent only upon the terms of the License and not this Preamble.\n\nThis License complies with the Open Source Definition and is derived from the Jabber Open Source License 1.0 (the \"JOSL\"), which has been approved by Open Source Initiative. Sections 4(c) and 4(f)(iii) from the JOSL have been deleted.\n\nThis License provides that:\n\n1. You may use or give away the Licensed Product, alone or as a component of an aggregate software distribution containing programs from several different sources. No royalty or other fee is required.\n\n2. Both Source Code and executable versions of the Licensed Product, including Modifications made by previous Contributors, are available for your use. (The terms \"Licensed Product,\" \"Modifications,\" \"Contributors\" and \"Source Code\" are defined in the License.)\n\n3. You are allowed to make Modifications to the Licensed Product, and you can create Derivative Works from it. (The term \"Derivative Works\" is defined in the License.)\n\n4. By accepting the Licensed Product under the provisions of this License, you agree that any Modifications you make to the Licensed Product and then distribute are governed by the provisions of this License. In particular, you must make the Source Code of your Modifications available to others free of charge and without a royalty.\n\n5. You may sell, accept donations or otherwise receive compensation for executable versions of a Licensed Product, without paying a royalty or other fee to the Licensor or any Contributor, provided that such executable versions contain your or another Contributor's material Modifications. For the avoidance of doubt, to the extent your executable version of a Licensed Product does not contain your or another Contributor's material Modifications, you may not sell, accept donations or otherwise receive compensation for such executable.\n\nYou may use the Licensed Product for any purpose, but the Licensor is not providing you any warranty whatsoever, nor is the Licensor accepting any liability in the event that the Licensed Product doesn't work properly or causes you any injury or damages.\n\n6. If you sublicense the Licensed Product or Derivative Works, you may charge fees for warranty or support, or for accepting indemnity or liability obligations to your customers. You cannot charge for, sell, accept donations or otherwise receive compensation for the Source Code.\n\n7. If you assert any patent claims against the Licensor relating to the Licensed Product, or if you breach any terms of the License, your rights to the Licensed Product under this License automatically terminate.\nYou may use this License to distribute your own Derivative Works, in which case the provisions of this License will apply to your Derivative Works just as they do to the original Licensed Product.\n\nAlternatively, you may distribute your Derivative Works under any other OSI-approved Open Source license, or under a proprietary license of your choice. If you use any license other than this License, however, you must continue to fulfill the requirements of this License (including the provisions relating to publishing the Source Code) for those portions of your Derivative Works that consist of the Licensed Product, including the files containing\nModifications.\n\nNew versions of this License may be published from time to time in connection with new versions of a Licensed Product or otherwise. You may choose to continue to use the license terms in this version of the License for the Licensed Product that was originally licensed hereunder, however, the new versions of this License will at all times apply to new versions of the Licensed Product released by Licensor after the release of the new version of this License. Only the Licensor has the right to change the License terms as they apply to the Licensed Product.\n\nThis License relies on precise definitions for certain terms. Those terms are defined when they are first used, and the definitions are repeated for your convenience in a Glossary at the end of the License.\n\nLicense Terms\n\n1. Grant of License From Licensor. Subject to the terms and conditions of this License, Licensor hereby grants you a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, to do the following:\n\n	 a. Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created by a Contributor or portions thereof, in both Source Code or as an executable program, either on an unmodified basis or as part of Derivative Works.\n	 b. Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof, but solely to the extent that any such claim is necessary to enable you to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof or Derivative Works thereof.\n\n2. Grant of License to Modifications From Contributor. \"Modifications\" means any additions to or deletions from the substance or structure of (i) a file containing a Licensed Product, or (ii) any new file that contains any part of a Licensed Product. Hereinafter in this License, the term \"Licensed Product\" shall include all previous Modifications that you receive from any Contributor. Subject to the terms and conditions of this License, By application of the provisions in Section 4(a) below, each person or entity who created or contributed to the creation of, and distributed, a Modification (a \"Contributor\") hereby grants you a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, to do the following:\n\n	 a. Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created by such Contributor or portions thereof, in both Source Code or as an executable program, either on an unmodified basis or as part of Derivative Works.\n\n	 b. Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof, but solely to the extent that any such claim is necessary to enable you to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof or Derivative Works thereof.\n\n3. Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor or any Contributor except as expressly stated herein. No patent license is granted separate from the Licensed Product, for code that you delete from the Licensed Product, or for combinations of the Licensed Product with other software or hardware. No right is granted to the trademarks of Licensor or any Contributor even if such marks are included in the Licensed Product. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any code that Licensor otherwise would have a right to license. As an express condition for your use of the Licensed Product, you hereby agree that you will not, without the prior written consent of Licensor, use any trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor or any Contributor except as expressly stated herein. For the avoidance of doubt and without limiting the foregoing, you hereby agree that you will not use or display any trademark of Licensor or any Contributor in any domain name, directory filepath, advertisement, link or other reference to you in any manner or in any media.\n\n4. Your Obligations Regarding Distribution.\n\n	 a. Application of This License to Your Modifications. As an express condition for your use of the Licensed Product, you hereby agree that any Modifications that you create or to which you contribute, and which you distribute, are governed by the terms of this License including, without limitation, Section 2. Any Modifications that you create or to which you contribute may be distributed only under the terms of this License or a future version of this License released under Section 7. You must include a copy of this License with every copy of the Modifications you distribute. You agree not to offer or impose any terms on any Source Code or executable version of the Licensed Product or Modifications that alter or restrict the applicable version of this License or the recipients' rights hereunder. However, you may include an additional document offering the additional rights described in Section 4(d).\n\n	 b. Availability of Source Code. You must make available, without charge, under the terms of this License, the Source Code of the Licensed Product and any Modifications that you distribute, either on the same media as you distribute any executable or other form of the Licensed Product, or via a mechanism generally accepted in the software development community for the electronic transfer of data (an \"Electronic Distribution Mechanism\"). The Source Code for any version of Licensed Product or Modifications that you distribute must remain available for as long as any executable or other form of the Licensed Product is distributed by you. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	 c. Intellectual Property Matters.\n\n		  i. Third Party Claims. If you have knowledge that a license to a third party's intellectual property right is required to exercise the rights granted by this License, you must include a text file with the Source Code distribution titled \"LEGAL\" that describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after you make any Modifications available as described in Section 4(b), you shall promptly modify the LEGAL file in all copies you make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Licensed Product from you that new knowledge has been obtained.\n		  ii. Contributor APIs. If your Modifications include an application programming interface (\"API\") and you have knowledge of patent licenses that are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n		  iii. Representations. You represent that, except as disclosed pursuant to 4(c)(i) above, you believe that any Modifications you distribute are your original creations and that you have sufficient rights to grant the rights conveyed by this License.\n\n	 d. Required Notices. You must duplicate this License in any documentation you provide along with the Source Code of any Modifications you create or to which you contribute, and which you distribute, wherever you describe recipients' rights relating to Licensed Product. You must duplicate the notice contained in Exhibit A (the \"Notice\") in each file of the Source Code of any copy you distribute of the Licensed Product. If you created a Modification, you may add your name as a Contributor to the Notice. If it is not possible to put the Notice in a particular Source Code file due to its structure, then you must include such Notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Licensed Product. However, you may do so only on your own behalf, and not on behalf of the Licensor or any Contributor. You must make it clear that any such warranty, support, indemnity or liability obligation is offered by you alone, and you hereby agree to indemnify the Licensor and every Contributor for any liability incurred by the Licensor or such Contributor as a result of warranty, support, indemnity or liability terms you offer.\n\n	 e. Distribution of Executable Versions. You may distribute Licensed Product as an executable program under a license of your choice that may contain terms different from this License provided (i) you have satisfied the requirements of Sections 4(a) through 4(d) for that distribution, (ii) you include a conspicuous notice in the executable version, related documentation and collateral materials stating that the Source Code version of the Licensed Product is available under the terms of this License, including a description of how and where you have fulfilled the obligations of Section 4(b), and (iii) you make it clear that any terms that differ from this License are offered by you alone, not by Licensor or any Contributor. You hereby agree to indemnify the Licensor and every Contributor for any liability incurred by Licensor or such Contributor as a result of any terms you offer.\n\n	 f. Distribution of Derivative Works. You may create Derivative Works (e.g., combinations of some or all of the Licensed Product with other code) and distribute the Derivative Works as products under any other license you select, with the proviso that the requirements of this License are fulfilled for those portions of the Derivative Works that consist of the Licensed Product or any Modifications thereto.\n\n	 g. Compensation for Distribution of Executable Versions of Licensed Products, Modifications or Derivative Works. Notwithstanding any provision of this License to the contrary, by distributing, selling, licensing, sublicensing or otherwise making available any Licensed Product, or Modification or Derivative Work thereof, you and Licensor hereby acknowledge and agree that you may sell, license or sublicense for a fee, accept donations or otherwise receive compensation for executable versions of a Licensed Product, without paying a royalty or other fee to the Licensor or any other Contributor, provided that such executable versions (i) contain your or another Contributor's material Modifications, or (ii) are otherwise material Derivative Works. For purposes of this License, an executable version of the Licensed Product will be deemed to contain a material Modification, or will otherwise be deemed a material Derivative Work, if (a) the Licensed Product is modified with your own or a third party's software programs or other code, and/or the Licensed Product is combined with a number of your own or a third party's software programs or code, respectively, and (b) such software programs or code add or contribute material value, functionality or features to the License Product. For the avoidance of doubt, to the extent your executable version of a Licensed Product does not contain your or another Contributor's material Modifications or is otherwise not a material Derivative Work, in each case as contemplated herein, you may not sell, license or sublicense for a fee, accept donations or otherwise receive compensation for such executable. Additionally, without limitation of the foregoing and notwithstanding any provision of this License to the contrary, you cannot charge for, sell, license or sublicense for a fee, accept donations or otherwise receive compensation for the Source Code.\n\n5. Inability to Comply Due to Statute or Regulation. If it is impossible for you to comply with any of the terms of this License with respect to some or all of the Licensed Product due to statute, judicial order, or regulation, then you must (i) comply with the terms of this License to the maximum extent possible, (ii) cite the statute or regulation that prohibits you from adhering to the License, and (iii) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 4(d), and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill at computer programming to be able to understand it.\n\n6. Application of This License. This License applies to code to which Licensor or Contributor has attached the Notice in Exhibit A, which is incorporated herein by this reference.\n\n7. Versions of This License.\n\n	 a. New Versions. Licensor may publish from time to time revised and/or new versions of the License.\n\n	 b. Effect of New Versions. Once Licensed Product has been published under a particular version of the License, you may always continue to use it under the terms of that version, provided that any such license be in full force and effect at the time, and has not been revoked or otherwise terminated. You may also choose to use such Licensed Product under the terms of any subsequent version (but not any prior version) of the License published by Licensor. No one other than Licensor has the right to modify the terms applicable to Licensed Product created under this License.\n\n	 c. Derivative Works of this License. If you create or use a modified version of this License, which you may do only in order to apply it to software that is not already a Licensed Product under this License, you must rename your license so that it is not confusingly similar to this License, and must make it clear that your license contains terms that differ from this License. In so naming your license, you may not use any trademark of Licensor or any Contributor.\n\n8. Disclaimer of Warranty. LICENSED PRODUCT IS PROVIDED UNDER THIS LICENSE ON AN AS IS BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE LICENSED PRODUCT IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED PRODUCT IS WITH YOU. SHOULD LICENSED PRODUCT PROVE DEFECTIVE IN ANY RESPECT, YOU (AND NOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF LICENSED PRODUCT IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n9. Termination.\n\n	 a. Automatic Termination Upon Breach. This license and the rights granted hereunder will terminate automatically if you fail to comply with the terms herein and fail to cure such breach within ten (10) days of being notified of the breach by the Licensor. For purposes of this provision, proof of delivery via email to the address listed in the 'WHOIS' database of the registrar for any website through which you distribute or market any Licensed Product, or to any alternate email address which you designate in writing to the Licensor, shall constitute sufficient notification. All sublicenses to the Licensed Product that are properly granted shall survive any termination of this license so long as they continue to complye with the terms of this License. Provisions that, by their nature, must remain in effect beyond the termination of this License, shall survive.\n\n	 b. Termination Upon Assertion of Patent Infringement. If you initiate litigation by asserting a patent infringement claim (excluding declaratory judgment actions) against Licensor or a Contributor (Licensor or Contributor against whom you file such an action is referred to herein as Respondent) alleging that Licensed Product directly or indirectly infringes any patent, then any and all rights granted by such Respondent to you under Sections 1 or 2 of this License shall terminate prospectively upon sixty (60) days notice from Respondent (the \"Notice Period\") unless within that Notice Period you either agree in writing (i) to pay Respondent a mutually agreeable reasonably royalty for your past or future use of Licensed Product made by such Respondent, or (ii) withdraw your litigation claim with respect to Licensed Product against such Respondent. If within said Notice Period a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Licensor to you under Sections 1 and 2 automatically terminate at the expiration of said Notice Period.\n\n	 c. Reasonable Value of This License. If you assert a patent infringement claim against Respondent alleging that Licensed Product directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by said Respondent under Sections 1 and 2 shall be taken into account in determining the amount or value of any payment or license.\n\n	 d. No Retroactive Effect of Termination. In the event of termination under Sections 9(a) or 9(b) above, all end user license agreements (excluding licenses to distributors and resellers) that have been validly granted by you or any distributor hereunder prior to termination shall survive termination.\n\n10. Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF LICENSED PRODUCT, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTYS NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n11. Responsibility for Claims. As between Licensor and Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License. You agree to work with Licensor and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n12. U.S. Government End Users. The Licensed Product is a commercial item, as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of commercial computer software and commercial computer software documentation, as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Licensed Product with only those rights set forth herein.\n\n13. Miscellaneous. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. You expressly agree that in any litigation relating to this license the losing party shall be responsible for costs including, without limitation, court costs and reasonable attorneys fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation that provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n14. Definition of You in This License. You throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 7. For legal entities, you includes any entity that controls, is controlled by, is under common control with, or affiliated with, you. For purposes of this definition, control means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity. You are responsible for advising any affiliated entity of the terms of this License, and that any rights or privileges derived from or obtained by way of this License are subject to the restrictions outlined herein.\n\n15. Glossary. All defined terms in this License that are used in more than one Section of this License are repeated here, in alphabetical order, for the convenience of the reader. The Section of this License in which each defined term is first used is shown in parentheses.\n\nContributor: Each person or entity who created or contributed to the creation of, and distributed, a Modification. (See Section 2)\n\nDerivative Works: That term as used in this License is defined under U.S. copyright law. (See Section 1(b))\n\nLicense: This BitTorrent Open Source License. (See first paragraph of License)\n\nLicensed Product: Any BitTorrent Product licensed pursuant to this License. The term \"Licensed Product\" includes all previous Modifications from any Contributor that you receive. (See first paragraph of License and Section 2)\n\nLicensor: BitTorrent, Inc. (See first paragraph of License)\n\nModifications: Any additions to or deletions from the substance or structure of (i) a file containing Licensed\nProduct, or (ii) any new file that contains any part of Licensed Product. (See Section 2)\n\nNotice: The notice contained in Exhibit A. (See Section 4(e))\n\nSource Code: The preferred form for making modifications to the Licensed Product, including all modules contained therein, plus any associated interface definition files, scripts used to control compilation and installation of an executable program, or a list of differential comparisons against the Source Code of the Licensed Product. (See Section 1(a))\n\nYou: This term is defined in Section 14 of this License.\n\nEXHIBIT A\n\nThe Notice below must appear in each file of the Source Code of any copy you distribute of the Licensed Product or any hereto. Contributors to any Modifications may add their own copyright notices to identify their own contributions.\n\nLicense:\nThe contents of this file are subject to the BitTorrent Open Source License Version 1.0 (the License). You may not copy or use this file, in either source code or executable form, except in compliance with the License. You may obtain a copy of the License at http://www.bittorrent.com/license/.\n\nSoftware distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nBitTorrent, Inc.\n"
		self.standardLicenseHeaderTemplate = "The contents of this file are subject to the BitTorrent Open Source License Version <<var;name=\"version\";original=\"1.1\";match=\"1\\.[01]\">> (the License). You may not copy or use this file, in either source code or executable form, except in compliance with the License. You may obtain a copy of the License at http://www.bittorrent.com/license/.\n\nSoftware distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>BitTorrent Open Source License\n\nVersion 1.1\n\n<<endOptional>>\n\nThis BitTorrent Open Source License (the \"License\") applies to the BitTorrent client and related software products as well as any updates or maintenance releases of that software (\"BitTorrent Products\") that are distributed by BitTorrent, Inc. (\"Licensor\"). Any BitTorrent Product licensed pursuant to this License is a Licensed Product. Licensed Product, in its entirety, is protected by U.S. copyright law. This License identifies the terms under which you may use, copy, distribute or modify Licensed Product.\n\nPreamble\n\nThis Preamble is intended to describe, in plain English, the nature and scope of this License. However, this Preamble is not a part of this license. The legal effect of this License is dependent only upon the terms of the License and not this Preamble.\n\nThis License complies with the Open Source Definition and is derived from the Jabber Open Source License 1.0 (the \"JOSL\"), which has been approved by Open Source Initiative. Sections 4(c) and 4(f)(iii) from the JOSL have been deleted.\n\nThis License provides that:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may use or give away the Licensed Product, alone or as a component of an aggregate software distribution containing programs from several different sources. No royalty or other fee is required.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Both Source Code and executable versions of the Licensed Product, including Modifications made by previous Contributors, are available for your use. (The terms \"Licensed Product,\" \"Modifications,\" \"Contributors\" and \"Source Code\" are defined in the License.)\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You are allowed to make Modifications to the Licensed Product, and you can create Derivative Works from it. (The term \"Derivative Works\" is defined in the License.)\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> By accepting the Licensed Product under the provisions of this License, you agree that any Modifications you make to the Licensed Product and then distribute are governed by the provisions of this License. In particular, you must make the Source Code of your Modifications available to others free of charge and without a royalty.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may sell, accept donations or otherwise receive compensation for executable versions of a Licensed Product, without paying a royalty or other fee to the Licensor or any Contributor, provided that such executable versions contain your or another Contributor's material Modifications. For the avoidance of doubt, to the extent your executable version of a Licensed Product does not contain your or another Contributor's material Modifications, you may not sell, accept donations or otherwise receive compensation for such executable.\n\n   You may use the Licensed Product for any purpose, but the Licensor is not providing you any warranty whatsoever, nor is the Licensor accepting any liability in the event that the Licensed Product doesn't work properly or causes you any injury or damages.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> If you sublicense the Licensed Product or Derivative Works, you may charge fees for warranty or support, or for accepting indemnity or liability obligations to your customers. You cannot charge for, sell, accept donations or otherwise receive compensation for the Source Code.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> If you assert any patent claims against the Licensor relating to the Licensed Product, or if you breach any terms of the License, your rights to the Licensed Product under this License automatically terminate.\n\nYou may use this License to distribute your own Derivative Works, in which case the provisions of this License will apply to your Derivative Works just as they do to the original Licensed Product.\n\nAlternatively, you may distribute your Derivative Works under any other OSI-approved Open Source license, or under a proprietary license of your choice. If you use any license other than this License, however, you must continue to fulfill the requirements of this License (including the provisions relating to publishing the Source Code) for those portions of your Derivative Works that consist of the Licensed Product, including the files containing\n\nModifications.\n\nNew versions of this License may be published from time to time in connection with new versions of a Licensed Product or otherwise. You may choose to continue to use the license terms in this version of the License for the Licensed Product that was originally licensed hereunder, however, the new versions of this License will at all times apply to new versions of the Licensed Product released by Licensor after the release of the new version of this License. Only the Licensor has the right to change the License terms as they apply to the Licensed Product.\n\nThis License relies on precise definitions for certain terms. Those terms are defined when they are first used, and the definitions are repeated for your convenience in a Glossary at the end of the License.\n\nLicense Terms\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Grant of License From Licensor. Subject to the terms and conditions of this License, Licensor hereby grants you a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, to do the following:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created by a Contributor or portions thereof, in both Source Code or as an executable program, either on an unmodified basis or as part of Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof, but solely to the extent that any such claim is necessary to enable you to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof or Derivative Works thereof.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Grant of License to Modifications From Contributor. \"Modifications\" means any additions to or deletions from the substance or structure of (i) a file containing a Licensed Product, or (ii) any new file that contains any part of a Licensed Product. Hereinafter in this License, the term \"Licensed Product\" shall include all previous Modifications that you receive from any Contributor. Subject to the terms and conditions of this License, By application of the provisions in Section 4(a) below, each person or entity who created or contributed to the creation of, and distributed, a Modification (a \"Contributor\") hereby grants you a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims, to do the following:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created by such Contributor or portions thereof, in both Source Code or as an executable program, either on an unmodified basis or as part of Derivative Works.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Under claims of patents now or hereafter owned or controlled by Contributor, to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof, but solely to the extent that any such claim is necessary to enable you to make, use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions thereof or Derivative Works thereof.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor or any Contributor except as expressly stated herein. No patent license is granted separate from the Licensed Product, for code that you delete from the Licensed Product, or for combinations of the Licensed Product with other software or hardware. No right is granted to the trademarks of Licensor or any Contributor even if such marks are included in the Licensed Product. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any code that Licensor otherwise would have a right to license. As an express condition for your use of the Licensed Product, you hereby agree that you will not, without the prior written consent of Licensor, use any trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor or any Contributor except as expressly stated herein. For the avoidance of doubt and without limiting the foregoing, you hereby agree that you will not use or display any trademark of Licensor or any Contributor in any domain name, directory filepath, advertisement, link or other reference to you in any manner or in any media.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Your Obligations Regarding Distribution.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Application of This License to Your Modifications. As an express condition for your use of the Licensed Product, you hereby agree that any Modifications that you create or to which you contribute, and which you distribute, are governed by the terms of this License including, without limitation, Section 2. Any Modifications that you create or to which you contribute may be distributed only under the terms of this License or a future version of this License released under Section 7. You must include a copy of this License with every copy of the Modifications you distribute. You agree not to offer or impose any terms on any Source Code or executable version of the Licensed Product or Modifications that alter or restrict the applicable version of this License or the recipients' rights hereunder. However, you may include an additional document offering the additional rights described in Section 4(d).\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Availability of Source Code. You must make available, without charge, under the terms of this License, the Source Code of the Licensed Product and any Modifications that you distribute, either on the same media as you distribute any executable or other form of the Licensed Product, or via a mechanism generally accepted in the software development community for the electronic transfer of data (an \"Electronic Distribution Mechanism\"). The Source Code for any version of Licensed Product or Modifications that you distribute must remain available for as long as any executable or other form of the Licensed Product is distributed by you. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Intellectual Property Matters.\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Third Party Claims. If you have knowledge that a license to a third party's intellectual property right is required to exercise the rights granted by this License, you must include a text file with the Source Code distribution titled \"LEGAL\" that describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after you make any Modifications available as described in Section 4(b), you shall promptly modify the LEGAL file in all copies you make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Licensed Product from you that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Contributor APIs. If your Modifications include an application programming interface (\"API\") and you have knowledge of patent licenses that are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Representations. You represent that, except as disclosed pursuant to 4(c)(i) above, you believe that any Modifications you distribute are your original creations and that you have sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Required Notices. You must duplicate this License in any documentation you provide along with the Source Code of any Modifications you create or to which you contribute, and which you distribute, wherever you describe recipients' rights relating to Licensed Product. You must duplicate the notice contained in Exhibit A (the \"Notice\") in each file of the Source Code of any copy you distribute of the Licensed Product. If you created a Modification, you may add your name as a Contributor to the Notice. If it is not possible to put the Notice in a particular Source Code file due to its structure, then you must include such Notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Licensed Product. However, you may do so only on your own behalf, and not on behalf of the Licensor or any Contributor. You must make it clear that any such warranty, support, indemnity or liability obligation is offered by you alone, and you hereby agree to indemnify the Licensor and every Contributor for any liability incurred by the Licensor or such Contributor as a result of warranty, support, indemnity or liability terms you offer.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Licensed Product as an executable program under a license of your choice that may contain terms different from this License provided (i) you have satisfied the requirements of Sections 4(a) through 4(d) for that distribution, (ii) you include a conspicuous notice in the executable version, related documentation and collateral materials stating that the Source Code version of the Licensed Product is available under the terms of this License, including a description of how and where you have fulfilled the obligations of Section 4(b), and (iii) you make it clear that any terms that differ from this License are offered by you alone, not by Licensor or any Contributor. You hereby agree to indemnify the Licensor and every Contributor for any liability incurred by Licensor or such Contributor as a result of any terms you offer.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Distribution of Derivative Works. You may create Derivative Works (e.g., combinations of some or all of the Licensed Product with other code) and distribute the Derivative Works as products under any other license you select, with the proviso that the requirements of this License are fulfilled for those portions of the Derivative Works that consist of the Licensed Product or any Modifications thereto.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Compensation for Distribution of Executable Versions of Licensed Products, Modifications or Derivative Works. Notwithstanding any provision of this License to the contrary, by distributing, selling, licensing, sublicensing or otherwise making available any Licensed Product, or Modification or Derivative Work thereof, you and Licensor hereby acknowledge and agree that you may sell, license or sublicense for a fee, accept donations or otherwise receive compensation for executable versions of a Licensed Product, without paying a royalty or other fee to the Licensor or any other Contributor, provided that such executable versions (i) contain your or another Contributor's material Modifications, or (ii) are otherwise material Derivative Works. For purposes of this License, an executable version of the Licensed Product will be deemed to contain a material Modification, or will otherwise be deemed a material Derivative Work, if (a) the Licensed Product is modified with your own or a third party's software programs or other code, and/or the Licensed Product is combined with a number of your own or a third party's software programs or code, respectively, and (b) such software programs or code add or contribute material value, functionality or features to the License Product. For the avoidance of doubt, to the extent your executable version of a Licensed Product does not contain your or another Contributor's material Modifications or is otherwise not a material Derivative Work, in each case as contemplated herein, you may not sell, license or sublicense for a fee, accept donations or otherwise receive compensation for such executable. Additionally, without limitation of the foregoing and notwithstanding any provision of this License to the contrary, you cannot charge for, sell, license or sublicense for a fee, accept donations or otherwise receive compensation for the Source Code.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation. If it is impossible for you to comply with any of the terms of this License with respect to some or all of the Licensed Product due to statute, judicial order, or regulation, then you must (i) comply with the terms of this License to the maximum extent possible, (ii) cite the statute or regulation that prohibits you from adhering to the License, and (iii) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 4(d), and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill at computer programming to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Application of This License. This License applies to code to which Licensor or Contributor has attached the Notice in Exhibit A, which is incorporated herein by this reference.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Versions of This License.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> New Versions. Licensor may publish from time to time revised and/or new versions of the License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Effect of New Versions. Once Licensed Product has been published under a particular version of the License, you may always continue to use it under the terms of that version, provided that any such license be in full force and effect at the time, and has not been revoked or otherwise terminated. You may also choose to use such Licensed Product under the terms of any subsequent version (but not any prior version) of the License published by Licensor. No one other than Licensor has the right to modify the terms applicable to Licensed Product created under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Derivative Works of this License. If you create or use a modified version of this License, which you may do only in order to apply it to software that is not already a Licensed Product under this License, you must rename your license so that it is not confusingly similar to this License, and must make it clear that your license contains terms that differ from this License. In so naming your license, you may not use any trademark of Licensor or any Contributor.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Disclaimer of Warranty. LICENSED PRODUCT IS PROVIDED UNDER THIS LICENSE ON AN AS IS BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE LICENSED PRODUCT IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED PRODUCT IS WITH YOU. SHOULD LICENSED PRODUCT PROVE DEFECTIVE IN ANY RESPECT, YOU (AND NOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF LICENSED PRODUCT IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Termination.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Automatic Termination Upon Breach. This license and the rights granted hereunder will terminate automatically if you fail to comply with the terms herein and fail to cure such breach within ten (10) days of being notified of the breach by the Licensor. For purposes of this provision, proof of delivery via email to the address listed in the 'WHOIS' database of the registrar for any website through which you distribute or market any Licensed Product, or to any alternate email address which you designate in writing to the Licensor, shall constitute sufficient notification. All sublicenses to the Licensed Product that are properly granted shall survive any termination of this license so long as they continue to complye with the terms of this License. Provisions that, by their nature, must remain in effect beyond the termination of this License, shall survive.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Termination Upon Assertion of Patent Infringement. If you initiate litigation by asserting a patent infringement claim (excluding declaratory judgment actions) against Licensor or a Contributor (Licensor or Contributor against whom you file such an action is referred to herein as Respondent) alleging that Licensed Product directly or indirectly infringes any patent, then any and all rights granted by such Respondent to you under Sections 1 or 2 of this License shall terminate prospectively upon sixty (60) days notice from Respondent (the \"Notice Period\") unless within that Notice Period you either agree in writing (i) to pay Respondent a mutually agreeable reasonably royalty for your past or future use of Licensed Product made by such Respondent, or (ii) withdraw your litigation claim with respect to Licensed Product against such Respondent. If within said Notice Period a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Licensor to you under Sections 1 and 2 automatically terminate at the expiration of said Notice Period.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Reasonable Value of This License. If you assert a patent infringement claim against Respondent alleging that Licensed Product directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by said Respondent under Sections 1 and 2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No Retroactive Effect of Termination. In the event of termination under Sections 9(a) or 9(b) above, all end user license agreements (excluding licenses to distributors and resellers) that have been validly granted by you or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF LICENSED PRODUCT, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTYS NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Responsibility for Claims. As between Licensor and Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License. You agree to work with Licensor and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> U.S. Government End Users. The Licensed Product is a commercial item, as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of commercial computer software and commercial computer software documentation, as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Licensed Product with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Miscellaneous. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. You expressly agree that in any litigation relating to this license the losing party shall be responsible for costs including, without limitation, court costs and reasonable attorneys fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation that provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Definition of You in This License. You throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 7. For legal entities, you includes any entity that controls, is controlled by, is under common control with, or affiliated with, you. For purposes of this definition, control means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity. You are responsible for advising any affiliated entity of the terms of this License, and that any rights or privileges derived from or obtained by way of this License are subject to the restrictions outlined herein.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Glossary. All defined terms in this License that are used in more than one Section of this License are repeated here, in alphabetical order, for the convenience of the reader. The Section of this License in which each defined term is first used is shown in parentheses.\n\n   Contributor: Each person or entity who created or contributed to the creation of, and distributed, a Modification. (See Section 2)\n\n   Derivative Works: That term as used in this License is defined under U.S. copyright law. (See Section 1(b))\n\n   License: This BitTorrent Open Source License. (See first paragraph of License)\n\n   Licensed Product: Any BitTorrent Product licensed pursuant to this License. The term \"Licensed Product\" includes all previous Modifications from any Contributor that you receive. (See first paragraph of License and Section 2)\n\n   Licensor: BitTorrent, Inc. (See first paragraph of License)\n\n   Modifications: Any additions to or deletions from the substance or structure of (i) a file containing Licensed\n\n   Product, or (ii) any new file that contains any part of Licensed Product. (See Section 2)\n\n   Notice: The notice contained in Exhibit A. (See Section 4(e))\n\n   Source Code: The preferred form for making modifications to the Licensed Product, including all modules contained therein, plus any associated interface definition files, scripts used to control compilation and installation of an executable program, or a list of differential comparisons against the Source Code of the Licensed Product. (See Section 1(a))\n\n   You: This term is defined in Section 14 of this License.\n\n   <<beginOptional>>EXHIBIT A\n\nThe Notice below must appear in each file of the Source Code of any copy you distribute of the Licensed Product or any hereto. Contributors to any Modifications may add their own copyright notices to identify their own contributions.\n\nLicense:\n\nThe contents of this file are subject to the BitTorrent Open Source License Version <<var;name=\"version\";original=\"1.1\";match=\"1\\.[01]\">> (the License). You may not copy or use this file, in either source code or executable form, except in compliance with the License. You may obtain a copy of the License at http://www.bittorrent.com/license/.\n\nSoftware distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nBitTorrent, Inc.\n\n<<endOptional>>"
		self.name = "BitTorrent Open Source License v1.1"
		self.licenseComments = "The upstream Exhibit A suggests the wrong version number."
		self.licenseId = "BitTorrent-1.1"
		self.standardLicenseHeader = "The contents of this file are subject to the BitTorrent Open Source License Version 1.1 (the License). You may not copy or use this file, in either source code or executable form, except in compliance with the License. You may obtain a copy of the License at http://www.bittorrent.com/license/.\n\nSoftware distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\n"
		self.crossRef = [{"match": "False", "url": "http://directory.fsf.org/wiki/License:BitTorrentOSL1.1", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:50Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://directory.fsf.org/wiki/License:BitTorrentOSL1.1"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>BitTorrent Open Source License\n		<br />\n\nVersion 1.1\n	  </p>\n\n	  </div>\n\n	  <p>This BitTorrent Open Source License (the &quot;License&quot;) applies to the BitTorrent client and\n		 related software products as well as any updates or maintenance releases of that software\n		 (&quot;BitTorrent Products&quot;) that are distributed by BitTorrent, Inc. (&quot;Licensor&quot;). Any\n		 BitTorrent Product licensed pursuant to this License is a Licensed Product. Licensed Product, in its\n		 entirety, is protected by U.S. copyright law. This License identifies the terms under which you may\n		 use, copy, distribute or modify Licensed Product.</p>\n\n	  <p>Preamble</p>\n\n	  <p>This Preamble is intended to describe, in plain English, the nature and scope of this License. However,\n		 this Preamble is not a part of this license. The legal effect of this License is dependent only upon\n		 the terms of the License and not this Preamble.</p>\n\n	  <p>This License complies with the Open Source Definition and is derived from the Jabber Open Source License\n		 1.0 (the &quot;JOSL&quot;), which has been approved by Open Source Initiative. Sections 4(c) and\n		 4(f)(iii) from the JOSL have been deleted.</p>\n\n	  <p>This License provides that:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may use or give away the Licensed Product, alone or as a component of an aggregate software\n			 distribution containing programs from several different sources. No royalty or other fee is\n			 required.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Both Source Code and executable versions of the Licensed Product, including Modifications made by\n			 previous Contributors, are available for your use. (The terms &quot;Licensed Product,&quot;\n			 &quot;Modifications,&quot; &quot;Contributors&quot; and &quot;Source Code&quot; are defined in\n			 the License.)\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You are allowed to make Modifications to the Licensed Product, and you can create Derivative\n			 Works from it. (The term &quot;Derivative Works&quot; is defined in the License.)\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  By accepting the Licensed Product under the provisions of this License, you agree that any\n			 Modifications you make to the Licensed Product and then distribute are governed by the\n			 provisions of this License. In particular, you must make the Source Code of your Modifications\n			 available to others free of charge and without a royalty.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may sell, accept donations or otherwise receive compensation for executable versions of a\n			 Licensed Product, without paying a royalty or other fee to the Licensor or any Contributor,\n			 provided that such executable versions contain your or another Contributor&apos;s material\n			 Modifications. For the avoidance of doubt, to the extent your executable version of a Licensed\n			 Product does not contain your or another Contributor&apos;s material Modifications, you may\n			 not sell, accept donations or otherwise receive compensation for such executable.\n		  <p>You may use the Licensed Product for any purpose, but the Licensor is not providing you any\n			 warranty whatsoever, nor is the Licensor accepting any liability in the event that the\n			 Licensed Product doesn&apos;t work properly or causes you any injury or damages.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  If you sublicense the Licensed Product or Derivative Works, you may charge fees for warranty or\n			 support, or for accepting indemnity or liability obligations to your customers. You cannot\n			 charge for, sell, accept donations or otherwise receive compensation for the Source Code.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  If you assert any patent claims against the Licensor relating to the Licensed Product, or if you\n			 breach any terms of the License, your rights to the Licensed Product under this License\n			 automatically terminate.\n		</li>\n	  \n</ul>\n	  <p>You may use this License to distribute your own Derivative Works, in which case the provisions of this\n		 License will apply to your Derivative Works just as they do to the original Licensed Product.</p>\n\n	  <p>Alternatively, you may distribute your Derivative Works under any other OSI-approved Open Source license,\n		 or under a proprietary license of your choice. If you use any license other than this License,\n		 however, you must continue to fulfill the requirements of this License (including the provisions\n		 relating to publishing the Source Code) for those portions of your Derivative Works that consist of\n		 the Licensed Product, including the files containing\n		<br />\n\nModifications.\n	  </p>\n\n	  <p>New versions of this License may be published from time to time in connection with new versions of a\n		 Licensed Product or otherwise. You may choose to continue to use the license terms in this version of\n		 the License for the Licensed Product that was originally licensed hereunder, however, the new versions\n		 of this License will at all times apply to new versions of the Licensed Product released by Licensor\n		 after the release of the new version of this License. Only the Licensor has the right to change the\n		 License terms as they apply to the Licensed Product.</p>\n\n	  <p>This License relies on precise definitions for certain terms. Those terms are defined when they are first\n		 used, and the definitions are repeated for your convenience in a Glossary at the end of the\n		 License.</p>\n\n	  <p>License Terms</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Grant of License From Licensor. Subject to the terms and conditions of this License, Licensor\n			 hereby grants you a world-wide, royalty-free, non-exclusive license, subject to third party\n			 intellectual property claims, to do the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created\n			   by a Contributor or portions thereof, in both Source Code or as an executable program,\n			   either on an unmodified basis or as part of Derivative Works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Under claims of patents now or hereafter owned or controlled by Contributor, to make, use,\n			   sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions\n			   thereof, but solely to the extent that any such claim is necessary to enable you to make,\n			   use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or\n			   portions thereof or Derivative Works thereof.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Grant of License to Modifications From Contributor. &quot;Modifications&quot; means any additions\n			 to or deletions from the substance or structure of (i) a file containing a Licensed Product,\n			 or (ii) any new file that contains any part of a Licensed Product. Hereinafter in this\n			 License, the term &quot;Licensed Product&quot; shall include all previous Modifications that\n			 you receive from any Contributor. Subject to the terms and conditions of this License, By\n			 application of the provisions in Section 4(a) below, each person or entity who created or\n			 contributed to the creation of, and distributed, a Modification (a &quot;Contributor&quot;)\n			 hereby grants you a world-wide, royalty-free, non-exclusive license, subject to third party\n			 intellectual property claims, to do the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Use, reproduce, modify, display, perform, sublicense and distribute any Modifications created\n			   by such Contributor or portions thereof, in both Source Code or as an executable program,\n			   either on an unmodified basis or as part of Derivative Works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Under claims of patents now or hereafter owned or controlled by Contributor, to make, use,\n			   sell, offer for sale, have made, and/or otherwise dispose of Modifications or portions\n			   thereof, but solely to the extent that any such claim is necessary to enable you to make,\n			   use, sell, offer for sale, have made, and/or otherwise dispose of Modifications or\n			   portions thereof or Derivative Works thereof.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Exclusions From License Grant. Nothing in this License shall be deemed to grant any rights to\n			 trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor\n			 or any Contributor except as expressly stated herein. No patent license is granted separate\n			 from the Licensed Product, for code that you delete from the Licensed Product, or for\n			 combinations of the Licensed Product with other software or hardware. No right is granted to\n			 the trademarks of Licensor or any Contributor even if such marks are included in the Licensed\n			 Product. Nothing in this License shall be interpreted to prohibit Licensor from licensing\n			 under different terms from this License any code that Licensor otherwise would have a right to\n			 license. As an express condition for your use of the Licensed Product, you hereby agree that\n			 you will not, without the prior written consent of Licensor, use any trademarks, copyrights,\n			 patents, trade secrets or any other intellectual property of Licensor or any Contributor\n			 except as expressly stated herein. For the avoidance of doubt and without limiting the\n			 foregoing, you hereby agree that you will not use or display any trademark of Licensor or any\n			 Contributor in any domain name, directory filepath, advertisement, link or other reference to\n			 you in any manner or in any media.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Your Obligations Regarding Distribution.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Application of This License to Your Modifications. As an express condition for your use of\n			   the Licensed Product, you hereby agree that any Modifications that you create or to which\n			   you contribute, and which you distribute, are governed by the terms of this License\n			   including, without limitation, Section 2. Any Modifications that you create or to which\n			   you contribute may be distributed only under the terms of this License or a future version\n			   of this License released under Section 7. You must include a copy of this License with\n			   every copy of the Modifications you distribute. You agree not to offer or impose any terms\n			   on any Source Code or executable version of the Licensed Product or Modifications that\n			   alter or restrict the applicable version of this License or the recipients&apos; rights\n			   hereunder. However, you may include an additional document offering the additional rights\n			   described in Section 4(d).\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Availability of Source Code. You must make available, without charge, under the terms of this\n			   License, the Source Code of the Licensed Product and any Modifications that you\n			   distribute, either on the same media as you distribute any executable or other form of the\n			   Licensed Product, or via a mechanism generally accepted in the software development\n			   community for the electronic transfer of data (an &quot;Electronic Distribution\n			   Mechanism&quot;). The Source Code for any version of Licensed Product or Modifications\n			   that you distribute must remain available for as long as any executable or other form of\n			   the Licensed Product is distributed by you. You are responsible for ensuring that the\n			   Source Code version remains available even if the Electronic Distribution Mechanism is\n			   maintained by a third party.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Intellectual Property Matters.\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Third Party Claims. If you have knowledge that a license to a third party&apos;s\n				 intellectual property right is required to exercise the rights granted by this\n				 License, you must include a text file with the Source Code distribution titled\n				 &quot;LEGAL&quot; that describes the claim and the party making the claim in\n				 sufficient detail that a recipient will know whom to contact. If you obtain such\n				 knowledge after you make any Modifications available as described in Section 4(b), you\n				 shall promptly modify the LEGAL file in all copies you make available thereafter and\n				 shall take other steps (such as notifying appropriate mailing lists or newsgroups)\n				 reasonably calculated to inform those who received the Licensed Product from you that\n				 new knowledge has been obtained.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Contributor APIs. If your Modifications include an application programming interface\n				 (&quot;API&quot;) and you have knowledge of patent licenses that are reasonably\n				 necessary to implement that API, you must also include this information in the LEGAL\n				 file.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> iii.</var>\n			  Representations. You represent that, except as disclosed pursuant to 4(c)(i) above, you\n				 believe that any Modifications you distribute are your original creations and that you\n				 have sufficient rights to grant the rights conveyed by this License.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			Required Notices. You must duplicate this License in any documentation you provide along with\n			   the Source Code of any Modifications you create or to which you contribute, and which you\n			   distribute, wherever you describe recipients&apos; rights relating to Licensed Product.\n			   You must duplicate the notice contained in Exhibit A (the &quot;Notice&quot;) in each file\n			   of the Source Code of any copy you distribute of the Licensed Product. If you created a\n			   Modification, you may add your name as a Contributor to the Notice. If it is not possible\n			   to put the Notice in a particular Source Code file due to its structure, then you must\n			   include such Notice in a location (such as a relevant directory file) where a user would\n			   be likely to look for such a notice. You may choose to offer, and charge a fee for,\n			   warranty, support, indemnity or liability obligations to one or more recipients of\n			   Licensed Product. However, you may do so only on your own behalf, and not on behalf of the\n			   Licensor or any Contributor. You must make it clear that any such warranty, support,\n			   indemnity or liability obligation is offered by you alone, and you hereby agree to\n			   indemnify the Licensor and every Contributor for any liability incurred by the Licensor or\n			   such Contributor as a result of warranty, support, indemnity or liability terms you\n			   offer.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			Distribution of Executable Versions. You may distribute Licensed Product as an executable\n			   program under a license of your choice that may contain terms different from this License\n			   provided (i) you have satisfied the requirements of Sections 4(a) through 4(d) for that\n			   distribution, (ii) you include a conspicuous notice in the executable version, related\n			   documentation and collateral materials stating that the Source Code version of the\n			   Licensed Product is available under the terms of this License, including a description of\n			   how and where you have fulfilled the obligations of Section 4(b), and (iii) you make it\n			   clear that any terms that differ from this License are offered by you alone, not by\n			   Licensor or any Contributor. You hereby agree to indemnify the Licensor and every\n			   Contributor for any liability incurred by Licensor or such Contributor as a result of any\n			   terms you offer.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			Distribution of Derivative Works. You may create Derivative Works (e.g., combinations of some\n			   or all of the Licensed Product with other code) and distribute the Derivative Works as\n			   products under any other license you select, with the proviso that the requirements of\n			   this License are fulfilled for those portions of the Derivative Works that consist of the\n			   Licensed Product or any Modifications thereto.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> g.</var>\n			Compensation for Distribution of Executable Versions of Licensed Products, Modifications or\n			   Derivative Works. Notwithstanding any provision of this License to the contrary, by\n			   distributing, selling, licensing, sublicensing or otherwise making available any Licensed\n			   Product, or Modification or Derivative Work thereof, you and Licensor hereby acknowledge\n			   and agree that you may sell, license or sublicense for a fee, accept donations or\n			   otherwise receive compensation for executable versions of a Licensed Product, without\n			   paying a royalty or other fee to the Licensor or any other Contributor, provided that such\n			   executable versions (i) contain your or another Contributor&apos;s material Modifications,\n			   or (ii) are otherwise material Derivative Works. For purposes of this License, an\n			   executable version of the Licensed Product will be deemed to contain a material\n			   Modification, or will otherwise be deemed a material Derivative Work, if (a) the Licensed\n			   Product is modified with your own or a third party&apos;s software programs or other code,\n			   and/or the Licensed Product is combined with a number of your own or a third party&apos;s\n			   software programs or code, respectively, and (b) such software programs or code add or\n			   contribute material value, functionality or features to the License Product. For the\n			   avoidance of doubt, to the extent your executable version of a Licensed Product does not\n			   contain your or another Contributor&apos;s material Modifications or is otherwise not a\n			   material Derivative Work, in each case as contemplated herein, you may not sell, license\n			   or sublicense for a fee, accept donations or otherwise receive compensation for such\n			   executable. Additionally, without limitation of the foregoing and notwithstanding any\n			   provision of this License to the contrary, you cannot charge for, sell, license or\n			   sublicense for a fee, accept donations or otherwise receive compensation for the Source\n			   Code.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Inability to Comply Due to Statute or Regulation. If it is impossible for you to comply with any\n			 of the terms of this License with respect to some or all of the Licensed Product due to\n			 statute, judicial order, or regulation, then you must (i) comply with the terms of this\n			 License to the maximum extent possible, (ii) cite the statute or regulation that prohibits you\n			 from adhering to the License, and (iii) describe the limitations and the code they affect.\n			 Such description must be included in the LEGAL file described in Section 4(d), and must be\n			 included with all distributions of the Source Code. Except to the extent prohibited by statute\n			 or regulation, such description must be sufficiently detailed for a recipient of ordinary\n			 skill at computer programming to be able to understand it.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Application of This License. This License applies to code to which Licensor or Contributor has\n			 attached the Notice in Exhibit A, which is incorporated herein by this reference.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Versions of This License.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			New Versions. Licensor may publish from time to time revised and/or new versions of the License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Effect of New Versions. Once Licensed Product has been published under a particular version\n			   of the License, you may always continue to use it under the terms of that version,\n			   provided that any such license be in full force and effect at the time, and has not been\n			   revoked or otherwise terminated. You may also choose to use such Licensed Product under\n			   the terms of any subsequent version (but not any prior version) of the License published\n			   by Licensor. No one other than Licensor has the right to modify the terms applicable to\n			   Licensed Product created under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Derivative Works of this License. If you create or use a modified version of this License,\n			   which you may do only in order to apply it to software that is not already a Licensed\n			   Product under this License, you must rename your license so that it is not confusingly\n			   similar to this License, and must make it clear that your license contains terms that\n			   differ from this License. In so naming your license, you may not use any trademark of\n			   Licensor or any Contributor.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Disclaimer of Warranty. LICENSED PRODUCT IS PROVIDED UNDER THIS LICENSE ON AN AS IS BASIS,\n			 WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\n			 WARRANTIES THAT THE LICENSED PRODUCT IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\n			 PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED\n			 PRODUCT IS WITH YOU. SHOULD LICENSED PRODUCT PROVE DEFECTIVE IN ANY RESPECT, YOU (AND NOT THE\n			 LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR\n			 CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE\n			 OF LICENSED PRODUCT IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Termination.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Automatic Termination Upon Breach. This license and the rights granted hereunder will\n			   terminate automatically if you fail to comply with the terms herein and fail to cure such\n			   breach within ten (10) days of being notified of the breach by the Licensor. For purposes\n			   of this provision, proof of delivery via email to the address listed in the\n			   &apos;WHOIS&apos; database of the registrar for any website through which you distribute\n			   or market any Licensed Product, or to any alternate email address which you designate in\n			   writing to the Licensor, shall constitute sufficient notification. All sublicenses to the\n			   Licensed Product that are properly granted shall survive any termination of this license\n			   so long as they continue to complye with the terms of this License. Provisions that, by\n			   their nature, must remain in effect beyond the termination of this License, shall\n			   survive.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Termination Upon Assertion of Patent Infringement. If you initiate litigation by asserting a\n			   patent infringement claim (excluding declaratory judgment actions) against Licensor or a\n			   Contributor (Licensor or Contributor against whom you file such an action is referred to\n			   herein as Respondent) alleging that Licensed Product directly or indirectly infringes any\n			   patent, then any and all rights granted by such Respondent to you under Sections 1 or 2 of\n			   this License shall terminate prospectively upon sixty (60) days notice from Respondent\n			   (the &quot;Notice Period&quot;) unless within that Notice Period you either agree in\n			   writing (i) to pay Respondent a mutually agreeable reasonably royalty for your past or\n			   future use of Licensed Product made by such Respondent, or (ii) withdraw your litigation\n			   claim with respect to Licensed Product against such Respondent. If within said Notice\n			   Period a reasonable royalty and payment arrangement are not mutually agreed upon in\n			   writing by the parties or the litigation claim is not withdrawn, the rights granted by\n			   Licensor to you under Sections 1 and 2 automatically terminate at the expiration of said\n			   Notice Period.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Reasonable Value of This License. If you assert a patent infringement claim against\n			   Respondent alleging that Licensed Product directly or indirectly infringes any patent\n			   where such claim is resolved (such as by license or settlement) prior to the initiation of\n			   patent infringement litigation, then the reasonable value of the licenses granted by said\n			   Respondent under Sections 1 and 2 shall be taken into account in determining the amount or\n			   value of any payment or license.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			No Retroactive Effect of Termination. In the event of termination under Sections 9(a) or 9(b)\n			   above, all end user license agreements (excluding licenses to distributors and resellers)\n			   that have been validly granted by you or any distributor hereunder prior to termination\n			   shall survive termination.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT\n			 (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR, OR ANY\n			 DISTRIBUTOR OF LICENSED PRODUCT, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY\n			 PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER\n			 INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE\n			 OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL\n			 HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT\n			 APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTYS NEGLIGENCE TO THE\n			 EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION\n			 OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT\n			 APPLY TO YOU.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Responsibility for Claims. As between Licensor and Contributors, each party is responsible for\n			 claims and damages arising, directly or indirectly, out of its utilization of rights under\n			 this License. You agree to work with Licensor and Contributors to distribute such\n			 responsibility on an equitable basis. Nothing herein is intended or shall be deemed to\n			 constitute any admission of liability.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  U.S. Government End Users. The Licensed Product is a commercial item, as that term is defined in\n			 48 C.F.R. 2.101 (Oct. 1995), consisting of commercial computer software and commercial\n			 computer software documentation, as such terms are used in 48 C.F.R. 12.212 (Sept. 1995).\n			 Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all\n			 U.S. Government End Users acquire Licensed Product with only those rights set forth\n			 herein.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  Miscellaneous. This License represents the complete agreement concerning the subject matter\n			 hereof. If any provision of this License is held to be unenforceable, such provision shall be\n			 reformed only to the extent necessary to make it enforceable. This License shall be governed\n			 by California law provisions (except to the extent applicable law, if any, provides\n			 otherwise), excluding its conflict-of-law provisions. You expressly agree that in any\n			 litigation relating to this license the losing party shall be responsible for costs including,\n			 without limitation, court costs and reasonable attorneys fees and expenses. The application of\n			 the United Nations Convention on Contracts for the International Sale of Goods is expressly\n			 excluded. Any law or regulation that provides that the language of a contract shall be\n			 consTrued against the drafter shall not apply to this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14.</var>\n		  Definition of You in This License. You throughout this License, whether in upper or lower case,\n			 means an individual or a legal entity exercising rights under, and complying with all of the\n			 terms of, this License or a future version of this License issued under Section 7. For legal\n			 entities, you includes any entity that controls, is controlled by, is under common control\n			 with, or affiliated with, you. For purposes of this definition, control means (i) the power,\n			 direct or indirect, to cause the direction or management of such entity, whether by contract\n			 or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or\n			 (iii) beneficial ownership of such entity. You are responsible for advising any affiliated\n			 entity of the terms of this License, and that any rights or privileges derived from or\n			 obtained by way of this License are subject to the restrictions outlined herein.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15.</var>\n		  Glossary. All defined terms in this License that are used in more than one Section of this\n			 License are repeated here, in alphabetical order, for the convenience of the reader. The\n			 Section of this License in which each defined term is first used is shown in parentheses.\n	  <p>Contributor: Each person or entity who created or contributed to the creation of, and distributed, a\n		 Modification. (See Section 2)</p>\n\n	  <p>Derivative Works: That term as used in this License is defined under U.S. copyright law. (See Section 1(b))</p>\n\n	  <p>License: This BitTorrent Open Source License. (See first paragraph of License)</p>\n\n	  <p>Licensed Product: Any BitTorrent Product licensed pursuant to this License. The term &quot;Licensed\n		 Product&quot; includes all previous Modifications from any Contributor that you receive. (See first\n		 paragraph of License and Section 2)</p>\n\n	  <p>Licensor: BitTorrent, Inc. (See first paragraph of License)</p>\n\n	  <p>Modifications: Any additions to or deletions from the substance or structure of (i) a file containing Licensed\n		<br />\n\n   Product, or (ii) any new file that contains any part of Licensed Product. (See Section 2)\n	  </p>\n\n	  <p>Notice: The notice contained in Exhibit A. (See Section 4(e))</p>\n\n	  <p>Source Code: The preferred form for making modifications to the Licensed Product, including all modules\n		 contained therein, plus any associated interface definition files, scripts used to control compilation\n		 and installation of an executable program, or a list of differential comparisons against the Source\n		 Code of the Licensed Product. (See Section 1(a))</p>\n\n	  <p>You: This term is defined in Section 14 of this License.</p>\n\n		</li>\n   \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A</p>\n\n		 <p>The Notice below must appear in each file of the Source Code of any copy you distribute of the Licensed\n		 Product or any hereto. Contributors to any Modifications may add their own copyright notices to\n		 identify their own contributions.</p>\n\n		 <p>License:</p>\n\n		   <p>The contents of this file are subject to the BitTorrent Open Source License Version <var class=\"replaceable-license-text\"> 1.1</var> (the\n			 License). You may not copy or use this file, in either source code or executable form, except\n			 in compliance with the License. You may obtain a copy of the License at\n			 http://www.bittorrent.com/license/.</p>\n\n		 <p>Software distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND,\n		 either express or implied. See the License for the specific language governing rights and limitations\n		 under the License.</p>\n\n		 <p>BitTorrent, Inc.</p>\n\n	  </div>\n	"
		self.standardLicenseHeaderHtml = "\n		   <p>The contents of this file are subject to the BitTorrent Open Source License Version <var class=\"replaceable-license-text\"> 1.1</var> (the\n			 License). You may not copy or use this file, in either source code or executable form, except\n			 in compliance with the License. You may obtain a copy of the License at\n			 http://www.bittorrent.com/license/.</p>\n\n		 <p>Software distributed under the License is distributed on an AS IS basis, WITHOUT WARRANTY OF ANY KIND,\n		 either express or implied. See the License for the specific language governing rights and limitations\n		 under the License.</p>\n\n		 "
		self.python_name = "BitTorrent11"

	def __str__(self):
		return json.dumps(self.__dict__)


class snprintf:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright Patrick Powell 1995 \n\nThis code is based on code written by Patrick Powell (papowell@astart.com) It may be used for any purpose as long as this notice remains intact on all source code distributions\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright Patrick Powell 1995\";match=\".{0,5000}\">>\n\nThis code is based on code written by Patrick Powell (papowell@astart.com) It may be used for any purpose as long as this notice remains intact on all source code distributions\n\n"
		self.name = "snprintf License"
		self.licenseId = "snprintf"
		self.crossRef = [{"match": "False", "url": "https://github.com/openssh/openssh-portable/blob/master/openbsd-compat/bsd-snprintf.c#L2", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:08Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/openssh/openssh-portable/blob/master/openbsd-compat/bsd-snprintf.c#L2"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright Patrick Powell 1995\n		 </var>\n		 <p>\n			This code is based on code written by Patrick Powell\n			(papowell@astart.com) It may be used for any purpose as long\n			as this notice remains intact on all source code distributions\n		 </p>\n\n	  "
		self.python_name = "snprintf"

	def __str__(self):
		return json.dumps(self.__dict__)


class IJGshort:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The authors make NO WARRANTY or representation, either express or\nimplied, with respect to this software, its quality, accuracy,\nmerchantability, or fitness for a particular purpose.  This software is\nprovided \"AS IS\", and you, its user, assume the entire risk as to its\nquality and accuracy.\n\nThis software is copyright (C) 1991, 1992, Thomas G. Lane.  All Rights\nReserved except as specified below.\n\nPermission is hereby granted to use, copy, modify, and distribute this\nsoftware (or portions thereof) for any purpose, without fee, subject to\nthese conditions:  \n\n(1) If any part of the source code for this software\nis distributed, then this README file must be included, with this\ncopyright and no-warranty notice unaltered; and any additions,\ndeletions, or changes to the original files must be clearly indicated\nin accompanying documentation.  \n\n(2) If only executable code is\ndistributed, then the accompanying documentation must state that \"this\nsoftware is based in part on the work of the Independent JPEG Group\".\n\n(3) Permission for use of this software is granted only if the user\naccepts full responsibility for any undesirable consequences; the\nauthors accept NO LIABILITY for damages of any kind.\n\nPermission is NOT granted for the use of any IJG author's name or\ncompany name in advertising or publicity relating to this software or\nproducts derived from it.  This software may be referred to only as\n\"the Independent JPEG Group's software\".\n\nWe specifically permit and encourage the use of this software as the\nbasis of commercial products, provided that all warranty or liability\nclaims are assumed by the product vendor.\n"
		self.standardLicenseTemplate = "The authors make NO WARRANTY or representation, either express or implied, with respect to this software, its quality, accuracy, merchantability, or fitness for a particular purpose. This software is provided \"AS IS\", and you, its user, assume the entire risk as to its quality and accuracy.\n\nThis software is copyright (C) 1991, 1992, Thomas G. Lane. All Rights Reserved except as specified below.\n\nPermission is hereby granted to use, copy, modify, and distribute this software (or portions thereof) for any purpose, without fee, subject to these conditions:\n\n   <<var;name=\"bullet\";original=\"(1)\";match=\".{0,20}\">> If any part of the source code for this software is distributed, then this README file must be included, with this copyright and no-warranty notice unaltered; and any additions, deletions, or changes to the original files must be clearly indicated in accompanying documentation.\n\n   <<var;name=\"bullet\";original=\"(2)\";match=\".{0,20}\">> If only executable code is distributed, then the accompanying documentation must state that \"this software is based in part on the work of the Independent JPEG Group\".\n\n   <<var;name=\"bullet\";original=\"(3)\";match=\".{0,20}\">> Permission for use of this software is granted only if the user accepts full responsibility for any undesirable consequences; the authors accept NO LIABILITY for damages of any kind.\n\nPermission is NOT granted for the use of any IJG author's name or company name in advertising or publicity relating to this software or products derived from it. This software may be referred to only as \"the Independent JPEG Group's software\".\n\nWe specifically permit and encourage the use of this software as the basis of commercial products, provided that all warranty or liability claims are assumed by the product vendor.\n\n"
		self.name = "Independent JPEG Group License - short"
		self.licenseComments = "This license is a shorter, presumably earlier version of IJG"
		self.licenseId = "IJG-short"
		self.crossRef = [{"match": "False", "url": "https://sourceforge.net/p/xmedcon/code/ci/master/tree/libs/ljpg/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://sourceforge.net/p/xmedcon/code/ci/master/tree/libs/ljpg/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <p>The authors make NO WARRANTY or representation, either express or implied, with respect to this software,\n		 its quality, accuracy, merchantability, or fitness for a particular purpose. This software is provided\n		 &quot;AS IS&quot;, and you, its user, assume the entire risk as to its quality and accuracy.</p>\n\n	  <p>This software is copyright (C) 1991, 1992, Thomas G. Lane. All Rights Reserved except as specified below.</p>\n\n	  <p>Permission is hereby granted to use, copy, modify, and distribute this software (or portions thereof) for\n		 any purpose, without fee, subject to these conditions:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> (1)</var>\n		  If any part of the source code for this software is distributed, then this README file must\n			 be included, with this copyright and no-warranty notice unaltered; and any additions,\n			 deletions, or changes to the original files must be clearly indicated in accompanying\n			 documentation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (2)</var>\n		  If only executable code is distributed, then the accompanying documentation must state that\n			 &quot;this software is based in part on the work of the Independent JPEG Group&quot;.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> (3)</var>\n		  Permission for use of this software is granted only if the user accepts full responsibility\n			 for any undesirable consequences; the authors accept NO LIABILITY for damages of any\n			 kind.\n		</li>\n	  \n</ul>\n	  <p>Permission is NOT granted for the use of any IJG author&apos;s name or company name in advertising or\n		 publicity relating to this software or products derived from it. This software may be referred to only\n		 as &quot;the Independent JPEG Group&apos;s software&quot;.</p>\n\n	  <p>We specifically permit and encourage the use of this software as the basis of commercial products,\n		 provided that all warranty or liability claims are assumed by the product vendor.</p>\n\n	"
		self.python_name = "IJGshort"

	def __str__(self):
		return json.dumps(self.__dict__)


class CPL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "Common Public License Version 1.0\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON PUBLIC LICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.\n\n1. DEFINITIONS\n\n\"Contribution\" means:\n\n	 a) in the case of the initial Contributor, the initial code and documentation distributed under this Agreement, and\n\n	 b) in the case of each subsequent Contributor:\n\n		  i) changes to the Program, and\n\n		  ii) additions to the Program;\n\nwhere such changes and/or additions to the Program originate from and are distributed by that particular Contributor. A Contribution 'originates' from a Contributor if it was added to the Program by such Contributor itself or anyone acting on such Contributor's behalf. Contributions do not include additions to the Program which: (i) are separate modules of software distributed in conjunction with the Program under their own license agreement, and (ii) are not derivative works of the Program.\n\n\"Contributor\" means any person or entity that distributes the Program.\n\n\"Licensed Patents \" mean patent claims licensable by a Contributor which are necessarily infringed by the use or sale of its Contribution alone or when combined with the Program.\n\n\"Program\" means the Contributions distributed in accordance with this Agreement.\n\n\"Recipient\" means anyone who receives the Program under this Agreement, including all Contributors.\n\n2. GRANT OF RIGHTS\n\n	 a) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, and such derivative works, in source code and object code form.\n\n	 b) Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell, import and otherwise transfer the Contribution of such Contributor, if any, in source code and object code form. This patent license shall apply to the combination of the Contribution and the Program if, at the time the Contribution is added by the Contributor, such addition of the Contribution causes such combination to be covered by the Licensed Patents. The patent license shall not apply to any other combinations which include the Contribution. No hardware per se is licensed hereunder.\n\n	 c) Recipient understands that although each Contributor grants the licenses to its Contributions set forth herein, no assurances are provided by any Contributor that the Program does not infringe the patent or other intellectual property rights of any other entity. Each Contributor disclaims any liability to Recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow Recipient to distribute the Program, it is Recipient's responsibility to acquire that license before distributing the Program.\n\n	 d) Each Contributor represents that to its knowledge it has sufficient copyright rights in its Contribution, if any, to grant the copyright license set forth in this Agreement.\n\n3. REQUIREMENTS\n\nA Contributor may choose to distribute the Program in object code form under its own license agreement, provided that:\n\n	 a) it complies with the terms and conditions of this Agreement; and\n\n	 b) its license agreement:\n\n		  i) effectively disclaims on behalf of all Contributors all warranties and conditions, express and implied, including warranties or conditions of title and non-infringement, and implied warranties or conditions of merchantability and fitness for a particular purpose;\n\n		  ii) effectively excludes on behalf of all Contributors all liability for damages, including direct, indirect, special, incidental and consequential damages, such as lost profits;\n\n		  iii) states that any provisions which differ from this Agreement are offered by that Contributor alone and not by any other party; and\n\n		  iv) states that source code for the Program is available from such Contributor, and informs licensees how to obtain it in a reasonable manner on or through a medium customarily used for software exchange.\n\nWhen the Program is made available in source code form:\n\n	 a) it must be made available under this Agreement; and\n\n	 b) a copy of this Agreement must be included with each copy of the Program.\n\nContributors may not remove or alter any copyright notices contained within the Program.\n\nEach Contributor must identify itself as the originator of its Contribution, if any, in a manner that reasonably allows subsequent Recipients to identify the originator of the Contribution.\n\n4. COMMERCIAL DISTRIBUTION\n\nCommercial distributors of software may accept certain responsibilities with respect to end users, business partners and the like. While this license is intended to facilitate the commercial use of the Program, the Contributor who includes the Program in a commercial product offering should do so in a manner which does not create potential liability for other Contributors. Therefore, if a Contributor includes the Program in a commercial product offering, such Contributor (\"Commercial Contributor\") hereby agrees to defend and indemnify every other Contributor (\"Indemnified Contributor\") against any losses, damages and costs (collectively \"Losses\") arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Contributor to the extent caused by the acts or omissions of such Commercial Contributor in connection with its distribution of the Program in a commercial product offering. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the Commercial Contributor in writing of such claim, and b) allow the Commercial Contributor to control, and cooperate with the Commercial Contributor in, the defense and any related settlement negotiations. The Indemnified Contributor may participate in any such claim at its own expense.\n\nFor example, a Contributor might include the Program in a commercial product offering, Product X. That Contributor is then a Commercial Contributor. If that Commercial Contributor then makes performance claims, or offers warranties related to Product X, those performance claims and warranties are such Commercial Contributor's responsibility alone. Under this section, the Commercial Contributor would have to defend claims against the other Contributors related to those performance claims and warranties, and if a court requires any other Contributor to pay any damages as a result, the Commercial Contributor must pay those damages.\n\n5. NO WARRANTY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness of using and distributing the Program and assumes all risks associated with its exercise of rights under this Agreement, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n6. DISCLAIMER OF LIABILITY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. GENERAL\n\nIf any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Agreement, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\nIf Recipient institutes patent litigation against a Contributor with respect to a patent applicable to software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted by that Contributor to such Recipient under this Agreement shall terminate as of the date such litigation is filed. In addition, if Recipient institutes patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of the Program with other software or hardware) infringes such Recipient's patent(s), then such Recipient's rights granted under Section 2(b) shall terminate as of the date such litigation is filed.\n\nAll Recipient's rights under this Agreement shall terminate if it fails to comply with any of the material terms or conditions of this Agreement and does not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If all Recipient's rights under this Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as reasonably practicable. However, Recipient's obligations under this Agreement and any licenses granted by Recipient relating to the Program shall continue and survive.\n\nEveryone is permitted to copy and distribute copies of this Agreement, but in order to avoid inconsistency the Agreement is copyrighted and may only be modified in the following manner. The Agreement Steward reserves the right to publish new versions (including revisions) of this Agreement from time to time. No one other than the Agreement Steward has the right to modify this Agreement. IBM is the initial Agreement Steward. IBM may assign the responsibility to serve as the Agreement Steward to a suitable separate entity. Each new version of the Agreement will be given a distinguishing version number. The Program (including Contributions) may always be distributed subject to the version of the Agreement under which it was received. In addition, after a new version of the Agreement is published, Contributor may elect to distribute the Program (including its Contributions) under the new version. Except as expressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights or licenses to the intellectual property of any Contributor under this Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not expressly granted under this Agreement are reserved.\n\nThis Agreement is governed by the laws of the State of New York and the intellectual property laws of the United States of America. No party to this Agreement will bring a legal action under this Agreement more than one year after the cause of action arose. Each party waives its rights to a jury trial in any resulting litigation.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Common Public License Version 1.0\n\n<<endOptional>>\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON PUBLIC LICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.\n\n<<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">>\n\nDEFINITIONS\n\n\"Contribution\" means:\n\n   <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> in the case of the initial Contributor, the initial code and documentation distributed under this Agreement, and\n\n   <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> in the case of each subsequent Contributor:\n\n	  <<var;name=\"bullet\";original=\"i)\";match=\".{0,20}\">> changes to the Program, and\n\n	  <<var;name=\"bullet\";original=\"ii)\";match=\".{0,20}\">> additions to the Program;\n\nwhere such changes and/or additions to the Program originate from and are distributed by that particular Contributor. A Contribution 'originates' from a Contributor if it was added to the Program by such Contributor itself or anyone acting on such Contributor's behalf. Contributions do not include additions to the Program which: (i) are separate modules of software distributed in conjunction with the Program under their own license agreement, and (ii) are not derivative works of the Program.\n\n\"Contributor\" means any person or entity that distributes the Program.\n\n\"Licensed Patents \" mean patent claims licensable by a Contributor which are necessarily infringed by the use or sale of its Contribution alone or when combined with the Program.\n\n\"Program\" means the Contributions distributed in accordance with this Agreement.\n\n\"Recipient\" means anyone who receives the Program under this Agreement, including all Contributors.\n\n<<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">>\n\nGRANT OF RIGHTS\n\n   <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare derivative works of, publicly display, publicly perform, distribute and sublicense the Contribution of such Contributor, if any, and such derivative works, in source code and object code form.\n\n   <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Subject to the terms of this Agreement, each Contributor hereby grants Recipient a non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use, sell, offer to sell, import and otherwise transfer the Contribution of such Contributor, if any, in source code and object code form. This patent license shall apply to the combination of the Contribution and the Program if, at the time the Contribution is added by the Contributor, such addition of the Contribution causes such combination to be covered by the Licensed Patents. The patent license shall not apply to any other combinations which include the Contribution. No hardware per se is licensed hereunder.\n\n   <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Recipient understands that although each Contributor grants the licenses to its Contributions set forth herein, no assurances are provided by any Contributor that the Program does not infringe the patent or other intellectual property rights of any other entity. Each Contributor disclaims any liability to Recipient for claims brought by any other entity based on infringement of intellectual property rights or otherwise. As a condition to exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole responsibility to secure any other intellectual property rights needed, if any. For example, if a third party patent license is required to allow Recipient to distribute the Program, it is Recipient's responsibility to acquire that license before distributing the Program.\n\n   <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Each Contributor represents that to its knowledge it has sufficient copyright rights in its Contribution, if any, to grant the copyright license set forth in this Agreement. <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">>\n\nREQUIREMENTS\n\nA Contributor may choose to distribute the Program in object code form under its own license agreement, provided that:\n\n   <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> it complies with the terms and conditions of this Agreement; and\n\n   <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> its license agreement:\n\n	  <<var;name=\"bullet\";original=\"i)\";match=\".{0,20}\">> effectively disclaims on behalf of all Contributors all warranties and conditions, express and implied, including warranties or conditions of title and non-infringement, and implied warranties or conditions of merchantability and fitness for a particular purpose;\n\n	  <<var;name=\"bullet\";original=\"ii)\";match=\".{0,20}\">> effectively excludes on behalf of all Contributors all liability for damages, including direct, indirect, special, incidental and consequential damages, such as lost profits;\n\n	  <<var;name=\"bullet\";original=\"iii)\";match=\".{0,20}\">> states that any provisions which differ from this Agreement are offered by that Contributor alone and not by any other party; and\n\n	  <<var;name=\"bullet\";original=\"iv)\";match=\".{0,20}\">> states that source code for the Program is available from such Contributor, and informs licensees how to obtain it in a reasonable manner on or through a medium customarily used for software exchange.\n\nWhen the Program is made available in source code form:\n\n   <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> it must be made available under this Agreement; and\n\n   <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> a copy of this Agreement must be included with each copy of the Program.\n\n   Contributors may not remove or alter any copyright notices contained within the Program.\n\n   Each Contributor must identify itself as the originator of its Contribution, if any, in a manner that reasonably allows subsequent Recipients to identify the originator of the Contribution.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">>\n\nCOMMERCIAL DISTRIBUTION\n\nCommercial distributors of software may accept certain responsibilities with respect to end users, business partners and the like. While this license is intended to facilitate the commercial use of the Program, the Contributor who includes the Program in a commercial product offering should do so in a manner which does not create potential liability for other Contributors. Therefore, if a Contributor includes the Program in a commercial product offering, such Contributor (\"Commercial Contributor\") hereby agrees to defend and indemnify every other Contributor (\"Indemnified Contributor\") against any losses, damages and costs (collectively \"Losses\") arising from claims, lawsuits and other legal actions brought by a third party against the Indemnified Contributor to the extent caused by the acts or omissions of such Commercial Contributor in connection with its distribution of the Program in a commercial product offering. The obligations in this section do not apply to any claims or Losses relating to any actual or alleged intellectual property infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the Commercial Contributor in writing of such claim, and b) allow the Commercial Contributor to control, and cooperate with the Commercial Contributor in, the defense and any related settlement negotiations. The Indemnified Contributor may participate in any such claim at its own expense.\n\nFor example, a Contributor might include the Program in a commercial product offering, Product X. That Contributor is then a Commercial Contributor. If that Commercial Contributor then makes performance claims, or offers warranties related to Product X, those performance claims and warranties are such Commercial Contributor's responsibility alone. Under this section, the Commercial Contributor would have to defend claims against the other Contributors related to those performance claims and warranties, and if a court requires any other Contributor to pay any damages as a result, the Commercial Contributor must pay those damages.\n\n<<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">>\n\nNO WARRANTY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the appropriateness of using and distributing the Program and assumes all risks associated with its exercise of rights under this Agreement, including but not limited to the risks and costs of program errors, compliance with applicable laws, damage to or loss of data, programs or equipment, and unavailability or interruption of operations.\n\n<<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">>\n\nDISCLAIMER OF LIABILITY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n<<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">>\n\nGENERAL\n\nIf any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Agreement, and without further action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\nIf Recipient institutes patent litigation against a Contributor with respect to a patent applicable to software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted by that Contributor to such Recipient under this Agreement shall terminate as of the date such litigation is filed. In addition, if Recipient institutes patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of the Program with other software or hardware) infringes such Recipient's patent(s), then such Recipient's rights granted under Section 2(b) shall terminate as of the date such litigation is filed.\n\nAll Recipient's rights under this Agreement shall terminate if it fails to comply with any of the material terms or conditions of this Agreement and does not cure such failure in a reasonable period of time after becoming aware of such noncompliance. If all Recipient's rights under this Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as reasonably practicable. However, Recipient's obligations under this Agreement and any licenses granted by Recipient relating to the Program shall continue and survive.\n\nEveryone is permitted to copy and distribute copies of this Agreement, but in order to avoid inconsistency the Agreement is copyrighted and may only be modified in the following manner. The Agreement Steward reserves the right to publish new versions (including revisions) of this Agreement from time to time. No one other than the Agreement Steward has the right to modify this Agreement. IBM is the initial Agreement Steward. IBM may assign the responsibility to serve as the Agreement Steward to a suitable separate entity. Each new version of the Agreement will be given a distinguishing version number. The Program (including Contributions) may always be distributed subject to the version of the Agreement under which it was received. In addition, after a new version of the Agreement is published, Contributor may elect to distribute the Program (including its Contributions) under the new version. Except as expressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights or licenses to the intellectual property of any Contributor under this Agreement, whether expressly, by implication, estoppel or otherwise. All rights in the Program not expressly granted under this Agreement are reserved.\n\nThis Agreement is governed by the laws of the State of New York and the intellectual property laws of the United States of America. No party to this Agreement will bring a legal action under this Agreement more than one year after the cause of action arose. Each party waives its rights to a jury trial in any resulting litigation.\n\n"
		self.name = "Common Public License 1.0"
		self.licenseComments = "This license was superseded by Eclipse Public License"
		self.licenseId = "CPL-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/CPL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:53Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/CPL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Common Public License Version 1.0</p>\n\n	  </div>\n	  <p>THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON PUBLIC LICENSE\n		 (&quot;AGREEMENT&quot;). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES\n		 RECIPIENT&apos;S ACCEPTANCE OF THIS AGREEMENT.</p>\n\n	  <var class=\"replaceable-license-text\"> 1.</var>\n	  <p>DEFINITIONS</p>\n\n	  <p>&quot;Contribution&quot; means:</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			in the case of the initial Contributor, the initial code and documentation distributed under\n			   this Agreement, and\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			in the case of each subsequent Contributor:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> i)</var>\n			  changes to the Program, and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> ii)</var>\n			  additions to the Program;\n			</li>\n			\n</ul>\n		  </li>\n		\n</ul>\n\n	  <p>where such changes and/or additions to the Program originate from and are distributed by\n		 that particular Contributor. A Contribution &apos;originates&apos; from a Contributor\n		 if it was added to the Program by such Contributor itself or anyone acting on such\n		 Contributor&apos;s behalf. Contributions do not include additions to the Program\n		 which: (i) are separate modules of software distributed in conjunction with the\n		 Program under their own license agreement, and (ii) are not derivative works of the\n		 Program.</p>\n\n	  <p>&quot;Contributor&quot; means any person or entity that distributes the Program.</p>\n\n	  <p>&quot;Licensed Patents &quot; mean patent claims licensable by a Contributor which are\n		 necessarily infringed by the use or sale of its Contribution alone or when combined\n		 with the Program.</p>\n\n	  <p>&quot;Program&quot; means the Contributions distributed in accordance with this Agreement.</p>\n\n	  <p>&quot;Recipient&quot; means anyone who receives the Program under this Agreement,\n		 including all Contributors.</p>\n\n	  <var class=\"replaceable-license-text\"> 2.</var>\n	  <p>GRANT OF RIGHTS</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Subject to the terms of this Agreement, each Contributor hereby grants Recipient a\n			   non-exclusive, worldwide, royalty-free copyright license to reproduce, prepare derivative\n			   works of, publicly display, publicly perform, distribute and sublicense the Contribution\n			   of such Contributor, if any, and such derivative works, in source code and object code\n			   form.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Subject to the terms of this Agreement, each Contributor hereby grants Recipient a\n			   non-exclusive, worldwide, royalty-free patent license under Licensed Patents to make, use,\n			   sell, offer to sell, import and otherwise transfer the Contribution of such Contributor,\n			   if any, in source code and object code form. This patent license shall apply to the\n			   combination of the Contribution and the Program if, at the time the Contribution is added\n			   by the Contributor, such addition of the Contribution causes such combination to be\n			   covered by the Licensed Patents. The patent license shall not apply to any other\n			   combinations which include the Contribution. No hardware per se is licensed hereunder.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			Recipient understands that although each Contributor grants the licenses to its Contributions\n			   set forth herein, no assurances are provided by any Contributor that the Program does not\n			   infringe the patent or other intellectual property rights of any other entity. Each\n			   Contributor disclaims any liability to Recipient for claims brought by any other entity\n			   based on infringement of intellectual property rights or otherwise. As a condition to\n			   exercising the rights and licenses granted hereunder, each Recipient hereby assumes sole\n			   responsibility to secure any other intellectual property rights needed, if any. For\n			   example, if a third party patent license is required to allow Recipient to distribute the\n			   Program, it is Recipient&apos;s responsibility to acquire that license before distributing\n			   the Program.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Each Contributor represents that to its knowledge it has sufficient copyright rights in its\n			   Contribution, if any, to grant the copyright license set forth in this Agreement.\n		  </li>\n		\n</ul>\n	  <var class=\"replaceable-license-text\"> 3.</var>\n	  <p>REQUIREMENTS</p>\n\n	  <p>A Contributor may choose to distribute the Program in object code form under its own license\n		 agreement, provided that:</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			it complies with the terms and conditions of this Agreement; and\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			its license agreement:\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> i)</var>\n			  effectively disclaims on behalf of all Contributors all warranties and conditions,\n				 express and implied, including warranties or conditions of title and non-infringement,\n				 and implied warranties or conditions of merchantability and fitness for a particular\n				 purpose;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> ii)</var>\n			  effectively excludes on behalf of all Contributors all liability for damages, including\n				 direct, indirect, special, incidental and consequential damages, such as lost\n				 profits;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> iii)</var>\n			  states that any provisions which differ from this Agreement are offered by that\n				 Contributor alone and not by any other party; and\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> iv)</var>\n			  states that source code for the Program is available from such Contributor, and informs\n				 licensees how to obtain it in a reasonable manner on or through a medium customarily\n				 used for software exchange.\n			</li>\n			\n</ul>\n		 </li>\n		\n</ul>\n	  <p>When the Program is made available in source code form:</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			it must be made available under this Agreement; and\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			a copy of this Agreement must be included with each copy of the Program.\n			<p>Contributors may not remove or alter any copyright notices contained within the Program.</p>\n\n			<p>Each Contributor must identify itself as the originator of its Contribution, if any, in a\n			   manner that reasonably allows subsequent Recipients to identify the originator of the\n			   Contribution.</p>\n\n		  </li>\n		\n</ul>\n\n	  <var class=\"replaceable-license-text\"> 4.</var>\n	  <p>COMMERCIAL DISTRIBUTION</p>\n\n	  <p>Commercial distributors of software may accept certain responsibilities with respect to end\n		 users, business partners and the like. While this license is intended to facilitate the\n		 commercial use of the Program, the Contributor who includes the Program in a commercial\n		 product offering should do so in a manner which does not create potential liability for other\n		 Contributors. Therefore, if a Contributor includes the Program in a commercial product\n		 offering, such Contributor (&quot;Commercial Contributor&quot;) hereby agrees to defend and\n		 indemnify every other Contributor (&quot;Indemnified Contributor&quot;) against any losses,\n		 damages and costs (collectively &quot;Losses&quot;) arising from claims, lawsuits and other\n		 legal actions brought by a third party against the Indemnified Contributor to the extent\n		 caused by the acts or omissions of such Commercial Contributor in connection with its\n		 distribution of the Program in a commercial product offering. The obligations in this section\n		 do not apply to any claims or Losses relating to any actual or alleged intellectual property\n		 infringement. In order to qualify, an Indemnified Contributor must: a) promptly notify the\n		 Commercial Contributor in writing of such claim, and b) allow the Commercial Contributor to\n		 control, and cooperate with the Commercial Contributor in, the defense and any related\n		 settlement negotiations. The Indemnified Contributor may participate in any such claim at its\n		 own expense.</p>\n\n	  <p>For example, a Contributor might include the Program in a commercial product offering, Product X.\n		 That Contributor is then a Commercial Contributor. If that Commercial Contributor then makes\n		 performance claims, or offers warranties related to Product X, those performance claims and\n		 warranties are such Commercial Contributor&apos;s responsibility alone. Under this section,\n		 the Commercial Contributor would have to defend claims against the other Contributors related\n		 to those performance claims and warranties, and if a court requires any other Contributor to\n		 pay any damages as a result, the Commercial Contributor must pay those damages.</p>\n\n	  <var class=\"replaceable-license-text\"> 5.</var>\n	  <p>NO WARRANTY</p>\n\n	  <p>EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN &quot;AS IS&quot;\n		 BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING,\n		 WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY\n		 OR FITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for determining the\n		 appropriateness of using and distributing the Program and assumes all risks associated with\n		 its exercise of rights under this Agreement, including but not limited to the risks and costs\n		 of program errors, compliance with applicable laws, damage to or loss of data, programs or\n		 equipment, and unavailability or interruption of operations.</p>\n\n	  <var class=\"replaceable-license-text\"> 6.</var>\n	  <p>DISCLAIMER OF LIABILITY</p>\n\n	  <p>EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL\n		 HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n		 DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF\n		 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\n		 ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS\n		 GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p>\n\n	  <var class=\"replaceable-license-text\"> 7.</var>\n	  <p>GENERAL</p>\n\n	  <p>If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect\n		 the validity or enforceability of the remainder of the terms of this Agreement, and without further\n		 action by the parties hereto, such provision shall be reformed to the minimum extent necessary to make\n		 such provision valid and enforceable.</p>\n\n	  <p>If Recipient institutes patent litigation against a Contributor with respect to a patent applicable to\n		 software (including a cross-claim or counterclaim in a lawsuit), then any patent licenses granted by\n		 that Contributor to such Recipient under this Agreement shall terminate as of the date such litigation\n		 is filed. In addition, if Recipient institutes patent litigation against any entity (including a\n		 cross-claim or counterclaim in a lawsuit) alleging that the Program itself (excluding combinations of\n		 the Program with other software or hardware) infringes such Recipient&apos;s patent(s), then such\n		 Recipient&apos;s rights granted under Section 2(b) shall terminate as of the date such litigation is\n		 filed.</p>\n\n	  <p>All Recipient&apos;s rights under this Agreement shall terminate if it fails to comply with any of the\n		 material terms or conditions of this Agreement and does not cure such failure in a reasonable period\n		 of time after becoming aware of such noncompliance. If all Recipient&apos;s rights under this\n		 Agreement terminate, Recipient agrees to cease use and distribution of the Program as soon as\n		 reasonably practicable. However, Recipient&apos;s obligations under this Agreement and any licenses\n		 granted by Recipient relating to the Program shall continue and survive.</p>\n\n	  <p>Everyone is permitted to copy and distribute copies of this Agreement, but in order to avoid\n		 inconsistency the Agreement is copyrighted and may only be modified in the following manner. The\n		 Agreement Steward reserves the right to publish new versions (including revisions) of this Agreement\n		 from time to time. No one other than the Agreement Steward has the right to modify this Agreement. IBM\n		 is the initial Agreement Steward. IBM may assign the responsibility to serve as the Agreement Steward\n		 to a suitable separate entity. Each new version of the Agreement will be given a distinguishing\n		 version number. The Program (including Contributions) may always be distributed subject to the version\n		 of the Agreement under which it was received. In addition, after a new version of the Agreement is\n		 published, Contributor may elect to distribute the Program (including its Contributions) under the new\n		 version. Except as expressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights or\n		 licenses to the intellectual property of any Contributor under this Agreement, whether expressly, by\n		 implication, estoppel or otherwise. All rights in the Program not expressly granted under this\n		 Agreement are reserved.</p>\n\n	  <p>This Agreement is governed by the laws of the State of New York and the intellectual property laws of the\n		 United States of America. No party to this Agreement will bring a legal action under this Agreement\n		 more than one year after the cause of action arose. Each party waives its rights to a jury trial in\n		 any resulting litigation.</p>\n\n	"
		self.python_name = "CPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class CMUMach:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1991,1990,1989 Carnegie Mellon University\nAll Rights Reserved.\n\nPermission to use, copy, modify and distribute this software and its\ndocumentation is hereby granted, provided that both the copyright\nnotice and this permission notice appear in all copies of the\nsoftware, derivative works or modified versions, and any portions\nthereof, and that both notices appear in supporting documentation.\n\nCARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS \"AS IS\"\nCONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR\nANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.\n\nCarnegie Mellon requests users of this software to return to\n\n Software Distribution Coordinator  or  Software.Distribution@CS.CMU.EDU\n School of Computer Science\n Carnegie Mellon University\n Pittsburgh PA 15213-3890\n\nany improvements or extensions that they make and grant Carnegie Mellon\nthe rights to redistribute these changes.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1991,1990,1989 Carnegie Mellon University All Rights Reserved.\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify and distribute this software and its documentation is hereby granted, provided that both the copyright notice and this permission notice appear in all copies of the software, derivative works or modified versions, and any portions thereof, and that both notices appear in supporting documentation.\n\nCARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS \"AS IS\" CONDITION. CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.\n\n<<beginOptional>>Carnegie Mellon requests users of this software to return to\n\nSoftware Distribution Coordinator or Software.Distribution@CS.CMU.EDU School of Computer Science Carnegie Mellon University Pittsburgh PA 15213-3890\n\nany improvements or extensions that they make and grant Carnegie Mellon the rights to redistribute these changes.\n\n<<endOptional>>"
		self.name = "CMU Mach License"
		self.licenseId = "CMU-Mach"
		self.crossRef = [{"match": "False", "url": "https://www.cs.cmu.edu/~410/licenses.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:09Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.cs.cmu.edu/~410/licenses.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (c) 1991,1990,1989 Carnegie\n			Mellon University All Rights Reserved.\n		 </var>\n		 <p>\n			Permission to use, copy, modify and distribute this software and its\n			documentation is hereby granted, provided that both the copyright\n			notice and this permission notice appear in all copies of the\n			software, derivative works or modified versions, and any portions\n			thereof, and that both notices appear in supporting documentation.\n		 </p>\n\n		 <p>\n			CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS &quot;AS IS&quot;\n			CONDITION. CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR\n			ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.\n		 </p>\n\n		 <div class=\"optional-license-text\"> \n			<p>\n			   Carnegie Mellon requests users of this software to return to\n			</p>\n\n			<p>\n			   Software Distribution Coordinator or\n			   Software.Distribution@CS.CMU.EDU School of Computer\n			   Science Carnegie Mellon University Pittsburgh PA 15213-3890\n			</p>\n\n			<p>\n			   any improvements or extensions that they make and grant\n			   Carnegie Mellon the rights to redistribute these changes.\n			</p>\n\n		 </div>\n	  "
		self.python_name = "CMUMach"

	def __str__(self):
		return json.dumps(self.__dict__)


class Xnet:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The X.Net, Inc. License\n\nCopyright (c) 2000-2001 X.Net, Inc. Lafayette, California, USA\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nThis agreement shall be governed in all respects by the laws of the State of California and by the laws of the United States of America.\n"
		self.standardLicenseTemplate = "<<beginOptional>>The X.Net, Inc. License\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 2000-2001 X.Net, Inc. Lafayette, California, USA  \";match=\".{0,5000}\">>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nThis agreement shall be governed in all respects by the laws of the State of California and by the laws of the United States of America.\n\n"
		self.name = "X.Net License"
		self.licenseComments = "This license is the same as MIT, but with a choice of law clause. This License has been voluntarily deprecated by its author."
		self.licenseId = "Xnet"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Xnet", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:59Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/Xnet"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The X.Net, Inc. License</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 2000-2001 X.Net, Inc. Lafayette, California, USA</p>\n\n	  </div>\n\n	  <p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and\n		 associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,\n		 including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,\n		 and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,\n		 subject to the following conditions:</p>\n\n	  <p>The above copyright notice and this permission notice shall be included in all copies or substantial\n		 portions of the Software.</p>\n\n	  <p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT\n		 LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN\n		 NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\n		 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE\n		 SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>\n\n	  <p>This agreement shall be governed in all respects by the laws of the State of California and by the laws\n		 of the United States of America.</p>\n\n	"
		self.python_name = "Xnet"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD1Clause:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) <year> <owner>. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) <year> <owner> All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\nTHIS SOFTWARE IS PROVIDED BY <<var;name=\"copyrightHolderAsIs\";original=\"THE COPYRIGHT HOLDERS AND CONTRIBUTORS\";match=\".+\">> \"AS IS\" AND ANY <<var;name=\"express\";original=\"EXPRESS\";match=\"EXPRESS(ED)?\">> OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <<var;name=\"copyrightHolderLiability\";original=\"THE COPYRIGHT HOLDERS AND CONTRIBUTORS\";match=\".+\">> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD 1-Clause License"
		self.licenseId = "BSD-1-Clause"
		self.crossRef = [{"match": "False", "url": "https://svnweb.freebsd.org/base/head/include/ifaddrs.h?revision=326823", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:29Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://svnweb.freebsd.org/base/head/include/ifaddrs.h?revision=326823"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"replaceable-license-text\"> \n	  <p>\n		Copyright (c) &lt;year&gt; &lt;owner&gt; All rights reserved.\n	  </p>\n\n	</div>\n	<p>\n	  Redistribution and use in source and binary\n	  forms, with or without modification, are permitted\n	  provided that the following conditions are met:\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		Redistributions of source code must retain the above copyright\n		notice, this list of conditions and the following disclaimer.\n	  </li>\n	\n</ul>\n	<p>\n	  THIS SOFTWARE IS PROVIDED BY <var class=\"replaceable-license-text\"> THE COPYRIGHT HOLDERS AND CONTRIBUTORS</var>\n	  &quot;AS IS&quot; AND ANY<var class=\"replaceable-license-text\"> EXPRESS</var>\n	  OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\n	  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\n	  ARE DISCLAIMED. IN NO EVENT SHALL<var class=\"replaceable-license-text\"> THE COPYRIGHT HOLDERS AND CONTRIBUTORS</var>\n	  BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\n	  OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\n	  OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;\n	  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\n	  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n	  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n	  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n	</p>\n\n	"
		self.python_name = "BSD1Clause"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCSA30DE:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Namensnennung - Keine kommerzielle Nutzung - Weitergabe unter gleichen Bedingungen 3.0 Deutschland\n\n  CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\nLizenz\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \"SCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \"LIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n1. Definitionen\n\n	 a. Der Begriff \"Abwandlung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n\n	 b. Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	 c. \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Abwandlungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n\n	 d. Unter \"Lizenzelementen\" werden im Sinne dieser Lizenz die folgenden \u00fcbergeordneten Lizenzcharakteristika verstanden, die vom Lizenzgeber ausgew\u00e4hlt wurden und in der Bezeichnung der Lizenz zum Ausdruck kommen: \"Namensnennung\", \"Keine kommerzielle Nutzung\", \"Weitergabe unter gleichen Bedingungen\".\n\n	 e. Der \"Lizenzgeber\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	 f. \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n\n	 g. Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \"Schutzgegenstand\" im Sinne dieser Lizenz.\n\n	 h. Mit \"Sie\" bzw. \"Ihnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	 i. Unter \"\u00d6ffentlich Zeigen\" im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	 j. \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n\n2. Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n3. Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 4.f) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (\"unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann\"):\n\n	 a. Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	 b. Abwandlungen des Schutzgegenstandes anzufertigen, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien, sofern deutlich erkennbar gemacht wird, dass es sich um Abwandlungen handelt;\n\n	 c. den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten;\n\n	 d. Abwandlungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich zu zeigen und zu verbreiten.\n\nDas vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n\n4. Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	 a. Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.d) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Abwandlung vornehmen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin von der Abwandlung die in Abschnitt 4.d) aufgez\u00e4hlten Hinweise entfernen.\n\n	 b. Sie d\u00fcrfen eine Abwandlung ausschlie\u00dflich unter den Bedingungen\n\n		  i. dieser Lizenz,\n\n		  ii. einer sp\u00e4teren Version dieser Lizenz mit denselben Lizenzelementen;\n\n		  iii. einer rechtsordnungsspezifischen Creative-Commons-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts (z.B. Namensnennung - Keine kommerzielle Nutzung - Weitergabe unter gleichen Bedingungen 3.0 US) oder\n\n		  iv. der Creative-Commons-Unported-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts\n\n		verbreiten oder \u00f6ffentlich zeigen (\"Verwendbare Lizenz\").\n\n		Sie m\u00fcssen stets eine Kopie der verwendbaren Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen, wenn Sie die Abwandlung verbreiten oder \u00f6ffentlich zeigen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen der verwendbaren Lizenz oder die durch sie gew\u00e4hrten Rechte beschr\u00e4nken. Bei jeder Abwandlung, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise auf die verwendbare Lizenz und den Haftungsausschluss unver\u00e4ndert lassen. Wenn Sie die Abwandlung verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf die Abwandlung) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer der Abwandlung in der Aus\u00fcbung der ihm durch die verwendbare Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.b) gilt auch f\u00fcr den Fall, dass die Abwandlung einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt der verwendbaren Lizenz unterstellt werden muss.\n\n	 c. Die Rechteeinr\u00e4umung gem\u00e4\u00df Abschnitt 3 gilt nur f\u00fcr Handlungen, die nicht vorrangig auf einen gesch\u00e4ftlichen Vorteil oder eine geldwerte Verg\u00fctung gerichtet sind (\"nicht-kommerzielle Nutzung\", \"Non-commercial-Option\"). Wird Ihnen in Zusammenhang mit dem Schutzgegenstand dieser Lizenz ein anderer Schutzgegenstand \u00fcberlassen, ohne dass eine vertragliche Verpflichtung hierzu besteht (etwa im Wege von File-Sharing), so wird dies nicht als auf gesch\u00e4ftlichen Vorteil oder geldwerte Verg\u00fctung gerichtet angesehen, wenn in Verbindung mit dem Austausch der Schutzgegenst\u00e4nde tats\u00e4chlich keine Zahlung oder geldwerte Verg\u00fctung geleistet wird.\n\n	 d. Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder auf ihm aufbauender Abwandlungen oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n\n		  i. Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\"Zuschreibungsempf\u00e4nger\"), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		  ii. den Titel des Inhaltes;\n\n		  iii. in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n\n		  iv. und im Falle einer Abwandlung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Abwandlung handelt.\n\n		Die nach diesem Abschnitt 4.d) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Abwandlung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n\n	 e. Die oben unter 4.a) bis d) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	 f. Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		  i. Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n\n		  ii. Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.c) als nicht-kommerziell definierten Zwecke vornehmen, verzichtet f\u00fcr alle \u00fcbrigen, lizenzgerechten F\u00e4lle von Nutzung jedoch auf jegliche Verg\u00fctung.\n\n		  iii. Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re. Der Lizenzgeber beh\u00e4lt sich jedoch das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung (durch ihn selbst oder eine Verwertungsgesellschaft) f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.c) als nicht-kommerziell definierten Zwecke vornehmen.\n\n	 g. Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n5. Gew\u00e4hrleistung\n\nSOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n\n6. Haftungsbeschr\u00e4nkung\n\nDER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n\n7. Erl\u00f6schen\n\n	 a. Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Abwandlungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	 b. Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n8. Sonstige Bestimmungen\n\n	 a. Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	 b. Jedes Mal wenn Sie eine Abwandlung des Schutzgegenstandes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	 c. Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n\n	 d. Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	 e. Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) und b) angeboteten Lizenzen aus.\n\n	 f. Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Namensnennung - Keine kommerzielle Nutzung - Weitergabe unter gleichen Bedingungen 3.0 Deutschland\n\n<<endOptional>>\n\nCREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.\n\nLizenz\n\nDER GEGENSTAND DIESER LIZENZ (WIE UNTER \"SCHUTZGEGENSTAND\" DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\", \"LIZENZ\" ODER \"LIZENZVERTRAG\") ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.\n\nDURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitionen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Der Begriff \"Abwandlung\" im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Der Begriff \"Sammelwerk\" im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Verbreiten\" im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Abwandlungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Unter \"Lizenzelementen\" werden im Sinne dieser Lizenz die folgenden \u00fcbergeordneten Lizenzcharakteristika verstanden, die vom Lizenzgeber ausgew\u00e4hlt wurden und in der Bezeichnung der Lizenz zum Ausdruck kommen: \"Namensnennung\", \"Keine kommerzielle Nutzung\", \"Weitergabe unter gleichen Bedingungen\".\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Der \"Lizenzgeber\" im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Rechteinhaber\" im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Der Begriff \"Schutzgegenstand\" bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff \"Schutzgegenstand\" im Sinne dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> Mit \"Sie\" bzw. \"Ihnen\" ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Unter \"\u00d6ffentlich Zeigen\" im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n\n	  <<var;name=\"bullet\";original=\"j.\";match=\".{0,20}\">> \"Vervielf\u00e4ltigen\" im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 4.f) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (\"unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann\"):\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Abwandlungen des Schutzgegenstandes anzufertigen, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien, sofern deutlich erkennbar gemacht wird, dass es sich um Abwandlungen handelt;\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten;\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Abwandlungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich zu zeigen und zu verbreiten. Das vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.d) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Abwandlung vornehmen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin von der Abwandlung die in Abschnitt 4.d) aufgez\u00e4hlten Hinweise entfernen.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Sie d\u00fcrfen eine Abwandlung ausschlie\u00dflich unter den Bedingungen\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> dieser Lizenz,\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> einer sp\u00e4teren Version dieser Lizenz mit denselben Lizenzelementen;\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> einer rechtsordnungsspezifischen Creative-Commons-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts (z.B. Namensnennung - Keine kommerzielle Nutzung - Weitergabe unter gleichen Bedingungen 3.0 US) oder\n\n		 <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> der Creative-Commons-Unported-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts verbreiten oder \u00f6ffentlich zeigen (\"Verwendbare Lizenz\"). Sie m\u00fcssen stets eine Kopie der verwendbaren Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen, wenn Sie die Abwandlung verbreiten oder \u00f6ffentlich zeigen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen der verwendbaren Lizenz oder die durch sie gew\u00e4hrten Rechte beschr\u00e4nken. Bei jeder Abwandlung, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise auf die verwendbare Lizenz und den Haftungsausschluss unver\u00e4ndert lassen. Wenn Sie die Abwandlung verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf die Abwandlung) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer der Abwandlung in der Aus\u00fcbung der ihm durch die verwendbare Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.b) gilt auch f\u00fcr den Fall, dass die Abwandlung einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt der verwendbaren Lizenz unterstellt werden muss.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Die Rechteeinr\u00e4umung gem\u00e4\u00df Abschnitt 3 gilt nur f\u00fcr Handlungen, die nicht vorrangig auf einen gesch\u00e4ftlichen Vorteil oder eine geldwerte Verg\u00fctung gerichtet sind (\"nicht-kommerzielle Nutzung\", \"Non-commercial-Option\"). Wird Ihnen in Zusammenhang mit dem Schutzgegenstand dieser Lizenz ein anderer Schutzgegenstand \u00fcberlassen, ohne dass eine vertragliche Verpflichtung hierzu besteht (etwa im Wege von File-Sharing), so wird dies nicht als auf gesch\u00e4ftlichen Vorteil oder geldwerte Verg\u00fctung gerichtet angesehen, wenn in Verbindung mit dem Austausch der Schutzgegenst\u00e4nde tats\u00e4chlich keine Zahlung oder geldwerte Verg\u00fctung geleistet wird.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder auf ihm aufbauender Abwandlungen oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (\"Zuschreibungsempf\u00e4nger\"), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> den Titel des Inhaltes;\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n\n		 <<var;name=\"bullet\";original=\"iv.\";match=\".{0,20}\">> und im Falle einer Abwandlung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Abwandlung handelt. Die nach diesem Abschnitt 4.d) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Abwandlung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Die oben unter 4.a) bis d) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.c) als nicht-kommerziell definierten Zwecke vornehmen, verzichtet f\u00fcr alle \u00fcbrigen, lizenzgerechten F\u00e4lle von Nutzung jedoch auf jegliche Verg\u00fctung.\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re. Der Lizenzgeber beh\u00e4lt sich jedoch das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung (durch ihn selbst oder eine Verwertungsgesellschaft) f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.c) als nicht-kommerziell definierten Zwecke vornehmen.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Gew\u00e4hrleistung SOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Haftungsbeschr\u00e4nkung DER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Erl\u00f6schen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Abwandlungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Sonstige Bestimmungen\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Jedes Mal wenn Sie eine Abwandlung des Schutzgegenstandes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) und b) angeboteten Lizenzen aus.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n\nCreative Commons Notice\n\nCreative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.\n\nCreative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke \"Creative Commons\" zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke \"Creative Commons\" oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.\n\nCreative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial Share Alike 3.0 Germany"
		self.licenseId = "CC-BY-NC-SA-3.0-DE"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-sa/3.0/de/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:20Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-sa/3.0/de/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		  <p>Creative Commons Namensnennung - Keine kommerzielle Nutzung - Weitergabe unter gleichen Bedingungen 3.0 Deutschland</p>\n\n	  </div>\n	  <p>CREATIVE COMMONS IST KEINE RECHTSANWALTSKANZLEI UND LEISTET KEINE RECHTSBERATUNG. DIE BEREITSTELLUNG DIESER LIZENZ F\u00dcHRT ZU KEINEM MANDATSVERH\u00c4LTNIS. CREATIVE COMMONS STELLT DIESE INFORMATIONEN OHNE GEW\u00c4HR ZUR VERF\u00dcGUNG. CREATIVE COMMONS \u00dcBERNIMMT KEINE GEW\u00c4HRLEISTUNG F\u00dcR DIE GELIEFERTEN INFORMATIONEN UND SCHLIE\u00dfT DIE HAFTUNG F\u00dcR SCH\u00c4DEN AUS, DIE SICH AUS DEREN GEBRAUCH ERGEBEN.</p>\n\n	  <p>Lizenz</p>\n\n	  <p>DER GEGENSTAND DIESER LIZENZ (WIE UNTER &quot;SCHUTZGEGENSTAND&quot; DEFINIERT) WIRD UNTER DEN BEDINGUNGEN DIESER CREATIVE COMMONS PUBLIC LICENSE (&quot;CCPL&quot;, &quot;LIZENZ&quot; ODER &quot;LIZENZVERTRAG&quot;) ZUR VERF\u00dcGUNG GESTELLT. DER SCHUTZGEGENSTAND IST DURCH DAS URHEBERRECHT UND/ODER ANDERE GESETZE GESCH\u00dcTZT. JEDE FORM DER NUTZUNG DES SCHUTZGEGENSTANDES, DIE NICHT AUFGRUND DIESER LIZENZ ODER DURCH GESETZE GESTATTET IST, IST UNZUL\u00c4SSIG.</p>\n\n	  <p>DURCH DIE AUS\u00dcBUNG EINES DURCH DIESE LIZENZ GEW\u00c4HRTEN RECHTS AN DEM SCHUTZGEGENSTAND ERKL\u00c4REN SIE SICH MIT DEN LIZENZBEDINGUNGEN RECHTSVERBINDLICH EINVERSTANDEN. SOWEIT DIESE LIZENZ ALS LIZENZVERTRAG ANZUSEHEN IST, GEW\u00c4HRT IHNEN DER LIZENZGEBER DIE IN DER LIZENZ GENANNTEN RECHTE UNENTGELTLICH UND IM AUSTAUSCH DAF\u00dcR, DASS SIE DAS GEBUNDENSEIN AN DIE LIZENZBEDINGUNGEN AKZEPTIEREN.</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			  <var class=\"replaceable-license-text\"> 1.</var> Definitionen\n			  \n<ul style=\"list-style:none\">\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> a.</var> Der Begriff &quot;Abwandlung&quot; im Sinne dieser Lizenz bezeichnet das Ergebnis jeglicher Art von Ver\u00e4nderung des Schutzgegenstandes, solange die eigenpers\u00f6nlichen Z\u00fcge des Schutzgegenstandes darin nicht verblassen und daran eigene Schutzrechte entstehen. Das kann insbesondere eine Bearbeitung, Umgestaltung, \u00c4nderung, Anpassung, \u00dcbersetzung oder Heranziehung des Schutzgegenstandes zur Vertonung von Laufbildern sein. Nicht als Abwandlung des Schutzgegenstandes gelten seine Aufnahme in eine Sammlung oder ein Sammelwerk und die freie Benutzung des Schutzgegenstandes.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> b.</var> Der Begriff &quot;Sammelwerk&quot; im Sinne dieser Lizenz meint eine Zusammenstellung von literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalten, sofern diese Zusammenstellung aufgrund von Auswahl und Anordnung der darin enthaltenen selbst\u00e4ndigen Elemente eine geistige Sch\u00f6pfung darstellt, unabh\u00e4ngig davon, ob die Elemente systematisch oder methodisch angelegt und dadurch einzeln zug\u00e4nglich sind oder nicht.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> c.</var> &quot;Verbreiten&quot; im Sinne dieser Lizenz bedeutet, den Schutzgegenstand oder Abwandlungen im Original oder in Form von Vervielf\u00e4ltigungsst\u00fccken, mithin in k\u00f6rperlich fixierter Form der \u00d6ffentlichkeit anzubieten oder in Verkehr zu bringen.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> d.</var> Unter &quot;Lizenzelementen&quot; werden im Sinne dieser Lizenz die folgenden \u00fcbergeordneten Lizenzcharakteristika verstanden, die vom Lizenzgeber ausgew\u00e4hlt wurden und in der Bezeichnung der Lizenz zum Ausdruck kommen: &quot;Namensnennung&quot;, &quot;Keine kommerzielle Nutzung&quot;, &quot;Weitergabe unter gleichen Bedingungen&quot;.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> e.</var> Der &quot;Lizenzgeber&quot; im Sinne dieser Lizenz ist diejenige nat\u00fcrliche oder juristische Person oder Gruppe, die den Schutzgegenstand unter den Bedingungen dieser Lizenz anbietet und insoweit als Rechteinhaberin auftritt.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> f.</var> &quot;Rechteinhaber&quot; im Sinne dieser Lizenz ist der Urheber des Schutzgegenstandes oder jede andere nat\u00fcrliche oder juristische Person oder Gruppe von Personen, die am Schutzgegenstand ein Immaterialg\u00fcterrecht erlangt hat, welches die in Abschnitt 3 genannten Handlungen erfasst und bei dem eine Einr\u00e4umung von Nutzungsrechten oder eine Weiter\u00fcbertragung an Dritte m\u00f6glich ist.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> g.</var> Der Begriff &quot;Schutzgegenstand&quot; bezeichnet in dieser Lizenz den literarischen, k\u00fcnstlerischen oder wissenschaftlichen Inhalt, der unter den Bedingungen dieser Lizenz angeboten wird. Das kann insbesondere eine pers\u00f6nliche geistige Sch\u00f6pfung jeglicher Art, ein Werk der kleinen M\u00fcnze, ein nachgelassenes Werk oder auch ein Lichtbild oder anderes Objekt eines verwandten Schutzrechts sein, unabh\u00e4ngig von der Art seiner Fixierung und unabh\u00e4ngig davon, auf welche Weise jeweils eine Wahrnehmung erfolgen kann, gleichviel ob in analoger oder digitaler Form. Soweit Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, unterfallen auch sie dem Begriff &quot;Schutzgegenstand&quot; im Sinne dieser Lizenz.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> h.</var> Mit &quot;Sie&quot; bzw. &quot;Ihnen&quot; ist die nat\u00fcrliche oder juristische Person gemeint, die in dieser Lizenz im Abschnitt 3 genannte Nutzungen des Schutzgegenstandes vornimmt und zuvor in Hinblick auf den Schutzgegenstand nicht gegen Bedingungen dieser Lizenz versto\u00dfen oder aber die ausdr\u00fcckliche Erlaubnis des Lizenzgebers erhalten hat, die durch diese Lizenz gew\u00e4hrten Nutzungsrechte trotz eines vorherigen Versto\u00dfes auszu\u00fcben.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> i.</var> Unter &quot;\u00d6ffentlich Zeigen&quot; im Sinne dieser Lizenz sind Ver\u00f6ffentlichungen und Pr\u00e4sentationen des Schutzgegenstandes zu verstehen, die f\u00fcr eine Mehrzahl von Mitgliedern der \u00d6ffentlichkeit bestimmt sind und in unk\u00f6rperlicher Form mittels \u00f6ffentlicher Wiedergabe in Form von Vortrag, Auff\u00fchrung, Vorf\u00fchrung, Darbietung, Sendung, Weitersendung, zeit- und ortsunabh\u00e4ngiger Zug\u00e4nglichmachung oder in k\u00f6rperlicher Form mittels Ausstellung erfolgen, unabh\u00e4ngig von bestimmten Veranstaltungen und unabh\u00e4ngig von den zum Einsatz kommenden Techniken und Verfahren, einschlie\u00dflich drahtgebundener oder drahtloser Mittel und Einstellen in das Internet.\n				  </li>\n				  \n<li>\n					  <var class=\"replaceable-license-text\"> j.</var> &quot;Vervielf\u00e4ltigen&quot; im Sinne dieser Lizenz bedeutet, mittels beliebiger Verfahren Vervielf\u00e4ltigungsst\u00fccke des Schutzgegenstandes herzustellen, insbesondere durch Ton- oder Bildaufzeichnungen, und umfasst auch den Vorgang, erstmals k\u00f6rperliche Fixierungen des Schutzgegenstandes sowie Vervielf\u00e4ltigungsst\u00fccke dieser Fixierungen anzufertigen, sowie die \u00dcbertragung des Schutzgegenstandes auf einen Bild- oder Tontr\u00e4ger oder auf ein anderes elektronisches Medium, gleichviel ob in digitaler oder analoger Form.\n				  </li>\n			  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 2.</var> Schranken des Immaterialg\u00fcterrechts. Diese Lizenz ist in keiner Weise darauf gerichtet, Befugnisse zur Nutzung des Schutzgegenstandes zu vermindern, zu beschr\u00e4nken oder zu vereiteln, die Ihnen aufgrund der Schranken des Urheberrechts oder anderer Rechtsnormen bereits ohne Weiteres zustehen oder sich aus dem Fehlen eines immaterialg\u00fcterrechtlichen Schutzes ergeben.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 3.</var> Einr\u00e4umung von Nutzungsrechten. Unter den Bedingungen dieser Lizenz r\u00e4umt Ihnen der Lizenzgeber - unbeschadet unverzichtbarer Rechte und vorbehaltlich des Abschnitts 4.f) - das verg\u00fctungsfreie, r\u00e4umlich und zeitlich (f\u00fcr die Dauer des Schutzrechts am Schutzgegenstand) unbeschr\u00e4nkte einfache Recht ein, den Schutzgegenstand auf die folgenden Arten und Weisen zu nutzen (&quot;unentgeltlich einger\u00e4umtes einfaches Nutzungsrecht f\u00fcr jedermann&quot;):\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Den Schutzgegenstand in beliebiger Form und Menge zu vervielf\u00e4ltigen, ihn in Sammelwerke zu integrieren und ihn als Teil solcher Sammelwerke zu vervielf\u00e4ltigen;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Abwandlungen des Schutzgegenstandes anzufertigen, einschlie\u00dflich \u00dcbersetzungen unter Nutzung jedweder Medien, sofern deutlich erkennbar gemacht wird, dass es sich um Abwandlungen handelt;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> den Schutzgegenstand, allein oder in Sammelwerke aufgenommen, \u00f6ffentlich zu zeigen und zu verbreiten;\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Abwandlungen des Schutzgegenstandes zu ver\u00f6ffentlichen, \u00f6ffentlich zu zeigen und zu verbreiten.\n					  </li>\n				  \n</ul>\n\n				  Das vorgenannte Nutzungsrecht wird f\u00fcr alle bekannten sowie f\u00fcr alle noch nicht bekannten Nutzungsarten einger\u00e4umt. Es beinhaltet auch das Recht, solche \u00c4nderungen am Schutzgegenstand vorzunehmen, die f\u00fcr bestimmte nach dieser Lizenz zul\u00e4ssige Nutzungen technisch erforderlich sind. Alle sonstigen Rechte, die \u00fcber diesen Abschnitt hinaus nicht ausdr\u00fccklich durch den Lizenzgeber einger\u00e4umt werden, bleiben diesem allein vorbehalten. Soweit Datenbanken oder Zusammenstellungen von Daten Schutzgegenstand dieser Lizenz oder Teil dessen sind und einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen, verzichtet der Lizenzgeber auf s\u00e4mtliche aus diesem Schutz resultierenden Rechte.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 4.</var> Bedingungen. Die Einr\u00e4umung des Nutzungsrechts gem\u00e4\u00df Abschnitt 3 dieser Lizenz erfolgt ausdr\u00fccklich nur unter den folgenden Bedingungen:\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Sie d\u00fcrfen den Schutzgegenstand ausschlie\u00dflich unter den Bedingungen dieser Lizenz verbreiten oder \u00f6ffentlich zeigen. Sie m\u00fcssen dabei stets eine Kopie dieser Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen dieser Lizenz oder die durch diese Lizenz gew\u00e4hrten Rechte beschr\u00e4nken. Sie d\u00fcrfen den Schutzgegenstand nicht unterlizenzieren. Bei jeder Kopie des Schutzgegenstandes, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise unver\u00e4ndert lassen, die auf diese Lizenz und den Haftungsausschluss hinweisen. Wenn Sie den Schutzgegenstand verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf den Schutzgegenstand) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer des Schutzgegenstandes in der Aus\u00fcbung der ihm durch diese Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.a) gilt auch f\u00fcr den Fall, dass der Schutzgegenstand einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt dieser Lizenz unterstellt werden muss. Sofern Sie ein Sammelwerk erstellen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin aus dem Sammelwerk die in Abschnitt 4.d) aufgez\u00e4hlten Hinweise entfernen. Wenn Sie eine Abwandlung vornehmen, m\u00fcssen Sie auf die Mitteilung eines Lizenzgebers hin von der Abwandlung die in Abschnitt 4.d) aufgez\u00e4hlten Hinweise entfernen.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Sie d\u00fcrfen eine Abwandlung ausschlie\u00dflich unter den Bedingungen\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> dieser Lizenz,\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> einer sp\u00e4teren Version dieser Lizenz mit denselben Lizenzelementen;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> einer rechtsordnungsspezifischen Creative-Commons-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts (z.B. Namensnennung - Keine kommerzielle Nutzung - Weitergabe unter gleichen Bedingungen 3.0 US) oder\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iv.</var> der Creative-Commons-Unported-Lizenz mit denselben Lizenzelementen ab Version 3.0 aufw\u00e4rts\n							  </li>\n						  \n</ul>\n\n						  verbreiten oder \u00f6ffentlich zeigen (&quot;Verwendbare Lizenz&quot;).\n\n						  Sie m\u00fcssen stets eine Kopie der verwendbaren Lizenz oder deren vollst\u00e4ndige Internetadresse in Form des Uniform-Resource-Identifier (URI) beif\u00fcgen, wenn Sie die Abwandlung verbreiten oder \u00f6ffentlich zeigen. Sie d\u00fcrfen keine Vertrags- oder Nutzungsbedingungen anbieten oder fordern, die die Bedingungen der verwendbaren Lizenz oder die durch sie gew\u00e4hrten Rechte beschr\u00e4nken. Bei jeder Abwandlung, die Sie verbreiten oder \u00f6ffentlich zeigen, m\u00fcssen Sie alle Hinweise auf die verwendbare Lizenz und den Haftungsausschluss unver\u00e4ndert lassen. Wenn Sie die Abwandlung verbreiten oder \u00f6ffentlich zeigen, d\u00fcrfen Sie (in Bezug auf die Abwandlung) keine technischen Ma\u00dfnahmen ergreifen, die den Nutzer der Abwandlung in der Aus\u00fcbung der ihm durch die verwendbare Lizenz gew\u00e4hrten Rechte behindern k\u00f6nnen. Dieser Abschnitt 4.b) gilt auch f\u00fcr den Fall, dass die Abwandlung einen Bestandteil eines Sammelwerkes bildet, was jedoch nicht bedeutet, dass das Sammelwerk insgesamt der verwendbaren Lizenz unterstellt werden muss.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Die Rechteeinr\u00e4umung gem\u00e4\u00df Abschnitt 3 gilt nur f\u00fcr Handlungen, die nicht vorrangig auf einen gesch\u00e4ftlichen Vorteil oder eine geldwerte Verg\u00fctung gerichtet sind (&quot;nicht-kommerzielle Nutzung&quot;, &quot;Non-commercial-Option&quot;). Wird Ihnen in Zusammenhang mit dem Schutzgegenstand dieser Lizenz ein anderer Schutzgegenstand \u00fcberlassen, ohne dass eine vertragliche Verpflichtung hierzu besteht (etwa im Wege von File-Sharing), so wird dies nicht als auf gesch\u00e4ftlichen Vorteil oder geldwerte Verg\u00fctung gerichtet angesehen, wenn in Verbindung mit dem Austausch der Schutzgegenst\u00e4nde tats\u00e4chlich keine Zahlung oder geldwerte Verg\u00fctung geleistet wird.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Die Verbreitung und das \u00f6ffentliche Zeigen des Schutzgegenstandes oder auf ihm aufbauender Abwandlungen oder ihn enthaltender Sammelwerke ist Ihnen nur unter der Bedingung gestattet, dass Sie, vorbehaltlich etwaiger Mitteilungen im Sinne von Abschnitt 4.a), alle dazu geh\u00f6renden Rechtevermerke unber\u00fchrt lassen. Sie sind verpflichtet, die Rechteinhaberschaft in einer der Nutzung entsprechenden, angemessenen Form anzuerkennen, indem Sie - soweit bekannt - Folgendes angeben:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Den Namen (oder das Pseudonym, falls ein solches verwendet wird) des Rechteinhabers und / oder, falls der Lizenzgeber im Rechtevermerk, in den Nutzungsbedingungen oder auf andere angemessene Weise eine Zuschreibung an Dritte vorgenommen hat (z.B. an eine Stiftung, ein Verlagshaus oder eine Zeitung) (&quot;Zuschreibungsempf\u00e4nger&quot;), Namen bzw. Bezeichnung dieses oder dieser Dritten;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> den Titel des Inhaltes;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> in einer praktikablen Form den Uniform-Resource-Identifier (URI, z.B. Internetadresse), den der Lizenzgeber zum Schutzgegenstand angegeben hat, es sei denn, dieser URI verweist nicht auf den Rechtevermerk oder die Lizenzinformationen zum Schutzgegenstand;\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iv.</var> und im Falle einer Abwandlung des Schutzgegenstandes in \u00dcbereinstimmung mit Abschnitt 3.b) einen Hinweis darauf, dass es sich um eine Abwandlung handelt.\n							  </li>\n						  \n</ul>\n\n						  Die nach diesem Abschnitt 4.d) erforderlichen Angaben k\u00f6nnen in jeder angemessenen Form gemacht werden; im Falle einer Abwandlung des Schutzgegenstandes oder eines Sammelwerkes m\u00fcssen diese Angaben das Minimum darstellen und bei gemeinsamer Nennung mehrerer Rechteinhaber dergestalt erfolgen, dass sie zumindest ebenso hervorgehoben sind wie die Hinweise auf die \u00fcbrigen Rechteinhaber. Die Angaben nach diesem Abschnitt d\u00fcrfen Sie ausschlie\u00dflich zur Angabe der Rechteinhaberschaft in der oben bezeichneten Weise verwenden. Durch die Aus\u00fcbung Ihrer Rechte aus dieser Lizenz d\u00fcrfen Sie ohne eine vorherige, separat und schriftlich vorliegende Zustimmung des Lizenzgebers und / oder des Zuschreibungsempf\u00e4ngers weder explizit noch implizit irgendeine Verbindung zum Lizenzgeber oder Zuschreibungsempf\u00e4nger und ebenso wenig eine Unterst\u00fctzung oder Billigung durch ihn andeuten.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Die oben unter 4.a) bis d) genannten Einschr\u00e4nkungen gelten nicht f\u00fcr solche Teile des Schutzgegenstandes, die allein deshalb unter den Schutzgegenstandsbegriff fallen, weil sie als Datenbanken oder Zusammenstellungen von Daten einen immaterialg\u00fcterrechtlichen Schutz eigener Art genie\u00dfen.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> f.</var> Bez\u00fcglich Verg\u00fctung f\u00fcr die Nutzung des Schutzgegenstandes gilt Folgendes:\n						  \n<ul style=\"list-style:none\">\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> i.</var> Unverzichtbare gesetzliche Verg\u00fctungsanspr\u00fcche: Soweit unverzichtbare Verg\u00fctungsanspr\u00fcche im Gegenzug f\u00fcr gesetzliche Lizenzen vorgesehen oder Pauschalabgabensysteme (zum Beispiel f\u00fcr Leermedien) vorhanden sind, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht vor, die entsprechende Verg\u00fctung einzuziehen f\u00fcr jede Aus\u00fcbung eines Rechts aus dieser Lizenz durch Sie.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> ii.</var> Verg\u00fctung bei Zwangslizenzen: Sofern Zwangslizenzen au\u00dferhalb dieser Lizenz vorgesehen sind und zustande kommen, beh\u00e4lt sich der Lizenzgeber das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.c) als nicht-kommerziell definierten Zwecke vornehmen, verzichtet f\u00fcr alle \u00fcbrigen, lizenzgerechten F\u00e4lle von Nutzung jedoch auf jegliche Verg\u00fctung.\n							  </li>\n							  \n<li>\n								  <var class=\"replaceable-license-text\"> iii.</var> Verg\u00fctung in sonstigen F\u00e4llen: Bez\u00fcglich lizenzgerechter Nutzung des Schutzgegenstandes durch Sie, die nicht unter die beiden vorherigen Abschnitte (i) und (ii) f\u00e4llt, verzichtet der Lizenzgeber auf jegliche Verg\u00fctung, unabh\u00e4ngig davon, ob eine Einziehung der Verg\u00fctung durch ihn selbst oder nur durch eine Verwertungsgesellschaft m\u00f6glich w\u00e4re. Der Lizenzgeber beh\u00e4lt sich jedoch das ausschlie\u00dfliche Recht auf Einziehung der entsprechenden Verg\u00fctung (durch ihn selbst oder eine Verwertungsgesellschaft) f\u00fcr den Fall vor, dass Sie eine Nutzung des Schutzgegenstandes f\u00fcr andere als die in Abschnitt 4.c) als nicht-kommerziell definierten Zwecke vornehmen.\n							  </li>\n						  \n</ul>\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> g.</var> Pers\u00f6nlichkeitsrechte bleiben - soweit sie bestehen - von dieser Lizenz unber\u00fchrt.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 5.</var> Gew\u00e4hrleistung\nSOFERN KEINE ANDERS LAUTENDE, SCHRIFTLICHE VEREINBARUNG ZWISCHEN DEM LIZENZGEBER UND IHNEN GESCHLOSSEN WURDE UND SOWEIT M\u00c4NGEL NICHT ARGLISTIG VERSCHWIEGEN WURDEN, BIETET DER LIZENZGEBER DEN SCHUTZGEGENSTAND UND DIE EINR\u00c4UMUNG VON RECHTEN UNTER AUSSCHLUSS JEGLICHER GEW\u00c4HRLEISTUNG AN UND \u00dcBERNIMMT WEDER AUSDR\u00dcCKLICH NOCH KONKLUDENT GARANTIEN IRGENDEINER ART. DIES UMFASST INSBESONDERE DAS FREISEIN VON SACH- UND RECHTSM\u00c4NGELN, UNABH\u00c4NGIG VON DEREN ERKENNBARKEIT F\u00dcR DEN LIZENZGEBER, DIE VERKEHRSF\u00c4HIGKEIT DES SCHUTZGEGENSTANDES, SEINE VERWENDBARKEIT F\u00dcR EINEN BESTIMMTEN ZWECK SOWIE DIE KORREKTHEIT VON BESCHREIBUNGEN. DIESE GEW\u00c4HRLEISTUNGSBESCHR\u00c4NKUNG GILT NICHT, SOWEIT M\u00c4NGEL ZU SCH\u00c4DEN DER IN ABSCHNITT 6 BEZEICHNETEN ART F\u00dcHREN UND AUF SEITEN DES LIZENZGEBERS DAS JEWEILS GENANNTE VERSCHULDEN BZW. VERTRETENM\u00dcSSEN EBENFALLS VORLIEGT.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 6.</var> Haftungsbeschr\u00e4nkung\nDER LIZENZGEBER HAFTET IHNEN GEGEN\u00dcBER IN BEZUG AUF SCH\u00c4DEN AUS DER VERLETZUNG DES LEBENS, DES K\u00d6RPERS ODER DER GESUNDHEIT NUR, SOFERN IHM WENIGSTENS FAHRL\u00c4SSIGKEIT VORZUWERFEN IST, F\u00dcR SONSTIGE SCH\u00c4DEN NUR BEI GROBER FAHRL\u00c4SSIGKEIT ODER VORSATZ, UND \u00dcBERNIMMT DAR\u00dcBER HINAUS KEINERLEI FREIWILLIGE HAFTUNG.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 7.</var> Erl\u00f6schen\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Diese Lizenz und die durch sie einger\u00e4umten Nutzungsrechte erl\u00f6schen mit Wirkung f\u00fcr die Zukunft im Falle eines Versto\u00dfes gegen die Lizenzbedingungen durch Sie, ohne dass es dazu der Kenntnis des Lizenzgebers vom Versto\u00df oder einer weiteren Handlung einer der Vertragsparteien bedarf. Mit nat\u00fcrlichen oder juristischen Personen, die Abwandlungen des Schutzgegenstandes oder diesen enthaltende Sammelwerke unter den Bedingungen dieser Lizenz von Ihnen erhalten haben, bestehen nachtr\u00e4glich entstandene Lizenzbeziehungen jedoch solange weiter, wie die genannten Personen sich ihrerseits an s\u00e4mtliche Lizenzbedingungen halten. Dar\u00fcber hinaus gelten die Ziffern 1, 2, 5, 6, 7, und 8 auch nach einem Erl\u00f6schen dieser Lizenz fort.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Vorbehaltlich der oben genannten Bedingungen gilt diese Lizenz unbefristet bis der rechtliche Schutz f\u00fcr den Schutzgegenstand ausl\u00e4uft. Davon abgesehen beh\u00e4lt der Lizenzgeber das Recht, den Schutzgegenstand unter anderen Lizenzbedingungen anzubieten oder die eigene Weitergabe des Schutzgegenstandes jederzeit einzustellen, solange die Aus\u00fcbung dieses Rechts nicht einer K\u00fcndigung oder einem Widerruf dieser Lizenz (oder irgendeiner Weiterlizenzierung, die auf Grundlage dieser Lizenz bereits erfolgt ist bzw. zuk\u00fcnftig noch erfolgen muss) dient und diese Lizenz unter Ber\u00fccksichtigung der oben zum Erl\u00f6schen genannten Bedingungen vollumf\u00e4nglich wirksam bleibt.\n					  </li>\n				  \n</ul>\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> 8.</var> Sonstige Bestimmungen\n				  \n<ul style=\"list-style:none\">\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> a.</var> Jedes Mal wenn Sie den Schutzgegenstand f\u00fcr sich genommen oder als Teil eines Sammelwerkes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> b.</var> Jedes Mal wenn Sie eine Abwandlung des Schutzgegenstandes verbreiten oder \u00f6ffentlich zeigen, bietet der Lizenzgeber dem Empf\u00e4nger eine Lizenz am urspr\u00fcnglichen Schutzgegenstand zu den gleichen Bedingungen und im gleichen Umfang an, wie Ihnen in Form dieser Lizenz.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> c.</var> Sollte eine Bestimmung dieser Lizenz unwirksam sein, so bleibt davon die Wirksamkeit der Lizenz im \u00dcbrigen unber\u00fchrt.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> d.</var> Keine Bestimmung dieser Lizenz soll als abbedungen und kein Versto\u00df gegen sie als zul\u00e4ssig gelten, solange die von dem Verzicht oder von dem Versto\u00df betroffene Seite nicht schriftlich zugestimmt hat.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> e.</var> Diese Lizenz (zusammen mit in ihr ausdr\u00fccklich vorgesehenen Erlaubnissen, Mitteilungen und Zustimmungen, soweit diese tats\u00e4chlich vorliegen) stellt die vollst\u00e4ndige Vereinbarung zwischen dem Lizenzgeber und Ihnen in Bezug auf den Schutzgegenstand dar. Es bestehen keine Abreden, Vereinbarungen oder Erkl\u00e4rungen in Bezug auf den Schutzgegenstand, die in dieser Lizenz nicht genannt sind. Rechtsgesch\u00e4ftliche \u00c4nderungen des Verh\u00e4ltnisses zwischen dem Lizenzgeber und Ihnen sind nur \u00fcber Modifikationen dieser Lizenz m\u00f6glich. Der Lizenzgeber ist an etwaige zus\u00e4tzliche, einseitig durch Sie \u00fcbermittelte Bestimmungen nicht gebunden. Diese Lizenz kann nur durch schriftliche Vereinbarung zwischen Ihnen und dem Lizenzgeber modifiziert werden. Derlei Modifikationen wirken ausschlie\u00dflich zwischen dem Lizenzgeber und Ihnen und wirken sich nicht auf die Dritten gem\u00e4\u00df Ziffern 8.a) und b) angeboteten Lizenzen aus.\n					  </li>\n					  \n<li>\n						  <var class=\"replaceable-license-text\"> f.</var> Sofern zwischen Ihnen und dem Lizenzgeber keine anderweitige Vereinbarung getroffen wurde und soweit Wahlfreiheit besteht, findet auf diesen Lizenzvertrag das Recht der Bundesrepublik Deutschland Anwendung.\n					  </li>\n				  \n</ul>\n			  </li>\n		  \n</ul>\n		  <p>Creative Commons Notice</p>\n\n		  <p>Creative Commons ist nicht Partei dieser Lizenz und \u00fcbernimmt keinerlei Gew\u00e4hr oder dergleichen in Bezug auf den Schutzgegenstand. Creative Commons haftet Ihnen oder einer anderen Partei unter keinem rechtlichen Gesichtspunkt f\u00fcr irgendwelche Sch\u00e4den, die - abstrakt oder konkret, zuf\u00e4llig oder vorhersehbar - im Zusammenhang mit dieser Lizenz entstehen. Unbeschadet der vorangegangen beiden S\u00e4tze, hat Creative Commons alle Rechte und Pflichten eines Lizenzgebers, wenn es sich ausdr\u00fccklich als Lizenzgeber im Sinne dieser Lizenz bezeichnet.</p>\n\n		  <p>Creative Commons gew\u00e4hrt den Parteien nur insoweit das Recht, das Logo und die Marke &quot;Creative Commons&quot; zu nutzen, als dies notwendig ist, um der \u00d6ffentlichkeit gegen\u00fcber kenntlich zu machen, dass der Schutzgegenstand unter einer CCPL steht. Ein dar\u00fcber hinaus gehender Gebrauch der Marke &quot;Creative Commons&quot; oder einer verwandten Marke oder eines verwandten Logos bedarf der vorherigen schriftlichen Zustimmung von Creative Commons. Jeder erlaubte Gebrauch richtet sich nach der Creative Commons Marken-Nutzungs-Richtlinie in der jeweils aktuellen Fassung, die von Zeit zu Zeit auf der Website ver\u00f6ffentlicht oder auf andere Weise auf Anfrage zug\u00e4nglich gemacht wird. Zur Klarstellung: Die genannten Einschr\u00e4nkungen der Markennutzung sind nicht Bestandteil dieser Lizenz.</p>\n\n		  <p>Creative Commons kann kontaktiert werden \u00fcber https://creativecommons.org/.</p>\n\n	  "
		self.python_name = "CCBYNCSA30DE"

	def __str__(self):
		return json.dumps(self.__dict__)


class SSHOpenSSH:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "* Copyright (c) 1995 Tatu Ylonen <ylo@cs.hut.fi>, Espoo, Finland\n*					All rights reserved\n*\n* As far as I am concerned, the code I have written for this software\n* can be used freely for any purpose.  Any derived versions of this\n* software must be clearly marked as such, and if the derived work is\n* incompatible with the protocol description in the RFC file, it must be\n* called by a name other than \"ssh\" or \"Secure Shell\".\n\n[Tatu continues]\n*  However, I am not implying to give any licenses to any patents or\n* copyrights held by third parties, and the software includes parts that\n* are not under my direct control.  As far as I know, all included\n* source code is used in accordance with the relevant license agreements\n* and can be used freely for any purpose (the GNU license being the most\n* restrictive); see below for details.\n\n[However, none of that term is relevant at this point in time.  All of\nthese restrictively licenced software components which he talks about\nhave been removed from OpenSSH, i.e.,\n\n- RSA is no longer included, found in the OpenSSL library\n- IDEA is no longer included, its use is deprecated\n- DES is now external, in the OpenSSL library\n- GMP is no longer used, and instead we call BN code from OpenSSL\n- Zlib is now external, in a library\n- The make-ssh-known-hosts script is no longer included\n- TSS has been removed\n- MD5 is now external, in the OpenSSL library\n- RC4 support has been replaced with ARC4 support from OpenSSL\n- Blowfish is now external, in the OpenSSL library\n\n[The licence continues]\n\nNote that any information and cryptographic algorithms used in this\nsoftware are publicly available on the Internet and at any major\nbookstore, scientific library, and patent office worldwide.  More\ninformation can be found e.g. at \"http://www.cs.hut.fi/crypto\".\n\nThe legal status of this program is some combination of all these\npermissions and restrictions.  Use only at your own responsibility.\nYou will be responsible for any legal consequences yourself; I am not\nmaking any claims whether possessing or using this is legal or not in\nyour country, and I am not taking any responsibility on your behalf.\n\n\n		NO WARRANTY\n\nBECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\nFOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN\nOTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES\nPROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED\nOR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\nMERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS\nTO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE\nPROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,\nREPAIR OR CORRECTION.\n\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\nWILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\nREDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\nINCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING\nOUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED\nTO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY\nYOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER\nPROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE\nPOSSIBILITY OF SUCH DAMAGES.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1995 Tatu Ylonen <ylo@cs.hut.fi>, Espoo, Finland All rights reserved\";match=\".{0,5000}\">>\n\nAs far as I am concerned, the code I have written for this software can be used freely for any purpose. Any derived versions of this software must be clearly marked as such, and if the derived work is incompatible with the protocol description in the RFC file, it must be called by a name other than \"ssh\" or \"Secure Shell\".\n\n[Tatu continues]\n\nHowever, I am not implying to give any licenses to any patents or copyrights held by third parties, and the software includes parts that are not under my direct control. As far as I know, all included source code is used in accordance with the relevant license agreements and can be used freely for any purpose (the GNU license being the most restrictive); see below for details.\n\n[However, none of that term is relevant at this point in time. All of these restrictively licenced software components which he talks about have been removed from OpenSSH, i.e.,\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> RSA is no longer included, found in the OpenSSL library\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> IDEA is no longer included, its use is deprecated\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> DES is now external, in the OpenSSL library\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> GMP is no longer used, and instead we call BN code from OpenSSL\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Zlib is now external, in a library\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> The make-ssh-known-hosts script is no longer included\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> TSS has been removed\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> MD5 is now external, in the OpenSSL library\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> RC4 support has been replaced with ARC4 support from OpenSSL\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Blowfish is now external, in the OpenSSL library\n\n[The licence continues]\n\nNote that any information and cryptographic algorithms used in this software are publicly available on the Internet and at any major bookstore, scientific library, and patent office worldwide. More information can be found e.g. at \"http://www.cs.hut.fi/crypto\".\n\nThe legal status of this program is some combination of all these permissions and restrictions. Use only at your own responsibility. You will be responsible for any legal consequences yourself; I am not making any claims whether possessing or using this is legal or not in your country, and I am not taking any responsibility on your behalf.\n\nNO WARRANTY\n\nBECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n"
		self.name = "SSH OpenSSH license"
		self.licenseComments = "This a longer version of SSH-short which includes various comments from the OpenSSH developers."
		self.licenseId = "SSH-OpenSSH"
		self.crossRef = [{"match": "False", "url": "https://github.com/openssh/openssh-portable/blob/1b11ea7c58cd5c59838b5fa574cd456d6047b2d4/LICENCE#L10", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:20:34Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/openssh/openssh-portable/blob/1b11ea7c58cd5c59838b5fa574cd456d6047b2d4/LICENCE#L10"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<var class=\"replaceable-license-text\"> \n			Copyright (c) 1995 Tatu Ylonen &lt;ylo@cs.hut.fi&gt;, Espoo, Finland\n							   All rights reserved\n		</var>\n\n		<p>As far as I am concerned, the code I have written for this software\n		can be used freely for any purpose.  Any derived versions of this\n		software must be clearly marked as such, and if the derived work is\n		incompatible with the protocol description in the RFC file, it must be\n		called by a name other than &quot;ssh&quot; or &quot;Secure Shell&quot;.</p>\n\n		<p>[Tatu continues]</p>\n\n		<p>However, I am not implying to give any licenses to any patents or\n		copyrights held by third parties, and the software includes parts that\n		are not under my direct control.  As far as I know, all included\n		source code is used in accordance with the relevant license agreements\n		and can be used freely for any purpose (the GNU license being the most\n		restrictive); see below for details.</p>\n\n		<p>[However, none of that term is relevant at this point in time.  All of\n		these restrictively licenced software components which he talks about\n		have been removed from OpenSSH, i.e.,</p>\n\n<ul style=\"list-style:none\">\n			\n<li><var class=\"replaceable-license-text\"> -</var> RSA is no longer included, found in the OpenSSL library</li>\n			\n<li><var class=\"replaceable-license-text\"> -</var> IDEA is no longer included, its use is deprecated</li>\n			\n<li><var class=\"replaceable-license-text\"> -</var> DES is now external, in the OpenSSL library</li>\n			\n<li><var class=\"replaceable-license-text\"> -</var> GMP is no longer used, and instead we call BN code from OpenSSL</li>\n			\n<li><var class=\"replaceable-license-text\"> -</var> Zlib is now external, in a library</li>\n			\n<li><var class=\"replaceable-license-text\"> -</var> The make-ssh-known-hosts script is no longer included</li>\n			\n<li><var class=\"replaceable-license-text\"> -</var> TSS has been removed</li>\n			\n<li><var class=\"replaceable-license-text\"> -</var> MD5 is now external, in the OpenSSL library</li>\n			\n<li><var class=\"replaceable-license-text\"> -</var> RC4 support has been replaced with ARC4 support from OpenSSL</li>\n			\n<li><var class=\"replaceable-license-text\"> -</var> Blowfish is now external, in the OpenSSL library</li>\n		\n</ul>\n\n	<p>[The licence continues]</p>\n\n	<p>Note that any information and cryptographic algorithms used in this\n	software are publicly available on the Internet and at any major\n	bookstore, scientific library, and patent office worldwide.  More\n	information can be found e.g. at &quot;http://www.cs.hut.fi/crypto&quot;.</p>\n\n	<p>The legal status of this program is some combination of all these\n	permissions and restrictions.  Use only at your own responsibility.\n	You will be responsible for any legal consequences yourself; I am not\n	making any claims whether possessing or using this is legal or not in\n	your country, and I am not taking any responsibility on your behalf.</p>\n\n\t<p>NO WARRANTY</p>\n\n	<p>BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY\n	FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN\n	OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES\n	PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED\n	OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n	MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS\n	TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE\n	PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,\n	REPAIR OR CORRECTION.</p>\n\n	<p>IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n	WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR\n	REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\n	INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING\n	OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED\n	TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY\n	YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER\n	PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE\n	POSSIBILITY OF SUCH DAMAGES.</p>\n\n	"
		self.python_name = "SSHOpenSSH"

	def __str__(self):
		return json.dumps(self.__dict__)


class LAL13:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Licence Art Libre 1.3 (LAL 1.3)\n\nPr\u00e9ambule :\n\nAvec la Licence Art Libre, l\u2019autorisation est donn\u00e9e de copier, de diffuser et de transformer librement les \u0153uvres dans le respect des droits de l\u2019auteur.\n\nLoin d\u2019ignorer ces droits, la Licence Art Libre les reconna\u00eet et les prot\u00e8ge. Elle en reformule l\u2019exercice en permettant \u00e0 tout un chacun de faire un usage cr\u00e9atif des productions de l\u2019esprit quels que soient leur genre et leur forme d\u2019expression.\n\nSi, en r\u00e8gle g\u00e9n\u00e9rale, l\u2019application du droit d\u2019auteur conduit \u00e0 restreindre l\u2019acc\u00e8s aux \u0153uvres de l\u2019esprit, la Licence Art Libre, au contraire, le favorise. L\u2019intention est d\u2019autoriser l\u2019utilisation des ressources d\u2019une \u0153uvre ; cr\u00e9er de nouvelles conditions de cr\u00e9ation pour amplifier les possibilit\u00e9s de cr\u00e9ation. La Licence Art Libre permet d\u2019avoir jouissance des \u0153uvres tout en reconnaissant les droits et les responsabilit\u00e9s de chacun.\n\nAvec le d\u00e9veloppement du num\u00e9rique, l\u2019invention d\u2019internet et des logiciels libres, les modalit\u00e9s de cr\u00e9ation ont \u00e9volu\u00e9 : les productions de l\u2019esprit s\u2019offrent naturellement \u00e0 la circulation, \u00e0 l\u2019\u00e9change et aux transformations. Elles se pr\u00eatent favorablement \u00e0 la r\u00e9alisation d\u2019\u0153uvres communes que chacun peut augmenter pour l\u2019avantage de tous.\n\nC\u2019est la raison essentielle de la Licence Art Libre : promouvoir et prot\u00e9ger ces productions de l\u2019esprit selon les principes du copyleft : libert\u00e9 d\u2019usage, de copie, de diffusion, de transformation et interdiction d\u2019appropriation exclusive.\n\nD\u00e9finitions :\n\nNous d\u00e9signons par \u00ab \u0153uvre \u00bb, autant l\u2019\u0153uvre initiale, les \u0153uvres cons\u00e9quentes, que l\u2019\u0153uvre commune telles que d\u00e9finies ci-apr\u00e8s :\n\nL\u2019\u0153uvre commune :Il s\u2019agit d\u2019une \u0153uvre qui comprend l\u2019\u0153uvre initiale ainsi que toutes les contributions post\u00e9rieures (les originaux cons\u00e9quents et les copies). Elle est cr\u00e9\u00e9e \u00e0 l\u2019initiative de l\u2019auteur initial qui par cette licence d\u00e9finit les conditions selon lesquelles les contributions sont faites.\n\nL\u2019\u0153uvre initiale :C\u2019est-\u00e0-dire l\u2019\u0153uvre cr\u00e9\u00e9e par l\u2019initiateur de l\u2019\u0153uvre commune dont les copies vont \u00eatre modifi\u00e9es par qui le souhaite.\n\nLes \u0153uvres cons\u00e9quentes :C\u2019est-\u00e0-dire les contributions des auteurs qui participent \u00e0 la formation de l\u2019\u0153uvre commune en faisant usage des droits de reproduction, de diffusion et de modification que leur conf\u00e8re la licence.\n\nOriginaux (sources ou ressources de l\u2019\u0153uvre) :Chaque exemplaire dat\u00e9 de l\u2019\u0153uvre initiale ou cons\u00e9quente que leurs auteurs pr\u00e9sentent comme r\u00e9f\u00e9rence pour toutes actualisations, interpr\u00e9tations, copies ou reproductions ult\u00e9rieures.\n\nCopie :Toute reproduction d\u2019un original au sens de cette licence.\n\n1- OBJET.\nCette licence a pour objet de d\u00e9finir les conditions selon lesquelles vous pouvez jouir librement de l\u2019\u0153uvre.\n\n2. L\u2019\u00c9TENDUE DE LA JOUISSANCE.\nCette \u0153uvre est soumise au droit d\u2019auteur, et l\u2019auteur par cette licence vous indique quelles sont vos libert\u00e9s pour la copier, la diffuser et la modifier.\n\n2.1 LA LIBERT\u00c9 DE COPIER (OU DE REPRODUCTION).\nVous avez la libert\u00e9 de copier cette \u0153uvre pour vous, vos amis ou toute autre personne, quelle que soit la technique employ\u00e9e.\n\n2.2 LA LIBERT\u00c9 DE DIFFUSER (INTERPR\u00c9TER, REPR\u00c9SENTER, DISTRIBUER).\nVous pouvez diffuser librement les copies de ces \u0153uvres, modifi\u00e9es ou non, quel que soit le support, quel que soit le lieu, \u00e0 titre on\u00e9reux ou gratuit, si vous respectez toutes les conditions suivantes :\n\n	 1.\tjoindre aux copies cette licence \u00e0 l\u2019identique ou indiquer pr\u00e9cis\u00e9ment o\u00f9 se trouve la licence ;\n	 2.\tindiquer au destinataire le nom de chaque auteur des originaux, y compris le v\u00f4tre si vous avez modifi\u00e9 l\u2019\u0153uvre ;\n	 3.\tindiquer au destinataire o\u00f9 il pourrait avoir acc\u00e8s aux originaux (initiaux et/ou cons\u00e9quents).\n\nLes auteurs des originaux pourront, s\u2019ils le souhaitent, vous autoriser \u00e0 diffuser l\u2019original dans les m\u00eames conditions que les copies.\n\n2.3 LA LIBERT\u00c9 DE MODIFIER.\nVous avez la libert\u00e9 de modifier les copies des originaux (initiaux et cons\u00e9quents) dans le respect des conditions suivantes :\n\n	 1.\tcelles pr\u00e9vues \u00e0 l\u2019article 2.2 en cas de diffusion de la copie modifi\u00e9e ;\n	 2.\tindiquer qu\u2019il s\u2019agit d\u2019une \u0153uvre modifi\u00e9e et, si possible, la nature de la modification ;\n	 3.\tdiffuser cette \u0153uvre cons\u00e9quente avec la m\u00eame licence ou avec toute licence compatible ;\n	 4.\tLes auteurs des originaux pourront, s\u2019ils le souhaitent, vous autoriser \u00e0 modifier l\u2019original dans les m\u00eames conditions que les copies.\n\n3. DROITS CONNEXES.\nLes actes donnant lieu \u00e0 des droits d\u2019auteur ou des droits voisins ne doivent pas constituer un obstacle aux libert\u00e9s conf\u00e9r\u00e9es par cette licence. C\u2019est pourquoi, par exemple, les interpr\u00e9tations doivent \u00eatre soumises \u00e0 la m\u00eame licence ou une licence compatible. De m\u00eame, l\u2019int\u00e9gration de l\u2019\u0153uvre \u00e0 une base de donn\u00e9es, une compilation ou une anthologie ne doit pas faire obstacle \u00e0 la jouissance de l\u2019\u0153uvre telle que d\u00e9finie par cette licence.\n\n4. L\u2019 INT\u00c9GRATION DE L\u2019\u0152UVRE.\nToute int\u00e9gration de cette \u0153uvre \u00e0 un ensemble non soumis \u00e0 la LAL doit assurer l\u2019exercice des libert\u00e9s conf\u00e9r\u00e9es par cette licence.\nSi l\u2019\u0153uvre n\u2019est plus accessible ind\u00e9pendamment de l\u2019ensemble, alors l\u2019int\u00e9gration n\u2019est possible qu\u2019\u00e0 condition que l\u2019ensemble soit soumis \u00e0 la LAL ou une licence compatible.\n\n5. CRIT\u00c8RES DE COMPATIBILIT\u00c9.\nUne licence est compatible avec la LAL si et seulement si :\n\n	 1.\telle accorde l\u2019autorisation de copier, diffuser et modifier des copies de l\u2019\u0153uvre, y compris \u00e0 des fins lucratives, et sans autres restrictions que celles qu\u2019impose le respect des autres crit\u00e8res de compatibilit\u00e9 ;\n	 2.\telle garantit la paternit\u00e9 de l\u2019\u0153uvre et l\u2019acc\u00e8s aux versions ant\u00e9rieures de l\u2019\u0153uvre quand cet acc\u00e8s est possible ;\n	 3.\telle reconna\u00eet la LAL \u00e9galement compatible (r\u00e9ciprocit\u00e9) ;\n	 4.\telle impose que les modifications faites sur l\u2019\u0153uvre soient soumises \u00e0 la m\u00eame licence ou encore \u00e0 une licence r\u00e9pondant aux crit\u00e8res de compatibilit\u00e9 pos\u00e9s par la LAL.\n\n6. VOS DROITS INTELLECTUELS.\nLa LAL n\u2019a pas pour objet de nier vos droits d\u2019auteur sur votre contribution ni vos droits connexes. En choisissant de contribuer \u00e0 l\u2019\u00e9volution de cette \u0153uvre commune, vous acceptez seulement d\u2019offrir aux autres les m\u00eames autorisations sur votre contribution que celles qui vous ont \u00e9t\u00e9 accord\u00e9es par cette licence. Ces autorisations n\u2019entra\u00eenent pas un dessaisissement de vos droits intellectuels.\n\n7. VOS RESPONSABILIT\u00c9S.\nLa libert\u00e9 de jouir de l\u2019\u0153uvre tel que permis par la LAL (libert\u00e9 de copier, diffuser, modifier) implique pour chacun la responsabilit\u00e9 de ses propres faits.\n\n8. LA DUR\u00c9E DE LA LICENCE.\nCette licence prend effet d\u00e8s votre acceptation de ses dispositions. Le fait de copier, de diffuser, ou de modifier l\u2019\u0153uvre constitue une acceptation tacite.\nCette licence a pour dur\u00e9e la dur\u00e9e des droits d\u2019auteur attach\u00e9s \u00e0 l\u2019\u0153uvre. Si vous ne respectez pas les termes de cette licence, vous perdez automatiquement les droits qu\u2019elle vous conf\u00e8re. Si le r\u00e9gime juridique auquel vous \u00eates soumis ne vous permet pas de respecter les termes de cette licence, vous ne pouvez pas vous pr\u00e9valoir des libert\u00e9s qu\u2019elle conf\u00e8re.\n\n9. LES DIFF\u00c9RENTES VERSIONS DE LA LICENCE.\nCette licence pourra \u00eatre modifi\u00e9e r\u00e9guli\u00e8rement, en vue de son am\u00e9lioration, par ses auteurs (les acteurs du mouvement Copyleft Attitude) sous la forme de nouvelles versions num\u00e9rot\u00e9es.\nVous avez toujours le choix entre vous contenter des dispositions contenues dans la version de la LAL sous laquelle la copie vous a \u00e9t\u00e9 communiqu\u00e9e ou alors, vous pr\u00e9valoir des dispositions d\u2019une des versions ult\u00e9rieures.\n\n10. LES SOUS-LICENCES.\nLes sous-licences ne sont pas autoris\u00e9es par la pr\u00e9sente. Toute personne qui souhaite b\u00e9n\u00e9ficier des libert\u00e9s qu\u2019elle conf\u00e8re sera li\u00e9e directement aux auteurs de l\u2019\u0153uvre commune.\n\n11. LE CONTEXTE JURIDIQUE.\nCette licence est r\u00e9dig\u00e9e en r\u00e9f\u00e9rence au droit fran\u00e7ais et \u00e0 la Convention de Berne relative au droit d\u2019auteur.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Licence Art Libre 1.3 (LAL 1.3)\n\n<<endOptional>>\n\nPr\u00e9ambule\u00a0:\n\nAvec la Licence Art Libre, l'autorisation est donn\u00e9e de copier, de diffuser et de transformer librement les \u0153uvres dans le respect des droits de l'auteur.\n\nLoin d'ignorer ces droits, la Licence Art Libre les reconna\u00eet et les prot\u00e8ge. Elle en reformule l'exercice en permettant \u00e0 tout un chacun de faire un usage cr\u00e9atif des productions de l'esprit quels que soient leur genre et leur forme d'expression.\n\nSi, en r\u00e8gle g\u00e9n\u00e9rale, l'application du droit d'auteur conduit \u00e0 restreindre l'acc\u00e8s aux \u0153uvres de l'esprit, la Licence Art Libre, au contraire, le favorise. L'intention est d'autoriser l'utilisation des ressources d'une \u0153uvre\u00a0; cr\u00e9er de nouvelles conditions de cr\u00e9ation pour amplifier les possibilit\u00e9s de cr\u00e9ation. La Licence Art Libre permet d'avoir jouissance des \u0153uvres tout en reconnaissant les droits et les responsabilit\u00e9s de chacun.\n\nAvec le d\u00e9veloppement du num\u00e9rique, l'invention d'internet et des logiciels libres, les modalit\u00e9s de cr\u00e9ation ont \u00e9volu\u00e9\u00a0: les productions de l'esprit s'offrent naturellement \u00e0 la circulation, \u00e0 l'\u00e9change et aux transformations. Elles se pr\u00eatent favorablement \u00e0 la r\u00e9alisation d'\u0153uvres communes que chacun peut augmenter pour l'avantage de tous.\n\nC'est la raison essentielle de la Licence Art Libre\u00a0: promouvoir et prot\u00e9ger ces productions de l'esprit selon les principes du copyleft\u00a0: libert\u00e9 d'usage, de copie, de diffusion, de transformation et interdiction d'appropriation exclusive.\n\nD\u00e9finitions\u00a0:\n\nNous d\u00e9signons par \u00ab\u00a0\u0153uvre\u00a0\u00bb, autant l'\u0153uvre initiale, les \u0153uvres cons\u00e9quentes, que l'\u0153uvre commune telles que d\u00e9finies ci-apr\u00e8s\u00a0:\n\nL'\u0153uvre commune\u00a0: Il s'agit d'une \u0153uvre qui comprend l'\u0153uvre initiale ainsi que toutes les contributions post\u00e9rieures (les originaux cons\u00e9quents et les copies). Elle est cr\u00e9\u00e9e \u00e0 l'initiative de l'auteur initial qui par cette licence d\u00e9finit les conditions selon lesquelles les contributions sont faites.\n\nL'\u0153uvre initiale\u00a0: C'est-\u00e0-dire l'\u0153uvre cr\u00e9\u00e9e par l'initiateur de l'\u0153uvre commune dont les copies vont \u00eatre modifi\u00e9es par qui le souhaite.\n\nLes \u0153uvres cons\u00e9quentes\u00a0: C'est-\u00e0-dire les contributions des auteurs qui participent \u00e0 la formation de l'\u0153uvre commune en faisant usage des droits de reproduction, de diffusion et de modification que leur conf\u00e8re la licence.\n\nOriginaux (sources ou ressources de l'\u0153uvre)\u00a0: Chaque exemplaire dat\u00e9 de l'\u0153uvre initiale ou cons\u00e9quente que leurs auteurs pr\u00e9sentent comme r\u00e9f\u00e9rence pour toutes actualisations, interpr\u00e9tations, copies ou reproductions ult\u00e9rieures.\n\nCopie\u00a0: Toute reproduction d'un original au sens de cette licence.\n\n   <<var;name=\"bullet\";original=\"1-\";match=\".{0,20}\">> OBJET.\n\n   Cette licence a pour objet de d\u00e9finir les conditions selon lesquelles vous pouvez jouir librement de l'\u0153uvre.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> L'\u00c9TENDUE DE LA JOUISSANCE.\n\n   Cette \u0153uvre est soumise au droit d'auteur, et l'auteur par cette licence vous indique quelles sont vos libert\u00e9s pour la copier, la diffuser et la modifier.\n\n	  <<var;name=\"bullet\";original=\"2.1\";match=\".{0,20}\">> LA LIBERT\u00c9 DE COPIER (OU DE REPRODUCTION).\n\n	  Vous avez la libert\u00e9 de copier cette \u0153uvre pour vous, vos amis ou toute autre personne, quelle que soit la technique employ\u00e9e.\n\n	  <<var;name=\"bullet\";original=\"2.2\";match=\".{0,20}\">> LA LIBERT\u00c9 DE DIFFUSER (INTERPR\u00c9TER, REPR\u00c9SENTER, DISTRIBUER).\n\n	  Vous pouvez diffuser librement les copies de ces \u0153uvres, modifi\u00e9es ou non, quel que soit le support, quel que soit le lieu, \u00e0 titre on\u00e9reux ou gratuit, si vous respectez toutes les conditions suivantes\u00a0:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> joindre aux copies cette licence \u00e0 l'identique ou indiquer pr\u00e9cis\u00e9ment o\u00f9 se trouve la licence\u00a0;\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> indiquer au destinataire le nom de chaque auteur des originaux, y compris le v\u00f4tre si vous avez modifi\u00e9 l'\u0153uvre\u00a0;\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> indiquer au destinataire o\u00f9 il pourrait avoir acc\u00e8s aux originaux (initiaux et/ou cons\u00e9quents). Les auteurs des originaux pourront, s'ils le souhaitent, vous autoriser \u00e0 diffuser l'original dans les m\u00eames conditions que les copies.\n\n	  <<var;name=\"bullet\";original=\"2.3\";match=\".{0,20}\">> LA LIBERT\u00c9 DE MODIFIER.\n\n	  Vous avez la libert\u00e9 de modifier les copies des originaux (initiaux et cons\u00e9quents) dans le respect des conditions suivantes\u00a0:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> celles pr\u00e9vues \u00e0 l'article 2.2 en cas de diffusion de la copie modifi\u00e9e\u00a0;\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> indiquer qu'il s'agit d'une \u0153uvre modifi\u00e9e et, si possible, la nature de la modification\u00a0;\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> diffuser cette \u0153uvre cons\u00e9quente avec la m\u00eame licence ou avec toute licence compatible\u00a0;\n\n		 <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Les auteurs des originaux pourront, s'ils le souhaitent, vous autoriser \u00e0 modifier l'original dans les m\u00eames conditions que les copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> DROITS CONNEXES.\n\n   Les actes donnant lieu \u00e0 des droits d'auteur ou des droits voisins ne doivent pas constituer un obstacle aux libert\u00e9s conf\u00e9r\u00e9es par cette licence.\n\n   C'est pourquoi, par exemple, les interpr\u00e9tations doivent \u00eatre soumises \u00e0 la m\u00eame licence ou une licence compatible. De m\u00eame, l'int\u00e9gration de l'\u0153uvre \u00e0 une base de donn\u00e9es, une compilation ou une anthologie ne doit pas faire obstacle \u00e0 la jouissance de l'\u0153uvre telle que d\u00e9finie par cette licence.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> L' INT\u00c9GRATION DE L'\u0152UVRE.\n\n   Toute int\u00e9gration de cette \u0153uvre \u00e0 un ensemble non soumis \u00e0 la LAL doit assurer l'exercice des libert\u00e9s conf\u00e9r\u00e9es par cette licence.\n\n   Si l'\u0153uvre n'est plus accessible ind\u00e9pendamment de l'ensemble, alors l'int\u00e9gration n'est possible qu'\u00e0 condition que l'ensemble soit soumis \u00e0 la LAL ou une licence compatible.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> CRIT\u00c8RES DE COMPATIBILIT\u00c9.\n\n   Une licence est compatible avec la LAL si et seulement si\u00a0:\n\n	  <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> elle accorde l'autorisation de copier, diffuser et modifier des copies de l'\u0153uvre, y compris \u00e0 des fins lucratives, et sans autres restrictions que celles qu'impose le respect des autres crit\u00e8res de compatibilit\u00e9\u00a0;\n\n	  <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> elle garantit la paternit\u00e9 de l'\u0153uvre et l'acc\u00e8s aux versions ant\u00e9rieures de l'\u0153uvre quand cet acc\u00e8s est possible\u00a0;\n\n	  <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> elle reconna\u00eet la LAL \u00e9galement compatible (r\u00e9ciprocit\u00e9)\u00a0;\n\n	  <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> elle impose que les modifications faites sur l'\u0153uvre soient soumises \u00e0 la m\u00eame licence ou encore \u00e0 une licence r\u00e9pondant aux crit\u00e8res de compatibilit\u00e9 pos\u00e9s par la LAL.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> VOS DROITS INTELLECTUELS.\n\n   La LAL n'a pas pour objet de nier vos droits d'auteur sur votre contribution ni vos droits connexes. En choisissant de contribuer \u00e0 l'\u00e9volution de cette \u0153uvre commune, vous acceptez seulement d'offrir aux autres les m\u00eames autorisations sur votre contribution que celles qui vous ont \u00e9t\u00e9 accord\u00e9es par cette licence. Ces autorisations n'entra\u00eenent pas un dessaisissement de vos droits intellectuels.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> VOS RESPONSABILIT\u00c9S.\n\n   La libert\u00e9 de jouir de l'\u0153uvre tel que permis par la LAL (libert\u00e9 de copier, diffuser, modifier) implique pour chacun la responsabilit\u00e9 de ses propres faits.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> LA DUR\u00c9E DE LA LICENCE.\n\n   Cette licence prend effet d\u00e8s votre acceptation de ses dispositions. Le fait de copier, de diffuser, ou de modifier l'\u0153uvre constitue une acceptation tacite.\n\n   Cette licence a pour dur\u00e9e la dur\u00e9e des droits d'auteur attach\u00e9s \u00e0 l'\u0153uvre. Si vous ne respectez pas les termes de cette licence, vous perdez automatiquement les droits qu'elle vous conf\u00e8re.\n\n   Si le r\u00e9gime juridique auquel vous \u00eates soumis ne vous permet pas de respecter les termes de cette licence, vous ne pouvez pas vous pr\u00e9valoir des libert\u00e9s qu'elle conf\u00e8re.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LES DIFF\u00c9RENTES VERSIONS DE LA LICENCE.\n\n   Cette licence pourra \u00eatre modifi\u00e9e r\u00e9guli\u00e8rement, en vue de son am\u00e9lioration, par ses auteurs (les acteurs du mouvement Copyleft Attitude) sous la forme de nouvelles versions num\u00e9rot\u00e9es.\n\n   Vous avez toujours le choix entre vous contenter des dispositions contenues dans la version de la LAL sous laquelle la copie vous a \u00e9t\u00e9 communiqu\u00e9e ou alors, vous pr\u00e9valoir des dispositions d'une des versions ult\u00e9rieures.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> LES SOUS-LICENCES.\n\n   Les sous-licences ne sont pas autoris\u00e9es par la pr\u00e9sente. Toute personne qui souhaite b\u00e9n\u00e9ficier des libert\u00e9s qu'elle conf\u00e8re sera li\u00e9e directement aux auteurs de l'\u0153uvre commune.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> LE CONTEXTE JURIDIQUE.\n\n   Cette licence est r\u00e9dig\u00e9e en r\u00e9f\u00e9rence au droit fran\u00e7ais et \u00e0 la Convention de Berne relative au droit d'auteur."
		self.name = "Licence Art Libre 1.3"
		self.licenseComments = "French is the canonical language for this license. Translations are available in: English: https://artlibre.org/licence/lal/en/ Portuguese: https://artlibre.org/licence/lal/pt/ Polish: https://artlibre.org/licence/lal/pl/"
		self.licenseId = "LAL-1.3"
		self.crossRef = [{"match": "False", "url": "https://artlibre.org/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:30Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://artlibre.org/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		<p>\n		  Licence Art Libre 1.3 (LAL 1.3)\n		</p>\n\n	  </div>\n	  <p>\n		Pr\u00e9ambule\u00a0:\n	  </p>\n\n	  <p>\n		Avec la Licence Art Libre, l&apos;autorisation est donn\u00e9e de copier, de \n		diffuser et de transformer librement les \u0153uvres dans le respect des \n		droits de l&apos;auteur.\n	  </p>\n\n	  <p>\n		Loin d&apos;ignorer ces droits, la Licence Art Libre les reconna\u00eet et les \n		prot\u00e8ge. Elle en reformule l&apos;exercice en permettant \u00e0 tout un chacun \n		de faire un usage cr\u00e9atif des productions de l&apos;esprit quels que soient \n		leur genre et leur forme d&apos;expression.\n	  </p>\n\n	  <p>\n		Si, en r\u00e8gle g\u00e9n\u00e9rale, l&apos;application du droit d&apos;auteur conduit \u00e0 \n		restreindre l&apos;acc\u00e8s aux \u0153uvres de l&apos;esprit, la Licence Art Libre, au \n		contraire, le favorise. L&apos;intention est d&apos;autoriser l&apos;utilisation des \n		ressources d&apos;une \u0153uvre\u00a0; cr\u00e9er de nouvelles conditions de cr\u00e9ation \n		pour amplifier les possibilit\u00e9s de cr\u00e9ation. La Licence Art Libre \n		permet d&apos;avoir jouissance des \u0153uvres tout en reconnaissant les droits \n		et les responsabilit\u00e9s de chacun.\n	  </p>\n\n	  <p>\n		Avec le d\u00e9veloppement du num\u00e9rique, l&apos;invention d&apos;internet et des \n		logiciels libres, les modalit\u00e9s de cr\u00e9ation ont \u00e9volu\u00e9\u00a0: les \n		productions de l&apos;esprit s&apos;offrent naturellement \u00e0 la circulation, \u00e0 \n		l&apos;\u00e9change et aux transformations. Elles se pr\u00eatent favorablement \u00e0 la \n		r\u00e9alisation d&apos;\u0153uvres communes que chacun peut augmenter pour \n		l&apos;avantage de tous.\n	  </p>\n\n	  <p>\n		C&apos;est la raison essentielle de la Licence Art Libre\u00a0: promouvoir et \n		prot\u00e9ger ces productions de l&apos;esprit selon les principes du copyleft\u00a0: \n		libert\u00e9 d&apos;usage, de copie, de diffusion, de transformation et \n		interdiction d&apos;appropriation exclusive.\n	  </p>\n\n	  <p>\n		D\u00e9finitions\u00a0:\n	  </p>\n\n	  <p>\n		Nous d\u00e9signons par \u00ab\u00a0\u0153uvre\u00a0\u00bb, autant l&apos;\u0153uvre initiale, les \u0153uvres \n		cons\u00e9quentes, que l&apos;\u0153uvre commune telles que d\u00e9finies ci-apr\u00e8s\u00a0:\n	  </p>\n\n	  <p>\n		L&apos;\u0153uvre commune\u00a0: Il s&apos;agit d&apos;une \u0153uvre qui comprend l&apos;\u0153uvre initiale \n		ainsi que toutes les contributions post\u00e9rieures (les originaux \n		cons\u00e9quents et les copies). Elle est cr\u00e9\u00e9e \u00e0 l&apos;initiative de l&apos;auteur \n		initial qui par cette licence d\u00e9finit les conditions selon lesquelles \n		les contributions sont faites.\n	  </p>\n\n	  <p>\n		L&apos;\u0153uvre initiale\u00a0: C&apos;est-\u00e0-dire l&apos;\u0153uvre cr\u00e9\u00e9e par l&apos;initiateur de \n		l&apos;\u0153uvre commune dont les copies vont \u00eatre modifi\u00e9es par qui le \n		souhaite.\n	  </p>\n\n	  <p>\n		Les \u0153uvres cons\u00e9quentes\u00a0: C&apos;est-\u00e0-dire les contributions des auteurs \n		qui participent \u00e0 la formation de l&apos;\u0153uvre commune en faisant usage des \n		droits de reproduction, de diffusion et de modification que leur \n		conf\u00e8re la licence.\n	  </p>\n\n	  <p>\n		Originaux (sources ou ressources de l&apos;\u0153uvre)\u00a0: Chaque exemplaire dat\u00e9 \n		de l&apos;\u0153uvre initiale ou cons\u00e9quente que leurs auteurs pr\u00e9sentent comme \n		r\u00e9f\u00e9rence pour toutes actualisations, interpr\u00e9tations, copies ou \n		reproductions ult\u00e9rieures.\n	  </p>\n\n	  <p>\n		Copie\u00a0: Toute reproduction d&apos;un original au sens de cette licence.\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 1-</var>\n		  OBJET.<br />\n\n		  Cette licence a pour objet de d\u00e9finir les conditions selon\n		  lesquelles vous pouvez jouir librement de l&apos;\u0153uvre.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 2.</var>\n		  L&apos;\u00c9TENDUE DE LA JOUISSANCE.<br />\n\n		  Cette \u0153uvre est soumise au droit d&apos;auteur, et l&apos;auteur par cette \n		  licence vous indique quelles sont vos libert\u00e9s pour la copier, la \n		  diffuser et la modifier.\n		\n<ul style=\"list-style:none\">\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 2.1</var>\n		  LA LIBERT\u00c9 DE COPIER (OU DE REPRODUCTION).<br />\n\n		  Vous avez la libert\u00e9 de copier cette \u0153uvre pour vous, vos amis ou\n		  toute autre personne, quelle que soit la technique employ\u00e9e.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 2.2</var>\n		  LA LIBERT\u00c9 DE DIFFUSER (INTERPR\u00c9TER, REPR\u00c9SENTER, DISTRIBUER).<br />\n\n		  Vous pouvez diffuser librement les copies de ces \u0153uvres, modifi\u00e9es \n		  ou non, quel que soit le support, quel que soit le lieu, \u00e0 titre \n		  on\u00e9reux ou gratuit, si vous respectez toutes les conditions \n		  suivantes\u00a0:\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 1.</var>\n			  joindre aux copies cette licence \u00e0 l&apos;identique ou indiquer \n			  pr\u00e9cis\u00e9ment o\u00f9 se trouve la licence\u00a0;\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 2.</var>\n			  indiquer au destinataire le nom de chaque auteur des originaux, \n			  y compris le v\u00f4tre si vous avez modifi\u00e9 l&apos;\u0153uvre\u00a0;\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 3.</var>\n			  indiquer au destinataire o\u00f9 il pourrait avoir acc\u00e8s aux \n			  originaux (initiaux et/ou cons\u00e9quents).\n			</li>\n		  \n</ul>\n		  Les auteurs des originaux pourront, s&apos;ils le souhaitent, vous \n		  autoriser \u00e0 diffuser l&apos;original dans les m\u00eames conditions que les \n		  copies.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 2.3</var>\n		  LA LIBERT\u00c9 DE MODIFIER.<br />\n\n		  Vous avez la libert\u00e9 de modifier les copies des originaux (initiaux \n		  et cons\u00e9quents) dans le respect des conditions suivantes\u00a0:\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 1.</var>\n			  celles pr\u00e9vues \u00e0 l&apos;article 2.2 en cas de diffusion de la copie \n			  modifi\u00e9e\u00a0;\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 2.</var>\n			  indiquer qu&apos;il s&apos;agit d&apos;une \u0153uvre modifi\u00e9e et, si possible, la \n			  nature de la modification\u00a0;\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 3.</var>\n			  diffuser cette \u0153uvre cons\u00e9quente avec la m\u00eame licence ou avec \n			  toute licence compatible\u00a0;\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 4.</var>\n			  Les auteurs des originaux pourront, s&apos;ils le souhaitent, vous \n			  autoriser \u00e0 modifier l&apos;original dans les m\u00eames conditions que\n			  les copies.\n			</li>\n		  \n</ul>\n		</li>\n		\n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 3.</var>\n		  DROITS CONNEXES.<br />\n\n		  Les actes donnant lieu \u00e0 des droits d&apos;auteur ou des droits voisins \n		  ne doivent pas constituer un obstacle aux libert\u00e9s conf\u00e9r\u00e9es par \n		  cette licence.<br />\n\n		  C&apos;est pourquoi, par exemple, les interpr\u00e9tations \n		  doivent \u00eatre soumises \u00e0 la m\u00eame licence ou une licence compatible. \n		  De m\u00eame, l&apos;int\u00e9gration de l&apos;\u0153uvre \u00e0 une base de donn\u00e9es, une \n		  compilation ou une anthologie ne doit pas faire obstacle \u00e0 la \n		  jouissance de l&apos;\u0153uvre telle que d\u00e9finie par cette licence.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 4.</var>\n		  L&apos; INT\u00c9GRATION DE L&apos;\u0152UVRE.<br />\n\n		  Toute int\u00e9gration de cette \u0153uvre \u00e0 un ensemble non soumis \u00e0 la LAL \n		  doit assurer l&apos;exercice des libert\u00e9s conf\u00e9r\u00e9es par cette\n		  licence.<br />\n\n		  Si l&apos;\u0153uvre n&apos;est plus accessible ind\u00e9pendamment de l&apos;ensemble, alors \n		  l&apos;int\u00e9gration n&apos;est possible qu&apos;\u00e0 condition que l&apos;ensemble soit \n		  soumis \u00e0 la LAL ou une licence compatible.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 5.</var>\n		  CRIT\u00c8RES DE COMPATIBILIT\u00c9.<br />\n\n		  Une licence est compatible avec la LAL si et seulement si\u00a0:\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 1.</var>\n			  elle accorde l&apos;autorisation de copier, diffuser et modifier des \n			  copies de l&apos;\u0153uvre, y compris \u00e0 des fins lucratives, et sans \n			  autres restrictions que celles qu&apos;impose le respect des autres \n			  crit\u00e8res de compatibilit\u00e9\u00a0;\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 2.</var>\n			  elle garantit la paternit\u00e9 de l&apos;\u0153uvre et l&apos;acc\u00e8s aux versions \n			  ant\u00e9rieures de l&apos;\u0153uvre quand cet acc\u00e8s est possible\u00a0;\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 3.</var>\n			  elle reconna\u00eet la LAL \u00e9galement compatible (r\u00e9ciprocit\u00e9)\u00a0;\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> 4.</var>\n			  elle impose que les modifications faites sur l&apos;\u0153uvre soient \n			  soumises \u00e0 la m\u00eame licence ou encore \u00e0 une licence r\u00e9pondant aux \n			  crit\u00e8res de compatibilit\u00e9 pos\u00e9s par la LAL.\n			</li>\n		  \n</ul>\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 6.</var>\n		  VOS DROITS INTELLECTUELS.<br />\n\n		  La LAL n&apos;a pas pour objet de nier vos droits d&apos;auteur sur votre \n		  contribution ni vos droits connexes. En choisissant de contribuer \u00e0 \n		  l&apos;\u00e9volution de cette \u0153uvre commune, vous acceptez seulement d&apos;offrir \n		  aux autres les m\u00eames autorisations sur votre contribution que celles \n		  qui vous ont \u00e9t\u00e9 accord\u00e9es par cette licence. Ces autorisations \n		  n&apos;entra\u00eenent pas un dessaisissement de vos droits intellectuels.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 7.</var>\n		  VOS RESPONSABILIT\u00c9S.<br />\n\n		  La libert\u00e9 de jouir de l&apos;\u0153uvre tel que permis par la LAL (libert\u00e9 de \n		  copier, diffuser, modifier) implique pour chacun la responsabilit\u00e9 \n		  de ses propres faits.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 8.</var>\n		  LA DUR\u00c9E DE LA LICENCE.<br />\n\n		  Cette licence prend effet d\u00e8s votre acceptation de ses dispositions. \n		  Le fait de copier, de diffuser, ou de modifier l&apos;\u0153uvre constitue une \n		  acceptation tacite.<br />\n\n		  Cette licence a pour dur\u00e9e la dur\u00e9e des droits d&apos;auteur attach\u00e9s \u00e0 \n		  l&apos;\u0153uvre. Si vous ne respectez pas les termes de cette licence, vous \n		  perdez automatiquement les droits qu&apos;elle vous conf\u00e8re.<br />\n\n		  Si le r\u00e9gime juridique auquel vous \u00eates soumis ne vous permet pas de \n		  respecter les termes de cette licence, vous ne pouvez pas vous \n		  pr\u00e9valoir des libert\u00e9s qu&apos;elle conf\u00e8re.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 9.</var>\n		  LES DIFF\u00c9RENTES VERSIONS DE LA LICENCE.<br />\n\n		  Cette licence pourra \u00eatre modifi\u00e9e r\u00e9guli\u00e8rement, en vue de son \n		  am\u00e9lioration, par ses auteurs (les acteurs du mouvement Copyleft \n		  Attitude) sous la forme de nouvelles versions num\u00e9rot\u00e9es.<br />\n\n		  Vous avez toujours le choix entre vous contenter des dispositions \n		  contenues dans la version de la LAL sous laquelle la copie vous a \n		  \u00e9t\u00e9 communiqu\u00e9e ou alors, vous pr\u00e9valoir des dispositions d&apos;une des \n		  versions ult\u00e9rieures.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 10.</var>\n		  LES SOUS-LICENCES.<br />\n\n		  Les sous-licences ne sont pas autoris\u00e9es par la pr\u00e9sente. Toute \n		  personne qui souhaite b\u00e9n\u00e9ficier des libert\u00e9s qu&apos;elle conf\u00e8re sera \n		  li\u00e9e directement aux auteurs de l&apos;\u0153uvre commune.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 11.</var>\n		  LE CONTEXTE JURIDIQUE.<br />\n\n		  Cette licence est r\u00e9dig\u00e9e en r\u00e9f\u00e9rence au droit fran\u00e7ais et \u00e0 la \n		  Convention de Berne relative au droit d&apos;auteur.\n		</li>\n	  \n</ul>\n	"
		self.python_name = "LAL13"

	def __str__(self):
		return json.dumps(self.__dict__)


class OLDAP12:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The OpenLDAP Public License\nVersion 1.2, 1 September 1998\n\nCopyright 1998, The OpenLDAP Foundation. All Rights Reserved.\n\nNote: This license is derived from the \"Artistic License\" as distributed with the Perl Programming Language. As differences may exist, the complete license should be read.\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n	 \"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n	 \"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n	 \"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n	 \"You\" is you, if you're thinking about copying or distributing this Package.\n\n	 \"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n	 \"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	 a) place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	 b) use the modified Package only within your corporation or organization.\n\n	 c) rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	 d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	 a) distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	 b) accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	 c) accompany any non-standard executables with their corresponding Standard Version executables, giving the non-standard executables non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	 d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n7. C subroutines supplied by you and linked into this Package in order to emulate subroutines and variables of the language defined by this Package shall not be considered part of this Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not change the language in any way that would cause it to fail the regression tests for the language.\n\n8. The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n9. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\nThe End\n"
		self.standardLicenseTemplate = "<<beginOptional>>The OpenLDAP Public License\n\nVersion 1.2, 1 September 1998\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 1998, The OpenLDAP Foundation. All Rights Reserved.  \";match=\".{0,5000}\">><<beginOptional>> Note: This license is derived from the \"Artistic License\" as distributed with the Perl Programming Language. As differences may exist, the complete license should be read.\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\n<<endOptional>>\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n\"You\" is you, if you're thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> use the modified Package only within your corporation or organization.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> accompany any non-standard executables with their corresponding Standard Version executables, giving the non-standard executables non-standard names, and clearly documenting the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whomever generated them, and may be sold commercially, and may be aggregated with this Package.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> C subroutines supplied by you and linked into this Package in order to emulate subroutines and variables of the language defined by this Package shall not be considered part of this Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not change the language in any way that would cause it to fail the regression tests for the language.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.<<beginOptional>> The End\n\n<<endOptional>>"
		self.name = "Open LDAP Public License v1.2"
		self.licenseComments = "This license was released 1 September 1998. This license was issued four time, but only with formatting differences."
		self.licenseId = "OLDAP-1.2"
		self.crossRef = [{"match": "False", "url": "http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=42b0383c50c299977b5893ee695cf4e486fb0dc7", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:58Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=blob;f=LICENSE;hb=42b0383c50c299977b5893ee695cf4e486fb0dc7"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The OpenLDAP Public License\n		<br />\n\nVersion 1.2, 1 September 1998\n	  </p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1998, The OpenLDAP Foundation. All Rights Reserved.</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>Note: This license is derived from the &quot;Artistic License&quot; as distributed with the Perl\n		 Programming Language. As differences may exist, the complete license should be read.</p>\n\n		 <p>PREAMBLE</p>\n\n		 <p>The intent of this document is to state the conditions under which a Package may be copied, such that the\n		 Copyright Holder maintains some semblance of artistic control over the development of the package,\n		 while giving the users of the package the right to use and distribute the Package in a more-or-less\n		 customary fashion, plus the right to make reasonable modifications.</p>\n\n	  </div>\n\n	  <p>Definitions:</p>\n\n	  <p>&quot;Package&quot; refers to the collection of files distributed by the Copyright Holder, and\n		 derivatives of that collection of files created through textual modification.</p>\n\n	  <p>&quot;Standard Version&quot; refers to such a Package if it has not been modified, or has been modified\n		 in accordance with the wishes of the Copyright Holder.</p>\n\n	  <p>&quot;Copyright Holder&quot; is whoever is named in the copyright or copyrights for the package.</p>\n\n	  <p>&quot;You&quot; is you, if you&apos;re thinking about copying or distributing this Package.</p>\n\n	  <p>&quot;Reasonable copying fee&quot; is whatever you can justify on the basis of media cost, duplication\n		 charges, time of people involved, and so on. (You will not be required to justify it to the Copyright\n		 Holder, but only to the computing community at large as a market that must bear the fee.)</p>\n\n	  <p>&quot;Freely Available&quot; means that no fee is charged for the item itself, though there may be fees\n		 involved in handling the item. It also means that recipients of the item may redistribute it under the\n		 same conditions they received it.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may make and give away verbatim copies of the source form of the Standard Version of this\n			 Package without restriction, provided that you duplicate all of the original copyright notices\n			 and associated disclaimers.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may apply bug fixes, portability fixes and other modifications derived from the Public Domain\n			 or from the Copyright Holder. A Package modified in such a way shall still be considered the\n			 Standard Version.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may otherwise modify your copy of this Package in any way, provided that you insert a\n			 prominent notice in each changed file stating how and when you changed that file, and provided\n			 that you do at least ONE of the following:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			place your modifications in the Public Domain or otherwise make them Freely Available, such\n			   as by posting said modifications to Usenet or an equivalent medium, or placing the\n			   modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright\n			   Holder to include your modifications in the Standard Version of the Package.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			use the modified Package only within your corporation or organization.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c)</var>\n			rename any non-standard executables so the names do not conflict with standard executables,\n			   which must also be provided, and provide a separate manual page for each non-standard\n			   executable that clearly documents how it differs from the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d)</var>\n			make other distribution arrangements with the Copyright Holder.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may distribute the programs of this Package in object code or executable form, provided that\n			 you do at least ONE of the following:\n		</li>\n\t\n<li>\n\t\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> a)</var>\n			distribute a Standard Version of the executables and library files, together with\n			   instructions (in the manual page or equivalent) on where to get the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> b)</var>\n			accompany the distribution with the machine-readable source of the Package with your modifications.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> c)</var>\n			accompany any non-standard executables with their corresponding Standard Version executables,\n			   giving the non-standard executables non-standard names, and clearly documenting the\n			   differences in manual pages (or equivalent), together with instructions on where to get\n			   the Standard Version.\n		  </li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> d)</var>\n			make other distribution arrangements with the Copyright Holder.\n		  </li>\n		\n</ul>\n\t</li>\n\t\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may charge a reasonable copying fee for any distribution of this Package. You may charge any\n			 fee you choose for support of this Package. You may not charge a fee for this Package itself.\n			 However, you may distribute this Package in aggregate with other (possibly commercial)\n			 programs as part of a larger (possibly commercial) software distribution provided that you do\n			 not advertise this Package as a product of your own.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The scripts and library files supplied as input to or produced as output from the programs of\n			 this Package do not automatically fall under the copyright of this Package, but belong to\n			 whomever generated them, and may be sold commercially, and may be aggregated with this\n			 Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  C subroutines supplied by you and linked into this Package in order to emulate subroutines and\n			 variables of the language defined by this Package shall not be considered part of this\n			 Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not\n			 change the language in any way that would cause it to fail the regression tests for the\n			 language.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  The name of the Copyright Holder may not be used to endorse or promote products derived from this\n			 software without specific prior written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  THIS PACKAGE IS PROVIDED &quot;AS IS&quot; AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\n			 INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A\n			 PARTICULAR PURPOSE.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>The End</p>\n\n	  </div>\n	"
		self.python_name = "OLDAP12"

	def __str__(self):
		return json.dumps(self.__dict__)


class TUBerlin10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1992 by Jutta Degener and Carsten Bormann,\nTechnische Universitaet Berlin\n\nAny use of this software is permitted provided that this notice is not removed and that neither the authors nor the Technische Universitaet Berlin are deemed to have made any representations as to the suitability of this software for any purpose nor are held responsible for any defects of this software.  THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.\n\nAs a matter of courtesy, the authors request to be informed about uses this software has found, about bugs in this software, and about any improvements that may be of general interest.\n\nBerlin, 15.09.1992\nJutta Degener\nCarsten Bormann\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1992, 1993, 1994 by Jutta Degener and Carsten Bormann,	Technische Universitaet Berlin  \";match=\".{0,5000}\">>\n\nAny use of this software is permitted provided that this notice is not removed and that neither the authors nor the Technische Universitaet Berlin are deemed to have made any representations as to the suitability of this software for any purpose nor are held responsible for any defects of this software. THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.\n\nAs a matter of courtesy, the authors request to be informed about uses this software has found, about bugs in this software, and about any improvements that may be of general interest.\n\n<<beginOptional>>Berlin, <<var;name=\"footerDate\";original=\"28.11.1994\";match=\".+\">>\n\nJutta Degener\n\nCarsten Bormann\n\n<<endOptional>>"
		self.name = "Technische Universitaet Berlin License 1.0"
		self.licenseId = "TU-Berlin-1.0"
		self.crossRef = [{"match": "False", "url": "https://github.com/swh/ladspa/blob/7bf6f3799fdba70fda297c2d8fd9f526803d9680/gsm/COPYRIGHT", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:49Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/swh/ladspa/blob/7bf6f3799fdba70fda297c2d8fd9f526803d9680/gsm/COPYRIGHT"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		<p>Copyright 1992, 1993, 1994 by Jutta Degener and Carsten Bormann,\n\t	  </p>\n\n		<p>Technische Universitaet Berlin</p>\n\n	  </div>\n\n	  <p>\n		Any use of this software is permitted provided that this notice is not\n		removed and that neither the authors nor the Technische Universitaet Berlin\n		are deemed to have made any representations as to the suitability of this\n		software for any purpose nor are held responsible for any defects of\n		this software.  THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.\n	  </p>\n\n	  <p>\n		As a matter of courtesy, the authors request to be informed about uses\n		this software has found, about bugs in this software, and about any\n		improvements that may be of general interest.\n	  </p>\n\n	  <div class=\"optional-license-text\"> \n		<p>Berlin, <var class=\"replaceable-license-text\"> 28.11.1994</var></p>\n\n		<p>Jutta Degener</p>\n\n		<p>Carsten Bormann</p>\n\n	  </div>\n	"
		self.python_name = "TUBerlin10"

	def __str__(self):
		return json.dumps(self.__dict__)


class Artistic10Perl:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "The \"Artistic License\"\n\nPreamble\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n	 \"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n	 \"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder as specified below.\n\n	 \"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n	 \"You\" is you, if you're thinking about copying or distributing this Package.\n\n	 \"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on.  (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n	 \"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder.  A Package modified in such a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	 a) place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n	 b) use the modified Package only within your corporation or organization.\n	 c) rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n	 d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	 a) distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n	 b) accompany the distribution with the machine-readable source of the Package with your modifications.\n	 c) give non-standard executables non-standard names, and clearly document the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n	 d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package.  You may charge any fee you choose for support of this Package.  You may not charge a fee for this Package itself.  However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own.  You may embed this Package's interpreter within an executable of yours (by linking); this shall be consTrued as a mere form of aggregation, provided that the complete Standard Version of the interpreter is so embedded.\n\n6. The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whoever generated them, and may be sold commercially, and may be aggregated with this Package.  If such scripts or library files are aggregated with this Package via the so-called \"undump\" or \"unexec\" methods of producing a binary executable image, then distribution of such an image shall neither be consTrued as a distribution of this Package nor shall it fall under the restrictions of Paragraphs 3 and 4, provided that you do not represent such an executable image as a Standard Version of this Package.\n\n7. C subroutines (or comparably compiled subroutines in other languages) supplied by you and linked into this Package in order to emulate subroutines and variables of the language defined by this Package shall not be considered part of this Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not change the language in any way that would cause it to fail the regression tests for the language.\n\n8. Aggregation of this Package with a commercial distribution is always permitted provided that the use of this Package is embedded; that is, when no overt attempt is made to make this Package's interfaces visible to the end user of the commercial distribution.  Such use shall not be consTrued as a distribution of this Package.\n\n9. The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n10. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.\n\nThe End\n"
		self.standardLicenseTemplate = "<<beginOptional>>The \"Artistic License\"\n\n<<endOptional>>\n\nPreamble\n\nThe intent of this document is to state the conditions under which a Package may be copied, such that the Copyright Holder maintains some semblance of artistic control over the development of the package, while giving the users of the package the right to use and distribute the Package in a more-or-less customary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder, and derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or has been modified in accordance with the wishes of the Copyright Holder as specified below.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for the package.\n\n\"You\" is you, if you're thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media cost, duplication charges, time of people involved, and so on. (You will not be required to justify it to the Copyright Holder, but only to the computing community at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though there may be fees involved in handling the item. It also means that recipients of the item may redistribute it under the same conditions they received it.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> You may make and give away verbatim copies of the source form of the Standard Version of this Package without restriction, provided that you duplicate all of the original copyright notices and associated disclaimers.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may apply bug fixes, portability fixes and other modifications derived from the Public Domain or from the Copyright Holder. A Package modified in such a way shall still be considered the Standard Version.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may otherwise modify your copy of this Package in any way, provided that you insert a prominent notice in each changed file stating how and when you changed that file, and provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> place your modifications in the Public Domain or otherwise make them Freely Available, such as by posting said modifications to Usenet or an equivalent medium, or placing the modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright Holder to include your modifications in the Standard Version of the Package.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> use the modified Package only within your corporation or organization.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> rename any non-standard executables so the names do not conflict with standard executables, which must also be provided, and provide a separate manual page for each non-standard executable that clearly documents how it differs from the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> You may distribute the programs of this Package in object code or executable form, provided that you do at least ONE of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> distribute a Standard Version of the executables and library files, together with instructions (in the manual page or equivalent) on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> accompany the distribution with the machine-readable source of the Package with your modifications.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> give non-standard executables non-standard names, and clearly document the differences in manual pages (or equivalent), together with instructions on where to get the Standard Version.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> make other distribution arrangements with the Copyright Holder.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> You may charge a reasonable copying fee for any distribution of this Package. You may charge any fee you choose for support of this Package. You may not charge a fee for this Package itself. However, you may distribute this Package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this Package as a product of your own. You may embed this Package's interpreter within an executable of yours (by linking); this shall be consTrued as a mere form of aggregation, provided that the complete Standard Version of the interpreter is so embedded.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> The scripts and library files supplied as input to or produced as output from the programs of this Package do not automatically fall under the copyright of this Package, but belong to whoever generated them, and may be sold commercially, and may be aggregated with this Package. If such scripts or library files are aggregated with this Package via the so-called \"undump\" or \"unexec\" methods of producing a binary executable image, then distribution of such an image shall neither be consTrued as a distribution of this Package nor shall it fall under the restrictions of Paragraphs 3 and 4, provided that you do not represent such an executable image as a Standard Version of this Package.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> C subroutines (or comparably compiled subroutines in other languages) supplied by you and linked into this Package in order to emulate subroutines and variables of the language defined by this Package shall not be considered part of this Package, but are the equivalent of input as in Paragraph 6, provided these subroutines do not change the language in any way that would cause it to fail the regression tests for the language.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Aggregation of this Package with a commercial distribution is always permitted provided that the use of this Package is embedded; that is, when no overt attempt is made to make this Package's interfaces visible to the end user of the commercial distribution. Such use shall not be consTrued as a distribution of this Package.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> The name of the Copyright Holder may not be used to endorse or promote products derived from this software without specific prior written permission.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.<<beginOptional>> The End\n\n<<endOptional>>"
		self.name = "Artistic License 1.0 (Perl)"
		self.licenseComments = "This is the Artistic License 1.0 found on the Perl site, which is different (particularly, clauses 5, 6, 7 and 8) than the Artistic License 1.0 w/clause 8 found on the OSI site."
		self.licenseId = "Artistic-1.0-Perl"
		self.crossRef = [{"match": "False", "url": "http://dev.perl.org/licenses/artistic.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:11Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://dev.perl.org/licenses/artistic.html"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The &quot;Artistic License&quot;</p>\n\n	  </div>\n\n	  <p>Preamble</p>\n\n	  <p>The intent of this document is to state the conditions under which a Package may be copied, such that the\n		 Copyright Holder maintains some semblance of artistic control over the development of the package,\n		 while giving the users of the package the right to use and distribute the Package in a more-or-less\n		 customary fashion, plus the right to make reasonable modifications.</p>\n\n	  <p>Definitions:</p>\n\n	  <p>&quot;Package&quot; refers to the collection of files distributed by the Copyright Holder, and\n		 derivatives of that collection of files created through textual modification.</p>\n\n	  <p>&quot;Standard Version&quot; refers to such a Package if it has not been modified, or has been modified\n		 in accordance with the wishes of the Copyright Holder as specified below.</p>\n\n	  <p>&quot;Copyright Holder&quot; is whoever is named in the copyright or copyrights for the package.</p>\n\n	  <p>&quot;You&quot; is you, if you&apos;re thinking about copying or distributing this Package.</p>\n\n	  <p>&quot;Reasonable copying fee&quot; is whatever you can justify on the basis of media cost, duplication\n		 charges, time of people involved, and so on. (You will not be required to justify it to the Copyright\n		 Holder, but only to the computing community at large as a market that must bear the fee.)</p>\n\n	  <p>&quot;Freely Available&quot; means that no fee is charged for the item itself, though there may be fees\n		 involved in handling the item. It also means that recipients of the item may redistribute it under the\n		 same conditions they received it.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  You may make and give away verbatim copies of the source form of the Standard Version of this\n			 Package without restriction, provided that you duplicate all of the original copyright notices\n			 and associated disclaimers.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may apply bug fixes, portability fixes and other modifications derived from the Public Domain\n			 or from the Copyright Holder. A Package modified in such a way shall still be considered the\n			 Standard Version.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may otherwise modify your copy of this Package in any way, provided that you insert a\n			 prominent notice in each changed file stating how and when you changed that file, and provided\n			 that you do at least ONE of the following:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n				place your modifications in the Public Domain or otherwise make them Freely Available, such\n				   as by posting said modifications to Usenet or an equivalent medium, or placing the\n				   modifications on a major archive site such as uunet.uu.net, or by allowing the Copyright\n				   Holder to include your modifications in the Standard Version of the Package.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n				use the modified Package only within your corporation or organization.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n				rename any non-standard executables so the names do not conflict with standard executables,\n				   which must also be provided, and provide a separate manual page for each non-standard\n				   executable that clearly documents how it differs from the Standard Version.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n				make other distribution arrangements with the Copyright Holder.\n			  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  You may distribute the programs of this Package in object code or executable form, provided that\n			 you do at least ONE of the following:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n				distribute a Standard Version of the executables and library files, together with\n				   instructions (in the manual page or equivalent) on where to get the Standard Version.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n				accompany the distribution with the machine-readable source of the Package with your modifications.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n				give non-standard executables non-standard names, and clearly document the differences in\n				   manual pages (or equivalent), together with instructions on where to get the Standard\n				   Version.\n			  </li>\n			  \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n				make other distribution arrangements with the Copyright Holder.\n			  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  You may charge a reasonable copying fee for any distribution of this Package. You may charge any\n			 fee you choose for support of this Package. You may not charge a fee for this Package itself.\n			 However, you may distribute this Package in aggregate with other (possibly commercial)\n			 programs as part of a larger (possibly commercial) software distribution provided that you do\n			 not advertise this Package as a product of your own. You may embed this Package&apos;s\n			 interpreter within an executable of yours (by linking); this shall be consTrued as a mere form\n			 of aggregation, provided that the complete Standard Version of the interpreter is so\n			 embedded.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  The scripts and library files supplied as input to or produced as output from the programs of\n			 this Package do not automatically fall under the copyright of this Package, but belong to\n			 whoever generated them, and may be sold commercially, and may be aggregated with this Package.\n			 If such scripts or library files are aggregated with this Package via the so-called\n			 &quot;undump&quot; or &quot;unexec&quot; methods of producing a binary executable image, then\n			 distribution of such an image shall neither be consTrued as a distribution of this Package nor\n			 shall it fall under the restrictions of Paragraphs 3 and 4, provided that you do not represent\n			 such an executable image as a Standard Version of this Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  C subroutines (or comparably compiled subroutines in other languages) supplied by you and linked\n			 into this Package in order to emulate subroutines and variables of the language defined by\n			 this Package shall not be considered part of this Package, but are the equivalent of input as\n			 in Paragraph 6, provided these subroutines do not change the language in any way that would\n			 cause it to fail the regression tests for the language.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Aggregation of this Package with a commercial distribution is always permitted provided that the\n			 use of this Package is embedded; that is, when no overt attempt is made to make this\n			 Package&apos;s interfaces visible to the end user of the commercial distribution. Such use\n			 shall not be consTrued as a distribution of this Package.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  The name of the Copyright Holder may not be used to endorse or promote products derived from this\n			 software without specific prior written permission.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  THIS PACKAGE IS PROVIDED &quot;AS IS&quot; AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\n			 INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A\n			 PARTICULAR PURPOSE.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>The End</p>\n\n	  </div>\n	"
		self.python_name = "Artistic10Perl"

	def __str__(self):
		return json.dumps(self.__dict__)


class magaz:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 1999-2011, Donald Arseneau,   asnd@triumf.ca,  Vancouver, Canada\n\nThis software may be freely used, transmitted, reproduced, or modified provided that \nthe copyright notice and this permission is retained.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 1999-2011, Donald Arseneau, asnd@triumf.ca, Vancouver, Canada\";match=\".{0,5000}\">>\n\nThis software may be freely used, transmitted, reproduced, or modified provided that the copyright notice and this permission is retained.\n\n"
		self.name = "magaz License"
		self.licenseComments = "This license is a very similar to ulem and fwlw, but has slightly different obligations."
		self.licenseId = "magaz"
		self.crossRef = [{"match": "False", "url": "https://mirrors.nic.cz/tex-archive/macros/latex/contrib/magaz/magaz.tex", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:26Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://mirrors.nic.cz/tex-archive/macros/latex/contrib/magaz/magaz.tex"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright 1999-2011, Donald Arseneau,\n			asnd@triumf.ca, Vancouver, Canada\n		 </var>\n		 <p>\n			This software may be freely used, transmitted,\n			reproduced, or modified provided that the\n			copyright notice and this permission is retained.\n		 </p>\n\n	  "
		self.python_name = "magaz"

	def __str__(self):
		return json.dumps(self.__dict__)


class NASA13:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "NASA OPEN SOURCE AGREEMENT VERSION 1.3\n\nTHIS OPEN SOURCE AGREEMENT (\"AGREEMENT\") DEFINES THE RIGHTS OF USE, REPRODUCTION, DISTRIBUTION, MODIFICATION AND REDISTRIBUTION OF CERTAIN COMPUTER SOFTWARE ORIGINALLY RELEASED BY THE UNITED STATES GOVERNMENT AS REPRESENTED BY THE GOVERNMENT AGENCY LISTED BELOW (\"GOVERNMENT AGENCY\"). THE UNITED STATES GOVERNMENT, AS REPRESENTED BY GOVERNMENT AGENCY, IS AN INTENDED THIRD-PARTY BENEFICIARY OF ALL SUBSEQUENT DISTRIBUTIONS OR REDISTRIBUTIONS OF THE SUBJECT SOFTWARE. ANYONE WHO USES, REPRODUCES, DISTRIBUTES, MODIFIES OR REDISTRIBUTES THE SUBJECT SOFTWARE, AS DEFINED HEREIN, OR ANY PART THEREOF, IS, BY THAT ACTION, ACCEPTING IN FULL THE RESPONSIBILITIES AND OBLIGATIONS CONTAINED IN THIS AGREEMENT.\n\nGovernment Agency: _____ Government Agency Original Software Designation: __ Government Agency Original Software Title: _____ User Registration Requested. Please Visit http://___ Government Agency Point of Contact for Original Software: _____\n\nDEFINITIONS\n\nA. \"Contributor\" means Government Agency, as the developer of the Original Software, and any entity that makes a Modification. B. \"Covered Patents\" mean patent claims licensable by a Contributor that are necessarily infringed by the use or sale of its Modification alone or when combined with the Subject Software. C. \"Display\" means the showing of a copy of the Subject Software, either directly or by means of an image, or any other device. D. \"Distribution\" means conveyance or transfer of the Subject Software, regardless of means, to another. E. \"Larger Work\" means computer software that combines Subject Software, or portions thereof, with software separate from the Subject Software that is not governed by the terms of this Agreement. F. \"Modification\" means any alteration of, including addition to or deletion from, the substance or structure of either the Original Software or Subject Software, and includes derivative works, as that term is defined in the Copyright Statute, 17 USC 101. However, the act of including Subject Software as part of a Larger Work does not in and of itself constitute a Modification. G. \"Original Software\" means the computer software first released under this Agreement by Government Agency with Government Agency designation __ and entitled _________, including source code, object code and accompanying documentation, if any. H. \"Recipient\" means anyone who acquires the Subject Software under this Agreement, including all Contributors. I. \"Redistribution\" means Distribution of the Subject Software after a Modification has been made. J. \"Reproduction\" means the making of a counterpart, image or copy of the Subject Software. K. \"Sale\" means the exchange of the Subject Software for money or equivalent value. L. \"Subject Software\" means the Original Software, Modifications, or any respective parts thereof. M. \"Use\" means the application or employment of the Subject Software for any purpose.\n\nGRANT OF RIGHTS\n\nA. Under Non-Patent Rights: Subject to the terms and conditions of this Agreement, each Contributor, with respect to its own contribution to the Subject Software, hereby grants to each Recipient a non-exclusive, world-wide, royalty-free license to engage in the following activities pertaining to the Subject Software:\n\n	 1. Use\n	 2. Distribution\n	 3. Reproduction\n	 4. Modification\n	 5. Redistribution\n	 6. Display\n\nB. Under Patent Rights: Subject to the terms and conditions of this Agreement, each Contributor, with respect to its own contribution to the Subject Software, hereby grants to each Recipient under Covered Patents a non-exclusive, world-wide, royalty-free license to engage in the following activities pertaining to the Subject Software:\n\n	 1. Use\n	 2. Distribution\n	 3. Reproduction\n	 4. Sale\n	 5. Offer for Sale\n\nC. The rights granted under Paragraph B. also apply to the combination of a Contributor's Modification and the Subject Software if, at the time the Modification is added by the Contributor, the addition of such Modification causes the combination to be covered by the Covered Patents. It does not apply to any other combinations that include a Modification.\n\nD. The rights granted in Paragraphs A. and B. allow the Recipient to sublicense those same rights. Such sublicense must be under the same terms and conditions of this Agreement.\n\nOBLIGATIONS OF RECIPIENT\n\nA. Distribution or Redistribution of the Subject Software must be made under this Agreement except for additions covered under paragraph 3H.\n\n	 1. Whenever a Recipient distributes or redistributes the Subject Software, a copy of this Agreement must be included with each copy of the Subject Software; and\n	 2. If Recipient distributes or redistributes the Subject Software in any form other than source code, Recipient must also make the source code freely available, and must provide with each copy of the Subject Software information on how to obtain the source code in a reasonable manner on or through a medium customarily used for software exchange.\n\nB. Each Recipient must ensure that the following copyright notice appears prominently in the Subject Software:\n\n[Government Agency will insert the applicable copyright notice in each agreement accompanying the initial distribution of original software and remove this bracketed language.]\n\n[The following copyright notice will be used if created by a contractor pursuant to Government Agency contract and rights obtained from creator by assignment. Government Agency will insert the year and its Agency designation and remove the bracketed language.] Copyright (c) {YEAR} United States Government as represented by ___ ____. All Rights Reserved.\n\n[The following copyright notice will be used if created by civil servants only. Government Agency will insert the year and its Agency designation and remove the bracketed language.] Copyright (c) {YEAR} United States Government as represented by ____ ____. No copyright is claimed in the United States under Title 17, U.S.Code. All Other Rights Reserved.\n\nC. Each Contributor must characterize its alteration of the Subject Software as a Modification and must identify itself as the originator of its Modification in a manner that reasonably allows subsequent Recipients to identify the originator of the Modification. In fulfillment of these requirements, Contributor must include a file (e.g., a change log file) that describes the alterations made and the date of the alterations, identifies Contributor as originator of the alterations, and consents to characterization of the alterations as a Modification, for example, by including a statement that the Modification is derived, directly or indirectly, from Original Software provided by Government Agency. Once consent is granted, it may not thereafter be revoked.\n\nD. A Contributor may add its own copyright notice to the Subject Software. Once a copyright notice has been added to the Subject Software, a Recipient may not remove it without the express permission of the Contributor who added the notice.\n\nE. A Recipient may not make any representation in the Subject Software or in any promotional, advertising or other material that may be consTrued as an endorsement by Government Agency or by any prior Recipient of any product or service provided by Recipient, or that may seek to obtain commercial advantage by the fact of Government Agency's or a prior Recipient's participation in this Agreement.\n\nF. In an effort to track usage and maintain accurate records of the Subject Software, each Recipient, upon receipt of the Subject Software, is requested to register with Government Agency by visiting the following website: ______. Recipient's name and personal information shall be used for statistical purposes only. Once a Recipient makes a Modification available, it is requested that the Recipient inform Government Agency at the web site provided above how to access the Modification.\n\n[Alternative paragraph for use when a web site for release and monitoring of subject software will not be supported by releasing Government Agency] In an effort to track usage and maintain accurate records of the Subject Software, each Recipient, upon receipt of the Subject Software, is requested to provide Government Agency, by e-mail to the Government Agency Point of Contact listed in clause 5.F., the following information: ______. Recipient's name and personal information shall be used for statistical purposes only. Once a Recipient makes a Modification available, it is requested that the Recipient inform Government Agency, by e-mail to the Government Agency Point of Contact listed in clause 5.F., how to access the Modification.\n\nG. Each Contributor represents that that its Modification is believed to be Contributor's original creation and does not violate any existing agreements, regulations, statutes or rules, and further that Contributor has sufficient rights to grant the rights conveyed by this Agreement.\n\nH. A Recipient may choose to offer, and to charge a fee for, warranty, support, indemnity and/or liability obligations to one or more other Recipients of the Subject Software. A Recipient may do so, however, only on its own behalf and not on behalf of Government Agency or any other Recipient. Such a Recipient must make it absolutely clear that any such warranty, support, indemnity and/or liability obligation is offered by that Recipient alone. Further, such Recipient agrees to indemnify Government Agency and every other Recipient for any liability incurred by them as a result of warranty, support, indemnity and/or liability offered by such Recipient.\n\nI. A Recipient may create a Larger Work by combining Subject Software with separate software not governed by the terms of this agreement and distribute the Larger Work as a single product. In such case, the Recipient must make sure Subject Software, or portions thereof, included in the Larger Work is subject to this Agreement.\n\nJ. Notwithstanding any provisions contained herein, Recipient is hereby put on notice that export of any goods or technical data from the United States may require some form of export license from the U.S. Government. Failure to obtain necessary export licenses may result in criminal liability under U.S. laws. Government Agency neither represents that a license shall not be required nor that, if required, it shall be issued. Nothing granted herein provides any such export license.\n\nDISCLAIMER OF WARRANTIES AND LIABILITIES; WAIVER AND INDEMNIFICATION\n\nA. No Warranty: THE SUBJECT SOFTWARE IS PROVIDED \"AS IS\" WITHOUT ANY WARRANTY OF ANY KIND, EITHER EXPRESSED, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY WARRANTY THAT THE SUBJECT SOFTWARE WILL CONFORM TO SPECIFICATIONS, ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR FREEDOM FROM INFRINGEMENT, ANY WARRANTY THAT THE SUBJECT SOFTWARE WILL BE ERROR FREE, OR ANY WARRANTY THAT DOCUMENTATION, IF PROVIDED, WILL CONFORM TO THE SUBJECT SOFTWARE. THIS AGREEMENT DOES NOT, IN ANY MANNER, CONSTITUTE AN ENDORSEMENT BY GOVERNMENT AGENCY OR ANY PRIOR RECIPIENT OF ANY RESULTS, RESULTING DESIGNS, HARDWARE, SOFTWARE PRODUCTS OR ANY OTHER APPLICATIONS RESULTING FROM USE OF THE SUBJECT SOFTWARE. FURTHER, GOVERNMENT AGENCY DISCLAIMS ALL WARRANTIES AND LIABILITIES REGARDING THIRD-PARTY SOFTWARE, IF PRESENT IN THE ORIGINAL SOFTWARE, AND DISTRIBUTES IT \"AS IS.\"\n\nB. Waiver and Indemnity: RECIPIENT AGREES TO WAIVE ANY AND ALL CLAIMS AGAINST THE UNITED STATES GOVERNMENT, ITS CONTRACTORS AND SUBCONTRACTORS, AS WELL AS ANY PRIOR RECIPIENT. IF RECIPIENT'S USE OF THE SUBJECT SOFTWARE RESULTS IN ANY LIABILITIES, DEMANDS, DAMAGES, EXPENSES OR LOSSES ARISING FROM SUCH USE, INCLUDING ANY DAMAGES FROM PRODUCTS BASED ON, OR RESULTING FROM, RECIPIENT'S USE OF THE SUBJECT SOFTWARE, RECIPIENT SHALL INDEMNIFY AND HOLD HARMLESS THE UNITED STATES GOVERNMENT, ITS CONTRACTORS AND SUBCONTRACTORS, AS WELL AS ANY PRIOR RECIPIENT, TO THE EXTENT PERMITTED BY LAW. RECIPIENT'S SOLE REMEDY FOR ANY SUCH MATTER SHALL BE THE IMMEDIATE, UNILATERAL TERMINATION OF THIS AGREEMENT.\n\nGENERAL TERMS\n\nA. Termination: This Agreement and the rights granted hereunder will terminate automatically if a Recipient fails to comply with these terms and conditions, and fails to cure such noncompliance within thirty (30) days of becoming aware of such noncompliance. Upon termination, a Recipient agrees to immediately cease use and distribution of the Subject Software. All sublicenses to the Subject Software properly granted by the breaching Recipient shall survive any such termination of this Agreement.\n\nB. Severability: If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Agreement.\n\nC. Applicable Law: This Agreement shall be subject to United States federal law only for all purposes, including, but not limited to, determining the validity of this Agreement, the meaning of its provisions and the rights, obligations and remedies of the parties.\n\nD. Entire Understanding: This Agreement constitutes the entire understanding and agreement of the parties relating to release of the Subject Software and may not be superseded, modified or amended except by further written agreement duly executed by the parties.\n\nE. Binding Authority: By accepting and using the Subject Software under this Agreement, a Recipient affirms its authority to bind the Recipient to all terms and conditions of this Agreement and that that Recipient hereby agrees to all terms and conditions herein.\n\nF. Point of Contact: Any Recipient contact with Government Agency is to be directed to the designated representative as follows: ___________.\n"
		self.standardLicenseTemplate = "<<beginOptional>>NASA OPEN SOURCE AGREEMENT VERSION 1.3\n\n<<endOptional>>\n\nTHIS OPEN SOURCE AGREEMENT (\"AGREEMENT\") DEFINES THE RIGHTS OF USE, REPRODUCTION, DISTRIBUTION, MODIFICATION AND REDISTRIBUTION OF CERTAIN COMPUTER SOFTWARE ORIGINALLY RELEASED BY THE UNITED STATES GOVERNMENT AS REPRESENTED BY THE GOVERNMENT AGENCY LISTED BELOW (\"GOVERNMENT AGENCY\"). THE UNITED STATES GOVERNMENT, AS REPRESENTED BY GOVERNMENT AGENCY, IS AN INTENDED THIRD-PARTY BENEFICIARY OF ALL SUBSEQUENT DISTRIBUTIONS OR REDISTRIBUTIONS OF THE SUBJECT SOFTWARE. ANYONE WHO USES, REPRODUCES, DISTRIBUTES, MODIFIES OR REDISTRIBUTES THE SUBJECT SOFTWARE, AS DEFINED HEREIN, OR ANY PART THEREOF, IS, BY THAT ACTION, ACCEPTING IN FULL THE RESPONSIBILITIES AND OBLIGATIONS CONTAINED IN THIS AGREEMENT.\n\nGovernment Agency: <<var;name=\"governmentAgency\";original=\"_______________\";match=\".+\">>\n\nGovernment Agency Original Software Designation: <<var;name=\"governmentAgencyOriginalSoftwareDesignation\";original=\"_______________\";match=\".+\">>\n\nGovernment Agency Original Software Title: <<var;name=\"governmentAgencyOriginalSoftwareTitle\";original=\"_______________\";match=\".+\">>\n\nUser Registration Requested. Please Visit <<var;name=\"userRegistrationWebsite1\";original=\"http://_______________\";match=\".+\">>\n\nGovernment Agency Point of Contact for Original Software: <<var;name=\"governmentAgencyPointOfContact1\";original=\"_______________\";match=\".+\">>\n\n   DEFINITIONS\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> \"Contributor\" means Government Agency, as the developer of the Original Software, and any entity that makes a Modification.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> \"Covered Patents\" mean patent claims licensable by a Contributor that are necessarily infringed by the use or sale of its Modification alone or when combined with the Subject Software.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> \"Display\" means the showing of a copy of the Subject Software, either directly or by means of an image, or any other device.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> \"Distribution\" means conveyance or transfer of the Subject Software, regardless of means, to another.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> \"Larger Work\" means computer software that combines Subject Software, or portions thereof, with software separate from the Subject Software that is not governed by the terms of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> \"Modification\" means any alteration of, including addition to or deletion from, the substance or structure of either the Original Software or Subject Software, and includes derivative works, as that term is defined in the Copyright Statute, 17 USC 101. However, the act of including Subject Software as part of a Larger Work does not in and of itself constitute a Modification.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> \"Original Software\" means the computer software first released under this Agreement by Government Agency with Government Agency designation <<var;name=\"governmentAgencyDesignation\";original=\"_______________\";match=\".+\">> and entitled <<var;name=\"governmentAgencyTitle\";original=\"_______________\";match=\".+\">> , including source code, object code and accompanying documentation, if any.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> \"Recipient\" means anyone who acquires the Subject Software under this Agreement, including all Contributors.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> \"Redistribution\" means Distribution of the Subject Software after a Modification has been made.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> \"Reproduction\" means the making of a counterpart, image or copy of the Subject Software.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> \"Sale\" means the exchange of the Subject Software for money or equivalent value.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> \"Subject Software\" means the Original Software, Modifications, or any respective parts thereof.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> \"Use\" means the application or employment of the Subject Software for any purpose.\n\n   GRANT OF RIGHTS\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Under Non-Patent Rights: Subject to the terms and conditions of this Agreement, each Contributor, with respect to its own contribution to the Subject Software, hereby grants to each Recipient a non-exclusive, world-wide, royalty-free license to engage in the following activities pertaining to the Subject Software:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Use\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Distribution\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Reproduction\n\n		 <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Modification\n\n		 <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Redistribution\n\n		 <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Display\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Under Patent Rights: Subject to the terms and conditions of this Agreement, each Contributor, with respect to its own contribution to the Subject Software, hereby grants to each Recipient under Covered Patents a non-exclusive, world-wide, royalty-free license to engage in the following activities pertaining to the Subject Software:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Use\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Distribution\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Reproduction\n\n		 <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Sale\n\n		 <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Offer for Sale\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> The rights granted under Paragraph B. also apply to the combination of a Contributor's Modification and the Subject Software if, at the time the Modification is added by the Contributor, the addition of such Modification causes the combination to be covered by the Covered Patents. It does not apply to any other combinations that include a Modification.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> The rights granted in Paragraphs A. and B. allow the Recipient to sublicense those same rights. Such sublicense must be under the same terms and conditions of this Agreement.\n\n   OBLIGATIONS OF RECIPIENT\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Distribution or Redistribution of the Subject Software must be made under this Agreement except for additions covered under paragraph 3H.\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Whenever a Recipient distributes or redistributes the Subject Software, a copy of this Agreement must be included with each copy of the Subject Software; and\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> If Recipient distributes or redistributes the Subject Software in any form other than source code, Recipient must also make the source code freely available, and must provide with each copy of the Subject Software information on how to obtain the source code in a reasonable manner on or through a medium customarily used for software exchange.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Each Recipient must ensure that the following copyright notice appears prominently in the Subject Software:\n\n	  [Government Agency will insert the applicable copyright notice in each agreement accompanying the initial distribution of original software and remove this bracketed language.]\n\n	  [The following copyright notice will be used if created by a contractor pursuant to Government Agency contract and rights obtained from creator by assignment. Government Agency will insert the year and its Agency designation and remove the bracketed language.] Copyright (c) {YEAR} United States Government as represented by <<var;name=\"governmentRepresentedBy1\";original=\"_______________\";match=\".+\">> . All Rights Reserved.\n\n	  [The following copyright notice will be used if created by civil servants only. Government Agency will insert the year and its Agency designation and remove the bracketed language.] Copyright (c) {YEAR} United States Government as represented by <<var;name=\"governmentRepresentedBy2\";original=\"_______________\";match=\".+\">> . No copyright is claimed in the United States under Title 17, U.S.Code. All Other Rights Reserved.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> Each Contributor must characterize its alteration of the Subject Software as a Modification and must identify itself as the originator of its Modification in a manner that reasonably allows subsequent Recipients to identify the originator of the Modification. In fulfillment of these requirements, Contributor must include a file (e.g., a change log file) that describes the alterations made and the date of the alterations, identifies Contributor as originator of the alterations, and consents to characterization of the alterations as a Modification, for example, by including a statement that the Modification is derived, directly or indirectly, from Original Software provided by Government Agency. Once consent is granted, it may not thereafter be revoked.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> A Contributor may add its own copyright notice to the Subject Software. Once a copyright notice has been added to the Subject Software, a Recipient may not remove it without the express permission of the Contributor who added the notice.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> A Recipient may not make any representation in the Subject Software or in any promotional, advertising or other material that may be consTrued as an endorsement by Government Agency or by any prior Recipient of any product or service provided by Recipient, or that may seek to obtain commercial advantage by the fact of Government Agency's or a prior Recipient's participation in this Agreement.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> In an effort to track usage and maintain accurate records of the Subject Software, each Recipient, upon receipt of the Subject Software, is requested to register with Government Agency by visiting the following website: <<var;name=\"userRegistrationWebsite2\";original=\"_______________\";match=\".+\">> . Recipient's name and personal information shall be used for statistical purposes only. Once a Recipient makes a Modification available, it is requested that the Recipient inform Government Agency at the web site provided above how to access the Modification.\n\n	  [Alternative paragraph for use when a web site for release and monitoring of subject software will not be supported by releasing Government Agency] In an effort to track usage and maintain accurate records of the Subject Software, each Recipient, upon receipt of the Subject Software, is requested to provide Government Agency, by e-mail to the Government Agency Point of Contact listed in clause 5.F., the following information: <<var;name=\"governmentAgencyPointOfContact2\";original=\"_______________\";match=\".+\">> . Recipient's name and personal information shall be used for statistical purposes only. Once a Recipient makes a Modification available, it is requested that the Recipient inform Government Agency, by e-mail to the Government Agency Point of Contact listed in clause 5.F., how to access the Modification.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Each Contributor represents that that its Modification is believed to be Contributor's original creation and does not violate any existing agreements, regulations, statutes or rules, and further that Contributor has sufficient rights to grant the rights conveyed by this Agreement.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> A Recipient may choose to offer, and to charge a fee for, warranty, support, indemnity and/or liability obligations to one or more other Recipients of the Subject Software. A Recipient may do so, however, only on its own behalf and not on behalf of Government Agency or any other Recipient. Such a Recipient must make it absolutely clear that any such warranty, support, indemnity and/or liability obligation is offered by that Recipient alone. Further, such Recipient agrees to indemnify Government Agency and every other Recipient for any liability incurred by them as a result of warranty, support, indemnity and/or liability offered by such Recipient.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> A Recipient may create a Larger Work by combining Subject Software with separate software not governed by the terms of this agreement and distribute the Larger Work as a single product. In such case, the Recipient must make sure Subject Software, or portions thereof, included in the Larger Work is subject to this Agreement.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Notwithstanding any provisions contained herein, Recipient is hereby put on notice that export of any goods or technical data from the United States may require some form of export license from the U.S. Government. Failure to obtain necessary export licenses may result in criminal liability under U.S. laws. Government Agency neither represents that a license shall not be required nor that, if required, it shall be issued. Nothing granted herein provides any such export license.\n\n   DISCLAIMER OF WARRANTIES AND LIABILITIES; WAIVER AND INDEMNIFICATION\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> No Warranty: THE SUBJECT SOFTWARE IS PROVIDED \"AS IS\" WITHOUT ANY WARRANTY OF ANY KIND, EITHER EXPRESSED, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY WARRANTY THAT THE SUBJECT SOFTWARE WILL CONFORM TO SPECIFICATIONS, ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR FREEDOM FROM INFRINGEMENT, ANY WARRANTY THAT THE SUBJECT SOFTWARE WILL BE ERROR FREE, OR ANY WARRANTY THAT DOCUMENTATION, IF PROVIDED, WILL CONFORM TO THE SUBJECT SOFTWARE. THIS AGREEMENT DOES NOT, IN ANY MANNER, CONSTITUTE AN ENDORSEMENT BY GOVERNMENT AGENCY OR ANY PRIOR RECIPIENT OF ANY RESULTS, RESULTING DESIGNS, HARDWARE, SOFTWARE PRODUCTS OR ANY OTHER APPLICATIONS RESULTING FROM USE OF THE SUBJECT SOFTWARE. FURTHER, GOVERNMENT AGENCY DISCLAIMS ALL WARRANTIES AND LIABILITIES REGARDING THIRD-PARTY SOFTWARE, IF PRESENT IN THE ORIGINAL SOFTWARE, AND DISTRIBUTES IT \"AS IS.\"\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Waiver and Indemnity: RECIPIENT AGREES TO WAIVE ANY AND ALL CLAIMS AGAINST THE UNITED STATES GOVERNMENT, ITS CONTRACTORS AND SUBCONTRACTORS, AS WELL AS ANY PRIOR RECIPIENT. IF RECIPIENT'S USE OF THE SUBJECT SOFTWARE RESULTS IN ANY LIABILITIES, DEMANDS, DAMAGES, EXPENSES OR LOSSES ARISING FROM SUCH USE, INCLUDING ANY DAMAGES FROM PRODUCTS BASED ON, OR RESULTING FROM, RECIPIENT'S USE OF THE SUBJECT SOFTWARE, RECIPIENT SHALL INDEMNIFY AND HOLD HARMLESS THE UNITED STATES GOVERNMENT, ITS CONTRACTORS AND SUBCONTRACTORS, AS WELL AS ANY PRIOR RECIPIENT, TO THE EXTENT PERMITTED BY LAW. RECIPIENT'S SOLE REMEDY FOR ANY SUCH MATTER SHALL BE THE IMMEDIATE, UNILATERAL TERMINATION OF THIS AGREEMENT.\n\n   GENERAL TERMS\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Termination: This Agreement and the rights granted hereunder will terminate automatically if a Recipient fails to comply with these terms and conditions, and fails to cure such noncompliance within thirty (30) days of becoming aware of such noncompliance. Upon termination, a Recipient agrees to immediately cease use and distribution of the Subject Software. All sublicenses to the Subject Software properly granted by the breaching Recipient shall survive any such termination of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Severability: If any provision of this Agreement is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> Applicable Law: This Agreement shall be subject to United States federal law only for all purposes, including, but not limited to, determining the validity of this Agreement, the meaning of its provisions and the rights, obligations and remedies of the parties.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Entire Understanding: This Agreement constitutes the entire understanding and agreement of the parties relating to release of the Subject Software and may not be superseded, modified or amended except by further written agreement duly executed by the parties.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Binding Authority: By accepting and using the Subject Software under this Agreement, a Recipient affirms its authority to bind the Recipient to all terms and conditions of this Agreement and that that Recipient hereby agrees to all terms and conditions herein.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Point of Contact: Any Recipient contact with Government Agency is to be directed to the designated representative as follows: <<var;name=\"governmentAgencyPointOfContact3\";original=\"_______________\";match=\".+\">> ."
		self.name = "NASA Open Source Agreement 1.3"
		self.licenseId = "NASA-1.3"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/NASA-1.3", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:20Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://ti.arc.nasa.gov/opensource/nosa/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:21Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://ti.arc.nasa.gov/opensource/nosa/", "https://opensource.org/licenses/NASA-1.3"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>NASA OPEN SOURCE AGREEMENT VERSION 1.3</p>\n\n	  </div>\n	  <p>THIS OPEN SOURCE AGREEMENT (&quot;AGREEMENT&quot;) DEFINES THE RIGHTS OF USE, REPRODUCTION, DISTRIBUTION,\n		 MODIFICATION AND REDISTRIBUTION OF CERTAIN COMPUTER SOFTWARE ORIGINALLY RELEASED BY THE UNITED STATES\n		 GOVERNMENT AS REPRESENTED BY THE GOVERNMENT AGENCY LISTED BELOW (&quot;GOVERNMENT AGENCY&quot;). THE\n		 UNITED STATES GOVERNMENT, AS REPRESENTED BY GOVERNMENT AGENCY, IS AN INTENDED THIRD-PARTY BENEFICIARY\n		 OF ALL SUBSEQUENT DISTRIBUTIONS OR REDISTRIBUTIONS OF THE SUBJECT SOFTWARE. ANYONE WHO USES,\n		 REPRODUCES, DISTRIBUTES, MODIFIES OR REDISTRIBUTES THE SUBJECT SOFTWARE, AS DEFINED HEREIN, OR ANY\n		 PART THEREOF, IS, BY THAT ACTION, ACCEPTING IN FULL THE RESPONSIBILITIES AND OBLIGATIONS CONTAINED IN\n		 THIS AGREEMENT.</p>\n\n	  <p>Government Agency: <var class=\"replaceable-license-text\"> _______________</var></p>\n\n	  <p>Government Agency Original Software Designation: <var class=\"replaceable-license-text\"> _______________</var></p>\n\n	  <p>Government Agency Original Software Title: <var class=\"replaceable-license-text\"> _______________</var></p>\n\n	  <p>User Registration Requested. Please Visit <var class=\"replaceable-license-text\"> http://_______________</var></p>\n\n	  <p>Government Agency Point of Contact for Original Software: <var class=\"replaceable-license-text\"> _______________</var></p>\n\n<ul style=\"list-style:none\">\n\n<li>\n			<p>DEFINITIONS</p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> A.</var>\n			  &quot;Contributor&quot; means Government Agency, as the developer of the Original Software, and\n				 any entity that makes a Modification.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> B.</var>\n				&quot;Covered Patents&quot; mean patent claims licensable by a Contributor that are necessarily\n				 infringed by the use or sale of its Modification alone or when combined with the Subject Software.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> C.</var>\n				 &quot;Display&quot; means the showing of a copy of the Subject Software, either directly or by means of an\n				 image, or any other device.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> D.</var>\n				&quot;Distribution&quot; means conveyance or transfer of the Subject Software, regardless of means,\n				 to another.\n			</li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> E.</var>\n				 &quot;Larger Work&quot; means computer software that combines Subject Software, or portions thereof,\n				 with software separate from the Subject Software that is not governed by the terms of this Agreement.\n\n			</li>\n			   \n<li>\n				 <var class=\"replaceable-license-text\"> F.</var>\n\n					 &quot;Modification&quot; means any alteration of, including addition to or deletion from, the substance\n					 or structure of either the Original Software or Subject Software, and includes derivative works,\n					 as that term is defined in the Copyright Statute, 17 USC 101. However, the act of including\n					 Subject Software as part of a Larger Work does not in and of itself constitute a Modification.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> G.</var>\n\n					&quot;Original Software&quot; means the computer software first released under this Agreement\n					by Government Agency with Government Agency designation <var class=\"replaceable-license-text\"> _______________</var> and entitled <var class=\"replaceable-license-text\"> _______________</var>, including\n					source code, object code and accompanying documentation, if any.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> H.</var>\n\n					&quot;Recipient&quot; means anyone who acquires the Subject Software under this Agreement, including all\n					Contributors.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> I.</var>\n				&quot;Redistribution&quot; means Distribution of the Subject Software after a\n					Modification has been made.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> J.</var>\n\n					  &quot;Reproduction&quot; means the making of a counterpart, image or copy of the Subject Software.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> K.</var>\n\n					 &quot;Sale&quot; means the exchange of the Subject Software for money or equivalent value.\n\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> L.</var>\n				&quot;Subject Software&quot; means the Original Software, Modifications, or any respective parts thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> M.</var>\n				&quot;Use&quot; means the application or employment of the Subject Software for any purpose.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>GRANT OF RIGHTS</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> A.</var>\n					Under Non-Patent Rights: Subject to the terms and conditions of this Agreement, each Contributor,\n					with respect to its own contribution to the Subject Software, hereby grants to each Recipient\n					a non-exclusive, world-wide, royalty-free license to engage in the following activities\n					pertaining to the Subject Software:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 1.</var>\n							Use\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 2.</var>\n							Distribution\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 3.</var>\n							Reproduction\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 4.</var>\n							Modification\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 5.</var>\n							Redistribution\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 6.</var>\n							Display\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> B.</var>\n					Under Patent Rights: Subject to the terms and conditions of this Agreement, each Contributor,\n					with respect to its own contribution to the Subject Software, hereby grants to each Recipient\n					under Covered Patents a non-exclusive, world-wide, royalty-free license to engage in the\n					following activities pertaining to the Subject Software:\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 1.</var>\n							Use\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 2.</var>\n							Distribution\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 3.</var>\n							Reproduction\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 4.</var>\n							Sale\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 5.</var>\n							Offer for Sale\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> C.</var>\n					The rights granted under Paragraph B. also apply to the combination of a Contributor&apos;s\n					 Modification and the Subject Software if, at the time the Modification is added by the\n					 Contributor, the addition of such Modification causes the combination to be covered by the\n					 Covered Patents. It does not apply to any other combinations that include a Modification.\n				</li>\n				\n<li>\n				  <var class=\"replaceable-license-text\"> D.</var>\n				  The rights granted in Paragraphs A. and B. allow the Recipient to sublicense those same rights.\n					 Such sublicense must be under the same terms and conditions of this Agreement.\n\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>OBLIGATIONS OF RECIPIENT</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> A.</var>\n					Distribution or Redistribution of the Subject Software must be made under this Agreement except\n					 for additions covered under paragraph 3H.\n					\n<ul style=\"list-style:none\">\n						\n<li>\n							<var class=\"replaceable-license-text\"> 1.</var>\n							Whenever a Recipient distributes or redistributes the Subject Software, a copy of this\n							 Agreement must be included with each copy of the Subject Software; and\n						</li>\n						\n<li>\n							<var class=\"replaceable-license-text\"> 2.</var>\n							If Recipient distributes or redistributes the Subject Software in any form other than source\n							   code, Recipient must also make the source code freely available, and must provide with\n							   each copy of the Subject Software information on how to obtain the source code in a\n							   reasonable manner on or through a medium customarily used for software exchange.\n						</li>\n					\n</ul>\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> B.</var>\n					Each Recipient must ensure that the following copyright notice appears prominently in the Subject\n					 Software:\n					<p>[Government Agency will insert the applicable copyright notice in each agreement accompanying the\n					 initial distribution of original software and remove this bracketed language.]</p>\n\n					<p>[The following copyright notice will be used if created by a contractor pursuant to Government\n					 Agency contract and rights obtained from creator by assignment. Government Agency will insert\n					 the year and its Agency designation and remove the bracketed language.] Copyright (c) {YEAR}\n					 United States Government as represented by <var class=\"replaceable-license-text\"> _______________</var>. All Rights Reserved.</p>\n\n					<p>[The following copyright notice will be used if created by civil servants only. Government Agency\n					 will insert the year and its Agency designation and remove the bracketed language.] Copyright\n					 (c) {YEAR} United States Government as represented by <var class=\"replaceable-license-text\"> _______________</var>. No copyright is claimed in\n					 the United States under Title 17, U.S.Code. All Other Rights Reserved.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> C.</var>\n					Each Contributor must characterize its alteration of the Subject Software as a Modification and\n					 must identify itself as the originator of its Modification in a manner that reasonably allows\n					 subsequent Recipients to identify the originator of the Modification. In fulfillment of these\n					 requirements, Contributor must include a file (e.g., a change log file) that describes the\n					 alterations made and the date of the alterations, identifies Contributor as originator of the\n					 alterations, and consents to characterization of the alterations as a Modification, for\n					 example, by including a statement that the Modification is derived, directly or indirectly,\n					 from Original Software provided by Government Agency. Once consent is granted, it may not\n					 thereafter be revoked.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> D.</var>\n					A Contributor may add its own copyright notice to the Subject Software. Once a copyright notice\n					 has been added to the Subject Software, a Recipient may not remove it without the express\n					 permission of the Contributor who added the notice.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> E.</var>\n					A Recipient may not make any representation in the Subject Software or in any promotional,\n					 advertising or other material that may be consTrued as an endorsement by Government Agency or\n					 by any prior Recipient of any product or service provided by Recipient, or that may seek to\n					 obtain commercial advantage by the fact of Government Agency&apos;s or a prior\n					 Recipient&apos;s participation in this Agreement.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> F.</var>\n					In an effort to track usage and maintain accurate records of the Subject Software, each\n					 Recipient, upon receipt of the Subject Software, is requested to register with Government\n					 Agency by visiting the following website: <var class=\"replaceable-license-text\"> _______________</var>. Recipient&apos;s name and personal\n					 information shall be used for statistical purposes only. Once a Recipient makes a Modification\n					 available, it is requested that the Recipient inform Government Agency at the web site\n					 provided above how to access the Modification.\n					<p>[Alternative paragraph for use when a web site for release and monitoring of subject software\n					 will not be supported by releasing Government Agency] In an effort to track usage and maintain\n					 accurate records of the Subject Software, each Recipient, upon receipt of the Subject\n					 Software, is requested to provide Government Agency, by e-mail to the Government Agency Point\n					 of Contact listed in clause 5.F., the following information: <var class=\"replaceable-license-text\"> _______________</var>. Recipient&apos;s name and\n					 personal information shall be used for statistical purposes only. Once a Recipient makes a\n					 Modification available, it is requested that the Recipient inform Government Agency, by e-mail\n					 to the Government Agency Point of Contact listed in clause 5.F., how to access the\n					 Modification.</p>\n\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> G.</var>\n					Each Contributor represents that that its Modification is believed to be Contributor&apos;s\n					 original creation and does not violate any existing agreements, regulations, statutes or\n					 rules, and further that Contributor has sufficient rights to grant the rights conveyed by this\n					 Agreement.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> H.</var>\n					A Recipient may choose to offer, and to charge a fee for, warranty, support, indemnity and/or\n					 liability obligations to one or more other Recipients of the Subject Software. A Recipient may\n					 do so, however, only on its own behalf and not on behalf of Government Agency or any other\n					 Recipient. Such a Recipient must make it absolutely clear that any such warranty, support,\n					 indemnity and/or liability obligation is offered by that Recipient alone. Further, such\n					 Recipient agrees to indemnify Government Agency and every other Recipient for any liability\n					 incurred by them as a result of warranty, support, indemnity and/or liability offered by such\n					 Recipient.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> I.</var>\n					A Recipient may create a Larger Work by combining Subject Software with separate software not\n					 governed by the terms of this agreement and distribute the Larger Work as a single product. In\n					 such case, the Recipient must make sure Subject Software, or portions thereof, included in the\n					 Larger Work is subject to this Agreement.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> J.</var>\n					Notwithstanding any provisions contained herein, Recipient is hereby put on notice that export of\n					 any goods or technical data from the United States may require some form of export license\n					 from the U.S. Government. Failure to obtain necessary export licenses may result in criminal\n					 liability under U.S. laws. Government Agency neither represents that a license shall not be\n					 required nor that, if required, it shall be issued. Nothing granted herein provides any such\n					 export license.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>DISCLAIMER OF WARRANTIES AND LIABILITIES; WAIVER AND INDEMNIFICATION</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> A.</var>\n					No Warranty: THE SUBJECT SOFTWARE IS PROVIDED &quot;AS IS&quot; WITHOUT ANY WARRANTY OF ANY KIND,\n					 EITHER EXPRESSED, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY WARRANTY THAT THE\n					 SUBJECT SOFTWARE WILL CONFORM TO SPECIFICATIONS, ANY IMPLIED WARRANTIES OF MERCHANTABILITY,\n					 FITNESS FOR A PARTICULAR PURPOSE, OR FREEDOM FROM INFRINGEMENT, ANY WARRANTY THAT THE SUBJECT\n					 SOFTWARE WILL BE ERROR FREE, OR ANY WARRANTY THAT DOCUMENTATION, IF PROVIDED, WILL CONFORM TO\n					 THE SUBJECT SOFTWARE. THIS AGREEMENT DOES NOT, IN ANY MANNER, CONSTITUTE AN ENDORSEMENT BY\n					 GOVERNMENT AGENCY OR ANY PRIOR RECIPIENT OF ANY RESULTS, RESULTING DESIGNS, HARDWARE, SOFTWARE\n					 PRODUCTS OR ANY OTHER APPLICATIONS RESULTING FROM USE OF THE SUBJECT SOFTWARE. FURTHER,\n					 GOVERNMENT AGENCY DISCLAIMS ALL WARRANTIES AND LIABILITIES REGARDING THIRD-PARTY SOFTWARE, IF\n					 PRESENT IN THE ORIGINAL SOFTWARE, AND DISTRIBUTES IT &quot;AS IS.&quot;\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> B.</var>\n					Waiver and Indemnity: RECIPIENT AGREES TO WAIVE ANY AND ALL CLAIMS AGAINST THE UNITED STATES\n					 GOVERNMENT, ITS CONTRACTORS AND SUBCONTRACTORS, AS WELL AS ANY PRIOR RECIPIENT. IF\n					 RECIPIENT&apos;S USE OF THE SUBJECT SOFTWARE RESULTS IN ANY LIABILITIES, DEMANDS, DAMAGES,\n					 EXPENSES OR LOSSES ARISING FROM SUCH USE, INCLUDING ANY DAMAGES FROM PRODUCTS BASED ON, OR\n					 RESULTING FROM, RECIPIENT&apos;S USE OF THE SUBJECT SOFTWARE, RECIPIENT SHALL INDEMNIFY AND\n					 HOLD HARMLESS THE UNITED STATES GOVERNMENT, ITS CONTRACTORS AND SUBCONTRACTORS, AS WELL AS ANY\n					 PRIOR RECIPIENT, TO THE EXTENT PERMITTED BY LAW. RECIPIENT&apos;S SOLE REMEDY FOR ANY SUCH\n					 MATTER SHALL BE THE IMMEDIATE, UNILATERAL TERMINATION OF THIS AGREEMENT.\n				</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<p>GENERAL TERMS</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> A.</var>\n					Termination: This Agreement and the rights granted hereunder will terminate automatically if a\n					 Recipient fails to comply with these terms and conditions, and fails to cure such\n					 noncompliance within thirty (30) days of becoming aware of such noncompliance. Upon\n					 termination, a Recipient agrees to immediately cease use and distribution of the Subject\n					 Software. All sublicenses to the Subject Software properly granted by the breaching Recipient\n					 shall survive any such termination of this Agreement.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> B.</var>\n					Severability: If any provision of this Agreement is invalid or unenforceable under applicable\n					 law, it shall not affect the validity or enforceability of the remainder of the terms of this\n					 Agreement.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> C.</var>\n					Applicable Law: This Agreement shall be subject to United States federal law only for all\n					 purposes, including, but not limited to, determining the validity of this Agreement, the\n					 meaning of its provisions and the rights, obligations and remedies of the parties.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> D.</var>\n					Entire Understanding: This Agreement constitutes the entire understanding and agreement of the\n					 parties relating to release of the Subject Software and may not be superseded, modified or\n					 amended except by further written agreement duly executed by the parties.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> E.</var>\n					Binding Authority: By accepting and using the Subject Software under this Agreement, a Recipient\n					 affirms its authority to bind the Recipient to all terms and conditions of this Agreement and\n					 that that Recipient hereby agrees to all terms and conditions herein.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> F.</var>\n					Point of Contact: Any Recipient contact with Government Agency is to be directed to the\n					 designated representative as follows: <var class=\"replaceable-license-text\"> _______________</var>.\n				</li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	"
		self.python_name = "NASA13"

	def __str__(self):
		return json.dumps(self.__dict__)


class Interbase10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "INTERBASE PUBLIC LICENSE\nVersion 1.0\n\n1. Definitions.\n\n1.0.1. \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n1.1. ''Contributor'' means each entity that creates or contributes to the creation of Modifications.\n\n1.2. ''Contributor Version'' means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n1.3. ''Covered Code'' means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n1.4. ''Electronic Distribution Mechanism'' means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n1.5. ''Executable'' means Covered Code in any form other than Source Code.\n\n1.6. ''Initial Developer'' means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n1.7. ''Larger Work'' means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n1.8. ''License'' means this document.\n\n1.8.1. \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n1.9. ''Modifications'' means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10. ''Original Code'' means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n1.11. ''Source Code'' means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n1.12. \"You'' (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You'' includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control'' means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n2. Source Code License.\n\n2.1. The Initial Developer Grant.\n\nThe Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n	 (a) under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n	 (b) under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n	 (c) the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n	 (d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.\n\n2.2. Contributor Grant.\n\nSubject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n	 (a) under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n	 (b) under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n	 (c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n	 (d) Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n3. Distribution Obligations.\n\n3.1. Application of License.\n\nThe Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n3.2. Availability of Source Code.\n\nAny Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n3.3. Description of Modifications.\n\nYou must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n3.4. Intellectual Property Matters\n\n	 (a) Third Party Claims.\n\n	 If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL'' which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n	 (b) Contributor APIs.\n\n	 If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n	 (c) Representations.\n\n	 Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n3.5. Required Notices.\n\nYou must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n3.6. Distribution of Executable Versions.\n\nYou may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n3.7. Larger Works.\n\nYou may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n6. Versions of the License.\n\n6.1. New Versions.\n\nBorland Software Corporation (''Interbase'') may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n6.2. Effect of New Versions.\n\nOnce Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Interbase. No one other than Interbase has the right to modify the terms applicable to Covered Code created under this License.\n\n6.3. Derivative Works.\n\nIf You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases ''Mozilla'', ''MOZILLAPL'', ''MOZPL'', ''Netscape'', \"MPL\", ''NPL\", \"Interbase\", \"ISC\", \"IB'' or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n6.4 Origin of the Interbase Public License.\n\nThe Interbase public license is based on the Mozilla Public License V 1.1 with the following changes:\n\nThe license is published by Borland Software Corporation. Only Borland Software Corporation can modify the terms applicable to Covered Code.\nThe license can be modified used for code which is not already governed by this license. Modified versions of the license must be renamed to avoid confusion with Netscape?s or Interbase Software?s license and must include a description of changes from the Interbase Public License.\nThe name of the license in Exhibit A is the \"Interbase Public License\".\nThe reference to an alternative license in Exhibit A has been removed.\nAmendments I, II, III, V, and VI have been deleted.\nExhibit A, Netscape Public License has been deleted\nA new amendment (II) has been added, describing the required and restricted rights to use the trademarks of Borland Software Corporation\n7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS'' BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. TERMINATION.\n\n8.1. This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n8.2. If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n	 (a) such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n	 (b) any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n8.3. If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n8.4. In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a ''commercial item,'' as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of ''commercial computer software'' and ''commercial computer software documentation,'' as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n12. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n13. MULTIPLE-LICENSED CODE.\n\nInitial Developer may designate portions of the Covered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the NPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\nEXHIBIT A - InterBase Public License.\n\n``The contents of this file are subject to the Interbase Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.Interbase.com/IPL.html\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code was created by InterBase Software Corp and its successors.\n\nPortions created by Borland/Inprise are Copyright (C) Borland/Inprise. All Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAMENDMENTS\n\nI. InterBase and logo. This License does not grant any rights to use the trademarks \"Interbase'', \"Java\" or \"JavaScript\" even if such marks are included in the Original Code or Modifications.\n\nII. Trademark Usage.\n\nII.1. Advertising Materials. All advertising materials mentioning features or use of the covered Code must display the following acknowledgement: \"This product includes software developed by Borland Software Corp. \"\n\nII.2. Endorsements. The names \"InterBase,\" \"ISC,\" and \"IB\" must not be used to endorse or promote Contributor Versions or Larger Works without the prior written permission of Interbase.\n\nII.3. Product Names. Contributor Versions and Larger Works may not be called \"InterBase\" or \"Interbase\" nor may the word \"InterBase\" appear in their names without the prior written permission of Interbase.\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>\"<<endOptional>>The contents of this file are subject to the Interbase Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.Interbase.com/IPL.html\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code was created by InterBase Software Corp and its successors.\n\nPortions created by Borland/Inprise are Copyright (C) Borland/Inprise. All Rights Reserved.\n\nContributor(s): <<var;name=\"contributor\";original=\"______________________________________\";match=\".+\">> .\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>INTERBASE PUBLIC LICENSE\n\nVersion 1.0\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.0.1.\";match=\".{0,20}\">> \"Commercial Use\" means distribution or otherwise making the Covered Code available to a third party.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> ''Contributor'' means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> ''Contributor Version'' means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> ''Covered Code'' means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> ''Electronic Distribution Mechanism'' means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> ''Executable'' means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> ''Initial Developer'' means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> ''Larger Work'' means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> ''License'' means this document.\n\n	  <<var;name=\"bullet\";original=\"1.8.1.\";match=\".{0,20}\">> \"Licensable\" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> ''Modifications'' means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> ''Original Code'' means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.10.1.\";match=\".{0,20}\">> \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> ''Source Code'' means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> \"You'' (or \"Your\") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, \"You'' includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, \"control'' means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Initial Developer Grant.\n\n	  The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant.\n\n	  Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.\n\n		 <<var;name=\"bullet\";original=\"(d)\";match=\".{0,20}\">> Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Application of License.\n\n	  The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code.\n\n	  Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications.\n\n	  You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims.\n\n		 If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled \"LEGAL'' which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs.\n\n		 If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.\n\n		 <<var;name=\"bullet\";original=\"(c)\";match=\".{0,20}\">> Representations.\n\n		 Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices.\n\n	  You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Versions.\n\n	  You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works.\n\n	  You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Application of this License.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> New Versions.\n\n	  Borland Software Corporation (''Interbase'') may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> Effect of New Versions.\n\n	  Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Interbase. No one other than Interbase has the right to modify the terms applicable to Covered Code created under this License.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> Derivative Works.\n\n	  If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases ''Mozilla'', ''MOZILLAPL'', ''MOZPL'', ''Netscape'', \"MPL\", ''NPL\", \"Interbase\", \"ISC\", \"IB'' or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n	  <<var;name=\"bullet\";original=\"6.4\";match=\".{0,20}\">> Origin of the Interbase Public License.\n\n	  The Interbase public license is based on the Mozilla Public License V 1.1 with the following changes:\n\n	  The license is published by Borland Software Corporation. Only Borland Software Corporation can modify the terms applicable to Covered Code.\n\n	  The license can be modified used for code which is not already governed by this license. Modified versions of the license must be renamed to avoid confusion with Netscape?s or Interbase Software?s license and must include a description of changes from the Interbase Public License.\n\n	  The name of the license in Exhibit A is the \"Interbase Public License\".\n\n	  The reference to an alternative license in Exhibit A has been removed.\n\n	  Amendments I, II, III, V, and VI have been deleted.\n\n	  Exhibit A, Netscape Public License has been deleted\n\n	  A new amendment (II) has been added, describing the required and restricted rights to use the trademarks of Borland Software Corporation\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS'' BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TERMINATION.\n\n	  <<var;name=\"bullet\";original=\"8.1.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n	  <<var;name=\"bullet\";original=\"8.2.\";match=\".{0,20}\">> If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as \"Participant\") alleging that:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.\n\n	  <<var;name=\"bullet\";original=\"8.3.\";match=\".{0,20}\">> If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.\n\n	  <<var;name=\"bullet\";original=\"8.4.\";match=\".{0,20}\">> In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS.\n\n   The Covered Code is a ''commercial item,'' as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of ''commercial computer software'' and ''commercial computer software documentation,'' as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> MISCELLANEOUS.\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS.\n\n   As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> MULTIPLE-LICENSED CODE.\n\n   Initial Developer may designate portions of the Covered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the NPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.\n\n   EXHIBIT A - InterBase Public License.\n\n   <<beginOptional>>\"<<endOptional>>The contents of this file are subject to the Interbase Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.Interbase.com/IPL.html\n\n   Software distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\n   The Original Code was created by InterBase Software Corp and its successors.\n\n   Portions created by Borland/Inprise are Copyright (C) Borland/Inprise. All Rights Reserved.\n\n   Contributor(s): <<var;name=\"contributor\";original=\"______________________________________\";match=\".+\">> .\n\nAMENDMENTS\n\n   <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> InterBase and logo. This License does not grant any rights to use the trademarks \"Interbase'', \"Java\" or \"JavaScript\" even if such marks are included in the Original Code or Modifications.\n\n   <<var;name=\"bullet\";original=\"II.\";match=\".{0,20}\">> Trademark Usage.\n\n	  <<var;name=\"bullet\";original=\"II.1.\";match=\".{0,20}\">> Advertising Materials. All advertising materials mentioning features or use of the covered Code must display the following acknowledgement: \"This product includes software developed by Borland Software Corp. \"\n\n	  <<var;name=\"bullet\";original=\"II.2.\";match=\".{0,20}\">> Endorsements. The names \"InterBase,\" \"ISC,\" and \"IB\" must not be used to endorse or promote Contributor Versions or Larger Works without the prior written permission of Interbase.\n\n	  <<var;name=\"bullet\";original=\"II.3.\";match=\".{0,20}\">> Product Names. Contributor Versions and Larger Works may not be called \"InterBase\" or \"Interbase\" nor may the word \"InterBase\" appear in their names without the prior written permission of Interbase."
		self.name = "Interbase Public License v1.0"
		self.licenseComments = "This license is essentially a rebranded version of MPL-1.1, but with some important changes. A new AMENDMENTS section is introduced, which includes an advertisement clause, non-endorsement and no-trademark clauses, as well as product/project naming rules. These changes are summarised in the new \u00a76.4 where it is also explicitly stated that the license is a modificaton on MPL-1.1."
		self.licenseId = "Interbase-1.0"
		self.standardLicenseHeader = "\"The contents of this file are subject to the Interbase Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.Interbase.com/IPL.html\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code was created by InterBase Software Corp and its successors.\n\nPortions created by Borland/Inprise are Copyright (C) Borland/Inprise. All Rights Reserved.\n\nContributor(s): ______________________________________ .\n\n"
		self.crossRef = [{"match": "N/A", "url": "https://web.archive.org/web/20060319014854/http://info.borland.com/devsupport/interbase/opensource/IPL.html", "isValid": False, "isLive": False, "timestamp": "2024-04-24T11:09:51Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://web.archive.org/web/20060319014854/http://info.borland.com/devsupport/interbase/opensource/IPL.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>INTERBASE PUBLIC LICENSE\n		<br />\n\nVersion 1.0\n	  </p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.0.1.</var>\n			  &quot;Commercial Use&quot; means distribution or otherwise making the Covered Code\n				 available to a third party.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			  &apos;&apos;Contributor&apos;&apos; means each entity that creates or contributes to the creation\n				 of Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			  &apos;&apos;Contributor Version&apos;&apos; means the combination of the Original Code, prior\n				 Modifications used by a Contributor, and the Modifications made by that particular\n				 Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			  &apos;&apos;Covered Code&apos;&apos; means the Original Code or Modifications or the combination\n				 of the Original Code and Modifications, in each case including portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			  &apos;&apos;Electronic Distribution Mechanism&apos;&apos; means a mechanism generally accepted in\n				 the software development community for the electronic transfer of data.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			  &apos;&apos;Executable&apos;&apos; means Covered Code in any form other than Source Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			  &apos;&apos;Initial Developer&apos;&apos; means the individual or entity identified as the\n				 Initial Developer in the Source Code notice required by Exhibit A.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			  &apos;&apos;Larger Work&apos;&apos; means a work which combines Covered Code or portions thereof\n				 with code not governed by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			  &apos;&apos;License&apos;&apos; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.1.</var>\n			  &quot;Licensable&quot; means having the right to grant, to the maximum extent possible,\n				 whether at the time of the initial grant or subsequently acquired, any and all of the rights\n				 conveyed herein.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			  &apos;&apos;Modifications&apos;&apos; means any addition to or deletion from the substance or\n				 structure of either the Original Code or any previous Modifications. When Covered Code is\n				 released as a series of files, a Modification is:\n				\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				  Any addition to or deletion from the contents of a file containing Original Code or previous\n					 Modifications.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				  Any new file that contains any part of the Original Code or previous Modifications.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			  &apos;&apos;Original Code&apos;&apos; means Source Code of computer software code which is\n				 described in the Source Code notice required by Exhibit A as Original Code, and which, at the\n				 time of its release under this License is not already Covered Code governed by this\n				 License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.1.</var>\n			  &quot;Patent Claims&quot; means any patent claim(s), now owned or hereafter acquired,\n				 including without limitation, method, process, and apparatus claims, in any patent Licensable\n				 by grantor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			  &apos;&apos;Source Code&apos;&apos; means the preferred form of the Covered Code for making\n				 modifications to it, including all modules it contains, plus any associated interface\n				 definition files, scripts used to control compilation and installation of an Executable, or\n				 source code differential comparisons against either the Original Code or another well known,\n				 available Covered Code of the Contributor&apos;s choice. The Source Code can be in a\n				 compressed or archival form, provided the appropriate decompression or de-archiving software\n				 is widely available for no charge.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			  &quot;You&apos;&apos; (or &quot;Your&quot;) means an individual or a legal entity exercising\n				 rights under, and complying with all of the terms of, this License or a future version of this\n				 License issued under Section 6.1. For legal entities, &quot;You&apos;&apos; includes any\n				 entity which controls, is controlled by, or is under common control with You. For purposes of\n				 this definition, &quot;control&apos;&apos; means (a) the power, direct or indirect, to cause\n				 the direction or management of such entity, whether by contract or otherwise, or (b) ownership\n				 of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such\n				 entity.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Source Code License.\n			\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			  The Initial Developer Grant.\n			  <p>The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license,\n				 subject to third party intellectual property claims:</p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				under intellectual property rights (other than patent or trademark) Licensable by Initial\n				   Developer to use, reproduce, modify, display, perform, sublicense and distribute the\n				   Original Code (or portions thereof) with or without Modifications, and/or as part of a\n				   Larger Work; and\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				under Patents Claims infringed by the making, using or selling of Original Code, to make,\n				   have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the\n				   Original Code (or portions thereof).\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial\n				   Developer first distributes Original Code under the terms of this License.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You\n				   delete from the Original Code; 2) separate from the Original Code; or 3) for infringements\n				   caused by: i) the modification of the Original Code or ii) the combination of the Original\n				   Code with other software or devices.\n			  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.2.</var>\n			  Contributor Grant.\n			  <p>Subject to third party intellectual property claims, each Contributor hereby grants You a\n				 world-wide, royalty-free, non-exclusive license</p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				under intellectual property rights (other than patent or trademark) Licensable by\n				   Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the\n				   Modifications created by such Contributor (or portions thereof) either on an unmodified\n				   basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				under Patent Claims infringed by the making, using, or selling of Modifications made by that\n				   Contributor either alone and/or in combination with its Contributor Version (or portions\n				   of such combination), to make, use, sell, offer for sale, have made, and/or otherwise\n				   dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the\n				   combination of Modifications made by that Contributor with its Contributor Version (or\n				   portions of such combination).\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor\n				   first makes Commercial Use of the Covered Code.\n			  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (d)</var>\n				Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that\n				   Contributor has deleted from the Contributor Version; 2) separate from the Contributor\n				   Version; 3) for infringements caused by: i) third party modifications of Contributor\n				   Version or ii) the combination of Modifications made by that Contributor with other\n				   software (except as part of the Contributor Version) or other devices; or 4) under Patent\n				   Claims infringed by Covered Code in the absence of Modifications made by that\n				   Contributor.\n			  </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Distribution Obligations.\n			\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			  Application of License.\n			  <p>The Modifications which You create or to which You contribute are governed by the terms of this\n				 License, including without limitation Section 2.2. The Source Code version of Covered Code may\n				 be distributed only under the terms of this License or a future version of this License\n				 released under Section 6.1, and You must include a copy of this License with every copy of the\n				 Source Code You distribute. You may not offer or impose any terms on any Source Code version\n				 that alters or restricts the applicable version of this License or the recipients&apos; rights\n				 hereunder. However, You may include an additional document offering the additional rights\n				 described in Section 3.5.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			  Availability of Source Code.\n			  <p>Any Modification which You create or to which You contribute must be made available in Source\n				 Code form under the terms of this License either on the same media as an Executable version or\n				 via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable\n				 version available; and if made available via Electronic Distribution Mechanism, must remain\n				 available for at least twelve (12) months after the date it initially became available, or at\n				 least six (6) months after a subsequent version of that particular Modification has been made\n				 available to such recipients. You are responsible for ensuring that the Source Code version\n				 remains available even if the Electronic Distribution Mechanism is maintained by a third\n				 party.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			  Description of Modifications.\n			  <p>You must cause all Covered Code to which You contribute to contain a file documenting the changes\n				 You made to create that Covered Code and the date of any change. You must include a prominent\n				 statement that the Modification is derived, directly or indirectly, from Original Code\n				 provided by the Initial Developer and including the name of the Initial Developer in (a) the\n				 Source Code, and (b) in any notice in an Executable version or related documentation in which\n				 You describe the origin or ownership of the Covered Code.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			  Intellectual Property Matters\n			\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				Third Party Claims.\n				<p>If Contributor has knowledge that a license under a third party&apos;s intellectual property\n				   rights is required to exercise the rights granted by such Contributor under Sections 2.1\n				   or 2.2, Contributor must include a text file with the Source Code distribution titled\n				   &quot;LEGAL&apos;&apos; which describes the claim and the party making the claim in\n				   sufficient detail that a recipient will know whom to contact. If Contributor obtains such\n				   knowledge after the Modification is made available as described in Section 3.2,\n				   Contributor shall promptly modify the LEGAL file in all copies Contributor makes available\n				   thereafter and shall take other steps (such as notifying appropriate mailing lists or\n				   newsgroups) reasonably calculated to inform those who received the Covered Code that new\n				   knowledge has been obtained.</p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				Contributor APIs.\n				<p>If Contributor&apos;s Modifications include an application programming interface and\n				   Contributor has knowledge of patent licenses which are reasonably necessary to implement\n				   that API, Contributor must also include this information in the LEGAL file.</p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (c)</var>\n				Representations.\n				<p>Contributor represents that, except as disclosed pursuant to Section 3.4(a) above,\n				   Contributor believes that Contributor&apos;s Modifications are Contributor&apos;s original\n				   creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this\n				   License.</p>\n\n					 </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			  Required Notices.\n			  <p>You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible\n				 to put such notice in a particular Source Code file due to its structure, then You must\n				 include such notice in a location (such as a relevant directory) where a user would be likely\n				 to look for such a notice. If You created one or more Modification(s) You may add your name as\n				 a Contributor to the notice described in Exhibit A. You must also duplicate this License in\n				 any documentation for the Source Code where You describe recipients&apos; rights or ownership\n				 rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty,\n				 support, indemnity or liability obligations to one or more recipients of Covered Code.\n				 However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or\n				 any Contributor. You must make it absolutely clear than any such warranty, support, indemnity\n				 or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial\n				 Developer and every Contributor for any liability incurred by the Initial Developer or such\n				 Contributor as a result of warranty, support, indemnity or liability terms You offer.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n			  Distribution of Executable Versions.\n			  <p>You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5\n				 have been met for that Covered Code, and if You include a notice stating that the Source Code\n				 version of the Covered Code is available under the terms of this License, including a\n				 description of how and where You have fulfilled the obligations of Section 3.2. The notice\n				 must be conspicuously included in any notice in an Executable version, related documentation\n				 or collateral in which You describe recipients&apos; rights relating to the Covered Code. You\n				 may distribute the Executable version of Covered Code or ownership rights under a license of\n				 Your choice, which may contain terms different from this License, provided that You are in\n				 compliance with the terms of this License and that the license for the Executable version does\n				 not attempt to limit or alter the recipient&apos;s rights in the Source Code version from the\n				 rights set forth in this License. If You distribute the Executable version under a different\n				 license You must make it absolutely clear that any terms which differ from this License are\n				 offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to\n				 indemnify the Initial Developer and every Contributor for any liability incurred by the\n				 Initial Developer or such Contributor as a result of any such terms You offer.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7.</var>\n			  Larger Works.\n			  <p>You may create a Larger Work by combining Covered Code with other code not governed by the terms\n				 of this License and distribute the Larger Work as a single product. In such a case, You must\n				 make sure the requirements of this License are fulfilled for the Covered Code.</p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Inability to Comply Due to Statute or Regulation.\n		  <p>If it is impossible for You to comply with any of the terms of this License with respect to some\n			 or all of the Covered Code due to statute, judicial order, or regulation then You must: (a)\n			 comply with the terms of this License to the maximum extent possible; and (b) describe the\n			 limitations and the code they affect. Such description must be included in the LEGAL file\n			 described in Section 3.4 and must be included with all distributions of the Source Code.\n			 Except to the extent prohibited by statute or regulation, such description must be\n			 sufficiently detailed for a recipient of ordinary skill to be able to understand it.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Application of this License.\n		  <p>This License applies to code to which the Initial Developer has attached the notice in Exhibit A\n			 and to related Covered Code.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Versions of the License.\n			\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n			  New Versions.\n			  <p>Borland Software Corporation (&apos;&apos;Interbase&apos;&apos;) may publish revised and/or new\n				 versions of the License from time to time. Each version will be given a distinguishing version\n				 number.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n			  Effect of New Versions.\n			  <p>Once Covered Code has been published under a particular version of the License, You may always\n				 continue to use it under the terms of that version. You may also choose to use such Covered\n				 Code under the terms of any subsequent version of the License published by Interbase. No one\n				 other than Interbase has the right to modify the terms applicable to Covered Code created\n				 under this License.</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3.</var>\n			  Derivative Works.\n			  <p>If You create or use a modified version of this License (which you may only do in order to apply\n				 it to code which is not already Covered Code governed by this License), You must (a) rename\n				 Your license so that the phrases &apos;&apos;Mozilla&apos;&apos;,\n				 &apos;&apos;MOZILLAPL&apos;&apos;, &apos;&apos;MOZPL&apos;&apos;,\n				 &apos;&apos;Netscape&apos;&apos;, &quot;MPL&quot;, &apos;&apos;NPL&quot;,\n				 &quot;Interbase&quot;, &quot;ISC&quot;, &quot;IB&apos;&apos; or any confusingly similar phrase\n				 do not appear in your license (except to note that your license differs from this License) and\n				 (b) otherwise make it clear that Your version of the license contains terms which differ from\n				 the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial\n				 Developer, Original Code or Contributor in the notice described in Exhibit A shall not of\n				 themselves be deemed to be modifications of this License.)</p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.4</var>\n			  Origin of the Interbase Public License.\n			  <p>The Interbase public license is based on the Mozilla Public License V 1.1 with the following changes:\n				<br />\n\n	  The license is published by Borland Software Corporation. Only Borland Software Corporation\n					 can modify the terms applicable to Covered Code.\n				<br />\n\n	  The license can be modified used for code which is not already governed by this license.\n					 Modified versions of the license must be renamed to avoid confusion with Netscape?s or\n					 Interbase Software?s license and must include a description of changes from the\n					 Interbase Public License.\n				<br />\n\n	  The name of the license in Exhibit A is the &quot;Interbase Public License&quot;.\n				<br />\n\n	  The reference to an alternative license in Exhibit A has been removed.\n				<br />\n\n	  Amendments I, II, III, V, and VI have been deleted.\n				<br />\n\n	  Exhibit A, Netscape Public License has been deleted\n				<br />\n\n	  A new amendment (II) has been added, describing the required and restricted rights to use\n					 the trademarks of Borland Software Corporation\n			  </p>\n\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  DISCLAIMER OF WARRANTY.\n		  <p>COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN &quot;AS IS&apos;&apos; BASIS, WITHOUT WARRANTY\n			 OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE\n			 COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING.\n			 THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY\n			 COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER\n			 CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\n			 OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS\n			 AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  TERMINATION.\n			\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1.</var>\n			  This License and the rights granted hereunder will terminate automatically if You fail to comply\n				 with terms herein and fail to cure such breach within 30 days of becoming aware of the breach.\n				 All sublicenses to the Covered Code which are properly granted shall survive any termination\n				 of this License. Provisions which, by their nature, must remain in effect beyond the\n				 termination of this License shall survive.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2.</var>\n			  If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment\n				 actions) against Initial Developer or a Contributor (the Initial Developer or Contributor\n				 against whom You file such action is referred to as &quot;Participant&quot;) alleging\n				 that:\n				\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n					such Participant&apos;s Contributor Version directly or indirectly infringes any patent, then\n					   any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of\n					   this License shall, upon 60 days notice from Participant terminate prospectively, unless\n					   if within 60 days after receipt of notice You either: (i) agree in writing to pay\n					   Participant a mutually agreeable reasonable royalty for Your past and future use of\n					   Modifications made by such Participant, or (ii) withdraw Your litigation claim with\n					   respect to the Contributor Version against such Participant. If within 60 days of notice,\n					   a reasonable royalty and payment arrangement are not mutually agreed upon in writing by\n					   the parties or the litigation claim is not withdrawn, the rights granted by Participant to\n					   You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day\n					   notice period specified above.\n				  </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n					any software, hardware, or device, other than such Participant&apos;s Contributor Version,\n					   directly or indirectly infringes any patent, then any rights granted to You by such\n					   Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You\n					   first made, used, sold, distributed, or had made, Modifications made by that\n					   Participant.\n				  </li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.3.</var>\n			  If You assert a patent infringement claim against Participant alleging that such\n				 Participant&apos;s Contributor Version directly or indirectly infringes any patent where such\n				 claim is resolved (such as by license or settlement) prior to the initiation of patent\n				 infringement litigation, then the reasonable value of the licenses granted by such Participant\n				 under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of\n				 any payment or license.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.4.</var>\n			  In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements\n				 (excluding distributors and resellers) which have been validly granted by You or any\n				 distributor hereunder prior to termination shall survive termination.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY.\n		  <p>UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT,\n			 OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF\n			 COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY\n			 INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT\n			 LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR\n			 ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF\n			 THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR\n			 DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT APPLICABLE\n			 LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF\n			 INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\n			 YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  U.S. GOVERNMENT END USERS.\n		  <p>The Covered Code is a &apos;&apos;commercial item,&apos;&apos; as that term is defined in 48\n			 C.F.R. 2.101 (Oct. 1995), consisting of &apos;&apos;commercial computer software&apos;&apos;\n			 and &apos;&apos;commercial computer software documentation,&apos;&apos; as such terms are used\n			 in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1\n			 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only\n			 those rights set forth herein.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  MISCELLANEOUS.\n		  <p>This License represents the complete agreement concerning subject matter hereof. If any provision\n			 of this License is held to be unenforceable, such provision shall be reformed only to the\n			 extent necessary to make it enforceable. This License shall be governed by California law\n			 provisions (except to the extent applicable law, if any, provides otherwise), excluding its\n			 conflict-of-law provisions. With respect to disputes in which at least one party is a citizen\n			 of, or an entity chartered or registered to do business in the United States of America, any\n			 litigation relating to this License shall be subject to the jurisdiction of the Federal Courts\n			 of the Northern District of California, with venue lying in Santa Clara County, California,\n			 with the losing party responsible for costs, including without limitation, court costs and\n			 reasonable attorneys&apos; fees and expenses. The application of the United Nations Convention\n			 on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation\n			 which provides that the language of a contract shall be consTrued against the drafter shall\n			 not apply to this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  RESPONSIBILITY FOR CLAIMS.\n		  <p>As between Initial Developer and the Contributors, each party is responsible for claims and\n			 damages arising, directly or indirectly, out of its utilization of rights under this License\n			 and You agree to work with Initial Developer and Contributors to distribute such\n			 responsibility on an equitable basis. Nothing herein is intended or shall be deemed to\n			 constitute any admission of liability.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  MULTIPLE-LICENSED CODE.\n		  <p>Initial Developer may designate portions of the Covered Code as &quot;Multiple-Licensed&quot;.\n			 &quot;Multiple-Licensed&quot; means that the Initial Developer permits you to utilize portions\n			 of the Covered Code under Your choice of the NPL or the alternative licenses, if any,\n			 specified by the Initial Developer in the file described in Exhibit A.</p>\n\n			<p>EXHIBIT A - InterBase Public License.</p>\n\n			<p><var class=\"optional-license-text\">&quot;</var>The contents of this file are subject to the Interbase Public License Version 1.0 (the\n			 &quot;License&quot;); you may not use this file except in compliance with the License. You may\n			 obtain a copy of the License at http://www.Interbase.com/IPL.html</p>\n\n			<p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT\n			 WARRANTY OF ANY KIND, either express or implied. See the License for the specific language\n			 governing rights and limitations under the License.</p>\n\n			<p>The Original Code was created by InterBase Software Corp and its successors.</p>\n\n			<p>Portions created by Borland/Inprise are Copyright (C) Borland/Inprise. All Rights Reserved.</p>\n\n			<p>Contributor(s): <var class=\"replaceable-license-text\"> ______________________________________</var>.</p>\n\n		</li>\n	  \n</ul>\n		  <p>AMENDMENTS</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n		  InterBase and logo. This License does not grant any rights to use the trademarks\n			 &quot;Interbase&apos;&apos;, &quot;Java&quot; or &quot;JavaScript&quot; even if such marks are\n			 included in the Original Code or Modifications.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> II.</var>\n		  Trademark Usage.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> II.1.</var>\n			  Advertising Materials. All advertising materials mentioning features or use of the covered Code\n				 must display the following acknowledgement: &quot;This product includes software developed by Borland\n				 Software Corp. &quot;\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> II.2.</var>\n			  Endorsements. The names &quot;InterBase,&quot; &quot;ISC,&quot; and &quot;IB&quot; must not be used\n				 to endorse or promote Contributor Versions or Larger Works without the prior written permission of\n				 Interbase.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> II.3.</var>\n			  Product Names. Contributor Versions and Larger Works may not be called &quot;InterBase&quot; or\n				 &quot;Interbase&quot; nor may the word &quot;InterBase&quot; appear in their names without the prior\n				 written permission of Interbase.\n			</li>\n			\n</ul>\n		 </li>\n	  \n</ul>\n	"
		self.standardLicenseHeaderHtml = "\n			<p><var class=\"optional-license-text\">&quot;</var>The contents of this file are subject to the Interbase Public License Version 1.0 (the\n			 &quot;License&quot;); you may not use this file except in compliance with the License. You may\n			 obtain a copy of the License at http://www.Interbase.com/IPL.html</p>\n\n			<p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT\n			 WARRANTY OF ANY KIND, either express or implied. See the License for the specific language\n			 governing rights and limitations under the License.</p>\n\n			<p>The Original Code was created by InterBase Software Corp and its successors.</p>\n\n			<p>Portions created by Borland/Inprise are Copyright (C) Borland/Inprise. All Rights Reserved.</p>\n\n			<p>Contributor(s): <var class=\"replaceable-license-text\"> ______________________________________</var>.</p>\n\n			"
		self.python_name = "Interbase10"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL12invariantsorlater:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU Free Documentation License\nVersion 1.2, November 2002\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\nThe Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n	 H. Include an unaltered copy of this License.\n	 I. Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n	 O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\n with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with <<var;name=\"invariantSections\";original=\"the Invariant Sections being LIST THEIR TITLES\";match=\"the Invariant Sections	   being .+|no Invariant Sections\">> , with <<var;name=\"frontCoverTexts\";original=\"the Front-Cover Texts being LIST\";match=\"the Front-Cover Texts being .+|no Front-Cover Texts\">> , and with <<var;name=\"backCoverTexts\";original=\"the Back-Cover Texts being LIST\";match=\"the Back-Cover Texts being .+|no Back-Cover Texts\">> . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.2, November 2002\n\n<<endOptional>>\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   A section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\n   The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n\n	  <<var;name=\"bullet\";original=\"O.\";match=\".{0,20}\">> Preserve any Warranty Disclaimers.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\n   If a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts,and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.2 or later - invariants"
		self.licenseComments = "This license was released November 2002. The identifier GFDL-1.2-or-later-invariants should only be used when there are Invariant Sections, Front-Cover Texts or Back-Cover Texts. See GFDL-1.2-or-later and GFDL-1.2-or-later-no-invariants for alternatives."
		self.licenseId = "GFDL-1.2-invariants-or-later"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with the Invariant Sections being LIST THEIR TITLES , with the Front-Cover Texts being LIST , and with the Back-Cover Texts being LIST . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/fdl-1.2.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:18:24Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/fdl-1.2.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.2, November 2002\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2000,2001,2002 Free Software Foundation,\n	  Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook, or\n		  other functional and useful document &quot;free&quot; in the sense of\n		  freedom: to assure everyone the effective freedom to copy and\n		  redistribute it, with or without modifying it, either commercially\n		  or noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work, in any medium,\n		  that contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. Such a\n		  notice grants a world-wide, royalty-free license, unlimited in\n		  duration, to use that work under the conditions stated herein.\n		  The &quot;Document&quot;, below, refers to any such manual or work.\n		  Any member of the public is a licensee, and is addressed as\n		  &quot;you&quot;. You accept the license if you copy, modify or distribute\n		  the work in a way requiring permission under copyright law.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter\n		  section of the Document that deals exclusively with the\n		  relationship of the publishers or authors of the Document to the\n		  Document&apos;s overall subject (or to related matters) and contains\n		  nothing that could fall directly within that overall subject.\n		  (Thus, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections,\n		  in the notice that says that the Document is released under\n		  this License. If a section does not fit the above definition of\n		  Secondary then it is not allowed to be designated as Invariant.\n		  The Document may contain zero Invariant Sections. If the Document\n		  does not identify any Invariant Sections then there are none.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are listed,\n		  as Front-Cover Texts or Back-Cover Texts, in the notice that says that\n		  the Document is released under this License. A Front-Cover Text may\n		  be at most 5 words, and a Back-Cover Text may be at most 25 words.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable\n		  copy, represented in a format whose specification is available\n		  to the general public, that is suitable for revising the document\n		  straightforwardly with generic text editors or (for images composed of\n		  pixels) generic paint programs or (for drawings) some widely available\n		  drawing editor, and that is suitable for input to text formatters or\n		  for automatic translation to a variety of formats suitable for input\n		  to text formatters. A copy made in an otherwise Transparent file\n		  format whose markup, or absence of markup, has been arranged to thwart\n		  or discourage subsequent modification by readers is not Transparent.\n		  An image format is not Transparent if used for any substantial\n		  amount of text. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include plain\n		  ASCII without markup, Texinfo input format, LaTeX input format,\n		  SGML or XML using a publicly available DTD, and standard-conforming\n		  simple HTML, PostScript or PDF designed for human modification.\n		  Examples of transparent image formats include PNG, XCF and JPG.\n		  Opaque formats include proprietary formats that can be read\n		  and edited only by proprietary word processors, SGML or XML\n		  for which the DTD and/or processing tools are not generally\n		  available, and the machine-generated HTML, PostScript or PDF\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n		<p>\n		  A section &quot;Entitled XYZ&quot; means a named subunit of the Document whose\n		  title either is precisely XYZ or contains XYZ in parentheses following\n		  text that translates XYZ in another language. (Here XYZ stands for\n		  a specific section name mentioned below, such as &quot;Acknowledgements&quot;,\n		  &quot;Dedications&quot;, &quot;Endorsements&quot;, or &quot;History&quot;.) To &quot;Preserve the\n		  Title&quot; of such a section when you modify the Document means that\n		  it remains a section &quot;Entitled XYZ&quot; according to this definition.\n		</p>\n\n		<p>\n		  The Document may include Warranty Disclaimers next to the notice\n		  which states that this License applies to the Document. These\n		  Warranty Disclaimers are considered to be included by reference\n		  in this License, but only as regards disclaiming warranties:\n		  any other implication that these Warranty Disclaimers may\n		  have is void and has no effect on the meaning of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies (or copies in media that commonly\n		  have printed covers) of the Document, numbering more than 100,\n		  and the Document&apos;s license notice requires Cover Texts, you must\n		  enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a computer-network location from which the general\n		  network-using public has access to download using public-standard\n		  network protocols a complete Transparent copy of the Document,\n		  free of added material. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or\n			entities responsible for authorship of the modifications in the\n			Modified Version, together with at least five of the principal\n			authors of the Document (all of its principal authors, if it has\n			fewer than five), unless they release you from this requirement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant Sections\n			and required Cover Texts given in the Document&apos;s license notice.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> H.</var>\n			Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section Entitled &quot;History&quot;, Preserve its Title, and\n			add to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section Entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			For any section Entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			Preserve the Title of the section, and preserve in the\n			section all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section Entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section to be Entitled &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> O.</var>\n			Preserve any Warranty Disclaimers.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section Entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released under\n		  this License, under the terms defined in section 4 above for modified\n		  versions, provided that you include in the combination all of the\n		  Invariant Sections of all of the original documents, unmodified,\n		  and list them all as Invariant Sections of your combined work in its\n		  license notice, and that you preserve all their Warranty Disclaimers.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections Entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  Entitled &quot;History&quot;; likewise combine any sections Entitled\n		  &quot;Acknowledgements&quot;, and any sections Entitled &quot;Dedications&quot;.\n		  You must delete all sections Entitled &quot;Endorsements&quot;.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other\n		  separate and independent documents or works, in or on a volume\n		  of a storage or distribution medium, is called an &quot;aggregate&quot;\n		  if the copyright resulting from the compilation is not used to\n		  limit the legal rights of the compilation&apos;s users beyond what\n		  the individual works permit. When the Document is included in an\n		  aggregate, this License does not apply to the other works in the\n		  aggregate which are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to\n		  these copies of the Document, then if the Document is less\n		  than one half of the entire aggregate, the Document&apos;s Cover\n		  Texts may be placed on covers that bracket the Document\n		  within the aggregate, or the electronic equivalent of covers\n		  if the Document is in electronic form. Otherwise they must\n		  appear on printed covers that bracket the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of section\n		  4. Replacing Invariant Sections with translations requires special\n		  permission from their copyright holders, but you may include\n		  translations of some or all Invariant Sections in addition to the\n		  original versions of these Invariant Sections. You may include a\n		  translation of this License, and all the license notices in the\n		  Document, and any Warranty Disclaimers, provided that you also\n		  include the original English version of this License and the original\n		  versions of those notices and disclaimers. In case of a disagreement\n		  between the translation and the original version of this License\n		  or a notice or disclaimer, the original version will prevail.\n		</p>\n\n		<p>\n		  If a section in the Document is Entitled\n		  &quot;Acknowledgements&quot;, &quot;Dedications&quot;, or &quot;History&quot;, the\n		  requirement (section 4) to Preserve its Title (section\n		  1) will typically require changing the actual title.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided for under this License. Any other\n		  attempt to copy, modify, sublicense or distribute the Document\n		  is void, and will automatically terminate your rights under\n		  this License. However, parties who have received copies, or\n		  rights, from you under this License will not have their licenses\n		  terminated so long as such parties remain in full compliance.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option\n		  of following the terms and conditions either of that specified\n		  version or of any later version that has been published (not as a\n		  draft) by the Free Software Foundation. If the Document does not\n		  specify a version number of this License, you may choose any version\n		  ever published (not as a draft) by the Free Software Foundation.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the GNU\n		Free Documentation License, Version 1.2 or any later version published\n		by the Free Software Foundation; with no Invariant Sections,\n		no Front-Cover Texts,and no Back-Cover Texts. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections, Front-Cover Texts and\n		Back-Cover Texts, replace the &quot;with...Texts.&quot; line with this:\n	  </p>\n\n	  <p>\n		with the Invariant Sections being LIST THEIR TITLES, with the\n		Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections without Cover Texts,\n		or some other combination of the three, merge\n		those two alternatives to suit the situation.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>. Permission is granted to copy,\n	  distribute and/or modify this document under the terms of the GNU\n	  Free Documentation License, Version 1.2 or any later version published\n	  by the Free Software Foundation; with <var class=\"replaceable-license-text\"> the Invariant Sections\n	  being LIST THEIR TITLES</var>, with <var class=\"replaceable-license-text\"> the Front-Cover Texts being LIST</var>,\n	  and with <var class=\"replaceable-license-text\"> the Back-Cover Texts being LIST</var>. A copy of the license is\n	  included in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL12invariantsorlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class PostgreSQL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "PostgreSQL Database Management System\n(formerly known as Postgres, then as Postgres95)\n\nPortions Copyright (c) 1996-2010, The PostgreSQL Global Development Group\n\nPortions Copyright (c) 1994, The Regents of the University of California\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose, without fee, and without a written agreement is hereby granted, provided that the above copyright notice and this paragraph and the following two paragraphs appear in all copies.\n\nIN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nTHE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS ON AN \"AS IS\" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.\n"
		self.standardLicenseTemplate = "<<beginOptional>>PostgreSQL Database Management System\n\n(formerly known as Postgres, then as Postgres95)\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Portions Copyright (c) 1996-2010, The PostgreSQL Global Development Group	Portions Copyright (c) 1994, The Regents of the University of California  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose, without fee, and without a written agreement is hereby granted, provided that the above copyright notice and this paragraph and the following two paragraphs appear in all copies.\n\nIN NO EVENT SHALL <<var;name=\"copyrightHolderLiability\";original=\"THE UNIVERSITY OF CALIFORNIA\";match=\".+\">> BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF <<var;name=\"copyrightHolderAdvised\";original=\"THE UNIVERSITY OF CALIFORNIA\";match=\".+\">> HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n<<var;name=\"copyrightHolderDisclaims\";original=\"THE UNIVERSITY OF CALIFORNIA\";match=\".+\">> SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS ON AN \"AS IS\" BASIS, AND <<var;name=\"copyrightHolderAsIs\";original=\"THE UNIVERSITY OF CALIFORNIA\";match=\".+\">> HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.\n\n"
		self.name = "PostgreSQL License"
		self.licenseId = "PostgreSQL"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/PostgreSQL", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:17Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://www.postgresql.org/about/licence", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:17Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.postgresql.org/about/licence", "https://opensource.org/licenses/PostgreSQL"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>PostgreSQL Database Management System\n		<br />\n\n(formerly known as Postgres, then as Postgres95)\n	  </p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Portions Copyright (c) 1996-2010, The PostgreSQL Global Development Group</p>\n\n		 <p>Portions Copyright (c) 1994, The Regents of the University of California</p>\n\n	  </div>\n\n	  <p>Permission to use, copy, modify, and distribute this software and its documentation for any purpose,\n		 without fee, and without a written agreement is hereby granted, provided that the above copyright\n		 notice and this paragraph and the following two paragraphs appear in all copies.</p>\n\n	  <p>IN NO EVENT SHALL <var class=\"replaceable-license-text\"> THE UNIVERSITY OF CALIFORNIA</var> BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL,\n		 INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE\n		 AND ITS DOCUMENTATION, EVEN IF <var class=\"replaceable-license-text\"> THE UNIVERSITY OF CALIFORNIA</var> HAS BEEN ADVISED OF THE POSSIBILITY OF\n		 SUCH DAMAGE.</p>\n\n	  <p><var class=\"replaceable-license-text\"> THE UNIVERSITY OF CALIFORNIA</var> SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\n		 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED\n		 HEREUNDER IS ON AN &quot;AS IS&quot; BASIS, AND <var class=\"replaceable-license-text\"> THE UNIVERSITY OF CALIFORNIA</var> HAS NO OBLIGATIONS TO PROVIDE\n		 MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.</p>\n\n	"
		self.python_name = "PostgreSQL"

	def __str__(self):
		return json.dumps(self.__dict__)


class CECILLC:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "\nCeCILL-C FREE SOFTWARE LICENSE AGREEMENT\n\n\n	Notice\n\nThis Agreement is a Free Software license agreement that is the result\nof discussions between its authors in order to ensure compliance with\nthe two main principles guiding its drafting:\n\n	* firstly, compliance with the principles governing the distribution\n	  of Free Software: access to source code, broad rights granted to\n	  users,\n	* secondly, the election of a governing law, French law, with which\n	  it is conformant, both as regards the law of torts and\n	  intellectual property law, and the protection that it offers to\n	  both authors and holders of the economic rights over software.\n\nThe authors of the CeCILL-C (for Ce[a] C[nrs] I[nria] L[ogiciel] L[ibre])\nlicense are:\n\nCommissariat \u00e0 l'Energie Atomique - CEA, a public scientific, technical\nand industrial research establishment, having its principal place of\nbusiness at 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n\nCentre National de la Recherche Scientifique - CNRS, a public scientific\nand technological establishment, having its principal place of business\nat 3 rue Michel-Ange, 75794 Paris cedex 16, France.\n\nInstitut National de Recherche en Informatique et en Automatique -\nINRIA, a public scientific and technological establishment, having its\nprincipal place of business at Domaine de Voluceau, Rocquencourt, BP\n105, 78153 Le Chesnay cedex, France.\n\n\n	Preamble\n\nThe purpose of this Free Software license agreement is to grant users\nthe right to modify and re-use the software governed by this license.\n\nThe exercising of this right is conditional upon the obligation to make\navailable to the community the modifications made to the source code of\nthe software so as to contribute to its evolution.\n\nIn consideration of access to the source code and the rights to copy,\nmodify and redistribute granted by the license, users are provided only\nwith a limited warranty and the software's author, the holder of the\neconomic rights, and the successive licensors only have limited liability.\n\nIn this respect, the risks associated with loading, using, modifying\nand/or developing or reproducing the software by the user are brought to\nthe user's attention, given its Free Software status, which may make it\ncomplicated to use, with the result that its use is reserved for\ndevelopers and experienced professionals having in-depth computer\nknowledge. Users are therefore encouraged to load and test the\nsuitability of the software as regards their requirements in conditions\nenabling the security of their systems and/or data to be ensured and,\nmore generally, to use and operate it in the same conditions of\nsecurity. This Agreement may be freely reproduced and published,\nprovided it is not altered, and that no provisions are either added or\nremoved herefrom.\n\nThis Agreement may apply to any or all software for which the holder of\nthe economic rights decides to submit the use thereof to its provisions.\n\n\n	Article 1 - DEFINITIONS\n\nFor the purpose of this Agreement, when the following expressions\ncommence with a capital letter, they shall have the following meaning:\n\nAgreement: means this license agreement, and its possible subsequent\nversions and annexes.\n\nSoftware: means the software in its Object Code and/or Source Code form\nand, where applicable, its documentation, \"as is\" when the Licensee\naccepts the Agreement.\n\nInitial Software: means the Software in its Source Code and possibly its\nObject Code form and, where applicable, its documentation, \"as is\" when\nit is first distributed under the terms and conditions of the Agreement.\n\nModified Software: means the Software modified by at least one\nIntegrated Contribution.\n\nSource Code: means all the Software's instructions and program lines to\nwhich access is required so as to modify the Software.\n\nObject Code: means the binary files originating from the compilation of\nthe Source Code.\n\nHolder: means the holder(s) of the economic rights over the Initial\nSoftware.\n\nLicensee: means the Software user(s) having accepted the Agreement.\n\nContributor: means a Licensee having made at least one Integrated\nContribution.\n\nLicensor: means the Holder, or any other individual or legal entity, who\ndistributes the Software under the Agreement.\n\nIntegrated Contribution: means any or all modifications, corrections,\ntranslations, adaptations and/or new functions integrated into the\nSource Code by any or all Contributors.\n\nRelated Module: means a set of sources files including their\ndocumentation that, without modification to the Source Code, enables\nsupplementary functions or services in addition to those offered by the\nSoftware.\n\nDerivative Software: means any combination of the Software, modified or\nnot, and of a Related Module.\n\nParties: mean both the Licensee and the Licensor.\n\nThese expressions may be used both in singular and plural form.\n\n\n	Article 2 - PURPOSE\n\nThe purpose of the Agreement is the grant by the Licensor to the\nLicensee of a non-exclusive, transferable and worldwide license for the\nSoftware as set forth in Article 5 hereinafter for the whole term of the\nprotection granted by the rights over said Software.\n\n\n	Article 3 - ACCEPTANCE\n\n3.1 The Licensee shall be deemed as having accepted the terms and\nconditions of this Agreement upon the occurrence of the first of the\nfollowing events:\n\n	* (i) loading the Software by any or all means, notably, by\n	  downloading from a remote server, or by loading from a physical\n	  medium;\n	* (ii) the first time the Licensee exercises any of the rights\n	  granted hereunder.\n\n3.2 One copy of the Agreement, containing a notice relating to the\ncharacteristics of the Software, to the limited warranty, and to the\nfact that its use is restricted to experienced users has been provided\nto the Licensee prior to its acceptance as set forth in Article 3.1\nhereinabove, and the Licensee hereby acknowledges that it has read and\nunderstood it.\n\n\n	Article 4 - EFFECTIVE DATE AND TERM\n\n\n	  4.1 EFFECTIVE DATE\n\nThe Agreement shall become effective on the date when it is accepted by\nthe Licensee as set forth in Article 3.1.\n\n\n	  4.2 TERM\n\nThe Agreement shall remain in force for the entire legal term of\nprotection of the economic rights over the Software.\n\n\n	Article 5 - SCOPE OF RIGHTS GRANTED\n\nThe Licensor hereby grants to the Licensee, who accepts, the following\nrights over the Software for any or all use, and for the term of the\nAgreement, on the basis of the terms and conditions set forth hereinafter.\n\nBesides, if the Licensor owns or comes to own one or more patents\nprotecting all or part of the functions of the Software or of its\ncomponents, the Licensor undertakes not to enforce the rights granted by\nthese patents against successive Licensees using, exploiting or\nmodifying the Software. If these patents are transferred, the Licensor\nundertakes to have the transferees subscribe to the obligations set\nforth in this paragraph.\n\n\n	  5.1 RIGHT OF USE\n\nThe Licensee is authorized to use the Software, without any limitation\nas to its fields of application, with it being hereinafter specified\nthat this comprises:\n\n   1. permanent or temporary reproduction of all or part of the Software\n	  by any or all means and in any or all form.\n\n   2. loading, displaying, running, or storing the Software on any or\n	  all medium.\n\n   3. entitlement to observe, study or test its operation so as to\n	  determine the ideas and principles behind any or all constituent\n	  elements of said Software. This shall apply when the Licensee\n	  carries out any or all loading, displaying, running, transmission\n	  or storage operation as regards the Software, that it is entitled\n	  to carry out hereunder.\n\n\n	  5.2 RIGHT OF MODIFICATION\n\nThe right of modification includes the right to translate, adapt,\narrange, or make any or all modifications to the Software, and the right\nto reproduce the resulting software. It includes, in particular, the\nright to create a Derivative Software.\n\nThe Licensee is authorized to make any or all modification to the\nSoftware provided that it includes an explicit notice that it is the\nauthor of said modification and indicates the date of the creation thereof.\n\n\n	  5.3 RIGHT OF DISTRIBUTION\n\nIn particular, the right of distribution includes the right to publish,\ntransmit and communicate the Software to the general public on any or\nall medium, and by any or all means, and the right to market, either in\nconsideration of a fee, or free of charge, one or more copies of the\nSoftware by any means.\n\nThe Licensee is further authorized to distribute copies of the modified\nor unmodified Software to third parties according to the terms and\nconditions set forth hereinafter.\n\n\n		5.3.1 DISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\nThe Licensee is authorized to distribute True copies of the Software in\nSource Code or Object Code form, provided that said distribution\ncomplies with all the provisions of the Agreement and is accompanied by:\n\n   1. a copy of the Agreement,\n\n   2. a notice relating to the limitation of both the Licensor's\n	  warranty and liability as set forth in Articles 8 and 9,\n\nand that, in the event that only the Object Code of the Software is\nredistributed, the Licensee allows effective access to the full Source\nCode of the Software at a minimum during the entire period of its\ndistribution of the Software, it being understood that the additional\ncost of acquiring the Source Code shall not exceed the cost of\ntransferring the data.\n\n\n		5.3.2 DISTRIBUTION OF MODIFIED SOFTWARE\n\nWhen the Licensee makes an Integrated Contribution to the Software, the\nterms and conditions for the distribution of the resulting Modified\nSoftware become subject to all the provisions of this Agreement.\n\nThe Licensee is authorized to distribute the Modified Software, in\nsource code or object code form, provided that said distribution\ncomplies with all the provisions of the Agreement and is accompanied by:\n\n   1. a copy of the Agreement,\n\n   2. a notice relating to the limitation of both the Licensor's\n	  warranty and liability as set forth in Articles 8 and 9,\n\nand that, in the event that only the object code of the Modified\nSoftware is redistributed, the Licensee allows effective access to the\nfull source code of the Modified Software at a minimum during the entire\nperiod of its distribution of the Modified Software, it being understood\nthat the additional cost of acquiring the source code shall not exceed\nthe cost of transferring the data.\n\n\n		5.3.3 DISTRIBUTION OF DERIVATIVE SOFTWARE\n\nWhen the Licensee creates Derivative Software, this Derivative Software\nmay be distributed under a license agreement other than this Agreement,\nsubject to compliance with the requirement to include a notice\nconcerning the rights over the Software as defined in Article 6.4.\nIn the event the creation of the Derivative Software required modification\nof the Source Code, the Licensee undertakes that:\n\n   1. the resulting Modified Software will be governed by this Agreement,\n   2. the Integrated Contributions in the resulting Modified Software\n	  will be clearly identified and documented,\n   3. the Licensee will allow effective access to the source code of the\n	  Modified Software, at a minimum during the entire period of\n	  distribution of the Derivative Software, such that such\n	  modifications may be carried over in a subsequent version of the\n	  Software; it being understood that the additional cost of\n	  purchasing the source code of the Modified Software shall not\n	  exceed the cost of transferring the data.\n\n\n		5.3.4 COMPATIBILITY WITH THE CeCILL LICENSE\n\nWhen a Modified Software contains an Integrated Contribution subject to\nthe CeCILL license agreement, or when a Derivative Software contains a\nRelated Module subject to the CeCILL license agreement, the provisions\nset forth in the third item of Article 6.4 are optional.\n\n\n	Article 6 - INTELLECTUAL PROPERTY\n\n\n	  6.1 OVER THE INITIAL SOFTWARE\n\nThe Holder owns the economic rights over the Initial Software. Any or\nall use of the Initial Software is subject to compliance with the terms\nand conditions under which the Holder has elected to distribute its work\nand no one shall be entitled to modify the terms and conditions for the\ndistribution of said Initial Software.\n\nThe Holder undertakes that the Initial Software will remain ruled at\nleast by this Agreement, for the duration set forth in Article 4.2.\n\n\n	  6.2 OVER THE INTEGRATED CONTRIBUTIONS\n\nThe Licensee who develops an Integrated Contribution is the owner of the\nintellectual property rights over this Contribution as defined by\napplicable law.\n\n\n	  6.3 OVER THE RELATED MODULES\n\nThe Licensee who develops a Related Module is the owner of the\nintellectual property rights over this Related Module as defined by\napplicable law and is free to choose the type of agreement that shall\ngovern its distribution under the conditions defined in Article 5.3.3.\n\n\n	  6.4 NOTICE OF RIGHTS\n\nThe Licensee expressly undertakes:\n\n   1. not to remove, or modify, in any manner, the intellectual property\n	  notices attached to the Software;\n\n   2. to reproduce said notices, in an identical manner, in the copies\n	  of the Software modified or not;\n\n   3. to ensure that use of the Software, its intellectual property\n	  notices and the fact that it is governed by the Agreement is\n	  indicated in a text that is easily accessible, specifically from\n	  the interface of any Derivative Software.\n\nThe Licensee undertakes not to directly or indirectly infringe the\nintellectual property rights of the Holder and/or Contributors on the\nSoftware and to take, where applicable, vis-\u00e0-vis its staff, any and all\nmeasures required to ensure respect of said intellectual property rights\nof the Holder and/or Contributors.\n\n\n	Article 7 - RELATED SERVICES\n\n7.1 Under no circumstances shall the Agreement oblige the Licensor to\nprovide technical assistance or maintenance services for the Software.\n\nHowever, the Licensor is entitled to offer this type of services. The\nterms and conditions of such technical assistance, and/or such\nmaintenance, shall be set forth in a separate instrument. Only the\nLicensor offering said maintenance and/or technical assistance services\nshall incur liability therefor.\n\n7.2 Similarly, any Licensor is entitled to offer to its licensees, under\nits sole responsibility, a warranty, that shall only be binding upon\nitself, for the redistribution of the Software and/or the Modified\nSoftware, under terms and conditions that it is free to decide. Said\nwarranty, and the financial terms and conditions of its application,\nshall be subject of a separate instrument executed between the Licensor\nand the Licensee.\n\n\n	Article 8 - LIABILITY\n\n8.1 Subject to the provisions of Article 8.2, the Licensee shall be\nentitled to claim compensation for any direct loss it may have suffered\nfrom the Software as a result of a fault on the part of the relevant\nLicensor, subject to providing evidence thereof.\n\n8.2 The Licensor's liability is limited to the commitments made under\nthis Agreement and shall not be incurred as a result of in particular:\n(i) loss due the Licensee's total or partial failure to fulfill its\nobligations, (ii) direct or consequential loss that is suffered by the\nLicensee due to the use or performance of the Software, and (iii) more\ngenerally, any consequential loss. In particular the Parties expressly\nagree that any or all pecuniary or business loss (i.e. loss of data,\nloss of profits, operating loss, loss of customers or orders,\nopportunity cost, any disturbance to business activities) or any or all\nlegal proceedings instituted against the Licensee by a third party,\nshall constitute consequential loss and shall not provide entitlement to\nany or all compensation from the Licensor.\n\n\n	Article 9 - WARRANTY\n\n9.1 The Licensee acknowledges that the scientific and technical\nstate-of-the-art when the Software was distributed did not enable all\npossible uses to be tested and verified, nor for the presence of\npossible defects to be detected. In this respect, the Licensee's\nattention has been drawn to the risks associated with loading, using,\nmodifying and/or developing and reproducing the Software which are\nreserved for experienced users.\n\nThe Licensee shall be responsible for verifying, by any or all means,\nthe suitability of the product for its requirements, its good working\norder, and for ensuring that it shall not cause damage to either persons\nor properties.\n\n9.2 The Licensor hereby represents, in good faith, that it is entitled\nto grant all the rights over the Software (including in particular the\nrights set forth in Article 5).\n\n9.3 The Licensee acknowledges that the Software is supplied \"as is\" by\nthe Licensor without any other express or tacit warranty, other than\nthat provided for in Article 9.2 and, in particular, without any warranty\nas to its commercial value, its secured, safe, innovative or relevant\nnature.\n\nSpecifically, the Licensor does not warrant that the Software is free\nfrom any error, that it will operate without interruption, that it will\nbe compatible with the Licensee's own equipment and software\nconfiguration, nor that it will meet the Licensee's requirements.\n\n9.4 The Licensor does not either expressly or tacitly warrant that the\nSoftware does not infringe any third party intellectual property right\nrelating to a patent, software or any other property right. Therefore,\nthe Licensor disclaims any and all liability towards the Licensee\narising out of any or all proceedings for infringement that may be\ninstituted in respect of the use, modification and redistribution of the\nSoftware. Nevertheless, should such proceedings be instituted against\nthe Licensee, the Licensor shall provide it with technical and legal\nassistance for its defense. Such technical and legal assistance shall be\ndecided on a case-by-case basis between the relevant Licensor and the\nLicensee pursuant to a memorandum of understanding. The Licensor\ndisclaims any and all liability as regards the Licensee's use of the\nname of the Software. No warranty is given as regards the existence of\nprior rights over the name of the Software or as regards the existence\nof a trademark.\n\n\n	Article 10 - TERMINATION\n\n10.1 In the event of a breach by the Licensee of its obligations\nhereunder, the Licensor may automatically terminate this Agreement\nthirty (30) days after notice has been sent to the Licensee and has\nremained ineffective.\n\n10.2 A Licensee whose Agreement is terminated shall no longer be\nauthorized to use, modify or distribute the Software. However, any\nlicenses that it may have granted prior to termination of the Agreement\nshall remain valid subject to their having been granted in compliance\nwith the terms and conditions hereof.\n\n\n	Article 11 - MISCELLANEOUS\n\n\n	  11.1 EXCUSABLE EVENTS\n\nNeither Party shall be liable for any or all delay, or failure to\nperform the Agreement, that may be attributable to an event of force\nmajeure, an act of God or an outside cause, such as defective\nfunctioning or interruptions of the electricity or telecommunications\nnetworks, network paralysis following a virus attack, intervention by\ngovernment authorities, natural disasters, water damage, earthquakes,\nfire, explosions, strikes and labor unrest, war, etc.\n\n11.2 Any failure by either Party, on one or more occasions, to invoke\none or more of the provisions hereof, shall under no circumstances be\ninterpreted as being a waiver by the interested Party of its right to\ninvoke said provision(s) subsequently.\n\n11.3 The Agreement cancels and replaces any or all previous agreements,\nwhether written or oral, between the Parties and having the same\npurpose, and constitutes the entirety of the agreement between said\nParties concerning said purpose. No supplement or modification to the\nterms and conditions hereof shall be effective as between the Parties\nunless it is made in writing and signed by their duly authorized\nrepresentatives.\n\n11.4 In the event that one or more of the provisions hereof were to\nconflict with a current or future applicable act or legislative text,\nsaid act or legislative text shall prevail, and the Parties shall make\nthe necessary amendments so as to comply with said act or legislative\ntext. All other provisions shall remain effective. Similarly, invalidity\nof a provision of the Agreement, for any reason whatsoever, shall not\ncause the Agreement as a whole to be invalid.\n\n\n	  11.5 LANGUAGE\n\nThe Agreement is drafted in both French and English and both versions\nare deemed authentic.\n\n\n	Article 12 - NEW VERSIONS OF THE AGREEMENT\n\n12.1 Any person is authorized to duplicate and distribute copies of this\nAgreement.\n\n12.2 So as to ensure coherence, the wording of this Agreement is\nprotected and may only be modified by the authors of the License, who\nreserve the right to periodically publish updates or new versions of the\nAgreement, each with a separate number. These subsequent versions may\naddress new issues encountered by Free Software.\n\n12.3 Any Software distributed under a given version of the Agreement may\nonly be subsequently distributed under the same version of the Agreement\nor a subsequent version.\n\n\n	Article 13 - GOVERNING LAW AND JURISDICTION\n\n13.1 The Agreement is governed by French law. The Parties agree to\nendeavor to seek an amicable solution to any disagreements or disputes\nthat may arise during the performance of the Agreement.\n\n13.2 Failing an amicable solution within two (2) months as from their\noccurrence, and unless emergency proceedings are necessary, the\ndisagreements or disputes shall be referred to the Paris Courts having\njurisdiction, by the more diligent Party.\n\n\nVersion 1.0 dated 2006-09-05.\n"
		self.standardLicenseTemplate = "<<beginOptional>>CeCILL-C FREE SOFTWARE LICENSE AGREEMENT\n\n<<endOptional>><<beginOptional>> Notice\n\nThis Agreement is a Free Software license agreement that is the result of discussions between its authors in order to ensure compliance with the two main principles guiding its drafting:\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> firstly, compliance with the principles governing the distribution of Free Software: access to source code, broad rights granted to users,\n\n   <<var;name=\"bullet\";original=\"*\";match=\".{0,20}\">> secondly, the election of a governing law, French law, with which it is conformant, both as regards the law of torts and intellectual property law, and the protection that it offers to both authors and holders of the economic rights over software.\n\nThe authors of the <<var;name=\"licenseNameFootnote\";original=\"CeCILL\u00b9\";match=\"CeCILL-C[\u00b91]?( \\(?for Ce[\\[\\(]a[\\]\\)] C[\\[\\(]nrs[\\]\\)] I[\\[\\(]nria[\\]\\)] L[\\[\\(]ogiciel[\\]\\)] L[\\[\\(]ibre[\\]\\)]\\)?)?\">> license are:\n\n   Commissariat \u00e0 l'Energie Atomique - CEA, a public scientific, technical and industrial research establishment, having its principal place of business at 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n\n   Centre National de la Recherche Scientifique - CNRS, a public scientific and technological establishment, having its principal place of business at 3 rue Michel-Ange, 75794 Paris cedex 16, France.\n\n   Institut National de Recherche en Informatique et en Automatique - INRIA, a public scientific and technological establishment, having its principal place of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay cedex, France.\n\n   <<endOptional>>\n\n   <<var;name=\"bullet\";original=\"Preamble\";match=\".{0,20}\">> The purpose of this Free Software license agreement is to grant users the right to modify and re-use the software governed by this license.\n\n   The exercising of this right is conditional upon the obligation to make available to the community the modifications made to the source code of the software so as to contribute to its evolution.\n\n   In consideration of access to the source code and the rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors only have limited liability.\n\n   In this respect, the risks associated with loading, using, modifying and/or developing or reproducing the software by the user are brought to the user's attention, given its Free Software status, which may make it complicated to use, with the result that its use is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the suitability of the software as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions of security. This Agreement may be freely reproduced and published, provided it is not altered, and that no provisions are either added or removed herefrom.\n\n   This Agreement may apply to any or all software for which the holder of the economic rights decides to submit the use thereof to its provisions.\n\n   <<var;name=\"bullet\";original=\"Article 1 -\";match=\".{0,20}\">> DEFINITIONS\n\n   For the purpose of this Agreement, when the following expressions commence with a capital letter, they shall have the following meaning:\n\n	  Agreement: means this license agreement, and its possible subsequent versions and annexes.\n\n	  Software: means the software in its Object Code and/or Source Code form and, where applicable, its documentation, \"as is\" when the Licensee accepts the Agreement.\n\n	  Initial Software: means the Software in its Source Code and possibly its Object Code form and, where applicable, its documentation, \"as is\" when it is first distributed under the terms and conditions of the Agreement.\n\n	  Modified Software: means the Software modified by at least one Integrated Contribution.\n\n	  Source Code: means all the Software's instructions and program lines to which access is required so as to modify the Software.\n\n	  Object Code: means the binary files originating from the compilation of the Source Code.\n\n	  Holder: means the holder(s) of the economic rights over the Initial Software.\n\n	  Licensee: means the Software user(s) having accepted the Agreement.\n\n	  Contributor: means a Licensee having made at least one Integrated Contribution.\n\n	  Licensor: means the Holder, or any other individual or legal entity, who distributes the Software under the Agreement.\n\n	  Integrated Contribution: means any or all modifications, corrections, translations, adaptations and/or new functions integrated into the Source Code by any or all Contributors.\n\n	  Related Module: means a set of sources files including their documentation that, without modification to the Source Code, enables supplementary functions or services in addition to those offered by the Software.\n\n	  Derivative Software: means any combination of the Software, modified or not, and of a Related Module.\n\n	  Parties: mean both the Licensee and the Licensor.\n\n   These expressions may be used both in singular and plural form.\n\n   <<var;name=\"bullet\";original=\"Article 2 -\";match=\".{0,20}\">> PURPOSE\n\n   The purpose of the Agreement is the grant by the Licensor to the Licensee of a non-exclusive, transferable and worldwide license for the Software as set forth in Article 5 hereinafter for the whole term of the protection granted by the rights over said Software.\n\n   <<var;name=\"bullet\";original=\"Article 3 -\";match=\".{0,20}\">> ACCEPTANCE\n\n	  <<var;name=\"bullet\";original=\"3.1\";match=\".{0,20}\">> The Licensee shall be deemed as having accepted the terms and conditions of this Agreement upon the occurrence of the first of the following events:\n\n		 <<var;name=\"bullet\";original=\"(i)\";match=\".{0,20}\">> loading the Software by any or all means, notably, by downloading from a remote server, or by loading from a physical medium;\n\n		 <<var;name=\"bullet\";original=\"(ii)\";match=\".{0,20}\">> the first time the Licensee exercises any of the rights granted hereunder.\n\n	  <<var;name=\"bullet\";original=\"3.2\";match=\".{0,20}\">> One copy of the Agreement, containing a notice relating to the characteristics of the Software, to the limited warranty, and to the fact that its use is restricted to experienced users has been provided to the Licensee prior to its acceptance as set forth in Article 3.1 hereinabove, and the Licensee hereby acknowledges that it has read and understood it.\n\n   <<var;name=\"bullet\";original=\"Article 4 -\";match=\".{0,20}\">> EFFECTIVE DATE AND TERM\n\n	  <<var;name=\"bullet\";original=\"4.1\";match=\".{0,20}\">> EFFECTIVE DATE\n\n	  The Agreement shall become effective on the date when it is accepted by the Licensee as set forth in Article 3.1.\n\n	  <<var;name=\"bullet\";original=\"4.2\";match=\".{0,20}\">> TERM\n\n	  The Agreement shall remain in force for the entire legal term of protection of the economic rights over the Software.\n\n   <<var;name=\"bullet\";original=\"Article 5 -\";match=\".{0,20}\">> SCOPE OF RIGHTS GRANTED\n\n   The Licensor hereby grants to the Licensee, who accepts, the following rights over the Software for any or all use, and for the term of the Agreement, on the basis of the terms and conditions set forth hereinafter.\n\n   Besides, if the Licensor owns or comes to own one or more patents protecting all or part of the functions of the Software or of its components, the Licensor undertakes not to enforce the rights granted by these patents against successive Licensees using, exploiting or modifying the Software. If these patents are transferred, the Licensor undertakes to have the transferees subscribe to the obligations set forth in this paragraph.\n\n	  <<var;name=\"bullet\";original=\"5.1\";match=\".{0,20}\">> RIGHT OF USE\n\n	  The Licensee is authorized to use the Software, without any limitation as to its fields of application, with it being hereinafter specified that this comprises:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> permanent or temporary reproduction of all or part of the Software by any or all means and in any or all form.\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> loading, displaying, running, or storing the Software on any or all medium.\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> entitlement to observe, study or test its operation so as to determine the ideas and principles behind any or all constituent elements of said Software. This shall apply when the Licensee carries out any or all loading, displaying, running, transmission or storage operation as regards the Software, that it is entitled to carry out hereunder.\n\n	  <<var;name=\"bullet\";original=\"5.2\";match=\".{0,20}\">> RIGHT OF MODIFICATION\n\n	  The right of modification includes the right to translate, adapt, arrange, or make any or all modifications to the Software, and the right to reproduce the resulting software. It includes, in particular, the right to create a Derivative Software.\n\n	  The Licensee is authorized to make any or all modification to the Software provided that it includes an explicit notice that it is the author of said modification and indicates the date of the creation thereof.\n\n	  <<var;name=\"bullet\";original=\"5.3\";match=\".{0,20}\">> RIGHT OF DISTRIBUTION\n\n	  In particular, the right of distribution includes the right to publish, transmit and communicate the Software to the general public on any or all medium, and by any or all means, and the right to market, either in consideration of a fee, or free of charge, one or more copies of the Software by any means.\n\n	  The Licensee is further authorized to distribute copies of the modified or unmodified Software to third parties according to the terms and conditions set forth hereinafter.\n\n		 <<var;name=\"bullet\";original=\"5.3.1.\";match=\".{0,20}\">> DISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\n		 The Licensee is authorized to distribute True copies of the Software in Source Code or Object Code form, provided that said distribution complies with all the provisions of the Agreement and is accompanied by:\n\n			<<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> a copy of the Agreement,\n\n			<<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> a notice relating to the limitation of both the Licensor's warranty and liability as set forth in Articles 8 and 9,\n\n		 and that, in the event that only the Object Code of the Software is redistributed, the Licensee allows effective access to the full Source Code of the Software at a minimum during the entire period of its distribution of the Software, it being understood that the additional cost of acquiring the Source Code shall not exceed the cost of transferring the data.\n\n		 <<var;name=\"bullet\";original=\"5.3.2.\";match=\".{0,20}\">> DISTRIBUTION OF MODIFIED SOFTWARE\n\n		 When the Licensee makes an Integrated Contribution to the Software, the terms and conditions for the distribution of the resulting Modified Software become subject to all the provisions of this Agreement.\n\n		 The Licensee is authorized to distribute the Modified Software, in source code or object code form, provided that said distribution complies with all the provisions of the Agreement and is accompanied by:\n\n			<<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> a copy of the Agreement,\n\n			<<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> a notice relating to the limitation of both the Licensor's warranty and liability as set forth in Articles 8 and 9,\n\n		 and that, in the event that only the object code of the Modified Software is redistributed, the Licensee allows effective access to the full source code of the Modified Software at a minimum during the entire period of its distribution of the Modified Software, it being understood that the additional cost of acquiring the source code shall not exceed the cost of transferring the data.\n\n		 <<var;name=\"bullet\";original=\"5.3.3.\";match=\".{0,20}\">> DISTRIBUTION OF DERIVATIVE SOFTWARE\n\n		 When the Licensee creates Derivative Software, this Derivative Software may be distributed under a license agreement other than this Agreement, subject to compliance with the requirement to include a notice concerning the rights over the Software as defined in Article 6.4. In the event the creation of the Derivative Software required modification of the Source Code, the Licensee undertakes that:\n\n			<<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> the resulting Modified Software will be governed by this Agreement,\n\n			<<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> the Integrated Contributions in the resulting Modified Software will be clearly identified and documented,\n\n			<<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> the Licensee will allow effective access to the source code of the Modified Software, at a minimum during the entire period of distribution of the Derivative Software, such that such modifications may be carried over in a subsequent version of the Software; it being understood that the additional cost of purchasing the source code of the Modified Software shall not exceed the cost of transferring the data.\n\n		 <<var;name=\"bullet\";original=\"5.3.4.\";match=\".{0,20}\">> COMPATIBILITY WITH THE CeCILL LICENSE\n\n		 When a Modified Software contains an Integrated Contribution subject to the CeCILL license agreement, or when a Derivative Software contains a Related Module subject to the CeCILL license agreement, the provisions set forth in the third item of Article 6.4 are optional.\n\n   <<var;name=\"bullet\";original=\"Article 6 -\";match=\".{0,20}\">> INTELLECTUAL PROPERTY\n\n	  <<var;name=\"bullet\";original=\"6.1\";match=\".{0,20}\">> OVER THE INITIAL SOFTWARE\n\n	  The Holder owns the economic rights over the Initial Software. Any or all use of the Initial Software is subject to compliance with the terms and conditions under which the Holder has elected to distribute its work and no one shall be entitled to modify the terms and conditions for the distribution of said Initial Software.\n\n	  The Holder undertakes that the Initial Software will remain ruled at least by this Agreement, for the duration set forth in Article 4.2.\n\n	  <<var;name=\"bullet\";original=\"6.2\";match=\".{0,20}\">> OVER THE INTEGRATED CONTRIBUTIONS\n\n	  The Licensee who develops an Integrated Contribution is the owner of the intellectual property rights over this Contribution as defined by applicable law.\n\n	  <<var;name=\"bullet\";original=\"6.3\";match=\".{0,20}\">> OVER THE RELATED MODULES\n\n	  The Licensee who develops a Related Module is the owner of the intellectual property rights over this Related Module as defined by applicable law and is free to choose the type of agreement that shall govern its distribution under the conditions defined in Article 5.3.3.\n\n	  <<var;name=\"bullet\";original=\"6.4\";match=\".{0,20}\">> NOTICE OF RIGHTS\n\n	  The Licensee expressly undertakes:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> not to remove, or modify, in any manner, the intellectual property notices attached to the Software;\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> to reproduce said notices, in an identical manner, in the copies of the Software modified or not;\n\n		 <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> to ensure that use of the Software, its intellectual property notices and the fact that it is governed by the Agreement is indicated in a text that is easily accessible, specifically from the interface of any Derivative Software.\n\n	  The Licensee undertakes not to directly or indirectly infringe the intellectual property rights of the Holder and/or Contributors on the Software and to take, where applicable, vis-\u00e0-vis its staff, any and all measures required to ensure respect of said intellectual property rights of the Holder and/or Contributors.\n\n   <<var;name=\"bullet\";original=\"Article 7 -\";match=\".{0,20}\">> RELATED SERVICES\n\n	  <<var;name=\"bullet\";original=\"7.1\";match=\".{0,20}\">> Under no circumstances shall the Agreement oblige the Licensor to provide technical assistance or maintenance services for the Software.\n\n	  However, the Licensor is entitled to offer this type of services. The terms and conditions of such technical assistance, and/or such maintenance, shall be set forth in a separate instrument. Only the Licensor offering said maintenance and/or technical assistance services shall incur liability therefor.\n\n	  <<var;name=\"bullet\";original=\"7.2\";match=\".{0,20}\">> Similarly, any Licensor is entitled to offer to its licensees, under its sole responsibility, a warranty, that shall only be binding upon itself, for the redistribution of the Software and/or the Modified Software, under terms and conditions that it is free to decide. Said warranty, and the financial terms and conditions of its application, shall be subject of a separate instrument executed between the Licensor and the Licensee.\n\n   <<var;name=\"bullet\";original=\"Article 8 -\";match=\".{0,20}\">> LIABILITY\n\n	  <<var;name=\"bullet\";original=\"8.1\";match=\".{0,20}\">> Subject to the provisions of Article 8.2, the Licensee shall be entitled to claim compensation for any direct loss it may have suffered from the Software as a result of a fault on the part of the relevant Licensor, subject to providing evidence thereof.\n\n	  <<var;name=\"bullet\";original=\"8.2\";match=\".{0,20}\">> The Licensor's liability is limited to the commitments made under this Agreement and shall not be incurred as a result of in particular: (i) loss due the Licensee's total or partial failure to fulfill its obligations, (ii) direct or consequential loss that is suffered by the Licensee due to the use or performance of the Software, and (iii) more generally, any consequential loss. In particular the Parties expressly agree that any or all pecuniary or business loss (i.e. loss of data, loss of profits, operating loss, loss of customers or orders, opportunity cost, any disturbance to business activities) or any or all legal proceedings instituted against the Licensee by a third party, shall constitute consequential loss and shall not provide entitlement to any or all compensation from the Licensor.\n\n   <<var;name=\"bullet\";original=\"Article 9 -\";match=\".{0,20}\">> WARRANTY\n\n	  <<var;name=\"bullet\";original=\"9.1\";match=\".{0,20}\">> The Licensee acknowledges that the scientific and technical state-of-the-art when the Software was distributed did not enable all possible uses to be tested and verified, nor for the presence of possible defects to be detected. In this respect, the Licensee's attention has been drawn to the risks associated with loading, using, modifying and/or developing and reproducing the Software which are reserved for experienced users.\n\n	  The Licensee shall be responsible for verifying, by any or all means, the suitability of the product for its requirements, its good working order, and for ensuring that it shall not cause damage to either persons or properties.\n\n	  <<var;name=\"bullet\";original=\"9.2\";match=\".{0,20}\">> The Licensor hereby represents, in good faith, that it is entitled to grant all the rights over the Software (including in particular the rights set forth in Article 5).\n\n	  <<var;name=\"bullet\";original=\"9.3\";match=\".{0,20}\">> The Licensee acknowledges that the Software is supplied \"as is\" by the Licensor without any other express or tacit warranty, other than that provided for in Article 9.2 and, in particular, without any warranty as to its commercial value, its secured, safe, innovative or relevant nature.\n\n	  Specifically, the Licensor does not warrant that the Software is free from any error, that it will operate without interruption, that it will be compatible with the Licensee's own equipment and software configuration, nor that it will meet the Licensee's requirements.\n\n	  <<var;name=\"bullet\";original=\"9.4\";match=\".{0,20}\">> The Licensor does not either expressly or tacitly warrant that the Software does not infringe any third party intellectual property right relating to a patent, software or any other property right. Therefore, the Licensor disclaims any and all liability towards the Licensee arising out of any or all proceedings for infringement that may be instituted in respect of the use, modification and redistribution of the Software. Nevertheless, should such proceedings be instituted against the Licensee, the Licensor shall provide it with technical and legal assistance for its defense. Such technical and legal assistance shall be decided on a case-by-case basis between the relevant Licensor and the Licensee pursuant to a memorandum of understanding. The Licensor disclaims any and all liability as regards the Licensee's use of the name of the Software. No warranty is given as regards the existence of prior rights over the name of the Software or as regards the existence of a trademark.\n\n   <<var;name=\"bullet\";original=\"Article 10 -\";match=\".{0,20}\">> TERMINATION\n\n	  <<var;name=\"bullet\";original=\"10.1\";match=\".{0,20}\">> In the event of a breach by the Licensee of its obligations hereunder, the Licensor may automatically terminate this Agreement thirty (30) days after notice has been sent to the Licensee and has remained ineffective.\n\n	  <<var;name=\"bullet\";original=\"10.2\";match=\".{0,20}\">> A Licensee whose Agreement is terminated shall no longer be authorized to use, modify or distribute the Software. However, any licenses that it may have granted prior to termination of the Agreement shall remain valid subject to their having been granted in compliance with the terms and conditions hereof.\n\n   <<var;name=\"bullet\";original=\"Article 11 -\";match=\".{0,20}\">> MISCELLANEOUS\n\n	  <<var;name=\"bullet\";original=\"11.1\";match=\".{0,20}\">> EXCUSABLE EVENTS\n\n	  Neither Party shall be liable for any or all delay, or failure to perform the Agreement, that may be attributable to an event of force majeure, an act of God or an outside cause, such as defective functioning or interruptions of the electricity or telecommunications networks, network paralysis following a virus attack, intervention by government authorities, natural disasters, water damage, earthquakes, fire, explosions, strikes and labor unrest, war, etc.\n\n	  <<var;name=\"bullet\";original=\"11.2\";match=\".{0,20}\">> Any failure by either Party, on one or more occasions, to invoke one or more of the provisions hereof, shall under no circumstances be interpreted as being a waiver by the interested Party of its right to invoke said provision(s) subsequently.\n\n	  <<var;name=\"bullet\";original=\"11.3\";match=\".{0,20}\">> The Agreement cancels and replaces any or all previous agreements, whether written or oral, between the Parties and having the same purpose, and constitutes the entirety of the agreement between said Parties concerning said purpose. No supplement or modification to the terms and conditions hereof shall be effective as between the Parties unless it is made in writing and signed by their duly authorized representatives.\n\n	  <<var;name=\"bullet\";original=\"11.4\";match=\".{0,20}\">> In the event that one or more of the provisions hereof were to conflict with a current or future applicable act or legislative text, said act or legislative text shall prevail, and the Parties shall make the necessary amendments so as to comply with said act or legislative text. All other provisions shall remain effective. Similarly, invalidity of a provision of the Agreement, for any reason whatsoever, shall not cause the Agreement as a whole to be invalid.\n\n	  <<var;name=\"bullet\";original=\"11.5\";match=\".{0,20}\">> LANGUAGE\n\n	  The Agreement is drafted in both French and English and both versions are deemed authentic.\n\n   <<var;name=\"bullet\";original=\"Article 12 -\";match=\".{0,20}\">> NEW VERSIONS OF THE AGREEMENT\n\n	  <<var;name=\"bullet\";original=\"12.1\";match=\".{0,20}\">> Any person is authorized to duplicate and distribute copies of this Agreement.\n\n	  <<var;name=\"bullet\";original=\"12.2\";match=\".{0,20}\">> So as to ensure coherence, the wording of this Agreement is protected and may only be modified by the authors of the License, who reserve the right to periodically publish updates or new versions of the Agreement, each with a separate number. These subsequent versions may address new issues encountered by Free Software.\n\n	  <<var;name=\"bullet\";original=\"12.3\";match=\".{0,20}\">> Any Software distributed under a given version of the Agreement may only be subsequently distributed under the same version of the Agreement or a subsequent version.\n\n   <<var;name=\"bullet\";original=\"Article 13 -\";match=\".{0,20}\">> GOVERNING LAW AND JURISDICTION\n\n	  <<var;name=\"bullet\";original=\"13.1\";match=\".{0,20}\">> The Agreement is governed by French law. The Parties agree to endeavor to seek an amicable solution to any disagreements or disputes that may arise during the performance of the Agreement.\n\n	  <<var;name=\"bullet\";original=\"13.2\";match=\".{0,20}\">> Failing an amicable solution within two (2) months as from their occurrence, and unless emergency proceedings are necessary, the disagreements or disputes shall be referred to the Paris Courts having jurisdiction, by the more diligent Party.\n\nVersion 1.0 dated 2006-09-05.\n\n<<beginOptional>>1 CeCILL stands for Ce(a) C(nrs) I(nria) L(ogiciel) L(ibre)<<endOptional>>"
		self.name = "CeCILL-C Free Software License Agreement"
		self.licenseComments = "French version can be found here: http://www.cecill.info/licences/Licence_CeCILL-C_V1-fr.html"
		self.licenseId = "CECILL-C"
		self.crossRef = [{"match": "False", "url": "http://www.cecill.info/licences/Licence_CeCILL-C_V1-en.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:15Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.cecill.info/licences/Licence_CeCILL-C_V1-en.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>\nCeCILL-C FREE SOFTWARE LICENSE AGREEMENT\n	  </p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>\nNotice\n	  </p>\n\n		 <p>\nThis Agreement is a Free Software license agreement that is the result of discussions between its authors in order to ensure compliance with the two main principles guiding its drafting:\n	  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n\nfirstly, compliance with the principles governing the distribution of Free Software: access to source code, broad rights granted to users,\n\n		</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> *</var>\n\nsecondly, the election of a governing law, French law, with which it is conformant, both as regards the law of torts and intellectual property law, and the protection that it offers to both authors and holders of the economic rights over software.\n\n		</li>\n		 \n</ul>\n		 <p>\nThe authors of the <var class=\"replaceable-license-text\"> CeCILL\u00b9</var> license are:\n	  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <p>\nCommissariat \u00e0 l&apos;Energie Atomique - CEA, a public scientific, technical and industrial research establishment, having its principal place of business at 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n		  </p>\n\n			</li>\n			\n<li>\n			   <p>\nCentre National de la Recherche Scientifique - CNRS, a public scientific and technological establishment, having its principal place of business at 3 rue Michel-Ange, 75794 Paris cedex 16, France.\n		  </p>\n\n			</li>\n			\n<li>\n			   <p>\nInstitut National de Recherche en Informatique et en Automatique - INRIA, a public scientific and technological establishment, having its principal place of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay cedex, France.\n		  </p>\n\n			</li>\n		 \n</ul>\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Preamble</var>\n\nThe purpose of this Free Software license agreement is to grant users the right to modify and re-use the software governed by this license.\n\n		  <p>\nThe exercising of this right is conditional upon the obligation to make available to the community the modifications made to the source code of the software so as to contribute to its evolution.\n		  </p>\n\n			<p>\nIn consideration of access to the source code and the rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software&apos;s author, the holder of the economic rights, and the successive licensors only have limited liability.\n		  </p>\n\n			<p>\nIn this respect, the risks associated with loading, using, modifying and/or developing or reproducing the software by the user are brought to the user&apos;s attention, given its Free Software status, which may make it complicated to use, with the result that its use is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the suitability of the software as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions of security. This Agreement may be freely reproduced and published, provided it is not altered, and that no provisions are either added or removed herefrom.\n		  </p>\n\n			<p>\nThis Agreement may apply to any or all software for which the holder of the economic rights decides to submit the use thereof to its provisions.\n		  </p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 1 -</var>\n\n		DEFINITIONS\n\n	  <p>\nFor the purpose of this Agreement, when the following expressions commence with a capital letter, they shall have the following meaning:\n	  </p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <p>\nAgreement: means this license agreement, and its possible subsequent versions and annexes.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nSoftware: means the software in its Object Code and/or Source Code form and, where applicable, its documentation, &quot;as is&quot; when the Licensee accepts the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nInitial Software: means the Software in its Source Code and possibly its Object Code form and, where applicable, its documentation, &quot;as is&quot; when it is first distributed under the terms and conditions of the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nModified Software: means the Software modified by at least one Integrated Contribution.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nSource Code: means all the Software&apos;s instructions and program lines to which access is required so as to modify the Software.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nObject Code: means the binary files originating from the compilation of the Source Code.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nHolder: means the holder(s) of the economic rights over the Initial Software.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nLicensee: means the Software user(s) having accepted the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nContributor: means a Licensee having made at least one Integrated Contribution.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nLicensor: means the Holder, or any other individual or legal entity, who distributes the Software under the Agreement.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nIntegrated Contribution: means any or all modifications, corrections, translations, adaptations and/or new functions integrated into the Source Code by any or all Contributors.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nRelated Module: means a set of sources files including their documentation that, without modification to the Source Code, enables supplementary functions or services in addition to those offered by the Software.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nDerivative Software: means any combination of the Software, modified or not, and of a Related Module.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <p>\nParties: mean both the Licensee and the Licensor.\n		  </p>\n\n			   </li>\n			\n</ul>\n			<p>\nThese expressions may be used both in singular and plural form.\n	  </p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 2 -</var>\n\nPURPOSE\n\n	  <p>\nThe purpose of the Agreement is the grant by the Licensor to the Licensee of a non-exclusive, transferable and worldwide license for the Software as set forth in Article 5 hereinafter for the whole term of the protection granted by the rights over said Software.\n	  </p>\n\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 3 -</var>\n\nACCEPTANCE\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1</var>\n\nThe Licensee shall be deemed as having accepted the terms and conditions of this Agreement upon the occurrence of the first of the following events:\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (i)</var>\n\nloading the Software by any or all means, notably, by downloading from a remote server, or by loading from a physical medium;\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (ii)</var>\n\nthe first time the Licensee exercises any of the rights granted hereunder.\n\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2</var>\n\nOne copy of the Agreement, containing a notice relating to the characteristics of the Software, to the limited warranty, and to the fact that its use is restricted to experienced users has been provided to the Licensee prior to its acceptance as set forth in Article 3.1 hereinabove, and the Licensee hereby acknowledges that it has read and understood it.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 4 -</var>\n\nEFFECTIVE DATE AND TERM\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.1</var>\n\nEFFECTIVE DATE\n\n		  <p>\nThe Agreement shall become effective on the date when it is accepted by the Licensee as set forth in Article 3.1.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 4.2</var>\n\nTERM\n\n		  <p>\nThe Agreement shall remain in force for the entire legal term of protection of the economic rights over the Software.\n		  </p>\n\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 5 -</var>\n\nSCOPE OF RIGHTS GRANTED\n\n	  <p>\nThe Licensor hereby grants to the Licensee, who accepts, the following rights over the Software for any or all use, and for the term of the Agreement, on the basis of the terms and conditions set forth hereinafter.\n	  </p>\n\n			<p>\nBesides, if the Licensor owns or comes to own one or more patents protecting all or part of the functions of the Software or of its components, the Licensor undertakes not to enforce the rights granted by these patents against successive Licensees using, exploiting or modifying the Software. If these patents are transferred, the Licensor undertakes to have the transferees subscribe to the obligations set forth in this paragraph.\n	  </p>\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.1</var>\n\nRIGHT OF USE\n\n		  <p>\nThe Licensee is authorized to use the Software, without any limitation as to its fields of application, with it being hereinafter specified that this comprises:\n		  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n\npermanent or temporary reproduction of all or part of the Software by any or all means and in any or all form.\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n\nloading, displaying, running, or storing the Software on any or all medium.\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.</var>\n\nentitlement to observe, study or test its operation so as to determine the ideas and principles behind any or all constituent elements of said Software. This shall apply when the Licensee carries out any or all loading, displaying, running, transmission or storage operation as regards the Software, that it is entitled to carry out hereunder.\n\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.2</var>\n\nRIGHT OF MODIFICATION\n\n		  <p>\nThe right of modification includes the right to translate, adapt, arrange, or make any or all modifications to the Software, and the right to reproduce the resulting software. It includes, in particular, the right to create a Derivative Software.\n		  </p>\n\n				  <p>\nThe Licensee is authorized to make any or all modification to the Software provided that it includes an explicit notice that it is the author of said modification and indicates the date of the creation thereof.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 5.3</var>\n\nRIGHT OF DISTRIBUTION\n\n		  <p>\nIn particular, the right of distribution includes the right to publish, transmit and communicate the Software to the general public on any or all medium, and by any or all means, and the right to market, either in consideration of a fee, or free of charge, one or more copies of the Software by any means.\n		  </p>\n\n				  <p>\nThe Licensee is further authorized to distribute copies of the modified or unmodified Software to third parties according to the terms and conditions set forth hereinafter.\n		  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.1.</var>\n\nDISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\n			  <p>\nThe Licensee is authorized to distribute True copies of the Software in Source Code or Object Code form, provided that said distribution complies with all the provisions of the Agreement and is accompanied by:\n			  </p>\n\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 1.</var>\n\na copy of the Agreement,\n\n			  </li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 2.</var>\n\na notice relating to the limitation of both the Licensor&apos;s warranty and liability as set forth in Articles 8 and 9,\n\n			  </li>\n						\n</ul>\n						<p>\nand that, in the event that only the Object Code of the Software is redistributed, the Licensee allows effective access to the full Source Code of the Software at a minimum during the entire period of its distribution of the Software, it being understood that the additional cost of acquiring the Source Code shall not exceed the cost of transferring the data.\n			</p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.2.</var>\n\nDISTRIBUTION OF MODIFIED SOFTWARE\n\n			<p>\nWhen the Licensee makes an Integrated Contribution to the Software, the terms and conditions for the distribution of the resulting Modified Software become subject to all the provisions of this Agreement.\n			</p>\n\n						<p>\nThe Licensee is authorized to distribute the Modified Software, in source code or object code form, provided that said distribution complies with all the provisions of the Agreement and is accompanied by:\n			</p>\n\n<ul style=\"list-style:none\">\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 1.</var>\n\na copy of the Agreement,\n\n			</li>\n						   \n<li>\n							  <var class=\"replaceable-license-text\"> 2.</var>\n\na notice relating to the limitation of both the Licensor&apos;s warranty and liability as set forth in Articles 8 and 9,\n\n			</li>\n						\n</ul>\n						<p>\nand that, in the event that only the object code of the Modified Software is redistributed, the Licensee allows effective access to the full source code of the Modified Software at a minimum during the entire period of its distribution of the Modified Software, it being understood that the additional cost of acquiring the source code shall not exceed the cost of transferring the data.\n		  </p>\n\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.3.</var>\n\nDISTRIBUTION OF DERIVATIVE SOFTWARE\n\n		  <p>\nWhen the Licensee creates Derivative Software, this Derivative Software may be distributed under a license agreement other than this Agreement, subject to compliance with the requirement to include a notice concerning the rights over the Software as defined in Article 6.4.  In the event the creation of the Derivative Software required modification of the Source Code, the Licensee undertakes that:\n		  </p>\n\n<ul style=\"list-style:none\">\n\t						  \n<li>\n\t							 <var class=\"replaceable-license-text\"> 1.</var>\n\nthe resulting Modified Software will be governed by this Agreement,\n\n\t	</li>\n\t						  \n<li>\n\t							 <var class=\"replaceable-license-text\"> 2.</var>\n\nthe Integrated Contributions in the resulting Modified Software will be clearly identified and documented,\n\n\t	</li>\n\t						  \n<li>\n\t							 <var class=\"replaceable-license-text\"> 3.</var>\n\nthe Licensee will allow effective access to the source code of the Modified Software, at a minimum during the entire period of distribution of the Derivative Software, such that such modifications may be carried over in a subsequent version of the Software; it being understood that the additional cost of purchasing the source code of the Modified Software shall not exceed the cost of transferring the data.\n\n\t	</li>\n\t					   \n</ul>\n					 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 5.3.4.</var>\n\nCOMPATIBILITY WITH THE CeCILL LICENSE\n\n			<p>\nWhen a Modified Software contains an Integrated Contribution subject to the CeCILL license agreement, or when a Derivative Software contains a Related Module subject to the CeCILL license agreement, the provisions set forth in the third item of Article 6.4 are optional.\n			</p>\n\n					 </li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 6 -</var>\n\nINTELLECTUAL PROPERTY\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1</var>\n\nOVER THE INITIAL SOFTWARE\n\n		  <p>\nThe Holder owns the economic rights over the Initial Software. Any or all use of the Initial Software is subject to compliance with the terms and conditions under which the Holder has elected to distribute its work and no one shall be entitled to modify the terms and conditions for the distribution of said Initial Software.\n		  </p>\n\n				  <p>\nThe Holder undertakes that the Initial Software will remain ruled at least by this Agreement, for the duration set forth in Article 4.2.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2</var>\n\nOVER THE INTEGRATED CONTRIBUTIONS\n\n		  <p>\nThe Licensee who develops an Integrated Contribution is the owner of the intellectual property rights over this Contribution as defined by applicable law.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3</var>\n\nOVER THE RELATED MODULES\n\n		  <p>\nThe Licensee who develops a Related Module is the owner of the intellectual property rights over this Related Module as defined by applicable law and is free to choose the type of agreement that shall govern its distribution under the conditions defined in Article 5.3.3.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.4</var>\n\nNOTICE OF RIGHTS\n\n		  <p>\nThe Licensee expressly undertakes:\n		  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n\nnot to remove, or modify, in any manner, the intellectual property notices attached to the Software;\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n\nto reproduce said notices, in an identical manner, in the copies of the Software modified or not;\n\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 3.</var>\n\nto ensure that use of the Software, its intellectual property notices and the fact that it is governed by the Agreement is indicated in a text that is easily accessible, specifically from the interface of any Derivative Software.\n\n			</li>\n				  \n</ul>\n				  <p>\nThe Licensee undertakes not to directly or indirectly infringe the intellectual property rights of the Holder and/or Contributors on the Software and to take, where applicable, vis-\u00e0-vis its staff, any and all measures required to ensure respect of said intellectual property rights of the Holder and/or Contributors.\n		  </p>\n\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 7 -</var>\n\nRELATED SERVICES\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.1</var>\n\nUnder no circumstances shall the Agreement oblige the Licensor to provide technical assistance or maintenance services for the Software.\n\n		  <p>\nHowever, the Licensor is entitled to offer this type of services. The terms and conditions of such technical assistance, and/or such maintenance, shall be set forth in a separate instrument. Only the Licensor offering said maintenance and/or technical assistance services shall incur liability therefor.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 7.2</var>\n\nSimilarly, any Licensor is entitled to offer to its licensees, under its sole responsibility, a warranty, that shall only be binding upon itself, for the redistribution of the Software and/or the Modified Software, under terms and conditions that it is free to decide. Said warranty, and the financial terms and conditions of its application, shall be subject of a separate instrument executed between the Licensor and the Licensee.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 8 -</var>\n\nLIABILITY\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.1</var>\n\nSubject to the provisions of Article 8.2, the Licensee shall be entitled to claim compensation for any direct loss it may have suffered from the Software as a result of a fault on the part of the relevant Licensor, subject to providing evidence thereof.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 8.2</var>\n\nThe Licensor&apos;s liability is limited to the commitments made under this Agreement and shall not be incurred as a result of in particular: (i) loss due the Licensee&apos;s total or partial failure to fulfill its obligations, (ii) direct or consequential loss that is suffered by the Licensee due to the use or performance of the Software, and (iii) more generally, any consequential loss. In particular the Parties expressly agree that any or all pecuniary or business loss (i.e. loss of data, loss of profits, operating loss, loss of customers or orders, opportunity cost, any disturbance to business activities) or any or all legal proceedings instituted against the Licensee by a third party, shall constitute consequential loss and shall not provide entitlement to any or all compensation from the Licensor.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 9 -</var>\n\nWARRANTY\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.1</var>\n\nThe Licensee acknowledges that the scientific and technical state-of-the-art when the Software was distributed did not enable all possible uses to be tested and verified, nor for the presence of possible defects to be detected. In this respect, the Licensee&apos;s attention has been drawn to the risks associated with loading, using, modifying and/or developing and reproducing the Software which are reserved for experienced users.\n\n		  <p>\nThe Licensee shall be responsible for verifying, by any or all means, the suitability of the product for its requirements, its good working order, and for ensuring that it shall not cause damage to either persons or properties.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.2</var>\n\nThe Licensor hereby represents, in good faith, that it is entitled to grant all the rights over the Software (including in particular the rights set forth in Article 5).\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.3</var>\n\nThe Licensee acknowledges that the Software is supplied &quot;as is&quot; by the Licensor without any other express or tacit warranty, other than that provided for in Article 9.2 and, in particular, without any warranty as to its commercial value, its secured, safe, innovative or relevant nature.\n\n		  <p>\nSpecifically, the Licensor does not warrant that the Software is free from any error, that it will operate without interruption, that it will be compatible with the Licensee&apos;s own equipment and software configuration, nor that it will meet the Licensee&apos;s requirements.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 9.4</var>\n\nThe Licensor does not either expressly or tacitly warrant that the Software does not infringe any third party intellectual property right relating to a patent, software or any other property right. Therefore, the Licensor disclaims any and all liability towards the Licensee arising out of any or all proceedings for infringement that may be instituted in respect of the use, modification and redistribution of the Software. Nevertheless, should such proceedings be instituted against the Licensee, the Licensor shall provide it with technical and legal assistance for its defense. Such technical and legal assistance shall be decided on a case-by-case basis between the relevant Licensor and the Licensee pursuant to a memorandum of understanding. The Licensor disclaims any and all liability as regards the Licensee&apos;s use of the name of the Software. No warranty is given as regards the existence of prior rights over the name of the Software or as regards the existence of a trademark.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 10 -</var>\n\nTERMINATION\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.1</var>\n\nIn the event of a breach by the Licensee of its obligations hereunder, the Licensor may automatically terminate this Agreement thirty (30) days after notice has been sent to the Licensee and has remained ineffective.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 10.2</var>\n\nA Licensee whose Agreement is terminated shall no longer be authorized to use, modify or distribute the Software. However, any licenses that it may have granted prior to termination of the Agreement shall remain valid subject to their having been granted in compliance with the terms and conditions hereof.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 11 -</var>\n\nMISCELLANEOUS\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.1</var>\n\nEXCUSABLE EVENTS\n\n		  <p>\nNeither Party shall be liable for any or all delay, or failure to perform the Agreement, that may be attributable to an event of force majeure, an act of God or an outside cause, such as defective functioning or interruptions of the electricity or telecommunications networks, network paralysis following a virus attack, intervention by government authorities, natural disasters, water damage, earthquakes, fire, explosions, strikes and labor unrest, war, etc.\n		  </p>\n\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.2</var>\n\nAny failure by either Party, on one or more occasions, to invoke one or more of the provisions hereof, shall under no circumstances be interpreted as being a waiver by the interested Party of its right to invoke said provision(s) subsequently.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.3</var>\n\nThe Agreement cancels and replaces any or all previous agreements, whether written or oral, between the Parties and having the same purpose, and constitutes the entirety of the agreement between said Parties concerning said purpose. No supplement or modification to the terms and conditions hereof shall be effective as between the Parties unless it is made in writing and signed by their duly authorized representatives.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.4</var>\n\nIn the event that one or more of the provisions hereof were to conflict with a current or future applicable act or legislative text, said act or legislative text shall prevail, and the Parties shall make the necessary amendments so as to comply with said act or legislative text. All other provisions shall remain effective. Similarly, invalidity of a provision of the Agreement, for any reason whatsoever, shall not cause the Agreement as a whole to be invalid.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 11.5</var>\n\nLANGUAGE\n\n		  <p>\nThe Agreement is drafted in both French and English and both versions are deemed authentic.\n		  </p>\n\n			   </li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 12 -</var>\n\nNEW VERSIONS OF THE AGREEMENT\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.1</var>\n\nAny person is authorized to duplicate and distribute copies of this Agreement.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.2</var>\n\nSo as to ensure coherence, the wording of this Agreement is protected and may only be modified by the authors of the License, who reserve the right to periodically publish updates or new versions of the Agreement, each with a separate number. These subsequent versions may address new issues encountered by Free Software.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 12.3</var>\n\nAny Software distributed under a given version of the Agreement may only be subsequently distributed under the same version of the Agreement or a subsequent version.\n\n		</li>\n			\n</ul>\n		 </li>\n		 \n<li>\n			<var class=\"replaceable-license-text\"> Article 13 -</var>\n\nGOVERNING LAW AND JURISDICTION\n\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.1</var>\n\nThe Agreement is governed by French law. The Parties agree to endeavor to seek an amicable solution to any disagreements or disputes that may arise during the performance of the Agreement.\n\n		</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 13.2</var>\n\nFailing an amicable solution within two (2) months as from their occurrence, and unless emergency proceedings are necessary, the disagreements or disputes shall be referred to the Paris Courts having jurisdiction, by the more diligent Party.\n\n		</li>\n			\n</ul>\n		 </li>\n	  \n</ul>\n	  <p>\nVersion 1.0 dated 2006-09-05.\n  </p>\n\n  <var class=\"optional-license-text\"> 1 CeCILL stands for Ce(a) C(nrs) I(nria) L(ogiciel) L(ibre)</var>\n	"
		self.python_name = "CECILLC"

	def __str__(self):
		return json.dumps(self.__dict__)


class mpipermissive:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "* Copyright (C) 2000-2004 by Etnus, LLC\n *\n * Permission is hereby granted to use, reproduce, prepare derivative\n * works, and to redistribute to others.\n *\n *\t\t\t\t  DISCLAIMER\n *\n * Neither Etnus, nor any of their employees, makes any warranty\n * express or implied, or assumes any legal liability or\n * responsibility for the accuracy, completeness, or usefulness of any\n * information, apparatus, product, or process disclosed, or\n * represents that its use would not infringe privately owned rights.\n *\n * This code was written by\n * James Cownie: Etnus, LLC. <jcownie@etnus.com>\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 2000-2004 by Etnus, LLC  \";match=\".{0,5000}\">> Permission is hereby granted to use, reproduce, prepare derivative works, and to redistribute to others. DISCLAIMER Neither <<var;name=\"copyrightHolderAsIs\";original=\"Etnus\";match=\".+\">> , nor any of their employees, makes any warranty express or implied, or assumes any legal liability or responsibility for the accuracy, completeness, or usefulness of any information, apparatus, product, or process disclosed, or represents that its use would not infringe privately owned rights. This code was written by <<var;name=\"author\";original=\"James Cownie: Etnus, LLC. <jcownie@etnus.com>\";match=\".+\">>"
		self.name = "mpi Permissive License"
		self.licenseId = "mpi-permissive"
		self.crossRef = [{"match": "False", "url": "https://sources.debian.org/src/openmpi/4.1.0-10/ompi/debuggers/msgq_interface.h/?hl=19#L19", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://sources.debian.org/src/openmpi/4.1.0-10/ompi/debuggers/msgq_interface.h/?hl=19#L19"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 2000-2004 by Etnus, LLC</p>\n\n	  </div>\n\n  Permission is hereby granted to use, reproduce, prepare derivative\n  works, and to redistribute to others.\n\n\t\t\t\t  DISCLAIMER\n\n  Neither <var class=\"replaceable-license-text\"> Etnus</var>, nor any of their employees, makes any warranty\n  express or implied, or assumes any legal liability or\n  responsibility for the accuracy, completeness, or usefulness of any\n  information, apparatus, product, or process disclosed, or\n  represents that its use would not infringe privately owned rights.\n\n  This code was written by\n  <var class=\"replaceable-license-text\"> James Cownie: Etnus, LLC. &lt;jcownie@etnus.com&gt;</var>\n	"
		self.python_name = "mpipermissive"

	def __str__(self):
		return json.dumps(self.__dict__)


class Mackerras3Clause:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1995 Eric Rosenquist.  All rights reserved.\n  \n   Redistribution and use in source and binary forms, with or without\n   modification, are permitted provided that the following conditions\n   are met:\n  \n   1. Redistributions of source code must retain the above copyright\n	  notice, this list of conditions and the following disclaimer.\n  \n   2. Redistributions in binary form must reproduce the above copyright\n	  notice, this list of conditions and the following disclaimer in\n	  the documentation and/or other materials provided with the\n	  distribution.\n  \n   3. The name(s) of the authors of this software must not be used to\n	  endorse or promote products derived from this software without\n	  prior written permission.\n  \n   THE AUTHORS OF THIS SOFTWARE DISCLAIM ALL WARRANTIES WITH REGARD TO\n   THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY\n   AND FITNESS, IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY\n   SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\n   WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN\n   AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING\n   OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1995 Eric Rosenquist. All rights reserved.\";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The name(s) of the authors of this software must not be used to endorse or promote products derived from this software without prior written permission.\n\nTHE AUTHORS OF THIS SOFTWARE DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n"
		self.name = "Mackerras 3-Clause License"
		self.licenseComments = "This is similar to Mackerras-3-Clause-acknowledgment but has the binary clause and removes the acknowledgement clause. The grants are similar to BSD-3-Clause, but with a different disclaimer."
		self.licenseId = "Mackerras-3-Clause"
		self.crossRef = [{"match": "False", "url": "https://github.com/ppp-project/ppp/blob/master/pppd/chap_ms.c#L6-L28", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:30Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/ppp-project/ppp/blob/master/pppd/chap_ms.c#L6-L28"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (c) 1995 Eric Rosenquist. All rights reserved.\n		 </var>\n		 <p>\n			Redistribution and use in source and binary\n			forms, with or without modification, are permitted\n			provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   Redistributions of source code must retain the above copyright\n			   notice, this list of conditions and the following disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Redistributions in binary form must reproduce the above copyright\n			   notice, this list of conditions and the following disclaimer\n			   in the documentation and/or other materials provided with the\n			   distribution.\n			</li>   \n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   The name(s) of the authors of this software must\n			   not be used to endorse or promote products derived\n			   from this software without prior written permission.\n			</li>\n		 \n</ul>\n		 <p>\n			THE AUTHORS OF THIS SOFTWARE DISCLAIM ALL WARRANTIES WITH REGARD TO\n			THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY\n			AND FITNESS, IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY\n			SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER\n			RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION\n			OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF\n			OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n		 </p>\n\n	  "
		self.python_name = "Mackerras3Clause"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD3Clauseacpica:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Redistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions\nare met:\n1. Redistributions of source code must retain the above copyright\n   notice, this list of conditions, and the following disclaimer,\n   without modification.\n2. Redistributions in binary form must reproduce at minimum a disclaimer\n   substantially similar to the \"NO WARRANTY\" disclaimer below\n   (\"Disclaimer\") and any redistribution must be conditioned upon\n   including a substantially similar Disclaimer requirement for further\n   binary redistribution.\n3. Neither the names of the above-listed copyright holders nor the names\n   of any contributors may be used to endorse or promote products derived\n   from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n\"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\nLIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\nA PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\nOWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\nTHEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\nOF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions, and the following disclaimer, without modification.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce at minimum a disclaimer substantially similar to the \"NO WARRANTY\" disclaimer below (\"Disclaimer\") and any redistribution must be conditioned upon including a substantially similar Disclaimer requirement for further binary redistribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Neither the names of the above-listed copyright holders nor the names of any contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "BSD 3-Clause acpica variant"
		self.licenseId = "BSD-3-Clause-acpica"
		self.crossRef = [{"match": "False", "url": "https://github.com/acpica/acpica/blob/master/source/common/acfileio.c#L119", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:33Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/acpica/acpica/blob/master/source/common/acfileio.c#L119"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n\t<p>Redistribution and use in source and binary forms, with or without\n\tmodification, are permitted provided that the following conditions\n\tare met:</p>\n\n<ul style=\"list-style:none\">\n\t\t\n<li><var class=\"replaceable-license-text\"> 1.</var> Redistributions of source code must retain the above copyright\n\t\tnotice, this list of conditions, and the following disclaimer,\n\t\twithout modification.</li>\n\t\t\n<li><var class=\"replaceable-license-text\"> 2.</var> Redistributions in binary form must reproduce at minimum a disclaimer\n\t\tsubstantially similar to the &quot;NO WARRANTY&quot; disclaimer below\n\t\t(&quot;Disclaimer&quot;) and any redistribution must be conditioned upon\n\t\tincluding a substantially similar Disclaimer requirement for further\n\t\tbinary redistribution.</li>\n\t\t\n<li><var class=\"replaceable-license-text\"> 3.</var> Neither the names of the above-listed copyright holders nor the names\n\t\tof any contributors may be used to endorse or promote products derived\n\t\tfrom this software without specific prior written permission.</li>\n\t\n</ul>\n\t<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n\t&quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\n\tLIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n\tA PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\n\tOWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n\tSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n\tLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n\tDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n\tTHEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n\t(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\n\tOF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "BSD3Clauseacpica"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYSA21JP:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "\u30a2\u30c8\u30ea\u30d3\u30e5\u30fc\u30b7\u30e7\u30f3\u2014\u30b7\u30a7\u30a2\u30a2\u30e9\u30a4\u30af 2.1\n\uff08\u5e30\u5c5e\u2014\u540c\u4e00\u6761\u4ef6\u8a31\u8afe\uff09\n\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u53ca\u3073\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30b8\u30e3\u30d1\u30f3\u306f\u6cd5\u5f8b\u4e8b\u52d9\u6240\u3067\u306f\u3042\u308a\u307e\u305b\u3093\u3002\u3053\u306e\u5229\u7528\u8a31\u8afe\u6761\u9805\u306e\u9812\u5e03\u306f\u6cd5\u7684\u30a2\u30c9\u30d0\u30a4\u30b9\u305d\u306e\u4ed6\u306e\u6cd5\u5f8b\u696d\u52d9\u3092\u884c\u3046\u3082\u306e\u3067\u306f\u3042\u308a\u307e\u305b\u3093\u3002\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u53ca\u3073\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30b8\u30e3\u30d1\u30f3\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u5f53\u4e8b\u8005\u3067\u306f\u306a\u304f\u3001\u3053\u3053\u306b\u63d0\u4f9b\u3059\u308b\u60c5\u5831\u53ca\u3073\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3044\u304b\u306a\u308b\u4fdd\u8a3c\u3082\u884c\u3044\u307e\u305b\u3093\u3002\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u53ca\u3073\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30b8\u30e3\u30d1\u30f3\u306f\u3001\u3044\u304b\u306a\u308b\u6cd5\u4ee4\u306b\u57fa\u3065\u3053\u3046\u3068\u3082\u3001\u3042\u306a\u305f\u53c8\u306f\u3044\u304b\u306a\u308b\u7b2c\u4e09\u8005\u306e\u640d\u5bb3\uff08\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u95a2\u9023\u3059\u308b\u901a\u5e38\u640d\u5bb3\u3001\u7279\u5225\u640d\u5bb3\u3092\u542b\u307f\u307e\u3059\u304c\u3053\u308c\u3089\u306b\u9650\u3089\u308c\u307e\u305b\u3093\uff09\u306b\u3064\u3044\u3066\u8cac\u4efb\u3092\u8ca0\u3044\u307e\u305b\u3093\u3002\n\n\u5229\u7528\u8a31\u8afe\n\n\u672c\u4f5c\u54c1\uff08\u4e0b\u8a18\u306b\u5b9a\u7fa9\u3059\u308b\uff09\u306f\u3001\u3053\u306e\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\uff65\u30d1\u30d6\u30ea\u30c3\u30af\uff65\u30e9\u30a4\u30bb\u30f3\u30b9\u65e5\u672c\u7248\uff08\u4ee5\u4e0b\u300c\u3053\u306e\u5229\u7528\u8a31\u8afe\u300d\u3068\u3044\u3046\uff09\u306e\u6761\u9805\u306e\u4e0b\u3067\u63d0\u4f9b\u3055\u308c\u308b\u3002\u672c\u4f5c\u54c1\u306f\u3001\u8457\u4f5c\u6a29\u6cd5\u53ca\u3073\uff0f\u53c8\u306f\u4ed6\u306e\u9069\u7528\u6cd5\u306b\u3088\u3063\u3066\u4fdd\u8b77\u3055\u308c\u308b\u3002\u672c\u4f5c\u54c1\u3092\u3053\u306e\u5229\u7528\u8a31\u8afe\u53c8\u306f\u8457\u4f5c\u6a29\u6cd5\u306e\u4e0b\u3067\u6388\u6a29\u3055\u308c\u305f\u4ee5\u5916\u306e\u65b9\u6cd5\u3067\u4f7f\u7528\u3059\u308b\u3053\u3068\u3092\u7981\u6b62\u3059\u308b\u3002\n\n\u8a31\u8afe\u8005\u306f\u3001\u304b\u304b\u308b\u6761\u9805\u3092\u3042\u306a\u305f\u304c\u627f\u8afe\u3059\u308b\u3053\u3068\u3068\u3072\u304d\u304b\u3048\u306b\u3001\u3053\u3053\u306b\u898f\u5b9a\u3055\u308c\u308b\u6a29\u5229\u3092\u3042\u306a\u305f\u306b\u4ed8\u4e0e\u3059\u308b\u3002\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u4e0b\u3067\u8a8d\u3081\u3089\u308c\u308b\u3044\u305a\u308c\u304b\u306e\u5229\u7528\u3092\u884c\u3046\u3053\u3068\u306b\u3088\u308a\u3001\u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\uff08\u6761\u9805\uff09\u306b\u62d8\u675f\u3055\u308c\u308b\u3053\u3068\u3092\u627f\u8afe\u3057\u540c\u610f\u3057\u305f\u3053\u3068\u3068\u306a\u308b\u3002\n\n\u7b2c1\u6761 \u5b9a\u7fa9\n\n\u3053\u306e\u5229\u7528\u8a31\u8afe\u4e2d\u306e\u7528\u8a9e\u3092\u4ee5\u4e0b\u306e\u3088\u3046\u306b\u5b9a\u7fa9\u3059\u308b\u3002\u305d\u306e\u4ed6\u306e\u7528\u8a9e\u306f\u3001\u8457\u4f5c\u6a29\u6cd5\u305d\u306e\u4ed6\u306e\u6cd5\u4ee4\u3067\u5b9a\u3081\u308b\u610f\u5473\u3092\u6301\u3064\u3082\u306e\u3068\u3059\u308b\u3002\n\n	a. \u300c\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u300d\u3068\u306f\u3001\u8457\u4f5c\u7269\u3092\u7ffb\u8a33\u3057\u3001\u7de8\u66f2\u3057\u3001\u82e5\u3057\u304f\u306f\u5909\u5f62\u3057\u3001\u307e\u305f\u306f\u811a\u8272\u3057\u3001\u6620\u753b\u5316\u3057\u3001\u305d\u306e\u4ed6\u7ffb\u6848\u3059\u308b\u3053\u3068\u306b\u3088\u308a\u5275\u4f5c\u3057\u305f\u8457\u4f5c\u7269\u3092\u3044\u3046\u3002\u305f\u3060\u3057\u3001\u7de8\u96c6\u8457\u4f5c\u7269\u53c8\u306f\u30c7\u30fc\u30bf\u30d9\u30fc\u30b9\u306e\u8457\u4f5c\u7269\uff08\u4ee5\u4e0b\u3001\u3053\u306e\u4e8c\u3064\u3092\u4f75\u305b\u3066\u300c\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u300d\u3068\u3044\u3046\u3002\uff09\u3092\u69cb\u6210\u3059\u308b\u8457\u4f5c\u7269\u306f\u3001\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3068\u307f\u306a\u3055\u308c\u306a\u3044\u3002\u307e\u305f\u3001\u539f\u8457\u4f5c\u8005\u53ca\u3073\u5b9f\u6f14\u5bb6\u306e\u540d\u8a89\u53c8\u306f\u58f0\u671b\u3092\u5bb3\u3059\u308b\u65b9\u6cd5\u3067\u539f\u8457\u4f5c\u7269\u3092\u6539\u4f5c\u3001\u5909\u5f62\u3082\u3057\u304f\u306f\u7ffb\u6848\u3057\u3066\u751f\u3058\u308b\u8457\u4f5c\u7269\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u76ee\u7684\u306b\u304a\u3044\u3066\u306f\u3001\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306b\u542b\u307e\u308c\u306a\u3044\u3002\n	b. \u300c\u8a31\u8afe\u8005\u300d\u3068\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306e\u4e0b\u3067\u672c\u4f5c\u54c1\u3092\u63d0\u4f9b\u3059\u308b\u500b\u4eba\u53c8\u306f\u56e3\u4f53\u3092\u3044\u3046\u3002\n	c. \u300c\u3042\u306a\u305f\u300d\u3068\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u6a29\u5229\u3092\u884c\u4f7f\u3059\u308b\u500b\u4eba\u53c8\u306f\u56e3\u4f53\u3092\u3044\u3046\u3002\n	d. \u300c\u539f\u8457\u4f5c\u8005\u300d\u3068\u306f\u3001\u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u8457\u4f5c\u7269\u3092\u5275\u4f5c\u3057\u305f\u500b\u4eba\u53c8\u306f\u56e3\u4f53\u3092\u3044\u3046\u3002\n	e. \u300c\u672c\u4f5c\u54c1\u300d\u3068\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u57fa\u3065\u3044\u3066\u5229\u7528\u3059\u308b\u6a29\u5229\u304c\u4ed8\u4e0e\u3055\u308c\u308b\u5bfe\u8c61\u305f\u308b\u7121\u4f53\u7269\u3092\u3044\u3044\u3001\u8457\u4f5c\u7269\u3001\u5b9f\u6f14\u3001\u30ec\u30b3\u30fc\u30c9\u3001\u653e\u9001\u306b\u304b\u304b\u308b\u97f3\u53c8\u306f\u5f71\u50cf\u3001\u3082\u3057\u304f\u306f\u6709\u7dda\u653e\u9001\u306b\u304b\u304b\u308b\u97f3\u53c8\u306f\u5f71\u50cf\u3092\u3059\u3079\u3066\u542b\u3080\u3082\u306e\u3068\u3059\u308b\u3002\n	f. \u300c\u30e9\u30a4\u30bb\u30f3\u30b9\u8981\u7d20\u300d\u3068\u306f\u3001\u8a31\u8afe\u8005\u304c\u9078\u629e\u3057\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u8868\u793a\u3055\u308c\u3066\u3044\u308b\u3001\u4ee5\u4e0b\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u5c5e\u6027\u3092\u3044\u3046\uff1a\u5e30\u5c5e\u30fb\u540c\u4e00\u6761\u4ef6\u8a31\u8afe\n\n\u7b2c2\u6761 \u8457\u4f5c\u6a29\u7b49\u306b\u5bfe\u3059\u308b\u5236\u9650\n\n\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u542b\u307e\u308c\u308b\u3044\u304b\u306a\u308b\u6761\u9805\u306b\u3088\u3063\u3066\u3082\u3001\u8a31\u8afe\u8005\u306f\u3001\u3042\u306a\u305f\u304c\u8457\u4f5c\u6a29\u306e\u5236\u9650\uff08\u8457\u4f5c\u6a29\u6cd5\u7b2c30\u6761\u301c49\u6761\uff09\u3001\u8457\u4f5c\u8005\u4eba\u683c\u6a29\u306b\u5bfe\u3059\u308b\u5236\u9650\uff08\u8457\u4f5c\u6a29\u6cd5\u7b2c18\u67612\u9805\u301c4\u9805\u3001\u7b2c19\u67612\u9805\u301c4\u9805\u3001\u7b2c20\u67612\u9805\uff09\u3001\u8457\u4f5c\u96a3\u63a5\u6a29\u306b\u5bfe\u3059\u308b\u5236\u9650\uff08\u8457\u4f5c\u6a29\u6cd5\u7b2c102\u6761\uff09\u305d\u306e\u4ed6\u3001\u8457\u4f5c\u6a29\u6cd5\u53c8\u306f\u305d\u306e\u4ed6\u306e\u9069\u7528\u6cd5\u306b\u57fa\u3065\u3044\u3066\u8a8d\u3081\u3089\u308c\u308b\u3053\u3068\u3068\u306a\u308b\u672c\u4f5c\u54c1\u306e\u5229\u7528\u3092\u7981\u6b62\u3057\u306a\u3044\u3002\n\n\u7b2c3\u6761 \u30e9\u30a4\u30bb\u30f3\u30b9\u306e\u4ed8\u4e0e\n\n\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u5f93\u3044\u3001\u8a31\u8afe\u8005\u306f\u3042\u306a\u305f\u306b\u3001\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3001\u3059\u3079\u3066\u306e\u56fd\u3067\u3001\u30ed\u30a4\u30e4\u30ea\u30c6\u30a3\u30fb\u30d5\u30ea\u30fc\u3001\u975e\u6392\u4ed6\u7684\u3067\u3001\uff08\u7b2c7\u6761b\u306b\u5b9a\u3081\u308b\u671f\u9593\uff09\u7d99\u7d9a\u7684\u306a\u4ee5\u4e0b\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u3092\u4ed8\u4e0e\u3059\u308b\u3002\u305f\u3060\u3057\u3001\u3042\u306a\u305f\u304c\u4ee5\u524d\u306b\u672c\u4f5c\u54c1\u306b\u95a2\u3059\u308b\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u9055\u53cd\u3057\u305f\u3053\u3068\u304c\u306a\u3044\u304b\u3001\u3042\u308b\u3044\u306f\u3001\u4ee5\u524d\u306b\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u9055\u53cd\u3057\u305f\u304c\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u6a29\u5229\u3092\u884c\u4f7f\u3059\u308b\u305f\u3081\u306b\u8a31\u8afe\u8005\u304b\u3089\u660e\u793a\u7684\u306a\u8a31\u53ef\u3092\u5f97\u3066\u3044\u308b\u5834\u5408\u306b\u9650\u308b\u3002\n\n	a. \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u8457\u4f5c\u7269\uff08\u4ee5\u4e0b\u300c\u672c\u8457\u4f5c\u7269\u300d\u3068\u3044\u3046\u3002\uff09\u3092\u8907\u88fd\u3059\u308b\u3053\u3068\uff08\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u306b\u7d44\u307f\u8fbc\u307f\u8907\u88fd\u3059\u308b\u3053\u3068\u3092\u542b\u3080\u3002\u4ee5\u4e0b\u3001\u540c\u3058\u3002\uff09\u3001\n	b. \u672c\u8457\u4f5c\u7269\u3092\u7ffb\u6848\u3057\u3066\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5275\u4f5c\u3057\u3001\u8907\u88fd\u3059\u308b\u3053\u3068\u3001\n	c. \u672c\u8457\u4f5c\u7269\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u8907\u88fd\u7269\u3092\u9812\u5e03\u3059\u308b\u3053\u3068\uff08\u8b72\u6e21\u307e\u305f\u306f\u8cb8\u4e0e\u306b\u3088\u308a\u516c\u8846\u306b\u63d0\u4f9b\u3059\u308b\u3053\u3068\u3092\u542b\u3080\u3002\u4ee5\u4e0b\u540c\u3058\u3002\uff09\u3001\u4e0a\u6f14\u3059\u308b\u3053\u3068\u3001\u6f14\u594f\u3059\u308b\u3053\u3068\u3001\u4e0a\u6620\u3059\u308b\u3053\u3068\u3001\u516c\u8846\u9001\u4fe1\u3092\u884c\u3046\u3053\u3068\uff08\u9001\u4fe1\u53ef\u80fd\u5316\u3092\u542b\u3080\u3002\u4ee5\u4e0b\u3001\u540c\u3058\u3002\uff09\u3001\u516c\u306b\u53e3\u8ff0\u3059\u308b\u3053\u3068\u3001\u516c\u306b\u5c55\u793a\u3059\u308b\u3053\u3068\u3001\n	d. \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u5b9f\u6f14\u3092\u3001\u9332\u97f3\u30fb\u9332\u753b\u3059\u308b\u3053\u3068\uff08\u9332\u97f3\uff65\u9332\u753b\u7269\u3092\u5897\u88fd\u3059\u308b\u3053\u3068\u3092\u542b\u3080\uff09\u3001\u9332\u97f3\uff65\u9332\u753b\u7269\u306b\u3088\u308a\u9812\u5e03\u3059\u308b\u3053\u3068\u3001\u516c\u8846\u9001\u4fe1\u3092\u884c\u3046\u3053\u3068\u3001\n	e. \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u30ec\u30b3\u30fc\u30c9\u3092\u3001\u8907\u88fd\u3059\u308b\u3053\u3068\u3001\u9812\u5e03\u3059\u308b\u3053\u3068\u3001\u516c\u8846\u9001\u4fe1\u3092\u884c\u3046\u3053\u3068\u3001\n	f. \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u3001\u653e\u9001\u306b\u4fc2\u308b\u97f3\u53c8\u306f\u5f71\u50cf\u3092\u3001\u8907\u88fd\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u518d\u653e\u9001\u3059\u308b\u3053\u3068\u53c8\u306f\u6709\u7dda\u653e\u9001\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u653e\u9001\u53c8\u306f\u3053\u308c\u3092\u53d7\u4fe1\u3057\u3066\u884c\u3046\u6709\u7dda\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u9001\u4fe1\u53ef\u80fd\u5316\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u30c6\u30ec\u30d3\u30b8\u30e7\u30f3\u653e\u9001\u53c8\u306f\u3053\u308c\u3092\u53d7\u4fe1\u3057\u3066\u884c\u3046\u6709\u7dda\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u3001\u5f71\u50cf\u3092\u62e1\u5927\u3059\u308b\u7279\u5225\u306e\u88c5\u7f6e\u3092\u7528\u3044\u3066\u516c\u306b\u4f1d\u9054\u3059\u308b\u3053\u3068\u3001\n	g. \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u3001\u6709\u7dda\u653e\u9001\u306b\u4fc2\u308b\u97f3\u53c8\u306f\u5f71\u50cf\u3092\u3001\u8907\u88fd\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u6709\u7dda\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u653e\u9001\u3057\u3001\u53c8\u306f\u518d\u6709\u7dda\u653e\u9001\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u6709\u7dda\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u9001\u4fe1\u53ef\u80fd\u5316\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u6709\u7dda\u30c6\u30ec\u30d3\u30b8\u30e7\u30f3\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u3001\u5f71\u50cf\u3092\u62e1\u5927\u3059\u308b\u7279\u5225\u306e\u88c5\u7f6e\u3092\u7528\u3044\u3066\u516c\u306b\u4f1d\u9054\u3059\u308b\u3053\u3068\u3001\n\n\u4e0a\u8a18\u306b\u5b9a\u3081\u3089\u308c\u305f\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u5229\u7528\u306f\u3001\u73fe\u5728\u53ca\u3073\u5c06\u6765\u306e\u3059\u3079\u3066\u306e\u5a92\u4f53\u30fb\u5f62\u5f0f\u3067\u884c\u3046\u3053\u3068\u304c\u3067\u304d\u308b\u3002\u3042\u306a\u305f\u306f\u3001\u4ed6\u306e\u5a92\u4f53\u53ca\u3073\u5f62\u5f0f\u3067\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5229\u7528\u3059\u308b\u306e\u306b\u6280\u8853\u7684\u306b\u5fc5\u8981\u306a\u5909\u66f4\u3092\u884c\u3046\u3053\u3068\u304c\u3067\u304d\u308b\u3002\u8a31\u8afe\u8005\u306f\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306b\u95a2\u3057\u3066\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u5f93\u3063\u305f\u5229\u7528\u306b\u3064\u3044\u3066\u306f\u81ea\u5df1\u304c\u6709\u3059\u308b\u8457\u4f5c\u8005\u4eba\u683c\u6a29\u53ca\u3073\u5b9f\u6f14\u5bb6\u4eba\u683c\u6a29\u3092\u884c\u4f7f\u3057\u306a\u3044\u3002\u8a31\u8afe\u8005\u306b\u3088\u3063\u3066\u660e\u793a\u7684\u306b\u4ed8\u4e0e\u3055\u308c\u306a\u3044\u5168\u3066\u306e\u6a29\u5229\u306f\u3001\u7559\u4fdd\u3055\u308c\u308b\u3002\n\n\u7b2c4\u6761 \u53d7\u9818\u8005\u3078\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u63d0\u4f9b\n\n\u3042\u306a\u305f\u304c\u672c\u4f5c\u54c1\u3092\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u3044\u3066\u5229\u7528\u3059\u308b\u5ea6\u6bce\u306b\u3001\u8a31\u8afe\u8005\u306f\u672c\u4f5c\u54c1\u53c8\u306f\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u53d7\u9818\u8005\u306b\u5bfe\u3057\u3066\u3001\u76f4\u63a5\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u4e0b\u3067\u3042\u306a\u305f\u306b\u8a31\u53ef\u3055\u308c\u305f\u5229\u7528\u8a31\u8afe\u3068\u540c\u3058\u6761\u4ef6\u306e\u672c\u4f5c\u54c1\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u3092\u63d0\u4f9b\u3059\u308b\u3002\n\n\u7b2c5\u6761 \u5236\u9650\n\n\u4e0a\u8a18\u7b2c3\u6761\u53ca\u3073\u7b2c4\u6761\u306b\u3088\u308a\u4ed8\u4e0e\u3055\u308c\u305f\u30e9\u30a4\u30bb\u30f3\u30b9\u306f\u3001\u4ee5\u4e0b\u306e\u5236\u9650\u306b\u660e\u793a\u7684\u306b\u5f93\u3044\u3001\u5236\u7d04\u3055\u308c\u308b\u3002\n\n	a. \u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u57fa\u3065\u3044\u3066\u306e\u307f\u3001\u672c\u4f5c\u54c1\u3092\u5229\u7528\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u308b\u3002\n	b. \u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u53c8\u306f\u3053\u306e\u5229\u7528\u8a31\u8afe\u3068\u540c\u4e00\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u8981\u7d20\u3092\u542b\u3080\u307b\u304b\u306e\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\uff65\u30b3\u30e2\u30f3\u30ba\u30fb\u30e9\u30a4\u30bb\u30f3\u30b9\uff08\u4f8b\u3048\u3070\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u65b0\u3057\u3044\u30d0\u30fc\u30b8\u30e7\u30f3\u3001\u53c8\u306f\u3053\u306e\u5229\u7528\u8a31\u8afe\u3068\u540c\u4e00\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u8981\u7d20\u306e\u4ed6\u56fd\u7c4d\u30e9\u30a4\u30bb\u30f3\u30b9\u306a\u3069\uff09\u306b\u57fa\u3065\u3044\u3066\u306e\u307f\u3001\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5229\u7528\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u308b\u3002\n	c. \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u3092\u5229\u7528\u3059\u308b\u3068\u304d\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u5199\u3057\u53c8\u306fURI\uff08Uniform Resource Identifier\uff09\u3092\u672c\u4f5c\u54c1\u306e\u8907\u88fd\u7269\u306b\u6dfb\u4ed8\u53c8\u306f\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002\n	d. \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5229\u7528\u3059\u308b\u3068\u304d\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u53c8\u306f\u3053\u306e\u5229\u7528\u8a31\u8afe\u3068\u540c\u4e00\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u8981\u7d20\u3092\u542b\u3080\u307b\u304b\u306e\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\uff65\u30b3\u30e2\u30f3\u30ba\uff65\u30e9\u30a4\u30bb\u30f3\u30b9\u306e\u5199\u3057\u53c8\u306fURI\u3092\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u8907\u88fd\u7269\u306b\u6dfb\u4ed8\u307e\u305f\u306f\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002\n	e. \u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u6761\u9805\u53ca\u3073\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u3088\u3063\u3066\u4ed8\u4e0e\u3055\u308c\u308b\u5229\u7528\u8a31\u8afe\u53d7\u9818\u8005\u306e\u6a29\u5229\u306e\u884c\u4f7f\u3092\u5909\u66f4\u53c8\u306f\u5236\u9650\u3059\u308b\u3088\u3046\u306a\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306b\u4fc2\u308b\u6761\u4ef6\u3092\u63d0\u6848\u3057\u305f\u308a\u8ab2\u3057\u305f\u308a\u3057\u3066\u306f\u306a\u3089\u306a\u3044\u3002\n	f. \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u3092\u518d\u5229\u7528\u8a31\u8afe\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u306a\u3044\u3002\n	g. \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u5229\u7528\u306b\u3042\u305f\u3063\u3066\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u53ca\u3073\u305d\u306e\u514d\u8cac\u6761\u9805\u306b\u95a2\u3059\u308b\u6ce8\u610f\u66f8\u304d\u306e\u5185\u5bb9\u3092\u5909\u66f4\u305b\u305a\u3001\u898b\u3084\u3059\u3044\u614b\u69d8\u3067\u305d\u306e\u307e\u307e\u63b2\u8f09\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002\n	h. \u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u6761\u9805\u3068\u77db\u76fe\u3059\u308b\u65b9\u6cd5\u3067\u672c\u8457\u4f5c\u7269\u3078\u306e\u30a2\u30af\u30bb\u30b9\u53c8\u306f\u4f7f\u7528\u3092\u30b3\u30f3\u30c8\u30ed\u30fc\u30eb\u3059\u308b\u3088\u3046\u306a\u6280\u8853\u7684\u4fdd\u8b77\u624b\u6bb5\u3092\u7528\u3044\u3066\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5229\u7528\u3057\u3066\u306f\u306a\u3089\u306a\u3044\u3002\n	i. \u672c\u6761\u306e\u5236\u9650\u306f\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u304c\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u306b\u7d44\u307f\u8fbc\u307e\u308c\u305f\u5834\u5408\u306b\u3082\u3001\u305d\u306e\u7d44\u307f\u8fbc\u307e\u308c\u305f\u4f5c\u54c1\u306b\u95a2\u3057\u3066\u306f\u9069\u7528\u3055\u308c\u308b\u3002\u3057\u304b\u3057\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u304c\u7d44\u307f\u8fbc\u307e\u308c\u305f\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u305d\u306e\u3082\u306e\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u5f93\u3046\u5fc5\u8981\u306f\u306a\u3044\u3002\n	j. \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u3001\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u53c8\u306f\u672c\u4f5c\u54c1\u3092\u7d44\u307f\u8fbc\u3093\u3060\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u3092\u5229\u7528\u3059\u308b\u5834\u5408\u306b\u306f\u3001\uff081\uff09\u672c\u4f5c\u54c1\u306b\u4fc2\u308b\u3059\u3079\u3066\u306e\u8457\u4f5c\u6a29\u8868\u793a\u3092\u305d\u306e\u307e\u307e\u306b\u3057\u3066\u304a\u304b\u306a\u3051\u308c\u3070\u306a\u3089\u305a\u3001\uff082\uff09\u539f\u8457\u4f5c\u8005\u53ca\u3073\u5b9f\u6f14\u5bb6\u306e\u30af\u30ec\u30b8\u30c3\u30c8\u3092\u3001\u5408\u7406\u7684\u306a\u65b9\u5f0f\u3067\u3001\uff08\u3082\u3057\u793a\u3055\u308c\u3066\u3044\u308c\u3070\u539f\u8457\u4f5c\u8005\u53ca\u3073\u5b9f\u6f14\u5bb6\u306e\u540d\u524d\u53c8\u306f\u5909\u540d\u3092\u4f1d\u3048\u308b\u3053\u3068\u306b\u3088\u308a\u3001\uff09\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u305a\u3001\uff083\uff09\u672c\u4f5c\u54c1\u306e\u30bf\u30a4\u30c8\u30eb\u304c\u793a\u3055\u308c\u3066\u3044\u308b\u5834\u5408\u306b\u306f\u3001\u305d\u306e\u30bf\u30a4\u30c8\u30eb\u3092\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u305a\u3001\uff084\uff09\u8a31\u8afe\u8005\u304c\u672c\u4f5c\u54c1\u306b\u6dfb\u4ed8\u3059\u308b\u3088\u3046\u6307\u5b9a\u3057\u305fURI\u304c\u3042\u308c\u3070\u3001\u5408\u7406\u7684\u306b\u5b9f\u884c\u53ef\u80fd\u306a\u7bc4\u56f2\u3067\u3001\u305d\u306eURI\u3092\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u305a\uff08\u305f\u3060\u3057\u3001\u305d\u306eURI\u304c\u672c\u4f5c\u54c1\u306e\u8457\u4f5c\u6a29\u8868\u793a\u307e\u305f\u306f\u30e9\u30a4\u30bb\u30f3\u30b9\u60c5\u5831\u3092\u53c2\u7167\u3059\u308b\u3082\u306e\u3067\u306a\u3044\u3068\u304d\u306f\u3053\u306e\u9650\u308a\u3067\u306a\u3044\u3002\uff09\uff085\uff09\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u5834\u5408\u306b\u306f\u3001\u5f53\u8a72\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u4e2d\u306e\u539f\u8457\u4f5c\u7269\u306e\u5229\u7528\u3092\u793a\u3059\u30af\u30ec\u30b8\u30c3\u30c8\u3092\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002\u3053\u308c\u3089\u306e\u30af\u30ec\u30b8\u30c3\u30c8\u306f\u3001\u5408\u7406\u7684\u3067\u3042\u308c\u3070\u3069\u3093\u306a\u65b9\u6cd5\u3067\u3082\u884c\u3046\u3053\u3068\u304c\u3067\u304d\u308b\u3002\u3057\u304b\u3057\u306a\u304c\u3089\u3001\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u53c8\u306f\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u306e\u5834\u5408\u306b\u306f\u3001\u5c11\u306a\u304f\u3068\u3082\u4ed6\u306e\u540c\u69d8\u306e\u8457\u4f5c\u8005\u306e\u30af\u30ec\u30b8\u30c3\u30c8\u304c\u8868\u793a\u3055\u308c\u308b\u7b87\u6240\u3067\u5f53\u8a72\u30af\u30ec\u30b8\u30c3\u30c8\u3092\u8868\u793a\u3057\u3001\u5c11\u306a\u304f\u3068\u3082\u4ed6\u306e\u540c\u69d8\u306e\u8457\u4f5c\u8005\u306e\u30af\u30ec\u30b8\u30c3\u30c8\u3068\u540c\u7a0b\u5ea6\u306b\u76ee\u7acb\u3064\u65b9\u6cd5\u3067\u3042\u308b\u3053\u3068\u3092\u8981\u3059\u308b\u3002\n	k. \u3082\u3057\u3001\u3042\u306a\u305f\u304c\u3001\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3001\u53c8\u306f\u672c\u4f5c\u54c1\u3082\u3057\u304f\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u7d44\u307f\u8fbc\u3093\u3060\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u3092\u5275\u4f5c\u3057\u305f\u5834\u5408\u3001\u3042\u306a\u305f\u306f\u3001\u8a31\u8afe\u8005\u304b\u3089\u306e\u901a\u77e5\u304c\u3042\u308c\u3070\u3001\u5b9f\u884c\u53ef\u80fd\u306a\u7bc4\u56f2\u3067\u3001\u8981\u6c42\u306b\u5fdc\u3058\u3066\u3001\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u53c8\u306f\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u304b\u3089\u3001\u8a31\u8afe\u8005\u53c8\u306f\u539f\u8457\u4f5c\u8005\u3078\u306e\u8a00\u53ca\u3092\u3059\u3079\u3066\u9664\u53bb\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002\n\n\u7b2c6\u6761 \u8cac\u4efb\u5236\u9650\n\n\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u4e21\u5f53\u4e8b\u8005\u304c\u66f8\u9762\u306b\u3066\u5225\u9014\u5408\u610f\u3057\u306a\u3044\u9650\u308a\u3001\u8a31\u8afe\u8005\u306f\u672c\u4f5c\u54c1\u3092\u73fe\u72b6\u306e\u307e\u307e\u63d0\u4f9b\u3059\u308b\u3082\u306e\u3068\u3057\u3001\u660e\u793a\u30fb\u9ed9\u793a\u3092\u554f\u308f\u305a\u3001\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3066\u3044\u304b\u306a\u308b\u4fdd\u8a3c\uff08\u7279\u5b9a\u306e\u5229\u7528\u76ee\u7684\u3078\u306e\u9069\u5408\u6027\u3001\u7b2c\u4e09\u8005\u306e\u6a29\u5229\u306e\u975e\u4fb5\u5bb3\u3001\u6b20\u9665\u306e\u4e0d\u5b58\u5728\u3092\u542b\u3080\u304c\u3001\u3053\u308c\u306b\u9650\u3089\u308c\u306a\u3044\u3002\uff09\u3082\u3057\u306a\u3044\u3002\n\n\u3053\u306e\u5229\u7528\u8a31\u8afe\u53c8\u306f\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u672c\u4f5c\u54c1\u306e\u5229\u7528\u304b\u3089\u767a\u751f\u3059\u308b\u3001\u3044\u304b\u306a\u308b\u640d\u5bb3\uff08\u8a31\u8afe\u8005\u304c\u3001\u672c\u4f5c\u54c1\u306b\u304b\u304b\u308b\u8457\u4f5c\u6a29\u3001\u8457\u4f5c\u96a3\u63a5\u6a29\u3001\u8457\u4f5c\u8005\u4eba\u683c\u6a29\u3001\u5b9f\u6f14\u5bb6\u4eba\u683c\u6a29\u3001\u5546\u6a19\u6a29\u3001\u30d1\u30d6\u30ea\u30b7\u30c6\u30a3\u6a29\u3001\u4e0d\u6b63\u7af6\u4e89\u9632\u6b62\u6cd5\u305d\u306e\u4ed6\u95a2\u9023\u6cd5\u898f\u4e0a\u4fdd\u8b77\u3055\u308c\u308b\u5229\u76ca\u3092\u6709\u3059\u308b\u8005\u304b\u3089\u306e\u8a31\u8afe\u3092\u5f97\u308b\u3053\u3068\u306a\u304f\u672c\u4f5c\u54c1\u306e\u5229\u7528\u8a31\u8afe\u3092\u884c\u3063\u305f\u3053\u3068\u306b\u3088\u308a\u767a\u751f\u3059\u308b\u640d\u5bb3\u3001\u30d7\u30e9\u30a4\u30d0\u30b7\u30fc\u4fb5\u5bb3\u53c8\u306f\u540d\u8a89\u6bc0\u640d\u304b\u3089\u767a\u751f\u3059\u308b\u640d\u5bb3\u7b49\u306e\u901a\u5e38\u640d\u5bb3\u3001\u53ca\u3073\u7279\u5225\u640d\u5bb3\u3092\u542b\u3080\u304c\u3001\u3053\u308c\u306b\u9650\u3089\u306a\u3044\u3002\uff09\u306b\u3064\u3044\u3066\u3082\u3001\u8a31\u8afe\u8005\u306b\u6545\u610f\u53c8\u306f\u91cd\u5927\u306a\u904e\u5931\u304c\u3042\u308b\u5834\u5408\u3092\u9664\u304d\u3001\u8a31\u8afe\u8005\u304c\u305d\u306e\u3088\u3046\u306a\u640d\u5bb3\u767a\u751f\u306e\u53ef\u80fd\u6027\u3092\u77e5\u3089\u3055\u308c\u305f\u304b\u5426\u304b\u3092\u554f\u308f\u305a\u3001\u8a31\u8afe\u8005\u306f\u3001\u3042\u306a\u305f\u306b\u5bfe\u3057\u3001\u3053\u308c\u3092\u8ce0\u511f\u3059\u308b\u8cac\u4efb\u3092\u8ca0\u308f\u306a\u3044\u3002\n\n\u7b2c7\u6761 \u7d42\u4e86\n\n	a. \u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u3042\u306a\u305f\u304c\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u9055\u53cd\u3059\u308b\u3068\u81ea\u52d5\u7684\u306b\u7d42\u4e86\u3059\u308b\u3002\u3057\u304b\u3057\u3001\u672c\u4f5c\u54c1\u3001\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u53c8\u306f\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u3092\u3042\u306a\u305f\u304b\u3089\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304d\u53d7\u9818\u3057\u305f\u7b2c\u4e09\u8005\u306b\u5bfe\u3057\u3066\u306f\u3001\u305d\u306e\u53d7\u9818\u8005\u304c\u3053\u306e\u5229\u7528\u8a31\u8afe\u3092\u9075\u5b88\u3057\u3066\u3044\u308b\u9650\u308a\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u7d42\u4e86\u3057\u306a\u3044\u3002\u7b2c1\u6761\u3001\u7b2c2\u6761\u3001\u7b2c4\u6761\u304b\u3089\u7b2c9\u6761\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u304c\u7d42\u4e86\u3057\u3066\u3082\u306a\u304a\u6709\u52b9\u306b\u5b58\u7d9a\u3059\u308b\u3002\n	b. \u4e0a\u8a18a\u306b\u5b9a\u3081\u308b\u5834\u5408\u3092\u9664\u304d\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u30e9\u30a4\u30bb\u30f3\u30b9\u306f\u3001\u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u8457\u4f5c\u6a29\u6cd5\u4e0a\u306e\u6a29\u5229\u304c\u5b58\u7d9a\u3059\u308b\u304b\u304e\u308a\u7d99\u7d9a\u3059\u308b\u3002\n	c. \u8a31\u8afe\u8005\u306f\u3001\u4e0a\u8a18a\u304a\u3088\u3073b\u306b\u95a2\u308f\u3089\u305a\u3001\u3044\u3064\u3067\u3082\u3001\u672c\u4f5c\u54c1\u3092\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u3044\u3066\u9812\u5e03\u3059\u308b\u3053\u3068\u3092\u5c06\u6765\u306b\u5411\u304b\u3063\u3066\u4e2d\u6b62\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u308b\u3002\u305f\u3060\u3057\u3001\u8a31\u8afe\u8005\u304c\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u9812\u5e03\u3092\u5c06\u6765\u306b\u5411\u304b\u3063\u3066\u4e2d\u6b62\u3057\u305f\u5834\u5408\u3067\u3082\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u3044\u3066\u3059\u3067\u306b\u672c\u4f5c\u54c1\u3092\u53d7\u9818\u3057\u305f\u5229\u7528\u8005\u306b\u5bfe\u3057\u3066\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u3044\u3066\u904e\u53bb\u53ca\u3073\u5c06\u6765\u306b\u4e0e\u3048\u3089\u308c\u308b\u3044\u304b\u306a\u308b\u30e9\u30a4\u30bb\u30f3\u30b9\u3082\u7d42\u4e86\u3059\u308b\u3053\u3068\u306f\u306a\u3044\u3002\u307e\u305f\u3001\u4e0a\u8a18\u306b\u3088\u3063\u3066\u7d42\u4e86\u3057\u306a\u3044\u9650\u308a\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u5168\u9762\u7684\u306b\u6709\u52b9\u306a\u3082\u306e\u3068\u3057\u3066\u7d99\u7d9a\u3059\u308b\u3002\n\n\u7b2c8\u6761 \u305d\u306e\u4ed6\n\n	a. \u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u3044\u305a\u308c\u304b\u306e\u898f\u5b9a\u304c\u3001\u9069\u7528\u6cd5\u306e\u4e0b\u3067\u7121\u52b9\u53ca\u3073\uff0f\u53c8\u306f\u57f7\u884c\u4e0d\u80fd\u306e\u5834\u5408\u3067\u3042\u3063\u3066\u3082\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u4ed6\u306e\u6761\u9805\u306e\u6709\u52b9\u6027\u53ca\u3073\u57f7\u884c\u53ef\u80fd\u6027\u306b\u306f\u5f71\u97ff\u3057\u306a\u3044\u3002\n	b. \u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306e\u5168\u90e8\u53c8\u306f\u4e00\u90e8\u306e\u653e\u68c4\u53c8\u306f\u305d\u306e\u9055\u53cd\u306b\u95a2\u3059\u308b\u627f\u8afe\u306f\u3001\u3053\u308c\u304c\u66f8\u9762\u306b\u3055\u308c\u3001\u5f53\u8a72\u653e\u68c4\u53c8\u306f\u627f\u8afe\u306b\u8cac\u4efb\u3092\u8ca0\u3046\u5f53\u4e8b\u8005\u306b\u3088\u308b\u7f72\u540d\u53c8\u306f\u8a18\u540d\u62bc\u5370\u304c\u306a\u3055\u308c\u306a\u3044\u9650\u308a\u3001\u884c\u3046\u3053\u3068\u304c\u3067\u304d\u306a\u3044\u3002\n	c. \u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u5f53\u4e8b\u8005\u304c\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3066\u884c\u3063\u305f\u6700\u7d42\u304b\u3064\u552f\u4e00\u306e\u5408\u610f\u306e\u5185\u5bb9\u3067\u3042\u308b\u3002\u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u8a31\u8afe\u8005\u3068\u3042\u306a\u305f\u3068\u306e\u76f8\u4e92\u306e\u66f8\u9762\u306b\u3088\u308b\u5408\u610f\u306a\u304f\u4fee\u6b63\u3055\u308c\u306a\u3044\u3002\n	d. \u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u65e5\u672c\u8a9e\u306b\u3088\u308a\u63d0\u4f9b\u3055\u308c\u308b\u3002\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u82f1\u8a9e\u305d\u306e\u4ed6\u306e\u8a00\u8a9e\u3078\u306e\u7ffb\u8a33\u306f\u53c2\u7167\u306e\u305f\u3081\u306e\u3082\u306e\u306b\u904e\u304e\u305a\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u65e5\u672c\u8a9e\u7248\u3068\u7ffb\u8a33\u3068\u306e\u9593\u306b\u4f55\u3089\u304b\u306e\u9f5f\u9f6c\u304c\u3042\u308b\u5834\u5408\u306b\u306f\u65e5\u672c\u8a9e\u7248\u304c\u512a\u5148\u3059\u308b\u3002\n\n\u7b2c9\u6761 \u6e96\u62e0\u6cd5\n\n\u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u65e5\u672c\u6cd5\u306b\u57fa\u3065\u304d\u89e3\u91c8\u3055\u308c\u308b\u3002\n\n\u672c\u4f5c\u54c1\u304c\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30e9\u30a4\u30bb\u30f3\u30b9\u306b\u57fa\u3065\u304d\u5229\u7528\u8a31\u8afe\u3055\u308c\u305f\u3053\u3068\u3092\u516c\u8846\u306b\u793a\u3059\u3068\u3044\u3046\u9650\u5b9a\u3055\u308c\u305f\u76ee\u7684\u306e\u5834\u5408\u3092\u9664\u304d\u3001\u8a31\u8afe\u8005\u3082\u88ab\u8a31\u8afe\u8005\u3082\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u306e\u4e8b\u524d\u306e\u66f8\u9762\u306b\u3088\u308b\u540c\u610f\u306a\u3057\u306b\u300c\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u300d\u306e\u5546\u6a19\u82e5\u3057\u304f\u306f\u95a2\u9023\u5546\u6a19\u53c8\u306f\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u306e\u30ed\u30b4\u3092\u4f7f\u7528\u3057\u306a\u3044\u3082\u306e\u3068\u3057\u307e\u3059\u3002\u4f7f\u7528\u304c\u8a31\u53ef\u3055\u308c\u305f\u5834\u5408\u306f\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u304a\u3088\u3073\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\uff65\u30b3\u30e2\u30f3\u30ba\uff65\u30b8\u30e3\u30d1\u30f3\u306e\u30a6\u30a7\u30d6\u30b5\u30a4\u30c8\u4e0a\u306b\u516c\u8868\u3055\u308c\u308b\u3001\u53c8\u306f\u305d\u306e\u4ed6\u968f\u6642\u8981\u6c42\u306b\u5f93\u3044\u5229\u7528\u53ef\u80fd\u3068\u306a\u308b\u3001\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u306e\u5f53\u8a72\u6642\u70b9\u306b\u304a\u3051\u308b\u5546\u6a19\u4f7f\u7528\u6307\u91dd\u3092\u9075\u5b88\u3059\u308b\u3082\u306e\u3068\u3057\u307e\u3059\u3002\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u306f https://creativecommons.org/\u304b\u3089\u3001\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30b8\u30e3\u30d1\u30f3\u306fhttp://www.creativecommons.jp/\u304b\u3089\u9023\u7d61\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u307e\u3059\u3002\n"
		self.standardLicenseTemplate = "<<beginOptional>>\u30a2\u30c8\u30ea\u30d3\u30e5\u30fc\u30b7\u30e7\u30f3\u2014\u30b7\u30a7\u30a2\u30a2\u30e9\u30a4\u30af 2.1 \uff08\u5e30\u5c5e\u2014\u540c\u4e00\u6761\u4ef6\u8a31\u8afe\uff09\n\n<<endOptional>><<beginOptional>> \u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u53ca\u3073\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30b8\u30e3\u30d1\u30f3\u306f\u6cd5\u5f8b\u4e8b\u52d9\u6240\u3067\u306f\u3042\u308a\u307e\u305b\u3093\u3002\u3053\u306e\u5229\u7528\u8a31\u8afe\u6761\u9805\u306e\u9812\u5e03\u306f\u6cd5\u7684\u30a2\u30c9\u30d0\u30a4\u30b9\u305d\u306e\u4ed6\u306e\u6cd5\u5f8b\u696d\u52d9\u3092\u884c\u3046\u3082\u306e\u3067\u306f\u3042\u308a\u307e\u305b\u3093\u3002\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u53ca\u3073\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30b8\u30e3\u30d1\u30f3\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u5f53\u4e8b\u8005\u3067\u306f\u306a\u304f\u3001\u3053\u3053\u306b\u63d0\u4f9b\u3059\u308b\u60c5\u5831\u53ca\u3073\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3044\u304b\u306a\u308b\u4fdd\u8a3c\u3082\u884c\u3044\u307e\u305b\u3093\u3002\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u53ca\u3073\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30b8\u30e3\u30d1\u30f3\u306f\u3001\u3044\u304b\u306a\u308b\u6cd5\u4ee4\u306b\u57fa\u3065\u3053\u3046\u3068\u3082\u3001\u3042\u306a\u305f\u53c8\u306f\u3044\u304b\u306a\u308b\u7b2c\u4e09\u8005\u306e\u640d\u5bb3\uff08\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u95a2\u9023\u3059\u308b\u901a\u5e38\u640d\u5bb3\u3001\u7279\u5225\u640d\u5bb3\u3092\u542b\u307f\u307e\u3059\u304c\u3053\u308c\u3089\u306b\u9650\u3089\u308c\u307e\u305b\u3093\uff09\u306b\u3064\u3044\u3066\u8cac\u4efb\u3092\u8ca0\u3044\u307e\u305b\u3093\u3002\n\n\u5229\u7528\u8a31\u8afe\n\n<<endOptional>>\n\n\u672c\u4f5c\u54c1\uff08\u4e0b\u8a18\u306b\u5b9a\u7fa9\u3059\u308b\uff09\u306f\u3001\u3053\u306e\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\uff65\u30d1\u30d6\u30ea\u30c3\u30af\uff65\u30e9\u30a4\u30bb\u30f3\u30b9\u65e5\u672c\u7248\uff08\u4ee5\u4e0b\u300c\u3053\u306e\u5229\u7528\u8a31\u8afe\u300d\u3068\u3044\u3046\uff09\u306e\u6761\u9805\u306e\u4e0b\u3067\u63d0\u4f9b\u3055\u308c\u308b\u3002\u672c\u4f5c\u54c1\u306f\u3001\u8457\u4f5c\u6a29\u6cd5\u53ca\u3073\uff0f\u53c8\u306f\u4ed6\u306e\u9069\u7528\u6cd5\u306b\u3088\u3063\u3066\u4fdd\u8b77\u3055\u308c\u308b\u3002\u672c\u4f5c\u54c1\u3092\u3053\u306e\u5229\u7528\u8a31\u8afe\u53c8\u306f\u8457\u4f5c\u6a29\u6cd5\u306e\u4e0b\u3067\u6388\u6a29\u3055\u308c\u305f\u4ee5\u5916\u306e\u65b9\u6cd5\u3067\u4f7f\u7528\u3059\u308b\u3053\u3068\u3092\u7981\u6b62\u3059\u308b\u3002\n\n\u8a31\u8afe\u8005\u306f\u3001\u304b\u304b\u308b\u6761\u9805\u3092\u3042\u306a\u305f\u304c\u627f\u8afe\u3059\u308b\u3053\u3068\u3068\u3072\u304d\u304b\u3048\u306b\u3001\u3053\u3053\u306b\u898f\u5b9a\u3055\u308c\u308b\u6a29\u5229\u3092\u3042\u306a\u305f\u306b\u4ed8\u4e0e\u3059\u308b\u3002\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u4e0b\u3067\u8a8d\u3081\u3089\u308c\u308b\u3044\u305a\u308c\u304b\u306e\u5229\u7528\u3092\u884c\u3046\u3053\u3068\u306b\u3088\u308a\u3001\u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\uff08\u6761\u9805\uff09\u306b\u62d8\u675f\u3055\u308c\u308b\u3053\u3068\u3092\u627f\u8afe\u3057\u540c\u610f\u3057\u305f\u3053\u3068\u3068\u306a\u308b\u3002\n\n   <<var;name=\"bullet\";original=\"\u7b2c1\u6761\";match=\".{0,20}\">> \u5b9a\u7fa9\n\n   \u3053\u306e\u5229\u7528\u8a31\u8afe\u4e2d\u306e\u7528\u8a9e\u3092\u4ee5\u4e0b\u306e\u3088\u3046\u306b\u5b9a\u7fa9\u3059\u308b\u3002\u305d\u306e\u4ed6\u306e\u7528\u8a9e\u306f\u3001\u8457\u4f5c\u6a29\u6cd5\u305d\u306e\u4ed6\u306e\u6cd5\u4ee4\u3067\u5b9a\u3081\u308b\u610f\u5473\u3092\u6301\u3064\u3082\u306e\u3068\u3059\u308b\u3002\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \u300c\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u300d\u3068\u306f\u3001\u8457\u4f5c\u7269\u3092\u7ffb\u8a33\u3057\u3001\u7de8\u66f2\u3057\u3001\u82e5\u3057\u304f\u306f\u5909\u5f62\u3057\u3001\u307e\u305f\u306f\u811a\u8272\u3057\u3001\u6620\u753b\u5316\u3057\u3001\u305d\u306e\u4ed6\u7ffb\u6848\u3059\u308b\u3053\u3068\u306b\u3088\u308a\u5275\u4f5c\u3057\u305f\u8457\u4f5c\u7269\u3092\u3044\u3046\u3002\u305f\u3060\u3057\u3001\u7de8\u96c6\u8457\u4f5c\u7269\u53c8\u306f\u30c7\u30fc\u30bf\u30d9\u30fc\u30b9\u306e\u8457\u4f5c\u7269\uff08\u4ee5\u4e0b\u3001\u3053\u306e\u4e8c\u3064\u3092\u4f75\u305b\u3066\u300c\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u300d\u3068\u3044\u3046\u3002\uff09\u3092\u69cb\u6210\u3059\u308b\u8457\u4f5c\u7269\u306f\u3001\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3068\u307f\u306a\u3055\u308c\u306a\u3044\u3002\u307e\u305f\u3001\u539f\u8457\u4f5c\u8005\u53ca\u3073\u5b9f\u6f14\u5bb6\u306e\u540d\u8a89\u53c8\u306f\u58f0\u671b\u3092\u5bb3\u3059\u308b\u65b9\u6cd5\u3067\u539f\u8457\u4f5c\u7269\u3092\u6539\u4f5c\u3001\u5909\u5f62\u3082\u3057\u304f\u306f\u7ffb\u6848\u3057\u3066\u751f\u3058\u308b\u8457\u4f5c\u7269\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u76ee\u7684\u306b\u304a\u3044\u3066\u306f\u3001\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306b\u542b\u307e\u308c\u306a\u3044\u3002\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \u300c\u8a31\u8afe\u8005\u300d\u3068\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306e\u4e0b\u3067\u672c\u4f5c\u54c1\u3092\u63d0\u4f9b\u3059\u308b\u500b\u4eba\u53c8\u306f\u56e3\u4f53\u3092\u3044\u3046\u3002\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \u300c\u3042\u306a\u305f\u300d\u3068\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u6a29\u5229\u3092\u884c\u4f7f\u3059\u308b\u500b\u4eba\u53c8\u306f\u56e3\u4f53\u3092\u3044\u3046\u3002\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \u300c\u539f\u8457\u4f5c\u8005\u300d\u3068\u306f\u3001\u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u8457\u4f5c\u7269\u3092\u5275\u4f5c\u3057\u305f\u500b\u4eba\u53c8\u306f\u56e3\u4f53\u3092\u3044\u3046\u3002\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \u300c\u672c\u4f5c\u54c1\u300d\u3068\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u57fa\u3065\u3044\u3066\u5229\u7528\u3059\u308b\u6a29\u5229\u304c\u4ed8\u4e0e\u3055\u308c\u308b\u5bfe\u8c61\u305f\u308b\u7121\u4f53\u7269\u3092\u3044\u3044\u3001\u8457\u4f5c\u7269\u3001\u5b9f\u6f14\u3001\u30ec\u30b3\u30fc\u30c9\u3001\u653e\u9001\u306b\u304b\u304b\u308b\u97f3\u53c8\u306f\u5f71\u50cf\u3001\u3082\u3057\u304f\u306f\u6709\u7dda\u653e\u9001\u306b\u304b\u304b\u308b\u97f3\u53c8\u306f\u5f71\u50cf\u3092\u3059\u3079\u3066\u542b\u3080\u3082\u306e\u3068\u3059\u308b\u3002\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \u300c\u30e9\u30a4\u30bb\u30f3\u30b9\u8981\u7d20\u300d\u3068\u306f\u3001\u8a31\u8afe\u8005\u304c\u9078\u629e\u3057\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u8868\u793a\u3055\u308c\u3066\u3044\u308b\u3001\u4ee5\u4e0b\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u5c5e\u6027\u3092\u3044\u3046\uff1a\u5e30\u5c5e\u30fb\u540c\u4e00\u6761\u4ef6\u8a31\u8afe\n\n   <<var;name=\"bullet\";original=\"\u7b2c2\u6761\";match=\".{0,20}\">> \u8457\u4f5c\u6a29\u7b49\u306b\u5bfe\u3059\u308b\u5236\u9650\n\n   \u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u542b\u307e\u308c\u308b\u3044\u304b\u306a\u308b\u6761\u9805\u306b\u3088\u3063\u3066\u3082\u3001\u8a31\u8afe\u8005\u306f\u3001\u3042\u306a\u305f\u304c\u8457\u4f5c\u6a29\u306e\u5236\u9650\uff08\u8457\u4f5c\u6a29\u6cd5\u7b2c30\u6761\u301c49\u6761\uff09\u3001\u8457\u4f5c\u8005\u4eba\u683c\u6a29\u306b\u5bfe\u3059\u308b\u5236\u9650\uff08\u8457\u4f5c\u6a29\u6cd5\u7b2c18\u67612\u9805\u301c4\u9805\u3001\u7b2c19\u67612\u9805\u301c4\u9805\u3001\u7b2c20\u67612\u9805\uff09\u3001\u8457\u4f5c\u96a3\u63a5\u6a29\u306b\u5bfe\u3059\u308b\u5236\u9650\uff08\u8457\u4f5c\u6a29\u6cd5\u7b2c102\u6761\uff09\u305d\u306e\u4ed6\u3001\u8457\u4f5c\u6a29\u6cd5\u53c8\u306f\u305d\u306e\u4ed6\u306e\u9069\u7528\u6cd5\u306b\u57fa\u3065\u3044\u3066\u8a8d\u3081\u3089\u308c\u308b\u3053\u3068\u3068\u306a\u308b\u672c\u4f5c\u54c1\u306e\u5229\u7528\u3092\u7981\u6b62\u3057\u306a\u3044\u3002\n\n   <<var;name=\"bullet\";original=\"\u7b2c3\u6761\";match=\".{0,20}\">> \u30e9\u30a4\u30bb\u30f3\u30b9\u306e\u4ed8\u4e0e\n\n   \u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u5f93\u3044\u3001\u8a31\u8afe\u8005\u306f\u3042\u306a\u305f\u306b\u3001\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3001\u3059\u3079\u3066\u306e\u56fd\u3067\u3001\u30ed\u30a4\u30e4\u30ea\u30c6\u30a3\u30fb\u30d5\u30ea\u30fc\u3001\u975e\u6392\u4ed6\u7684\u3067\u3001\uff08\u7b2c7\u6761b\u306b\u5b9a\u3081\u308b\u671f\u9593\uff09\u7d99\u7d9a\u7684\u306a\u4ee5\u4e0b\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u3092\u4ed8\u4e0e\u3059\u308b\u3002\u305f\u3060\u3057\u3001\u3042\u306a\u305f\u304c\u4ee5\u524d\u306b\u672c\u4f5c\u54c1\u306b\u95a2\u3059\u308b\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u9055\u53cd\u3057\u305f\u3053\u3068\u304c\u306a\u3044\u304b\u3001\u3042\u308b\u3044\u306f\u3001\u4ee5\u524d\u306b\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u9055\u53cd\u3057\u305f\u304c\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u6a29\u5229\u3092\u884c\u4f7f\u3059\u308b\u305f\u3081\u306b\u8a31\u8afe\u8005\u304b\u3089\u660e\u793a\u7684\u306a\u8a31\u53ef\u3092\u5f97\u3066\u3044\u308b\u5834\u5408\u306b\u9650\u308b\u3002\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u8457\u4f5c\u7269\uff08\u4ee5\u4e0b\u300c\u672c\u8457\u4f5c\u7269\u300d\u3068\u3044\u3046\u3002\uff09\u3092\u8907\u88fd\u3059\u308b\u3053\u3068\uff08\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u306b\u7d44\u307f\u8fbc\u307f\u8907\u88fd\u3059\u308b\u3053\u3068\u3092\u542b\u3080\u3002\u4ee5\u4e0b\u3001\u540c\u3058\u3002\uff09\u3001\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \u672c\u8457\u4f5c\u7269\u3092\u7ffb\u6848\u3057\u3066\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5275\u4f5c\u3057\u3001\u8907\u88fd\u3059\u308b\u3053\u3068\u3001\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \u672c\u8457\u4f5c\u7269\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u8907\u88fd\u7269\u3092\u9812\u5e03\u3059\u308b\u3053\u3068\uff08\u8b72\u6e21\u307e\u305f\u306f\u8cb8\u4e0e\u306b\u3088\u308a\u516c\u8846\u306b\u63d0\u4f9b\u3059\u308b\u3053\u3068\u3092\u542b\u3080\u3002\u4ee5\u4e0b\u540c\u3058\u3002\uff09\u3001\u4e0a\u6f14\u3059\u308b\u3053\u3068\u3001\u6f14\u594f\u3059\u308b\u3053\u3068\u3001\u4e0a\u6620\u3059\u308b\u3053\u3068\u3001\u516c\u8846\u9001\u4fe1\u3092\u884c\u3046\u3053\u3068\uff08\u9001\u4fe1\u53ef\u80fd\u5316\u3092\u542b\u3080\u3002\u4ee5\u4e0b\u3001\u540c\u3058\u3002\uff09\u3001\u516c\u306b\u53e3\u8ff0\u3059\u308b\u3053\u3068\u3001\u516c\u306b\u5c55\u793a\u3059\u308b\u3053\u3068\u3001\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u5b9f\u6f14\u3092\u3001\u9332\u97f3\u30fb\u9332\u753b\u3059\u308b\u3053\u3068\uff08\u9332\u97f3\uff65\u9332\u753b\u7269\u3092\u5897\u88fd\u3059\u308b\u3053\u3068\u3092\u542b\u3080\uff09\u3001\u9332\u97f3\uff65\u9332\u753b\u7269\u306b\u3088\u308a\u9812\u5e03\u3059\u308b\u3053\u3068\u3001\u516c\u8846\u9001\u4fe1\u3092\u884c\u3046\u3053\u3068\u3001\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u30ec\u30b3\u30fc\u30c9\u3092\u3001\u8907\u88fd\u3059\u308b\u3053\u3068\u3001\u9812\u5e03\u3059\u308b\u3053\u3068\u3001\u516c\u8846\u9001\u4fe1\u3092\u884c\u3046\u3053\u3068\u3001\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u3001\u653e\u9001\u306b\u4fc2\u308b\u97f3\u53c8\u306f\u5f71\u50cf\u3092\u3001\u8907\u88fd\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u518d\u653e\u9001\u3059\u308b\u3053\u3068\u53c8\u306f\u6709\u7dda\u653e\u9001\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u653e\u9001\u53c8\u306f\u3053\u308c\u3092\u53d7\u4fe1\u3057\u3066\u884c\u3046\u6709\u7dda\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u9001\u4fe1\u53ef\u80fd\u5316\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u30c6\u30ec\u30d3\u30b8\u30e7\u30f3\u653e\u9001\u53c8\u306f\u3053\u308c\u3092\u53d7\u4fe1\u3057\u3066\u884c\u3046\u6709\u7dda\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u3001\u5f71\u50cf\u3092\u62e1\u5927\u3059\u308b\u7279\u5225\u306e\u88c5\u7f6e\u3092\u7528\u3044\u3066\u516c\u306b\u4f1d\u9054\u3059\u308b\u3053\u3068\u3001\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u3001\u6709\u7dda\u653e\u9001\u306b\u4fc2\u308b\u97f3\u53c8\u306f\u5f71\u50cf\u3092\u3001\u8907\u88fd\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u6709\u7dda\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u653e\u9001\u3057\u3001\u53c8\u306f\u518d\u6709\u7dda\u653e\u9001\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u6709\u7dda\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u9001\u4fe1\u53ef\u80fd\u5316\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u6709\u7dda\u30c6\u30ec\u30d3\u30b8\u30e7\u30f3\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u3001\u5f71\u50cf\u3092\u62e1\u5927\u3059\u308b\u7279\u5225\u306e\u88c5\u7f6e\u3092\u7528\u3044\u3066\u516c\u306b\u4f1d\u9054\u3059\u308b\u3053\u3068\u3001\n\n   \u4e0a\u8a18\u306b\u5b9a\u3081\u3089\u308c\u305f\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u5229\u7528\u306f\u3001\u73fe\u5728\u53ca\u3073\u5c06\u6765\u306e\u3059\u3079\u3066\u306e\u5a92\u4f53\u30fb\u5f62\u5f0f\u3067\u884c\u3046\u3053\u3068\u304c\u3067\u304d\u308b\u3002\u3042\u306a\u305f\u306f\u3001\u4ed6\u306e\u5a92\u4f53\u53ca\u3073\u5f62\u5f0f\u3067\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5229\u7528\u3059\u308b\u306e\u306b\u6280\u8853\u7684\u306b\u5fc5\u8981\u306a\u5909\u66f4\u3092\u884c\u3046\u3053\u3068\u304c\u3067\u304d\u308b\u3002\u8a31\u8afe\u8005\u306f\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306b\u95a2\u3057\u3066\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u5f93\u3063\u305f\u5229\u7528\u306b\u3064\u3044\u3066\u306f\u81ea\u5df1\u304c\u6709\u3059\u308b\u8457\u4f5c\u8005\u4eba\u683c\u6a29\u53ca\u3073\u5b9f\u6f14\u5bb6\u4eba\u683c\u6a29\u3092\u884c\u4f7f\u3057\u306a\u3044\u3002\u8a31\u8afe\u8005\u306b\u3088\u3063\u3066\u660e\u793a\u7684\u306b\u4ed8\u4e0e\u3055\u308c\u306a\u3044\u5168\u3066\u306e\u6a29\u5229\u306f\u3001\u7559\u4fdd\u3055\u308c\u308b\u3002\n\n   <<var;name=\"bullet\";original=\"\u7b2c4\u6761\";match=\".{0,20}\">> \u53d7\u9818\u8005\u3078\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u63d0\u4f9b\n\n   \u3042\u306a\u305f\u304c\u672c\u4f5c\u54c1\u3092\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u3044\u3066\u5229\u7528\u3059\u308b\u5ea6\u6bce\u306b\u3001\u8a31\u8afe\u8005\u306f\u672c\u4f5c\u54c1\u53c8\u306f\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u53d7\u9818\u8005\u306b\u5bfe\u3057\u3066\u3001\u76f4\u63a5\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u4e0b\u3067\u3042\u306a\u305f\u306b\u8a31\u53ef\u3055\u308c\u305f\u5229\u7528\u8a31\u8afe\u3068\u540c\u3058\u6761\u4ef6\u306e\u672c\u4f5c\u54c1\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u3092\u63d0\u4f9b\u3059\u308b\u3002\n\n   <<var;name=\"bullet\";original=\"\u7b2c5\u6761\";match=\".{0,20}\">> \u5236\u9650\n\n   \u4e0a\u8a18\u7b2c3\u6761\u53ca\u3073\u7b2c4\u6761\u306b\u3088\u308a\u4ed8\u4e0e\u3055\u308c\u305f\u30e9\u30a4\u30bb\u30f3\u30b9\u306f\u3001\u4ee5\u4e0b\u306e\u5236\u9650\u306b\u660e\u793a\u7684\u306b\u5f93\u3044\u3001\u5236\u7d04\u3055\u308c\u308b\u3002\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u57fa\u3065\u3044\u3066\u306e\u307f\u3001\u672c\u4f5c\u54c1\u3092\u5229\u7528\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u308b\u3002\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u53c8\u306f\u3053\u306e\u5229\u7528\u8a31\u8afe\u3068\u540c\u4e00\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u8981\u7d20\u3092\u542b\u3080\u307b\u304b\u306e\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\uff65\u30b3\u30e2\u30f3\u30ba\u30fb\u30e9\u30a4\u30bb\u30f3\u30b9\uff08\u4f8b\u3048\u3070\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u65b0\u3057\u3044\u30d0\u30fc\u30b8\u30e7\u30f3\u3001\u53c8\u306f\u3053\u306e\u5229\u7528\u8a31\u8afe\u3068\u540c\u4e00\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u8981\u7d20\u306e\u4ed6\u56fd\u7c4d\u30e9\u30a4\u30bb\u30f3\u30b9\u306a\u3069\uff09\u306b\u57fa\u3065\u3044\u3066\u306e\u307f\u3001\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5229\u7528\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u308b\u3002\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u3092\u5229\u7528\u3059\u308b\u3068\u304d\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u5199\u3057\u53c8\u306fURI\uff08Uniform Resource Identifier\uff09\u3092\u672c\u4f5c\u54c1\u306e\u8907\u88fd\u7269\u306b\u6dfb\u4ed8\u53c8\u306f\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5229\u7528\u3059\u308b\u3068\u304d\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u53c8\u306f\u3053\u306e\u5229\u7528\u8a31\u8afe\u3068\u540c\u4e00\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u8981\u7d20\u3092\u542b\u3080\u307b\u304b\u306e\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\uff65\u30b3\u30e2\u30f3\u30ba\uff65\u30e9\u30a4\u30bb\u30f3\u30b9\u306e\u5199\u3057\u53c8\u306fURI\u3092\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u8907\u88fd\u7269\u306b\u6dfb\u4ed8\u307e\u305f\u306f\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u6761\u9805\u53ca\u3073\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u3088\u3063\u3066\u4ed8\u4e0e\u3055\u308c\u308b\u5229\u7528\u8a31\u8afe\u53d7\u9818\u8005\u306e\u6a29\u5229\u306e\u884c\u4f7f\u3092\u5909\u66f4\u53c8\u306f\u5236\u9650\u3059\u308b\u3088\u3046\u306a\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306b\u4fc2\u308b\u6761\u4ef6\u3092\u63d0\u6848\u3057\u305f\u308a\u8ab2\u3057\u305f\u308a\u3057\u3066\u306f\u306a\u3089\u306a\u3044\u3002\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u3092\u518d\u5229\u7528\u8a31\u8afe\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u306a\u3044\u3002\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u5229\u7528\u306b\u3042\u305f\u3063\u3066\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u53ca\u3073\u305d\u306e\u514d\u8cac\u6761\u9805\u306b\u95a2\u3059\u308b\u6ce8\u610f\u66f8\u304d\u306e\u5185\u5bb9\u3092\u5909\u66f4\u305b\u305a\u3001\u898b\u3084\u3059\u3044\u614b\u69d8\u3067\u305d\u306e\u307e\u307e\u63b2\u8f09\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u6761\u9805\u3068\u77db\u76fe\u3059\u308b\u65b9\u6cd5\u3067\u672c\u8457\u4f5c\u7269\u3078\u306e\u30a2\u30af\u30bb\u30b9\u53c8\u306f\u4f7f\u7528\u3092\u30b3\u30f3\u30c8\u30ed\u30fc\u30eb\u3059\u308b\u3088\u3046\u306a\u6280\u8853\u7684\u4fdd\u8b77\u624b\u6bb5\u3092\u7528\u3044\u3066\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5229\u7528\u3057\u3066\u306f\u306a\u3089\u306a\u3044\u3002\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \u672c\u6761\u306e\u5236\u9650\u306f\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u304c\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u306b\u7d44\u307f\u8fbc\u307e\u308c\u305f\u5834\u5408\u306b\u3082\u3001\u305d\u306e\u7d44\u307f\u8fbc\u307e\u308c\u305f\u4f5c\u54c1\u306b\u95a2\u3057\u3066\u306f\u9069\u7528\u3055\u308c\u308b\u3002\u3057\u304b\u3057\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u304c\u7d44\u307f\u8fbc\u307e\u308c\u305f\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u305d\u306e\u3082\u306e\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u5f93\u3046\u5fc5\u8981\u306f\u306a\u3044\u3002\n\n	  <<var;name=\"bullet\";original=\"j.\";match=\".{0,20}\">> \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u3001\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u53c8\u306f\u672c\u4f5c\u54c1\u3092\u7d44\u307f\u8fbc\u3093\u3060\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u3092\u5229\u7528\u3059\u308b\u5834\u5408\u306b\u306f\u3001\uff081\uff09\u672c\u4f5c\u54c1\u306b\u4fc2\u308b\u3059\u3079\u3066\u306e\u8457\u4f5c\u6a29\u8868\u793a\u3092\u305d\u306e\u307e\u307e\u306b\u3057\u3066\u304a\u304b\u306a\u3051\u308c\u3070\u306a\u3089\u305a\u3001\uff082\uff09\u539f\u8457\u4f5c\u8005\u53ca\u3073\u5b9f\u6f14\u5bb6\u306e\u30af\u30ec\u30b8\u30c3\u30c8\u3092\u3001\u5408\u7406\u7684\u306a\u65b9\u5f0f\u3067\u3001\uff08\u3082\u3057\u793a\u3055\u308c\u3066\u3044\u308c\u3070\u539f\u8457\u4f5c\u8005\u53ca\u3073\u5b9f\u6f14\u5bb6\u306e\u540d\u524d\u53c8\u306f\u5909\u540d\u3092\u4f1d\u3048\u308b\u3053\u3068\u306b\u3088\u308a\u3001\uff09\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u305a\u3001\uff083\uff09\u672c\u4f5c\u54c1\u306e\u30bf\u30a4\u30c8\u30eb\u304c\u793a\u3055\u308c\u3066\u3044\u308b\u5834\u5408\u306b\u306f\u3001\u305d\u306e\u30bf\u30a4\u30c8\u30eb\u3092\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u305a\u3001\uff084\uff09\u8a31\u8afe\u8005\u304c\u672c\u4f5c\u54c1\u306b\u6dfb\u4ed8\u3059\u308b\u3088\u3046\u6307\u5b9a\u3057\u305fURI\u304c\u3042\u308c\u3070\u3001\u5408\u7406\u7684\u306b\u5b9f\u884c\u53ef\u80fd\u306a\u7bc4\u56f2\u3067\u3001\u305d\u306eURI\u3092\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u305a\uff08\u305f\u3060\u3057\u3001\u305d\u306eURI\u304c\u672c\u4f5c\u54c1\u306e\u8457\u4f5c\u6a29\u8868\u793a\u307e\u305f\u306f\u30e9\u30a4\u30bb\u30f3\u30b9\u60c5\u5831\u3092\u53c2\u7167\u3059\u308b\u3082\u306e\u3067\u306a\u3044\u3068\u304d\u306f\u3053\u306e\u9650\u308a\u3067\u306a\u3044\u3002\uff09\uff085\uff09\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u5834\u5408\u306b\u306f\u3001\u5f53\u8a72\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u4e2d\u306e\u539f\u8457\u4f5c\u7269\u306e\u5229\u7528\u3092\u793a\u3059\u30af\u30ec\u30b8\u30c3\u30c8\u3092\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002\u3053\u308c\u3089\u306e\u30af\u30ec\u30b8\u30c3\u30c8\u306f\u3001\u5408\u7406\u7684\u3067\u3042\u308c\u3070\u3069\u3093\u306a\u65b9\u6cd5\u3067\u3082\u884c\u3046\u3053\u3068\u304c\u3067\u304d\u308b\u3002\u3057\u304b\u3057\u306a\u304c\u3089\u3001\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u53c8\u306f\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u306e\u5834\u5408\u306b\u306f\u3001\u5c11\u306a\u304f\u3068\u3082\u4ed6\u306e\u540c\u69d8\u306e\u8457\u4f5c\u8005\u306e\u30af\u30ec\u30b8\u30c3\u30c8\u304c\u8868\u793a\u3055\u308c\u308b\u7b87\u6240\u3067\u5f53\u8a72\u30af\u30ec\u30b8\u30c3\u30c8\u3092\u8868\u793a\u3057\u3001\u5c11\u306a\u304f\u3068\u3082\u4ed6\u306e\u540c\u69d8\u306e\u8457\u4f5c\u8005\u306e\u30af\u30ec\u30b8\u30c3\u30c8\u3068\u540c\u7a0b\u5ea6\u306b\u76ee\u7acb\u3064\u65b9\u6cd5\u3067\u3042\u308b\u3053\u3068\u3092\u8981\u3059\u308b\u3002\n\n	  <<var;name=\"bullet\";original=\"k.\";match=\".{0,20}\">> \u3082\u3057\u3001\u3042\u306a\u305f\u304c\u3001\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3001\u53c8\u306f\u672c\u4f5c\u54c1\u3082\u3057\u304f\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u7d44\u307f\u8fbc\u3093\u3060\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u3092\u5275\u4f5c\u3057\u305f\u5834\u5408\u3001\u3042\u306a\u305f\u306f\u3001\u8a31\u8afe\u8005\u304b\u3089\u306e\u901a\u77e5\u304c\u3042\u308c\u3070\u3001\u5b9f\u884c\u53ef\u80fd\u306a\u7bc4\u56f2\u3067\u3001\u8981\u6c42\u306b\u5fdc\u3058\u3066\u3001\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u53c8\u306f\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u304b\u3089\u3001\u8a31\u8afe\u8005\u53c8\u306f\u539f\u8457\u4f5c\u8005\u3078\u306e\u8a00\u53ca\u3092\u3059\u3079\u3066\u9664\u53bb\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002\n\n   <<var;name=\"bullet\";original=\"\u7b2c6\u6761\";match=\".{0,20}\">> \u8cac\u4efb\u5236\u9650\n\n   \u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u4e21\u5f53\u4e8b\u8005\u304c\u66f8\u9762\u306b\u3066\u5225\u9014\u5408\u610f\u3057\u306a\u3044\u9650\u308a\u3001\u8a31\u8afe\u8005\u306f\u672c\u4f5c\u54c1\u3092\u73fe\u72b6\u306e\u307e\u307e\u63d0\u4f9b\u3059\u308b\u3082\u306e\u3068\u3057\u3001\u660e\u793a\u30fb\u9ed9\u793a\u3092\u554f\u308f\u305a\u3001\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3066\u3044\u304b\u306a\u308b\u4fdd\u8a3c\uff08\u7279\u5b9a\u306e\u5229\u7528\u76ee\u7684\u3078\u306e\u9069\u5408\u6027\u3001\u7b2c\u4e09\u8005\u306e\u6a29\u5229\u306e\u975e\u4fb5\u5bb3\u3001\u6b20\u9665\u306e\u4e0d\u5b58\u5728\u3092\u542b\u3080\u304c\u3001\u3053\u308c\u306b\u9650\u3089\u308c\u306a\u3044\u3002\uff09\u3082\u3057\u306a\u3044\u3002\n\n   \u3053\u306e\u5229\u7528\u8a31\u8afe\u53c8\u306f\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u672c\u4f5c\u54c1\u306e\u5229\u7528\u304b\u3089\u767a\u751f\u3059\u308b\u3001\u3044\u304b\u306a\u308b\u640d\u5bb3\uff08\u8a31\u8afe\u8005\u304c\u3001\u672c\u4f5c\u54c1\u306b\u304b\u304b\u308b\u8457\u4f5c\u6a29\u3001\u8457\u4f5c\u96a3\u63a5\u6a29\u3001\u8457\u4f5c\u8005\u4eba\u683c\u6a29\u3001\u5b9f\u6f14\u5bb6\u4eba\u683c\u6a29\u3001\u5546\u6a19\u6a29\u3001\u30d1\u30d6\u30ea\u30b7\u30c6\u30a3\u6a29\u3001\u4e0d\u6b63\u7af6\u4e89\u9632\u6b62\u6cd5\u305d\u306e\u4ed6\u95a2\u9023\u6cd5\u898f\u4e0a\u4fdd\u8b77\u3055\u308c\u308b\u5229\u76ca\u3092\u6709\u3059\u308b\u8005\u304b\u3089\u306e\u8a31\u8afe\u3092\u5f97\u308b\u3053\u3068\u306a\u304f\u672c\u4f5c\u54c1\u306e\u5229\u7528\u8a31\u8afe\u3092\u884c\u3063\u305f\u3053\u3068\u306b\u3088\u308a\u767a\u751f\u3059\u308b\u640d\u5bb3\u3001\u30d7\u30e9\u30a4\u30d0\u30b7\u30fc\u4fb5\u5bb3\u53c8\u306f\u540d\u8a89\u6bc0\u640d\u304b\u3089\u767a\u751f\u3059\u308b\u640d\u5bb3\u7b49\u306e\u901a\u5e38\u640d\u5bb3\u3001\u53ca\u3073\u7279\u5225\u640d\u5bb3\u3092\u542b\u3080\u304c\u3001\u3053\u308c\u306b\u9650\u3089\u306a\u3044\u3002\uff09\u306b\u3064\u3044\u3066\u3082\u3001\u8a31\u8afe\u8005\u306b\u6545\u610f\u53c8\u306f\u91cd\u5927\u306a\u904e\u5931\u304c\u3042\u308b\u5834\u5408\u3092\u9664\u304d\u3001\u8a31\u8afe\u8005\u304c\u305d\u306e\u3088\u3046\u306a\u640d\u5bb3\u767a\u751f\u306e\u53ef\u80fd\u6027\u3092\u77e5\u3089\u3055\u308c\u305f\u304b\u5426\u304b\u3092\u554f\u308f\u305a\u3001\u8a31\u8afe\u8005\u306f\u3001\u3042\u306a\u305f\u306b\u5bfe\u3057\u3001\u3053\u308c\u3092\u8ce0\u511f\u3059\u308b\u8cac\u4efb\u3092\u8ca0\u308f\u306a\u3044\u3002\n\n   \u7b2c7\u6761\n\n   \u7d42\u4e86\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u3042\u306a\u305f\u304c\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u9055\u53cd\u3059\u308b\u3068\u81ea\u52d5\u7684\u306b\u7d42\u4e86\u3059\u308b\u3002\u3057\u304b\u3057\u3001\u672c\u4f5c\u54c1\u3001\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u53c8\u306f\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u3092\u3042\u306a\u305f\u304b\u3089\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304d\u53d7\u9818\u3057\u305f\u7b2c\u4e09\u8005\u306b\u5bfe\u3057\u3066\u306f\u3001\u305d\u306e\u53d7\u9818\u8005\u304c\u3053\u306e\u5229\u7528\u8a31\u8afe\u3092\u9075\u5b88\u3057\u3066\u3044\u308b\u9650\u308a\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u7d42\u4e86\u3057\u306a\u3044\u3002\u7b2c1\u6761\u3001\u7b2c2\u6761\u3001\u7b2c4\u6761\u304b\u3089\u7b2c9\u6761\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u304c\u7d42\u4e86\u3057\u3066\u3082\u306a\u304a\u6709\u52b9\u306b\u5b58\u7d9a\u3059\u308b\u3002\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \u4e0a\u8a18a\u306b\u5b9a\u3081\u308b\u5834\u5408\u3092\u9664\u304d\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u30e9\u30a4\u30bb\u30f3\u30b9\u306f\u3001\u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u8457\u4f5c\u6a29\u6cd5\u4e0a\u306e\u6a29\u5229\u304c\u5b58\u7d9a\u3059\u308b\u304b\u304e\u308a\u7d99\u7d9a\u3059\u308b\u3002\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \u8a31\u8afe\u8005\u306f\u3001\u4e0a\u8a18a\u304a\u3088\u3073b\u306b\u95a2\u308f\u3089\u305a\u3001\u3044\u3064\u3067\u3082\u3001\u672c\u4f5c\u54c1\u3092\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u3044\u3066\u9812\u5e03\u3059\u308b\u3053\u3068\u3092\u5c06\u6765\u306b\u5411\u304b\u3063\u3066\u4e2d\u6b62\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u308b\u3002\u305f\u3060\u3057\u3001\u8a31\u8afe\u8005\u304c\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u9812\u5e03\u3092\u5c06\u6765\u306b\u5411\u304b\u3063\u3066\u4e2d\u6b62\u3057\u305f\u5834\u5408\u3067\u3082\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u3044\u3066\u3059\u3067\u306b\u672c\u4f5c\u54c1\u3092\u53d7\u9818\u3057\u305f\u5229\u7528\u8005\u306b\u5bfe\u3057\u3066\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u3044\u3066\u904e\u53bb\u53ca\u3073\u5c06\u6765\u306b\u4e0e\u3048\u3089\u308c\u308b\u3044\u304b\u306a\u308b\u30e9\u30a4\u30bb\u30f3\u30b9\u3082\u7d42\u4e86\u3059\u308b\u3053\u3068\u306f\u306a\u3044\u3002\u307e\u305f\u3001\u4e0a\u8a18\u306b\u3088\u3063\u3066\u7d42\u4e86\u3057\u306a\u3044\u9650\u308a\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u5168\u9762\u7684\u306b\u6709\u52b9\u306a\u3082\u306e\u3068\u3057\u3066\u7d99\u7d9a\u3059\u308b\u3002\n\n   <<var;name=\"bullet\";original=\"\u7b2c8\u6761\";match=\".{0,20}\">> \u305d\u306e\u4ed6\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u3044\u305a\u308c\u304b\u306e\u898f\u5b9a\u304c\u3001\u9069\u7528\u6cd5\u306e\u4e0b\u3067\u7121\u52b9\u53ca\u3073\uff0f\u53c8\u306f\u57f7\u884c\u4e0d\u80fd\u306e\u5834\u5408\u3067\u3042\u3063\u3066\u3082\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u4ed6\u306e\u6761\u9805\u306e\u6709\u52b9\u6027\u53ca\u3073\u57f7\u884c\u53ef\u80fd\u6027\u306b\u306f\u5f71\u97ff\u3057\u306a\u3044\u3002\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306e\u5168\u90e8\u53c8\u306f\u4e00\u90e8\u306e\u653e\u68c4\u53c8\u306f\u305d\u306e\u9055\u53cd\u306b\u95a2\u3059\u308b\u627f\u8afe\u306f\u3001\u3053\u308c\u304c\u66f8\u9762\u306b\u3055\u308c\u3001\u5f53\u8a72\u653e\u68c4\u53c8\u306f\u627f\u8afe\u306b\u8cac\u4efb\u3092\u8ca0\u3046\u5f53\u4e8b\u8005\u306b\u3088\u308b\u7f72\u540d\u53c8\u306f\u8a18\u540d\u62bc\u5370\u304c\u306a\u3055\u308c\u306a\u3044\u9650\u308a\u3001\u884c\u3046\u3053\u3068\u304c\u3067\u304d\u306a\u3044\u3002\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u5f53\u4e8b\u8005\u304c\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3066\u884c\u3063\u305f\u6700\u7d42\u304b\u3064\u552f\u4e00\u306e\u5408\u610f\u306e\u5185\u5bb9\u3067\u3042\u308b\u3002\u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u8a31\u8afe\u8005\u3068\u3042\u306a\u305f\u3068\u306e\u76f8\u4e92\u306e\u66f8\u9762\u306b\u3088\u308b\u5408\u610f\u306a\u304f\u4fee\u6b63\u3055\u308c\u306a\u3044\u3002\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u65e5\u672c\u8a9e\u306b\u3088\u308a\u63d0\u4f9b\u3055\u308c\u308b\u3002\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u82f1\u8a9e\u305d\u306e\u4ed6\u306e\u8a00\u8a9e\u3078\u306e\u7ffb\u8a33\u306f\u53c2\u7167\u306e\u305f\u3081\u306e\u3082\u306e\u306b\u904e\u304e\u305a\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u65e5\u672c\u8a9e\u7248\u3068\u7ffb\u8a33\u3068\u306e\u9593\u306b\u4f55\u3089\u304b\u306e\u9f5f\u9f6c\u304c\u3042\u308b\u5834\u5408\u306b\u306f\u65e5\u672c\u8a9e\u7248\u304c\u512a\u5148\u3059\u308b\u3002\n\n   <<var;name=\"bullet\";original=\"\u7b2c9\u6761\";match=\".{0,20}\">> \u6e96\u62e0\u6cd5\n\n   \u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u65e5\u672c\u6cd5\u306b\u57fa\u3065\u304d\u89e3\u91c8\u3055\u308c\u308b\u3002\n\n\u672c\u4f5c\u54c1\u304c\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30e9\u30a4\u30bb\u30f3\u30b9\u306b\u57fa\u3065\u304d\u5229\u7528\u8a31\u8afe\u3055\u308c\u305f\u3053\u3068\u3092\u516c\u8846\u306b\u793a\u3059\u3068\u3044\u3046\u9650\u5b9a\u3055\u308c\u305f\u76ee\u7684\u306e\u5834\u5408\u3092\u9664\u304d\u3001\u8a31\u8afe\u8005\u3082\u88ab\u8a31\u8afe\u8005\u3082\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u306e\u4e8b\u524d\u306e\u66f8\u9762\u306b\u3088\u308b\u540c\u610f\u306a\u3057\u306b\u300c\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u300d\u306e\u5546\u6a19\u82e5\u3057\u304f\u306f\u95a2\u9023\u5546\u6a19\u53c8\u306f\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u306e\u30ed\u30b4\u3092\u4f7f\u7528\u3057\u306a\u3044\u3082\u306e\u3068\u3057\u307e\u3059\u3002\u4f7f\u7528\u304c\u8a31\u53ef\u3055\u308c\u305f\u5834\u5408\u306f\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u304a\u3088\u3073\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\uff65\u30b3\u30e2\u30f3\u30ba\uff65\u30b8\u30e3\u30d1\u30f3\u306e\u30a6\u30a7\u30d6\u30b5\u30a4\u30c8\u4e0a\u306b\u516c\u8868\u3055\u308c\u308b\u3001\u53c8\u306f\u305d\u306e\u4ed6\u968f\u6642\u8981\u6c42\u306b\u5f93\u3044\u5229\u7528\u53ef\u80fd\u3068\u306a\u308b\u3001\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u306e\u5f53\u8a72\u6642\u70b9\u306b\u304a\u3051\u308b\u5546\u6a19\u4f7f\u7528\u6307\u91dd\u3092\u9075\u5b88\u3059\u308b\u3082\u306e\u3068\u3057\u307e\u3059\u3002\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u306f https://creativecommons.org/\u304b\u3089\u3001\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30b8\u30e3\u30d1\u30f3\u306fhttp://www.creativecommons.jp/\u304b\u3089\u9023\u7d61\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u307e\u3059\u3002\n\n"
		self.name = "Creative Commons Attribution Share Alike 2.1 Japan"
		self.licenseId = "CC-BY-SA-2.1-JP"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-sa/2.1/jp/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:23:35Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-sa/2.1/jp/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> \n				<p>\u30a2\u30c8\u30ea\u30d3\u30e5\u30fc\u30b7\u30e7\u30f3\u2014\u30b7\u30a7\u30a2\u30a2\u30e9\u30a4\u30af 2.1\n					\uff08\u5e30\u5c5e\u2014\u540c\u4e00\u6761\u4ef6\u8a31\u8afe\uff09\n				</p>\n\n			</div>\n			<div class=\"optional-license-text\"> \n				<p>\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u53ca\u3073\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30b8\u30e3\u30d1\u30f3\u306f\u6cd5\u5f8b\u4e8b\u52d9\u6240\u3067\u306f\u3042\u308a\u307e\u305b\u3093\u3002\u3053\u306e\u5229\u7528\u8a31\u8afe\u6761\u9805\u306e\u9812\u5e03\u306f\u6cd5\u7684\u30a2\u30c9\u30d0\u30a4\u30b9\u305d\u306e\u4ed6\u306e\u6cd5\u5f8b\u696d\u52d9\u3092\u884c\u3046\u3082\u306e\u3067\u306f\u3042\u308a\u307e\u305b\u3093\u3002\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u53ca\u3073\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30b8\u30e3\u30d1\u30f3\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u5f53\u4e8b\u8005\u3067\u306f\u306a\u304f\u3001\u3053\u3053\u306b\u63d0\u4f9b\u3059\u308b\u60c5\u5831\u53ca\u3073\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3044\u304b\u306a\u308b\u4fdd\u8a3c\u3082\u884c\u3044\u307e\u305b\u3093\u3002\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u53ca\u3073\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30b8\u30e3\u30d1\u30f3\u306f\u3001\u3044\u304b\u306a\u308b\u6cd5\u4ee4\u306b\u57fa\u3065\u3053\u3046\u3068\u3082\u3001\u3042\u306a\u305f\u53c8\u306f\u3044\u304b\u306a\u308b\u7b2c\u4e09\u8005\u306e\u640d\u5bb3\uff08\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u95a2\u9023\u3059\u308b\u901a\u5e38\u640d\u5bb3\u3001\u7279\u5225\u640d\u5bb3\u3092\u542b\u307f\u307e\u3059\u304c\u3053\u308c\u3089\u306b\u9650\u3089\u308c\u307e\u305b\u3093\uff09\u306b\u3064\u3044\u3066\u8cac\u4efb\u3092\u8ca0\u3044\u307e\u305b\u3093\u3002</p>\n\n				<p>\u5229\u7528\u8a31\u8afe</p>\n\n			</div>\n\n			<p>\u672c\u4f5c\u54c1\uff08\u4e0b\u8a18\u306b\u5b9a\u7fa9\u3059\u308b\uff09\u306f\u3001\u3053\u306e\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\uff65\u30d1\u30d6\u30ea\u30c3\u30af\uff65\u30e9\u30a4\u30bb\u30f3\u30b9\u65e5\u672c\u7248\uff08\u4ee5\u4e0b\u300c\u3053\u306e\u5229\u7528\u8a31\u8afe\u300d\u3068\u3044\u3046\uff09\u306e\u6761\u9805\u306e\u4e0b\u3067\u63d0\u4f9b\u3055\u308c\u308b\u3002\u672c\u4f5c\u54c1\u306f\u3001\u8457\u4f5c\u6a29\u6cd5\u53ca\u3073\uff0f\u53c8\u306f\u4ed6\u306e\u9069\u7528\u6cd5\u306b\u3088\u3063\u3066\u4fdd\u8b77\u3055\u308c\u308b\u3002\u672c\u4f5c\u54c1\u3092\u3053\u306e\u5229\u7528\u8a31\u8afe\u53c8\u306f\u8457\u4f5c\u6a29\u6cd5\u306e\u4e0b\u3067\u6388\u6a29\u3055\u308c\u305f\u4ee5\u5916\u306e\u65b9\u6cd5\u3067\u4f7f\u7528\u3059\u308b\u3053\u3068\u3092\u7981\u6b62\u3059\u308b\u3002</p>\n\n			<p>\u8a31\u8afe\u8005\u306f\u3001\u304b\u304b\u308b\u6761\u9805\u3092\u3042\u306a\u305f\u304c\u627f\u8afe\u3059\u308b\u3053\u3068\u3068\u3072\u304d\u304b\u3048\u306b\u3001\u3053\u3053\u306b\u898f\u5b9a\u3055\u308c\u308b\u6a29\u5229\u3092\u3042\u306a\u305f\u306b\u4ed8\u4e0e\u3059\u308b\u3002\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u4e0b\u3067\u8a8d\u3081\u3089\u308c\u308b\u3044\u305a\u308c\u304b\u306e\u5229\u7528\u3092\u884c\u3046\u3053\u3068\u306b\u3088\u308a\u3001\u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\uff08\u6761\u9805\uff09\u306b\u62d8\u675f\u3055\u308c\u308b\u3053\u3068\u3092\u627f\u8afe\u3057\u540c\u610f\u3057\u305f\u3053\u3068\u3068\u306a\u308b\u3002</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> \u7b2c1\u6761</var> \u5b9a\u7fa9\n\n					<p>\u3053\u306e\u5229\u7528\u8a31\u8afe\u4e2d\u306e\u7528\u8a9e\u3092\u4ee5\u4e0b\u306e\u3088\u3046\u306b\u5b9a\u7fa9\u3059\u308b\u3002\u305d\u306e\u4ed6\u306e\u7528\u8a9e\u306f\u3001\u8457\u4f5c\u6a29\u6cd5\u305d\u306e\u4ed6\u306e\u6cd5\u4ee4\u3067\u5b9a\u3081\u308b\u610f\u5473\u3092\u6301\u3064\u3082\u306e\u3068\u3059\u308b\u3002</p>\n\n<ul style=\"list-style:none\">\n\n<li><var class=\"replaceable-license-text\"> a.</var> \u300c\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u300d\u3068\u306f\u3001\u8457\u4f5c\u7269\u3092\u7ffb\u8a33\u3057\u3001\u7de8\u66f2\u3057\u3001\u82e5\u3057\u304f\u306f\u5909\u5f62\u3057\u3001\u307e\u305f\u306f\u811a\u8272\u3057\u3001\u6620\u753b\u5316\u3057\u3001\u305d\u306e\u4ed6\u7ffb\u6848\u3059\u308b\u3053\u3068\u306b\u3088\u308a\u5275\u4f5c\u3057\u305f\u8457\u4f5c\u7269\u3092\u3044\u3046\u3002\u305f\u3060\u3057\u3001\u7de8\u96c6\u8457\u4f5c\u7269\u53c8\u306f\u30c7\u30fc\u30bf\u30d9\u30fc\u30b9\u306e\u8457\u4f5c\u7269\uff08\u4ee5\u4e0b\u3001\u3053\u306e\u4e8c\u3064\u3092\u4f75\u305b\u3066\u300c\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u300d\u3068\u3044\u3046\u3002\uff09\u3092\u69cb\u6210\u3059\u308b\u8457\u4f5c\u7269\u306f\u3001\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3068\u307f\u306a\u3055\u308c\u306a\u3044\u3002\u307e\u305f\u3001\u539f\u8457\u4f5c\u8005\u53ca\u3073\u5b9f\u6f14\u5bb6\u306e\u540d\u8a89\u53c8\u306f\u58f0\u671b\u3092\u5bb3\u3059\u308b\u65b9\u6cd5\u3067\u539f\u8457\u4f5c\u7269\u3092\u6539\u4f5c\u3001\u5909\u5f62\u3082\u3057\u304f\u306f\u7ffb\u6848\u3057\u3066\u751f\u3058\u308b\u8457\u4f5c\u7269\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u76ee\u7684\u306b\u304a\u3044\u3066\u306f\u3001\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306b\u542b\u307e\u308c\u306a\u3044\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> b.</var> \u300c\u8a31\u8afe\u8005\u300d\u3068\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306e\u4e0b\u3067\u672c\u4f5c\u54c1\u3092\u63d0\u4f9b\u3059\u308b\u500b\u4eba\u53c8\u306f\u56e3\u4f53\u3092\u3044\u3046\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> c.</var> \u300c\u3042\u306a\u305f\u300d\u3068\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u6a29\u5229\u3092\u884c\u4f7f\u3059\u308b\u500b\u4eba\u53c8\u306f\u56e3\u4f53\u3092\u3044\u3046\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> d.</var> \u300c\u539f\u8457\u4f5c\u8005\u300d\u3068\u306f\u3001\u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u8457\u4f5c\u7269\u3092\u5275\u4f5c\u3057\u305f\u500b\u4eba\u53c8\u306f\u56e3\u4f53\u3092\u3044\u3046\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> e.</var> \u300c\u672c\u4f5c\u54c1\u300d\u3068\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u57fa\u3065\u3044\u3066\u5229\u7528\u3059\u308b\u6a29\u5229\u304c\u4ed8\u4e0e\u3055\u308c\u308b\u5bfe\u8c61\u305f\u308b\u7121\u4f53\u7269\u3092\u3044\u3044\u3001\u8457\u4f5c\u7269\u3001\u5b9f\u6f14\u3001\u30ec\u30b3\u30fc\u30c9\u3001\u653e\u9001\u306b\u304b\u304b\u308b\u97f3\u53c8\u306f\u5f71\u50cf\u3001\u3082\u3057\u304f\u306f\u6709\u7dda\u653e\u9001\u306b\u304b\u304b\u308b\u97f3\u53c8\u306f\u5f71\u50cf\u3092\u3059\u3079\u3066\u542b\u3080\u3082\u306e\u3068\u3059\u308b\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> f.</var> \u300c\u30e9\u30a4\u30bb\u30f3\u30b9\u8981\u7d20\u300d\u3068\u306f\u3001\u8a31\u8afe\u8005\u304c\u9078\u629e\u3057\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u8868\u793a\u3055\u308c\u3066\u3044\u308b\u3001\u4ee5\u4e0b\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u5c5e\u6027\u3092\u3044\u3046\uff1a\u5e30\u5c5e\u30fb\u540c\u4e00\u6761\u4ef6\u8a31\u8afe</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> \u7b2c2\u6761</var> \u8457\u4f5c\u6a29\u7b49\u306b\u5bfe\u3059\u308b\u5236\u9650\n\n					<p>\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u542b\u307e\u308c\u308b\u3044\u304b\u306a\u308b\u6761\u9805\u306b\u3088\u3063\u3066\u3082\u3001\u8a31\u8afe\u8005\u306f\u3001\u3042\u306a\u305f\u304c\u8457\u4f5c\u6a29\u306e\u5236\u9650\uff08\u8457\u4f5c\u6a29\u6cd5\u7b2c30\u6761\u301c49\u6761\uff09\u3001\u8457\u4f5c\u8005\u4eba\u683c\u6a29\u306b\u5bfe\u3059\u308b\u5236\u9650\uff08\u8457\u4f5c\u6a29\u6cd5\u7b2c18\u67612\u9805\u301c4\u9805\u3001\u7b2c19\u67612\u9805\u301c4\u9805\u3001\u7b2c20\u67612\u9805\uff09\u3001\u8457\u4f5c\u96a3\u63a5\u6a29\u306b\u5bfe\u3059\u308b\u5236\u9650\uff08\u8457\u4f5c\u6a29\u6cd5\u7b2c102\u6761\uff09\u305d\u306e\u4ed6\u3001\u8457\u4f5c\u6a29\u6cd5\u53c8\u306f\u305d\u306e\u4ed6\u306e\u9069\u7528\u6cd5\u306b\u57fa\u3065\u3044\u3066\u8a8d\u3081\u3089\u308c\u308b\u3053\u3068\u3068\u306a\u308b\u672c\u4f5c\u54c1\u306e\u5229\u7528\u3092\u7981\u6b62\u3057\u306a\u3044\u3002</p>\n\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> \u7b2c3\u6761</var> \u30e9\u30a4\u30bb\u30f3\u30b9\u306e\u4ed8\u4e0e\n\n					<p>\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u5f93\u3044\u3001\u8a31\u8afe\u8005\u306f\u3042\u306a\u305f\u306b\u3001\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3001\u3059\u3079\u3066\u306e\u56fd\u3067\u3001\u30ed\u30a4\u30e4\u30ea\u30c6\u30a3\u30fb\u30d5\u30ea\u30fc\u3001\u975e\u6392\u4ed6\u7684\u3067\u3001\uff08\u7b2c7\u6761b\u306b\u5b9a\u3081\u308b\u671f\u9593\uff09\u7d99\u7d9a\u7684\u306a\u4ee5\u4e0b\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u3092\u4ed8\u4e0e\u3059\u308b\u3002\u305f\u3060\u3057\u3001\u3042\u306a\u305f\u304c\u4ee5\u524d\u306b\u672c\u4f5c\u54c1\u306b\u95a2\u3059\u308b\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u9055\u53cd\u3057\u305f\u3053\u3068\u304c\u306a\u3044\u304b\u3001\u3042\u308b\u3044\u306f\u3001\u4ee5\u524d\u306b\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u9055\u53cd\u3057\u305f\u304c\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u6a29\u5229\u3092\u884c\u4f7f\u3059\u308b\u305f\u3081\u306b\u8a31\u8afe\u8005\u304b\u3089\u660e\u793a\u7684\u306a\u8a31\u53ef\u3092\u5f97\u3066\u3044\u308b\u5834\u5408\u306b\u9650\u308b\u3002</p>\n\n<ul style=\"list-style:none\">\n							\n<li><var class=\"replaceable-license-text\"> a.</var> \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u8457\u4f5c\u7269\uff08\u4ee5\u4e0b\u300c\u672c\u8457\u4f5c\u7269\u300d\u3068\u3044\u3046\u3002\uff09\u3092\u8907\u88fd\u3059\u308b\u3053\u3068\uff08\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u306b\u7d44\u307f\u8fbc\u307f\u8907\u88fd\u3059\u308b\u3053\u3068\u3092\u542b\u3080\u3002\u4ee5\u4e0b\u3001\u540c\u3058\u3002\uff09\u3001</li>\n							\n<li><var class=\"replaceable-license-text\"> b.</var> \u672c\u8457\u4f5c\u7269\u3092\u7ffb\u6848\u3057\u3066\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5275\u4f5c\u3057\u3001\u8907\u88fd\u3059\u308b\u3053\u3068\u3001</li>\n							\n<li><var class=\"replaceable-license-text\"> c.</var> \u672c\u8457\u4f5c\u7269\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u8907\u88fd\u7269\u3092\u9812\u5e03\u3059\u308b\u3053\u3068\uff08\u8b72\u6e21\u307e\u305f\u306f\u8cb8\u4e0e\u306b\u3088\u308a\u516c\u8846\u306b\u63d0\u4f9b\u3059\u308b\u3053\u3068\u3092\u542b\u3080\u3002\u4ee5\u4e0b\u540c\u3058\u3002\uff09\u3001\u4e0a\u6f14\u3059\u308b\u3053\u3068\u3001\u6f14\u594f\u3059\u308b\u3053\u3068\u3001\u4e0a\u6620\u3059\u308b\u3053\u3068\u3001\u516c\u8846\u9001\u4fe1\u3092\u884c\u3046\u3053\u3068\uff08\u9001\u4fe1\u53ef\u80fd\u5316\u3092\u542b\u3080\u3002\u4ee5\u4e0b\u3001\u540c\u3058\u3002\uff09\u3001\u516c\u306b\u53e3\u8ff0\u3059\u308b\u3053\u3068\u3001\u516c\u306b\u5c55\u793a\u3059\u308b\u3053\u3068\u3001</li>\n							\n<li><var class=\"replaceable-license-text\"> d.</var> \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u5b9f\u6f14\u3092\u3001\u9332\u97f3\u30fb\u9332\u753b\u3059\u308b\u3053\u3068\uff08\u9332\u97f3\uff65\u9332\u753b\u7269\u3092\u5897\u88fd\u3059\u308b\u3053\u3068\u3092\u542b\u3080\uff09\u3001\u9332\u97f3\uff65\u9332\u753b\u7269\u306b\u3088\u308a\u9812\u5e03\u3059\u308b\u3053\u3068\u3001\u516c\u8846\u9001\u4fe1\u3092\u884c\u3046\u3053\u3068\u3001</li>\n							\n<li><var class=\"replaceable-license-text\"> e.</var> \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u30ec\u30b3\u30fc\u30c9\u3092\u3001\u8907\u88fd\u3059\u308b\u3053\u3068\u3001\u9812\u5e03\u3059\u308b\u3053\u3068\u3001\u516c\u8846\u9001\u4fe1\u3092\u884c\u3046\u3053\u3068\u3001</li>\n							\n<li><var class=\"replaceable-license-text\"> f.</var> \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u3001\u653e\u9001\u306b\u4fc2\u308b\u97f3\u53c8\u306f\u5f71\u50cf\u3092\u3001\u8907\u88fd\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u518d\u653e\u9001\u3059\u308b\u3053\u3068\u53c8\u306f\u6709\u7dda\u653e\u9001\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u653e\u9001\u53c8\u306f\u3053\u308c\u3092\u53d7\u4fe1\u3057\u3066\u884c\u3046\u6709\u7dda\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u9001\u4fe1\u53ef\u80fd\u5316\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u30c6\u30ec\u30d3\u30b8\u30e7\u30f3\u653e\u9001\u53c8\u306f\u3053\u308c\u3092\u53d7\u4fe1\u3057\u3066\u884c\u3046\u6709\u7dda\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u3001\u5f71\u50cf\u3092\u62e1\u5927\u3059\u308b\u7279\u5225\u306e\u88c5\u7f6e\u3092\u7528\u3044\u3066\u516c\u306b\u4f1d\u9054\u3059\u308b\u3053\u3068\u3001</li>\n							\n<li><var class=\"replaceable-license-text\"> g.</var> \u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u3001\u6709\u7dda\u653e\u9001\u306b\u4fc2\u308b\u97f3\u53c8\u306f\u5f71\u50cf\u3092\u3001\u8907\u88fd\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u6709\u7dda\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u653e\u9001\u3057\u3001\u53c8\u306f\u518d\u6709\u7dda\u653e\u9001\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u6709\u7dda\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u9001\u4fe1\u53ef\u80fd\u5316\u3059\u308b\u3053\u3068\u3001\u305d\u306e\u6709\u7dda\u30c6\u30ec\u30d3\u30b8\u30e7\u30f3\u653e\u9001\u3092\u53d7\u4fe1\u3057\u3066\u3001\u5f71\u50cf\u3092\u62e1\u5927\u3059\u308b\u7279\u5225\u306e\u88c5\u7f6e\u3092\u7528\u3044\u3066\u516c\u306b\u4f1d\u9054\u3059\u308b\u3053\u3068\u3001</li>\n						\n</ul>\n\n					<p>\u4e0a\u8a18\u306b\u5b9a\u3081\u3089\u308c\u305f\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u5229\u7528\u306f\u3001\u73fe\u5728\u53ca\u3073\u5c06\u6765\u306e\u3059\u3079\u3066\u306e\u5a92\u4f53\u30fb\u5f62\u5f0f\u3067\u884c\u3046\u3053\u3068\u304c\u3067\u304d\u308b\u3002\u3042\u306a\u305f\u306f\u3001\u4ed6\u306e\u5a92\u4f53\u53ca\u3073\u5f62\u5f0f\u3067\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5229\u7528\u3059\u308b\u306e\u306b\u6280\u8853\u7684\u306b\u5fc5\u8981\u306a\u5909\u66f4\u3092\u884c\u3046\u3053\u3068\u304c\u3067\u304d\u308b\u3002\u8a31\u8afe\u8005\u306f\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306b\u95a2\u3057\u3066\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u5f93\u3063\u305f\u5229\u7528\u306b\u3064\u3044\u3066\u306f\u81ea\u5df1\u304c\u6709\u3059\u308b\u8457\u4f5c\u8005\u4eba\u683c\u6a29\u53ca\u3073\u5b9f\u6f14\u5bb6\u4eba\u683c\u6a29\u3092\u884c\u4f7f\u3057\u306a\u3044\u3002\u8a31\u8afe\u8005\u306b\u3088\u3063\u3066\u660e\u793a\u7684\u306b\u4ed8\u4e0e\u3055\u308c\u306a\u3044\u5168\u3066\u306e\u6a29\u5229\u306f\u3001\u7559\u4fdd\u3055\u308c\u308b\u3002</p>\n\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> \u7b2c4\u6761</var> \u53d7\u9818\u8005\u3078\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u63d0\u4f9b\n\n					<p>\u3042\u306a\u305f\u304c\u672c\u4f5c\u54c1\u3092\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u3044\u3066\u5229\u7528\u3059\u308b\u5ea6\u6bce\u306b\u3001\u8a31\u8afe\u8005\u306f\u672c\u4f5c\u54c1\u53c8\u306f\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u53d7\u9818\u8005\u306b\u5bfe\u3057\u3066\u3001\u76f4\u63a5\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u4e0b\u3067\u3042\u306a\u305f\u306b\u8a31\u53ef\u3055\u308c\u305f\u5229\u7528\u8a31\u8afe\u3068\u540c\u3058\u6761\u4ef6\u306e\u672c\u4f5c\u54c1\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u3092\u63d0\u4f9b\u3059\u308b\u3002</p>\n\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> \u7b2c5\u6761</var> \u5236\u9650\n\n					<p>\u4e0a\u8a18\u7b2c3\u6761\u53ca\u3073\u7b2c4\u6761\u306b\u3088\u308a\u4ed8\u4e0e\u3055\u308c\u305f\u30e9\u30a4\u30bb\u30f3\u30b9\u306f\u3001\u4ee5\u4e0b\u306e\u5236\u9650\u306b\u660e\u793a\u7684\u306b\u5f93\u3044\u3001\u5236\u7d04\u3055\u308c\u308b\u3002</p>\n\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> a.</var> \u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u57fa\u3065\u3044\u3066\u306e\u307f\u3001\u672c\u4f5c\u54c1\u3092\u5229\u7528\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u308b\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> b.</var> \u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u53c8\u306f\u3053\u306e\u5229\u7528\u8a31\u8afe\u3068\u540c\u4e00\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u8981\u7d20\u3092\u542b\u3080\u307b\u304b\u306e\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\uff65\u30b3\u30e2\u30f3\u30ba\u30fb\u30e9\u30a4\u30bb\u30f3\u30b9\uff08\u4f8b\u3048\u3070\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u65b0\u3057\u3044\u30d0\u30fc\u30b8\u30e7\u30f3\u3001\u53c8\u306f\u3053\u306e\u5229\u7528\u8a31\u8afe\u3068\u540c\u4e00\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u8981\u7d20\u306e\u4ed6\u56fd\u7c4d\u30e9\u30a4\u30bb\u30f3\u30b9\u306a\u3069\uff09\u306b\u57fa\u3065\u3044\u3066\u306e\u307f\u3001\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5229\u7528\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u308b\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> c.</var> \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u3092\u5229\u7528\u3059\u308b\u3068\u304d\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u5199\u3057\u53c8\u306fURI\uff08Uniform Resource Identifier\uff09\u3092\u672c\u4f5c\u54c1\u306e\u8907\u88fd\u7269\u306b\u6dfb\u4ed8\u53c8\u306f\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> d.</var> \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5229\u7528\u3059\u308b\u3068\u304d\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u53c8\u306f\u3053\u306e\u5229\u7528\u8a31\u8afe\u3068\u540c\u4e00\u306e\u30e9\u30a4\u30bb\u30f3\u30b9\u8981\u7d20\u3092\u542b\u3080\u307b\u304b\u306e\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\uff65\u30b3\u30e2\u30f3\u30ba\uff65\u30e9\u30a4\u30bb\u30f3\u30b9\u306e\u5199\u3057\u53c8\u306fURI\u3092\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u8907\u88fd\u7269\u306b\u6dfb\u4ed8\u307e\u305f\u306f\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> e.</var> \u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u6761\u9805\u53ca\u3073\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u3088\u3063\u3066\u4ed8\u4e0e\u3055\u308c\u308b\u5229\u7528\u8a31\u8afe\u53d7\u9818\u8005\u306e\u6a29\u5229\u306e\u884c\u4f7f\u3092\u5909\u66f4\u53c8\u306f\u5236\u9650\u3059\u308b\u3088\u3046\u306a\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306b\u4fc2\u308b\u6761\u4ef6\u3092\u63d0\u6848\u3057\u305f\u308a\u8ab2\u3057\u305f\u308a\u3057\u3066\u306f\u306a\u3089\u306a\u3044\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> f.</var> \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u3092\u518d\u5229\u7528\u8a31\u8afe\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u306a\u3044\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> g.</var> \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u5229\u7528\u306b\u3042\u305f\u3063\u3066\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u53ca\u3073\u305d\u306e\u514d\u8cac\u6761\u9805\u306b\u95a2\u3059\u308b\u6ce8\u610f\u66f8\u304d\u306e\u5185\u5bb9\u3092\u5909\u66f4\u305b\u305a\u3001\u898b\u3084\u3059\u3044\u614b\u69d8\u3067\u305d\u306e\u307e\u307e\u63b2\u8f09\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> h.</var> \u3042\u306a\u305f\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u6761\u9805\u3068\u77db\u76fe\u3059\u308b\u65b9\u6cd5\u3067\u672c\u8457\u4f5c\u7269\u3078\u306e\u30a2\u30af\u30bb\u30b9\u53c8\u306f\u4f7f\u7528\u3092\u30b3\u30f3\u30c8\u30ed\u30fc\u30eb\u3059\u308b\u3088\u3046\u306a\u6280\u8853\u7684\u4fdd\u8b77\u624b\u6bb5\u3092\u7528\u3044\u3066\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u5229\u7528\u3057\u3066\u306f\u306a\u3089\u306a\u3044\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> i.</var> \u672c\u6761\u306e\u5236\u9650\u306f\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u304c\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u306b\u7d44\u307f\u8fbc\u307e\u308c\u305f\u5834\u5408\u306b\u3082\u3001\u305d\u306e\u7d44\u307f\u8fbc\u307e\u308c\u305f\u4f5c\u54c1\u306b\u95a2\u3057\u3066\u306f\u9069\u7528\u3055\u308c\u308b\u3002\u3057\u304b\u3057\u3001\u672c\u4f5c\u54c1\u53c8\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u304c\u7d44\u307f\u8fbc\u307e\u308c\u305f\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u305d\u306e\u3082\u306e\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u5f93\u3046\u5fc5\u8981\u306f\u306a\u3044\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> j.</var> \u3042\u306a\u305f\u306f\u3001\u672c\u4f5c\u54c1\u3001\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u53c8\u306f\u672c\u4f5c\u54c1\u3092\u7d44\u307f\u8fbc\u3093\u3060\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u3092\u5229\u7528\u3059\u308b\u5834\u5408\u306b\u306f\u3001\uff081\uff09\u672c\u4f5c\u54c1\u306b\u4fc2\u308b\u3059\u3079\u3066\u306e\u8457\u4f5c\u6a29\u8868\u793a\u3092\u305d\u306e\u307e\u307e\u306b\u3057\u3066\u304a\u304b\u306a\u3051\u308c\u3070\u306a\u3089\u305a\u3001\uff082\uff09\u539f\u8457\u4f5c\u8005\u53ca\u3073\u5b9f\u6f14\u5bb6\u306e\u30af\u30ec\u30b8\u30c3\u30c8\u3092\u3001\u5408\u7406\u7684\u306a\u65b9\u5f0f\u3067\u3001\uff08\u3082\u3057\u793a\u3055\u308c\u3066\u3044\u308c\u3070\u539f\u8457\u4f5c\u8005\u53ca\u3073\u5b9f\u6f14\u5bb6\u306e\u540d\u524d\u53c8\u306f\u5909\u540d\u3092\u4f1d\u3048\u308b\u3053\u3068\u306b\u3088\u308a\u3001\uff09\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u305a\u3001\uff083\uff09\u672c\u4f5c\u54c1\u306e\u30bf\u30a4\u30c8\u30eb\u304c\u793a\u3055\u308c\u3066\u3044\u308b\u5834\u5408\u306b\u306f\u3001\u305d\u306e\u30bf\u30a4\u30c8\u30eb\u3092\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u305a\u3001\uff084\uff09\u8a31\u8afe\u8005\u304c\u672c\u4f5c\u54c1\u306b\u6dfb\u4ed8\u3059\u308b\u3088\u3046\u6307\u5b9a\u3057\u305fURI\u304c\u3042\u308c\u3070\u3001\u5408\u7406\u7684\u306b\u5b9f\u884c\u53ef\u80fd\u306a\u7bc4\u56f2\u3067\u3001\u305d\u306eURI\u3092\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u305a\uff08\u305f\u3060\u3057\u3001\u305d\u306eURI\u304c\u672c\u4f5c\u54c1\u306e\u8457\u4f5c\u6a29\u8868\u793a\u307e\u305f\u306f\u30e9\u30a4\u30bb\u30f3\u30b9\u60c5\u5831\u3092\u53c2\u7167\u3059\u308b\u3082\u306e\u3067\u306a\u3044\u3068\u304d\u306f\u3053\u306e\u9650\u308a\u3067\u306a\u3044\u3002\uff09\uff085\uff09\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u306e\u5834\u5408\u306b\u306f\u3001\u5f53\u8a72\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u4e2d\u306e\u539f\u8457\u4f5c\u7269\u306e\u5229\u7528\u3092\u793a\u3059\u30af\u30ec\u30b8\u30c3\u30c8\u3092\u8868\u793a\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002\u3053\u308c\u3089\u306e\u30af\u30ec\u30b8\u30c3\u30c8\u306f\u3001\u5408\u7406\u7684\u3067\u3042\u308c\u3070\u3069\u3093\u306a\u65b9\u6cd5\u3067\u3082\u884c\u3046\u3053\u3068\u304c\u3067\u304d\u308b\u3002\u3057\u304b\u3057\u306a\u304c\u3089\u3001\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u53c8\u306f\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u306e\u5834\u5408\u306b\u306f\u3001\u5c11\u306a\u304f\u3068\u3082\u4ed6\u306e\u540c\u69d8\u306e\u8457\u4f5c\u8005\u306e\u30af\u30ec\u30b8\u30c3\u30c8\u304c\u8868\u793a\u3055\u308c\u308b\u7b87\u6240\u3067\u5f53\u8a72\u30af\u30ec\u30b8\u30c3\u30c8\u3092\u8868\u793a\u3057\u3001\u5c11\u306a\u304f\u3068\u3082\u4ed6\u306e\u540c\u69d8\u306e\u8457\u4f5c\u8005\u306e\u30af\u30ec\u30b8\u30c3\u30c8\u3068\u540c\u7a0b\u5ea6\u306b\u76ee\u7acb\u3064\u65b9\u6cd5\u3067\u3042\u308b\u3053\u3068\u3092\u8981\u3059\u308b\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> k.</var> \u3082\u3057\u3001\u3042\u306a\u305f\u304c\u3001\u672c\u4f5c\u54c1\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3001\u53c8\u306f\u672c\u4f5c\u54c1\u3082\u3057\u304f\u306f\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u3092\u7d44\u307f\u8fbc\u3093\u3060\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u3092\u5275\u4f5c\u3057\u305f\u5834\u5408\u3001\u3042\u306a\u305f\u306f\u3001\u8a31\u8afe\u8005\u304b\u3089\u306e\u901a\u77e5\u304c\u3042\u308c\u3070\u3001\u5b9f\u884c\u53ef\u80fd\u306a\u7bc4\u56f2\u3067\u3001\u8981\u6c42\u306b\u5fdc\u3058\u3066\u3001\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u53c8\u306f\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u304b\u3089\u3001\u8a31\u8afe\u8005\u53c8\u306f\u539f\u8457\u4f5c\u8005\u3078\u306e\u8a00\u53ca\u3092\u3059\u3079\u3066\u9664\u53bb\u3057\u306a\u3051\u308c\u3070\u306a\u3089\u306a\u3044\u3002</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> \u7b2c6\u6761</var> \u8cac\u4efb\u5236\u9650\n\n					<p>\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u4e21\u5f53\u4e8b\u8005\u304c\u66f8\u9762\u306b\u3066\u5225\u9014\u5408\u610f\u3057\u306a\u3044\u9650\u308a\u3001\u8a31\u8afe\u8005\u306f\u672c\u4f5c\u54c1\u3092\u73fe\u72b6\u306e\u307e\u307e\u63d0\u4f9b\u3059\u308b\u3082\u306e\u3068\u3057\u3001\u660e\u793a\u30fb\u9ed9\u793a\u3092\u554f\u308f\u305a\u3001\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3066\u3044\u304b\u306a\u308b\u4fdd\u8a3c\uff08\u7279\u5b9a\u306e\u5229\u7528\u76ee\u7684\u3078\u306e\u9069\u5408\u6027\u3001\u7b2c\u4e09\u8005\u306e\u6a29\u5229\u306e\u975e\u4fb5\u5bb3\u3001\u6b20\u9665\u306e\u4e0d\u5b58\u5728\u3092\u542b\u3080\u304c\u3001\u3053\u308c\u306b\u9650\u3089\u308c\u306a\u3044\u3002\uff09\u3082\u3057\u306a\u3044\u3002</p>\n\n					<p>\u3053\u306e\u5229\u7528\u8a31\u8afe\u53c8\u306f\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u672c\u4f5c\u54c1\u306e\u5229\u7528\u304b\u3089\u767a\u751f\u3059\u308b\u3001\u3044\u304b\u306a\u308b\u640d\u5bb3\uff08\u8a31\u8afe\u8005\u304c\u3001\u672c\u4f5c\u54c1\u306b\u304b\u304b\u308b\u8457\u4f5c\u6a29\u3001\u8457\u4f5c\u96a3\u63a5\u6a29\u3001\u8457\u4f5c\u8005\u4eba\u683c\u6a29\u3001\u5b9f\u6f14\u5bb6\u4eba\u683c\u6a29\u3001\u5546\u6a19\u6a29\u3001\u30d1\u30d6\u30ea\u30b7\u30c6\u30a3\u6a29\u3001\u4e0d\u6b63\u7af6\u4e89\u9632\u6b62\u6cd5\u305d\u306e\u4ed6\u95a2\u9023\u6cd5\u898f\u4e0a\u4fdd\u8b77\u3055\u308c\u308b\u5229\u76ca\u3092\u6709\u3059\u308b\u8005\u304b\u3089\u306e\u8a31\u8afe\u3092\u5f97\u308b\u3053\u3068\u306a\u304f\u672c\u4f5c\u54c1\u306e\u5229\u7528\u8a31\u8afe\u3092\u884c\u3063\u305f\u3053\u3068\u306b\u3088\u308a\u767a\u751f\u3059\u308b\u640d\u5bb3\u3001\u30d7\u30e9\u30a4\u30d0\u30b7\u30fc\u4fb5\u5bb3\u53c8\u306f\u540d\u8a89\u6bc0\u640d\u304b\u3089\u767a\u751f\u3059\u308b\u640d\u5bb3\u7b49\u306e\u901a\u5e38\u640d\u5bb3\u3001\u53ca\u3073\u7279\u5225\u640d\u5bb3\u3092\u542b\u3080\u304c\u3001\u3053\u308c\u306b\u9650\u3089\u306a\u3044\u3002\uff09\u306b\u3064\u3044\u3066\u3082\u3001\u8a31\u8afe\u8005\u306b\u6545\u610f\u53c8\u306f\u91cd\u5927\u306a\u904e\u5931\u304c\u3042\u308b\u5834\u5408\u3092\u9664\u304d\u3001\u8a31\u8afe\u8005\u304c\u305d\u306e\u3088\u3046\u306a\u640d\u5bb3\u767a\u751f\u306e\u53ef\u80fd\u6027\u3092\u77e5\u3089\u3055\u308c\u305f\u304b\u5426\u304b\u3092\u554f\u308f\u305a\u3001\u8a31\u8afe\u8005\u306f\u3001\u3042\u306a\u305f\u306b\u5bfe\u3057\u3001\u3053\u308c\u3092\u8ce0\u511f\u3059\u308b\u8cac\u4efb\u3092\u8ca0\u308f\u306a\u3044\u3002</p>\n\n				</li>\n\n<li>\n					<p>\u7b2c7\u6761</p>\n \u7d42\u4e86\n\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> a.</var> \u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u3042\u306a\u305f\u304c\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306b\u9055\u53cd\u3059\u308b\u3068\u81ea\u52d5\u7684\u306b\u7d42\u4e86\u3059\u308b\u3002\u3057\u304b\u3057\u3001\u672c\u4f5c\u54c1\u3001\u305d\u306e\u4e8c\u6b21\u7684\u8457\u4f5c\u7269\u53c8\u306f\u7de8\u96c6\u8457\u4f5c\u7269\u7b49\u3092\u3042\u306a\u305f\u304b\u3089\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304d\u53d7\u9818\u3057\u305f\u7b2c\u4e09\u8005\u306b\u5bfe\u3057\u3066\u306f\u3001\u305d\u306e\u53d7\u9818\u8005\u304c\u3053\u306e\u5229\u7528\u8a31\u8afe\u3092\u9075\u5b88\u3057\u3066\u3044\u308b\u9650\u308a\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u7d42\u4e86\u3057\u306a\u3044\u3002\u7b2c1\u6761\u3001\u7b2c2\u6761\u3001\u7b2c4\u6761\u304b\u3089\u7b2c9\u6761\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u304c\u7d42\u4e86\u3057\u3066\u3082\u306a\u304a\u6709\u52b9\u306b\u5b58\u7d9a\u3059\u308b\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> b.</var> \u4e0a\u8a18a\u306b\u5b9a\u3081\u308b\u5834\u5408\u3092\u9664\u304d\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u30e9\u30a4\u30bb\u30f3\u30b9\u306f\u3001\u672c\u4f5c\u54c1\u306b\u542b\u307e\u308c\u308b\u8457\u4f5c\u6a29\u6cd5\u4e0a\u306e\u6a29\u5229\u304c\u5b58\u7d9a\u3059\u308b\u304b\u304e\u308a\u7d99\u7d9a\u3059\u308b\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> c.</var> \u8a31\u8afe\u8005\u306f\u3001\u4e0a\u8a18a\u304a\u3088\u3073b\u306b\u95a2\u308f\u3089\u305a\u3001\u3044\u3064\u3067\u3082\u3001\u672c\u4f5c\u54c1\u3092\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u3044\u3066\u9812\u5e03\u3059\u308b\u3053\u3068\u3092\u5c06\u6765\u306b\u5411\u304b\u3063\u3066\u4e2d\u6b62\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u308b\u3002\u305f\u3060\u3057\u3001\u8a31\u8afe\u8005\u304c\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u304f\u9812\u5e03\u3092\u5c06\u6765\u306b\u5411\u304b\u3063\u3066\u4e2d\u6b62\u3057\u305f\u5834\u5408\u3067\u3082\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u3044\u3066\u3059\u3067\u306b\u672c\u4f5c\u54c1\u3092\u53d7\u9818\u3057\u305f\u5229\u7528\u8005\u306b\u5bfe\u3057\u3066\u306f\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306b\u57fa\u3065\u3044\u3066\u904e\u53bb\u53ca\u3073\u5c06\u6765\u306b\u4e0e\u3048\u3089\u308c\u308b\u3044\u304b\u306a\u308b\u30e9\u30a4\u30bb\u30f3\u30b9\u3082\u7d42\u4e86\u3059\u308b\u3053\u3068\u306f\u306a\u3044\u3002\u307e\u305f\u3001\u4e0a\u8a18\u306b\u3088\u3063\u3066\u7d42\u4e86\u3057\u306a\u3044\u9650\u308a\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u5168\u9762\u7684\u306b\u6709\u52b9\u306a\u3082\u306e\u3068\u3057\u3066\u7d99\u7d9a\u3059\u308b\u3002</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> \u7b2c8\u6761</var> \u305d\u306e\u4ed6\n\n<ul style=\"list-style:none\">\n						\n<li><var class=\"replaceable-license-text\"> a.</var> \u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u3044\u305a\u308c\u304b\u306e\u898f\u5b9a\u304c\u3001\u9069\u7528\u6cd5\u306e\u4e0b\u3067\u7121\u52b9\u53ca\u3073\uff0f\u53c8\u306f\u57f7\u884c\u4e0d\u80fd\u306e\u5834\u5408\u3067\u3042\u3063\u3066\u3082\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u4ed6\u306e\u6761\u9805\u306e\u6709\u52b9\u6027\u53ca\u3073\u57f7\u884c\u53ef\u80fd\u6027\u306b\u306f\u5f71\u97ff\u3057\u306a\u3044\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> b.</var> \u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u6761\u9805\u306e\u5168\u90e8\u53c8\u306f\u4e00\u90e8\u306e\u653e\u68c4\u53c8\u306f\u305d\u306e\u9055\u53cd\u306b\u95a2\u3059\u308b\u627f\u8afe\u306f\u3001\u3053\u308c\u304c\u66f8\u9762\u306b\u3055\u308c\u3001\u5f53\u8a72\u653e\u68c4\u53c8\u306f\u627f\u8afe\u306b\u8cac\u4efb\u3092\u8ca0\u3046\u5f53\u4e8b\u8005\u306b\u3088\u308b\u7f72\u540d\u53c8\u306f\u8a18\u540d\u62bc\u5370\u304c\u306a\u3055\u308c\u306a\u3044\u9650\u308a\u3001\u884c\u3046\u3053\u3068\u304c\u3067\u304d\u306a\u3044\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> c.</var> \u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u5f53\u4e8b\u8005\u304c\u672c\u4f5c\u54c1\u306b\u95a2\u3057\u3066\u884c\u3063\u305f\u6700\u7d42\u304b\u3064\u552f\u4e00\u306e\u5408\u610f\u306e\u5185\u5bb9\u3067\u3042\u308b\u3002\u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u8a31\u8afe\u8005\u3068\u3042\u306a\u305f\u3068\u306e\u76f8\u4e92\u306e\u66f8\u9762\u306b\u3088\u308b\u5408\u610f\u306a\u304f\u4fee\u6b63\u3055\u308c\u306a\u3044\u3002</li>\n						\n<li><var class=\"replaceable-license-text\"> d.</var> \u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u65e5\u672c\u8a9e\u306b\u3088\u308a\u63d0\u4f9b\u3055\u308c\u308b\u3002\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u82f1\u8a9e\u305d\u306e\u4ed6\u306e\u8a00\u8a9e\u3078\u306e\u7ffb\u8a33\u306f\u53c2\u7167\u306e\u305f\u3081\u306e\u3082\u306e\u306b\u904e\u304e\u305a\u3001\u3053\u306e\u5229\u7528\u8a31\u8afe\u306e\u65e5\u672c\u8a9e\u7248\u3068\u7ffb\u8a33\u3068\u306e\u9593\u306b\u4f55\u3089\u304b\u306e\u9f5f\u9f6c\u304c\u3042\u308b\u5834\u5408\u306b\u306f\u65e5\u672c\u8a9e\u7248\u304c\u512a\u5148\u3059\u308b\u3002</li>\n					\n</ul>\n				</li>\n\n<li>\n					<var class=\"replaceable-license-text\"> \u7b2c9\u6761</var> \u6e96\u62e0\u6cd5\n\n					<p>\u3053\u306e\u5229\u7528\u8a31\u8afe\u306f\u3001\u65e5\u672c\u6cd5\u306b\u57fa\u3065\u304d\u89e3\u91c8\u3055\u308c\u308b\u3002</p>\n\n				</li>\n			\n</ul>\n\n			<p>\u672c\u4f5c\u54c1\u304c\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30e9\u30a4\u30bb\u30f3\u30b9\u306b\u57fa\u3065\u304d\u5229\u7528\u8a31\u8afe\u3055\u308c\u305f\u3053\u3068\u3092\u516c\u8846\u306b\u793a\u3059\u3068\u3044\u3046\u9650\u5b9a\u3055\u308c\u305f\u76ee\u7684\u306e\u5834\u5408\u3092\u9664\u304d\u3001\u8a31\u8afe\u8005\u3082\u88ab\u8a31\u8afe\u8005\u3082\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u306e\u4e8b\u524d\u306e\u66f8\u9762\u306b\u3088\u308b\u540c\u610f\u306a\u3057\u306b\u300c\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u300d\u306e\u5546\u6a19\u82e5\u3057\u304f\u306f\u95a2\u9023\u5546\u6a19\u53c8\u306f\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u306e\u30ed\u30b4\u3092\u4f7f\u7528\u3057\u306a\u3044\u3082\u306e\u3068\u3057\u307e\u3059\u3002\u4f7f\u7528\u304c\u8a31\u53ef\u3055\u308c\u305f\u5834\u5408\u306f\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u304a\u3088\u3073\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\uff65\u30b3\u30e2\u30f3\u30ba\uff65\u30b8\u30e3\u30d1\u30f3\u306e\u30a6\u30a7\u30d6\u30b5\u30a4\u30c8\u4e0a\u306b\u516c\u8868\u3055\u308c\u308b\u3001\u53c8\u306f\u305d\u306e\u4ed6\u968f\u6642\u8981\u6c42\u306b\u5f93\u3044\u5229\u7528\u53ef\u80fd\u3068\u306a\u308b\u3001\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u306e\u5f53\u8a72\u6642\u70b9\u306b\u304a\u3051\u308b\u5546\u6a19\u4f7f\u7528\u6307\u91dd\u3092\u9075\u5b88\u3059\u308b\u3082\u306e\u3068\u3057\u307e\u3059\u3002\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u306f https://creativecommons.org/\u304b\u3089\u3001\u30af\u30ea\u30a8\u30a4\u30c6\u30a3\u30d6\u30fb\u30b3\u30e2\u30f3\u30ba\u30fb\u30b8\u30e3\u30d1\u30f3\u306fhttp://www.creativecommons.jp/\u304b\u3089\u9023\u7d61\u3059\u308b\u3053\u3068\u304c\u3067\u304d\u307e\u3059\u3002</p>\n\n		"
		self.python_name = "CCBYSA21JP"

	def __str__(self):
		return json.dumps(self.__dict__)


class Python20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "PYTHON SOFTWARE FOUNDATION LICENSE VERSION 2\n\n	 1. This LICENSE AGREEMENT is between the Python Software Foundation (\"PSF\"), and the Individual or Organization (\"Licensee\") accessing and otherwise using this software (\"Python\") in source or binary form and its associated documentation.\n\n	 2. Subject to the terms and conditions of this License Agreement, PSF hereby grants Licensee a nonexclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use Python alone or in any derivative version, provided, however, that PSF's License Agreement and PSF's notice of copyright, i.e., \"Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006 Python Software Foundation; All Rights Reserved\" are retained in Python alone or in any derivative version prepared by Licensee.\n\n	 3. In the event Licensee prepares a derivative work that is based on or incorporates Python or any part thereof, and wants to make the derivative work available to others as provided herein, then Licensee hereby agrees to include in any such work a brief summary of the changes made to Python.\n\n	 4. PSF is making Python available to Licensee on an \"AS IS\" basis. PSF MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, PSF MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF PYTHON WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n	 5. PSF SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE USING PYTHON, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n	 6. This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n	 7. Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between PSF and Licensee. This License Agreement does not grant permission to use PSF trademarks or trade name in a trademark sense to endorse or promote products or services of Licensee, or any third party.\n\n	 8. By copying, installing or otherwise using Python, Licensee agrees to be bound by the terms and conditions of this License Agreement.\n\n\nBEOPEN.COM LICENSE AGREEMENT FOR PYTHON 2.0\n\nBEOPEN PYTHON OPEN SOURCE LICENSE AGREEMENT VERSION 1\n\n	 1. This LICENSE AGREEMENT is between BeOpen.com (\"BeOpen\"), having an office at 160 Saratoga Avenue, Santa Clara, CA 95051, and the Individual or Organization (\"Licensee\") accessing and otherwise using this software in source or binary form and its associated documentation (\"the Software\").\n\n	 2. Subject to the terms and conditions of this BeOpen Python License Agreement, BeOpen hereby grants Licensee a non-exclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use the Software alone or in any derivative version, provided, however, that the BeOpen Python License is retained in the Software, alone or in any derivative version prepared by Licensee.\n\n	 3. BeOpen is making the Software available to Licensee on an \"AS IS\" basis. BEOPEN MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, BEOPEN MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n	 4. BEOPEN SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THE SOFTWARE, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n	 5. This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n	 6. This License Agreement shall be governed by and interpreted in all respects by the law of the State of California, excluding conflict of law provisions. Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between BeOpen and Licensee. This License Agreement does not grant permission to use BeOpen trademarks or trade names in a trademark sense to endorse or promote products or services of Licensee, or any third party. As an exception, the \"BeOpen Python\" logos available at http://www.pythonlabs.com/logos.html may be used according to the permissions granted on that web page.\n\n	 7. By copying, installing or otherwise using the software, Licensee agrees to be bound by the terms and conditions of this License Agreement.\n\n\nCNRI OPEN SOURCE LICENSE AGREEMENT (for Python 1.6b1)\n\nIMPORTANT: PLEASE READ THE FOLLOWING AGREEMENT CAREFULLY.\n\nBY CLICKING ON \"ACCEPT\" WHERE INDICATED BELOW, OR BY COPYING, INSTALLING OR OTHERWISE USING PYTHON 1.6, beta 1 SOFTWARE, YOU ARE DEEMED TO HAVE AGREED TO THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT.\n\n	 1. This LICENSE AGREEMENT is between the Corporation for National Research Initiatives, having an office at 1895 Preston White Drive, Reston, VA 20191 (\"CNRI\"), and the Individual or Organization (\"Licensee\") accessing and otherwise using Python 1.6, beta 1 software in source or binary form and its associated documentation, as released at the www.python.org Internet site on August 4, 2000 (\"Python 1.6b1\").\n\n	 2. Subject to the terms and conditions of this License Agreement, CNRI hereby grants Licensee a non-exclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use Python 1.6b1 alone or in any derivative version, provided, however, that CNRIs License Agreement is retained in Python 1.6b1, alone or in any derivative version prepared by Licensee.\n\n	 Alternately, in lieu of CNRIs License Agreement, Licensee may substitute the following text (omitting the quotes): \"Python 1.6, beta 1, is made available subject to the terms and conditions in CNRIs License Agreement. This Agreement may be located on the Internet using the following unique, persistent identifier (known as a handle): 1895.22/1011. This Agreement may also be obtained from a proxy server on the Internet using the URL:http://hdl.handle.net/1895.22/1011\".\n\n	 3. In the event Licensee prepares a derivative work that is based on or incorporates Python 1.6b1 or any part thereof, and wants to make the derivative work available to the public as provided herein, then Licensee hereby agrees to indicate in any such work the nature of the modifications made to Python 1.6b1.\n\n	 4. CNRI is making Python 1.6b1 available to Licensee on an \"AS IS\" basis. CNRI MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, CNRI MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF PYTHON 1.6b1 WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n	 5. CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING, MODIFYING OR DISTRIBUTING PYTHON 1.6b1, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n	 6. This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n	 7. This License Agreement shall be governed by and interpreted in all respects by the law of the State of Virginia, excluding conflict of law provisions. Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between CNRI and Licensee. This License Agreement does not grant permission to use CNRI trademarks or trade name in a trademark sense to endorse or promote products or services of Licensee, or any third party.\n\n	 8. By clicking on the \"ACCEPT\" button where indicated, or by copying, installing or otherwise using Python 1.6b1, Licensee agrees to be bound by the terms and conditions of this License Agreement.\n\nACCEPT\n\n\nCWI LICENSE AGREEMENT FOR PYTHON 0.9.0 THROUGH 1.2\n\nCopyright (c) 1991 - 1995, Stichting Mathematisch Centrum Amsterdam, The Netherlands. All rights reserved.\n\n	 Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of Stichting Mathematisch Centrum or CWI not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.\n\n	 STICHTING MATHEMATISCH CENTRUM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL STICHTING MATHEMATISCH CENTRUM BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>PYTHON SOFTWARE FOUNDATION LICENSE VERSION 2\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> This LICENSE AGREEMENT is between the Python Software Foundation (\"PSF\"), and the Individual or Organization (\"Licensee\") accessing and otherwise using this software (\"Python\") in source or binary form and its associated documentation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Subject to the terms and conditions of this License Agreement, PSF hereby grants Licensee a nonexclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use Python alone or in any derivative version, provided, however, that PSF's License Agreement and PSF's notice of copyright, i.e., \"Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006 Python Software Foundation; All Rights Reserved\" are retained in Python alone or in any derivative version prepared by Licensee.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> In the event Licensee prepares a derivative work that is based on or incorporates Python or any part thereof, and wants to make the derivative work available to others as provided herein, then Licensee hereby agrees to include in any such work a brief summary of the changes made to Python.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> PSF is making Python available to Licensee on an \"AS IS\" basis. PSF MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, PSF MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF PYTHON WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> PSF SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE USING PYTHON, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between PSF and Licensee. This License Agreement does not grant permission to use PSF trademarks or trade name in a trademark sense to endorse or promote products or services of Licensee, or any third party.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> By copying, installing or otherwise using Python, Licensee agrees to be bound by the terms and conditions of this License Agreement.<<beginOptional>> BEOPEN.COM LICENSE AGREEMENT FOR PYTHON 2.0\n\nBEOPEN PYTHON OPEN SOURCE LICENSE AGREEMENT VERSION 1\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> This LICENSE AGREEMENT is between BeOpen.com (\"BeOpen\"), having an office at 160 Saratoga Avenue, Santa Clara, CA 95051, and the Individual or Organization (\"Licensee\") accessing and otherwise using this software in source or binary form and its associated documentation (\"the Software\").\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Subject to the terms and conditions of this BeOpen Python License Agreement, BeOpen hereby grants Licensee a non-exclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use the Software alone or in any derivative version, provided, however, that the BeOpen Python License is retained in the Software, alone or in any derivative version prepared by Licensee.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> BeOpen is making the Software available to Licensee on an \"AS IS\" basis. BEOPEN MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, BEOPEN MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> BEOPEN SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THE SOFTWARE, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> This License Agreement shall be governed by and interpreted in all respects by the law of the State of California, excluding conflict of law provisions. Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between BeOpen and Licensee. This License Agreement does not grant permission to use BeOpen trademarks or trade names in a trademark sense to endorse or promote products or services of Licensee, or any third party. As an exception, the \"BeOpen Python\" logos available at http://www.pythonlabs.com/logos.html may be used according to the permissions granted on that web page.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> By copying, installing or otherwise using the software, Licensee agrees to be bound by the terms and conditions of this License Agreement.<<beginOptional>> CNRI OPEN SOURCE LICENSE AGREEMENT (for Python 1.6b1)\n\n<<endOptional>><<beginOptional>> IMPORTANT: PLEASE READ THE FOLLOWING AGREEMENT CAREFULLY.\n\nBY CLICKING ON \"ACCEPT\" WHERE INDICATED BELOW, OR BY COPYING, INSTALLING OR OTHERWISE USING PYTHON 1.6, beta 1 SOFTWARE, YOU ARE DEEMED TO HAVE AGREED TO THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT.\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> This LICENSE AGREEMENT is between the Corporation for National Research Initiatives, having an office at 1895 Preston White Drive, Reston, VA 20191 (\"CNRI\"), and the Individual or Organization (\"Licensee\") accessing and otherwise using Python 1.6, beta 1 software in source or binary form and its associated documentation, as released at the www.python.org Internet site on August 4, 2000 (\"Python 1.6b1\").\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Subject to the terms and conditions of this License Agreement, CNRI hereby grants Licensee a non-exclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or display publicly, prepare derivative works, distribute, and otherwise use Python 1.6b1 alone or in any derivative version, provided, however, that CNRIs License Agreement is retained in Python 1.6b1, alone or in any derivative version prepared by Licensee.\n\n   Alternately, in lieu of CNRIs License Agreement, Licensee may substitute the following text (omitting the quotes): \"Python 1.6, beta 1, is made available subject to the terms and conditions in CNRIs License Agreement. This Agreement may be located on the Internet using the following unique, persistent identifier (known as a handle): 1895.22/1011. This Agreement may also be obtained from a proxy server on the Internet using the URL:http://hdl.handle.net/1895.22/1011\".\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> In the event Licensee prepares a derivative work that is based on or incorporates Python 1.6b1 or any part thereof, and wants to make the derivative work available to the public as provided herein, then Licensee hereby agrees to indicate in any such work the nature of the modifications made to Python 1.6b1.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> CNRI is making Python 1.6b1 available to Licensee on an \"AS IS\" basis. CNRI MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, CNRI MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF PYTHON 1.6b1 WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING, MODIFYING OR DISTRIBUTING PYTHON 1.6b1, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> This License Agreement shall be governed by and interpreted in all respects by the law of the State of Virginia, excluding conflict of law provisions. Nothing in this License Agreement shall be deemed to create any relationship of agency, partnership, or joint venture between CNRI and Licensee. This License Agreement does not grant permission to use CNRI trademarks or trade name in a trademark sense to endorse or promote products or services of Licensee, or any third party.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> By clicking on the \"ACCEPT\" button where indicated, or by copying, installing or otherwise using Python 1.6b1, Licensee agrees to be bound by the terms and conditions of this License Agreement.<<beginOptional>> ACCEPT\n\n<<endOptional>><<beginOptional>> CWI LICENSE AGREEMENT FOR PYTHON 0.9.0 THROUGH 1.2\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright (c) 1991 - 1995, Stichting Mathematisch Centrum Amsterdam, The Netherlands. All rights reserved.  \";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of Stichting Mathematisch Centrum or CWI not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.\n\nSTICHTING MATHEMATISCH CENTRUM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL STICHTING MATHEMATISCH CENTRUM BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n"
		self.name = "Python License 2.0"
		self.licenseComments = "This is the overall Python license as published on the OSI website, which is comprised of several licenses."
		self.licenseId = "Python-2.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/Python-2.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:48Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://opensource.org/licenses/Python-2.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>PYTHON SOFTWARE FOUNDATION LICENSE VERSION 2</p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  This LICENSE AGREEMENT is between the Python Software Foundation (&quot;PSF&quot;), and the Individual or\n			 Organization (&quot;Licensee&quot;) accessing and otherwise using this software (&quot;Python&quot;) in source or\n			 binary form and its associated documentation.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Subject to the terms and conditions of this License Agreement, PSF hereby grants Licensee a\n			 nonexclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or\n			 display publicly, prepare derivative works, distribute, and otherwise use Python alone or in\n			 any derivative version, provided, however, that PSF&apos;s License Agreement and PSF&apos;s notice of\n			 copyright, i.e., &quot;Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006 Python Software Foundation;\n			 All Rights Reserved&quot; are retained in Python alone or in any derivative version prepared by\n			 Licensee.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  In the event Licensee prepares a derivative work that is based on or incorporates Python or any\n			 part thereof, and wants to make the derivative work available to others as provided herein,\n			 then Licensee hereby agrees to include in any such work a brief summary of the changes made to\n			 Python.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  PSF is making Python available to Licensee on an &quot;AS IS&quot; basis. PSF MAKES NO REPRESENTATIONS OR\n			 WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, PSF MAKES NO AND\n			 DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR\n			 PURPOSE OR THAT THE USE OF PYTHON WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  PSF SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON FOR ANY INCIDENTAL, SPECIAL, OR\n			 CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF MODIFYING, DISTRIBUTING, OR OTHERWISE USING\n			 PYTHON, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Nothing in this License Agreement shall be deemed to create any relationship of agency,\n			 partnership, or joint venture between PSF and Licensee. This License Agreement does not grant\n			 permission to use PSF trademarks or trade name in a trademark sense to endorse or promote\n			 products or services of Licensee, or any third party.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  By copying, installing or otherwise using Python, Licensee agrees to be bound by the terms and\n			 conditions of this License Agreement.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>BEOPEN.COM LICENSE AGREEMENT FOR PYTHON 2.0</p>\n\n		 <p>BEOPEN PYTHON OPEN SOURCE LICENSE AGREEMENT VERSION 1</p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  This LICENSE AGREEMENT is between BeOpen.com (&quot;BeOpen&quot;), having an office at 160 Saratoga Avenue,\n			 Santa Clara, CA 95051, and the Individual or Organization (&quot;Licensee&quot;) accessing and otherwise\n			 using this software in source or binary form and its associated documentation (&quot;the\n			 Software&quot;).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Subject to the terms and conditions of this BeOpen Python License Agreement, BeOpen hereby grants\n			 Licensee a non-exclusive, royalty-free, world-wide license to reproduce, analyze, test,\n			 perform and/or display publicly, prepare derivative works, distribute, and otherwise use the\n			 Software alone or in any derivative version, provided, however, that the BeOpen Python License\n			 is retained in the Software, alone or in any derivative version prepared by Licensee.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  BeOpen is making the Software available to Licensee on an &quot;AS IS&quot; basis. BEOPEN MAKES NO\n			 REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION,\n			 BEOPEN MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR\n			 ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE WILL NOT INFRINGE ANY THIRD PARTY\n			 RIGHTS.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  BEOPEN SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL,\n			 SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THE\n			 SOFTWARE, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  This License Agreement shall be governed by and interpreted in all respects by the law of the\n			 State of California, excluding conflict of law provisions. Nothing in this License Agreement\n			 shall be deemed to create any relationship of agency, partnership, or joint venture between\n			 BeOpen and Licensee. This License Agreement does not grant permission to use BeOpen trademarks\n			 or trade names in a trademark sense to endorse or promote products or services of Licensee, or\n			 any third party. As an exception, the &quot;BeOpen Python&quot; logos available at\n			 http://www.pythonlabs.com/logos.html may be used according to the permissions granted on that\n			 web page.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  By copying, installing or otherwise using the software, Licensee agrees to be bound by the terms\n			 and conditions of this License Agreement.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>CNRI OPEN SOURCE LICENSE AGREEMENT (for Python 1.6b1)</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>IMPORTANT: PLEASE READ THE FOLLOWING AGREEMENT CAREFULLY.</p>\n\n		 <p>BY CLICKING ON &quot;ACCEPT&quot; WHERE INDICATED BELOW, OR BY COPYING, INSTALLING OR OTHERWISE USING PYTHON 1.6,\n		 beta 1 SOFTWARE, YOU ARE DEEMED TO HAVE AGREED TO THE TERMS AND CONDITIONS OF THIS LICENSE\n		 AGREEMENT.</p>\n\n	  </div>\n	  \n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  This LICENSE AGREEMENT is between the Corporation for National Research Initiatives, having an\n			 office at 1895 Preston White Drive, Reston, VA 20191 (&quot;CNRI&quot;), and the Individual or\n			 Organization (&quot;Licensee&quot;) accessing and otherwise using Python 1.6, beta 1 software in source\n			 or binary form and its associated documentation, as released at the www.python.org Internet\n			 site on August 4, 2000 (&quot;Python 1.6b1&quot;).\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Subject to the terms and conditions of this License Agreement, CNRI hereby grants Licensee a\n			 non-exclusive, royalty-free, world-wide license to reproduce, analyze, test, perform and/or\n			 display publicly, prepare derivative works, distribute, and otherwise use Python 1.6b1 alone\n			 or in any derivative version, provided, however, that CNRIs License Agreement is retained in\n			 Python 1.6b1, alone or in any derivative version prepared by Licensee.\n		  <p>Alternately, in lieu of CNRIs License Agreement, Licensee may substitute the following text\n			 (omitting the quotes): &quot;Python 1.6, beta 1, is made available subject to the terms and\n			 conditions in CNRIs License Agreement. This Agreement may be located on the Internet using the\n			 following unique, persistent identifier (known as a handle): 1895.22/1011. This Agreement may\n			 also be obtained from a proxy server on the Internet using the\n			 URL:http://hdl.handle.net/1895.22/1011&quot;.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  In the event Licensee prepares a derivative work that is based on or incorporates Python 1.6b1 or\n			 any part thereof, and wants to make the derivative work available to the public as provided\n			 herein, then Licensee hereby agrees to indicate in any such work the nature of the\n			 modifications made to Python 1.6b1.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  CNRI is making Python 1.6b1 available to Licensee on an &quot;AS IS&quot; basis. CNRI MAKES NO\n			 REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT NOT LIMITATION, CNRI\n			 MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY\n			 PARTICULAR PURPOSE OR THAT THE USE OF PYTHON 1.6b1 WILL NOT INFRINGE ANY THIRD PARTY\n			 RIGHTS.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE FOR ANY INCIDENTAL,\n			 SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING, MODIFYING OR DISTRIBUTING\n			 PYTHON 1.6b1, OR ANY DERIVATIVE THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  This License Agreement will automatically terminate upon a material breach of its terms and conditions.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  This License Agreement shall be governed by and interpreted in all respects by the law of the\n			 State of Virginia, excluding conflict of law provisions. Nothing in this License Agreement\n			 shall be deemed to create any relationship of agency, partnership, or joint venture between\n			 CNRI and Licensee. This License Agreement does not grant permission to use CNRI trademarks or\n			 trade name in a trademark sense to endorse or promote products or services of Licensee, or any\n			 third party.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  By clicking on the &quot;ACCEPT&quot; button where indicated, or by copying, installing or otherwise using\n			 Python 1.6b1, Licensee agrees to be bound by the terms and conditions of this License\n			 Agreement.\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>ACCEPT</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CWI LICENSE AGREEMENT FOR PYTHON 0.9.0 THROUGH 1.2</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (c) 1991 - 1995, Stichting Mathematisch Centrum Amsterdam, The Netherlands. All rights reserved.</p>\n\n	  </div>\n\n	  <p>Permission to use, copy, modify, and distribute this software and its documentation for any purpose and\n		 without fee is hereby granted, provided that the above copyright notice appear in all copies and that\n		 both that copyright notice and this permission notice appear in supporting documentation, and that the\n		 name of Stichting Mathematisch Centrum or CWI not be used in advertising or publicity pertaining to\n		 distribution of the software without specific, written prior permission.</p>\n\n	  <p>STICHTING MATHEMATISCH CENTRUM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL\n		 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL STICHTING MATHEMATISCH CENTRUM BE\n		 LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM\n		 LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,\n		 ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.</p>\n\n	"
		self.python_name = "Python20"

	def __str__(self):
		return json.dumps(self.__dict__)


class EFL10:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Eiffel Forum License, version 1\n\nPermission is hereby granted to use, copy, modify and/or distribute this package, provided that:\n\n	 - copyright notices are retained unchanged\n\n	 - any distribution of this package, whether modified or not, includes this file\n\nPermission is hereby also granted to distribute binary programs which depend on this package, provided that:\n\n	 - if the binary program depends on a modified version of this package, you must publicly release the modified version of this package\n\nTHIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY. ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES ARISING IN ANY WAY OUT OF THE USE OF THIS PACKAGE.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Eiffel Forum License, version 1\n\n<<endOptional>>\n\nPermission is hereby granted to use, copy, modify and/or distribute this package, provided that:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> copyright notices are retained unchanged\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> any distribution of this package, whether modified or not, includes this file\n\nPermission is hereby also granted to distribute binary programs which depend on this package, provided that:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> if the binary program depends on a modified version of this package, you must publicly release the modified version of this package\n\nTHIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY. ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES ARISING IN ANY WAY OUT OF THE USE OF THIS PACKAGE.\n\n"
		self.name = "Eiffel Forum License v1.0"
		self.licenseComments = "This license has been superseded by v2.0"
		self.licenseId = "EFL-1.0"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/EFL-1.0", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:28Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "http://www.eiffel-nice.org/license/forum.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:13:28Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.eiffel-nice.org/license/forum.txt", "https://opensource.org/licenses/EFL-1.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Eiffel Forum License, version 1</p>\n\n	  </div>\n\n	  <p>Permission is hereby granted to use, copy, modify and/or distribute this package, provided that:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  copyright notices are retained unchanged\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  any distribution of this package, whether modified or not, includes this file\n		  </li>\n	  \n</ul>\n	  <p>Permission is hereby also granted to distribute binary programs which depend on this package,\n		 provided that:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> -</var>\n		  if the binary program depends on a modified version of this package, you must publicly\n			 release the modified version of this package\n		</li>\n	  \n</ul>\n	  <p>THIS PACKAGE IS PROVIDED &quot;AS IS&quot; AND WITHOUT WARRANTY. ANY EXPRESS OR IMPLIED WARRANTIES,\n		 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\n		 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT,\n		 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES ARISING IN ANY WAY OUT OF THE USE OF THIS\n		 PACKAGE.</p>\n\n	"
		self.python_name = "EFL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class MMIXware:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "copyright 1999 Donald E. Knuth\n\nThis file may be freely copied and distributed, provided that\nno changes whatsoever are made. All users are asked to help keep\nthe MMIXware files consistent and ``uncorrupted,''\nidentical everywhere in the world. Changes are permissible only\nif the modified file is given a new name, different from the names of\nexisting files in the MMIXware package,\nand only if the modified file is clearly identified\nas not being part of that package.\n(The CWEB system has a ``change file'' facility by\nwhich users can easily make minor alterations without modifying\nthe master source files in any way. Everybody is supposed to use\nchange files instead of changing the files.)\nThe author has tried his best to produce correct and useful programs,\nin order to help promote computer science research,\nbut no warranty of any kind should be assumed.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"copyright 1999 Donald E. Knuth  \";match=\".{0,5000}\">>\n\nThis file may be freely copied and distributed, provided that no changes whatsoever are made. All users are asked to help keep the MMIXware files consistent and ``uncorrupted,'' identical everywhere in the world. Changes are permissible only if the modified file is given a new name, different from the names of existing files in the MMIXware package, and only if the modified file is clearly identified as not being part of that package. (The CWEB system has a ``change file'' facility by which users can easily make minor alterations without modifying the master source files in any way. Everybody is supposed to use change files instead of changing the files.) The author has tried his best to produce correct and useful programs, in order to help promote computer science research, but no warranty of any kind should be assumed.\n\n"
		self.name = "MMIXware License"
		self.licenseId = "MMIXware"
		self.crossRef = [{"match": "False", "url": "https://gitlab.lrz.de/mmix/mmixware/-/blob/master/boilerplate.w", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:21Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://gitlab.lrz.de/mmix/mmixware/-/blob/master/boilerplate.w"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		<div class=\"replaceable-license-text\"> \n		  <p>copyright 1999 Donald E. Knuth</p>\n\n		</div>\n		 <p>\n			This file may be freely copied and\n			distributed, provided that no changes whatsoever are\n			made. All users are asked to help keep the MMIXware files\n			consistent and ``uncorrupted,&apos;&apos; identical everywhere in the\n			world. Changes are permissible only if the modified file\n			is given a new name, different from the names of existing\n			files in the MMIXware package, and only if the\n			modified file is clearly identified as not being part of\n			that package. (The CWEB system has a ``change file&apos;&apos; facility\n			by which users can easily make minor alterations without\n			modifying the master source files in any way. Everybody\n			is supposed to use change files instead of changing the\n			files.) The author has tried his best to produce correct and\n			useful programs, in order to help promote computer science\n			research, but no warranty of any kind should be assumed.\n		 </p>\n\n	  "
		self.python_name = "MMIXware"

	def __str__(self):
		return json.dumps(self.__dict__)


class radvd:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "  The author(s) grant permission for redistribution and use in source and\nbinary forms, with or without modification, of the software and documentation\nprovided that the following conditions are met:\n\n0. If you receive a version of the software that is specifically labelled\n   as not being for redistribution (check the version message and/or README),\n   you are not permitted to redistribute that version of the software in any\n   way or form.\n1. All terms of all other applicable copyrights and licenses must be\n   followed.\n2. Redistributions of source code must retain the authors' copyright\n   notice(s), this list of conditions, and the following disclaimer.\n3. Redistributions in binary form must reproduce the authors' copyright\n   notice(s), this list of conditions, and the following disclaimer in the\n   documentation and/or other materials provided with the distribution.\n4. All advertising materials mentioning features or use of this software\n   must display the following acknowledgement with the name(s) of the\n   authors as specified in the copyright notice(s) substituted where\n   indicated:\n\n		This product includes software developed by the authors which are\n\tmentioned at the start of the source files and other contributors.\n\n5. Neither the name(s) of the author(s) nor the names of its contributors\n   may be used to endorse or promote products derived from this software\n   without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY ITS AUTHORS AND CONTRIBUTORS ``AS IS'' AND ANY\nEXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\nWARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE\nDISCLAIMED. IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY\nDIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\nLOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON\nANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\nSOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "The author(s) grant permission for redistribution and use in source and binary forms, with or without modification, of the software and documentation provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> If you receive a version of the software that is specifically labelled as not being for redistribution (check the version message and/or README), you are not permitted to redistribute that version of the software in any way or form.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> All terms of all other applicable copyrights and licenses must be followed.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions of source code must retain the authors' copyright notice(s), this list of conditions, and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the authors' copyright notice(s), this list of conditions, and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> All advertising materials mentioning features or use of this software must display the following acknowledgement with the name(s) of the authors as specified in the copyright notice(s) substituted where indicated: This product includes software developed by the authors which are mentioned at the start of the source files and other contributors.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Neither the name(s) of the author(s) nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY ITS AUTHORS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "radvd License"
		self.licenseComments = "This license is almost a match to Inner-Net-2.0, but it includes clause 4 which Inner-Net-2.0 omits."
		self.licenseId = "radvd"
		self.crossRef = [{"match": "False", "url": "https://github.com/radvd-project/radvd/blob/master/COPYRIGHT", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:23Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/radvd-project/radvd/blob/master/COPYRIGHT"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <p>\n			The author(s) grant permission for redistribution and use in source\n			and binary forms, with or without modification, of the software\n			and documentation provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 0.</var>\n			   If you receive a version of the software that is specifically\n			   labelled as not being for redistribution (check the\n			   version message and/or README), you are not permitted to\n			   redistribute that version of the software in any way or form.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   All terms of all other applicable\n			   copyrights and licenses must be followed.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Redistributions of source code must retain the authors&apos; copyright\n			   notice(s), this list of conditions, and the following disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   Redistributions in binary form must reproduce the\n			   authors&apos; copyright notice(s), this list of conditions,\n			   and the following disclaimer in the documentation\n			   and/or other materials provided with the distribution.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 4.</var>\n			   All advertising materials mentioning features or use of this software\n			   must display the following acknowledgement with the name(s) of the\n			   authors as specified in the copyright notice(s) substituted where\n			   indicated:\n			   This product includes software developed by the authors which are\n\t	   mentioned at the start of the source files and other contributors.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 5.</var>\n			   Neither the name(s) of the author(s) nor the names of its\n			   contributors may be used to endorse or promote products derived\n			   from this software without specific prior written permission.\n			</li>\n		 \n</ul>\n		 <p>\n			THIS SOFTWARE IS PROVIDED BY ITS AUTHORS AND CONTRIBUTORS ``AS\n			IS&apos;&apos; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT\n			NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\n			FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT\n			SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,\n			INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n			DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\n			GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n			INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n			WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n			THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		 </p>\n\n	  "
		self.python_name = "radvd"

	def __str__(self):
		return json.dumps(self.__dict__)


class FSFULLRWD:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,\n2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation, Inc.\n\nThis Makefile.in is free software; the Free Software Foundation\ngives unlimited permission to copy and/or distribute it,\nwith or without modifications, as long as this notice is preserved.\n\nThis program is distributed in the hope that it will be useful,\nbut WITHOUT ANY WARRANTY, to the extent permitted by law; without\neven the implied warranty of MERCHANTABILITY or FITNESS FOR A\nPARTICULAR PURPOSE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation, Inc.\";match=\".{0,5000}\">>\n\nThis <<var;name=\"file\";original=\"Makefile.in\";match=\"(Makefile.in)|(file)\">> is free software; <<var;name=\"author\";original=\"the Free Software Foundation\";match=\"(as a special exception the author)|(the Free Software Foundation)\">> gives unlimited permission to copy and/or distribute it, with or without modifications, as long as this notice is preserved.\n\nThis <<var;name=\"file\";original=\"program\";match=\"(program)|(file)\">> is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY, to the extent permitted by law; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n\n"
		self.name = "FSF Unlimited License (With License Retention and Warranty Disclaimer)"
		self.licenseId = "FSFULLRWD"
		self.crossRef = [{"match": "False", "url": "https://lists.gnu.org/archive/html/autoconf/2012-04/msg00061.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:59Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://lists.gnu.org/archive/html/autoconf/2012-04/msg00061.html"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (C) 1994, 1995, 1996, 1997, 1998,\n			1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006,\n			2007, 2008, 2009 Free Software Foundation, Inc.\n		 </var>\n		 <p>\n			This <var class=\"replaceable-license-text\"> Makefile.in</var>\n			is free software; <var class=\"replaceable-license-text\"> the Free Software Foundation</var> gives\n			unlimited permission to copy and/or distribute it, with or\n			without modifications, as long as this notice is preserved.\n		 </p>\n\n		 <p>\n			This <var class=\"replaceable-license-text\"> program</var> is distributed in the hope that it will\n			be useful, but WITHOUT ANY WARRANTY, to the extent\n			permitted by law; without even the implied warranty of\n			MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n		 </p>\n\n	  "
		self.python_name = "FSFULLRWD"

	def __str__(self):
		return json.dumps(self.__dict__)


class Apps2p:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "COPYRIGHT and LICENSE\n\nThis program is free and open software. You may use, modify,\ndistribute, and sell this program (and any modified variants) in any\nway you wish, provided you do not restrict others from doing the same.\n"
		self.standardLicenseTemplate = "COPYRIGHT and LICENSE\n\nThis program is free and open software. You may use, modify, distribute, and sell this program (and any modified variants) in any way you wish, provided you do not restrict others from doing the same.\n\n"
		self.name = "App::s2p License"
		self.licenseId = "App-s2p"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/App-s2p", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:32Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/App-s2p"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 COPYRIGHT and LICENSE\n		 <p>\n			This program is free and open software. You may use,\n			modify, distribute, and sell this program (and any\n			modified variants) in any way you wish, provided\n			you do not restrict others from doing the same.\n		 </p>\n\n	  "
		self.python_name = "Apps2p"

	def __str__(self):
		return json.dumps(self.__dict__)


class GFDL12invariantsonly:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "GNU Free Documentation License\nVersion 1.2, November 2002\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\nWe have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\nThe Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	 A. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n	 B. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n	 C. State on the Title page the name of the publisher of the Modified Version, as the publisher.\n	 D. Preserve all the copyright notices of the Document.\n	 E. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n	 F. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n	 G. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n	 H. Include an unaltered copy of this License.\n	 I. Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n	 J. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n	 K. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n	 L. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n	 M. Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n	 N. Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n	 O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\nIn the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\n Copyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\n with the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n"
		self.standardLicenseHeaderTemplate = "Copyright (c) <<var;name=\"copyright\";original=\"YEAR YOUR NAME\";match=\".+\">> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2; with <<var;name=\"invariantSections\";original=\"the Invariant Sections being LIST THEIR TITLES\";match=\"the Invariant Sections	   being .+|no Invariant Sections\">> , with <<var;name=\"frontCoverTexts\";original=\"the Front-Cover Texts being LIST\";match=\"the Front-Cover Texts being .+|no Front-Cover Texts\">> , and with <<var;name=\"backCoverTexts\";original=\"the Back-Cover Texts being LIST\";match=\"the Back-Cover Texts being .+|no Back-Cover Texts\">> . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.standardLicenseTemplate = "<<beginOptional>>GNU Free Documentation License\n\nVersion 1.2, November 2002\n\n<<endOptional>>\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> PREAMBLE\n\n   The purpose of this License is to make a manual, textbook, or other functional and useful document \"free\" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.\n\n   This License is a kind of \"copyleft\", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.\n\n   We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> APPLICABILITY AND DEFINITIONS\n\n   This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The \"Document\", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as \"you\". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.\n\n   A \"Modified Version\" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.\n\n   A \"Secondary Section\" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.\n\n   The \"Invariant Sections\" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.\n\n   The \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.\n\n   A \"Transparent\" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not \"Transparent\" is called \"Opaque\".\n\n   Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.\n\n   The \"Title Page\" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, \"Title Page\" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.\n\n   A section \"Entitled XYZ\" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\", or \"History\".) To \"Preserve the Title\" of such a section when you modify the Document means that it remains a section \"Entitled XYZ\" according to this definition.\n\n   The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> VERBATIM COPYING\n\n   You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.\n\n   You may also lend copies, under the same conditions stated above, and you may publicly display copies.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> COPYING IN QUANTITY\n\n   If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.\n\n   If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.\n\n   If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.\n\n   It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> MODIFICATIONS\n\n   You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:\n\n	  <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.\n\n	  <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.\n\n	  <<var;name=\"bullet\";original=\"C.\";match=\".{0,20}\">> State on the Title page the name of the publisher of the Modified Version, as the publisher.\n\n	  <<var;name=\"bullet\";original=\"D.\";match=\".{0,20}\">> Preserve all the copyright notices of the Document.\n\n	  <<var;name=\"bullet\";original=\"E.\";match=\".{0,20}\">> Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.\n\n	  <<var;name=\"bullet\";original=\"F.\";match=\".{0,20}\">> Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.\n\n	  <<var;name=\"bullet\";original=\"G.\";match=\".{0,20}\">> Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.\n\n	  <<var;name=\"bullet\";original=\"H.\";match=\".{0,20}\">> Include an unaltered copy of this License.\n\n	  <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Preserve the section Entitled \"History\", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled \"History\" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.\n\n	  <<var;name=\"bullet\";original=\"J.\";match=\".{0,20}\">> Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the \"History\" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.\n\n	  <<var;name=\"bullet\";original=\"K.\";match=\".{0,20}\">> For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.\n\n	  <<var;name=\"bullet\";original=\"L.\";match=\".{0,20}\">> Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.\n\n	  <<var;name=\"bullet\";original=\"M.\";match=\".{0,20}\">> Delete any section Entitled \"Endorsements\". Such a section may not be included in the Modified Version.\n\n	  <<var;name=\"bullet\";original=\"N.\";match=\".{0,20}\">> Do not retitle any existing section to be Entitled \"Endorsements\" or to conflict in title with any Invariant Section.\n\n	  <<var;name=\"bullet\";original=\"O.\";match=\".{0,20}\">> Preserve any Warranty Disclaimers.\n\n   If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.\n\n   You may add a section Entitled \"Endorsements\", provided it contains nothing but endorsements of your Modified Version by various parties--for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.\n\n   You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.\n\n   The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> COMBINING DOCUMENTS\n\n   You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.\n\n   The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.\n\n   In the combination, you must combine any sections Entitled \"History\" in the various original documents, forming one section Entitled \"History\"; likewise combine any sections Entitled \"Acknowledgements\", and any sections Entitled \"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> COLLECTIONS OF DOCUMENTS\n\n   You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.\n\n   You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> AGGREGATION WITH INDEPENDENT WORKS\n\n   A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.\n\n   If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TRANSLATION\n\n   Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.\n\n   If a section in the Document is Entitled \"Acknowledgements\", \"Dedications\", or \"History\", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> TERMINATION\n\n   You may not copy, modify, sublicense, or distribute the Document except as expressly provided for under this License. Any other attempt to copy, modify, sublicense or distribute the Document is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> FUTURE REVISIONS OF THIS LICENSE\n\n   The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See http://www.gnu.org/copyleft/.\n\n   Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation.\n\n   <<beginOptional>>ADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.\n\n<<endOptional>>"
		self.name = "GNU Free Documentation License v1.2 only - invariants"
		self.licenseComments = "This license was released November 2002. The identifier GFDL-1.2-only-invariants should only be used when there are Invariant Sections, Front-Cover Texts or Back-Cover Texts. See GFDL-1.2-only and GFDL-1.2-only-no-invariants for alternatives."
		self.licenseId = "GFDL-1.2-invariants-only"
		self.standardLicenseHeader = "Copyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2; with the Invariant Sections being LIST THEIR TITLES , with the Front-Cover Texts being LIST , and with the Back-Cover Texts being LIST . A copy of the license is included in the section entitled \"GNU Free Documentation License\"."
		self.crossRef = [{"match": "False", "url": "https://www.gnu.org/licenses/old-licenses/fdl-1.2.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:09:44Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/old-licenses/fdl-1.2.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU Free Documentation License<br />\n\n		Version 1.2, November 2002\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2000,2001,2002 Free Software Foundation,\n	  Inc. 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		PREAMBLE\n		<p>\n		  The purpose of this License is to make a manual, textbook, or\n		  other functional and useful document &quot;free&quot; in the sense of\n		  freedom: to assure everyone the effective freedom to copy and\n		  redistribute it, with or without modifying it, either commercially\n		  or noncommercially. Secondarily, this License preserves for the\n		  author and publisher a way to get credit for their work, while\n		  not being considered responsible for modifications made by others.\n		</p>\n\n		<p>\n		  This License is a kind of &quot;copyleft&quot;, which means that\n		  derivative works of the document must themselves be free in\n		  the same sense. It complements the GNU General Public License,\n		  which is a copyleft license designed for free software.\n		</p>\n\n		<p>\n		  We have designed this License in order to use it for manuals for\n		  free software, because free software needs free documentation: a free\n		  program should come with manuals providing the same freedoms that the\n		  software does. But this License is not limited to software manuals;\n		  it can be used for any textual work, regardless of subject matter or\n		  whether it is published as a printed book. We recommend this License\n		  principally for works whose purpose is instruction or reference.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		APPLICABILITY AND DEFINITIONS\n		<p>\n		  This License applies to any manual or other work, in any medium,\n		  that contains a notice placed by the copyright holder saying\n		  it can be distributed under the terms of this License. Such a\n		  notice grants a world-wide, royalty-free license, unlimited in\n		  duration, to use that work under the conditions stated herein.\n		  The &quot;Document&quot;, below, refers to any such manual or work.\n		  Any member of the public is a licensee, and is addressed as\n		  &quot;you&quot;. You accept the license if you copy, modify or distribute\n		  the work in a way requiring permission under copyright law.\n		</p>\n\n		<p>\n		  A &quot;Modified Version&quot; of the Document means any work containing\n		  the Document or a portion of it, either copied verbatim, or\n		  with modifications and/or translated into another language.\n		</p>\n\n		<p>\n		  A &quot;Secondary Section&quot; is a named appendix or a front-matter\n		  section of the Document that deals exclusively with the\n		  relationship of the publishers or authors of the Document to the\n		  Document&apos;s overall subject (or to related matters) and contains\n		  nothing that could fall directly within that overall subject.\n		  (Thus, if the Document is in part a textbook of mathematics,\n		  a Secondary Section may not explain any mathematics.) The\n		  relationship could be a matter of historical connection with\n		  the subject or with related matters, or of legal, commercial,\n		  philosophical, ethical or political position regarding them.\n		</p>\n\n		<p>\n		  The &quot;Invariant Sections&quot; are certain Secondary Sections whose\n		  titles are designated, as being those of Invariant Sections,\n		  in the notice that says that the Document is released under\n		  this License. If a section does not fit the above definition of\n		  Secondary then it is not allowed to be designated as Invariant.\n		  The Document may contain zero Invariant Sections. If the Document\n		  does not identify any Invariant Sections then there are none.\n		</p>\n\n		<p>\n		  The &quot;Cover Texts&quot; are certain short passages of text that are listed,\n		  as Front-Cover Texts or Back-Cover Texts, in the notice that says that\n		  the Document is released under this License. A Front-Cover Text may\n		  be at most 5 words, and a Back-Cover Text may be at most 25 words.\n		</p>\n\n		<p>\n		  A &quot;Transparent&quot; copy of the Document means a machine-readable\n		  copy, represented in a format whose specification is available\n		  to the general public, that is suitable for revising the document\n		  straightforwardly with generic text editors or (for images composed of\n		  pixels) generic paint programs or (for drawings) some widely available\n		  drawing editor, and that is suitable for input to text formatters or\n		  for automatic translation to a variety of formats suitable for input\n		  to text formatters. A copy made in an otherwise Transparent file\n		  format whose markup, or absence of markup, has been arranged to thwart\n		  or discourage subsequent modification by readers is not Transparent.\n		  An image format is not Transparent if used for any substantial\n		  amount of text. A copy that is not &quot;Transparent&quot; is called &quot;Opaque&quot;.\n		</p>\n\n		<p>\n		  Examples of suitable formats for Transparent copies include plain\n		  ASCII without markup, Texinfo input format, LaTeX input format,\n		  SGML or XML using a publicly available DTD, and standard-conforming\n		  simple HTML, PostScript or PDF designed for human modification.\n		  Examples of transparent image formats include PNG, XCF and JPG.\n		  Opaque formats include proprietary formats that can be read\n		  and edited only by proprietary word processors, SGML or XML\n		  for which the DTD and/or processing tools are not generally\n		  available, and the machine-generated HTML, PostScript or PDF\n		  produced by some word processors for output purposes only.\n		</p>\n\n		<p>\n		  The &quot;Title Page&quot; means, for a printed book, the title page itself,\n		  plus such following pages as are needed to hold, legibly, the\n		  material this License requires to appear in the title page. For\n		  works in formats which do not have any title page as such, &quot;Title\n		  Page&quot; means the text near the most prominent appearance of the\n		  work&apos;s title, preceding the beginning of the body of the text.\n		</p>\n\n		<p>\n		  A section &quot;Entitled XYZ&quot; means a named subunit of the Document whose\n		  title either is precisely XYZ or contains XYZ in parentheses following\n		  text that translates XYZ in another language. (Here XYZ stands for\n		  a specific section name mentioned below, such as &quot;Acknowledgements&quot;,\n		  &quot;Dedications&quot;, &quot;Endorsements&quot;, or &quot;History&quot;.) To &quot;Preserve the\n		  Title&quot; of such a section when you modify the Document means that\n		  it remains a section &quot;Entitled XYZ&quot; according to this definition.\n		</p>\n\n		<p>\n		  The Document may include Warranty Disclaimers next to the notice\n		  which states that this License applies to the Document. These\n		  Warranty Disclaimers are considered to be included by reference\n		  in this License, but only as regards disclaiming warranties:\n		  any other implication that these Warranty Disclaimers may\n		  have is void and has no effect on the meaning of this License.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		VERBATIM COPYING\n		<p>\n		  You may copy and distribute the Document in any medium, either\n		  commercially or noncommercially, provided that this License, the\n		  copyright notices, and the license notice saying this License applies\n		  to the Document are reproduced in all copies, and that you add no\n		  other conditions whatsoever to those of this License. You may not\n		  use technical measures to obstruct or control the reading or further\n		  copying of the copies you make or distribute. However, you may accept\n		  compensation in exchange for copies. If you distribute a large enough\n		  number of copies you must also follow the conditions in section 3.\n		</p>\n\n		<p>\n		  You may also lend copies, under the same conditions\n		  stated above, and you may publicly display copies.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		COPYING IN QUANTITY\n		<p>\n		  If you publish printed copies (or copies in media that commonly\n		  have printed covers) of the Document, numbering more than 100,\n		  and the Document&apos;s license notice requires Cover Texts, you must\n		  enclose the copies in covers that carry, clearly and legibly,\n		  all these Cover Texts: Front-Cover Texts on the front cover, and\n		  Back-Cover Texts on the back cover. Both covers must also clearly\n		  and legibly identify you as the publisher of these copies. The\n		  front cover must present the full title with all words of the title\n		  equally prominent and visible. You may add other material on the\n		  covers in addition. Copying with changes limited to the covers, as\n		  long as they preserve the title of the Document and satisfy these\n		  conditions, can be treated as verbatim copying in other respects.\n		</p>\n\n		<p>\n		  If the required texts for either cover are too\n		  voluminous to fit legibly, you should put the first\n		  ones listed (as many as fit reasonably) on the actual\n		  cover, and continue the rest onto adjacent pages.\n		</p>\n\n		<p>\n		  If you publish or distribute Opaque copies of the Document\n		  numbering more than 100, you must either include a machine-readable\n		  Transparent copy along with each Opaque copy, or state in or with\n		  each Opaque copy a computer-network location from which the general\n		  network-using public has access to download using public-standard\n		  network protocols a complete Transparent copy of the Document,\n		  free of added material. If you use the latter option, you must take\n		  reasonably prudent steps, when you begin distribution of Opaque\n		  copies in quantity, to ensure that this Transparent copy will\n		  remain thus accessible at the stated location until at least one\n		  year after the last time you distribute an Opaque copy (directly\n		  or through your agents or retailers) of that edition to the public.\n		</p>\n\n		<p>\n		  It is requested, but not required, that you contact\n		  the authors of the Document well before redistributing\n		  any large number of copies, to give them a chance to\n		  provide you with an updated version of the Document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		MODIFICATIONS\n		<p>\n		  You may copy and distribute a Modified Version of the Document under\n		  the conditions of sections 2 and 3 above, provided that you release\n		  the Modified Version under precisely this License, with the Modified\n		  Version filling the role of the Document, thus licensing distribution\n		  and modification of the Modified Version to whoever possesses a copy\n		  of it. In addition, you must do these things in the Modified Version:\n		</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> A.</var>\n			Use in the Title Page (and on the covers, if any) a title distinct\n			from that of the Document, and from those of previous versions\n			(which should, if there were any, be listed in the History section\n			of the Document). You may use the same title as a previous version\n			if the original publisher of that version gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> B.</var>\n			List on the Title Page, as authors, one or more persons or\n			entities responsible for authorship of the modifications in the\n			Modified Version, together with at least five of the principal\n			authors of the Document (all of its principal authors, if it has\n			fewer than five), unless they release you from this requirement.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> C.</var>\n			State on the Title page the name of the publisher\n			of the Modified Version, as the publisher.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> D.</var>\n			Preserve all the copyright notices of the Document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> E.</var>\n			Add an appropriate copyright notice for your\n			modifications adjacent to the other copyright notices.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> F.</var>\n			Include, immediately after the copyright notices, a license notice\n			giving the public permission to use the Modified Version under the\n			terms of this License, in the form shown in the Addendum below.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> G.</var>\n			Preserve in that license notice the full lists of Invariant Sections\n			and required Cover Texts given in the Document&apos;s license notice.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> H.</var>\n			Include an unaltered copy of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n			Preserve the section Entitled &quot;History&quot;, Preserve its Title, and\n			add to it an item stating at least the title, year, new authors,\n			and publisher of the Modified Version as given on the Title\n			Page. If there is no section Entitled &quot;History&quot; in the Document,\n			create one stating the title, year, authors, and publisher\n			of the Document as given on its Title Page, then add an item\n			describing the Modified Version as stated in the previous sentence.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> J.</var>\n			Preserve the network location, if any, given in the Document\n			for public access to a Transparent copy of the Document, and\n			likewise the network locations given in the Document for previous\n			versions it was based on. These may be placed in the &quot;History&quot;\n			section. You may omit a network location for a work that was\n			published at least four years before the Document itself, or if the\n			original publisher of the version it refers to gives permission.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> K.</var>\n			For any section Entitled &quot;Acknowledgements&quot; or &quot;Dedications&quot;,\n			Preserve the Title of the section, and preserve in the\n			section all the substance and tone of each of the contributor\n			acknowledgements and/or dedications given therein.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> L.</var>\n			Preserve all the Invariant Sections of the Document, unaltered\n			in their text and in their titles. Section numbers or the\n			equivalent are not considered part of the section titles.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> M.</var>\n			Delete any section Entitled &quot;Endorsements&quot;. Such a\n			section may not be included in the Modified Version.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> N.</var>\n			Do not retitle any existing section to be Entitled &quot;Endorsements&quot;\n			or to conflict in title with any Invariant Section.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> O.</var>\n			Preserve any Warranty Disclaimers.\n		  </li>\n		\n</ul>\n		<p>\n		  If the Modified Version includes new front-matter sections or\n		  appendices that qualify as Secondary Sections and contain no material\n		  copied from the Document, you may at your option designate some or\n		  all of these sections as invariant. To do this, add their titles\n		  to the list of Invariant Sections in the Modified Version&apos;s license\n		  notice. These titles must be distinct from any other section titles.\n		</p>\n\n		<p>\n		  You may add a section Entitled &quot;Endorsements&quot;, provided\n		  it contains nothing but endorsements of your Modified\n		  Version by various parties--for example, statements of\n		  peer review or that the text has been approved by an\n		  organization as the authoritative definition of a standard.\n		</p>\n\n		<p>\n		  You may add a passage of up to five words as a Front-Cover Text,\n		  and a passage of up to 25 words as a Back-Cover Text, to the end of\n		  the list of Cover Texts in the Modified Version. Only one passage\n		  of Front-Cover Text and one of Back-Cover Text may be added by (or\n		  through arrangements made by) any one entity. If the Document already\n		  includes a cover text for the same cover, previously added by you or\n		  by arrangement made by the same entity you are acting on behalf of,\n		  you may not add another; but you may replace the old one, on explicit\n		  permission from the previous publisher that added the old one.\n		</p>\n\n		<p>\n		  The author(s) and publisher(s) of the Document do not by this\n		  License give permission to use their names for publicity for\n		  or to assert or imply endorsement of any Modified Version.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		COMBINING DOCUMENTS\n		<p>\n		  You may combine the Document with other documents released under\n		  this License, under the terms defined in section 4 above for modified\n		  versions, provided that you include in the combination all of the\n		  Invariant Sections of all of the original documents, unmodified,\n		  and list them all as Invariant Sections of your combined work in its\n		  license notice, and that you preserve all their Warranty Disclaimers.\n		</p>\n\n		<p>\n		  The combined work need only contain one copy of this License, and\n		  multiple identical Invariant Sections may be replaced with a single\n		  copy. If there are multiple Invariant Sections with the same name\n		  but different contents, make the title of each such section unique\n		  by adding at the end of it, in parentheses, the name of the original\n		  author or publisher of that section if known, or else a unique\n		  number. Make the same adjustment to the section titles in the list\n		  of Invariant Sections in the license notice of the combined work.\n		</p>\n\n		<p>\n		  In the combination, you must combine any sections Entitled\n		  &quot;History&quot; in the various original documents, forming one section\n		  Entitled &quot;History&quot;; likewise combine any sections Entitled\n		  &quot;Acknowledgements&quot;, and any sections Entitled &quot;Dedications&quot;.\n		  You must delete all sections Entitled &quot;Endorsements&quot;.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		COLLECTIONS OF DOCUMENTS\n		<p>\n		  You may make a collection consisting of the Document and\n		  other documents released under this License, and replace the\n		  individual copies of this License in the various documents\n		  with a single copy that is included in the collection,\n		  provided that you follow the rules of this License for verbatim\n		  copying of each of the documents in all other respects.\n		</p>\n\n		<p>\n		  You may extract a single document from such a collection,\n		  and distribute it individually under this License,\n		  provided you insert a copy of this License into the\n		  extracted document, and follow this License in all other\n		  respects regarding verbatim copying of that document.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 7.</var>\n		AGGREGATION WITH INDEPENDENT WORKS\n		<p>\n		  A compilation of the Document or its derivatives with other\n		  separate and independent documents or works, in or on a volume\n		  of a storage or distribution medium, is called an &quot;aggregate&quot;\n		  if the copyright resulting from the compilation is not used to\n		  limit the legal rights of the compilation&apos;s users beyond what\n		  the individual works permit. When the Document is included in an\n		  aggregate, this License does not apply to the other works in the\n		  aggregate which are not themselves derivative works of the Document.\n		</p>\n\n		<p>\n		  If the Cover Text requirement of section 3 is applicable to\n		  these copies of the Document, then if the Document is less\n		  than one half of the entire aggregate, the Document&apos;s Cover\n		  Texts may be placed on covers that bracket the Document\n		  within the aggregate, or the electronic equivalent of covers\n		  if the Document is in electronic form. Otherwise they must\n		  appear on printed covers that bracket the whole aggregate.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 8.</var>\n		TRANSLATION\n		<p>\n		  Translation is considered a kind of modification, so you may\n		  distribute translations of the Document under the terms of section\n		  4. Replacing Invariant Sections with translations requires special\n		  permission from their copyright holders, but you may include\n		  translations of some or all Invariant Sections in addition to the\n		  original versions of these Invariant Sections. You may include a\n		  translation of this License, and all the license notices in the\n		  Document, and any Warranty Disclaimers, provided that you also\n		  include the original English version of this License and the original\n		  versions of those notices and disclaimers. In case of a disagreement\n		  between the translation and the original version of this License\n		  or a notice or disclaimer, the original version will prevail.\n		</p>\n\n		<p>\n		  If a section in the Document is Entitled\n		  &quot;Acknowledgements&quot;, &quot;Dedications&quot;, or &quot;History&quot;, the\n		  requirement (section 4) to Preserve its Title (section\n		  1) will typically require changing the actual title.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 9.</var>\n		TERMINATION\n		<p>\n		  You may not copy, modify, sublicense, or distribute the Document\n		  except as expressly provided for under this License. Any other\n		  attempt to copy, modify, sublicense or distribute the Document\n		  is void, and will automatically terminate your rights under\n		  this License. However, parties who have received copies, or\n		  rights, from you under this License will not have their licenses\n		  terminated so long as such parties remain in full compliance.\n		</p>\n\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 10.</var>\n		FUTURE REVISIONS OF THIS LICENSE\n		<p>\n		  The Free Software Foundation may publish new, revised\n		  versions of the GNU Free Documentation License from time\n		  to time. Such new versions will be similar in spirit to\n		  the present version, but may differ in detail to address\n		  new problems or concerns. See http://www.gnu.org/copyleft/.\n		</p>\n\n		<p>\n		  Each version of the License is given a distinguishing version number.\n		  If the Document specifies that a particular numbered version of this\n		  License &quot;or any later version&quot; applies to it, you have the option\n		  of following the terms and conditions either of that specified\n		  version or of any later version that has been published (not as a\n		  draft) by the Free Software Foundation. If the Document does not\n		  specify a version number of this License, you may choose any version\n		  ever published (not as a draft) by the Free Software Foundation.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		ADDENDUM: How to use this License for your documents\n	  </p>\n\n	  <p>\n		To use this License in a document you have written, include\n		a copy of the License in the document and put the following\n		copyright and license notices just after the title page:\n	  </p>\n\n	  <p>\n		Copyright (c) YEAR YOUR NAME. Permission is granted to copy,\n		distribute and/or modify this document under the terms of the GNU\n		Free Documentation License, Version 1.2 or any later version published\n		by the Free Software Foundation; with no Invariant Sections, no\n		Front-Cover Texts, and no Back-Cover Texts. A copy of the license is\n		included in the section entitled &quot;GNU Free Documentation License&quot;.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections, Front-Cover Texts and\n		Back-Cover Texts, replace the &quot;with...Texts.&quot; line with this:\n	  </p>\n\n	  <p>\n		with the Invariant Sections being LIST THEIR TITLES, with the\n		Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.\n	  </p>\n\n	  <p>\n		If you have Invariant Sections without Cover Texts,\n		or some other combination of the three, merge\n		those two alternatives to suit the situation.\n	  </p>\n\n	  <p>\n		If your document contains nontrivial examples of program\n		code, we recommend releasing these examples in parallel\n		under your choice of free software license, such as the GNU\n		General Public License, to permit their use in free software.\n	  </p>\n\n	</div>\n	"
		self.standardLicenseHeaderHtml = "\n	  Copyright (c) <var class=\"replaceable-license-text\"> YEAR YOUR NAME</var>.\n	  Permission is granted to copy, distribute and/or modify this\n	  document under the terms of the GNU Free Documentation License,\n	  Version 1.2; with <var class=\"replaceable-license-text\"> the Invariant Sections being LIST THEIR\n	  TITLES</var>, with <var class=\"replaceable-license-text\"> the Front-Cover Texts being LIST</var>, and with <var class=\"replaceable-license-text\"> the\n	  Back-Cover Texts being LIST</var>. A copy of the license is included\n	  in the section entitled &quot;GNU Free Documentation License&quot;.\n	"
		self.python_name = "GFDL12invariantsonly"

	def __str__(self):
		return json.dumps(self.__dict__)


class AFL21:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The Academic Free License\nv.2.1\n\nThis Academic Free License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\n	 Licensed under the Academic Free License version 2.1\n\n1) Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license to do the following:\n\n	 a) to reproduce the Original Work in copies;\n	 b) to prepare derivative works (\"Derivative Works\") based upon the Original Work;\n	 c) to distribute copies of the Original Work and Derivative Works to the public;\n	 d) to perform the Original Work publicly; and\n	 e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and offer for sale the Original Work and Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\n4) Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior written permission of the Licensor. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor except as expressly stated herein. No patent license is granted to make, use, sell or offer to sell embodiments of any patent claims other than the licensed claims defined in Section 2. No right is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any Original Work that Licensor otherwise would have a right to license.\n\n5) This section intentionally omitted.\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights. Except as expressly stated in the immediately proceeding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to Original Work is granted hereunder except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to any person for any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to liability for death or personal injury resulting from Licensor's negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\n 9) Acceptance and Termination. If You distribute copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. Nothing else but this License (or another written agreement between Licensor and You) grants You permission to create Derivative Works based upon the Original Work or to exercise any of the rights granted in Section 1 herein, and any attempt to do so except under the terms of this License (or another written agreement between Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other countries, and by international treaty. Therefore, by exercising any of the rights granted to You in Section 1 herein, You indicate Your acceptance of this License and all of its terms and conditions.\n\n10) Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, against Licensor or any licensee alleging that the Original Work infringes a patent. This termination provision shall not apply for an action alleging patent infringement by combinations of the Original Work with other software or hardware.\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of the U.S. Copyright Act, 17 U.S.C. \u00a7 101 et seq., the equivalent laws of other countries, and international treaty. This section shall survive the termination of this License.\n\n12) Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n13) Miscellaneous. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2003-2004 Lawrence E. Rosen. All rights reserved.\nPermission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n"
		self.standardLicenseHeaderTemplate = "Licensed under the Academic Free License version 2.1\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>The Academic Free License\n\nv.2.1\n\n<<endOptional>><<beginOptional>> This Academic Free License (the \"License\") applies to any original work of authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the following notice immediately following the copyright notice for the Original Work:\n\nLicensed under the Academic Free License version 2.1\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license to do the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> to reproduce the Original Work in copies;\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> to prepare derivative works (\"Derivative Works\") based upon the Original Work;\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> to distribute copies of the Original Work and Derivative Works to the public;\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> to perform the Original Work publicly; and\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> to display the Original Work publicly.\n\n   <<var;name=\"bullet\";original=\"2)\";match=\".{0,20}\">> Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive, perpetual, sublicenseable license, under patent claims owned or controlled by the Licensor that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and offer for sale the Original Work and Derivative Works.\n\n   <<var;name=\"bullet\";original=\"3)\";match=\".{0,20}\">> Grant of Source Code License. The term \"Source Code\" means the preferred form of the Original Work for making modifications to it and all available documentation describing how to modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the Source Code of the Original Work along with each copy of the Original Work that Licensor distributes. Licensor reserves the right to satisfy this obligation by placing a machine-readable copy of the Source Code in an information repository reasonably calculated to permit inexpensive and convenient access by You for as long as Licensor continues to distribute the Original Work, and by publishing the address of that information repository in a notice immediately following the copyright notice that applies to the Original Work.\n\n   <<var;name=\"bullet\";original=\"4)\";match=\".{0,20}\">> Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors to the Original Work, nor any of their trademarks or service marks, may be used to endorse or promote products derived from this Original Work without express prior written permission of the Licensor. Nothing in this License shall be deemed to grant any rights to trademarks, copyrights, patents, trade secrets or any other intellectual property of Licensor except as expressly stated herein. No patent license is granted to make, use, sell or offer to sell embodiments of any patent claims other than the licensed claims defined in Section 2. No right is granted to the trademarks of Licensor even if such marks are included in the Original Work. Nothing in this License shall be interpreted to prohibit Licensor from licensing under different terms from this License any Original Work that Licensor otherwise would have a right to license.\n\n   <<var;name=\"bullet\";original=\"5)\";match=\".{0,20}\">> This section intentionally omitted.\n\n   <<var;name=\"bullet\";original=\"6)\";match=\".{0,20}\">> Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create, all copyright, patent or trademark notices from the Source Code of the Original Work, as well as any notices of licensing and any descriptive text identified therein as an \"Attribution Notice.\" You must cause the Source Code for any Derivative Works that You create to carry a prominent Attribution Notice reasonably calculated to inform recipients that You have modified the Original Work.\n\n   <<var;name=\"bullet\";original=\"7)\";match=\".{0,20}\">> Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to the Original Work and the patent rights granted herein by Licensor are owned by the Licensor or are sublicensed to You under the terms of this License with the permission of the contributor(s) of those copyrights and patent rights. Except as expressly stated in the immediately proceeding sentence, the Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either express or implied, including, without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential part of this License. No license to Original Work is granted hereunder except under this disclaimer.\n\n   <<var;name=\"bullet\";original=\"8)\";match=\".{0,20}\">> Limitation of Liability. Under no circumstances and under no legal theory, whether in tort (including negligence), contract, or otherwise, shall the Licensor be liable to any person for any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or the use of the Original Work including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. This limitation of liability shall not apply to liability for death or personal injury resulting from Licensor's negligence to the extent applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so this exclusion and limitation may not apply to You.\n\n   <<var;name=\"bullet\";original=\"9)\";match=\".{0,20}\">> Acceptance and Termination. If You distribute copies of the Original Work or a Derivative Work, You must make a reasonable effort under the circumstances to obtain the express assent of recipients to the terms of this License. Nothing else but this License (or another written agreement between Licensor and You) grants You permission to create Derivative Works based upon the Original Work or to exercise any of the rights granted in Section 1 herein, and any attempt to do so except under the terms of this License (or another written agreement between Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other countries, and by international treaty. Therefore, by exercising any of the rights granted to You in Section 1 herein, You indicate Your acceptance of this License and all of its terms and conditions.\n\n   <<var;name=\"bullet\";original=\"10)\";match=\".{0,20}\">> Termination for Patent Action. This License shall terminate automatically and You may no longer exercise any of the rights granted to You by this License as of the date You commence an action, including a cross-claim or counterclaim, against Licensor or any licensee alleging that the Original Work infringes a patent. This termination provision shall not apply for an action alleging patent infringement by combinations of the Original Work with other software or hardware.\n\n   <<var;name=\"bullet\";original=\"11)\";match=\".{0,20}\">> Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor conducts its primary business, and under the laws of that jurisdiction excluding its conflict-of-law provisions. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any use of the Original Work outside the scope of this License or after its termination shall be subject to the requirements and penalties of the U.S. Copyright Act, 17 U.S.C. \u00a7 101 et seq., the equivalent laws of other countries, and international treaty. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"12)\";match=\".{0,20}\">> Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating thereto, the prevailing party shall be entitled to recover its costs and expenses, including, without limitation, reasonable attorneys' fees and costs incurred in connection with such action, including any appeal of such action. This section shall survive the termination of this License.\n\n   <<var;name=\"bullet\";original=\"13)\";match=\".{0,20}\">> Miscellaneous. This License represents the complete agreement concerning the subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.\n\n   <<var;name=\"bullet\";original=\"14)\";match=\".{0,20}\">> Definition of \"You\" in This License. \"You\" throughout this License, whether in upper or lower case, means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License. For legal entities, \"You\" includes any entity that controls, is controlled by, or is under common control with you. For purposes of this definition, \"control\" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"15)\";match=\".{0,20}\">> Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned by this License or by law, and Licensor promises not to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2003-2004 Lawrence E. Rosen. All rights reserved.\n\nPermission is hereby granted to copy and distribute this license without modification. This license may not be modified without the express written permission of its copyright owner.\n\n"
		self.name = "Academic Free License v2.1"
		self.licenseId = "AFL-2.1"
		self.standardLicenseHeader = "Licensed under the Academic Free License version 2.1\n\n"
		self.crossRef = [{"match": "False", "url": "http://opensource.linux-mirror.org/licenses/afl-2.1.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:47Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://opensource.linux-mirror.org/licenses/afl-2.1.txt"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The Academic Free License\n		<br />\n\nv.2.1\n	  </p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>This Academic Free License (the &quot;License&quot;) applies to any original work of authorship (the\n		 &quot;Original Work&quot;) whose owner (the &quot;Licensor&quot;) has placed the following notice\n		 immediately following the copyright notice for the Original Work:</p>\n\n		 <p>Licensed under the Academic Free License version 2.1</p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1)</var>\n		  Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive,\n			 perpetual, sublicenseable license to do the following:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a)</var>\n			to reproduce the Original Work in copies;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b)</var>\n			to prepare derivative works (&quot;Derivative Works&quot;) based upon the Original Work;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c)</var>\n			to distribute copies of the Original Work and Derivative Works to the public;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d)</var>\n			to perform the Original Work publicly; and\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e)</var>\n			to display the Original Work publicly.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2)</var>\n		  Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free, non-exclusive,\n			 perpetual, sublicenseable license, under patent claims owned or controlled by the Licensor\n			 that are embodied in the Original Work as furnished by the Licensor, to make, use, sell and\n			 offer for sale the Original Work and Derivative Works.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3)</var>\n		  Grant of Source Code License. The term &quot;Source Code&quot; means the preferred form of the\n			 Original Work for making modifications to it and all available documentation describing how to\n			 modify the Original Work. Licensor hereby agrees to provide a machine-readable copy of the\n			 Source Code of the Original Work along with each copy of the Original Work that Licensor\n			 distributes. Licensor reserves the right to satisfy this obligation by placing a\n			 machine-readable copy of the Source Code in an information repository reasonably calculated to\n			 permit inexpensive and convenient access by You for as long as Licensor continues to\n			 distribute the Original Work, and by publishing the address of that information repository in\n			 a notice immediately following the copyright notice that applies to the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4)</var>\n		  Exclusions From License Grant. Neither the names of Licensor, nor the names of any contributors\n			 to the Original Work, nor any of their trademarks or service marks, may be used to endorse or\n			 promote products derived from this Original Work without express prior written permission of\n			 the Licensor. Nothing in this License shall be deemed to grant any rights to trademarks,\n			 copyrights, patents, trade secrets or any other intellectual property of Licensor except as\n			 expressly stated herein. No patent license is granted to make, use, sell or offer to sell\n			 embodiments of any patent claims other than the licensed claims defined in Section 2. No right\n			 is granted to the trademarks of Licensor even if such marks are included in the Original Work.\n			 Nothing in this License shall be interpreted to prohibit Licensor from licensing under\n			 different terms from this License any Original Work that Licensor otherwise would have a right\n			 to license.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5)</var>\n		  This section intentionally omitted.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6)</var>\n		  Attribution Rights. You must retain, in the Source Code of any Derivative Works that You create,\n			 all copyright, patent or trademark notices from the Source Code of the Original Work, as well\n			 as any notices of licensing and any descriptive text identified therein as an\n			 &quot;Attribution Notice.&quot; You must cause the Source Code for any Derivative Works that\n			 You create to carry a prominent Attribution Notice reasonably calculated to inform recipients\n			 that You have modified the Original Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7)</var>\n		  Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that the copyright in and to\n			 the Original Work and the patent rights granted herein by Licensor are owned by the Licensor\n			 or are sublicensed to You under the terms of this License with the permission of the\n			 contributor(s) of those copyrights and patent rights. Except as expressly stated in the\n			 immediately proceeding sentence, the Original Work is provided under this License on an\n			 &quot;AS IS&quot; BASIS and WITHOUT WARRANTY, either express or implied, including, without\n			 limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR\n			 PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER\n			 OF WARRANTY constitutes an essential part of this License. No license to Original Work is\n			 granted hereunder except under this disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8)</var>\n		  Limitation of Liability. Under no circumstances and under no legal theory, whether in tort\n			 (including negligence), contract, or otherwise, shall the Licensor be liable to any person for\n			 any direct, indirect, special, incidental, or consequential damages of any character arising\n			 as a result of this License or the use of the Original Work including, without limitation,\n			 damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all\n			 other commercial damages or losses. This limitation of liability shall not apply to liability\n			 for death or personal injury resulting from Licensor&apos;s negligence to the extent\n			 applicable law prohibits such limitation. Some jurisdictions do not allow the exclusion or\n			 limitation of incidental or consequential damages, so this exclusion and limitation may not\n			 apply to You.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9)</var>\n		  Acceptance and Termination. If You distribute copies of the Original Work or a Derivative Work,\n			 You must make a reasonable effort under the circumstances to obtain the express assent of\n			 recipients to the terms of this License. Nothing else but this License (or another written\n			 agreement between Licensor and You) grants You permission to create Derivative Works based\n			 upon the Original Work or to exercise any of the rights granted in Section 1 herein, and any\n			 attempt to do so except under the terms of this License (or another written agreement between\n			 Licensor and You) is expressly prohibited by U.S. copyright law, the equivalent laws of other\n			 countries, and by international treaty. Therefore, by exercising any of the rights granted to\n			 You in Section 1 herein, You indicate Your acceptance of this License and all of its terms and\n			 conditions.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10)</var>\n		  Termination for Patent Action. This License shall terminate automatically and You may no longer\n			 exercise any of the rights granted to You by this License as of the date You commence an\n			 action, including a cross-claim or counterclaim, against Licensor or any licensee alleging\n			 that the Original Work infringes a patent. This termination provision shall not apply for an\n			 action alleging patent infringement by combinations of the Original Work with other software\n			 or hardware.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11)</var>\n		  Jurisdiction, Venue and Governing Law. Any action or suit relating to this License may be brought\n			 only in the courts of a jurisdiction wherein the Licensor resides or in which Licensor\n			 conducts its primary business, and under the laws of that jurisdiction excluding its\n			 conflict-of-law provisions. The application of the United Nations Convention on Contracts for\n			 the International Sale of Goods is expressly excluded. Any use of the Original Work outside\n			 the scope of this License or after its termination shall be subject to the requirements and\n			 penalties of the U.S. Copyright Act, 17 U.S.C. \u00a7 101 et seq., the equivalent laws of\n			 other countries, and international treaty. This section shall survive the termination of this\n			 License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12)</var>\n		  Attorneys Fees. In any action to enforce the terms of this License or seeking damages relating\n			 thereto, the prevailing party shall be entitled to recover its costs and expenses, including,\n			 without limitation, reasonable attorneys&apos; fees and costs incurred in connection with such\n			 action, including any appeal of such action. This section shall survive the termination of\n			 this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13)</var>\n		  Miscellaneous. This License represents the complete agreement concerning the subject matter\n			 hereof. If any provision of this License is held to be unenforceable, such provision shall be\n			 reformed only to the extent necessary to make it enforceable.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14)</var>\n		  Definition of &quot;You&quot; in This License. &quot;You&quot; throughout this License, whether\n			 in upper or lower case, means an individual or a legal entity exercising rights under, and\n			 complying with all of the terms of, this License. For legal entities, &quot;You&quot; includes\n			 any entity that controls, is controlled by, or is under common control with you. For purposes\n			 of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the\n			 direction or management of such entity, whether by contract or otherwise, or (ii) ownership of\n			 fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such\n			 entity.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15)</var>\n		  Right to Use. You may use the Original Work in all ways not otherwise restricted or conditioned\n			 by this License or by law, and Licensor promises not to interfere with or be responsible for\n			 such uses by You.\n		</li>\n	  \n</ul>\n	  <p>This license is Copyright (C) 2003-2004 Lawrence E. Rosen. All rights reserved.\n		<br />\n\nPermission is hereby granted to copy and distribute this license without modification. This license\n			 may not be modified without the express written permission of its copyright owner.\n	  </p>\n\n	"
		self.standardLicenseHeaderHtml = "\n		 <p>Licensed under the Academic Free License version 2.1</p>\n\n		 "
		self.python_name = "AFL21"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYNCND20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution-NonCommercial-NoDerivs 2.0\n\n  CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Derivative Works. All rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Sections 4(d) and 4(e).\n\n4. Restrictions.The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested.\n\n	 b. You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	 c. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; and to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n	 d. For the avoidance of doubt, where the Work is a musical composition:\n\n		  i. Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work if that performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n		  ii. Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if Your distribution of such cover version is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n	 e. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor reserves the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if Your public digital performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 c. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 d. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NonCommercial-NoDerivs 2.0\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Derivative Works. All rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Sections 4(d) and 4(e).\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions.The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> You may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; and to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> For the avoidance of doubt, where the Work is a musical composition:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work if that performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to collect, whether individually or via a music rights agency or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if Your distribution of such cover version is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor reserves the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if Your public digital performance is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work or a Collective Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution Non Commercial No Derivatives 2.0 Generic"
		self.licenseId = "CC-BY-NC-ND-2.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nc-nd/2.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:46Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nc-nd/2.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NonCommercial-NoDerivs 2.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or\n			   encyclopedia, in which the Work in its entirety in unmodified form, along with a number of\n			   other contributions, constituting separate and independent works in themselves, are\n			   assembled into a collective whole. A work that constitutes a Collective Work will not be\n			   considered a Derivative Work (as defined below) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works, such as a translation, musical arrangement, dramatization,\n			   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n			   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n			   except that a work that constitutes a Collective Work will not be considered a Derivative\n			   Work for the purpose of this License. For the avoidance of doubt, where the Work is a\n			   musical composition or sound recording, the synchronization of the Work in timed-relation\n			   with a moving image (&quot;synching&quot;) will be considered a Derivative Work for the\n			   purpose of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of\n			   this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Original Author&quot; means the individual or entity who created the Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works;\n		  </li>\n			\n</ul>\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are technically\n			   necessary to exercise the rights in other media and formats, but otherwise you have no\n			   rights to make Derivative Works. All rights not expressly granted by Licensor are hereby\n			   reserved, including but not limited to the rights set forth in Sections 4(d) and 4(e).</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions.The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the\n			   Work. You must keep intact all notices that refer to this License and to the disclaimer of\n			   warranties. You may not distribute, publicly display, publicly perform, or publicly\n			   digitally perform the Work with any technological measures that control access or use of\n			   the Work in a manner inconsistent with the terms of this License Agreement. The above\n			   applies to the Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Work itself to be made subject to the terms of this\n			   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n			   extent practicable, remove from the Collective Work any reference to such Licensor or the\n			   Original Author, as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			You may not exercise any of the rights granted to You in Section 3 above in any manner that\n			   is primarily intended for or directed toward commercial advantage or private monetary\n			   compensation. The exchange of the Work for other copyrighted works by means of digital\n			   file-sharing or otherwise shall not be considered to be intended for or directed toward\n			   commercial advantage or private monetary compensation, provided there is no payment of any\n			   monetary compensation in connection with the exchange of copyrighted works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work, You must keep intact all copyright notices for the Work and give the Original Author\n			   credit reasonable to the medium or means You are utilizing by conveying the name (or\n			   pseudonym if applicable) of the Original Author if supplied; the title of the Work if\n			   supplied; and to the extent reasonably practicable, the Uniform Resource Identifier, if\n			   any, that Licensor specifies to be associated with the Work, unless such URI does not\n			   refer to the copyright notice or licensing information for the Work. Such credit may be\n			   implemented in any reasonable manner; provided, however, that in the case of a Collective\n			   Work, at a minimum such credit will appear where any other comparable authorship credit\n			   appears and in a manner at least as prominent as such other comparable authorship\n			   credit.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			For the avoidance of doubt, where the Work is a musical composition:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive right to\n				 collect, whether individually or via a performance rights society (e.g. ASCAP, BMI,\n				 SESAC), royalties for the public performance or public digital performance (e.g.\n				 webcast) of the Work if that performance is primarily intended for or directed toward\n				 commercial advantage or private monetary compensation.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive right to\n				 collect, whether individually or via a music rights agency or designated agent (e.g.\n				 Harry Fox Agency), royalties for any phonorecord You create from the Work (&quot;cover\n				 version&quot;) and distribute, subject to the compulsory license created by 17 USC\n				 Section 115 of the US Copyright Act (or the equivalent in other jurisdictions), if\n				 Your distribution of such cover version is primarily intended for or directed toward\n				 commercial advantage or private monetary compensation.\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a\n			   sound recording, Licensor reserves the exclusive right to collect, whether individually or\n			   via a performance-rights society (e.g. SoundExchange), royalties for the public digital\n			   performance (e.g. webcast) of the Work, subject to the compulsory license created by 17\n			   USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions), if\n			   Your public digital performance is primarily intended for or directed toward commercial\n			   advantage or private monetary compensation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Collective\n			   Works from You under this License, however, will not have their licenses terminated\n			   provided such individuals or entities remain in full compliance with those licenses.\n			   Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work or a Collective Work, the\n			   Licensor offers to the recipient a license to the Work on the same terms and conditions as\n			   the license granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in\n		 compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be published on\n		 its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYNCND20"

	def __str__(self):
		return json.dumps(self.__dict__)


class LPPL13a:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseHeaderTemplate: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	standardLicenseHeader: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	standardLicenseHeaderHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "The LaTeX Project Public License\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n\nLPPL Version 1.3a 2004-10-01\n\nCopyright 1999 2002-04 LaTeX3\nProject Everyone is allowed to distribute verbatim copies of this license document, but modification of it is not allowed.\n\nPREAMBLE\n========\n\nThe LaTeX Project Public License (LPPL) is the primary license under which the the LaTeX kernel and the base LaTeX packages are distributed.\n\nYou may use this license for any work of which you hold the copyright and which you wish to distribute. This license may be particularly suitable if your work is TeX-related (such as a LaTeX package), but you may use it with small modifications even if your work is unrelated to TeX.\n\nThe section `WHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE', below, gives instructions, examples, and recommendations for authors who are considering distributing their works under this license.\n\nThis license gives conditions under which a work may be distributed and modified, as well as conditions under which modified versions of that work may be distributed.\n\nWe, the LaTeX3 Project, believe that the conditions below give you the freedom to make and distribute modified versions of your work that conform with whatever technical specifications you wish while maintaining the availability, integrity, and reliability of that work. If you do not see how to achieve your goal while meeting these conditions, then read the document `cfgguide.tex' and `modguide.tex' in the base LaTeX distribution for suggestions.\n\nDEFINITIONS\n===========\n\nIn this license document the following terms are used:\n\n`Work' Any work being distributed under this License. `Derived Work' Any work that under any applicable law is derived from the Work.\n\n`Modification' Any procedure that produces a Derived Work under any applicable law -- for example, the production of a file containing an original file associated with the Work or a significant portion of such a file, either verbatim or with modifications and/or translated into another language.\n\n`Modify' To apply any procedure that produces a Derived Work under any applicable law. `Distribution' Making copies of the Work available from one person to another, in whole or in part. Distribution includes (but is not limited to) making any electronic components of the Work accessible by file transfer protocols such as FTP or HTTP or by shared file systems such as Sun's Network File System (NFS).\n\n`Compiled Work' A version of the Work that has been processed into a form where it is directly usable on a computer system. This processing may include using installation facilities provided by the Work, transformations of the Work, copying of components of the Work, or other activities. Note that modification of any installation facilities provided by the Work constitutes modification of the Work.\n\n`Current Maintainer' A person or persons nominated as such within the Work. If there is no such explicit nomination then it is the `Copyright Holder' under any applicable law.\n\n`Base Interpreter' A program or process that is normally needed for running or interpreting a part or the whole of the Work. A Base Interpreter may depend on external components but these are not considered part of the Base Interpreter provided that each external component clearly identifies itself whenever it is used interactively. Unless explicitly specified when applying the license to the Work, the only applicable Base Interpreter is a \"LaTeX-Format\".\n\nCONDITIONS ON DISTRIBUTION AND MODIFICATION\n===========================================\n\n1. Activities other than distribution and/or modification of the Work are not covered by this license; they are outside its scope. In particular, the act of running the Work is not restricted and no requirements are made concerning any offers of support for the Work.\n\n2. You may distribute a complete, unmodified copy of the Work as you received it. Distribution of only part of the Work is considered modification of the Work, and no right to distribute such a Derived Work may be assumed under the terms of this clause.\n\n3. You may distribute a Compiled Work that has been generated from a complete, unmodified copy of the Work as distributed under Clause 2 above, as long as that Compiled Work is distributed in such a way that the recipients may install the Compiled Work on their system exactly as it would have been installed if they generated a Compiled Work directly from the Work.\n\n4. If you are the Current Maintainer of the Work, you may, without restriction, modify the Work, thus creating a Derived Work. You may also distribute the Derived Work without restriction, including Compiled Works generated from the Derived Work. Derived Works distributed in this manner by the Current Maintainer are considered to be updated versions of the Work.\n\n5. If you are not the Current Maintainer of the Work, you may modify your copy of the Work, thus creating a Derived Work based on the Work, and compile this Derived Work, thus creating a Compiled Work based on the Derived Work.\n\n6. If you are not the Current Maintainer of the Work, you may distribute a Derived Work provided the following conditions are met for every component of the Work unless that component clearly states in the copyright notice that it is exempt from that condition. Only the Current Maintainer is allowed to add such statements of exemption to a component of the Work.\n\n	 a. If a component of this Derived Work can be a direct replacement for a component of the Work when that component is used with the Base Interpreter, then, wherever this component of the Work identifies itself to the user when used interactively with that Base Interpreter, the replacement component of this Derived Work clearly and unambiguously identifies itself as a modified version of this component to the user when used interactively with that Base Interpreter.\n\n	 b. Every component of the Derived Work contains prominent notices detailing the nature of the changes to that component, or a prominent reference to another file that is distributed as part of the Derived Work and that contains a complete and accurate log of the changes.\n\n	 c. No information in the Derived Work implies that any persons, including (but not limited to) the authors of the original version of the Work, provide any support, including (but not limited to) the reporting and handling of errors, to recipients of the Derived Work unless those persons have stated explicitly that they do provide such support for the Derived Work.\n\n	 d. You distribute at least one of the following with the Derived Work:\n\n		  1. A complete, unmodified copy of the Work; if your distribution of a modified component is made by offering access to copy the modified component from a designated place, then offering equivalent access to copy the Work from the same or some similar place meets this condition, even though third parties are not compelled to copy the Work along with the modified component;\n\n		  2. Information that is sufficient to obtain a complete, unmodified copy of the Work.\n\n7. If you are not the Current Maintainer of the Work, you may distribute a Compiled Work generated from a Derived Work, as long as the Derived Work is distributed to all recipients of the Compiled Work, and as long as the conditions of Clause 6, above, are met with regard to the Derived Work.\n\n8. The conditions above are not intended to prohibit, and hence do not apply to, the modification, by any method, of any component so that it becomes identical to an updated version of that component of the Work as it is distributed by the Current Maintainer under Clause 4, above.\n\n9. Distribution of the Work or any Derived Work in an alternative format, where the Work or that Derived Work (in whole or in part) is then produced by applying some process to that format, does not relax or nullify any sections of this license as they pertain to the results of applying that process.\n\n10.\n	 a. A Derived Work may be distributed under a different license provided that license itself honors the conditions listed in Clause 6 above, in regard to the Work, though it does not have to honor the rest of the conditions in this license.\n\n	 b. If a Derived Work is distributed under this license, that Derived Work must provide sufficient documentation as part of itself to allow each recipient of that Derived Work to honor the restrictions in Clause 6 above, concerning changes from the Work.\n\n11. This license places no restrictions on works that are unrelated to the Work, nor does this license place any restrictions on aggregating such works with the Work by any means.\n\n12. Nothing in this license is intended to, or may be used to, prevent complete compliance by all parties with all applicable laws.\n\nNO WARRANTY\n===========\n\nThere is no warranty for the Work. Except when otherwise stated in writing, the Copyright Holder provides the Work `as is', without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of the Work is with you. Should the Work prove defective, you assume the cost of all necessary servicing, repair, or correction.\n\nIn no event unless required by applicable law or agreed to in writing will The Copyright Holder, or any author named in the components of the Work, or any other party who may distribute and/or modify the Work as permitted above, be liable to you for damages, including any general, special, incidental or consequential damages arising out of any use of the Work or out of inability to use the Work (including, but not limited to, loss of data, data being rendered inaccurate, or losses sustained by anyone as a result of any failure of the Work to operate with any other programs), even if the Copyright Holder or said author or said other party has been advised of the possibility of such damages.\n\nMAINTENANCE OF THE WORK\n=======================\n\nThe Work has the status `author-maintained' if the Copyright Holder explicitly and prominently states near the primary copyright notice in the Work that the Work can only be maintained by the Copyright Holder or simply that is `author-maintained'.\n\nThe Work has the status `maintained' if there is a Current Maintainer who has indicated in the Work that they are willing to receive error reports for the Work (for example, by supplying a valid e-mail address). It is not required for the Current Maintainer to acknowledge or act upon these error reports.\n\nThe Work changes from status `maintained' to `unmaintained' if there is no Current Maintainer, or the person stated to be Current Maintainer of the work cannot be reached through the indicated means of communication for a period of six months, and there are no other significant signs of active maintenance.\n\nYou can become the Current Maintainer of the Work by agreement with any existing Current Maintainer to take over this role.\n\nIf the Work is unmaintained, you can become the Current Maintainer of the Work through the following steps:\n\n	 1. Make a reasonable attempt to trace the Current Maintainer (and the Copyright Holder, if the two differ) through the means of an Internet or similar search.\n\n	 2. If this search is successful, then enquire whether the Work is still maintained.\n\n		  a. If it is being maintained, then ask the Current Maintainer to update their communication data within one month.\n\n		  b. If the search is unsuccessful or no action to resume active maintenance is taken by the Current Maintainer, then announce within the pertinent community your intention to take over maintenance. (If the Work is a LaTeX work, this could be done, for example, by posting to comp.text.tex.)\n\n	 3a. If the Current Maintainer is reachable and agrees to pass maintenance of the Work to you, then this takes effect immediately upon announcement.\n\n	 b. If the Current Maintainer is not reachable and the Copyright Holder agrees that maintenance of the Work be passed to you, then this takes effect immediately upon announcement.\n\n	 4. If you make an `intention announcement' as described in 2b. above and after three months your intention is challenged neither by the Current Maintainer nor by the Copyright Holder nor by other people, then you may arrange for the Work to be changed so as to name you as the (new) Current Maintainer.\n\n	 5. If the previously unreachable Current Maintainer becomes reachable once more within three months of a change completed under the terms of 3b) or 4), then that Current Maintainer must become or remain the Current Maintainer upon request provided they then update their communication data within one month.\n\nA change in the Current Maintainer does not, of itself, alter the fact that the Work is distributed under the LPPL license.\n\nIf you become the Current Maintainer of the Work, you should immediately provide, within the Work, a prominent and unambiguous statement of your status as Current Maintainer. You should also announce your new status to the same pertinent community as in 2b) above.\n\nWHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE\n======================================================\n\nThis section contains important instructions, examples, and recommendations for authors who are considering distributing their works under this license. These authors are addressed as `you' in this section.\n\nChoosing This License or Another License\n----------------------------------------\n\nIf for any part of your work you want or need to use *distribution* conditions that differ significantly from those in this license, then do not refer to this license anywhere in your work but, instead, distribute your work under a different license. You may use the text of this license as a model for your own license, but your license should not refer to the LPPL or otherwise give the impression that your work is distributed under the LPPL.\n\nThe document `modguide.tex' in the base LaTeX distribution explains the motivation behind the conditions of this license. It explains, for example, why distributing LaTeX under the GNU General Public License (GPL) was considered inappropriate. Even if your work is unrelated to LaTeX, the discussion in `modguide.tex' may still be relevant, and authors intending to distribute their works under any license are encouraged to read it.\n\nA Recommendation on Modification Without Distribution\n-----------------------------------------------------\n\nIt is wise never to modify a component of the Work, even for your own personal use, without also meeting the above conditions for distributing the modified component. While you might intend that such modifications will never be distributed, often this will happen by accident -- you may forget that you have modified that component; or it may not occur to you when allowing others to access the modified version that you are thus distributing it and violating the conditions of this license in ways that could have legal implications and, worse, cause problems for the community. It is therefore usually in your best interest to keep your copy of the Work identical with the public one. Many works provide ways to control the behavior of that work without altering any of its licensed components.\n\nHow to Use This License\n-----------------------\n\nTo use this license, place in each of the components of your work both an explicit copyright notice including your name and the year the work was authored and/or last substantially modified. Include also a statement that the distribution and/or modification of that component is constrained by the conditions in this license.\n\nHere is an example of such a notice and statement:\n\n	 %% pig.dtx\n	 %% Copyright 2003 M. Y. Name\n	 %\n	 % This work may be distributed and/or modified under the\n	 % conditions of the LaTeX Project Public License, either version 1.3\n	 % of this license or (at your option) any later version.\n	 % The latest version of this license is in\n	 % http://www.latex-project.org/lppl.txt\n	 % and version 1.3 or later is part of all distributions of LaTeX\n	 % version 2003/12/01 or later.\n	 %\n	 % This work has the LPPL maintenance status \"maintained\".\n	 %\n	 % This Current Maintainer of this work is M. Y. Name.\n	 %\n	 % This work consists of the files pig.dtx and pig.ins % and the derived file pig.sty.\n\nGiven such a notice and statement in a file, the conditions given in this license document would apply, with the `Work' referring to the three files `pig.dtx', `pig.ins', and `pig.sty' (the last being generated from `pig.dtx' using `pig.ins'), the `Base Interpreter' referring to any \"LaTeX-Format\", and both `Copyright Holder' and `Current Maintainer' referring to the person `M. Y. Name'.\n\nIf you do not want the Maintenance section of LPPL to apply to your Work, change \"maintained\" above into \"author-maintained\". However, we recommend that you use \"maintained\" as the Maintenance section was added in order to ensure that your Work remains useful to the community even when you can no longer maintain and support it yourself.\n\nImportant Recommendations\n-------------------------\n\nDefining What Constitutes the Work\n\nThe LPPL requires that distributions of the Work contain all the files of the Work. It is therefore important that you provide a way for the licensee to determine which files constitute the Work. This could, for example, be achieved by explicitly listing all the files of the Work near the copyright notice of each file or by using a line such as:\n\n	  % This work consists of all files listed in manifest.txt.\n\nin that place. In the absence of an unequivocal list it might be impossible for the licensee to determine what is considered by you to comprise the Work and, in such a case, the licensee would be entitled to make reasonable conjectures as to which files comprise the Work.\n"
		self.standardLicenseHeaderTemplate = "<<beginOptional>>%%<<endOptional>> <<var;name=\"filename\";original=\"pig.dtx\";match=\".+\">>\n\n<<beginOptional>>%%<<endOptional>> Copyright <<var;name=\"copyright\";original=\"2003 M. Y. Name\";match=\".+\">>\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This work may be distributed and/or modified under the\n\n<<beginOptional>>%<<endOptional>> conditions of the LaTeX Project Public License, either version 1.3\n\n<<beginOptional>>%<<endOptional>> of this license or (at your option) any later version.\n\n<<beginOptional>>%<<endOptional>> The latest version of this license is in\n\n<<beginOptional>>%<<endOptional>> http://www.latex-project.org/lppl.txt\n\n<<beginOptional>>%<<endOptional>> and version 1.3 or later is part of all distributions of LaTeX\n\n<<beginOptional>>%<<endOptional>> version 2003/12/01 or later.\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This work has the LPPL maintenance status \" <<var;name=\"status\";original=\"maintained\";match=\"author-maintained|unmaintained|maintained\">> \".\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> <<var;name=\"maintainerThis\";original=\"This\";match=\"This|The\">> Current Maintainer of this work is <<var;name=\"maintainer\";original=\"M. Y. Name\";match=\".+\">> .\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This work consists of the <<var;name=\"filenames\";original=\"files pig.dtx and pig.ins  % and the derived file pig.sty\";match=\".+\">> .\n\n"
		self.standardLicenseTemplate = "<<beginOptional>>The LaTeX Project Public License\n\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n\nLPPL Version 1.3a 2004-10-01\n\n<<endOptional>> <<var;name=\"copyright\";original=\"Copyright 1999 2002-04 LaTeX3 Project  \";match=\".{0,5000}\">>\n\nEveryone is allowed to distribute verbatim copies of this license document, but modification of it is not allowed.\n\nPREAMBLE\n\n========\n\nThe LaTeX Project Public License (LPPL) is the primary license under which the the LaTeX kernel and the base LaTeX packages are distributed.\n\nYou may use this license for any work of which you hold the copyright and which you wish to distribute. This license may be particularly suitable if your work is TeX-related (such as a LaTeX package), but you may use it with small modifications even if your work is unrelated to TeX.\n\nThe section `WHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE', below, gives instructions, examples, and recommendations for authors who are considering distributing their works under this license.\n\nThis license gives conditions under which a work may be distributed and modified, as well as conditions under which modified versions of that work may be distributed.\n\nWe, the LaTeX3 Project, believe that the conditions below give you the freedom to make and distribute modified versions of your work that conform with whatever technical specifications you wish while maintaining the availability, integrity, and reliability of that work. If you do not see how to achieve your goal while meeting these conditions, then read the document `cfgguide.tex' and `modguide.tex' in the base LaTeX distribution for suggestions.\n\nDEFINITIONS\n\n===========\n\nIn this license document the following terms are used:\n\n`Work' Any work being distributed under this License. `Derived Work' Any work that under any applicable law is derived from the Work.\n\n`Modification' Any procedure that produces a Derived Work under any applicable law -- for example, the production of a file containing an original file associated with the Work or a significant portion of such a file, either verbatim or with modifications and/or translated into another language.\n\n`Modify' To apply any procedure that produces a Derived Work under any applicable law. `Distribution' Making copies of the Work available from one person to another, in whole or in part. Distribution includes (but is not limited to) making any electronic components of the Work accessible by file transfer protocols such as FTP or HTTP or by shared file systems such as Sun's Network File System (NFS).\n\n`Compiled Work' A version of the Work that has been processed into a form where it is directly usable on a computer system. This processing may include using installation facilities provided by the Work, transformations of the Work, copying of components of the Work, or other activities. Note that modification of any installation facilities provided by the Work constitutes modification of the Work.\n\n`Current Maintainer' A person or persons nominated as such within the Work. If there is no such explicit nomination then it is the `Copyright Holder' under any applicable law.\n\n`Base Interpreter' A program or process that is normally needed for running or interpreting a part or the whole of the Work. A Base Interpreter may depend on external components but these are not considered part of the Base Interpreter provided that each external component clearly identifies itself whenever it is used interactively. Unless explicitly specified when applying the license to the Work, the only applicable Base Interpreter is a \"LaTeX-Format\".\n\nCONDITIONS ON DISTRIBUTION AND MODIFICATION\n\n===========================================\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Activities other than distribution and/or modification of the Work are not covered by this license; they are outside its scope. In particular, the act of running the Work is not restricted and no requirements are made concerning any offers of support for the Work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> You may distribute a complete, unmodified copy of the Work as you received it. Distribution of only part of the Work is considered modification of the Work, and no right to distribute such a Derived Work may be assumed under the terms of this clause.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> You may distribute a Compiled Work that has been generated from a complete, unmodified copy of the Work as distributed under Clause 2 above, as long as that Compiled Work is distributed in such a way that the recipients may install the Compiled Work on their system exactly as it would have been installed if they generated a Compiled Work directly from the Work.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> If you are the Current Maintainer of the Work, you may, without restriction, modify the Work, thus creating a Derived Work. You may also distribute the Derived Work without restriction, including Compiled Works generated from the Derived Work. Derived Works distributed in this manner by the Current Maintainer are considered to be updated versions of the Work.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> If you are not the Current Maintainer of the Work, you may modify your copy of the Work, thus creating a Derived Work based on the Work, and compile this Derived Work, thus creating a Compiled Work based on the Derived Work.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> If you are not the Current Maintainer of the Work, you may distribute a Derived Work provided the following conditions are met for every component of the Work unless that component clearly states in the copyright notice that it is exempt from that condition. Only the Current Maintainer is allowed to add such statements of exemption to a component of the Work.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> If a component of this Derived Work can be a direct replacement for a component of the Work when that component is used with the Base Interpreter, then, wherever this component of the Work identifies itself to the user when used interactively with that Base Interpreter, the replacement component of this Derived Work clearly and unambiguously identifies itself as a modified version of this component to the user when used interactively with that Base Interpreter.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Every component of the Derived Work contains prominent notices detailing the nature of the changes to that component, or a prominent reference to another file that is distributed as part of the Derived Work and that contains a complete and accurate log of the changes.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No information in the Derived Work implies that any persons, including (but not limited to) the authors of the original version of the Work, provide any support, including (but not limited to) the reporting and handling of errors, to recipients of the Derived Work unless those persons have stated explicitly that they do provide such support for the Derived Work.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> You distribute at least one of the following with the Derived Work:\n\n		 <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> A complete, unmodified copy of the Work; if your distribution of a modified component is made by offering access to copy the modified component from a designated place, then offering equivalent access to copy the Work from the same or some similar place meets this condition, even though third parties are not compelled to copy the Work along with the modified component;\n\n		 <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Information that is sufficient to obtain a complete, unmodified copy of the Work.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> If you are not the Current Maintainer of the Work, you may distribute a Compiled Work generated from a Derived Work, as long as the Derived Work is distributed to all recipients of the Compiled Work, and as long as the conditions of Clause 6, above, are met with regard to the Derived Work.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> The conditions above are not intended to prohibit, and hence do not apply to, the modification, by any method, of any component so that it becomes identical to an updated version of that component of the Work as it is distributed by the Current Maintainer under Clause 4, above.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Distribution of the Work or any Derived Work in an alternative format, where the Work or that Derived Work (in whole or in part) is then produced by applying some process to that format, does not relax or nullify any sections of this license as they pertain to the results of applying that process.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">>\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> A Derived Work may be distributed under a different license provided that license itself honors the conditions listed in Clause 6 above, in regard to the Work, though it does not have to honor the rest of the conditions in this license.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If a Derived Work is distributed under this license, that Derived Work must provide sufficient documentation as part of itself to allow each recipient of that Derived Work to honor the restrictions in Clause 6 above, concerning changes from the Work.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> This license places no restrictions on works that are unrelated to the Work, nor does this license place any restrictions on aggregating such works with the Work by any means.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Nothing in this license is intended to, or may be used to, prevent complete compliance by all parties with all applicable laws.\n\nNO WARRANTY\n\n===========\n\nThere is no warranty for the Work. Except when otherwise stated in writing, the Copyright Holder provides the Work `as is', without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of the Work is with you. Should the Work prove defective, you assume the cost of all necessary servicing, repair, or correction.\n\nIn no event unless required by applicable law or agreed to in writing will The Copyright Holder, or any author named in the components of the Work, or any other party who may distribute and/or modify the Work as permitted above, be liable to you for damages, including any general, special, incidental or consequential damages arising out of any use of the Work or out of inability to use the Work (including, but not limited to, loss of data, data being rendered inaccurate, or losses sustained by anyone as a result of any failure of the Work to operate with any other programs), even if the Copyright Holder or said author or said other party has been advised of the possibility of such damages.\n\nMAINTENANCE OF THE WORK\n\n=======================\n\nThe Work has the status `author-maintained' if the Copyright Holder explicitly and prominently states near the primary copyright notice in the Work that the Work can only be maintained by the Copyright Holder or simply that is `author-maintained'.\n\nThe Work has the status `maintained' if there is a Current Maintainer who has indicated in the Work that they are willing to receive error reports for the Work (for example, by supplying a valid e-mail address). It is not required for the Current Maintainer to acknowledge or act upon these error reports.\n\nThe Work changes from status `maintained' to `unmaintained' if there is no Current Maintainer, or the person stated to be Current Maintainer of the work cannot be reached through the indicated means of communication for a period of six months, and there are no other significant signs of active maintenance.\n\nYou can become the Current Maintainer of the Work by agreement with any existing Current Maintainer to take over this role.\n\nIf the Work is unmaintained, you can become the Current Maintainer of the Work through the following steps:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Make a reasonable attempt to trace the Current Maintainer (and the Copyright Holder, if the two differ) through the means of an Internet or similar search.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> If this search is successful, then enquire whether the Work is still maintained.\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> If it is being maintained, then ask the Current Maintainer to update their communication data within one month.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If the search is unsuccessful or no action to resume active maintenance is taken by the Current Maintainer, then announce within the pertinent community your intention to take over maintenance. (If the Work is a LaTeX work, this could be done, for example, by posting to comp.text.tex.)\n\n	  <<var;name=\"bullet\";original=\"3a.\";match=\".{0,20}\">> If the Current Maintainer is reachable and agrees to pass maintenance of the Work to you, then this takes effect immediately upon announcement.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If the Current Maintainer is not reachable and the Copyright Holder agrees that maintenance of the Work be passed to you, then this takes effect immediately upon announcement.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> If you make an `intention announcement' as described in 2b. above and after three months your intention is challenged neither by the Current Maintainer nor by the Copyright Holder nor by other people, then you may arrange for the Work to be changed so as to name you as the (new) Current Maintainer.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> If the previously unreachable Current Maintainer becomes reachable once more within three months of a change completed under the terms of 3b) or 4), then that Current Maintainer must become or remain the Current Maintainer upon request provided they then update their communication data within one month.\n\nA change in the Current Maintainer does not, of itself, alter the fact that the Work is distributed under the LPPL license.\n\nIf you become the Current Maintainer of the Work, you should immediately provide, within the Work, a prominent and unambiguous statement of your status as Current Maintainer. You should also announce your new status to the same pertinent community as in 2b) above.\n\nWHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE\n\n======================================================\n\nThis section contains important instructions, examples, and recommendations for authors who are considering distributing their works under this license. These authors are addressed as `you' in this section.\n\nChoosing This License or Another License\n\n----------------------------------------\n\nIf for any part of your work you want or need to use *distribution* conditions that differ significantly from those in this license, then do not refer to this license anywhere in your work but, instead, distribute your work under a different license. You may use the text of this license as a model for your own license, but your license should not refer to the LPPL or otherwise give the impression that your work is distributed under the LPPL.\n\nThe document `modguide.tex' in the base LaTeX distribution explains the motivation behind the conditions of this license. It explains, for example, why distributing LaTeX under the GNU General Public License (GPL) was considered inappropriate. Even if your work is unrelated to LaTeX, the discussion in `modguide.tex' may still be relevant, and authors intending to distribute their works under any license are encouraged to read it.\n\nA Recommendation on Modification Without Distribution\n\n-----------------------------------------------------\n\nIt is wise never to modify a component of the Work, even for your own personal use, without also meeting the above conditions for distributing the modified component. While you might intend that such modifications will never be distributed, often this will happen by accident -- you may forget that you have modified that component; or it may not occur to you when allowing others to access the modified version that you are thus distributing it and violating the conditions of this license in ways that could have legal implications and, worse, cause problems for the community. It is therefore usually in your best interest to keep your copy of the Work identical with the public one. Many works provide ways to control the behavior of that work without altering any of its licensed components.\n\nHow to Use This License\n\n-----------------------\n\nTo use this license, place in each of the components of your work both an explicit copyright notice including your name and the year the work was authored and/or last substantially modified. Include also a statement that the distribution and/or modification of that component is constrained by the conditions in this license.\n\nHere is an example of such a notice and statement:\n\n<<beginOptional>>%%<<endOptional>> <<var;name=\"filename\";original=\"pig.dtx\";match=\".+\">>\n\n<<beginOptional>>%%<<endOptional>> Copyright <<var;name=\"copyright\";original=\"2003 M. Y. Name\";match=\".+\">>\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This work may be distributed and/or modified under the\n\n<<beginOptional>>%<<endOptional>> conditions of the LaTeX Project Public License, either version 1.3\n\n<<beginOptional>>%<<endOptional>> of this license or (at your option) any later version.\n\n<<beginOptional>>%<<endOptional>> The latest version of this license is in\n\n<<beginOptional>>%<<endOptional>> http://www.latex-project.org/lppl.txt\n\n<<beginOptional>>%<<endOptional>> and version 1.3 or later is part of all distributions of LaTeX\n\n<<beginOptional>>%<<endOptional>> version 2003/12/01 or later.\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This work has the LPPL maintenance status \" <<var;name=\"status\";original=\"maintained\";match=\"author-maintained|unmaintained|maintained\">> \".\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> <<var;name=\"maintainerThis\";original=\"This\";match=\"This|The\">> Current Maintainer of this work is <<var;name=\"maintainer\";original=\"M. Y. Name\";match=\".+\">> .\n\n<<beginOptional>>%<<endOptional>>\n\n<<beginOptional>>%<<endOptional>> This work consists of the <<var;name=\"filenames\";original=\"files pig.dtx and pig.ins  % and the derived file pig.sty\";match=\".+\">> .\n\nGiven such a notice and statement in a file, the conditions given in this license document would apply, with the `Work' referring to the three files `pig.dtx', `pig.ins', and `pig.sty' (the last being generated from `pig.dtx' using `pig.ins'), the `Base Interpreter' referring to any \"LaTeX-Format\", and both `Copyright Holder' and `Current Maintainer' referring to the person `M. Y. Name'.\n\nIf you do not want the Maintenance section of LPPL to apply to your Work, change \"maintained\" above into \"author-maintained\". However, we recommend that you use \"maintained\" as the Maintenance section was added in order to ensure that your Work remains useful to the community even when you can no longer maintain and support it yourself.\n\nImportant Recommendations\n\n-------------------------\n\nDefining What Constitutes the Work\n\nThe LPPL requires that distributions of the Work contain all the files of the Work. It is therefore important that you provide a way for the licensee to determine which files constitute the Work. This could, for example, be achieved by explicitly listing all the files of the Work near the copyright notice of each file or by using a line such as:\n\n% This work consists of all files listed in manifest.txt.\n\nin that place. In the absence of an unequivocal list it might be impossible for the licensee to determine what is considered by you to comprise the Work and, in such a case, the licensee would be entitled to make reasonable conjectures as to which files comprise the Work.\n\n"
		self.name = "LaTeX Project Public License v1.3a"
		self.licenseComments = "This license was released 1 Oct 2004"
		self.licenseId = "LPPL-1.3a"
		self.standardLicenseHeader = "%% pig.dtx\n\n%% Copyright 2003 M. Y. Name\n\n%\n\n% This work may be distributed and/or modified under the\n\n% conditions of the LaTeX Project Public License, either version 1.3\n\n% of this license or (at your option) any later version.\n\n% The latest version of this license is in\n\n% http://www.latex-project.org/lppl.txt\n\n% and version 1.3 or later is part of all distributions of LaTeX\n\n% version 2003/12/01 or later.\n\n%\n\n% This work has the LPPL maintenance status \" maintained \".\n\n%\n\n% This Current Maintainer of this work is M. Y. Name .\n\n%\n\n% This work consists of the files pig.dtx and pig.ins\n\n% and the derived file pig.sty .\n\n"
		self.crossRef = [{"match": "False", "url": "http://www.latex-project.org/lppl/lppl-1-3a.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:19Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.latex-project.org/lppl/lppl-1-3a.txt"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>The LaTeX Project Public License\n		<br />\n\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n	  </p>\n\n		 <p>LPPL Version 1.3a 2004-10-01</p>\n\n	  </div>\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright 1999 2002-04 LaTeX3 Project</p>\n\n	  </div>\n	  <p>Everyone is allowed to distribute verbatim copies of this license document, but modification of\n		   it is not allowed.</p>\n\n	  <p>PREAMBLE\n		<br />\n\n========\n	  </p>\n\n	  <p>The LaTeX Project Public License (LPPL) is the primary license under which the the LaTeX kernel and the\n		 base LaTeX packages are distributed.</p>\n\n	  <p>You may use this license for any work of which you hold the copyright and which you wish to distribute.\n		 This license may be particularly suitable if your work is TeX-related (such as a LaTeX package), but\n		 you may use it with small modifications even if your work is unrelated to TeX.</p>\n\n	  <p>The section `WHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE&apos;, below, gives instructions,\n		 examples, and recommendations for authors who are considering distributing their works under this\n		 license.</p>\n\n	  <p>This license gives conditions under which a work may be distributed and modified, as well as conditions\n		 under which modified versions of that work may be distributed.</p>\n\n	  <p>We, the LaTeX3 Project, believe that the conditions below give you the freedom to make and distribute\n		 modified versions of your work that conform with whatever technical specifications you wish while\n		 maintaining the availability, integrity, and reliability of that work. If you do not see how to\n		 achieve your goal while meeting these conditions, then read the document `cfgguide.tex&apos; and\n		 `modguide.tex&apos; in the base LaTeX distribution for suggestions.</p>\n\n	  <p>DEFINITIONS\n		<br />\n\n===========\n	  </p>\n\n	  <p>In this license document the following terms are used:</p>\n\n	  <p>`Work&apos; Any work being distributed under this License. `Derived Work&apos; Any work that under any\n		 applicable law is derived from the Work.</p>\n\n	  <p>`Modification&apos; Any procedure that produces a Derived Work under any applicable law -- for example,\n		 the production of a file containing an original file associated with the Work or a significant portion\n		 of such a file, either verbatim or with modifications and/or translated into another language.</p>\n\n	  <p>`Modify&apos; To apply any procedure that produces a Derived Work under any applicable law.\n		 `Distribution&apos; Making copies of the Work available from one person to another, in whole or in\n		 part. Distribution includes (but is not limited to) making any electronic components of the Work\n		 accessible by file transfer protocols such as FTP or HTTP or by shared file systems such as Sun&apos;s\n		 Network File System (NFS).</p>\n\n	  <p>`Compiled Work&apos; A version of the Work that has been processed into a form where it is directly\n		 usable on a computer system. This processing may include using installation facilities provided by the\n		 Work, transformations of the Work, copying of components of the Work, or other activities. Note that\n		 modification of any installation facilities provided by the Work constitutes modification of the\n		 Work.</p>\n\n	  <p>`Current Maintainer&apos; A person or persons nominated as such within the Work. If there is no such\n		 explicit nomination then it is the `Copyright Holder&apos; under any applicable law.</p>\n\n	  <p>`Base Interpreter&apos; A program or process that is normally needed for running or interpreting a part\n		 or the whole of the Work. A Base Interpreter may depend on external components but these are not\n		 considered part of the Base Interpreter provided that each external component clearly identifies\n		 itself whenever it is used interactively. Unless explicitly specified when applying the license to the\n		 Work, the only applicable Base Interpreter is a &quot;LaTeX-Format&quot;.</p>\n\n	  <p>CONDITIONS ON DISTRIBUTION AND MODIFICATION\n		<br />\n\n===========================================\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Activities other than distribution and/or modification of the Work are not covered by this\n			 license; they are outside its scope. In particular, the act of running the Work is not\n			 restricted and no requirements are made concerning any offers of support for the Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  You may distribute a complete, unmodified copy of the Work as you received it. Distribution of\n			 only part of the Work is considered modification of the Work, and no right to distribute such\n			 a Derived Work may be assumed under the terms of this clause.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  You may distribute a Compiled Work that has been generated from a complete, unmodified copy of\n			 the Work as distributed under Clause 2 above, as long as that Compiled Work is distributed in\n			 such a way that the recipients may install the Compiled Work on their system exactly as it\n			 would have been installed if they generated a Compiled Work directly from the Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  If you are the Current Maintainer of the Work, you may, without restriction, modify the Work,\n			 thus creating a Derived Work. You may also distribute the Derived Work without restriction,\n			 including Compiled Works generated from the Derived Work. Derived Works distributed in this\n			 manner by the Current Maintainer are considered to be updated versions of the Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  If you are not the Current Maintainer of the Work, you may modify your copy of the Work, thus\n			 creating a Derived Work based on the Work, and compile this Derived Work, thus creating a\n			 Compiled Work based on the Derived Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  If you are not the Current Maintainer of the Work, you may distribute a Derived Work provided the\n			 following conditions are met for every component of the Work unless that component clearly\n			 states in the copyright notice that it is exempt from that condition. Only the Current\n			 Maintainer is allowed to add such statements of exemption to a component of the Work.\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			If a component of this Derived Work can be a direct replacement for a component of the Work\n			   when that component is used with the Base Interpreter, then, wherever this component of\n			   the Work identifies itself to the user when used interactively with that Base Interpreter,\n			   the replacement component of this Derived Work clearly and unambiguously identifies itself\n			   as a modified version of this component to the user when used interactively with that Base\n			   Interpreter.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Every component of the Derived Work contains prominent notices detailing the nature of the\n			   changes to that component, or a prominent reference to another file that is distributed as\n			   part of the Derived Work and that contains a complete and accurate log of the changes.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			No information in the Derived Work implies that any persons, including (but not limited to)\n			   the authors of the original version of the Work, provide any support, including (but not\n			   limited to) the reporting and handling of errors, to recipients of the Derived Work unless\n			   those persons have stated explicitly that they do provide such support for the Derived\n			   Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			You distribute at least one of the following with the Derived Work:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 1.</var>\n			  A complete, unmodified copy of the Work; if your distribution of a modified component is\n				 made by offering access to copy the modified component from a designated place, then\n				 offering equivalent access to copy the Work from the same or some similar place meets\n				 this condition, even though third parties are not compelled to copy the Work along\n				 with the modified component;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> 2.</var>\n			  Information that is sufficient to obtain a complete, unmodified copy of the Work.\n			</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  If you are not the Current Maintainer of the Work, you may distribute a Compiled Work generated\n			 from a Derived Work, as long as the Derived Work is distributed to all recipients of the\n			 Compiled Work, and as long as the conditions of Clause 6, above, are met with regard to the\n			 Derived Work.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  The conditions above are not intended to prohibit, and hence do not apply to, the modification,\n			 by any method, of any component so that it becomes identical to an updated version of that\n			 component of the Work as it is distributed by the Current Maintainer under Clause 4,\n			 above.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Distribution of the Work or any Derived Work in an alternative format, where the Work or that\n			 Derived Work (in whole or in part) is then produced by applying some process to that format,\n			 does not relax or nullify any sections of this license as they pertain to the results of\n			 applying that process.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n			\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			A Derived Work may be distributed under a different license provided that license itself\n			   honors the conditions listed in Clause 6 above, in regard to the Work, though it does not\n			   have to honor the rest of the conditions in this license.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If a Derived Work is distributed under this license, that Derived Work must provide\n			   sufficient documentation as part of itself to allow each recipient of that Derived Work to\n			   honor the restrictions in Clause 6 above, concerning changes from the Work.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  This license places no restrictions on works that are unrelated to the Work, nor does this\n			 license place any restrictions on aggregating such works with the Work by any means.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  Nothing in this license is intended to, or may be used to, prevent complete compliance by all\n			 parties with all applicable laws.\n		</li>\n		\n</ul>\n	  <p>NO WARRANTY\n		<br />\n\n===========\n	  </p>\n\n	  <p>There is no warranty for the Work. Except when otherwise stated in writing, the Copyright Holder\n		 provides the Work `as is&apos;, without warranty of any kind, either expressed or implied,\n		 including, but not limited to, the implied warranties of merchantability and fitness for a\n		 particular purpose. The entire risk as to the quality and performance of the Work is with you.\n		 Should the Work prove defective, you assume the cost of all necessary servicing, repair, or\n		 correction.</p>\n\n	  <p>In no event unless required by applicable law or agreed to in writing will The Copyright Holder,\n		 or any author named in the components of the Work, or any other party who may distribute\n		 and/or modify the Work as permitted above, be liable to you for damages, including any\n		 general, special, incidental or consequential damages arising out of any use of the Work or\n		 out of inability to use the Work (including, but not limited to, loss of data, data being\n		 rendered inaccurate, or losses sustained by anyone as a result of any failure of the Work to\n		 operate with any other programs), even if the Copyright Holder or said author or said other\n		 party has been advised of the possibility of such damages.</p>\n\n	  <p>MAINTENANCE OF THE WORK\n		<br />\n\n=======================\n	  </p>\n\n	  <p>The Work has the status `author-maintained&apos; if the Copyright Holder explicitly and\n		 prominently states near the primary copyright notice in the Work that the Work can only be\n		 maintained by the Copyright Holder or simply that is `author-maintained&apos;.</p>\n\n	  <p>The Work has the status `maintained&apos; if there is a Current Maintainer who has indicated in\n		 the Work that they are willing to receive error reports for the Work (for example, by\n		 supplying a valid e-mail address). It is not required for the Current Maintainer to\n		 acknowledge or act upon these error reports.</p>\n\n	  <p>The Work changes from status `maintained&apos; to `unmaintained&apos; if there is no Current\n		 Maintainer, or the person stated to be Current Maintainer of the work cannot be reached\n		 through the indicated means of communication for a period of six months, and there are no\n		 other significant signs of active maintenance.</p>\n\n	  <p>You can become the Current Maintainer of the Work by agreement with any existing Current\n		 Maintainer to take over this role.</p>\n\n	  <p>If the Work is unmaintained, you can become the Current Maintainer of the Work through the\n		 following steps:</p>\n\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n			Make a reasonable attempt to trace the Current Maintainer (and the Copyright Holder, if the\n			   two differ) through the means of an Internet or similar search.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n			If this search is successful, then enquire whether the Work is still maintained.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			  If it is being maintained, then ask the Current Maintainer to update their communication\n				 data within one month.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  If the search is unsuccessful or no action to resume active maintenance is taken by the\n				 Current Maintainer, then announce within the pertinent community your intention to\n				 take over maintenance. (If the Work is a LaTeX work, this could be done, for example,\n				 by posting to comp.text.tex.)\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3a.</var>\n			  If the Current Maintainer is reachable and agrees to pass maintenance of the Work to\n				 you, then this takes effect immediately upon announcement.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			  If the Current Maintainer is not reachable and the Copyright Holder agrees that maintenance\n			   of the Work be passed to you, then this takes effect immediately upon announcement.\n			</li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n			If you make an `intention announcement&apos; as described in 2b. above and after three months\n			   your intention is challenged neither by the Current Maintainer nor by the Copyright Holder\n			   nor by other people, then you may arrange for the Work to be changed so as to name you as\n			   the (new) Current Maintainer.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n			If the previously unreachable Current Maintainer becomes reachable once more within three\n			   months of a change completed under the terms of 3b) or 4), then that Current Maintainer\n			   must become or remain the Current Maintainer upon request provided they then update their\n			   communication data within one month.\n		  </li>\n		\n</ul>\n	  <p>A change in the Current Maintainer does not, of itself, alter the fact that the Work is distributed under\n		 the LPPL license.</p>\n\n	  <p>If you become the Current Maintainer of the Work, you should immediately provide, within the Work, a\n		 prominent and unambiguous statement of your status as Current Maintainer. You should also announce\n		 your new status to the same pertinent community as in 2b) above.</p>\n\n	  <p>WHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE\n		<br />\n\n======================================================\n	  </p>\n\n	  <p>This section contains important instructions, examples, and recommendations for authors who are\n		 considering distributing their works under this license. These authors are addressed as `you&apos; in\n		 this section.</p>\n\n	  <p>Choosing This License or Another License\n		<br />\n\n----------------------------------------\n	  </p>\n\n	  <p>If for any part of your work you want or need to use *distribution* conditions that differ significantly\n		 from those in this license, then do not refer to this license anywhere in your work but, instead,\n		 distribute your work under a different license. You may use the text of this license as a model for\n		 your own license, but your license should not refer to the LPPL or otherwise give the impression that\n		 your work is distributed under the LPPL.</p>\n\n	  <p>The document `modguide.tex&apos; in the base LaTeX distribution explains the motivation behind the\n		 conditions of this license. It explains, for example, why distributing LaTeX under the GNU General\n		 Public License (GPL) was considered inappropriate. Even if your work is unrelated to LaTeX, the\n		 discussion in `modguide.tex&apos; may still be relevant, and authors intending to distribute their\n		 works under any license are encouraged to read it.</p>\n\n	  <p>A Recommendation on Modification Without Distribution\n		<br />\n\n-----------------------------------------------------\n	  </p>\n\n	  <p>It is wise never to modify a component of the Work, even for your own personal use, without also meeting\n		 the above conditions for distributing the modified component. While you might intend that such\n		 modifications will never be distributed, often this will happen by accident -- you may forget that you\n		 have modified that component; or it may not occur to you when allowing others to access the modified\n		 version that you are thus distributing it and violating the conditions of this license in ways that\n		 could have legal implications and, worse, cause problems for the community. It is therefore usually in\n		 your best interest to keep your copy of the Work identical with the public one. Many works provide\n		 ways to control the behavior of that work without altering any of its licensed components.</p>\n\n	  <p>How to Use This License\n		<br />\n\n-----------------------\n	  </p>\n\n	  <p>To use this license, place in each of the components of your work both an explicit copyright notice\n		 including your name and the year the work was authored and/or last substantially modified. Include\n		 also a statement that the distribution and/or modification of that component is constrained by the\n		 conditions in this license.</p>\n\n	  <p>Here is an example of such a notice and statement:</p>\n\n	  <p><var class=\"optional-license-text\"> %%</var> <var class=\"replaceable-license-text\"> pig.dtx</var>\n		<br />\n\n<var class=\"optional-license-text\"> %%</var> Copyright <var class=\"replaceable-license-text\"> 2003 M. Y. Name</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This work may be distributed and/or modified under the\n		<br />\n\n<var class=\"optional-license-text\"> %</var> conditions of the LaTeX Project Public License, either version 1.3\n		<br />\n\n<var class=\"optional-license-text\"> %</var> of this license or (at your option) any later version.\n		<br />\n\n<var class=\"optional-license-text\"> %</var> The latest version of this license is in\n		<br />\n\n<var class=\"optional-license-text\"> %</var> http://www.latex-project.org/lppl.txt\n		<br />\n\n<var class=\"optional-license-text\"> %</var> and version 1.3 or later is part of all distributions of LaTeX\n		<br />\n\n<var class=\"optional-license-text\"> %</var> version 2003/12/01 or later.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This work has the LPPL maintenance status &quot;<var class=\"replaceable-license-text\"> maintained</var>&quot;.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> <var class=\"replaceable-license-text\"> This</var> Current Maintainer of this work is <var class=\"replaceable-license-text\"> M. Y. Name</var>.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This work consists of the <var class=\"replaceable-license-text\"> files pig.dtx and pig.ins\n		<br />\n\n% and the derived file pig.sty</var>.\n	  </p>\n\n	  <p>Given such a notice and statement in a file, the conditions given in this license document would apply,\n		 with the `Work&apos; referring to the three files `pig.dtx&apos;, `pig.ins&apos;, and `pig.sty&apos;\n		 (the last being generated from `pig.dtx&apos; using `pig.ins&apos;), the `Base Interpreter&apos;\n		 referring to any &quot;LaTeX-Format&quot;, and both `Copyright Holder&apos; and `Current\n		 Maintainer&apos; referring to the person `M. Y. Name&apos;.</p>\n\n	  <p>If you do not want the Maintenance section of LPPL to apply to your Work, change &quot;maintained&quot;\n		 above into &quot;author-maintained&quot;. However, we recommend that you use &quot;maintained&quot; as\n		 the Maintenance section was added in order to ensure that your Work remains useful to the community\n		 even when you can no longer maintain and support it yourself.</p>\n\n	  <p>Important Recommendations\n		<br />\n\n-------------------------\n	  </p>\n\n	  <p>Defining What Constitutes the Work</p>\n\n	  <p>The LPPL requires that distributions of the Work contain all the files of the Work. It is therefore\n		 important that you provide a way for the licensee to determine which files constitute the Work. This\n		 could, for example, be achieved by explicitly listing all the files of the Work near the copyright\n		 notice of each file or by using a line such as:</p>\n\n	  <p>% This work consists of all files listed in manifest.txt.</p>\n\n	  <p>in that place. In the absence of an unequivocal list it might be impossible for the licensee to determine\n		 what is considered by you to comprise the Work and, in such a case, the licensee would be entitled to\n		 make reasonable conjectures as to which files comprise the Work.</p>\n\n	"
		self.standardLicenseHeaderHtml = "\n	  <p><var class=\"optional-license-text\"> %%</var> <var class=\"replaceable-license-text\"> pig.dtx</var>\n		<br />\n\n<var class=\"optional-license-text\"> %%</var> Copyright <var class=\"replaceable-license-text\"> 2003 M. Y. Name</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This work may be distributed and/or modified under the\n		<br />\n\n<var class=\"optional-license-text\"> %</var> conditions of the LaTeX Project Public License, either version 1.3\n		<br />\n\n<var class=\"optional-license-text\"> %</var> of this license or (at your option) any later version.\n		<br />\n\n<var class=\"optional-license-text\"> %</var> The latest version of this license is in\n		<br />\n\n<var class=\"optional-license-text\"> %</var> http://www.latex-project.org/lppl.txt\n		<br />\n\n<var class=\"optional-license-text\"> %</var> and version 1.3 or later is part of all distributions of LaTeX\n		<br />\n\n<var class=\"optional-license-text\"> %</var> version 2003/12/01 or later.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This work has the LPPL maintenance status &quot;<var class=\"replaceable-license-text\"> maintained</var>&quot;.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> <var class=\"replaceable-license-text\"> This</var> Current Maintainer of this work is <var class=\"replaceable-license-text\"> M. Y. Name</var>.\n		<br />\n\n<var class=\"optional-license-text\"> %</var>\n		<br />\n\n<var class=\"optional-license-text\"> %</var> This work consists of the <var class=\"replaceable-license-text\"> files pig.dtx and pig.ins\n		<br />\n\n% and the derived file pig.sty</var>.\n	  </p>\n\n	  "
		self.python_name = "LPPL13a"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSDSystemics:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1995, 1996 Systemics Ltd (http://www.systemics.com/)\nAll rights reserved.\n \nThis library and applications are FREE FOR COMMERCIAL AND NON-COMMERCIAL USE\nas long as the following conditions are adhered to.\n \nCopyright remains with Systemics Ltd, and as such any Copyright notices\nin the code are not to be removed.  If this code is used in a product,\nSystemics should be given attribution as the author of the parts used.\nThis can be in the form of a textual message at program startup or\nin documentation (online or textual) provided with the package.\n \nRedistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions\nare met:\n1. Redistributions of source code must retain the copyright\n   notice, this list of conditions and the following disclaimer.\n2. Redistributions in binary form must reproduce the above copyright\n   notice, this list of conditions and the following disclaimer in the\n   documentation and/or other materials provided with the distribution.\n3. All advertising materials mentioning features or use of this software\n   must display the following acknowledgement:\n   This product includes software developed by Systemics Ltd (http://www.systemics.com/)   \n \nTHIS SOFTWARE IS PROVIDED BY SYSTEMICS LTD ``AS IS'' AND\nANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE\nFOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\nOR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\nHOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\nLIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\nOUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\nSUCH DAMAGE.\n \nThe licence and distribution terms for any publically available version or\nderivative of this code cannot be changed.  i.e. this code cannot simply be\ncopied and put under another distribution licence [including the GNU Public Licence.]\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1995, 1996 Systemics Ltd (http://www.systemics.com/)  All rights reserved.  \";match=\".{0,5000}\">>\n\nThis library and applications are FREE FOR COMMERCIAL AND NON-COMMERCIAL USE as long as the following conditions are adhered to.\n\nCopyright remains with Systemics Ltd, and as such any Copyright notices in the code are not to be removed. If this code is used in a product, Systemics should be given attribution as the author of the parts used. This can be in the form of a textual message at program startup or in documentation (online or textual) provided with the package.\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> All advertising materials mentioning features or use of this software must display the following acknowledgement: This product includes software developed by Systemics Ltd (http://www.systemics.com/)\n\nTHIS SOFTWARE IS PROVIDED BY SYSTEMICS LTD ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe licence and distribution terms for any publically available version or derivative of this code cannot be changed. i.e. this code cannot simply be copied and put under another distribution licence [including the GNU Public Licence.]\n\n"
		self.name = "Systemics BSD variant license"
		self.licenseId = "BSD-Systemics"
		self.crossRef = [{"match": "False", "url": "https://metacpan.org/release/DPARIS/Crypt-DES-2.07/source/COPYRIGHT", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:17:09Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://metacpan.org/release/DPARIS/Crypt-DES-2.07/source/COPYRIGHT"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"replaceable-license-text\"> \n				<p>\n					   Copyright (C) 1995, 1996 Systemics Ltd (http://www.systemics.com/)<br />\n\n					   All rights reserved.\n				</p>\n\n			</div>\n\n			<p>This library and applications are FREE FOR COMMERCIAL AND NON-COMMERCIAL USE\n			   as long as the following conditions are adhered to.</p>\n\n			<p>Copyright remains with Systemics Ltd, and as such any Copyright notices\n			   in the code are not to be removed.  If this code is used in a product,\n			   Systemics should be given attribution as the author of the parts used.\n			   This can be in the form of a textual message at program startup or\n			   in documentation (online or textual) provided with the package.</p>\n\n			<p>Redistribution and use in source and binary forms, with or without\n			   modification, are permitted provided that the following conditions\n			   are met:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>\n					<var class=\"replaceable-license-text\"> 1.</var>\n					Redistributions of source code must retain the copyright\n					notice, this list of conditions and the following disclaimer.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 2.</var>\n					Redistributions in binary form must reproduce the above copyright\n					notice, this list of conditions and the following disclaimer in the\n					documentation and/or other materials provided with the distribution.\n				</li>\n				\n<li>\n					<var class=\"replaceable-license-text\"> 3.</var>\n					All advertising materials mentioning features or use of this software\n					must display the following acknowledgement:\n					This product includes software developed by Systemics Ltd (http://www.systemics.com/)\n				</li>\n			\n</ul>\n\n			<p>THIS SOFTWARE IS PROVIDED BY SYSTEMICS LTD ``AS IS&apos;&apos; AND\n			   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\n			   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\n			   ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE\n			   FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n			   DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\n			   OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n			   HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\n			   LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\n			   OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\n			   SUCH DAMAGE.</p>\n\n		   <p>The licence and distribution terms for any publically available version or\n			  derivative of this code cannot be changed.  i.e. this code cannot simply be\n			  copied and put under another distribution licence\n			  [including the GNU Public Licence.]</p>\n\n		"
		self.python_name = "BSDSystemics"

	def __str__(self):
		return json.dumps(self.__dict__)


class OCCTPL:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Open CASCADE Technology Public License\nVersion 6.6, April 2013\n\nOPEN CASCADE releases and makes publicly available the source code of the software Open CASCADE Technology to the free software development community under the terms and conditions of this license.\n\nIt is not the purpose of this license to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this license has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\nPlease read this license carefully and completely before downloading this software. By downloading, using, modifying, distributing and sublicensing this software, you indicate your acceptance to be bound by the terms and conditions of this license. If you do not want to accept or cannot accept for any reasons the terms and conditions of this license, please do not download or use in any manner this software.\n \n1. Definitions\n\nUnless there is something in the subject matter or in the context inconsistent therewith, the capitalized terms used in this License shall have the following meaning.\n\n\"Applicable Intellectual Property Rights\" means (a) with respect to the Initial Developer, any rights under patents or patents applications or other intellectual property rights that are now or hereafter acquired, owned by or assigned to the Initial Developer and that cover subject matter contained in the Original Code, but only to the extent necessary to use, reproduce, modify, distribute or sublicense the Original Code without infringement; and (b) with respect to You or any Contributor, any rights under patents or patents applications or other intellectual property rights that are now or hereafter acquired, owned by or assigned to You or to such Contributor and that cover subject matter contained in Your Modifications or in such Contributor's Modifications, taken alone or in combination with Original Code.\n\n\"Contributor\" means each individual or legal entity that creates or contributes to the creation of any Modification, including the Initial Developer.\n\n\"Derivative Program\": means a new program combining the Software or portions thereof with other source code not governed by the terms of this License.\n\n\"Initial Developer\": means OPEN CASCADE, with main offices at 1, place des Fr\u00e8res Montgolfier, 78280, Guyancourt, France.\n\n\"Modifications\": mean any addition to, deletion from or change to the substance or the structure of the Software. When source code of the Software is released as a series of files, a Modification is: (a) any addition to, deletion from or change to the contents of a file containing the Software or (b) any new file or other representation of computer program statements that contains any part of the Software. By way of example, Modifications include any debug of, or improvement to, the Original Code or any of its components or portions as well as its next versions or releases thereof.\n\n\"Original Code\": means (a) the source code of the software Open CASCADE Technology originally made available by the Initial Developer under this License, including the source code of any updates or upgrades of the Original Code and (b) the object code compiled from such source code and originally made available by Initial Developer under this License.\n\n\"Software\": means the Original Code, the Modifications, the combination of Original Code and any Modifications or any respective portions thereof.\n\n\"You\" or \"Your\": means an individual or a legal entity exercising rights under this License\n \n2. Acceptance of license\nBy using, reproducing, modifying, distributing or sublicensing the Software or any portion thereof, You expressly indicate Your acceptance of the terms and conditions of this License and undertake to act in accordance with all the provisions of this License applicable to You.\n \n3. Scope and purpose\nThis License applies to the Software and You may not use, reproduce, modify, distribute, sublicense or circulate the Software, or any portion thereof, except as expressly provided under this License. Any attempt to otherwise use, reproduce, modify, distribute or sublicense the Software is void and will automatically terminate Your rights under this License.\n \n4. Contributor license\nSubject to the terms and conditions of this License, the Initial Developer and each of the Contributors hereby grant You a world-wide, royalty-free, irrevocable and non-exclusive license under the Applicable Intellectual Property Rights they own or control, to use, reproduce, modify, distribute and sublicense the Software provided that:\n\n	 You reproduce in all copies of the Software the copyright and other proprietary notices and disclaimers of the Initial Developer as they appear in the Original Code and attached hereto as Schedule \"A\" and any other notices or disclaimers attached to the Software and keep intact all notices in the Original Code that refer to this License and to the absence of any warranty;\n\n	 You include a copy of this License with every copy of the Software You distribute;\n\n	 If you distribute or sublicense the Software (as modified by You or on Your behalf as the case may be), You cause such Software to be licensed as a whole, at no charge, to all third parties, under the terms and conditions of the License, making in particular available to all third parties the source code of the Software;\n\n	 You document all Your Modifications, indicate the date of each such Modification, designate the version of the Software You used, prominently include a file carrying such information with respect to the Modifications and duplicate the copyright and other proprietary notices and disclaimers attached hereto as Schedule \"B\" or any other notices or disclaimers attached to the Software with your Modifications.\n\nFor greater certainty, it is expressly understood that You may freely create Derivative Programs (without any obligation to publish such Derivative Program) and distribute same as a single product. In such case, You must ensure that all the requirements of this License are fulfilled for the Software or any portion thereof.\n\n5. Your license\nYou hereby grant all Contributors and anyone who becomes a party under this License a world-wide, non-exclusive, royalty-free and irrevocable license under the Applicable Intellectual Property Rights owned or controlled by You, to use, reproduce, modify, distribute and sublicense all Your Modifications under the terms and conditions of this License.\n\n6. Software subject to license\nYour Modifications shall be governed by the terms and conditions of this License. You are not authorized to impose any other terms or conditions than those prevailing under this License when You distribute and/or sublicense the Software, save and except as permitted under Section 7 hereof.\n\n7. Additional terms\nYou may choose to offer, on a non-exclusive basis, and to charge a fee for any warranty, support, maintenance, liability obligations or other rights consistent with the scope of this License with respect to the Software (the \"Additional Terms\") to the recipients of the Software. However, You may do so only on Your own behalf and on Your sole and exclusive responsibility. You must obtain the recipient's agreement that any such Additional Terms are offered by You alone, and You hereby agree to indemnify, defend and hold the Initial Developer and any Contributor harmless for any liability incurred by or claims asserted against the Initial Developer or any Contributors with respect to any such Additional Terms.\n\n8. Disclaimer of warranty\nThe Software is provided under this License on an \"as is\" basis, without warranty of any kind, including without limitation, warranties that the Software is free of defects, merchantable, fit for a particular purpose or non-infringing. The entire risk as to the quality and performance of the Software is with You.\n\n9. Liability\nUnder no circumstances shall You, the Initial Developer or any Contributor be liable to any person for any direct or indirect damages of any kind including, without limitation, damages for loss of goodwill, loss of data, work stoppage, computer failure or malfunction or any and all other commercial damages or losses resulting from or relating to this License or indirectly to the use of the Software.\n\n10. Trademark\nThis License does not grant any rights to use the trademarks, trade names and domain names \"MATRA\", \"EADS Matra Datavision\", \"CAS.CADE\", \"Open CASCADE\", \"opencascade.com\" and \"opencascade.org\" or any other trademarks, trade names or domain names used or owned by the Initial Developer.\n\n11. Copyright\nThe Initial Developer retains all rights, title and interest in and to the Original Code. You may not remove the copyright \u00a9 notice which appears when You download the Software.\n\n12. Term\nThis License is granted to You for a term equal to the remaining period of protection covered by the intellectual property rights applicable to the Original Code.\n\n13. Termination\nIn case of termination, as provided in Section 3 above, You agree to immediately stop any further use, reproduction, modification, distribution and sublicensing of the Software and to destroy all copies of the Software that are in Your possession or control. All sublicenses of the Software which have been properly granted prior to termination shall survive any termination of this License. In addition, Sections 5, 8 to 11, 13.2 and 15.2 of this License, in reason of their nature, shall survive the termination of this License for a period of fifteen (15) years.\n\n14. Versions of the license\nThe Initial Developer may publish new versions of this License from time to time. Once Original Code has been published under a particular version of this License, You may choose to continue to use it under the terms and conditions of that version or use the Original Code under the terms of any subsequent version of this License published by the Initial Developer.\n\n15. Miscellaneous\n	 15.1 Relationship of the Parties This License will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between You and the Initial Developer, and You will not represent to the contrary, whether expressly, by implication or otherwise.\n\n	 15.2 Independent Development Nothing in this License will impair the Initial Developer's right to acquire, license, develop, have others develop for it, market or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Modifications, Derivative Programs, technology or products that You may develop, produce, market or distribute.\n\n	 15.3 Severability If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and extent.\n\nEND OF THE TERMS AND CONDITIONS OF THIS LICENSE\n\nOPEN CASCADE is a French soci\u00e9t\u00e9 par actions simplifi\u00e9e having its registered head office at 1, place des Fr\u00e8res Montgolfier, 78280, Guyancourt, France and main offices at 1, place des Fr\u00e8res Montgolfier, 78280, Guyancourt, France. Its web site is located at the following address opencascade.com\n\nOpen CASCADE Technology Public License\nSchedule \"A\"\n\n	 The content of this file is subject to the Open CASCADE Technology Public License (the \"License\"). You may not use the content of this file except in compliance with the License. Please obtain a copy of the License at opencascade.com and read it completely before using this file.\n\n	 The Initial Developer of the Original Code is OPEN CASCADE, with main offices at 1, place des Fr\u00e8res Montgolfier, 78280, Guyancourt, France. The Original Code is copyright \u00a9 OPEN CASCADE SAS, 2001. All rights reserved. \"The Original Code and all software distributed under the License are distributed on an \"AS IS\" basis, without warranty of any kind, and the Initial Developer hereby disclaims all such warranties, including without limitation, any warranties of merchantability, fitness for a particular purpose or non-infringement.\n\n	 Please see the License for the specific terms and conditions governing rights and limitations under the License\".\n	 End of Schedule \"A\"\n\nOpen CASCADE Technology Public License\nSchedule \"B\"\n\n	 \"The content of this file is subject to the Open CASCADE Technology Public License (the \"License\"). You may not use the content of this file except in compliance with the License. Please obtain a copy of the License at opencascade.com and read it completely before using this file.\n\n	 The Initial Developer of the Original Code is OPEN CASCADE, with main offices at 1, place des Fr\u00e8res Montgolfier, 78280, Guyancourt, France. The Original Code is copyright \u00a9 Open CASCADE SAS, 2001. All rights reserved.\n\n	 Modifications to the Original Code have been made by ________________________. Modifications are copyright \u00a9 [Year to be included]. All rights reserved.\n\n	 The software Open CASCADE Technology and all software distributed under the License are distributed on an \"AS IS\" basis, without warranty of any kind, and the Initial Developer hereby disclaims all such warranties, including without limitation, any warranties of merchantability, fitness for a particular purpose or non-infringement.\n\n	 Please see the License for the specific terms and conditions governing rights and limitations under the License\"\n	 End of Schedule \"B\"\n"
		self.standardLicenseTemplate = "<<beginOptional>>Open CASCADE Technology Public License\n\nVersion 6.6, April 2013\n\n<<endOptional>>\n\nOPEN CASCADE releases and makes publicly available the source code of the software Open CASCADE Technology to the free software development community under the terms and conditions of this license.\n\nIt is not the purpose of this license to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this license has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n\nPlease read this license carefully and completely before downloading this software. By downloading, using, modifying, distributing and sublicensing this software, you indicate your acceptance to be bound by the terms and conditions of this license. If you do not want to accept or cannot accept for any reasons the terms and conditions of this license, please do not download or use in any manner this software.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n   Unless there is something in the subject matter or in the context inconsistent therewith, the capitalized terms used in this License shall have the following meaning.\n\n   \"Applicable Intellectual Property Rights\" means (a) with respect to the Initial Developer, any rights under patents or patents applications or other intellectual property rights that are now or hereafter acquired, owned by or assigned to the Initial Developer and that cover subject matter contained in the Original Code, but only to the extent necessary to use, reproduce, modify, distribute or sublicense the Original Code without infringement; and (b) with respect to You or any Contributor, any rights under patents or patents applications or other intellectual property rights that are now or hereafter acquired, owned by or assigned to You or to such Contributor and that cover subject matter contained in Your Modifications or in such Contributor's Modifications, taken alone or in combination with Original Code.\n\n   \"Contributor\" means each individual or legal entity that creates or contributes to the creation of any Modification, including the Initial Developer.\n\n   \"Derivative Program\": means a new program combining the Software or portions thereof with other source code not governed by the terms of this License.\n\n   \"Initial Developer\": means OPEN CASCADE, with main offices at 1, place des Fr\u00e8res Montgolfier, 78280, Guyancourt, France.\n\n   \"Modifications\": mean any addition to, deletion from or change to the substance or the structure of the Software. When source code of the Software is released as a series of files, a Modification is: (a) any addition to, deletion from or change to the contents of a file containing the Software or (b) any new file or other representation of computer program statements that contains any part of the Software. By way of example, Modifications include any debug of, or improvement to, the Original Code or any of its components or portions as well as its next versions or releases thereof.\n\n   \"Original Code\": means (a) the source code of the software Open CASCADE Technology originally made available by the Initial Developer under this License, including the source code of any updates or upgrades of the Original Code and (b) the object code compiled from such source code and originally made available by Initial Developer under this License.\n\n   \"Software\": means the Original Code, the Modifications, the combination of Original Code and any Modifications or any respective portions thereof.\n\n   \"You\" or \"Your\": means an individual or a legal entity exercising rights under this License\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Acceptance of license\n\n   By using, reproducing, modifying, distributing or sublicensing the Software or any portion thereof, You expressly indicate Your acceptance of the terms and conditions of this License and undertake to act in accordance with all the provisions of this License applicable to You.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Scope and purpose\n\n   This License applies to the Software and You may not use, reproduce, modify, distribute, sublicense or circulate the Software, or any portion thereof, except as expressly provided under this License. Any attempt to otherwise use, reproduce, modify, distribute or sublicense the Software is void and will automatically terminate Your rights under this License.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Contributor license\n\n   Subject to the terms and conditions of this License, the Initial Developer and each of the Contributors hereby grant You a world-wide, royalty-free, irrevocable and non-exclusive license under the Applicable Intellectual Property Rights they own or control, to use, reproduce, modify, distribute and sublicense the Software provided that:\n\n   You reproduce in all copies of the Software the copyright and other proprietary notices and disclaimers of the Initial Developer as they appear in the Original Code and attached hereto as Schedule \"A\" and any other notices or disclaimers attached to the Software and keep intact all notices in the Original Code that refer to this License and to the absence of any warranty;\n\n   You include a copy of this License with every copy of the Software You distribute;\n\n   If you distribute or sublicense the Software (as modified by You or on Your behalf as the case may be), You cause such Software to be licensed as a whole, at no charge, to all third parties, under the terms and conditions of the License, making in particular available to all third parties the source code of the Software;\n\n   You document all Your Modifications, indicate the date of each such Modification, designate the version of the Software You used, prominently include a file carrying such information with respect to the Modifications and duplicate the copyright and other proprietary notices and disclaimers attached hereto as Schedule \"B\" or any other notices or disclaimers attached to the Software with your Modifications.\n\n   For greater certainty, it is expressly understood that You may freely create Derivative Programs (without any obligation to publish such Derivative Program) and distribute same as a single product. In such case, You must ensure that all the requirements of this License are fulfilled for the Software or any portion thereof.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Your license\n\n   You hereby grant all Contributors and anyone who becomes a party under this License a world-wide, non-exclusive, royalty-free and irrevocable license under the Applicable Intellectual Property Rights owned or controlled by You, to use, reproduce, modify, distribute and sublicense all Your Modifications under the terms and conditions of this License.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Software subject to license\n\n   Your Modifications shall be governed by the terms and conditions of this License. You are not authorized to impose any other terms or conditions than those prevailing under this License when You distribute and/or sublicense the Software, save and except as permitted under Section 7 hereof.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Additional terms\n\n   You may choose to offer, on a non-exclusive basis, and to charge a fee for any warranty, support, maintenance, liability obligations or other rights consistent with the scope of this License with respect to the Software (the \"Additional Terms\") to the recipients of the Software. However, You may do so only on Your own behalf and on Your sole and exclusive responsibility. You must obtain the recipient's agreement that any such Additional Terms are offered by You alone, and You hereby agree to indemnify, defend and hold the Initial Developer and any Contributor harmless for any liability incurred by or claims asserted against the Initial Developer or any Contributors with respect to any such Additional Terms.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Disclaimer of warranty\n\n   The Software is provided under this License on an \"as is\" basis, without warranty of any kind, including without limitation, warranties that the Software is free of defects, merchantable, fit for a particular purpose or non-infringing. The entire risk as to the quality and performance of the Software is with You.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Liability\n\n   Under no circumstances shall You, the Initial Developer or any Contributor be liable to any person for any direct or indirect damages of any kind including, without limitation, damages for loss of goodwill, loss of data, work stoppage, computer failure or malfunction or any and all other commercial damages or losses resulting from or relating to this License or indirectly to the use of the Software.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Trademark\n\n   This License does not grant any rights to use the trademarks, trade names and domain names \"MATRA\", \"EADS Matra Datavision\", \"CAS.CADE\", \"Open CASCADE\", \"opencascade.com\" and \"opencascade.org\" or any other trademarks, trade names or domain names used or owned by the Initial Developer.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Copyright\n\n   The Initial Developer retains all rights, title and interest in and to the Original Code. You may not remove the copyright \u00a9 notice which appears when You download the Software.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> Term\n\n   This License is granted to You for a term equal to the remaining period of protection covered by the intellectual property rights applicable to the Original Code.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Termination\n\n   In case of termination, as provided in Section 3 above, You agree to immediately stop any further use, reproduction, modification, distribution and sublicensing of the Software and to destroy all copies of the Software that are in Your possession or control. All sublicenses of the Software which have been properly granted prior to termination shall survive any termination of this License. In addition, Sections 5, 8 to 11, 13.2 and 15.2 of this License, in reason of their nature, shall survive the termination of this License for a period of fifteen (15) years.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Versions of the license\n\n   The Initial Developer may publish new versions of this License from time to time. Once Original Code has been published under a particular version of this License, You may choose to continue to use it under the terms and conditions of that version or use the Original Code under the terms of any subsequent version of this License published by the Initial Developer.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"15.1\";match=\".{0,20}\">> Relationship of the Parties This License will not be consTrued as creating an agency, partnership, joint venture or any other form of legal association between You and the Initial Developer, and You will not represent to the contrary, whether expressly, by implication or otherwise.\n\n	  <<var;name=\"bullet\";original=\"15.2\";match=\".{0,20}\">> Independent Development Nothing in this License will impair the Initial Developer's right to acquire, license, develop, have others develop for it, market or distribute technology or products that perform the same or similar functions as, or otherwise compete with, Modifications, Derivative Programs, technology or products that You may develop, produce, market or distribute.\n\n	  <<var;name=\"bullet\";original=\"15.3\";match=\".{0,20}\">> Severability If for any reason a court of competent jurisdiction finds any provision of this License, or portion thereof, to be unenforceable, that provision of the License will be enforced to the maximum extent permissible so as to effect the economic benefits and intent of the parties, and the remainder of this License will continue in full force and extent.<<beginOptional>> END OF THE TERMS AND CONDITIONS OF THIS LICENSE\n\nOPEN CASCADE is a French soci\u00e9t\u00e9 par actions simplifi\u00e9e having its registered head office at 1, place des Fr\u00e8res Montgolfier, 78280, Guyancourt, France and main offices at 1, place des Fr\u00e8res Montgolfier, 78280, Guyancourt, France. Its web site is located at the following address opencascade.com\n\nOpen CASCADE Technology Public License\n\nSchedule \"A\"\n\nThe content of this file is subject to the Open CASCADE Technology Public License (the \"License\"). You may not use the content of this file except in compliance with the License. Please obtain a copy of the License at opencascade.com and read it completely before using this file.\n\nThe Initial Developer of the Original Code is OPEN CASCADE, with main offices at 1, place des Fr\u00e8res Montgolfier, 78280, Guyancourt, France. The Original Code is copyright \u00a9 OPEN CASCADE SAS, 2001. All rights reserved. \"The Original Code and all software distributed under the License are distributed on an \"AS IS\" basis, without warranty of any kind, and the Initial Developer hereby disclaims all such warranties, including without limitation, any warranties of merchantability, fitness for a particular purpose or non-infringement.\n\nPlease see the License for the specific terms and conditions governing rights and limitations under the License\".\n\nEnd of Schedule \"A\"\n\nOpen CASCADE Technology Public License\n\nSchedule \"B\"\n\n\"The content of this file is subject to the Open CASCADE Technology Public License (the \"License\"). You may not use the content of this file except in compliance with the License. Please obtain a copy of the License at opencascade.com and read it completely before using this file.\n\nThe Initial Developer of the Original Code is OPEN CASCADE, with main offices at 1, place des Fr\u00e8res Montgolfier, 78280, Guyancourt, France. The Original Code is copyright \u00a9 Open CASCADE SAS, 2001. All rights reserved.\n\nModifications to the Original Code have been made by ________________________. Modifications are copyright \u00a9 [Year to be included]. All rights reserved.\n\nThe software Open CASCADE Technology and all software distributed under the License are distributed on an \"AS IS\" basis, without warranty of any kind, and the Initial Developer hereby disclaims all such warranties, including without limitation, any warranties of merchantability, fitness for a particular purpose or non-infringement.\n\nPlease see the License for the specific terms and conditions governing rights and limitations under the License\"\n\nEnd of Schedule \"B\"\n\n<<endOptional>>"
		self.name = "Open CASCADE Technology Public License"
		self.licenseId = "OCCT-PL"
		self.crossRef = [{"match": "False", "url": "http://www.opencascade.com/content/occt-public-license", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:12Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.opencascade.com/content/occt-public-license"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Open CASCADE Technology Public License\n		<br />\n\nVersion 6.6, April 2013\n	  </p>\n\n	  </div>\n	  <p>OPEN CASCADE releases and makes publicly available the source code of the software Open CASCADE\n		 Technology to the free software development community under the terms and conditions of this\n		 license.</p>\n\n	  <p>It is not the purpose of this license to induce you to infringe any patents or other property right\n		 claims or to contest validity of any such claims; this license has the sole purpose of protecting the\n		 integrity of the free software distribution system, which is implemented by public license practices.\n		 Many people have made generous contributions to the wide range of software distributed through that\n		 system in reliance on consistent application of that system; it is up to the author/donor to decide if\n		 he or she is willing to distribute software through any other system and a licensee cannot impose that\n		 choice.</p>\n\n	  <p>Please read this license carefully and completely before downloading this software. By downloading,\n		 using, modifying, distributing and sublicensing this software, you indicate your acceptance to be\n		 bound by the terms and conditions of this license. If you do not want to accept or cannot accept for\n		 any reasons the terms and conditions of this license, please do not download or use in any manner this\n		 software.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		  <p>Unless there is something in the subject matter or in the context inconsistent therewith, the\n			 capitalized terms used in this License shall have the following meaning.</p>\n\n			<p>&quot;Applicable Intellectual Property Rights&quot; means (a) with respect to the Initial\n			 Developer, any rights under patents or patents applications or other intellectual property\n			 rights that are now or hereafter acquired, owned by or assigned to the Initial Developer and\n			 that cover subject matter contained in the Original Code, but only to the extent necessary to\n			 use, reproduce, modify, distribute or sublicense the Original Code without infringement; and\n			 (b) with respect to You or any Contributor, any rights under patents or patents applications\n			 or other intellectual property rights that are now or hereafter acquired, owned by or assigned\n			 to You or to such Contributor and that cover subject matter contained in Your Modifications or\n			 in such Contributor&apos;s Modifications, taken alone or in combination with Original\n			 Code.</p>\n\n			<p>&quot;Contributor&quot; means each individual or legal entity that creates or contributes to the\n			 creation of any Modification, including the Initial Developer.</p>\n\n			<p>&quot;Derivative Program&quot;: means a new program combining the Software or portions thereof\n			 with other source code not governed by the terms of this License.</p>\n\n			<p>&quot;Initial Developer&quot;: means OPEN CASCADE, with main offices at 1, place des Fr\u00e8res\n			 Montgolfier, 78280, Guyancourt, France.</p>\n\n			<p>&quot;Modifications&quot;: mean any addition to, deletion from or change to the substance or the\n			 structure of the Software. When source code of the Software is released as a series of files,\n			 a Modification is: (a) any addition to, deletion from or change to the contents of a file\n			 containing the Software or (b) any new file or other representation of computer program\n			 statements that contains any part of the Software. By way of example, Modifications include\n			 any debug of, or improvement to, the Original Code or any of its components or portions as\n			 well as its next versions or releases thereof.</p>\n\n			<p>&quot;Original Code&quot;: means (a) the source code of the software Open CASCADE Technology\n			 originally made available by the Initial Developer under this License, including the source\n			 code of any updates or upgrades of the Original Code and (b) the object code compiled from\n			 such source code and originally made available by Initial Developer under this License.</p>\n\n			<p>&quot;Software&quot;: means the Original Code, the Modifications, the combination of Original\n			 Code and any Modifications or any respective portions thereof.</p>\n\n			<p>&quot;You&quot; or &quot;Your&quot;: means an individual or a legal entity exercising rights\n			 under this License</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Acceptance of license\n			<br />\n\n   By using, reproducing, modifying, distributing or sublicensing the Software or any portion\n				 thereof, You expressly indicate Your acceptance of the terms and conditions of this\n				 License and undertake to act in accordance with all the provisions of this License\n				 applicable to You.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Scope and purpose\n			<br />\n\n   This License applies to the Software and You may not use, reproduce, modify, distribute,\n				 sublicense or circulate the Software, or any portion thereof, except as expressly\n				 provided under this License. Any attempt to otherwise use, reproduce, modify,\n				 distribute or sublicense the Software is void and will automatically terminate Your\n				 rights under this License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Contributor license\n			<br />\n\n   Subject to the terms and conditions of this License, the Initial Developer and each of the\n				 Contributors hereby grant You a world-wide, royalty-free, irrevocable and\n				 non-exclusive license under the Applicable Intellectual Property Rights they own or\n				 control, to use, reproduce, modify, distribute and sublicense the Software provided\n				 that:\n\n		  <p>You reproduce in all copies of the Software the copyright and other proprietary notices and\n			 disclaimers of the Initial Developer as they appear in the Original Code and attached hereto\n			 as Schedule &quot;A&quot; and any other notices or disclaimers attached to the Software and\n			 keep intact all notices in the Original Code that refer to this License and to the absence of\n			 any warranty;</p>\n\n			<p>You include a copy of this License with every copy of the Software You distribute;</p>\n\n			<p>If you distribute or sublicense the Software (as modified by You or on Your behalf as the case\n			 may be), You cause such Software to be licensed as a whole, at no charge, to all third\n			 parties, under the terms and conditions of the License, making in particular available to all\n			 third parties the source code of the Software;</p>\n\n			<p>You document all Your Modifications, indicate the date of each such Modification, designate the\n			 version of the Software You used, prominently include a file carrying such information with\n			 respect to the Modifications and duplicate the copyright and other proprietary notices and\n			 disclaimers attached hereto as Schedule &quot;B&quot; or any other notices or disclaimers\n			 attached to the Software with your Modifications.</p>\n\n			<p>For greater certainty, it is expressly understood that You may freely create Derivative Programs\n			 (without any obligation to publish such Derivative Program) and distribute same as a single\n			 product. In such case, You must ensure that all the requirements of this License are fulfilled\n			 for the Software or any portion thereof.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Your license\n			<br />\n\n   You hereby grant all Contributors and anyone who becomes a party under this License a\n				 world-wide, non-exclusive, royalty-free and irrevocable license under the Applicable\n				 Intellectual Property Rights owned or controlled by You, to use, reproduce, modify,\n				 distribute and sublicense all Your Modifications under the terms and conditions of\n				 this License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Software subject to license\n			<br />\n\n   Your Modifications shall be governed by the terms and conditions of this License. You are\n				 not authorized to impose any other terms or conditions than those prevailing under\n				 this License when You distribute and/or sublicense the Software, save and except as\n				 permitted under Section 7 hereof.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Additional terms\n			<br />\n\n   You may choose to offer, on a non-exclusive basis, and to charge a fee for any warranty,\n				 support, maintenance, liability obligations or other rights consistent with the scope\n				 of this License with respect to the Software (the &quot;Additional Terms&quot;) to the\n				 recipients of the Software. However, You may do so only on Your own behalf and on Your\n				 sole and exclusive responsibility. You must obtain the recipient&apos;s agreement that\n				 any such Additional Terms are offered by You alone, and You hereby agree to indemnify,\n				 defend and hold the Initial Developer and any Contributor harmless for any liability\n				 incurred by or claims asserted against the Initial Developer or any Contributors with\n				 respect to any such Additional Terms.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Disclaimer of warranty\n			<br />\n\n   The Software is provided under this License on an &quot;as is&quot; basis, without warranty\n				 of any kind, including without limitation, warranties that the Software is free of\n				 defects, merchantable, fit for a particular purpose or non-infringing. The entire risk\n				 as to the quality and performance of the Software is with You.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  Liability\n			<br />\n\n   Under no circumstances shall You, the Initial Developer or any Contributor be liable to any\n				 person for any direct or indirect damages of any kind including, without limitation,\n				 damages for loss of goodwill, loss of data, work stoppage, computer failure or\n				 malfunction or any and all other commercial damages or losses resulting from or\n				 relating to this License or indirectly to the use of the Software.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  Trademark\n			<br />\n\n   This License does not grant any rights to use the trademarks, trade names and domain names\n				 &quot;MATRA&quot;, &quot;EADS Matra Datavision&quot;, &quot;CAS.CADE&quot;, &quot;Open\n				 CASCADE&quot;, &quot;opencascade.com&quot; and &quot;opencascade.org&quot; or any\n				 other trademarks, trade names or domain names used or owned by the Initial Developer.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  Copyright\n			<br />\n\n   The Initial Developer retains all rights, title and interest in and to the Original Code.\n				 You may not remove the copyright \u00a9 notice which appears when You download the\n				 Software.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  Term\n			<br />\n\n   This License is granted to You for a term equal to the remaining period of protection\n				 covered by the intellectual property rights applicable to the Original Code.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 13.</var>\n		  Termination\n			<br />\n\n   In case of termination, as provided in Section 3 above, You agree to immediately stop any\n				 further use, reproduction, modification, distribution and sublicensing of the Software\n				 and to destroy all copies of the Software that are in Your possession or control. All\n				 sublicenses of the Software which have been properly granted prior to termination\n				 shall survive any termination of this License. In addition, Sections 5, 8 to 11, 13.2\n				 and 15.2 of this License, in reason of their nature, shall survive the termination of\n				 this License for a period of fifteen (15) years.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 14.</var>\n		  Versions of the license\n			<br />\n\n   The Initial Developer may publish new versions of this License from time to time. Once\n				 Original Code has been published under a particular version of this License, You may\n				 choose to continue to use it under the terms and conditions of that version or use the\n				 Original Code under the terms of any subsequent version of this License published by\n				 the Initial Developer.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 15.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 15.1</var>\n			Relationship of the Parties This License will not be consTrued as creating an agency,\n			   partnership, joint venture or any other form of legal association between You and the\n			   Initial Developer, and You will not represent to the contrary, whether expressly, by\n			   implication or otherwise.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 15.2</var>\n			Independent Development Nothing in this License will impair the Initial Developer&apos;s\n			   right to acquire, license, develop, have others develop for it, market or distribute\n			   technology or products that perform the same or similar functions as, or otherwise compete\n			   with, Modifications, Derivative Programs, technology or products that You may develop,\n			   produce, market or distribute.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 15.3</var>\n			Severability If for any reason a court of competent jurisdiction finds any provision of this\n			   License, or portion thereof, to be unenforceable, that provision of the License will be\n			   enforced to the maximum extent permissible so as to effect the economic benefits and\n			   intent of the parties, and the remainder of this License will continue in full force and\n			   extent.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>END OF THE TERMS AND CONDITIONS OF THIS LICENSE</p>\n\n		 <p>OPEN CASCADE is a French soci\u00e9t\u00e9 par actions simplifi\u00e9e having its registered head office\n		 at 1, place des Fr\u00e8res Montgolfier, 78280, Guyancourt, France and main offices at 1, place des\n		 Fr\u00e8res Montgolfier, 78280, Guyancourt, France. Its web site is located at the following address\n		 opencascade.com</p>\n\n		 <p>Open CASCADE Technology Public License\n		<br />\n\nSchedule &quot;A&quot;\n	  </p>\n\n		 <p>The content of this file is subject to the Open CASCADE Technology Public License (the\n		 &quot;License&quot;). You may not use the content of this file except in compliance with the License.\n		 Please obtain a copy of the License at opencascade.com and read it completely before using this\n		 file.</p>\n\n		 <p>The Initial Developer of the Original Code is OPEN CASCADE, with main offices at 1, place des Fr\u00e8res\n		 Montgolfier, 78280, Guyancourt, France. The Original Code is copyright \u00a9 OPEN CASCADE SAS, 2001.\n		 All rights reserved. &quot;The Original Code and all software distributed under the License are\n		 distributed on an &quot;AS IS&quot; basis, without warranty of any kind, and the Initial Developer\n		 hereby disclaims all such warranties, including without limitation, any warranties of merchantability,\n		 fitness for a particular purpose or non-infringement.</p>\n\n		 <p>Please see the License for the specific terms and conditions governing rights and limitations under the\n		 License&quot;.\n		<br />\n\nEnd of Schedule &quot;A&quot;\n	  </p>\n\n		 <p>Open CASCADE Technology Public License\n		<br />\n\nSchedule &quot;B&quot;\n	  </p>\n\n		 <p>&quot;The content of this file is subject to the Open CASCADE Technology Public License (the\n		 &quot;License&quot;). You may not use the content of this file except in compliance with the License.\n		 Please obtain a copy of the License at opencascade.com and read it completely before using this\n		 file.</p>\n\n		 <p>The Initial Developer of the Original Code is OPEN CASCADE, with main offices at 1, place des Fr\u00e8res\n		 Montgolfier, 78280, Guyancourt, France. The Original Code is copyright \u00a9 Open CASCADE SAS, 2001.\n		 All rights reserved.</p>\n\n		 <p>Modifications to the Original Code have been made by ________________________. Modifications are\n		 copyright \u00a9 [Year to be included]. All rights reserved.</p>\n\n		 <p>The software Open CASCADE Technology and all software distributed under the License are distributed on an\n		 &quot;AS IS&quot; basis, without warranty of any kind, and the Initial Developer hereby disclaims all\n		 such warranties, including without limitation, any warranties of merchantability, fitness for a\n		 particular purpose or non-infringement.</p>\n\n		 <p>Please see the License for the specific terms and conditions governing rights and limitations under the\n		 License&quot;\n		<br />\n\nEnd of Schedule &quot;B&quot;\n	  </p>\n\n	  </div>\n	"
		self.python_name = "OCCTPL"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBY30:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Creative Commons Attribution 3.0 Unported\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Adaptation\" means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered an Adaptation for the purpose of this License.\n\n	 b. \"Collection\" means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(f) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined above) for the purposes of this License.\n\n	 c. \"Distribute\" means to make available to the public the original and copies of the Work or Adaptation, as appropriate, through sale or other transfer of ownership.\n\n	 d. \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License.\n\n	 e. \"Original Author\" means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast.\n\n	 f. \"Work\" means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work.\n\n	 g. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	 h. \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	 i. \"Reproduce\" means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.\n\n2. Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections;\n\n	 b. to create and Reproduce Adaptations provided that any such Adaptation, including any translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise identify that changes were made to the original Work. For example, a translation could be marked \"The original work was translated from English to Spanish,\" or a modification could indicate \"The original work has been modified.\";\n\n	 c. to Distribute and Publicly Perform the Work including as incorporated in Collections; and,\n\n	 d. to Distribute and Publicly Perform Adaptations.\n\n	 e. For the avoidance of doubt:\n\n		  i. Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		  ii. Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,\n\n		  iii. Voluntary License Schemes. The Licensor waives the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License.\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. Subject to Section 8(f), all rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(b), as requested. If You create an Adaptation, upon notice from any Licensor You must, to the extent practicable, remove from the Adaptation any credit as required by Section 4(b), as requested.\n\n	 b. If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution (\"Attribution Parties\") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and (iv) , consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). The credit required by this Section 4 (b) may be implemented in any reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributing authors of the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.\n\n	 c. Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author's honor or reputation. Licensor agrees that in those jurisdictions (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License (the right to make Adaptations) would be deemed to be a distortion, mutilation, modification or other derogatory action prejudicial to the Original Author's honor and reputation, the Licensor will waive or not assert, as appropriate, this Section, to the fullest extent permitted by the applicable national law, to enable You to reasonably exercise Your right under Section 3(b) of this License (right to make Adaptations) but not otherwise.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	 c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You.\n\n	 e. This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	 f. The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution 3.0 Unported\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Adaptation\" means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered an Adaptation for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Collection\" means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(f) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined above) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Distribute\" means to make available to the public the original and copies of the Work or Adaptation, as appropriate, through sale or other transfer of ownership.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Licensor\" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Original Author\" means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"Work\" means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work.\n\n	  <<var;name=\"bullet\";original=\"g.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n	  <<var;name=\"bullet\";original=\"h.\";match=\".{0,20}\">> \"Publicly Perform\" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.\n\n	  <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> \"Reproduce\" means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to create and Reproduce Adaptations provided that any such Adaptation, including any translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise identify that changes were made to the original Work. For example, a translation could be marked \"The original work was translated from English to Spanish,\" or a modification could indicate \"The original work has been modified.\";\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> to Distribute and Publicly Perform the Work including as incorporated in Collections; and,\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> to Distribute and Publicly Perform Adaptations.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> For the avoidance of doubt:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,\n\n		 <<var;name=\"bullet\";original=\"iii.\";match=\".{0,20}\">> Voluntary License Schemes. The Licensor waives the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License.\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. Subject to Section 8(f), all rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(b), as requested. If You create an Adaptation, upon notice from any Licensor You must, to the extent practicable, remove from the Adaptation any credit as required by Section 4(b), as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution (\"Attribution Parties\") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and (iv), consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation (e.g., \"French translation of the Work by Original Author,\" or \"Screenplay based on original Work by Original Author\"). The credit required by this Section 4 (b) may be implemented in any reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributing authors of the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author's honor or reputation. Licensor agrees that in those jurisdictions (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License (the right to make Adaptations) would be deemed to be a distortion, mutilation, modification or other derogatory action prejudicial to the Original Author's honor and reputation, the Licensor will waive or not assert, as appropriate, this Section, to the fullest extent permitted by the applicable national law, to enable You to reasonably exercise Your right under Section 3(b) of this License (right to make Adaptations) but not otherwise.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> This License may not be modified without the mutual written agreement of the Licensor and You.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.<<beginOptional>> Creative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, Creative Commons does not authorize the use by either party of the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time. For the avoidance of doubt, this trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n\n<<endOptional>>"
		self.name = "Creative Commons Attribution 3.0 Unported"
		self.licenseId = "CC-BY-3.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by/3.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:27Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by/3.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution 3.0 Unported</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE\n		 RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Adaptation&quot; means a work based upon the Work, or upon the Work and other\n			   pre-existing works, such as a translation, adaptation, derivative work, arrangement of\n			   music or other alterations of a literary or artistic work, or phonogram or performance and\n			   includes cinematographic adaptations or any other form in which the Work may be recast,\n			   transformed, or adapted including in any form recognizably derived from the original,\n			   except that a work that constitutes a Collection will not be considered an Adaptation for\n			   the purpose of this License. For the avoidance of doubt, where the Work is a musical work,\n			   performance or phonogram, the synchronization of the Work in timed-relation with a moving\n			   image (&quot;synching&quot;) will be considered an Adaptation for the purpose of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Collection&quot; means a collection of literary or artistic works, such as\n			   encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works\n			   or subject matter other than works listed in Section 1(f) below, which, by reason of the\n			   selection and arrangement of their contents, constitute intellectual creations, in which\n			   the Work is included in its entirety in unmodified form along with one or more other\n			   contributions, each constituting separate and independent works in themselves, which\n			   together are assembled into a collective whole. A work that constitutes a Collection will\n			   not be considered an Adaptation (as defined above) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Distribute&quot; means to make available to the public the original and copies of the\n			   Work or Adaptation, as appropriate, through sale or other transfer of ownership.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Licensor&quot; means the individual, individuals, entity or entities that offer(s) the\n			   Work under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Original Author&quot; means, in the case of a literary or artistic work, the\n			   individual, individuals, entity or entities who created the Work or if no individual or\n			   entity can be identified, the publisher; and in addition (i) in the case of a performance\n			   the actors, singers, musicians, dancers, and other persons who act, sing, deliver,\n			   declaim, play in, interpret or otherwise perform literary or artistic works or expressions\n			   of folklore; (ii) in the case of a phonogram the producer being the person or legal entity\n			   who first fixes the sounds of a performance or other sounds; and, (iii) in the case of\n			   broadcasts, the organization that transmits the broadcast.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;Work&quot; means the literary and/or artistic work offered under the terms of this\n			   License including without limitation any production in the literary, scientific and\n			   artistic domain, whatever may be the mode or form of its expression including digital\n			   form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work\n			   of the same nature; a dramatic or dramatico-musical work; a choreographic work or\n			   entertainment in dumb show; a musical composition with or without words; a cinematographic\n			   work to which are assimilated works expressed by a process analogous to cinematography; a\n			   work of drawing, painting, architecture, sculpture, engraving or lithography; a\n			   photographic work to which are assimilated works expressed by a process analogous to\n			   photography; a work of applied art; an illustration, map, plan, sketch or\n			   three-dimensional work relative to geography, topography, architecture or science; a\n			   performance; a broadcast; a phonogram; a compilation of data to the extent it is protected\n			   as a copyrightable work; or a work performed by a variety or circus performer to the\n			   extent it is not otherwise considered a literary or artistic work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> g.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> h.</var>\n			&quot;Publicly Perform&quot; means to perform public recitations of the Work and to\n			   communicate to the public those public recitations, by any means or process, including by\n			   wire or wireless means or public digital performances; to make available to the public\n			   Works in such a way that members of the public may access these Works from a place and at\n			   a place individually chosen by them; to perform the Work to the public by any means or\n			   process and the communication to the public of the performances of the Work, including by\n			   public digital performance; to broadcast and rebroadcast the Work by any means including\n			   signs, sounds or images.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> i.</var>\n			&quot;Reproduce&quot; means to make copies of the Work by any means including without\n			   limitation by sound or visual recordings and the right of fixation and reproducing\n			   fixations of the Work, including storage of a protected performance or phonogram in\n			   digital form or other electronic medium.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses\n			 free from copyright or rights arising from limitations or exceptions that are provided for in\n			 connection with the copyright protection under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce\n			   the Work as incorporated in the Collections;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to create and Reproduce Adaptations provided that any such Adaptation, including any\n			   translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise\n			   identify that changes were made to the original Work. For example, a translation could be\n			   marked &quot;The original work was translated from English to Spanish,&quot; or a\n			   modification could indicate &quot;The original work has been modified.&quot;;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			to Distribute and Publicly Perform the Work including as incorporated in Collections; and,\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			to Distribute and Publicly Perform Adaptations.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			For the avoidance of doubt:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to\n				 collect royalties through any statutory or compulsory licensing scheme cannot be\n				 waived, the Licensor reserves the exclusive right to collect such royalties for any\n				 exercise by You of the rights granted under this License;\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect\n				 royalties through any statutory or compulsory licensing scheme can be waived, the\n				 Licensor waives the exclusive right to collect such royalties for any exercise by You\n				 of the rights granted under this License; and,\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> iii.</var>\n			  Voluntary License Schemes. The Licensor waives the right to collect royalties, whether\n				 individually or, in the event that the Licensor is a member of a collecting society\n				 that administers voluntary licensing schemes, via that society, from any exercise by\n				 You of the rights granted under this License.\n			</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n			<p>The above rights may be exercised in all media and formats whether now known or hereafter\n			   devised. The above rights include the right to make such modifications as are\n			   technically necessary to exercise the rights in other media and formats. Subject to\n			   Section 8(f), all rights not expressly granted by Licensor are hereby reserved.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions. The license granted in Section 3 above is expressly made subject to and limited by\n			 the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may Distribute or Publicly Perform the Work only under the terms of this License. You\n			   must include a copy of, or the Uniform Resource Identifier (URI) for, this License with\n			   every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any\n			   terms on the Work that restrict the terms of this License or the ability of the recipient\n			   of the Work to exercise the rights granted to that recipient under the terms of the\n			   License. You may not sublicense the Work. You must keep intact all notices that refer to\n			   this License and to the disclaimer of warranties with every copy of the Work You\n			   Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may\n			   not impose any effective technological measures on the Work that restrict the ability of a\n			   recipient of the Work from You to exercise the rights granted to that recipient under the\n			   terms of the License. This Section 4(a) applies to the Work as incorporated in a\n			   Collection, but this does not require the Collection apart from the Work itself to be made\n			   subject to the terms of this License. If You create a Collection, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Collection any credit as\n			   required by Section 4(b), as requested. If You create an Adaptation, upon notice from any\n			   Licensor You must, to the extent practicable, remove from the Adaptation any credit as\n			   required by Section 4(b), as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must,\n			   unless a request has been made pursuant to Section 4(a), keep intact all copyright notices\n			   for the Work and provide, reasonable to the medium or means You are utilizing: (i) the\n			   name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the\n			   Original Author and/or Licensor designate another party or parties (e.g., a sponsor\n			   institute, publishing entity, journal) for attribution (&quot;Attribution Parties&quot;)\n			   in Licensor&apos;s copyright notice, terms of service or by other reasonable means, the\n			   name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent\n			   reasonably practicable, the URI, if any, that Licensor specifies to be associated with the\n			   Work, unless such URI does not refer to the copyright notice or licensing information for\n			   the Work; and (iv), consistent with Section 3(b), in the case of an Adaptation, a credit\n			   identifying the use of the Work in the Adaptation (e.g., &quot;French translation of the\n			   Work by Original Author,&quot; or &quot;Screenplay based on original Work by Original\n			   Author&quot;). The credit required by this Section 4 (b) may be implemented in any\n			   reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a\n			   minimum such credit will appear, if a credit for all contributing authors of the\n			   Adaptation or Collection appears, then as part of these credits and in a manner at least\n			   as prominent as the credits for the other contributing authors. For the avoidance of\n			   doubt, You may only use the credit required by this Section for the purpose of attribution\n			   in the manner set out above and, by exercising Your rights under this License, You may not\n			   implicitly or explicitly assert or imply any connection with, sponsorship or endorsement\n			   by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or\n			   Your use of the Work, without the separate, express prior written permission of the\n			   Original Author, Licensor and/or Attribution Parties.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by\n			   applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself\n			   or as part of any Adaptations or Collections, You must not distort, mutilate, modify or\n			   take other derogatory action in relation to the Work which would be prejudicial to the\n			   Original Author&apos;s honor or reputation. Licensor agrees that in those jurisdictions\n			   (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License\n			   (the right to make Adaptations) would be deemed to be a distortion, mutilation,\n			   modification or other derogatory action prejudicial to the Original Author&apos;s honor\n			   and reputation, the Licensor will waive or not assert, as appropriate, this Section, to\n			   the fullest extent permitted by the applicable national law, to enable You to reasonably\n			   exercise Your right under Section 3(b) of this License (right to make Adaptations) but not\n			   otherwise.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Adaptations or\n			   Collections from You under this License, however, will not have their licenses terminated\n			   provided such individuals or entities remain in full compliance with those licenses.\n			   Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to\n			   the recipient a license to the Work on the same terms and conditions as the license\n			   granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient\n			   a license to the original Work on the same terms and conditions as the license granted to\n			   You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent. This License constitutes the entire agreement between the parties with\n			   respect to the Work licensed here. There are no understandings, agreements or\n			   representations with respect to the Work not specified here. Licensor shall not be bound\n			   by any additional provisions that may appear in any communication from You.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			This License may not be modified without the mutual written agreement of the Licensor and You.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			The rights granted under, and the subject matter referenced, in this License were drafted\n			   utilizing the terminology of the Berne Convention for the Protection of Literary and\n			   Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO\n			   Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the\n			   Universal Copyright Convention (as revised on July 24, 1971). These rights and subject\n			   matter take effect in the relevant jurisdiction in which the License terms are sought to\n			   be enforced according to the corresponding provisions of the implementation of those\n			   treaty provisions in the applicable national law. If the standard suite of rights granted\n			   under applicable copyright law includes additional rights not granted under this License,\n			   such additional rights are deemed to be included in the License; this License is not\n			   intended to restrict the license of any rights under applicable law.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Notice</p>\n\n		 <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n			Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n			whatsoever, including without limitation any general, special, incidental or consequential damages\n			arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n			Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n			obligations of Licensor.</p>\n\n		 <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n			Creative Commons does not authorize the use by either party of the trademark &quot;Creative\n			Commons&quot; or any related trademark or logo of Creative Commons without the prior written consent\n			of Creative Commons. Any permitted use will be in compliance with Creative Commons&apos; then-current\n			trademark usage guidelines, as may be published on its website or otherwise made available upon\n			request from time to time. For the avoidance of doubt, this trademark restriction does not form part\n			of this License.</p>\n\n		 <p>Creative Commons may be contacted at http://creativecommons.org/.</p>\n\n	   </div>\n	"
		self.python_name = "CCBY30"

	def __str__(self):
		return json.dumps(self.__dict__)


class McPheeslideshow:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright 2001, Patrick TJ McPhee\neveryone is welcome to use this code for any purpose, to modify it, and\nto copy it in whole or in part for use in other macro sets, with the\nconditions that this copyright notice be preserved with any significant\nportion of the code, and that modifications to this file be clearly\nmarked.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright 2001, Patrick TJ McPhee\";match=\".{0,5000}\">>\n\neveryone is welcome to use this code for any purpose, to modify it, and to copy it in whole or in part for use in other macro sets, with the conditions that this copyright notice be preserved with any significant portion of the code, and that modifications to this file be clearly marked.\n\n"
		self.name = "McPhee Slideshow License"
		self.licenseId = "McPhee-slideshow"
		self.crossRef = [{"match": "False", "url": "https://mirror.las.iastate.edu/tex-archive/graphics/metapost/contrib/macros/slideshow/slideshow.mp", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:17Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://mirror.las.iastate.edu/tex-archive/graphics/metapost/contrib/macros/slideshow/slideshow.mp"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n		   Copyright 2001, Patrick TJ McPhee\n		 </var>\n		 <p>\n				everyone is welcome to use this code for any purpose, to modify\n				it, and to copy it in whole or in part for use in other macro\n				sets, with the conditions that this copyright notice\n				be preserved with any significant portion of the code,\n				and that modifications to this file be clearly marked.\n		 </p>\n\n	  "
		self.python_name = "McPheeslideshow"

	def __str__(self):
		return json.dumps(self.__dict__)


class Furuseth:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Portions Copyright 1999-2008 Howard Y.H. Chu.\nPortions Copyright 1999-2008 Symas Corporation.\nPortions Copyright 1998-2003 Hallvard B. Furuseth.\nPortions Copyright 2007-2011 Gavin Henry.\nPortions Copyright 2007-2011 Suretec Systems Ltd.\nAll rights reserved.\n\nRedistribution and use in source and binary forms, with or without\nmodification, are permitted provided that this notice is preserved.\nThe names of the copyright holders may not be used to endorse or\npromote products derived from this software without their specific\nprior written permission.  This software is provided ``as is''\nwithout express or implied warranty.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Portions Copyright 1999-2008 Howard Y.H. Chu.  Portions Copyright 1999-2008 Symas Corporation.  Portions Copyright 1998-2003 Hallvard B. Furuseth.  Portions Copyright 2007-2011 Gavin Henry.  Portions Copyright 2007-2011 Suretec Systems Ltd. All rights reserved.\";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that this notice is preserved. The names of the copyright holders may not be used to endorse or promote products derived from this software without their specific prior written permission. This software is provided ``as is'' without express or implied warranty.\n\n"
		self.name = "Furuseth License"
		self.licenseId = "Furuseth"
		self.crossRef = [{"match": "False", "url": "https://git.openldap.org/openldap/openldap/-/blob/master/COPYRIGHT?ref_type=heads#L39-51", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:57Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://git.openldap.org/openldap/openldap/-/blob/master/COPYRIGHT?ref_type=heads#L39-51"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Portions Copyright 1999-2008 Howard Y.H. Chu.<br />\n\n			Portions Copyright 1999-2008 Symas Corporation.<br />\n\n			Portions Copyright 1998-2003 Hallvard B. Furuseth.<br />\n\n			Portions Copyright 2007-2011 Gavin Henry.<br />\n\n			Portions Copyright 2007-2011 Suretec\n			Systems Ltd. All rights reserved.\n		 </var>\n		 <p>\n			Redistribution and use in source and binary forms, with or\n			without modification, are permitted provided that this notice\n			is preserved. The names of the copyright holders may not be\n			used to endorse or promote products derived from this software\n			without their specific prior written permission. This software\n			is provided ``as is&apos;&apos; without express or implied warranty.\n		 </p>\n\n	  "
		self.python_name = "Furuseth"

	def __str__(self):
		return json.dumps(self.__dict__)


class xlock:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 1990 by Sun Microsystems, Inc. \nAuthor: Patrick J. Naughton naughton@wind.sun.com \n\nPermission to use, copy, modify, and distribute this software and its \ndocumentation for any purpose and without fee is hereby granted, \nprovided that the above copyright notice appear in all copies and \nthat both that copyright notice and this permission notice appear in \nsupporting documentation. \n\nThis file is provided AS IS with no warranties of any kind. The author \nshall have no liability with respect to the infringement of copyrights, \ntrade secrets or any patents by this file or any part thereof. In no event \nwill the author be liable for any lost revenue or profits or other special, \nindirect and consequential damages.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 1990 by Sun Microsystems, Inc. Author: Patrick J. Naughton naughton@wind.sun.com\";match=\".{0,5000}\">>\n\nPermission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. This file is provided AS IS with no warranties of any kind. The author shall have no liability with respect to the infringement of copyrights, trade secrets or any patents by this file or any part thereof. In no event will the author be liable for any lost revenue or profits or other special, indirect and consequential damages.\n\n"
		self.name = "xlock License"
		self.licenseId = "xlock"
		self.crossRef = [{"match": "False", "url": "https://fossies.org/linux/tiff/contrib/ras/ras2tif.c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:19:41Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fossies.org/linux/tiff/contrib/ras/ras2tif.c"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (c) 1990 by Sun Microsystems, Inc.\n			Author: Patrick J. Naughton naughton@wind.sun.com\n		 </var>\n		 <p>\n			Permission to use, copy, modify, and distribute this software\n			and its documentation for any purpose and without fee is hereby\n			granted, provided that the above copyright notice appear in all\n			copies and that both that copyright notice and this permission\n			notice appear in supporting documentation. This file is provided\n			AS IS with no warranties of any kind. The author shall have\n			no liability with respect to the infringement of copyrights,\n			trade secrets or any patents by this file or any part thereof.\n			In no event will the author be liable for any lost revenue or\n			profits or other special, indirect and consequential damages.\n		 </p>\n\n	  "
		self.python_name = "xlock"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD3ClauseSun:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (c) 2001-2013 Oracle and/or its affiliates. All rights reserved.\n\nRedistribution and  use in  source and binary  forms, with  or without\nmodification, are permitted provided that the following conditions are\nmet:\n\n- Redistributions  of  source code  must  retain  the above  copyright\n  notice, this list of conditions and the following disclaimer.\n\n- Redistribution  in binary  form must  reproduct the  above copyright\n  notice, this list of conditions  and the following disclaimer in the\n  documentation and/or other materials provided with the distribution.\n\nNeither  the  name   of  Sun  Microsystems,  Inc.  or   the  names  of\ncontributors may be  used to endorse or promote  products derived from\nthis software without specific prior written permission.\n\nThis software is provided \"AS IS,\" without a warranty of any kind. ALL\nEXPRESS  OR   IMPLIED  CONDITIONS,  REPRESENTATIONS   AND  WARRANTIES,\nINCLUDING  ANY  IMPLIED WARRANTY  OF  MERCHANTABILITY,  FITNESS FOR  A\nPARTICULAR PURPOSE  OR NON-INFRINGEMENT, ARE HEREBY  EXCLUDED. SUN AND\nITS  LICENSORS SHALL  NOT BE  LIABLE  FOR ANY  DAMAGES OR  LIABILITIES\nSUFFERED BY LICENSEE  AS A RESULT OF OR  RELATING TO USE, MODIFICATION\nOR DISTRIBUTION OF  THE SOFTWARE OR ITS DERIVATIVES.  IN NO EVENT WILL\nSUN OR ITS  LICENSORS BE LIABLE FOR ANY LOST  REVENUE, PROFIT OR DATA,\nOR  FOR  DIRECT,   INDIRECT,  SPECIAL,  CONSEQUENTIAL,  INCIDENTAL  OR\nPUNITIVE  DAMAGES, HOWEVER  CAUSED  AND REGARDLESS  OF  THE THEORY  OF\nLIABILITY, ARISING  OUT OF  THE USE OF  OR INABILITY TO  USE SOFTWARE,\nEVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (c) 2001-2013 Oracle and/or its affiliates. All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"-\";match=\".{0,20}\">> Redistribution in binary form must reproduct the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\nNeither the name of Sun Microsystems, Inc. or the names of contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nThis software is provided \"AS IS,\" without a warranty of any kind. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES OR LIABILITIES SUFFERED BY LICENSEE AS A RESULT OF OR RELATING TO USE, MODIFICATION OR DISTRIBUTION OF THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n"
		self.name = "BSD 3-Clause Sun Microsystems"
		self.licenseComments = "This license is very similar to BSD-3-Clause-No-Nuclear-Warranty except it has variations in the disclaimer and omits the no-nuclear-warranty at the end."
		self.licenseId = "BSD-3-Clause-Sun"
		self.crossRef = [{"match": "False", "url": "https://github.com/xmlark/msv/blob/b9316e2f2270bc1606952ea4939ec87fbba157f3/xsdlib/src/main/java/com/sun/msv/datatype/regexp/InternalImpl.java", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:30Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/xmlark/msv/blob/b9316e2f2270bc1606952ea4939ec87fbba157f3/xsdlib/src/main/java/com/sun/msv/datatype/regexp/InternalImpl.java"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		<p>Copyright (c) 2001-2013 Oracle and/or its affiliates. All rights reserved.</p>\n\n	  </div>\n	  <p>\n		Redistribution and  use in  source and binary  forms, with  or without\n		modification, are permitted provided that the following conditions are\n		met:\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n		  <var class=\"replaceable-license-text\"> -</var>\n		  Redistributions  of  source code  must  retain  the above  copyright\n		  notice, this list of conditions and the following disclaimer.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> -</var>\n		  Redistribution  in binary  form must  reproduct the  above copyright\n		  notice, this list of conditions  and the following disclaimer in the\n		  documentation and/or other materials provided with the distribution.\n		</li>\n	  \n</ul>\n	  <p>\n		Neither  the  name   of  Sun  Microsystems,  Inc.  or   the  names  of\n		contributors may be  used to endorse or promote  products derived from\n		this software without specific prior written permission.\n	  </p>\n\n	  <p>\n		This software is provided &quot;AS IS,&quot; without a warranty of any kind. ALL\n		EXPRESS  OR   IMPLIED  CONDITIONS,  REPRESENTATIONS   AND  WARRANTIES,\n		INCLUDING  ANY  IMPLIED WARRANTY  OF  MERCHANTABILITY,  FITNESS FOR  A\n		PARTICULAR PURPOSE  OR NON-INFRINGEMENT, ARE HEREBY  EXCLUDED. SUN AND\n		ITS  LICENSORS SHALL  NOT BE  LIABLE  FOR ANY  DAMAGES OR  LIABILITIES\n		SUFFERED BY LICENSEE  AS A RESULT OF OR  RELATING TO USE, MODIFICATION\n		OR DISTRIBUTION OF  THE SOFTWARE OR ITS DERIVATIVES.  IN NO EVENT WILL\n		SUN OR ITS  LICENSORS BE LIABLE FOR ANY LOST  REVENUE, PROFIT OR DATA,\n		OR  FOR  DIRECT,   INDIRECT,  SPECIAL,  CONSEQUENTIAL,  INCIDENTAL  OR\n		PUNITIVE  DAMAGES, HOWEVER  CAUSED  AND REGARDLESS  OF  THE THEORY  OF\n		LIABILITY, ARISING  OUT OF  THE USE OF  OR INABILITY TO  USE SOFTWARE,\n		EVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n	  </p>\n\n	"
		self.python_name = "BSD3ClauseSun"

	def __str__(self):
		return json.dumps(self.__dict__)


class NPL10:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "NETSCAPE PUBLIC LICENSE Version 1.0\n\n1. Definitions.\n\n	 1.1. ``Contributor'' means each entity that creates or contributes to the creation of Modifications.\n\n	 1.2. ``Contributor Version'' means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n	 1.3. ``Covered Code'' means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n	 1.4. ``Electronic Distribution Mechanism'' means a mechanism generally accepted in the software development community for the electronic transfer of data.\n	 1.5. ``Executable'' means Covered Code in any form other than Source Code.\n	 1.6. ``Initial Developer'' means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n	 1.7. ``Larger Work'' means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n	 1.8. ``License'' means this document.\n	 1.9. ``Modifications'' means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n		  A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.		   B. Any new file that contains any part of the Original Code or previous Modifications.\n\n	 1.10. ``Original Code'' means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n	 1.11. ``Source Code'' means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or a list of source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n	 1.12. ``You'' means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, ``You'' includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, ``control'' means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n2. Source Code License.\n\n	 2.1. The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n		  (a) to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and\n		  (b) under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell (``Utilize'') the Original Code (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Original Code (or portions thereof) and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n	 2.2. Contributor Grant.  Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n		  (a) to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code or as part of a Larger Work; and\n\t\t  (b) under patents now or hereafter owned or controlled by Contributor, to Utilize the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Contributor Version (or portions thereof), and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n3. Distribution Obligations.\n\n	 3.1. Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	 3.2. Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n	 3.3. Description of Modifications. You must cause all Covered Code to which you contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n	 3.4. Intellectual Property Matters\n		  (a) Third Party Claims. If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled ``LEGAL'' which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n		  (b) Contributor APIs. If Your Modification is an application programming interface and You own or control patents which are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n	 3.5. Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Covered Code. If You created one or more Modification(s), You may add your name as a Contributor to the notice described in Exhibit A. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n	 3.6. Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n	 3.7. Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation.\nIf it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License.\nThis License applies to code to which the Initial Developer has attached the notice in Exhibit A, and to related Covered Code.\n\n6. Versions of the License.\n	 6.1. New Versions. Netscape Communications Corporation (``Netscape'') may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	 6.2. Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Netscape. No one other than Netscape has the right to modify the terms applicable to Covered Code created under this License.\n	 6.3. Derivative Works. If you create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), you must (a) rename Your license so that the phrases ``Mozilla'', ``MOZILLAPL'', ``MOZPL'', ``Netscape'', ``NPL'' or any confusingly similar phrase do not appear anywhere in your license and (b) otherwise make it clear that your version of the license contains terms which differ from the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN ``AS IS'' BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n8. TERMINATION.\n\nThis License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a ``commercial item,'' as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of ``commercial computer software'' and ``commercial computer software documentation,'' as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in, the United States of America: (a) unless otherwise agreed in writing, all disputes relating to this License (excepting any dispute relating to intellectual property rights) shall be subject to final and binding arbitration, with the losing party paying all costs of arbitration; (b) any arbitration relating to this Agreement shall be held in Santa Clara County, California, under the auspices of JAMS/EndDispute; and (c) any litigation relating to this Agreement shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n12. RESPONSIBILITY FOR CLAIMS.\n\nExcept in cases where another Contributor has failed to comply with Section 3.4, You are responsible for damages arising, directly or indirectly, out of Your utilization of rights under this License, based on the number of copies of Covered Code you made available, the revenues you received from utilizing such rights, and other relevant factors. You agree to work with affected parties to distribute responsibility on an equitable basis.\n\nAMENDMENTS\nAdditional Terms applicable to the Netscape Public License.\n\n	 I. Effect.  These additional terms described in this Netscape Public License -- Amendments shall apply to the Mozilla Communicator client code and to all Covered Code under this License.\n	 II. ``Netscape's Branded Code'' means Covered Code that Netscape distributes and/or permits others to distribute under one or more trademark(s) which are controlled by Netscape but which are not licensed for use under this License.\n	 III. Netscape and logo.	   This License does not grant any rights to use the trademark ``Netscape'', the ``Netscape N and horizon'' logo or the Netscape lighthouse logo, even if such marks are included in the Original Code.\n	 IV. Inability to Comply Due to Contractual Obligation.	   Prior to licensing the Original Code under this License, Netscape has licensed third party code for use in Netscape's Branded Code. To the extent that Netscape is limited contractually from making such third party code available under this License, Netscape may choose to reintegrate such code into Covered Code without being required to distribute such code in\nSource Code form, even if such code would otherwise be considered ``Modifications'' under this License.\n	 V. Use of Modifications and Covered Code by Initial Developer.\n		  V.1. In General. The obligations of Section 3 apply to Netscape, except to the extent specified in this Amendment, Section V.2 and V.3.		   V.2. Other Products. Netscape may include Covered Code in products other than the Netscape's Branded Code which are released by Netscape during the two (2) years following the release date of the Original Code, without such additional products becoming subject to the terms of this License, and may license such additional products on different terms from those contained in this License.		   V.3. Alternative Licensing. Netscape may license the Source Code of Netscape's Branded Code, including Modifications incorporated therein, without such additional products becoming subject to the terms of this License, and may license such additional products on different terms from those contained in this License.\n\n	 VI. Arbitration and Litigation.	   Notwithstanding the limitations of Section 11 above, the provisions regarding arbitration and litigation in Section 11(a), (b) and (c) of the License shall apply to all disputes relating to this License.\n\nEXHIBIT A.\n\n\u201cThe contents of this file are subject to the Netscape Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/NPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\nThe Original Code is Mozilla Communicator client code, released March 31, 1998.\nThe Initial Developer of the Original Code is Netscape Communications Corporation. Portions created by Netscape are Copyright (C) 1998 Netscape Communications Corporation. All Rights Reserved.\nContributor(s): ______________________________________.\u201d\n[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. This is due to time constraints encountered in simultaneously finalizing the License and in preparing the Original Code for release. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n"
		self.standardLicenseTemplate = "<<beginOptional>>NETSCAPE PUBLIC LICENSE\n\nVersion 1.0\n\n<<endOptional>>\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions.\n\n	  <<var;name=\"bullet\";original=\"1.1.\";match=\".{0,20}\">> ``Contributor'' means each entity that creates or contributes to the creation of Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.2.\";match=\".{0,20}\">> ``Contributor Version'' means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.\n\n	  <<var;name=\"bullet\";original=\"1.3.\";match=\".{0,20}\">> ``Covered Code'' means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.\n\n	  <<var;name=\"bullet\";original=\"1.4.\";match=\".{0,20}\">> ``Electronic Distribution Mechanism'' means a mechanism generally accepted in the software development community for the electronic transfer of data.\n\n	  <<var;name=\"bullet\";original=\"1.5.\";match=\".{0,20}\">> ``Executable'' means Covered Code in any form other than Source Code.\n\n	  <<var;name=\"bullet\";original=\"1.6.\";match=\".{0,20}\">> ``Initial Developer'' means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.\n\n	  <<var;name=\"bullet\";original=\"1.7.\";match=\".{0,20}\">> ``Larger Work'' means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"1.8.\";match=\".{0,20}\">> ``License'' means this document.\n\n	  <<var;name=\"bullet\";original=\"1.9.\";match=\".{0,20}\">> ``Modifications'' means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:\n\n		 <<var;name=\"bullet\";original=\"A.\";match=\".{0,20}\">> Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.\n\n		 <<var;name=\"bullet\";original=\"B.\";match=\".{0,20}\">> Any new file that contains any part of the Original Code or previous Modifications.\n\n	  <<var;name=\"bullet\";original=\"1.10.\";match=\".{0,20}\">> ``Original Code'' means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.\n\n	  <<var;name=\"bullet\";original=\"1.11.\";match=\".{0,20}\">> ``Source Code'' means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or a list of source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.\n\n	  <<var;name=\"bullet\";original=\"1.12.\";match=\".{0,20}\">> ``You'' means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, ``You'' includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, ``control'' means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Source Code License.\n\n	  <<var;name=\"bullet\";original=\"2.1.\";match=\".{0,20}\">> The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell (``Utilize'') the Original Code (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Original Code (or portions thereof) and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n	  <<var;name=\"bullet\";original=\"2.2.\";match=\".{0,20}\">> Contributor Grant.\n\n	  Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code or as part of a Larger Work; and\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> under patents now or hereafter owned or controlled by Contributor, to Utilize the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Contributor Version (or portions thereof), and not to any greater extent that may be necessary to Utilize further Modifications or combinations.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Distribution Obligations.\n\n	  <<var;name=\"bullet\";original=\"3.1.\";match=\".{0,20}\">> Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.\n\n	  <<var;name=\"bullet\";original=\"3.2.\";match=\".{0,20}\">> Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.\n\n	  <<var;name=\"bullet\";original=\"3.3.\";match=\".{0,20}\">> Description of Modifications. You must cause all Covered Code to which you contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.\n\n	  <<var;name=\"bullet\";original=\"3.4.\";match=\".{0,20}\">> Intellectual Property Matters\n\n		 <<var;name=\"bullet\";original=\"(a)\";match=\".{0,20}\">> Third Party Claims. If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled ``LEGAL'' which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.\n\n		 <<var;name=\"bullet\";original=\"(b)\";match=\".{0,20}\">> Contributor APIs. If Your Modification is an application programming interface and You own or control patents which are reasonably necessary to implement that API, you must also include this information in the LEGAL file.\n\n	  <<var;name=\"bullet\";original=\"3.5.\";match=\".{0,20}\">> Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Covered Code. If You created one or more Modification(s), You may add your name as a Contributor to the notice described in Exhibit A. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.6.\";match=\".{0,20}\">> Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.\n\n	  <<var;name=\"bullet\";original=\"3.7.\";match=\".{0,20}\">> Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Inability to Comply Due to Statute or Regulation.\n\n   If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Application of this License.\n\n   This License applies to code to which the Initial Developer has attached the notice in Exhibit A, and to related Covered Code.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Versions of the License.\n\n	  <<var;name=\"bullet\";original=\"6.1.\";match=\".{0,20}\">> New Versions. Netscape Communications Corporation (``Netscape'') may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.\n\n	  <<var;name=\"bullet\";original=\"6.2.\";match=\".{0,20}\">> Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Netscape. No one other than Netscape has the right to modify the terms applicable to Covered Code created under this License.\n\n	  <<var;name=\"bullet\";original=\"6.3.\";match=\".{0,20}\">> Derivative Works. If you create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), you must (a) rename Your license so that the phrases ``Mozilla'', ``MOZILLAPL'', ``MOZPL'', ``Netscape'', ``NPL'' or any confusingly similar phrase do not appear anywhere in your license and (b) otherwise make it clear that your version of the license contains terms which differ from the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> DISCLAIMER OF WARRANTY.\n\n   COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN ``AS IS'' BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> TERMINATION.\n\n   This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> LIMITATION OF LIABILITY.\n\n   UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> U.S. GOVERNMENT END USERS.\n\n   The Covered Code is a ``commercial item,'' as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of ``commercial computer software'' and ``commercial computer software documentation,'' as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> MISCELLANEOUS.\n\n   This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in, the United States of America: (a) unless otherwise agreed in writing, all disputes relating to this License (excepting any dispute relating to intellectual property rights) shall be subject to final and binding arbitration, with the losing party paying all costs of arbitration; (b) any arbitration relating to this Agreement shall be held in Santa Clara County, California, under the auspices of JAMS/EndDispute; and (c) any litigation relating to this Agreement shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be consTrued against the drafter shall not apply to this License.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> RESPONSIBILITY FOR CLAIMS.\n\n   Except in cases where another Contributor has failed to comply with Section 3.4, You are responsible for damages arising, directly or indirectly, out of Your utilization of rights under this License, based on the number of copies of Covered Code you made available, the revenues you received from utilizing such rights, and other relevant factors. You agree to work with affected parties to distribute responsibility on an equitable basis.\n\nAMENDMENTS\n\nAdditional Terms applicable to the Netscape Public License.\n\n   <<var;name=\"bullet\";original=\"I.\";match=\".{0,20}\">> Effect.\n\n   These additional terms described in this Netscape Public License -- Amendments shall apply to the Mozilla Communicator client code and to all Covered Code under this License.\n\n   <<var;name=\"bullet\";original=\"II.\";match=\".{0,20}\">> ``Netscape's Branded Code'' means Covered Code that Netscape distributes and/or permits others to distribute under one or more trademark(s) which are controlled by Netscape but which are not licensed for use under this License.\n\n   <<var;name=\"bullet\";original=\"III.\";match=\".{0,20}\">> Netscape and logo.\n\n   This License does not grant any rights to use the trademark ``Netscape'', the ``Netscape N and horizon'' logo or the Netscape lighthouse logo, even if such marks are included in the Original Code.\n\n   <<var;name=\"bullet\";original=\"IV.\";match=\".{0,20}\">> Inability to Comply Due to Contractual Obligation.\n\n   Prior to licensing the Original Code under this License, Netscape has licensed third party code for use in Netscape's Branded Code. To the extent that Netscape is limited contractually from making such third party code available under this License, Netscape may choose to reintegrate such code into Covered Code without being required to distribute such code in Source Code form, even if such code would otherwise be considered ``Modifications'' under this License.\n\n   <<var;name=\"bullet\";original=\"V.\";match=\".{0,20}\">> Use of Modifications and Covered Code by Initial Developer.\n\n   V.1. In General. The obligations of Section 3 apply to Netscape, except to the extent specified in this Amendment, Section V.2 and V.3.\n\n   V.2. Other Products. Netscape may include Covered Code in products other than the Netscape's Branded Code which are released by Netscape during the two (2) years following the release date of the Original Code, without such additional products becoming subject to the terms of this License, and may license such additional products on different terms from those contained in this License. V.3. Alternative Licensing. Netscape may license the Source Code of Netscape's Branded Code, including Modifications incorporated therein, without such additional products becoming subject to the terms of this License, and may license such additional products on different terms from those contained in this License.\n\n   <<var;name=\"bullet\";original=\"VI.\";match=\".{0,20}\">> Arbitration and Litigation.\n\n   Notwithstanding the limitations of Section 11 above, the provisions regarding arbitration and litigation in Section 11(a), (b) and (c) of the License shall apply to all disputes relating to this License.<<beginOptional>> EXHIBIT A.\n\n\"The contents of this file are subject to the Netscape Public License Version 1.0 (the \"License\"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/NPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.\n\nThe Original Code is Mozilla Communicator client code, released March 31, 1998.\n\nThe Initial Developer of the Original Code is Netscape Communications Corporation. Portions created by Netscape are Copyright (C) 1998 Netscape Communications Corporation. All Rights Reserved.\n\nContributor(s): ______________________________________.\"\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. This is due to time constraints encountered in simultaneously finalizing the License and in preparing the Original Code for release. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]\n\n<<endOptional>>"
		self.name = "Netscape Public License v1.0"
		self.licenseId = "NPL-1.0"
		self.crossRef = [{"match": "True", "url": "http://www.mozilla.org/MPL/NPL/1.0/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:16Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.mozilla.org/MPL/NPL/1.0/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>NETSCAPE PUBLIC LICENSE\n		<br />\n\nVersion 1.0\n	  </p>\n\n	  </div>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.1.</var>\n			  ``Contributor&apos;&apos; means each entity that creates or contributes to the creation of Modifications.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.2.</var>\n			  ``Contributor Version&apos;&apos; means the combination of the Original Code, prior Modifications used\n				 by a Contributor, and the Modifications made by that particular Contributor.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.3.</var>\n			  ``Covered Code&apos;&apos; means the Original Code or Modifications or the combination of the Original\n				 Code and Modifications, in each case including portions thereof.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.4.</var>\n			  ``Electronic Distribution Mechanism&apos;&apos; means a mechanism generally accepted in the software\n				 development community for the electronic transfer of data.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.5.</var>\n			  ``Executable&apos;&apos; means Covered Code in any form other than Source Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.6.</var>\n			  ``Initial Developer&apos;&apos; means the individual or entity identified as the Initial Developer in\n				 the Source Code notice required by Exhibit A.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.7.</var>\n			  ``Larger Work&apos;&apos; means a work which combines Covered Code or portions thereof with code not\n				 governed by the terms of this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.8.</var>\n			  ``License&apos;&apos; means this document.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.9.</var>\n			  ``Modifications&apos;&apos; means any addition to or deletion from the substance or structure of either\n				 the Original Code or any previous Modifications. When Covered Code is released as a series\n				 of files, a Modification is:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> A.</var>\n				  Any addition to or deletion from the contents of a file containing Original\n					 Code or previous Modifications.\n				 </li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> B.</var>\n				   Any new file that contains any part of the Original Code or previous Modifications.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.10.</var>\n			  ``Original Code&apos;&apos; means Source Code of computer software code which is described in the\n				 Source Code notice required by Exhibit A as Original Code, and which, at the time of its\n				 release under this License is not already Covered Code governed by this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.11.</var>\n			  ``Source Code&apos;&apos; means the preferred form of the Covered Code for making modifications to it,\n				 including all modules it contains, plus any associated interface definition files, scripts\n				 used to control compilation and installation of an Executable, or a list of source code\n				 differential comparisons against either the Original Code or another well known, available\n				 Covered Code of the Contributor&apos;s choice. The Source Code can be in a compressed or\n				 archival form, provided the appropriate decompression or de-archiving software is widely\n				 available for no charge.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 1.12.</var>\n			  ``You&apos;&apos; means an individual or a legal entity exercising rights under, and complying with all\n				 of the terms of, this License or a future version of this License issued under Section\n				 6.1. For legal entities, ``You&apos;&apos; includes any entity which controls, is controlled by, or\n				 is under common control with You. For purposes of this definition, ``control&apos;&apos; means (a)\n				 the power, direct or indirect, to cause the direction or management of such entity,\n				 whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the\n				 outstanding shares or beneficial ownership of such entity.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Source Code License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 2.1.</var>\n			  The Initial Developer Grant. The Initial Developer hereby grants You a world-wide,\n				 royalty-free, non-exclusive license, subject to third party intellectual property\n				 claims:\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  to use, reproduce, modify, display, perform, sublicense and distribute the\n					 Original Code (or portions thereof) with or without Modifications, or as part of a\n					 Larger Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  under patents now or hereafter owned or controlled by Initial Developer, to\n					 make, have made, use and sell (``Utilize&apos;&apos;) the Original Code (or portions\n					 thereof), but solely to the extent that any such patent is reasonably necessary to\n					 enable You to Utilize the Original Code (or portions thereof) and not to any\n					 greater extent that may be necessary to Utilize further Modifications or\n					 combinations.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <p>\n					 <var class=\"replaceable-license-text\"> 2.2.</var> Contributor Grant.\n				<br />\n\n	  Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license,\n					 subject to third party intellectual property claims:\n			  </p>\n\n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  to use, reproduce, modify, display, perform, sublicense and distribute the\n					 Modifications created by such Contributor (or portions thereof) either on an\n					 unmodified basis, with other Modifications, as Covered Code or as part of a Larger\n					 Work; and\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  under patents now or hereafter owned or controlled by Contributor, to Utilize\n					 the Contributor Version (or portions thereof), but solely to the extent that any\n					 such patent is reasonably necessary to enable You to Utilize the Contributor\n					 Version (or portions thereof), and not to any greater extent that may be necessary\n					 to Utilize further Modifications or combinations.\n				</li>\n				  \n</ul>\n			   </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  Distribution Obligations.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.1.</var>\n			  Application of License. The Modifications which You create or to which You contribute are\n				 governed by the terms of this License, including without limitation Section 2.2. The\n				 Source Code version of Covered Code may be distributed only under the terms of this\n				 License or a future version of this License released under Section 6.1, and You must\n				 include a copy of this License with every copy of the Source Code You distribute. You may\n				 not offer or impose any terms on any Source Code version that alters or restricts the\n				 applicable version of this License or the recipients&apos; rights hereunder. However, You may\n				 include an additional document offering the additional rights described in Section\n				 3.5.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.2.</var>\n			  Availability of Source Code. Any Modification which You create or to which You contribute\n				 must be made available in Source Code form under the terms of this License either on the\n				 same media as an Executable version or via an accepted Electronic Distribution Mechanism\n				 to anyone to whom you made an Executable version available; and if made available via\n				 Electronic Distribution Mechanism, must remain available for at least twelve (12) months\n				 after the date it initially became available, or at least six (6) months after a\n				 subsequent version of that particular Modification has been made available to such\n				 recipients. You are responsible for ensuring that the Source Code version remains\n				 available even if the Electronic Distribution Mechanism is maintained by a third\n				 party.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.3.</var>\n			  Description of Modifications. You must cause all Covered Code to which you contribute to\n				 contain a file documenting the changes You made to create that Covered Code and the date\n				 of any change. You must include a prominent statement that the Modification is derived,\n				 directly or indirectly, from Original Code provided by the Initial Developer and including\n				 the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an\n				 Executable version or related documentation in which You describe the origin or ownership\n				 of the Covered Code.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.4.</var>\n			  Intellectual Property Matters\n			  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (a)</var>\n				  Third Party Claims. If You have knowledge that a party claims an intellectual property\n					 right in particular functionality or code (or its utilization under this License), you\n					 must include a text file with the source code distribution titled ``LEGAL&apos;&apos; which\n					 describes the claim and the party making the claim in sufficient detail that a\n					 recipient will know whom to contact. If you obtain such knowledge after You make Your\n					 Modification available as described in Section 3.2, You shall promptly modify the\n					 LEGAL file in all copies You make available thereafter and shall take other steps\n					 (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to\n					 inform those who received the Covered Code that new knowledge has been obtained.\n				</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> (b)</var>\n				  Contributor APIs. If Your Modification is an application programming interface and You\n					 own or control patents which are reasonably necessary to implement that API, you must\n					 also include this information in the LEGAL file.\n				</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.5.</var>\n			  Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code,\n				 and this License in any documentation for the Source Code, where You describe recipients&apos;\n				 rights relating to Covered Code. If You created one or more Modification(s), You may add\n				 your name as a Contributor to the notice described in Exhibit A. If it is not possible to\n				 put such notice in a particular Source Code file due to its structure, then you must\n				 include such notice in a location (such as a relevant directory file) where a user would\n				 be likely to look for such a notice. You may choose to offer, and to charge a fee for,\n				 warranty, support, indemnity or liability obligations to one or more recipients of Covered\n				 Code. However, You may do so only on Your own behalf, and not on behalf of the Initial\n				 Developer or any Contributor. You must make it absolutely clear than any such warranty,\n				 support, indemnity or liability obligation is offered by You alone, and You hereby agree\n				 to indemnify the Initial Developer and every Contributor for any liability incurred by the\n				 Initial Developer or such Contributor as a result of warranty, support, indemnity or\n				 liability terms You offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.6.</var>\n			  Distribution of Executable Versions. You may distribute Covered Code in Executable form only\n				 if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You\n				 include a notice stating that the Source Code version of the Covered Code is available\n				 under the terms of this License, including a description of how and where You have\n				 fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any\n				 notice in an Executable version, related documentation or collateral in which You describe\n				 recipients&apos; rights relating to the Covered Code. You may distribute the Executable version\n				 of Covered Code under a license of Your choice, which may contain terms different from\n				 this License, provided that You are in compliance with the terms of this License and that\n				 the license for the Executable version does not attempt to limit or alter the recipient&apos;s\n				 rights in the Source Code version from the rights set forth in this License. If You\n				 distribute the Executable version under a different license You must make it absolutely\n				 clear that any terms which differ from this License are offered by You alone, not by the\n				 Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer\n				 and every Contributor for any liability incurred by the Initial Developer or such\n				 Contributor as a result of any such terms You offer.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 3.7.</var>\n			  Larger Works. You may create a Larger Work by combining Covered Code with other code not\n				 governed by the terms of this License and distribute the Larger Work as a single product.\n				 In such a case, You must make sure the requirements of this License are fulfilled for the\n				 Covered Code.\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Inability to Comply Due to Statute or Regulation.\n			<br />\n\n   If it is impossible for You to comply with any of the terms of this License with respect to\n				 some or all of the Covered Code due to statute or regulation then You must: (a) comply\n				 with the terms of this License to the maximum extent possible; and (b) describe the\n				 limitations and the code they affect. Such description must be included in the LEGAL\n				 file described in Section 3.4 and must be included with all distributions of the\n				 Source Code. Except to the extent prohibited by statute or regulation, such\n				 description must be sufficiently detailed for a recipient of ordinary skill to be able\n				 to understand it.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Application of this License.\n			<br />\n\n   This License applies to code to which the Initial Developer has attached the notice in\n				 Exhibit A, and to related Covered Code.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Versions of the License.\n		  \n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.1.</var>\n			  New Versions. Netscape Communications Corporation (``Netscape&apos;&apos;) may publish revised and/or\n				 new versions of the License from time to time. Each version will be given a distinguishing\n				 version number.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.2.</var>\n			  Effect of New Versions. Once Covered Code has been published under a particular version of\n				 the License, You may always continue to use it under the terms of that version. You may\n				 also choose to use such Covered Code under the terms of any subsequent version of the\n				 License published by Netscape. No one other than Netscape has the right to modify the\n				 terms applicable to Covered Code created under this License.\n			</li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> 6.3.</var>\n			  Derivative Works. If you create or use a modified version of this License (which you may only\n				 do in order to apply it to code which is not already Covered Code governed by this\n				 License), you must (a) rename Your license so that the phrases ``Mozilla&apos;&apos;, ``MOZILLAPL&apos;&apos;,\n				 ``MOZPL&apos;&apos;, ``Netscape&apos;&apos;, ``NPL&apos;&apos; or any confusingly similar phrase do not appear anywhere\n				 in your license and (b) otherwise make it clear that your version of the license contains\n				 terms which differ from the Mozilla Public License and Netscape Public License. (Filling\n				 in the name of the Initial Developer, Original Code or Contributor in the notice described\n				 in Exhibit A shall not of themselves be deemed to be modifications of this License.)\n			</li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  DISCLAIMER OF WARRANTY.\n		  <p>COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN ``AS IS&apos;&apos; BASIS, WITHOUT WARRANTY OF ANY KIND,\n			 EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE\n			 IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE\n			 RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED\n			 CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR)\n			 ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY\n			 CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED\n			 HEREUNDER EXCEPT UNDER THIS DISCLAIMER.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  TERMINATION.\n		  <p>This License and the rights granted hereunder will terminate automatically if You fail to comply\n			 with terms herein and fail to cure such breach within 30 days of becoming aware of the breach.\n			 All sublicenses to the Covered Code which are properly granted shall survive any termination\n			 of this License. Provisions which, by their nature, must remain in effect beyond the\n			 termination of this License shall survive.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 9.</var>\n		  LIMITATION OF LIABILITY.\n		  <p>UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT,\n			 OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF\n			 COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR\n			 ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING,\n			 WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR\n			 MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\n			 BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY\n			 TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY&apos;S NEGLIGENCE TO THE EXTENT\n			 APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR\n			 LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 10.</var>\n		  U.S. GOVERNMENT END USERS.\n		  <p>The Covered Code is a ``commercial item,&apos;&apos; as that term is defined in 48 C.F.R. 2.101 (Oct.\n			 1995), consisting of ``commercial computer software&apos;&apos; and ``commercial computer software\n			 documentation,&apos;&apos; as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48\n			 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End\n			 Users acquire Covered Code with only those rights set forth herein.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 11.</var>\n		  MISCELLANEOUS.\n		  <p>This License represents the complete agreement concerning subject matter hereof. If any provision\n			 of this License is held to be unenforceable, such provision shall be reformed only to the\n			 extent necessary to make it enforceable. This License shall be governed by California law\n			 provisions (except to the extent applicable law, if any, provides otherwise), excluding its\n			 conflict-of-law provisions. With respect to disputes in which at least one party is a citizen\n			 of, or an entity chartered or registered to do business in, the United States of America: (a)\n			 unless otherwise agreed in writing, all disputes relating to this License (excepting any\n			 dispute relating to intellectual property rights) shall be subject to final and binding\n			 arbitration, with the losing party paying all costs of arbitration; (b) any arbitration\n			 relating to this Agreement shall be held in Santa Clara County, California, under the auspices\n			 of JAMS/EndDispute; and (c) any litigation relating to this Agreement shall be subject to the\n			 jurisdiction of the Federal Courts of the Northern District of California, with venue lying in\n			 Santa Clara County, California, with the losing party responsible for costs, including without\n			 limitation, court costs and reasonable attorneys fees and expenses. The application of the\n			 United Nations Convention on Contracts for the International Sale of Goods is expressly\n			 excluded. Any law or regulation which provides that the language of a contract shall be\n			 consTrued against the drafter shall not apply to this License.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 12.</var>\n		  RESPONSIBILITY FOR CLAIMS.\n		  <p>Except in cases where another Contributor has failed to comply with Section 3.4, You are\n			 responsible for damages arising, directly or indirectly, out of Your utilization of rights\n			 under this License, based on the number of copies of Covered Code you made available, the\n			 revenues you received from utilizing such rights, and other relevant factors. You agree to\n			 work with affected parties to distribute responsibility on an equitable basis.</p>\n\n		</li>\n	  \n</ul>\n	  <p>AMENDMENTS\n		<br />\n\nAdditional Terms applicable to the Netscape Public License.\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> I.</var>\n		  Effect.\n			<br />\n\n   These additional terms described in this Netscape Public License -- Amendments shall\n				 apply to the Mozilla Communicator client code and to all Covered Code under this\n				 License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> II.</var>\n		  ``Netscape&apos;s Branded Code&apos;&apos; means Covered Code that Netscape distributes and/or permits\n			 others to distribute under one or more trademark(s) which are controlled by Netscape but\n			 which are not licensed for use under this License.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> III.</var>\n		  Netscape and logo.\n			<br />\n\n   This License does not grant any rights to use the trademark ``Netscape&apos;&apos;, the\n				 ``Netscape N and horizon&apos;&apos; logo or the Netscape lighthouse logo, even if such\n				 marks are included in the Original Code.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> IV.</var>\n		   Inability to Comply Due to Contractual Obligation.\n			<br />\n\n   Prior to licensing the Original Code under this License, Netscape has licensed third\n				 party code for use in Netscape&apos;s Branded Code. To the extent that Netscape is\n				 limited contractually from making such third party code available under this\n				 License, Netscape may choose to reintegrate such code into Covered Code without\n				 being required to distribute such code in Source Code form, even if such code\n				 would otherwise be considered ``Modifications&apos;&apos; under this License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> V.</var>\n		  Use of Modifications and Covered Code by Initial Developer.\n			<br />\n\n   V.1. In General. The obligations of Section 3 apply to Netscape, except to the extent\n				 specified in this Amendment, Section V.2 and V.3.\n			<br />\n\n   V.2. Other Products. Netscape may include Covered Code in products other than the\n				 Netscape&apos;s Branded Code which are released by Netscape during the two (2) years\n				 following the release date of the Original Code, without such additional products\n				 becoming subject to the terms of this License, and may license such additional\n				 products on different terms from those contained in this License. V.3. Alternative\n				 Licensing. Netscape may license the Source Code of Netscape&apos;s Branded Code,\n				 including Modifications incorporated therein, without such additional products\n				 becoming subject to the terms of this License, and may license such additional\n				 products on different terms from those contained in this License.\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> VI.</var>\n		  Arbitration and Litigation.\n			<br />\n\n   Notwithstanding the limitations of Section 11 above, the provisions regarding\n				 arbitration and litigation in Section 11(a), (b) and (c) of the License shall\n				 apply to all disputes relating to this License.\n\n		</li>\n	  \n</ul>\n\n	  <div class=\"optional-license-text\"> \n		 <p>EXHIBIT A.</p>\n\n		 <p>&quot;The contents of this file are subject to the Netscape Public License Version 1.0 (the &quot;License&quot;); you\n		 may not use this file except in compliance with the License. You may obtain a copy of the License at\n		 http://www.mozilla.org/NPL/</p>\n\n		 <p>Software distributed under the License is distributed on an &quot;AS IS&quot; basis, WITHOUT WARRANTY OF ANY KIND,\n		 either express or implied. See the License for the specific language governing rights and limitations\n		 under the License.\n		<br />\n\nThe Original Code is Mozilla Communicator client code, released March 31, 1998.\n		<br />\n\nThe Initial Developer of the Original Code is Netscape Communications Corporation. Portions created\n			 by Netscape are Copyright (C) 1998 Netscape Communications Corporation. All Rights Reserved.\n		<br />\n\nContributor(s): ______________________________________.&quot;\n		<br />\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source\n			 Code files of the Original Code. This is due to time constraints encountered in simultaneously\n			 finalizing the License and in preparing the Original Code for release. You should use the text\n			 of this Exhibit A rather than the text found in the Original Code Source Code for Your\n			 Modifications.]\n	  </p>\n\n	  </div>\n	"
		self.python_name = "NPL10"

	def __str__(self):
		return json.dumps(self.__dict__)


class CCBYND20:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = False
		self.licenseText = "Creative Commons Attribution-NoDerivs 2.0\n\n CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n1. Definitions\n\n	 a. \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	 b. \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	 c. \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	 d. \"Original Author\" means the individual or entity who created the Work.\n\n	 e. \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	 f. \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	 a. to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	 b. to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works.\n\n	 c. For the avoidance of doubt, where the work is a musical composition:\n\n		  i. Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work.\n\n		  ii. Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect, whether individually or via a music rights society or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	 d. Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor waives the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\nThe above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Derivative Works. All rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	 a. You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested.\n\n	 b. If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; and to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE MATERIALS, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n7. Termination\n\n	 a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	 b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n8. Miscellaneous\n\n	 a. Each time You distribute or publicly digitally perform the Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	 b. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	 c. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	 d. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Creative Commons Attribution-NoDerivs 2.0\n\n<<endOptional>><<beginOptional>> CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\n<<endOptional>>\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Definitions\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> \"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole. A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> \"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License. For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> \"Licensor\" means the individual or entity that offers the Work under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> \"Original Author\" means the individual or entity who created the Work.\n\n	  <<var;name=\"bullet\";original=\"e.\";match=\".{0,20}\">> \"Work\" means the copyrightable work of authorship offered under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"f.\";match=\".{0,20}\">> \"You\" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> For the avoidance of doubt, where the work is a musical composition:\n\n		 <<var;name=\"bullet\";original=\"i.\";match=\".{0,20}\">> Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital performance (e.g. webcast) of the Work.\n\n		 <<var;name=\"bullet\";original=\"ii.\";match=\".{0,20}\">> Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect, whether individually or via a music rights society or designated agent (e.g. Harry Fox Agency), royalties for any phonorecord You create from the Work (\"cover version\") and distribute, subject to the compulsory license created by 17 USC Section 115 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a sound recording, Licensor waives the exclusive right to collect, whether individually or via a performance-rights society (e.g. SoundExchange), royalties for the public digital performance (e.g. webcast) of the Work, subject to the compulsory license created by 17 USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n\n   The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats, but otherwise you have no rights to make Derivative Works. All rights not expressly granted by Licensor are hereby reserved.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Restrictions.<<beginOptional>> <<endOptional>> The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> You may distribute, publicly display, publicly perform, or publicly digitally perform the Work only under the terms of this License, and You must include a copy of, or the Uniform Resource Identifier for, this License with every copy or phonorecord of the Work You distribute, publicly display, publicly perform, or publicly digitally perform. You may not offer or impose any terms on the Work that alter or restrict the terms of this License or the recipients' exercise of the rights granted hereunder. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties. You may not distribute, publicly display, publicly perform, or publicly digitally perform the Work with any technological measures that control access or use of the Work in a manner inconsistent with the terms of this License Agreement. The above applies to the Work as incorporated in a Collective Work, but this does not require the Collective Work apart from the Work itself to be made subject to the terms of this License. If You create a Collective Work, upon notice from any Licensor You must, to the extent practicable, remove from the Collective Work any reference to such Licensor or the Original Author, as requested.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If you distribute, publicly display, publicly perform, or publicly digitally perform the Work or Collective Works, You must keep intact all copyright notices for the Work and give the Original Author credit reasonable to the medium or means You are utilizing by conveying the name (or pseudonym if applicable) of the Original Author if supplied; the title of the Work if supplied; and to the extent reasonably practicable, the Uniform Resource Identifier, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work. Such credit may be implemented in any reasonable manner; provided, however, that in the case of a Collective Work, at a minimum such credit will appear where any other comparable authorship credit appears and in a manner at least as prominent as such other comparable authorship credit.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Representations, Warranties and Disclaimer\n\n   UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE MATERIALS, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Termination\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Collective Works from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Miscellaneous\n\n	  <<var;name=\"bullet\";original=\"a.\";match=\".{0,20}\">> Each time You distribute or publicly digitally perform the Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.\n\n	  <<var;name=\"bullet\";original=\"b.\";match=\".{0,20}\">> If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.\n\n	  <<var;name=\"bullet\";original=\"c.\";match=\".{0,20}\">> No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.\n\n	  <<var;name=\"bullet\";original=\"d.\";match=\".{0,20}\">> This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever in connection with the Work. Creative Commons will not be liable to You or any party on any legal theory for any damages whatsoever, including without limitation any general, special, incidental or consequential damages arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is licensed under the CCPL, neither party will use the trademark \"Creative Commons\" or any related trademark or logo of Creative Commons without the prior written consent of Creative Commons. Any permitted use will be in compliance with Creative Commons' then-current trademark usage guidelines, as may be published on its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at https://creativecommons.org/.\n\n"
		self.name = "Creative Commons Attribution No Derivatives 2.0 Generic"
		self.licenseId = "CC-BY-ND-2.0"
		self.crossRef = [{"match": "False", "url": "https://creativecommons.org/licenses/by-nd/2.0/legalcode", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:11:46Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://creativecommons.org/licenses/by-nd/2.0/legalcode"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"optional-license-text\"> \n		 <p>Creative Commons Attribution-NoDerivs 2.0</p>\n\n	  </div>\n	  <div class=\"optional-license-text\"> \n		 <p>CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\n		 LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION ON\n		 AN &quot;AS-IS&quot; BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED,\n		 AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM ITS USE.</p>\n\n		 <p>License</p>\n\n	  </div>\n\n	  <p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE\n		 (&quot;CCPL&quot; OR &quot;LICENSE&quot;). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE\n		 LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS\n		 PROHIBITED.</p>\n\n	  <p>BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS\n		 LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH\n		 TERMS AND CONDITIONS.</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Definitions\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			&quot;Collective Work&quot; means a work, such as a periodical issue, anthology or encyclopedia, in\n			   which the Work in its entirety in unmodified form, along with a number of other\n			   contributions, constituting separate and independent works in themselves, are assembled\n			   into a collective whole. A work that constitutes a Collective Work will not be considered\n			   a Derivative Work (as defined below) for the purposes of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			&quot;Derivative Work&quot; means a work based upon the Work or upon the Work and other\n			   pre-existing works, such as a translation, musical arrangement, dramatization,\n			   fictionalization, motion picture version, sound recording, art reproduction, abridgment,\n			   condensation, or any other form in which the Work may be recast, transformed, or adapted,\n			   except that a work that constitutes a Collective Work will not be considered a Derivative\n			   Work for the purpose of this License. For the avoidance of doubt, where the Work is a\n			   musical composition or sound recording, the synchronization of the Work in timed-relation\n			   with a moving image (&quot;synching&quot;) will be considered a Derivative Work for the purpose of\n			   this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			&quot;Licensor&quot; means the individual or entity that offers the Work under the terms of this\n			   License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			&quot;Original Author&quot; means the individual or entity who created the Work.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> e.</var>\n			&quot;Work&quot; means the copyrightable work of authorship offered under the terms of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> f.</var>\n			&quot;You&quot; means an individual or entity exercising rights under this License who has\n			   not previously violated the terms of this License with respect to the Work, or who has\n			   received express permission from the Licensor to exercise rights under this License\n			   despite a previous violation.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Fair Use Rights. Nothing in this license is intended to reduce, limit, or restrict any rights\n			 arising from fair use, first sale or other limitations on the exclusive rights of the\n			 copyright owner under copyright law or other applicable laws.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		  License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a\n			 worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable\n			 copyright) license to exercise the rights in the Work as stated below:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			to reproduce the Work, to incorporate the Work into one or more Collective Works, and to\n			   reproduce the Work as incorporated in the Collective Works;\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			to distribute copies or phonorecords of, display publicly, perform publicly, and perform\n			   publicly by means of a digital audio transmission the Work including as incorporated in\n			   Collective Works.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			For the avoidance of doubt, where the work is a musical composition:\n		  \n<ul style=\"list-style:none\">\n					 \n<li>\n						<var class=\"replaceable-license-text\"> i.</var>\n			  Performance Royalties Under Blanket Licenses. Licensor waives the exclusive right to\n				 collect, whether individually or via a performance rights society (e.g. ASCAP, BMI, SESAC),\n				 royalties for the public performance or public digital performance (e.g. webcast) of the\n				 Work.\n			</li>\n					 \n<li>\n						<var class=\"replaceable-license-text\"> ii.</var>\n			  Mechanical Rights and Statutory Royalties. Licensor waives the exclusive right to collect,\n				 whether individually or via a music rights society or designated agent (e.g. Harry Fox\n				 Agency), royalties for any phonorecord You create from the Work (&quot;cover version&quot;) and\n				 distribute, subject to the compulsory license created by 17 USC Section 115 of the US\n				 Copyright Act (or the equivalent in other jurisdictions).\n			</li>\n				  \n</ul>\n			   </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			Webcasting Rights and Statutory Royalties. For the avoidance of doubt, where the Work is a\n			   sound recording, Licensor waives the exclusive right to collect, whether individually or\n			   via a performance-rights society (e.g. SoundExchange), royalties for the public digital\n			   performance (e.g. webcast) of the Work, subject to the compulsory license created by 17\n			   USC Section 114 of the US Copyright Act (or the equivalent in other jurisdictions).\n		  </li>\n			\n</ul>\n		 </li>\n		 \n<li><p>The above rights may be exercised in all media and formats whether now known or hereafter\n		 devised. The above rights include the right to make such modifications as are\n		 technically necessary to exercise the rights in other media and formats, but otherwise\n		 you have no rights to make Derivative Works. All rights not expressly granted by Licensor are\n		 hereby reserved.</p>\n\n\t\t </li>\n\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Restrictions.<var class=\"optional-license-text\">  </var>The license granted in Section 3 above is expressly made\n			 subject to and limited by the following restrictions:\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			You may distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work only under the terms of this License, and You must include a copy of, or the Uniform\n			   Resource Identifier for, this License with every copy or phonorecord of the Work You\n			   distribute, publicly display, publicly perform, or publicly digitally perform. You may not\n			   offer or impose any terms on the Work that alter or restrict the terms of this License or\n			   the recipients&apos; exercise of the rights granted hereunder. You may not sublicense the Work.\n			   You must keep intact all notices that refer to this License and to the disclaimer of\n			   warranties. You may not distribute, publicly display, publicly perform, or publicly\n			   digitally perform the Work with any technological measures that control access or use of\n			   the Work in a manner inconsistent with the terms of this License Agreement. The above\n			   applies to the Work as incorporated in a Collective Work, but this does not require the\n			   Collective Work apart from the Work itself to be made subject to the terms of this\n			   License. If You create a Collective Work, upon notice from any Licensor You must, to the\n			   extent practicable, remove from the Collective Work any reference to such Licensor or\n			   the Original Author, as requested.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If you distribute, publicly display, publicly perform, or publicly digitally perform the\n			   Work or Collective Works, You must keep intact all copyright notices for the Work and\n			   give the Original Author credit reasonable to the medium or means You are utilizing by\n			   conveying the name (or pseudonym if applicable) of the Original Author if supplied; the\n			   title of the Work if supplied; and to the extent reasonably practicable, the Uniform\n			   Resource Identifier, if any, that Licensor specifies to be associated with the Work,\n			   unless such URI does not refer to the copyright notice or licensing information for the\n			   Work. Such credit may be implemented in any reasonable manner; provided, however, that\n			   in the case of a Collective Work, at a minimum such credit will appear where any other\n			   comparable authorship credit appears and in a manner at least as prominent as such other\n			   comparable authorship credit.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 5.</var>\n		  Representations, Warranties and Disclaimer\n		  <p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND\n			 MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE MATERIALS, EXPRESS, IMPLIED,\n			 STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY,\n			 FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS,\n			 ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME\n			 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\n			 APPLY TO YOU.</p>\n\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 6.</var>\n		  Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL\n			 LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL,\n			 PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF\n			 LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 7.</var>\n		  Termination\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			This License and the rights granted hereunder will terminate automatically upon any breach by\n			   You of the terms of this License. Individuals or entities who have received Collective\n			   Works from You under this License, however, will not have their licenses terminated\n			   provided such individuals or entities remain in full compliance with those licenses.\n			   Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			Subject to the above terms and conditions, the license granted here is perpetual (for the\n			   duration of the applicable copyright in the Work). Notwithstanding the above, Licensor\n			   reserves the right to release the Work under different license terms or to stop\n			   distributing the Work at any time; provided, however that any such election will not serve\n			   to withdraw this License (or any other license that has been, or is required to be,\n			   granted under the terms of this License), and this License will continue in full force and\n			   effect unless terminated as stated above.\n		  </li>\n			\n</ul>\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 8.</var>\n		  Miscellaneous\n		\n<ul style=\"list-style:none\">\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> a.</var>\n			Each time You distribute or publicly digitally perform the Work, the Licensor offers to\n			   the recipient a license to the Work on the same terms and conditions as the license\n			   granted to You under this License.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> b.</var>\n			If any provision of this License is invalid or unenforceable under applicable law, it shall\n			   not affect the validity or enforceability of the remainder of the terms of this License,\n			   and without further action by the parties to this agreement, such provision shall be\n			   reformed to the minimum extent necessary to make such provision valid and enforceable.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> c.</var>\n			No term or provision of this License shall be deemed waived and no breach consented to unless\n			   such waiver or consent shall be in writing and signed by the party to be charged with such\n			   waiver or consent.\n		  </li>\n			   \n<li>\n				  <var class=\"replaceable-license-text\"> d.</var>\n			This License constitutes the entire agreement between the parties with respect to the Work\n			   licensed here. There are no understandings, agreements or representations with respect to\n			   the Work not specified here. Licensor shall not be bound by any additional provisions that\n			   may appear in any communication from You. This License may not be modified without the\n			   mutual written agreement of the Licensor and You.\n		  </li>\n			\n</ul>\n		</li>\n	  \n</ul>\n	  <p>Creative Commons is not a party to this License, and makes no warranty whatsoever in connection with the\n		 Work. Creative Commons will not be liable to You or any party on any legal theory for any damages\n		 whatsoever, including without limitation any general, special, incidental or consequential damages\n		 arising in connection to this license. Notwithstanding the foregoing two (2) sentences, if Creative\n		 Commons has expressly identified itself as the Licensor hereunder, it shall have all rights and\n		 obligations of Licensor.</p>\n\n	  <p>Except for the limited purpose of indicating to the public that the Work is licensed under the CCPL,\n		 neither party will use the trademark &quot;Creative Commons&quot; or any related trademark or logo of\n		 Creative Commons without the prior written consent of Creative Commons. Any permitted use will\n		 be in compliance with Creative Commons&apos; then-current trademark usage guidelines, as may be\n		 published on its website or otherwise made available upon request from time to time.</p>\n\n	  <p>Creative Commons may be contacted at https://creativecommons.org/.</p>\n\n	"
		self.python_name = "CCBYND20"

	def __str__(self):
		return json.dumps(self.__dict__)


class NCGLUK20:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Non-Commercial Government Licence\nfor public sector information\n\nYou are encouraged to use and re-use the Information that is available under this licence freely and flexibly, with only a few conditions.\n\nUsing information under this licence\n\nUse of copyright and database right material expressly made available under this licence (the \u2018Information\u2019) indicates your acceptance of the terms and conditions below.\n\nThe Licensor grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information for Non-Commercial purposes only subject to the conditions below.\n\nThis licence does not affect your freedom under fair dealing or fair use or any other copyright or database right exceptions and limitations.\n\nYou are free to:\n\t\tcopy, publish, distribute and transmit the Information;\n\t\tadapt the Information;\n\t\texploit the Information for Non-Commercial purposes for example, by combining it with other information in your own product or application.\n\nYou are not permitted to:\n\t\texercise any of the rights granted to you by this licence in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\nYou must, where you do any of the above:\n\t\tacknowledge the source of the Information by including any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence;\n\nIf the Information Provider does not provide a specific attribution statement, you must use the following:\n   Contains information licensed under the Non-Commercial Government Licence v2.0.\n\nIf you are using Information from several Information Providers and listing multiple attributions is not practical in your product or application, you may include a URI or hyperlink to a resource that contains the required attribution statements.\n\t\tensure that any onward licensing of the Information \u2013 for example when combined with other information \u2013 is for Non-Commercial purposes only.\n\nThese are important conditions of this licence and if you fail to comply with them or use the Information other than for Non-Commercial purposes the rights granted to you under this licence, or any similar licence granted by the Licensor, will end automatically.\n\nExemptions\n\nThis licence does not cover the use of:\n\t\u2022\tpersonal data in the Information;\n\t\u2022\tInformation that has not been accessed by way of publication or disclosure under information access legislation (including the Freedom of Information Acts for the UK and Scotland) by or with the consent of the Information Provider;\n\t\u2022\tdepartmental or public sector organisation logos, crests, military insignia and the Royal Arms except where they form an integral part of a document or dataset;\n\t\u2022\tmilitary insignia\n\t\u2022\tthird party rights the Information Provider is not authorised to license;\n\t\u2022\tother intellectual property rights, including patents, trade marks, and design rights; and\n\t\u2022\tidentity documents such as the British Passport.\n\nNon-endorsement\nThis licence does not grant you any right to use the Information in a way that suggests any official status or that the Information Provider and/or Licensor endorse you or your use of the Information.\n\nNo warranty\nThe Information is licensed \u2018as is\u2019 and the Information Provider excludes all representations, warranties, obligations and liabilities in relation to the Information to the maximum extent permitted by law.\nThe Information Provider is not liable for any errors or omissions in the Information and shall not be liable for any loss, injury or damage of any kind caused by its use. The Information Provider does not guarantee the continued supply of the Information.\n\nGoverning Law\nThis licence is governed by the laws of the jurisdiction in which the Information Provider has its principal place of business, unless otherwise specified by the Information Provider.\n\nDefinitions\nIn this licence the terms below have the following meanings:\n\n\u2018Information\u2019 means information protected by copyright or by database right (for example, literary and artistic works, content, data and source code) offered for use under the terms of this licence.\n\n\u2018Information Provider\u2019 means the person or organisation providing the Information under this licence.\n\n\u2018Licensor\u2019 means any Information Provider which has the authority to offer Information under the terms of this licence or the Keeper of the Public Records, who has the authority to offer Information subject to Crown copyright and Crown database rights and Information subject to copyright and database right that has been assigned to or acquired by the Crown, under the terms of this licence.\n\n\u2018Non-Commercial purposes\u2019 means not intended for or directed toward commercial advantage or private monetary compensation. For the purposes of this licence, \u2018private monetary compensation\u2019 does not include the exchange of the Information for other copyrighted works by means of digital file-sharing or otherwise provided there is no payment of any monetary compensation in connection with the exchange of the Information.\n\n\u2018Use\u2019 as a verb, means doing any act which is restricted by copyright or database right, whether in the original medium or in any other medium, and includes without limitation distributing, copying, adapting, modifying as may be technically necessary to use it in a different mode or format.\n\n\u2018You\u2019 means the natural or legal person, or body of persons corporate or incorporate, acquiring rights under this licence.\n"
		self.standardLicenseTemplate = "<<beginOptional>>Non-Commercial Government Licence\n\nfor public sector information\n\n<<endOptional>>\n\nYou are encouraged to use and re-use the Information that is available under this licence freely and flexibly, with only a few conditions.\n\nUsing information under this licence\n\nUse of copyright and database right material expressly made available under this licence (the 'Information') indicates your acceptance of the terms and conditions below.\n\nThe Licensor grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information for Non-Commercial purposes only subject to the conditions below.\n\nThis licence does not affect your freedom under fair dealing or fair use or any other copyright or database right exceptions and limitations.\n\nYou are free to:\n\n   copy, publish, distribute and transmit the Information;\n\n   adapt the Information;\n\n   exploit the Information for Non-Commercial purposes for example, by combining it with other information in your own product or application.\n\nYou are not permitted to:\n\n   exercise any of the rights granted to you by this licence in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation.\n\nYou must, where you do any of the above:\n\n   acknowledge the source of the Information by including any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence;\n\n   If the Information Provider does not provide a specific attribution statement, you must use the following:\n\n   Contains information licensed under the Non-Commercial Government Licence v2.0.\n\n   If you are using Information from several Information Providers and listing multiple attributions is not practical in your product or application, you may include a URI or hyperlink to a resource that contains the required attribution statements.\n\n   ensure that any onward licensing of the Information \u2013 for example when combined with other information \u2013 is for Non-Commercial purposes only.\n\n   These are important conditions of this licence and if you fail to comply with them or use the Information other than for Non-Commercial purposes the rights granted to you under this licence, or any similar licence granted by the Licensor, will end automatically.\n\nExemptions\n\nThis licence does not cover the use of:\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> personal data in the Information;\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> Information that has not been accessed by way of publication or disclosure under information access legislation (including the Freedom of Information Acts for the UK and Scotland) by or with the consent of the Information Provider;\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> departmental or public sector organisation logos, crests, military insignia and the Royal Arms except where they form an integral part of a document or dataset;\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> military insignia\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> third party rights the Information Provider is not authorised to license;\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> other intellectual property rights, including patents, trade marks, and design rights; and\n\n   <<var;name=\"bullet\";original=\"\u2022\";match=\".{0,20}\">> identity documents such as the British Passport.\n\nNon-endorsement\n\nThis licence does not grant you any right to use the Information in a way that suggests any official status or that the Information Provider and/or Licensor endorse you or your use of the Information.\n\nNo warranty\n\nThe Information is licensed 'as is' and the Information Provider excludes all representations, warranties, obligations and liabilities in relation to the Information to the maximum extent permitted by law.\n\nThe Information Provider is not liable for any errors or omissions in the Information and shall not be liable for any loss, injury or damage of any kind caused by its use. The Information Provider does not guarantee the continued supply of the Information.\n\nGoverning Law\n\nThis licence is governed by the laws of the jurisdiction in which the Information Provider has its principal place of business, unless otherwise specified by the Information Provider.\n\nDefinitions\n\nIn this licence the terms below have the following meanings:\n\n'Information' means information protected by copyright or by database right (for example, literary and artistic works, content, data and source code) offered for use under the terms of this licence.\n\n'Information Provider' means the person or organisation providing the Information under this licence.\n\n'Licensor' means any Information Provider which has the authority to offer Information under the terms of this licence or the Keeper of the Public Records, who has the authority to offer Information subject to Crown copyright and Crown database rights and Information subject to copyright and database right that has been assigned to or acquired by the Crown, under the terms of this licence.\n\n'Non-Commercial purposes' means not intended for or directed toward commercial advantage or private monetary compensation. For the purposes of this licence, 'private monetary compensation' does not include the exchange of the Information for other copyrighted works by means of digital file-sharing or otherwise provided there is no payment of any monetary compensation in connection with the exchange of the Information.\n\n'Use' as a verb, means doing any act which is restricted by copyright or database right, whether in the original medium or in any other medium, and includes without limitation distributing, copying, adapting, modifying as may be technically necessary to use it in a different mode or format.\n\n'You' means the natural or legal person, or body of persons corporate or incorporate, acquiring rights under this licence.\n\n"
		self.name = "Non-Commercial Government Licence"
		self.licenseId = "NCGL-UK-2.0"
		self.crossRef = [{"match": "False", "url": "http://www.nationalarchives.gov.uk/doc/non-commercial-government-licence/version/2/", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:22:24Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["http://www.nationalarchives.gov.uk/doc/non-commercial-government-licence/version/2/"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n			<div class=\"optional-license-text\"> Non-Commercial Government Licence\n				<p>for public sector information</p>\n\n			</div>\n			<p>You are encouraged to use and re-use the Information that is available under this licence freely and flexibly, with only a few conditions.</p>\n\n			<p>Using information under this licence</p>\n\n			<p>Use of copyright and database right material expressly made available under this licence (the &apos;Information&apos;) indicates your acceptance of the terms and conditions below.</p>\n\n			<p>The Licensor grants you a worldwide, royalty-free, perpetual, non-exclusive licence to use the Information for Non-Commercial purposes only subject to the conditions below.</p>\n\n			<p>This licence does not affect your freedom under fair dealing or fair use or any other copyright or database right exceptions and limitations.</p>\n\n			<p>You are free to:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>copy, publish, distribute and transmit the Information;</li>\n				\n<li>adapt the Information;</li>\n				\n<li>exploit the Information for Non-Commercial purposes for example, by combining it with other information in your own product or application.</li>\n			\n</ul>\n			<p>You are not permitted to:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>exercise any of the rights granted to you by this licence in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation.</li>\n			\n</ul>\n			<p>You must, where you do any of the above:</p>\n\n<ul style=\"list-style:none\">\n				\n<li>acknowledge the source of the Information by including any attribution statement specified by the Information Provider(s) and, where possible, provide a link to this licence;\n					<p>If the Information Provider does not provide a specific attribution statement, you must use the following:</p>\n\n					<p>Contains information licensed under the Non-Commercial Government Licence v2.0.</p>\n\n					<p>If you are using Information from several Information Providers and listing multiple attributions is not practical in your product or application, you may include a URI or hyperlink to a resource that contains the required attribution statements.</p>\n\n				</li>\n				\n<li>ensure that any onward licensing of the Information \u2013 for example when combined with other information \u2013 is for Non-Commercial purposes only.\n					<p>These are important conditions of this licence and if you fail to comply with them or use the Information other than for Non-Commercial purposes the rights granted to you under this licence, or any similar licence granted by the Licensor, will end automatically.</p>\n\n				</li>\n			\n</ul>\n			<p>Exemptions</p>\n\n			<p>This licence does not cover the use of:</p>\n\n<ul style=\"list-style:none\">\n				\n<li><var class=\"replaceable-license-text\"> \u2022</var>personal data in the Information;</li>\n				\n<li><var class=\"replaceable-license-text\"> \u2022</var>Information that has not been accessed by way of publication or disclosure under information access legislation (including the Freedom of Information Acts for the UK and Scotland) by or with the consent of the Information Provider;</li>\n				\n<li><var class=\"replaceable-license-text\"> \u2022</var>departmental or public sector organisation logos, crests, military insignia and the Royal Arms except where they form an integral part of a document or dataset;</li>\n				\n<li><var class=\"replaceable-license-text\"> \u2022</var>military insignia</li>\n				\n<li><var class=\"replaceable-license-text\"> \u2022</var>third party rights the Information Provider is not authorised to license;</li>\n				\n<li><var class=\"replaceable-license-text\"> \u2022</var>other intellectual property rights, including patents, trade marks, and design rights; and</li>\n				\n<li><var class=\"replaceable-license-text\"> \u2022</var>identity documents such as the British Passport.</li>\n			\n</ul>\n			<p>Non-endorsement</p>\n\n			<p>This licence does not grant you any right to use the Information in a way that suggests any official status or that the Information Provider and/or Licensor endorse you or your use of the Information.</p>\n\n			<p>No warranty</p>\n\n			<p>The Information is licensed &apos;as is&apos; and the Information Provider excludes all representations, warranties, obligations and liabilities in relation to the Information to the maximum extent permitted by law.</p>\n\n			<p>The Information Provider is not liable for any errors or omissions in the Information and shall not be liable for any loss, injury or damage of any kind caused by its use. The Information Provider does not guarantee the continued supply of the Information.</p>\n\n			<p>Governing Law</p>\n\n			<p>This licence is governed by the laws of the jurisdiction in which the Information Provider has its principal place of business, unless otherwise specified by the Information Provider.</p>\n\n			<p>Definitions</p>\n\n			<p>In this licence the terms below have the following meanings:</p>\n\n			<p>&apos;Information&apos; means information protected by copyright or by database right (for example, literary and artistic works, content, data and source code) offered for use under the terms of this licence.</p>\n\n			<p>&apos;Information Provider&apos;\nmeans the person or organisation providing the Information under this licence.</p>\n\n			<p>&apos;Licensor&apos;\nmeans any Information Provider which has the authority to offer Information under the terms of this licence or the Keeper of the Public Records, who has the authority to offer Information subject to Crown copyright and Crown database rights and Information subject to copyright and database right that has been assigned to or acquired by the Crown, under the terms of this licence.</p>\n\n			<p>&apos;Non-Commercial purposes&apos;\nmeans not intended for or directed toward commercial advantage or private monetary compensation. For the purposes of this licence, &apos;private monetary compensation&apos; does not include the exchange of the Information for other copyrighted works by means of digital file-sharing or otherwise provided there is no payment of any monetary compensation in connection with the exchange of the Information.</p>\n\n			<p>&apos;Use&apos;\nas a verb, means doing any act which is restricted by copyright or database right, whether in the original medium or in any other medium, and includes without limitation distributing, copying, adapting, modifying as may be technically necessary to use it in a different mode or format.</p>\n\n			<p>&apos;You&apos;\nmeans the natural or legal person, or body of persons corporate or incorporate, acquiring rights under this licence.</p>\n\n		"
		self.python_name = "NCGLUK20"

	def __str__(self):
		return json.dumps(self.__dict__)


class Saxpath:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 2000-2002 werken digital.\nAll rights reserved.\n\nRedistribution and use in source and binary forms, with or without  modification, are permitted provided that the following conditions  are met:\n\n	 1. Redistributions of source code must retain the above copyright  notice, this list of conditions, and the following disclaimer.\n\n	 2. Redistributions in binary form must reproduce the above copyright  notice, this list of conditions, and the disclaimer that follows  these conditions in the documentation and/or other materials  provided with the distribution.\n\n	 3. The name \"SAXPath\" must not be used to endorse or promote products  derived from this software without prior written permission. For  written permission, please contact license@saxpath.org.\n\n	 4. Products derived from this software may not be called \"SAXPath\", nor  may \"SAXPath\" appear in their name, without prior written permission  from the SAXPath Project Management (pm@saxpath.org).\n\nIn addition, we request (but do not require) that you include in the  end-user documentation provided with the redistribution and/or in the  software itself an acknowledgement equivalent to the following:\n	 \"This product includes software developed by the  SAXPath Project (http://www.saxpath.org/).\"\n\nAlternatively, the acknowledgment may be graphical using the logos  available at http://www.saxpath.org/\n\nTHIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE  DISCLAIMED. IN NO EVENT SHALL THE SAXPath AUTHORS OR THE PROJECT  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF  SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 2000-2002 werken digital.  All rights reserved.  \";match=\".{0,5000}\">>\n\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions, and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions, and the disclaimer that follows these conditions in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> The name <<var;name=\"nameClause3\";original=\"\"SAXPath\"\";match=\".+\">> must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact <<var;name=\"contactClause3\";original=\"license@saxpath.org\";match=\".+\">> .\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Products derived from this software may not be called <<var;name=\"nameClause4\";original=\"\"SAXPath\"\";match=\".+\">> , nor may <<var;name=\"nameClause42\";original=\"\"SAXPath\"\";match=\".+\">> appear in their name, without prior written permission from the <<var;name=\"contactClause4\";original=\"SAXPath Project Management (pm@saxpath.org)\";match=\".+\">> .\n\nIn addition, we request (but do not require) that you include in the end-user documentation provided with the redistribution and/or in the software itself an acknowledgement equivalent to the following:\n\n\"This product includes software developed by <<var;name=\"acknowledgement\";original=\"the SAXPath Project (http://www.saxpath.org/)\";match=\".+\">> .\"\n\nAlternatively, the acknowledgment may be graphical using the logos available at <<var;name=\"logos\";original=\"http://www.saxpath.org/\";match=\".+\">>\n\nTHIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE SAXPath AUTHORS OR THE PROJECT CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Saxpath License"
		self.licenseId = "Saxpath"
		self.crossRef = [{"match": "False", "url": "https://fedoraproject.org/wiki/Licensing/Saxpath_License", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:16:31Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://fedoraproject.org/wiki/Licensing/Saxpath_License"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n	  <div class=\"replaceable-license-text\"> \n		 <p>Copyright (C) 2000-2002 werken digital.\n		<br />\n\nAll rights reserved.\n	  </p>\n\n	  </div>\n\n	  <p>Redistribution and use in source and binary forms, with or without modification, are permitted provided\n		 that the following conditions are met:</p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n			<var class=\"replaceable-license-text\"> 1.</var>\n		  Redistributions of source code must retain the above copyright notice, this list of conditions,\n			 and the following disclaimer.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 2.</var>\n		  Redistributions in binary form must reproduce the above copyright notice, this list of\n			 conditions, and the disclaimer that follows these conditions in the documentation and/or other\n			 materials provided with the distribution.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 3.</var>\n		   The name <var class=\"replaceable-license-text\"> &quot;SAXPath&quot;</var> must not be used \n		   to endorse or promote products derived from this software\n			 without prior written permission. For written permission, please contact\n		   <var class=\"replaceable-license-text\"> license@saxpath.org</var>.\n		</li>\n		\n<li>\n			<var class=\"replaceable-license-text\"> 4.</var>\n		  Products derived from this software may not be called <var class=\"replaceable-license-text\"> &quot;SAXPath&quot;</var>, \n		  nor may <var class=\"replaceable-license-text\"> &quot;SAXPath&quot;</var> appear in\n			 their name, without prior written permission from the <var class=\"replaceable-license-text\"> SAXPath Project Management\n		   (pm@saxpath.org)</var>.\n		</li>\n	  \n</ul>\n	  <p>In addition, we request (but do not require) that you include in the end-user documentation provided with\n		 the redistribution and/or in the software itself an acknowledgement equivalent to the following:\n		<br />\n\n&quot;This product includes software developed by \n		<var class=\"replaceable-license-text\"> the SAXPath Project (http://www.saxpath.org/)</var>.&quot;\n	  </p>\n\n	  <p>Alternatively, the acknowledgment may be graphical using the logos available at \n	  <var class=\"replaceable-license-text\"> http://www.saxpath.org/</var></p>\n\n	  <p>THIS SOFTWARE IS PROVIDED ``AS IS&apos;&apos; AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\n		 TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\n		 NO EVENT SHALL THE SAXPath AUTHORS OR THE PROJECT CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,\n		 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\n		 OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\n		 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n		 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\n		 POSSIBILITY OF SUCH DAMAGE.</p>\n\n	"
		self.python_name = "Saxpath"

	def __str__(self):
		return json.dumps(self.__dict__)


class LGPL30orlater:
	isDeprecatedLicenseId: bool
	isFsfLibre: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.isFsfLibre = True
		self.licenseText = "GNU LESSER GENERAL PUBLIC LICENSE\nVersion 3, 29 June 2007\n\nCopyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nThis version of the GNU Lesser General Public License incorporates the terms and conditions of version 3 of the GNU General Public License, supplemented by the additional permissions listed below.\n\n0. Additional Definitions.\n\nAs used herein, \"this License\" refers to version 3 of the GNU Lesser General Public License, and the \"GNU GPL\" refers to version 3 of the GNU General Public License.\n\n\"The Library\" refers to a covered work governed by this License, other than an Application or a Combined Work as defined below.\n\nAn \"Application\" is any work that makes use of an interface provided by the Library, but which is not otherwise based on the Library. Defining a subclass of a class defined by the Library is deemed a mode of using an interface provided by the Library.\n\nA \"Combined Work\" is a work produced by combining or linking an Application with the Library.  The particular version of the Library with which the Combined Work was made is also called the \"Linked Version\".\n\nThe \"Minimal Corresponding Source\" for a Combined Work means the Corresponding Source for the Combined Work, excluding any source code for portions of the Combined Work that, considered in isolation, are based on the Application, and not on the Linked Version.\n\nThe \"Corresponding Application Code\" for a Combined Work means the object code and/or source code for the Application, including any data and utility programs needed for reproducing the Combined Work from the Application, but excluding the System Libraries of the Combined Work.\n\n1. Exception to Section 3 of the GNU GPL.\nYou may convey a covered work under sections 3 and 4 of this License without being bound by section 3 of the GNU GPL.\n\n2. Conveying Modified Versions.\nIf you modify a copy of the Library, and, in your modifications, a facility refers to a function or data to be supplied by an Application that uses the facility (other than as an argument passed when the facility is invoked), then you may convey a copy of the modified version:\n\n	 a) under this License, provided that you make a good faith effort to ensure that, in the event an Application does not supply the function or data, the facility still operates, and performs whatever part of its purpose remains meaningful, or\n\n	 b) under the GNU GPL, with none of the additional permissions of this License applicable to that copy.\n\n3. Object Code Incorporating Material from Library Header Files.\nThe object code form of an Application may incorporate material from a header file that is part of the Library.  You may convey such object code under terms of your choice, provided that, if the incorporated material is not limited to numerical parameters, data structure layouts and accessors, or small macros, inline functions and templates (ten or fewer lines in length), you do both of the following:\n\n	 a) Give prominent notice with each copy of the object code that the Library is used in it and that the Library and its use are covered by this License.\n\n	 b) Accompany the object code with a copy of the GNU GPL and this license document.\n\n4. Combined Works.\nYou may convey a Combined Work under terms of your choice that, taken together, effectively do not restrict modification of the portions of the Library contained in the Combined Work and reverse engineering for debugging such modifications, if you also do each of the following:\n\n	 a) Give prominent notice with each copy of the Combined Work that the Library is used in it and that the Library and its use are covered by this License.\n\n	 b) Accompany the Combined Work with a copy of the GNU GPL and this license document.\n\n	 c) For a Combined Work that displays copyright notices during execution, include the copyright notice for the Library among these notices, as well as a reference directing the user to the copies of the GNU GPL and this license document.\n\n	 d) Do one of the following:\n\n		   0) Convey the Minimal Corresponding Source under the terms of this License, and the Corresponding Application Code in a form suitable for, and under terms that permit, the user to recombine or relink the Application with a modified version of the Linked Version to produce a modified Combined Work, in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.\n\n		  1) Use a suitable shared library mechanism for linking with the Library.  A suitable mechanism is one that (a) uses at run time a copy of the Library already present on the user's computer system, and (b) will operate properly with a modified version of the Library that is interface-compatible with the Linked Version.\n\n	 e) Provide Installation Information, but only if you would otherwise be required to provide such information under section 6 of the GNU GPL, and only to the extent that such information is necessary to install and execute a modified version of the Combined Work produced by recombining or relinking the Application with a modified version of the Linked Version. (If you use option 4d0, the Installation Information must accompany the Minimal Corresponding Source and Corresponding Application Code. If you use option 4d1, you must provide the Installation Information in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.)\n\n5. Combined Libraries.\nYou may place library facilities that are a work based on the Library side by side in a single library together with other library facilities that are not Applications and are not covered by this License, and convey such a combined library under terms of your choice, if you do both of the following:\n\n	 a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities, conveyed under the terms of this License.\n\n	 b) Give prominent notice with the combined library that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n6. Revised Versions of the GNU Lesser General Public License.\nThe Free Software Foundation may publish revised and/or new versions of the GNU Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Library as you received it specifies that a certain numbered version of the GNU Lesser General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that published version or of any later version published by the Free Software Foundation. If the Library as you received it does not specify a version number of the GNU Lesser General Public License, you may choose any version of the GNU Lesser General Public License ever published by the Free Software Foundation.\n\nIf the Library as you received it specifies that a proxy can decide whether future versions of the GNU Lesser General Public License shall\napply, that proxy's public statement of acceptance of any version is permanent authorization for you to choose that version for the Library.\n\nGNU GENERAL PUBLIC LICENSE\nVersion 3, 29 June 2007\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n0. Definitions.\n\n\u201cThis License\u201d refers to version 3 of the GNU General Public License.\n\n\u201cCopyright\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n\u201cThe Program\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \u201cyou\u201d. \u201cLicensees\u201d and \u201crecipients\u201d may be individuals or organizations.\n\nTo \u201cmodify\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \u201cmodified version\u201d of the earlier work or a work \u201cbased on\u201d the earlier work.\n\nA \u201ccovered work\u201d means either the unmodified Program or a work based on the Program.\n\nTo \u201cpropagate\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\nTo \u201cconvey\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\nAn interactive user interface displays \u201cAppropriate Legal Notices\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n1. Source Code.\nThe \u201csource code\u201d for a work means the preferred form of the work for making modifications to it. \u201cObject code\u201d means any non-source form of a work.\n\nA \u201cStandard Interface\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\nThe \u201cSystem Libraries\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \u201cMajor Component\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\nThe \u201cCorresponding Source\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\nThe Corresponding Source for a work in source code form is that same work.\n\n2. Basic Permissions.\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n4. Conveying Verbatim Copies.\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n5. Conveying Modified Source Versions.\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	 a) The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	 b) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \u201ckeep intact all notices\u201d.\n\n	 c) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	 d) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \u201caggregate\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n6. Conveying Non-Source Forms.\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	 a) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	 b) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	 c) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	 d) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	 e) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\nA \u201cUser Product\u201d is either (1) a \u201cconsumer product\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \u201cnormally used\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n\u201cInstallation Information\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n7. Additional Terms.\n\u201cAdditional permissions\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	 a) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	 b) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	 c) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	 d) Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	 e) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	 f) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\nAll other non-permissive additional terms are considered \u201cfurther restrictions\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n8. Termination.\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n9. Acceptance Not Required for Having Copies.\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n10. Automatic Licensing of Downstream Recipients.\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\nAn \u201centity transaction\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n11. Patents.\nA \u201ccontributor\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \u201ccontributor version\u201d.\n\nA contributor's \u201cessential patent claims\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \u201ccontrol\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\nIn the following three paragraphs, a \u201cpatent license\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \u201cgrant\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \u201cKnowingly relying\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\nA patent license is \u201cdiscriminatory\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\nNothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n12. No Surrender of Others' Freedom.\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n13. Use with the GNU Affero General Public License.\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n14. Revised Versions of this License.\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \u201cor any later version\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n15. Disclaimer of Warranty.\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \u201cAS IS\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. Limitation of Liability.\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n17. Interpretation of Sections 15 and 16.\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \u201ccopyright\u201d line and a pointer to where the full notice is found.\n\n	 <one line to give the program's name and a brief idea of what it does.>\n	 Copyright (C) <year>  <name of author>\n\n	 This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\n	 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.\n\n	 You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n	 <program>  Copyright (C) <year>  <name of author>\n	 This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n	 This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \u201cabout box\u201d.\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \u201ccopyright disclaimer\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <http://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <http://www.gnu.org/philosophy/why-not-lgpl.html>.\n"
		self.standardLicenseTemplate = "<<beginOptional>>GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\n<<endOptional>>\n\nCopyright (C) 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nThis version of the GNU Lesser General Public License incorporates the terms and conditions of version 3 of the GNU General Public License, supplemented by the additional permissions listed below.\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Additional Definitions.\n\n	  As used herein, \"this License\" refers to version 3 of the GNU Lesser General Public License, and the \"GNU GPL\" refers to version 3 of the GNU General Public License.\n\n	  \"The Library\" refers to a covered work governed by this License, other than an Application or a Combined Work as defined below.\n\n	  An \"Application\" is any work that makes use of an interface provided by the Library, but which is not otherwise based on the Library. Defining a subclass of a class defined by the Library is deemed a mode of using an interface provided by the Library.\n\n	  A \"Combined Work\" is a work produced by combining or linking an Application with the Library. The particular version of the Library with which the Combined Work was made is also called the \"Linked Version\".\n\n	  The \"Minimal Corresponding Source\" for a Combined Work means the Corresponding Source for the Combined Work, excluding any source code for portions of the Combined Work that, considered in isolation, are based on the Application, and not on the Linked Version.\n\n	  The \"Corresponding Application Code\" for a Combined Work means the object code and/or source code for the Application, including any data and utility programs needed for reproducing the Combined Work from the Application, but excluding the System Libraries of the Combined Work.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Exception to Section 3 of the GNU GPL.\n\n   You may convey a covered work under sections 3 and 4 of this License without being bound by section 3 of the GNU GPL.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Conveying Modified Versions.\n\n   If you modify a copy of the Library, and, in your modifications, a facility refers to a function or data to be supplied by an Application that uses the facility (other than as an argument passed when the facility is invoked), then you may convey a copy of the modified version:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> under this License, provided that you make a good faith effort to ensure that, in the event an Application does not supply the function or data, the facility still operates, and performs whatever part of its purpose remains meaningful, or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> under the GNU GPL, with none of the additional permissions of this License applicable to that copy.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Object Code Incorporating Material from Library Header Files.\n\n   The object code form of an Application may incorporate material from a header file that is part of the Library. You may convey such object code under terms of your choice, provided that, if the incorporated material is not limited to numerical parameters, data structure layouts and accessors, or small macros, inline functions and templates (ten or fewer lines in length), you do both of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Give prominent notice with each copy of the object code that the Library is used in it and that the Library and its use are covered by this License.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany the object code with a copy of the GNU GPL and this license document.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Combined Works.\n\n   You may convey a Combined Work under terms of your choice that, taken together, effectively do not restrict modification of the portions of the Library contained in the Combined Work and reverse engineering for debugging such modifications, if you also do each of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Give prominent notice with each copy of the Combined Work that the Library is used in it and that the Library and its use are covered by this License.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Accompany the Combined Work with a copy of the GNU GPL and this license document.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> For a Combined Work that displays copyright notices during execution, include the copyright notice for the Library among these notices, as well as a reference directing the user to the copies of the GNU GPL and this license document.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Do one of the following:\n\n		 <<var;name=\"bullet\";original=\"0)\";match=\".{0,20}\">> Convey the Minimal Corresponding Source under the terms of this License, and the Corresponding Application Code in a form suitable for, and under terms that permit, the user to recombine or relink the Application with a modified version of the Linked Version to produce a modified Combined Work, in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.\n\n		 <<var;name=\"bullet\";original=\"1)\";match=\".{0,20}\">> Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (a) uses at run time a copy of the Library already present on the user's computer system, and (b) will operate properly with a modified version of the Library that is interface-compatible with the Linked Version.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Provide Installation Information, but only if you would otherwise be required to provide such information under section 6 of the GNU GPL, and only to the extent that such information is necessary to install and execute a modified version of the Combined Work produced by recombining or relinking the Application with a modified version of the Linked Version. (If you use option 4d0, the Installation Information must accompany the Minimal Corresponding Source and Corresponding Application Code. If you use option 4d1, you must provide the Installation Information in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.)\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Combined Libraries.\n\n   You may place library facilities that are a work based on the Library side by side in a single library together with other library facilities that are not Applications and are not covered by this License, and convey such a combined library under terms of your choice, if you do both of the following:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities, conveyed under the terms of this License.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Give prominent notice with the combined library that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Revised Versions of the GNU Lesser General Public License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Library as you received it specifies that a certain numbered version of the GNU Lesser General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that published version or of any later version published by the Free Software Foundation. If the Library as you received it does not specify a version number of the GNU Lesser General Public License, you may choose any version of the GNU Lesser General Public License ever published by the Free Software Foundation.\n\n   If the Library as you received it specifies that a proxy can decide whether future versions of the GNU Lesser General Public License shall apply, that proxy's public statement of acceptance of any version is permanent authorization for you to choose that version for the Library.\n\n   <<beginOptional>>GNU GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\nCopyright \u00a9 2007 Free Software Foundation, Inc. <https://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\n\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\n\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\n\nThe precise terms and conditions for copying, distribution and modification follow.\n\nTERMS AND CONDITIONS\n\n   <<var;name=\"bullet\";original=\"0.\";match=\".{0,20}\">> Definitions.\n\n   \"This License\" refers to version 3 of the GNU General Public License.\n\n   \"Copyright\" also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\n\n   \"The Program\" refers to any copyrightable work licensed under this License. Each licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals or organizations.\n\n   To \"modify\" a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \"modified version\" of the earlier work or a work \"based on\" the earlier work.\n\n   A \"covered work\" means either the unmodified Program or a work based on the Program.\n\n   To \"propagate\" a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\n\n   To \"convey\" a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\n\n   An interactive user interface displays \"Appropriate Legal Notices\" to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Source Code.\n\n   The \"source code\" for a work means the preferred form of the work for making modifications to it. \"Object code\" means any non-source form of a work.\n\n   A \"Standard Interface\" means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\n\n   The \"System Libraries\" of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \"Major Component\", in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\n\n   The \"Corresponding Source\" for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\n\n   The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Basic Permissions.\n\n   All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\n\n   You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\n\n   Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Protecting Users' Legal Rights From Anti-Circumvention Law.\n\n   No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\n\n   When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\n\n   <<var;name=\"bullet\";original=\"4.\";match=\".{0,20}\">> Conveying Verbatim Copies.\n\n   You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\n\n   You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\n\n   <<var;name=\"bullet\";original=\"5.\";match=\".{0,20}\">> Conveying Modified Source Versions.\n\n   You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> The work must carry prominent notices stating that you modified it, and giving a relevant date.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \"keep intact all notices\".\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\n\n   A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \"aggregate\" if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\n\n   <<var;name=\"bullet\";original=\"6.\";match=\".{0,20}\">> Conveying Non-Source Forms.\n\n   You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\n\n   A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\n\n   A \"User Product\" is either (1) a \"consumer product\", which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \"normally used\" refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\n\n   \"Installation Information\" for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\n\n   If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\n\n   The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\n\n   Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\n\n   <<var;name=\"bullet\";original=\"7.\";match=\".{0,20}\">> Additional Terms.\n\n   \"Additional permissions\" are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\n\n   When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\n\n   Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\n\n	  <<var;name=\"bullet\";original=\"a)\";match=\".{0,20}\">> Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\n\n	  <<var;name=\"bullet\";original=\"b)\";match=\".{0,20}\">> Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\n\n	  <<var;name=\"bullet\";original=\"c)\";match=\".{0,20}\">> Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\n\n	  <<var;name=\"bullet\";original=\"d)\";match=\".{0,20}\">> Limiting the use for publicity purposes of names of licensors or authors of the material; or\n\n	  <<var;name=\"bullet\";original=\"e)\";match=\".{0,20}\">> Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\n\n	  <<var;name=\"bullet\";original=\"f)\";match=\".{0,20}\">> Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\n\n   All other non-permissive additional terms are considered \"further restrictions\" within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\n\n   If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\n\n   Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\n\n   <<var;name=\"bullet\";original=\"8.\";match=\".{0,20}\">> Termination.\n\n   You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\n\n   However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\n\n   Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\n\n   Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\n\n   <<var;name=\"bullet\";original=\"9.\";match=\".{0,20}\">> Acceptance Not Required for Having Copies.\n\n   You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\n\n   <<var;name=\"bullet\";original=\"10.\";match=\".{0,20}\">> Automatic Licensing of Downstream Recipients.\n\n   Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\n\n   An \"entity transaction\" is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\n\n   You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\n\n   <<var;name=\"bullet\";original=\"11.\";match=\".{0,20}\">> Patents.\n\n   A \"contributor\" is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \"contributor version\".\n\n   A contributor's \"essential patent claims\" are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \"control\" includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\n\n   Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\n\n   In the following three paragraphs, a \"patent license\" is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \"grant\" such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\n\n   If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \"Knowingly relying\" means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\n\n   If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\n\n   A patent license is \"discriminatory\" if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\n\n   Nothing in this License shall be consTrued as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\n\n   <<var;name=\"bullet\";original=\"12.\";match=\".{0,20}\">> No Surrender of Others' Freedom.\n\n   If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\n\n   <<var;name=\"bullet\";original=\"13.\";match=\".{0,20}\">> Use with the GNU Affero General Public License.\n\n   Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\n\n   <<var;name=\"bullet\";original=\"14.\";match=\".{0,20}\">> Revised Versions of this License.\n\n   The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n\n   Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \"or any later version\" applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\n\n   If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\n\n   Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\n\n   <<var;name=\"bullet\";original=\"15.\";match=\".{0,20}\">> Disclaimer of Warranty.\n\n   THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   <<var;name=\"bullet\";original=\"16.\";match=\".{0,20}\">> Limitation of Liability.\n\n   IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   <<var;name=\"bullet\";original=\"17.\";match=\".{0,20}\">> Interpretation of Sections 15 and 16.\n\n   If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\n\n   <<beginOptional>>END OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \"copyright\" line and a pointer to where the full notice is found.\n\n<one line to give the program's name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\n\n<program> Copyright (C) <year> <name of author>\n\nThis program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\n\nThis is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.\n\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \"about box\".\n\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \"copyright disclaimer\" for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <https://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <https://www.gnu.org/ <<var;name=\"philicenses\";original=\"licenses\";match=\"philosophy|licenses\">> /why-not-lgpl.html>.\n\n<<endOptional>><<endOptional>>"
		self.name = "GNU Lesser General Public License v3.0 or later"
		self.licenseComments = "This license was released: 29 June 2007. This refers to when this version of the LGPL, or any later version, is used (as opposed to \"only\" this version). The markup includes the GPL-3.0 text as optional text, because the LGPL-3.0 is structured as a supplement to the terms of GPL-3.0."
		self.licenseId = "LGPL-3.0-or-later"
		self.crossRef = [{"match": "N/A", "url": "https://opensource.org/licenses/LGPL-3.0", "isValid": True, "isLive": False, "timestamp": "2024-04-24T11:14:48Z", "isWayBackLink": False, "order": 2}, {"match": "False", "url": "https://www.gnu.org/licenses/lgpl+gpl-3.0.txt", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:48Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://www.gnu.org/licenses/lgpl-3.0-standalone.html", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:14:48Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://www.gnu.org/licenses/lgpl-3.0-standalone.html", "https://www.gnu.org/licenses/lgpl+gpl-3.0.txt", "https://opensource.org/licenses/LGPL-3.0"]
		self.isOsiApproved = True
		self.licenseTextHtml = "\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU LESSER GENERAL PUBLIC LICENSE<br />\n\n		Version 3, 29 June 2007\n	  </p>\n\n	</div>\n	<p>\n	  Copyright (C) 2007 Free Software Foundation, Inc.\n	  &lt;https://fsf.org/&gt;\n	</p>\n\n	<p>\n	  Everyone is permitted to copy and distribute verbatim copies\n	  of this license document, but changing it is not allowed.\n	</p>\n\n	<p>\n	  This version of the GNU Lesser General Public License incorporates\n	  the terms and conditions of version 3 of the GNU General Public\n	  License, supplemented by the additional permissions listed below.\n	</p>\n\n<ul style=\"list-style:none\">\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 0.</var>\n		Additional Definitions.\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<p>\n			  As used herein, &quot;this License&quot; refers to version 3 of\n			  the GNU Lesser General Public License, and the &quot;GNU GPL&quot;\n			  refers to version 3 of the GNU General Public License.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  &quot;The Library&quot; refers to a covered work governed by this License,\n			  other than an Application or a Combined Work as defined below.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  An &quot;Application&quot; is any work that makes use of an interface\n			  provided by the Library, but which is not otherwise based on the\n			  Library. Defining a subclass of a class defined by the Library\n			  is deemed a mode of using an interface provided by the Library.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  A &quot;Combined Work&quot; is a work produced by combining or\n			  linking an Application with the Library. The particular\n			  version of the Library with which the Combined\n			  Work was made is also called the &quot;Linked Version&quot;.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  The &quot;Minimal Corresponding Source&quot; for a Combined\n			  Work means the Corresponding Source for the Combined\n			  Work, excluding any source code for portions of the\n			  Combined Work that, considered in isolation, are based\n			  on the Application, and not on the Linked Version.\n			</p>\n\n		  </li>\n		  \n<li>\n			<p>\n			  The &quot;Corresponding Application Code&quot; for a Combined\n			  Work means the object code and/or source code for the\n			  Application, including any data and utility programs needed\n			  for reproducing the Combined Work from the Application,\n			  but excluding the System Libraries of the Combined Work.\n			</p>\n\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 1.</var>\n		Exception to Section 3 of the GNU GPL.<br />\n\n		You may convey a covered work under sections 3 and 4 of this\n		License without being bound by section 3 of the GNU GPL.\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 2.</var>\n		Conveying Modified Versions.<br />\n\n		If you modify a copy of the Library, and, in your\n		modifications, a facility refers to a function or data\n		to be supplied by an Application that uses the facility\n		(other than as an argument passed when the facility is\n		invoked), then you may convey a copy of the modified version:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			under this License, provided that you make a good faith\n			effort to ensure that, in the event an Application does not\n			supply the function or data, the facility still operates, and\n			performs whatever part of its purpose remains meaningful, or\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			under the GNU GPL, with none of the additional\n			permissions of this License applicable to that copy.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 3.</var>\n		Object Code Incorporating Material from Library Header Files.<br />\n\n		The object code form of an Application may incorporate material from\n		a header file that is part of the Library. You may convey such object\n		code under terms of your choice, provided that, if the incorporated\n		material is not limited to numerical parameters, data structure\n		layouts and accessors, or small macros, inline functions and templates\n		(ten or fewer lines in length), you do both of the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Give prominent notice with each copy of the object\n			code that the Library is used in it and that the\n			Library and its use are covered by this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Accompany the object code with a copy of\n			the GNU GPL and this license document.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 4.</var>\n		Combined Works.<br />\n\n		You may convey a Combined Work under terms of your choice that, taken\n		together, effectively do not restrict modification of the portions of\n		the Library contained in the Combined Work and reverse engineering for\n		debugging such modifications, if you also do each of the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Give prominent notice with each copy of the Combined\n			Work that the Library is used in it and that the\n			Library and its use are covered by this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Accompany the Combined Work with a copy\n			of the GNU GPL and this license document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> c)</var>\n			For a Combined Work that displays copyright notices during\n			execution, include the copyright notice for the Library\n			among these notices, as well as a reference directing the\n			user to the copies of the GNU GPL and this license document.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> d)</var>\n			Do one of the following:\n			\n<ul style=\"list-style:none\">\n			  \n<li>\n				<var class=\"replaceable-license-text\"> 0)</var>\n				Convey the Minimal Corresponding Source under the terms\n				of this License, and the Corresponding Application Code\n				in a form suitable for, and under terms that permit,\n				the user to recombine or relink the Application with\n				a modified version of the Linked Version to produce a\n				modified Combined Work, in the manner specified by section\n				6 of the GNU GPL for conveying Corresponding Source.\n			  </li>\n			  \n<li>\n				<var class=\"replaceable-license-text\"> 1)</var>\n				Use a suitable shared library mechanism for linking\n				with the Library. A suitable mechanism is one that\n				(a) uses at run time a copy of the Library already\n				present on the user&apos;s computer system, and (b) will\n				operate properly with a modified version of the Library\n				that is interface-compatible with the Linked Version.\n			  </li>\n			\n</ul>\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> e)</var>\n			Provide Installation Information, but only if you would otherwise\n			be required to provide such information under section 6 of the GNU\n			GPL, and only to the extent that such information is necessary to\n			install and execute a modified version of the Combined Work produced\n			by recombining or relinking the Application with a modified version\n			of the Linked Version. (If you use option 4d0, the Installation\n			Information must accompany the Minimal Corresponding Source and\n			Corresponding Application Code. If you use option 4d1, you must\n			provide the Installation Information in the manner specified by\n			section 6 of the GNU GPL for conveying Corresponding Source.)\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 5.</var>\n		Combined Libraries.<br />\n\n		You may place library facilities that are a work based on\n		the Library side by side in a single library together with\n		other library facilities that are not Applications and are not\n		covered by this License, and convey such a combined library\n		under terms of your choice, if you do both of the following:\n		\n<ul style=\"list-style:none\">\n		  \n<li>\n			<var class=\"replaceable-license-text\"> a)</var>\n			Accompany the combined library with a copy of the same work\n			based on the Library, uncombined with any other library\n			facilities, conveyed under the terms of this License.\n		  </li>\n		  \n<li>\n			<var class=\"replaceable-license-text\"> b)</var>\n			Give prominent notice with the combined library that part\n			of it is a work based on the Library, and explaining where\n			to find the accompanying uncombined form of the same work.\n		  </li>\n		\n</ul>\n	  </li>\n	  \n<li>\n		<var class=\"replaceable-license-text\"> 6.</var>\n		Revised Versions of the GNU Lesser General Public License.\n		<p>\n		  The Free Software Foundation may publish revised and/or new versions\n		  of the GNU Lesser General Public License from time to time. Such\n		  new versions will be similar in spirit to the present version,\n		  but may differ in detail to address new problems or concerns.\n		</p>\n\n		<p>\n		  Each version is given a distinguishing version number. If the Library\n		  as you received it specifies that a certain numbered version of the\n		  GNU Lesser General Public License &quot;or any later version&quot; applies\n		  to it, you have the option of following the terms and conditions\n		  either of that published version or of any later version published\n		  by the Free Software Foundation. If the Library as you received it\n		  does not specify a version number of the GNU Lesser General Public\n		  License, you may choose any version of the GNU Lesser General\n		  Public License ever published by the Free Software Foundation.\n		</p>\n\n		<p>\n		  If the Library as you received it specifies that a proxy\n		  can decide whether future versions of the GNU Lesser\n		  General Public License shall apply, that proxy&apos;s public\n		  statement of acceptance of any version is permanent\n		  authorization for you to choose that version for the Library.\n		</p>\n\n	  </li>\n	\n</ul>\n	<div class=\"optional-license-text\"> \n	  <p>\n		GNU GENERAL PUBLIC LICENSE<br />\n\n		Version 3, 29 June 2007\n	  </p>\n\n	  <p>\n		Copyright \u00a9 2007 Free Software Foundation, Inc.\n		&lt;https://fsf.org/&gt;\n	  </p>\n\n	  <p>\n		Everyone is permitted to copy and distribute verbatim copies\n		of this license document, but changing it is not allowed.\n	  </p>\n\n	  <p>\n		Preamble\n	  </p>\n\n	  <p>\n		The GNU General Public License is a free, copyleft\n		license for software and other kinds of works.\n	  </p>\n\n	  <p>\n		The licenses for most software and other practical works are designed to\n		take away your freedom to share and change the works. By contrast, the GNU\n		General Public License is intended to guarantee your freedom to share and\n		change all versions of a program--to make sure it remains free software\n		for all its users. We, the Free Software Foundation, use the GNU General\n		Public License for most of our software; it applies also to any other work\n		released this way by its authors. You can apply it to your programs, too.\n	  </p>\n\n	  <p>\n		When we speak of free software, we are referring to freedom, not\n		price. Our General Public Licenses are designed to make sure that you\n		have the freedom to distribute copies of free software (and charge\n		for them if you wish), that you receive source code or can get it\n		if you want it, that you can change the software or use pieces of\n		it in new free programs, and that you know you can do these things.\n	  </p>\n\n	  <p>\n		To protect your rights, we need to prevent others from denying you\n		these rights or asking you to surrender the rights. Therefore, you have\n		certain responsibilities if you distribute copies of the software, or\n		if you modify it: responsibilities to respect the freedom of others.\n	  </p>\n\n	  <p>\n		For example, if you distribute copies of such a program, whether gratis\n		or for a fee, you must pass on to the recipients the same freedoms that\n		you received. You must make sure that they, too, receive or can get the\n		source code. And you must show them these terms so they know their rights.\n	  </p>\n\n	  <p>\n		Developers that use the GNU GPL protect your rights with two steps:\n		(1) assert copyright on the software, and (2) offer you this License\n		giving you legal permission to copy, distribute and/or modify it.\n	  </p>\n\n	  <p>\n		For the developers&apos; and authors&apos; protection, the GPL clearly\n		explains that there is no warranty for this free software. For\n		both users&apos; and authors&apos; sake, the GPL requires that modified\n		versions be marked as changed, so that their problems will\n		not be attributed erroneously to authors of previous versions.\n	  </p>\n\n	  <p>\n		Some devices are designed to deny users access to install or run modified\n		versions of the software inside them, although the manufacturer can\n		do so. This is fundamentally incompatible with the aim of protecting\n		users&apos; freedom to change the software. The systematic pattern of\n		such abuse occurs in the area of products for individuals to use,\n		which is precisely where it is most unacceptable. Therefore, we have\n		designed this version of the GPL to prohibit the practice for those\n		products. If such problems arise substantially in other domains,\n		we stand ready to extend this provision to those domains in future\n		versions of the GPL, as needed to protect the freedom of users.\n	  </p>\n\n	  <p>\n		Finally, every program is threatened constantly by software patents.\n		States should not allow patents to restrict development and use of\n		software on general-purpose computers, but in those that do, we wish\n		to avoid the special danger that patents applied to a free program\n		could make it effectively proprietary. To prevent this, the GPL\n		assures that patents cannot be used to render the program non-free.\n	  </p>\n\n	  <p>\n		The precise terms and conditions for copying,\n		distribution and modification follow.\n	  </p>\n\n	  <p>\n		TERMS AND CONDITIONS\n	  </p>\n\n<ul style=\"list-style:none\">\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 0.</var>\n		  Definitions.\n		  <p>\n			&quot;This License&quot; refers to version 3 of the GNU General Public License.\n		  </p>\n\n		  <p>\n			&quot;Copyright&quot; also means copyright-like laws that apply\n			to other kinds of works, such as semiconductor masks.\n		  </p>\n\n		  <p>\n			&quot;The Program&quot; refers to any copyrightable work licensed under\n			this License. Each licensee is addressed as &quot;you&quot;. &quot;Licensees&quot;\n			and &quot;recipients&quot; may be individuals or organizations.\n		  </p>\n\n		  <p>\n			To &quot;modify&quot; a work means to copy from or adapt all or part of the\n			work in a fashion requiring copyright permission, other than the\n			making of an exact copy. The resulting work is called a &quot;modified\n			version&quot; of the earlier work or a work &quot;based on&quot; the earlier work.\n		  </p>\n\n		  <p>\n			A &quot;covered work&quot; means either the unmodified\n			Program or a work based on the Program.\n		  </p>\n\n		  <p>\n			To &quot;propagate&quot; a work means to do anything with it that, without\n			permission, would make you directly or secondarily liable for\n			infringement under applicable copyright law, except executing it\n			on a computer or modifying a private copy. Propagation includes\n			copying, distribution (with or without modification), making available\n			to the public, and in some countries other activities as well.\n		  </p>\n\n		  <p>\n			To &quot;convey&quot; a work means any kind of propagation\n			that enables other parties to make or receive copies.\n			Mere interaction with a user through a computer\n			network, with no transfer of a copy, is not conveying.\n		  </p>\n\n		  <p>\n			An interactive user interface displays &quot;Appropriate Legal Notices&quot;\n			to the extent that it includes a convenient and prominently visible\n			feature that (1) displays an appropriate copyright notice, and (2)\n			tells the user that there is no warranty for the work (except to\n			the extent that warranties are provided), that licensees may convey\n			the work under this License, and how to view a copy of this License.\n			If the interface presents a list of user commands or options,\n			such as a menu, a prominent item in the list meets this criterion.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 1.</var>\n		  Source Code.<br />\n\n		  The &quot;source code&quot; for a work means the preferred\n		  form of the work for making modifications to it.\n		  &quot;Object code&quot; means any non-source form of a work.\n		  <p>\n			A &quot;Standard Interface&quot; means an interface that either is an official\n			standard defined by a recognized standards body, or, in the case\n			of interfaces specified for a particular programming language,\n			one that is widely used among developers working in that language.\n		  </p>\n\n		  <p>\n			The &quot;System Libraries&quot; of an executable work include anything, other\n			than the work as a whole, that (a) is included in the normal form\n			of packaging a Major Component, but which is not part of that Major\n			Component, and (b) serves only to enable use of the work with that\n			Major Component, or to implement a Standard Interface for which an\n			implementation is available to the public in source code form. A\n			&quot;Major Component&quot;, in this context, means a major essential component\n			(kernel, window system, and so on) of the specific operating system\n			(if any) on which the executable work runs, or a compiler used to\n			produce the work, or an object code interpreter used to run it.\n		  </p>\n\n		  <p>\n			The &quot;Corresponding Source&quot; for a work in object code form means all\n			the source code needed to generate, install, and (for an executable\n			work) run the object code and to modify the work, including scripts\n			to control those activities. However, it does not include the work&apos;s\n			System Libraries, or general-purpose tools or generally available\n			free programs which are used unmodified in performing those activities\n			but which are not part of the work. For example, Corresponding\n			Source includes interface definition files associated with source\n			files for the work, and the source code for shared libraries\n			and dynamically linked subprograms that the work is specifically\n			designed to require, such as by intimate data communication or\n			control flow between those subprograms and other parts of the work.\n		  </p>\n\n		  <p>\n			The Corresponding Source need not include anything that users can\n			regenerate automatically from other parts of the Corresponding Source.\n		  </p>\n\n		  <p>\n			The Corresponding Source for a work\n			in source code form is that same work.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 2.</var>\n		  Basic Permissions.<br />\n\n		  All rights granted under this License are granted for the term of\n		  copyright on the Program, and are irrevocable provided the stated\n		  conditions are met. This License explicitly affirms your unlimited\n		  permission to run the unmodified Program. The output from running a\n		  covered work is covered by this License only if the output, given its\n		  content, constitutes a covered work. This License acknowledges your\n		  rights of fair use or other equivalent, as provided by copyright law.\n		  <p>\n			You may make, run and propagate covered works that you do not convey,\n			without conditions so long as your license otherwise remains in force.\n			You may convey covered works to others for the sole purpose of having\n			them make modifications exclusively for you, or provide you with\n			facilities for running those works, provided that you comply with\n			the terms of this License in conveying all material for which you do\n			not control copyright. Those thus making or running the covered works\n			for you must do so exclusively on your behalf, under your direction\n			and control, on terms that prohibit them from making any copies\n			of your copyrighted material outside their relationship with you.\n		  </p>\n\n		  <p>\n			Conveying under any other circumstances is permitted\n			solely under the conditions stated below. Sublicensing\n			is not allowed; section 10 makes it unnecessary.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 3.</var>\n		  Protecting Users&apos; Legal Rights From Anti-Circumvention Law.<br />\n\n		  No covered work shall be deemed part of an effective technological\n		  measure under any applicable law fulfilling obligations under article\n		  11 of the WIPO copyright treaty adopted on 20 December 1996, or\n		  similar laws prohibiting or restricting circumvention of such measures.\n		  <p>\n			When you convey a covered work, you waive any legal power to\n			forbid circumvention of technological measures to the extent\n			such circumvention is effected by exercising rights under this\n			License with respect to the covered work, and you disclaim any\n			intention to limit operation or modification of the work as a means\n			of enforcing, against the work&apos;s users, your or third parties&apos;\n			legal rights to forbid circumvention of technological measures.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 4.</var>\n		  Conveying Verbatim Copies.<br />\n\n		  You may convey verbatim copies of the Program&apos;s source code as\n		  you receive it, in any medium, provided that you conspicuously\n		  and appropriately publish on each copy an appropriate copyright\n		  notice; keep intact all notices stating that this License and any\n		  non-permissive terms added in accord with section 7 apply to the\n		  code; keep intact all notices of the absence of any warranty; and\n		  give all recipients a copy of this License along with the Program.\n		  <p>\n			You may charge any price or no price for each copy that you\n			convey, and you may offer support or warranty protection for a fee.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 5.</var>\n		  Conveying Modified Source Versions.<br />\n\n		  You may convey a work based on the Program, or the modifications to\n		  produce it from the Program, in the form of source code under the terms\n		  of section 4, provided that you also meet all of these conditions:\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a)</var>\n			  The work must carry prominent notices stating\n			  that you modified it, and giving a relevant date.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> b)</var>\n			  The work must carry prominent notices stating that\n			  it is released under this License and any conditions\n			  added under section 7. This requirement modifies the\n			  requirement in section 4 to &quot;keep intact all notices&quot;.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> c)</var>\n			  You must license the entire work, as a whole, under this License\n			  to anyone who comes into possession of a copy. This License\n			  will therefore apply, along with any applicable section 7\n			  additional terms, to the whole of the work, and all its parts,\n			  regardless of how they are packaged. This License gives no\n			  permission to license the work in any other way, but it does not\n			  invalidate such permission if you have separately received it.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> d)</var>\n			  If the work has interactive user interfaces, each must\n			  display Appropriate Legal Notices; however, if the Program\n			  has interactive interfaces that do not display Appropriate\n			  Legal Notices, your work need not make them do so.\n			</li>\n		  \n</ul>\n		  <p>\n			A compilation of a covered work with other separate and independent\n			works, which are not by their nature extensions of the covered\n			work, and which are not combined with it such as to form a larger\n			program, in or on a volume of a storage or distribution medium,\n			is called an &quot;aggregate&quot; if the compilation and its resulting\n			copyright are not used to limit the access or legal rights\n			of the compilation&apos;s users beyond what the individual works\n			permit. Inclusion of a covered work in an aggregate does not\n			cause this License to apply to the other parts of the aggregate.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 6.</var>\n		  Conveying Non-Source Forms.<br />\n\n		  You may convey a covered work in object code form\n		  under the terms of sections 4 and 5, provided that you\n		  also convey the machine-readable Corresponding Source\n		  under the terms of this License, in one of these ways:\n		  \n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a)</var>\n			  Convey the object code in, or embodied in, a physical\n			  product (including a physical distribution medium),\n			  accompanied by the Corresponding Source fixed on a durable\n			  physical medium customarily used for software interchange.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> b)</var>\n			  Convey the object code in, or embodied in, a physical product\n			  (including a physical distribution medium), accompanied by a\n			  written offer, valid for at least three years and valid for\n			  as long as you offer spare parts or customer support for that\n			  product model, to give anyone who possesses the object code\n			  either (1) a copy of the Corresponding Source for all the software\n			  in the product that is covered by this License, on a durable\n			  physical medium customarily used for software interchange,\n			  for a price no more than your reasonable cost of physically\n			  performing this conveying of source, or (2) access to copy\n			  the Corresponding Source from a network server at no charge.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> c)</var>\n			  Convey individual copies of the object code with a\n			  copy of the written offer to provide the Corresponding\n			  Source. This alternative is allowed only occasionally\n			  and noncommercially, and only if you received the object\n			  code with such an offer, in accord with subsection 6b.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> d)</var>\n			  Convey the object code by offering access from a designated place\n			  (gratis or for a charge), and offer equivalent access to the\n			  Corresponding Source in the same way through the same place at\n			  no further charge. You need not require recipients to copy the\n			  Corresponding Source along with the object code. If the place\n			  to copy the object code is a network server, the Corresponding\n			  Source may be on a different server (operated by you or a third\n			  party) that supports equivalent copying facilities, provided you\n			  maintain clear directions next to the object code saying where\n			  to find the Corresponding Source. Regardless of what server hosts\n			  the Corresponding Source, you remain obligated to ensure that it\n			  is available for as long as needed to satisfy these requirements.\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> e)</var>\n			  Convey the object code using peer-to-peer transmission,\n			  provided you inform other peers where the object code\n			  and Corresponding Source of the work are being offered\n			  to the general public at no charge under subsection 6d.\n			</li>\n		  \n</ul>\n		  <p>\n			A separable portion of the object code, whose source code is\n			excluded from the Corresponding Source as a System Library,\n			need not be included in conveying the object code work.\n		  </p>\n\n		  <p>\n			A &quot;User Product&quot; is either (1) a &quot;consumer product&quot;, which means\n			any tangible personal property which is normally used for personal,\n			family, or household purposes, or (2) anything designed or sold\n			for incorporation into a dwelling. In determining whether a product\n			is a consumer product, doubtful cases shall be resolved in favor\n			of coverage. For a particular product received by a particular\n			user, &quot;normally used&quot; refers to a typical or common use of that\n			class of product, regardless of the status of the particular\n			user or of the way in which the particular user actually uses,\n			or expects or is expected to use, the product. A product is a\n			consumer product regardless of whether the product has substantial\n			commercial, industrial or non-consumer uses, unless such uses\n			represent the only significant mode of use of the product.\n		  </p>\n\n		  <p>\n			&quot;Installation Information&quot; for a User Product means any methods,\n			procedures, authorization keys, or other information required\n			to install and execute modified versions of a covered work in\n			that User Product from a modified version of its Corresponding\n			Source. The information must suffice to ensure that the continued\n			functioning of the modified object code is in no case prevented\n			or interfered with solely because modification has been made.\n		  </p>\n\n		  <p>\n			If you convey an object code work under this section in, or with,\n			or specifically for use in, a User Product, and the conveying\n			occurs as part of a transaction in which the right of possession\n			and use of the User Product is transferred to the recipient in\n			perpetuity or for a fixed term (regardless of how the transaction\n			is characterized), the Corresponding Source conveyed under this\n			section must be accompanied by the Installation Information.\n			But this requirement does not apply if neither you nor any third\n			party retains the ability to install modified object code on the\n			User Product (for example, the work has been installed in ROM).\n		  </p>\n\n		  <p>\n			The requirement to provide Installation Information does not\n			include a requirement to continue to provide support service,\n			warranty, or updates for a work that has been modified\n			or installed by the recipient, or for the User Product in\n			which it has been modified or installed. Access to a network\n			may be denied when the modification itself materially and\n			adversely affects the operation of the network or violates\n			the rules and protocols for communication across the network.\n		  </p>\n\n		  <p>\n			Corresponding Source conveyed, and Installation Information\n			provided, in accord with this section must be in a format that\n			is publicly documented (and with an implementation available\n			to the public in source code form), and must require no\n			special password or key for unpacking, reading or copying.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 7.</var>\n		  Additional Terms.<br />\n\n		  &quot;Additional permissions&quot; are terms that supplement the terms of this\n		  License by making exceptions from one or more of its conditions.\n		  Additional permissions that are applicable to the entire Program\n		  shall be treated as though they were included in this License, to\n		  the extent that they are valid under applicable law. If additional\n		  permissions apply only to part of the Program, that part may be used\n		  separately under those permissions, but the entire Program remains\n		  governed by this License without regard to the additional permissions.\n		  <p>\n			When you convey a copy of a covered work, you may at your option\n			remove any additional permissions from that copy, or from any part\n			of it. (Additional permissions may be written to require their own\n			removal in certain cases when you modify the work.) You may place\n			additional permissions on material, added by you to a covered work,\n			for which you have or can give appropriate copyright permission.\n		  </p>\n\n		  <p>\n			Notwithstanding any other provision of this License, for material you\n			add to a covered work, you may (if authorized by the copyright holders\n			of that material) supplement the terms of this License with terms:\n		  </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			  <var class=\"replaceable-license-text\"> a)</var>\n			  Disclaiming warranty or limiting liability differently\n			  from the terms of sections 15 and 16 of this License; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> b)</var>\n			  Requiring preservation of specified reasonable legal\n			  notices or author attributions in that material or in the\n			  Appropriate Legal Notices displayed by works containing it; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> c)</var>\n			  Prohibiting misrepresentation of the origin of that material,\n			  or requiring that modified versions of such material be marked\n			  in reasonable ways as different from the original version; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> d)</var>\n			  Limiting the use for publicity purposes of names\n			  of licensors or authors of the material; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> e)</var>\n			  Declining to grant rights under trademark law for use\n			  of some trade names, trademarks, or service marks; or\n			</li>\n			\n<li>\n			  <var class=\"replaceable-license-text\"> f)</var>\n			  Requiring indemnification of licensors and authors of that\n			  material by anyone who conveys the material (or modified\n			  versions of it) with contractual assumptions of liability\n			  to the recipient, for any liability that these contractual\n			  assumptions directly impose on those licensors and authors.\n			</li>\n		  \n</ul>\n		  <p>\n			All other non-permissive additional terms are considered &quot;further\n			restrictions&quot; within the meaning of section 10. If the Program\n			as you received it, or any part of it, contains a notice stating\n			that it is governed by this License along with a term that is\n			a further restriction, you may remove that term. If a license\n			document contains a further restriction but permits relicensing or\n			conveying under this License, you may add to a covered work material\n			governed by the terms of that license document, provided that the\n			further restriction does not survive such relicensing or conveying.\n		  </p>\n\n		  <p>\n			If you add terms to a covered work in accord with this\n			section, you must place, in the relevant source files, a\n			statement of the additional terms that apply to those files,\n			or a notice indicating where to find the applicable terms.\n		  </p>\n\n		  <p>\n			Additional terms, permissive or non-permissive, may be\n			stated in the form of a separately written license, or stated\n			as exceptions; the above requirements apply either way.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 8.</var>\n		  Termination.<br />\n\n		  You may not propagate or modify a covered work except as\n		  expressly provided under this License. Any attempt otherwise\n		  to propagate or modify it is void, and will automatically\n		  terminate your rights under this License (including any patent\n		  licenses granted under the third paragraph of section 11).\n		  <p>\n			However, if you cease all violation of this License, then your\n			license from a particular copyright holder is reinstated (a)\n			provisionally, unless and until the copyright holder explicitly\n			and finally terminates your license, and (b) permanently, if\n			the copyright holder fails to notify you of the violation by\n			some reasonable means prior to 60 days after the cessation.\n		  </p>\n\n		  <p>\n			Moreover, your license from a particular copyright holder is\n			reinstated permanently if the copyright holder notifies you\n			of the violation by some reasonable means, this is the first\n			time you have received notice of violation of this License\n			(for any work) from that copyright holder, and you cure the\n			violation prior to 30 days after your receipt of the notice.\n		  </p>\n\n		  <p>\n			Termination of your rights under this section does not\n			terminate the licenses of parties who have received copies or\n			rights from you under this License. If your rights have been\n			terminated and not permanently reinstated, you do not qualify\n			to receive new licenses for the same material under section 10.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 9.</var>\n		  Acceptance Not Required for Having Copies.<br />\n\n		  You are not required to accept this License in order to receive or\n		  run a copy of the Program. Ancillary propagation of a covered work\n		  occurring solely as a consequence of using peer-to-peer transmission\n		  to receive a copy likewise does not require acceptance. However,\n		  nothing other than this License grants you permission to propagate\n		  or modify any covered work. These actions infringe copyright if you\n		  do not accept this License. Therefore, by modifying or propagating a\n		  covered work, you indicate your acceptance of this License to do so.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 10.</var>\n		  Automatic Licensing of Downstream Recipients.<br />\n\n		  Each time you convey a covered work, the recipient automatically\n		  receives a license from the original licensors, to run, modify and\n		  propagate that work, subject to this License. You are not responsible\n		  for enforcing compliance by third parties with this License.\n		  <p>\n			An &quot;entity transaction&quot; is a transaction transferring control of\n			an organization, or substantially all assets of one, or subdividing\n			an organization, or merging organizations. If propagation of a\n			covered work results from an entity transaction, each party to that\n			transaction who receives a copy of the work also receives whatever\n			licenses to the work the party&apos;s predecessor in interest had or could\n			give under the previous paragraph, plus a right to possession of the\n			Corresponding Source of the work from the predecessor in interest,\n			if the predecessor has it or can get it with reasonable efforts.\n		  </p>\n\n		  <p>\n			You may not impose any further restrictions on the exercise of the\n			rights granted or affirmed under this License. For example, you\n			may not impose a license fee, royalty, or other charge for exercise\n			of rights granted under this License, and you may not initiate\n			litigation (including a cross-claim or counterclaim in a lawsuit)\n			alleging that any patent claim is infringed by making, using, selling,\n			offering for sale, or importing the Program or any portion of it.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 11.</var>\n		  Patents.<br />\n\n		  A &quot;contributor&quot; is a copyright holder who authorizes use under this\n		  License of the Program or a work on which the Program is based. The\n		  work thus licensed is called the contributor&apos;s &quot;contributor version&quot;.\n		  <p>\n			A contributor&apos;s &quot;essential patent claims&quot; are all patent\n			claims owned or controlled by the contributor, whether already\n			acquired or hereafter acquired, that would be infringed by some\n			manner, permitted by this License, of making, using, or selling\n			its contributor version, but do not include claims that would\n			be infringed only as a consequence of further modification\n			of the contributor version. For purposes of this definition,\n			&quot;control&quot; includes the right to grant patent sublicenses in\n			a manner consistent with the requirements of this License.\n		  </p>\n\n		  <p>\n			Each contributor grants you a non-exclusive, worldwide, royalty-free\n			patent license under the contributor&apos;s essential patent claims,\n			to make, use, sell, offer for sale, import and otherwise run,\n			modify and propagate the contents of its contributor version.\n		  </p>\n\n		  <p>\n			In the following three paragraphs, a &quot;patent license&quot; is any\n			express agreement or commitment, however denominated, not to\n			enforce a patent (such as an express permission to practice\n			a patent or covenant not to sue for patent infringement). To\n			&quot;grant&quot; such a patent license to a party means to make such an\n			agreement or commitment not to enforce a patent against the party.\n		  </p>\n\n		  <p>\n			If you convey a covered work, knowingly relying on a patent license,\n			and the Corresponding Source of the work is not available for anyone\n			to copy, free of charge and under the terms of this License, through\n			a publicly available network server or other readily accessible\n			means, then you must either (1) cause the Corresponding Source to\n			be so available, or (2) arrange to deprive yourself of the benefit\n			of the patent license for this particular work, or (3) arrange, in\n			a manner consistent with the requirements of this License, to extend\n			the patent license to downstream recipients. &quot;Knowingly relying&quot;\n			means you have actual knowledge that, but for the patent license, your\n			conveying the covered work in a country, or your recipient&apos;s use of\n			the covered work in a country, would infringe one or more identifiable\n			patents in that country that you have reason to believe are valid.\n		  </p>\n\n		  <p>\n			If, pursuant to or in connection with a single transaction or\n			arrangement, you convey, or propagate by procuring conveyance\n			of, a covered work, and grant a patent license to some of the\n			parties receiving the covered work authorizing them to use,\n			propagate, modify or convey a specific copy of the covered work,\n			then the patent license you grant is automatically extended\n			to all recipients of the covered work and works based on it.\n		  </p>\n\n		  <p>\n			A patent license is &quot;discriminatory&quot; if it does not include within the\n			scope of its coverage, prohibits the exercise of, or is conditioned\n			on the non-exercise of one or more of the rights that are specifically\n			granted under this License. You may not convey a covered work if\n			you are a party to an arrangement with a third party that is in the\n			business of distributing software, under which you make payment to\n			the third party based on the extent of your activity of conveying\n			the work, and under which the third party grants, to any of the\n			parties who would receive the covered work from you, a discriminatory\n			patent license (a) in connection with copies of the covered work\n			conveyed by you (or copies made from those copies), or (b) primarily\n			for and in connection with specific products or compilations that\n			contain the covered work, unless you entered into that arrangement,\n			or that patent license was granted, prior to 28 March 2007.\n		  </p>\n\n		  <p>\n			Nothing in this License shall be consTrued as excluding or\n			limiting any implied license or other defenses to infringement\n			that may otherwise be available to you under applicable patent law.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 12.</var>\n		  No Surrender of Others&apos; Freedom.<br />\n\n		  If conditions are imposed on you (whether by court order, agreement\n		  or otherwise) that contradict the conditions of this License,\n		  they do not excuse you from the conditions of this License. If\n		  you cannot convey a covered work so as to satisfy simultaneously\n		  your obligations under this License and any other pertinent\n		  obligations, then as a consequence you may not convey it at all.\n		  For example, if you agree to terms that obligate you to collect\n		  a royalty for further conveying from those to whom you convey the\n		  Program, the only way you could satisfy both those terms and this\n		  License would be to refrain entirely from conveying the Program.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 13.</var>\n		  Use with the GNU Affero General Public License.<br />\n\n		  Notwithstanding any other provision of this License, you have\n		  permission to link or combine any covered work with a work licensed\n		  under version 3 of the GNU Affero General Public License into\n		  a single combined work, and to convey the resulting work. The\n		  terms of this License will continue to apply to the part which\n		  is the covered work, but the special requirements of the GNU\n		  Affero General Public License, section 13, concerning interaction\n		  through a network will apply to the combination as such.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 14.</var>\n		  Revised Versions of this License.<br />\n\n		  The Free Software Foundation may publish revised and/or new\n		  versions of the GNU General Public License from time to time. Such\n		  new versions will be similar in spirit to the present version,\n		  but may differ in detail to address new problems or concerns.\n		  <p>\n			Each version is given a distinguishing version number. If the\n			Program specifies that a certain numbered version of the GNU\n			General Public License &quot;or any later version&quot; applies to it,\n			you have the option of following the terms and conditions either\n			of that numbered version or of any later version published by\n			the Free Software Foundation. If the Program does not specify a\n			version number of the GNU General Public License, you may choose\n			any version ever published by the Free Software Foundation.\n		  </p>\n\n		  <p>\n			If the Program specifies that a proxy can decide which future\n			versions of the GNU General Public License can be used, that\n			proxy&apos;s public statement of acceptance of a version permanently\n			authorizes you to choose that version for the Program.\n		  </p>\n\n		  <p>\n			Later license versions may give you additional or\n			different permissions. However, no additional obligations\n			are imposed on any author or copyright holder as a\n			result of your choosing to follow a later version.\n		  </p>\n\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 15.</var>\n		  Disclaimer of Warranty.<br />\n\n		  THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY\n		  APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT\n		  HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM &quot;AS IS&quot; WITHOUT\n		  WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT\n		  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n		  A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\n		  OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU\n		  ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 16.</var>\n		  Limitation of Liability.<br />\n\n		  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\n		  WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR\n		  CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\n		  INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES\n		  ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING\n		  BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE\n		  OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\n		  PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER\n		  OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n		</li>\n		\n<li>\n		  <var class=\"replaceable-license-text\"> 17.</var>\n		  Interpretation of Sections 15 and 16.\n	  <p>\n		If the disclaimer of warranty and limitation of liability\n		provided above cannot be given local legal effect according to\n		their terms, reviewing courts shall apply local law that most\n		closely approximates an absolute waiver of all civil liability in\n		connection with the Program, unless a warranty or assumption of\n		liability accompanies a copy of the Program in return for a fee.\n	  </p>\n\n		</li>\n	  \n</ul>\n	  <div class=\"optional-license-text\"> \n		<p>\n		  END OF TERMS AND CONDITIONS\n		</p>\n\n		<p>\n		  How to Apply These Terms to Your New Programs\n		</p>\n\n		<p>\n		  If you develop a new program, and you want it to be\n		  of the greatest possible use to the public, the best\n		  way to achieve this is to make it free software which\n		  everyone can redistribute and change under these terms.\n		</p>\n\n		<p>\n		  To do so, attach the following notices to the program. It is safest\n		  to attach them to the start of each source file to most effectively\n		  state the exclusion of warranty; and each file should have at least\n		  the &quot;copyright&quot; line and a pointer to where the full notice is found.\n		</p>\n\n		<p>\n		  &lt;one line to give the program&apos;s name and\n		  a brief idea of what it does.&gt;<br />\n\n		  Copyright (C) &lt;year&gt; &lt;name of author&gt;\n		</p>\n\n		<p>\n		  This program is free software: you can redistribute it and/or\n		  modify it under the terms of the GNU General Public License\n		  as published by the Free Software Foundation, either version\n		  3 of the License, or (at your option) any later version.\n		</p>\n\n		<p>\n		  This program is distributed in the hope that it will be\n		  useful, but WITHOUT ANY WARRANTY; without even the implied\n		  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR\n		  PURPOSE. See the GNU General Public License for more details.\n		</p>\n\n		<p>\n		  You should have received a copy of the GNU General\n	Public License along with this program. If not, see\n	&lt;https://www.gnu.org/licenses/&gt;.\n		</p>\n\n		<p>\n		  Also add information on how to contact you by electronic and paper mail.\n		</p>\n\n		<p>\n		  If the program does terminal interaction, make it output a\n		  short notice like this when it starts in an interactive mode:\n		</p>\n\n		<p>\n	&lt;program&gt; Copyright (C) &lt;year&gt;\n	&lt;name of author&gt;<br />\n\n		  This program comes with ABSOLUTELY NO\n		  WARRANTY; for details type `show w&apos;.<br />\n\n		  This is free software, and you are welcome to redistribute\n		  it under certain conditions; type `show c&apos; for details.\n		</p>\n\n		<p>\n		  The hypothetical commands `show w&apos; and `show c&apos; should\n		  show the appropriate parts of the General Public License.\n		  Of course, your program&apos;s commands might be different;\n		  for a GUI interface, you would use an &quot;about box&quot;.\n		</p>\n\n		<p>\n		  You should also get your employer (if you work as a\n		  programmer) or school, if any, to sign a &quot;copyright disclaimer&quot;\n		  for the program, if necessary. For more information on\n	this, and how to apply and follow the GNU GPL, see\n	&lt;https://www.gnu.org/licenses/&gt;.\n		</p>\n\n		<p>\n		  The GNU General Public License does not permit incorporating\n		  your program into proprietary programs. If your program is a\n		  subroutine library, you may consider it more useful to permit\n		  linking proprietary applications with the library. If this\n		  is what you want to do, use the GNU Lesser General Public\n	License instead of this License. But first, please read\n	&lt;https://www.gnu.org/<var class=\"replaceable-license-text\"> licenses</var>/why-not-lgpl.html&gt;.\n		</p>\n\n	  </div>\n  \n	</div>\n	"
		self.python_name = "LGPL30orlater"

	def __str__(self):
		return json.dumps(self.__dict__)


class w3m:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "(C) Copyright 1994-2002 by Akinori Ito\n(C) Copyright 2002-2011 by Akinori Ito, Hironori Sakamoto, Fumitoshi Ukai\n\nUse, modification and redistribution of this software is hereby granted,\nprovided that this entire copyright notice is included on any copies of\nthis software and applications and derivations thereof.\n\nThis software is provided on an \"as is\" basis, without warranty of any\nkind, either expressed or implied, as to any matter including, but not\nlimited to warranty of fitness of purpose, or merchantability, or\nresults obtained from use of this software.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"(C) Copyright 1994-2002 by Akinori Ito  (C) Copyright 2002-2011 by Akinori Ito, Hironori Sakamoto, Fumitoshi Ukai\";match=\".{0,5000}\">>\n\nUse, modification and redistribution of this software is hereby granted, provided that this entire copyright notice is included on any copies of this software and applications and derivations thereof.\n\nThis software is provided on an \"as is\" basis, without warranty of any kind, either expressed or implied, as to any matter including, but not limited to warranty of fitness of purpose, or merchantability, or results obtained from use of this software.\n\n"
		self.name = "w3m License"
		self.licenseId = "w3m"
		self.crossRef = [{"match": "False", "url": "https://github.com/tats/w3m/blob/master/COPYING", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:15:33Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/tats/w3m/blob/master/COPYING"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			(C) Copyright 1994-2002 by Akinori Ito<br />\n\n			(C) Copyright 2002-2011 by Akinori\n			Ito, Hironori Sakamoto, Fumitoshi Ukai\n		 </var>\n		 <p>\n			Use, modification and redistribution of this\n			software is hereby granted, provided that this entire\n			copyright notice is included on any copies of this\n			software and applications and derivations thereof.\n		 </p>\n\n		 <p>\n			This software is provided on an &quot;as is&quot; basis, without warranty\n			of any kind, either expressed or implied, as to any matter\n			including, but not limited to warranty of fitness of purpose, or\n			merchantability, or results obtained from use of this software.\n		 </p>\n\n	  "
		self.python_name = "w3m"

	def __str__(self):
		return json.dumps(self.__dict__)


class BSD3ClauseHP:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseComments: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Redistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions\nare met:\n1. Redistributions of source code must retain the above copyright\n   notice, this list of conditions and the following disclaimer.\n2. Redistributions in binary form must reproduce the above copyright\n   notice, this list of conditions and the following disclaimer in the\n   documentation and/or other materials provided with the distribution.\n3. Neither the name of the HP nor the names of its\n   contributors may be used to endorse or promote products derived\n   from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE AUTHOR \"AS IS\" AND ANY EXPRESS OR\nIMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.\nIN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,\nINCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\nNOT LIMITED TO, PATENT INFRINGEMENT; PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\nHOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\nSTRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING\nIN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\nPOSSIBILITY OF SUCH DAMAGE.\n"
		self.standardLicenseTemplate = "Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n\n   <<var;name=\"bullet\";original=\"1.\";match=\".{0,20}\">> Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\n\n   <<var;name=\"bullet\";original=\"2.\";match=\".{0,20}\">> Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\n\n   <<var;name=\"bullet\";original=\"3.\";match=\".{0,20}\">> Neither the name of the HP nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE AUTHOR \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PATENT INFRINGEMENT; PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n"
		self.name = "Hewlett-Packard BSD variant license"
		self.licenseComments = "This license is almost identical to BSD-3-Clause, but adds \"patent infringement\" to the disclaimer."
		self.licenseId = "BSD-3-Clause-HP"
		self.crossRef = [{"match": "False", "url": "https://github.com/zdohnal/hplip/blob/master/COPYING#L939", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:21:33Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/zdohnal/hplip/blob/master/COPYING#L939"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		\n		 <p>\n			Redistribution and use in source and binary\n			forms, with or without modification, are permitted\n			provided that the following conditions are met:\n		 </p>\n\n<ul style=\"list-style:none\">\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 1.</var>\n			   Redistributions of source code must retain the above copyright\n			   notice, this list of conditions and the following disclaimer.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 2.</var>\n			   Redistributions in binary form must reproduce the\n			   above copyright notice, this list of conditions and\n			   the following disclaimer in the documentation and/or\n			   other materials provided with the distribution.\n			</li>\n			\n<li>\n			   <var class=\"replaceable-license-text\"> 3.</var>\n			   Neither the name of the HP nor the names of its contributors\n			   may be used to endorse or promote products derived from\n			   this software without specific prior written permission.\n			</li>\n		 \n</ul>\n		 <p>\n			THIS SOFTWARE IS PROVIDED BY THE AUTHOR &quot;AS IS&quot; AND ANY\n			EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\n			TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\n			FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL\n			THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n			SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT\n			NOT LIMITED TO, PATENT INFRINGEMENT; PROCUREMENT OF SUBSTITUTE\n			GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\n			INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n			WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\n			NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF\n			THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n		 </p>\n\n	  "
		self.python_name = "BSD3ClauseHP"

	def __str__(self):
		return json.dumps(self.__dict__)


class MPEGSSG:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1994, MPEG Software Simulation Group. All Rights Reserved. */\n\nDisclaimer of Warranty\n	\nThese software programs are available to the user without any license fee or\nroyalty on an \"as is\" basis. The MPEG Software Simulation Group disclaims\nany and all warranties, whether express, implied, or statuary, including any\nimplied warranties or merchantability or of fitness for a particular\npurpose. In no event shall the copyright-holder be liable for any\nincidental, punitive, or consequential damages of any kind whatsoever\narising from the use of these programs.\n	\nThis disclaimer of warranty extends to the user of these programs and user's\ncustomers, employees, agents, transferees, successors, and assigns.\n	\nThe MPEG Software Simulation Group does not represent or warrant that the\nprograms furnished hereunder are free of infringement of any third-party\npatents.\n	\nCommercial implementations of MPEG-1 and MPEG-2 video, including shareware,\nare subject to royalty fees to patent holders. Many of these patents are\ngeneral enough such that they are unavoidable regardless of implementation\ndesign.\n\n\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1994, MPEG Software Simulation Group. All Rights Reserved.  \";match=\".{0,5000}\">>\n\nDisclaimer of Warranty\n\nThese software programs are available to the user without any license fee or royalty on an \"as is\" basis. The MPEG Software Simulation Group disclaims any and all warranties, whether express, implied, or statuary, including any implied warranties or merchantability or of fitness for a particular purpose. In no event shall the copyright-holder be liable for any incidental, punitive, or consequential damages of any kind whatsoever arising from the use of these programs.\n\nThis disclaimer of warranty extends to the user of these programs and user's customers, employees, agents, transferees, successors, and assigns.\n\nThe MPEG Software Simulation Group does not represent or warrant that the programs furnished hereunder are free of infringement of any third-party patents.\n\nCommercial implementations of MPEG-1 and MPEG-2 video, including shareware, are subject to royalty fees to patent holders. Many of these patents are * general enough such that they are unavoidable regardless of implementation design.\n\n"
		self.name = "MPEG Software Simulation"
		self.licenseId = "MPEG-SSG"
		self.crossRef = [{"match": "False", "url": "https://sourceforge.net/p/netpbm/code/HEAD/tree/super_stable/converter/ppm/ppmtompeg/jrevdct.c#l1189", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:10:55Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://sourceforge.net/p/netpbm/code/HEAD/tree/super_stable/converter/ppm/ppmtompeg/jrevdct.c#l1189"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		  <div class=\"replaceable-license-text\"> \n		 <p>\n			Copyright (C) 1994, MPEG Software\n			Simulation Group. All Rights Reserved.\n		 </p>\n\n		  </div>\n		 <p>\n			Disclaimer of Warranty\n		 </p>\n\n		 <p>\n				These software programs are available to the user without any\n				license fee or royalty on an &quot;as is&quot; basis. The MPEG Software\n				Simulation Group disclaims any and all warranties, whether\n				express, implied, or statuary, including any implied warranties\n				or merchantability or of fitness for a particular purpose. In no\n				event shall the copyright-holder be liable for any incidental,\n				punitive, or consequential damages of any kind whatsoever\n				arising from the use of these programs.\n		 </p>\n\n		  <p>\n				This disclaimer of warranty extends to the user of these\n				programs and user&apos;s customers, employees, agents, transferees,\n				successors, and assigns.\n		  </p>\n\n		  <p>\n				The MPEG Software Simulation Group does not represent or warrant\n				that the programs furnished hereunder are free of infringement\n				of any third-party patents.\n		  </p>\n\n		  <p>\n				Commercial implementations of MPEG-1 and MPEG-2 video, including\n				shareware, are subject to royalty fees to patent holders. Many\n				of these patents are * general enough such that they are\n				unavoidable regardless of implementation design.\n		 </p>\n\n	  "
		self.python_name = "MPEGSSG"

	def __str__(self):
		return json.dumps(self.__dict__)


class SunPro:
	isDeprecatedLicenseId: bool
	licenseText: str
	standardLicenseTemplate: str
	name: str
	licenseId: str
	crossRef: list
	seeAlso: list
	isOsiApproved: bool
	licenseTextHtml: str
	python_name: str

	def __init__(self):
		self.isDeprecatedLicenseId = False
		self.licenseText = "Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\n\nDeveloped at SunSoft, a Sun Microsystems, Inc. business.\nPermission to use, copy, modify, and distribute this\nsoftware is freely granted, provided that this notice \nis preserved.\n"
		self.standardLicenseTemplate = "<<var;name=\"copyright\";original=\"Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\";match=\".{0,5000}\">>\n\nDeveloped at <<var;name=\"SunOrg\";original=\"SunPro\";match=\"SunPro|SunSoft\">> , a Sun Microsystems, Inc. business.\n\nPermission to use, copy, modify, and distribute this software is freely granted, provided that this notice is preserved.\n\n"
		self.name = "SunPro License"
		self.licenseId = "SunPro"
		self.crossRef = [{"match": "False", "url": "https://github.com/freebsd/freebsd-src/blob/main/lib/msun/src/e_lgammal.c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:40Z", "isWayBackLink": False, "order": 1}, {"match": "False", "url": "https://github.com/freebsd/freebsd-src/blob/main/lib/msun/src/e_acosh.c", "isValid": True, "isLive": True, "timestamp": "2024-04-24T11:12:40Z", "isWayBackLink": False, "order": 0}]
		self.seeAlso = ["https://github.com/freebsd/freebsd-src/blob/main/lib/msun/src/e_acosh.c", "https://github.com/freebsd/freebsd-src/blob/main/lib/msun/src/e_lgammal.c"]
		self.isOsiApproved = False
		self.licenseTextHtml = "\n		 <var class=\"replaceable-license-text\"> \n			Copyright (C) 1993 by Sun Microsystems, Inc. All rights reserved.\n		 </var>\n		 <p>\n			Developed at<var class=\"replaceable-license-text\"> SunPro</var>\n			, a Sun Microsystems, Inc. business.\n		 </p>\n\n		 <p>\n			Permission to use, copy, modify, and distribute this software\n			is freely granted, provided that this notice is preserved.\n		 </p>\n\n	  "
		self.python_name = "SunPro"

	def __str__(self):
		return json.dumps(self.__dict__)


class Licenses:
	GPL10only: GPL10only
	libpng20: libpng20
	AdobeUtopia: AdobeUtopia
	Pixar: Pixar
	GCRdocs: GCRdocs
	OLDAP28: OLDAP28
	CCBYNC30: CCBYNC30
	SSHshort: SSHshort
	LOOP: LOOP
	GPL10plus: GPL10plus
	pythonldap: pythonldap
	xzoom: xzoom
	BSD4ClauseShortened: BSD4ClauseShortened
	APAFML: APAFML
	OSL21: OSL21
	RSCPL: RSCPL
	NetSNMP: NetSNMP
	BSD3ClauseNoNuclearLicense: BSD3ClauseNoNuclearLicense
	EUPL10: EUPL10
	LGPL20: LGPL20
	ZPL21: ZPL21
	MITCMU: MITCMU
	MirOS: MirOS
	Unicode30: Unicode30
	HPNDdoc: HPNDdoc
	OGDLTaiwan10: OGDLTaiwan10
	CPOL102: CPOL102
	Baekmuk: Baekmuk
	CECILL11: CECILL11
	BUSL11: BUSL11
	psfrag: psfrag
	Watcom10: Watcom10
	IBMpibs: IBMpibs
	SCEA: SCEA
	Condor11: Condor11
	AGPL30: AGPL30
	Vim: Vim
	URTRLE: URTRLE
	LiLiQP11: LiLiQP11
	GFDL11invariantsonly: GFDL11invariantsonly
	BSD3ClauseAttribution: BSD3ClauseAttribution
	BoehmGC: BoehmGC
	TCPwrappers: TCPwrappers
	SGIOpenGL: SGIOpenGL
	SL: SL
	MPL10: MPL10
	dtoa: dtoa
	TOSL: TOSL
	OAR: OAR
	LPPL11: LPPL11
	Apache11: Apache11
	HPNDFennebergLivingston: HPNDFennebergLivingston
	QPL10INRIA2004: QPL10INRIA2004
	Libpng: Libpng
	OLDAP24: OLDAP24
	ECL10: ECL10
	BSDProtection: BSDProtection
	HTMLTIDY: HTMLTIDY
	PADL: PADL
	CNRIJython: CNRIJython
	SugarCRM113: SugarCRM113
	BSD3ClauseLBNL: BSD3ClauseLBNL
	ulem: ulem
	RPL15: RPL15
	Spencer94: Spencer94
	SunPPP: SunPPP
	Artistic10cl8: Artistic10cl8
	Imlib2: Imlib2
	Unlicense: Unlicense
	EPICS: EPICS
	BSD3ClauseClear: BSD3ClauseClear
	BSDAdvertisingAcknowledgement: BSDAdvertisingAcknowledgement
	BSD3ClauseModification: BSD3ClauseModification
	curl: curl
	Multics: Multics
	SPL10: SPL10
	GFDL12only: GFDL12only
	BitstreamVera: BitstreamVera
	GPL20orlater: GPL20orlater
	DRL10: DRL10
	OLDAP11: OLDAP11
	Artistic20: Artistic20
	OGC10: OGC10
	HPNDsellregexpr: HPNDsellregexpr
	OLFL13: OLFL13
	WidgetWorkshop: WidgetWorkshop
	iMatix: iMatix
	pnmstitch: pnmstitch
	DRL11: DRL11
	bzip2106: bzip2106
	OUDA10: OUDA10
	Cube: Cube
	TPDL: TPDL
	W3C: W3C
	BitstreamCharter: BitstreamCharter
	CornellLosslessJPEG: CornellLosslessJPEG
	Frameworx10: Frameworx10
	X11: X11
	Zimbra14: Zimbra14
	Crossword: Crossword
	FSFAPnowarrantydisclaimer: FSFAPnowarrantydisclaimer
	CERNOHL12: CERNOHL12
	Xfig: Xfig
	HPNDPbmplus: HPNDPbmplus
	MartinBirgmeier: MartinBirgmeier
	checkmk: checkmk
	BSD3Clause: BSD3Clause
	GPL30withGCCexception: GPL30withGCCexception
	CCBYNCND30DE: CCBYNCND30DE
	Latex2etranslatednotice: Latex2etranslatednotice
	OLDAP25: OLDAP25
	CCBYSA20UK: CCBYSA20UK
	Calderanopreamble: Calderanopreamble
	Parity700: Parity700
	UnicodeDFS2015: UnicodeDFS2015
	LGPL21only: LGPL21only
	Apache10: Apache10
	Parity600: Parity600
	GFDL12noinvariantsorlater: GFDL12noinvariantsorlater
	EUDatagrid: EUDatagrid
	AdobeDisplayPostScript: AdobeDisplayPostScript
	CCBY25AU: CCBY25AU
	LPPL10: LPPL10
	GFDL13noinvariantsonly: GFDL13noinvariantsonly
	MPL11: MPL11
	OGLUK20: OGLUK20
	OFFIS: OFFIS
	HPNDKevlinHenney: HPNDKevlinHenney
	AMDnewlib: AMDnewlib
	CCBYNC10: CCBYNC10
	HaskellReport: HaskellReport
	EPL10: EPL10
	BSD3ClauseOpenMPI: BSD3ClauseOpenMPI
	GD: GD
	MPL20nocopyleftexception: MPL20nocopyleftexception
	NAIST2003: NAIST2003
	CERNOHLW20: CERNOHLW20
	CECILL10: CECILL10
	ZPL20: ZPL20
	Glide: Glide
	Spencer99: Spencer99
	EUPL11: EUPL11
	LPPL13c: LPPL13c
	LGPL21: LGPL21
	CCBY40: CCBY40
	MITopengroup: MITopengroup
	ICU: ICU
	OSL20: OSL20
	CCBY30NL: CCBY30NL
	AGPL10: AGPL10
	psutils: psutils
	GPL20withbisonexception: GPL20withbisonexception
	SGIB20: SGIB20
	zeroBSD: zeroBSD
	NRL: NRL
	SHL05: SHL05
	FreeBSDDOC: FreeBSDDOC
	HPNDsellMITdisclaimerxserver: HPNDsellMITdisclaimerxserver
	OPLUK30: OPLUK30
	DLDEZERO20: DLDEZERO20
	BSDAttributionHPNDdisclaimer: BSDAttributionHPNDdisclaimer
	LGPLLR: LGPLLR
	CCBYNC25: CCBYNC25
	Zeeff: Zeeff
	GFDL11invariantsorlater: GFDL11invariantsorlater
	PHP301: PHP301
	Motosoto: Motosoto
	BSD43RENO: BSD43RENO
	OPUBL10: OPUBL10
	APSL11: APSL11
	TUBerlin20: TUBerlin20
	BSD2ClauseDarwin: BSD2ClauseDarwin
	OLDAP22: OLDAP22
	CAL10: CAL10
	CCBYNCSA30: CCBYNCSA30
	InnerNet20: InnerNet20
	threeparttable: threeparttable
	MSPL: MSPL
	Zed: Zed
	HPNDsellvariant: HPNDsellvariant
	GraphicsGems: GraphicsGems
	pkgconf: pkgconf
	HPNDsellvariantMITdisclaimer: HPNDsellvariantMITdisclaimer
	YPL11: YPL11
	NLPL: NLPL
	CDLAPermissive10: CDLAPermissive10
	CCBYSA30: CCBYSA30
	CFITSIO: CFITSIO
	Zimbra13: Zimbra13
	ISC: ISC
	Kastrup: Kastrup
	PolyFormNoncommercial100: PolyFormNoncommercial100
	MITenna: MITenna
	GPL30: GPL30
	mpich2: mpich2
	AGPL30orlater: AGPL30orlater
	gSOAP13b: gSOAP13b
	ClArtistic: ClArtistic
	NISTPD: NISTPD
	CCBYND10: CCBYND10
	ODbL10: ODbL10
	XFree8611: XFree8611
	SAXPD: SAXPD
	Linuxmanpages1para: Linuxmanpages1para
	Ruby: Ruby
	IECCodeComponentsEULA: IECCodeComponentsEULA
	RPSL10: RPSL10
	CCBY30DE: CCBY30DE
	GPL20plus: GPL20plus
	OpenSSLstandalone: OpenSSLstandalone
	MIT0: MIT0
	copyleftnext030: copyleftnext030
	OpenSSL: OpenSSL
	AAL: AAL
	AFL30: AFL30
	KnuthCTAN: KnuthCTAN
	PolyFormSmallBusiness100: PolyFormSmallBusiness100
	Xdebug103: Xdebug103
	gnuplot: gnuplot
	QPL10: QPL10
	GFDL12: GFDL12
	PHP30: PHP30
	OGTSL: OGTSL
	Bahyph: Bahyph
	blessing: blessing
	NBPL10: NBPL10
	Barr: Barr
	CCBYNCND25: CCBYNCND25
	CERNOHLP20: CERNOHLP20
	Borceux: Borceux
	GFDL13only: GFDL13only
	MSRL: MSRL
	OPL10: OPL10
	CCBYNC30DE: CCBYNC30DE
	EFL20: EFL20
	AFL11: AFL11
	CCBYNCND10: CCBYNCND10
	OLDAP221: OLDAP221
	Cronyx: Cronyx
	Mup: Mup
	zlibacknowledgement: zlibacknowledgement
	SGP4: SGP4
	CCBYND25: CCBYND25
	DLDEBY20: DLDEBY20
	CDDL10: CDDL10
	Adobe2006: Adobe2006
	AGPL30only: AGPL30only
	AMPAS: AMPAS
	GPL30plus: GPL30plus
	MTLL: MTLL
	TPL10: TPL10
	CDDL11: CDDL11
	HP1989: HP1989
	LiLiQRplus11: LiLiQRplus11
	CCBY20: CCBY20
	OFL11noRFN: OFL11noRFN
	CC010: CC010
	SISSL12: SISSL12
	CommunitySpec10: CommunitySpec10
	Catharon: Catharon
	HPND: HPND
	CCBYND30: CCBYND30
	CMUMachnodoc: CMUMachnodoc
	Elastic20: Elastic20
	LGPL20only: LGPL20only
	JPNIC: JPNIC
	GPL20withfontexception: GPL20withfontexception
	GFDL13: GFDL13
	TGPPL10: TGPPL10
	NPOSL30: NPOSL30
	CDLASharing10: CDLASharing10
	OLDAP201: OLDAP201
	CCBYNCND30: CCBYNCND30
	W3C19980720: W3C19980720
	CAL10CombinedWorkException: CAL10CombinedWorkException
	SNIA: SNIA
	copyleftnext031: copyleftnext031
	MakeIndex: MakeIndex
	LPDdocument: LPDdocument
	LucidaBitmapFonts: LucidaBitmapFonts
	BSD2ClausePatent: BSD2ClausePatent
	fwlw: fwlw
	libselinux10: libselinux10
	CCBYSA30DE: CCBYSA30DE
	CUDA10: CUDA10
	GFDL13orlater: GFDL13orlater
	FTL: FTL
	Linuxmanpagescopyleft: Linuxmanpagescopyleft
	TORQUE11: TORQUE11
	CCBYSA25: CCBYSA25
	InfoZIP: InfoZIP
	PDDL10: PDDL10
	MulanPSL20: MulanPSL20
	Qhull: Qhull
	CCBYNCSA10: CCBYNCSA10
	Arphic1999: Arphic1999
	CNRIPythonGPLCompatible: CNRIPythonGPLCompatible
	checkcvs: checkcvs
	TAPROHL10: TAPROHL10
	LGPL21orlater: LGPL21orlater
	CCBYNCSA20FR: CCBYNCSA20FR
	YPL10: YPL10
	CCBY30US: CCBY30US
	CCBYNCSA25: CCBYNCSA25
	BSDInfernoNettverk: BSDInfernoNettverk
	sshkeyscan: sshkeyscan
	GPL30orlater: GPL30orlater
	BSD2ClauseViews: BSD2ClauseViews
	ANTLRPD: ANTLRPD
	GPL10: GPL10
	GFDL13noinvariantsorlater: GFDL13noinvariantsorlater
	APSL10: APSL10
	OLDAP23: OLDAP23
	Abstyles: Abstyles
	GPL20only: GPL20only
	BrianGladman2Clause: BrianGladman2Clause
	LZMASDK911to920: LZMASDK911to920
	NLOD10: NLOD10
	metamail: metamail
	CCBYSA10: CCBYSA10
	mailprio: mailprio
	HP1986: HP1986
	XSkat: XSkat
	COIL10: COIL10
	bcryptSolarDesigner: bcryptSolarDesigner
	Nunit: Nunit
	Apache20: Apache20
	Spencer86: Spencer86
	LGPL21plus: LGPL21plus
	IPL10: IPL10
	OGLUK10: OGLUK10
	Linuxmanpagescopyleftvar: Linuxmanpagescopyleftvar
	CCBYNCSA40: CCBYNCSA40
	AMLglslang: AMLglslang
	GLWTPL: GLWTPL
	BSL10: BSL10
	ASWFDigitalAssets11: ASWFDigitalAssets11
	ANTLRPDfallback: ANTLRPDfallback
	xinetd: xinetd
	Latex2e: Latex2e
	JPLimage: JPLimage
	MSLPL: MSLPL
	CCBYNCND30IGO: CCBYNCND30IGO
	NCSA: NCSA
	AGPL10orlater: AGPL10orlater
	gtkbook: gtkbook
	BSD3ClauseNoNuclearWarranty: BSD3ClauseNoNuclearWarranty
	RPL11: RPL11
	PSF20: PSF20
	swrule: swrule
	CNRIPython: CNRIPython
	GPL20withclasspathexception: GPL20withclasspathexception
	AMDPLPA: AMDPLPA
	CCBYSA40: CCBYSA40
	ImageMagick: ImageMagick
	OpenVision: OpenVision
	TTWL: TTWL
	Intel: Intel
	Newsletr: Newsletr
	FergusonTwofish: FergusonTwofish
	GPL30withautoconfexception: GPL30withautoconfexception
	OLDAP20: OLDAP20
	SchemeReport: SchemeReport
	Sendmail: Sendmail
	CCPDDC: CCPDDC
	NGPL: NGPL
	GFDL12noinvariantsonly: GFDL12noinvariantsonly
	Rdisc: Rdisc
	CCBYSA30AT: CCBYSA30AT
	MITKhronosold: MITKhronosold
	BSD2Clause: BSD2Clause
	SSLeaystandalone: SSLeaystandalone
	HPNDMITdisclaimer: HPNDMITdisclaimer
	eGenix: eGenix
	CCBY30AU: CCBY30AU
	NetCDF: NetCDF
	Symlinks: Symlinks
	LGPL30: LGPL30
	hdparm: hdparm
	Python201: Python201
	RSAMD: RSAMD
	GL2PS: GL2PS
	OSL10: OSL10
	SISSL: SISSL
	SGIB10: SGIB10
	Minpack: Minpack
	BSD4ClauseUC: BSD4ClauseUC
	Eurosym: Eurosym
	CECILL20: CECILL20
	OCLC20: OCLC20
	Linuxmanpagescopyleft2para: Linuxmanpagescopyleft2para
	W3C20150513: W3C20150513
	UnicodeTOU: UnicodeTOU
	lsof: lsof
	LGPL20orlater: LGPL20orlater
	UnixCrypt: UnixCrypt
	Naumen: Naumen
	TermReadKey: TermReadKey
	LZMASDK922: LZMASDK922
	GFDL13invariantsorlater: GFDL13invariantsorlater
	Glulxe: Glulxe
	Leptonica: Leptonica
	DFSL10: DFSL10
	EPL20: EPL20
	StandardMLNJ: StandardMLNJ
	CCBYNC20: CCBYNC20
	Fair: Fair
	OML: OML
	OFL10: OFL10
	OSETPL21: OSETPL21
	GFDL12orlater: GFDL12orlater
	GFDL13invariantsonly: GFDL13invariantsonly
	HPNDUC: HPNDUC
	OFL11: OFL11
	VOSTROM: VOSTROM
	xpp: xpp
	BSD2clausefirstlines: BSD2clausefirstlines
	APL10: APL10
	FSFULLR: FSFULLR
	NISTPDfallback: NISTPDfallback
	Soundex: Soundex
	OSL30: OSL30
	CDL10: CDL10
	ZPL11: ZPL11
	libtiff: libtiff
	GFDL11: GFDL11
	DOC: DOC
	AGPL10only: AGPL10only
	libutilDavidNugent: libutilDavidNugent
	CCBYND40: CCBYND40
	Mackerras3Clauseacknowledgment: Mackerras3Clauseacknowledgment
	CECILL21: CECILL21
	HPNDINRIAIMAG: HPNDINRIAIMAG
	NTP: NTP
	HPNDMarkusKuhn: HPNDMarkusKuhn
	SAXPD20: SAXPD20
	Noweb: Noweb
	CCBYND30DE: CCBYND30DE
	CCBYNCSA20DE: CCBYNCSA20DE
	CCBY30IGO: CCBY30IGO
	SGIB11: SGIB11
	Jam: Jam
	OSL11: OSL11
	SWL: SWL
	AFL12: AFL12
	OLDAP222: OLDAP222
	Entessa: Entessa
	X11distributemodificationsvariant: X11distributemodificationsvariant
	CCBY30AT: CCBY30AT
	GFDL11orlater: GFDL11orlater
	CCBYNCND40: CCBYNCND40
	MITadvertising: MITadvertising
	Clips: Clips
	TTYP0: TTYP0
	NTP0: NTP0
	TMate: TMate
	CCBYNCSA20UK: CCBYNCSA20UK
	NOSL: NOSL
	AML: AML
	HPNDdocsell: HPNDdocsell
	MIT: MIT
	Kazlib: Kazlib
	IntelACPI: IntelACPI
	BlueOak100: BlueOak100
	FSFUL: FSFUL
	Artistic10: Artistic10
	OLDAP21: OLDAP21
	GPL10orlater: GPL10orlater
	APSL12: APSL12
	Xerox: Xerox
	OGLUK30: OGLUK30
	LPL10: LPL10
	JasPer20: JasPer20
	diffmark: diffmark
	RHeCos11: RHeCos11
	CrystalStacker: CrystalStacker
	ISCVeillard: ISCVeillard
	BSD2ClauseFreeBSD: BSD2ClauseFreeBSD
	LinuxOpenIB: LinuxOpenIB
	BSDSystemicsW3Works: BSDSystemicsW3Works
	CUAOPL10: CUAOPL10
	HPNDexportUS: HPNDexportUS
	NICTA10: NICTA10
	SMPPL: SMPPL
	AdobeGlyph: AdobeGlyph
	JSON: JSON
	MITFestival: MITFestival
	MITfeh: MITfeh
	FSFAP: FSFAP
	ASWFDigitalAssets10: ASWFDigitalAssets10
	xkeyboardconfigZinoviev: xkeyboardconfigZinoviev
	softSurfer: softSurfer
	HPNDUCexportUS: HPNDUCexportUS
	Aladdin: Aladdin
	MPL20: MPL20
	WTFPL: WTFPL
	SHL051: SHL051
	BSD43TAHOE: BSD43TAHOE
	ECL20: ECL20
	OLDAP14: OLDAP14
	Zlib: Zlib
	LiLiQR11: LiLiQR11
	Plexus: Plexus
	GPL20withautoconfexception: GPL20withautoconfexception
	OFL10RFN: OFL10RFN
	OFL11RFN: OFL11RFN
	CCBY25: CCBY25
	NPL11: NPL11
	BSD3ClauseNoMilitaryLicense: BSD3ClauseNoMilitaryLicense
	wxWindows: wxWindows
	CCBYNC40: CCBYNC40
	MITNFA: MITNFA
	UPL10: UPL10
	UCAR: UCAR
	Nokia: Nokia
	BSD2ClauseNetBSD: BSD2ClauseNetBSD
	GPL30only: GPL30only
	BrianGladman3Clause: BrianGladman3Clause
	eCos20: eCos20
	SimPL20: SimPL20
	EUPL12: EUPL12
	MITWu: MITWu
	SunPPP2000: SunPPP2000
	AFL20: AFL20
	BSD3ClauseNoNuclearLicense2014: BSD3ClauseNoNuclearLicense2014
	CATOSL11: CATOSL11
	IJG: IJG
	SSPL10: SSPL10
	etalab20: etalab20
	MITtestregex: MITtestregex
	CECILLB: CECILLB
	OGLCanada20: OGLCanada20
	dvipdfm: dvipdfm
	LPL102: LPL102
	Zend20: Zend20
	CCBY10: CCBY10
	Beerware: Beerware
	IPA: IPA
	DEC3Clause: DEC3Clause
	DSDP: DSDP
	Hippocratic21: Hippocratic21
	GFDL11only: GFDL11only
	bzip2105: bzip2105
	OLDAP13: OLDAP13
	APSL20: APSL20
	Sendmail823: Sendmail823
	LGPL30only: LGPL30only
	CCBYSA20: CCBYSA20
	LAL12: LAL12
	NLOD20: NLOD20
	ADSL: ADSL
	AdaCoredoc: AdaCoredoc
	GPL20withGCCexception: GPL20withGCCexception
	HPNDDEC: HPNDDEC
	ErlPL11: ErlPL11
	NISTSoftware: NISTSoftware
	HPNDexportUSmodify: HPNDexportUSmodify
	BitTorrent10: BitTorrent10
	CERNOHL11: CERNOHL11
	GPL20: GPL20
	FreeImage: FreeImage
	LGPL20plus: LGPL20plus
	Afmparse: Afmparse
	ODCBy10: ODCBy10
	Dotseqn: Dotseqn
	CCBYNCSA20: CCBYNCSA20
	FDKAAC: FDKAAC
	MulanPSL10: MulanPSL10
	BSD4Clause: BSD4Clause
	BSD3Clauseflex: BSD3Clauseflex
	OLDAP26: OLDAP26
	UnicodeDFS2016: UnicodeDFS2016
	MITModernVariant: MITModernVariant
	TCL: TCL
	CPAL10: CPAL10
	CCBYNCSA30IGO: CCBYNCSA30IGO
	GFDL11noinvariantsorlater: GFDL11noinvariantsorlater
	OFL10noRFN: OFL10noRFN
	CCBYSA30IGO: CCBYSA30IGO
	BSDSourceCode: BSDSourceCode
	LPPL12: LPPL12
	mplus: mplus
	UMichMerit: UMichMerit
	OLDAP27: OLDAP27
	GFDL11noinvariantsonly: GFDL11noinvariantsonly
	VSL10: VSL10
	Giftware: Giftware
	CDLAPermissive20: CDLAPermissive20
	UCL10: UCL10
	NCL: NCL
	LGPL30plus: LGPL30plus
	SMLNJ: SMLNJ
	CERNOHLS20: CERNOHLS20
	FBM: FBM
	Wsuipa: Wsuipa
	Sleepycat: Sleepycat
	BSDSourcebeginningfile: BSDSourcebeginningfile
	OpenPBS23: OpenPBS23
	Caldera: Caldera
	BitTorrent11: BitTorrent11
	snprintf: snprintf
	IJGshort: IJGshort
	CPL10: CPL10
	CMUMach: CMUMach
	Xnet: Xnet
	BSD1Clause: BSD1Clause
	CCBYNCSA30DE: CCBYNCSA30DE
	SSHOpenSSH: SSHOpenSSH
	LAL13: LAL13
	OLDAP12: OLDAP12
	TUBerlin10: TUBerlin10
	Artistic10Perl: Artistic10Perl
	magaz: magaz
	NASA13: NASA13
	Interbase10: Interbase10
	GFDL12invariantsorlater: GFDL12invariantsorlater
	PostgreSQL: PostgreSQL
	CECILLC: CECILLC
	mpipermissive: mpipermissive
	Mackerras3Clause: Mackerras3Clause
	BSD3Clauseacpica: BSD3Clauseacpica
	CCBYSA21JP: CCBYSA21JP
	Python20: Python20
	EFL10: EFL10
	MMIXware: MMIXware
	radvd: radvd
	FSFULLRWD: FSFULLRWD
	Apps2p: Apps2p
	GFDL12invariantsonly: GFDL12invariantsonly
	AFL21: AFL21
	CCBYNCND20: CCBYNCND20
	LPPL13a: LPPL13a
	BSDSystemics: BSDSystemics
	OCCTPL: OCCTPL
	CCBY30: CCBY30
	McPheeslideshow: McPheeslideshow
	Furuseth: Furuseth
	xlock: xlock
	BSD3ClauseSun: BSD3ClauseSun
	NPL10: NPL10
	CCBYND20: CCBYND20
	NCGLUK20: NCGLUK20
	Saxpath: Saxpath
	LGPL30orlater: LGPL30orlater
	w3m: w3m
	BSD3ClauseHP: BSD3ClauseHP
	MPEGSSG: MPEGSSG
	SunPro: SunPro
	def __init__(self):
		self.GPL10only = GPL10only()
		self.libpng20 = libpng20()
		self.AdobeUtopia = AdobeUtopia()
		self.Pixar = Pixar()
		self.GCRdocs = GCRdocs()
		self.OLDAP28 = OLDAP28()
		self.CCBYNC30 = CCBYNC30()
		self.SSHshort = SSHshort()
		self.LOOP = LOOP()
		self.GPL10plus = GPL10plus()
		self.pythonldap = pythonldap()
		self.xzoom = xzoom()
		self.BSD4ClauseShortened = BSD4ClauseShortened()
		self.APAFML = APAFML()
		self.OSL21 = OSL21()
		self.RSCPL = RSCPL()
		self.NetSNMP = NetSNMP()
		self.BSD3ClauseNoNuclearLicense = BSD3ClauseNoNuclearLicense()
		self.EUPL10 = EUPL10()
		self.LGPL20 = LGPL20()
		self.ZPL21 = ZPL21()
		self.MITCMU = MITCMU()
		self.MirOS = MirOS()
		self.Unicode30 = Unicode30()
		self.HPNDdoc = HPNDdoc()
		self.OGDLTaiwan10 = OGDLTaiwan10()
		self.CPOL102 = CPOL102()
		self.Baekmuk = Baekmuk()
		self.CECILL11 = CECILL11()
		self.BUSL11 = BUSL11()
		self.psfrag = psfrag()
		self.Watcom10 = Watcom10()
		self.IBMpibs = IBMpibs()
		self.SCEA = SCEA()
		self.Condor11 = Condor11()
		self.AGPL30 = AGPL30()
		self.Vim = Vim()
		self.URTRLE = URTRLE()
		self.LiLiQP11 = LiLiQP11()
		self.GFDL11invariantsonly = GFDL11invariantsonly()
		self.BSD3ClauseAttribution = BSD3ClauseAttribution()
		self.BoehmGC = BoehmGC()
		self.TCPwrappers = TCPwrappers()
		self.SGIOpenGL = SGIOpenGL()
		self.SL = SL()
		self.MPL10 = MPL10()
		self.dtoa = dtoa()
		self.TOSL = TOSL()
		self.OAR = OAR()
		self.LPPL11 = LPPL11()
		self.Apache11 = Apache11()
		self.HPNDFennebergLivingston = HPNDFennebergLivingston()
		self.QPL10INRIA2004 = QPL10INRIA2004()
		self.Libpng = Libpng()
		self.OLDAP24 = OLDAP24()
		self.ECL10 = ECL10()
		self.BSDProtection = BSDProtection()
		self.HTMLTIDY = HTMLTIDY()
		self.PADL = PADL()
		self.CNRIJython = CNRIJython()
		self.SugarCRM113 = SugarCRM113()
		self.BSD3ClauseLBNL = BSD3ClauseLBNL()
		self.ulem = ulem()
		self.RPL15 = RPL15()
		self.Spencer94 = Spencer94()
		self.SunPPP = SunPPP()
		self.Artistic10cl8 = Artistic10cl8()
		self.Imlib2 = Imlib2()
		self.Unlicense = Unlicense()
		self.EPICS = EPICS()
		self.BSD3ClauseClear = BSD3ClauseClear()
		self.BSDAdvertisingAcknowledgement = BSDAdvertisingAcknowledgement()
		self.BSD3ClauseModification = BSD3ClauseModification()
		self.curl = curl()
		self.Multics = Multics()
		self.SPL10 = SPL10()
		self.GFDL12only = GFDL12only()
		self.BitstreamVera = BitstreamVera()
		self.GPL20orlater = GPL20orlater()
		self.DRL10 = DRL10()
		self.OLDAP11 = OLDAP11()
		self.Artistic20 = Artistic20()
		self.OGC10 = OGC10()
		self.HPNDsellregexpr = HPNDsellregexpr()
		self.OLFL13 = OLFL13()
		self.WidgetWorkshop = WidgetWorkshop()
		self.iMatix = iMatix()
		self.pnmstitch = pnmstitch()
		self.DRL11 = DRL11()
		self.bzip2106 = bzip2106()
		self.OUDA10 = OUDA10()
		self.Cube = Cube()
		self.TPDL = TPDL()
		self.W3C = W3C()
		self.BitstreamCharter = BitstreamCharter()
		self.CornellLosslessJPEG = CornellLosslessJPEG()
		self.Frameworx10 = Frameworx10()
		self.X11 = X11()
		self.Zimbra14 = Zimbra14()
		self.Crossword = Crossword()
		self.FSFAPnowarrantydisclaimer = FSFAPnowarrantydisclaimer()
		self.CERNOHL12 = CERNOHL12()
		self.Xfig = Xfig()
		self.HPNDPbmplus = HPNDPbmplus()
		self.MartinBirgmeier = MartinBirgmeier()
		self.checkmk = checkmk()
		self.BSD3Clause = BSD3Clause()
		self.GPL30withGCCexception = GPL30withGCCexception()
		self.CCBYNCND30DE = CCBYNCND30DE()
		self.Latex2etranslatednotice = Latex2etranslatednotice()
		self.OLDAP25 = OLDAP25()
		self.CCBYSA20UK = CCBYSA20UK()
		self.Calderanopreamble = Calderanopreamble()
		self.Parity700 = Parity700()
		self.UnicodeDFS2015 = UnicodeDFS2015()
		self.LGPL21only = LGPL21only()
		self.Apache10 = Apache10()
		self.Parity600 = Parity600()
		self.GFDL12noinvariantsorlater = GFDL12noinvariantsorlater()
		self.EUDatagrid = EUDatagrid()
		self.AdobeDisplayPostScript = AdobeDisplayPostScript()
		self.CCBY25AU = CCBY25AU()
		self.LPPL10 = LPPL10()
		self.GFDL13noinvariantsonly = GFDL13noinvariantsonly()
		self.MPL11 = MPL11()
		self.OGLUK20 = OGLUK20()
		self.OFFIS = OFFIS()
		self.HPNDKevlinHenney = HPNDKevlinHenney()
		self.AMDnewlib = AMDnewlib()
		self.CCBYNC10 = CCBYNC10()
		self.HaskellReport = HaskellReport()
		self.EPL10 = EPL10()
		self.BSD3ClauseOpenMPI = BSD3ClauseOpenMPI()
		self.GD = GD()
		self.MPL20nocopyleftexception = MPL20nocopyleftexception()
		self.NAIST2003 = NAIST2003()
		self.CERNOHLW20 = CERNOHLW20()
		self.CECILL10 = CECILL10()
		self.ZPL20 = ZPL20()
		self.Glide = Glide()
		self.Spencer99 = Spencer99()
		self.EUPL11 = EUPL11()
		self.LPPL13c = LPPL13c()
		self.LGPL21 = LGPL21()
		self.CCBY40 = CCBY40()
		self.MITopengroup = MITopengroup()
		self.ICU = ICU()
		self.OSL20 = OSL20()
		self.CCBY30NL = CCBY30NL()
		self.AGPL10 = AGPL10()
		self.psutils = psutils()
		self.GPL20withbisonexception = GPL20withbisonexception()
		self.SGIB20 = SGIB20()
		self.zeroBSD = zeroBSD()
		self.NRL = NRL()
		self.SHL05 = SHL05()
		self.FreeBSDDOC = FreeBSDDOC()
		self.HPNDsellMITdisclaimerxserver = HPNDsellMITdisclaimerxserver()
		self.OPLUK30 = OPLUK30()
		self.DLDEZERO20 = DLDEZERO20()
		self.BSDAttributionHPNDdisclaimer = BSDAttributionHPNDdisclaimer()
		self.LGPLLR = LGPLLR()
		self.CCBYNC25 = CCBYNC25()
		self.Zeeff = Zeeff()
		self.GFDL11invariantsorlater = GFDL11invariantsorlater()
		self.PHP301 = PHP301()
		self.Motosoto = Motosoto()
		self.BSD43RENO = BSD43RENO()
		self.OPUBL10 = OPUBL10()
		self.APSL11 = APSL11()
		self.TUBerlin20 = TUBerlin20()
		self.BSD2ClauseDarwin = BSD2ClauseDarwin()
		self.OLDAP22 = OLDAP22()
		self.CAL10 = CAL10()
		self.CCBYNCSA30 = CCBYNCSA30()
		self.InnerNet20 = InnerNet20()
		self.threeparttable = threeparttable()
		self.MSPL = MSPL()
		self.Zed = Zed()
		self.HPNDsellvariant = HPNDsellvariant()
		self.GraphicsGems = GraphicsGems()
		self.pkgconf = pkgconf()
		self.HPNDsellvariantMITdisclaimer = HPNDsellvariantMITdisclaimer()
		self.YPL11 = YPL11()
		self.NLPL = NLPL()
		self.CDLAPermissive10 = CDLAPermissive10()
		self.CCBYSA30 = CCBYSA30()
		self.CFITSIO = CFITSIO()
		self.Zimbra13 = Zimbra13()
		self.ISC = ISC()
		self.Kastrup = Kastrup()
		self.PolyFormNoncommercial100 = PolyFormNoncommercial100()
		self.MITenna = MITenna()
		self.GPL30 = GPL30()
		self.mpich2 = mpich2()
		self.AGPL30orlater = AGPL30orlater()
		self.gSOAP13b = gSOAP13b()
		self.ClArtistic = ClArtistic()
		self.NISTPD = NISTPD()
		self.CCBYND10 = CCBYND10()
		self.ODbL10 = ODbL10()
		self.XFree8611 = XFree8611()
		self.SAXPD = SAXPD()
		self.Linuxmanpages1para = Linuxmanpages1para()
		self.Ruby = Ruby()
		self.IECCodeComponentsEULA = IECCodeComponentsEULA()
		self.RPSL10 = RPSL10()
		self.CCBY30DE = CCBY30DE()
		self.GPL20plus = GPL20plus()
		self.OpenSSLstandalone = OpenSSLstandalone()
		self.MIT0 = MIT0()
		self.copyleftnext030 = copyleftnext030()
		self.OpenSSL = OpenSSL()
		self.AAL = AAL()
		self.AFL30 = AFL30()
		self.KnuthCTAN = KnuthCTAN()
		self.PolyFormSmallBusiness100 = PolyFormSmallBusiness100()
		self.Xdebug103 = Xdebug103()
		self.gnuplot = gnuplot()
		self.QPL10 = QPL10()
		self.GFDL12 = GFDL12()
		self.PHP30 = PHP30()
		self.OGTSL = OGTSL()
		self.Bahyph = Bahyph()
		self.blessing = blessing()
		self.NBPL10 = NBPL10()
		self.Barr = Barr()
		self.CCBYNCND25 = CCBYNCND25()
		self.CERNOHLP20 = CERNOHLP20()
		self.Borceux = Borceux()
		self.GFDL13only = GFDL13only()
		self.MSRL = MSRL()
		self.OPL10 = OPL10()
		self.CCBYNC30DE = CCBYNC30DE()
		self.EFL20 = EFL20()
		self.AFL11 = AFL11()
		self.CCBYNCND10 = CCBYNCND10()
		self.OLDAP221 = OLDAP221()
		self.Cronyx = Cronyx()
		self.Mup = Mup()
		self.zlibacknowledgement = zlibacknowledgement()
		self.SGP4 = SGP4()
		self.CCBYND25 = CCBYND25()
		self.DLDEBY20 = DLDEBY20()
		self.CDDL10 = CDDL10()
		self.Adobe2006 = Adobe2006()
		self.AGPL30only = AGPL30only()
		self.AMPAS = AMPAS()
		self.GPL30plus = GPL30plus()
		self.MTLL = MTLL()
		self.TPL10 = TPL10()
		self.CDDL11 = CDDL11()
		self.HP1989 = HP1989()
		self.LiLiQRplus11 = LiLiQRplus11()
		self.CCBY20 = CCBY20()
		self.OFL11noRFN = OFL11noRFN()
		self.CC010 = CC010()
		self.SISSL12 = SISSL12()
		self.CommunitySpec10 = CommunitySpec10()
		self.Catharon = Catharon()
		self.HPND = HPND()
		self.CCBYND30 = CCBYND30()
		self.CMUMachnodoc = CMUMachnodoc()
		self.Elastic20 = Elastic20()
		self.LGPL20only = LGPL20only()
		self.JPNIC = JPNIC()
		self.GPL20withfontexception = GPL20withfontexception()
		self.GFDL13 = GFDL13()
		self.TGPPL10 = TGPPL10()
		self.NPOSL30 = NPOSL30()
		self.CDLASharing10 = CDLASharing10()
		self.OLDAP201 = OLDAP201()
		self.CCBYNCND30 = CCBYNCND30()
		self.W3C19980720 = W3C19980720()
		self.CAL10CombinedWorkException = CAL10CombinedWorkException()
		self.SNIA = SNIA()
		self.copyleftnext031 = copyleftnext031()
		self.MakeIndex = MakeIndex()
		self.LPDdocument = LPDdocument()
		self.LucidaBitmapFonts = LucidaBitmapFonts()
		self.BSD2ClausePatent = BSD2ClausePatent()
		self.fwlw = fwlw()
		self.libselinux10 = libselinux10()
		self.CCBYSA30DE = CCBYSA30DE()
		self.CUDA10 = CUDA10()
		self.GFDL13orlater = GFDL13orlater()
		self.FTL = FTL()
		self.Linuxmanpagescopyleft = Linuxmanpagescopyleft()
		self.TORQUE11 = TORQUE11()
		self.CCBYSA25 = CCBYSA25()
		self.InfoZIP = InfoZIP()
		self.PDDL10 = PDDL10()
		self.MulanPSL20 = MulanPSL20()
		self.Qhull = Qhull()
		self.CCBYNCSA10 = CCBYNCSA10()
		self.Arphic1999 = Arphic1999()
		self.CNRIPythonGPLCompatible = CNRIPythonGPLCompatible()
		self.checkcvs = checkcvs()
		self.TAPROHL10 = TAPROHL10()
		self.LGPL21orlater = LGPL21orlater()
		self.CCBYNCSA20FR = CCBYNCSA20FR()
		self.YPL10 = YPL10()
		self.CCBY30US = CCBY30US()
		self.CCBYNCSA25 = CCBYNCSA25()
		self.BSDInfernoNettverk = BSDInfernoNettverk()
		self.sshkeyscan = sshkeyscan()
		self.GPL30orlater = GPL30orlater()
		self.BSD2ClauseViews = BSD2ClauseViews()
		self.ANTLRPD = ANTLRPD()
		self.GPL10 = GPL10()
		self.GFDL13noinvariantsorlater = GFDL13noinvariantsorlater()
		self.APSL10 = APSL10()
		self.OLDAP23 = OLDAP23()
		self.Abstyles = Abstyles()
		self.GPL20only = GPL20only()
		self.BrianGladman2Clause = BrianGladman2Clause()
		self.LZMASDK911to920 = LZMASDK911to920()
		self.NLOD10 = NLOD10()
		self.metamail = metamail()
		self.CCBYSA10 = CCBYSA10()
		self.mailprio = mailprio()
		self.HP1986 = HP1986()
		self.XSkat = XSkat()
		self.COIL10 = COIL10()
		self.bcryptSolarDesigner = bcryptSolarDesigner()
		self.Nunit = Nunit()
		self.Apache20 = Apache20()
		self.Spencer86 = Spencer86()
		self.LGPL21plus = LGPL21plus()
		self.IPL10 = IPL10()
		self.OGLUK10 = OGLUK10()
		self.Linuxmanpagescopyleftvar = Linuxmanpagescopyleftvar()
		self.CCBYNCSA40 = CCBYNCSA40()
		self.AMLglslang = AMLglslang()
		self.GLWTPL = GLWTPL()
		self.BSL10 = BSL10()
		self.ASWFDigitalAssets11 = ASWFDigitalAssets11()
		self.ANTLRPDfallback = ANTLRPDfallback()
		self.xinetd = xinetd()
		self.Latex2e = Latex2e()
		self.JPLimage = JPLimage()
		self.MSLPL = MSLPL()
		self.CCBYNCND30IGO = CCBYNCND30IGO()
		self.NCSA = NCSA()
		self.AGPL10orlater = AGPL10orlater()
		self.gtkbook = gtkbook()
		self.BSD3ClauseNoNuclearWarranty = BSD3ClauseNoNuclearWarranty()
		self.RPL11 = RPL11()
		self.PSF20 = PSF20()
		self.swrule = swrule()
		self.CNRIPython = CNRIPython()
		self.GPL20withclasspathexception = GPL20withclasspathexception()
		self.AMDPLPA = AMDPLPA()
		self.CCBYSA40 = CCBYSA40()
		self.ImageMagick = ImageMagick()
		self.OpenVision = OpenVision()
		self.TTWL = TTWL()
		self.Intel = Intel()
		self.Newsletr = Newsletr()
		self.FergusonTwofish = FergusonTwofish()
		self.GPL30withautoconfexception = GPL30withautoconfexception()
		self.OLDAP20 = OLDAP20()
		self.SchemeReport = SchemeReport()
		self.Sendmail = Sendmail()
		self.CCPDDC = CCPDDC()
		self.NGPL = NGPL()
		self.GFDL12noinvariantsonly = GFDL12noinvariantsonly()
		self.Rdisc = Rdisc()
		self.CCBYSA30AT = CCBYSA30AT()
		self.MITKhronosold = MITKhronosold()
		self.BSD2Clause = BSD2Clause()
		self.SSLeaystandalone = SSLeaystandalone()
		self.HPNDMITdisclaimer = HPNDMITdisclaimer()
		self.eGenix = eGenix()
		self.CCBY30AU = CCBY30AU()
		self.NetCDF = NetCDF()
		self.Symlinks = Symlinks()
		self.LGPL30 = LGPL30()
		self.hdparm = hdparm()
		self.Python201 = Python201()
		self.RSAMD = RSAMD()
		self.GL2PS = GL2PS()
		self.OSL10 = OSL10()
		self.SISSL = SISSL()
		self.SGIB10 = SGIB10()
		self.Minpack = Minpack()
		self.BSD4ClauseUC = BSD4ClauseUC()
		self.Eurosym = Eurosym()
		self.CECILL20 = CECILL20()
		self.OCLC20 = OCLC20()
		self.Linuxmanpagescopyleft2para = Linuxmanpagescopyleft2para()
		self.W3C20150513 = W3C20150513()
		self.UnicodeTOU = UnicodeTOU()
		self.lsof = lsof()
		self.LGPL20orlater = LGPL20orlater()
		self.UnixCrypt = UnixCrypt()
		self.Naumen = Naumen()
		self.TermReadKey = TermReadKey()
		self.LZMASDK922 = LZMASDK922()
		self.GFDL13invariantsorlater = GFDL13invariantsorlater()
		self.Glulxe = Glulxe()
		self.Leptonica = Leptonica()
		self.DFSL10 = DFSL10()
		self.EPL20 = EPL20()
		self.StandardMLNJ = StandardMLNJ()
		self.CCBYNC20 = CCBYNC20()
		self.Fair = Fair()
		self.OML = OML()
		self.OFL10 = OFL10()
		self.OSETPL21 = OSETPL21()
		self.GFDL12orlater = GFDL12orlater()
		self.GFDL13invariantsonly = GFDL13invariantsonly()
		self.HPNDUC = HPNDUC()
		self.OFL11 = OFL11()
		self.VOSTROM = VOSTROM()
		self.xpp = xpp()
		self.BSD2clausefirstlines = BSD2clausefirstlines()
		self.APL10 = APL10()
		self.FSFULLR = FSFULLR()
		self.NISTPDfallback = NISTPDfallback()
		self.Soundex = Soundex()
		self.OSL30 = OSL30()
		self.CDL10 = CDL10()
		self.ZPL11 = ZPL11()
		self.libtiff = libtiff()
		self.GFDL11 = GFDL11()
		self.DOC = DOC()
		self.AGPL10only = AGPL10only()
		self.libutilDavidNugent = libutilDavidNugent()
		self.CCBYND40 = CCBYND40()
		self.Mackerras3Clauseacknowledgment = Mackerras3Clauseacknowledgment()
		self.CECILL21 = CECILL21()
		self.HPNDINRIAIMAG = HPNDINRIAIMAG()
		self.NTP = NTP()
		self.HPNDMarkusKuhn = HPNDMarkusKuhn()
		self.SAXPD20 = SAXPD20()
		self.Noweb = Noweb()
		self.CCBYND30DE = CCBYND30DE()
		self.CCBYNCSA20DE = CCBYNCSA20DE()
		self.CCBY30IGO = CCBY30IGO()
		self.SGIB11 = SGIB11()
		self.Jam = Jam()
		self.OSL11 = OSL11()
		self.SWL = SWL()
		self.AFL12 = AFL12()
		self.OLDAP222 = OLDAP222()
		self.Entessa = Entessa()
		self.X11distributemodificationsvariant = X11distributemodificationsvariant()
		self.CCBY30AT = CCBY30AT()
		self.GFDL11orlater = GFDL11orlater()
		self.CCBYNCND40 = CCBYNCND40()
		self.MITadvertising = MITadvertising()
		self.Clips = Clips()
		self.TTYP0 = TTYP0()
		self.NTP0 = NTP0()
		self.TMate = TMate()
		self.CCBYNCSA20UK = CCBYNCSA20UK()
		self.NOSL = NOSL()
		self.AML = AML()
		self.HPNDdocsell = HPNDdocsell()
		self.MIT = MIT()
		self.Kazlib = Kazlib()
		self.IntelACPI = IntelACPI()
		self.BlueOak100 = BlueOak100()
		self.FSFUL = FSFUL()
		self.Artistic10 = Artistic10()
		self.OLDAP21 = OLDAP21()
		self.GPL10orlater = GPL10orlater()
		self.APSL12 = APSL12()
		self.Xerox = Xerox()
		self.OGLUK30 = OGLUK30()
		self.LPL10 = LPL10()
		self.JasPer20 = JasPer20()
		self.diffmark = diffmark()
		self.RHeCos11 = RHeCos11()
		self.CrystalStacker = CrystalStacker()
		self.ISCVeillard = ISCVeillard()
		self.BSD2ClauseFreeBSD = BSD2ClauseFreeBSD()
		self.LinuxOpenIB = LinuxOpenIB()
		self.BSDSystemicsW3Works = BSDSystemicsW3Works()
		self.CUAOPL10 = CUAOPL10()
		self.HPNDexportUS = HPNDexportUS()
		self.NICTA10 = NICTA10()
		self.SMPPL = SMPPL()
		self.AdobeGlyph = AdobeGlyph()
		self.JSON = JSON()
		self.MITFestival = MITFestival()
		self.MITfeh = MITfeh()
		self.FSFAP = FSFAP()
		self.ASWFDigitalAssets10 = ASWFDigitalAssets10()
		self.xkeyboardconfigZinoviev = xkeyboardconfigZinoviev()
		self.softSurfer = softSurfer()
		self.HPNDUCexportUS = HPNDUCexportUS()
		self.Aladdin = Aladdin()
		self.MPL20 = MPL20()
		self.WTFPL = WTFPL()
		self.SHL051 = SHL051()
		self.BSD43TAHOE = BSD43TAHOE()
		self.ECL20 = ECL20()
		self.OLDAP14 = OLDAP14()
		self.Zlib = Zlib()
		self.LiLiQR11 = LiLiQR11()
		self.Plexus = Plexus()
		self.GPL20withautoconfexception = GPL20withautoconfexception()
		self.OFL10RFN = OFL10RFN()
		self.OFL11RFN = OFL11RFN()
		self.CCBY25 = CCBY25()
		self.NPL11 = NPL11()
		self.BSD3ClauseNoMilitaryLicense = BSD3ClauseNoMilitaryLicense()
		self.wxWindows = wxWindows()
		self.CCBYNC40 = CCBYNC40()
		self.MITNFA = MITNFA()
		self.UPL10 = UPL10()
		self.UCAR = UCAR()
		self.Nokia = Nokia()
		self.BSD2ClauseNetBSD = BSD2ClauseNetBSD()
		self.GPL30only = GPL30only()
		self.BrianGladman3Clause = BrianGladman3Clause()
		self.eCos20 = eCos20()
		self.SimPL20 = SimPL20()
		self.EUPL12 = EUPL12()
		self.MITWu = MITWu()
		self.SunPPP2000 = SunPPP2000()
		self.AFL20 = AFL20()
		self.BSD3ClauseNoNuclearLicense2014 = BSD3ClauseNoNuclearLicense2014()
		self.CATOSL11 = CATOSL11()
		self.IJG = IJG()
		self.SSPL10 = SSPL10()
		self.etalab20 = etalab20()
		self.MITtestregex = MITtestregex()
		self.CECILLB = CECILLB()
		self.OGLCanada20 = OGLCanada20()
		self.dvipdfm = dvipdfm()
		self.LPL102 = LPL102()
		self.Zend20 = Zend20()
		self.CCBY10 = CCBY10()
		self.Beerware = Beerware()
		self.IPA = IPA()
		self.DEC3Clause = DEC3Clause()
		self.DSDP = DSDP()
		self.Hippocratic21 = Hippocratic21()
		self.GFDL11only = GFDL11only()
		self.bzip2105 = bzip2105()
		self.OLDAP13 = OLDAP13()
		self.APSL20 = APSL20()
		self.Sendmail823 = Sendmail823()
		self.LGPL30only = LGPL30only()
		self.CCBYSA20 = CCBYSA20()
		self.LAL12 = LAL12()
		self.NLOD20 = NLOD20()
		self.ADSL = ADSL()
		self.AdaCoredoc = AdaCoredoc()
		self.GPL20withGCCexception = GPL20withGCCexception()
		self.HPNDDEC = HPNDDEC()
		self.ErlPL11 = ErlPL11()
		self.NISTSoftware = NISTSoftware()
		self.HPNDexportUSmodify = HPNDexportUSmodify()
		self.BitTorrent10 = BitTorrent10()
		self.CERNOHL11 = CERNOHL11()
		self.GPL20 = GPL20()
		self.FreeImage = FreeImage()
		self.LGPL20plus = LGPL20plus()
		self.Afmparse = Afmparse()
		self.ODCBy10 = ODCBy10()
		self.Dotseqn = Dotseqn()
		self.CCBYNCSA20 = CCBYNCSA20()
		self.FDKAAC = FDKAAC()
		self.MulanPSL10 = MulanPSL10()
		self.BSD4Clause = BSD4Clause()
		self.BSD3Clauseflex = BSD3Clauseflex()
		self.OLDAP26 = OLDAP26()
		self.UnicodeDFS2016 = UnicodeDFS2016()
		self.MITModernVariant = MITModernVariant()
		self.TCL = TCL()
		self.CPAL10 = CPAL10()
		self.CCBYNCSA30IGO = CCBYNCSA30IGO()
		self.GFDL11noinvariantsorlater = GFDL11noinvariantsorlater()
		self.OFL10noRFN = OFL10noRFN()
		self.CCBYSA30IGO = CCBYSA30IGO()
		self.BSDSourceCode = BSDSourceCode()
		self.LPPL12 = LPPL12()
		self.mplus = mplus()
		self.UMichMerit = UMichMerit()
		self.OLDAP27 = OLDAP27()
		self.GFDL11noinvariantsonly = GFDL11noinvariantsonly()
		self.VSL10 = VSL10()
		self.Giftware = Giftware()
		self.CDLAPermissive20 = CDLAPermissive20()
		self.UCL10 = UCL10()
		self.NCL = NCL()
		self.LGPL30plus = LGPL30plus()
		self.SMLNJ = SMLNJ()
		self.CERNOHLS20 = CERNOHLS20()
		self.FBM = FBM()
		self.Wsuipa = Wsuipa()
		self.Sleepycat = Sleepycat()
		self.BSDSourcebeginningfile = BSDSourcebeginningfile()
		self.OpenPBS23 = OpenPBS23()
		self.Caldera = Caldera()
		self.BitTorrent11 = BitTorrent11()
		self.snprintf = snprintf()
		self.IJGshort = IJGshort()
		self.CPL10 = CPL10()
		self.CMUMach = CMUMach()
		self.Xnet = Xnet()
		self.BSD1Clause = BSD1Clause()
		self.CCBYNCSA30DE = CCBYNCSA30DE()
		self.SSHOpenSSH = SSHOpenSSH()
		self.LAL13 = LAL13()
		self.OLDAP12 = OLDAP12()
		self.TUBerlin10 = TUBerlin10()
		self.Artistic10Perl = Artistic10Perl()
		self.magaz = magaz()
		self.NASA13 = NASA13()
		self.Interbase10 = Interbase10()
		self.GFDL12invariantsorlater = GFDL12invariantsorlater()
		self.PostgreSQL = PostgreSQL()
		self.CECILLC = CECILLC()
		self.mpipermissive = mpipermissive()
		self.Mackerras3Clause = Mackerras3Clause()
		self.BSD3Clauseacpica = BSD3Clauseacpica()
		self.CCBYSA21JP = CCBYSA21JP()
		self.Python20 = Python20()
		self.EFL10 = EFL10()
		self.MMIXware = MMIXware()
		self.radvd = radvd()
		self.FSFULLRWD = FSFULLRWD()
		self.Apps2p = Apps2p()
		self.GFDL12invariantsonly = GFDL12invariantsonly()
		self.AFL21 = AFL21()
		self.CCBYNCND20 = CCBYNCND20()
		self.LPPL13a = LPPL13a()
		self.BSDSystemics = BSDSystemics()
		self.OCCTPL = OCCTPL()
		self.CCBY30 = CCBY30()
		self.McPheeslideshow = McPheeslideshow()
		self.Furuseth = Furuseth()
		self.xlock = xlock()
		self.BSD3ClauseSun = BSD3ClauseSun()
		self.NPL10 = NPL10()
		self.CCBYND20 = CCBYND20()
		self.NCGLUK20 = NCGLUK20()
		self.Saxpath = Saxpath()
		self.LGPL30orlater = LGPL30orlater()
		self.w3m = w3m()
		self.BSD3ClauseHP = BSD3ClauseHP()
		self.MPEGSSG = MPEGSSG()
		self.SunPro = SunPro()

	@staticmethod
	def make_python_safe(string: str) -> str:
		numbers_source = {
			"0": "zero",
			"1": "one",
			"2": "two",
			"3": "three",
			"4": "four",
			"5": "five",
			"6": "six",
			"7": "seven",
			"8": "eight",
			"9": "nine"
		}
		new_string = string.replace("-", "")
		new_string = new_string.replace(".", "")
		new_string = new_string.replace("+", "plus")
		if new_string[0].isdigit():
			new_string = new_string.replace(new_string[0], numbers_source[new_string[0]])
		return new_string
